/*
 Navicat Premium Dump SQL

 Source Server         : 47.104.188.84-sim
 Source Server Type    : MySQL
 Source Server Version : 80020 (8.0.20)
 Source Host           : 47.104.188.84:65006
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 80020 (8.0.20)
 File Encoding         : 65001

 Date: 23/01/2025 12:54:22
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (2, 'sim_major', '专业表', NULL, NULL, 'Major', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'major', '专业', 'tom', '0', '/', '{}', 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29', NULL);
INSERT INTO `gen_table` VALUES (3, 'sim_add_on_user', '用户附加表', NULL, NULL, 'AddOnUser', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'add_on_user', '用户附加', 'tom', '0', '/', '{}', 'admin', '2024-12-10 11:26:13', '', '2024-12-10 11:29:52', NULL);
INSERT INTO `gen_table` VALUES (5, 'sim_sim', '模拟器表', NULL, NULL, 'Sim', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'sim', '模拟器', 'tom', '0', '/', '{}', 'admin', '2024-12-10 12:13:04', '', '2024-12-10 12:13:47', NULL);
INSERT INTO `gen_table` VALUES (6, 'sim_sim_msg', '模拟器报文表', NULL, NULL, 'SimMsg', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'sim_msg', '模拟器报文', 'tom', '0', '/', '{}', 'admin', '2024-12-10 13:19:19', '', '2024-12-10 13:22:21', NULL);
INSERT INTO `gen_table` VALUES (7, 'sim_fault', '故障表', NULL, NULL, 'Fault', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'fault', '故障', 'tom', '0', '/', '{}', 'admin', '2024-12-12 18:13:45', '', '2024-12-12 18:38:59', NULL);
INSERT INTO `gen_table` VALUES (8, 'sim_add_on_dept', '部门附加表', NULL, NULL, 'AddOnDept', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'add-on-dept', '部门附加', 'tom', '0', '/', '{}', 'admin', '2024-12-12 20:37:49', '', '2024-12-12 20:39:03', NULL);
INSERT INTO `gen_table` VALUES (9, 'sim_task', '任务表', NULL, NULL, 'Task', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'task', '任务', 'tom', '0', '/', '{}', 'admin', '2024-12-12 22:49:04', '', '2024-12-12 22:49:52', NULL);
INSERT INTO `gen_table` VALUES (10, 'sim_task_fault', '任务故障关联表', NULL, NULL, 'TaskFault', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'task-fault', '任务故障关联', 'tom', '0', '/', '{}', 'admin', '2024-12-12 22:58:31', '', '2024-12-12 23:03:57', NULL);
INSERT INTO `gen_table` VALUES (11, 'sim_seat', '座表', NULL, NULL, 'Seat', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'seat', '座', 'tom', '0', '/', '{}', 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04', NULL);
INSERT INTO `gen_table` VALUES (12, 'sim_real_exam_collection_dept', '考试集合班级关联表', NULL, NULL, 'RealExamCollectionDept', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'real-exam-collection-dept', '考试集合班级关联', 'tom', '0', '/', '{}', 'admin', '2024-12-13 08:52:05', '', '2024-12-13 09:05:54', NULL);
INSERT INTO `gen_table` VALUES (13, 'sim_real_exam_collection', '考试集合表', NULL, NULL, 'RealExamCollection', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'real-exam-collection', '考试集合', 'tom', '0', '/', '{}', 'admin', '2024-12-13 08:52:22', '', '2024-12-16 23:47:57', NULL);
INSERT INTO `gen_table` VALUES (14, 'sim_real_exam', '考试表', NULL, NULL, 'RealExam', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'real-exam', '考试', 'tom', '0', '/', '{}', 'admin', '2024-12-15 06:58:23', '', '2024-12-15 07:01:16', NULL);
INSERT INTO `gen_table` VALUES (15, 'sim_real_exam_comp_request', '考试更换件关联表', NULL, NULL, 'RealExamCompRequest', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'real-exam-comp-request', '考试更换件关联', 'tom', '0', '/', '{}', 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:43', NULL);
INSERT INTO `gen_table` VALUES (16, 'sim_real_exam_fault', '考试故障关联表', NULL, NULL, 'RealExamFault', 'crud', 'element-ui', 'com.ruoyi.sim', 'sim', 'real-exam-fault', '考试故障关联', 'tom', '0', '/', '{}', 'admin', '2024-12-15 07:19:14', '', '2024-12-15 07:20:07', NULL);
INSERT INTO `gen_table` VALUES (18, 'sim_test_menu', '测试树状菜单', '', '', 'TestMenu', 'tree', 'element-ui', 'com.ruoyi.sim', 'sim', 'menu', '树状菜单', 'tom', '0', '/', '{\"treeCode\":\"menu_id\",\"treeName\":\"name\",\"treeParentCode\":\"parent_menu_id\"}', 'admin', '2024-12-15 22:17:06', '', '2024-12-15 22:18:27', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 187 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (4, 2, 'major_id', '专业ID', 'bigint(20)', 'Long', 'majorId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (5, 2, 'major_name', '专业名称', 'varchar(255)', 'String', 'majorName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (6, 2, 'createBy', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (7, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (8, 2, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (9, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (10, 2, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 7, 'admin', '2024-12-10 10:56:16', '', '2024-12-10 11:28:29');
INSERT INTO `gen_table_column` VALUES (11, 3, 'user_id', '学员ID/教师ID/用户ID', 'bigint(20)', 'Long', 'userId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-10 11:26:13', '', '2024-12-15 06:37:52');
INSERT INTO `gen_table_column` VALUES (14, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 3, 'admin', '2024-12-10 11:26:13', '', '2024-12-15 06:37:52');
INSERT INTO `gen_table_column` VALUES (15, 3, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2024-12-10 11:26:13', '', '2024-12-15 06:37:52');
INSERT INTO `gen_table_column` VALUES (16, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2024-12-10 11:26:13', '', '2024-12-15 06:37:52');
INSERT INTO `gen_table_column` VALUES (17, 3, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 6, 'admin', '2024-12-10 11:26:13', '', '2024-12-15 06:37:52');
INSERT INTO `gen_table_column` VALUES (28, 5, 'sim_id', '模拟器ID', 'bigint(20)', 'Long', 'simId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (29, 5, 'seat_id', '座ID', 'bigint(20)', 'Long', 'seatId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (30, 5, 'sim_type', '模拟器类型', 'char(2)', 'String', 'simType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (32, 5, 'sim_sn', '模拟器序列号', 'varchar(255)', 'String', 'simSn', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (33, 5, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (34, 5, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (35, 5, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (36, 5, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (37, 5, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2024-12-10 12:13:04', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (38, 6, 'sim_msg_id', '模拟器报文ID', 'bigint(20)', 'Long', 'simMsgId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (39, 6, 'sim_id', '模拟器ID', 'bigint(20)', 'Long', 'simId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (41, 6, 'priority', '优先级', 'int(8)', 'Integer', 'priority', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (42, 6, 'send_msg', '发送报文', 'char(20)', 'String', 'sendMsg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (43, 6, 'send_time', '发送时间', 'datetime', 'Date', 'sendTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (44, 6, 'receive_msg', '接收报文', 'char(20)', 'String', 'receiveMsg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (45, 6, 'receive_time', '接收时间', 'datetime', 'Date', 'receiveTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 11, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (46, 6, 'retry_count', '重试次数', 'int(8)', 'Integer', 'retryCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (47, 6, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (48, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (49, 6, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (50, 6, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (51, 6, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 17, 'admin', '2024-12-10 13:19:19', '', '2024-12-18 08:48:49');
INSERT INTO `gen_table_column` VALUES (52, 7, 'fault_id', '故障ID', 'char(12)', 'String', 'faultId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (53, 7, 'parent_fault_id', '父故障ID', 'char(12)', 'String', 'parentFaultId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (54, 7, 'sim_type', '模拟器类型', 'char(4)', 'String', 'simType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (55, 7, 'fault_type', '故障类型:[1]:故障现象,[2]:可能原因,[3]:真实故障部位,[30]:虚假故障部位,[4]:排除方法,[5]:修复结论', 'char(1)', 'String', 'faultType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (57, 7, 'name', '名称', 'varchar(255)', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 11, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (59, 7, 'order_num', '显示顺序', 'int(4)', 'Long', 'orderNum', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (60, 7, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (61, 7, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (62, 7, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (63, 7, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2024-12-12 18:13:45', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (64, 7, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 18, 'admin', '2024-12-12 18:13:46', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (65, 8, 'dept_id', '班级ID/部门ID', 'bigint(20)', 'Long', 'deptId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-12 20:37:49', '', '2024-12-15 06:56:00');
INSERT INTO `gen_table_column` VALUES (66, 8, 'major_id', '专业ID', 'bigint(20)', 'Long', 'majorId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-12 20:37:49', '', '2024-12-15 06:56:00');
INSERT INTO `gen_table_column` VALUES (67, 9, 'task_id', '任务ID', 'bigint(20)', 'Long', 'taskId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (68, 9, 'sim_type', '模拟器型号', 'char(4)', 'String', 'simType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (69, 9, 'task_type', '任务类型:[1]-教师创建管理,[2]-考试临时数据', 'char(1)', 'String', 'taskType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (70, 9, 'name', '任务名称', 'varchar(255)', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (71, 9, 'create_by_user_id', '创建教师ID/用户ID', 'bigint(20)', 'Long', 'createByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (72, 9, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (73, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (74, 9, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (75, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (76, 9, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-12-12 22:49:04', '', '2024-12-23 13:04:04');
INSERT INTO `gen_table_column` VALUES (77, 10, 'rel_id', NULL, 'bigint(20)', 'Long', 'relId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-12 22:58:31', '', '2024-12-12 23:03:58');
INSERT INTO `gen_table_column` VALUES (78, 10, 'task_id', NULL, 'bigint(20)', 'Long', 'taskId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-12 22:58:31', '', '2024-12-12 23:03:58');
INSERT INTO `gen_table_column` VALUES (79, 10, 'fault_id', NULL, 'char(12)', 'String', 'faultId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-12 22:58:31', '', '2024-12-12 23:03:58');
INSERT INTO `gen_table_column` VALUES (80, 10, 'flag', '7:未知\r\n1:选中\r\n0:没有选中', 'char(1)', 'String', 'flag', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-12 22:58:31', '', '2024-12-12 23:03:58');
INSERT INTO `gen_table_column` VALUES (81, 10, 'update_time', NULL, 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2024-12-12 22:58:31', '', '2024-12-12 23:03:58');
INSERT INTO `gen_table_column` VALUES (82, 11, 'seat_id', '座ID', 'bigint(20)', 'Long', 'seatId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (83, 11, 'seat_num', '座号', 'int(4)', 'Integer', 'seatNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (84, 11, 'seat_bind_ip', '绑定的IP地址', 'varchar(255)', 'String', 'seatBindIp', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (85, 11, 'current_user_id', '当前座上学员/用户ID', 'bigint(20)', 'Long', 'currentUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (86, 11, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (87, 11, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (88, 11, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (89, 11, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (90, 11, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-12-13 05:26:29', '', '2024-12-13 05:27:04');
INSERT INTO `gen_table_column` VALUES (91, 5, 'sim_state', '模拟器状态 0:可用初始化 1:在线 2:模拟器离线 3:网关离线 4:硬件故障异常 5:手动禁用', 'char(1)', 'String', 'simState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, '', '2024-12-13 05:33:07', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (92, 12, 'rel_id', '', 'bigint(20)', 'Long', 'relId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-13 08:52:05', '', '2024-12-13 09:05:54');
INSERT INTO `gen_table_column` VALUES (93, 12, 'exam_collection_id', '正式考试集合ID', 'bigint(20)', 'Long', 'examCollectionId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-13 08:52:05', '', '2024-12-13 09:05:54');
INSERT INTO `gen_table_column` VALUES (94, 12, 'dept_id', '班级ID/部门ID', 'bigint(20)', 'Long', 'deptId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-13 08:52:05', '', '2024-12-13 09:05:54');
INSERT INTO `gen_table_column` VALUES (95, 12, 'update_time', '', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 4, 'admin', '2024-12-13 08:52:05', '', '2024-12-13 09:05:54');
INSERT INTO `gen_table_column` VALUES (96, 13, 'exam_collection_id', '考试集合ID', 'bigint(20)', 'Long', 'examCollectionId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (97, 13, 'sim_type', '模拟器类型', 'char(4)', 'String', 'simType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (98, 13, 'question_setting_method', '出题方式:[1]-系统随机,[2]-教师自选,[3]任务自选\r\n', 'char(1)', 'String', 'questionSettingMethod', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (99, 13, 'exam_collection_type', '考试类型:[1]-练习,[2]-自主练习,[3]-考试', 'char(1)', 'String', 'examCollectionType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (100, 13, 'exam_collection_name', '考试名称', 'varchar(255)', 'String', 'examCollectionName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 6, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (101, 13, 'task_id', '任务ID', 'bigint(20)', 'Long', 'taskId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (102, 13, 'limit_duration', '限制时长(分钟)', 'int(6)', 'Long', 'limitDuration', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (103, 13, 'start_time', '考试开始时间(天)', 'datetime', 'Date', 'startTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (104, 13, 'end_time', '考试结束时间(天)', 'datetime', 'Date', 'endTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 10, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (105, 13, 'create_user_id', '创建教师ID/用户ID', 'bigint(20)', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (106, 13, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (107, 13, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (108, 13, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (109, 13, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (110, 13, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 16, 'admin', '2024-12-13 08:52:22', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (111, 7, 'replace_part', '是否是更换件:[1]:是,[0]:不是', 'char(1)', 'String', 'replacePart', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, '', '2024-12-13 09:44:28', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (112, 3, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, '', '2024-12-15 06:37:52', '', NULL);
INSERT INTO `gen_table_column` VALUES (113, 7, 'replace_name', '更换件名称', 'varchar(255)', 'String', 'replaceName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 10, '', '2024-12-15 06:45:06', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (114, 8, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, '', '2024-12-15 06:56:00', '', NULL);
INSERT INTO `gen_table_column` VALUES (115, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, '', '2024-12-15 06:56:00', '', NULL);
INSERT INTO `gen_table_column` VALUES (116, 8, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 5, '', '2024-12-15 06:56:00', '', NULL);
INSERT INTO `gen_table_column` VALUES (117, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 6, '', '2024-12-15 06:56:00', '', NULL);
INSERT INTO `gen_table_column` VALUES (118, 8, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 7, '', '2024-12-15 06:56:00', '', NULL);
INSERT INTO `gen_table_column` VALUES (119, 14, 'exam_id', '考试ID', 'bigint(20)', 'Long', 'examId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (120, 14, 'exam_collection_id', '考试集合ID', 'bigint(20)', 'Long', 'examCollectionId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (121, 14, 'user_id', '学员ID/用户ID', 'bigint(20)', 'Long', 'userId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (122, 14, 'seat_id', '座ID', 'bigint(20)', 'Long', 'seatId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (123, 14, 'sim_id', '模拟器ID', 'bigint(20)', 'Long', 'simId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (124, 14, 'exam_status', '考试状态:[0]-未登录,[1]-已登录,[2]-模拟器检查并下发故障中,[3]:模拟器检查OK可开考,[4]-答题中,[5]-已交卷,[6]-计算成绩中,[7]-获取到成绩报告,[80]-教师标记缺考,[81]-登录未开始答题,[90]-模拟器异常结束', 'char(2)', 'String', 'examStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (125, 14, 'total_score', '总分:累加扣分和计算出总分', 'int(3)', 'Long', 'totalScore', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (126, 14, 'deduction_total_score', '扣分总计,不计超时扣分', 'int(3)', 'Long', 'deductionTotalScore', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:16');
INSERT INTO `gen_table_column` VALUES (127, 14, 'start_time', '考试实际开始时间(毫秒)', 'datetime', 'Date', 'startTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (128, 14, 'end_time', '考试实际结束时间(毫秒)', 'datetime', 'Date', 'endTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 10, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (129, 14, 'login_time', '登录时间', 'datetime', 'Date', 'loginTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 11, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (130, 14, 'logout_time', '登出时间', 'datetime', 'Date', 'logoutTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 12, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (131, 14, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (132, 14, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (133, 14, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (134, 14, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (135, 14, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 17, 'admin', '2024-12-15 06:58:23', '', '2024-12-23 19:15:17');
INSERT INTO `gen_table_column` VALUES (136, 15, 'rel_id', NULL, 'bigint(20)', 'Long', 'relId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:43');
INSERT INTO `gen_table_column` VALUES (137, 15, 'exam_id', '考试ID', 'bigint(20)', 'Long', 'examId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:43');
INSERT INTO `gen_table_column` VALUES (138, 15, 'fault_id', '故障ID', 'char(12)', 'String', 'faultId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:43');
INSERT INTO `gen_table_column` VALUES (139, 15, 'request_status', '状态\r\n1:已申请\r\n2:已处理\r\n3:已驳回', 'char(1)', 'String', 'requestStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (140, 15, 'create_by_user_id', '创建学员ID/用户ID', 'bigint(20)', 'Long', 'createByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (141, 15, 'update_by_user_id', '创建教师ID/用户ID', 'bigint(20)', 'Long', 'updateByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (142, 15, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (143, 15, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (144, 15, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (145, 15, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (146, 15, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 11, 'admin', '2024-12-15 07:08:02', '', '2024-12-15 07:12:44');
INSERT INTO `gen_table_column` VALUES (147, 16, 'ref_id', '关联ID', 'bigint(20)', 'Long', 'refId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:58');
INSERT INTO `gen_table_column` VALUES (148, 16, 'exam_id', '考试ID', 'bigint(20)', 'Long', 'examId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:58');
INSERT INTO `gen_table_column` VALUES (149, 16, 'fault_id', '故障ID', 'char(12)', 'String', 'faultId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:58');
INSERT INTO `gen_table_column` VALUES (150, 16, 'flag', '选择状态:[7]-未知,[1]-选中,[0]-没有选中', 'char(1)', 'String', 'flag', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:58');
INSERT INTO `gen_table_column` VALUES (153, 16, 'minus', '减分值,计正数', 'int(2)', 'Long', 'minus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (154, 16, 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (155, 16, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (156, 16, 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (157, 16, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 16, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (158, 16, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 17, 'admin', '2024-12-15 07:19:14', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (163, 18, 'menu_id', NULL, 'bigint(20)', 'Long', 'menuId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-12-15 22:17:06', '', '2024-12-15 22:18:27');
INSERT INTO `gen_table_column` VALUES (164, 18, 'parent_menu_id', NULL, 'bigint(20)', 'Long', 'parentMenuId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-12-15 22:17:06', '', '2024-12-15 22:18:27');
INSERT INTO `gen_table_column` VALUES (165, 18, 'name', NULL, 'varchar(255)', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-12-15 22:17:06', '', '2024-12-15 22:18:27');
INSERT INTO `gen_table_column` VALUES (166, 18, 'menu_type', NULL, 'char(1)', 'String', 'menuType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2024-12-15 22:17:06', '', '2024-12-15 22:18:27');
INSERT INTO `gen_table_column` VALUES (167, 5, 'sim_num', '模拟器设备编号1~30', 'char(2)', 'String', 'simNum', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, '', '2024-12-18 08:43:24', '', '2024-12-19 22:04:36');
INSERT INTO `gen_table_column` VALUES (168, 6, 'exam_fault_ref_id', '关联ID', 'bigint(20)', 'Long', 'examFaultRefId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, '', '2024-12-18 08:48:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (169, 6, 'exam_collection_type', '考试类型\r\n1:练习\r\n2:自主练习\r\n3:考试', 'char(1)', 'String', 'examCollectionType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, '', '2024-12-18 08:48:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (170, 6, 'send_msg_state', '状态 0初始值 1成功 2失败', 'char(1)', 'String', 'sendMsgState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, '', '2024-12-18 08:48:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (171, 6, 'send_msg_type', '发送报文类型 cmd+cmdId', 'char(4)', 'String', 'sendMsgType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 7, '', '2024-12-18 08:48:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (172, 7, 'conflict_fault_ids', '互斥所有故障ID逗号分割', 'varchar(1024)', 'String', 'conflictFaultIds', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 8, '', '2024-12-18 08:53:59', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (173, 7, 'bind_hardware_msg', '绑定硬件通信报文', 'char(2)', 'String', 'bindHardwareMsg', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, '', '2024-12-18 08:53:59', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (174, 16, 'ref_type', '关联类型:[1]-选择题,[2]-模拟器维修故障', 'char(1)', 'String', 'refType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, '', '2024-12-18 08:58:30', '', '2024-12-24 08:53:58');
INSERT INTO `gen_table_column` VALUES (175, 16, 'ref_state', '故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束', 'char(1)', 'String', 'refState', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, '', '2024-12-18 08:58:30', '', '2024-12-24 08:53:58');
INSERT INTO `gen_table_column` VALUES (176, 16, 'choice_question_value', '选择题的出题数值/正确答案', 'char(12)', 'String', 'choiceQuestionValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, '', '2024-12-18 08:58:31', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (177, 16, 'choice_answer_value', '选择题的答题数值/学院填写答案', 'char(12)', 'String', 'choiceAnswerValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, '', '2024-12-18 08:58:31', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (178, 16, 'sim_fault_question_value', '模拟器出题值/电阻代表值', 'char(8)', 'String', 'simFaultQuestionValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, '', '2024-12-18 08:58:31', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (179, 16, 'sim_fault_answer_value', '模拟器答题值/电阻代表值', 'char(8)', 'String', 'simFaultAnswerValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, '', '2024-12-18 08:58:31', '', '2024-12-24 08:53:59');
INSERT INTO `gen_table_column` VALUES (180, 7, 'fault_state', '故障状态:[0]:启用,[5]:禁用', 'char(1)', 'String', 'faultState', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, '', '2024-12-19 20:28:19', '', '2025-01-02 15:13:15');
INSERT INTO `gen_table_column` VALUES (181, 5, 'last_sent_time', '最后一次成功发送报文时间', 'datetime', 'Date', 'lastSentTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 7, '', '2024-12-19 22:04:36', '', NULL);
INSERT INTO `gen_table_column` VALUES (182, 5, 'last_received_time', '最后一次成功收到报文时间', 'datetime', 'Date', 'lastReceivedTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, '', '2024-12-19 22:04:36', '', NULL);
INSERT INTO `gen_table_column` VALUES (183, 13, 'exam_collection_state', '考试集合状态:[0]-初始化,[2]-打开,[3]-关闭', 'char(1)', 'String', 'examCollectionState', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, '', '2024-12-23 08:48:08', '', '2024-12-23 11:55:18');
INSERT INTO `gen_table_column` VALUES (184, 16, 'answer_right', '答题正确:[0]-初始化,[1]-正确,[2]-错误', 'char(1)', 'String', 'answerRight', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, '', '2024-12-24 08:53:59', '', NULL);
INSERT INTO `gen_table_column` VALUES (185, 7, 'ref_type3_30_fault_id', '关联的真实的/虚假的故障部位', 'char(12)', 'String', 'refType330FaultId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, '', '2025-01-02 15:13:15', '', NULL);
INSERT INTO `gen_table_column` VALUES (186, 7, 'ref_type4_fault_id', '关联的排除方法', 'char(12)', 'String', 'refType4FaultId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, '', '2025-01-02 15:13:15', '', NULL);

-- ----------------------------
-- Table structure for mx_admin
-- ----------------------------
DROP TABLE IF EXISTS `mx_admin`;
CREATE TABLE `mx_admin`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `username` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户名',
  `nickname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '昵称',
  `password` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `salt` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码盐',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像',
  `email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '电子邮箱',
  `mobile` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `loginfailure` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '失败次数',
  `logintime` bigint NULL DEFAULT NULL COMMENT '登录时间',
  `loginip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录IP',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `deletetime` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `token` varchar(59) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'Session标识',
  `status` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'normal' COMMENT '状态',
  `data_scope` tinyint NULL DEFAULT NULL COMMENT '0默认1全部',
  `depart_id` tinyint(1) NULL DEFAULT 0,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `username`(`username` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '管理员表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_admin
-- ----------------------------
INSERT INTO `mx_admin` VALUES (1, 'admin', 'Admin', '3e50460a5787a76c613c5082e78d5a54', '177287', '/uploads/20241227/015dd92622f8209b95933860d0defe02.png', 'admin@admin.com', '', 0, 1736048532, '127.0.0.1', 1491635035, 1736048532, NULL, '74006de8-ab02-4617-bb1e-6737c5d7a014', 'normal', NULL, 0);
INSERT INTO `mx_admin` VALUES (2, 'manage', '管理', '22acdfbbcec9e48a57c4620c3bffabc5', '7VtQ8O', '/assets/img/avatar.png', 'manage@163.com', '', 0, 1735288520, '127.0.0.1', 1735279382, 1735288520, NULL, '68ee6fbe-1904-4fa7-984e-8f2ed0961efe', 'normal', NULL, 0);
INSERT INTO `mx_admin` VALUES (3, 'teacher', 'teacher', '37cb394281065ddb0916f9a4817f9de9', 'dlfetp', '/assets/img/avatar.png', 'teacher@163.com', '', 0, 1736149465, '127.0.0.1', 1735279402, 1736149465, NULL, '644095a3-6c19-4c81-8096-de13930eb395', 'normal', NULL, 0);
INSERT INTO `mx_admin` VALUES (4, 'xueyuan001', 'xueyuan001', '52a1e72d568de1784bfcb2ceeb185736', 'ikZrRc', '/assets/img/avatar.png', 'xueyuan001@163.com', '', 0, 1735897359, '127.0.0.1', 1735279423, 1735897359, NULL, '3ede81aa-de1e-4ee3-8f1f-9dc0c2ecd375', 'normal', NULL, 41);
INSERT INTO `mx_admin` VALUES (9, 'xueyuan002', 'xueyuan002', 'f5ced991a7e7d07ece526f62aaa8ef70', 'Tq30jS', '/assets/img/avatar.png', '', '', 0, 1736215461, '127.0.0.1', 1735284578, 1736215461, NULL, '5255b2c8-e77c-46c3-abea-3c96d587ebd7', 'normal', NULL, 41);
INSERT INTO `mx_admin` VALUES (10, 'teacher01', 'teacher01', 'fdb9cadd79c99d2db36bcd33785e4576', 'ajK1XV', '/assets/img/avatar.png', '', '', 0, NULL, NULL, 1735287443, 1735287448, '1735287448', '', 'normal', NULL, 0);
INSERT INTO `mx_admin` VALUES (11, 'xueyuan003', 'xueyuan003', '3b5b01a698079d6cf04829df24ffd4e0', '2wYyAm', '/assets/img/avatar.png', '', '', 0, NULL, NULL, 1735614471, 1735614471, NULL, '', 'normal', NULL, 42);
INSERT INTO `mx_admin` VALUES (12, 'xueyuan004', 'xueyuan004', 'aa71c1f0b9ab218304aad4487900bbd0', 'apFCSP', '/assets/img/avatar.png', '', '', 0, NULL, NULL, 1735614498, 1735614498, NULL, '', 'normal', NULL, 43);

-- ----------------------------
-- Table structure for mx_admin_log
-- ----------------------------
DROP TABLE IF EXISTS `mx_admin_log`;
CREATE TABLE `mx_admin_log`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `admin_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '管理员ID',
  `username` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '管理员名字',
  `url` varchar(1500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作页面',
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '日志标题',
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '内容',
  `ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'IP',
  `useragent` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'User-Agent',
  `createtime` bigint NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`username` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 668 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '管理员日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_admin_log
-- ----------------------------
INSERT INTO `mx_admin_log` VALUES (1, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"awg8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269556);
INSERT INTO `mx_admin_log` VALUES (2, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"4\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269671);
INSERT INTO `mx_admin_log` VALUES (3, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"66\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269831);
INSERT INTO `mx_admin_log` VALUES (4, 1, 'admin', '/ZQOtIMLKud.php/ajax/upload', '', '{\"category\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269880);
INSERT INTO `mx_admin_log` VALUES (5, 1, 'admin', '/ZQOtIMLKud.php/general.profile/update', '常规管理 / 个人资料 / 更新个人信息', '{\"__token__\":\"***\",\"row\":{\"avatar\":\"\\/uploads\\/20241227\\/015dd92622f8209b95933860d0defe02.png\",\"email\":\"admin@admin.com\",\"nickname\":\"Admin\",\"password\":\"***\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269881);
INSERT INTO `mx_admin_log` VALUES (6, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269902);
INSERT INTO `mx_admin_log` VALUES (7, 1, 'admin', '/ZQOtIMLKud.php/auth/group/add?dialog=1', '权限管理 / 角色组 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"\",\"pid\":\"1\",\"name\":\"管理端\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269915);
INSERT INTO `mx_admin_log` VALUES (8, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269917);
INSERT INTO `mx_admin_log` VALUES (9, 1, 'admin', '/ZQOtIMLKud.php/auth/group/add?dialog=1', '权限管理 / 角色组 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269922);
INSERT INTO `mx_admin_log` VALUES (10, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269924);
INSERT INTO `mx_admin_log` VALUES (11, 1, 'admin', '/ZQOtIMLKud.php/auth/group/add?dialog=1', '权限管理 / 角色组 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269928);
INSERT INTO `mx_admin_log` VALUES (12, 1, 'admin', '/ZQOtIMLKud.php/auth/group/del', '权限管理 / 角色组 / 删除', '{\"action\":\"del\",\"ids\":\"2\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269937);
INSERT INTO `mx_admin_log` VALUES (13, 1, 'admin', '/ZQOtIMLKud.php/auth/group/del', '权限管理 / 角色组 / 删除', '{\"action\":\"del\",\"ids\":\"5\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269940);
INSERT INTO `mx_admin_log` VALUES (14, 1, 'admin', '/ZQOtIMLKud.php/auth/group/del', '权限管理 / 角色组 / 删除', '{\"action\":\"del\",\"ids\":\"3\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269942);
INSERT INTO `mx_admin_log` VALUES (15, 1, 'admin', '/ZQOtIMLKud.php/auth/group/del', '权限管理 / 角色组 / 删除', '{\"action\":\"del\",\"ids\":\"2\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269944);
INSERT INTO `mx_admin_log` VALUES (16, 1, 'admin', '/ZQOtIMLKud.php/auth/group/del', '权限管理 / 角色组 / 删除', '{\"action\":\"del\",\"ids\":\"4\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269946);
INSERT INTO `mx_admin_log` VALUES (17, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"4\",\"params\":\"ismenu=1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735269987);
INSERT INTO `mx_admin_log` VALUES (18, 1, 'admin', '/ZQOtIMLKud.php/addon/install', '插件管理', '{\"name\":\"department\",\"force\":\"0\",\"uid\":\"26552\",\"token\":\"***\",\"version\":\"1.0.4\",\"faversion\":\"1.5.2.20240906\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270528);
INSERT INTO `mx_admin_log` VALUES (19, 1, 'admin', '/ZQOtIMLKud.php/addon/state', '插件管理 / 禁用启用', '{\"name\":\"department\",\"action\":\"enable\",\"force\":\"0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270529);
INSERT INTO `mx_admin_log` VALUES (20, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"sutdent\",\"title\":\"学生信息管理\",\"url\":\"\",\"icon\":\"fa fa-address-book-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270655);
INSERT INTO `mx_admin_log` VALUES (21, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/85?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"99\",\"name\":\"department\",\"title\":\"组织架构\",\"url\":\"\",\"icon\":\"fa fa-sitemap\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"8\",\"status\":\"normal\"},\"ids\":\"85\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270669);
INSERT INTO `mx_admin_log` VALUES (22, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/93?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"99\",\"name\":\"department\\/index\",\"title\":\"学生管理\",\"url\":\"\",\"icon\":\"fa fa-sliders\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"93\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270702);
INSERT INTO `mx_admin_log` VALUES (23, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/93?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"99\",\"name\":\"department\\/index\",\"title\":\"组织架构\",\"url\":\"\",\"icon\":\"fa fa-sliders\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"93\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270733);
INSERT INTO `mx_admin_log` VALUES (24, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/86?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"99\",\"name\":\"department\\/admin\",\"title\":\"学生管理\",\"url\":\"\",\"icon\":\"fa fa-users\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"86\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270751);
INSERT INTO `mx_admin_log` VALUES (25, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/del', '权限管理 / 菜单规则 / 删除', '{\"action\":\"del\",\"ids\":\"85\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270760);
INSERT INTO `mx_admin_log` VALUES (26, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"4\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270777);
INSERT INTO `mx_admin_log` VALUES (27, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/93?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"99\",\"name\":\"department\\/index\",\"title\":\"组织架构\",\"url\":\"\",\"icon\":\"fa fa-sliders\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"},\"ids\":\"93\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735270788);
INSERT INTO `mx_admin_log` VALUES (28, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\",\"title\":\"教师管理\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"90\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735271294);
INSERT INTO `mx_admin_log` VALUES (29, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/99?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"sutdent\",\"title\":\"学生信息管理\",\"url\":\"\",\"icon\":\"fa fa-address-book-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"80\",\"status\":\"normal\"},\"ids\":\"99\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735271303);
INSERT INTO `mx_admin_log` VALUES (30, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/100?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\",\"title\":\"教师管理\",\"url\":\"\",\"icon\":\"fa fa-graduation-cap\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"90\",\"status\":\"normal\"},\"ids\":\"100\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735271322);
INSERT INTO `mx_admin_log` VALUES (31, 1, 'admin', '/ZQOtIMLKud.php/department/index/add?dialog=1', '组织架构 / 添加', '{\"dialog\":\"1\",\"row\":{\"parent_id\":\"0\",\"name\":\"专科\\r\\n本科\\r\\n硕士\\r\\n博士\",\"tags\":\"\",\"weigh\":\"50\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735271624);
INSERT INTO `mx_admin_log` VALUES (32, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/task\\/index\",\"title\":\"训练任务管理\",\"url\":\"\",\"icon\":\"fa fa-tumblr\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"70\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735277987);
INSERT INTO `mx_admin_log` VALUES (33, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/score\\/index\",\"title\":\"学生成绩管理\",\"url\":\"\",\"icon\":\"fa fa-bar-chart\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"60\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278034);
INSERT INTO `mx_admin_log` VALUES (34, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"examination\",\"title\":\"学生考试管理\",\"url\":\"\",\"icon\":\"fa fa-file-excel-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"50\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278142);
INSERT INTO `mx_admin_log` VALUES (35, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"103\",\"name\":\"teacher\\/examination\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-align-justify\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278188);
INSERT INTO `mx_admin_log` VALUES (36, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"103\",\"name\":\"teacher\\/examination\\/persent\",\"title\":\"当前考试\",\"url\":\"\",\"icon\":\"fa fa-dashcube\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278273);
INSERT INTO `mx_admin_log` VALUES (37, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"practice\",\"title\":\"学校练习管理\",\"url\":\"\",\"icon\":\"fa fa-superscript\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"40\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278341);
INSERT INTO `mx_admin_log` VALUES (38, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"sexamination\",\"title\":\"考试管理\",\"url\":\"\",\"icon\":\"fa fa-bar-chart\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"30\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278424);
INSERT INTO `mx_admin_log` VALUES (39, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"spractice\",\"title\":\"练习管理\",\"url\":\"\",\"icon\":\"fa fa-yelp\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"20\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278482);
INSERT INTO `mx_admin_log` VALUES (40, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"student\\/exercise\\/index\",\"title\":\"自主练习管理\",\"url\":\"\",\"icon\":\"fa fa-pause\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278555);
INSERT INTO `mx_admin_log` VALUES (41, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"106\",\"name\":\"teacher\\/practice\\/index\",\"title\":\"练习列表\",\"url\":\"\",\"icon\":\"fa fa-themeisle\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278667);
INSERT INTO `mx_admin_log` VALUES (42, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"106\",\"name\":\"teacher\\/practice\\/persent\",\"title\":\"当前练习\",\"url\":\"\",\"icon\":\"fa fa-glide-g\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278715);
INSERT INTO `mx_admin_log` VALUES (43, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"107\",\"name\":\"student\\/examination\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-dropbox\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278776);
INSERT INTO `mx_admin_log` VALUES (44, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"107\",\"name\":\"student\\/score\\/index\",\"title\":\"成绩管理\",\"url\":\"\",\"icon\":\"fa fa-barcode\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278845);
INSERT INTO `mx_admin_log` VALUES (45, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"108\",\"name\":\"student\\/practice\\/index\",\"title\":\"练习列表\",\"url\":\"\",\"icon\":\"fa fa-braille\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735278882);
INSERT INTO `mx_admin_log` VALUES (46, 1, 'admin', '/ZQOtIMLKud.php/auth/admin/add?dialog=1', '权限管理 / 管理员管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"group\":[\"6\"],\"row\":{\"username\":\"manage\",\"email\":\"manage@163.com\",\"mobile\":\"\",\"nickname\":\"管理\",\"password\":\"***\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735279382);
INSERT INTO `mx_admin_log` VALUES (47, 1, 'admin', '/ZQOtIMLKud.php/auth/admin/add?dialog=1', '权限管理 / 管理员管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"group\":[\"7\"],\"row\":{\"username\":\"teacher\",\"email\":\"teacher@163.com\",\"mobile\":\"\",\"nickname\":\"teacher\",\"password\":\"***\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735279402);
INSERT INTO `mx_admin_log` VALUES (48, 1, 'admin', '/ZQOtIMLKud.php/auth/admin/add?dialog=1', '权限管理 / 管理员管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"group\":[\"8\"],\"row\":{\"username\":\"xueyuan001\",\"email\":\"xueyuan001@163.com\",\"mobile\":\"\",\"nickname\":\"xueyuan001\",\"password\":\"***\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735279423);
INSERT INTO `mx_admin_log` VALUES (49, 1, 'admin', '/ZQOtIMLKud.php/teacher/add?dialog=1', '教师管理', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"teacher01\",\"mobile\":\"\",\"nickname\":\"teacher01\",\"password\":\"***\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735280956);
INSERT INTO `mx_admin_log` VALUES (50, 1, 'admin', '/ZQOtIMLKud.php/teacher/add?dialog=1', '教师管理', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"teacher01\",\"mobile\":\"\",\"nickname\":\"teacher01\",\"password\":\"***\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281033);
INSERT INTO `mx_admin_log` VALUES (51, 1, 'admin', '/ZQOtIMLKud.php/teacher/edit/ids/5?dialog=1', '教师管理', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"teacher011\",\"mobile\":\"\",\"nickname\":\"teacher011\",\"password\":\"***\",\"loginfailure\":\"0\",\"status\":\"normal\"},\"ids\":\"5\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281043);
INSERT INTO `mx_admin_log` VALUES (52, 1, 'admin', '/ZQOtIMLKud.php/teacher/edit/ids/5?dialog=1', '教师管理', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"teacher011\",\"mobile\":\"\",\"nickname\":\"teacher011\",\"password\":\"***\",\"loginfailure\":\"0\",\"status\":\"normal\"},\"ids\":\"5\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281091);
INSERT INTO `mx_admin_log` VALUES (53, 1, 'admin', '/ZQOtIMLKud.php/department/index/add/parent_id/28?dialog=1', '组织架构 / 添加', '{\"dialog\":\"1\",\"row\":{\"parent_id\":\"28\",\"name\":\"计算机\\r\\n生物与化工\\r\\n新闻传播\\r\\n人文和社会科学\",\"weigh\":\"50\",\"status\":\"normal\"},\"parent_id\":\"28\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281221);
INSERT INTO `mx_admin_log` VALUES (54, 1, 'admin', '/ZQOtIMLKud.php/department/index/add/parent_id/29?dialog=1', '组织架构 / 添加', '{\"dialog\":\"1\",\"row\":{\"parent_id\":\"29\",\"name\":\"2022级\\r\\n2023级\\r\\n2024级\",\"weigh\":\"50\",\"status\":\"normal\"},\"parent_id\":\"29\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281247);
INSERT INTO `mx_admin_log` VALUES (55, 1, 'admin', '/ZQOtIMLKud.php/department/index/add/parent_id/35?dialog=1', '组织架构 / 添加', '{\"dialog\":\"1\",\"row\":{\"parent_id\":\"35\",\"name\":\"01队\\r\\n02队\\r\\n03队\\r\\n04队\",\"weigh\":\"50\",\"status\":\"normal\"},\"parent_id\":\"35\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281268);
INSERT INTO `mx_admin_log` VALUES (56, 1, 'admin', '/ZQOtIMLKud.php/department/index/add/parent_id/36?dialog=1', '组织架构 / 添加', '{\"dialog\":\"1\",\"row\":{\"parent_id\":\"36\",\"name\":\"011区队\\r\\n012区队\",\"weigh\":\"50\",\"status\":\"normal\"},\"parent_id\":\"36\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735281291);
INSERT INTO `mx_admin_log` VALUES (57, 1, 'admin', '/ZQOtIMLKud.php/general.config/edit', '常规管理 / 系统配置 / 编辑', '{\"__token__\":\"***\",\"row\":{\"name\":\"维修模拟训练平台\",\"beian\":\"\",\"version\":\"1.0.2\",\"timezone\":\"Asia\\/Shanghai\",\"forbiddenip\":\"\",\"languages\":\"{&quot;backend&quot;:&quot;zh-cn&quot;,&quot;frontend&quot;:&quot;zh-cn&quot;}\",\"fixedpage\":\"dashboard\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735283559);
INSERT INTO `mx_admin_log` VALUES (58, 1, 'admin', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan002\",\"nickname\":\"xueyuan002\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":[\"41\"]}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735284469);
INSERT INTO `mx_admin_log` VALUES (59, 1, 'admin', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan002\",\"nickname\":\"xueyuan002\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":[\"41\"]}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735284481);
INSERT INTO `mx_admin_log` VALUES (60, 1, 'admin', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan002\",\"nickname\":\"xueyuan002\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":[\"41\"]}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735284563);
INSERT INTO `mx_admin_log` VALUES (61, 1, 'admin', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan002\",\"nickname\":\"xueyuan002\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":[\"41\"]}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735284578);
INSERT INTO `mx_admin_log` VALUES (62, 1, 'admin', '/ZQOtIMLKud.php/department/admin/edit/ids/4?dialog=1', '学生管理 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan001\",\"nickname\":\"xueyuan001\",\"password\":\"***\",\"loginfailure\":\"0\",\"status\":\"normal\"},\"department_id\":\"40\",\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735284806);
INSERT INTO `mx_admin_log` VALUES (63, 1, 'admin', '/ZQOtIMLKud.php/department/admin/edit/ids/4?dialog=1', '学生管理 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan001\",\"nickname\":\"xueyuan001\",\"password\":\"***\",\"loginfailure\":\"0\",\"status\":\"normal\"},\"department_id\":\"40\",\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735284942);
INSERT INTO `mx_admin_log` VALUES (64, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735285996);
INSERT INTO `mx_admin_log` VALUES (65, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"ismenu=1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735285997);
INSERT INTO `mx_admin_log` VALUES (66, 1, 'admin', '/ZQOtIMLKud.php/department/index/multi', '组织架构 / 批量更新', '{\"action\":\"\",\"ids\":\"32\",\"params\":\"weigh=321\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287015);
INSERT INTO `mx_admin_log` VALUES (67, 1, 'admin', '/ZQOtIMLKud.php/department/index/multi', '组织架构 / 批量更新', '{\"action\":\"\",\"ids\":\"32\",\"params\":\"weigh=32\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287022);
INSERT INTO `mx_admin_log` VALUES (68, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/4?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"0\",\"name\":\"addon\",\"title\":\"插件管理1\",\"url\":\"\",\"icon\":\"fa fa-rocket\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"可在线安装、卸载、禁用、启用、配置、升级插件，插件升级前请做好备份。\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287055);
INSERT INTO `mx_admin_log` VALUES (69, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/55?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"0\",\"name\":\"addon\\/index\",\"title\":\"查看1\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"可在线安装、卸载、禁用、启用、配置、升级插件，插件升级前请做好备份。\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"55\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287067);
INSERT INTO `mx_admin_log` VALUES (70, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/1?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"dashboard\",\"title\":\"控制台1\",\"url\":\"\",\"icon\":\"fa fa-dashboard\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"用于展示当前系统中的统计数据、统计报表及重要实时数据\",\"weigh\":\"143\",\"status\":\"normal\"},\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287078);
INSERT INTO `mx_admin_log` VALUES (71, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/1?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"dashboard\",\"title\":\"控制台\",\"url\":\"\",\"icon\":\"fa fa-dashboard\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"用于展示当前系统中的统计数据、统计报表及重要实时数据\",\"weigh\":\"143\",\"status\":\"normal\"},\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287085);
INSERT INTO `mx_admin_log` VALUES (72, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"100\",\"name\":\"teacher\\/add\",\"title\":\"添加教师\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287107);
INSERT INTO `mx_admin_log` VALUES (73, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"100\",\"name\":\"teacher\\/edit\",\"title\":\"编辑教师\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287128);
INSERT INTO `mx_admin_log` VALUES (74, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"100\",\"name\":\"teacher\\/del\",\"title\":\"删除教师\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287141);
INSERT INTO `mx_admin_log` VALUES (75, 1, 'admin', '/ZQOtIMLKud.php/teacher/del', '教师管理 / 删除教师', '{\"action\":\"del\",\"ids\":\"5\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287374);
INSERT INTO `mx_admin_log` VALUES (76, 1, 'admin', '/ZQOtIMLKud.php/teacher/add?dialog=1', '教师管理 / 添加教师', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"teacher01\",\"mobile\":\"\",\"nickname\":\"teacher01\",\"password\":\"***\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287443);
INSERT INTO `mx_admin_log` VALUES (77, 1, 'admin', '/ZQOtIMLKud.php/teacher/del', '教师管理 / 删除教师', '{\"action\":\"del\",\"ids\":\"10\",\"params\":\"\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287448);
INSERT INTO `mx_admin_log` VALUES (78, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"6\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287478);
INSERT INTO `mx_admin_log` VALUES (79, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/6?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,115,116,117\",\"pid\":\"1\",\"name\":\"管理端\",\"status\":\"normal\"},\"ids\":\"6\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735287490);
INSERT INTO `mx_admin_log` VALUES (80, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/100?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/info\",\"title\":\"教师管理\",\"url\":\"\",\"icon\":\"fa fa-graduation-cap\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"90\",\"status\":\"normal\"},\"ids\":\"100\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735288337);
INSERT INTO `mx_admin_log` VALUES (81, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"6\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735288482);
INSERT INTO `mx_admin_log` VALUES (82, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/6?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"115,116,117,94,95,96,97,98,87,88,89,90,91,92,100,93,86,99\",\"pid\":\"1\",\"name\":\"管理端\",\"status\":\"normal\"},\"ids\":\"6\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735288483);
INSERT INTO `mx_admin_log` VALUES (83, 2, 'manage', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"manage\",\"password\":\"***\",\"captcha\":\"xlwg\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735288520);
INSERT INTO `mx_admin_log` VALUES (84, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/100?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/info\\/index\",\"title\":\"教师管理\",\"url\":\"\",\"icon\":\"fa fa-graduation-cap\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"90\",\"status\":\"normal\"},\"ids\":\"100\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735288544);
INSERT INTO `mx_admin_log` VALUES (85, 1, 'admin', '/ZQOtIMLKud.php/general/config/check', '常规管理 / 系统配置', '{\"row\":{\"name\":\"sim_sim_type\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735289048);
INSERT INTO `mx_admin_log` VALUES (86, 1, 'admin', '/ZQOtIMLKud.php/general.config/add', '常规管理 / 系统配置 / 添加', '{\"__token__\":\"***\",\"row\":{\"group\":\"dictionary\",\"type\":\"radio\",\"name\":\"sim_sim_type\",\"title\":\"模拟器类型\",\"setting\":{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"},\"value\":\"\",\"content\":\"0001|FZD04B型侦毒器\\r\\n0002|FZB006型毒剂报警器\\r\\n0003|防化兵用毒剂报警器\",\"tip\":\"\",\"rule\":\"\",\"visible\":\"\",\"extend\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735289212);
INSERT INTO `mx_admin_log` VALUES (87, 1, 'admin', '/ZQOtIMLKud.php/general/config/check', '常规管理 / 系统配置', '{\"row\":{\"name\":\"sim_question_setting_method\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735289464);
INSERT INTO `mx_admin_log` VALUES (88, 1, 'admin', '/ZQOtIMLKud.php/general.config/add', '常规管理 / 系统配置 / 添加', '{\"__token__\":\"***\",\"row\":{\"group\":\"dictionary\",\"type\":\"select\",\"name\":\"sim_question_setting_method\",\"title\":\"出题方式\",\"setting\":{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"},\"value\":\"\",\"content\":\"1|系统随机\\r\\n2|教师自选\\r\\n3|任务自选\",\"tip\":\"\",\"rule\":\"\",\"visible\":\"\",\"extend\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735289602);
INSERT INTO `mx_admin_log` VALUES (89, 1, 'admin', '/ZQOtIMLKud.php/general/config/check', '常规管理 / 系统配置', '{\"row\":{\"name\":\"sim_sim_state\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735289664);
INSERT INTO `mx_admin_log` VALUES (90, 1, 'admin', '/ZQOtIMLKud.php/general.config/add', '常规管理 / 系统配置 / 添加', '{\"__token__\":\"***\",\"row\":{\"group\":\"dictionary\",\"type\":\"select\",\"name\":\"sim_sim_state\",\"title\":\"模拟器状态\",\"setting\":{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"},\"value\":\"\",\"content\":\"0|初始化\\r\\n1|在线\\r\\n2|离线\\r\\n3|网关离线\\r\\n4|硬件异常\\r\\n5|手动禁用\",\"tip\":\"\",\"rule\":\"\",\"visible\":\"\",\"extend\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735290064);
INSERT INTO `mx_admin_log` VALUES (91, 1, 'admin', '/ZQOtIMLKud.php/general/config/check', '常规管理 / 系统配置', '{\"row\":{\"name\":\"sim_repair\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735290265);
INSERT INTO `mx_admin_log` VALUES (92, 1, 'admin', '/ZQOtIMLKud.php/general.config/add', '常规管理 / 系统配置 / 添加', '{\"__token__\":\"***\",\"row\":{\"group\":\"dictionary\",\"type\":\"select\",\"name\":\"sim_repair\",\"title\":\"维修情况\",\"setting\":{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"},\"value\":\"\",\"content\":\"0|初始化\\r\\n1|排除\\r\\n2|未排除\",\"tip\":\"\",\"rule\":\"\",\"visible\":\"\",\"extend\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735290380);
INSERT INTO `mx_admin_log` VALUES (93, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735290463);
INSERT INTO `mx_admin_log` VALUES (94, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"7ki8\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735290613);
INSERT INTO `mx_admin_log` VALUES (95, 1, 'admin', '/ZQOtIMLKud.php/general.config/edit', '常规管理 / 系统配置 / 编辑', '{\"__token__\":\"***\",\"row\":{\"name\":\"维修模拟训练平台\",\"beian\":\"\",\"version\":\"1.0.2\",\"timezone\":\"Asia\\/Shanghai\",\"forbiddenip\":\"\",\"languages\":\"{&quot;backend&quot;:&quot;zh-cn&quot;,&quot;frontend&quot;:&quot;zh-cn&quot;}\",\"fixedpage\":\"dashboard\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735290660);
INSERT INTO `mx_admin_log` VALUES (96, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"q5tc\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735350470);
INSERT INTO `mx_admin_log` VALUES (97, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735350509);
INSERT INTO `mx_admin_log` VALUES (98, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/104?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"103\",\"name\":\"teacher\\/exams\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-align-justify\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"},\"ids\":\"104\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735351222);
INSERT INTO `mx_admin_log` VALUES (99, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/105?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"103\",\"name\":\"teacher\\/exams\\/persent\",\"title\":\"当前考试\",\"url\":\"\",\"icon\":\"fa fa-dashcube\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"105\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735351230);
INSERT INTO `mx_admin_log` VALUES (100, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/102?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/exams\\/score\",\"title\":\"学生成绩管理\",\"url\":\"\",\"icon\":\"fa fa-bar-chart\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"60\",\"status\":\"normal\"},\"ids\":\"102\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735351550);
INSERT INTO `mx_admin_log` VALUES (101, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/102?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/exams\\/index\",\"title\":\"学生成绩管理\",\"url\":\"\",\"icon\":\"fa fa-bar-chart\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"60\",\"status\":\"normal\"},\"ids\":\"102\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735351950);
INSERT INTO `mx_admin_log` VALUES (102, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/104?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"103\",\"name\":\"teacher\\/collection\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-align-justify\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"},\"ids\":\"104\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735351977);
INSERT INTO `mx_admin_log` VALUES (103, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/102?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"0\",\"name\":\"teacher\\/exams\\/index\",\"title\":\"学生成绩管理\",\"url\":\"\",\"icon\":\"fa fa-bar-chart\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"60\",\"status\":\"normal\"},\"ids\":\"102\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735351986);
INSERT INTO `mx_admin_log` VALUES (104, 0, 'Unknown', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/teacher/collection/index?ref=addtabs', '', '{\"url\":\"\\/ZQOtIMLKud.php\\/teacher\\/collection\\/index?ref=addtabs\",\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"i8la\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356483);
INSERT INTO `mx_admin_log` VALUES (105, 1, 'admin', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/teacher/collection/index?ref=addtabs', '登录', '{\"url\":\"\\/ZQOtIMLKud.php\\/teacher\\/collection\\/index?ref=addtabs\",\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"pcfw\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356486);
INSERT INTO `mx_admin_log` VALUES (106, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"13\",\"params\":\"exam_collection_state=1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356908);
INSERT INTO `mx_admin_log` VALUES (107, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"13\",\"params\":\"exam_collection_state=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356913);
INSERT INTO `mx_admin_log` VALUES (108, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"13\",\"params\":\"exam_collection_state=1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356938);
INSERT INTO `mx_admin_log` VALUES (109, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"13\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356987);
INSERT INTO `mx_admin_log` VALUES (110, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"13\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356991);
INSERT INTO `mx_admin_log` VALUES (111, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"12\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356995);
INSERT INTO `mx_admin_log` VALUES (112, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735356997);
INSERT INTO `mx_admin_log` VALUES (113, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"ismenu=1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735358150);
INSERT INTO `mx_admin_log` VALUES (114, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/112?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"107\",\"name\":\"student\\/exam\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-dropbox\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"},\"ids\":\"112\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735361329);
INSERT INTO `mx_admin_log` VALUES (115, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/112?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"107\",\"name\":\"student\\/exam\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-dropbox\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"},\"ids\":\"112\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735361329);
INSERT INTO `mx_admin_log` VALUES (116, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/112?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"107\",\"name\":\"student\\/collection\\/index\",\"title\":\"考试列表\",\"url\":\"\",\"icon\":\"fa fa-dropbox\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"10\",\"status\":\"normal\"},\"ids\":\"112\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735361564);
INSERT INTO `mx_admin_log` VALUES (117, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/113?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"1\",\"pid\":\"107\",\"name\":\"student\\/exam\\/index\",\"title\":\"成绩管理\",\"url\":\"\",\"icon\":\"fa fa-barcode\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"113\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735361571);
INSERT INTO `mx_admin_log` VALUES (118, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735362264);
INSERT INTO `mx_admin_log` VALUES (119, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"hict\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735520549);
INSERT INTO `mx_admin_log` VALUES (120, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"66666\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735529628);
INSERT INTO `mx_admin_log` VALUES (121, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"sim_type\":\"0001\",\"name\":\"2222\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735529695);
INSERT INTO `mx_admin_log` VALUES (122, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"sim_type\":\"0003\",\"name\":\"44444\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735529772);
INSERT INTO `mx_admin_log` VALUES (123, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"sim_type\":\"0002\",\"name\":\"577777\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530325);
INSERT INTO `mx_admin_log` VALUES (124, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"sim_type\":\"0002\",\"name\":\"577777\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530395);
INSERT INTO `mx_admin_log` VALUES (125, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"1\",\"create_by\":\"Admin\",\"sim_type\":\"0002\",\"name\":\"333333\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530591);
INSERT INTO `mx_admin_log` VALUES (126, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"1\",\"create_by\":\"Admin\",\"sim_type\":\"0002\",\"name\":\"333333\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530608);
INSERT INTO `mx_admin_log` VALUES (127, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"1\",\"create_by\":\"Admin\",\"sim_type\":\"0002\",\"name\":\"333333\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530641);
INSERT INTO `mx_admin_log` VALUES (128, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"1\",\"create_by\":\"Admin\",\"sim_type\":\"0002\",\"name\":\"333333\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530668);
INSERT INTO `mx_admin_log` VALUES (129, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"1\",\"create_by\":\"Admin\",\"sim_type\":\"0002\",\"name\":\"56565656\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530703);
INSERT INTO `mx_admin_log` VALUES (130, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/edit/ids/40?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0002\",\"name\":\"56565656\"},\"ids\":\"40\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530924);
INSERT INTO `mx_admin_log` VALUES (131, 1, 'admin', '/ZQOtIMLKud.php/teacher.task/edit/ids/29?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"22222\"},\"ids\":\"29\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735530930);
INSERT INTO `mx_admin_log` VALUES (132, 1, 'admin', '/ZQOtIMLKud.php/teacher/task/del/ids/40', '', '{\"ids\":\"40\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735537115);
INSERT INTO `mx_admin_log` VALUES (133, 1, 'admin', '/ZQOtIMLKud.php/teacher/task/edit/ids/30?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"2222\"},\"ids\":\"30\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735537384);
INSERT INTO `mx_admin_log` VALUES (134, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"exam_collection_type\":\"3\",\"create_by_user_id\":\"1\",\"create_by\":\"Admin\",\"exam_collection_name\":\"2222222\",\"sim_type\":\"0001\",\"start_time\":\"2024-12-17\",\"end_time\":\"2024-12-30\",\"limit_duration\":\"30\",\"question_setting_method\":\"1\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735539062);
INSERT INTO `mx_admin_log` VALUES (135, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"1\",\"create_by\":\"Admin\",\"exam_collection_name\":\"56565656\",\"sim_type\":\"0001\",\"start_time\":\"2024-12-24\",\"end_time\":\"2024-12-30\",\"limit_duration\":\"50\",\"question_setting_method\":\"1\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735539697);
INSERT INTO `mx_admin_log` VALUES (136, 0, 'Unknown', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/teacher/collection/index?ref=addtabs', '登录', '{\"url\":\"\\/ZQOtIMLKud.php\\/teacher\\/collection\\/index?ref=addtabs\",\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"r4hl\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735541228);
INSERT INTO `mx_admin_log` VALUES (137, 4, 'xueyuan001', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/teacher/collection/index?ref=addtabs', '登录', '{\"url\":\"\\/ZQOtIMLKud.php\\/teacher\\/collection\\/index?ref=addtabs\",\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"hmcv\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735541237);
INSERT INTO `mx_admin_log` VALUES (138, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735541255);
INSERT INTO `mx_admin_log` VALUES (139, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"107,108,109,112,113,114\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735541260);
INSERT INTO `mx_admin_log` VALUES (140, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"112\",\"name\":\"student\\/collection\\/into\",\"title\":\"进入考试\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735542962);
INSERT INTO `mx_admin_log` VALUES (141, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735542966);
INSERT INTO `mx_admin_log` VALUES (142, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"107,108,109,112,113,114,118\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735542969);
INSERT INTO `mx_admin_log` VALUES (143, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735545398);
INSERT INTO `mx_admin_log` VALUES (144, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,107,108,109,112,113,114,118,2\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735545403);
INSERT INTO `mx_admin_log` VALUES (145, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"avatar\":\"\\/assets\\/img\\/avatar.png\",\"nickname\":\"xueyuan001\",\"password\":\"***\"},\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735545769);
INSERT INTO `mx_admin_log` VALUES (146, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"nickname\":\"xueyuan001\"},\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546113);
INSERT INTO `mx_admin_log` VALUES (147, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"nickname\":\"xueyuan001\"},\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546209);
INSERT INTO `mx_admin_log` VALUES (148, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"row\":{\"nickname\":\"xueyuan001\"},\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546309);
INSERT INTO `mx_admin_log` VALUES (149, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546655);
INSERT INTO `mx_admin_log` VALUES (150, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546691);
INSERT INTO `mx_admin_log` VALUES (151, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546756);
INSERT INTO `mx_admin_log` VALUES (152, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735546768);
INSERT INTO `mx_admin_log` VALUES (153, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547104);
INSERT INTO `mx_admin_log` VALUES (154, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547277);
INSERT INTO `mx_admin_log` VALUES (155, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547335);
INSERT INTO `mx_admin_log` VALUES (156, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547364);
INSERT INTO `mx_admin_log` VALUES (157, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547409);
INSERT INTO `mx_admin_log` VALUES (158, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547530);
INSERT INTO `mx_admin_log` VALUES (159, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547580);
INSERT INTO `mx_admin_log` VALUES (160, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547602);
INSERT INTO `mx_admin_log` VALUES (161, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547643);
INSERT INTO `mx_admin_log` VALUES (162, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547722);
INSERT INTO `mx_admin_log` VALUES (163, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547758);
INSERT INTO `mx_admin_log` VALUES (164, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547864);
INSERT INTO `mx_admin_log` VALUES (165, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"112\",\"name\":\"student\\/collection\\/examing\",\"title\":\"考试中\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547894);
INSERT INTO `mx_admin_log` VALUES (166, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"112\",\"name\":\"student\\/collection\\/analysis\",\"title\":\"得分分析\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547955);
INSERT INTO `mx_admin_log` VALUES (167, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547958);
INSERT INTO `mx_admin_log` VALUES (168, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,107,108,109,112,113,114,118,119,120,2\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547962);
INSERT INTO `mx_admin_log` VALUES (169, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735547998);
INSERT INTO `mx_admin_log` VALUES (170, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735548136);
INSERT INTO `mx_admin_log` VALUES (171, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735548295);
INSERT INTO `mx_admin_log` VALUES (172, 1, 'admin', '/ZQOtIMLKud.php/general.config/edit', '常规管理 / 系统配置 / 编辑', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735551643);
INSERT INTO `mx_admin_log` VALUES (173, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"other_supplier\":\"\"},\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735552538);
INSERT INTO `mx_admin_log` VALUES (174, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"0\":{\"name\":\"74\",\"states\":\"0\"},\"other_supplier\":\"[{&quot;name&quot;:&quot;74&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;222&quot;,&quot;price&quot;:&quot;5555&quot;}]\",\"jielun\":\"55555\"},\"unwin\":[{\"name\":\"222\",\"price\":\"5555\"}],\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735554414);
INSERT INTO `mx_admin_log` VALUES (175, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"0\":{\"name\":\"74\",\"states\":\"0\"},\"other_supplier\":\"[{&quot;name&quot;:&quot;74&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;222&quot;,&quot;price&quot;:&quot;5555&quot;}]\",\"jielun\":\"55555\"},\"unwin\":[{\"name\":\"222\",\"price\":\"5555\"}],\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735554468);
INSERT INTO `mx_admin_log` VALUES (176, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"0\":{\"name\":\"74\",\"states\":\"0\"},\"other_supplier\":\"[{&quot;name&quot;:&quot;74&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;222&quot;,&quot;price&quot;:&quot;5555&quot;}]\",\"jielun\":\"55555\"},\"unwin\":[{\"name\":\"222\",\"price\":\"5555\"}],\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735554566);
INSERT INTO `mx_admin_log` VALUES (177, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"row\":{\"0\":{\"name\":\"74\",\"states\":\"0\"},\"1\":{\"name\":\"74\",\"states\":\"0\"},\"other_supplier\":\"[{&quot;name&quot;:&quot;74&quot;,&quot;states&quot;:&quot;0&quot;},{&quot;name&quot;:&quot;74&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;999&quot;,&quot;price&quot;:&quot;98989&quot;},{&quot;name&quot;:&quot;888&quot;,&quot;price&quot;:&quot;8888&quot;}]\",\"jielun\":\"888888\"},\"unwin\":[{\"name\":\"999\",\"price\":\"98989\"},{\"name\":\"888\",\"price\":\"8888\"}],\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735554600);
INSERT INTO `mx_admin_log` VALUES (178, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"unwin\":[{\"name\":\"99999\",\"states\":\"0\",\"price\":\"7777\"},{\"name\":\"82\",\"states\":\"0\"}],\"row\":{\"other_supplier\":\"[{&quot;name&quot;:&quot;82&quot;,&quot;states&quot;:&quot;0&quot;},{&quot;name&quot;:&quot;82&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;99999&quot;,&quot;price&quot;:&quot;7777&quot;}]\",\"jielun\":\"88888\"},\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735554704);
INSERT INTO `mx_admin_log` VALUES (179, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/4?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"unwin\":[{\"name\":\"99999\",\"states\":\"0\",\"price\":\"7777\"},{\"name\":\"82\",\"states\":\"0\"}],\"row\":{\"other_supplier\":\"[{&quot;name&quot;:&quot;82&quot;,&quot;states&quot;:&quot;0&quot;},{&quot;name&quot;:&quot;82&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;99999&quot;,&quot;price&quot;:&quot;7777&quot;}]\",\"jielun\":\"88888\"},\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735555049);
INSERT INTO `mx_admin_log` VALUES (180, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/analysis/ids/4?addtabs=1', '得分分析', '{\"addtabs\":\"1\",\"ids\":\"4\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735556142);
INSERT INTO `mx_admin_log` VALUES (181, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735556964);
INSERT INTO `mx_admin_log` VALUES (182, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"DADG\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735557928);
INSERT INTO `mx_admin_log` VALUES (183, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735557936);
INSERT INTO `mx_admin_log` VALUES (184, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,110,111,2\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735557950);
INSERT INTO `mx_admin_log` VALUES (185, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"6\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735557951);
INSERT INTO `mx_admin_log` VALUES (186, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/6?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,2\",\"pid\":\"1\",\"name\":\"管理端\",\"status\":\"normal\"},\"ids\":\"6\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735557963);
INSERT INTO `mx_admin_log` VALUES (187, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735606947);
INSERT INTO `mx_admin_log` VALUES (188, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/5?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"unwin\":[{\"name\":\"3333\",\"states\":\"0\",\"price\":\"676666\"}],\"row\":{\"other_supplier\":\"[{&quot;name&quot;:&quot;80&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;3333&quot;,&quot;price&quot;:&quot;676666&quot;}]\",\"jielun\":\"是法国岁的法国士大夫\"},\"ids\":\"5\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735606997);
INSERT INTO `mx_admin_log` VALUES (189, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/5?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"unwin\":[{\"name\":\"3333\",\"states\":\"0\",\"price\":\"676666\"}],\"row\":{\"other_supplier\":\"[{&quot;name&quot;:&quot;80&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;3333&quot;,&quot;price&quot;:&quot;676666&quot;}]\",\"jielun\":\"是法国岁的法国士大夫\"},\"ids\":\"5\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735607049);
INSERT INTO `mx_admin_log` VALUES (190, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/analysis/ids/5?addtabs=1', '得分分析', '{\"addtabs\":\"1\",\"ids\":\"5\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735607079);
INSERT INTO `mx_admin_log` VALUES (191, 1, 'admin', '/ZQOtIMLKud.php/general/config/check', '常规管理 / 系统配置', '{\"row\":{\"name\":\"sim_exam_status\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735607956);
INSERT INTO `mx_admin_log` VALUES (192, 1, 'admin', '/ZQOtIMLKud.php/general.config/add', '常规管理 / 系统配置 / 添加', '{\"__token__\":\"***\",\"row\":{\"group\":\"dictionary\",\"type\":\"select\",\"name\":\"sim_exam_status\",\"title\":\"考试状态\",\"setting\":{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"},\"value\":\"\",\"content\":\"0|未登录\\r\\n1|已登录\\r\\n2|模拟器检查并下发故障中\\r\\n3|模拟器正常\\r\\n4|答题中\\r\\n5|已交卷\\r\\n6|计算成绩中\\r\\n7|获取到成绩报告\\r\\n80|教师标记缺考\\r\\n81|登录未开始答题\\r\\n90|模拟器异常结束\",\"tip\":\"\",\"rule\":\"\",\"visible\":\"\",\"extend\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735608117);
INSERT INTO `mx_admin_log` VALUES (193, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"12\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735608887);
INSERT INTO `mx_admin_log` VALUES (194, 1, 'admin', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"12\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735609054);
INSERT INTO `mx_admin_log` VALUES (195, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"114\",\"name\":\"student\\/practice\\/into\",\"title\":\"进入练习\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610334);
INSERT INTO `mx_admin_log` VALUES (196, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"114\",\"name\":\"student\\/practice\\/examing\",\"title\":\"练习中\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610361);
INSERT INTO `mx_admin_log` VALUES (197, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"114\",\"name\":\"student\\/practice\\/analysis\",\"title\":\"练习得分分析\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610391);
INSERT INTO `mx_admin_log` VALUES (198, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610395);
INSERT INTO `mx_admin_log` VALUES (199, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,107,108,109,112,113,114,118,119,120,121,122,123,2\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610399);
INSERT INTO `mx_admin_log` VALUES (200, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/practice/into/ids/15?addtabs=1', '进入练习', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"15\",\"ids\":\"15\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610657);
INSERT INTO `mx_admin_log` VALUES (201, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/practice/into/ids/15?addtabs=1', '进入练习', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"15\",\"ids\":\"15\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735610800);
INSERT INTO `mx_admin_log` VALUES (202, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"109\",\"name\":\"student\\/exercise\\/examing\",\"title\":\"自主练习中\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735612683);
INSERT INTO `mx_admin_log` VALUES (203, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"109\",\"name\":\"student\\/exercise\\/analysis\",\"title\":\"得分分析\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735612717);
INSERT INTO `mx_admin_log` VALUES (204, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735612720);
INSERT INTO `mx_admin_log` VALUES (205, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,107,108,109,112,113,114,118,119,120,121,122,123,124,125,2\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735612723);
INSERT INTO `mx_admin_log` VALUES (206, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/exercise/examing/ids/9?addtabs=1', '自主练习中', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"unwin\":[{\"name\":\"222\",\"states\":\"0\",\"price\":\"5555\"}],\"row\":{\"other_supplier\":\"[{&quot;name&quot;:&quot;80&quot;,&quot;states&quot;:&quot;0&quot;}]\",\"other_supplier1\":\"[{&quot;name&quot;:&quot;222&quot;,&quot;price&quot;:&quot;5555&quot;}]\",\"jielun\":\"33333\"},\"ids\":\"9\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735612846);
INSERT INTO `mx_admin_log` VALUES (207, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/exercise/analysis/ids/9?addtabs=1', '得分分析', '{\"addtabs\":\"1\",\"ids\":\"9\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735612867);
INSERT INTO `mx_admin_log` VALUES (208, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"86\",\"name\":\"department\\/admin\\/edit\",\"title\":\"编辑学员信息\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735613998);
INSERT INTO `mx_admin_log` VALUES (209, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614020);
INSERT INTO `mx_admin_log` VALUES (210, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/89?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"86\",\"name\":\"department\\/admin\\/edit\",\"title\":\"编辑11\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"89\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614055);
INSERT INTO `mx_admin_log` VALUES (211, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614060);
INSERT INTO `mx_admin_log` VALUES (212, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,110,111,2\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614068);
INSERT INTO `mx_admin_log` VALUES (213, 3, 'teacher', '/ZQOtIMLKud.php/department/admin/multi', '学生管理 / 批量更新', '{\"ids\":\"9\",\"params\":\"status=hidden\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614104);
INSERT INTO `mx_admin_log` VALUES (214, 3, 'teacher', '/ZQOtIMLKud.php/department/admin/multi', '学生管理 / 批量更新', '{\"ids\":\"9\",\"params\":\"status=normal\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614106);
INSERT INTO `mx_admin_log` VALUES (215, 3, 'teacher', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan003\",\"nickname\":\"xueyuan003\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":\"33\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614335);
INSERT INTO `mx_admin_log` VALUES (216, 3, 'teacher', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan003\",\"nickname\":\"xueyuan003\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":\"40\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614471);
INSERT INTO `mx_admin_log` VALUES (217, 3, 'teacher', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan004\",\"nickname\":\"xueyuan004\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":\"31\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614490);
INSERT INTO `mx_admin_log` VALUES (218, 3, 'teacher', '/ZQOtIMLKud.php/department/admin/add?dialog=1', '学生管理 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"username\":\"xueyuan004\",\"nickname\":\"xueyuan004\",\"password\":\"***\",\"status\":\"normal\"},\"department_id\":\"41\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614498);
INSERT INTO `mx_admin_log` VALUES (219, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"101\",\"name\":\"teacher\\/task\\/add\",\"title\":\"添加\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614717);
INSERT INTO `mx_admin_log` VALUES (220, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"101\",\"name\":\"teacher\\/task\\/edit\",\"title\":\"编辑\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614729);
INSERT INTO `mx_admin_log` VALUES (221, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"101\",\"name\":\"teacher\\/task\\/del\",\"title\":\"删除\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614742);
INSERT INTO `mx_admin_log` VALUES (222, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614747);
INSERT INTO `mx_admin_log` VALUES (223, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,110,111,126,127,128,2\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614751);
INSERT INTO `mx_admin_log` VALUES (224, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614758);
INSERT INTO `mx_admin_log` VALUES (225, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614762);
INSERT INTO `mx_admin_log` VALUES (226, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614776);
INSERT INTO `mx_admin_log` VALUES (227, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"rsdq\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735614785);
INSERT INTO `mx_admin_log` VALUES (228, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"102\",\"name\":\"teacher\\/exams\\/edit\",\"title\":\"编辑\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614968);
INSERT INTO `mx_admin_log` VALUES (229, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"102\",\"name\":\"teacher\\/exams\\/view\",\"title\":\"详情\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735614983);
INSERT INTO `mx_admin_log` VALUES (230, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735615038);
INSERT INTO `mx_admin_log` VALUES (231, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"ixlx\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735615046);
INSERT INTO `mx_admin_log` VALUES (232, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735615058);
INSERT INTO `mx_admin_log` VALUES (233, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,110,111,126,127,128,129,130,2\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735615062);
INSERT INTO `mx_admin_log` VALUES (234, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616217);
INSERT INTO `mx_admin_log` VALUES (235, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616511);
INSERT INTO `mx_admin_log` VALUES (236, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616535);
INSERT INTO `mx_admin_log` VALUES (237, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616550);
INSERT INTO `mx_admin_log` VALUES (238, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616728);
INSERT INTO `mx_admin_log` VALUES (239, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616793);
INSERT INTO `mx_admin_log` VALUES (240, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616832);
INSERT INTO `mx_admin_log` VALUES (241, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735616982);
INSERT INTO `mx_admin_log` VALUES (242, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735617240);
INSERT INTO `mx_admin_log` VALUES (243, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735617273);
INSERT INTO `mx_admin_log` VALUES (244, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735617318);
INSERT INTO `mx_admin_log` VALUES (245, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735617343);
INSERT INTO `mx_admin_log` VALUES (246, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735623162);
INSERT INTO `mx_admin_log` VALUES (247, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735623189);
INSERT INTO `mx_admin_log` VALUES (248, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735623250);
INSERT INTO `mx_admin_log` VALUES (249, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735623317);
INSERT INTO `mx_admin_log` VALUES (250, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735623392);
INSERT INTO `mx_admin_log` VALUES (251, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735623980);
INSERT INTO `mx_admin_log` VALUES (252, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624017);
INSERT INTO `mx_admin_log` VALUES (253, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624092);
INSERT INTO `mx_admin_log` VALUES (254, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624137);
INSERT INTO `mx_admin_log` VALUES (255, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624181);
INSERT INTO `mx_admin_log` VALUES (256, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624204);
INSERT INTO `mx_admin_log` VALUES (257, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624437);
INSERT INTO `mx_admin_log` VALUES (258, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624536);
INSERT INTO `mx_admin_log` VALUES (259, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624552);
INSERT INTO `mx_admin_log` VALUES (260, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624577);
INSERT INTO `mx_admin_log` VALUES (261, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624630);
INSERT INTO `mx_admin_log` VALUES (262, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624647);
INSERT INTO `mx_admin_log` VALUES (263, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624672);
INSERT INTO `mx_admin_log` VALUES (264, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624759);
INSERT INTO `mx_admin_log` VALUES (265, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624797);
INSERT INTO `mx_admin_log` VALUES (266, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624821);
INSERT INTO `mx_admin_log` VALUES (267, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624890);
INSERT INTO `mx_admin_log` VALUES (268, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735624920);
INSERT INTO `mx_admin_log` VALUES (269, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625114);
INSERT INTO `mx_admin_log` VALUES (270, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625159);
INSERT INTO `mx_admin_log` VALUES (271, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625171);
INSERT INTO `mx_admin_log` VALUES (272, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625413);
INSERT INTO `mx_admin_log` VALUES (273, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625558);
INSERT INTO `mx_admin_log` VALUES (274, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625842);
INSERT INTO `mx_admin_log` VALUES (275, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735625919);
INSERT INTO `mx_admin_log` VALUES (276, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626010);
INSERT INTO `mx_admin_log` VALUES (277, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626201);
INSERT INTO `mx_admin_log` VALUES (278, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626222);
INSERT INTO `mx_admin_log` VALUES (279, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626255);
INSERT INTO `mx_admin_log` VALUES (280, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626356);
INSERT INTO `mx_admin_log` VALUES (281, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626430);
INSERT INTO `mx_admin_log` VALUES (282, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626501);
INSERT INTO `mx_admin_log` VALUES (283, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626532);
INSERT INTO `mx_admin_log` VALUES (284, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626607);
INSERT INTO `mx_admin_log` VALUES (285, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626628);
INSERT INTO `mx_admin_log` VALUES (286, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626655);
INSERT INTO `mx_admin_log` VALUES (287, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735626854);
INSERT INTO `mx_admin_log` VALUES (288, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627024);
INSERT INTO `mx_admin_log` VALUES (289, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627104);
INSERT INTO `mx_admin_log` VALUES (290, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627408);
INSERT INTO `mx_admin_log` VALUES (291, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627420);
INSERT INTO `mx_admin_log` VALUES (292, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627479);
INSERT INTO `mx_admin_log` VALUES (293, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627547);
INSERT INTO `mx_admin_log` VALUES (294, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627635);
INSERT INTO `mx_admin_log` VALUES (295, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627649);
INSERT INTO `mx_admin_log` VALUES (296, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627830);
INSERT INTO `mx_admin_log` VALUES (297, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627904);
INSERT INTO `mx_admin_log` VALUES (298, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627944);
INSERT INTO `mx_admin_log` VALUES (299, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627950);
INSERT INTO `mx_admin_log` VALUES (300, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627952);
INSERT INTO `mx_admin_log` VALUES (301, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735627983);
INSERT INTO `mx_admin_log` VALUES (302, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735628017);
INSERT INTO `mx_admin_log` VALUES (303, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"11111\",\"fault_id\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001,2222\"},\"checkbox\":\"000100060010\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735628087);
INSERT INTO `mx_admin_log` VALUES (304, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735628273);
INSERT INTO `mx_admin_log` VALUES (305, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735628456);
INSERT INTO `mx_admin_log` VALUES (306, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"676767676767\",\"fault_id\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001,\"},\"checkbox\":\"000100060010\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735628465);
INSERT INTO `mx_admin_log` VALUES (307, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"676767676767\",\"fault_id\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001,\"},\"checkbox\":\"000100060010\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735628543);
INSERT INTO `mx_admin_log` VALUES (308, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735629903);
INSERT INTO `mx_admin_log` VALUES (309, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0002\",\"name\":\"20241231\",\"fault_id\":\"000200070012,000200060011,000200050010,000200050009,000200040008,000200040007,000200030006,000200030005,000200020004,000200020003,000200010002,000200010001,\"},\"checkbox\":\"000200070012\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735629909);
INSERT INTO `mx_admin_log` VALUES (310, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735629956);
INSERT INTO `mx_admin_log` VALUES (311, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735629957);
INSERT INTO `mx_admin_log` VALUES (312, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0002\",\"name\":\"20241231\",\"fault_id\":\"000200070012,000200060011,000200050010,000200050009,000200040008,000200040007,000200030006,000200030005,000200020004,000200020003,000200010002,000200010001,\"},\"checkbox\":\"000200070012\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735629994);
INSERT INTO `mx_admin_log` VALUES (313, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630019);
INSERT INTO `mx_admin_log` VALUES (314, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630028);
INSERT INTO `mx_admin_log` VALUES (315, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630038);
INSERT INTO `mx_admin_log` VALUES (316, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630043);
INSERT INTO `mx_admin_log` VALUES (317, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630044);
INSERT INTO `mx_admin_log` VALUES (318, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630047);
INSERT INTO `mx_admin_log` VALUES (319, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630058);
INSERT INTO `mx_admin_log` VALUES (320, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630060);
INSERT INTO `mx_admin_log` VALUES (321, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630064);
INSERT INTO `mx_admin_log` VALUES (322, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630065);
INSERT INTO `mx_admin_log` VALUES (323, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630068);
INSERT INTO `mx_admin_log` VALUES (324, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630069);
INSERT INTO `mx_admin_log` VALUES (325, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630071);
INSERT INTO `mx_admin_log` VALUES (326, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630072);
INSERT INTO `mx_admin_log` VALUES (327, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0002\",\"name\":\"202412312\",\"fault_id\":\"000200070012,000200060011,000200050010,000200050009,000200040008,000200040007,000200030006,000200030005,000200020004,000200020003,000200010002,000200010001,\"},\"checkbox\":\"000200070012\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630080);
INSERT INTO `mx_admin_log` VALUES (328, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630709);
INSERT INTO `mx_admin_log` VALUES (329, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"20241225\",\"fault_id\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001,\"},\"checkbox\":\"000100060010\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735630720);
INSERT INTO `mx_admin_log` VALUES (330, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632287);
INSERT INTO `mx_admin_log` VALUES (331, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632301);
INSERT INTO `mx_admin_log` VALUES (332, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632333);
INSERT INTO `mx_admin_log` VALUES (333, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632385);
INSERT INTO `mx_admin_log` VALUES (334, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632387);
INSERT INTO `mx_admin_log` VALUES (335, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632388);
INSERT INTO `mx_admin_log` VALUES (336, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632389);
INSERT INTO `mx_admin_log` VALUES (337, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632391);
INSERT INTO `mx_admin_log` VALUES (338, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735632453);
INSERT INTO `mx_admin_log` VALUES (339, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/add\",\"title\":\"添加\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735635630);
INSERT INTO `mx_admin_log` VALUES (340, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/edit\",\"title\":\"编辑\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735635646);
INSERT INTO `mx_admin_log` VALUES (341, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/del\",\"title\":\"删除\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735635665);
INSERT INTO `mx_admin_log` VALUES (342, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735635670);
INSERT INTO `mx_admin_log` VALUES (343, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,110,111,126,127,128,129,130,131,132,133,2\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735635675);
INSERT INTO `mx_admin_log` VALUES (344, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"47,46,45,44,43,42,41,40\",\"exam_collection_name\":\"232222\",\"sim_type\":\"0002\",\"start_time\":\"2024-12-31\",\"end_time\":\"2025-01-05\",\"limit_duration\":\"50\",\"question_setting_method\":\"1\"},\"btSelectAll\":\"on\",\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735641693);
INSERT INTO `mx_admin_log` VALUES (345, 1, 'admin', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/auth/rule?ref=addtabs', '登录', '{\"url\":\"\\/ZQOtIMLKud.php\\/auth\\/rule?ref=addtabs\",\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"xxar\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735642458);
INSERT INTO `mx_admin_log` VALUES (346, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"110\",\"name\":\"teacher\\/practice\\/add\",\"title\":\"添加\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735642500);
INSERT INTO `mx_admin_log` VALUES (347, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"110\",\"name\":\"teacher\\/practice\\/edit\",\"title\":\"编辑\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735642517);
INSERT INTO `mx_admin_log` VALUES (348, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"110\",\"name\":\"teacher\\/practice\\/del\",\"title\":\"删除\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735642529);
INSERT INTO `mx_admin_log` VALUES (349, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735642532);
INSERT INTO `mx_admin_log` VALUES (350, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,103,104,105,106,110,111,126,127,128,129,130,131,132,133,134,135,136,2\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735642536);
INSERT INTO `mx_admin_log` VALUES (351, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"vbgv\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735702703);
INSERT INTO `mx_admin_log` VALUES (352, 4, 'xueyuan001', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/teacher/exams/index?ref=addtabs', '登录', '{\"url\":\"\\/ZQOtIMLKud.php\\/teacher\\/exams\\/index?ref=addtabs\",\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"theq\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735703830);
INSERT INTO `mx_admin_log` VALUES (353, 1, 'admin', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735705298);
INSERT INTO `mx_admin_log` VALUES (354, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735708245);
INSERT INTO `mx_admin_log` VALUES (355, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"29,30,31,32,33,34,94,95,96,97,98,87,88,89,90,91,92,126,127,128,129,130,131,132,105,134,135,136,111,8,93,86,99,101,102,110,106,2,104,103\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735708250);
INSERT INTO `mx_admin_log` VALUES (356, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"47,46,45,44,43,42,41,40\",\"exam_collection_name\":\"2024模拟器考试级\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-14\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"40\",\"question_setting_method\":\"1\"},\"btSelectAll\":\"on\",\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735708949);
INSERT INTO `mx_admin_log` VALUES (357, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709342);
INSERT INTO `mx_admin_log` VALUES (358, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709348);
INSERT INTO `mx_admin_log` VALUES (359, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/multi\",\"title\":\"批量处理\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735709389);
INSERT INTO `mx_admin_log` VALUES (360, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735709391);
INSERT INTO `mx_admin_log` VALUES (361, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735709395);
INSERT INTO `mx_admin_log` VALUES (362, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709403);
INSERT INTO `mx_admin_log` VALUES (363, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709412);
INSERT INTO `mx_admin_log` VALUES (364, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709499);
INSERT INTO `mx_admin_log` VALUES (365, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709555);
INSERT INTO `mx_admin_log` VALUES (366, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709558);
INSERT INTO `mx_admin_log` VALUES (367, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709582);
INSERT INTO `mx_admin_log` VALUES (368, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709641);
INSERT INTO `mx_admin_log` VALUES (369, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709713);
INSERT INTO `mx_admin_log` VALUES (370, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709764);
INSERT INTO `mx_admin_log` VALUES (371, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709789);
INSERT INTO `mx_admin_log` VALUES (372, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709802);
INSERT INTO `mx_admin_log` VALUES (373, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709860);
INSERT INTO `mx_admin_log` VALUES (374, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709888);
INSERT INTO `mx_admin_log` VALUES (375, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709890);
INSERT INTO `mx_admin_log` VALUES (376, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735709891);
INSERT INTO `mx_admin_log` VALUES (377, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735712708);
INSERT INTO `mx_admin_log` VALUES (378, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"112\",\"name\":\"student\\/collection\\/replace\",\"title\":\"申请更换件\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735715660);
INSERT INTO `mx_admin_log` VALUES (379, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735715664);
INSERT INTO `mx_admin_log` VALUES (380, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,107,108,109,112,113,114,118,119,120,121,122,123,124,125,138,2\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735715670);
INSERT INTO `mx_admin_log` VALUES (381, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735715899);
INSERT INTO `mx_admin_log` VALUES (382, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735715952);
INSERT INTO `mx_admin_log` VALUES (383, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100060010&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735716588);
INSERT INTO `mx_admin_log` VALUES (384, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100030006&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735716715);
INSERT INTO `mx_admin_log` VALUES (385, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100030006&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735716800);
INSERT INTO `mx_admin_log` VALUES (386, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735719521);
INSERT INTO `mx_admin_log` VALUES (387, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100040007&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735719556);
INSERT INTO `mx_admin_log` VALUES (388, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100040007&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735719562);
INSERT INTO `mx_admin_log` VALUES (389, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735720211);
INSERT INTO `mx_admin_log` VALUES (390, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735720217);
INSERT INTO `mx_admin_log` VALUES (391, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735720484);
INSERT INTO `mx_admin_log` VALUES (392, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735720486);
INSERT INTO `mx_admin_log` VALUES (393, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735720487);
INSERT INTO `mx_admin_log` VALUES (394, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/17', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735720488);
INSERT INTO `mx_admin_log` VALUES (395, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010001\",\"request_status\":\"1\",\"xx_id\":\"1111\",\"yy_id\":\"222\",\"bw_id\":\"333\",\"pc_id\":\"44444444\"},{\"fault_id\":\"000100010001\",\"request_status\":\"2\",\"xx_id\":\"2222\",\"yy_id\":\"3333\",\"bw_id\":\"4444\",\"pc_id\":\"55555555\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;1111&quot;,&quot;yy_id&quot;:&quot;222&quot;,&quot;bw_id&quot;:&quot;333&quot;,&quot;pc_id&quot;:&quot;44444444&quot;},{&quot;xx_id&quot;:&quot;2222&quot;,&quot;yy_id&quot;:&quot;3333&quot;,&quot;bw_id&quot;:&quot;4444&quot;,&quot;pc_id&quot;:&quot;55555555&quot;}]\",\"jielun\":\"55555555\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735721491);
INSERT INTO `mx_admin_log` VALUES (396, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100020003\",\"request_status\":\"1\",\"xx_id\":\"454545\",\"yy_id\":\"5555\",\"bw_id\":\"666\",\"pc_id\":\"77777\"},{\"fault_id\":\"000100020003\",\"request_status\":\"2\",\"xx_id\":\"343443\",\"yy_id\":\"33444\",\"bw_id\":\"5555\",\"pc_id\":\"6666\"},{\"fault_id\":\"000100010002\",\"request_status\":\"0\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;454545&quot;,&quot;yy_id&quot;:&quot;5555&quot;,&quot;bw_id&quot;:&quot;666&quot;,&quot;pc_id&quot;:&quot;77777&quot;},{&quot;xx_id&quot;:&quot;343443&quot;,&quot;yy_id&quot;:&quot;33444&quot;,&quot;bw_id&quot;:&quot;5555&quot;,&quot;pc_id&quot;:&quot;6666&quot;}]\",\"other_jielun\":\"士大夫敢死队风格\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735722652);
INSERT INTO `mx_admin_log` VALUES (397, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010001\",\"request_status\":\"1\",\"xx_id\":\"777777\",\"yy_id\":\"8888\",\"bw_id\":\"99999\",\"pc_id\":\"00000000\"},{\"fault_id\":\"000100010001\",\"request_status\":\"2\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;777777&quot;,&quot;yy_id&quot;:&quot;8888&quot;,&quot;bw_id&quot;:&quot;99999&quot;,&quot;pc_id&quot;:&quot;00000000&quot;}]\",\"other_jielun\":\"6767676767\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735723029);
INSERT INTO `mx_admin_log` VALUES (398, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735724287);
INSERT INTO `mx_admin_log` VALUES (399, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010001\",\"request_status\":\"1\",\"xx_id\":\"666666\",\"yy_id\":\"777777\",\"bw_id\":\"888888\",\"pc_id\":\"99999999999\"},{\"fault_id\":\"000100010001\",\"request_status\":\"2\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;666666&quot;,&quot;yy_id&quot;:&quot;777777&quot;,&quot;bw_id&quot;:&quot;888888&quot;,&quot;pc_id&quot;:&quot;99999999999&quot;}]\",\"other_jielun\":\"67676767676767\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735724325);
INSERT INTO `mx_admin_log` VALUES (400, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735724991);
INSERT INTO `mx_admin_log` VALUES (401, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010001\",\"request_status\":\"1\",\"xx_id\":\"6666666666\",\"yy_id\":\"777777777777\",\"bw_id\":\"7888888888888\",\"pc_id\":\"8899999999999\"},{\"fault_id\":\"000100010001\",\"request_status\":\"2\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;6666666666&quot;,&quot;yy_id&quot;:&quot;777777777777&quot;,&quot;bw_id&quot;:&quot;7888888888888&quot;,&quot;pc_id&quot;:&quot;8899999999999&quot;}]\",\"other_jielun\":\"7777777777777777\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735725003);
INSERT INTO `mx_admin_log` VALUES (402, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/edit/ids/17', '编辑', '{\"row\":{\"fault_one_score\":\"25\",\"fault_two_score\":\"0\",\"fault_three_score\":\"0\",\"overtime_score\":\"2\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735726490);
INSERT INTO `mx_admin_log` VALUES (403, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735727188);
INSERT INTO `mx_admin_log` VALUES (404, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010001\",\"request_status\":\"1\",\"xx_id\":\"555555555\",\"yy_id\":\"566666666666\",\"bw_id\":\"66777777777777\",\"pc_id\":\"8888888888888888\"},{\"fault_id\":\"000100010001\",\"request_status\":\"2\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;555555555&quot;,&quot;yy_id&quot;:&quot;566666666666&quot;,&quot;bw_id&quot;:&quot;66777777777777&quot;,&quot;pc_id&quot;:&quot;8888888888888888&quot;}]\",\"other_jielun\":\"656565656565656\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735727201);
INSERT INTO `mx_admin_log` VALUES (405, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735727283);
INSERT INTO `mx_admin_log` VALUES (406, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/17?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010001\",\"request_status\":\"1\",\"xx_id\":\"666666\",\"yy_id\":\"7777777\",\"bw_id\":\"8888888\",\"pc_id\":\"999999999999\"},{\"fault_id\":\"000100010001\",\"request_status\":\"2\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010001&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;666666&quot;,&quot;yy_id&quot;:&quot;7777777&quot;,&quot;bw_id&quot;:&quot;8888888&quot;,&quot;pc_id&quot;:&quot;999999999999&quot;}]\",\"other_jielun\":\"岁的法国岁的法国岁的法国\"},\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735727295);
INSERT INTO `mx_admin_log` VALUES (407, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"105\",\"name\":\"teacher\\/exams\\/handle\",\"title\":\"处理更换件\",\"url\":\"\",\"icon\":\"fa fa-reply-all\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735728166);
INSERT INTO `mx_admin_log` VALUES (408, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735728170);
INSERT INTO `mx_admin_log` VALUES (409, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735728175);
INSERT INTO `mx_admin_log` VALUES (410, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/17', '处理更换件', '{\"type\":\"1\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728188);
INSERT INTO `mx_admin_log` VALUES (411, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/2/ids/17', '处理更换件', '{\"type\":\"2\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728194);
INSERT INTO `mx_admin_log` VALUES (412, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/2/ids/17', '处理更换件', '{\"type\":\"2\",\"ids\":\"17\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728210);
INSERT INTO `mx_admin_log` VALUES (413, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/3', '处理更换件', '{\"type\":\"1\",\"ids\":\"3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728265);
INSERT INTO `mx_admin_log` VALUES (414, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/2/ids/1', '处理更换件', '{\"type\":\"2\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728268);
INSERT INTO `mx_admin_log` VALUES (415, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/3', '处理更换件', '{\"type\":\"1\",\"ids\":\"3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728567);
INSERT INTO `mx_admin_log` VALUES (416, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/2', '处理更换件', '{\"type\":\"1\",\"ids\":\"2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728575);
INSERT INTO `mx_admin_log` VALUES (417, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/3', '处理更换件', '{\"type\":\"1\",\"ids\":\"3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728648);
INSERT INTO `mx_admin_log` VALUES (418, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/3', '处理更换件', '{\"type\":\"1\",\"ids\":\"3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735728649);
INSERT INTO `mx_admin_log` VALUES (419, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"105\",\"name\":\"teacher\\/exams\\/examing\",\"title\":\"正在考试中\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735729414);
INSERT INTO `mx_admin_log` VALUES (420, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735729418);
INSERT INTO `mx_admin_log` VALUES (421, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735729421);
INSERT INTO `mx_admin_log` VALUES (422, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735777858);
INSERT INTO `mx_admin_log` VALUES (423, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735777863);
INSERT INTO `mx_admin_log` VALUES (424, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/1?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"depart_ids\":\"47,46,45,44,43,42,41,40\",\"exam_collection_name\":\"[不要删除]2024学年第一学期期末考试\",\"sim_type\":\"0001\",\"start_time\":\"2024-12-23\",\"end_time\":\"2025-01-19\",\"limit_duration\":\"50\",\"question_setting_method\":\"3\"},\"btSelectAll\":\"on\",\"btSelectItem\":\"on\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735777872);
INSERT INTO `mx_admin_log` VALUES (425, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/1?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"1\",\"ids\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735777883);
INSERT INTO `mx_admin_log` VALUES (426, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/18', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"18\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735777901);
INSERT INTO `mx_admin_log` VALUES (427, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/18', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100040007&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"18\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735778028);
INSERT INTO `mx_admin_log` VALUES (428, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735781830);
INSERT INTO `mx_admin_log` VALUES (429, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782064);
INSERT INTO `mx_admin_log` VALUES (430, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782108);
INSERT INTO `mx_admin_log` VALUES (431, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782109);
INSERT INTO `mx_admin_log` VALUES (432, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0003\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782111);
INSERT INTO `mx_admin_log` VALUES (433, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782112);
INSERT INTO `mx_admin_log` VALUES (434, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782191);
INSERT INTO `mx_admin_log` VALUES (435, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782271);
INSERT INTO `mx_admin_log` VALUES (436, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782369);
INSERT INTO `mx_admin_log` VALUES (437, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735782403);
INSERT INTO `mx_admin_log` VALUES (438, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783171);
INSERT INTO `mx_admin_log` VALUES (439, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783277);
INSERT INTO `mx_admin_log` VALUES (440, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783307);
INSERT INTO `mx_admin_log` VALUES (441, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783432);
INSERT INTO `mx_admin_log` VALUES (442, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783440);
INSERT INTO `mx_admin_log` VALUES (443, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783472);
INSERT INTO `mx_admin_log` VALUES (444, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783508);
INSERT INTO `mx_admin_log` VALUES (445, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735783546);
INSERT INTO `mx_admin_log` VALUES (446, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/18', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100040007&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"18\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735783905);
INSERT INTO `mx_admin_log` VALUES (447, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735784635);
INSERT INTO `mx_admin_log` VALUES (448, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735784726);
INSERT INTO `mx_admin_log` VALUES (449, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735784774);
INSERT INTO `mx_admin_log` VALUES (450, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735784852);
INSERT INTO `mx_admin_log` VALUES (451, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735784922);
INSERT INTO `mx_admin_log` VALUES (452, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785016);
INSERT INTO `mx_admin_log` VALUES (453, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785070);
INSERT INTO `mx_admin_log` VALUES (454, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785135);
INSERT INTO `mx_admin_log` VALUES (455, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785177);
INSERT INTO `mx_admin_log` VALUES (456, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785216);
INSERT INTO `mx_admin_log` VALUES (457, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785232);
INSERT INTO `mx_admin_log` VALUES (458, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add', '添加', '{\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"66666666\",\"fault_id\":\"000100020004,000100030005,000100040007\"},\"checkbox\":\"000100040007\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735785243);
INSERT INTO `mx_admin_log` VALUES (459, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"46,44,42,40\",\"exam_collection_name\":\"555555\",\"sim_type\":\"0002\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"80\",\"question_setting_method\":\"1\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735786993);
INSERT INTO `mx_admin_log` VALUES (460, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735788843);
INSERT INTO `mx_admin_log` VALUES (461, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735788904);
INSERT INTO `mx_admin_log` VALUES (462, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/23?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"23\",\"ids\":\"23\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735789141);
INSERT INTO `mx_admin_log` VALUES (463, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"23\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735789264);
INSERT INTO `mx_admin_log` VALUES (464, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"44,42,43,41\",\"exam_collection_name\":\"20250102测试\",\"sim_type\":\"0002\",\"start_time\":\"2025-01-01\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"300\",\"question_setting_method\":\"1\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735789298);
INSERT INTO `mx_admin_log` VALUES (465, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"25\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735789300);
INSERT INTO `mx_admin_log` VALUES (466, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/25?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"25\",\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735789340);
INSERT INTO `mx_admin_log` VALUES (467, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/19', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100030005&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100030005&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"19\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735789357);
INSERT INTO `mx_admin_log` VALUES (468, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/19', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100030006&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100040008&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100040007&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"19\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735789596);
INSERT INTO `mx_admin_log` VALUES (469, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/19', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100030006&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100040008&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100040007&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"19\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735789748);
INSERT INTO `mx_admin_log` VALUES (470, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/25?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"depart_ids\":\"44,42,43,41\",\"exam_collection_name\":\"20250102测试\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-01\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"300\",\"question_setting_method\":\"1\"},\"btSelectItem\":\"on\",\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735798687);
INSERT INTO `mx_admin_log` VALUES (471, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"25\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735798702);
INSERT INTO `mx_admin_log` VALUES (472, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/25?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"25\",\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735798718);
INSERT INTO `mx_admin_log` VALUES (473, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735799829);
INSERT INTO `mx_admin_log` VALUES (474, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735799894);
INSERT INTO `mx_admin_log` VALUES (475, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/13', '处理更换件', '{\"type\":\"1\",\"ids\":\"13\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735799941);
INSERT INTO `mx_admin_log` VALUES (476, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/12', '处理更换件', '{\"type\":\"1\",\"ids\":\"12\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735799942);
INSERT INTO `mx_admin_log` VALUES (477, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/13', '处理更换件', '{\"type\":\"1\",\"ids\":\"13\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735800296);
INSERT INTO `mx_admin_log` VALUES (478, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/1/ids/13', '处理更换件', '{\"type\":\"1\",\"ids\":\"13\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735800360);
INSERT INTO `mx_admin_log` VALUES (479, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/handle/type/2/ids/12', '处理更换件', '{\"type\":\"2\",\"ids\":\"12\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735800375);
INSERT INTO `mx_admin_log` VALUES (480, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;3&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735800386);
INSERT INTO `mx_admin_log` VALUES (481, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;3&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735800461);
INSERT INTO `mx_admin_log` VALUES (482, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;3&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100030005&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735800536);
INSERT INTO `mx_admin_log` VALUES (483, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;3&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100030005&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735800568);
INSERT INTO `mx_admin_log` VALUES (484, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;3&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100030005&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735800755);
INSERT INTO `mx_admin_log` VALUES (485, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;3&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;2&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100030005&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735800988);
INSERT INTO `mx_admin_log` VALUES (486, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/replace/ids/20', '申请更换件', '{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;0&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;0&quot;}]\",\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801023);
INSERT INTO `mx_admin_log` VALUES (487, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/20?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010002\",\"request_status\":\"1\",\"xx_id\":\"000100020000\",\"yy_id\":\"00010003AA07\",\"bw_id\":\"000100020003\",\"pc_id\":\"00010003BB04\"},{\"fault_id\":\"000100020003\",\"request_status\":\"1\"},{\"fault_id\":\"000100010002\",\"request_status\":\"1\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;000100020000&quot;,&quot;yy_id&quot;:&quot;00010003AA07&quot;,&quot;bw_id&quot;:&quot;000100020003&quot;,&quot;pc_id&quot;:&quot;00010003BB04&quot;}]\",\"other_jielun\":\"3333333333\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801149);
INSERT INTO `mx_admin_log` VALUES (488, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/25?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"25\",\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801178);
INSERT INTO `mx_admin_log` VALUES (489, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/20?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010002\",\"request_status\":\"1\",\"xx_id\":\"000100010000\",\"yy_id\":\"00010001AA01\",\"bw_id\":\"000100010001\",\"pc_id\":\"00010001BB01\"},{\"fault_id\":\"000100020003\",\"request_status\":\"1\"},{\"fault_id\":\"000100010002\",\"request_status\":\"1\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;000100010000&quot;,&quot;yy_id&quot;:&quot;00010001AA01&quot;,&quot;bw_id&quot;:&quot;000100010001&quot;,&quot;pc_id&quot;:&quot;00010001BB01&quot;}]\",\"other_jielun\":\"66666\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801282);
INSERT INTO `mx_admin_log` VALUES (490, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/20?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010002\",\"request_status\":\"1\",\"xx_id\":\"000100010000\",\"yy_id\":\"00010001AA01\",\"bw_id\":\"000100010001\",\"pc_id\":\"00010001BB01\"},{\"fault_id\":\"000100020003\",\"request_status\":\"1\"},{\"fault_id\":\"000100010002\",\"request_status\":\"1\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;000100010000&quot;,&quot;yy_id&quot;:&quot;00010001AA01&quot;,&quot;bw_id&quot;:&quot;000100010001&quot;,&quot;pc_id&quot;:&quot;00010001BB01&quot;}]\",\"other_jielun\":\"66666\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801342);
INSERT INTO `mx_admin_log` VALUES (491, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/25?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"25\",\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801545);
INSERT INTO `mx_admin_log` VALUES (492, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/20?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010002\",\"request_status\":\"1\",\"xx_id\":\"000100030000\",\"yy_id\":\"00010003AA07\",\"bw_id\":\"000100010002\",\"pc_id\":\"00010003BB07\"},{\"fault_id\":\"000100020003\",\"request_status\":\"1\"},{\"fault_id\":\"000100010002\",\"request_status\":\"1\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;000100030000&quot;,&quot;yy_id&quot;:&quot;00010003AA07&quot;,&quot;bw_id&quot;:&quot;000100010002&quot;,&quot;pc_id&quot;:&quot;00010003BB07&quot;}]\",\"other_jielun\":\"22222222222\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801600);
INSERT INTO `mx_admin_log` VALUES (493, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/into/ids/25?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"25\",\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801612);
INSERT INTO `mx_admin_log` VALUES (494, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/20?addtabs=1', '考试中', '{\"addtabs\":\"1\",\"unwin\":[{\"fault_id\":\"000100010002\",\"request_status\":\"1\",\"xx_id\":\"000100030000\",\"yy_id\":\"00010003AA07\",\"bw_id\":\"000100010002\",\"pc_id\":\"00010003BB07\"},{\"fault_id\":\"000100020003\",\"request_status\":\"1\"},{\"fault_id\":\"000100010002\",\"request_status\":\"1\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;000100030000&quot;,&quot;yy_id&quot;:&quot;00010003AA07&quot;,&quot;bw_id&quot;:&quot;000100010002&quot;,&quot;pc_id&quot;:&quot;00010003BB07&quot;}]\",\"other_jielun\":\"565656565656\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735801658);
INSERT INTO `mx_admin_log` VALUES (495, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"105\",\"name\":\"teacher\\/exams\\/score\",\"title\":\"查看得分\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735803865);
INSERT INTO `mx_admin_log` VALUES (496, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735803868);
INSERT INTO `mx_admin_log` VALUES (497, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735803872);
INSERT INTO `mx_admin_log` VALUES (498, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/editscore/ids/20', '', '{\"row\":{\"fault_three_score\":\"251\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735804507);
INSERT INTO `mx_admin_log` VALUES (499, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"105\",\"name\":\"teacher\\/exams\\/editscore\",\"title\":\"编辑成绩\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735804529);
INSERT INTO `mx_admin_log` VALUES (500, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735804532);
INSERT INTO `mx_admin_log` VALUES (501, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735804535);
INSERT INTO `mx_admin_log` VALUES (502, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/editscore/ids/20', '编辑成绩', '{\"row\":{\"fault_three_score\":\"2511\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735805009);
INSERT INTO `mx_admin_log` VALUES (503, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/editscore/ids/20', '编辑成绩', '{\"row\":{\"fault_three_score\":\"25\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735805477);
INSERT INTO `mx_admin_log` VALUES (504, 3, 'teacher', '/ZQOtIMLKud.php/teacher/exams/editscore/ids/20', '编辑成绩', '{\"row\":{\"fault_three_score\":\"20\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735805496);
INSERT INTO `mx_admin_log` VALUES (505, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"113\",\"name\":\"student\\/exam\\/view\",\"title\":\"学生成绩详情\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735805840);
INSERT INTO `mx_admin_log` VALUES (506, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"8\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735805843);
INSERT INTO `mx_admin_log` VALUES (507, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/8?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,107,108,109,112,113,114,118,119,120,121,122,123,124,125,138,143,2\",\"pid\":\"1\",\"name\":\"学员端\",\"status\":\"normal\"},\"ids\":\"8\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735805848);
INSERT INTO `mx_admin_log` VALUES (508, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/faults\",\"title\":\"选择考题\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735806966);
INSERT INTO `mx_admin_log` VALUES (509, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/task\",\"title\":\"选择任务\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735806980);
INSERT INTO `mx_admin_log` VALUES (510, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735806985);
INSERT INTO `mx_admin_log` VALUES (511, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,144,145,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735806988);
INSERT INTO `mx_admin_log` VALUES (512, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"47,46\",\"question_ids\":\"0\",\"exam_collection_name\":\"6666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-30\",\"limit_duration\":\"77\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735809493);
INSERT INTO `mx_admin_log` VALUES (513, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"\",\"question_ids\":\"0\",\"exam_collection_name\":\"\",\"sim_type\":\"0001\",\"start_time\":\"\",\"end_time\":\"\",\"limit_duration\":\"\",\"question_setting_method\":\"3\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810253);
INSERT INTO `mx_admin_log` VALUES (514, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810524);
INSERT INTO `mx_admin_log` VALUES (515, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810543);
INSERT INTO `mx_admin_log` VALUES (516, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810544);
INSERT INTO `mx_admin_log` VALUES (517, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810614);
INSERT INTO `mx_admin_log` VALUES (518, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810616);
INSERT INTO `mx_admin_log` VALUES (519, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735810974);
INSERT INTO `mx_admin_log` VALUES (520, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735811012);
INSERT INTO `mx_admin_log` VALUES (521, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"45,43,42\",\"question_ids\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"2\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735811684);
INSERT INTO `mx_admin_log` VALUES (522, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"0\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812022);
INSERT INTO `mx_admin_log` VALUES (523, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"0\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812032);
INSERT INTO `mx_admin_log` VALUES (524, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"2\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812038);
INSERT INTO `mx_admin_log` VALUES (525, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"0\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812263);
INSERT INTO `mx_admin_log` VALUES (526, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"0\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812289);
INSERT INTO `mx_admin_log` VALUES (527, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"2\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812332);
INSERT INTO `mx_admin_log` VALUES (528, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"2\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812344);
INSERT INTO `mx_admin_log` VALUES (529, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/27', '编辑', '{\"row\":{\"question_ids\":\"000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001\",\"depart_ids\":\"45,43,42\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-10\",\"limit_duration\":\"20\",\"question_setting_method\":\"2\"},\"btSelectItem\":\"on\",\"ids\":\"27\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812428);
INSERT INTO `mx_admin_log` VALUES (530, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '', '{\"action\":\"\",\"ids\":\"15\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812797);
INSERT INTO `mx_admin_log` VALUES (531, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '', '{\"action\":\"\",\"ids\":\"15\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812845);
INSERT INTO `mx_admin_log` VALUES (532, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '', '{\"action\":\"\",\"ids\":\"15\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812850);
INSERT INTO `mx_admin_log` VALUES (533, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"114\",\"name\":\"teacher\\/practice\\/multi\",\"title\":\"修改练习状态\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735812885);
INSERT INTO `mx_admin_log` VALUES (534, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735812888);
INSERT INTO `mx_admin_log` VALUES (535, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/edit/ids/146?dialog=1', '权限管理 / 菜单规则 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"110\",\"name\":\"teacher\\/practice\\/multi\",\"title\":\"修改练习状态\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"},\"ids\":\"146\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735812913);
INSERT INTO `mx_admin_log` VALUES (536, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735812916);
INSERT INTO `mx_admin_log` VALUES (537, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,144,145,146,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735812920);
INSERT INTO `mx_admin_log` VALUES (538, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"15\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812966);
INSERT INTO `mx_admin_log` VALUES (539, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"15\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735812967);
INSERT INTO `mx_admin_log` VALUES (540, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"1\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"\",\"question_ids\":\"0\",\"exam_collection_name\":\"练习001\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-17\",\"limit_duration\":\"30\",\"question_setting_method\":\"3\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735813536);
INSERT INTO `mx_admin_log` VALUES (541, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"1\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"\",\"question_ids\":\"0\",\"exam_collection_name\":\"练习001\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"50\",\"question_setting_method\":\"3\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735813622);
INSERT INTO `mx_admin_log` VALUES (542, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"1\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"46,45,43\",\"question_ids\":\"47\",\"exam_collection_name\":\"练习001\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"50\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735813633);
INSERT INTO `mx_admin_log` VALUES (543, 4, 'xueyuan001', '/ZQOtIMLKud.php/index/login?url=/ZQOtIMLKud.php/student/practice/index?ref=addtabs', '登录', '{\"url\":\"\\/ZQOtIMLKud.php\\/student\\/practice\\/index?ref=addtabs\",\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"qus4\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735813730);
INSERT INTO `mx_admin_log` VALUES (544, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"28\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735813748);
INSERT INTO `mx_admin_log` VALUES (545, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"28\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735813795);
INSERT INTO `mx_admin_log` VALUES (546, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/edit/ids/28', '编辑', '{\"row\":{\"question_ids\":\"46\",\"depart_ids\":\"46,45,43\",\"exam_collection_name\":\"练习001\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-02\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"50\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"28\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735813983);
INSERT INTO `mx_admin_log` VALUES (547, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"111\",\"name\":\"teacher\\/practice\\/examing\",\"title\":\"正在练习\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735814610);
INSERT INTO `mx_admin_log` VALUES (548, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735814613);
INSERT INTO `mx_admin_log` VALUES (549, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,144,145,146,147,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735814617);
INSERT INTO `mx_admin_log` VALUES (550, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/practice/into/ids/28?addtabs=1', '进入练习', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"28\",\"ids\":\"28\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735814742);
INSERT INTO `mx_admin_log` VALUES (551, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"2ffn\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735867862);
INSERT INTO `mx_admin_log` VALUES (552, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"104\",\"name\":\"teacher\\/collection\\/start\",\"title\":\"开始考试\",\"url\":\"\",\"icon\":\"fa fa-play-circle\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735868006);
INSERT INTO `mx_admin_log` VALUES (553, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735868010);
INSERT INTO `mx_admin_log` VALUES (554, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,144,145,146,147,148,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735868013);
INSERT INTO `mx_admin_log` VALUES (555, 4, 'xueyuan001', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"3xdf\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735889745);
INSERT INTO `mx_admin_log` VALUES (556, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"105\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735890449);
INSERT INTO `mx_admin_log` VALUES (557, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/25', '开始考试', '{\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735891548);
INSERT INTO `mx_admin_log` VALUES (558, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/25', '开始考试', '{\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735891563);
INSERT INTO `mx_admin_log` VALUES (559, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735894589);
INSERT INTO `mx_admin_log` VALUES (560, 4, 'xueyuan001', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"ciqz\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735895002);
INSERT INTO `mx_admin_log` VALUES (561, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/practice/into/ids/28?addtabs=1', '进入练习', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"28\",\"ids\":\"28\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735895010);
INSERT INTO `mx_admin_log` VALUES (562, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/25', '开始考试', '{\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735895381);
INSERT INTO `mx_admin_log` VALUES (563, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/25', '开始考试', '{\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735895526);
INSERT INTO `mx_admin_log` VALUES (564, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735896774);
INSERT INTO `mx_admin_log` VALUES (565, 9, 'xueyuan002', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"ld4t\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735896785);
INSERT INTO `mx_admin_log` VALUES (566, 4, 'xueyuan001', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan001\",\"password\":\"***\",\"captcha\":\"qc5k\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735897359);
INSERT INTO `mx_admin_log` VALUES (567, 4, 'xueyuan001', '/ZQOtIMLKud.php/student/collection/examing/ids/20', '考试中', '{\"unwin\":[{\"fault_id\":\"000100010002\",\"request_status\":\"1\",\"xx_id\":\"000100030000\",\"yy_id\":\"00010003AA07\",\"bw_id\":\"000100010002\",\"pc_id\":\"00010003BB07\"},{\"fault_id\":\"000100020003\",\"request_status\":\"1\"},{\"fault_id\":\"000100010002\",\"request_status\":\"1\"}],\"row\":{\"other_replace\":\"[{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100020003&quot;,&quot;request_status&quot;:&quot;1&quot;},{&quot;fault_id&quot;:&quot;000100010002&quot;,&quot;request_status&quot;:&quot;1&quot;}]\",\"other_report\":\"[{&quot;xx_id&quot;:&quot;000100030000&quot;,&quot;yy_id&quot;:&quot;00010003AA07&quot;,&quot;bw_id&quot;:&quot;000100010002&quot;,&quot;pc_id&quot;:&quot;00010003BB07&quot;}]\",\"other_jielun\":\"666666\"},\"ids\":\"20\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735897806);
INSERT INTO `mx_admin_log` VALUES (568, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"fxac\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735959719);
INSERT INTO `mx_admin_log` VALUES (569, 9, 'xueyuan002', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"fcqx\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735959746);
INSERT INTO `mx_admin_log` VALUES (570, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"2h7m\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735959772);
INSERT INTO `mx_admin_log` VALUES (571, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735960020);
INSERT INTO `mx_admin_log` VALUES (572, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735960193);
INSERT INTO `mx_admin_log` VALUES (573, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"46,45,44,43,42,41,40\",\"question_ids\":\"0\",\"exam_collection_name\":\"33333\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-07\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"50\",\"question_setting_method\":\"1\"},\"btSelectAll\":\"on\",\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735962038);
INSERT INTO `mx_admin_log` VALUES (574, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"46,45,44,43,42,41,40\",\"question_ids\":\"0\",\"exam_collection_name\":\"33333\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-07\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"50\",\"question_setting_method\":\"1\"},\"btSelectAll\":\"on\",\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735962056);
INSERT INTO `mx_admin_log` VALUES (575, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"46,45,44,43,42,41,40\",\"question_ids\":\"0\",\"exam_collection_name\":\"33333\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-07\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"50\",\"question_setting_method\":\"1\"},\"btSelectAll\":\"on\",\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735962084);
INSERT INTO `mx_admin_log` VALUES (576, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"41\",\"question_ids\":\"0\",\"exam_collection_name\":\"34343433434\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-04\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"600\",\"question_setting_method\":\"1\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735979174);
INSERT INTO `mx_admin_log` VALUES (577, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"31\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735979378);
INSERT INTO `mx_admin_log` VALUES (578, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"31\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735979782);
INSERT INTO `mx_admin_log` VALUES (579, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735980409);
INSERT INTO `mx_admin_log` VALUES (580, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"56565656\",\"fault_id\":\"000100010001,000100010002,000100020003,000100020004,000100030005,000100030006,000100040007,000100040008,000100050009,000100060010\"},\"checkbox\":\"000100060010\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735980423);
INSERT INTO `mx_admin_log` VALUES (581, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"0\",\"question_ids\":\"0\",\"exam_collection_name\":\"565656\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-10\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"90\",\"question_setting_method\":\"2\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735980649);
INSERT INTO `mx_admin_log` VALUES (582, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"41\",\"question_ids\":\"000100050009,000100040008,000100040007,000100030006,000100030005,000100020004\",\"exam_collection_name\":\"565656\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-10\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"90\",\"question_setting_method\":\"2\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735980669);
INSERT INTO `mx_admin_log` VALUES (585, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/31?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"question_ids\":\"46\",\"depart_ids\":\"41,43,44\",\"exam_collection_name\":\"34343433434\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-04\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"600\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"31\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735981921);
INSERT INTO `mx_admin_log` VALUES (586, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"31\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735981964);
INSERT INTO `mx_admin_log` VALUES (587, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"111\",\"params\":\"ismenu=0\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735988263);
INSERT INTO `mx_admin_log` VALUES (588, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/add?dialog=1', '权限管理 / 菜单规则 / 添加', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"ismenu\":\"0\",\"pid\":\"110\",\"name\":\"teacher\\/practice\\/start\",\"title\":\"开启练习\",\"url\":\"\",\"icon\":\"fa fa-circle-o\",\"condition\":\"\",\"menutype\":\"addtabs\",\"extend\":\"\",\"remark\":\"\",\"weigh\":\"0\",\"status\":\"normal\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735988638);
INSERT INTO `mx_admin_log` VALUES (589, 1, 'admin', '/ZQOtIMLKud.php/auth/group/roletree', '权限管理 / 角色组', '{\"id\":\"7\",\"pid\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735988641);
INSERT INTO `mx_admin_log` VALUES (590, 1, 'admin', '/ZQOtIMLKud.php/auth/group/edit/ids/7?dialog=1', '权限管理 / 角色组 / 编辑', '{\"dialog\":\"1\",\"__token__\":\"***\",\"row\":{\"rules\":\"8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,144,145,146,147,148,149,2,103,104\",\"pid\":\"1\",\"name\":\"教师端\",\"status\":\"normal\"},\"ids\":\"7\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1735988644);
INSERT INTO `mx_admin_log` VALUES (591, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"1\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"44\",\"question_ids\":\"0\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-04\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"45\",\"question_setting_method\":\"1\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735988797);
INSERT INTO `mx_admin_log` VALUES (592, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"1\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"40,41\",\"question_ids\":\"0\",\"exam_collection_name\":\"77777\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-04\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"69\",\"question_setting_method\":\"1\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735988834);
INSERT INTO `mx_admin_log` VALUES (593, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/edit/ids/33?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"question_ids\":\"46\",\"depart_ids\":\"44\",\"exam_collection_name\":\"666666\",\"sim_type\":\"0001\",\"start_time\":\"2025-01-04\",\"end_time\":\"2025-01-31\",\"limit_duration\":\"45\",\"question_setting_method\":\"3\"},\"btSelectItem\":\"on\",\"ids\":\"33\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735988916);
INSERT INTO `mx_admin_log` VALUES (594, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"33\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735989096);
INSERT INTO `mx_admin_log` VALUES (595, 3, 'teacher', '/ZQOtIMLKud.php/teacher/practice/start/ids/33', '开启练习', '{\"ids\":\"33\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1735989099);
INSERT INTO `mx_admin_log` VALUES (596, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"8ukb\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736048371);
INSERT INTO `mx_admin_log` VALUES (597, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736048463);
INSERT INTO `mx_admin_log` VALUES (598, 1, 'admin', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"admin\",\"password\":\"***\",\"captcha\":\"6UQ8\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736048532);
INSERT INTO `mx_admin_log` VALUES (599, 0, 'Unknown', '/ZQOtIMLKud.php/index/login', '', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"bnym\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736069227);
INSERT INTO `mx_admin_log` VALUES (600, 0, 'Unknown', '/ZQOtIMLKud.php/index/login', '', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"mqzu\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736069232);
INSERT INTO `mx_admin_log` VALUES (601, 9, 'xueyuan002', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"xach\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736069237);
INSERT INTO `mx_admin_log` VALUES (602, 1, 'admin', '/ZQOtIMLKud.php/teacher/practice/persent/ids/33?addtabs=1', '当前练习', '{\"addtabs\":\"1\",\"ids\":\"33\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736070871);
INSERT INTO `mx_admin_log` VALUES (603, 1, 'admin', '/ZQOtIMLKud.php/teacher/practice/persent/ids/33?addtabs=1', '当前练习', '{\"addtabs\":\"1\",\"ids\":\"33\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736070872);
INSERT INTO `mx_admin_log` VALUES (604, 1, 'admin', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"33\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736071283);
INSERT INTO `mx_admin_log` VALUES (605, 1, 'admin', '/ZQOtIMLKud.php/teacher/practice/multi', '修改练习状态', '{\"action\":\"\",\"ids\":\"34\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736071284);
INSERT INTO `mx_admin_log` VALUES (606, 9, 'xueyuan002', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"78xe\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736130884);
INSERT INTO `mx_admin_log` VALUES (607, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"ymf6\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736130913);
INSERT INTO `mx_admin_log` VALUES (608, 3, 'teacher', '/ZQOtIMLKud.php/department/index/edit/ids/25?dialog=1', '组织架构 / 编辑', '{\"dialog\":\"1\",\"row\":{\"parent_id\":\"0\",\"name\":\"大专\",\"weigh\":\"25\",\"status\":\"normal\"},\"ids\":\"25\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736130977);
INSERT INTO `mx_admin_log` VALUES (609, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131218);
INSERT INTO `mx_admin_log` VALUES (610, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131277);
INSERT INTO `mx_admin_log` VALUES (611, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131344);
INSERT INTO `mx_admin_log` VALUES (612, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131391);
INSERT INTO `mx_admin_log` VALUES (613, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131456);
INSERT INTO `mx_admin_log` VALUES (614, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131563);
INSERT INTO `mx_admin_log` VALUES (615, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131814);
INSERT INTO `mx_admin_log` VALUES (616, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131924);
INSERT INTO `mx_admin_log` VALUES (617, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736131951);
INSERT INTO `mx_admin_log` VALUES (618, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736132011);
INSERT INTO `mx_admin_log` VALUES (619, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736132121);
INSERT INTO `mx_admin_log` VALUES (620, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736132167);
INSERT INTO `mx_admin_log` VALUES (621, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add', '添加', '{\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"20250106\",\"fault_id\":\"000100020004,000100030005\",\"fault_name\":\"Q2,滤网\"},\"checkbox\":\"000100030005\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736132407);
INSERT INTO `mx_admin_log` VALUES (622, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/add', '添加', '{\"row\":{\"task_type\":\"1\",\"create_by_user_id\":\"3\",\"create_by\":\"teacher\",\"sim_type\":\"0001\",\"name\":\"20250106\",\"fault_id\":\"000100020004,000100030005,000100050009\",\"fault_name\":\"Q2,滤网,外壳及零件\"},\"checkbox\":\"000100050009\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736132413);
INSERT INTO `mx_admin_log` VALUES (623, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736133392);
INSERT INTO `mx_admin_log` VALUES (624, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134253);
INSERT INTO `mx_admin_log` VALUES (625, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/del/ids/48', '删除', '{\"ids\":\"48\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134270);
INSERT INTO `mx_admin_log` VALUES (626, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/edit/ids/47?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"999999\",\"fault_id\":\"000100030006,000100050009\",\"fault_name\":\"调速电位器,外壳及零件\"},\"checkbox\":\"000100050009\",\"ids\":\"47\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134323);
INSERT INTO `mx_admin_log` VALUES (627, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/edit/ids/47?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"66666666\",\"fault_id\":\"000100040008,000100050009,000100060010\",\"fault_name\":\"热敏开关,外壳及零件,供电模块\"},\"checkbox\":\"000100060010\",\"ids\":\"47\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134406);
INSERT INTO `mx_admin_log` VALUES (628, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/edit/ids/47?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"66666666\",\"fault_id\":\"000100010001,000100010002,000100020003\",\"fault_name\":\"电源开关,DC\\/DC转换芯片,微电机\"},\"checkbox\":\"000100020003\",\"ids\":\"47\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134634);
INSERT INTO `mx_admin_log` VALUES (629, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/del/ids/44', '删除', '{\"ids\":\"44\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134733);
INSERT INTO `mx_admin_log` VALUES (630, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/del/ids/46', '删除', '{\"ids\":\"46\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134736);
INSERT INTO `mx_admin_log` VALUES (631, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134739);
INSERT INTO `mx_admin_log` VALUES (632, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/edit/ids/49?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0001\",\"name\":\"20250106模拟1型\",\"fault_id\":\"000100020004,000100030005,000100050009\",\"fault_name\":\"Q2,滤网,外壳及零件\"},\"checkbox\":\"000100050009\",\"ids\":\"49\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134757);
INSERT INTO `mx_admin_log` VALUES (633, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134761);
INSERT INTO `mx_admin_log` VALUES (634, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134797);
INSERT INTO `mx_admin_log` VALUES (635, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134843);
INSERT INTO `mx_admin_log` VALUES (636, 3, 'teacher', '/ZQOtIMLKud.php/teacher/task/edit/ids/47?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"sim_type\":\"0002\",\"name\":\"20250106模拟2型\",\"fault_id\":\"000200040008,000200040007,000200030006\",\"fault_name\":\"8.显示屏,7.主控板显示屏供电电路,6.主控板信号采集电路\"},\"checkbox\":\"000200040008\",\"ids\":\"47\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736134854);
INSERT INTO `mx_admin_log` VALUES (637, 1, 'admin', '/ZQOtIMLKud.php/auth/rule/multi', '权限管理 / 菜单规则', '{\"action\":\"\",\"ids\":\"1\",\"params\":\"ismenu=1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736135350);
INSERT INTO `mx_admin_log` VALUES (638, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736143422);
INSERT INTO `mx_admin_log` VALUES (639, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"44,41,42\",\"question_ids\":\"0\",\"task_id\":\"49\",\"exam_collection_name\":\"20250106\",\"sim_type\":\"0001\",\"limit_duration\":\"50\",\"question_setting_method\":\"3\",\"task_name\":\"20250106模拟1型\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736144079);
INSERT INTO `mx_admin_log` VALUES (640, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"44,42\",\"question_ids\":\"0\",\"task_id\":\"49\",\"exam_collection_name\":\"20250106\",\"sim_type\":\"0001\",\"limit_duration\":\"50\",\"question_setting_method\":\"3\",\"task_name\":\"20250106模拟1型\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736144195);
INSERT INTO `mx_admin_log` VALUES (641, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"0\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"20250106222\",\"sim_type\":\"0002\",\"limit_duration\":\"56\",\"question_setting_method\":\"2\",\"task_name\":\"\",\"question_name\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736147880);
INSERT INTO `mx_admin_log` VALUES (642, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"0\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"20250106222\",\"sim_type\":\"0002\",\"limit_duration\":\"56\",\"question_setting_method\":\"2\",\"task_name\":\"\",\"question_name\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736147886);
INSERT INTO `mx_admin_log` VALUES (643, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"0\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"20250106222\",\"sim_type\":\"0002\",\"limit_duration\":\"56\",\"question_setting_method\":\"2\",\"task_name\":\"\",\"question_name\":\"\"}}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736147892);
INSERT INTO `mx_admin_log` VALUES (644, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add', '添加', '{\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"41,42\",\"question_ids\":\"000200050010,000200050009,000200040008\",\"task_id\":\"0\",\"exam_collection_name\":\"202501062\",\"sim_type\":\"0002\",\"limit_duration\":\"45\",\"question_setting_method\":\"2\",\"task_name\":\"\",\"question_name\":\"10.维护管,9.干燥管,8.显示屏\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736148556);
INSERT INTO `mx_admin_log` VALUES (645, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/39', '编辑', '{\"row\":{\"depart_ids\":\"41,42\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"202501062\",\"sim_type\":\"0002\",\"limit_duration\":\"45\",\"question_setting_method\":\"3\",\"question_name\":\"\",\"task_name\":\"\"},\"btSelectItem\":\"on\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736148874);
INSERT INTO `mx_admin_log` VALUES (646, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/39', '编辑', '{\"row\":{\"depart_ids\":\"41,42\",\"question_ids\":\"0\",\"task_id\":\"47\",\"exam_collection_name\":\"202501062\",\"sim_type\":\"0002\",\"limit_duration\":\"45\",\"question_setting_method\":\"3\",\"question_name\":\"\",\"task_name\":\"20250106模拟2型\"},\"btSelectItem\":\"on\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736148882);
INSERT INTO `mx_admin_log` VALUES (647, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/39', '编辑', '{\"row\":{\"depart_ids\":\"41,42\",\"question_ids\":\"0\",\"task_id\":\"47\",\"exam_collection_name\":\"202501062\",\"sim_type\":\"0002\",\"limit_duration\":\"45\",\"question_setting_method\":\"3\",\"question_name\":\"\",\"task_name\":\"20250106模拟2型\"},\"btSelectItem\":\"on\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736148924);
INSERT INTO `mx_admin_log` VALUES (648, 0, 'Unknown', '/ZQOtIMLKud.php/index/logout', '', '{\"__token__\":\"***\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736149398);
INSERT INTO `mx_admin_log` VALUES (649, 3, 'teacher', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"teacher\",\"password\":\"***\",\"captcha\":\"8mry\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736149465);
INSERT INTO `mx_admin_log` VALUES (650, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/39', '开始考试', '{\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736150627);
INSERT INTO `mx_admin_log` VALUES (651, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/39', '开始考试', '{\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736150631);
INSERT INTO `mx_admin_log` VALUES (652, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"31\",\"params\":\"exam_collection_state=3\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736150762);
INSERT INTO `mx_admin_log` VALUES (653, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/start/ids/39', '开始考试', '{\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736150767);
INSERT INTO `mx_admin_log` VALUES (654, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/multi', '批量处理', '{\"action\":\"\",\"ids\":\"39\",\"params\":\"exam_collection_state=2\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736150797);
INSERT INTO `mx_admin_log` VALUES (655, 9, 'xueyuan002', '/ZQOtIMLKud.php/student/collection/examing/ids/48', '考试中', '{\"row\":{\"other_replace\":\"\",\"other_report\":\"\"},\"ids\":\"48\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736150805);
INSERT INTO `mx_admin_log` VALUES (656, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736211464);
INSERT INTO `mx_admin_log` VALUES (657, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736211707);
INSERT INTO `mx_admin_log` VALUES (658, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0001\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736211833);
INSERT INTO `mx_admin_log` VALUES (659, 3, 'teacher', '/ZQOtIMLKud.php/fault/getdatalist', '', '{\"simtype\":\"0002\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736211836);
INSERT INTO `mx_admin_log` VALUES (660, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"43,42,41\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"33333\",\"sim_type\":\"0001\",\"limit_duration\":\"56\",\"question_setting_method\":\"1\",\"task_name\":\"\",\"question_name\":\"\",\"qudui_total\":\"3\",\"xueyuan_total\":\"4\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736214211);
INSERT INTO `mx_admin_log` VALUES (661, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/add?dialog=1', '添加', '{\"dialog\":\"1\",\"row\":{\"exam_collection_state\":\"3\",\"exam_collection_type\":\"3\",\"create_user_id\":\"3\",\"create_by\":\"teacher\",\"depart_ids\":\"41,42,43\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"77777\",\"sim_type\":\"0001\",\"limit_duration\":\"777\",\"question_setting_method\":\"1\",\"task_name\":\"\",\"question_name\":\"\",\"qudui_count\":\"3\",\"xueyuan_count\":\"4\"},\"btSelectItem\":\"on\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736214285);
INSERT INTO `mx_admin_log` VALUES (662, 3, 'teacher', '/ZQOtIMLKud.php/teacher/collection/edit/ids/41?dialog=1', '编辑', '{\"dialog\":\"1\",\"row\":{\"depart_ids\":\"43,42\",\"question_ids\":\"0\",\"task_id\":\"0\",\"exam_collection_name\":\"33333\",\"sim_type\":\"0001\",\"limit_duration\":\"56\",\"question_setting_method\":\"1\",\"question_name\":\"\",\"task_name\":\"\",\"qudui_count\":\"2\",\"xueyuan_count\":\"2\"},\"btSelectItem\":\"on\",\"ids\":\"41\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:133.0) Gecko/20100101 Firefox/133.0', 1736214365);
INSERT INTO `mx_admin_log` VALUES (663, 9, 'xueyuan002', '/ZQOtIMLKud.php/index/login', '登录', '{\"__token__\":\"***\",\"username\":\"xueyuan002\",\"password\":\"***\",\"captcha\":\"bixt\",\"keeplogin\":\"1\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736215461);
INSERT INTO `mx_admin_log` VALUES (664, 9, 'xueyuan002', '/ZQOtIMLKud.php/student/collection/into/ids/39?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"39\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736225966);
INSERT INTO `mx_admin_log` VALUES (665, 9, 'xueyuan002', '/ZQOtIMLKud.php/student/collection/into/ids/39?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"39\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736226934);
INSERT INTO `mx_admin_log` VALUES (666, 9, 'xueyuan002', '/ZQOtIMLKud.php/student/collection/into/ids/39?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"39\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736226937);
INSERT INTO `mx_admin_log` VALUES (667, 9, 'xueyuan002', '/ZQOtIMLKud.php/student/collection/into/ids/39?addtabs=1', '进入考试', '{\"addtabs\":\"1\",\"__token__\":\"***\",\"exam_collection_id\":\"39\",\"ids\":\"39\"}', '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/131.0.0.0 Safari/537.36', 1736227034);

-- ----------------------------
-- Table structure for mx_area
-- ----------------------------
DROP TABLE IF EXISTS `mx_area`;
CREATE TABLE `mx_area`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `pid` int NULL DEFAULT NULL COMMENT '父id',
  `shortname` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '简称',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `mergename` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '全称',
  `level` tinyint NULL DEFAULT NULL COMMENT '层级:1=省,2=市,3=区/县',
  `pinyin` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '拼音',
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '长途区号',
  `zip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮编',
  `first` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '首字母',
  `lng` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经度',
  `lat` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纬度',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `pid`(`pid` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '地区表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_area
-- ----------------------------

-- ----------------------------
-- Table structure for mx_attachment
-- ----------------------------
DROP TABLE IF EXISTS `mx_attachment`;
CREATE TABLE `mx_attachment`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '类别',
  `admin_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '管理员ID',
  `user_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '会员ID',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '物理路径',
  `imagewidth` int UNSIGNED NULL DEFAULT 0 COMMENT '宽度',
  `imageheight` int UNSIGNED NULL DEFAULT 0 COMMENT '高度',
  `imagetype` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '图片类型',
  `imageframes` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '图片帧数',
  `filename` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '文件名称',
  `filesize` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '文件大小',
  `mimetype` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'mime类型',
  `extparam` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '透传数据',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建日期',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `uploadtime` bigint NULL DEFAULT NULL COMMENT '上传时间',
  `storage` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'local' COMMENT '存储位置',
  `sha1` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '文件 sha1编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '附件表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_attachment
-- ----------------------------
INSERT INTO `mx_attachment` VALUES (1, '', 1, 0, '/assets/img/qrcode.png', 150, 150, 'png', 0, 'qrcode.png', 21859, 'image/png', '', 1491635035, 1491635035, 1491635035, 'local', '17163603d0263e4838b9387ff2cd4877e8b018f6');
INSERT INTO `mx_attachment` VALUES (2, '', 1, 0, '/uploads/20241227/015dd92622f8209b95933860d0defe02.png', 642, 631, 'png', 0, '防化logo.png', 543985, 'image/png', '', 1735269880, 1735269880, 1735269880, 'local', 'dac4b57c8ead3dae59cde67cb94b01457f909edd');

-- ----------------------------
-- Table structure for mx_auth_group
-- ----------------------------
DROP TABLE IF EXISTS `mx_auth_group`;
CREATE TABLE `mx_auth_group`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '父组别',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '组名',
  `rules` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '规则ID',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `status` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '分组表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_auth_group
-- ----------------------------
INSERT INTO `mx_auth_group` VALUES (1, 0, 'Admin group', '*', 1491635035, 1491635035, 'normal');
INSERT INTO `mx_auth_group` VALUES (6, 1, '管理端', '8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,2', 1735269915, 1735557962, 'normal');
INSERT INTO `mx_auth_group` VALUES (7, 1, '教师端', '8,29,30,31,32,33,34,86,87,88,89,90,91,92,93,94,95,96,97,98,99,101,102,105,106,110,111,126,127,128,129,130,131,132,134,135,136,137,139,140,141,142,144,145,146,147,148,149,2,103,104', 1735269922, 1735988644, 'normal');
INSERT INTO `mx_auth_group` VALUES (8, 1, '学员端', '8,29,30,31,32,33,34,107,108,109,112,113,114,118,119,120,121,122,123,124,125,138,143,2', 1735269928, 1735805848, 'normal');

-- ----------------------------
-- Table structure for mx_auth_group_access
-- ----------------------------
DROP TABLE IF EXISTS `mx_auth_group_access`;
CREATE TABLE `mx_auth_group_access`  (
  `uid` int UNSIGNED NOT NULL COMMENT '会员ID',
  `group_id` int UNSIGNED NOT NULL COMMENT '级别ID',
  UNIQUE INDEX `uid_group_id`(`uid` ASC, `group_id` ASC) USING BTREE,
  INDEX `uid`(`uid` ASC) USING BTREE,
  INDEX `group_id`(`group_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '权限分组表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_auth_group_access
-- ----------------------------
INSERT INTO `mx_auth_group_access` VALUES (1, 1);
INSERT INTO `mx_auth_group_access` VALUES (2, 6);
INSERT INTO `mx_auth_group_access` VALUES (3, 7);
INSERT INTO `mx_auth_group_access` VALUES (4, 8);
INSERT INTO `mx_auth_group_access` VALUES (9, 8);
INSERT INTO `mx_auth_group_access` VALUES (11, 8);
INSERT INTO `mx_auth_group_access` VALUES (12, 8);

-- ----------------------------
-- Table structure for mx_auth_rule
-- ----------------------------
DROP TABLE IF EXISTS `mx_auth_rule`;
CREATE TABLE `mx_auth_rule`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` enum('menu','file') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'file' COMMENT 'menu为菜单,file为权限节点',
  `pid` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '父ID',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '规则名称',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '规则名称',
  `icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '图标',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '规则URL',
  `condition` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '条件',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `ismenu` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否为菜单',
  `menutype` enum('addtabs','blank','dialog','ajax') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单类型',
  `extend` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '扩展属性',
  `py` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '拼音首字母',
  `pinyin` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '拼音',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `weigh` int NOT NULL DEFAULT 0 COMMENT '权重',
  `status` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name` ASC) USING BTREE,
  INDEX `pid`(`pid` ASC) USING BTREE,
  INDEX `weigh`(`weigh` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 150 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '节点表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_auth_rule
-- ----------------------------
INSERT INTO `mx_auth_rule` VALUES (1, 'file', 0, 'dashboard', '控制台', 'fa fa-dashboard', '', '', '用于展示当前系统中的统计数据、统计报表及重要实时数据', 1, 'addtabs', '', 'kzt', 'kongzhitai', 1491635035, 1736135350, 143, 'normal');
INSERT INTO `mx_auth_rule` VALUES (2, 'file', 0, 'general', 'General', 'fa fa-cogs', '', '', '', 1, NULL, '', 'cggl', 'changguiguanli', 1491635035, 1491635035, 137, 'normal');
INSERT INTO `mx_auth_rule` VALUES (3, 'file', 0, 'category', 'Category', 'fa fa-leaf', '', '', 'Category tips', 0, NULL, '', 'flgl', 'fenleiguanli', 1491635035, 1491635035, 119, 'normal');
INSERT INTO `mx_auth_rule` VALUES (4, 'file', 0, 'addon', 'Addon', 'fa fa-rocket', '', '', 'Addon tips', 0, NULL, '', 'cjgl', 'chajianguanli', 1491635035, 1735270777, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (5, 'file', 0, 'auth', 'Auth', 'fa fa-group', '', '', '', 1, NULL, '', 'qxgl', 'quanxianguanli', 1491635035, 1491635035, 99, 'normal');
INSERT INTO `mx_auth_rule` VALUES (6, 'file', 2, 'general/config', 'Config', 'fa fa-cog', '', '', 'Config tips', 1, NULL, '', 'xtpz', 'xitongpeizhi', 1491635035, 1491635035, 60, 'normal');
INSERT INTO `mx_auth_rule` VALUES (7, 'file', 2, 'general/attachment', 'Attachment', 'fa fa-file-image-o', '', '', 'Attachment tips', 1, NULL, '', 'fjgl', 'fujianguanli', 1491635035, 1491635035, 53, 'normal');
INSERT INTO `mx_auth_rule` VALUES (8, 'file', 2, 'general/profile', 'Profile', 'fa fa-user', '', '', '', 1, NULL, '', 'grzl', 'gerenziliao', 1491635035, 1491635035, 34, 'normal');
INSERT INTO `mx_auth_rule` VALUES (9, 'file', 5, 'auth/admin', 'Admin', 'fa fa-user', '', '', 'Admin tips', 1, NULL, '', 'glygl', 'guanliyuanguanli', 1491635035, 1491635035, 118, 'normal');
INSERT INTO `mx_auth_rule` VALUES (10, 'file', 5, 'auth/adminlog', 'Admin log', 'fa fa-list-alt', '', '', 'Admin log tips', 1, NULL, '', 'glyrz', 'guanliyuanrizhi', 1491635035, 1491635035, 113, 'normal');
INSERT INTO `mx_auth_rule` VALUES (11, 'file', 5, 'auth/group', 'Group', 'fa fa-group', '', '', 'Group tips', 1, NULL, '', 'jsz', 'juesezu', 1491635035, 1491635035, 109, 'normal');
INSERT INTO `mx_auth_rule` VALUES (12, 'file', 5, 'auth/rule', 'Rule', 'fa fa-bars', '', '', 'Rule tips', 1, NULL, '', 'cdgz', 'caidanguize', 1491635035, 1491635035, 104, 'normal');
INSERT INTO `mx_auth_rule` VALUES (13, 'file', 1, 'dashboard/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 136, 'normal');
INSERT INTO `mx_auth_rule` VALUES (14, 'file', 1, 'dashboard/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 135, 'normal');
INSERT INTO `mx_auth_rule` VALUES (15, 'file', 1, 'dashboard/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 133, 'normal');
INSERT INTO `mx_auth_rule` VALUES (16, 'file', 1, 'dashboard/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 134, 'normal');
INSERT INTO `mx_auth_rule` VALUES (17, 'file', 1, 'dashboard/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 132, 'normal');
INSERT INTO `mx_auth_rule` VALUES (18, 'file', 6, 'general/config/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 52, 'normal');
INSERT INTO `mx_auth_rule` VALUES (19, 'file', 6, 'general/config/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 51, 'normal');
INSERT INTO `mx_auth_rule` VALUES (20, 'file', 6, 'general/config/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 50, 'normal');
INSERT INTO `mx_auth_rule` VALUES (21, 'file', 6, 'general/config/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 49, 'normal');
INSERT INTO `mx_auth_rule` VALUES (22, 'file', 6, 'general/config/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 48, 'normal');
INSERT INTO `mx_auth_rule` VALUES (23, 'file', 7, 'general/attachment/index', 'View', 'fa fa-circle-o', '', '', 'Attachment tips', 0, NULL, '', '', '', 1491635035, 1491635035, 59, 'normal');
INSERT INTO `mx_auth_rule` VALUES (24, 'file', 7, 'general/attachment/select', 'Select attachment', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 58, 'normal');
INSERT INTO `mx_auth_rule` VALUES (25, 'file', 7, 'general/attachment/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 57, 'normal');
INSERT INTO `mx_auth_rule` VALUES (26, 'file', 7, 'general/attachment/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 56, 'normal');
INSERT INTO `mx_auth_rule` VALUES (27, 'file', 7, 'general/attachment/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 55, 'normal');
INSERT INTO `mx_auth_rule` VALUES (28, 'file', 7, 'general/attachment/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 54, 'normal');
INSERT INTO `mx_auth_rule` VALUES (29, 'file', 8, 'general/profile/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 33, 'normal');
INSERT INTO `mx_auth_rule` VALUES (30, 'file', 8, 'general/profile/update', 'Update profile', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 32, 'normal');
INSERT INTO `mx_auth_rule` VALUES (31, 'file', 8, 'general/profile/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 31, 'normal');
INSERT INTO `mx_auth_rule` VALUES (32, 'file', 8, 'general/profile/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 30, 'normal');
INSERT INTO `mx_auth_rule` VALUES (33, 'file', 8, 'general/profile/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 29, 'normal');
INSERT INTO `mx_auth_rule` VALUES (34, 'file', 8, 'general/profile/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 28, 'normal');
INSERT INTO `mx_auth_rule` VALUES (35, 'file', 3, 'category/index', 'View', 'fa fa-circle-o', '', '', 'Category tips', 0, NULL, '', '', '', 1491635035, 1491635035, 142, 'normal');
INSERT INTO `mx_auth_rule` VALUES (36, 'file', 3, 'category/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 141, 'normal');
INSERT INTO `mx_auth_rule` VALUES (37, 'file', 3, 'category/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 140, 'normal');
INSERT INTO `mx_auth_rule` VALUES (38, 'file', 3, 'category/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 139, 'normal');
INSERT INTO `mx_auth_rule` VALUES (39, 'file', 3, 'category/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 138, 'normal');
INSERT INTO `mx_auth_rule` VALUES (40, 'file', 9, 'auth/admin/index', 'View', 'fa fa-circle-o', '', '', 'Admin tips', 0, NULL, '', '', '', 1491635035, 1491635035, 117, 'normal');
INSERT INTO `mx_auth_rule` VALUES (41, 'file', 9, 'auth/admin/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 116, 'normal');
INSERT INTO `mx_auth_rule` VALUES (42, 'file', 9, 'auth/admin/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 115, 'normal');
INSERT INTO `mx_auth_rule` VALUES (43, 'file', 9, 'auth/admin/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 114, 'normal');
INSERT INTO `mx_auth_rule` VALUES (44, 'file', 10, 'auth/adminlog/index', 'View', 'fa fa-circle-o', '', '', 'Admin log tips', 0, NULL, '', '', '', 1491635035, 1491635035, 112, 'normal');
INSERT INTO `mx_auth_rule` VALUES (45, 'file', 10, 'auth/adminlog/detail', 'Detail', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 111, 'normal');
INSERT INTO `mx_auth_rule` VALUES (46, 'file', 10, 'auth/adminlog/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 110, 'normal');
INSERT INTO `mx_auth_rule` VALUES (47, 'file', 11, 'auth/group/index', 'View', 'fa fa-circle-o', '', '', 'Group tips', 0, NULL, '', '', '', 1491635035, 1491635035, 108, 'normal');
INSERT INTO `mx_auth_rule` VALUES (48, 'file', 11, 'auth/group/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 107, 'normal');
INSERT INTO `mx_auth_rule` VALUES (49, 'file', 11, 'auth/group/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 106, 'normal');
INSERT INTO `mx_auth_rule` VALUES (50, 'file', 11, 'auth/group/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 105, 'normal');
INSERT INTO `mx_auth_rule` VALUES (51, 'file', 12, 'auth/rule/index', 'View', 'fa fa-circle-o', '', '', 'Rule tips', 0, NULL, '', '', '', 1491635035, 1491635035, 103, 'normal');
INSERT INTO `mx_auth_rule` VALUES (52, 'file', 12, 'auth/rule/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 102, 'normal');
INSERT INTO `mx_auth_rule` VALUES (53, 'file', 12, 'auth/rule/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 101, 'normal');
INSERT INTO `mx_auth_rule` VALUES (54, 'file', 12, 'auth/rule/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 100, 'normal');
INSERT INTO `mx_auth_rule` VALUES (55, 'file', 4, 'addon/index', 'View', 'fa fa-circle-o', '', '', 'Addon tips', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (56, 'file', 4, 'addon/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (57, 'file', 4, 'addon/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (58, 'file', 4, 'addon/del', 'Delete', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (59, 'file', 4, 'addon/downloaded', 'Local addon', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (60, 'file', 4, 'addon/state', 'Update state', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (63, 'file', 4, 'addon/config', 'Setting', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (64, 'file', 4, 'addon/refresh', 'Refresh', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (65, 'file', 4, 'addon/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (66, 'file', 0, 'user', 'User', 'fa fa-user-circle', '', '', '', 0, NULL, '', 'hygl', 'huiyuanguanli', 1491635035, 1735269831, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (67, 'file', 66, 'user/user', 'User', 'fa fa-user', '', '', '', 1, NULL, '', 'hygl', 'huiyuanguanli', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (68, 'file', 67, 'user/user/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (69, 'file', 67, 'user/user/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (70, 'file', 67, 'user/user/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (71, 'file', 67, 'user/user/del', 'Del', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (72, 'file', 67, 'user/user/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (73, 'file', 66, 'user/group', 'User group', 'fa fa-users', '', '', '', 1, NULL, '', 'hyfz', 'huiyuanfenzu', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (74, 'file', 73, 'user/group/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (75, 'file', 73, 'user/group/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (76, 'file', 73, 'user/group/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (77, 'file', 73, 'user/group/del', 'Del', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (78, 'file', 73, 'user/group/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (79, 'file', 66, 'user/rule', 'User rule', 'fa fa-circle-o', '', '', '', 1, NULL, '', 'hygz', 'huiyuanguize', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (80, 'file', 79, 'user/rule/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (81, 'file', 79, 'user/rule/del', 'Del', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (82, 'file', 79, 'user/rule/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (83, 'file', 79, 'user/rule/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (84, 'file', 79, 'user/rule/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', '', '', 1491635035, 1491635035, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (86, 'file', 99, 'department/admin', '学生管理', 'fa fa-users', '', '', '', 1, 'addtabs', '', 'xsgl', 'xueshengguanli', 1735270528, 1735270751, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (87, 'file', 86, 'department/admin/index', 'View', 'fa fa-users', '', '', '', 0, NULL, '', 'zk', 'zhakan', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (88, 'file', 86, 'department/admin/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'tj', 'tianjia', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (89, 'file', 86, 'department/admin/edit', '编辑11', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bj1', 'bianji11', 1735270528, 1735614055, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (90, 'file', 86, 'department/admin/del', 'Del', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'sc', 'shanchu', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (91, 'file', 86, 'department/admin/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'plgx', 'pilianggengxin', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (92, 'file', 86, 'department/admin/principal', 'Principal set', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'Ps', 'Principalset', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (93, 'file', 99, 'department/index', '组织架构', 'fa fa-sliders', '', '', '', 1, 'addtabs', '', 'zzjg', 'zuzhijiagou', 1735270528, 1735270788, 10, 'normal');
INSERT INTO `mx_auth_rule` VALUES (94, 'file', 93, 'department/index/index', 'View', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'zk', 'zhakan', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (95, 'file', 93, 'department/index/add', 'Add', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'tj', 'tianjia', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (96, 'file', 93, 'department/index/edit', 'Edit', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'bj', 'bianji', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (97, 'file', 93, 'department/index/del', 'Del', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'sc', 'shanchu', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (98, 'file', 93, 'department/index/multi', 'Multi', 'fa fa-circle-o', '', '', '', 0, NULL, '', 'plgx', 'pilianggengxin', 1735270528, 1735270528, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (99, 'file', 0, 'sutdent', '学生信息管理', 'fa fa-address-book-o', '', '', '', 1, 'addtabs', '', 'xsxxgl', 'xueshengxinxiguanli', 1735270655, 1735271303, 80, 'normal');
INSERT INTO `mx_auth_rule` VALUES (100, 'file', 0, 'teacher/info/index', '教师管理', 'fa fa-graduation-cap', '', '', '', 1, 'addtabs', '', 'jsgl', 'jiaoshiguanli', 1735271294, 1735288544, 90, 'normal');
INSERT INTO `mx_auth_rule` VALUES (101, 'file', 0, 'teacher/task/index', '训练任务管理', 'fa fa-tumblr', '', '', '', 1, 'addtabs', '', 'xlrwgl', 'xunlianrenwuguanli', 1735277987, 1735277987, 70, 'normal');
INSERT INTO `mx_auth_rule` VALUES (102, 'file', 0, 'teacher/exams/index', '学生成绩管理', 'fa fa-bar-chart', '', '', '', 1, 'addtabs', '', 'xscjgl', 'xueshengchengjiguanli', 1735278034, 1735351986, 60, 'normal');
INSERT INTO `mx_auth_rule` VALUES (103, 'file', 0, 'examination', '学生考试管理', 'fa fa-file-excel-o', '', '', '', 1, 'addtabs', '', 'xsksgl', 'xueshengkaoshiguanli', 1735278142, 1735278142, 50, 'normal');
INSERT INTO `mx_auth_rule` VALUES (104, 'file', 103, 'teacher/collection/index', '考试列表', 'fa fa-align-justify', '', '', '', 1, 'addtabs', '', 'kslb', 'kaoshiliebiao', 1735278188, 1735351977, 10, 'normal');
INSERT INTO `mx_auth_rule` VALUES (105, 'file', 103, 'teacher/exams/persent', '当前考试', 'fa fa-dashcube', '', '', '', 0, 'addtabs', '', 'dqks', 'dangqiankaoshi', 1735278273, 1735890449, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (106, 'file', 0, 'practice', '学生练习管理', 'fa fa-superscript', '', '', '', 1, 'addtabs', '', 'xxlxgl', 'xuexiaolianxiguanli', 1735278341, 1735278341, 40, 'normal');
INSERT INTO `mx_auth_rule` VALUES (107, 'file', 0, 'sexamination', '考试管理', 'fa fa-bar-chart', '', '', '', 1, 'addtabs', '', 'ksgl', 'kaoshiguanli', 1735278424, 1735278424, 30, 'normal');
INSERT INTO `mx_auth_rule` VALUES (108, 'file', 0, 'spractice', '练习管理', 'fa fa-yelp', '', '', '', 1, 'addtabs', '', 'lxgl', 'lianxiguanli', 1735278482, 1735278482, 20, 'normal');
INSERT INTO `mx_auth_rule` VALUES (109, 'file', 0, 'student/exercise/index', '自主练习管理', 'fa fa-pause', '', '', '', 1, 'addtabs', '', 'zzlxgl', 'zizhulianxiguanli', 1735278555, 1735278555, 10, 'normal');
INSERT INTO `mx_auth_rule` VALUES (110, 'file', 106, 'teacher/practice/index', '练习列表', 'fa fa-themeisle', '', '', '', 1, 'addtabs', '', 'lxlb', 'lianxiliebiao', 1735278667, 1735278667, 10, 'normal');
INSERT INTO `mx_auth_rule` VALUES (111, 'file', 106, 'teacher/practice/persent', '当前练习', 'fa fa-glide-g', '', '', '', 0, 'addtabs', '', 'dqlx', 'dangqianlianxi', 1735278715, 1735988263, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (112, 'file', 107, 'student/collection/index', '考试列表', 'fa fa-dropbox', '', '', '', 1, 'addtabs', '', 'kslb', 'kaoshiliebiao', 1735278776, 1735361564, 10, 'normal');
INSERT INTO `mx_auth_rule` VALUES (113, 'file', 107, 'student/exam/index', '成绩管理', 'fa fa-barcode', '', '', '', 1, 'addtabs', '', 'cjgl', 'chengjiguanli', 1735278845, 1735361571, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (114, 'file', 108, 'student/practice/index', '练习列表', 'fa fa-braille', '', '', '', 1, 'addtabs', '', 'lxlb', 'lianxiliebiao', 1735278882, 1735278882, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (115, 'file', 100, 'teacher/info/add', '添加教师', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'tjjs', 'tianjiajiaoshi', 1735287107, 1735287107, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (116, 'file', 100, 'teacher/info/edit', '编辑教师', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bjjs', 'bianjijiaoshi', 1735287128, 1735287128, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (117, 'file', 100, 'teacher/info/del', '删除教师', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'scjs', 'shanchujiaoshi', 1735287141, 1735287141, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (118, 'file', 112, 'student/collection/into', '进入考试', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'jrks', 'jinrukaoshi', 1735542962, 1735542962, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (119, 'file', 112, 'student/collection/examing', '考试中', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'ksz', 'kaoshizhong', 1735547894, 1735547894, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (120, 'file', 112, 'student/collection/analysis', '得分分析', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'dffx', 'defenfenxi', 1735547955, 1735547955, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (121, 'file', 114, 'student/practice/into', '进入练习', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'jrlx', 'jinrulianxi', 1735610334, 1735610334, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (122, 'file', 114, 'student/practice/examing', '练习中', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'lxz', 'lianxizhong', 1735610361, 1735610361, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (123, 'file', 114, 'student/practice/analysis', '练习得分分析', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'lxdffx', 'lianxidefenfenxi', 1735610391, 1735610391, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (124, 'file', 109, 'student/exercise/examing', '自主练习中', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'zzlxz', 'zizhulianxizhong', 1735612683, 1735612683, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (125, 'file', 109, 'student/exercise/analysis', '得分分析', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'dffx', 'defenfenxi', 1735612717, 1735612717, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (126, 'file', 101, 'teacher/task/add', '添加', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'tj', 'tianjia', 1735614717, 1735614717, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (127, 'file', 101, 'teacher/task/edit', '编辑', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bj', 'bianji', 1735614729, 1735614729, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (128, 'file', 101, 'teacher/task/del', '删除', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'sc', 'shanchu', 1735614742, 1735614742, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (129, 'file', 102, 'teacher/exams/edit', '编辑', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bj', 'bianji', 1735614968, 1735614968, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (130, 'file', 102, 'teacher/exams/view', '详情', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'xq', 'xiangqing', 1735614983, 1735614983, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (131, 'file', 104, 'teacher/collection/add', '添加', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'tj', 'tianjia', 1735635630, 1735635630, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (132, 'file', 104, 'teacher/collection/edit', '编辑', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bj', 'bianji', 1735635646, 1735635646, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (133, 'file', 104, 'teacher/collection/del', '删除', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'sc', 'shanchu', 1735635665, 1735635665, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (134, 'file', 110, 'teacher/practice/add', '添加', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'tj', 'tianjia', 1735642500, 1735642500, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (135, 'file', 110, 'teacher/practice/edit', '编辑', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bj', 'bianji', 1735642517, 1735642517, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (136, 'file', 110, 'teacher/practice/del', '删除', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'sc', 'shanchu', 1735642529, 1735642529, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (137, 'file', 104, 'teacher/collection/multi', '批量处理', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'plcl', 'piliangchuli', 1735709389, 1735709389, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (138, 'file', 112, 'student/collection/replace', '申请更换件', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'sqghj', 'shenqinggenghuanjian', 1735715660, 1735715660, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (139, 'file', 105, 'teacher/exams/handle', '处理更换件', 'fa fa-reply-all', '', '', '', 0, 'addtabs', '', 'clghj', 'chuligenghuanjian', 1735728166, 1735728166, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (140, 'file', 105, 'teacher/exams/examing', '正在考试中', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'zzksz', 'zhengzaikaoshizhong', 1735729414, 1735729414, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (141, 'file', 105, 'teacher/exams/score', '查看得分', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'zkdf', 'zhakandefen', 1735803865, 1735803865, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (142, 'file', 105, 'teacher/exams/editscore', '编辑成绩', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'bjcj', 'bianjichengji', 1735804529, 1735804529, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (143, 'file', 113, 'student/exam/view', '学生成绩详情', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'xscjxq', 'xueshengchengjixiangqing', 1735805840, 1735805840, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (144, 'file', 104, 'teacher/collection/faults', '选择考题', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'xzkt', 'xuanzekaoti', 1735806966, 1735806966, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (145, 'file', 104, 'teacher/collection/task', '选择任务', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'xzrw', 'xuanzerenwu', 1735806980, 1735806980, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (146, 'file', 110, 'teacher/practice/multi', '修改练习状态', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'xglxzt', 'xiugailianxizhuangtai', 1735812885, 1735812913, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (147, 'file', 111, 'teacher/practice/examing', '正在练习', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'zzlx', 'zhengzailianxi', 1735814610, 1735814610, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (148, 'file', 104, 'teacher/collection/start', '开始考试', 'fa fa-play-circle', '', '', '', 0, 'addtabs', '', 'ksks', 'kaishikaoshi', 1735868006, 1735868006, 0, 'normal');
INSERT INTO `mx_auth_rule` VALUES (149, 'file', 110, 'teacher/practice/start', '开启练习', 'fa fa-circle-o', '', '', '', 0, 'addtabs', '', 'kqlx', 'kaiqilianxi', 1735988638, 1735988638, 0, 'normal');

-- ----------------------------
-- Table structure for mx_category
-- ----------------------------
DROP TABLE IF EXISTS `mx_category`;
CREATE TABLE `mx_category`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '父ID',
  `type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '栏目类型',
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '',
  `nickname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '',
  `flag` set('hot','index','recommend') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '',
  `image` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '图片',
  `keywords` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '关键字',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '描述',
  `diyname` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '自定义名称',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `weigh` int NOT NULL DEFAULT 0 COMMENT '权重',
  `status` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `weigh`(`weigh` ASC, `id` ASC) USING BTREE,
  INDEX `pid`(`pid` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '分类表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_category
-- ----------------------------
INSERT INTO `mx_category` VALUES (1, 0, 'page', '官方新闻', 'news', 'recommend', '/assets/img/qrcode.png', '', '', 'news', 1491635035, 1491635035, 1, 'normal');
INSERT INTO `mx_category` VALUES (2, 0, 'page', '移动应用', 'mobileapp', 'hot', '/assets/img/qrcode.png', '', '', 'mobileapp', 1491635035, 1491635035, 2, 'normal');
INSERT INTO `mx_category` VALUES (3, 2, 'page', '微信公众号', 'wechatpublic', 'index', '/assets/img/qrcode.png', '', '', 'wechatpublic', 1491635035, 1491635035, 3, 'normal');
INSERT INTO `mx_category` VALUES (4, 2, 'page', 'Android开发', 'android', 'recommend', '/assets/img/qrcode.png', '', '', 'android', 1491635035, 1491635035, 4, 'normal');
INSERT INTO `mx_category` VALUES (5, 0, 'page', '软件产品', 'software', 'recommend', '/assets/img/qrcode.png', '', '', 'software', 1491635035, 1491635035, 5, 'normal');
INSERT INTO `mx_category` VALUES (6, 5, 'page', '网站建站', 'website', 'recommend', '/assets/img/qrcode.png', '', '', 'website', 1491635035, 1491635035, 6, 'normal');
INSERT INTO `mx_category` VALUES (7, 5, 'page', '企业管理软件', 'company', 'index', '/assets/img/qrcode.png', '', '', 'company', 1491635035, 1491635035, 7, 'normal');
INSERT INTO `mx_category` VALUES (8, 6, 'page', 'PC端', 'website-pc', 'recommend', '/assets/img/qrcode.png', '', '', 'website-pc', 1491635035, 1491635035, 8, 'normal');
INSERT INTO `mx_category` VALUES (9, 6, 'page', '移动端', 'website-mobile', 'recommend', '/assets/img/qrcode.png', '', '', 'website-mobile', 1491635035, 1491635035, 9, 'normal');
INSERT INTO `mx_category` VALUES (10, 7, 'page', 'CRM系统 ', 'company-crm', 'recommend', '/assets/img/qrcode.png', '', '', 'company-crm', 1491635035, 1491635035, 10, 'normal');
INSERT INTO `mx_category` VALUES (11, 7, 'page', 'SASS平台软件', 'company-sass', 'recommend', '/assets/img/qrcode.png', '', '', 'company-sass', 1491635035, 1491635035, 11, 'normal');
INSERT INTO `mx_category` VALUES (12, 0, 'test', '测试1', 'test1', 'recommend', '/assets/img/qrcode.png', '', '', 'test1', 1491635035, 1491635035, 12, 'normal');
INSERT INTO `mx_category` VALUES (13, 0, 'test', '测试2', 'test2', 'recommend', '/assets/img/qrcode.png', '', '', 'test2', 1491635035, 1491635035, 13, 'normal');

-- ----------------------------
-- Table structure for mx_config
-- ----------------------------
DROP TABLE IF EXISTS `mx_config`;
CREATE TABLE `mx_config`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '变量名',
  `group` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '分组',
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '变量标题',
  `tip` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '变量描述',
  `type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '类型:string,text,int,bool,array,datetime,date,file',
  `visible` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '可见条件',
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '变量值',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '变量字典数据',
  `rule` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '验证规则',
  `extend` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '扩展属性',
  `setting` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '配置',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 24 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_config
-- ----------------------------
INSERT INTO `mx_config` VALUES (1, 'name', 'basic', 'Site name', '请填写站点名称', 'string', '', '维修模拟训练平台', '', 'required', '', NULL);
INSERT INTO `mx_config` VALUES (2, 'beian', 'basic', 'Beian', '粤ICP备15000000号-1', 'string', '', '', '', '', '', NULL);
INSERT INTO `mx_config` VALUES (3, 'cdnurl', 'basic', 'Cdn url', '如果全站静态资源使用第三方云储存请配置该值', 'string', '', '', '', '', '', '');
INSERT INTO `mx_config` VALUES (4, 'version', 'basic', 'Version', '如果静态资源有变动请重新配置该值', 'string', '', '1.0.2', '', 'required', '', NULL);
INSERT INTO `mx_config` VALUES (5, 'timezone', 'basic', 'Timezone', '', 'string', '', 'Asia/Shanghai', '', 'required', '', NULL);
INSERT INTO `mx_config` VALUES (6, 'forbiddenip', 'basic', 'Forbidden ip', '一行一条记录', 'text', '', '', '', '', '', NULL);
INSERT INTO `mx_config` VALUES (7, 'languages', 'basic', 'Languages', '', 'array', '', '{\"backend\":\"zh-cn\",\"frontend\":\"zh-cn\"}', '', 'required', '', NULL);
INSERT INTO `mx_config` VALUES (8, 'fixedpage', 'basic', 'Fixed page', '请输入左侧菜单栏存在的链接', 'string', '', 'dashboard', '', 'required', '', NULL);
INSERT INTO `mx_config` VALUES (9, 'categorytype', 'dictionary', 'Category type', '', 'array', '', '{\"default\":\"Default\",\"page\":\"Page\",\"article\":\"Article\",\"test\":\"Test\"}', '', '', '', '');
INSERT INTO `mx_config` VALUES (10, 'configgroup', 'dictionary', 'Config group', '', 'array', '', '{\"basic\":\"Basic\",\"email\":\"Email\",\"dictionary\":\"Dictionary\",\"user\":\"User\",\"example\":\"Example\"}', '', '', '', '');
INSERT INTO `mx_config` VALUES (11, 'mail_type', 'email', 'Mail type', '选择邮件发送方式', 'select', '', '1', '[\"请选择\",\"SMTP\"]', '', '', '');
INSERT INTO `mx_config` VALUES (12, 'mail_smtp_host', 'email', 'Mail smtp host', '错误的配置发送邮件会导致服务器超时', 'string', '', 'smtp.qq.com', '', '', '', '');
INSERT INTO `mx_config` VALUES (13, 'mail_smtp_port', 'email', 'Mail smtp port', '(不加密默认25,SSL默认465,TLS默认587)', 'string', '', '465', '', '', '', '');
INSERT INTO `mx_config` VALUES (14, 'mail_smtp_user', 'email', 'Mail smtp user', '（填写完整用户名）', 'string', '', '', '', '', '', '');
INSERT INTO `mx_config` VALUES (15, 'mail_smtp_pass', 'email', 'Mail smtp password', '（填写您的密码或授权码）', 'password', '', '', '', '', '', '');
INSERT INTO `mx_config` VALUES (16, 'mail_verify_type', 'email', 'Mail vertify type', '（SMTP验证方式[推荐SSL]）', 'select', '', '2', '[\"无\",\"TLS\",\"SSL\"]', '', '', '');
INSERT INTO `mx_config` VALUES (17, 'mail_from', 'email', 'Mail from', '', 'string', '', '', '', '', '', '');
INSERT INTO `mx_config` VALUES (18, 'attachmentcategory', 'dictionary', 'Attachment category', '', 'array', '', '{\"category1\":\"Category1\",\"category2\":\"Category2\",\"custom\":\"Custom\"}', '', '', '', '');
INSERT INTO `mx_config` VALUES (19, 'sim_sim_type', 'dictionary', '模拟器类型', '', 'select', '', '', '{\"0001\":\"FZD04B型侦毒器\",\"0002\":\"FZB006型毒剂报警器\",\"0003\":\"防化兵用毒剂报警器\"}', '', '', '{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"}');
INSERT INTO `mx_config` VALUES (20, 'sim_question_setting_method', 'dictionary', '出题方式', '', 'select', '', '', '{\"1\":\"系统随机\",\"2\":\"教师自选\",\"3\":\"任务自选\"}', '', '', '{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"}');
INSERT INTO `mx_config` VALUES (21, 'sim_sim_state', 'dictionary', '模拟器状态', '', 'select', '', '', '[\"初始化\",\"在线\",\"离线\",\"网关离线\",\"硬件异常\",\"手动禁用\"]', '', '', '{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"}');
INSERT INTO `mx_config` VALUES (22, 'sim_repair', 'dictionary', '维修情况', '', 'select', '', '', '[\"初始化\",\"排除\",\"未排除\"]', '', '', '{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"}');
INSERT INTO `mx_config` VALUES (23, 'sim_exam_status', 'dictionary', '考试状态', '', 'select', '', '', '{\"0\":\"未登录\",\"1\":\"已登录\",\"2\":\"模拟器检查并下发故障中\",\"3\":\"模拟器正常\",\"4\":\"答题中\",\"5\":\"已交卷\",\"6\":\"计算成绩中\",\"7\":\"获取到成绩报告\",\"80\":\"教师标记缺考\",\"81\":\"登录未开始答题\",\"90\":\"模拟器异常结束\"}', '', '', '{\"table\":\"\",\"conditions\":\"\",\"key\":\"\",\"value\":\"\"}');

-- ----------------------------
-- Table structure for mx_department
-- ----------------------------
DROP TABLE IF EXISTS `mx_department`;
CREATE TABLE `mx_department`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `parent_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '父ID',
  `weigh` int NULL DEFAULT 0 COMMENT '排序',
  `create_time` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `status` enum('normal','hidden') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'normal' COMMENT '状态',
  `organise_id` int NULL DEFAULT 0 COMMENT '组织id(最顶级)',
  `tags` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '标签属性',
  `level` tinyint(1) NULL DEFAULT 0 COMMENT '级别',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `level`(`level` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 48 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '组织部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_department
-- ----------------------------
INSERT INTO `mx_department` VALUES (25, '大专', 0, 25, 1735271624, 1736130977, 'normal', 0, '', 0);
INSERT INTO `mx_department` VALUES (26, '本科', 0, 26, 1735271624, 1735271624, 'normal', 0, '', 0);
INSERT INTO `mx_department` VALUES (27, '硕士', 0, 27, 1735271624, 1735271624, 'normal', 0, '', 0);
INSERT INTO `mx_department` VALUES (28, '博士', 0, 28, 1735271624, 1735271624, 'normal', 0, '', 0);
INSERT INTO `mx_department` VALUES (29, '计算机', 28, 29, 1735281221, 1735281221, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (30, '生物与化工', 28, 30, 1735281221, 1735281221, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (31, '新闻传播', 28, 31, 1735281221, 1735281221, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (32, '人文和社会科学', 28, 32, 1735281221, 1735287022, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (33, '2022级', 29, 33, 1735281247, 1735281247, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (34, '2023级', 29, 34, 1735281247, 1735281247, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (35, '2024级', 29, 35, 1735281247, 1735281247, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (36, '01队', 35, 36, 1735281268, 1735281268, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (37, '02队', 35, 37, 1735281268, 1735281268, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (38, '03队', 35, 38, 1735281268, 1735281268, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (39, '04队', 35, 39, 1735281268, 1735281268, 'normal', 28, '', 0);
INSERT INTO `mx_department` VALUES (40, '011区队', 36, 40, 1735281291, 1735281291, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (41, '012区队', 36, 41, 1735281291, 1735281291, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (42, '021区队', 37, 42, NULL, NULL, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (43, '022区队', 37, 43, NULL, NULL, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (44, '031区队', 38, 44, NULL, NULL, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (45, '032区队', 38, 45, NULL, NULL, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (46, '041区队', 39, 46, NULL, NULL, 'normal', 28, '', 5);
INSERT INTO `mx_department` VALUES (47, '042区队', 39, 47, NULL, NULL, 'normal', 28, '', 5);

-- ----------------------------
-- Table structure for mx_department_admin
-- ----------------------------
DROP TABLE IF EXISTS `mx_department_admin`;
CREATE TABLE `mx_department_admin`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `department_id` int NULL DEFAULT NULL COMMENT '部门id',
  `organise_id` int NULL DEFAULT NULL COMMENT '组织id(最顶级)',
  `admin_id` int NULL DEFAULT NULL COMMENT '成员id',
  `create_time` bigint NOT NULL COMMENT '加入时间',
  `update_time` bigint NOT NULL COMMENT '更新时间',
  `is_principal` tinyint(1) NULL DEFAULT NULL COMMENT '是否负责人',
  `is_owner` tinyint(1) NULL DEFAULT 0 COMMENT '拥有者',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 75 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '组织部门-成员表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_department_admin
-- ----------------------------
INSERT INTO `mx_department_admin` VALUES (71, 41, 28, 9, 1735284578, 1735284578, 0, 0);
INSERT INTO `mx_department_admin` VALUES (72, 40, 28, 4, 1735284942, 1735284942, NULL, 0);
INSERT INTO `mx_department_admin` VALUES (73, 42, 28, 11, 1735614471, 1735614471, 0, 0);
INSERT INTO `mx_department_admin` VALUES (74, 43, 28, 12, 1735614498, 1735614498, 0, 0);

-- ----------------------------
-- Table structure for mx_ems
-- ----------------------------
DROP TABLE IF EXISTS `mx_ems`;
CREATE TABLE `mx_ems`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `event` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '事件',
  `email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '邮箱',
  `code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '验证码',
  `times` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '验证次数',
  `ip` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'IP',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '邮箱验证码表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_ems
-- ----------------------------

-- ----------------------------
-- Table structure for mx_fault
-- ----------------------------
DROP TABLE IF EXISTS `mx_fault`;
CREATE TABLE `mx_fault`  (
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '故障ID',
  `parent_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '父故障ID',
  `ref_type3_30_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '关联的真实的/虚假的故障部位',
  `ref_type4_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '关联的排除方法',
  `fault_type` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '故障类型:[1]:故障现象,[2]:可能原因,[3]:真实故障部位,[30]:虚假故障部位,[4]:排除方法,[5]:修复结论',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器类型',
  `fault_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '故障状态:[0]:启用,[5]:禁用',
  `conflict_fault_ids` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '互斥所有故障ID逗号分割',
  `replace_part` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '是否是更换件:[1]:是,[0]:不是',
  `replace_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更换件名称',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '名称',
  `bind_hardware_msg` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '绑定硬件通信报文',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`fault_id`) USING BTREE,
  INDEX `idx_sim_type_fault_type_fault_state`(`sim_type` ASC, `fault_type` ASC, `fault_state` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-故障表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_fault
-- ----------------------------
INSERT INTO `mx_fault` VALUES ('000100010000', '', '', '', '1', '0001', '0', '', '0', '', '开机无响应', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100010001', '000100010000', '', '', '3', '0001', '0', '', '1', '电源开关', '电源开关', '01', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100010002', '000100010000', '', '', '3', '0001', '0', '', '1', 'DC/DC转换芯片', 'DC/DC转换芯片', '02', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100010003', '000100010000', '', '', '30', '0001', '0', '', '0', '', '电池', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100010004', '000100010000', '', '', '30', '0001', '0', '', '0', '', '电池座组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001AA01', '000100010000', '000100010003', '00010001BB01', '2', '0001', '0', '', '0', '', '电池电量不足或损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001AA02', '000100010000', '000100010004', '00010001BB02', '2', '0001', '0', '', '0', '', '电池座组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001AA03', '000100010000', '000100010004', '00010001BB03', '2', '0001', '0', '', '0', '', '电池座组件插头未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001AA04', '000100010000', '000100010002', '00010001BB04', '2', '0001', '0', '', '0', '', '电路板DC/DC芯片损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001AA05', '000100010000', '000100010001', '00010001BB05', '2', '0001', '0', '', '0', '', '电源开关组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001AA06', '000100010000', '000100010004', '00010001BB06', '2', '0001', '0', '', '0', '', '电池座组件未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001BB01', '000100010000', '000100010003', '', '4', '0001', '0', '', '0', '', '更换电池', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001BB02', '000100010000', '000100010004', '', '4', '0001', '0', '', '0', '', '更换电池座组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001BB03', '000100010000', '000100010004', '', '4', '0001', '0', '', '0', '', '重新插拔电池座组件插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001BB04', '000100010000', '000100010002', '', '4', '0001', '0', '', '0', '', '更换DC/DC芯片', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001BB05', '000100010000', '000100010001', '', '4', '0001', '0', '', '0', '', '更换电源开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010001BB06', '000100010000', '000100010004', '', '4', '0001', '0', '', '0', '', '重新插拔电池座组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100020000', '', '', '', '1', '0001', '0', '', '0', '', '开机后按抽气开关，微电机不工作', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100020003', '000100020000', '', '', '3', '0001', '0', '', '1', '微电机', '微电机', '03', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100020004', '000100020000', '', '', '3', '0001', '0', '', '1', 'Q2', 'Q2', '04', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100020005', '000100020000', '', '', '30', '0001', '0', '', '0', '', '抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100020006', '000100020000', '', '', '30', '0001', '0', '', '0', '', '气泵电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100020007', '000100020000', '', '', '30', '0001', '0', '', '0', '', '气泵电机连线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002AA01', '000100020000', '', '00010002BB01', '2', '0001', '0', '', '0', '', '抽气开关组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002AA02', '000100020000', '', '00010002BB02', '2', '0001', '0', '', '0', '', '抽气开关组件插头未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002AA03', '000100020000', '', '00010002BB03', '2', '0001', '0', '', '0', '', '气泵电机损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002AA04', '000100020000', '', '00010002BB04', '2', '0001', '0', '', '0', '', '气泵电机连线插头与主电路板未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002AA05', '000100020000', '', '00010002BB04', '2', '0001', '0', '', '0', '', '气泵电机连线断路', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002AA06', '000100020000', '', '00010002BB06', '2', '0001', '0', '', '0', '', '上场效应管Q2或其它元器件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002BB01', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002BB02', '000100020000', '', '', '4', '0001', '0', '', '0', '', '重新插拔抽气开关组件插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002BB03', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换气泵电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002BB04', '000100020000', '', '', '4', '0001', '0', '', '0', '', '重新插拔气泵电机连线插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002BB05', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换气泵电机连线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010002BB06', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换场效应管Q2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030000', '', '', '', '1', '0001', '0', '', '0', '', '抽气流量不足', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030005', '000100030000', '', '', '3', '0001', '0', '', '1', '滤网', '滤网', '05', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030006', '000100030000', '', '', '3', '0001', '0', '', '1', '调速电位器', '调速电位器', '06', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030007', '000100030000', '', '', '30', '0001', '0', '', '0', '', '橡胶插座', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030008', '000100030000', '', '', '30', '0001', '0', '', '0', '', '抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030009', '000100030000', '', '', '30', '0001', '0', '', '0', '', '进气管', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030010', '000100030000', '', '', '30', '0001', '0', '', '0', '', '胶碗', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030011', '000100030000', '', '', '30', '0001', '0', '', '0', '', '微电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030012', '000100030000', '', '', '30', '0001', '0', '', '0', '', '活门片', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030013', '000100030000', '', '', '30', '0001', '0', '', '0', '', '场效应管Q2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100030014', '000100030000', '', '', '30', '0001', '0', '', '0', '', '电机与抽气泵偏心轴距', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA01', '000100030000', '000100030006', '00010003BB01', '2', '0001', '0', '', '0', '', '电位器调的太低', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA02', '000100030000', '', '00010003BB02', '2', '0001', '0', '', '0', '', '橡胶插座破损', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA03', '000100030000', '', '00010003BB03', '2', '0001', '0', '', '0', '', '抽气开关损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA04', '000100030000', '', '00010003BB04', '2', '0001', '0', '', '0', '', '滤网堵塞', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA05', '000100030000', '', '00010003BB05', '2', '0001', '0', '', '0', '', '进气管连接脱落或破损', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA06', '000100030000', '', '00010003BB06', '2', '0001', '0', '', '0', '', '胶碗破损或胶碗固定螺丝松动', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA07', '000100030000', '', '00010003BB07', '2', '0001', '0', '', '0', '', '微电机损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA08', '000100030000', '', '00010003BB08', '2', '0001', '0', '', '0', '', '活门片破损或缺失', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA09', '000100030000', '', '00010003BB09', '2', '0001', '0', '', '0', '', '电路板上控制微电机的场效应管Q2损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003AA10', '000100030000', '', '00010003BB10', '2', '0001', '0', '', '0', '', '电机与抽气泵偏心轴距离不恰当', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB01', '000100030000', '', '', '4', '0001', '0', '', '0', '', '调大电位器', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB02', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换橡胶插座', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB03', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB04', '000100030000', '', '', '4', '0001', '0', '', '0', '', '清理滤网', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB05', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换进气管', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB06', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换胶碗', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB07', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换微电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB08', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换活门片', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB09', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换场效应管Q2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010003BB10', '000100030000', '', '', '4', '0001', '0', '', '0', '', '调整电机与抽气泵偏心轴距离', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040000', '', '', '', '1', '0001', '0', '', '0', '', '开机后按下加热开关，加热灯不亮，也未加热', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040007', '000100040000', '', '', '3', '0001', '0', '', '1', '加热指示灯', '加热指示灯', '07', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040008', '000100040000', '', '', '3', '0001', '0', '', '1', '热敏开关', '热敏开关', '08', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040009', '000100040000', '', '', '', '', '0', '', '0', '', '加热开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040010', '000100040000', '', '', '', '', '0', '', '0', '', '四线束', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040011', '000100040000', '', '', '', '', '0', '', '0', '', '头罩内快插接头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040012', '000100040000', '', '', '', '', '0', '', '0', '', '加热线圈', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100040013', '000100040000', '', '', '', '', '0', '', '0', '', '场效应管Q3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA01', '000100040000', '', '00010004BB01', '2', '0001', '0', '', '0', '', '加热开关组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA02', '000100040000', '', '00010004BB02', '2', '0001', '0', '', '0', '', '加热开关组件未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA03', '000100040000', '', '00010004BB03', '2', '0001', '0', '', '0', '', '四线束插头松脱', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA04', '000100040000', '', '00010004BB04', '2', '0001', '0', '', '0', '', '四线束连线断路', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA05', '000100040000', '', '00010004BB05', '2', '0001', '0', '', '0', '', '头罩内快插接头松脱', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA06', '000100040000', '', '00010004BB06', '2', '0001', '0', '', '0', '', '热敏开关损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA07', '000100040000', '', '00010004BB07', '2', '0001', '0', '', '0', '', '加热线圈损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA08', '000100040000', '', '00010004BB08', '2', '0001', '0', '', '0', '', '加热线圈焊接导线脱焊', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA09', '000100040000', '', '00010004BB09', '2', '0001', '0', '', '0', '', '场效应管Q3或周边相关元器件损坏或脱焊', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004AA10', '000100040000', '', '00010004BB10', '2', '0001', '0', '', '0', '', '加热指示灯损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB01', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换加热开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB02', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新插拔加热开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB03', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新插拔四线束插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB04', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换四线束连线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB05', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新插拔头罩内快插接头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB06', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换热敏开关', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB07', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换加热线圈', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB08', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新焊接加热线圈焊接导线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB09', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换场效应管Q3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('00010004BB10', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换加热指示灯', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100050000', '', '', '', '1', '0001', '0', '', '0', '', '不能正常工作', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100050009', '000100050000', '', '', '3', '0001', '0', '', '1', '外壳及零件', '外壳及零件', '09', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100060000', '', '', '', '1', '0001', '0', '', '0', '', '电压低', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000100060010', '000100060000', '', '', '3', '0001', '0', '', '1', '供电模块', '供电模块', '0A', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0001FFFF0001', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论1', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0001FFFF0002', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论2', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0001FFFF0003', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论3', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0001FFFF0004', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论4', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200010000', '', '', '', '1', '0002', '0', '', '0', '', '仪器无法开机', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200010001', '000200010000', '', '', '3', '0002', '0', '', '1', '薄膜开关FPC排线', '1.薄膜开关FPC排线', '01', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200010002', '000200010000', '', '', '3', '0002', '0', '', '1', '主控板开机电路', '2.主控板开机电路', '02', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200020000', '', '', '', '1', '0002', '0', '', '0', '', '蜂鸣器自检时，声音异常', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200020003', '000200020000', '', '', '3', '0002', '0', '', '1', '蜂鸣器出声口', '3.蜂鸣器出声口', '03', 3, NULL, NULL, NULL, NULL, '没有替换件');
INSERT INTO `mx_fault` VALUES ('000200020004', '000200020000', '', '', '3', '0002', '0', '', '1', '接口接线板', '4.接口接线板', '04', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200030000', '', '', '', '1', '0002', '0', '', '0', '', '仪器进入检测界面后，通入检测剂不报警', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200030005', '000200030000', '', '', '3', '0002', '0', '', '1', '检测剂', '5.检测剂', '05', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200030006', '000200030000', '', '', '3', '0002', '0', '', '1', '主控板信号采集电路', '6.主控板信号采集电路', '06', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200040000', '', '', '', '1', '0002', '0', '', '0', '', '显示屏无显示', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200040007', '000200040000', '', '', '3', '0002', '0', '', '1', '主控板显示屏供电电路', '7.主控板显示屏供电电路', '07', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200040008', '000200040000', '', '', '3', '0002', '0', '', '1', '显示屏', '8.显示屏', '08', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200050000', '', '', '', '1', '0002', '0', '', '0', '', '长时间不进入“检测中”', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200050009', '000200050000', '', '', '3', '0002', '0', '', '1', '干燥管', '9.干燥管', '09', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200050010', '000200050000', '', '', '3', '0002', '0', '', '1', '维护管', '10.维护管', '0A', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200060000', '', '', '', '1', '0002', '0', '', '0', '', '不能正常工作', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200060011', '000200060000', '', '', '3', '0002', '0', '', '1', '外壳及零件', '11.外壳及零件', '0B', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200070000', '', '', '', '1', '0002', '0', '', '0', '', '电压低', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000200070012', '000200070000', '', '', '3', '0002', '0', '', '1', '供电模块', '12.供电模块', '0C', 12, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0002FFFF0001', '', '', '', '', '', '0', '', '0', '', 'type0002修复结论1', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0002FFFF0002', '', '', '', '', '', '0', '', '0', '', 'type0002修复结论2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0002FFFF0003', '', '', '', '', '', '0', '', '0', '', 'type0002修复结论3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('0002FFFF0004', '', '', '', '', '', '0', '', '0', '', 'type0002修复结论4', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300010000', '', '', '', '1', '0003', '0', '', '0', '', '仪器无法开机', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300010001', '000300010000', '', '', '3', '0003', '0', '', '0', '', '1.FFC排线', '01', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300010002', '000300010000', '', '', '3', '0003', '0', '', '0', '', '2.汇总主控板', '02', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300020000', '', '', '', '1', '0003', '0', '', '0', '', '开机后，显示屏无显示', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300020003', '000300020000', '', '', '3', '0003', '0', '', '0', '', '3.显控报警板', '03', 3, NULL, NULL, NULL, NULL, '还需要验证。');
INSERT INTO `mx_fault` VALUES ('000300020004', '000300020000', '', '', '3', '0003', '0', '', '0', '', '4.显示屏', '04', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300030000', '', '', '', '1', '0003', '0', '', '0', '', '检测状态下模拟剂不报警', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300030005', '000300030000', '', '', '3', '0003', '0', '', '0', '', '5.汇总主控板信号采集电路', '05', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300030006', '000300030000', '', '', '3', '0003', '0', '', '0', '', '6.检测剂', '06', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300040000', '', '', '', '1', '0003', '0', '', '0', '', '长时间不能进入检测状态', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300040007', '000300040000', '', '', '3', '0003', '0', '', '0', '', '7.干燥管', '07', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300040008', '000300040000', '', '', '3', '0003', '0', '', '0', '', '8.维护管', '08', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300050000', '', '', '', '1', '0003', '0', '', '0', '', '固液检测/气体检测模式切换失败', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300050009', '000300050000', '', '', '3', '0003', '0', '', '0', '', '9.固液检测单元与主控板连接线', '09', 9, NULL, NULL, NULL, NULL, '还需要验证。');
INSERT INTO `mx_fault` VALUES ('000300050010', '000300050000', '', '', '3', '0003', '0', '', '0', '', '10.汇总主控板固液通信电路', '0A', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300050011', '000300050000', '', '', '3', '0003', '0', '', '0', '', '11.切换按键', '0B', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300060000', '', '', '', '1', '0003', '0', '', '0', '', '有毒有害气体检测模块不报警', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300060012', '000300060000', '', '', '3', '0003', '0', '', '0', '', '12.高压驱动板与汇总主控板连接线', '0C', 12, NULL, NULL, NULL, NULL, '还需要验证。');
INSERT INTO `mx_fault` VALUES ('000300060013', '000300060000', '', '', '3', '0003', '0', '', '0', '', '13.汇总主控板毒害模块通信电路', '0D', 13, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300070000', '', '', '', '1', '0003', '0', '', '0', '', '不能正常工作', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300070014', '000300070000', '', '', '3', '0003', '0', '', '0', '', '14.外壳及零件', '0E', 14, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300080000', '', '', '', '1', '0003', '0', '', '0', '', '电压低', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300080015', '000300080000', '', '', '3', '0003', '0', '', '0', '', '15.供电模块', '0F', 15, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300090000', '', '', '', '1', '0003', '5', '', '0', '', '无法开机', '', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `mx_fault` VALUES ('000300090016', '000300090000', '', '', '3', '0003', '5', '', '0', '', '16.DC/DC', '', 16, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for mx_real_exam
-- ----------------------------
DROP TABLE IF EXISTS `mx_real_exam`;
CREATE TABLE `mx_real_exam`  (
  `exam_id` bigint NOT NULL AUTO_INCREMENT COMMENT '考试ID',
  `exam_collection_id` bigint NOT NULL DEFAULT 0 COMMENT '考试集合ID',
  `exam_collection_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '考试集合名称',
  `exam_collection_type` tinyint(1) NULL DEFAULT 0,
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '模拟器类型',
  `user_username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `user_nickname` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '学员ID/用户ID',
  `user_depart_id` tinyint(1) NULL DEFAULT 0,
  `seat_id` bigint NOT NULL COMMENT '座ID',
  `sim_id` bigint NOT NULL DEFAULT 0 COMMENT '模拟器ID',
  `exam_status` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '考试状态:[0]-未登录,[1]-已登录,[2]-模拟器检查并下发故障中,[3]:模拟器检查OK可开考,[4]-答题中,[5]-已交卷,[6]-计算成绩中,[7]-获取到成绩报告,[80]-教师标记缺考,[81]-登录未开始答题,[90]-模拟器异常结束',
  `total_score` int NULL DEFAULT NULL COMMENT '总分:累加扣分和计算出总分',
  `deduction_total_score` int NULL DEFAULT NULL COMMENT '扣分总计,不计超时扣分',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试实际开始时间(毫秒)',
  `starttime` int NULL DEFAULT 0,
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试实际结束时间(毫秒)',
  `endtime` int NULL DEFAULT 0,
  `login_time` datetime NULL DEFAULT NULL COMMENT '登录时间',
  `logout_time` datetime NULL DEFAULT NULL COMMENT '登出时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createtime` int NULL DEFAULT 0,
  `updatetime` int NULL DEFAULT 0,
  `deletetime` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `other_replace` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '更换件列表',
  `other_report` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '维修报告列表',
  `is_sure` tinyint(1) NULL DEFAULT 0 COMMENT '1为已确认',
  PRIMARY KEY (`exam_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 61 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试表/成绩总分' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_real_exam
-- ----------------------------
INSERT INTO `mx_real_exam` VALUES (29, 32, '565656', 3, '0001', 'xueyuan001', 'xueyuan001', 4, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 16:51:09', NULL, '2025-01-04 16:51:09', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (30, 32, '565656', 3, '0001', 'xueyuan002', 'xueyuan002', 9, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 16:51:09', NULL, '2025-01-04 16:51:09', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (35, 31, '34343433434', 3, '0001', 'xueyuan001', 'xueyuan001', 4, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 17:12:01', NULL, '2025-01-04 17:12:01', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (36, 31, '34343433434', 3, '0001', 'xueyuan002', 'xueyuan002', 9, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 17:12:01', NULL, '2025-01-04 17:12:01', NULL, 0, 1735981968, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (37, 31, '34343433434', 3, '0001', 'xueyuan004', 'xueyuan004', 12, 43, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 17:12:01', NULL, '2025-01-04 17:12:01', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (38, 34, '77777', 1, '0001', 'xueyuan001', 'xueyuan001', 4, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 19:07:14', NULL, '2025-01-04 19:07:14', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (39, 34, '77777', 1, '0001', 'xueyuan002', 'xueyuan002', 9, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-04 19:07:14', NULL, '2025-01-04 19:07:14', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (43, 38, '20250106', 3, '0001', 'xueyuan003', 'xueyuan003', 11, 42, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-06 14:16:35', NULL, '2025-01-06 14:16:35', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (47, 39, '202501062', 3, '0002', 'xueyuan001', 'xueyuan001', 4, 41, 1, 2, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-06 15:35:24', NULL, '2025-01-06 15:35:24', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (48, 39, '202501062', 3, '0002', 'xueyuan002', 'xueyuan002', 9, 41, 1, 2, '4', NULL, NULL, '2025-01-07 12:59:26', 1736225966, NULL, 0, NULL, NULL, NULL, '2025-01-06 15:35:24', NULL, '2025-01-06 15:35:24', NULL, 0, 1736225966, NULL, NULL, '', 0);
INSERT INTO `mx_real_exam` VALUES (49, 39, '202501062', 3, '0002', 'xueyuan003', 'xueyuan003', 11, 42, 1, 2, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-06 15:35:24', NULL, '2025-01-06 15:35:24', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (50, 40, 'xueyuan002自主练习', 2, '0002', 'xueyuan002', 'xueyuan002', 9, 41, 12, 0, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-06 17:22:09', NULL, '2025-01-06 17:22:09', NULL, 1736155329, 1736155329, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (55, 42, '77777', 3, '0001', 'xueyuan001', 'xueyuan001', 4, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-07 09:44:45', NULL, '2025-01-07 09:44:45', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (56, 42, '77777', 3, '0001', 'xueyuan002', 'xueyuan002', 9, 41, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-07 09:44:45', NULL, '2025-01-07 09:44:45', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (57, 42, '77777', 3, '0001', 'xueyuan003', 'xueyuan003', 11, 42, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-07 09:44:45', NULL, '2025-01-07 09:44:45', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (58, 42, '77777', 3, '0001', 'xueyuan004', 'xueyuan004', 12, 43, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-07 09:44:45', NULL, '2025-01-07 09:44:45', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (59, 41, '33333', 3, '0001', 'xueyuan003', 'xueyuan003', 11, 42, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-07 09:46:05', NULL, '2025-01-07 09:46:05', NULL, 0, 0, NULL, NULL, NULL, 0);
INSERT INTO `mx_real_exam` VALUES (60, 41, '33333', 3, '0001', 'xueyuan004', 'xueyuan004', 12, 43, 1, 1, '0', NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, '2025-01-07 09:46:05', NULL, '2025-01-07 09:46:05', NULL, 0, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- Table structure for mx_real_exam_collection
-- ----------------------------
DROP TABLE IF EXISTS `mx_real_exam_collection`;
CREATE TABLE `mx_real_exam_collection`  (
  `exam_collection_id` bigint NOT NULL AUTO_INCREMENT COMMENT '考试集合ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '模拟器类型',
  `question_setting_method` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '出题方式:[1]-系统随机,[2]-教师自选,[3]任务自选\r\n',
  `exam_collection_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '考试类型:[1]-练习,[2]-自主练习,[3]-考试',
  `exam_collection_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '考试集合状态:[0]-初始化,[2]-打开,[3]-关闭',
  `exam_collection_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '考试名称',
  `task_id` bigint NULL DEFAULT 0 COMMENT '任务ID',
  `task_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `limit_duration` int NULL DEFAULT NULL COMMENT '限制时长(分钟)',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试开始时间(天)',
  `starttime` int NULL DEFAULT 0,
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试结束时间(天)',
  `create_user_id` bigint NULL DEFAULT 0 COMMENT '创建教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createtime` int NULL DEFAULT 0,
  `updatetime` int NULL DEFAULT 0,
  `deletetime` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `depart_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `question_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `question_name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `qudui_count` int NULL DEFAULT 0 COMMENT '考试区队数量',
  `xueyuan_count` int NULL DEFAULT 0 COMMENT '考试学员数量',
  PRIMARY KEY (`exam_collection_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 43 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试集合表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_real_exam_collection
-- ----------------------------
INSERT INTO `mx_real_exam_collection` VALUES (31, '0001', '3', '3', '3', '34343433434', 0, NULL, 600, '2025-01-04 00:00:00', 0, '2025-01-31 00:00:00', 3, 'teacher', '2025-01-04 16:26:14', NULL, '2025-01-04 17:12:44', NULL, 1735979174, 1736150762, NULL, '41,43,44', '46', NULL, 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (32, '0001', '2', '3', '3', '565656', 0, NULL, 90, '2025-01-10 00:00:00', 0, '2025-01-31 00:00:00', 3, 'teacher', '2025-01-04 16:51:09', NULL, '2025-01-04 16:51:09', NULL, 1735980669, 1735980669, NULL, '41', '000100050009,000100040008,000100040007,000100030006,000100030005,000100020004', NULL, 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (33, '0001', '3', '1', '3', '666666', 0, NULL, 45, '2025-01-04 00:00:00', 0, '2025-01-31 00:00:00', 3, 'teacher', '2025-01-04 19:06:37', NULL, '2025-01-04 19:11:36', NULL, 1735988797, 1736071283, NULL, '44', '46', NULL, 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (34, '0001', '1', '1', '3', '77777', 0, NULL, 69, '2025-01-04 00:00:00', 0, '2025-01-31 00:00:00', 3, 'teacher', '2025-01-04 19:07:14', NULL, '2025-01-04 19:07:14', NULL, 1735988834, 1736071284, NULL, '40,41', '0', NULL, 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (38, '0001', '3', '3', '3', '20250106', 49, '20250106模拟1型', 50, NULL, 0, NULL, 3, 'teacher', '2025-01-06 14:16:35', NULL, '2025-01-06 14:16:35', NULL, 1736144195, 1736144195, NULL, '44,42', '0', NULL, 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (39, '0002', '3', '3', '3', '202501062', 47, '20250106模拟2型', 45, '2025-01-06 16:06:07', 1736150767, NULL, 3, 'teacher', '2025-01-06 15:29:16', NULL, '2025-01-06 16:06:07', NULL, 1736148556, 1736150797, NULL, '41,42', '0', '', 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (40, '0002', '1', '2', '3', 'xueyuan002自主练习', 0, NULL, 30, '2025-01-06 00:00:00', 0, '2025-01-06 00:00:00', 0, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, 0, 0);
INSERT INTO `mx_real_exam_collection` VALUES (41, '0001', '1', '3', '3', '33333', 0, '', 56, NULL, 0, NULL, 3, 'teacher', '2025-01-07 09:43:31', NULL, '2025-01-07 09:43:31', NULL, 1736214211, 1736214365, NULL, '43,42', '0', '', 2, 2);
INSERT INTO `mx_real_exam_collection` VALUES (42, '0001', '1', '3', '3', '77777', 0, '', 777, NULL, 0, NULL, 3, 'teacher', '2025-01-07 09:44:45', NULL, '2025-01-07 09:44:45', NULL, 1736214285, 1736214285, NULL, '41,42,43', '0', '', 3, 4);

-- ----------------------------
-- Table structure for mx_real_exam_collection_dept
-- ----------------------------
DROP TABLE IF EXISTS `mx_real_exam_collection_dept`;
CREATE TABLE `mx_real_exam_collection_dept`  (
  `rel_id` bigint NOT NULL AUTO_INCREMENT,
  `exam_collection_id` bigint NOT NULL DEFAULT 0 COMMENT '正式考试集合ID',
  `dept_id` bigint NOT NULL DEFAULT 0 COMMENT '班级ID/部门ID',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`rel_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 93 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试集合关联区队表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_real_exam_collection_dept
-- ----------------------------
INSERT INTO `mx_real_exam_collection_dept` VALUES (46, 32, 41, '2025-01-04 16:51:09');
INSERT INTO `mx_real_exam_collection_dept` VALUES (65, 31, 41, '2025-01-04 17:12:01');
INSERT INTO `mx_real_exam_collection_dept` VALUES (66, 31, 43, '2025-01-04 17:12:01');
INSERT INTO `mx_real_exam_collection_dept` VALUES (67, 31, 44, '2025-01-04 17:12:01');
INSERT INTO `mx_real_exam_collection_dept` VALUES (69, 34, 40, '2025-01-04 19:07:14');
INSERT INTO `mx_real_exam_collection_dept` VALUES (70, 34, 41, '2025-01-04 19:07:14');
INSERT INTO `mx_real_exam_collection_dept` VALUES (71, 33, 44, '2025-01-04 19:08:36');
INSERT INTO `mx_real_exam_collection_dept` VALUES (79, 38, 44, '2025-01-06 14:16:35');
INSERT INTO `mx_real_exam_collection_dept` VALUES (80, 38, 42, '2025-01-06 14:16:35');
INSERT INTO `mx_real_exam_collection_dept` VALUES (83, 39, 41, '2025-01-06 15:35:24');
INSERT INTO `mx_real_exam_collection_dept` VALUES (84, 39, 42, '2025-01-06 15:35:24');
INSERT INTO `mx_real_exam_collection_dept` VALUES (88, 42, 41, '2025-01-07 09:44:45');
INSERT INTO `mx_real_exam_collection_dept` VALUES (89, 42, 42, '2025-01-07 09:44:45');
INSERT INTO `mx_real_exam_collection_dept` VALUES (90, 42, 43, '2025-01-07 09:44:45');
INSERT INTO `mx_real_exam_collection_dept` VALUES (91, 41, 43, '2025-01-07 09:46:05');
INSERT INTO `mx_real_exam_collection_dept` VALUES (92, 41, 42, '2025-01-07 09:46:05');

-- ----------------------------
-- Table structure for mx_real_exam_comp_request
-- ----------------------------
DROP TABLE IF EXISTS `mx_real_exam_comp_request`;
CREATE TABLE `mx_real_exam_comp_request`  (
  `rel_id` bigint NOT NULL AUTO_INCREMENT,
  `exam_collection_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '考试类型:[1]-练习,[2]-自主练习,[3]-考试',
  `exam_id` bigint NOT NULL DEFAULT 0 COMMENT '考试ID',
  `fault_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `request_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态\r\n1:已申请\r\n2:已处理\r\n3:已驳回',
  `create_by_user_id` bigint NULL DEFAULT 0 COMMENT '创建学员ID/用户ID',
  `update_by_user_id` bigint NULL DEFAULT 0 COMMENT '创建教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `createtime` int NULL DEFAULT 0,
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `updatetime` int NULL DEFAULT 0,
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`rel_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试更换件关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_real_exam_comp_request
-- ----------------------------

-- ----------------------------
-- Table structure for mx_real_exam_fault
-- ----------------------------
DROP TABLE IF EXISTS `mx_real_exam_fault`;
CREATE TABLE `mx_real_exam_fault`  (
  `ref_id` bigint NOT NULL AUTO_INCREMENT COMMENT '关联ID',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `ref_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '关联类型:[1]-选择题,[2]-模拟器维修故障',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '7' COMMENT '选择状态:[7]-未知,[1]-选中,[0]-没有选中',
  `ref_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束',
  `answer_right` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '答题正确:[0]-初始化,[1]-正确,[2]-错误',
  `choice_question_value` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '选择题的出题数值/正确答案',
  `choice_answer_value` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '选择题的答题数值/学员填写答案',
  `sim_fault_question_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器出题值/电阻代表值',
  `sim_fault_answer_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器答题值/电阻代表值',
  `minus` int NULL DEFAULT 0 COMMENT '减分值,计正数',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `createtime` int NULL DEFAULT 0,
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `updatetime` int NULL DEFAULT 0,
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`ref_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 320 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试故障关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_real_exam_fault
-- ----------------------------
INSERT INTO `mx_real_exam_fault` VALUES (117, 27, '000100010001', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (118, 27, '000100010002', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (119, 27, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (120, 27, '000100020004', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (121, 27, '000100030005', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (122, 27, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (123, 27, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (124, 27, '000100040008', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (125, 27, '000100050009', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (126, 27, '000100060010', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (127, 28, '000100010001', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (128, 28, '000100010002', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (129, 28, '000100020003', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (130, 28, '000100020004', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (131, 28, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (132, 28, '000100030006', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (133, 28, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (134, 28, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (135, 28, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (136, 28, '000100060010', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735979174, '2025-01-04 16:26:14', NULL, 1735979174, '2025-01-04 16:26:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (137, 29, '000100020004', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (138, 29, '000100030005', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (139, 29, '000100030006', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (140, 29, '000100040007', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (141, 29, '000100040008', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (142, 29, '000100050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (143, 30, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (144, 30, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (145, 30, '000100030006', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (146, 30, '000100040007', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (147, 30, '000100040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (148, 30, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735980669, '2025-01-04 16:51:09', NULL, 1735980669, '2025-01-04 16:51:09', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (149, 35, '000100060010', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (150, 35, '000100050009', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (151, 35, '000100040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (152, 35, '000100040007', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (153, 35, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (154, 35, '000100030005', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (155, 35, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (156, 35, '000100020003', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (157, 35, '000100010002', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (158, 35, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (159, 36, '000100060010', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (160, 36, '000100050009', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (161, 36, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (162, 36, '000100040007', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (163, 36, '000100030006', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (164, 36, '000100030005', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (165, 36, '000100020004', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (166, 36, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (167, 36, '000100010002', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (168, 36, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (169, 37, '000100060010', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (170, 37, '000100050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (171, 37, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (172, 37, '000100040007', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (173, 37, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (174, 37, '000100030005', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (175, 37, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (176, 37, '000100020003', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (177, 37, '000100010002', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (178, 37, '000100010001', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735981921, '2025-01-04 17:12:01', NULL, 1735981921, '2025-01-04 17:12:01', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (179, 38, '000100010001', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (180, 38, '000100010002', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (181, 38, '000100020003', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (182, 38, '000100020004', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (183, 38, '000100030005', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (184, 38, '000100030006', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (185, 38, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (186, 38, '000100040008', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (187, 38, '000100050009', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (188, 38, '000100060010', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (189, 39, '000100010001', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (190, 39, '000100010002', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (191, 39, '000100020003', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (192, 39, '000100020004', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (193, 39, '000100030005', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (194, 39, '000100030006', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (195, 39, '000100040007', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (196, 39, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (197, 39, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (198, 39, '000100060010', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1735988834, '2025-01-04 19:07:14', NULL, 1735988834, '2025-01-04 19:07:14', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (199, 43, '000100020004', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736144195, '2025-01-06 14:16:35', NULL, 1736144195, '2025-01-06 14:16:35', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (200, 43, '000100030005', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736144195, '2025-01-06 14:16:35', NULL, 1736144195, '2025-01-06 14:16:35', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (201, 43, '000100050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736144195, '2025-01-06 14:16:35', NULL, 1736144195, '2025-01-06 14:16:35', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (202, 44, '000200040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (203, 44, '000200050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (204, 44, '000200050010', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (205, 45, '000200040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (206, 45, '000200050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (207, 45, '000200050010', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (208, 46, '000200040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (209, 46, '000200050009', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (210, 46, '000200050010', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148556, '2025-01-06 15:29:16', NULL, 1736148556, '2025-01-06 15:29:16', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (211, 47, '000200040008', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (212, 47, '000200040007', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (213, 47, '000200030006', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (214, 48, '000200040008', '2', '1', '3', '1', '', '', '00000001', '00000001', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (215, 48, '000200040007', '2', '1', '3', '1', '', '', '00000002', '00000002', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (216, 48, '000200030006', '2', '1', '3', '2', '', '', '00000001', '00000002', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (217, 49, '000200040008', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (218, 49, '000200040007', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (219, 49, '000200030006', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736148924, '2025-01-06 15:35:24', NULL, 1736148924, '2025-01-06 15:35:24', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (220, 51, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (221, 51, '000100010002', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (222, 51, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (223, 51, '000100020004', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (224, 51, '000100030005', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (225, 51, '000100030006', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (226, 51, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (227, 51, '000100040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (228, 51, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (229, 51, '000100060010', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (230, 52, '000100010001', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (231, 52, '000100010002', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (232, 52, '000100020003', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (233, 52, '000100020004', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (234, 52, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (235, 52, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (236, 52, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (237, 52, '000100040008', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (238, 52, '000100050009', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (239, 52, '000100060010', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (240, 53, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (241, 53, '000100010002', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (242, 53, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (243, 53, '000100020004', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (244, 53, '000100030005', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (245, 53, '000100030006', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (246, 53, '000100040007', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (247, 53, '000100040008', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (248, 53, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (249, 53, '000100060010', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (250, 54, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (251, 54, '000100010002', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (252, 54, '000100020003', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (253, 54, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (254, 54, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (255, 54, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (256, 54, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (257, 54, '000100040008', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (258, 54, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (259, 54, '000100060010', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214211, '2025-01-07 09:43:31', NULL, 1736214211, '2025-01-07 09:43:31', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (260, 55, '000100010001', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (261, 55, '000100010002', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (262, 55, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (263, 55, '000100020004', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (264, 55, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (265, 55, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (266, 55, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (267, 55, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (268, 55, '000100050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (269, 55, '000100060010', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (270, 56, '000100010001', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (271, 56, '000100010002', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (272, 56, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (273, 56, '000100020004', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (274, 56, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (275, 56, '000100030006', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (276, 56, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (277, 56, '000100040008', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (278, 56, '000100050009', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (279, 56, '000100060010', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (280, 57, '000100010001', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (281, 57, '000100010002', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (282, 57, '000100020003', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (283, 57, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (284, 57, '000100030005', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (285, 57, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (286, 57, '000100040007', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (287, 57, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (288, 57, '000100050009', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (289, 57, '000100060010', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (290, 58, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (291, 58, '000100010002', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (292, 58, '000100020003', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (293, 58, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (294, 58, '000100030005', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (295, 58, '000100030006', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (296, 58, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (297, 58, '000100040008', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (298, 58, '000100050009', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (299, 58, '000100060010', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214285, '2025-01-07 09:44:45', NULL, 1736214285, '2025-01-07 09:44:45', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (300, 59, '000100010001', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (301, 59, '000100010002', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (302, 59, '000100020003', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (303, 59, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (304, 59, '000100030005', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (305, 59, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (306, 59, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (307, 59, '000100040008', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (308, 59, '000100050009', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (309, 59, '000100060010', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (310, 60, '000100010001', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (311, 60, '000100010002', '2', '1', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (312, 60, '000100020003', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (313, 60, '000100020004', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (314, 60, '000100030005', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (315, 60, '000100030006', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (316, 60, '000100040007', '2', '0', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (317, 60, '000100040008', '2', '0', '3', '0', '', '', '00000001', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (318, 60, '000100050009', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);
INSERT INTO `mx_real_exam_fault` VALUES (319, 60, '000100060010', '2', '1', '3', '0', '', '', '00000002', '', 0, NULL, 1736214365, '2025-01-07 09:46:05', NULL, 1736214365, '2025-01-07 09:46:05', NULL);

-- ----------------------------
-- Table structure for mx_real_exam_score
-- ----------------------------
DROP TABLE IF EXISTS `mx_real_exam_score`;
CREATE TABLE `mx_real_exam_score`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `exam_id` int NULL DEFAULT 0 COMMENT '考试id',
  `total` int NULL DEFAULT 0 COMMENT '总分',
  `fault_one_score` int NULL DEFAULT NULL COMMENT '故障1扣分',
  `fault_two_score` int NULL DEFAULT 0 COMMENT '故障2扣分',
  `fault_three_score` int NULL DEFAULT 0 COMMENT '故障3扣分',
  `xianxian_score` int NULL DEFAULT 0,
  `yuanyin_socre` int NULL DEFAULT 0,
  `buwei_score` int NULL DEFAULT 0,
  `fangfa_score` int NULL DEFAULT 0,
  `jielun_score` int NULL DEFAULT 0,
  `overtime_score` int NULL DEFAULT 0,
  `other_replace` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `other_report` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `other_jielun` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `createtime` int NULL DEFAULT 0,
  `updatetime` int NULL DEFAULT 0,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim_考试得分结果' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_real_exam_score
-- ----------------------------
INSERT INTO `mx_real_exam_score` VALUES (16, 48, 0, NULL, 0, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 0, 0);

-- ----------------------------
-- Table structure for mx_report
-- ----------------------------
DROP TABLE IF EXISTS `mx_report`;
CREATE TABLE `mx_report`  (
  `report_id` bigint NOT NULL AUTO_INCREMENT COMMENT '报告ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `xx_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0',
  `xx_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '名称',
  `yy_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0',
  `yy_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0',
  `bw_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '3为真是部位，30为虚假部位',
  `bw_type` tinyint(1) NULL DEFAULT 0,
  `bw_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `pc_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0',
  `pc_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `createtime` int NULL DEFAULT 0,
  `updatetime` int NULL DEFAULT 0,
  `deletetime` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`report_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-维修报告要素' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_report
-- ----------------------------
INSERT INTO `mx_report` VALUES (1, '0001', '000100010000', '开机无响应', '00010001AA01', '电池电量不足或损坏', '000100010003', 30, '电池', '00010001BB01', '更换电池', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (2, '0001', '000100010000', '开机无响应', '00010001AA02', '电池座组件损坏', '000100010004', 30, '电池座组件', '00010001BB02', '更换电池座组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (3, '0001', '000100010000', '开机无响应', '00010001AA03', '电池座组件插头未插好', '000100010004', 30, '电池座组件', '00010001BB03', '重新插拔电池座组件插头', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (4, '0001', '000100010000', '开机无响应', '00010001AA04', '电路板DC/DC芯片损坏', '000100010002', 3, 'DC/DC转换芯片', '00010001BB04', '更换DC/DC芯片', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (5, '0001', '000100010000', '开机无响应', '00010001AA05', '电源开关组件损坏', '0', 0, '电源开关组件损坏', '00010001BB05', '更换电源开关组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (6, '0001', '000100010000', '开机无响应', '00010001AA06', '电池座组件未插好', '0', 0, '电池座组件未插好', '00010001BB06', '重新插拔电池座组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (7, '0001', '000100020000', '开机后按抽气开关，微电机不工作', '00010002AA01', '抽气开关组件损坏', '000100020005', 30, '抽气开关组件', '00010002BB01', '更换抽气开关组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (8, '0001', '000100020000', '开机后按抽气开关，微电机不工作', '00010002AA02', '抽气开关组件插头未插好', '000100020005', 30, '抽气开关组件', '00010002BB02', '重新插拔抽气开关组件插头', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (9, '0001', '000100020000', '开机后按抽气开关，微电机不工作', '00010002AA03', '气泵电机损坏', '000100020006', 30, '气泵电机', '00010002BB03', '更换气泵电机', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (10, '0001', '000100020000', '开机后按抽气开关，微电机不工作', '00010002AA04', '气泵电机连线插头与主电路板未插好', '000100020007', 30, '气泵电机连线', '00010002BB04', '重新插拔气泵电机连线插头', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (11, '0001', '000100020000', '开机后按抽气开关，微电机不工作', '00010002AA05', '气泵电机连线断路', '000100020007', 30, '气泵电机连线', '00010002BB05', '更换气泵电机连线', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (12, '0001', '000100020000', '开机后按抽气开关，微电机不工作', '00010002AA06', '上场效应管Q2或其它元器件损坏', '000100030013', 30, '场效应管Q2', '00010002BB06', '更换场效应管Q2', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (13, '0001', '000100030000', '抽气流量不足', '00010003AA01', '电位器调的太低', '0', 0, '电位器', '00010003BB01', '调大电位器', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (14, '0001', '000100030000', '抽气流量不足', '00010003AA02', '橡胶插座破损', '000100030007', 30, '橡胶插座', '00010003BB02', '更换橡胶插座', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (15, '0001', '000100030000', '抽气流量不足', '00010003AA03', '抽气开关损坏', '000100020005', 30, '抽气开关组件', '00010002BB01', '更换抽气开关组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (16, '0001', '000100030000', '抽气流量不足', '00010003AA04', '滤网堵塞', '000100030005', 3, '滤网', '00010003BB04', '清理滤网', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (17, '0001', '000100030000', '抽气流量不足', '00010003AA05', '进气管连接脱落或破损', '000100030009', 30, '进气管', '00010003BB05', '更换进气管', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (18, '0001', '000100030000', '抽气流量不足', '00010003AA06', '胶碗破损或胶碗固定螺丝松动', '000100030010', 30, '胶碗', '00010003BB06', '更换胶碗', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (19, '0001', '000100030000', '抽气流量不足', '00010003AA07', '微电机损坏', '000100030011', 30, '微电机', '00010003BB07', '更换微电机', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (20, '0001', '000100030000', '抽气流量不足', '00010003AA08', '活门片破损或缺失', '000100030012', 30, '活门片', '00010003BB08', '更换活门片', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (21, '0001', '000100030000', '抽气流量不足', '00010003AA09', '电路板上控制微电机的场效应管Q2损坏', '000100030013', 30, '场效应管Q2', '00010002BB06', '更换场效应管Q2', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (22, '0001', '000100030000', '抽气流量不足', '00010003AA10', '电机与抽气泵偏心轴距离不恰当', '000100030014', 30, '电机与抽气泵偏心轴距', '00010003BB10', '调整电机与抽气泵偏心轴距离', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (23, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA01', '加热开关组件损坏', '0', 0, '加热开关组件', '00010004BB01', '更换加热开关组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (24, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA02', '加热开关组件未插好', '0', 0, '加热开关组件', '00010004BB02', '重新插拔加热开关组件', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (25, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA03', '四线束插头松脱', '0', 0, '四线束', '00010004BB03', '重新插拔四线束插头', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (26, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA04', '四线束连线断路', '0', 0, '四线束', '00010004BB04', '更换四线束连线', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (27, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA05', '头罩内快插接头松脱', '0', 0, '头罩内快插接头', '00010004BB05', '重新插拔头罩内快插接头', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (28, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA06', '热敏开关损坏', '000100040008', 3, '热敏开关', '00010004BB06', '更换热敏开关', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (29, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA07', '加热线圈损坏', '0', 0, '加热线圈', '00010004BB07', '更换加热线圈', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (30, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA08', '加热线圈焊接导线脱焊', '0', 0, '加热线圈', '00010004BB08', '重新焊接加热线圈焊接导线', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (31, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA09', '场效应管Q3或周边相关元器件损坏或脱焊', '0', 0, '场效应管Q3', '00010004BB09', '更换场效应管Q3', 0, 0, NULL, NULL);
INSERT INTO `mx_report` VALUES (32, '0001', '000100040000', '开机后按下加热开关，加热灯不亮，也未加热', '00010004AA10', '加热指示灯损坏', '000100040007', 3, '加热指示灯', '00010004BB10', '更换加热指示灯', 0, 0, NULL, NULL);

-- ----------------------------
-- Table structure for mx_seat
-- ----------------------------
DROP TABLE IF EXISTS `mx_seat`;
CREATE TABLE `mx_seat`  (
  `seat_id` bigint NOT NULL AUTO_INCREMENT COMMENT '座ID',
  `seat_num` int NOT NULL DEFAULT 0 COMMENT '座号',
  `seat_bind_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '绑定的IP地址',
  `current_user_id` bigint NOT NULL DEFAULT 0 COMMENT '当前座上学员/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`seat_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-座表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_seat
-- ----------------------------
INSERT INTO `mx_seat` VALUES (1, 1, '192.168.1.101', 0, NULL, NULL, NULL, NULL, '座号01');
INSERT INTO `mx_seat` VALUES (2, 2, '192.168.1.102', 0, NULL, NULL, NULL, NULL, '座号02');
INSERT INTO `mx_seat` VALUES (3, 3, '192.168.1.103', 0, NULL, NULL, NULL, NULL, '座号03');
INSERT INTO `mx_seat` VALUES (4, 4, '192.168.1.104', 0, NULL, NULL, NULL, NULL, '座号04');
INSERT INTO `mx_seat` VALUES (5, 5, '192.168.1.105', 0, NULL, NULL, NULL, NULL, '座号05');
INSERT INTO `mx_seat` VALUES (6, 6, '192.168.1.106', 0, NULL, NULL, NULL, NULL, '座号06');
INSERT INTO `mx_seat` VALUES (7, 7, '192.168.1.107', 0, NULL, NULL, NULL, NULL, '座号07');
INSERT INTO `mx_seat` VALUES (8, 8, '192.168.1.108', 0, NULL, NULL, NULL, NULL, '座号08');
INSERT INTO `mx_seat` VALUES (9, 9, '192.168.1.109', 0, NULL, NULL, NULL, NULL, '座号09');
INSERT INTO `mx_seat` VALUES (10, 10, '192.168.1.110', 0, NULL, NULL, NULL, NULL, '座号10');

-- ----------------------------
-- Table structure for mx_sim
-- ----------------------------
DROP TABLE IF EXISTS `mx_sim`;
CREATE TABLE `mx_sim`  (
  `sim_id` bigint NOT NULL AUTO_INCREMENT COMMENT '模拟器ID',
  `seat_id` bigint NOT NULL COMMENT '座ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器类型',
  `sim_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '模拟器状态 0:可用初始化 1:在线 2:模拟器离线 3:网关离线 4:硬件故障异常 5:手动禁用',
  `sim_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器序列号',
  `sim_num` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器设备编号1~30',
  `last_sent_time` datetime NULL DEFAULT NULL COMMENT '最后一次成功发送报文时间',
  `last_received_time` datetime NULL DEFAULT NULL COMMENT '最后一次成功收到报文时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`sim_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 32 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-模拟器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_sim
-- ----------------------------
INSERT INTO `mx_sim` VALUES (11, 1, '0001', '5', '01010101', '01', '2024-12-24 21:41:39', '2024-12-24 21:41:39', NULL, '2024-12-19 17:32:47', NULL, '2024-12-24 21:41:39', NULL);
INSERT INTO `mx_sim` VALUES (12, 2, '0002', '5', '', '01', '2024-12-26 14:40:36', '2024-12-24 23:12:46', NULL, NULL, NULL, '2024-12-26 14:40:36', NULL);
INSERT INTO `mx_sim` VALUES (31, 3, '0003', '3', '03000001', '01', '2025-01-01 11:44:03', '2024-12-31 18:15:00', NULL, NULL, NULL, '2025-01-01 11:44:03', NULL);

-- ----------------------------
-- Table structure for mx_sim_task
-- ----------------------------
DROP TABLE IF EXISTS `mx_sim_task`;
CREATE TABLE `mx_sim_task`  (
  `task_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '模拟器型号',
  `task_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务类型:[1]-教师创建管理,[2]-考试临时数据',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `fault_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `fault_name` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `create_by_user_id` bigint NULL DEFAULT NULL COMMENT '创建教师ID/用户ID',
  `create_by` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `createtime` int NULL DEFAULT 0,
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `updatetime` int NULL DEFAULT 0,
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `deletetime` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`task_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 50 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-任务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_sim_task
-- ----------------------------
INSERT INTO `mx_sim_task` VALUES (44, '0002', '1', '20241231', '000200070012,000200060011,000200050010,000200050009,000200040008,000200040007,000200030006,000200030005,000200020004,000200020003,000200010002,000200010001,', NULL, 3, 'teacher', '2024-12-31 15:26:34', 1735629994, NULL, 1736134733, '2024-12-31 15:26:34', '1736134733', NULL);
INSERT INTO `mx_sim_task` VALUES (46, '0001', '1', '20241225', '000100060010,000100050009,000100040008,000100040007,000100030006,000100030005,000100020004,000100020003,000100010002,000100010001,', NULL, 3, 'teacher', '2024-12-31 15:38:40', 1735630720, NULL, 1736134736, '2024-12-31 15:38:40', '1736134736', NULL);
INSERT INTO `mx_sim_task` VALUES (47, '0002', '1', '20250106模拟2型', '000200040008,000200040007,000200030006', '8.显示屏,7.主控板显示屏供电电路,6.主控板信号采集电路', 3, 'teacher', '2025-01-02 10:34:03', 1735785243, NULL, 1736134854, '2025-01-06 11:37:14', NULL, NULL);
INSERT INTO `mx_sim_task` VALUES (48, '0001', '1', '56565656', '000100010001,000100010002,000100020003,000100020004,000100030005,000100030006,000100040007,000100040008,000100050009,000100060010', NULL, 3, 'teacher', '2025-01-04 16:47:03', 1735980423, NULL, 1736134270, '2025-01-04 16:47:03', '1736134270', NULL);
INSERT INTO `mx_sim_task` VALUES (49, '0001', '1', '20250106模拟1型', '000100020004,000100030005,000100050009', 'Q2,滤网,外壳及零件', 3, 'teacher', '2025-01-06 11:00:13', 1736132413, NULL, 1736134757, '2025-01-06 11:00:13', NULL, NULL);

-- ----------------------------
-- Table structure for mx_sms
-- ----------------------------
DROP TABLE IF EXISTS `mx_sms`;
CREATE TABLE `mx_sms`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `event` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '事件',
  `mobile` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号',
  `code` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '验证码',
  `times` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '验证次数',
  `ip` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'IP',
  `createtime` bigint UNSIGNED NULL DEFAULT 0 COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '短信验证码表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_sms
-- ----------------------------

-- ----------------------------
-- Table structure for mx_task_fault
-- ----------------------------
DROP TABLE IF EXISTS `mx_task_fault`;
CREATE TABLE `mx_task_fault`  (
  `rel_id` bigint NOT NULL AUTO_INCREMENT,
  `task_id` bigint NOT NULL,
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '7' COMMENT '7:未知\r\n1:选中\r\n0:没有选中',
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`rel_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 90 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-任务故障关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_task_fault
-- ----------------------------
INSERT INTO `mx_task_fault` VALUES (25, 44, '000200070012', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (26, 44, '000200060011', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (27, 44, '000200050010', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (28, 44, '000200050009', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (29, 44, '000200040008', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (30, 44, '000200040007', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (31, 44, '000200030006', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (32, 44, '000200030005', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (33, 44, '000200020004', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (34, 44, '000200020003', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (35, 44, '000200010002', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (36, 44, '000200010001', '1', '2024-12-31 15:26:34');
INSERT INTO `mx_task_fault` VALUES (37, 45, '000200070012', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (38, 45, '000200060011', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (39, 45, '000200050010', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (40, 45, '000200050009', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (41, 45, '000200040008', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (42, 45, '000200040007', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (43, 45, '000200030006', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (44, 45, '000200030005', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (45, 45, '000200020004', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (46, 45, '000200020003', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (47, 45, '000200010002', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (48, 45, '000200010001', '1', '2024-12-31 15:28:00');
INSERT INTO `mx_task_fault` VALUES (49, 46, '000100060010', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (50, 46, '000100050009', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (51, 46, '000100040008', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (52, 46, '000100040007', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (53, 46, '000100030006', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (54, 46, '000100030005', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (55, 46, '000100020004', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (56, 46, '000100020003', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (57, 46, '000100010002', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (58, 46, '000100010001', '1', '2024-12-31 15:38:40');
INSERT INTO `mx_task_fault` VALUES (62, 48, '000100010001', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (63, 48, '000100010002', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (64, 48, '000100020003', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (65, 48, '000100020004', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (66, 48, '000100030005', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (67, 48, '000100030006', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (68, 48, '000100040007', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (69, 48, '000100040008', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (70, 48, '000100050009', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (71, 48, '000100060010', '1', '2025-01-04 16:47:03');
INSERT INTO `mx_task_fault` VALUES (72, 49, '000100020004', '1', '2025-01-06 11:00:13');
INSERT INTO `mx_task_fault` VALUES (73, 49, '000100030005', '1', '2025-01-06 11:00:13');
INSERT INTO `mx_task_fault` VALUES (74, 49, '000100050009', '1', '2025-01-06 11:00:13');
INSERT INTO `mx_task_fault` VALUES (87, 47, '000200040008', '1', '2025-01-06 11:40:54');
INSERT INTO `mx_task_fault` VALUES (88, 47, '000200040007', '1', '2025-01-06 11:40:54');
INSERT INTO `mx_task_fault` VALUES (89, 47, '000200030006', '1', '2025-01-06 11:40:54');

-- ----------------------------
-- Table structure for mx_test
-- ----------------------------
DROP TABLE IF EXISTS `mx_test`;
CREATE TABLE `mx_test`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `user_id` int NULL DEFAULT 0 COMMENT '会员ID',
  `admin_id` int NULL DEFAULT 0 COMMENT '管理员ID',
  `category_id` int UNSIGNED NULL DEFAULT 0 COMMENT '分类ID(单选)',
  `category_ids` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类ID(多选)',
  `tags` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '标签',
  `week` enum('monday','tuesday','wednesday') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '星期(单选):monday=星期一,tuesday=星期二,wednesday=星期三',
  `flag` set('hot','index','recommend') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '标志(多选):hot=热门,index=首页,recommend=推荐',
  `genderdata` enum('male','female') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'male' COMMENT '性别(单选):male=男,female=女',
  `hobbydata` set('music','reading','swimming') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '爱好(多选):music=音乐,reading=读书,swimming=游泳',
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '标题',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '内容',
  `image` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '图片',
  `images` varchar(1500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '图片组',
  `attachfile` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '附件',
  `keywords` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '关键字',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '描述',
  `city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '省市',
  `array` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '数组:value=值',
  `json` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '配置:key=名称,value=值',
  `multiplejson` varchar(1500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '二维数组:title=标题,intro=介绍,author=作者,age=年龄',
  `price` decimal(10, 2) UNSIGNED NULL DEFAULT 0.00 COMMENT '价格',
  `views` int UNSIGNED NULL DEFAULT 0 COMMENT '点击',
  `workrange` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '时间区间',
  `startdate` date NULL DEFAULT NULL COMMENT '开始日期',
  `activitytime` datetime NULL DEFAULT NULL COMMENT '活动时间(datetime)',
  `year` year NULL DEFAULT NULL COMMENT '年',
  `times` time NULL DEFAULT NULL COMMENT '时间',
  `refreshtime` bigint NULL DEFAULT NULL COMMENT '刷新时间',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `deletetime` bigint NULL DEFAULT NULL COMMENT '删除时间',
  `weigh` int NULL DEFAULT 0 COMMENT '权重',
  `switch` tinyint(1) NULL DEFAULT 0 COMMENT '开关',
  `status` enum('normal','hidden') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'normal' COMMENT '状态',
  `state` enum('0','1','2') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态值:0=禁用,1=正常,2=推荐',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '测试表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_test
-- ----------------------------
INSERT INTO `mx_test` VALUES (1, 1, 1, 12, '12,13', '互联网,计算机', 'monday', 'hot,index', 'male', 'music,reading', '我是一篇测试文章', '<p>我是测试内容</p>', '/assets/img/avatar.png', '/assets/img/avatar.png,/assets/img/qrcode.png', '/assets/img/avatar.png', '关键字', '我是一篇测试文章描述，内容过多时将自动隐藏', '广西壮族自治区/百色市/平果县', '[\"a\",\"b\"]', '{\"a\":\"1\",\"b\":\"2\"}', '[{\"title\":\"标题一\",\"intro\":\"介绍一\",\"author\":\"小明\",\"age\":\"21\"}]', 0.00, 0, '2020-10-01 00:00:00 - 2021-10-31 23:59:59', '2017-07-10', '2017-07-10 18:24:45', 2017, '18:24:45', 1491635035, 1491635035, 1491635035, NULL, 0, 1, 'normal', '1');

-- ----------------------------
-- Table structure for mx_user
-- ----------------------------
DROP TABLE IF EXISTS `mx_user`;
CREATE TABLE `mx_user`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `group_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '组别ID',
  `username` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户名',
  `nickname` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '昵称',
  `password` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `salt` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码盐',
  `email` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '电子邮箱',
  `mobile` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像',
  `level` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '等级',
  `gender` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '性别',
  `birthday` date NULL DEFAULT NULL COMMENT '生日',
  `bio` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '格言',
  `money` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '余额',
  `score` int NOT NULL DEFAULT 0 COMMENT '积分',
  `successions` int UNSIGNED NOT NULL DEFAULT 1 COMMENT '连续登录天数',
  `maxsuccessions` int UNSIGNED NOT NULL DEFAULT 1 COMMENT '最大连续登录天数',
  `prevtime` bigint NULL DEFAULT NULL COMMENT '上次登录时间',
  `logintime` bigint NULL DEFAULT NULL COMMENT '登录时间',
  `loginip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP',
  `loginfailure` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '失败次数',
  `loginfailuretime` bigint NULL DEFAULT NULL COMMENT '最后登录失败时间',
  `joinip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '加入IP',
  `jointime` bigint NULL DEFAULT NULL COMMENT '加入时间',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `token` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'Token',
  `status` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '状态',
  `verification` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '验证',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `username`(`username` ASC) USING BTREE,
  INDEX `email`(`email` ASC) USING BTREE,
  INDEX `mobile`(`mobile` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_user
-- ----------------------------
INSERT INTO `mx_user` VALUES (1, 1, 'admin', 'admin', 'e3e8c0bd6ba87aac40061497b7f3e301', '33eb48', 'admin@163.com', '13000000000', 'http://xunlianweixiu.work.com/assets/img/avatar.png', 0, 0, '2017-04-08', '', 0.00, 0, 1, 1, 1491635035, 1491635035, '127.0.0.1', 0, 1491635035, '127.0.0.1', 1491635035, 0, 1491635035, '', 'normal', '');

-- ----------------------------
-- Table structure for mx_user_group
-- ----------------------------
DROP TABLE IF EXISTS `mx_user_group`;
CREATE TABLE `mx_user_group`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '组名',
  `rules` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '权限节点',
  `createtime` bigint NULL DEFAULT NULL COMMENT '添加时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `status` enum('normal','hidden') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员组表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_user_group
-- ----------------------------
INSERT INTO `mx_user_group` VALUES (1, '默认组', '1,2,3,4,5,6,7,8,9,10,11,12', 1491635035, 1491635035, 'normal');

-- ----------------------------
-- Table structure for mx_user_money_log
-- ----------------------------
DROP TABLE IF EXISTS `mx_user_money_log`;
CREATE TABLE `mx_user_money_log`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '会员ID',
  `money` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '变更余额',
  `before` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '变更前余额',
  `after` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '变更后余额',
  `memo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员余额变动表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_user_money_log
-- ----------------------------

-- ----------------------------
-- Table structure for mx_user_rule
-- ----------------------------
DROP TABLE IF EXISTS `mx_user_rule`;
CREATE TABLE `mx_user_rule`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int NULL DEFAULT NULL COMMENT '父ID',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '标题',
  `remark` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `ismenu` tinyint(1) NULL DEFAULT NULL COMMENT '是否菜单',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `weigh` int NULL DEFAULT 0 COMMENT '权重',
  `status` enum('normal','hidden') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员规则表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_user_rule
-- ----------------------------
INSERT INTO `mx_user_rule` VALUES (1, 0, 'index', 'Frontend', '', 1, 1491635035, 1491635035, 1, 'normal');
INSERT INTO `mx_user_rule` VALUES (2, 0, 'api', 'API Interface', '', 1, 1491635035, 1491635035, 2, 'normal');
INSERT INTO `mx_user_rule` VALUES (3, 1, 'user', 'User Module', '', 1, 1491635035, 1491635035, 12, 'normal');
INSERT INTO `mx_user_rule` VALUES (4, 2, 'user', 'User Module', '', 1, 1491635035, 1491635035, 11, 'normal');
INSERT INTO `mx_user_rule` VALUES (5, 3, 'index/user/login', 'Login', '', 0, 1491635035, 1491635035, 5, 'normal');
INSERT INTO `mx_user_rule` VALUES (6, 3, 'index/user/register', 'Register', '', 0, 1491635035, 1491635035, 7, 'normal');
INSERT INTO `mx_user_rule` VALUES (7, 3, 'index/user/index', 'User Center', '', 0, 1491635035, 1491635035, 9, 'normal');
INSERT INTO `mx_user_rule` VALUES (8, 3, 'index/user/profile', 'Profile', '', 0, 1491635035, 1491635035, 4, 'normal');
INSERT INTO `mx_user_rule` VALUES (9, 4, 'api/user/login', 'Login', '', 0, 1491635035, 1491635035, 6, 'normal');
INSERT INTO `mx_user_rule` VALUES (10, 4, 'api/user/register', 'Register', '', 0, 1491635035, 1491635035, 8, 'normal');
INSERT INTO `mx_user_rule` VALUES (11, 4, 'api/user/index', 'User Center', '', 0, 1491635035, 1491635035, 10, 'normal');
INSERT INTO `mx_user_rule` VALUES (12, 4, 'api/user/profile', 'Profile', '', 0, 1491635035, 1491635035, 3, 'normal');

-- ----------------------------
-- Table structure for mx_user_score_log
-- ----------------------------
DROP TABLE IF EXISTS `mx_user_score_log`;
CREATE TABLE `mx_user_score_log`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '会员ID',
  `score` int NOT NULL DEFAULT 0 COMMENT '变更积分',
  `before` int NOT NULL DEFAULT 0 COMMENT '变更前积分',
  `after` int NOT NULL DEFAULT 0 COMMENT '变更后积分',
  `memo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员积分变动表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_user_score_log
-- ----------------------------

-- ----------------------------
-- Table structure for mx_user_token
-- ----------------------------
DROP TABLE IF EXISTS `mx_user_token`;
CREATE TABLE `mx_user_token`  (
  `token` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'Token',
  `user_id` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '会员ID',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `expiretime` bigint NULL DEFAULT NULL COMMENT '过期时间',
  PRIMARY KEY (`token`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员Token表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_user_token
-- ----------------------------

-- ----------------------------
-- Table structure for mx_version
-- ----------------------------
DROP TABLE IF EXISTS `mx_version`;
CREATE TABLE `mx_version`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `oldversion` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '旧版本号',
  `newversion` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '新版本号',
  `packagesize` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '包大小',
  `content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '升级内容',
  `downloadurl` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '下载地址',
  `enforce` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '强制更新',
  `createtime` bigint NULL DEFAULT NULL COMMENT '创建时间',
  `updatetime` bigint NULL DEFAULT NULL COMMENT '更新时间',
  `weigh` int NOT NULL DEFAULT 0 COMMENT '权重',
  `status` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '版本表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_version
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name` ASC, `job_name` ASC, `job_group` ASC) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sim_add_on_dept
-- ----------------------------
DROP TABLE IF EXISTS `sim_add_on_dept`;
CREATE TABLE `sim_add_on_dept`  (
  `dept_id` bigint NOT NULL COMMENT '班级ID/部门ID',
  `major_id` bigint NOT NULL DEFAULT 0 COMMENT '专业ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-部门附加表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_add_on_dept
-- ----------------------------
INSERT INTO `sim_add_on_dept` VALUES (100, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_add_on_dept` VALUES (110, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_add_on_dept` VALUES (111, 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_add_on_dept` VALUES (112, 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_add_on_dept` VALUES (113, 6, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sim_add_on_user
-- ----------------------------
DROP TABLE IF EXISTS `sim_add_on_user`;
CREATE TABLE `sim_add_on_user`  (
  `user_id` bigint NOT NULL COMMENT '学员ID/教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-学员/教师/用户附加表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_add_on_user
-- ----------------------------

-- ----------------------------
-- Table structure for sim_fault
-- ----------------------------
DROP TABLE IF EXISTS `sim_fault`;
CREATE TABLE `sim_fault`  (
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '故障ID',
  `parent_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '父故障ID',
  `ref_type3_30_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '关联的真实的/虚假的故障部位',
  `ref_type4_fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '关联的排除方法',
  `fault_type` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '故障类型:[1]:故障现象,[2]:可能原因,[3]:真实故障部位,[30]:虚假故障部位,[4]:排除方法,[5]:修复结论',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器类型',
  `fault_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '故障状态:[0]:启用,[5]:禁用',
  `conflict_fault_ids` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '互斥所有故障ID逗号分割',
  `replace_part` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '是否是更换件:[1]:是,[0]:不是',
  `replace_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更换件名称',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '名称',
  `bind_hardware_msg` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '绑定硬件通信报文',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`fault_id`) USING BTREE,
  INDEX `idx_sim_type_fault_type_fault_state`(`sim_type` ASC, `fault_type` ASC, `fault_state` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-故障表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_fault
-- ----------------------------
INSERT INTO `sim_fault` VALUES ('000100010000', '', '', '', '1', '0001', '0', '', '0', '', '开机无响应', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100010001', '000100010000', '', '', '3', '0001', '0', '', '1', '电源开关', '1.电源开关', '01', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100010002', '000100010000', '', '', '3', '0001', '0', '', '1', 'DC/DC转换芯片', '2.DC/DC转换芯片', '02', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001AA01', '000100010000', '00010001FF01', '00010001BB01', '2', '0001', '0', '', '0', '', '电池电量不足或损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001AA02', '000100010000', '00010001FF02', '00010001BB02', '2', '0001', '0', '', '0', '', '电池座组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001AA03', '000100010000', '00010001FF02', '00010001BB03', '2', '0001', '0', '', '0', '', '电池座组件插头未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001AA04', '000100010000', '000100010002', '00010001BB04', '2', '0001', '0', '', '0', '', '电路板DC/DC芯片损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001AA05', '000100010000', '000100010001', '00010001BB05', '2', '0001', '0', '', '0', '', '电源开关组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001AA06', '000100010000', '00010001FF02', '00010001BB06', '2', '0001', '0', '', '0', '', '电池座组件未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001BB01', '000100010000', '00010001FF01', '', '4', '0001', '0', '', '0', '', '更换电池', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001BB02', '000100010000', '00010001FF02', '', '4', '0001', '0', '', '0', '', '更换电池座组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001BB03', '000100010000', '00010001FF02', '', '4', '0001', '0', '', '0', '', '重新插拔电池座组件插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001BB04', '000100010000', '000100010002', '', '4', '0001', '0', '', '0', '', '更换DC/DC芯片', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001BB05', '000100010000', '000100010001', '', '4', '0001', '0', '', '0', '', '更换电源开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001BB06', '000100010000', '00010001FF02', '', '4', '0001', '0', '', '0', '', '重新插拔电池座组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001FF01', '000100010000', '', '', '30', '0001', '0', '', '0', '', '电池', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010001FF02', '000100010000', '', '', '30', '0001', '0', '', '0', '', '电池座组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100020000', '', '', '', '1', '0001', '0', '', '0', '', '开机后按抽气开关，微电机不工作', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100020003', '000100020000', '', '', '3', '0001', '0', '', '1', '微电机', '3.微电机', '03', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100020004', '000100020000', '', '', '3', '0001', '0', '', '1', 'Q2', '4.Q2', '04', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002AA01', '000100020000', '', '00010002BB01', '2', '0001', '0', '', '0', '', '抽气开关组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002AA02', '000100020000', '', '00010002BB02', '2', '0001', '0', '', '0', '', '抽气开关组件插头未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002AA03', '000100020000', '', '00010002BB03', '2', '0001', '0', '', '0', '', '气泵电机损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002AA04', '000100020000', '', '00010002BB04', '2', '0001', '0', '', '0', '', '气泵电机连线插头与主电路板未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002AA05', '000100020000', '', '00010002BB04', '2', '0001', '0', '', '0', '', '气泵电机连线断路', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002AA06', '000100020000', '', '00010002BB06', '2', '0001', '0', '', '0', '', '上场效应管Q2或其它元器件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002BB01', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002BB02', '000100020000', '', '', '4', '0001', '0', '', '0', '', '重新插拔抽气开关组件插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002BB03', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换气泵电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002BB04', '000100020000', '', '', '4', '0001', '0', '', '0', '', '重新插拔气泵电机连线插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002BB05', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换气泵电机连线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002BB06', '000100020000', '', '', '4', '0001', '0', '', '0', '', '更换场效应管Q2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002FF01', '000100020000', '', '', '30', '0001', '0', '', '0', '', '抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002FF02', '000100020000', '', '', '30', '0001', '0', '', '0', '', '气泵电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010002FF03', '000100020000', '', '', '30', '0001', '0', '', '0', '', '气泵电机连线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100030000', '', '', '', '1', '0001', '0', '', '0', '', '抽气流量不足', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100030005', '000100030000', '', '', '3', '0001', '0', '', '1', '滤网', '5.滤网', '05', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100030006', '000100030000', '', '', '3', '0001', '0', '', '1', '调速电位器', '6.调速电位器', '06', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA01', '000100030000', '', '00010003BB01', '2', '0001', '0', '', '0', '', '电位器调的太低', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA02', '000100030000', '', '00010003BB02', '2', '0001', '0', '', '0', '', '橡胶插座破损', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA03', '000100030000', '', '00010003BB03', '2', '0001', '0', '', '0', '', '抽气开关损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA04', '000100030000', '', '00010003BB04', '2', '0001', '0', '', '0', '', '滤网堵塞', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA05', '000100030000', '', '00010003BB05', '2', '0001', '0', '', '0', '', '进气管连接脱落或破损', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA06', '000100030000', '', '00010003BB06', '2', '0001', '0', '', '0', '', '胶碗破损或胶碗固定螺丝松动', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA07', '000100030000', '', '00010003BB07', '2', '0001', '0', '', '0', '', '微电机损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA08', '000100030000', '', '00010003BB08', '2', '0001', '0', '', '0', '', '活门片破损或缺失', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA09', '000100030000', '', '00010003BB09', '2', '0001', '0', '', '0', '', '电路板上控制微电机的场效应管Q2损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003AA10', '000100030000', '', '00010003BB10', '2', '0001', '0', '', '0', '', '电机与抽气泵偏心轴距离不恰当', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB01', '000100030000', '', '', '4', '0001', '0', '', '0', '', '调大电位器', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB02', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换橡胶插座', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB03', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB04', '000100030000', '', '', '4', '0001', '0', '', '0', '', '清理滤网', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB05', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换进气管', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB06', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换胶碗', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB07', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换微电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB08', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换活门片', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB09', '000100030000', '', '', '4', '0001', '0', '', '0', '', '更换场效应管Q2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003BB10', '000100030000', '', '', '4', '0001', '0', '', '0', '', '调整电机与抽气泵偏心轴距离', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF01', '000100030000', '', '', '30', '0001', '0', '', '0', '', '橡胶插座', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF02', '000100030000', '', '', '30', '0001', '0', '', '0', '', '抽气开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF03', '000100030000', '', '', '30', '0001', '0', '', '0', '', '进气管', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF04', '000100030000', '', '', '30', '0001', '0', '', '0', '', '胶碗', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF05', '000100030000', '', '', '30', '0001', '0', '', '0', '', '微电机', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF06', '000100030000', '', '', '30', '0001', '0', '', '0', '', '活门片', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF07', '000100030000', '', '', '30', '0001', '0', '', '0', '', '场效应管Q2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010003FF08', '000100030000', '', '', '30', '0001', '0', '', '0', '', '电机与抽气泵偏心轴距', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100040000', '', '', '', '1', '0001', '0', '', '0', '', '开机后按下加热开关，加热灯不亮，也未加热', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100040007', '000100040000', '', '', '3', '0001', '0', '', '1', '加热指示灯', '7.加热指示灯', '07', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100040008', '000100040000', '', '', '3', '0001', '0', '', '1', '热敏开关', '8.热敏开关', '08', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA01', '000100040000', '', '00010004BB01', '2', '0001', '0', '', '0', '', '加热开关组件损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA02', '000100040000', '', '00010004BB02', '2', '0001', '0', '', '0', '', '加热开关组件未插好', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA03', '000100040000', '', '00010004BB03', '2', '0001', '0', '', '0', '', '四线束插头松脱', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA04', '000100040000', '', '00010004BB04', '2', '0001', '0', '', '0', '', '四线束连线断路', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA05', '000100040000', '', '00010004BB05', '2', '0001', '0', '', '0', '', '头罩内快插接头松脱', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA06', '000100040000', '', '00010004BB06', '2', '0001', '0', '', '0', '', '热敏开关损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA07', '000100040000', '', '00010004BB07', '2', '0001', '0', '', '0', '', '加热线圈损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA08', '000100040000', '', '00010004BB08', '2', '0001', '0', '', '0', '', '加热线圈焊接导线脱焊', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA09', '000100040000', '', '00010004BB09', '2', '0001', '0', '', '0', '', '场效应管Q3或周边相关元器件损坏或脱焊', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004AA10', '000100040000', '', '00010004BB10', '2', '0001', '0', '', '0', '', '加热指示灯损坏', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB01', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换加热开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB02', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新插拔加热开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB03', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新插拔四线束插头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB04', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换四线束连线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB05', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新插拔头罩内快插接头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB06', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换热敏开关', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB07', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换加热线圈', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB08', '000100040000', '', '', '4', '0001', '0', '', '0', '', '重新焊接加热线圈焊接导线', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB09', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换场效应管Q3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004BB10', '000100040000', '', '', '4', '0001', '0', '', '0', '', '更换加热指示灯', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004FF01', '000100040000', '', '', '30', '0001', '0', '', '0', '', '加热开关组件', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004FF02', '000100040000', '', '', '30', '0001', '0', '', '0', '', '四线束', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004FF03', '000100040000', '', '', '30', '0001', '0', '', '0', '', '头罩内快插接头', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004FF04', '000100040000', '', '', '30', '0001', '0', '', '0', '', '加热线圈', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('00010004FF05', '000100040000', '', '', '30', '0001', '0', '', '0', '', '场效应管Q3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100050000', '', '', '', '1', '0001', '0', '', '0', '', '不能正常工作', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100050009', '000100050000', '', '', '3', '0001', '0', '', '1', '外壳及零件', '9.外壳及零件', '09', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100060000', '', '', '', '1', '0001', '0', '', '0', '', '电压低', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000100060010', '000100060000', '', '', '3', '0001', '0', '', '1', '供电模块', '10.供电模块', '0A', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0001JJJJ0001', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论1', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0001JJJJ0002', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论2', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0001JJJJ0003', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论3', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0001JJJJ0004', '', '', '', '5', '0001', '0', '', '0', '', 'type0001修复结论4', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200010000', '', '', '', '1', '0002', '0', '', '0', '', '仪器无法开机', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200010001', '000200010000', '', '', '3', '0002', '0', '', '1', '薄膜开关FPC排线', '1.薄膜开关FPC排线', '01', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200010002', '000200010000', '', '', '3', '0002', '0', '', '1', '主控板开机电路', '2.主控板开机电路', '02', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200020000', '', '', '', '1', '0002', '0', '', '0', '', '蜂鸣器自检时，声音异常', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200020003', '000200020000', '', '', '3', '0002', '0', '', '1', '蜂鸣器出声口', '3.蜂鸣器出声口', '03', 3, NULL, NULL, NULL, NULL, '没有替换件');
INSERT INTO `sim_fault` VALUES ('000200020004', '000200020000', '', '', '3', '0002', '0', '', '1', '接口接线板', '4.接口接线板', '04', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200030000', '', '', '', '1', '0002', '0', '', '0', '', '仪器进入检测界面后，通入检测剂不报警', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200030005', '000200030000', '', '', '3', '0002', '0', '', '1', '检测剂', '5.检测剂', '05', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200030006', '000200030000', '', '', '3', '0002', '0', '', '1', '主控板信号采集电路', '6.主控板信号采集电路', '06', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200040000', '', '', '', '1', '0002', '0', '', '0', '', '显示屏无显示', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200040007', '000200040000', '', '', '3', '0002', '0', '', '1', '主控板显示屏供电电路', '7.主控板显示屏供电电路', '07', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200040008', '000200040000', '', '', '3', '0002', '0', '', '1', '显示屏', '8.显示屏', '08', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200050000', '', '', '', '1', '0002', '0', '', '0', '', '长时间不进入“检测中”', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200050009', '000200050000', '', '', '3', '0002', '0', '', '1', '干燥管', '9.干燥管', '09', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200050010', '000200050000', '', '', '3', '0002', '0', '', '1', '维护管', '10.维护管', '0A', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200060000', '', '', '', '1', '0002', '0', '', '0', '', '不能正常工作', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200060011', '000200060000', '', '', '3', '0002', '0', '', '1', '外壳及零件', '11.外壳及零件', '0B', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200070000', '', '', '', '1', '0002', '0', '', '0', '', '电压低', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000200070012', '000200070000', '', '', '3', '0002', '0', '', '1', '供电模块', '12.供电模块', '0C', 12, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0002JJJJ0001', '', '', '', '5', '0002', '0', '', '0', '', 'type0002修复结论1', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0002JJJJ0002', '', '', '', '5', '0002', '0', '', '0', '', 'type0002修复结论2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0002JJJJ0003', '', '', '', '5', '0002', '0', '', '0', '', 'type0002修复结论3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0002JJJJ0004', '', '', '', '5', '0002', '0', '', '0', '', 'type0002修复结论4', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300010000', '', '', '', '1', '0003', '0', '', '0', '', '仪器无法开机', '', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300010001', '000300010000', '', '', '3', '0003', '0', '', '0', '', '1.FFC排线', '01', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300010002', '000300010000', '', '', '3', '0003', '0', '', '0', '', '2.汇总主控板', '02', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300020000', '', '', '', '1', '0003', '0', '', '0', '', '开机后，显示屏无显示', '', 2, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300020003', '000300020000', '', '', '3', '0003', '0', '', '0', '', '3.显控报警板', '03', 3, NULL, NULL, NULL, NULL, '还需要验证。');
INSERT INTO `sim_fault` VALUES ('000300020004', '000300020000', '', '', '3', '0003', '0', '', '0', '', '4.显示屏', '04', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300030000', '', '', '', '1', '0003', '0', '', '0', '', '检测状态下模拟剂不报警', '', 3, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300030005', '000300030000', '', '', '3', '0003', '0', '', '0', '', '5.汇总主控板信号采集电路', '05', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300030006', '000300030000', '', '', '3', '0003', '0', '', '0', '', '6.检测剂', '06', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300040000', '', '', '', '1', '0003', '0', '', '0', '', '长时间不能进入检测状态', '', 4, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300040007', '000300040000', '', '', '3', '0003', '0', '', '0', '', '7.干燥管', '07', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300040008', '000300040000', '', '', '3', '0003', '0', '', '0', '', '8.维护管', '08', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050000', '', '', '', '1', '0003', '0', '', '0', '', '固液检测/气体检测模式切换失败', '', 5, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050009', '000300050000', '', '', '3', '0003', '0', '', '0', '', '9.固液检测单元与主控板连接线', '09', 9, NULL, NULL, NULL, NULL, '还需要验证。');
INSERT INTO `sim_fault` VALUES ('000300050010', '000300050000', '', '', '3', '0003', '0', '', '0', '', '10.汇总主控板固液通信电路', '0A', 10, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300050011', '000300050000', '', '', '3', '0003', '0', '', '0', '', '11.切换按键', '0B', 11, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300060000', '', '', '', '1', '0003', '0', '', '0', '', '有毒有害气体检测模块不报警', '', 6, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300060012', '000300060000', '', '', '3', '0003', '0', '', '0', '', '12.高压驱动板与汇总主控板连接线', '0C', 12, NULL, NULL, NULL, NULL, '还需要验证。');
INSERT INTO `sim_fault` VALUES ('000300060013', '000300060000', '', '', '3', '0003', '0', '', '0', '', '13.汇总主控板毒害模块通信电路', '0D', 13, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300070000', '', '', '', '1', '0003', '0', '', '0', '', '不能正常工作', '', 7, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300070014', '000300070000', '', '', '3', '0003', '0', '', '0', '', '14.外壳及零件', '0E', 14, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300080000', '', '', '', '1', '0003', '0', '', '0', '', '电压低', '', 8, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300080015', '000300080000', '', '', '3', '0003', '0', '', '0', '', '15.供电模块', '0F', 15, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300090000', '', '', '', '1', '0003', '5', '', '0', '', '无法开机', '', 9, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('000300090016', '000300090000', '', '', '3', '0003', '5', '', '0', '', '16.DC/DC', '', 16, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0003JJJJ0001', '', '', '', '5', '0003', '0', '', '0', '', 'type0003修复结论1', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0003JJJJ0002', '', '', '', '5', '0003', '0', '', '0', '', 'type0003修复结论2', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0003JJJJ0003', '', '', '', '5', '0003', '0', '', '0', '', 'type0003修复结论3', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_fault` VALUES ('0003JJJJ0004', '', '', '', '5', '0003', '0', '', '0', '', 'type0003修复结论4', '', 0, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sim_major
-- ----------------------------
DROP TABLE IF EXISTS `sim_major`;
CREATE TABLE `sim_major`  (
  `major_id` bigint NOT NULL AUTO_INCREMENT COMMENT '专业ID',
  `major_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '专业名称',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`major_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-专业表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_major
-- ----------------------------
INSERT INTO `sim_major` VALUES (1, '防化分队指挥', NULL, '2024-12-10 00:06:30', NULL, '2024-12-12 15:05:03', '防化分队指挥');
INSERT INTO `sim_major` VALUES (2, '烟火分队指挥', NULL, '2024-12-10 10:10:30', NULL, '2024-12-12 15:05:12', '烟火分队指挥');
INSERT INTO `sim_major` VALUES (5, '辐射防护与核安全', NULL, '2024-12-12 15:02:22', NULL, '2024-12-12 15:05:22', '辐射防护与核安全');
INSERT INTO `sim_major` VALUES (6, '生物技术', NULL, '2024-12-12 15:02:30', NULL, '2024-12-12 15:05:32', '生物技术');
INSERT INTO `sim_major` VALUES (7, '装备保障工程', NULL, '2024-12-12 15:05:43', NULL, '2024-12-12 15:05:32', '装备保障工程');
INSERT INTO `sim_major` VALUES (8, '专业AA', NULL, NULL, NULL, NULL, '专业AA');
INSERT INTO `sim_major` VALUES (13, '核辐射', NULL, '2024-12-20 09:36:59', NULL, NULL, '123');

-- ----------------------------
-- Table structure for sim_real_exam
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam`;
CREATE TABLE `sim_real_exam`  (
  `exam_id` bigint NOT NULL AUTO_INCREMENT COMMENT '考试ID',
  `exam_collection_id` bigint NOT NULL DEFAULT 0 COMMENT '考试集合ID',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '学员ID/用户ID',
  `seat_id` bigint NULL DEFAULT NULL COMMENT '座ID',
  `sim_id` bigint NULL DEFAULT 0 COMMENT '模拟器ID',
  `exam_status` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '考试状态:[0]-未登录,[1]-已登录,[2]-模拟器检查并下发故障中,[3]:模拟器检查OK可开考,[4]-答题中,[5]-已交卷,[6]-计算成绩中,[7]-获取到成绩报告,[80]-教师标记缺考,[81]-登录未开始答题,[90]-模拟器异常结束',
  `total_score` int NULL DEFAULT NULL COMMENT '总分:累加扣分和计算出总分',
  `deduction_total_score` int NULL DEFAULT NULL COMMENT '扣分总计,不计超时扣分',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试实际开始时间(毫秒)',
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试实际结束时间(毫秒)',
  `login_time` datetime NULL DEFAULT NULL COMMENT '登录时间',
  `logout_time` datetime NULL DEFAULT NULL COMMENT '登出时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`exam_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_real_exam
-- ----------------------------
INSERT INTO `sim_real_exam` VALUES (1, 1, 5, 1, 41, '2', NULL, NULL, '2025-01-03 17:14:28', '2025-01-03 17:45:30', NULL, NULL, NULL, NULL, NULL, '2025-01-03 17:47:44', NULL);
INSERT INTO `sim_real_exam` VALUES (2, 12, 5, 2, 42, '2', NULL, NULL, '2025-01-03 21:19:19', '2025-01-03 21:51:46', NULL, NULL, NULL, NULL, NULL, '2025-01-03 21:51:50', NULL);
INSERT INTO `sim_real_exam` VALUES (3, 13, 5, 2, 42, '1', NULL, NULL, '2025-01-03 02:05:13', '2024-12-24 23:00:52', NULL, NULL, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam` VALUES (4, 15, 5, 3, 43, '4', NULL, NULL, '2025-01-03 22:25:21', '2025-01-07 01:13:24', NULL, NULL, NULL, NULL, NULL, '2025-01-03 22:25:21', NULL);
INSERT INTO `sim_real_exam` VALUES (5, 16, 5, 3, 43, '7', NULL, NULL, '2025-01-03 02:05:36', '2025-01-07 01:21:46', NULL, NULL, NULL, NULL, NULL, '2025-01-03 02:05:39', NULL);

-- ----------------------------
-- Table structure for sim_real_exam_collection
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam_collection`;
CREATE TABLE `sim_real_exam_collection`  (
  `exam_collection_id` bigint NOT NULL AUTO_INCREMENT COMMENT '考试集合ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '模拟器类型',
  `question_setting_method` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '出题方式:[1]-系统随机,[2]-教师自选,[3]任务自选\r\n',
  `exam_collection_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '考试类型:[1]-练习,[2]-自主练习,[3]-考试',
  `exam_collection_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '考试集合状态:[0]-初始化,[2]-打开,[3]-关闭',
  `exam_collection_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '考试名称',
  `task_id` bigint NULL DEFAULT 0 COMMENT '任务ID',
  `limit_duration` int NULL DEFAULT NULL COMMENT '限制时长(分钟)',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试开始时间(天)',
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试结束时间(天)',
  `create_user_id` bigint NULL DEFAULT 0 COMMENT '创建教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`exam_collection_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试集合表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_real_exam_collection
-- ----------------------------
INSERT INTO `sim_real_exam_collection` VALUES (1, '0001', '3', '3', '2', '[考试]1型测验', 0, 50, '2024-12-23 12:00:00', '2024-12-29 12:30:00', 0, '张老师', '2024-12-02 00:00:00', NULL, '2024-12-23 15:30:48', NULL);
INSERT INTO `sim_real_exam_collection` VALUES (12, '0002', '3', '3', '2', '[考试]FZB006型考试集合', 0, 15, '2024-12-23 12:00:00', '2024-12-29 12:30:00', 0, '王老师', NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_collection` VALUES (13, '0002', '3', '3', '2', '[考试]FZB006型考试集合', 0, 15, '2024-12-23 12:00:00', '2024-12-29 12:30:00', 0, '王老师', NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_collection` VALUES (15, '0003', '3', '3', '2', '[考试]3型第一次考试', 0, 15, '2025-01-03 01:55:11', '2025-01-07 14:55:16', 0, '胡老师', NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_collection` VALUES (16, '0003', '3', '3', '2', '[考试]3型第二次考试', 0, 15, '2025-01-03 01:24:17', '2025-01-07 01:24:35', 0, '张老师', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sim_real_exam_collection_dept
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam_collection_dept`;
CREATE TABLE `sim_real_exam_collection_dept`  (
  `rel_id` bigint NOT NULL AUTO_INCREMENT,
  `exam_collection_id` bigint NOT NULL DEFAULT 0 COMMENT '正式考试集合ID',
  `dept_id` bigint NOT NULL DEFAULT 0 COMMENT '班级ID/部门ID',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`rel_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试集合班级关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_real_exam_collection_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sim_real_exam_comp_request
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam_comp_request`;
CREATE TABLE `sim_real_exam_comp_request`  (
  `rel_id` bigint NOT NULL AUTO_INCREMENT,
  `exam_id` bigint NOT NULL DEFAULT 0 COMMENT '考试ID',
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `request_status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态\r\n1:已申请\r\n2:已处理\r\n3:已驳回',
  `create_by_user_id` bigint NULL DEFAULT 0 COMMENT '创建学员ID/用户ID',
  `update_by_user_id` bigint NULL DEFAULT 0 COMMENT '创建教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`rel_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试更换件关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_real_exam_comp_request
-- ----------------------------

-- ----------------------------
-- Table structure for sim_real_exam_fault
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam_fault`;
CREATE TABLE `sim_real_exam_fault`  (
  `ref_id` bigint NOT NULL AUTO_INCREMENT COMMENT '关联ID',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `ref_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '关联类型:[1]-选择题,[2]-模拟器维修故障',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '7' COMMENT '选择状态:[7]-未知,[1]-选中,[0]-没有选中',
  `ref_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束',
  `answer_right` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '答题正确:[0]-初始化,[1]-正确,[2]-错误',
  `choice_question_value` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '选择题的出题数值/正确答案',
  `choice_answer_value` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '选择题的答题数值/学员填写答案',
  `sim_fault_question_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器出题值/电阻代表值',
  `sim_fault_answer_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器答题值/电阻代表值',
  `minus` int NULL DEFAULT 0 COMMENT '减分值,计正数',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`ref_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 80 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试故障关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_real_exam_fault
-- ----------------------------
INSERT INTO `sim_real_exam_fault` VALUES (7, 2, '000200010001', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (8, 2, '000200010002', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:35', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (9, 2, '000200020003', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:36', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (10, 2, '000200020004', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:38', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (11, 2, '000200030005', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:39', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (12, 2, '000200030006', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:40', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (13, 2, '000200040007', '2', '1', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:25', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (14, 2, '000200040008', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:26', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (15, 2, '000200050009', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:28', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (16, 2, '000200050010', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:29', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (17, 2, '000200060011', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:30', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (18, 2, '000200070012', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 21:49:33', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (19, 3, '000200010001', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (29, 3, '000200010002', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (30, 3, '000200020003', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (31, 3, '000200020004', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (32, 3, '000200030005', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (33, 3, '000200030006', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (34, 3, '000200040007', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (35, 3, '000200040008', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (36, 3, '000200050009', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (37, 3, '000200050010', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (38, 3, '000200060011', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (39, 3, '000200070012', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:48:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (40, 4, '000300010001', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-04 11:39:32', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (41, 4, '000300010002', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:38', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (42, 4, '000300020003', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:40', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (43, 4, '000300020004', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:43', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (44, 4, '000300030005', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:45', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (45, 4, '000300030006', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:48', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (46, 4, '000300040007', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:50', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (47, 4, '000300040008', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:53', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (48, 4, '000300050009', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:55', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (49, 4, '000300050010', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:24:58', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (50, 4, '000300050011', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:25:00', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (51, 4, '000300060012', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:25:04', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (52, 4, '000300060013', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:25:06', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (53, 4, '000300070014', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:25:09', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (54, 4, '000300080015', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 22:25:11', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (55, 5, '000300010001', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (56, 5, '000300010002', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (57, 5, '000300020003', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (58, 5, '000300020004', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (59, 5, '000300030005', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (60, 5, '000300030006', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:38', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (61, 5, '000300040007', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (62, 5, '000300040008', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (63, 5, '000300050009', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (64, 5, '000300050010', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:39', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (65, 5, '000300050011', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:39', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (66, 5, '000300060012', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (67, 5, '000300060013', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (68, 5, '000300070014', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (69, 5, '000300080015', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 02:05:34', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (70, 1, '000100010001', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, '2025-01-03 17:47:43', NULL);
INSERT INTO `sim_real_exam_fault` VALUES (71, 1, '000100010002', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (72, 1, '000100020003', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (73, 1, '000100020004', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (74, 1, '000100030005', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (75, 1, '000100030006', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (76, 1, '000100040007', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (77, 1, '000100040008', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (78, 1, '000100050009', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sim_real_exam_fault` VALUES (79, 1, '000100060010', '2', '0', '0', '0', '', '', '', '', 0, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sim_seat
-- ----------------------------
DROP TABLE IF EXISTS `sim_seat`;
CREATE TABLE `sim_seat`  (
  `seat_id` bigint NOT NULL AUTO_INCREMENT COMMENT '座ID',
  `seat_num` int NOT NULL DEFAULT 0 COMMENT '座号',
  `seat_bind_ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '绑定的IP地址',
  `current_user_id` bigint NOT NULL DEFAULT 0 COMMENT '当前座上学员/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`seat_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-座表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_seat
-- ----------------------------
INSERT INTO `sim_seat` VALUES (1, 1, '192.168.1.101', 0, NULL, NULL, NULL, NULL, '座号01');
INSERT INTO `sim_seat` VALUES (2, 2, '192.168.1.102', 0, NULL, NULL, NULL, NULL, '座号02');
INSERT INTO `sim_seat` VALUES (3, 3, '192.168.1.103', 0, NULL, NULL, NULL, NULL, '座号03');
INSERT INTO `sim_seat` VALUES (4, 4, '192.168.1.104', 0, NULL, NULL, NULL, NULL, '座号04');
INSERT INTO `sim_seat` VALUES (5, 5, '192.168.1.105', 0, NULL, NULL, NULL, NULL, '座号05');
INSERT INTO `sim_seat` VALUES (6, 6, '192.168.1.106', 0, NULL, NULL, NULL, NULL, '座号06');
INSERT INTO `sim_seat` VALUES (7, 7, '192.168.1.107', 0, NULL, NULL, NULL, NULL, '座号07');
INSERT INTO `sim_seat` VALUES (8, 8, '192.168.1.108', 0, NULL, NULL, NULL, NULL, '座号08');
INSERT INTO `sim_seat` VALUES (9, 9, '192.168.1.109', 0, NULL, NULL, NULL, NULL, '座号09');
INSERT INTO `sim_seat` VALUES (10, 10, '192.168.1.110', 0, NULL, NULL, NULL, NULL, '座号10');

-- ----------------------------
-- Table structure for sim_sim
-- ----------------------------
DROP TABLE IF EXISTS `sim_sim`;
CREATE TABLE `sim_sim`  (
  `sim_id` bigint NOT NULL AUTO_INCREMENT COMMENT '模拟器ID',
  `seat_id` bigint NOT NULL COMMENT '座ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器类型',
  `sim_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '模拟器状态 0:可用初始化 1:在线 2:模拟器离线 3:网关离线 4:硬件故障异常 5:手动禁用',
  `sim_sn` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器序列号',
  `sim_num` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模拟器设备编号1~30',
  `last_sent_time` datetime NULL DEFAULT NULL COMMENT '最后一次成功发送报文时间',
  `last_received_time` datetime NULL DEFAULT NULL COMMENT '最后一次成功收到报文时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`sim_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 44 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-模拟器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_sim
-- ----------------------------
INSERT INTO `sim_sim` VALUES (41, 1, '0001', '1', '01010101', '01', '2025-01-04 11:46:11', '2025-01-04 11:46:06', NULL, '2024-12-19 17:32:47', NULL, '2025-01-04 11:46:11', NULL);
INSERT INTO `sim_sim` VALUES (42, 2, '0002', '1', '', '01', '2025-01-04 11:46:07', '2025-01-04 11:46:07', NULL, NULL, NULL, '2025-01-04 11:46:12', NULL);
INSERT INTO `sim_sim` VALUES (43, 3, '0003', '5', '03000001', '01', '2025-01-04 11:40:17', '2025-01-04 11:39:32', NULL, NULL, NULL, '2025-01-04 11:40:17', NULL);

-- ----------------------------
-- Table structure for sim_sim_last_data
-- ----------------------------
DROP TABLE IF EXISTS `sim_sim_last_data`;
CREATE TABLE `sim_sim_last_data`  (
  `ref_id` bigint NOT NULL COMMENT '关联ID',
  `sim_id` bigint NOT NULL DEFAULT 0 COMMENT '模拟器ID',
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `sim_fault_last_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最近一次成功的电阻代表值',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`ref_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-模拟器最后数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_sim_last_data
-- ----------------------------

-- ----------------------------
-- Table structure for sim_sim_msg
-- ----------------------------
DROP TABLE IF EXISTS `sim_sim_msg`;
CREATE TABLE `sim_sim_msg`  (
  `sim_msg_id` bigint NOT NULL AUTO_INCREMENT COMMENT '模拟器报文ID',
  `sim_id` bigint NOT NULL COMMENT '模拟器ID',
  `exam_fault_ref_id` bigint NOT NULL DEFAULT 0 COMMENT '关联ID',
  `exam_collection_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '考试类型\r\n1:练习\r\n2:自主练习\r\n3:考试',
  `send_msg_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '状态 0初始值 1成功 2失败',
  `priority` int NOT NULL DEFAULT 0 COMMENT '优先级',
  `send_msg_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '发送报文类型 cmd+cmdId',
  `send_msg` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '发送报文',
  `send_time` datetime NULL DEFAULT NULL COMMENT '发送时间',
  `receive_msg` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '接收报文',
  `receive_time` datetime NULL DEFAULT NULL COMMENT '接收时间',
  `retry_count` int NULL DEFAULT 0 COMMENT '重试次数',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`sim_msg_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-模拟器报文表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_sim_msg
-- ----------------------------

-- ----------------------------
-- Table structure for sim_task
-- ----------------------------
DROP TABLE IF EXISTS `sim_task`;
CREATE TABLE `sim_task`  (
  `task_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '模拟器型号',
  `task_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务类型:[1]-教师创建管理,[2]-考试临时数据',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `create_by_user_id` bigint NULL DEFAULT NULL COMMENT '创建教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`task_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 78 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-任务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_task
-- ----------------------------
INSERT INTO `sim_task` VALUES (30, '0001', '1', '我的训练第一', 1, 'admin', '2024-12-27 16:38:53', 'admin', '2024-12-27 16:38:53', NULL);
INSERT INTO `sim_task` VALUES (70, '0001', '1', 'string6666', 1, 'admin', '2024-12-28 10:16:38', 'admin', '2024-12-28 10:16:38', NULL);
INSERT INTO `sim_task` VALUES (77, '0001', '1', '55555', 1, 'admin', '2024-12-30 11:02:38', 'admin', '2024-12-30 11:02:38', NULL);

-- ----------------------------
-- Table structure for sim_task_fault
-- ----------------------------
DROP TABLE IF EXISTS `sim_task_fault`;
CREATE TABLE `sim_task_fault`  (
  `rel_id` bigint NOT NULL AUTO_INCREMENT,
  `task_id` bigint NOT NULL,
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '7' COMMENT '7:未知\r\n1:选中\r\n0:没有选中',
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`rel_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 669 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-任务故障关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sim_task_fault
-- ----------------------------
INSERT INTO `sim_task_fault` VALUES (579, 70, '000100010001', '1', '2024-12-28 10:16:38');
INSERT INTO `sim_task_fault` VALUES (580, 70, '000100010002', '0', '2024-12-28 10:16:38');
INSERT INTO `sim_task_fault` VALUES (581, 70, '000100020003', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (582, 70, '000100020004', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (583, 70, '000100030005', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (584, 70, '000100030006', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (585, 70, '000100040007', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (586, 70, '000100040008', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (587, 70, '000100050009', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (588, 70, '000100060010', '0', '2024-12-28 10:16:39');
INSERT INTO `sim_task_fault` VALUES (659, 77, '000100010001', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (660, 77, '000100010002', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (661, 77, '000100020003', '1', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (662, 77, '000100020004', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (663, 77, '000100030005', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (664, 77, '000100030006', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (665, 77, '000100040007', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (666, 77, '000100040008', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (667, 77, '000100050009', '0', '2024-12-30 11:02:38');
INSERT INTO `sim_task_fault` VALUES (668, 77, '000100060010', '1', '2024-12-30 11:02:39');

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-12-06 11:22:07', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-12-06 11:22:07', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-12-06 11:22:07', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-12-06 11:22:07', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-12-06 11:22:07', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-12-06 11:22:07', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 130 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '专科', 1, '', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-20 13:41:24');
INSERT INTO `sys_dept` VALUES (110, 100, '0,100', '计算机', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-09 21:46:32', '', NULL);
INSERT INTO `sys_dept` VALUES (111, 100, '0,100', '生物与化工', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-09 21:51:23', '', NULL);
INSERT INTO `sys_dept` VALUES (112, 100, '0,100', '新闻传播', 3, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-11 04:59:43', '', NULL);
INSERT INTO `sys_dept` VALUES (113, 100, '0,100', '人文和社会科学', 4, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-11 04:59:53', '', NULL);
INSERT INTO `sys_dept` VALUES (114, 0, '', '本科', 2, NULL, NULL, NULL, '0', '0', '', NULL, 'admin', '2024-12-20 13:41:28');
INSERT INTO `sys_dept` VALUES (115, 0, '', '硕士', 3, NULL, NULL, NULL, '0', '0', '', NULL, 'admin', '2024-12-20 13:41:39');
INSERT INTO `sys_dept` VALUES (116, 0, '', '博士', 4, NULL, NULL, NULL, '0', '0', '', NULL, 'admin', '2024-12-20 13:41:44');
INSERT INTO `sys_dept` VALUES (117, 114, ',114', '法学', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:37:51', '', NULL);
INSERT INTO `sys_dept` VALUES (118, 110, '0,100,110', '2023级', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:38:07', 'admin', '2024-12-20 13:38:25');
INSERT INTO `sys_dept` VALUES (119, 110, '0,100,110', '2022级', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:38:21', '', NULL);
INSERT INTO `sys_dept` VALUES (120, 110, '0,100,110', '2024级', 3, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:38:34', '', NULL);
INSERT INTO `sys_dept` VALUES (121, 120, '0,100,110,120', '01队', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:39:17', '', NULL);
INSERT INTO `sys_dept` VALUES (122, 120, '0,100,110,120', '02队', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:39:29', '', NULL);
INSERT INTO `sys_dept` VALUES (123, 120, '0,100,110,120', '03队', 3, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:39:38', '', NULL);
INSERT INTO `sys_dept` VALUES (124, 121, '0,100,110,120,121', '011区队', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:39:57', '', NULL);
INSERT INTO `sys_dept` VALUES (125, 121, '0,100,110,120,121', '012区队', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:40:05', '', NULL);
INSERT INTO `sys_dept` VALUES (126, 122, '0,100,110,120,122', '021区队', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:42:25', '', NULL);
INSERT INTO `sys_dept` VALUES (127, 122, '0,100,110,120,122', '022区队', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:42:48', '', NULL);
INSERT INTO `sys_dept` VALUES (128, 114, ',114', '哲学', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-20 13:43:03', '', NULL);
INSERT INTO `sys_dept` VALUES (129, 114, ',114', '法学2', 3, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-27 12:17:29', 'admin', '2024-12-27 12:18:40');

-- ----------------------------
-- Table structure for sys_dept_copy1
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept_copy1`;
CREATE TABLE `sys_dept_copy1`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 114 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept_copy1
-- ----------------------------
INSERT INTO `sys_dept_copy1` VALUES (100, 0, '0', '维修模拟训练平台', 0, '', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-09 20:21:48');
INSERT INTO `sys_dept_copy1` VALUES (110, 100, '0,100', '2008级1班', 1, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-09 21:46:32', '', NULL);
INSERT INTO `sys_dept_copy1` VALUES (111, 100, '0,100', '2008级2班', 2, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-09 21:51:23', '', NULL);
INSERT INTO `sys_dept_copy1` VALUES (112, 100, '0,100', '2010级1班', 3, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-11 04:59:43', '', NULL);
INSERT INTO `sys_dept_copy1` VALUES (113, 100, '0,100', '2010级2班', 4, NULL, NULL, NULL, '0', '0', 'admin', '2024-12-11 04:59:53', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 45 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (30, 1, 'FZD04B型侦毒器', '0001', 'sim_sim_type', NULL, 'default', 'N', '0', 'admin', '2024-12-09 09:50:17', 'admin', '2024-12-12 10:26:08', NULL);
INSERT INTO `sys_dict_data` VALUES (31, 2, 'FZB006型毒剂报警器', '0002', 'sim_sim_type', NULL, 'default', 'N', '0', 'admin', '2024-12-09 09:50:26', 'admin', '2024-12-12 10:26:18', NULL);
INSERT INTO `sys_dict_data` VALUES (32, 3, '防化兵用毒剂报警器', '0003', 'sim_sim_type', NULL, 'default', 'N', '0', 'admin', '2024-12-09 09:50:39', 'admin', '2024-12-12 10:27:03', NULL);
INSERT INTO `sys_dict_data` VALUES (33, 1, '系统随机', '1', 'sim_question_setting_method', NULL, 'default', 'N', '0', 'admin', '2024-12-10 01:57:03', 'admin', '2024-12-12 22:25:56', NULL);
INSERT INTO `sys_dict_data` VALUES (34, 2, '教师自选', '2', 'sim_question_setting_method', NULL, 'default', 'N', '0', 'admin', '2024-12-10 01:57:10', 'admin', '2024-12-12 22:26:08', NULL);
INSERT INTO `sys_dict_data` VALUES (35, 3, '任务自选', '3', 'sim_question_setting_method', NULL, 'default', 'N', '0', 'admin', '2024-12-12 22:26:39', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (36, 0, '初始化', '0', 'sim_sim_state', NULL, 'default', 'N', '0', 'admin', '2024-12-24 11:37:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (37, 1, '在线', '1', 'sim_sim_state', NULL, 'default', 'N', '0', 'admin', '2024-12-24 11:38:14', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (38, 2, '离线', '2', 'sim_sim_state', NULL, 'default', 'N', '0', 'admin', '2024-12-24 11:38:34', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (39, 3, '网关离线', '3', 'sim_sim_state', NULL, 'default', 'N', '0', 'admin', '2024-12-24 11:38:49', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (40, 4, '硬件异常', '4', 'sim_sim_state', NULL, 'default', 'N', '0', 'admin', '2024-12-24 11:39:09', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (41, 5, '手动禁用', '5', 'sim_sim_state', NULL, 'default', 'N', '0', 'admin', '2024-12-24 11:39:24', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (42, 0, '初始化', '0', 'sim_repair', NULL, 'default', 'N', '0', 'admin', '2024-12-24 16:57:48', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (43, 1, '排除', '1', 'sim_repair', NULL, 'default', 'N', '0', 'admin', '2024-12-24 16:58:10', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (44, 2, '未排除', '2', 'sim_repair', NULL, 'default', 'N', '0', 'admin', '2024-12-24 16:58:30', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 15 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (11, 'sim-模拟器型号', 'sim_sim_type', '0', 'admin', '2024-12-09 09:49:57', 'admin', '2024-12-24 11:35:48', '模拟器型号');
INSERT INTO `sys_dict_type` VALUES (12, 'sim-出题方式', 'sim_question_setting_method', '0', 'admin', '2024-12-10 01:54:56', 'admin', '2024-12-12 22:24:34', '出题方式');
INSERT INTO `sys_dict_type` VALUES (13, 'sim-模拟器状态', 'sim_sim_state', '0', 'admin', '2024-12-24 11:36:28', '', NULL, '模拟器状态');
INSERT INTO `sys_dict_type` VALUES (14, 'sim-维修情况', 'sim_repair', '0', 'admin', '2024-12-24 16:56:08', 'admin', '2024-12-24 16:56:15', '维修情况');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_job` VALUES (4, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', '0/5 * * * * ?', '1', '1', '1', 'admin', '2024-12-23 20:27:04', 'admin', '2025-01-03 22:46:10', '');
INSERT INTO `sys_job` VALUES (5, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', '* 0/1 * * * ?', '1', '1', '1', 'admin', '2024-12-23 21:48:48', 'admin', '2025-01-07 07:13:44', '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 78766 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------
INSERT INTO `sys_job_log` VALUES (1, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：8毫秒', '0', '', '2024-12-23 20:27:45');
INSERT INTO `sys_job_log` VALUES (2, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:27:50');
INSERT INTO `sys_job_log` VALUES (3, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:27:55');
INSERT INTO `sys_job_log` VALUES (4, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:28:00');
INSERT INTO `sys_job_log` VALUES (5, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:05');
INSERT INTO `sys_job_log` VALUES (6, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:10');
INSERT INTO `sys_job_log` VALUES (7, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:28:15');
INSERT INTO `sys_job_log` VALUES (8, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:28:20');
INSERT INTO `sys_job_log` VALUES (9, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:25');
INSERT INTO `sys_job_log` VALUES (10, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:28:30');
INSERT INTO `sys_job_log` VALUES (11, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:35');
INSERT INTO `sys_job_log` VALUES (12, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:28:40');
INSERT INTO `sys_job_log` VALUES (13, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:45');
INSERT INTO `sys_job_log` VALUES (14, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:50');
INSERT INTO `sys_job_log` VALUES (15, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:28:55');
INSERT INTO `sys_job_log` VALUES (16, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:00');
INSERT INTO `sys_job_log` VALUES (17, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:05');
INSERT INTO `sys_job_log` VALUES (18, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:10');
INSERT INTO `sys_job_log` VALUES (19, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:15');
INSERT INTO `sys_job_log` VALUES (20, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:20');
INSERT INTO `sys_job_log` VALUES (21, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:25');
INSERT INTO `sys_job_log` VALUES (22, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:30');
INSERT INTO `sys_job_log` VALUES (23, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:35');
INSERT INTO `sys_job_log` VALUES (24, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:40');
INSERT INTO `sys_job_log` VALUES (25, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:45');
INSERT INTO `sys_job_log` VALUES (26, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:50');
INSERT INTO `sys_job_log` VALUES (27, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:29:55');
INSERT INTO `sys_job_log` VALUES (28, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:30:00');
INSERT INTO `sys_job_log` VALUES (29, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:05');
INSERT INTO `sys_job_log` VALUES (30, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:10');
INSERT INTO `sys_job_log` VALUES (31, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:15');
INSERT INTO `sys_job_log` VALUES (32, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:20');
INSERT INTO `sys_job_log` VALUES (33, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:25');
INSERT INTO `sys_job_log` VALUES (34, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:30');
INSERT INTO `sys_job_log` VALUES (35, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:35');
INSERT INTO `sys_job_log` VALUES (36, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:40');
INSERT INTO `sys_job_log` VALUES (37, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:45');
INSERT INTO `sys_job_log` VALUES (38, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:30:50');
INSERT INTO `sys_job_log` VALUES (39, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：1毫秒', '0', '', '2024-12-23 20:30:55');
INSERT INTO `sys_job_log` VALUES (40, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:00');
INSERT INTO `sys_job_log` VALUES (41, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:05');
INSERT INTO `sys_job_log` VALUES (42, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:10');
INSERT INTO `sys_job_log` VALUES (43, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:15');
INSERT INTO `sys_job_log` VALUES (44, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:20');
INSERT INTO `sys_job_log` VALUES (45, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:25');
INSERT INTO `sys_job_log` VALUES (46, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:30');
INSERT INTO `sys_job_log` VALUES (47, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:35');
INSERT INTO `sys_job_log` VALUES (48, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest1()', '模拟器连接状态轮询 总共耗时：0毫秒', '0', '', '2024-12-23 20:31:40');
INSERT INTO `sys_job_log` VALUES (49, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42149毫秒', '0', '', '2024-12-23 20:34:42');
INSERT INTO `sys_job_log` VALUES (50, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42114毫秒', '0', '', '2024-12-23 20:35:24');
INSERT INTO `sys_job_log` VALUES (51, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42128毫秒', '0', '', '2024-12-23 20:36:06');
INSERT INTO `sys_job_log` VALUES (52, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42118毫秒', '0', '', '2024-12-23 20:36:49');
INSERT INTO `sys_job_log` VALUES (53, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42116毫秒', '0', '', '2024-12-23 20:37:31');
INSERT INTO `sys_job_log` VALUES (54, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42121毫秒', '0', '', '2024-12-23 20:38:13');
INSERT INTO `sys_job_log` VALUES (55, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42156毫秒', '0', '', '2024-12-23 20:38:55');
INSERT INTO `sys_job_log` VALUES (56, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42217毫秒', '0', '', '2024-12-23 20:39:37');
INSERT INTO `sys_job_log` VALUES (57, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42117毫秒', '0', '', '2024-12-23 20:40:19');
INSERT INTO `sys_job_log` VALUES (58, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42142毫秒', '0', '', '2024-12-23 20:41:02');
INSERT INTO `sys_job_log` VALUES (59, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42126毫秒', '0', '', '2024-12-23 20:41:44');
INSERT INTO `sys_job_log` VALUES (60, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42095毫秒', '0', '', '2024-12-23 20:42:26');
INSERT INTO `sys_job_log` VALUES (61, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42132毫秒', '0', '', '2024-12-23 20:43:08');
INSERT INTO `sys_job_log` VALUES (62, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42111毫秒', '0', '', '2024-12-23 20:43:50');
INSERT INTO `sys_job_log` VALUES (63, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42117毫秒', '0', '', '2024-12-23 20:44:32');
INSERT INTO `sys_job_log` VALUES (64, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42124毫秒', '0', '', '2024-12-23 20:45:14');
INSERT INTO `sys_job_log` VALUES (65, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42131毫秒', '0', '', '2024-12-23 20:45:56');
INSERT INTO `sys_job_log` VALUES (66, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42136毫秒', '0', '', '2024-12-23 20:46:39');
INSERT INTO `sys_job_log` VALUES (67, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42094毫秒', '0', '', '2024-12-23 20:47:21');
INSERT INTO `sys_job_log` VALUES (68, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42130毫秒', '0', '', '2024-12-23 20:48:03');
INSERT INTO `sys_job_log` VALUES (69, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42129毫秒', '0', '', '2024-12-23 20:48:45');
INSERT INTO `sys_job_log` VALUES (70, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42122毫秒', '0', '', '2024-12-23 20:49:27');
INSERT INTO `sys_job_log` VALUES (71, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42136毫秒', '0', '', '2024-12-23 20:50:09');
INSERT INTO `sys_job_log` VALUES (72, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42109毫秒', '0', '', '2024-12-23 20:50:51');
INSERT INTO `sys_job_log` VALUES (73, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42129毫秒', '0', '', '2024-12-23 20:51:34');
INSERT INTO `sys_job_log` VALUES (74, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42133毫秒', '0', '', '2024-12-23 20:52:16');
INSERT INTO `sys_job_log` VALUES (75, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42092毫秒', '0', '', '2024-12-23 20:52:58');
INSERT INTO `sys_job_log` VALUES (76, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42140毫秒', '0', '', '2024-12-23 20:53:40');
INSERT INTO `sys_job_log` VALUES (77, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42125毫秒', '0', '', '2024-12-23 20:54:22');
INSERT INTO `sys_job_log` VALUES (78, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42141毫秒', '0', '', '2024-12-23 20:55:04');
INSERT INTO `sys_job_log` VALUES (79, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42119毫秒', '0', '', '2024-12-23 20:55:46');
INSERT INTO `sys_job_log` VALUES (80, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42129毫秒', '0', '', '2024-12-23 20:56:29');
INSERT INTO `sys_job_log` VALUES (81, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42139毫秒', '0', '', '2024-12-23 20:57:11');
INSERT INTO `sys_job_log` VALUES (82, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42128毫秒', '0', '', '2024-12-23 20:57:53');
INSERT INTO `sys_job_log` VALUES (83, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42142毫秒', '0', '', '2024-12-23 20:58:35');
INSERT INTO `sys_job_log` VALUES (84, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42121毫秒', '0', '', '2024-12-23 20:59:17');
INSERT INTO `sys_job_log` VALUES (85, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42101毫秒', '0', '', '2024-12-23 20:59:59');
INSERT INTO `sys_job_log` VALUES (86, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42108毫秒', '0', '', '2024-12-23 21:00:41');
INSERT INTO `sys_job_log` VALUES (87, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42100毫秒', '0', '', '2024-12-23 21:01:24');
INSERT INTO `sys_job_log` VALUES (88, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42128毫秒', '0', '', '2024-12-23 21:02:06');
INSERT INTO `sys_job_log` VALUES (89, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42154毫秒', '0', '', '2024-12-23 21:02:48');
INSERT INTO `sys_job_log` VALUES (90, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42106毫秒', '0', '', '2024-12-23 21:03:30');
INSERT INTO `sys_job_log` VALUES (91, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42126毫秒', '0', '', '2024-12-23 21:04:12');
INSERT INTO `sys_job_log` VALUES (92, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42213毫秒', '0', '', '2024-12-23 21:04:54');
INSERT INTO `sys_job_log` VALUES (93, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42121毫秒', '0', '', '2024-12-23 21:05:37');
INSERT INTO `sys_job_log` VALUES (94, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42122毫秒', '0', '', '2024-12-23 21:06:19');
INSERT INTO `sys_job_log` VALUES (95, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42089毫秒', '0', '', '2024-12-23 21:07:01');
INSERT INTO `sys_job_log` VALUES (96, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42159毫秒', '0', '', '2024-12-23 21:07:43');
INSERT INTO `sys_job_log` VALUES (97, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42116毫秒', '0', '', '2024-12-23 21:08:25');
INSERT INTO `sys_job_log` VALUES (98, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42120毫秒', '0', '', '2024-12-23 21:09:07');
INSERT INTO `sys_job_log` VALUES (99, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42103毫秒', '0', '', '2024-12-23 21:09:49');
INSERT INTO `sys_job_log` VALUES (100, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42129毫秒', '0', '', '2024-12-23 21:10:31');
INSERT INTO `sys_job_log` VALUES (101, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42128毫秒', '0', '', '2024-12-23 21:11:14');
INSERT INTO `sys_job_log` VALUES (102, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42100毫秒', '0', '', '2024-12-23 21:11:56');
INSERT INTO `sys_job_log` VALUES (103, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42093毫秒', '0', '', '2024-12-23 21:12:38');
INSERT INTO `sys_job_log` VALUES (104, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42101毫秒', '0', '', '2024-12-23 21:13:20');
INSERT INTO `sys_job_log` VALUES (105, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42131毫秒', '0', '', '2024-12-23 21:15:57');
INSERT INTO `sys_job_log` VALUES (106, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42143毫秒', '0', '', '2024-12-23 21:16:39');
INSERT INTO `sys_job_log` VALUES (107, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42141毫秒', '0', '', '2024-12-23 21:17:22');
INSERT INTO `sys_job_log` VALUES (108, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42147毫秒', '0', '', '2024-12-23 21:19:57');
INSERT INTO `sys_job_log` VALUES (109, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：42121毫秒', '0', '', '2024-12-23 21:20:39');
INSERT INTO `sys_job_log` VALUES (110, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21080毫秒', '0', '', '2024-12-23 21:22:51');
INSERT INTO `sys_job_log` VALUES (111, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21074毫秒', '0', '', '2024-12-23 21:23:12');
INSERT INTO `sys_job_log` VALUES (112, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21073毫秒', '0', '', '2024-12-23 21:23:33');
INSERT INTO `sys_job_log` VALUES (113, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21082毫秒', '0', '', '2024-12-23 21:35:06');
INSERT INTO `sys_job_log` VALUES (114, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21075毫秒', '0', '', '2024-12-23 21:35:27');
INSERT INTO `sys_job_log` VALUES (115, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21081毫秒', '0', '', '2024-12-23 21:36:08');
INSERT INTO `sys_job_log` VALUES (116, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21071毫秒', '0', '', '2024-12-23 21:36:29');
INSERT INTO `sys_job_log` VALUES (117, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21107毫秒', '0', '', '2024-12-23 21:37:06');
INSERT INTO `sys_job_log` VALUES (118, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21087毫秒', '0', '', '2024-12-23 21:37:27');
INSERT INTO `sys_job_log` VALUES (119, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21076毫秒', '0', '', '2024-12-23 21:37:48');
INSERT INTO `sys_job_log` VALUES (120, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21100毫秒', '0', '', '2024-12-23 21:38:10');
INSERT INTO `sys_job_log` VALUES (121, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21888毫秒', '0', '', '2024-12-23 21:40:22');
INSERT INTO `sys_job_log` VALUES (122, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21859毫秒', '0', '', '2024-12-23 21:40:44');
INSERT INTO `sys_job_log` VALUES (123, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21991毫秒', '0', '', '2024-12-23 21:41:06');
INSERT INTO `sys_job_log` VALUES (124, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21952毫秒', '0', '', '2024-12-23 21:41:28');
INSERT INTO `sys_job_log` VALUES (125, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21961毫秒', '0', '', '2024-12-23 21:41:50');
INSERT INTO `sys_job_log` VALUES (126, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21866毫秒', '0', '', '2024-12-23 21:42:37');
INSERT INTO `sys_job_log` VALUES (127, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21903毫秒', '0', '', '2024-12-23 21:42:59');
INSERT INTO `sys_job_log` VALUES (128, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21987毫秒', '0', '', '2024-12-23 21:43:21');
INSERT INTO `sys_job_log` VALUES (129, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21951毫秒', '0', '', '2024-12-23 21:43:43');
INSERT INTO `sys_job_log` VALUES (130, '模拟器连接状态轮询', 'DEFAULT', 'commSendService.scheduledTest2()', '模拟器连接状态轮询 总共耗时：21754毫秒', '0', '', '2024-12-23 21:44:22');
INSERT INTO `sys_job_log` VALUES (131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-23 21:49:15');
INSERT INTO `sys_job_log` VALUES (132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-23 21:49:20');
INSERT INTO `sys_job_log` VALUES (133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:49:25');
INSERT INTO `sys_job_log` VALUES (134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:49:30');
INSERT INTO `sys_job_log` VALUES (135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:49:35');
INSERT INTO `sys_job_log` VALUES (136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21899毫秒', '0', '', '2024-12-23 21:49:37');
INSERT INTO `sys_job_log` VALUES (137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:49:40');
INSERT INTO `sys_job_log` VALUES (138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:49:45');
INSERT INTO `sys_job_log` VALUES (139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:49:50');
INSERT INTO `sys_job_log` VALUES (140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:49:55');
INSERT INTO `sys_job_log` VALUES (141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21935毫秒', '0', '', '2024-12-23 21:49:59');
INSERT INTO `sys_job_log` VALUES (142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:50:00');
INSERT INTO `sys_job_log` VALUES (143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-23 21:52:05');
INSERT INTO `sys_job_log` VALUES (144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:52:10');
INSERT INTO `sys_job_log` VALUES (145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:52:15');
INSERT INTO `sys_job_log` VALUES (146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:52:20');
INSERT INTO `sys_job_log` VALUES (147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:52:25');
INSERT INTO `sys_job_log` VALUES (148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:52:30');
INSERT INTO `sys_job_log` VALUES (149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:52:35');
INSERT INTO `sys_job_log` VALUES (150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21862毫秒', '0', '', '2024-12-23 21:52:37');
INSERT INTO `sys_job_log` VALUES (151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:52:40');
INSERT INTO `sys_job_log` VALUES (152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:52:45');
INSERT INTO `sys_job_log` VALUES (153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:52:50');
INSERT INTO `sys_job_log` VALUES (154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:52:55');
INSERT INTO `sys_job_log` VALUES (155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-23 21:53:10');
INSERT INTO `sys_job_log` VALUES (156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:15');
INSERT INTO `sys_job_log` VALUES (157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:20');
INSERT INTO `sys_job_log` VALUES (158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:53:25');
INSERT INTO `sys_job_log` VALUES (159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:30');
INSERT INTO `sys_job_log` VALUES (160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:35');
INSERT INTO `sys_job_log` VALUES (161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21839毫秒', '0', '', '2024-12-23 21:53:37');
INSERT INTO `sys_job_log` VALUES (162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:40');
INSERT INTO `sys_job_log` VALUES (163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:45');
INSERT INTO `sys_job_log` VALUES (164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:50');
INSERT INTO `sys_job_log` VALUES (165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:53:55');
INSERT INTO `sys_job_log` VALUES (166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-23 21:53:59');
INSERT INTO `sys_job_log` VALUES (167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:00');
INSERT INTO `sys_job_log` VALUES (168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:05');
INSERT INTO `sys_job_log` VALUES (169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:10');
INSERT INTO `sys_job_log` VALUES (170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:15');
INSERT INTO `sys_job_log` VALUES (171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:20');
INSERT INTO `sys_job_log` VALUES (172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-23 21:54:21');
INSERT INTO `sys_job_log` VALUES (173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:54:25');
INSERT INTO `sys_job_log` VALUES (174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:30');
INSERT INTO `sys_job_log` VALUES (175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:35');
INSERT INTO `sys_job_log` VALUES (176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:40');
INSERT INTO `sys_job_log` VALUES (177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-23 21:54:43');
INSERT INTO `sys_job_log` VALUES (178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:54:45');
INSERT INTO `sys_job_log` VALUES (179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:50');
INSERT INTO `sys_job_log` VALUES (180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:54:55');
INSERT INTO `sys_job_log` VALUES (181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:00');
INSERT INTO `sys_job_log` VALUES (182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-23 21:55:05');
INSERT INTO `sys_job_log` VALUES (183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:05');
INSERT INTO `sys_job_log` VALUES (184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:10');
INSERT INTO `sys_job_log` VALUES (185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:15');
INSERT INTO `sys_job_log` VALUES (186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:20');
INSERT INTO `sys_job_log` VALUES (187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:25');
INSERT INTO `sys_job_log` VALUES (188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-23 21:55:27');
INSERT INTO `sys_job_log` VALUES (189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:30');
INSERT INTO `sys_job_log` VALUES (190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:35');
INSERT INTO `sys_job_log` VALUES (191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:40');
INSERT INTO `sys_job_log` VALUES (192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:55:45');
INSERT INTO `sys_job_log` VALUES (193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-23 21:55:49');
INSERT INTO `sys_job_log` VALUES (194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:55:50');
INSERT INTO `sys_job_log` VALUES (195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:55:55');
INSERT INTO `sys_job_log` VALUES (196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:00');
INSERT INTO `sys_job_log` VALUES (197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:56:05');
INSERT INTO `sys_job_log` VALUES (198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:10');
INSERT INTO `sys_job_log` VALUES (199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 21:56:11');
INSERT INTO `sys_job_log` VALUES (200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:15');
INSERT INTO `sys_job_log` VALUES (201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:20');
INSERT INTO `sys_job_log` VALUES (202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:25');
INSERT INTO `sys_job_log` VALUES (203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:30');
INSERT INTO `sys_job_log` VALUES (204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-23 21:56:33');
INSERT INTO `sys_job_log` VALUES (205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:35');
INSERT INTO `sys_job_log` VALUES (206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:40');
INSERT INTO `sys_job_log` VALUES (207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:45');
INSERT INTO `sys_job_log` VALUES (208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:50');
INSERT INTO `sys_job_log` VALUES (209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-23 21:56:55');
INSERT INTO `sys_job_log` VALUES (210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:56:55');
INSERT INTO `sys_job_log` VALUES (211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:00');
INSERT INTO `sys_job_log` VALUES (212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:05');
INSERT INTO `sys_job_log` VALUES (213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:10');
INSERT INTO `sys_job_log` VALUES (214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:57:15');
INSERT INTO `sys_job_log` VALUES (215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-23 21:57:17');
INSERT INTO `sys_job_log` VALUES (216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:20');
INSERT INTO `sys_job_log` VALUES (217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:25');
INSERT INTO `sys_job_log` VALUES (218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:57:30');
INSERT INTO `sys_job_log` VALUES (219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:35');
INSERT INTO `sys_job_log` VALUES (220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-23 21:57:39');
INSERT INTO `sys_job_log` VALUES (221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:40');
INSERT INTO `sys_job_log` VALUES (222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:45');
INSERT INTO `sys_job_log` VALUES (223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:50');
INSERT INTO `sys_job_log` VALUES (224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:57:55');
INSERT INTO `sys_job_log` VALUES (225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:00');
INSERT INTO `sys_job_log` VALUES (226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-23 21:58:01');
INSERT INTO `sys_job_log` VALUES (227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:05');
INSERT INTO `sys_job_log` VALUES (228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:10');
INSERT INTO `sys_job_log` VALUES (229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:15');
INSERT INTO `sys_job_log` VALUES (230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:20');
INSERT INTO `sys_job_log` VALUES (231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22030毫秒', '0', '', '2024-12-23 21:58:23');
INSERT INTO `sys_job_log` VALUES (232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:25');
INSERT INTO `sys_job_log` VALUES (233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:30');
INSERT INTO `sys_job_log` VALUES (234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:35');
INSERT INTO `sys_job_log` VALUES (235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:40');
INSERT INTO `sys_job_log` VALUES (236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-23 21:58:45');
INSERT INTO `sys_job_log` VALUES (237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:45');
INSERT INTO `sys_job_log` VALUES (238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:58:50');
INSERT INTO `sys_job_log` VALUES (239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:58:55');
INSERT INTO `sys_job_log` VALUES (240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:00');
INSERT INTO `sys_job_log` VALUES (241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:05');
INSERT INTO `sys_job_log` VALUES (242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-23 21:59:07');
INSERT INTO `sys_job_log` VALUES (243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:10');
INSERT INTO `sys_job_log` VALUES (244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:15');
INSERT INTO `sys_job_log` VALUES (245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:20');
INSERT INTO `sys_job_log` VALUES (246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:25');
INSERT INTO `sys_job_log` VALUES (247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-23 21:59:29');
INSERT INTO `sys_job_log` VALUES (248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:30');
INSERT INTO `sys_job_log` VALUES (249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:35');
INSERT INTO `sys_job_log` VALUES (250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:59:40');
INSERT INTO `sys_job_log` VALUES (251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:45');
INSERT INTO `sys_job_log` VALUES (252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 21:59:50');
INSERT INTO `sys_job_log` VALUES (253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-23 21:59:51');
INSERT INTO `sys_job_log` VALUES (254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 21:59:55');
INSERT INTO `sys_job_log` VALUES (255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:00');
INSERT INTO `sys_job_log` VALUES (256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:05');
INSERT INTO `sys_job_log` VALUES (257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:10');
INSERT INTO `sys_job_log` VALUES (258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-23 22:00:13');
INSERT INTO `sys_job_log` VALUES (259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:15');
INSERT INTO `sys_job_log` VALUES (260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:20');
INSERT INTO `sys_job_log` VALUES (261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:25');
INSERT INTO `sys_job_log` VALUES (262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:30');
INSERT INTO `sys_job_log` VALUES (263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-23 22:00:35');
INSERT INTO `sys_job_log` VALUES (264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:35');
INSERT INTO `sys_job_log` VALUES (265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:40');
INSERT INTO `sys_job_log` VALUES (266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:45');
INSERT INTO `sys_job_log` VALUES (267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:50');
INSERT INTO `sys_job_log` VALUES (268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:00:55');
INSERT INTO `sys_job_log` VALUES (269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-23 22:00:57');
INSERT INTO `sys_job_log` VALUES (270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:00');
INSERT INTO `sys_job_log` VALUES (271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:05');
INSERT INTO `sys_job_log` VALUES (272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:10');
INSERT INTO `sys_job_log` VALUES (273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-23 22:01:15');
INSERT INTO `sys_job_log` VALUES (274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-23 22:01:21');
INSERT INTO `sys_job_log` VALUES (275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:25');
INSERT INTO `sys_job_log` VALUES (276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:30');
INSERT INTO `sys_job_log` VALUES (277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:35');
INSERT INTO `sys_job_log` VALUES (278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:40');
INSERT INTO `sys_job_log` VALUES (279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:45');
INSERT INTO `sys_job_log` VALUES (280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:50');
INSERT INTO `sys_job_log` VALUES (281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21831毫秒', '0', '', '2024-12-23 22:01:52');
INSERT INTO `sys_job_log` VALUES (282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:01:55');
INSERT INTO `sys_job_log` VALUES (283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:00');
INSERT INTO `sys_job_log` VALUES (284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:05');
INSERT INTO `sys_job_log` VALUES (285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:10');
INSERT INTO `sys_job_log` VALUES (286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-23 22:02:14');
INSERT INTO `sys_job_log` VALUES (287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:15');
INSERT INTO `sys_job_log` VALUES (288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:20');
INSERT INTO `sys_job_log` VALUES (289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:25');
INSERT INTO `sys_job_log` VALUES (290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:30');
INSERT INTO `sys_job_log` VALUES (291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:02:35');
INSERT INTO `sys_job_log` VALUES (292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-23 22:02:36');
INSERT INTO `sys_job_log` VALUES (293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:40');
INSERT INTO `sys_job_log` VALUES (294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:45');
INSERT INTO `sys_job_log` VALUES (295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:50');
INSERT INTO `sys_job_log` VALUES (296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:02:55');
INSERT INTO `sys_job_log` VALUES (297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 22:02:58');
INSERT INTO `sys_job_log` VALUES (298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:00');
INSERT INTO `sys_job_log` VALUES (299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:05');
INSERT INTO `sys_job_log` VALUES (300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:10');
INSERT INTO `sys_job_log` VALUES (301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:15');
INSERT INTO `sys_job_log` VALUES (302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-23 22:03:20');
INSERT INTO `sys_job_log` VALUES (303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:20');
INSERT INTO `sys_job_log` VALUES (304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:25');
INSERT INTO `sys_job_log` VALUES (305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:30');
INSERT INTO `sys_job_log` VALUES (306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:35');
INSERT INTO `sys_job_log` VALUES (307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:40');
INSERT INTO `sys_job_log` VALUES (308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22038毫秒', '0', '', '2024-12-23 22:03:42');
INSERT INTO `sys_job_log` VALUES (309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:45');
INSERT INTO `sys_job_log` VALUES (310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:50');
INSERT INTO `sys_job_log` VALUES (311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:03:55');
INSERT INTO `sys_job_log` VALUES (312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:00');
INSERT INTO `sys_job_log` VALUES (313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-23 22:04:04');
INSERT INTO `sys_job_log` VALUES (314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:05');
INSERT INTO `sys_job_log` VALUES (315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:04:10');
INSERT INTO `sys_job_log` VALUES (316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:04:15');
INSERT INTO `sys_job_log` VALUES (317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:20');
INSERT INTO `sys_job_log` VALUES (318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:25');
INSERT INTO `sys_job_log` VALUES (319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-23 22:04:26');
INSERT INTO `sys_job_log` VALUES (320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:30');
INSERT INTO `sys_job_log` VALUES (321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:35');
INSERT INTO `sys_job_log` VALUES (322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:40');
INSERT INTO `sys_job_log` VALUES (323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:45');
INSERT INTO `sys_job_log` VALUES (324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22056毫秒', '0', '', '2024-12-23 22:04:48');
INSERT INTO `sys_job_log` VALUES (325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:04:50');
INSERT INTO `sys_job_log` VALUES (326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:04:55');
INSERT INTO `sys_job_log` VALUES (327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:05:00');
INSERT INTO `sys_job_log` VALUES (328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:05');
INSERT INTO `sys_job_log` VALUES (329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21927毫秒', '0', '', '2024-12-23 22:05:10');
INSERT INTO `sys_job_log` VALUES (330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:10');
INSERT INTO `sys_job_log` VALUES (331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-23 22:05:15');
INSERT INTO `sys_job_log` VALUES (332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:20');
INSERT INTO `sys_job_log` VALUES (333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:05:25');
INSERT INTO `sys_job_log` VALUES (334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:30');
INSERT INTO `sys_job_log` VALUES (335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-23 22:05:32');
INSERT INTO `sys_job_log` VALUES (336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:35');
INSERT INTO `sys_job_log` VALUES (337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:40');
INSERT INTO `sys_job_log` VALUES (338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:45');
INSERT INTO `sys_job_log` VALUES (339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:50');
INSERT INTO `sys_job_log` VALUES (340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-23 22:05:54');
INSERT INTO `sys_job_log` VALUES (341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:05:55');
INSERT INTO `sys_job_log` VALUES (342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:00');
INSERT INTO `sys_job_log` VALUES (343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:06:05');
INSERT INTO `sys_job_log` VALUES (344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:10');
INSERT INTO `sys_job_log` VALUES (345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:15');
INSERT INTO `sys_job_log` VALUES (346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-23 22:06:16');
INSERT INTO `sys_job_log` VALUES (347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:20');
INSERT INTO `sys_job_log` VALUES (348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:25');
INSERT INTO `sys_job_log` VALUES (349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:30');
INSERT INTO `sys_job_log` VALUES (350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:35');
INSERT INTO `sys_job_log` VALUES (351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-23 22:06:38');
INSERT INTO `sys_job_log` VALUES (352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:40');
INSERT INTO `sys_job_log` VALUES (353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:45');
INSERT INTO `sys_job_log` VALUES (354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:50');
INSERT INTO `sys_job_log` VALUES (355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:06:55');
INSERT INTO `sys_job_log` VALUES (356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 22:07:00');
INSERT INTO `sys_job_log` VALUES (357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:00');
INSERT INTO `sys_job_log` VALUES (358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:07:05');
INSERT INTO `sys_job_log` VALUES (359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:10');
INSERT INTO `sys_job_log` VALUES (360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:15');
INSERT INTO `sys_job_log` VALUES (361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:20');
INSERT INTO `sys_job_log` VALUES (362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21940毫秒', '0', '', '2024-12-23 22:07:22');
INSERT INTO `sys_job_log` VALUES (363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:25');
INSERT INTO `sys_job_log` VALUES (364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:30');
INSERT INTO `sys_job_log` VALUES (365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:35');
INSERT INTO `sys_job_log` VALUES (366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:40');
INSERT INTO `sys_job_log` VALUES (367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22049毫秒', '0', '', '2024-12-23 22:07:44');
INSERT INTO `sys_job_log` VALUES (368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:45');
INSERT INTO `sys_job_log` VALUES (369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:50');
INSERT INTO `sys_job_log` VALUES (370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:07:55');
INSERT INTO `sys_job_log` VALUES (371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:00');
INSERT INTO `sys_job_log` VALUES (372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:05');
INSERT INTO `sys_job_log` VALUES (373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-23 22:08:06');
INSERT INTO `sys_job_log` VALUES (374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:10');
INSERT INTO `sys_job_log` VALUES (375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:15');
INSERT INTO `sys_job_log` VALUES (376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:08:20');
INSERT INTO `sys_job_log` VALUES (377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:08:25');
INSERT INTO `sys_job_log` VALUES (378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-23 22:08:28');
INSERT INTO `sys_job_log` VALUES (379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:30');
INSERT INTO `sys_job_log` VALUES (380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:35');
INSERT INTO `sys_job_log` VALUES (381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:40');
INSERT INTO `sys_job_log` VALUES (382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:45');
INSERT INTO `sys_job_log` VALUES (383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-23 22:08:50');
INSERT INTO `sys_job_log` VALUES (384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:50');
INSERT INTO `sys_job_log` VALUES (385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:08:55');
INSERT INTO `sys_job_log` VALUES (386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:00');
INSERT INTO `sys_job_log` VALUES (387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:05');
INSERT INTO `sys_job_log` VALUES (388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:09:10');
INSERT INTO `sys_job_log` VALUES (389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-23 22:09:12');
INSERT INTO `sys_job_log` VALUES (390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:15');
INSERT INTO `sys_job_log` VALUES (391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:20');
INSERT INTO `sys_job_log` VALUES (392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:25');
INSERT INTO `sys_job_log` VALUES (393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:30');
INSERT INTO `sys_job_log` VALUES (394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 22:09:34');
INSERT INTO `sys_job_log` VALUES (395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:35');
INSERT INTO `sys_job_log` VALUES (396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:40');
INSERT INTO `sys_job_log` VALUES (397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:45');
INSERT INTO `sys_job_log` VALUES (398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:50');
INSERT INTO `sys_job_log` VALUES (399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:09:55');
INSERT INTO `sys_job_log` VALUES (400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-23 22:09:56');
INSERT INTO `sys_job_log` VALUES (401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:00');
INSERT INTO `sys_job_log` VALUES (402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:10:05');
INSERT INTO `sys_job_log` VALUES (403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:10');
INSERT INTO `sys_job_log` VALUES (404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:15');
INSERT INTO `sys_job_log` VALUES (405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-23 22:10:18');
INSERT INTO `sys_job_log` VALUES (406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:20');
INSERT INTO `sys_job_log` VALUES (407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:25');
INSERT INTO `sys_job_log` VALUES (408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:30');
INSERT INTO `sys_job_log` VALUES (409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:35');
INSERT INTO `sys_job_log` VALUES (410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-23 22:10:40');
INSERT INTO `sys_job_log` VALUES (411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:40');
INSERT INTO `sys_job_log` VALUES (412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:45');
INSERT INTO `sys_job_log` VALUES (413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:50');
INSERT INTO `sys_job_log` VALUES (414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:10:55');
INSERT INTO `sys_job_log` VALUES (415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:00');
INSERT INTO `sys_job_log` VALUES (416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-23 22:11:02');
INSERT INTO `sys_job_log` VALUES (417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:05');
INSERT INTO `sys_job_log` VALUES (418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:10');
INSERT INTO `sys_job_log` VALUES (419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:15');
INSERT INTO `sys_job_log` VALUES (420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:20');
INSERT INTO `sys_job_log` VALUES (421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-23 22:11:24');
INSERT INTO `sys_job_log` VALUES (422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:25');
INSERT INTO `sys_job_log` VALUES (423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:30');
INSERT INTO `sys_job_log` VALUES (424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:35');
INSERT INTO `sys_job_log` VALUES (425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:40');
INSERT INTO `sys_job_log` VALUES (426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:45');
INSERT INTO `sys_job_log` VALUES (427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21946毫秒', '0', '', '2024-12-23 22:11:46');
INSERT INTO `sys_job_log` VALUES (428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:50');
INSERT INTO `sys_job_log` VALUES (429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:11:55');
INSERT INTO `sys_job_log` VALUES (430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:12:00');
INSERT INTO `sys_job_log` VALUES (431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:05');
INSERT INTO `sys_job_log` VALUES (432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22015毫秒', '0', '', '2024-12-23 22:12:08');
INSERT INTO `sys_job_log` VALUES (433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:10');
INSERT INTO `sys_job_log` VALUES (434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:15');
INSERT INTO `sys_job_log` VALUES (435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:20');
INSERT INTO `sys_job_log` VALUES (436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:25');
INSERT INTO `sys_job_log` VALUES (437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-23 22:12:30');
INSERT INTO `sys_job_log` VALUES (438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:30');
INSERT INTO `sys_job_log` VALUES (439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:35');
INSERT INTO `sys_job_log` VALUES (440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:40');
INSERT INTO `sys_job_log` VALUES (441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:45');
INSERT INTO `sys_job_log` VALUES (442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:50');
INSERT INTO `sys_job_log` VALUES (443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-23 22:12:52');
INSERT INTO `sys_job_log` VALUES (444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:12:55');
INSERT INTO `sys_job_log` VALUES (445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:00');
INSERT INTO `sys_job_log` VALUES (446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:05');
INSERT INTO `sys_job_log` VALUES (447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:10');
INSERT INTO `sys_job_log` VALUES (448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-23 22:13:15');
INSERT INTO `sys_job_log` VALUES (449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:20');
INSERT INTO `sys_job_log` VALUES (450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:25');
INSERT INTO `sys_job_log` VALUES (451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:13:30');
INSERT INTO `sys_job_log` VALUES (452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:35');
INSERT INTO `sys_job_log` VALUES (453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21778毫秒', '0', '', '2024-12-23 22:13:37');
INSERT INTO `sys_job_log` VALUES (454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:40');
INSERT INTO `sys_job_log` VALUES (455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:45');
INSERT INTO `sys_job_log` VALUES (456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:50');
INSERT INTO `sys_job_log` VALUES (457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:13:55');
INSERT INTO `sys_job_log` VALUES (458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-23 22:13:59');
INSERT INTO `sys_job_log` VALUES (459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:14:00');
INSERT INTO `sys_job_log` VALUES (460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:14:05');
INSERT INTO `sys_job_log` VALUES (461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:10');
INSERT INTO `sys_job_log` VALUES (462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:14:15');
INSERT INTO `sys_job_log` VALUES (463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:20');
INSERT INTO `sys_job_log` VALUES (464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21943毫秒', '0', '', '2024-12-23 22:14:21');
INSERT INTO `sys_job_log` VALUES (465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:25');
INSERT INTO `sys_job_log` VALUES (466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:30');
INSERT INTO `sys_job_log` VALUES (467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:35');
INSERT INTO `sys_job_log` VALUES (468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:40');
INSERT INTO `sys_job_log` VALUES (469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-23 22:14:43');
INSERT INTO `sys_job_log` VALUES (470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:45');
INSERT INTO `sys_job_log` VALUES (471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:14:50');
INSERT INTO `sys_job_log` VALUES (472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:14:55');
INSERT INTO `sys_job_log` VALUES (473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:15:00');
INSERT INTO `sys_job_log` VALUES (474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-23 22:15:05');
INSERT INTO `sys_job_log` VALUES (475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:15:05');
INSERT INTO `sys_job_log` VALUES (476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-23 22:15:12');
INSERT INTO `sys_job_log` VALUES (477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-23 22:15:20');
INSERT INTO `sys_job_log` VALUES (478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:15:25');
INSERT INTO `sys_job_log` VALUES (479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:15:30');
INSERT INTO `sys_job_log` VALUES (480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:15:35');
INSERT INTO `sys_job_log` VALUES (481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-23 22:31:13');
INSERT INTO `sys_job_log` VALUES (482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:15');
INSERT INTO `sys_job_log` VALUES (483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:20');
INSERT INTO `sys_job_log` VALUES (484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:25');
INSERT INTO `sys_job_log` VALUES (485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:31:30');
INSERT INTO `sys_job_log` VALUES (486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:35');
INSERT INTO `sys_job_log` VALUES (487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21858毫秒', '0', '', '2024-12-23 22:31:37');
INSERT INTO `sys_job_log` VALUES (488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:40');
INSERT INTO `sys_job_log` VALUES (489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:45');
INSERT INTO `sys_job_log` VALUES (490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:31:50');
INSERT INTO `sys_job_log` VALUES (491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:31:55');
INSERT INTO `sys_job_log` VALUES (492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-23 22:31:59');
INSERT INTO `sys_job_log` VALUES (493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:00');
INSERT INTO `sys_job_log` VALUES (494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:05');
INSERT INTO `sys_job_log` VALUES (495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:10');
INSERT INTO `sys_job_log` VALUES (496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:15');
INSERT INTO `sys_job_log` VALUES (497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:32:20');
INSERT INTO `sys_job_log` VALUES (498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 22:32:21');
INSERT INTO `sys_job_log` VALUES (499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:25');
INSERT INTO `sys_job_log` VALUES (500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:30');
INSERT INTO `sys_job_log` VALUES (501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:35');
INSERT INTO `sys_job_log` VALUES (502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:40');
INSERT INTO `sys_job_log` VALUES (503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22009毫秒', '0', '', '2024-12-23 22:32:43');
INSERT INTO `sys_job_log` VALUES (504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:45');
INSERT INTO `sys_job_log` VALUES (505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:50');
INSERT INTO `sys_job_log` VALUES (506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:32:55');
INSERT INTO `sys_job_log` VALUES (507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:00');
INSERT INTO `sys_job_log` VALUES (508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-23 22:33:05');
INSERT INTO `sys_job_log` VALUES (509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:05');
INSERT INTO `sys_job_log` VALUES (510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:10');
INSERT INTO `sys_job_log` VALUES (511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:15');
INSERT INTO `sys_job_log` VALUES (512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:20');
INSERT INTO `sys_job_log` VALUES (513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:25');
INSERT INTO `sys_job_log` VALUES (514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-23 22:33:27');
INSERT INTO `sys_job_log` VALUES (515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:30');
INSERT INTO `sys_job_log` VALUES (516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:35');
INSERT INTO `sys_job_log` VALUES (517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:40');
INSERT INTO `sys_job_log` VALUES (518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:33:45');
INSERT INTO `sys_job_log` VALUES (519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 22:33:49');
INSERT INTO `sys_job_log` VALUES (520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:50');
INSERT INTO `sys_job_log` VALUES (521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:33:55');
INSERT INTO `sys_job_log` VALUES (522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:00');
INSERT INTO `sys_job_log` VALUES (523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:05');
INSERT INTO `sys_job_log` VALUES (524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:10');
INSERT INTO `sys_job_log` VALUES (525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-23 22:34:11');
INSERT INTO `sys_job_log` VALUES (526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:15');
INSERT INTO `sys_job_log` VALUES (527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:20');
INSERT INTO `sys_job_log` VALUES (528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:25');
INSERT INTO `sys_job_log` VALUES (529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:34:30');
INSERT INTO `sys_job_log` VALUES (530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-23 22:34:33');
INSERT INTO `sys_job_log` VALUES (531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:35');
INSERT INTO `sys_job_log` VALUES (532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:40');
INSERT INTO `sys_job_log` VALUES (533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:45');
INSERT INTO `sys_job_log` VALUES (534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:50');
INSERT INTO `sys_job_log` VALUES (535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-23 22:34:55');
INSERT INTO `sys_job_log` VALUES (536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:34:55');
INSERT INTO `sys_job_log` VALUES (537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:00');
INSERT INTO `sys_job_log` VALUES (538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:05');
INSERT INTO `sys_job_log` VALUES (539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:10');
INSERT INTO `sys_job_log` VALUES (540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:15');
INSERT INTO `sys_job_log` VALUES (541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22092毫秒', '0', '', '2024-12-23 22:35:17');
INSERT INTO `sys_job_log` VALUES (542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:20');
INSERT INTO `sys_job_log` VALUES (543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:25');
INSERT INTO `sys_job_log` VALUES (544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:30');
INSERT INTO `sys_job_log` VALUES (545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:35');
INSERT INTO `sys_job_log` VALUES (546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21883毫秒', '0', '', '2024-12-23 22:35:39');
INSERT INTO `sys_job_log` VALUES (547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:40');
INSERT INTO `sys_job_log` VALUES (548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:35:45');
INSERT INTO `sys_job_log` VALUES (549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:35:50');
INSERT INTO `sys_job_log` VALUES (550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:35:55');
INSERT INTO `sys_job_log` VALUES (551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:00');
INSERT INTO `sys_job_log` VALUES (552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-23 22:36:01');
INSERT INTO `sys_job_log` VALUES (553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:05');
INSERT INTO `sys_job_log` VALUES (554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:10');
INSERT INTO `sys_job_log` VALUES (555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:15');
INSERT INTO `sys_job_log` VALUES (556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:20');
INSERT INTO `sys_job_log` VALUES (557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-23 22:36:23');
INSERT INTO `sys_job_log` VALUES (558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:25');
INSERT INTO `sys_job_log` VALUES (559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:30');
INSERT INTO `sys_job_log` VALUES (560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:35');
INSERT INTO `sys_job_log` VALUES (561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:40');
INSERT INTO `sys_job_log` VALUES (562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-23 22:36:45');
INSERT INTO `sys_job_log` VALUES (563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:45');
INSERT INTO `sys_job_log` VALUES (564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:36:50');
INSERT INTO `sys_job_log` VALUES (565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:36:55');
INSERT INTO `sys_job_log` VALUES (566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:37:00');
INSERT INTO `sys_job_log` VALUES (567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:05');
INSERT INTO `sys_job_log` VALUES (568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-23 22:37:07');
INSERT INTO `sys_job_log` VALUES (569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:10');
INSERT INTO `sys_job_log` VALUES (570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:15');
INSERT INTO `sys_job_log` VALUES (571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:20');
INSERT INTO `sys_job_log` VALUES (572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:37:25');
INSERT INTO `sys_job_log` VALUES (573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-23 22:37:29');
INSERT INTO `sys_job_log` VALUES (574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:30');
INSERT INTO `sys_job_log` VALUES (575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:37:35');
INSERT INTO `sys_job_log` VALUES (576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:40');
INSERT INTO `sys_job_log` VALUES (577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:45');
INSERT INTO `sys_job_log` VALUES (578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:50');
INSERT INTO `sys_job_log` VALUES (579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21933毫秒', '0', '', '2024-12-23 22:37:51');
INSERT INTO `sys_job_log` VALUES (580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:37:55');
INSERT INTO `sys_job_log` VALUES (581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:00');
INSERT INTO `sys_job_log` VALUES (582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:05');
INSERT INTO `sys_job_log` VALUES (583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:10');
INSERT INTO `sys_job_log` VALUES (584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-23 22:38:13');
INSERT INTO `sys_job_log` VALUES (585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:15');
INSERT INTO `sys_job_log` VALUES (586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:20');
INSERT INTO `sys_job_log` VALUES (587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:25');
INSERT INTO `sys_job_log` VALUES (588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:30');
INSERT INTO `sys_job_log` VALUES (589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-23 22:38:35');
INSERT INTO `sys_job_log` VALUES (590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:35');
INSERT INTO `sys_job_log` VALUES (591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:40');
INSERT INTO `sys_job_log` VALUES (592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:45');
INSERT INTO `sys_job_log` VALUES (593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-23 22:38:50');
INSERT INTO `sys_job_log` VALUES (594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:38:55');
INSERT INTO `sys_job_log` VALUES (595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-23 22:38:57');
INSERT INTO `sys_job_log` VALUES (596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:00');
INSERT INTO `sys_job_log` VALUES (597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:05');
INSERT INTO `sys_job_log` VALUES (598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:10');
INSERT INTO `sys_job_log` VALUES (599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:15');
INSERT INTO `sys_job_log` VALUES (600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-23 22:39:20');
INSERT INTO `sys_job_log` VALUES (601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:25');
INSERT INTO `sys_job_log` VALUES (602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:39:30');
INSERT INTO `sys_job_log` VALUES (603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:35');
INSERT INTO `sys_job_log` VALUES (604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:40');
INSERT INTO `sys_job_log` VALUES (605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:45');
INSERT INTO `sys_job_log` VALUES (606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:50');
INSERT INTO `sys_job_log` VALUES (607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21856毫秒', '0', '', '2024-12-23 22:39:52');
INSERT INTO `sys_job_log` VALUES (608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:39:55');
INSERT INTO `sys_job_log` VALUES (609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:00');
INSERT INTO `sys_job_log` VALUES (610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:05');
INSERT INTO `sys_job_log` VALUES (611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:10');
INSERT INTO `sys_job_log` VALUES (612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-23 22:40:14');
INSERT INTO `sys_job_log` VALUES (613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:40:15');
INSERT INTO `sys_job_log` VALUES (614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:20');
INSERT INTO `sys_job_log` VALUES (615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:25');
INSERT INTO `sys_job_log` VALUES (616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:30');
INSERT INTO `sys_job_log` VALUES (617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:35');
INSERT INTO `sys_job_log` VALUES (618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-23 22:40:36');
INSERT INTO `sys_job_log` VALUES (619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:40');
INSERT INTO `sys_job_log` VALUES (620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:45');
INSERT INTO `sys_job_log` VALUES (621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:50');
INSERT INTO `sys_job_log` VALUES (622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:40:55');
INSERT INTO `sys_job_log` VALUES (623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-23 22:40:58');
INSERT INTO `sys_job_log` VALUES (624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:00');
INSERT INTO `sys_job_log` VALUES (625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:05');
INSERT INTO `sys_job_log` VALUES (626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:10');
INSERT INTO `sys_job_log` VALUES (627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:41:15');
INSERT INTO `sys_job_log` VALUES (628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-23 22:41:20');
INSERT INTO `sys_job_log` VALUES (629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:20');
INSERT INTO `sys_job_log` VALUES (630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:41:25');
INSERT INTO `sys_job_log` VALUES (631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:30');
INSERT INTO `sys_job_log` VALUES (632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:35');
INSERT INTO `sys_job_log` VALUES (633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:41:40');
INSERT INTO `sys_job_log` VALUES (634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-23 22:41:42');
INSERT INTO `sys_job_log` VALUES (635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:45');
INSERT INTO `sys_job_log` VALUES (636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:50');
INSERT INTO `sys_job_log` VALUES (637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:41:55');
INSERT INTO `sys_job_log` VALUES (638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-23 22:52:57');
INSERT INTO `sys_job_log` VALUES (639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:53:00');
INSERT INTO `sys_job_log` VALUES (640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:05');
INSERT INTO `sys_job_log` VALUES (641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:10');
INSERT INTO `sys_job_log` VALUES (642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:15');
INSERT INTO `sys_job_log` VALUES (643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:20');
INSERT INTO `sys_job_log` VALUES (644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21863毫秒', '0', '', '2024-12-23 22:53:22');
INSERT INTO `sys_job_log` VALUES (645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:25');
INSERT INTO `sys_job_log` VALUES (646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:30');
INSERT INTO `sys_job_log` VALUES (647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:53:35');
INSERT INTO `sys_job_log` VALUES (648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:40');
INSERT INTO `sys_job_log` VALUES (649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-23 22:53:44');
INSERT INTO `sys_job_log` VALUES (650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:45');
INSERT INTO `sys_job_log` VALUES (651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-23 22:53:50');
INSERT INTO `sys_job_log` VALUES (652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:53:55');
INSERT INTO `sys_job_log` VALUES (653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:00');
INSERT INTO `sys_job_log` VALUES (654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:05');
INSERT INTO `sys_job_log` VALUES (655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:54:10');
INSERT INTO `sys_job_log` VALUES (656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:15');
INSERT INTO `sys_job_log` VALUES (657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:20');
INSERT INTO `sys_job_log` VALUES (658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21868毫秒', '0', '', '2024-12-23 22:54:22');
INSERT INTO `sys_job_log` VALUES (659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:25');
INSERT INTO `sys_job_log` VALUES (660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:30');
INSERT INTO `sys_job_log` VALUES (661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:35');
INSERT INTO `sys_job_log` VALUES (662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:40');
INSERT INTO `sys_job_log` VALUES (663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-23 22:54:44');
INSERT INTO `sys_job_log` VALUES (664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:45');
INSERT INTO `sys_job_log` VALUES (665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:50');
INSERT INTO `sys_job_log` VALUES (666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:54:55');
INSERT INTO `sys_job_log` VALUES (667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:00');
INSERT INTO `sys_job_log` VALUES (668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:05');
INSERT INTO `sys_job_log` VALUES (669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-23 22:55:06');
INSERT INTO `sys_job_log` VALUES (670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:10');
INSERT INTO `sys_job_log` VALUES (671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:15');
INSERT INTO `sys_job_log` VALUES (672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:20');
INSERT INTO `sys_job_log` VALUES (673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:25');
INSERT INTO `sys_job_log` VALUES (674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-23 22:55:28');
INSERT INTO `sys_job_log` VALUES (675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:30');
INSERT INTO `sys_job_log` VALUES (676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:35');
INSERT INTO `sys_job_log` VALUES (677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:40');
INSERT INTO `sys_job_log` VALUES (678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:45');
INSERT INTO `sys_job_log` VALUES (679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-23 22:55:50');
INSERT INTO `sys_job_log` VALUES (680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:55:50');
INSERT INTO `sys_job_log` VALUES (681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:55:55');
INSERT INTO `sys_job_log` VALUES (682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:00');
INSERT INTO `sys_job_log` VALUES (683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:05');
INSERT INTO `sys_job_log` VALUES (684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:56:10');
INSERT INTO `sys_job_log` VALUES (685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-23 22:56:12');
INSERT INTO `sys_job_log` VALUES (686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:15');
INSERT INTO `sys_job_log` VALUES (687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:20');
INSERT INTO `sys_job_log` VALUES (688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:56:25');
INSERT INTO `sys_job_log` VALUES (689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:30');
INSERT INTO `sys_job_log` VALUES (690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-23 22:56:34');
INSERT INTO `sys_job_log` VALUES (691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:35');
INSERT INTO `sys_job_log` VALUES (692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:40');
INSERT INTO `sys_job_log` VALUES (693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:45');
INSERT INTO `sys_job_log` VALUES (694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:50');
INSERT INTO `sys_job_log` VALUES (695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:56:55');
INSERT INTO `sys_job_log` VALUES (696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-23 22:56:56');
INSERT INTO `sys_job_log` VALUES (697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:00');
INSERT INTO `sys_job_log` VALUES (698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:57:05');
INSERT INTO `sys_job_log` VALUES (699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:10');
INSERT INTO `sys_job_log` VALUES (700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:15');
INSERT INTO `sys_job_log` VALUES (701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-23 22:57:18');
INSERT INTO `sys_job_log` VALUES (702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:20');
INSERT INTO `sys_job_log` VALUES (703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:25');
INSERT INTO `sys_job_log` VALUES (704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:30');
INSERT INTO `sys_job_log` VALUES (705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:35');
INSERT INTO `sys_job_log` VALUES (706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22020毫秒', '0', '', '2024-12-23 22:57:40');
INSERT INTO `sys_job_log` VALUES (707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:40');
INSERT INTO `sys_job_log` VALUES (708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:57:45');
INSERT INTO `sys_job_log` VALUES (709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:50');
INSERT INTO `sys_job_log` VALUES (710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:57:55');
INSERT INTO `sys_job_log` VALUES (711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:00');
INSERT INTO `sys_job_log` VALUES (712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21931毫秒', '0', '', '2024-12-23 22:58:02');
INSERT INTO `sys_job_log` VALUES (713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:05');
INSERT INTO `sys_job_log` VALUES (714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:58:10');
INSERT INTO `sys_job_log` VALUES (715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:15');
INSERT INTO `sys_job_log` VALUES (716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:20');
INSERT INTO `sys_job_log` VALUES (717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-23 22:58:24');
INSERT INTO `sys_job_log` VALUES (718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:25');
INSERT INTO `sys_job_log` VALUES (719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:30');
INSERT INTO `sys_job_log` VALUES (720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:58:35');
INSERT INTO `sys_job_log` VALUES (721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:40');
INSERT INTO `sys_job_log` VALUES (722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:45');
INSERT INTO `sys_job_log` VALUES (723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-23 22:58:46');
INSERT INTO `sys_job_log` VALUES (724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:50');
INSERT INTO `sys_job_log` VALUES (725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:58:55');
INSERT INTO `sys_job_log` VALUES (726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:00');
INSERT INTO `sys_job_log` VALUES (727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:05');
INSERT INTO `sys_job_log` VALUES (728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-23 22:59:08');
INSERT INTO `sys_job_log` VALUES (729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:10');
INSERT INTO `sys_job_log` VALUES (730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:15');
INSERT INTO `sys_job_log` VALUES (731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:59:20');
INSERT INTO `sys_job_log` VALUES (732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:25');
INSERT INTO `sys_job_log` VALUES (733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-23 22:59:30');
INSERT INTO `sys_job_log` VALUES (734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:30');
INSERT INTO `sys_job_log` VALUES (735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:35');
INSERT INTO `sys_job_log` VALUES (736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:40');
INSERT INTO `sys_job_log` VALUES (737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 22:59:45');
INSERT INTO `sys_job_log` VALUES (738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:50');
INSERT INTO `sys_job_log` VALUES (739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-23 22:59:52');
INSERT INTO `sys_job_log` VALUES (740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 22:59:55');
INSERT INTO `sys_job_log` VALUES (741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:00');
INSERT INTO `sys_job_log` VALUES (742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:05');
INSERT INTO `sys_job_log` VALUES (743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:10');
INSERT INTO `sys_job_log` VALUES (744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-23 23:00:14');
INSERT INTO `sys_job_log` VALUES (745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:15');
INSERT INTO `sys_job_log` VALUES (746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:20');
INSERT INTO `sys_job_log` VALUES (747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:25');
INSERT INTO `sys_job_log` VALUES (748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:30');
INSERT INTO `sys_job_log` VALUES (749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:35');
INSERT INTO `sys_job_log` VALUES (750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21942毫秒', '0', '', '2024-12-23 23:00:36');
INSERT INTO `sys_job_log` VALUES (751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:40');
INSERT INTO `sys_job_log` VALUES (752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:45');
INSERT INTO `sys_job_log` VALUES (753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-23 23:00:50');
INSERT INTO `sys_job_log` VALUES (754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:00:55');
INSERT INTO `sys_job_log` VALUES (755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-23 23:00:58');
INSERT INTO `sys_job_log` VALUES (756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:00');
INSERT INTO `sys_job_log` VALUES (757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 23:01:05');
INSERT INTO `sys_job_log` VALUES (758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:10');
INSERT INTO `sys_job_log` VALUES (759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:15');
INSERT INTO `sys_job_log` VALUES (760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-23 23:01:20');
INSERT INTO `sys_job_log` VALUES (761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:20');
INSERT INTO `sys_job_log` VALUES (762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:25');
INSERT INTO `sys_job_log` VALUES (763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:30');
INSERT INTO `sys_job_log` VALUES (764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:35');
INSERT INTO `sys_job_log` VALUES (765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:40');
INSERT INTO `sys_job_log` VALUES (766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-23 23:01:42');
INSERT INTO `sys_job_log` VALUES (767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:45');
INSERT INTO `sys_job_log` VALUES (768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:50');
INSERT INTO `sys_job_log` VALUES (769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:01:55');
INSERT INTO `sys_job_log` VALUES (770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 23:02:00');
INSERT INTO `sys_job_log` VALUES (771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-23 23:02:04');
INSERT INTO `sys_job_log` VALUES (772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:05');
INSERT INTO `sys_job_log` VALUES (773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:10');
INSERT INTO `sys_job_log` VALUES (774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:15');
INSERT INTO `sys_job_log` VALUES (775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:20');
INSERT INTO `sys_job_log` VALUES (776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:25');
INSERT INTO `sys_job_log` VALUES (777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-23 23:02:26');
INSERT INTO `sys_job_log` VALUES (778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 23:02:30');
INSERT INTO `sys_job_log` VALUES (779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:35');
INSERT INTO `sys_job_log` VALUES (780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:40');
INSERT INTO `sys_job_log` VALUES (781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:45');
INSERT INTO `sys_job_log` VALUES (782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-23 23:02:48');
INSERT INTO `sys_job_log` VALUES (783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:50');
INSERT INTO `sys_job_log` VALUES (784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:02:55');
INSERT INTO `sys_job_log` VALUES (785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:00');
INSERT INTO `sys_job_log` VALUES (786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:05');
INSERT INTO `sys_job_log` VALUES (787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-23 23:03:10');
INSERT INTO `sys_job_log` VALUES (788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:10');
INSERT INTO `sys_job_log` VALUES (789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:15');
INSERT INTO `sys_job_log` VALUES (790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:20');
INSERT INTO `sys_job_log` VALUES (791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:25');
INSERT INTO `sys_job_log` VALUES (792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:30');
INSERT INTO `sys_job_log` VALUES (793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-23 23:03:32');
INSERT INTO `sys_job_log` VALUES (794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:35');
INSERT INTO `sys_job_log` VALUES (795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:40');
INSERT INTO `sys_job_log` VALUES (796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:45');
INSERT INTO `sys_job_log` VALUES (797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:50');
INSERT INTO `sys_job_log` VALUES (798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-23 23:03:54');
INSERT INTO `sys_job_log` VALUES (799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:03:55');
INSERT INTO `sys_job_log` VALUES (800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:00');
INSERT INTO `sys_job_log` VALUES (801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:05');
INSERT INTO `sys_job_log` VALUES (802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:10');
INSERT INTO `sys_job_log` VALUES (803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:15');
INSERT INTO `sys_job_log` VALUES (804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-23 23:04:16');
INSERT INTO `sys_job_log` VALUES (805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 23:04:20');
INSERT INTO `sys_job_log` VALUES (806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-23 23:04:25');
INSERT INTO `sys_job_log` VALUES (807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:30');
INSERT INTO `sys_job_log` VALUES (808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:35');
INSERT INTO `sys_job_log` VALUES (809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-23 23:04:38');
INSERT INTO `sys_job_log` VALUES (810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:40');
INSERT INTO `sys_job_log` VALUES (811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:45');
INSERT INTO `sys_job_log` VALUES (812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:50');
INSERT INTO `sys_job_log` VALUES (813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:04:55');
INSERT INTO `sys_job_log` VALUES (814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-23 23:05:00');
INSERT INTO `sys_job_log` VALUES (815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:05:00');
INSERT INTO `sys_job_log` VALUES (816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-23 23:05:05');
INSERT INTO `sys_job_log` VALUES (817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21896毫秒', '0', '', '2024-12-24 02:06:02');
INSERT INTO `sys_job_log` VALUES (818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21885毫秒', '0', '', '2024-12-24 02:06:07');
INSERT INTO `sys_job_log` VALUES (819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21856毫秒', '0', '', '2024-12-24 02:06:24');
INSERT INTO `sys_job_log` VALUES (820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:06:29');
INSERT INTO `sys_job_log` VALUES (821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:06:46');
INSERT INTO `sys_job_log` VALUES (822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 02:06:51');
INSERT INTO `sys_job_log` VALUES (823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 02:07:08');
INSERT INTO `sys_job_log` VALUES (824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:07:13');
INSERT INTO `sys_job_log` VALUES (825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:07:30');
INSERT INTO `sys_job_log` VALUES (826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 02:07:35');
INSERT INTO `sys_job_log` VALUES (827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:07:52');
INSERT INTO `sys_job_log` VALUES (828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21932毫秒', '0', '', '2024-12-24 02:07:57');
INSERT INTO `sys_job_log` VALUES (829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22095毫秒', '0', '', '2024-12-24 02:08:14');
INSERT INTO `sys_job_log` VALUES (830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21998毫秒', '0', '', '2024-12-24 02:08:19');
INSERT INTO `sys_job_log` VALUES (831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21871毫秒', '0', '', '2024-12-24 02:08:36');
INSERT INTO `sys_job_log` VALUES (832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:08:41');
INSERT INTO `sys_job_log` VALUES (833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 02:08:58');
INSERT INTO `sys_job_log` VALUES (834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 02:09:03');
INSERT INTO `sys_job_log` VALUES (835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 02:09:20');
INSERT INTO `sys_job_log` VALUES (836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 02:09:25');
INSERT INTO `sys_job_log` VALUES (837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:09:42');
INSERT INTO `sys_job_log` VALUES (838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:09:47');
INSERT INTO `sys_job_log` VALUES (839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:10:04');
INSERT INTO `sys_job_log` VALUES (840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:10:09');
INSERT INTO `sys_job_log` VALUES (841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 02:10:26');
INSERT INTO `sys_job_log` VALUES (842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 02:10:31');
INSERT INTO `sys_job_log` VALUES (843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 02:10:48');
INSERT INTO `sys_job_log` VALUES (844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21917毫秒', '0', '', '2024-12-24 02:10:53');
INSERT INTO `sys_job_log` VALUES (845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 02:11:10');
INSERT INTO `sys_job_log` VALUES (846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22022毫秒', '0', '', '2024-12-24 02:11:15');
INSERT INTO `sys_job_log` VALUES (847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 02:11:32');
INSERT INTO `sys_job_log` VALUES (848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 02:11:37');
INSERT INTO `sys_job_log` VALUES (849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 02:11:54');
INSERT INTO `sys_job_log` VALUES (850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 02:11:59');
INSERT INTO `sys_job_log` VALUES (851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 02:12:16');
INSERT INTO `sys_job_log` VALUES (852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:12:21');
INSERT INTO `sys_job_log` VALUES (853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22015毫秒', '0', '', '2024-12-24 02:12:38');
INSERT INTO `sys_job_log` VALUES (854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:12:43');
INSERT INTO `sys_job_log` VALUES (855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21889毫秒', '0', '', '2024-12-24 02:13:00');
INSERT INTO `sys_job_log` VALUES (856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:13:05');
INSERT INTO `sys_job_log` VALUES (857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 02:13:22');
INSERT INTO `sys_job_log` VALUES (858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22052毫秒', '0', '', '2024-12-24 02:13:27');
INSERT INTO `sys_job_log` VALUES (859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22014毫秒', '0', '', '2024-12-24 02:13:44');
INSERT INTO `sys_job_log` VALUES (860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21924毫秒', '0', '', '2024-12-24 02:13:49');
INSERT INTO `sys_job_log` VALUES (861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21952毫秒', '0', '', '2024-12-24 02:14:06');
INSERT INTO `sys_job_log` VALUES (862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:14:11');
INSERT INTO `sys_job_log` VALUES (863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:14:28');
INSERT INTO `sys_job_log` VALUES (864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 02:14:33');
INSERT INTO `sys_job_log` VALUES (865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22015毫秒', '0', '', '2024-12-24 02:14:50');
INSERT INTO `sys_job_log` VALUES (866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 02:14:55');
INSERT INTO `sys_job_log` VALUES (867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:15:12');
INSERT INTO `sys_job_log` VALUES (868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21947毫秒', '0', '', '2024-12-24 02:15:17');
INSERT INTO `sys_job_log` VALUES (869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:15:34');
INSERT INTO `sys_job_log` VALUES (870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22011毫秒', '0', '', '2024-12-24 02:15:39');
INSERT INTO `sys_job_log` VALUES (871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:15:56');
INSERT INTO `sys_job_log` VALUES (872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 02:16:01');
INSERT INTO `sys_job_log` VALUES (873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:16:18');
INSERT INTO `sys_job_log` VALUES (874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 02:16:23');
INSERT INTO `sys_job_log` VALUES (875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 02:16:40');
INSERT INTO `sys_job_log` VALUES (876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:16:45');
INSERT INTO `sys_job_log` VALUES (877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:17:02');
INSERT INTO `sys_job_log` VALUES (878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:17:07');
INSERT INTO `sys_job_log` VALUES (879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22014毫秒', '0', '', '2024-12-24 02:17:24');
INSERT INTO `sys_job_log` VALUES (880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:17:29');
INSERT INTO `sys_job_log` VALUES (881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21938毫秒', '0', '', '2024-12-24 02:17:46');
INSERT INTO `sys_job_log` VALUES (882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 02:17:51');
INSERT INTO `sys_job_log` VALUES (883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 02:18:08');
INSERT INTO `sys_job_log` VALUES (884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 02:18:13');
INSERT INTO `sys_job_log` VALUES (885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:18:30');
INSERT INTO `sys_job_log` VALUES (886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 02:18:35');
INSERT INTO `sys_job_log` VALUES (887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 02:18:52');
INSERT INTO `sys_job_log` VALUES (888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-24 02:18:57');
INSERT INTO `sys_job_log` VALUES (889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 02:19:14');
INSERT INTO `sys_job_log` VALUES (890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 02:19:19');
INSERT INTO `sys_job_log` VALUES (891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:19:36');
INSERT INTO `sys_job_log` VALUES (892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 02:19:41');
INSERT INTO `sys_job_log` VALUES (893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 02:19:58');
INSERT INTO `sys_job_log` VALUES (894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:20:03');
INSERT INTO `sys_job_log` VALUES (895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:20:20');
INSERT INTO `sys_job_log` VALUES (896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 02:20:25');
INSERT INTO `sys_job_log` VALUES (897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 02:20:42');
INSERT INTO `sys_job_log` VALUES (898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:20:47');
INSERT INTO `sys_job_log` VALUES (899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22028毫秒', '0', '', '2024-12-24 02:21:04');
INSERT INTO `sys_job_log` VALUES (900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:21:09');
INSERT INTO `sys_job_log` VALUES (901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21939毫秒', '0', '', '2024-12-24 02:21:26');
INSERT INTO `sys_job_log` VALUES (902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:21:31');
INSERT INTO `sys_job_log` VALUES (903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 02:21:48');
INSERT INTO `sys_job_log` VALUES (904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 02:21:53');
INSERT INTO `sys_job_log` VALUES (905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 02:22:10');
INSERT INTO `sys_job_log` VALUES (906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:22:15');
INSERT INTO `sys_job_log` VALUES (907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:22:32');
INSERT INTO `sys_job_log` VALUES (908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 02:22:37');
INSERT INTO `sys_job_log` VALUES (909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 02:22:54');
INSERT INTO `sys_job_log` VALUES (910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 02:22:59');
INSERT INTO `sys_job_log` VALUES (911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 02:23:16');
INSERT INTO `sys_job_log` VALUES (912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 02:23:21');
INSERT INTO `sys_job_log` VALUES (913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:23:38');
INSERT INTO `sys_job_log` VALUES (914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 02:23:43');
INSERT INTO `sys_job_log` VALUES (915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:24:00');
INSERT INTO `sys_job_log` VALUES (916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 02:24:05');
INSERT INTO `sys_job_log` VALUES (917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 02:24:22');
INSERT INTO `sys_job_log` VALUES (918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22009毫秒', '0', '', '2024-12-24 02:24:27');
INSERT INTO `sys_job_log` VALUES (919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 02:24:44');
INSERT INTO `sys_job_log` VALUES (920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 02:24:49');
INSERT INTO `sys_job_log` VALUES (921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:25:06');
INSERT INTO `sys_job_log` VALUES (922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 02:25:11');
INSERT INTO `sys_job_log` VALUES (923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:25:28');
INSERT INTO `sys_job_log` VALUES (924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21940毫秒', '0', '', '2024-12-24 02:25:33');
INSERT INTO `sys_job_log` VALUES (925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 02:25:50');
INSERT INTO `sys_job_log` VALUES (926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 02:25:55');
INSERT INTO `sys_job_log` VALUES (927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 02:26:12');
INSERT INTO `sys_job_log` VALUES (928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 02:26:17');
INSERT INTO `sys_job_log` VALUES (929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 02:26:34');
INSERT INTO `sys_job_log` VALUES (930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:26:39');
INSERT INTO `sys_job_log` VALUES (931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:26:56');
INSERT INTO `sys_job_log` VALUES (932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 02:27:01');
INSERT INTO `sys_job_log` VALUES (933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 02:27:18');
INSERT INTO `sys_job_log` VALUES (934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 02:27:23');
INSERT INTO `sys_job_log` VALUES (935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 02:27:40');
INSERT INTO `sys_job_log` VALUES (936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 02:27:45');
INSERT INTO `sys_job_log` VALUES (937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:28:02');
INSERT INTO `sys_job_log` VALUES (938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:28:07');
INSERT INTO `sys_job_log` VALUES (939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22015毫秒', '0', '', '2024-12-24 02:28:24');
INSERT INTO `sys_job_log` VALUES (940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:28:29');
INSERT INTO `sys_job_log` VALUES (941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21930毫秒', '0', '', '2024-12-24 02:28:46');
INSERT INTO `sys_job_log` VALUES (942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 02:28:51');
INSERT INTO `sys_job_log` VALUES (943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 02:29:08');
INSERT INTO `sys_job_log` VALUES (944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:29:13');
INSERT INTO `sys_job_log` VALUES (945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 02:29:30');
INSERT INTO `sys_job_log` VALUES (946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:29:35');
INSERT INTO `sys_job_log` VALUES (947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 02:29:52');
INSERT INTO `sys_job_log` VALUES (948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 02:29:57');
INSERT INTO `sys_job_log` VALUES (949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 02:30:14');
INSERT INTO `sys_job_log` VALUES (950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:30:19');
INSERT INTO `sys_job_log` VALUES (951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:30:36');
INSERT INTO `sys_job_log` VALUES (952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 02:30:41');
INSERT INTO `sys_job_log` VALUES (953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 02:30:58');
INSERT INTO `sys_job_log` VALUES (954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21941毫秒', '0', '', '2024-12-24 02:31:03');
INSERT INTO `sys_job_log` VALUES (955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 02:31:20');
INSERT INTO `sys_job_log` VALUES (956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22014毫秒', '0', '', '2024-12-24 02:31:25');
INSERT INTO `sys_job_log` VALUES (957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:31:42');
INSERT INTO `sys_job_log` VALUES (958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 02:31:47');
INSERT INTO `sys_job_log` VALUES (959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 02:32:04');
INSERT INTO `sys_job_log` VALUES (960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:32:09');
INSERT INTO `sys_job_log` VALUES (961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 02:32:26');
INSERT INTO `sys_job_log` VALUES (962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21998毫秒', '0', '', '2024-12-24 02:32:31');
INSERT INTO `sys_job_log` VALUES (963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 02:32:48');
INSERT INTO `sys_job_log` VALUES (964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:32:53');
INSERT INTO `sys_job_log` VALUES (965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 02:33:10');
INSERT INTO `sys_job_log` VALUES (966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:33:15');
INSERT INTO `sys_job_log` VALUES (967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 02:33:32');
INSERT INTO `sys_job_log` VALUES (968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:33:37');
INSERT INTO `sys_job_log` VALUES (969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 02:33:54');
INSERT INTO `sys_job_log` VALUES (970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 02:33:59');
INSERT INTO `sys_job_log` VALUES (971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:34:16');
INSERT INTO `sys_job_log` VALUES (972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 02:34:21');
INSERT INTO `sys_job_log` VALUES (973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 02:34:38');
INSERT INTO `sys_job_log` VALUES (974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 02:34:43');
INSERT INTO `sys_job_log` VALUES (975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 02:35:00');
INSERT INTO `sys_job_log` VALUES (976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 02:35:05');
INSERT INTO `sys_job_log` VALUES (977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 02:35:22');
INSERT INTO `sys_job_log` VALUES (978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 02:35:27');
INSERT INTO `sys_job_log` VALUES (979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 02:35:44');
INSERT INTO `sys_job_log` VALUES (980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:35:49');
INSERT INTO `sys_job_log` VALUES (981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:36:06');
INSERT INTO `sys_job_log` VALUES (982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:36:11');
INSERT INTO `sys_job_log` VALUES (983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:36:28');
INSERT INTO `sys_job_log` VALUES (984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 02:36:33');
INSERT INTO `sys_job_log` VALUES (985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:36:50');
INSERT INTO `sys_job_log` VALUES (986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:36:55');
INSERT INTO `sys_job_log` VALUES (987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 02:37:12');
INSERT INTO `sys_job_log` VALUES (988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:37:17');
INSERT INTO `sys_job_log` VALUES (989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:37:34');
INSERT INTO `sys_job_log` VALUES (990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 02:37:39');
INSERT INTO `sys_job_log` VALUES (991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 02:37:56');
INSERT INTO `sys_job_log` VALUES (992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 02:38:01');
INSERT INTO `sys_job_log` VALUES (993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 02:38:18');
INSERT INTO `sys_job_log` VALUES (994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:38:23');
INSERT INTO `sys_job_log` VALUES (995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 02:38:40');
INSERT INTO `sys_job_log` VALUES (996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:38:45');
INSERT INTO `sys_job_log` VALUES (997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:39:02');
INSERT INTO `sys_job_log` VALUES (998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 02:39:07');
INSERT INTO `sys_job_log` VALUES (999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 02:39:24');
INSERT INTO `sys_job_log` VALUES (1000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:39:29');
INSERT INTO `sys_job_log` VALUES (1001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 02:39:46');
INSERT INTO `sys_job_log` VALUES (1002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21943毫秒', '0', '', '2024-12-24 02:39:51');
INSERT INTO `sys_job_log` VALUES (1003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 02:40:08');
INSERT INTO `sys_job_log` VALUES (1004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 02:40:13');
INSERT INTO `sys_job_log` VALUES (1005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 02:40:30');
INSERT INTO `sys_job_log` VALUES (1006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 02:40:35');
INSERT INTO `sys_job_log` VALUES (1007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:40:52');
INSERT INTO `sys_job_log` VALUES (1008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 02:40:57');
INSERT INTO `sys_job_log` VALUES (1009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22011毫秒', '0', '', '2024-12-24 02:41:14');
INSERT INTO `sys_job_log` VALUES (1010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 02:41:19');
INSERT INTO `sys_job_log` VALUES (1011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 02:41:36');
INSERT INTO `sys_job_log` VALUES (1012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 02:41:41');
INSERT INTO `sys_job_log` VALUES (1013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22010毫秒', '0', '', '2024-12-24 02:41:58');
INSERT INTO `sys_job_log` VALUES (1014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 02:42:03');
INSERT INTO `sys_job_log` VALUES (1015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21935毫秒', '0', '', '2024-12-24 02:42:20');
INSERT INTO `sys_job_log` VALUES (1016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 02:42:25');
INSERT INTO `sys_job_log` VALUES (1017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 02:42:42');
INSERT INTO `sys_job_log` VALUES (1018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 02:42:47');
INSERT INTO `sys_job_log` VALUES (1019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 02:43:04');
INSERT INTO `sys_job_log` VALUES (1020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 02:43:09');
INSERT INTO `sys_job_log` VALUES (1021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 02:43:26');
INSERT INTO `sys_job_log` VALUES (1022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 02:43:31');
INSERT INTO `sys_job_log` VALUES (1023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21946毫秒', '0', '', '2024-12-24 02:43:48');
INSERT INTO `sys_job_log` VALUES (1024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:43:53');
INSERT INTO `sys_job_log` VALUES (1025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:44:10');
INSERT INTO `sys_job_log` VALUES (1026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:44:15');
INSERT INTO `sys_job_log` VALUES (1027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 02:44:32');
INSERT INTO `sys_job_log` VALUES (1028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 02:44:37');
INSERT INTO `sys_job_log` VALUES (1029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:44:54');
INSERT INTO `sys_job_log` VALUES (1030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 02:44:59');
INSERT INTO `sys_job_log` VALUES (1031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 02:45:16');
INSERT INTO `sys_job_log` VALUES (1032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 02:45:21');
INSERT INTO `sys_job_log` VALUES (1033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 02:45:38');
INSERT INTO `sys_job_log` VALUES (1034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21947毫秒', '0', '', '2024-12-24 02:45:43');
INSERT INTO `sys_job_log` VALUES (1035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 02:46:00');
INSERT INTO `sys_job_log` VALUES (1036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 02:46:05');
INSERT INTO `sys_job_log` VALUES (1037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 02:46:22');
INSERT INTO `sys_job_log` VALUES (1038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 02:46:27');
INSERT INTO `sys_job_log` VALUES (1039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 02:46:44');
INSERT INTO `sys_job_log` VALUES (1040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:46:49');
INSERT INTO `sys_job_log` VALUES (1041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 02:47:06');
INSERT INTO `sys_job_log` VALUES (1042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:47:11');
INSERT INTO `sys_job_log` VALUES (1043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 02:47:28');
INSERT INTO `sys_job_log` VALUES (1044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 02:47:33');
INSERT INTO `sys_job_log` VALUES (1045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 02:47:50');
INSERT INTO `sys_job_log` VALUES (1046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22025毫秒', '0', '', '2024-12-24 02:47:55');
INSERT INTO `sys_job_log` VALUES (1047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:48:12');
INSERT INTO `sys_job_log` VALUES (1048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21930毫秒', '0', '', '2024-12-24 02:48:17');
INSERT INTO `sys_job_log` VALUES (1049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 02:48:34');
INSERT INTO `sys_job_log` VALUES (1050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 02:48:39');
INSERT INTO `sys_job_log` VALUES (1051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 02:48:56');
INSERT INTO `sys_job_log` VALUES (1052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:49:01');
INSERT INTO `sys_job_log` VALUES (1053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 02:49:18');
INSERT INTO `sys_job_log` VALUES (1054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22029毫秒', '0', '', '2024-12-24 02:49:23');
INSERT INTO `sys_job_log` VALUES (1055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:49:40');
INSERT INTO `sys_job_log` VALUES (1056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 02:49:45');
INSERT INTO `sys_job_log` VALUES (1057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 02:50:02');
INSERT INTO `sys_job_log` VALUES (1058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21946毫秒', '0', '', '2024-12-24 02:50:07');
INSERT INTO `sys_job_log` VALUES (1059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 02:50:24');
INSERT INTO `sys_job_log` VALUES (1060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-24 02:50:29');
INSERT INTO `sys_job_log` VALUES (1061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 02:50:46');
INSERT INTO `sys_job_log` VALUES (1062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21943毫秒', '0', '', '2024-12-24 02:50:51');
INSERT INTO `sys_job_log` VALUES (1063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 02:51:08');
INSERT INTO `sys_job_log` VALUES (1064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:51:13');
INSERT INTO `sys_job_log` VALUES (1065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:51:30');
INSERT INTO `sys_job_log` VALUES (1066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 02:51:35');
INSERT INTO `sys_job_log` VALUES (1067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:51:52');
INSERT INTO `sys_job_log` VALUES (1068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 02:51:57');
INSERT INTO `sys_job_log` VALUES (1069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 02:52:14');
INSERT INTO `sys_job_log` VALUES (1070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 02:52:19');
INSERT INTO `sys_job_log` VALUES (1071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 02:52:36');
INSERT INTO `sys_job_log` VALUES (1072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 02:52:41');
INSERT INTO `sys_job_log` VALUES (1073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 02:52:58');
INSERT INTO `sys_job_log` VALUES (1074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21934毫秒', '0', '', '2024-12-24 02:53:03');
INSERT INTO `sys_job_log` VALUES (1075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22020毫秒', '0', '', '2024-12-24 02:53:20');
INSERT INTO `sys_job_log` VALUES (1076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 02:53:25');
INSERT INTO `sys_job_log` VALUES (1077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21901毫秒', '0', '', '2024-12-24 02:53:42');
INSERT INTO `sys_job_log` VALUES (1078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 02:53:47');
INSERT INTO `sys_job_log` VALUES (1079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 02:54:04');
INSERT INTO `sys_job_log` VALUES (1080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 02:54:09');
INSERT INTO `sys_job_log` VALUES (1081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 02:54:26');
INSERT INTO `sys_job_log` VALUES (1082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 02:54:31');
INSERT INTO `sys_job_log` VALUES (1083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:54:48');
INSERT INTO `sys_job_log` VALUES (1084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 02:54:53');
INSERT INTO `sys_job_log` VALUES (1085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 02:55:10');
INSERT INTO `sys_job_log` VALUES (1086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 02:55:15');
INSERT INTO `sys_job_log` VALUES (1087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 02:55:32');
INSERT INTO `sys_job_log` VALUES (1088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 02:55:37');
INSERT INTO `sys_job_log` VALUES (1089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 02:55:54');
INSERT INTO `sys_job_log` VALUES (1090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 02:55:59');
INSERT INTO `sys_job_log` VALUES (1091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:56:16');
INSERT INTO `sys_job_log` VALUES (1092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 02:56:21');
INSERT INTO `sys_job_log` VALUES (1093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 02:56:38');
INSERT INTO `sys_job_log` VALUES (1094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 02:56:43');
INSERT INTO `sys_job_log` VALUES (1095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21944毫秒', '0', '', '2024-12-24 02:57:00');
INSERT INTO `sys_job_log` VALUES (1096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 02:57:05');
INSERT INTO `sys_job_log` VALUES (1097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 02:57:22');
INSERT INTO `sys_job_log` VALUES (1098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 02:57:27');
INSERT INTO `sys_job_log` VALUES (1099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 02:57:44');
INSERT INTO `sys_job_log` VALUES (1100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 02:57:49');
INSERT INTO `sys_job_log` VALUES (1101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21942毫秒', '0', '', '2024-12-24 02:58:06');
INSERT INTO `sys_job_log` VALUES (1102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 02:58:11');
INSERT INTO `sys_job_log` VALUES (1103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 02:58:28');
INSERT INTO `sys_job_log` VALUES (1104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 02:58:33');
INSERT INTO `sys_job_log` VALUES (1105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 02:58:50');
INSERT INTO `sys_job_log` VALUES (1106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 02:58:55');
INSERT INTO `sys_job_log` VALUES (1107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22011毫秒', '0', '', '2024-12-24 02:59:12');
INSERT INTO `sys_job_log` VALUES (1108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 02:59:17');
INSERT INTO `sys_job_log` VALUES (1109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21932毫秒', '0', '', '2024-12-24 02:59:34');
INSERT INTO `sys_job_log` VALUES (1110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 02:59:39');
INSERT INTO `sys_job_log` VALUES (1111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 02:59:56');
INSERT INTO `sys_job_log` VALUES (1112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 03:00:01');
INSERT INTO `sys_job_log` VALUES (1113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:00:18');
INSERT INTO `sys_job_log` VALUES (1114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:00:23');
INSERT INTO `sys_job_log` VALUES (1115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21944毫秒', '0', '', '2024-12-24 03:00:40');
INSERT INTO `sys_job_log` VALUES (1116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 03:00:45');
INSERT INTO `sys_job_log` VALUES (1117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22012毫秒', '0', '', '2024-12-24 03:01:02');
INSERT INTO `sys_job_log` VALUES (1118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 03:01:07');
INSERT INTO `sys_job_log` VALUES (1119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 03:01:24');
INSERT INTO `sys_job_log` VALUES (1120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:01:29');
INSERT INTO `sys_job_log` VALUES (1121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 03:01:46');
INSERT INTO `sys_job_log` VALUES (1122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:01:51');
INSERT INTO `sys_job_log` VALUES (1123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 03:02:08');
INSERT INTO `sys_job_log` VALUES (1124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 03:02:13');
INSERT INTO `sys_job_log` VALUES (1125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 03:02:30');
INSERT INTO `sys_job_log` VALUES (1126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 03:02:35');
INSERT INTO `sys_job_log` VALUES (1127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22135毫秒', '0', '', '2024-12-24 03:02:52');
INSERT INTO `sys_job_log` VALUES (1128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 03:02:57');
INSERT INTO `sys_job_log` VALUES (1129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21802毫秒', '0', '', '2024-12-24 03:03:14');
INSERT INTO `sys_job_log` VALUES (1130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 03:03:19');
INSERT INTO `sys_job_log` VALUES (1131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 03:03:36');
INSERT INTO `sys_job_log` VALUES (1132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 03:03:41');
INSERT INTO `sys_job_log` VALUES (1133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:03:58');
INSERT INTO `sys_job_log` VALUES (1134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 03:04:03');
INSERT INTO `sys_job_log` VALUES (1135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 03:04:20');
INSERT INTO `sys_job_log` VALUES (1136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 03:04:25');
INSERT INTO `sys_job_log` VALUES (1137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:04:42');
INSERT INTO `sys_job_log` VALUES (1138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 03:04:47');
INSERT INTO `sys_job_log` VALUES (1139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 03:05:04');
INSERT INTO `sys_job_log` VALUES (1140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 03:05:09');
INSERT INTO `sys_job_log` VALUES (1141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 03:05:26');
INSERT INTO `sys_job_log` VALUES (1142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 03:05:31');
INSERT INTO `sys_job_log` VALUES (1143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 03:05:48');
INSERT INTO `sys_job_log` VALUES (1144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 03:05:53');
INSERT INTO `sys_job_log` VALUES (1145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 03:06:10');
INSERT INTO `sys_job_log` VALUES (1146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 03:06:15');
INSERT INTO `sys_job_log` VALUES (1147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 03:06:32');
INSERT INTO `sys_job_log` VALUES (1148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 03:06:37');
INSERT INTO `sys_job_log` VALUES (1149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21943毫秒', '0', '', '2024-12-24 03:06:54');
INSERT INTO `sys_job_log` VALUES (1150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21941毫秒', '0', '', '2024-12-24 03:06:59');
INSERT INTO `sys_job_log` VALUES (1151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 03:07:16');
INSERT INTO `sys_job_log` VALUES (1152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:07:21');
INSERT INTO `sys_job_log` VALUES (1153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 03:07:38');
INSERT INTO `sys_job_log` VALUES (1154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 03:07:43');
INSERT INTO `sys_job_log` VALUES (1155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:08:00');
INSERT INTO `sys_job_log` VALUES (1156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 03:08:05');
INSERT INTO `sys_job_log` VALUES (1157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:08:22');
INSERT INTO `sys_job_log` VALUES (1158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 03:08:27');
INSERT INTO `sys_job_log` VALUES (1159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 03:08:44');
INSERT INTO `sys_job_log` VALUES (1160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 03:08:49');
INSERT INTO `sys_job_log` VALUES (1161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 03:09:06');
INSERT INTO `sys_job_log` VALUES (1162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:09:11');
INSERT INTO `sys_job_log` VALUES (1163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 03:09:28');
INSERT INTO `sys_job_log` VALUES (1164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:09:33');
INSERT INTO `sys_job_log` VALUES (1165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22059毫秒', '0', '', '2024-12-24 03:09:50');
INSERT INTO `sys_job_log` VALUES (1166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 03:09:55');
INSERT INTO `sys_job_log` VALUES (1167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21868毫秒', '0', '', '2024-12-24 03:10:12');
INSERT INTO `sys_job_log` VALUES (1168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 03:10:17');
INSERT INTO `sys_job_log` VALUES (1169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 03:10:34');
INSERT INTO `sys_job_log` VALUES (1170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:10:39');
INSERT INTO `sys_job_log` VALUES (1171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 03:10:56');
INSERT INTO `sys_job_log` VALUES (1172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:11:01');
INSERT INTO `sys_job_log` VALUES (1173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:11:18');
INSERT INTO `sys_job_log` VALUES (1174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:11:23');
INSERT INTO `sys_job_log` VALUES (1175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22010毫秒', '0', '', '2024-12-24 03:11:40');
INSERT INTO `sys_job_log` VALUES (1176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 03:11:45');
INSERT INTO `sys_job_log` VALUES (1177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21936毫秒', '0', '', '2024-12-24 03:12:02');
INSERT INTO `sys_job_log` VALUES (1178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 03:12:07');
INSERT INTO `sys_job_log` VALUES (1179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 03:12:24');
INSERT INTO `sys_job_log` VALUES (1180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 03:12:29');
INSERT INTO `sys_job_log` VALUES (1181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 03:12:46');
INSERT INTO `sys_job_log` VALUES (1182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:12:51');
INSERT INTO `sys_job_log` VALUES (1183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21942毫秒', '0', '', '2024-12-24 03:13:08');
INSERT INTO `sys_job_log` VALUES (1184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:13:13');
INSERT INTO `sys_job_log` VALUES (1185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:13:30');
INSERT INTO `sys_job_log` VALUES (1186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 03:13:35');
INSERT INTO `sys_job_log` VALUES (1187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 03:13:52');
INSERT INTO `sys_job_log` VALUES (1188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 03:13:57');
INSERT INTO `sys_job_log` VALUES (1189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 03:14:14');
INSERT INTO `sys_job_log` VALUES (1190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 03:14:19');
INSERT INTO `sys_job_log` VALUES (1191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:14:36');
INSERT INTO `sys_job_log` VALUES (1192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 03:14:41');
INSERT INTO `sys_job_log` VALUES (1193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 03:14:58');
INSERT INTO `sys_job_log` VALUES (1194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 03:15:03');
INSERT INTO `sys_job_log` VALUES (1195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21947毫秒', '0', '', '2024-12-24 03:15:20');
INSERT INTO `sys_job_log` VALUES (1196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:15:25');
INSERT INTO `sys_job_log` VALUES (1197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:15:42');
INSERT INTO `sys_job_log` VALUES (1198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 03:15:47');
INSERT INTO `sys_job_log` VALUES (1199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:16:04');
INSERT INTO `sys_job_log` VALUES (1200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 03:16:09');
INSERT INTO `sys_job_log` VALUES (1201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 03:16:26');
INSERT INTO `sys_job_log` VALUES (1202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 03:16:31');
INSERT INTO `sys_job_log` VALUES (1203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 03:16:48');
INSERT INTO `sys_job_log` VALUES (1204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 03:16:53');
INSERT INTO `sys_job_log` VALUES (1205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 03:17:10');
INSERT INTO `sys_job_log` VALUES (1206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:17:15');
INSERT INTO `sys_job_log` VALUES (1207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:17:32');
INSERT INTO `sys_job_log` VALUES (1208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22030毫秒', '0', '', '2024-12-24 03:17:37');
INSERT INTO `sys_job_log` VALUES (1209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:17:54');
INSERT INTO `sys_job_log` VALUES (1210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21919毫秒', '0', '', '2024-12-24 03:17:59');
INSERT INTO `sys_job_log` VALUES (1211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:18:16');
INSERT INTO `sys_job_log` VALUES (1212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:18:21');
INSERT INTO `sys_job_log` VALUES (1213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 03:18:38');
INSERT INTO `sys_job_log` VALUES (1214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21998毫秒', '0', '', '2024-12-24 03:18:43');
INSERT INTO `sys_job_log` VALUES (1215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 03:19:00');
INSERT INTO `sys_job_log` VALUES (1216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 03:19:05');
INSERT INTO `sys_job_log` VALUES (1217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 03:19:22');
INSERT INTO `sys_job_log` VALUES (1218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:19:27');
INSERT INTO `sys_job_log` VALUES (1219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 03:19:44');
INSERT INTO `sys_job_log` VALUES (1220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 03:19:49');
INSERT INTO `sys_job_log` VALUES (1221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 03:20:06');
INSERT INTO `sys_job_log` VALUES (1222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:20:11');
INSERT INTO `sys_job_log` VALUES (1223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:20:28');
INSERT INTO `sys_job_log` VALUES (1224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:20:33');
INSERT INTO `sys_job_log` VALUES (1225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 03:20:50');
INSERT INTO `sys_job_log` VALUES (1226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 03:20:55');
INSERT INTO `sys_job_log` VALUES (1227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 03:21:12');
INSERT INTO `sys_job_log` VALUES (1228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:21:17');
INSERT INTO `sys_job_log` VALUES (1229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21946毫秒', '0', '', '2024-12-24 03:21:34');
INSERT INTO `sys_job_log` VALUES (1230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 03:21:39');
INSERT INTO `sys_job_log` VALUES (1231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 03:21:56');
INSERT INTO `sys_job_log` VALUES (1232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:22:01');
INSERT INTO `sys_job_log` VALUES (1233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 03:22:18');
INSERT INTO `sys_job_log` VALUES (1234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:22:23');
INSERT INTO `sys_job_log` VALUES (1235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 03:22:40');
INSERT INTO `sys_job_log` VALUES (1236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:22:45');
INSERT INTO `sys_job_log` VALUES (1237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 03:23:02');
INSERT INTO `sys_job_log` VALUES (1238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 03:23:07');
INSERT INTO `sys_job_log` VALUES (1239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:23:24');
INSERT INTO `sys_job_log` VALUES (1240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:23:29');
INSERT INTO `sys_job_log` VALUES (1241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 03:23:46');
INSERT INTO `sys_job_log` VALUES (1242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 03:23:51');
INSERT INTO `sys_job_log` VALUES (1243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:24:08');
INSERT INTO `sys_job_log` VALUES (1244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 03:24:13');
INSERT INTO `sys_job_log` VALUES (1245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:24:30');
INSERT INTO `sys_job_log` VALUES (1246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 03:24:35');
INSERT INTO `sys_job_log` VALUES (1247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 03:24:52');
INSERT INTO `sys_job_log` VALUES (1248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:24:57');
INSERT INTO `sys_job_log` VALUES (1249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:25:14');
INSERT INTO `sys_job_log` VALUES (1250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:25:19');
INSERT INTO `sys_job_log` VALUES (1251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 03:25:36');
INSERT INTO `sys_job_log` VALUES (1252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 03:25:41');
INSERT INTO `sys_job_log` VALUES (1253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 03:25:58');
INSERT INTO `sys_job_log` VALUES (1254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21937毫秒', '0', '', '2024-12-24 03:26:03');
INSERT INTO `sys_job_log` VALUES (1255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:26:20');
INSERT INTO `sys_job_log` VALUES (1256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:26:25');
INSERT INTO `sys_job_log` VALUES (1257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 03:26:42');
INSERT INTO `sys_job_log` VALUES (1258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 03:26:47');
INSERT INTO `sys_job_log` VALUES (1259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 03:27:04');
INSERT INTO `sys_job_log` VALUES (1260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 03:27:09');
INSERT INTO `sys_job_log` VALUES (1261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 03:27:26');
INSERT INTO `sys_job_log` VALUES (1262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:27:31');
INSERT INTO `sys_job_log` VALUES (1263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 03:27:48');
INSERT INTO `sys_job_log` VALUES (1264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:27:53');
INSERT INTO `sys_job_log` VALUES (1265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 03:28:10');
INSERT INTO `sys_job_log` VALUES (1266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 03:28:15');
INSERT INTO `sys_job_log` VALUES (1267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:28:32');
INSERT INTO `sys_job_log` VALUES (1268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 03:28:37');
INSERT INTO `sys_job_log` VALUES (1269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21944毫秒', '0', '', '2024-12-24 03:28:54');
INSERT INTO `sys_job_log` VALUES (1270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 03:28:59');
INSERT INTO `sys_job_log` VALUES (1271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 03:29:16');
INSERT INTO `sys_job_log` VALUES (1272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:29:21');
INSERT INTO `sys_job_log` VALUES (1273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 03:29:38');
INSERT INTO `sys_job_log` VALUES (1274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:29:43');
INSERT INTO `sys_job_log` VALUES (1275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 03:30:00');
INSERT INTO `sys_job_log` VALUES (1276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 03:30:05');
INSERT INTO `sys_job_log` VALUES (1277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 03:31:12');
INSERT INTO `sys_job_log` VALUES (1278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66710毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 20,021 milliseconds ago. The last packet sent successfully to the server was 20,033 milliseconds ago.\r\n### The error may exist in file [C:\\project-java\\pla-chem-sim\\RuoYi-Vue\\ruoyi-sim\\target\\classes\\mapper\\sim\\SimMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.SimMapper.selectSimList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select sim_id,                seat_id,                sim_type,                sim_state,                sim_sn,                sim_num,                last_sent_time,                last_received_time,                create_by,                create_time,                update_by,                update_time,                remark         from sim_sim\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 20,021 milliseconds ago. The last packet sent successfully to the server was 20,033 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from ', '2024-12-24 03:31:12');
INSERT INTO `sys_job_log` VALUES (1279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21754毫秒', '0', '', '2024-12-24 03:31:34');
INSERT INTO `sys_job_log` VALUES (1280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21787毫秒', '0', '', '2024-12-24 03:31:34');
INSERT INTO `sys_job_log` VALUES (1281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:31:56');
INSERT INTO `sys_job_log` VALUES (1282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 03:31:56');
INSERT INTO `sys_job_log` VALUES (1283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22011毫秒', '0', '', '2024-12-24 03:32:18');
INSERT INTO `sys_job_log` VALUES (1284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 03:32:18');
INSERT INTO `sys_job_log` VALUES (1285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:32:40');
INSERT INTO `sys_job_log` VALUES (1286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:32:40');
INSERT INTO `sys_job_log` VALUES (1287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:33:02');
INSERT INTO `sys_job_log` VALUES (1288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:33:02');
INSERT INTO `sys_job_log` VALUES (1289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21931毫秒', '0', '', '2024-12-24 03:33:24');
INSERT INTO `sys_job_log` VALUES (1290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21929毫秒', '0', '', '2024-12-24 03:33:24');
INSERT INTO `sys_job_log` VALUES (1291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 03:33:46');
INSERT INTO `sys_job_log` VALUES (1292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22010毫秒', '0', '', '2024-12-24 03:33:46');
INSERT INTO `sys_job_log` VALUES (1293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 03:34:08');
INSERT INTO `sys_job_log` VALUES (1294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 03:34:08');
INSERT INTO `sys_job_log` VALUES (1295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 03:34:30');
INSERT INTO `sys_job_log` VALUES (1296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 03:34:30');
INSERT INTO `sys_job_log` VALUES (1297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 03:34:52');
INSERT INTO `sys_job_log` VALUES (1298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 03:34:52');
INSERT INTO `sys_job_log` VALUES (1299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:35:14');
INSERT INTO `sys_job_log` VALUES (1300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:35:14');
INSERT INTO `sys_job_log` VALUES (1301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 03:35:36');
INSERT INTO `sys_job_log` VALUES (1302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 03:35:36');
INSERT INTO `sys_job_log` VALUES (1303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 03:35:58');
INSERT INTO `sys_job_log` VALUES (1304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 03:35:58');
INSERT INTO `sys_job_log` VALUES (1305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 03:36:20');
INSERT INTO `sys_job_log` VALUES (1306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 03:36:20');
INSERT INTO `sys_job_log` VALUES (1307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 03:36:42');
INSERT INTO `sys_job_log` VALUES (1308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 03:36:42');
INSERT INTO `sys_job_log` VALUES (1309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 03:37:04');
INSERT INTO `sys_job_log` VALUES (1310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 03:37:04');
INSERT INTO `sys_job_log` VALUES (1311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:37:26');
INSERT INTO `sys_job_log` VALUES (1312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 03:37:26');
INSERT INTO `sys_job_log` VALUES (1313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 03:37:48');
INSERT INTO `sys_job_log` VALUES (1314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 03:37:48');
INSERT INTO `sys_job_log` VALUES (1315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21930毫秒', '0', '', '2024-12-24 03:38:10');
INSERT INTO `sys_job_log` VALUES (1316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21947毫秒', '0', '', '2024-12-24 03:38:10');
INSERT INTO `sys_job_log` VALUES (1317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:38:32');
INSERT INTO `sys_job_log` VALUES (1318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 03:38:32');
INSERT INTO `sys_job_log` VALUES (1319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 03:38:54');
INSERT INTO `sys_job_log` VALUES (1320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:38:54');
INSERT INTO `sys_job_log` VALUES (1321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 03:39:16');
INSERT INTO `sys_job_log` VALUES (1322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:39:16');
INSERT INTO `sys_job_log` VALUES (1323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 03:39:38');
INSERT INTO `sys_job_log` VALUES (1324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 03:39:38');
INSERT INTO `sys_job_log` VALUES (1325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 03:40:00');
INSERT INTO `sys_job_log` VALUES (1326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 03:40:00');
INSERT INTO `sys_job_log` VALUES (1327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:40:22');
INSERT INTO `sys_job_log` VALUES (1328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 03:40:22');
INSERT INTO `sys_job_log` VALUES (1329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22041毫秒', '0', '', '2024-12-24 03:40:44');
INSERT INTO `sys_job_log` VALUES (1330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22056毫秒', '0', '', '2024-12-24 03:40:44');
INSERT INTO `sys_job_log` VALUES (1331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21885毫秒', '0', '', '2024-12-24 03:41:06');
INSERT INTO `sys_job_log` VALUES (1332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21899毫秒', '0', '', '2024-12-24 03:41:06');
INSERT INTO `sys_job_log` VALUES (1333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 03:41:28');
INSERT INTO `sys_job_log` VALUES (1334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 03:41:28');
INSERT INTO `sys_job_log` VALUES (1335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 03:41:50');
INSERT INTO `sys_job_log` VALUES (1336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 03:41:50');
INSERT INTO `sys_job_log` VALUES (1337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22034毫秒', '0', '', '2024-12-24 03:42:12');
INSERT INTO `sys_job_log` VALUES (1338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22048毫秒', '0', '', '2024-12-24 03:42:12');
INSERT INTO `sys_job_log` VALUES (1339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21921毫秒', '0', '', '2024-12-24 03:42:34');
INSERT INTO `sys_job_log` VALUES (1340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21920毫秒', '0', '', '2024-12-24 03:42:34');
INSERT INTO `sys_job_log` VALUES (1341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 03:42:56');
INSERT INTO `sys_job_log` VALUES (1342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 03:42:56');
INSERT INTO `sys_job_log` VALUES (1343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 03:43:18');
INSERT INTO `sys_job_log` VALUES (1344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21939毫秒', '0', '', '2024-12-24 03:43:18');
INSERT INTO `sys_job_log` VALUES (1345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 03:43:40');
INSERT INTO `sys_job_log` VALUES (1346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 03:43:40');
INSERT INTO `sys_job_log` VALUES (1347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:44:02');
INSERT INTO `sys_job_log` VALUES (1348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:44:02');
INSERT INTO `sys_job_log` VALUES (1349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:44:24');
INSERT INTO `sys_job_log` VALUES (1350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 03:44:24');
INSERT INTO `sys_job_log` VALUES (1351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:44:46');
INSERT INTO `sys_job_log` VALUES (1352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:44:46');
INSERT INTO `sys_job_log` VALUES (1353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:45:08');
INSERT INTO `sys_job_log` VALUES (1354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 03:45:08');
INSERT INTO `sys_job_log` VALUES (1355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:45:30');
INSERT INTO `sys_job_log` VALUES (1356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:45:30');
INSERT INTO `sys_job_log` VALUES (1357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 03:45:52');
INSERT INTO `sys_job_log` VALUES (1358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:45:52');
INSERT INTO `sys_job_log` VALUES (1359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:46:14');
INSERT INTO `sys_job_log` VALUES (1360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:46:14');
INSERT INTO `sys_job_log` VALUES (1361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:46:36');
INSERT INTO `sys_job_log` VALUES (1362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 03:46:36');
INSERT INTO `sys_job_log` VALUES (1363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 03:46:58');
INSERT INTO `sys_job_log` VALUES (1364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22033毫秒', '0', '', '2024-12-24 03:46:58');
INSERT INTO `sys_job_log` VALUES (1365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21897毫秒', '0', '', '2024-12-24 03:47:20');
INSERT INTO `sys_job_log` VALUES (1366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 03:47:20');
INSERT INTO `sys_job_log` VALUES (1367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 03:47:42');
INSERT INTO `sys_job_log` VALUES (1368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 03:47:42');
INSERT INTO `sys_job_log` VALUES (1369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 03:48:04');
INSERT INTO `sys_job_log` VALUES (1370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 03:48:04');
INSERT INTO `sys_job_log` VALUES (1371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 03:48:26');
INSERT INTO `sys_job_log` VALUES (1372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:48:26');
INSERT INTO `sys_job_log` VALUES (1373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 03:48:48');
INSERT INTO `sys_job_log` VALUES (1374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:48:48');
INSERT INTO `sys_job_log` VALUES (1375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:49:10');
INSERT INTO `sys_job_log` VALUES (1376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:49:10');
INSERT INTO `sys_job_log` VALUES (1377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 03:49:32');
INSERT INTO `sys_job_log` VALUES (1378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:49:32');
INSERT INTO `sys_job_log` VALUES (1379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:49:54');
INSERT INTO `sys_job_log` VALUES (1380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:49:54');
INSERT INTO `sys_job_log` VALUES (1381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 03:50:16');
INSERT INTO `sys_job_log` VALUES (1382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:50:16');
INSERT INTO `sys_job_log` VALUES (1383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:50:38');
INSERT INTO `sys_job_log` VALUES (1384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 03:50:38');
INSERT INTO `sys_job_log` VALUES (1385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 03:51:00');
INSERT INTO `sys_job_log` VALUES (1386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 03:51:00');
INSERT INTO `sys_job_log` VALUES (1387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 03:51:22');
INSERT INTO `sys_job_log` VALUES (1388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 03:51:22');
INSERT INTO `sys_job_log` VALUES (1389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 03:51:44');
INSERT INTO `sys_job_log` VALUES (1390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22001毫秒', '0', '', '2024-12-24 03:51:44');
INSERT INTO `sys_job_log` VALUES (1391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21944毫秒', '0', '', '2024-12-24 03:52:06');
INSERT INTO `sys_job_log` VALUES (1392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 03:52:06');
INSERT INTO `sys_job_log` VALUES (1393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 03:52:28');
INSERT INTO `sys_job_log` VALUES (1394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22017毫秒', '0', '', '2024-12-24 03:52:28');
INSERT INTO `sys_job_log` VALUES (1395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 03:52:50');
INSERT INTO `sys_job_log` VALUES (1396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21942毫秒', '0', '', '2024-12-24 03:52:50');
INSERT INTO `sys_job_log` VALUES (1397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:53:12');
INSERT INTO `sys_job_log` VALUES (1398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 03:53:12');
INSERT INTO `sys_job_log` VALUES (1399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:53:34');
INSERT INTO `sys_job_log` VALUES (1400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 03:53:34');
INSERT INTO `sys_job_log` VALUES (1401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:53:56');
INSERT INTO `sys_job_log` VALUES (1402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 03:53:56');
INSERT INTO `sys_job_log` VALUES (1403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 03:54:18');
INSERT INTO `sys_job_log` VALUES (1404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:54:18');
INSERT INTO `sys_job_log` VALUES (1405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:54:40');
INSERT INTO `sys_job_log` VALUES (1406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:54:40');
INSERT INTO `sys_job_log` VALUES (1407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 03:55:02');
INSERT INTO `sys_job_log` VALUES (1408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 03:55:02');
INSERT INTO `sys_job_log` VALUES (1409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 03:55:24');
INSERT INTO `sys_job_log` VALUES (1410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:55:24');
INSERT INTO `sys_job_log` VALUES (1411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:55:46');
INSERT INTO `sys_job_log` VALUES (1412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 03:55:46');
INSERT INTO `sys_job_log` VALUES (1413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21937毫秒', '0', '', '2024-12-24 03:56:08');
INSERT INTO `sys_job_log` VALUES (1414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21939毫秒', '0', '', '2024-12-24 03:56:08');
INSERT INTO `sys_job_log` VALUES (1415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 03:56:30');
INSERT INTO `sys_job_log` VALUES (1416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 03:56:30');
INSERT INTO `sys_job_log` VALUES (1417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 03:56:52');
INSERT INTO `sys_job_log` VALUES (1418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-24 03:56:52');
INSERT INTO `sys_job_log` VALUES (1419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 03:57:14');
INSERT INTO `sys_job_log` VALUES (1420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 03:57:14');
INSERT INTO `sys_job_log` VALUES (1421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 03:57:36');
INSERT INTO `sys_job_log` VALUES (1422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 03:57:36');
INSERT INTO `sys_job_log` VALUES (1423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-24 03:57:58');
INSERT INTO `sys_job_log` VALUES (1424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 03:57:58');
INSERT INTO `sys_job_log` VALUES (1425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 03:58:20');
INSERT INTO `sys_job_log` VALUES (1426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 03:58:20');
INSERT INTO `sys_job_log` VALUES (1427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 03:58:42');
INSERT INTO `sys_job_log` VALUES (1428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 03:58:42');
INSERT INTO `sys_job_log` VALUES (1429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:59:04');
INSERT INTO `sys_job_log` VALUES (1430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:59:04');
INSERT INTO `sys_job_log` VALUES (1431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21938毫秒', '0', '', '2024-12-24 03:59:26');
INSERT INTO `sys_job_log` VALUES (1432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 03:59:26');
INSERT INTO `sys_job_log` VALUES (1433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 03:59:48');
INSERT INTO `sys_job_log` VALUES (1434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 03:59:48');
INSERT INTO `sys_job_log` VALUES (1435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60993毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error querying database.  Cause: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is com.alibaba.druid.pool.GetConnectionTimeoutException: wait millis 60008, active 0, maxActive 20, creating 0, createErrorCount 364\r\n### The error may exist in file [C:\\project-java\\pla-chem-sim\\RuoYi-Vue\\ruoyi-sim\\target\\classes\\mapper\\sim\\SimMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.SimMapper.selectSimList\r\n### The error occurred while executing a query\r\n### Cause: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is com.alibaba.druid.pool.GetConnectionTimeoutException: wait millis 60008, active 0, maxActive 20, creating 0, createErrorCount 364\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:97)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:439)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy107.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at org.apache.ibatis.b', '2024-12-24 04:03:37');
INSERT INTO `sys_job_log` VALUES (1436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60993毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.mybatis.spring.MyBatisSystemException: nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error querying database.  Cause: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is com.alibaba.druid.pool.GetConnectionTimeoutException: wait millis 60008, active 0, maxActive 20, creating 0, createErrorCount 364\r\n### The error may exist in file [C:\\project-java\\pla-chem-sim\\RuoYi-Vue\\ruoyi-sim\\target\\classes\\mapper\\sim\\SimMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.SimMapper.selectSimList\r\n### The error occurred while executing a query\r\n### Cause: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is com.alibaba.druid.pool.GetConnectionTimeoutException: wait millis 60008, active 0, maxActive 20, creating 0, createErrorCount 364\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:97)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:439)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy107.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at org.apache.ibatis.b', '2024-12-24 04:03:37');
INSERT INTO `sys_job_log` VALUES (1437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22031毫秒', '0', '', '2024-12-24 04:03:59');
INSERT INTO `sys_job_log` VALUES (1438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 04:03:59');
INSERT INTO `sys_job_log` VALUES (1439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21945毫秒', '0', '', '2024-12-24 04:04:21');
INSERT INTO `sys_job_log` VALUES (1440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 04:04:21');
INSERT INTO `sys_job_log` VALUES (1441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 04:04:43');
INSERT INTO `sys_job_log` VALUES (1442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:04:43');
INSERT INTO `sys_job_log` VALUES (1443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:05:05');
INSERT INTO `sys_job_log` VALUES (1444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:05:05');
INSERT INTO `sys_job_log` VALUES (1445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 04:05:27');
INSERT INTO `sys_job_log` VALUES (1446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 04:05:27');
INSERT INTO `sys_job_log` VALUES (1447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:05:49');
INSERT INTO `sys_job_log` VALUES (1448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:05:49');
INSERT INTO `sys_job_log` VALUES (1449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:06:11');
INSERT INTO `sys_job_log` VALUES (1450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 04:06:11');
INSERT INTO `sys_job_log` VALUES (1451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 04:06:33');
INSERT INTO `sys_job_log` VALUES (1452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 04:06:33');
INSERT INTO `sys_job_log` VALUES (1453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 04:06:55');
INSERT INTO `sys_job_log` VALUES (1454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:06:55');
INSERT INTO `sys_job_log` VALUES (1455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 04:07:17');
INSERT INTO `sys_job_log` VALUES (1456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 04:07:17');
INSERT INTO `sys_job_log` VALUES (1457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:07:39');
INSERT INTO `sys_job_log` VALUES (1458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 04:07:39');
INSERT INTO `sys_job_log` VALUES (1459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 04:08:01');
INSERT INTO `sys_job_log` VALUES (1460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 04:08:01');
INSERT INTO `sys_job_log` VALUES (1461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 04:08:23');
INSERT INTO `sys_job_log` VALUES (1462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22010毫秒', '0', '', '2024-12-24 04:08:23');
INSERT INTO `sys_job_log` VALUES (1463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:08:45');
INSERT INTO `sys_job_log` VALUES (1464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21946毫秒', '0', '', '2024-12-24 04:08:45');
INSERT INTO `sys_job_log` VALUES (1465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 04:09:07');
INSERT INTO `sys_job_log` VALUES (1466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:09:07');
INSERT INTO `sys_job_log` VALUES (1467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:09:29');
INSERT INTO `sys_job_log` VALUES (1468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22025毫秒', '0', '', '2024-12-24 04:09:29');
INSERT INTO `sys_job_log` VALUES (1469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 04:09:51');
INSERT INTO `sys_job_log` VALUES (1470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 04:09:51');
INSERT INTO `sys_job_log` VALUES (1471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21940毫秒', '0', '', '2024-12-24 04:10:13');
INSERT INTO `sys_job_log` VALUES (1472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 04:10:13');
INSERT INTO `sys_job_log` VALUES (1473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:10:35');
INSERT INTO `sys_job_log` VALUES (1474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22024毫秒', '0', '', '2024-12-24 04:10:35');
INSERT INTO `sys_job_log` VALUES (1475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21936毫秒', '0', '', '2024-12-24 04:10:57');
INSERT INTO `sys_job_log` VALUES (1476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 04:10:57');
INSERT INTO `sys_job_log` VALUES (1477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 04:11:19');
INSERT INTO `sys_job_log` VALUES (1478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:11:19');
INSERT INTO `sys_job_log` VALUES (1479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:11:41');
INSERT INTO `sys_job_log` VALUES (1480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:11:41');
INSERT INTO `sys_job_log` VALUES (1481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:12:03');
INSERT INTO `sys_job_log` VALUES (1482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 04:12:03');
INSERT INTO `sys_job_log` VALUES (1483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:12:25');
INSERT INTO `sys_job_log` VALUES (1484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 04:12:25');
INSERT INTO `sys_job_log` VALUES (1485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 04:12:47');
INSERT INTO `sys_job_log` VALUES (1486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:12:47');
INSERT INTO `sys_job_log` VALUES (1487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 04:13:09');
INSERT INTO `sys_job_log` VALUES (1488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:13:09');
INSERT INTO `sys_job_log` VALUES (1489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 04:13:31');
INSERT INTO `sys_job_log` VALUES (1490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22015毫秒', '0', '', '2024-12-24 04:13:31');
INSERT INTO `sys_job_log` VALUES (1491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 04:13:53');
INSERT INTO `sys_job_log` VALUES (1492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:13:53');
INSERT INTO `sys_job_log` VALUES (1493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:14:15');
INSERT INTO `sys_job_log` VALUES (1494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 04:14:15');
INSERT INTO `sys_job_log` VALUES (1495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:14:37');
INSERT INTO `sys_job_log` VALUES (1496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 04:14:37');
INSERT INTO `sys_job_log` VALUES (1497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 04:14:59');
INSERT INTO `sys_job_log` VALUES (1498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:14:59');
INSERT INTO `sys_job_log` VALUES (1499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 04:15:21');
INSERT INTO `sys_job_log` VALUES (1500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:15:21');
INSERT INTO `sys_job_log` VALUES (1501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 04:15:43');
INSERT INTO `sys_job_log` VALUES (1502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:15:43');
INSERT INTO `sys_job_log` VALUES (1503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:16:05');
INSERT INTO `sys_job_log` VALUES (1504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 04:16:05');
INSERT INTO `sys_job_log` VALUES (1505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 04:16:27');
INSERT INTO `sys_job_log` VALUES (1506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 04:16:27');
INSERT INTO `sys_job_log` VALUES (1507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 04:16:49');
INSERT INTO `sys_job_log` VALUES (1508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 04:16:49');
INSERT INTO `sys_job_log` VALUES (1509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 04:17:11');
INSERT INTO `sys_job_log` VALUES (1510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 04:17:11');
INSERT INTO `sys_job_log` VALUES (1511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 04:17:33');
INSERT INTO `sys_job_log` VALUES (1512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 04:17:33');
INSERT INTO `sys_job_log` VALUES (1513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 04:17:55');
INSERT INTO `sys_job_log` VALUES (1514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:17:55');
INSERT INTO `sys_job_log` VALUES (1515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22059毫秒', '0', '', '2024-12-24 04:18:17');
INSERT INTO `sys_job_log` VALUES (1516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22080毫秒', '0', '', '2024-12-24 04:18:17');
INSERT INTO `sys_job_log` VALUES (1517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21905毫秒', '0', '', '2024-12-24 04:18:39');
INSERT INTO `sys_job_log` VALUES (1518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21926毫秒', '0', '', '2024-12-24 04:18:39');
INSERT INTO `sys_job_log` VALUES (1519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 04:19:01');
INSERT INTO `sys_job_log` VALUES (1520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 04:19:01');
INSERT INTO `sys_job_log` VALUES (1521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 04:19:23');
INSERT INTO `sys_job_log` VALUES (1522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 04:19:23');
INSERT INTO `sys_job_log` VALUES (1523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 04:19:45');
INSERT INTO `sys_job_log` VALUES (1524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 04:19:45');
INSERT INTO `sys_job_log` VALUES (1525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 04:20:07');
INSERT INTO `sys_job_log` VALUES (1526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:20:07');
INSERT INTO `sys_job_log` VALUES (1527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:20:29');
INSERT INTO `sys_job_log` VALUES (1528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:20:29');
INSERT INTO `sys_job_log` VALUES (1529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 04:20:51');
INSERT INTO `sys_job_log` VALUES (1530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 04:20:51');
INSERT INTO `sys_job_log` VALUES (1531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 04:21:13');
INSERT INTO `sys_job_log` VALUES (1532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 04:21:13');
INSERT INTO `sys_job_log` VALUES (1533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 04:21:35');
INSERT INTO `sys_job_log` VALUES (1534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:21:35');
INSERT INTO `sys_job_log` VALUES (1535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 04:21:57');
INSERT INTO `sys_job_log` VALUES (1536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-24 04:21:57');
INSERT INTO `sys_job_log` VALUES (1537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 04:22:19');
INSERT INTO `sys_job_log` VALUES (1538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 04:22:19');
INSERT INTO `sys_job_log` VALUES (1539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:22:41');
INSERT INTO `sys_job_log` VALUES (1540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:22:41');
INSERT INTO `sys_job_log` VALUES (1541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:23:03');
INSERT INTO `sys_job_log` VALUES (1542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22010毫秒', '0', '', '2024-12-24 04:23:03');
INSERT INTO `sys_job_log` VALUES (1543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 04:23:25');
INSERT INTO `sys_job_log` VALUES (1544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:23:25');
INSERT INTO `sys_job_log` VALUES (1545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:23:47');
INSERT INTO `sys_job_log` VALUES (1546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 04:23:47');
INSERT INTO `sys_job_log` VALUES (1547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:24:09');
INSERT INTO `sys_job_log` VALUES (1548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:24:09');
INSERT INTO `sys_job_log` VALUES (1549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 04:24:31');
INSERT INTO `sys_job_log` VALUES (1550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 04:24:31');
INSERT INTO `sys_job_log` VALUES (1551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:24:53');
INSERT INTO `sys_job_log` VALUES (1552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:24:53');
INSERT INTO `sys_job_log` VALUES (1553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:25:15');
INSERT INTO `sys_job_log` VALUES (1554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:25:15');
INSERT INTO `sys_job_log` VALUES (1555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 04:25:37');
INSERT INTO `sys_job_log` VALUES (1556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 04:25:37');
INSERT INTO `sys_job_log` VALUES (1557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 04:25:59');
INSERT INTO `sys_job_log` VALUES (1558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:25:59');
INSERT INTO `sys_job_log` VALUES (1559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 04:26:21');
INSERT INTO `sys_job_log` VALUES (1560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 04:26:21');
INSERT INTO `sys_job_log` VALUES (1561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:26:43');
INSERT INTO `sys_job_log` VALUES (1562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:26:43');
INSERT INTO `sys_job_log` VALUES (1563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 04:27:05');
INSERT INTO `sys_job_log` VALUES (1564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 04:27:05');
INSERT INTO `sys_job_log` VALUES (1565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 04:27:27');
INSERT INTO `sys_job_log` VALUES (1566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-24 04:27:27');
INSERT INTO `sys_job_log` VALUES (1567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:27:49');
INSERT INTO `sys_job_log` VALUES (1568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 04:27:49');
INSERT INTO `sys_job_log` VALUES (1569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 04:28:11');
INSERT INTO `sys_job_log` VALUES (1570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22031毫秒', '0', '', '2024-12-24 04:28:11');
INSERT INTO `sys_job_log` VALUES (1571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21913毫秒', '0', '', '2024-12-24 04:28:33');
INSERT INTO `sys_job_log` VALUES (1572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 04:28:33');
INSERT INTO `sys_job_log` VALUES (1573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:28:55');
INSERT INTO `sys_job_log` VALUES (1574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 04:28:55');
INSERT INTO `sys_job_log` VALUES (1575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:29:17');
INSERT INTO `sys_job_log` VALUES (1576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 04:29:17');
INSERT INTO `sys_job_log` VALUES (1577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 04:29:39');
INSERT INTO `sys_job_log` VALUES (1578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 04:29:39');
INSERT INTO `sys_job_log` VALUES (1579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:30:01');
INSERT INTO `sys_job_log` VALUES (1580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 04:30:01');
INSERT INTO `sys_job_log` VALUES (1581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 04:30:23');
INSERT INTO `sys_job_log` VALUES (1582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:30:23');
INSERT INTO `sys_job_log` VALUES (1583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 04:30:45');
INSERT INTO `sys_job_log` VALUES (1584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 04:30:45');
INSERT INTO `sys_job_log` VALUES (1585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:31:07');
INSERT INTO `sys_job_log` VALUES (1586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 04:31:07');
INSERT INTO `sys_job_log` VALUES (1587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21952毫秒', '0', '', '2024-12-24 04:31:29');
INSERT INTO `sys_job_log` VALUES (1588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:31:29');
INSERT INTO `sys_job_log` VALUES (1589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22013毫秒', '0', '', '2024-12-24 04:31:51');
INSERT INTO `sys_job_log` VALUES (1590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 04:31:51');
INSERT INTO `sys_job_log` VALUES (1591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 04:32:13');
INSERT INTO `sys_job_log` VALUES (1592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:32:13');
INSERT INTO `sys_job_log` VALUES (1593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:32:35');
INSERT INTO `sys_job_log` VALUES (1594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 04:32:35');
INSERT INTO `sys_job_log` VALUES (1595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21945毫秒', '0', '', '2024-12-24 04:32:57');
INSERT INTO `sys_job_log` VALUES (1596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 04:32:57');
INSERT INTO `sys_job_log` VALUES (1597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 04:33:19');
INSERT INTO `sys_job_log` VALUES (1598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 04:33:19');
INSERT INTO `sys_job_log` VALUES (1599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:33:41');
INSERT INTO `sys_job_log` VALUES (1600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 04:33:41');
INSERT INTO `sys_job_log` VALUES (1601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 04:34:03');
INSERT INTO `sys_job_log` VALUES (1602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 04:34:03');
INSERT INTO `sys_job_log` VALUES (1603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 04:34:25');
INSERT INTO `sys_job_log` VALUES (1604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:34:25');
INSERT INTO `sys_job_log` VALUES (1605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 04:34:47');
INSERT INTO `sys_job_log` VALUES (1606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 04:34:47');
INSERT INTO `sys_job_log` VALUES (1607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 04:35:09');
INSERT INTO `sys_job_log` VALUES (1608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:35:09');
INSERT INTO `sys_job_log` VALUES (1609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:35:31');
INSERT INTO `sys_job_log` VALUES (1610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:35:31');
INSERT INTO `sys_job_log` VALUES (1611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 04:35:53');
INSERT INTO `sys_job_log` VALUES (1612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:35:53');
INSERT INTO `sys_job_log` VALUES (1613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 04:36:15');
INSERT INTO `sys_job_log` VALUES (1614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 04:36:15');
INSERT INTO `sys_job_log` VALUES (1615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 04:36:37');
INSERT INTO `sys_job_log` VALUES (1616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 04:36:37');
INSERT INTO `sys_job_log` VALUES (1617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:36:59');
INSERT INTO `sys_job_log` VALUES (1618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 04:36:59');
INSERT INTO `sys_job_log` VALUES (1619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:37:21');
INSERT INTO `sys_job_log` VALUES (1620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:37:21');
INSERT INTO `sys_job_log` VALUES (1621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 04:37:43');
INSERT INTO `sys_job_log` VALUES (1622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 04:37:43');
INSERT INTO `sys_job_log` VALUES (1623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:38:05');
INSERT INTO `sys_job_log` VALUES (1624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:38:05');
INSERT INTO `sys_job_log` VALUES (1625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 04:38:27');
INSERT INTO `sys_job_log` VALUES (1626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 04:38:27');
INSERT INTO `sys_job_log` VALUES (1627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 04:38:49');
INSERT INTO `sys_job_log` VALUES (1628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 04:38:49');
INSERT INTO `sys_job_log` VALUES (1629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 04:39:11');
INSERT INTO `sys_job_log` VALUES (1630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:39:11');
INSERT INTO `sys_job_log` VALUES (1631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22015毫秒', '0', '', '2024-12-24 04:39:33');
INSERT INTO `sys_job_log` VALUES (1632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 04:39:33');
INSERT INTO `sys_job_log` VALUES (1633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 04:39:55');
INSERT INTO `sys_job_log` VALUES (1634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:39:55');
INSERT INTO `sys_job_log` VALUES (1635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:40:17');
INSERT INTO `sys_job_log` VALUES (1636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 04:40:17');
INSERT INTO `sys_job_log` VALUES (1637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 04:40:39');
INSERT INTO `sys_job_log` VALUES (1638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 04:40:39');
INSERT INTO `sys_job_log` VALUES (1639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 04:41:01');
INSERT INTO `sys_job_log` VALUES (1640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:41:01');
INSERT INTO `sys_job_log` VALUES (1641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:41:23');
INSERT INTO `sys_job_log` VALUES (1642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:41:23');
INSERT INTO `sys_job_log` VALUES (1643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 04:41:45');
INSERT INTO `sys_job_log` VALUES (1644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 04:41:45');
INSERT INTO `sys_job_log` VALUES (1645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-24 04:42:07');
INSERT INTO `sys_job_log` VALUES (1646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22022毫秒', '0', '', '2024-12-24 04:42:07');
INSERT INTO `sys_job_log` VALUES (1647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 04:42:29');
INSERT INTO `sys_job_log` VALUES (1648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 04:42:29');
INSERT INTO `sys_job_log` VALUES (1649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:42:51');
INSERT INTO `sys_job_log` VALUES (1650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:42:51');
INSERT INTO `sys_job_log` VALUES (1651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 04:43:13');
INSERT INTO `sys_job_log` VALUES (1652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 04:43:13');
INSERT INTO `sys_job_log` VALUES (1653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 04:43:35');
INSERT INTO `sys_job_log` VALUES (1654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 04:43:35');
INSERT INTO `sys_job_log` VALUES (1655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:43:57');
INSERT INTO `sys_job_log` VALUES (1656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:43:57');
INSERT INTO `sys_job_log` VALUES (1657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 04:44:19');
INSERT INTO `sys_job_log` VALUES (1658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:44:19');
INSERT INTO `sys_job_log` VALUES (1659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 04:44:41');
INSERT INTO `sys_job_log` VALUES (1660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22011毫秒', '0', '', '2024-12-24 04:44:41');
INSERT INTO `sys_job_log` VALUES (1661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 04:45:03');
INSERT INTO `sys_job_log` VALUES (1662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:45:03');
INSERT INTO `sys_job_log` VALUES (1663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 04:45:25');
INSERT INTO `sys_job_log` VALUES (1664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 04:45:25');
INSERT INTO `sys_job_log` VALUES (1665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:45:47');
INSERT INTO `sys_job_log` VALUES (1666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:45:47');
INSERT INTO `sys_job_log` VALUES (1667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 04:46:09');
INSERT INTO `sys_job_log` VALUES (1668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:46:09');
INSERT INTO `sys_job_log` VALUES (1669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22074毫秒', '0', '', '2024-12-24 04:46:31');
INSERT INTO `sys_job_log` VALUES (1670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22045毫秒', '0', '', '2024-12-24 04:46:31');
INSERT INTO `sys_job_log` VALUES (1671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21907毫秒', '0', '', '2024-12-24 04:46:53');
INSERT INTO `sys_job_log` VALUES (1672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21912毫秒', '0', '', '2024-12-24 04:46:53');
INSERT INTO `sys_job_log` VALUES (1673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:47:15');
INSERT INTO `sys_job_log` VALUES (1674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 04:47:15');
INSERT INTO `sys_job_log` VALUES (1675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:47:37');
INSERT INTO `sys_job_log` VALUES (1676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:47:37');
INSERT INTO `sys_job_log` VALUES (1677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 04:47:59');
INSERT INTO `sys_job_log` VALUES (1678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 04:47:59');
INSERT INTO `sys_job_log` VALUES (1679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 04:48:21');
INSERT INTO `sys_job_log` VALUES (1680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:48:21');
INSERT INTO `sys_job_log` VALUES (1681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 04:48:43');
INSERT INTO `sys_job_log` VALUES (1682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22019毫秒', '0', '', '2024-12-24 04:48:43');
INSERT INTO `sys_job_log` VALUES (1683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 04:49:05');
INSERT INTO `sys_job_log` VALUES (1684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:49:05');
INSERT INTO `sys_job_log` VALUES (1685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 04:49:27');
INSERT INTO `sys_job_log` VALUES (1686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:49:27');
INSERT INTO `sys_job_log` VALUES (1687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 04:49:49');
INSERT INTO `sys_job_log` VALUES (1688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:49:49');
INSERT INTO `sys_job_log` VALUES (1689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21944毫秒', '0', '', '2024-12-24 04:50:11');
INSERT INTO `sys_job_log` VALUES (1690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 04:50:11');
INSERT INTO `sys_job_log` VALUES (1691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:50:33');
INSERT INTO `sys_job_log` VALUES (1692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 04:50:33');
INSERT INTO `sys_job_log` VALUES (1693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:50:55');
INSERT INTO `sys_job_log` VALUES (1694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 04:50:55');
INSERT INTO `sys_job_log` VALUES (1695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 04:51:17');
INSERT INTO `sys_job_log` VALUES (1696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22014毫秒', '0', '', '2024-12-24 04:51:17');
INSERT INTO `sys_job_log` VALUES (1697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:51:39');
INSERT INTO `sys_job_log` VALUES (1698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:51:39');
INSERT INTO `sys_job_log` VALUES (1699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 04:52:01');
INSERT INTO `sys_job_log` VALUES (1700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 04:52:01');
INSERT INTO `sys_job_log` VALUES (1701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 04:52:23');
INSERT INTO `sys_job_log` VALUES (1702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 04:52:23');
INSERT INTO `sys_job_log` VALUES (1703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:52:45');
INSERT INTO `sys_job_log` VALUES (1704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 04:52:45');
INSERT INTO `sys_job_log` VALUES (1705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 04:53:07');
INSERT INTO `sys_job_log` VALUES (1706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:53:07');
INSERT INTO `sys_job_log` VALUES (1707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 04:53:29');
INSERT INTO `sys_job_log` VALUES (1708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 04:53:29');
INSERT INTO `sys_job_log` VALUES (1709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21950毫秒', '0', '', '2024-12-24 04:53:51');
INSERT INTO `sys_job_log` VALUES (1710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 04:53:51');
INSERT INTO `sys_job_log` VALUES (1711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 04:54:13');
INSERT INTO `sys_job_log` VALUES (1712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 04:54:13');
INSERT INTO `sys_job_log` VALUES (1713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 04:54:35');
INSERT INTO `sys_job_log` VALUES (1714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 04:54:35');
INSERT INTO `sys_job_log` VALUES (1715, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 04:54:57');
INSERT INTO `sys_job_log` VALUES (1716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 04:54:57');
INSERT INTO `sys_job_log` VALUES (1717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 04:55:19');
INSERT INTO `sys_job_log` VALUES (1718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22038毫秒', '0', '', '2024-12-24 04:55:19');
INSERT INTO `sys_job_log` VALUES (1719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 04:55:41');
INSERT INTO `sys_job_log` VALUES (1720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21924毫秒', '0', '', '2024-12-24 04:55:41');
INSERT INTO `sys_job_log` VALUES (1721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 04:56:03');
INSERT INTO `sys_job_log` VALUES (1722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 04:56:03');
INSERT INTO `sys_job_log` VALUES (1723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 04:56:25');
INSERT INTO `sys_job_log` VALUES (1724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 04:56:25');
INSERT INTO `sys_job_log` VALUES (1725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:56:47');
INSERT INTO `sys_job_log` VALUES (1726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22019毫秒', '0', '', '2024-12-24 04:56:47');
INSERT INTO `sys_job_log` VALUES (1727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 04:57:09');
INSERT INTO `sys_job_log` VALUES (1728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 04:57:09');
INSERT INTO `sys_job_log` VALUES (1729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 04:57:31');
INSERT INTO `sys_job_log` VALUES (1730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 04:57:31');
INSERT INTO `sys_job_log` VALUES (1731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:57:53');
INSERT INTO `sys_job_log` VALUES (1732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 04:57:53');
INSERT INTO `sys_job_log` VALUES (1733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 04:58:15');
INSERT INTO `sys_job_log` VALUES (1734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:58:15');
INSERT INTO `sys_job_log` VALUES (1735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 04:58:37');
INSERT INTO `sys_job_log` VALUES (1736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22026毫秒', '0', '', '2024-12-24 04:58:37');
INSERT INTO `sys_job_log` VALUES (1737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 04:58:59');
INSERT INTO `sys_job_log` VALUES (1738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 04:58:59');
INSERT INTO `sys_job_log` VALUES (1739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 04:59:21');
INSERT INTO `sys_job_log` VALUES (1740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 04:59:21');
INSERT INTO `sys_job_log` VALUES (1741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 04:59:43');
INSERT INTO `sys_job_log` VALUES (1742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 04:59:43');
INSERT INTO `sys_job_log` VALUES (1743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21935毫秒', '0', '', '2024-12-24 05:00:05');
INSERT INTO `sys_job_log` VALUES (1744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 05:00:05');
INSERT INTO `sys_job_log` VALUES (1745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 05:00:27');
INSERT INTO `sys_job_log` VALUES (1746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22019毫秒', '0', '', '2024-12-24 05:00:27');
INSERT INTO `sys_job_log` VALUES (1747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 05:00:49');
INSERT INTO `sys_job_log` VALUES (1748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 05:00:49');
INSERT INTO `sys_job_log` VALUES (1749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:01:11');
INSERT INTO `sys_job_log` VALUES (1750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 05:01:11');
INSERT INTO `sys_job_log` VALUES (1751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21946毫秒', '0', '', '2024-12-24 05:01:33');
INSERT INTO `sys_job_log` VALUES (1752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:01:33');
INSERT INTO `sys_job_log` VALUES (1753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:01:55');
INSERT INTO `sys_job_log` VALUES (1754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22011毫秒', '0', '', '2024-12-24 05:01:55');
INSERT INTO `sys_job_log` VALUES (1755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:02:17');
INSERT INTO `sys_job_log` VALUES (1756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:02:17');
INSERT INTO `sys_job_log` VALUES (1757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:02:39');
INSERT INTO `sys_job_log` VALUES (1758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 05:02:39');
INSERT INTO `sys_job_log` VALUES (1759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 05:03:01');
INSERT INTO `sys_job_log` VALUES (1760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 05:03:01');
INSERT INTO `sys_job_log` VALUES (1761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 05:03:23');
INSERT INTO `sys_job_log` VALUES (1762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 05:03:23');
INSERT INTO `sys_job_log` VALUES (1763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:03:45');
INSERT INTO `sys_job_log` VALUES (1764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:03:45');
INSERT INTO `sys_job_log` VALUES (1765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 05:04:07');
INSERT INTO `sys_job_log` VALUES (1766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22020毫秒', '0', '', '2024-12-24 05:04:07');
INSERT INTO `sys_job_log` VALUES (1767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21935毫秒', '0', '', '2024-12-24 05:04:29');
INSERT INTO `sys_job_log` VALUES (1768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 05:04:29');
INSERT INTO `sys_job_log` VALUES (1769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:04:51');
INSERT INTO `sys_job_log` VALUES (1770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 05:04:51');
INSERT INTO `sys_job_log` VALUES (1771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 05:05:13');
INSERT INTO `sys_job_log` VALUES (1772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22014毫秒', '0', '', '2024-12-24 05:05:13');
INSERT INTO `sys_job_log` VALUES (1773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21935毫秒', '0', '', '2024-12-24 05:05:35');
INSERT INTO `sys_job_log` VALUES (1774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 05:05:35');
INSERT INTO `sys_job_log` VALUES (1775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:05:57');
INSERT INTO `sys_job_log` VALUES (1776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 05:05:57');
INSERT INTO `sys_job_log` VALUES (1777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 05:06:19');
INSERT INTO `sys_job_log` VALUES (1778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:06:19');
INSERT INTO `sys_job_log` VALUES (1779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 05:06:41');
INSERT INTO `sys_job_log` VALUES (1780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22054毫秒', '0', '', '2024-12-24 05:06:41');
INSERT INTO `sys_job_log` VALUES (1781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21893毫秒', '0', '', '2024-12-24 05:07:03');
INSERT INTO `sys_job_log` VALUES (1782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 05:07:03');
INSERT INTO `sys_job_log` VALUES (1783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 05:07:25');
INSERT INTO `sys_job_log` VALUES (1784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 05:07:25');
INSERT INTO `sys_job_log` VALUES (1785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:07:47');
INSERT INTO `sys_job_log` VALUES (1786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 05:07:47');
INSERT INTO `sys_job_log` VALUES (1787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:08:09');
INSERT INTO `sys_job_log` VALUES (1788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 05:08:09');
INSERT INTO `sys_job_log` VALUES (1789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:08:31');
INSERT INTO `sys_job_log` VALUES (1790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 05:08:31');
INSERT INTO `sys_job_log` VALUES (1791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 05:08:53');
INSERT INTO `sys_job_log` VALUES (1792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 05:08:53');
INSERT INTO `sys_job_log` VALUES (1793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:09:15');
INSERT INTO `sys_job_log` VALUES (1794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:09:15');
INSERT INTO `sys_job_log` VALUES (1795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:09:37');
INSERT INTO `sys_job_log` VALUES (1796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:09:37');
INSERT INTO `sys_job_log` VALUES (1797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 05:09:59');
INSERT INTO `sys_job_log` VALUES (1798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 05:09:59');
INSERT INTO `sys_job_log` VALUES (1799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:10:21');
INSERT INTO `sys_job_log` VALUES (1800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 05:10:21');
INSERT INTO `sys_job_log` VALUES (1801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 05:10:43');
INSERT INTO `sys_job_log` VALUES (1802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22039毫秒', '0', '', '2024-12-24 05:10:43');
INSERT INTO `sys_job_log` VALUES (1803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21922毫秒', '0', '', '2024-12-24 05:11:05');
INSERT INTO `sys_job_log` VALUES (1804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21922毫秒', '0', '', '2024-12-24 05:11:05');
INSERT INTO `sys_job_log` VALUES (1805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 05:11:27');
INSERT INTO `sys_job_log` VALUES (1806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 05:11:27');
INSERT INTO `sys_job_log` VALUES (1807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 05:11:49');
INSERT INTO `sys_job_log` VALUES (1808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 05:11:49');
INSERT INTO `sys_job_log` VALUES (1809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21942毫秒', '0', '', '2024-12-24 05:12:11');
INSERT INTO `sys_job_log` VALUES (1810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:12:11');
INSERT INTO `sys_job_log` VALUES (1811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22010毫秒', '0', '', '2024-12-24 05:12:33');
INSERT INTO `sys_job_log` VALUES (1812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:12:33');
INSERT INTO `sys_job_log` VALUES (1813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21949毫秒', '0', '', '2024-12-24 05:12:55');
INSERT INTO `sys_job_log` VALUES (1814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:12:55');
INSERT INTO `sys_job_log` VALUES (1815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:13:17');
INSERT INTO `sys_job_log` VALUES (1816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 05:13:17');
INSERT INTO `sys_job_log` VALUES (1817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:13:39');
INSERT INTO `sys_job_log` VALUES (1818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 05:13:39');
INSERT INTO `sys_job_log` VALUES (1819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:14:01');
INSERT INTO `sys_job_log` VALUES (1820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:14:01');
INSERT INTO `sys_job_log` VALUES (1821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:14:23');
INSERT INTO `sys_job_log` VALUES (1822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 05:14:23');
INSERT INTO `sys_job_log` VALUES (1823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22016毫秒', '0', '', '2024-12-24 05:14:45');
INSERT INTO `sys_job_log` VALUES (1824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22028毫秒', '0', '', '2024-12-24 05:14:45');
INSERT INTO `sys_job_log` VALUES (1825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21936毫秒', '0', '', '2024-12-24 05:15:07');
INSERT INTO `sys_job_log` VALUES (1826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 05:15:07');
INSERT INTO `sys_job_log` VALUES (1827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:15:29');
INSERT INTO `sys_job_log` VALUES (1828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 05:15:29');
INSERT INTO `sys_job_log` VALUES (1829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 05:15:51');
INSERT INTO `sys_job_log` VALUES (1830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 05:15:51');
INSERT INTO `sys_job_log` VALUES (1831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 05:16:13');
INSERT INTO `sys_job_log` VALUES (1832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 05:16:13');
INSERT INTO `sys_job_log` VALUES (1833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 05:16:35');
INSERT INTO `sys_job_log` VALUES (1834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 05:16:35');
INSERT INTO `sys_job_log` VALUES (1835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 05:16:57');
INSERT INTO `sys_job_log` VALUES (1836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:16:57');
INSERT INTO `sys_job_log` VALUES (1837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 05:17:19');
INSERT INTO `sys_job_log` VALUES (1838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:17:19');
INSERT INTO `sys_job_log` VALUES (1839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 05:17:41');
INSERT INTO `sys_job_log` VALUES (1840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 05:17:41');
INSERT INTO `sys_job_log` VALUES (1841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 05:18:03');
INSERT INTO `sys_job_log` VALUES (1842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 05:18:03');
INSERT INTO `sys_job_log` VALUES (1843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 05:18:25');
INSERT INTO `sys_job_log` VALUES (1844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 05:18:25');
INSERT INTO `sys_job_log` VALUES (1845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:18:47');
INSERT INTO `sys_job_log` VALUES (1846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 05:18:47');
INSERT INTO `sys_job_log` VALUES (1847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:19:09');
INSERT INTO `sys_job_log` VALUES (1848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 05:19:09');
INSERT INTO `sys_job_log` VALUES (1849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:19:31');
INSERT INTO `sys_job_log` VALUES (1850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:19:31');
INSERT INTO `sys_job_log` VALUES (1851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 05:19:53');
INSERT INTO `sys_job_log` VALUES (1852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22013毫秒', '0', '', '2024-12-24 05:19:53');
INSERT INTO `sys_job_log` VALUES (1853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:20:15');
INSERT INTO `sys_job_log` VALUES (1854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:20:15');
INSERT INTO `sys_job_log` VALUES (1855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 05:20:37');
INSERT INTO `sys_job_log` VALUES (1856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:20:37');
INSERT INTO `sys_job_log` VALUES (1857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22024毫秒', '0', '', '2024-12-24 05:20:59');
INSERT INTO `sys_job_log` VALUES (1858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22045毫秒', '0', '', '2024-12-24 05:20:59');
INSERT INTO `sys_job_log` VALUES (1859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21926毫秒', '0', '', '2024-12-24 05:21:21');
INSERT INTO `sys_job_log` VALUES (1860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21937毫秒', '0', '', '2024-12-24 05:21:21');
INSERT INTO `sys_job_log` VALUES (1861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 05:21:43');
INSERT INTO `sys_job_log` VALUES (1862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 05:21:43');
INSERT INTO `sys_job_log` VALUES (1863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 05:22:05');
INSERT INTO `sys_job_log` VALUES (1864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 05:22:05');
INSERT INTO `sys_job_log` VALUES (1865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22001毫秒', '0', '', '2024-12-24 05:22:27');
INSERT INTO `sys_job_log` VALUES (1866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 05:22:27');
INSERT INTO `sys_job_log` VALUES (1867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21946毫秒', '0', '', '2024-12-24 05:22:49');
INSERT INTO `sys_job_log` VALUES (1868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 05:22:49');
INSERT INTO `sys_job_log` VALUES (1869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:23:11');
INSERT INTO `sys_job_log` VALUES (1870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:23:11');
INSERT INTO `sys_job_log` VALUES (1871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 05:23:33');
INSERT INTO `sys_job_log` VALUES (1872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-24 05:23:33');
INSERT INTO `sys_job_log` VALUES (1873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:23:55');
INSERT INTO `sys_job_log` VALUES (1874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 05:23:55');
INSERT INTO `sys_job_log` VALUES (1875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:24:17');
INSERT INTO `sys_job_log` VALUES (1876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 05:24:17');
INSERT INTO `sys_job_log` VALUES (1877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 05:24:39');
INSERT INTO `sys_job_log` VALUES (1878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:24:39');
INSERT INTO `sys_job_log` VALUES (1879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:25:01');
INSERT INTO `sys_job_log` VALUES (1880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 05:25:01');
INSERT INTO `sys_job_log` VALUES (1881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 05:25:23');
INSERT INTO `sys_job_log` VALUES (1882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:25:23');
INSERT INTO `sys_job_log` VALUES (1883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 05:25:45');
INSERT INTO `sys_job_log` VALUES (1884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 05:25:45');
INSERT INTO `sys_job_log` VALUES (1885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:26:07');
INSERT INTO `sys_job_log` VALUES (1886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 05:26:07');
INSERT INTO `sys_job_log` VALUES (1887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22014毫秒', '0', '', '2024-12-24 05:26:29');
INSERT INTO `sys_job_log` VALUES (1888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22034毫秒', '0', '', '2024-12-24 05:26:29');
INSERT INTO `sys_job_log` VALUES (1889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 05:26:51');
INSERT INTO `sys_job_log` VALUES (1890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21952毫秒', '0', '', '2024-12-24 05:26:51');
INSERT INTO `sys_job_log` VALUES (1891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 05:27:13');
INSERT INTO `sys_job_log` VALUES (1892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 05:27:13');
INSERT INTO `sys_job_log` VALUES (1893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 05:27:35');
INSERT INTO `sys_job_log` VALUES (1894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 05:27:35');
INSERT INTO `sys_job_log` VALUES (1895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 05:27:57');
INSERT INTO `sys_job_log` VALUES (1896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 05:27:57');
INSERT INTO `sys_job_log` VALUES (1897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:28:19');
INSERT INTO `sys_job_log` VALUES (1898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 05:28:19');
INSERT INTO `sys_job_log` VALUES (1899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:28:41');
INSERT INTO `sys_job_log` VALUES (1900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 05:28:41');
INSERT INTO `sys_job_log` VALUES (1901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:29:03');
INSERT INTO `sys_job_log` VALUES (1902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:29:03');
INSERT INTO `sys_job_log` VALUES (1903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:29:25');
INSERT INTO `sys_job_log` VALUES (1904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 05:29:25');
INSERT INTO `sys_job_log` VALUES (1905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 05:29:47');
INSERT INTO `sys_job_log` VALUES (1906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 05:29:47');
INSERT INTO `sys_job_log` VALUES (1907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:30:09');
INSERT INTO `sys_job_log` VALUES (1908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 05:30:09');
INSERT INTO `sys_job_log` VALUES (1909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 05:30:31');
INSERT INTO `sys_job_log` VALUES (1910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 05:30:31');
INSERT INTO `sys_job_log` VALUES (1911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 05:30:53');
INSERT INTO `sys_job_log` VALUES (1912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 05:30:53');
INSERT INTO `sys_job_log` VALUES (1913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 05:31:15');
INSERT INTO `sys_job_log` VALUES (1914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 05:31:15');
INSERT INTO `sys_job_log` VALUES (1915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 05:31:37');
INSERT INTO `sys_job_log` VALUES (1916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 05:31:37');
INSERT INTO `sys_job_log` VALUES (1917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-24 05:31:59');
INSERT INTO `sys_job_log` VALUES (1918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:31:59');
INSERT INTO `sys_job_log` VALUES (1919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:32:21');
INSERT INTO `sys_job_log` VALUES (1920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 05:32:21');
INSERT INTO `sys_job_log` VALUES (1921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 05:32:43');
INSERT INTO `sys_job_log` VALUES (1922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 05:32:43');
INSERT INTO `sys_job_log` VALUES (1923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 05:33:05');
INSERT INTO `sys_job_log` VALUES (1924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 05:33:05');
INSERT INTO `sys_job_log` VALUES (1925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 05:33:27');
INSERT INTO `sys_job_log` VALUES (1926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:33:27');
INSERT INTO `sys_job_log` VALUES (1927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 05:33:49');
INSERT INTO `sys_job_log` VALUES (1928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 05:33:49');
INSERT INTO `sys_job_log` VALUES (1929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:34:11');
INSERT INTO `sys_job_log` VALUES (1930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 05:34:11');
INSERT INTO `sys_job_log` VALUES (1931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 05:34:33');
INSERT INTO `sys_job_log` VALUES (1932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 05:34:33');
INSERT INTO `sys_job_log` VALUES (1933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:34:55');
INSERT INTO `sys_job_log` VALUES (1934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 05:34:55');
INSERT INTO `sys_job_log` VALUES (1935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 05:35:17');
INSERT INTO `sys_job_log` VALUES (1936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22026毫秒', '0', '', '2024-12-24 05:35:17');
INSERT INTO `sys_job_log` VALUES (1937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 05:35:39');
INSERT INTO `sys_job_log` VALUES (1938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 05:35:39');
INSERT INTO `sys_job_log` VALUES (1939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 05:36:01');
INSERT INTO `sys_job_log` VALUES (1940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 05:36:01');
INSERT INTO `sys_job_log` VALUES (1941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 05:36:23');
INSERT INTO `sys_job_log` VALUES (1942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 05:36:23');
INSERT INTO `sys_job_log` VALUES (1943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:36:45');
INSERT INTO `sys_job_log` VALUES (1944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 05:36:45');
INSERT INTO `sys_job_log` VALUES (1945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:37:07');
INSERT INTO `sys_job_log` VALUES (1946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:37:07');
INSERT INTO `sys_job_log` VALUES (1947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 05:37:29');
INSERT INTO `sys_job_log` VALUES (1948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22027毫秒', '0', '', '2024-12-24 05:37:29');
INSERT INTO `sys_job_log` VALUES (1949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:37:51');
INSERT INTO `sys_job_log` VALUES (1950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 05:37:51');
INSERT INTO `sys_job_log` VALUES (1951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 05:38:13');
INSERT INTO `sys_job_log` VALUES (1952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:38:13');
INSERT INTO `sys_job_log` VALUES (1953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 05:38:35');
INSERT INTO `sys_job_log` VALUES (1954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:38:35');
INSERT INTO `sys_job_log` VALUES (1955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 05:38:57');
INSERT INTO `sys_job_log` VALUES (1956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 05:38:57');
INSERT INTO `sys_job_log` VALUES (1957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 05:39:19');
INSERT INTO `sys_job_log` VALUES (1958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 05:39:19');
INSERT INTO `sys_job_log` VALUES (1959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 05:39:41');
INSERT INTO `sys_job_log` VALUES (1960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 05:39:41');
INSERT INTO `sys_job_log` VALUES (1961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 05:40:03');
INSERT INTO `sys_job_log` VALUES (1962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 05:40:03');
INSERT INTO `sys_job_log` VALUES (1963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:40:25');
INSERT INTO `sys_job_log` VALUES (1964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 05:40:25');
INSERT INTO `sys_job_log` VALUES (1965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 05:40:47');
INSERT INTO `sys_job_log` VALUES (1966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:40:47');
INSERT INTO `sys_job_log` VALUES (1967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 05:41:09');
INSERT INTO `sys_job_log` VALUES (1968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:41:09');
INSERT INTO `sys_job_log` VALUES (1969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 05:41:31');
INSERT INTO `sys_job_log` VALUES (1970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:41:31');
INSERT INTO `sys_job_log` VALUES (1971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 05:41:53');
INSERT INTO `sys_job_log` VALUES (1972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 05:41:53');
INSERT INTO `sys_job_log` VALUES (1973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 05:42:15');
INSERT INTO `sys_job_log` VALUES (1974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:42:15');
INSERT INTO `sys_job_log` VALUES (1975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22011毫秒', '0', '', '2024-12-24 05:42:37');
INSERT INTO `sys_job_log` VALUES (1976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 05:42:37');
INSERT INTO `sys_job_log` VALUES (1977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 05:42:59');
INSERT INTO `sys_job_log` VALUES (1978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 05:42:59');
INSERT INTO `sys_job_log` VALUES (1979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:43:21');
INSERT INTO `sys_job_log` VALUES (1980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 05:43:21');
INSERT INTO `sys_job_log` VALUES (1981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:43:43');
INSERT INTO `sys_job_log` VALUES (1982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 05:43:43');
INSERT INTO `sys_job_log` VALUES (1983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 05:44:05');
INSERT INTO `sys_job_log` VALUES (1984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 05:44:05');
INSERT INTO `sys_job_log` VALUES (1985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 05:44:27');
INSERT INTO `sys_job_log` VALUES (1986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 05:44:27');
INSERT INTO `sys_job_log` VALUES (1987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 05:44:49');
INSERT INTO `sys_job_log` VALUES (1988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 05:44:49');
INSERT INTO `sys_job_log` VALUES (1989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 05:45:11');
INSERT INTO `sys_job_log` VALUES (1990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:45:11');
INSERT INTO `sys_job_log` VALUES (1991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 05:45:33');
INSERT INTO `sys_job_log` VALUES (1992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22010毫秒', '0', '', '2024-12-24 05:45:33');
INSERT INTO `sys_job_log` VALUES (1993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 05:45:55');
INSERT INTO `sys_job_log` VALUES (1994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:45:55');
INSERT INTO `sys_job_log` VALUES (1995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 05:46:17');
INSERT INTO `sys_job_log` VALUES (1996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:46:17');
INSERT INTO `sys_job_log` VALUES (1997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:46:39');
INSERT INTO `sys_job_log` VALUES (1998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 05:46:39');
INSERT INTO `sys_job_log` VALUES (1999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 05:47:01');
INSERT INTO `sys_job_log` VALUES (2000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 05:47:01');
INSERT INTO `sys_job_log` VALUES (2001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 05:47:23');
INSERT INTO `sys_job_log` VALUES (2002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:47:23');
INSERT INTO `sys_job_log` VALUES (2003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 05:47:45');
INSERT INTO `sys_job_log` VALUES (2004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:47:45');
INSERT INTO `sys_job_log` VALUES (2005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 05:48:07');
INSERT INTO `sys_job_log` VALUES (2006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:48:07');
INSERT INTO `sys_job_log` VALUES (2007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 05:48:29');
INSERT INTO `sys_job_log` VALUES (2008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 05:48:29');
INSERT INTO `sys_job_log` VALUES (2009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 05:48:51');
INSERT INTO `sys_job_log` VALUES (2010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 05:48:51');
INSERT INTO `sys_job_log` VALUES (2011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 05:49:13');
INSERT INTO `sys_job_log` VALUES (2012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:49:13');
INSERT INTO `sys_job_log` VALUES (2013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 05:49:35');
INSERT INTO `sys_job_log` VALUES (2014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22023毫秒', '0', '', '2024-12-24 05:49:35');
INSERT INTO `sys_job_log` VALUES (2015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 05:49:57');
INSERT INTO `sys_job_log` VALUES (2016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 05:49:57');
INSERT INTO `sys_job_log` VALUES (2017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21948毫秒', '0', '', '2024-12-24 05:50:19');
INSERT INTO `sys_job_log` VALUES (2018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:50:19');
INSERT INTO `sys_job_log` VALUES (2019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21947毫秒', '0', '', '2024-12-24 05:50:41');
INSERT INTO `sys_job_log` VALUES (2020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 05:50:41');
INSERT INTO `sys_job_log` VALUES (2021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 05:51:03');
INSERT INTO `sys_job_log` VALUES (2022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 05:51:03');
INSERT INTO `sys_job_log` VALUES (2023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 05:51:25');
INSERT INTO `sys_job_log` VALUES (2024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 05:51:25');
INSERT INTO `sys_job_log` VALUES (2025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 05:51:47');
INSERT INTO `sys_job_log` VALUES (2026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 05:51:47');
INSERT INTO `sys_job_log` VALUES (2027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 05:52:09');
INSERT INTO `sys_job_log` VALUES (2028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 05:52:09');
INSERT INTO `sys_job_log` VALUES (2029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 05:52:31');
INSERT INTO `sys_job_log` VALUES (2030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 05:52:31');
INSERT INTO `sys_job_log` VALUES (2031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 05:52:53');
INSERT INTO `sys_job_log` VALUES (2032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 05:52:53');
INSERT INTO `sys_job_log` VALUES (2033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:53:15');
INSERT INTO `sys_job_log` VALUES (2034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 05:53:15');
INSERT INTO `sys_job_log` VALUES (2035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 05:53:37');
INSERT INTO `sys_job_log` VALUES (2036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 05:53:37');
INSERT INTO `sys_job_log` VALUES (2037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-24 05:53:59');
INSERT INTO `sys_job_log` VALUES (2038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 05:53:59');
INSERT INTO `sys_job_log` VALUES (2039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 05:54:21');
INSERT INTO `sys_job_log` VALUES (2040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:54:21');
INSERT INTO `sys_job_log` VALUES (2041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:54:43');
INSERT INTO `sys_job_log` VALUES (2042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 05:54:43');
INSERT INTO `sys_job_log` VALUES (2043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 05:55:05');
INSERT INTO `sys_job_log` VALUES (2044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 05:55:05');
INSERT INTO `sys_job_log` VALUES (2045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 05:55:27');
INSERT INTO `sys_job_log` VALUES (2046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 05:55:27');
INSERT INTO `sys_job_log` VALUES (2047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 05:55:49');
INSERT INTO `sys_job_log` VALUES (2048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22035毫秒', '0', '', '2024-12-24 05:55:49');
INSERT INTO `sys_job_log` VALUES (2049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21929毫秒', '0', '', '2024-12-24 05:56:11');
INSERT INTO `sys_job_log` VALUES (2050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 05:56:11');
INSERT INTO `sys_job_log` VALUES (2051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 05:56:33');
INSERT INTO `sys_job_log` VALUES (2052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 05:56:33');
INSERT INTO `sys_job_log` VALUES (2053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 05:56:55');
INSERT INTO `sys_job_log` VALUES (2054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22015毫秒', '0', '', '2024-12-24 05:56:55');
INSERT INTO `sys_job_log` VALUES (2055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 05:57:17');
INSERT INTO `sys_job_log` VALUES (2056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 05:57:17');
INSERT INTO `sys_job_log` VALUES (2057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:57:39');
INSERT INTO `sys_job_log` VALUES (2058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 05:57:39');
INSERT INTO `sys_job_log` VALUES (2059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 05:58:01');
INSERT INTO `sys_job_log` VALUES (2060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 05:58:01');
INSERT INTO `sys_job_log` VALUES (2061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 05:58:23');
INSERT INTO `sys_job_log` VALUES (2062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 05:58:23');
INSERT INTO `sys_job_log` VALUES (2063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 05:58:45');
INSERT INTO `sys_job_log` VALUES (2064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-24 05:58:45');
INSERT INTO `sys_job_log` VALUES (2065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21932毫秒', '0', '', '2024-12-24 05:59:07');
INSERT INTO `sys_job_log` VALUES (2066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 05:59:07');
INSERT INTO `sys_job_log` VALUES (2067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 05:59:29');
INSERT INTO `sys_job_log` VALUES (2068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22013毫秒', '0', '', '2024-12-24 05:59:29');
INSERT INTO `sys_job_log` VALUES (2069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 05:59:51');
INSERT INTO `sys_job_log` VALUES (2070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 05:59:51');
INSERT INTO `sys_job_log` VALUES (2071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 06:00:13');
INSERT INTO `sys_job_log` VALUES (2072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 06:00:13');
INSERT INTO `sys_job_log` VALUES (2073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:00:35');
INSERT INTO `sys_job_log` VALUES (2074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:00:35');
INSERT INTO `sys_job_log` VALUES (2075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 06:00:57');
INSERT INTO `sys_job_log` VALUES (2076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:00:57');
INSERT INTO `sys_job_log` VALUES (2077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:01:19');
INSERT INTO `sys_job_log` VALUES (2078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-24 06:01:19');
INSERT INTO `sys_job_log` VALUES (2079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 06:01:41');
INSERT INTO `sys_job_log` VALUES (2080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 06:01:41');
INSERT INTO `sys_job_log` VALUES (2081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 06:02:03');
INSERT INTO `sys_job_log` VALUES (2082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 06:02:03');
INSERT INTO `sys_job_log` VALUES (2083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 06:02:25');
INSERT INTO `sys_job_log` VALUES (2084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:02:25');
INSERT INTO `sys_job_log` VALUES (2085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:02:47');
INSERT INTO `sys_job_log` VALUES (2086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:02:47');
INSERT INTO `sys_job_log` VALUES (2087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 06:03:09');
INSERT INTO `sys_job_log` VALUES (2088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:03:09');
INSERT INTO `sys_job_log` VALUES (2089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:03:31');
INSERT INTO `sys_job_log` VALUES (2090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 06:03:31');
INSERT INTO `sys_job_log` VALUES (2091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 06:03:53');
INSERT INTO `sys_job_log` VALUES (2092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 06:03:53');
INSERT INTO `sys_job_log` VALUES (2093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21930毫秒', '0', '', '2024-12-24 06:04:15');
INSERT INTO `sys_job_log` VALUES (2094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21932毫秒', '0', '', '2024-12-24 06:04:15');
INSERT INTO `sys_job_log` VALUES (2095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:04:37');
INSERT INTO `sys_job_log` VALUES (2096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:04:37');
INSERT INTO `sys_job_log` VALUES (2097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:04:59');
INSERT INTO `sys_job_log` VALUES (2098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 06:04:59');
INSERT INTO `sys_job_log` VALUES (2099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 06:05:21');
INSERT INTO `sys_job_log` VALUES (2100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 06:05:21');
INSERT INTO `sys_job_log` VALUES (2101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:05:43');
INSERT INTO `sys_job_log` VALUES (2102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 06:05:43');
INSERT INTO `sys_job_log` VALUES (2103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 06:06:05');
INSERT INTO `sys_job_log` VALUES (2104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 06:06:05');
INSERT INTO `sys_job_log` VALUES (2105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:06:27');
INSERT INTO `sys_job_log` VALUES (2106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:06:27');
INSERT INTO `sys_job_log` VALUES (2107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:06:49');
INSERT INTO `sys_job_log` VALUES (2108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-24 06:06:49');
INSERT INTO `sys_job_log` VALUES (2109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 06:07:11');
INSERT INTO `sys_job_log` VALUES (2110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 06:07:11');
INSERT INTO `sys_job_log` VALUES (2111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:07:33');
INSERT INTO `sys_job_log` VALUES (2112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 06:07:33');
INSERT INTO `sys_job_log` VALUES (2113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 06:07:55');
INSERT INTO `sys_job_log` VALUES (2114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:07:55');
INSERT INTO `sys_job_log` VALUES (2115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:08:17');
INSERT INTO `sys_job_log` VALUES (2116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 06:08:17');
INSERT INTO `sys_job_log` VALUES (2117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:08:39');
INSERT INTO `sys_job_log` VALUES (2118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 06:08:39');
INSERT INTO `sys_job_log` VALUES (2119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 06:09:01');
INSERT INTO `sys_job_log` VALUES (2120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:09:01');
INSERT INTO `sys_job_log` VALUES (2121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 06:09:23');
INSERT INTO `sys_job_log` VALUES (2122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:09:23');
INSERT INTO `sys_job_log` VALUES (2123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 06:09:45');
INSERT INTO `sys_job_log` VALUES (2124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:09:45');
INSERT INTO `sys_job_log` VALUES (2125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:10:07');
INSERT INTO `sys_job_log` VALUES (2126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 06:10:07');
INSERT INTO `sys_job_log` VALUES (2127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:10:29');
INSERT INTO `sys_job_log` VALUES (2128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 06:10:29');
INSERT INTO `sys_job_log` VALUES (2129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21942毫秒', '0', '', '2024-12-24 06:10:51');
INSERT INTO `sys_job_log` VALUES (2130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:10:51');
INSERT INTO `sys_job_log` VALUES (2131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:11:13');
INSERT INTO `sys_job_log` VALUES (2132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:11:13');
INSERT INTO `sys_job_log` VALUES (2133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 06:11:35');
INSERT INTO `sys_job_log` VALUES (2134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:11:35');
INSERT INTO `sys_job_log` VALUES (2135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 06:11:57');
INSERT INTO `sys_job_log` VALUES (2136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22032毫秒', '0', '', '2024-12-24 06:11:57');
INSERT INTO `sys_job_log` VALUES (2137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21943毫秒', '0', '', '2024-12-24 06:12:19');
INSERT INTO `sys_job_log` VALUES (2138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:12:19');
INSERT INTO `sys_job_log` VALUES (2139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 06:12:41');
INSERT INTO `sys_job_log` VALUES (2140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 06:12:41');
INSERT INTO `sys_job_log` VALUES (2141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 06:13:03');
INSERT INTO `sys_job_log` VALUES (2142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 06:13:03');
INSERT INTO `sys_job_log` VALUES (2143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 06:13:25');
INSERT INTO `sys_job_log` VALUES (2144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22042毫秒', '0', '', '2024-12-24 06:13:25');
INSERT INTO `sys_job_log` VALUES (2145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21930毫秒', '0', '', '2024-12-24 06:13:47');
INSERT INTO `sys_job_log` VALUES (2146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 06:13:47');
INSERT INTO `sys_job_log` VALUES (2147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:14:09');
INSERT INTO `sys_job_log` VALUES (2148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22035毫秒', '0', '', '2024-12-24 06:14:09');
INSERT INTO `sys_job_log` VALUES (2149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 06:14:31');
INSERT INTO `sys_job_log` VALUES (2150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21928毫秒', '0', '', '2024-12-24 06:14:31');
INSERT INTO `sys_job_log` VALUES (2151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 06:14:53');
INSERT INTO `sys_job_log` VALUES (2152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:14:53');
INSERT INTO `sys_job_log` VALUES (2153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 06:15:15');
INSERT INTO `sys_job_log` VALUES (2154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22016毫秒', '0', '', '2024-12-24 06:15:15');
INSERT INTO `sys_job_log` VALUES (2155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:15:37');
INSERT INTO `sys_job_log` VALUES (2156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 06:15:37');
INSERT INTO `sys_job_log` VALUES (2157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:15:59');
INSERT INTO `sys_job_log` VALUES (2158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:15:59');
INSERT INTO `sys_job_log` VALUES (2159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:16:21');
INSERT INTO `sys_job_log` VALUES (2160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:16:21');
INSERT INTO `sys_job_log` VALUES (2161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:16:43');
INSERT INTO `sys_job_log` VALUES (2162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 06:16:43');
INSERT INTO `sys_job_log` VALUES (2163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 06:17:05');
INSERT INTO `sys_job_log` VALUES (2164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 06:17:05');
INSERT INTO `sys_job_log` VALUES (2165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:17:27');
INSERT INTO `sys_job_log` VALUES (2166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22018毫秒', '0', '', '2024-12-24 06:17:27');
INSERT INTO `sys_job_log` VALUES (2167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21928毫秒', '0', '', '2024-12-24 06:17:49');
INSERT INTO `sys_job_log` VALUES (2168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 06:17:49');
INSERT INTO `sys_job_log` VALUES (2169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 06:18:11');
INSERT INTO `sys_job_log` VALUES (2170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 06:18:11');
INSERT INTO `sys_job_log` VALUES (2171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 06:18:33');
INSERT INTO `sys_job_log` VALUES (2172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 06:18:33');
INSERT INTO `sys_job_log` VALUES (2173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:18:55');
INSERT INTO `sys_job_log` VALUES (2174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:18:55');
INSERT INTO `sys_job_log` VALUES (2175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:19:17');
INSERT INTO `sys_job_log` VALUES (2176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22028毫秒', '0', '', '2024-12-24 06:19:17');
INSERT INTO `sys_job_log` VALUES (2177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:19:39');
INSERT INTO `sys_job_log` VALUES (2178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 06:19:39');
INSERT INTO `sys_job_log` VALUES (2179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:20:01');
INSERT INTO `sys_job_log` VALUES (2180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 06:20:01');
INSERT INTO `sys_job_log` VALUES (2181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 06:20:23');
INSERT INTO `sys_job_log` VALUES (2182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 06:20:23');
INSERT INTO `sys_job_log` VALUES (2183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 06:20:45');
INSERT INTO `sys_job_log` VALUES (2184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 06:20:45');
INSERT INTO `sys_job_log` VALUES (2185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 06:21:07');
INSERT INTO `sys_job_log` VALUES (2186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22024毫秒', '0', '', '2024-12-24 06:21:07');
INSERT INTO `sys_job_log` VALUES (2187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:21:29');
INSERT INTO `sys_job_log` VALUES (2188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:21:29');
INSERT INTO `sys_job_log` VALUES (2189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:21:51');
INSERT INTO `sys_job_log` VALUES (2190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 06:21:51');
INSERT INTO `sys_job_log` VALUES (2191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:22:13');
INSERT INTO `sys_job_log` VALUES (2192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:22:13');
INSERT INTO `sys_job_log` VALUES (2193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21948毫秒', '0', '', '2024-12-24 06:22:35');
INSERT INTO `sys_job_log` VALUES (2194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:22:35');
INSERT INTO `sys_job_log` VALUES (2195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:22:57');
INSERT INTO `sys_job_log` VALUES (2196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 06:22:57');
INSERT INTO `sys_job_log` VALUES (2197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 06:23:19');
INSERT INTO `sys_job_log` VALUES (2198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:23:19');
INSERT INTO `sys_job_log` VALUES (2199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:23:41');
INSERT INTO `sys_job_log` VALUES (2200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 06:23:41');
INSERT INTO `sys_job_log` VALUES (2201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 06:24:03');
INSERT INTO `sys_job_log` VALUES (2202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 06:24:03');
INSERT INTO `sys_job_log` VALUES (2203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:24:25');
INSERT INTO `sys_job_log` VALUES (2204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 06:24:25');
INSERT INTO `sys_job_log` VALUES (2205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 06:24:47');
INSERT INTO `sys_job_log` VALUES (2206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 06:24:47');
INSERT INTO `sys_job_log` VALUES (2207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:25:09');
INSERT INTO `sys_job_log` VALUES (2208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 06:25:09');
INSERT INTO `sys_job_log` VALUES (2209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 06:25:31');
INSERT INTO `sys_job_log` VALUES (2210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:25:31');
INSERT INTO `sys_job_log` VALUES (2211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:25:53');
INSERT INTO `sys_job_log` VALUES (2212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:25:53');
INSERT INTO `sys_job_log` VALUES (2213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:26:15');
INSERT INTO `sys_job_log` VALUES (2214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:26:15');
INSERT INTO `sys_job_log` VALUES (2215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:26:37');
INSERT INTO `sys_job_log` VALUES (2216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22001毫秒', '0', '', '2024-12-24 06:26:37');
INSERT INTO `sys_job_log` VALUES (2217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 06:26:59');
INSERT INTO `sys_job_log` VALUES (2218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 06:26:59');
INSERT INTO `sys_job_log` VALUES (2219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21933毫秒', '0', '', '2024-12-24 06:27:21');
INSERT INTO `sys_job_log` VALUES (2220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:27:21');
INSERT INTO `sys_job_log` VALUES (2221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 06:27:43');
INSERT INTO `sys_job_log` VALUES (2222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:27:43');
INSERT INTO `sys_job_log` VALUES (2223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 06:28:05');
INSERT INTO `sys_job_log` VALUES (2224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 06:28:05');
INSERT INTO `sys_job_log` VALUES (2225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 06:28:27');
INSERT INTO `sys_job_log` VALUES (2226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22014毫秒', '0', '', '2024-12-24 06:28:27');
INSERT INTO `sys_job_log` VALUES (2227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 06:28:49');
INSERT INTO `sys_job_log` VALUES (2228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:28:49');
INSERT INTO `sys_job_log` VALUES (2229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 06:29:11');
INSERT INTO `sys_job_log` VALUES (2230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:29:11');
INSERT INTO `sys_job_log` VALUES (2231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 06:29:33');
INSERT INTO `sys_job_log` VALUES (2232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 06:29:33');
INSERT INTO `sys_job_log` VALUES (2233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:29:55');
INSERT INTO `sys_job_log` VALUES (2234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:29:55');
INSERT INTO `sys_job_log` VALUES (2235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 06:30:17');
INSERT INTO `sys_job_log` VALUES (2236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22009毫秒', '0', '', '2024-12-24 06:30:17');
INSERT INTO `sys_job_log` VALUES (2237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 06:30:39');
INSERT INTO `sys_job_log` VALUES (2238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:30:39');
INSERT INTO `sys_job_log` VALUES (2239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 06:31:01');
INSERT INTO `sys_job_log` VALUES (2240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:31:01');
INSERT INTO `sys_job_log` VALUES (2241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:31:23');
INSERT INTO `sys_job_log` VALUES (2242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:31:23');
INSERT INTO `sys_job_log` VALUES (2243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 06:31:45');
INSERT INTO `sys_job_log` VALUES (2244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:31:45');
INSERT INTO `sys_job_log` VALUES (2245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:32:07');
INSERT INTO `sys_job_log` VALUES (2246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:32:07');
INSERT INTO `sys_job_log` VALUES (2247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 06:32:29');
INSERT INTO `sys_job_log` VALUES (2248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22015毫秒', '0', '', '2024-12-24 06:32:29');
INSERT INTO `sys_job_log` VALUES (2249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21916毫秒', '0', '', '2024-12-24 06:32:51');
INSERT INTO `sys_job_log` VALUES (2250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 06:32:51');
INSERT INTO `sys_job_log` VALUES (2251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21928毫秒', '0', '', '2024-12-24 06:33:13');
INSERT INTO `sys_job_log` VALUES (2252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:33:13');
INSERT INTO `sys_job_log` VALUES (2253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22010毫秒', '0', '', '2024-12-24 06:33:35');
INSERT INTO `sys_job_log` VALUES (2254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22021毫秒', '0', '', '2024-12-24 06:33:35');
INSERT INTO `sys_job_log` VALUES (2255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21945毫秒', '0', '', '2024-12-24 06:33:57');
INSERT INTO `sys_job_log` VALUES (2256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 06:33:57');
INSERT INTO `sys_job_log` VALUES (2257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 06:34:19');
INSERT INTO `sys_job_log` VALUES (2258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:34:19');
INSERT INTO `sys_job_log` VALUES (2259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 06:34:41');
INSERT INTO `sys_job_log` VALUES (2260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:34:41');
INSERT INTO `sys_job_log` VALUES (2261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22013毫秒', '0', '', '2024-12-24 06:35:03');
INSERT INTO `sys_job_log` VALUES (2262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 06:35:03');
INSERT INTO `sys_job_log` VALUES (2263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 06:35:25');
INSERT INTO `sys_job_log` VALUES (2264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:35:25');
INSERT INTO `sys_job_log` VALUES (2265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 06:35:47');
INSERT INTO `sys_job_log` VALUES (2266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 06:35:47');
INSERT INTO `sys_job_log` VALUES (2267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:36:09');
INSERT INTO `sys_job_log` VALUES (2268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 06:36:09');
INSERT INTO `sys_job_log` VALUES (2269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:36:31');
INSERT INTO `sys_job_log` VALUES (2270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:36:31');
INSERT INTO `sys_job_log` VALUES (2271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 06:36:53');
INSERT INTO `sys_job_log` VALUES (2272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 06:36:53');
INSERT INTO `sys_job_log` VALUES (2273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:37:15');
INSERT INTO `sys_job_log` VALUES (2274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:37:15');
INSERT INTO `sys_job_log` VALUES (2275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:37:37');
INSERT INTO `sys_job_log` VALUES (2276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22014毫秒', '0', '', '2024-12-24 06:37:37');
INSERT INTO `sys_job_log` VALUES (2277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 06:37:59');
INSERT INTO `sys_job_log` VALUES (2278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:37:59');
INSERT INTO `sys_job_log` VALUES (2279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 06:38:21');
INSERT INTO `sys_job_log` VALUES (2280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22009毫秒', '0', '', '2024-12-24 06:38:21');
INSERT INTO `sys_job_log` VALUES (2281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:38:43');
INSERT INTO `sys_job_log` VALUES (2282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 06:38:43');
INSERT INTO `sys_job_log` VALUES (2283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:39:05');
INSERT INTO `sys_job_log` VALUES (2284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:39:05');
INSERT INTO `sys_job_log` VALUES (2285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 06:39:27');
INSERT INTO `sys_job_log` VALUES (2286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:39:27');
INSERT INTO `sys_job_log` VALUES (2287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 06:39:49');
INSERT INTO `sys_job_log` VALUES (2288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 06:39:49');
INSERT INTO `sys_job_log` VALUES (2289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 06:40:11');
INSERT INTO `sys_job_log` VALUES (2290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 06:40:11');
INSERT INTO `sys_job_log` VALUES (2291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 06:40:33');
INSERT INTO `sys_job_log` VALUES (2292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:40:33');
INSERT INTO `sys_job_log` VALUES (2293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 06:40:55');
INSERT INTO `sys_job_log` VALUES (2294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 06:40:55');
INSERT INTO `sys_job_log` VALUES (2295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 06:41:17');
INSERT INTO `sys_job_log` VALUES (2296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 06:41:17');
INSERT INTO `sys_job_log` VALUES (2297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 06:41:39');
INSERT INTO `sys_job_log` VALUES (2298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 06:41:39');
INSERT INTO `sys_job_log` VALUES (2299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 06:42:01');
INSERT INTO `sys_job_log` VALUES (2300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 06:42:01');
INSERT INTO `sys_job_log` VALUES (2301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:42:23');
INSERT INTO `sys_job_log` VALUES (2302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 06:42:23');
INSERT INTO `sys_job_log` VALUES (2303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21945毫秒', '0', '', '2024-12-24 06:42:45');
INSERT INTO `sys_job_log` VALUES (2304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 06:42:45');
INSERT INTO `sys_job_log` VALUES (2305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 06:43:07');
INSERT INTO `sys_job_log` VALUES (2306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:43:07');
INSERT INTO `sys_job_log` VALUES (2307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:43:29');
INSERT INTO `sys_job_log` VALUES (2308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22023毫秒', '0', '', '2024-12-24 06:43:29');
INSERT INTO `sys_job_log` VALUES (2309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 06:43:51');
INSERT INTO `sys_job_log` VALUES (2310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21943毫秒', '0', '', '2024-12-24 06:43:51');
INSERT INTO `sys_job_log` VALUES (2311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:44:13');
INSERT INTO `sys_job_log` VALUES (2312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 06:44:13');
INSERT INTO `sys_job_log` VALUES (2313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 06:44:35');
INSERT INTO `sys_job_log` VALUES (2314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 06:44:35');
INSERT INTO `sys_job_log` VALUES (2315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 06:44:57');
INSERT INTO `sys_job_log` VALUES (2316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 06:44:57');
INSERT INTO `sys_job_log` VALUES (2317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:45:19');
INSERT INTO `sys_job_log` VALUES (2318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:45:19');
INSERT INTO `sys_job_log` VALUES (2319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 06:45:41');
INSERT INTO `sys_job_log` VALUES (2320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 06:45:41');
INSERT INTO `sys_job_log` VALUES (2321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:46:03');
INSERT INTO `sys_job_log` VALUES (2322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 06:46:03');
INSERT INTO `sys_job_log` VALUES (2323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 06:46:25');
INSERT INTO `sys_job_log` VALUES (2324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:46:25');
INSERT INTO `sys_job_log` VALUES (2325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 06:46:47');
INSERT INTO `sys_job_log` VALUES (2326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:46:47');
INSERT INTO `sys_job_log` VALUES (2327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:47:09');
INSERT INTO `sys_job_log` VALUES (2328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:47:09');
INSERT INTO `sys_job_log` VALUES (2329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:47:31');
INSERT INTO `sys_job_log` VALUES (2330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:47:31');
INSERT INTO `sys_job_log` VALUES (2331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 06:47:53');
INSERT INTO `sys_job_log` VALUES (2332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:47:53');
INSERT INTO `sys_job_log` VALUES (2333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:48:15');
INSERT INTO `sys_job_log` VALUES (2334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 06:48:15');
INSERT INTO `sys_job_log` VALUES (2335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 06:48:37');
INSERT INTO `sys_job_log` VALUES (2336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:48:37');
INSERT INTO `sys_job_log` VALUES (2337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 06:48:59');
INSERT INTO `sys_job_log` VALUES (2338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 06:48:59');
INSERT INTO `sys_job_log` VALUES (2339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 06:49:21');
INSERT INTO `sys_job_log` VALUES (2340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:49:21');
INSERT INTO `sys_job_log` VALUES (2341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:49:43');
INSERT INTO `sys_job_log` VALUES (2342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 06:49:43');
INSERT INTO `sys_job_log` VALUES (2343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 06:50:05');
INSERT INTO `sys_job_log` VALUES (2344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 06:50:05');
INSERT INTO `sys_job_log` VALUES (2345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 06:50:27');
INSERT INTO `sys_job_log` VALUES (2346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 06:50:27');
INSERT INTO `sys_job_log` VALUES (2347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:50:49');
INSERT INTO `sys_job_log` VALUES (2348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 06:50:49');
INSERT INTO `sys_job_log` VALUES (2349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 06:51:11');
INSERT INTO `sys_job_log` VALUES (2350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 06:51:11');
INSERT INTO `sys_job_log` VALUES (2351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:51:33');
INSERT INTO `sys_job_log` VALUES (2352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 06:51:33');
INSERT INTO `sys_job_log` VALUES (2353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 06:51:55');
INSERT INTO `sys_job_log` VALUES (2354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 06:51:55');
INSERT INTO `sys_job_log` VALUES (2355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:52:17');
INSERT INTO `sys_job_log` VALUES (2356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:52:17');
INSERT INTO `sys_job_log` VALUES (2357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:52:39');
INSERT INTO `sys_job_log` VALUES (2358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 06:52:39');
INSERT INTO `sys_job_log` VALUES (2359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 06:53:01');
INSERT INTO `sys_job_log` VALUES (2360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 06:53:01');
INSERT INTO `sys_job_log` VALUES (2361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22022毫秒', '0', '', '2024-12-24 06:53:23');
INSERT INTO `sys_job_log` VALUES (2362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22022毫秒', '0', '', '2024-12-24 06:53:23');
INSERT INTO `sys_job_log` VALUES (2363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21911毫秒', '0', '', '2024-12-24 06:53:45');
INSERT INTO `sys_job_log` VALUES (2364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 06:53:45');
INSERT INTO `sys_job_log` VALUES (2365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 06:54:07');
INSERT INTO `sys_job_log` VALUES (2366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 06:54:07');
INSERT INTO `sys_job_log` VALUES (2367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21953毫秒', '0', '', '2024-12-24 06:54:29');
INSERT INTO `sys_job_log` VALUES (2368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:54:29');
INSERT INTO `sys_job_log` VALUES (2369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 06:54:51');
INSERT INTO `sys_job_log` VALUES (2370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 06:54:51');
INSERT INTO `sys_job_log` VALUES (2371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 06:55:13');
INSERT INTO `sys_job_log` VALUES (2372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 06:55:13');
INSERT INTO `sys_job_log` VALUES (2373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 06:55:35');
INSERT INTO `sys_job_log` VALUES (2374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 06:55:35');
INSERT INTO `sys_job_log` VALUES (2375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-24 06:55:57');
INSERT INTO `sys_job_log` VALUES (2376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 06:55:57');
INSERT INTO `sys_job_log` VALUES (2377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 06:56:19');
INSERT INTO `sys_job_log` VALUES (2378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-24 06:56:19');
INSERT INTO `sys_job_log` VALUES (2379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:56:41');
INSERT INTO `sys_job_log` VALUES (2380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 06:56:41');
INSERT INTO `sys_job_log` VALUES (2381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22021毫秒', '0', '', '2024-12-24 06:57:03');
INSERT INTO `sys_job_log` VALUES (2382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:57:03');
INSERT INTO `sys_job_log` VALUES (2383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21934毫秒', '0', '', '2024-12-24 06:57:25');
INSERT INTO `sys_job_log` VALUES (2384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 06:57:25');
INSERT INTO `sys_job_log` VALUES (2385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 06:57:47');
INSERT INTO `sys_job_log` VALUES (2386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 06:57:47');
INSERT INTO `sys_job_log` VALUES (2387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 06:58:09');
INSERT INTO `sys_job_log` VALUES (2388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 06:58:09');
INSERT INTO `sys_job_log` VALUES (2389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 06:58:31');
INSERT INTO `sys_job_log` VALUES (2390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22016毫秒', '0', '', '2024-12-24 06:58:31');
INSERT INTO `sys_job_log` VALUES (2391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 06:58:53');
INSERT INTO `sys_job_log` VALUES (2392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 06:58:53');
INSERT INTO `sys_job_log` VALUES (2393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21942毫秒', '0', '', '2024-12-24 06:59:15');
INSERT INTO `sys_job_log` VALUES (2394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 06:59:15');
INSERT INTO `sys_job_log` VALUES (2395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-24 06:59:37');
INSERT INTO `sys_job_log` VALUES (2396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22025毫秒', '0', '', '2024-12-24 06:59:37');
INSERT INTO `sys_job_log` VALUES (2397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21943毫秒', '0', '', '2024-12-24 06:59:59');
INSERT INTO `sys_job_log` VALUES (2398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 06:59:59');
INSERT INTO `sys_job_log` VALUES (2399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 07:00:21');
INSERT INTO `sys_job_log` VALUES (2400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 07:00:21');
INSERT INTO `sys_job_log` VALUES (2401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 07:00:43');
INSERT INTO `sys_job_log` VALUES (2402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-24 07:00:43');
INSERT INTO `sys_job_log` VALUES (2403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21927毫秒', '0', '', '2024-12-24 07:01:05');
INSERT INTO `sys_job_log` VALUES (2404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21934毫秒', '0', '', '2024-12-24 07:01:05');
INSERT INTO `sys_job_log` VALUES (2405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:01:27');
INSERT INTO `sys_job_log` VALUES (2406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:01:27');
INSERT INTO `sys_job_log` VALUES (2407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 07:01:49');
INSERT INTO `sys_job_log` VALUES (2408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:01:49');
INSERT INTO `sys_job_log` VALUES (2409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 07:02:11');
INSERT INTO `sys_job_log` VALUES (2410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:02:11');
INSERT INTO `sys_job_log` VALUES (2411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 07:02:33');
INSERT INTO `sys_job_log` VALUES (2412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 07:02:33');
INSERT INTO `sys_job_log` VALUES (2413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 07:02:55');
INSERT INTO `sys_job_log` VALUES (2414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 07:02:55');
INSERT INTO `sys_job_log` VALUES (2415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:03:17');
INSERT INTO `sys_job_log` VALUES (2416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 07:03:17');
INSERT INTO `sys_job_log` VALUES (2417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21962毫秒', '0', '', '2024-12-24 07:03:39');
INSERT INTO `sys_job_log` VALUES (2418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 07:03:39');
INSERT INTO `sys_job_log` VALUES (2419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:04:01');
INSERT INTO `sys_job_log` VALUES (2420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:04:01');
INSERT INTO `sys_job_log` VALUES (2421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 07:04:23');
INSERT INTO `sys_job_log` VALUES (2422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:04:23');
INSERT INTO `sys_job_log` VALUES (2423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 07:04:45');
INSERT INTO `sys_job_log` VALUES (2424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22007毫秒', '0', '', '2024-12-24 07:04:45');
INSERT INTO `sys_job_log` VALUES (2425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21941毫秒', '0', '', '2024-12-24 07:05:07');
INSERT INTO `sys_job_log` VALUES (2426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 07:05:07');
INSERT INTO `sys_job_log` VALUES (2427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:05:29');
INSERT INTO `sys_job_log` VALUES (2428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 07:05:29');
INSERT INTO `sys_job_log` VALUES (2429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 07:05:51');
INSERT INTO `sys_job_log` VALUES (2430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22079毫秒', '0', '', '2024-12-24 07:05:51');
INSERT INTO `sys_job_log` VALUES (2431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21873毫秒', '0', '', '2024-12-24 07:06:13');
INSERT INTO `sys_job_log` VALUES (2432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21896毫秒', '0', '', '2024-12-24 07:06:13');
INSERT INTO `sys_job_log` VALUES (2433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 07:06:35');
INSERT INTO `sys_job_log` VALUES (2434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 07:06:35');
INSERT INTO `sys_job_log` VALUES (2435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 07:06:57');
INSERT INTO `sys_job_log` VALUES (2436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 07:06:57');
INSERT INTO `sys_job_log` VALUES (2437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 07:07:19');
INSERT INTO `sys_job_log` VALUES (2438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:07:19');
INSERT INTO `sys_job_log` VALUES (2439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 07:07:41');
INSERT INTO `sys_job_log` VALUES (2440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:07:41');
INSERT INTO `sys_job_log` VALUES (2441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 07:08:03');
INSERT INTO `sys_job_log` VALUES (2442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:08:03');
INSERT INTO `sys_job_log` VALUES (2443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 07:08:25');
INSERT INTO `sys_job_log` VALUES (2444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21993毫秒', '0', '', '2024-12-24 07:08:25');
INSERT INTO `sys_job_log` VALUES (2445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 07:08:47');
INSERT INTO `sys_job_log` VALUES (2446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:08:47');
INSERT INTO `sys_job_log` VALUES (2447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:09:09');
INSERT INTO `sys_job_log` VALUES (2448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 07:09:09');
INSERT INTO `sys_job_log` VALUES (2449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21952毫秒', '0', '', '2024-12-24 07:09:31');
INSERT INTO `sys_job_log` VALUES (2450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21970毫秒', '0', '', '2024-12-24 07:09:31');
INSERT INTO `sys_job_log` VALUES (2451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:09:53');
INSERT INTO `sys_job_log` VALUES (2452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 07:09:53');
INSERT INTO `sys_job_log` VALUES (2453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:10:15');
INSERT INTO `sys_job_log` VALUES (2454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 07:10:15');
INSERT INTO `sys_job_log` VALUES (2455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 07:10:37');
INSERT INTO `sys_job_log` VALUES (2456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 07:10:37');
INSERT INTO `sys_job_log` VALUES (2457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 07:10:59');
INSERT INTO `sys_job_log` VALUES (2458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 07:10:59');
INSERT INTO `sys_job_log` VALUES (2459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 07:11:21');
INSERT INTO `sys_job_log` VALUES (2460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 07:11:21');
INSERT INTO `sys_job_log` VALUES (2461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 07:11:43');
INSERT INTO `sys_job_log` VALUES (2462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 07:11:43');
INSERT INTO `sys_job_log` VALUES (2463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 07:12:05');
INSERT INTO `sys_job_log` VALUES (2464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 07:12:05');
INSERT INTO `sys_job_log` VALUES (2465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 07:12:27');
INSERT INTO `sys_job_log` VALUES (2466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21948毫秒', '0', '', '2024-12-24 07:12:27');
INSERT INTO `sys_job_log` VALUES (2467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 07:12:49');
INSERT INTO `sys_job_log` VALUES (2468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 07:12:49');
INSERT INTO `sys_job_log` VALUES (2469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 07:13:11');
INSERT INTO `sys_job_log` VALUES (2470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 07:13:11');
INSERT INTO `sys_job_log` VALUES (2471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:13:33');
INSERT INTO `sys_job_log` VALUES (2472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22031毫秒', '0', '', '2024-12-24 07:13:33');
INSERT INTO `sys_job_log` VALUES (2473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21920毫秒', '0', '', '2024-12-24 07:13:55');
INSERT INTO `sys_job_log` VALUES (2474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 07:13:55');
INSERT INTO `sys_job_log` VALUES (2475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:14:17');
INSERT INTO `sys_job_log` VALUES (2476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:14:17');
INSERT INTO `sys_job_log` VALUES (2477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:14:39');
INSERT INTO `sys_job_log` VALUES (2478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22011毫秒', '0', '', '2024-12-24 07:14:39');
INSERT INTO `sys_job_log` VALUES (2479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21948毫秒', '0', '', '2024-12-24 07:15:01');
INSERT INTO `sys_job_log` VALUES (2480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 07:15:01');
INSERT INTO `sys_job_log` VALUES (2481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22018毫秒', '0', '', '2024-12-24 07:15:23');
INSERT INTO `sys_job_log` VALUES (2482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22032毫秒', '0', '', '2024-12-24 07:15:23');
INSERT INTO `sys_job_log` VALUES (2483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21933毫秒', '0', '', '2024-12-24 07:15:45');
INSERT INTO `sys_job_log` VALUES (2484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 07:15:45');
INSERT INTO `sys_job_log` VALUES (2485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 07:16:07');
INSERT INTO `sys_job_log` VALUES (2486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 07:16:07');
INSERT INTO `sys_job_log` VALUES (2487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21950毫秒', '0', '', '2024-12-24 07:16:29');
INSERT INTO `sys_job_log` VALUES (2488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:16:29');
INSERT INTO `sys_job_log` VALUES (2489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 07:16:51');
INSERT INTO `sys_job_log` VALUES (2490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:16:51');
INSERT INTO `sys_job_log` VALUES (2491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:17:13');
INSERT INTO `sys_job_log` VALUES (2492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 07:17:13');
INSERT INTO `sys_job_log` VALUES (2493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 07:17:35');
INSERT INTO `sys_job_log` VALUES (2494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:17:35');
INSERT INTO `sys_job_log` VALUES (2495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 07:17:57');
INSERT INTO `sys_job_log` VALUES (2496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 07:17:57');
INSERT INTO `sys_job_log` VALUES (2497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 07:18:19');
INSERT INTO `sys_job_log` VALUES (2498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 07:18:19');
INSERT INTO `sys_job_log` VALUES (2499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:18:41');
INSERT INTO `sys_job_log` VALUES (2500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 07:18:41');
INSERT INTO `sys_job_log` VALUES (2501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:19:03');
INSERT INTO `sys_job_log` VALUES (2502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:19:03');
INSERT INTO `sys_job_log` VALUES (2503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:19:25');
INSERT INTO `sys_job_log` VALUES (2504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:19:25');
INSERT INTO `sys_job_log` VALUES (2505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 07:19:47');
INSERT INTO `sys_job_log` VALUES (2506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 07:19:47');
INSERT INTO `sys_job_log` VALUES (2507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 07:20:09');
INSERT INTO `sys_job_log` VALUES (2508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 07:20:09');
INSERT INTO `sys_job_log` VALUES (2509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 07:20:31');
INSERT INTO `sys_job_log` VALUES (2510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:20:31');
INSERT INTO `sys_job_log` VALUES (2511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 07:20:53');
INSERT INTO `sys_job_log` VALUES (2512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22018毫秒', '0', '', '2024-12-24 07:20:53');
INSERT INTO `sys_job_log` VALUES (2513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 07:21:15');
INSERT INTO `sys_job_log` VALUES (2514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 07:21:15');
INSERT INTO `sys_job_log` VALUES (2515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 07:21:37');
INSERT INTO `sys_job_log` VALUES (2516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22017毫秒', '0', '', '2024-12-24 07:21:37');
INSERT INTO `sys_job_log` VALUES (2517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21928毫秒', '0', '', '2024-12-24 07:21:59');
INSERT INTO `sys_job_log` VALUES (2518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21945毫秒', '0', '', '2024-12-24 07:21:59');
INSERT INTO `sys_job_log` VALUES (2519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22016毫秒', '0', '', '2024-12-24 07:22:21');
INSERT INTO `sys_job_log` VALUES (2520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22012毫秒', '0', '', '2024-12-24 07:22:21');
INSERT INTO `sys_job_log` VALUES (2521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 07:22:43');
INSERT INTO `sys_job_log` VALUES (2522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 07:22:43');
INSERT INTO `sys_job_log` VALUES (2523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 07:23:05');
INSERT INTO `sys_job_log` VALUES (2524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22009毫秒', '0', '', '2024-12-24 07:23:05');
INSERT INTO `sys_job_log` VALUES (2525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 07:23:27');
INSERT INTO `sys_job_log` VALUES (2526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 07:23:27');
INSERT INTO `sys_job_log` VALUES (2527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21938毫秒', '0', '', '2024-12-24 07:23:49');
INSERT INTO `sys_job_log` VALUES (2528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 07:23:49');
INSERT INTO `sys_job_log` VALUES (2529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21964毫秒', '0', '', '2024-12-24 07:24:11');
INSERT INTO `sys_job_log` VALUES (2530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21983毫秒', '0', '', '2024-12-24 07:24:11');
INSERT INTO `sys_job_log` VALUES (2531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 07:24:33');
INSERT INTO `sys_job_log` VALUES (2532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 07:24:33');
INSERT INTO `sys_job_log` VALUES (2533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:24:55');
INSERT INTO `sys_job_log` VALUES (2534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:24:55');
INSERT INTO `sys_job_log` VALUES (2535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 07:25:17');
INSERT INTO `sys_job_log` VALUES (2536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:25:17');
INSERT INTO `sys_job_log` VALUES (2537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21964毫秒', '0', '', '2024-12-24 07:25:39');
INSERT INTO `sys_job_log` VALUES (2538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 07:25:39');
INSERT INTO `sys_job_log` VALUES (2539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:26:01');
INSERT INTO `sys_job_log` VALUES (2540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 07:26:01');
INSERT INTO `sys_job_log` VALUES (2541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:26:23');
INSERT INTO `sys_job_log` VALUES (2542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 07:26:23');
INSERT INTO `sys_job_log` VALUES (2543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 07:26:45');
INSERT INTO `sys_job_log` VALUES (2544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 07:26:45');
INSERT INTO `sys_job_log` VALUES (2545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 07:27:07');
INSERT INTO `sys_job_log` VALUES (2546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 07:27:07');
INSERT INTO `sys_job_log` VALUES (2547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 07:27:29');
INSERT INTO `sys_job_log` VALUES (2548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 07:27:29');
INSERT INTO `sys_job_log` VALUES (2549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:27:51');
INSERT INTO `sys_job_log` VALUES (2550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:27:51');
INSERT INTO `sys_job_log` VALUES (2551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 07:28:13');
INSERT INTO `sys_job_log` VALUES (2552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 07:28:13');
INSERT INTO `sys_job_log` VALUES (2553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:28:35');
INSERT INTO `sys_job_log` VALUES (2554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 07:28:35');
INSERT INTO `sys_job_log` VALUES (2555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 07:28:57');
INSERT INTO `sys_job_log` VALUES (2556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21980毫秒', '0', '', '2024-12-24 07:28:57');
INSERT INTO `sys_job_log` VALUES (2557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 07:29:19');
INSERT INTO `sys_job_log` VALUES (2558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 07:29:19');
INSERT INTO `sys_job_log` VALUES (2559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 07:29:41');
INSERT INTO `sys_job_log` VALUES (2560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:29:41');
INSERT INTO `sys_job_log` VALUES (2561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21976毫秒', '0', '', '2024-12-24 07:30:03');
INSERT INTO `sys_job_log` VALUES (2562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 07:30:03');
INSERT INTO `sys_job_log` VALUES (2563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:30:25');
INSERT INTO `sys_job_log` VALUES (2564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:30:25');
INSERT INTO `sys_job_log` VALUES (2565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 07:30:47');
INSERT INTO `sys_job_log` VALUES (2566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 07:30:47');
INSERT INTO `sys_job_log` VALUES (2567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 07:31:09');
INSERT INTO `sys_job_log` VALUES (2568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:31:09');
INSERT INTO `sys_job_log` VALUES (2569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22007毫秒', '0', '', '2024-12-24 07:31:31');
INSERT INTO `sys_job_log` VALUES (2570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 07:31:31');
INSERT INTO `sys_job_log` VALUES (2571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 07:31:53');
INSERT INTO `sys_job_log` VALUES (2572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 07:31:53');
INSERT INTO `sys_job_log` VALUES (2573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21973毫秒', '0', '', '2024-12-24 07:32:15');
INSERT INTO `sys_job_log` VALUES (2574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 07:32:15');
INSERT INTO `sys_job_log` VALUES (2575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:32:37');
INSERT INTO `sys_job_log` VALUES (2576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 07:32:37');
INSERT INTO `sys_job_log` VALUES (2577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21991毫秒', '0', '', '2024-12-24 07:32:59');
INSERT INTO `sys_job_log` VALUES (2578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:32:59');
INSERT INTO `sys_job_log` VALUES (2579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 07:33:21');
INSERT INTO `sys_job_log` VALUES (2580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:33:21');
INSERT INTO `sys_job_log` VALUES (2581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 07:33:43');
INSERT INTO `sys_job_log` VALUES (2582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 07:33:43');
INSERT INTO `sys_job_log` VALUES (2583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21969毫秒', '0', '', '2024-12-24 07:34:05');
INSERT INTO `sys_job_log` VALUES (2584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 07:34:05');
INSERT INTO `sys_job_log` VALUES (2585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:34:27');
INSERT INTO `sys_job_log` VALUES (2586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 07:34:27');
INSERT INTO `sys_job_log` VALUES (2587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:34:49');
INSERT INTO `sys_job_log` VALUES (2588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 07:34:49');
INSERT INTO `sys_job_log` VALUES (2589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 07:35:11');
INSERT INTO `sys_job_log` VALUES (2590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 07:35:11');
INSERT INTO `sys_job_log` VALUES (2591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 07:35:33');
INSERT INTO `sys_job_log` VALUES (2592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 07:35:33');
INSERT INTO `sys_job_log` VALUES (2593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 07:35:55');
INSERT INTO `sys_job_log` VALUES (2594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 07:35:55');
INSERT INTO `sys_job_log` VALUES (2595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21974毫秒', '0', '', '2024-12-24 07:36:17');
INSERT INTO `sys_job_log` VALUES (2596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 07:36:17');
INSERT INTO `sys_job_log` VALUES (2597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 07:36:39');
INSERT INTO `sys_job_log` VALUES (2598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:36:39');
INSERT INTO `sys_job_log` VALUES (2599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 07:37:01');
INSERT INTO `sys_job_log` VALUES (2600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 07:37:01');
INSERT INTO `sys_job_log` VALUES (2601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:37:23');
INSERT INTO `sys_job_log` VALUES (2602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 07:37:23');
INSERT INTO `sys_job_log` VALUES (2603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21956毫秒', '0', '', '2024-12-24 07:37:45');
INSERT INTO `sys_job_log` VALUES (2604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 07:37:45');
INSERT INTO `sys_job_log` VALUES (2605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21951毫秒', '0', '', '2024-12-24 07:38:07');
INSERT INTO `sys_job_log` VALUES (2606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 07:38:07');
INSERT INTO `sys_job_log` VALUES (2607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:38:29');
INSERT INTO `sys_job_log` VALUES (2608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:38:29');
INSERT INTO `sys_job_log` VALUES (2609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 07:38:51');
INSERT INTO `sys_job_log` VALUES (2610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:38:51');
INSERT INTO `sys_job_log` VALUES (2611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 07:39:13');
INSERT INTO `sys_job_log` VALUES (2612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22036毫秒', '0', '', '2024-12-24 07:39:13');
INSERT INTO `sys_job_log` VALUES (2613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21946毫秒', '0', '', '2024-12-24 07:39:35');
INSERT INTO `sys_job_log` VALUES (2614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21942毫秒', '0', '', '2024-12-24 07:39:35');
INSERT INTO `sys_job_log` VALUES (2615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:39:57');
INSERT INTO `sys_job_log` VALUES (2616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 07:39:57');
INSERT INTO `sys_job_log` VALUES (2617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21961毫秒', '0', '', '2024-12-24 07:40:19');
INSERT INTO `sys_job_log` VALUES (2618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 07:40:19');
INSERT INTO `sys_job_log` VALUES (2619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 07:40:41');
INSERT INTO `sys_job_log` VALUES (2620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 07:40:41');
INSERT INTO `sys_job_log` VALUES (2621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 07:41:03');
INSERT INTO `sys_job_log` VALUES (2622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22016毫秒', '0', '', '2024-12-24 07:41:03');
INSERT INTO `sys_job_log` VALUES (2623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21959毫秒', '0', '', '2024-12-24 07:41:25');
INSERT INTO `sys_job_log` VALUES (2624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 07:41:25');
INSERT INTO `sys_job_log` VALUES (2625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 07:41:47');
INSERT INTO `sys_job_log` VALUES (2626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:41:47');
INSERT INTO `sys_job_log` VALUES (2627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 07:42:09');
INSERT INTO `sys_job_log` VALUES (2628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21970毫秒', '0', '', '2024-12-24 07:42:09');
INSERT INTO `sys_job_log` VALUES (2629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 07:42:31');
INSERT INTO `sys_job_log` VALUES (2630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:42:31');
INSERT INTO `sys_job_log` VALUES (2631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:42:53');
INSERT INTO `sys_job_log` VALUES (2632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 07:42:53');
INSERT INTO `sys_job_log` VALUES (2633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21990毫秒', '0', '', '2024-12-24 07:43:15');
INSERT INTO `sys_job_log` VALUES (2634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 07:43:15');
INSERT INTO `sys_job_log` VALUES (2635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:43:37');
INSERT INTO `sys_job_log` VALUES (2636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 07:43:37');
INSERT INTO `sys_job_log` VALUES (2637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 07:43:59');
INSERT INTO `sys_job_log` VALUES (2638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 07:43:59');
INSERT INTO `sys_job_log` VALUES (2639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21966毫秒', '0', '', '2024-12-24 07:44:21');
INSERT INTO `sys_job_log` VALUES (2640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 07:44:21');
INSERT INTO `sys_job_log` VALUES (2641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 07:44:43');
INSERT INTO `sys_job_log` VALUES (2642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 07:44:43');
INSERT INTO `sys_job_log` VALUES (2643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21998毫秒', '0', '', '2024-12-24 07:45:05');
INSERT INTO `sys_job_log` VALUES (2644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 07:45:05');
INSERT INTO `sys_job_log` VALUES (2645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 07:45:27');
INSERT INTO `sys_job_log` VALUES (2646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 07:45:27');
INSERT INTO `sys_job_log` VALUES (2647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21939毫秒', '0', '', '2024-12-24 07:45:49');
INSERT INTO `sys_job_log` VALUES (2648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21945毫秒', '0', '', '2024-12-24 07:45:49');
INSERT INTO `sys_job_log` VALUES (2649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 07:46:11');
INSERT INTO `sys_job_log` VALUES (2650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 07:46:11');
INSERT INTO `sys_job_log` VALUES (2651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22037毫秒', '0', '', '2024-12-24 07:46:33');
INSERT INTO `sys_job_log` VALUES (2652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22057毫秒', '0', '', '2024-12-24 07:46:33');
INSERT INTO `sys_job_log` VALUES (2653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21946毫秒', '0', '', '2024-12-24 07:46:55');
INSERT INTO `sys_job_log` VALUES (2654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21954毫秒', '0', '', '2024-12-24 07:46:55');
INSERT INTO `sys_job_log` VALUES (2655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 07:47:17');
INSERT INTO `sys_job_log` VALUES (2656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 07:47:17');
INSERT INTO `sys_job_log` VALUES (2657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 07:47:39');
INSERT INTO `sys_job_log` VALUES (2658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 07:47:39');
INSERT INTO `sys_job_log` VALUES (2659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21955毫秒', '0', '', '2024-12-24 07:48:01');
INSERT INTO `sys_job_log` VALUES (2660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21942毫秒', '0', '', '2024-12-24 07:48:01');
INSERT INTO `sys_job_log` VALUES (2661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22030毫秒', '0', '', '2024-12-24 07:48:23');
INSERT INTO `sys_job_log` VALUES (2662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22040毫秒', '0', '', '2024-12-24 07:48:23');
INSERT INTO `sys_job_log` VALUES (2663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21937毫秒', '0', '', '2024-12-24 07:48:45');
INSERT INTO `sys_job_log` VALUES (2664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-24 07:48:45');
INSERT INTO `sys_job_log` VALUES (2665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22190毫秒', '0', '', '2024-12-24 07:49:07');
INSERT INTO `sys_job_log` VALUES (2666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22273毫秒', '0', '', '2024-12-24 07:49:08');
INSERT INTO `sys_job_log` VALUES (2667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21680毫秒', '0', '', '2024-12-24 07:49:29');
INSERT INTO `sys_job_log` VALUES (2668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21774毫秒', '0', '', '2024-12-24 07:49:29');
INSERT INTO `sys_job_log` VALUES (2669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 07:49:51');
INSERT INTO `sys_job_log` VALUES (2670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 07:49:51');
INSERT INTO `sys_job_log` VALUES (2671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 07:50:13');
INSERT INTO `sys_job_log` VALUES (2672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22021毫秒', '0', '', '2024-12-24 07:50:13');
INSERT INTO `sys_job_log` VALUES (2673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 07:50:35');
INSERT INTO `sys_job_log` VALUES (2674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 07:50:35');
INSERT INTO `sys_job_log` VALUES (2675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 07:50:57');
INSERT INTO `sys_job_log` VALUES (2676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21966毫秒', '0', '', '2024-12-24 07:50:57');
INSERT INTO `sys_job_log` VALUES (2677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22148毫秒', '0', '', '2024-12-24 08:03:34');
INSERT INTO `sys_job_log` VALUES (2678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21839毫秒', '0', '', '2024-12-24 08:03:37');
INSERT INTO `sys_job_log` VALUES (2679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21846毫秒', '0', '', '2024-12-24 08:03:56');
INSERT INTO `sys_job_log` VALUES (2680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 08:03:59');
INSERT INTO `sys_job_log` VALUES (2681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22012毫秒', '0', '', '2024-12-24 08:04:18');
INSERT INTO `sys_job_log` VALUES (2682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:04:21');
INSERT INTO `sys_job_log` VALUES (2683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22010毫秒', '0', '', '2024-12-24 08:04:40');
INSERT INTO `sys_job_log` VALUES (2684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:04:43');
INSERT INTO `sys_job_log` VALUES (2685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 08:05:02');
INSERT INTO `sys_job_log` VALUES (2686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 08:05:05');
INSERT INTO `sys_job_log` VALUES (2687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21967毫秒', '0', '', '2024-12-24 08:05:24');
INSERT INTO `sys_job_log` VALUES (2688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 08:05:27');
INSERT INTO `sys_job_log` VALUES (2689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 08:05:46');
INSERT INTO `sys_job_log` VALUES (2690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 08:05:49');
INSERT INTO `sys_job_log` VALUES (2691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22010毫秒', '0', '', '2024-12-24 08:06:08');
INSERT INTO `sys_job_log` VALUES (2692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21996毫秒', '0', '', '2024-12-24 08:06:11');
INSERT INTO `sys_job_log` VALUES (2693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 08:06:30');
INSERT INTO `sys_job_log` VALUES (2694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 08:06:33');
INSERT INTO `sys_job_log` VALUES (2695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 08:06:52');
INSERT INTO `sys_job_log` VALUES (2696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 08:06:55');
INSERT INTO `sys_job_log` VALUES (2697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 08:07:14');
INSERT INTO `sys_job_log` VALUES (2698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21988毫秒', '0', '', '2024-12-24 08:07:17');
INSERT INTO `sys_job_log` VALUES (2699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 08:07:36');
INSERT INTO `sys_job_log` VALUES (2700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 08:07:39');
INSERT INTO `sys_job_log` VALUES (2701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 08:07:58');
INSERT INTO `sys_job_log` VALUES (2702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22001毫秒', '0', '', '2024-12-24 08:08:01');
INSERT INTO `sys_job_log` VALUES (2703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22023毫秒', '0', '', '2024-12-24 08:08:20');
INSERT INTO `sys_job_log` VALUES (2704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21977毫秒', '0', '', '2024-12-24 08:08:23');
INSERT INTO `sys_job_log` VALUES (2705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 08:08:42');
INSERT INTO `sys_job_log` VALUES (2706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 08:08:45');
INSERT INTO `sys_job_log` VALUES (2707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 08:09:04');
INSERT INTO `sys_job_log` VALUES (2708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22003毫秒', '0', '', '2024-12-24 08:09:07');
INSERT INTO `sys_job_log` VALUES (2709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21977毫秒', '0', '', '2024-12-24 08:09:26');
INSERT INTO `sys_job_log` VALUES (2710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 08:09:29');
INSERT INTO `sys_job_log` VALUES (2711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 08:09:48');
INSERT INTO `sys_job_log` VALUES (2712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 08:09:51');
INSERT INTO `sys_job_log` VALUES (2713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22037毫秒', '0', '', '2024-12-24 08:10:10');
INSERT INTO `sys_job_log` VALUES (2714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 08:10:13');
INSERT INTO `sys_job_log` VALUES (2715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21931毫秒', '0', '', '2024-12-24 08:10:32');
INSERT INTO `sys_job_log` VALUES (2716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 08:10:35');
INSERT INTO `sys_job_log` VALUES (2717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 08:10:54');
INSERT INTO `sys_job_log` VALUES (2718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 08:10:57');
INSERT INTO `sys_job_log` VALUES (2719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 08:11:16');
INSERT INTO `sys_job_log` VALUES (2720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 08:11:19');
INSERT INTO `sys_job_log` VALUES (2721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 08:11:38');
INSERT INTO `sys_job_log` VALUES (2722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 08:11:41');
INSERT INTO `sys_job_log` VALUES (2723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22006毫秒', '0', '', '2024-12-24 08:12:00');
INSERT INTO `sys_job_log` VALUES (2724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 08:12:03');
INSERT INTO `sys_job_log` VALUES (2725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21959毫秒', '0', '', '2024-12-24 08:12:22');
INSERT INTO `sys_job_log` VALUES (2726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 08:12:25');
INSERT INTO `sys_job_log` VALUES (2727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 08:12:44');
INSERT INTO `sys_job_log` VALUES (2728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 08:12:47');
INSERT INTO `sys_job_log` VALUES (2729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 08:13:06');
INSERT INTO `sys_job_log` VALUES (2730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21982毫秒', '0', '', '2024-12-24 08:13:09');
INSERT INTO `sys_job_log` VALUES (2731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22014毫秒', '0', '', '2024-12-24 08:13:28');
INSERT INTO `sys_job_log` VALUES (2732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 08:13:31');
INSERT INTO `sys_job_log` VALUES (2733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21965毫秒', '0', '', '2024-12-24 08:13:50');
INSERT INTO `sys_job_log` VALUES (2734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 08:13:53');
INSERT INTO `sys_job_log` VALUES (2735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 08:14:12');
INSERT INTO `sys_job_log` VALUES (2736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 08:14:15');
INSERT INTO `sys_job_log` VALUES (2737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22005毫秒', '0', '', '2024-12-24 08:14:34');
INSERT INTO `sys_job_log` VALUES (2738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 08:14:37');
INSERT INTO `sys_job_log` VALUES (2739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 08:14:56');
INSERT INTO `sys_job_log` VALUES (2740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 08:14:59');
INSERT INTO `sys_job_log` VALUES (2741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 08:15:18');
INSERT INTO `sys_job_log` VALUES (2742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 08:15:21');
INSERT INTO `sys_job_log` VALUES (2743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 08:15:40');
INSERT INTO `sys_job_log` VALUES (2744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 08:15:43');
INSERT INTO `sys_job_log` VALUES (2745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 08:16:02');
INSERT INTO `sys_job_log` VALUES (2746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 08:16:05');
INSERT INTO `sys_job_log` VALUES (2747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21999毫秒', '0', '', '2024-12-24 08:16:24');
INSERT INTO `sys_job_log` VALUES (2748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 08:16:27');
INSERT INTO `sys_job_log` VALUES (2749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 08:16:46');
INSERT INTO `sys_job_log` VALUES (2750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 08:16:49');
INSERT INTO `sys_job_log` VALUES (2751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 08:17:08');
INSERT INTO `sys_job_log` VALUES (2752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 08:17:11');
INSERT INTO `sys_job_log` VALUES (2753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22015毫秒', '0', '', '2024-12-24 08:17:30');
INSERT INTO `sys_job_log` VALUES (2754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 08:17:33');
INSERT INTO `sys_job_log` VALUES (2755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21895毫秒', '0', '', '2024-12-24 08:18:10');
INSERT INTO `sys_job_log` VALUES (2756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21895毫秒', '0', '', '2024-12-24 08:18:10');
INSERT INTO `sys_job_log` VALUES (2757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 08:18:32');
INSERT INTO `sys_job_log` VALUES (2758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 08:18:32');
INSERT INTO `sys_job_log` VALUES (2759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21989毫秒', '0', '', '2024-12-24 08:18:54');
INSERT INTO `sys_job_log` VALUES (2760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21992毫秒', '0', '', '2024-12-24 08:18:54');
INSERT INTO `sys_job_log` VALUES (2761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21949毫秒', '0', '', '2024-12-24 08:19:16');
INSERT INTO `sys_job_log` VALUES (2762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 08:19:16');
INSERT INTO `sys_job_log` VALUES (2763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21990毫秒', '0', '', '2024-12-24 08:19:38');
INSERT INTO `sys_job_log` VALUES (2764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:19:38');
INSERT INTO `sys_job_log` VALUES (2765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21957毫秒', '0', '', '2024-12-24 08:20:00');
INSERT INTO `sys_job_log` VALUES (2766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 08:20:00');
INSERT INTO `sys_job_log` VALUES (2767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 08:20:22');
INSERT INTO `sys_job_log` VALUES (2768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21991毫秒', '0', '', '2024-12-24 08:20:22');
INSERT INTO `sys_job_log` VALUES (2769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21958毫秒', '0', '', '2024-12-24 08:20:44');
INSERT INTO `sys_job_log` VALUES (2770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21958毫秒', '0', '', '2024-12-24 08:20:44');
INSERT INTO `sys_job_log` VALUES (2771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 08:21:06');
INSERT INTO `sys_job_log` VALUES (2772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22000毫秒', '0', '', '2024-12-24 08:21:06');
INSERT INTO `sys_job_log` VALUES (2773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21936毫秒', '0', '', '2024-12-24 08:21:28');
INSERT INTO `sys_job_log` VALUES (2774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 08:21:28');
INSERT INTO `sys_job_log` VALUES (2775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21978毫秒', '0', '', '2024-12-24 08:21:50');
INSERT INTO `sys_job_log` VALUES (2776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 08:21:50');
INSERT INTO `sys_job_log` VALUES (2777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 08:22:12');
INSERT INTO `sys_job_log` VALUES (2778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21997毫秒', '0', '', '2024-12-24 08:22:12');
INSERT INTO `sys_job_log` VALUES (2779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21947毫秒', '0', '', '2024-12-24 08:22:34');
INSERT INTO `sys_job_log` VALUES (2780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 08:22:34');
INSERT INTO `sys_job_log` VALUES (2781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21998毫秒', '0', '', '2024-12-24 08:22:56');
INSERT INTO `sys_job_log` VALUES (2782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 08:22:56');
INSERT INTO `sys_job_log` VALUES (2783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21936毫秒', '0', '', '2024-12-24 08:23:18');
INSERT INTO `sys_job_log` VALUES (2784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21956毫秒', '0', '', '2024-12-24 08:23:18');
INSERT INTO `sys_job_log` VALUES (2785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 08:23:40');
INSERT INTO `sys_job_log` VALUES (2786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 08:23:40');
INSERT INTO `sys_job_log` VALUES (2787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 08:24:02');
INSERT INTO `sys_job_log` VALUES (2788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21975毫秒', '0', '', '2024-12-24 08:24:02');
INSERT INTO `sys_job_log` VALUES (2789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 08:24:24');
INSERT INTO `sys_job_log` VALUES (2790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 08:24:24');
INSERT INTO `sys_job_log` VALUES (2791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21925毫秒', '0', '', '2024-12-24 08:24:46');
INSERT INTO `sys_job_log` VALUES (2792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21926毫秒', '0', '', '2024-12-24 08:24:46');
INSERT INTO `sys_job_log` VALUES (2793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21999毫秒', '0', '', '2024-12-24 08:25:08');
INSERT INTO `sys_job_log` VALUES (2794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22002毫秒', '0', '', '2024-12-24 08:25:08');
INSERT INTO `sys_job_log` VALUES (2795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21975毫秒', '0', '', '2024-12-24 08:25:30');
INSERT INTO `sys_job_log` VALUES (2796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21988毫秒', '0', '', '2024-12-24 08:25:30');
INSERT INTO `sys_job_log` VALUES (2797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21949毫秒', '0', '', '2024-12-24 08:25:52');
INSERT INTO `sys_job_log` VALUES (2798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 08:25:52');
INSERT INTO `sys_job_log` VALUES (2799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21971毫秒', '0', '', '2024-12-24 08:26:14');
INSERT INTO `sys_job_log` VALUES (2800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21979毫秒', '0', '', '2024-12-24 08:26:14');
INSERT INTO `sys_job_log` VALUES (2801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21825毫秒', '0', '', '2024-12-24 08:26:52');
INSERT INTO `sys_job_log` VALUES (2802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21871毫秒', '0', '', '2024-12-24 08:26:52');
INSERT INTO `sys_job_log` VALUES (2803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21976毫秒', '0', '', '2024-12-24 08:27:14');
INSERT INTO `sys_job_log` VALUES (2804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21946毫秒', '0', '', '2024-12-24 08:27:14');
INSERT INTO `sys_job_log` VALUES (2805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 08:27:36');
INSERT INTO `sys_job_log` VALUES (2806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 08:27:36');
INSERT INTO `sys_job_log` VALUES (2807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21974毫秒', '0', '', '2024-12-24 08:27:58');
INSERT INTO `sys_job_log` VALUES (2808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21996毫秒', '0', '', '2024-12-24 08:27:58');
INSERT INTO `sys_job_log` VALUES (2809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21927毫秒', '0', '', '2024-12-24 08:28:20');
INSERT INTO `sys_job_log` VALUES (2810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21938毫秒', '0', '', '2024-12-24 08:28:20');
INSERT INTO `sys_job_log` VALUES (2811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22023毫秒', '0', '', '2024-12-24 08:28:42');
INSERT INTO `sys_job_log` VALUES (2812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22013毫秒', '0', '', '2024-12-24 08:28:42');
INSERT INTO `sys_job_log` VALUES (2813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 08:29:04');
INSERT INTO `sys_job_log` VALUES (2814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 08:29:04');
INSERT INTO `sys_job_log` VALUES (2815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 08:29:26');
INSERT INTO `sys_job_log` VALUES (2816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 08:29:26');
INSERT INTO `sys_job_log` VALUES (2817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21965毫秒', '0', '', '2024-12-24 08:29:48');
INSERT INTO `sys_job_log` VALUES (2818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22012毫秒', '0', '', '2024-12-24 08:29:48');
INSERT INTO `sys_job_log` VALUES (2819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21944毫秒', '0', '', '2024-12-24 08:30:10');
INSERT INTO `sys_job_log` VALUES (2820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21962毫秒', '0', '', '2024-12-24 08:30:10');
INSERT INTO `sys_job_log` VALUES (2821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21828毫秒', '0', '', '2024-12-24 08:30:42');
INSERT INTO `sys_job_log` VALUES (2822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21856毫秒', '0', '', '2024-12-24 08:30:52');
INSERT INTO `sys_job_log` VALUES (2823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21889毫秒', '0', '', '2024-12-24 08:31:04');
INSERT INTO `sys_job_log` VALUES (2824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21953毫秒', '0', '', '2024-12-24 08:31:14');
INSERT INTO `sys_job_log` VALUES (2825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21994毫秒', '0', '', '2024-12-24 08:31:26');
INSERT INTO `sys_job_log` VALUES (2826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21981毫秒', '0', '', '2024-12-24 08:31:36');
INSERT INTO `sys_job_log` VALUES (2827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21960毫秒', '0', '', '2024-12-24 08:31:48');
INSERT INTO `sys_job_log` VALUES (2828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22009毫秒', '0', '', '2024-12-24 08:31:58');
INSERT INTO `sys_job_log` VALUES (2829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22004毫秒', '0', '', '2024-12-24 08:32:10');
INSERT INTO `sys_job_log` VALUES (2830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 08:32:20');
INSERT INTO `sys_job_log` VALUES (2831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 08:32:32');
INSERT INTO `sys_job_log` VALUES (2832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21986毫秒', '0', '', '2024-12-24 08:32:42');
INSERT INTO `sys_job_log` VALUES (2833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22032毫秒', '0', '', '2024-12-24 08:32:54');
INSERT INTO `sys_job_log` VALUES (2834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22006毫秒', '0', '', '2024-12-24 08:33:04');
INSERT INTO `sys_job_log` VALUES (2835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 08:33:16');
INSERT INTO `sys_job_log` VALUES (2836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21993毫秒', '0', '', '2024-12-24 08:33:26');
INSERT INTO `sys_job_log` VALUES (2837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21925毫秒', '0', '', '2024-12-24 08:33:38');
INSERT INTO `sys_job_log` VALUES (2838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21945毫秒', '0', '', '2024-12-24 08:33:48');
INSERT INTO `sys_job_log` VALUES (2839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21986毫秒', '0', '', '2024-12-24 08:34:00');
INSERT INTO `sys_job_log` VALUES (2840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21968毫秒', '0', '', '2024-12-24 08:34:10');
INSERT INTO `sys_job_log` VALUES (2841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22009毫秒', '0', '', '2024-12-24 08:34:22');
INSERT INTO `sys_job_log` VALUES (2842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 08:34:32');
INSERT INTO `sys_job_log` VALUES (2843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:34:44');
INSERT INTO `sys_job_log` VALUES (2844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 08:34:54');
INSERT INTO `sys_job_log` VALUES (2845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:35:06');
INSERT INTO `sys_job_log` VALUES (2846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 08:35:16');
INSERT INTO `sys_job_log` VALUES (2847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 08:35:28');
INSERT INTO `sys_job_log` VALUES (2848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22002毫秒', '0', '', '2024-12-24 08:35:38');
INSERT INTO `sys_job_log` VALUES (2849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21995毫秒', '0', '', '2024-12-24 08:35:50');
INSERT INTO `sys_job_log` VALUES (2850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 08:36:00');
INSERT INTO `sys_job_log` VALUES (2851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21949毫秒', '0', '', '2024-12-24 08:36:12');
INSERT INTO `sys_job_log` VALUES (2852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22021毫秒', '0', '', '2024-12-24 08:36:22');
INSERT INTO `sys_job_log` VALUES (2853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22032毫秒', '0', '', '2024-12-24 08:36:34');
INSERT INTO `sys_job_log` VALUES (2854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 08:36:44');
INSERT INTO `sys_job_log` VALUES (2855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21985毫秒', '0', '', '2024-12-24 08:36:56');
INSERT INTO `sys_job_log` VALUES (2856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 08:37:06');
INSERT INTO `sys_job_log` VALUES (2857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21940毫秒', '0', '', '2024-12-24 08:37:18');
INSERT INTO `sys_job_log` VALUES (2858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 08:37:28');
INSERT INTO `sys_job_log` VALUES (2859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 08:37:40');
INSERT INTO `sys_job_log` VALUES (2860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21997毫秒', '0', '', '2024-12-24 08:37:50');
INSERT INTO `sys_job_log` VALUES (2861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22008毫秒', '0', '', '2024-12-24 08:38:02');
INSERT INTO `sys_job_log` VALUES (2862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21944毫秒', '0', '', '2024-12-24 08:38:12');
INSERT INTO `sys_job_log` VALUES (2863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21952毫秒', '0', '', '2024-12-24 08:38:24');
INSERT INTO `sys_job_log` VALUES (2864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22000毫秒', '0', '', '2024-12-24 08:38:34');
INSERT INTO `sys_job_log` VALUES (2865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22013毫秒', '0', '', '2024-12-24 08:38:46');
INSERT INTO `sys_job_log` VALUES (2866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22005毫秒', '0', '', '2024-12-24 08:38:56');
INSERT INTO `sys_job_log` VALUES (2867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21968毫秒', '0', '', '2024-12-24 08:39:08');
INSERT INTO `sys_job_log` VALUES (2868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21967毫秒', '0', '', '2024-12-24 08:39:18');
INSERT INTO `sys_job_log` VALUES (2869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21972毫秒', '0', '', '2024-12-24 08:39:30');
INSERT INTO `sys_job_log` VALUES (2870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21983毫秒', '0', '', '2024-12-24 08:39:40');
INSERT INTO `sys_job_log` VALUES (2871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21859毫秒', '0', '', '2024-12-24 08:40:22');
INSERT INTO `sys_job_log` VALUES (2872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21844毫秒', '0', '', '2024-12-24 08:40:22');
INSERT INTO `sys_job_log` VALUES (2873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:29');
INSERT INTO `sys_job_log` VALUES (2874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:29');
INSERT INTO `sys_job_log` VALUES (2875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:29');
INSERT INTO `sys_job_log` VALUES (2876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:34');
INSERT INTO `sys_job_log` VALUES (2877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:39');
INSERT INTO `sys_job_log` VALUES (2878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:44');
INSERT INTO `sys_job_log` VALUES (2879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:44');
INSERT INTO `sys_job_log` VALUES (2880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21898毫秒', '0', '', '2024-12-24 08:40:44');
INSERT INTO `sys_job_log` VALUES (2881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21930毫秒', '0', '', '2024-12-24 08:40:44');
INSERT INTO `sys_job_log` VALUES (2882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:49');
INSERT INTO `sys_job_log` VALUES (2883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:54');
INSERT INTO `sys_job_log` VALUES (2884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:59');
INSERT INTO `sys_job_log` VALUES (2885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:40:59');
INSERT INTO `sys_job_log` VALUES (2886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:04');
INSERT INTO `sys_job_log` VALUES (2887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21949毫秒', '0', '', '2024-12-24 08:41:06');
INSERT INTO `sys_job_log` VALUES (2888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21971毫秒', '0', '', '2024-12-24 08:41:06');
INSERT INTO `sys_job_log` VALUES (2889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:09');
INSERT INTO `sys_job_log` VALUES (2890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:14');
INSERT INTO `sys_job_log` VALUES (2891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:14');
INSERT INTO `sys_job_log` VALUES (2892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:19');
INSERT INTO `sys_job_log` VALUES (2893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:24');
INSERT INTO `sys_job_log` VALUES (2894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21963毫秒', '0', '', '2024-12-24 08:41:28');
INSERT INTO `sys_job_log` VALUES (2895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22003毫秒', '0', '', '2024-12-24 08:41:28');
INSERT INTO `sys_job_log` VALUES (2896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:29');
INSERT INTO `sys_job_log` VALUES (2897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:29');
INSERT INTO `sys_job_log` VALUES (2898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:34');
INSERT INTO `sys_job_log` VALUES (2899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:39');
INSERT INTO `sys_job_log` VALUES (2900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:44');
INSERT INTO `sys_job_log` VALUES (2901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:44');
INSERT INTO `sys_job_log` VALUES (2902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:49');
INSERT INTO `sys_job_log` VALUES (2903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21920毫秒', '0', '', '2024-12-24 08:41:50');
INSERT INTO `sys_job_log` VALUES (2904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21995毫秒', '0', '', '2024-12-24 08:41:50');
INSERT INTO `sys_job_log` VALUES (2905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:54');
INSERT INTO `sys_job_log` VALUES (2906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:59');
INSERT INTO `sys_job_log` VALUES (2907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:41:59');
INSERT INTO `sys_job_log` VALUES (2908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:04');
INSERT INTO `sys_job_log` VALUES (2909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:09');
INSERT INTO `sys_job_log` VALUES (2910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:14');
INSERT INTO `sys_job_log` VALUES (2911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:14');
INSERT INTO `sys_job_log` VALUES (2912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:19');
INSERT INTO `sys_job_log` VALUES (2913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22046毫秒', '0', '', '2024-12-24 08:42:23');
INSERT INTO `sys_job_log` VALUES (2914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22032毫秒', '0', '', '2024-12-24 08:42:23');
INSERT INTO `sys_job_log` VALUES (2915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:24');
INSERT INTO `sys_job_log` VALUES (2916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:29');
INSERT INTO `sys_job_log` VALUES (2917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:29');
INSERT INTO `sys_job_log` VALUES (2918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:34');
INSERT INTO `sys_job_log` VALUES (2919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:39');
INSERT INTO `sys_job_log` VALUES (2920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:44');
INSERT INTO `sys_job_log` VALUES (2921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:44');
INSERT INTO `sys_job_log` VALUES (2922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21869毫秒', '0', '', '2024-12-24 08:42:45');
INSERT INTO `sys_job_log` VALUES (2923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21894毫秒', '0', '', '2024-12-24 08:42:45');
INSERT INTO `sys_job_log` VALUES (2924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:49');
INSERT INTO `sys_job_log` VALUES (2925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:54');
INSERT INTO `sys_job_log` VALUES (2926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:59');
INSERT INTO `sys_job_log` VALUES (2927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:42:59');
INSERT INTO `sys_job_log` VALUES (2928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:04');
INSERT INTO `sys_job_log` VALUES (2929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21954毫秒', '0', '', '2024-12-24 08:43:07');
INSERT INTO `sys_job_log` VALUES (2930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22014毫秒', '0', '', '2024-12-24 08:43:07');
INSERT INTO `sys_job_log` VALUES (2931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:09');
INSERT INTO `sys_job_log` VALUES (2932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:14');
INSERT INTO `sys_job_log` VALUES (2933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:14');
INSERT INTO `sys_job_log` VALUES (2934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:19');
INSERT INTO `sys_job_log` VALUES (2935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:24');
INSERT INTO `sys_job_log` VALUES (2936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 08:43:29');
INSERT INTO `sys_job_log` VALUES (2937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 08:43:29');
INSERT INTO `sys_job_log` VALUES (2938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:29');
INSERT INTO `sys_job_log` VALUES (2939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:29');
INSERT INTO `sys_job_log` VALUES (2940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:34');
INSERT INTO `sys_job_log` VALUES (2941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:39');
INSERT INTO `sys_job_log` VALUES (2942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:44');
INSERT INTO `sys_job_log` VALUES (2943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:44');
INSERT INTO `sys_job_log` VALUES (2944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:49');
INSERT INTO `sys_job_log` VALUES (2945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 08:43:51');
INSERT INTO `sys_job_log` VALUES (2946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21984毫秒', '0', '', '2024-12-24 08:43:51');
INSERT INTO `sys_job_log` VALUES (2947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:54');
INSERT INTO `sys_job_log` VALUES (2948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:59');
INSERT INTO `sys_job_log` VALUES (2949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:43:59');
INSERT INTO `sys_job_log` VALUES (2950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:04');
INSERT INTO `sys_job_log` VALUES (2951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:09');
INSERT INTO `sys_job_log` VALUES (2952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21980毫秒', '0', '', '2024-12-24 08:44:13');
INSERT INTO `sys_job_log` VALUES (2953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21984毫秒', '0', '', '2024-12-24 08:44:13');
INSERT INTO `sys_job_log` VALUES (2954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:14');
INSERT INTO `sys_job_log` VALUES (2955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:14');
INSERT INTO `sys_job_log` VALUES (2956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:19');
INSERT INTO `sys_job_log` VALUES (2957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:24');
INSERT INTO `sys_job_log` VALUES (2958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:29');
INSERT INTO `sys_job_log` VALUES (2959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:29');
INSERT INTO `sys_job_log` VALUES (2960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:34');
INSERT INTO `sys_job_log` VALUES (2961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 08:44:35');
INSERT INTO `sys_job_log` VALUES (2962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22008毫秒', '0', '', '2024-12-24 08:44:35');
INSERT INTO `sys_job_log` VALUES (2963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:39');
INSERT INTO `sys_job_log` VALUES (2964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:44');
INSERT INTO `sys_job_log` VALUES (2965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:44');
INSERT INTO `sys_job_log` VALUES (2966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:49');
INSERT INTO `sys_job_log` VALUES (2967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:54');
INSERT INTO `sys_job_log` VALUES (2968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21936毫秒', '0', '', '2024-12-24 08:44:57');
INSERT INTO `sys_job_log` VALUES (2969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21982毫秒', '0', '', '2024-12-24 08:44:57');
INSERT INTO `sys_job_log` VALUES (2970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:59');
INSERT INTO `sys_job_log` VALUES (2971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:44:59');
INSERT INTO `sys_job_log` VALUES (2972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:04');
INSERT INTO `sys_job_log` VALUES (2973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:09');
INSERT INTO `sys_job_log` VALUES (2974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:14');
INSERT INTO `sys_job_log` VALUES (2975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:14');
INSERT INTO `sys_job_log` VALUES (2976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21979毫秒', '0', '', '2024-12-24 08:45:19');
INSERT INTO `sys_job_log` VALUES (2977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21989毫秒', '0', '', '2024-12-24 08:45:19');
INSERT INTO `sys_job_log` VALUES (2978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:19');
INSERT INTO `sys_job_log` VALUES (2979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:24');
INSERT INTO `sys_job_log` VALUES (2980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:29');
INSERT INTO `sys_job_log` VALUES (2981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:29');
INSERT INTO `sys_job_log` VALUES (2982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:34');
INSERT INTO `sys_job_log` VALUES (2983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:39');
INSERT INTO `sys_job_log` VALUES (2984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22004毫秒', '0', '', '2024-12-24 08:45:41');
INSERT INTO `sys_job_log` VALUES (2985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22001毫秒', '0', '', '2024-12-24 08:45:41');
INSERT INTO `sys_job_log` VALUES (2986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:44');
INSERT INTO `sys_job_log` VALUES (2987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:44');
INSERT INTO `sys_job_log` VALUES (2988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:49');
INSERT INTO `sys_job_log` VALUES (2989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:54');
INSERT INTO `sys_job_log` VALUES (2990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:59');
INSERT INTO `sys_job_log` VALUES (2991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:45:59');
INSERT INTO `sys_job_log` VALUES (2992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21948毫秒', '0', '', '2024-12-24 08:46:03');
INSERT INTO `sys_job_log` VALUES (2993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:46:03');
INSERT INTO `sys_job_log` VALUES (2994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:04');
INSERT INTO `sys_job_log` VALUES (2995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:09');
INSERT INTO `sys_job_log` VALUES (2996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:14');
INSERT INTO `sys_job_log` VALUES (2997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:14');
INSERT INTO `sys_job_log` VALUES (2998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:19');
INSERT INTO `sys_job_log` VALUES (2999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:24');
INSERT INTO `sys_job_log` VALUES (3000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21951毫秒', '0', '', '2024-12-24 08:46:25');
INSERT INTO `sys_job_log` VALUES (3001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21992毫秒', '0', '', '2024-12-24 08:46:25');
INSERT INTO `sys_job_log` VALUES (3002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:29');
INSERT INTO `sys_job_log` VALUES (3003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:29');
INSERT INTO `sys_job_log` VALUES (3004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$b193ae37.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:46:34');
INSERT INTO `sys_job_log` VALUES (3005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21994毫秒', '0', '', '2024-12-24 08:46:47');
INSERT INTO `sys_job_log` VALUES (3006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22015毫秒', '0', '', '2024-12-24 08:46:47');
INSERT INTO `sys_job_log` VALUES (3007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:13');
INSERT INTO `sys_job_log` VALUES (3008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:14');
INSERT INTO `sys_job_log` VALUES (3009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:14');
INSERT INTO `sys_job_log` VALUES (3010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:20');
INSERT INTO `sys_job_log` VALUES (3011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:24');
INSERT INTO `sys_job_log` VALUES (3012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:29');
INSERT INTO `sys_job_log` VALUES (3013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:29');
INSERT INTO `sys_job_log` VALUES (3014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:34');
INSERT INTO `sys_job_log` VALUES (3015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:39');
INSERT INTO `sys_job_log` VALUES (3016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:44');
INSERT INTO `sys_job_log` VALUES (3017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:44');
INSERT INTO `sys_job_log` VALUES (3018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:49');
INSERT INTO `sys_job_log` VALUES (3019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:54');
INSERT INTO `sys_job_log` VALUES (3020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:59');
INSERT INTO `sys_job_log` VALUES (3021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:47:59');
INSERT INTO `sys_job_log` VALUES (3022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:04');
INSERT INTO `sys_job_log` VALUES (3023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:09');
INSERT INTO `sys_job_log` VALUES (3024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:14');
INSERT INTO `sys_job_log` VALUES (3025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:14');
INSERT INTO `sys_job_log` VALUES (3026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:19');
INSERT INTO `sys_job_log` VALUES (3027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:24');
INSERT INTO `sys_job_log` VALUES (3028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:29');
INSERT INTO `sys_job_log` VALUES (3029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:29');
INSERT INTO `sys_job_log` VALUES (3030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:35');
INSERT INTO `sys_job_log` VALUES (3031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:40');
INSERT INTO `sys_job_log` VALUES (3032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:45');
INSERT INTO `sys_job_log` VALUES (3033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:45');
INSERT INTO `sys_job_log` VALUES (3034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:49');
INSERT INTO `sys_job_log` VALUES (3035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:55');
INSERT INTO `sys_job_log` VALUES (3036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:59');
INSERT INTO `sys_job_log` VALUES (3037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:48:59');
INSERT INTO `sys_job_log` VALUES (3038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:05');
INSERT INTO `sys_job_log` VALUES (3039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:10');
INSERT INTO `sys_job_log` VALUES (3040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:15');
INSERT INTO `sys_job_log` VALUES (3041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:15');
INSERT INTO `sys_job_log` VALUES (3042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:20');
INSERT INTO `sys_job_log` VALUES (3043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:25');
INSERT INTO `sys_job_log` VALUES (3044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:29');
INSERT INTO `sys_job_log` VALUES (3045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:29');
INSERT INTO `sys_job_log` VALUES (3046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:35');
INSERT INTO `sys_job_log` VALUES (3047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:40');
INSERT INTO `sys_job_log` VALUES (3048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:45');
INSERT INTO `sys_job_log` VALUES (3049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:53');
INSERT INTO `sys_job_log` VALUES (3050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:49:59');
INSERT INTO `sys_job_log` VALUES (3051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:50:14');
INSERT INTO `sys_job_log` VALUES (3052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:50:29');
INSERT INTO `sys_job_log` VALUES (3053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:50:44');
INSERT INTO `sys_job_log` VALUES (3054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:50:59');
INSERT INTO `sys_job_log` VALUES (3055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:04');
INSERT INTO `sys_job_log` VALUES (3056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:04');
INSERT INTO `sys_job_log` VALUES (3057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:05');
INSERT INTO `sys_job_log` VALUES (3058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:06');
INSERT INTO `sys_job_log` VALUES (3059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:08');
INSERT INTO `sys_job_log` VALUES (3060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:08');
INSERT INTO `sys_job_log` VALUES (3061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:09');
INSERT INTO `sys_job_log` VALUES (3062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:10');
INSERT INTO `sys_job_log` VALUES (3063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:10');
INSERT INTO `sys_job_log` VALUES (3064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:10');
INSERT INTO `sys_job_log` VALUES (3065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:11');
INSERT INTO `sys_job_log` VALUES (3066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:11');
INSERT INTO `sys_job_log` VALUES (3067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:12');
INSERT INTO `sys_job_log` VALUES (3068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:13');
INSERT INTO `sys_job_log` VALUES (3069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:14');
INSERT INTO `sys_job_log` VALUES (3070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:16');
INSERT INTO `sys_job_log` VALUES (3071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:16');
INSERT INTO `sys_job_log` VALUES (3072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:18');
INSERT INTO `sys_job_log` VALUES (3073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:18');
INSERT INTO `sys_job_log` VALUES (3074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:20');
INSERT INTO `sys_job_log` VALUES (3075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:25');
INSERT INTO `sys_job_log` VALUES (3076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:29');
INSERT INTO `sys_job_log` VALUES (3077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:29');
INSERT INTO `sys_job_log` VALUES (3078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:35');
INSERT INTO `sys_job_log` VALUES (3079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:39');
INSERT INTO `sys_job_log` VALUES (3080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:44');
INSERT INTO `sys_job_log` VALUES (3081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:44');
INSERT INTO `sys_job_log` VALUES (3082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:50');
INSERT INTO `sys_job_log` VALUES (3083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:51:54');
INSERT INTO `sys_job_log` VALUES (3084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:00');
INSERT INTO `sys_job_log` VALUES (3085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:00');
INSERT INTO `sys_job_log` VALUES (3086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:04');
INSERT INTO `sys_job_log` VALUES (3087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:09');
INSERT INTO `sys_job_log` VALUES (3088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:14');
INSERT INTO `sys_job_log` VALUES (3089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:14');
INSERT INTO `sys_job_log` VALUES (3090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:19');
INSERT INTO `sys_job_log` VALUES (3091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:24');
INSERT INTO `sys_job_log` VALUES (3092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:29');
INSERT INTO `sys_job_log` VALUES (3093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:29');
INSERT INTO `sys_job_log` VALUES (3094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:34');
INSERT INTO `sys_job_log` VALUES (3095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:39');
INSERT INTO `sys_job_log` VALUES (3096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:44');
INSERT INTO `sys_job_log` VALUES (3097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:44');
INSERT INTO `sys_job_log` VALUES (3098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:49');
INSERT INTO `sys_job_log` VALUES (3099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:54');
INSERT INTO `sys_job_log` VALUES (3100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:59');
INSERT INTO `sys_job_log` VALUES (3101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:52:59');
INSERT INTO `sys_job_log` VALUES (3102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:04');
INSERT INTO `sys_job_log` VALUES (3103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:09');
INSERT INTO `sys_job_log` VALUES (3104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:14');
INSERT INTO `sys_job_log` VALUES (3105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:14');
INSERT INTO `sys_job_log` VALUES (3106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:19');
INSERT INTO `sys_job_log` VALUES (3107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:24');
INSERT INTO `sys_job_log` VALUES (3108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:29');
INSERT INTO `sys_job_log` VALUES (3109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:29');
INSERT INTO `sys_job_log` VALUES (3110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:34');
INSERT INTO `sys_job_log` VALUES (3111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:39');
INSERT INTO `sys_job_log` VALUES (3112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21981毫秒', '0', '', '2024-12-24 08:53:43');
INSERT INTO `sys_job_log` VALUES (3113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:44');
INSERT INTO `sys_job_log` VALUES (3114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:44');
INSERT INTO `sys_job_log` VALUES (3115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:49');
INSERT INTO `sys_job_log` VALUES (3116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21869毫秒', '0', '', '2024-12-24 08:53:52');
INSERT INTO `sys_job_log` VALUES (3117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:54');
INSERT INTO `sys_job_log` VALUES (3118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:59');
INSERT INTO `sys_job_log` VALUES (3119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:53:59');
INSERT INTO `sys_job_log` VALUES (3120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:04');
INSERT INTO `sys_job_log` VALUES (3121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21712毫秒', '0', '', '2024-12-24 08:54:04');
INSERT INTO `sys_job_log` VALUES (3122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:09');
INSERT INTO `sys_job_log` VALUES (3123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:14');
INSERT INTO `sys_job_log` VALUES (3124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:14');
INSERT INTO `sys_job_log` VALUES (3125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21987毫秒', '0', '', '2024-12-24 08:54:14');
INSERT INTO `sys_job_log` VALUES (3126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:19');
INSERT INTO `sys_job_log` VALUES (3127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:24');
INSERT INTO `sys_job_log` VALUES (3128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21961毫秒', '0', '', '2024-12-24 08:54:26');
INSERT INTO `sys_job_log` VALUES (3129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:29');
INSERT INTO `sys_job_log` VALUES (3130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:29');
INSERT INTO `sys_job_log` VALUES (3131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:34');
INSERT INTO `sys_job_log` VALUES (3132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21960毫秒', '0', '', '2024-12-24 08:54:36');
INSERT INTO `sys_job_log` VALUES (3133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:39');
INSERT INTO `sys_job_log` VALUES (3134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:44');
INSERT INTO `sys_job_log` VALUES (3135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:44');
INSERT INTO `sys_job_log` VALUES (3136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21963毫秒', '0', '', '2024-12-24 08:54:48');
INSERT INTO `sys_job_log` VALUES (3137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:49');
INSERT INTO `sys_job_log` VALUES (3138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:54:54');
INSERT INTO `sys_job_log` VALUES (3139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21972毫秒', '0', '', '2024-12-24 08:54:58');
INSERT INTO `sys_job_log` VALUES (3140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:00');
INSERT INTO `sys_job_log` VALUES (3141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:00');
INSERT INTO `sys_job_log` VALUES (3142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:04');
INSERT INTO `sys_job_log` VALUES (3143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:09');
INSERT INTO `sys_job_log` VALUES (3144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21973毫秒', '0', '', '2024-12-24 08:55:10');
INSERT INTO `sys_job_log` VALUES (3145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:14');
INSERT INTO `sys_job_log` VALUES (3146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:14');
INSERT INTO `sys_job_log` VALUES (3147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:19');
INSERT INTO `sys_job_log` VALUES (3148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21957毫秒', '0', '', '2024-12-24 08:55:20');
INSERT INTO `sys_job_log` VALUES (3149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:24');
INSERT INTO `sys_job_log` VALUES (3150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：5毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:29');
INSERT INTO `sys_job_log` VALUES (3151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:29');
INSERT INTO `sys_job_log` VALUES (3152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21969毫秒', '0', '', '2024-12-24 08:55:32');
INSERT INTO `sys_job_log` VALUES (3153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:34');
INSERT INTO `sys_job_log` VALUES (3154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:39');
INSERT INTO `sys_job_log` VALUES (3155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22012毫秒', '0', '', '2024-12-24 08:55:42');
INSERT INTO `sys_job_log` VALUES (3156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:44');
INSERT INTO `sys_job_log` VALUES (3157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:44');
INSERT INTO `sys_job_log` VALUES (3158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:49');
INSERT INTO `sys_job_log` VALUES (3159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:54');
INSERT INTO `sys_job_log` VALUES (3160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22020毫秒', '0', '', '2024-12-24 08:55:54');
INSERT INTO `sys_job_log` VALUES (3161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:59');
INSERT INTO `sys_job_log` VALUES (3162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:55:59');
INSERT INTO `sys_job_log` VALUES (3163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:04');
INSERT INTO `sys_job_log` VALUES (3164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21955毫秒', '0', '', '2024-12-24 08:56:04');
INSERT INTO `sys_job_log` VALUES (3165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:09');
INSERT INTO `sys_job_log` VALUES (3166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:14');
INSERT INTO `sys_job_log` VALUES (3167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:14');
INSERT INTO `sys_job_log` VALUES (3168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21917毫秒', '0', '', '2024-12-24 08:56:16');
INSERT INTO `sys_job_log` VALUES (3169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:19');
INSERT INTO `sys_job_log` VALUES (3170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:24');
INSERT INTO `sys_job_log` VALUES (3171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21936毫秒', '0', '', '2024-12-24 08:56:26');
INSERT INTO `sys_job_log` VALUES (3172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:29');
INSERT INTO `sys_job_log` VALUES (3173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:29');
INSERT INTO `sys_job_log` VALUES (3174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:34');
INSERT INTO `sys_job_log` VALUES (3175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22053毫秒', '0', '', '2024-12-24 08:56:38');
INSERT INTO `sys_job_log` VALUES (3176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:39');
INSERT INTO `sys_job_log` VALUES (3177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:44');
INSERT INTO `sys_job_log` VALUES (3178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:44');
INSERT INTO `sys_job_log` VALUES (3179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21952毫秒', '0', '', '2024-12-24 08:56:48');
INSERT INTO `sys_job_log` VALUES (3180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:49');
INSERT INTO `sys_job_log` VALUES (3181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:55');
INSERT INTO `sys_job_log` VALUES (3182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:59');
INSERT INTO `sys_job_log` VALUES (3183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:56:59');
INSERT INTO `sys_job_log` VALUES (3184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:04');
INSERT INTO `sys_job_log` VALUES (3185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:09');
INSERT INTO `sys_job_log` VALUES (3186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:15');
INSERT INTO `sys_job_log` VALUES (3187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:15');
INSERT INTO `sys_job_log` VALUES (3188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:19');
INSERT INTO `sys_job_log` VALUES (3189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:24');
INSERT INTO `sys_job_log` VALUES (3190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:29');
INSERT INTO `sys_job_log` VALUES (3191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:29');
INSERT INTO `sys_job_log` VALUES (3192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:34');
INSERT INTO `sys_job_log` VALUES (3193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:39');
INSERT INTO `sys_job_log` VALUES (3194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:44');
INSERT INTO `sys_job_log` VALUES (3195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:44');
INSERT INTO `sys_job_log` VALUES (3196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:49');
INSERT INTO `sys_job_log` VALUES (3197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:54');
INSERT INTO `sys_job_log` VALUES (3198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:59');
INSERT INTO `sys_job_log` VALUES (3199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:57:59');
INSERT INTO `sys_job_log` VALUES (3200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:04');
INSERT INTO `sys_job_log` VALUES (3201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:09');
INSERT INTO `sys_job_log` VALUES (3202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:15');
INSERT INTO `sys_job_log` VALUES (3203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:15');
INSERT INTO `sys_job_log` VALUES (3204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:19');
INSERT INTO `sys_job_log` VALUES (3205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:24');
INSERT INTO `sys_job_log` VALUES (3206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:29');
INSERT INTO `sys_job_log` VALUES (3207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：7毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:29');
INSERT INTO `sys_job_log` VALUES (3208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:34');
INSERT INTO `sys_job_log` VALUES (3209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21846毫秒', '0', '', '2024-12-24 08:58:37');
INSERT INTO `sys_job_log` VALUES (3210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21845毫秒', '0', '', '2024-12-24 08:58:37');
INSERT INTO `sys_job_log` VALUES (3211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:39');
INSERT INTO `sys_job_log` VALUES (3212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:44');
INSERT INTO `sys_job_log` VALUES (3213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:44');
INSERT INTO `sys_job_log` VALUES (3214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:49');
INSERT INTO `sys_job_log` VALUES (3215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:54');
INSERT INTO `sys_job_log` VALUES (3216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:59');
INSERT INTO `sys_job_log` VALUES (3217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:58:59');
INSERT INTO `sys_job_log` VALUES (3218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:04');
INSERT INTO `sys_job_log` VALUES (3219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:09');
INSERT INTO `sys_job_log` VALUES (3220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:14');
INSERT INTO `sys_job_log` VALUES (3221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:14');
INSERT INTO `sys_job_log` VALUES (3222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:19');
INSERT INTO `sys_job_log` VALUES (3223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:24');
INSERT INTO `sys_job_log` VALUES (3224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:29');
INSERT INTO `sys_job_log` VALUES (3225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:29');
INSERT INTO `sys_job_log` VALUES (3226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:34');
INSERT INTO `sys_job_log` VALUES (3227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:39');
INSERT INTO `sys_job_log` VALUES (3228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:44');
INSERT INTO `sys_job_log` VALUES (3229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:44');
INSERT INTO `sys_job_log` VALUES (3230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:49');
INSERT INTO `sys_job_log` VALUES (3231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:54');
INSERT INTO `sys_job_log` VALUES (3232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:59');
INSERT INTO `sys_job_log` VALUES (3233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 08:59:59');
INSERT INTO `sys_job_log` VALUES (3234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:05');
INSERT INTO `sys_job_log` VALUES (3235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:10');
INSERT INTO `sys_job_log` VALUES (3236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:14');
INSERT INTO `sys_job_log` VALUES (3237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:14');
INSERT INTO `sys_job_log` VALUES (3238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:19');
INSERT INTO `sys_job_log` VALUES (3239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:24');
INSERT INTO `sys_job_log` VALUES (3240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:29');
INSERT INTO `sys_job_log` VALUES (3241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:29');
INSERT INTO `sys_job_log` VALUES (3242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:34');
INSERT INTO `sys_job_log` VALUES (3243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:39');
INSERT INTO `sys_job_log` VALUES (3244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:44');
INSERT INTO `sys_job_log` VALUES (3245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:44');
INSERT INTO `sys_job_log` VALUES (3246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:49');
INSERT INTO `sys_job_log` VALUES (3247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:56');
INSERT INTO `sys_job_log` VALUES (3248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:59');
INSERT INTO `sys_job_log` VALUES (3249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:00:59');
INSERT INTO `sys_job_log` VALUES (3250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:04');
INSERT INTO `sys_job_log` VALUES (3251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:09');
INSERT INTO `sys_job_log` VALUES (3252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:14');
INSERT INTO `sys_job_log` VALUES (3253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:15');
INSERT INTO `sys_job_log` VALUES (3254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:19');
INSERT INTO `sys_job_log` VALUES (3255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:24');
INSERT INTO `sys_job_log` VALUES (3256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:29');
INSERT INTO `sys_job_log` VALUES (3257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:29');
INSERT INTO `sys_job_log` VALUES (3258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:34');
INSERT INTO `sys_job_log` VALUES (3259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:39');
INSERT INTO `sys_job_log` VALUES (3260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:44');
INSERT INTO `sys_job_log` VALUES (3261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:44');
INSERT INTO `sys_job_log` VALUES (3262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:49');
INSERT INTO `sys_job_log` VALUES (3263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:55');
INSERT INTO `sys_job_log` VALUES (3264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:59');
INSERT INTO `sys_job_log` VALUES (3265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:01:59');
INSERT INTO `sys_job_log` VALUES (3266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:04');
INSERT INTO `sys_job_log` VALUES (3267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:09');
INSERT INTO `sys_job_log` VALUES (3268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:14');
INSERT INTO `sys_job_log` VALUES (3269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:14');
INSERT INTO `sys_job_log` VALUES (3270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:19');
INSERT INTO `sys_job_log` VALUES (3271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:24');
INSERT INTO `sys_job_log` VALUES (3272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:29');
INSERT INTO `sys_job_log` VALUES (3273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:29');
INSERT INTO `sys_job_log` VALUES (3274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:34');
INSERT INTO `sys_job_log` VALUES (3275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:39');
INSERT INTO `sys_job_log` VALUES (3276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:44');
INSERT INTO `sys_job_log` VALUES (3277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:44');
INSERT INTO `sys_job_log` VALUES (3278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:49');
INSERT INTO `sys_job_log` VALUES (3279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:02:54');
INSERT INTO `sys_job_log` VALUES (3280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:00');
INSERT INTO `sys_job_log` VALUES (3281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:00');
INSERT INTO `sys_job_log` VALUES (3282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:04');
INSERT INTO `sys_job_log` VALUES (3283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:09');
INSERT INTO `sys_job_log` VALUES (3284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:14');
INSERT INTO `sys_job_log` VALUES (3285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:14');
INSERT INTO `sys_job_log` VALUES (3286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:19');
INSERT INTO `sys_job_log` VALUES (3287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:24');
INSERT INTO `sys_job_log` VALUES (3288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:29');
INSERT INTO `sys_job_log` VALUES (3289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:29');
INSERT INTO `sys_job_log` VALUES (3290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:34');
INSERT INTO `sys_job_log` VALUES (3291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:39');
INSERT INTO `sys_job_log` VALUES (3292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:44');
INSERT INTO `sys_job_log` VALUES (3293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:44');
INSERT INTO `sys_job_log` VALUES (3294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:49');
INSERT INTO `sys_job_log` VALUES (3295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:54');
INSERT INTO `sys_job_log` VALUES (3296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:59');
INSERT INTO `sys_job_log` VALUES (3297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:03:59');
INSERT INTO `sys_job_log` VALUES (3298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:04');
INSERT INTO `sys_job_log` VALUES (3299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:09');
INSERT INTO `sys_job_log` VALUES (3300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:14');
INSERT INTO `sys_job_log` VALUES (3301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:14');
INSERT INTO `sys_job_log` VALUES (3302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:19');
INSERT INTO `sys_job_log` VALUES (3303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:25');
INSERT INTO `sys_job_log` VALUES (3304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:29');
INSERT INTO `sys_job_log` VALUES (3305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:29');
INSERT INTO `sys_job_log` VALUES (3306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:35');
INSERT INTO `sys_job_log` VALUES (3307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:40');
INSERT INTO `sys_job_log` VALUES (3308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:44');
INSERT INTO `sys_job_log` VALUES (3309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:44');
INSERT INTO `sys_job_log` VALUES (3310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:49');
INSERT INTO `sys_job_log` VALUES (3311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:54');
INSERT INTO `sys_job_log` VALUES (3312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:59');
INSERT INTO `sys_job_log` VALUES (3313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:04:59');
INSERT INTO `sys_job_log` VALUES (3314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:04');
INSERT INTO `sys_job_log` VALUES (3315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:09');
INSERT INTO `sys_job_log` VALUES (3316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:14');
INSERT INTO `sys_job_log` VALUES (3317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:14');
INSERT INTO `sys_job_log` VALUES (3318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:19');
INSERT INTO `sys_job_log` VALUES (3319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:24');
INSERT INTO `sys_job_log` VALUES (3320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:29');
INSERT INTO `sys_job_log` VALUES (3321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:29');
INSERT INTO `sys_job_log` VALUES (3322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:34');
INSERT INTO `sys_job_log` VALUES (3323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:39');
INSERT INTO `sys_job_log` VALUES (3324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:44');
INSERT INTO `sys_job_log` VALUES (3325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:44');
INSERT INTO `sys_job_log` VALUES (3326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:49');
INSERT INTO `sys_job_log` VALUES (3327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:54');
INSERT INTO `sys_job_log` VALUES (3328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:59');
INSERT INTO `sys_job_log` VALUES (3329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:05:59');
INSERT INTO `sys_job_log` VALUES (3330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:04');
INSERT INTO `sys_job_log` VALUES (3331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:09');
INSERT INTO `sys_job_log` VALUES (3332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:14');
INSERT INTO `sys_job_log` VALUES (3333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:14');
INSERT INTO `sys_job_log` VALUES (3334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:19');
INSERT INTO `sys_job_log` VALUES (3335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:24');
INSERT INTO `sys_job_log` VALUES (3336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:29');
INSERT INTO `sys_job_log` VALUES (3337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:29');
INSERT INTO `sys_job_log` VALUES (3338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:34');
INSERT INTO `sys_job_log` VALUES (3339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:39');
INSERT INTO `sys_job_log` VALUES (3340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:44');
INSERT INTO `sys_job_log` VALUES (3341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:44');
INSERT INTO `sys_job_log` VALUES (3342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:49');
INSERT INTO `sys_job_log` VALUES (3343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:54');
INSERT INTO `sys_job_log` VALUES (3344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:59');
INSERT INTO `sys_job_log` VALUES (3345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:06:59');
INSERT INTO `sys_job_log` VALUES (3346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:04');
INSERT INTO `sys_job_log` VALUES (3347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:09');
INSERT INTO `sys_job_log` VALUES (3348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:14');
INSERT INTO `sys_job_log` VALUES (3349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:14');
INSERT INTO `sys_job_log` VALUES (3350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:19');
INSERT INTO `sys_job_log` VALUES (3351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:24');
INSERT INTO `sys_job_log` VALUES (3352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:29');
INSERT INTO `sys_job_log` VALUES (3353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:29');
INSERT INTO `sys_job_log` VALUES (3354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:34');
INSERT INTO `sys_job_log` VALUES (3355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:39');
INSERT INTO `sys_job_log` VALUES (3356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:44');
INSERT INTO `sys_job_log` VALUES (3357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:44');
INSERT INTO `sys_job_log` VALUES (3358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:49');
INSERT INTO `sys_job_log` VALUES (3359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:54');
INSERT INTO `sys_job_log` VALUES (3360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:59');
INSERT INTO `sys_job_log` VALUES (3361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:07:59');
INSERT INTO `sys_job_log` VALUES (3362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:04');
INSERT INTO `sys_job_log` VALUES (3363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:09');
INSERT INTO `sys_job_log` VALUES (3364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:14');
INSERT INTO `sys_job_log` VALUES (3365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:14');
INSERT INTO `sys_job_log` VALUES (3366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:19');
INSERT INTO `sys_job_log` VALUES (3367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:24');
INSERT INTO `sys_job_log` VALUES (3368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:29');
INSERT INTO `sys_job_log` VALUES (3369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:29');
INSERT INTO `sys_job_log` VALUES (3370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:35');
INSERT INTO `sys_job_log` VALUES (3371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:40');
INSERT INTO `sys_job_log` VALUES (3372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:44');
INSERT INTO `sys_job_log` VALUES (3373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:44');
INSERT INTO `sys_job_log` VALUES (3374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:49');
INSERT INTO `sys_job_log` VALUES (3375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:54');
INSERT INTO `sys_job_log` VALUES (3376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:59');
INSERT INTO `sys_job_log` VALUES (3377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:08:59');
INSERT INTO `sys_job_log` VALUES (3378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:04');
INSERT INTO `sys_job_log` VALUES (3379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:09');
INSERT INTO `sys_job_log` VALUES (3380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:14');
INSERT INTO `sys_job_log` VALUES (3381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:14');
INSERT INTO `sys_job_log` VALUES (3382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:19');
INSERT INTO `sys_job_log` VALUES (3383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:24');
INSERT INTO `sys_job_log` VALUES (3384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:29');
INSERT INTO `sys_job_log` VALUES (3385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:29');
INSERT INTO `sys_job_log` VALUES (3386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:34');
INSERT INTO `sys_job_log` VALUES (3387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:40');
INSERT INTO `sys_job_log` VALUES (3388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:44');
INSERT INTO `sys_job_log` VALUES (3389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:44');
INSERT INTO `sys_job_log` VALUES (3390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:49');
INSERT INTO `sys_job_log` VALUES (3391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:54');
INSERT INTO `sys_job_log` VALUES (3392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:59');
INSERT INTO `sys_job_log` VALUES (3393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:09:59');
INSERT INTO `sys_job_log` VALUES (3394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:04');
INSERT INTO `sys_job_log` VALUES (3395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:09');
INSERT INTO `sys_job_log` VALUES (3396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:15');
INSERT INTO `sys_job_log` VALUES (3397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:15');
INSERT INTO `sys_job_log` VALUES (3398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:19');
INSERT INTO `sys_job_log` VALUES (3399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:24');
INSERT INTO `sys_job_log` VALUES (3400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:29');
INSERT INTO `sys_job_log` VALUES (3401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:29');
INSERT INTO `sys_job_log` VALUES (3402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:34');
INSERT INTO `sys_job_log` VALUES (3403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:39');
INSERT INTO `sys_job_log` VALUES (3404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:44');
INSERT INTO `sys_job_log` VALUES (3405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:44');
INSERT INTO `sys_job_log` VALUES (3406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:49');
INSERT INTO `sys_job_log` VALUES (3407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:54');
INSERT INTO `sys_job_log` VALUES (3408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:59');
INSERT INTO `sys_job_log` VALUES (3409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:10:59');
INSERT INTO `sys_job_log` VALUES (3410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:04');
INSERT INTO `sys_job_log` VALUES (3411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:10');
INSERT INTO `sys_job_log` VALUES (3412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:14');
INSERT INTO `sys_job_log` VALUES (3413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:14');
INSERT INTO `sys_job_log` VALUES (3414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:19');
INSERT INTO `sys_job_log` VALUES (3415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:24');
INSERT INTO `sys_job_log` VALUES (3416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:29');
INSERT INTO `sys_job_log` VALUES (3417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:29');
INSERT INTO `sys_job_log` VALUES (3418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:34');
INSERT INTO `sys_job_log` VALUES (3419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:39');
INSERT INTO `sys_job_log` VALUES (3420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:44');
INSERT INTO `sys_job_log` VALUES (3421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:44');
INSERT INTO `sys_job_log` VALUES (3422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:49');
INSERT INTO `sys_job_log` VALUES (3423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:54');
INSERT INTO `sys_job_log` VALUES (3424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:59');
INSERT INTO `sys_job_log` VALUES (3425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:11:59');
INSERT INTO `sys_job_log` VALUES (3426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:04');
INSERT INTO `sys_job_log` VALUES (3427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:10');
INSERT INTO `sys_job_log` VALUES (3428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:14');
INSERT INTO `sys_job_log` VALUES (3429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:14');
INSERT INTO `sys_job_log` VALUES (3430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:19');
INSERT INTO `sys_job_log` VALUES (3431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:24');
INSERT INTO `sys_job_log` VALUES (3432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:29');
INSERT INTO `sys_job_log` VALUES (3433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:29');
INSERT INTO `sys_job_log` VALUES (3434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:34');
INSERT INTO `sys_job_log` VALUES (3435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:39');
INSERT INTO `sys_job_log` VALUES (3436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:44');
INSERT INTO `sys_job_log` VALUES (3437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:44');
INSERT INTO `sys_job_log` VALUES (3438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:49');
INSERT INTO `sys_job_log` VALUES (3439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:54');
INSERT INTO `sys_job_log` VALUES (3440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:59');
INSERT INTO `sys_job_log` VALUES (3441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:12:59');
INSERT INTO `sys_job_log` VALUES (3442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:04');
INSERT INTO `sys_job_log` VALUES (3443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:09');
INSERT INTO `sys_job_log` VALUES (3444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:14');
INSERT INTO `sys_job_log` VALUES (3445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:14');
INSERT INTO `sys_job_log` VALUES (3446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:19');
INSERT INTO `sys_job_log` VALUES (3447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:24');
INSERT INTO `sys_job_log` VALUES (3448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:29');
INSERT INTO `sys_job_log` VALUES (3449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:29');
INSERT INTO `sys_job_log` VALUES (3450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:34');
INSERT INTO `sys_job_log` VALUES (3451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:39');
INSERT INTO `sys_job_log` VALUES (3452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:44');
INSERT INTO `sys_job_log` VALUES (3453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:44');
INSERT INTO `sys_job_log` VALUES (3454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:49');
INSERT INTO `sys_job_log` VALUES (3455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:55');
INSERT INTO `sys_job_log` VALUES (3456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:59');
INSERT INTO `sys_job_log` VALUES (3457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:13:59');
INSERT INTO `sys_job_log` VALUES (3458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:04');
INSERT INTO `sys_job_log` VALUES (3459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:09');
INSERT INTO `sys_job_log` VALUES (3460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:14');
INSERT INTO `sys_job_log` VALUES (3461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:14');
INSERT INTO `sys_job_log` VALUES (3462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:19');
INSERT INTO `sys_job_log` VALUES (3463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:24');
INSERT INTO `sys_job_log` VALUES (3464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:29');
INSERT INTO `sys_job_log` VALUES (3465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:29');
INSERT INTO `sys_job_log` VALUES (3466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:34');
INSERT INTO `sys_job_log` VALUES (3467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:39');
INSERT INTO `sys_job_log` VALUES (3468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:44');
INSERT INTO `sys_job_log` VALUES (3469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:44');
INSERT INTO `sys_job_log` VALUES (3470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:49');
INSERT INTO `sys_job_log` VALUES (3471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:54');
INSERT INTO `sys_job_log` VALUES (3472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:59');
INSERT INTO `sys_job_log` VALUES (3473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:14:59');
INSERT INTO `sys_job_log` VALUES (3474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:04');
INSERT INTO `sys_job_log` VALUES (3475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:09');
INSERT INTO `sys_job_log` VALUES (3476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:14');
INSERT INTO `sys_job_log` VALUES (3477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:14');
INSERT INTO `sys_job_log` VALUES (3478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:19');
INSERT INTO `sys_job_log` VALUES (3479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:24');
INSERT INTO `sys_job_log` VALUES (3480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:30');
INSERT INTO `sys_job_log` VALUES (3481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:30');
INSERT INTO `sys_job_log` VALUES (3482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:34');
INSERT INTO `sys_job_log` VALUES (3483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:39');
INSERT INTO `sys_job_log` VALUES (3484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:45');
INSERT INTO `sys_job_log` VALUES (3485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:45');
INSERT INTO `sys_job_log` VALUES (3486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:50');
INSERT INTO `sys_job_log` VALUES (3487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:54');
INSERT INTO `sys_job_log` VALUES (3488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:59');
INSERT INTO `sys_job_log` VALUES (3489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledConnect()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:15:59');
INSERT INTO `sys_job_log` VALUES (3490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '1', 'java.lang.NoSuchMethodException: com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$df3beeec.scheduledReadSim()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2395)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:60)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-12-24 09:16:04');
INSERT INTO `sys_job_log` VALUES (3491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-24 09:43:34');
INSERT INTO `sys_job_log` VALUES (3492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1152毫秒', '0', '', '2024-12-24 09:43:34');
INSERT INTO `sys_job_log` VALUES (3493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:43:35');
INSERT INTO `sys_job_log` VALUES (3494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 09:43:40');
INSERT INTO `sys_job_log` VALUES (3495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 09:43:45');
INSERT INTO `sys_job_log` VALUES (3496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：796毫秒', '0', '', '2024-12-24 09:43:46');
INSERT INTO `sys_job_log` VALUES (3497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 09:43:50');
INSERT INTO `sys_job_log` VALUES (3498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 09:43:55');
INSERT INTO `sys_job_log` VALUES (3499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 09:44:00');
INSERT INTO `sys_job_log` VALUES (3500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：795毫秒', '0', '', '2024-12-24 09:44:01');
INSERT INTO `sys_job_log` VALUES (3501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：879毫秒', '0', '', '2024-12-24 09:44:06');
INSERT INTO `sys_job_log` VALUES (3502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 09:44:10');
INSERT INTO `sys_job_log` VALUES (3503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 09:44:15');
INSERT INTO `sys_job_log` VALUES (3504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：914毫秒', '0', '', '2024-12-24 09:44:16');
INSERT INTO `sys_job_log` VALUES (3505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 09:44:20');
INSERT INTO `sys_job_log` VALUES (3506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 09:44:25');
INSERT INTO `sys_job_log` VALUES (3507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 09:44:30');
INSERT INTO `sys_job_log` VALUES (3508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：891毫秒', '0', '', '2024-12-24 09:44:31');
INSERT INTO `sys_job_log` VALUES (3509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 09:44:35');
INSERT INTO `sys_job_log` VALUES (3510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 09:44:40');
INSERT INTO `sys_job_log` VALUES (3511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 09:44:45');
INSERT INTO `sys_job_log` VALUES (3512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：863毫秒', '0', '', '2024-12-24 09:44:46');
INSERT INTO `sys_job_log` VALUES (3513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:44:50');
INSERT INTO `sys_job_log` VALUES (3514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 09:44:55');
INSERT INTO `sys_job_log` VALUES (3515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:45:00');
INSERT INTO `sys_job_log` VALUES (3516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：940毫秒', '0', '', '2024-12-24 09:45:01');
INSERT INTO `sys_job_log` VALUES (3517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:45:05');
INSERT INTO `sys_job_log` VALUES (3518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:45:10');
INSERT INTO `sys_job_log` VALUES (3519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1037毫秒', '0', '', '2024-12-24 09:51:38');
INSERT INTO `sys_job_log` VALUES (3520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 09:51:39');
INSERT INTO `sys_job_log` VALUES (3521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 09:51:44');
INSERT INTO `sys_job_log` VALUES (3522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：310毫秒', '0', '', '2024-12-24 09:51:44');
INSERT INTO `sys_job_log` VALUES (3523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 09:51:49');
INSERT INTO `sys_job_log` VALUES (3524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-24 09:51:54');
INSERT INTO `sys_job_log` VALUES (3525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:51:59');
INSERT INTO `sys_job_log` VALUES (3526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：280毫秒', '0', '', '2024-12-24 09:51:59');
INSERT INTO `sys_job_log` VALUES (3527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:52:04');
INSERT INTO `sys_job_log` VALUES (3528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 09:52:09');
INSERT INTO `sys_job_log` VALUES (3529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:52:14');
INSERT INTO `sys_job_log` VALUES (3530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：282毫秒', '0', '', '2024-12-24 09:52:14');
INSERT INTO `sys_job_log` VALUES (3531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:52:19');
INSERT INTO `sys_job_log` VALUES (3532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:52:24');
INSERT INTO `sys_job_log` VALUES (3533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 09:52:29');
INSERT INTO `sys_job_log` VALUES (3534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：361毫秒', '0', '', '2024-12-24 09:52:29');
INSERT INTO `sys_job_log` VALUES (3535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:52:34');
INSERT INTO `sys_job_log` VALUES (3536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 09:52:39');
INSERT INTO `sys_job_log` VALUES (3537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:52:44');
INSERT INTO `sys_job_log` VALUES (3538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：300毫秒', '0', '', '2024-12-24 09:52:45');
INSERT INTO `sys_job_log` VALUES (3539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 09:52:49');
INSERT INTO `sys_job_log` VALUES (3540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:52:54');
INSERT INTO `sys_job_log` VALUES (3541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 09:52:59');
INSERT INTO `sys_job_log` VALUES (3542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：785毫秒', '0', '', '2024-12-24 09:53:00');
INSERT INTO `sys_job_log` VALUES (3543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:53:04');
INSERT INTO `sys_job_log` VALUES (3544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:53:09');
INSERT INTO `sys_job_log` VALUES (3545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：312毫秒', '0', '', '2024-12-24 09:53:14');
INSERT INTO `sys_job_log` VALUES (3546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：555毫秒', '0', '', '2024-12-24 09:53:15');
INSERT INTO `sys_job_log` VALUES (3547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 09:53:19');
INSERT INTO `sys_job_log` VALUES (3548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 09:53:24');
INSERT INTO `sys_job_log` VALUES (3549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 09:53:29');
INSERT INTO `sys_job_log` VALUES (3550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1339毫秒', '0', '', '2024-12-24 09:53:30');
INSERT INTO `sys_job_log` VALUES (3551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 09:53:34');
INSERT INTO `sys_job_log` VALUES (3552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:53:39');
INSERT INTO `sys_job_log` VALUES (3553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：540毫秒', '0', '', '2024-12-24 09:53:45');
INSERT INTO `sys_job_log` VALUES (3554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1820毫秒', '0', '', '2024-12-24 09:53:46');
INSERT INTO `sys_job_log` VALUES (3555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 09:53:49');
INSERT INTO `sys_job_log` VALUES (3556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:53:54');
INSERT INTO `sys_job_log` VALUES (3557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:53:59');
INSERT INTO `sys_job_log` VALUES (3558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1764毫秒', '0', '', '2024-12-24 09:54:01');
INSERT INTO `sys_job_log` VALUES (3559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-24 09:54:04');
INSERT INTO `sys_job_log` VALUES (3560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 09:54:09');
INSERT INTO `sys_job_log` VALUES (3561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:54:14');
INSERT INTO `sys_job_log` VALUES (3562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：788毫秒', '0', '', '2024-12-24 09:54:15');
INSERT INTO `sys_job_log` VALUES (3563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：229毫秒', '0', '', '2024-12-24 09:54:19');
INSERT INTO `sys_job_log` VALUES (3564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：561毫秒', '0', '', '2024-12-24 09:54:25');
INSERT INTO `sys_job_log` VALUES (3565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:54:29');
INSERT INTO `sys_job_log` VALUES (3566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：340毫秒', '0', '', '2024-12-24 09:54:29');
INSERT INTO `sys_job_log` VALUES (3567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:54:34');
INSERT INTO `sys_job_log` VALUES (3568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:54:39');
INSERT INTO `sys_job_log` VALUES (3569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:54:44');
INSERT INTO `sys_job_log` VALUES (3570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：284毫秒', '0', '', '2024-12-24 09:54:44');
INSERT INTO `sys_job_log` VALUES (3571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:54:49');
INSERT INTO `sys_job_log` VALUES (3572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:54:54');
INSERT INTO `sys_job_log` VALUES (3573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 09:54:59');
INSERT INTO `sys_job_log` VALUES (3574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：262毫秒', '0', '', '2024-12-24 09:54:59');
INSERT INTO `sys_job_log` VALUES (3575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 09:55:04');
INSERT INTO `sys_job_log` VALUES (3576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:55:09');
INSERT INTO `sys_job_log` VALUES (3577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 09:55:14');
INSERT INTO `sys_job_log` VALUES (3578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：224毫秒', '0', '', '2024-12-24 09:55:14');
INSERT INTO `sys_job_log` VALUES (3579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:55:19');
INSERT INTO `sys_job_log` VALUES (3580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：186毫秒', '0', '', '2024-12-24 09:55:24');
INSERT INTO `sys_job_log` VALUES (3581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 09:55:29');
INSERT INTO `sys_job_log` VALUES (3582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：304毫秒', '0', '', '2024-12-24 09:55:29');
INSERT INTO `sys_job_log` VALUES (3583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：758毫秒', '0', '', '2024-12-24 09:55:35');
INSERT INTO `sys_job_log` VALUES (3584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:55:39');
INSERT INTO `sys_job_log` VALUES (3585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:55:44');
INSERT INTO `sys_job_log` VALUES (3586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：273毫秒', '0', '', '2024-12-24 09:55:44');
INSERT INTO `sys_job_log` VALUES (3587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:55:49');
INSERT INTO `sys_job_log` VALUES (3588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：838毫秒', '0', '', '2024-12-24 09:55:53');
INSERT INTO `sys_job_log` VALUES (3589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:55:54');
INSERT INTO `sys_job_log` VALUES (3590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 09:55:56');
INSERT INTO `sys_job_log` VALUES (3591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 09:55:59');
INSERT INTO `sys_job_log` VALUES (3592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：252毫秒', '0', '', '2024-12-24 09:55:59');
INSERT INTO `sys_job_log` VALUES (3593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 09:56:00');
INSERT INTO `sys_job_log` VALUES (3594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：788毫秒', '0', '', '2024-12-24 09:56:01');
INSERT INTO `sys_job_log` VALUES (3595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 09:56:04');
INSERT INTO `sys_job_log` VALUES (3596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 09:56:06');
INSERT INTO `sys_job_log` VALUES (3597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:56:09');
INSERT INTO `sys_job_log` VALUES (3598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:56:11');
INSERT INTO `sys_job_log` VALUES (3599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:56:14');
INSERT INTO `sys_job_log` VALUES (3600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：646毫秒', '0', '', '2024-12-24 09:56:15');
INSERT INTO `sys_job_log` VALUES (3601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:56:16');
INSERT INTO `sys_job_log` VALUES (3602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：835毫秒', '0', '', '2024-12-24 09:56:16');
INSERT INTO `sys_job_log` VALUES (3603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：217毫秒', '0', '', '2024-12-24 09:56:19');
INSERT INTO `sys_job_log` VALUES (3604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:56:21');
INSERT INTO `sys_job_log` VALUES (3605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:56:24');
INSERT INTO `sys_job_log` VALUES (3606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:56:26');
INSERT INTO `sys_job_log` VALUES (3607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 09:56:29');
INSERT INTO `sys_job_log` VALUES (3608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：601毫秒', '0', '', '2024-12-24 09:56:30');
INSERT INTO `sys_job_log` VALUES (3609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:56:31');
INSERT INTO `sys_job_log` VALUES (3610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：823毫秒', '0', '', '2024-12-24 09:56:31');
INSERT INTO `sys_job_log` VALUES (3611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 09:56:34');
INSERT INTO `sys_job_log` VALUES (3612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：870毫秒', '0', '', '2024-12-24 09:56:36');
INSERT INTO `sys_job_log` VALUES (3613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:56:39');
INSERT INTO `sys_job_log` VALUES (3614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 09:56:41');
INSERT INTO `sys_job_log` VALUES (3615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:56:44');
INSERT INTO `sys_job_log` VALUES (3616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：276毫秒', '0', '', '2024-12-24 09:56:44');
INSERT INTO `sys_job_log` VALUES (3617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:56:46');
INSERT INTO `sys_job_log` VALUES (3618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：815毫秒', '0', '', '2024-12-24 09:56:46');
INSERT INTO `sys_job_log` VALUES (3619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:56:49');
INSERT INTO `sys_job_log` VALUES (3620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:56:51');
INSERT INTO `sys_job_log` VALUES (3621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:56:54');
INSERT INTO `sys_job_log` VALUES (3622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 09:56:55');
INSERT INTO `sys_job_log` VALUES (3623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:56:59');
INSERT INTO `sys_job_log` VALUES (3624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：236毫秒', '0', '', '2024-12-24 09:56:59');
INSERT INTO `sys_job_log` VALUES (3625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:57:01');
INSERT INTO `sys_job_log` VALUES (3626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：818毫秒', '0', '', '2024-12-24 09:57:01');
INSERT INTO `sys_job_log` VALUES (3627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:57:04');
INSERT INTO `sys_job_log` VALUES (3628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：867毫秒', '0', '', '2024-12-24 09:57:06');
INSERT INTO `sys_job_log` VALUES (3629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:57:09');
INSERT INTO `sys_job_log` VALUES (3630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:57:11');
INSERT INTO `sys_job_log` VALUES (3631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:57:14');
INSERT INTO `sys_job_log` VALUES (3632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：316毫秒', '0', '', '2024-12-24 09:57:14');
INSERT INTO `sys_job_log` VALUES (3633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:57:15');
INSERT INTO `sys_job_log` VALUES (3634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：817毫秒', '0', '', '2024-12-24 09:57:16');
INSERT INTO `sys_job_log` VALUES (3635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:57:19');
INSERT INTO `sys_job_log` VALUES (3636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:57:21');
INSERT INTO `sys_job_log` VALUES (3637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:57:24');
INSERT INTO `sys_job_log` VALUES (3638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:57:26');
INSERT INTO `sys_job_log` VALUES (3639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 09:57:29');
INSERT INTO `sys_job_log` VALUES (3640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：284毫秒', '0', '', '2024-12-24 09:57:29');
INSERT INTO `sys_job_log` VALUES (3641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:57:31');
INSERT INTO `sys_job_log` VALUES (3642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：812毫秒', '0', '', '2024-12-24 09:57:31');
INSERT INTO `sys_job_log` VALUES (3643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：478毫秒', '0', '', '2024-12-24 09:57:35');
INSERT INTO `sys_job_log` VALUES (3644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：862毫秒', '0', '', '2024-12-24 09:57:36');
INSERT INTO `sys_job_log` VALUES (3645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:57:39');
INSERT INTO `sys_job_log` VALUES (3646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:57:41');
INSERT INTO `sys_job_log` VALUES (3647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 09:57:44');
INSERT INTO `sys_job_log` VALUES (3648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：306毫秒', '0', '', '2024-12-24 09:57:44');
INSERT INTO `sys_job_log` VALUES (3649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:57:46');
INSERT INTO `sys_job_log` VALUES (3650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：826毫秒', '0', '', '2024-12-24 09:57:46');
INSERT INTO `sys_job_log` VALUES (3651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 09:57:49');
INSERT INTO `sys_job_log` VALUES (3652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:57:51');
INSERT INTO `sys_job_log` VALUES (3653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 09:57:54');
INSERT INTO `sys_job_log` VALUES (3654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:57:56');
INSERT INTO `sys_job_log` VALUES (3655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 09:57:59');
INSERT INTO `sys_job_log` VALUES (3656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：414毫秒', '0', '', '2024-12-24 09:58:00');
INSERT INTO `sys_job_log` VALUES (3657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:58:01');
INSERT INTO `sys_job_log` VALUES (3658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：816毫秒', '0', '', '2024-12-24 09:58:01');
INSERT INTO `sys_job_log` VALUES (3659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 09:58:04');
INSERT INTO `sys_job_log` VALUES (3660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：869毫秒', '0', '', '2024-12-24 09:58:06');
INSERT INTO `sys_job_log` VALUES (3661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:58:09');
INSERT INTO `sys_job_log` VALUES (3662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:58:11');
INSERT INTO `sys_job_log` VALUES (3663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 09:58:14');
INSERT INTO `sys_job_log` VALUES (3664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：930毫秒', '0', '', '2024-12-24 09:58:15');
INSERT INTO `sys_job_log` VALUES (3665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:58:16');
INSERT INTO `sys_job_log` VALUES (3666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：818毫秒', '0', '', '2024-12-24 09:58:16');
INSERT INTO `sys_job_log` VALUES (3667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 09:58:19');
INSERT INTO `sys_job_log` VALUES (3668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:58:21');
INSERT INTO `sys_job_log` VALUES (3669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:58:24');
INSERT INTO `sys_job_log` VALUES (3670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:58:25');
INSERT INTO `sys_job_log` VALUES (3671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:58:29');
INSERT INTO `sys_job_log` VALUES (3672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：284毫秒', '0', '', '2024-12-24 09:58:30');
INSERT INTO `sys_job_log` VALUES (3673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:58:31');
INSERT INTO `sys_job_log` VALUES (3674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：809毫秒', '0', '', '2024-12-24 09:58:31');
INSERT INTO `sys_job_log` VALUES (3675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 09:58:34');
INSERT INTO `sys_job_log` VALUES (3676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：926毫秒', '0', '', '2024-12-24 09:58:36');
INSERT INTO `sys_job_log` VALUES (3677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：287毫秒', '0', '', '2024-12-24 09:58:39');
INSERT INTO `sys_job_log` VALUES (3678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 09:58:41');
INSERT INTO `sys_job_log` VALUES (3679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:58:44');
INSERT INTO `sys_job_log` VALUES (3680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：518毫秒', '0', '', '2024-12-24 09:58:45');
INSERT INTO `sys_job_log` VALUES (3681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 09:58:45');
INSERT INTO `sys_job_log` VALUES (3682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：810毫秒', '0', '', '2024-12-24 09:58:46');
INSERT INTO `sys_job_log` VALUES (3683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 09:58:49');
INSERT INTO `sys_job_log` VALUES (3684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:58:51');
INSERT INTO `sys_job_log` VALUES (3685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:58:54');
INSERT INTO `sys_job_log` VALUES (3686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:58:56');
INSERT INTO `sys_job_log` VALUES (3687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 09:58:59');
INSERT INTO `sys_job_log` VALUES (3688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：377毫秒', '0', '', '2024-12-24 09:58:59');
INSERT INTO `sys_job_log` VALUES (3689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 09:59:01');
INSERT INTO `sys_job_log` VALUES (3690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：811毫秒', '0', '', '2024-12-24 09:59:01');
INSERT INTO `sys_job_log` VALUES (3691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 09:59:04');
INSERT INTO `sys_job_log` VALUES (3692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：857毫秒', '0', '', '2024-12-24 09:59:06');
INSERT INTO `sys_job_log` VALUES (3693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:59:09');
INSERT INTO `sys_job_log` VALUES (3694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:59:11');
INSERT INTO `sys_job_log` VALUES (3695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:59:14');
INSERT INTO `sys_job_log` VALUES (3696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：292毫秒', '0', '', '2024-12-24 09:59:14');
INSERT INTO `sys_job_log` VALUES (3697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:59:16');
INSERT INTO `sys_job_log` VALUES (3698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：808毫秒', '0', '', '2024-12-24 09:59:16');
INSERT INTO `sys_job_log` VALUES (3699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 09:59:19');
INSERT INTO `sys_job_log` VALUES (3700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 09:59:21');
INSERT INTO `sys_job_log` VALUES (3701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-24 09:59:24');
INSERT INTO `sys_job_log` VALUES (3702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:59:26');
INSERT INTO `sys_job_log` VALUES (3703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:59:29');
INSERT INTO `sys_job_log` VALUES (3704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：371毫秒', '0', '', '2024-12-24 09:59:30');
INSERT INTO `sys_job_log` VALUES (3705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:59:31');
INSERT INTO `sys_job_log` VALUES (3706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：820毫秒', '0', '', '2024-12-24 09:59:31');
INSERT INTO `sys_job_log` VALUES (3707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 09:59:34');
INSERT INTO `sys_job_log` VALUES (3708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：890毫秒', '0', '', '2024-12-24 09:59:36');
INSERT INTO `sys_job_log` VALUES (3709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:59:39');
INSERT INTO `sys_job_log` VALUES (3710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:59:41');
INSERT INTO `sys_job_log` VALUES (3711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 09:59:44');
INSERT INTO `sys_job_log` VALUES (3712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：246毫秒', '0', '', '2024-12-24 09:59:44');
INSERT INTO `sys_job_log` VALUES (3713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 09:59:46');
INSERT INTO `sys_job_log` VALUES (3714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：812毫秒', '0', '', '2024-12-24 09:59:46');
INSERT INTO `sys_job_log` VALUES (3715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 09:59:49');
INSERT INTO `sys_job_log` VALUES (3716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 09:59:51');
INSERT INTO `sys_job_log` VALUES (3717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 09:59:54');
INSERT INTO `sys_job_log` VALUES (3718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 09:59:55');
INSERT INTO `sys_job_log` VALUES (3719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 09:59:59');
INSERT INTO `sys_job_log` VALUES (3720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：357毫秒', '0', '', '2024-12-24 09:59:59');
INSERT INTO `sys_job_log` VALUES (3721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:00:01');
INSERT INTO `sys_job_log` VALUES (3722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：806毫秒', '0', '', '2024-12-24 10:00:01');
INSERT INTO `sys_job_log` VALUES (3723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 10:00:04');
INSERT INTO `sys_job_log` VALUES (3724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：904毫秒', '0', '', '2024-12-24 10:00:06');
INSERT INTO `sys_job_log` VALUES (3725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 10:00:09');
INSERT INTO `sys_job_log` VALUES (3726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:00:11');
INSERT INTO `sys_job_log` VALUES (3727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 10:00:14');
INSERT INTO `sys_job_log` VALUES (3728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：338毫秒', '0', '', '2024-12-24 10:00:14');
INSERT INTO `sys_job_log` VALUES (3729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:00:15');
INSERT INTO `sys_job_log` VALUES (3730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：816毫秒', '0', '', '2024-12-24 10:00:16');
INSERT INTO `sys_job_log` VALUES (3731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 10:00:19');
INSERT INTO `sys_job_log` VALUES (3732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:00:21');
INSERT INTO `sys_job_log` VALUES (3733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:00:24');
INSERT INTO `sys_job_log` VALUES (3734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:00:26');
INSERT INTO `sys_job_log` VALUES (3735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 10:00:29');
INSERT INTO `sys_job_log` VALUES (3736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：262毫秒', '0', '', '2024-12-24 10:00:29');
INSERT INTO `sys_job_log` VALUES (3737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:00:31');
INSERT INTO `sys_job_log` VALUES (3738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：830毫秒', '0', '', '2024-12-24 10:00:31');
INSERT INTO `sys_job_log` VALUES (3739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 10:00:34');
INSERT INTO `sys_job_log` VALUES (3740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：870毫秒', '0', '', '2024-12-24 10:00:36');
INSERT INTO `sys_job_log` VALUES (3741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:00:39');
INSERT INTO `sys_job_log` VALUES (3742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:00:40');
INSERT INTO `sys_job_log` VALUES (3743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:00:44');
INSERT INTO `sys_job_log` VALUES (3744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：334毫秒', '0', '', '2024-12-24 10:00:44');
INSERT INTO `sys_job_log` VALUES (3745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:00:46');
INSERT INTO `sys_job_log` VALUES (3746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：796毫秒', '0', '', '2024-12-24 10:00:46');
INSERT INTO `sys_job_log` VALUES (3747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:00:49');
INSERT INTO `sys_job_log` VALUES (3748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:00:51');
INSERT INTO `sys_job_log` VALUES (3749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:00:54');
INSERT INTO `sys_job_log` VALUES (3750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:00:56');
INSERT INTO `sys_job_log` VALUES (3751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 10:00:59');
INSERT INTO `sys_job_log` VALUES (3752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：304毫秒', '0', '', '2024-12-24 10:00:59');
INSERT INTO `sys_job_log` VALUES (3753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:01:01');
INSERT INTO `sys_job_log` VALUES (3754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：814毫秒', '0', '', '2024-12-24 10:01:01');
INSERT INTO `sys_job_log` VALUES (3755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:01:04');
INSERT INTO `sys_job_log` VALUES (3756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：871毫秒', '0', '', '2024-12-24 10:01:06');
INSERT INTO `sys_job_log` VALUES (3757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 10:01:10');
INSERT INTO `sys_job_log` VALUES (3758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:01:10');
INSERT INTO `sys_job_log` VALUES (3759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 10:01:14');
INSERT INTO `sys_job_log` VALUES (3760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1242毫秒', '0', '', '2024-12-24 10:01:15');
INSERT INTO `sys_job_log` VALUES (3761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:01:16');
INSERT INTO `sys_job_log` VALUES (3762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：770毫秒', '0', '', '2024-12-24 10:01:16');
INSERT INTO `sys_job_log` VALUES (3763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:01:19');
INSERT INTO `sys_job_log` VALUES (3764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:01:21');
INSERT INTO `sys_job_log` VALUES (3765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:01:24');
INSERT INTO `sys_job_log` VALUES (3766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:01:26');
INSERT INTO `sys_job_log` VALUES (3767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:01:29');
INSERT INTO `sys_job_log` VALUES (3768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：274毫秒', '0', '', '2024-12-24 10:01:29');
INSERT INTO `sys_job_log` VALUES (3769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:01:31');
INSERT INTO `sys_job_log` VALUES (3770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：849毫秒', '0', '', '2024-12-24 10:01:31');
INSERT INTO `sys_job_log` VALUES (3771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:01:34');
INSERT INTO `sys_job_log` VALUES (3772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：916毫秒', '0', '', '2024-12-24 10:01:36');
INSERT INTO `sys_job_log` VALUES (3773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:01:39');
INSERT INTO `sys_job_log` VALUES (3774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:01:41');
INSERT INTO `sys_job_log` VALUES (3775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 10:01:44');
INSERT INTO `sys_job_log` VALUES (3776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：390毫秒', '0', '', '2024-12-24 10:01:45');
INSERT INTO `sys_job_log` VALUES (3777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:01:46');
INSERT INTO `sys_job_log` VALUES (3778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：819毫秒', '0', '', '2024-12-24 10:01:46');
INSERT INTO `sys_job_log` VALUES (3779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:01:49');
INSERT INTO `sys_job_log` VALUES (3780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 10:01:51');
INSERT INTO `sys_job_log` VALUES (3781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:01:54');
INSERT INTO `sys_job_log` VALUES (3782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:01:56');
INSERT INTO `sys_job_log` VALUES (3783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:01:59');
INSERT INTO `sys_job_log` VALUES (3784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：328毫秒', '0', '', '2024-12-24 10:02:00');
INSERT INTO `sys_job_log` VALUES (3785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 10:02:01');
INSERT INTO `sys_job_log` VALUES (3786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：812毫秒', '0', '', '2024-12-24 10:02:01');
INSERT INTO `sys_job_log` VALUES (3787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 10:02:04');
INSERT INTO `sys_job_log` VALUES (3788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：886毫秒', '0', '', '2024-12-24 10:02:06');
INSERT INTO `sys_job_log` VALUES (3789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:02:09');
INSERT INTO `sys_job_log` VALUES (3790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:02:11');
INSERT INTO `sys_job_log` VALUES (3791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:02:14');
INSERT INTO `sys_job_log` VALUES (3792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：427毫秒', '0', '', '2024-12-24 10:02:15');
INSERT INTO `sys_job_log` VALUES (3793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:02:16');
INSERT INTO `sys_job_log` VALUES (3794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：814毫秒', '0', '', '2024-12-24 10:02:16');
INSERT INTO `sys_job_log` VALUES (3795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:02:19');
INSERT INTO `sys_job_log` VALUES (3796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:02:21');
INSERT INTO `sys_job_log` VALUES (3797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:02:24');
INSERT INTO `sys_job_log` VALUES (3798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:02:26');
INSERT INTO `sys_job_log` VALUES (3799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 10:02:29');
INSERT INTO `sys_job_log` VALUES (3800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：328毫秒', '0', '', '2024-12-24 10:02:29');
INSERT INTO `sys_job_log` VALUES (3801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:02:31');
INSERT INTO `sys_job_log` VALUES (3802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：814毫秒', '0', '', '2024-12-24 10:02:31');
INSERT INTO `sys_job_log` VALUES (3803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:02:34');
INSERT INTO `sys_job_log` VALUES (3804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：872毫秒', '0', '', '2024-12-24 10:02:36');
INSERT INTO `sys_job_log` VALUES (3805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 10:02:39');
INSERT INTO `sys_job_log` VALUES (3806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:02:41');
INSERT INTO `sys_job_log` VALUES (3807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:02:44');
INSERT INTO `sys_job_log` VALUES (3808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：323毫秒', '0', '', '2024-12-24 10:02:44');
INSERT INTO `sys_job_log` VALUES (3809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:02:46');
INSERT INTO `sys_job_log` VALUES (3810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：808毫秒', '0', '', '2024-12-24 10:02:46');
INSERT INTO `sys_job_log` VALUES (3811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:02:49');
INSERT INTO `sys_job_log` VALUES (3812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:02:51');
INSERT INTO `sys_job_log` VALUES (3813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:02:54');
INSERT INTO `sys_job_log` VALUES (3814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:02:56');
INSERT INTO `sys_job_log` VALUES (3815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 10:02:59');
INSERT INTO `sys_job_log` VALUES (3816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：341毫秒', '0', '', '2024-12-24 10:02:59');
INSERT INTO `sys_job_log` VALUES (3817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:03:01');
INSERT INTO `sys_job_log` VALUES (3818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：872毫秒', '0', '', '2024-12-24 10:03:01');
INSERT INTO `sys_job_log` VALUES (3819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:03:04');
INSERT INTO `sys_job_log` VALUES (3820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：884毫秒', '0', '', '2024-12-24 10:03:06');
INSERT INTO `sys_job_log` VALUES (3821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:03:09');
INSERT INTO `sys_job_log` VALUES (3822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 10:03:10');
INSERT INTO `sys_job_log` VALUES (3823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:03:14');
INSERT INTO `sys_job_log` VALUES (3824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：368毫秒', '0', '', '2024-12-24 10:03:14');
INSERT INTO `sys_job_log` VALUES (3825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:03:15');
INSERT INTO `sys_job_log` VALUES (3826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：780毫秒', '0', '', '2024-12-24 10:03:16');
INSERT INTO `sys_job_log` VALUES (3827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:03:19');
INSERT INTO `sys_job_log` VALUES (3828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:03:21');
INSERT INTO `sys_job_log` VALUES (3829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 10:03:25');
INSERT INTO `sys_job_log` VALUES (3830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:03:26');
INSERT INTO `sys_job_log` VALUES (3831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 10:03:29');
INSERT INTO `sys_job_log` VALUES (3832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：323毫秒', '0', '', '2024-12-24 10:03:29');
INSERT INTO `sys_job_log` VALUES (3833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:03:31');
INSERT INTO `sys_job_log` VALUES (3834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：816毫秒', '0', '', '2024-12-24 10:03:31');
INSERT INTO `sys_job_log` VALUES (3835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:03:34');
INSERT INTO `sys_job_log` VALUES (3836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：875毫秒', '0', '', '2024-12-24 10:03:36');
INSERT INTO `sys_job_log` VALUES (3837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:03:39');
INSERT INTO `sys_job_log` VALUES (3838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:03:41');
INSERT INTO `sys_job_log` VALUES (3839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:03:44');
INSERT INTO `sys_job_log` VALUES (3840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：394毫秒', '0', '', '2024-12-24 10:03:45');
INSERT INTO `sys_job_log` VALUES (3841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:03:46');
INSERT INTO `sys_job_log` VALUES (3842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：809毫秒', '0', '', '2024-12-24 10:03:46');
INSERT INTO `sys_job_log` VALUES (3843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 10:03:49');
INSERT INTO `sys_job_log` VALUES (3844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:03:51');
INSERT INTO `sys_job_log` VALUES (3845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 10:03:54');
INSERT INTO `sys_job_log` VALUES (3846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:03:56');
INSERT INTO `sys_job_log` VALUES (3847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:03:59');
INSERT INTO `sys_job_log` VALUES (3848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：364毫秒', '0', '', '2024-12-24 10:03:59');
INSERT INTO `sys_job_log` VALUES (3849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:04:01');
INSERT INTO `sys_job_log` VALUES (3850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：819毫秒', '0', '', '2024-12-24 10:04:01');
INSERT INTO `sys_job_log` VALUES (3851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-24 10:04:04');
INSERT INTO `sys_job_log` VALUES (3852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：865毫秒', '0', '', '2024-12-24 10:04:06');
INSERT INTO `sys_job_log` VALUES (3853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:04:09');
INSERT INTO `sys_job_log` VALUES (3854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:04:11');
INSERT INTO `sys_job_log` VALUES (3855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:04:14');
INSERT INTO `sys_job_log` VALUES (3856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：256毫秒', '0', '', '2024-12-24 10:04:14');
INSERT INTO `sys_job_log` VALUES (3857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:04:16');
INSERT INTO `sys_job_log` VALUES (3858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：799毫秒', '0', '', '2024-12-24 10:04:16');
INSERT INTO `sys_job_log` VALUES (3859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:04:19');
INSERT INTO `sys_job_log` VALUES (3860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:04:21');
INSERT INTO `sys_job_log` VALUES (3861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：226毫秒', '0', '', '2024-12-24 10:04:25');
INSERT INTO `sys_job_log` VALUES (3862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:04:26');
INSERT INTO `sys_job_log` VALUES (3863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 10:04:30');
INSERT INTO `sys_job_log` VALUES (3864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:04:31');
INSERT INTO `sys_job_log` VALUES (3865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：834毫秒', '0', '', '2024-12-24 10:04:31');
INSERT INTO `sys_job_log` VALUES (3866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2693毫秒', '0', '', '2024-12-24 10:04:32');
INSERT INTO `sys_job_log` VALUES (3867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：559毫秒', '0', '', '2024-12-24 10:04:35');
INSERT INTO `sys_job_log` VALUES (3868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：888毫秒', '0', '', '2024-12-24 10:04:36');
INSERT INTO `sys_job_log` VALUES (3869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:04:39');
INSERT INTO `sys_job_log` VALUES (3870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:04:41');
INSERT INTO `sys_job_log` VALUES (3871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:04:44');
INSERT INTO `sys_job_log` VALUES (3872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：304毫秒', '0', '', '2024-12-24 10:04:44');
INSERT INTO `sys_job_log` VALUES (3873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:04:45');
INSERT INTO `sys_job_log` VALUES (3874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：783毫秒', '0', '', '2024-12-24 10:04:46');
INSERT INTO `sys_job_log` VALUES (3875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:04:49');
INSERT INTO `sys_job_log` VALUES (3876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:04:51');
INSERT INTO `sys_job_log` VALUES (3877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:04:54');
INSERT INTO `sys_job_log` VALUES (3878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:04:56');
INSERT INTO `sys_job_log` VALUES (3879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 10:04:59');
INSERT INTO `sys_job_log` VALUES (3880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：272毫秒', '0', '', '2024-12-24 10:04:59');
INSERT INTO `sys_job_log` VALUES (3881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:05:01');
INSERT INTO `sys_job_log` VALUES (3882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：822毫秒', '0', '', '2024-12-24 10:05:01');
INSERT INTO `sys_job_log` VALUES (3883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:05:04');
INSERT INTO `sys_job_log` VALUES (3884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：873毫秒', '0', '', '2024-12-24 10:05:06');
INSERT INTO `sys_job_log` VALUES (3885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：245毫秒', '0', '', '2024-12-24 10:05:09');
INSERT INTO `sys_job_log` VALUES (3886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:05:10');
INSERT INTO `sys_job_log` VALUES (3887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:05:14');
INSERT INTO `sys_job_log` VALUES (3888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：544毫秒', '0', '', '2024-12-24 10:05:15');
INSERT INTO `sys_job_log` VALUES (3889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:05:16');
INSERT INTO `sys_job_log` VALUES (3890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：774毫秒', '0', '', '2024-12-24 10:05:16');
INSERT INTO `sys_job_log` VALUES (3891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:05:19');
INSERT INTO `sys_job_log` VALUES (3892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:05:21');
INSERT INTO `sys_job_log` VALUES (3893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:05:24');
INSERT INTO `sys_job_log` VALUES (3894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:05:26');
INSERT INTO `sys_job_log` VALUES (3895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:05:29');
INSERT INTO `sys_job_log` VALUES (3896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:05:31');
INSERT INTO `sys_job_log` VALUES (3897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：809毫秒', '0', '', '2024-12-24 10:05:31');
INSERT INTO `sys_job_log` VALUES (3898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2293毫秒', '0', '', '2024-12-24 10:05:31');
INSERT INTO `sys_job_log` VALUES (3899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:05:34');
INSERT INTO `sys_job_log` VALUES (3900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：876毫秒', '0', '', '2024-12-24 10:05:36');
INSERT INTO `sys_job_log` VALUES (3901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 10:05:39');
INSERT INTO `sys_job_log` VALUES (3902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:05:41');
INSERT INTO `sys_job_log` VALUES (3903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:05:44');
INSERT INTO `sys_job_log` VALUES (3904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：324毫秒', '0', '', '2024-12-24 10:05:44');
INSERT INTO `sys_job_log` VALUES (3905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:05:46');
INSERT INTO `sys_job_log` VALUES (3906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：827毫秒', '0', '', '2024-12-24 10:05:46');
INSERT INTO `sys_job_log` VALUES (3907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:05:49');
INSERT INTO `sys_job_log` VALUES (3908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:05:51');
INSERT INTO `sys_job_log` VALUES (3909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:05:54');
INSERT INTO `sys_job_log` VALUES (3910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:05:56');
INSERT INTO `sys_job_log` VALUES (3911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:05:59');
INSERT INTO `sys_job_log` VALUES (3912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：323毫秒', '0', '', '2024-12-24 10:05:59');
INSERT INTO `sys_job_log` VALUES (3913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:06:01');
INSERT INTO `sys_job_log` VALUES (3914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：823毫秒', '0', '', '2024-12-24 10:06:01');
INSERT INTO `sys_job_log` VALUES (3915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:06:04');
INSERT INTO `sys_job_log` VALUES (3916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：858毫秒', '0', '', '2024-12-24 10:06:06');
INSERT INTO `sys_job_log` VALUES (3917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:06:09');
INSERT INTO `sys_job_log` VALUES (3918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:06:10');
INSERT INTO `sys_job_log` VALUES (3919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:06:14');
INSERT INTO `sys_job_log` VALUES (3920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：318毫秒', '0', '', '2024-12-24 10:06:14');
INSERT INTO `sys_job_log` VALUES (3921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:06:16');
INSERT INTO `sys_job_log` VALUES (3922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：764毫秒', '0', '', '2024-12-24 10:06:16');
INSERT INTO `sys_job_log` VALUES (3923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:06:19');
INSERT INTO `sys_job_log` VALUES (3924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:06:21');
INSERT INTO `sys_job_log` VALUES (3925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 10:06:24');
INSERT INTO `sys_job_log` VALUES (3926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:06:26');
INSERT INTO `sys_job_log` VALUES (3927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 10:06:29');
INSERT INTO `sys_job_log` VALUES (3928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2024-12-24 10:06:30');
INSERT INTO `sys_job_log` VALUES (3929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:06:31');
INSERT INTO `sys_job_log` VALUES (3930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：832毫秒', '0', '', '2024-12-24 10:06:31');
INSERT INTO `sys_job_log` VALUES (3931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:06:34');
INSERT INTO `sys_job_log` VALUES (3932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：862毫秒', '0', '', '2024-12-24 10:06:36');
INSERT INTO `sys_job_log` VALUES (3933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 10:06:39');
INSERT INTO `sys_job_log` VALUES (3934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:06:41');
INSERT INTO `sys_job_log` VALUES (3935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 10:06:44');
INSERT INTO `sys_job_log` VALUES (3936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：383毫秒', '0', '', '2024-12-24 10:06:45');
INSERT INTO `sys_job_log` VALUES (3937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:06:46');
INSERT INTO `sys_job_log` VALUES (3938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：817毫秒', '0', '', '2024-12-24 10:06:46');
INSERT INTO `sys_job_log` VALUES (3939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:06:49');
INSERT INTO `sys_job_log` VALUES (3940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:06:51');
INSERT INTO `sys_job_log` VALUES (3941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:06:54');
INSERT INTO `sys_job_log` VALUES (3942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:06:56');
INSERT INTO `sys_job_log` VALUES (3943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:06:59');
INSERT INTO `sys_job_log` VALUES (3944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：274毫秒', '0', '', '2024-12-24 10:06:59');
INSERT INTO `sys_job_log` VALUES (3945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:07:01');
INSERT INTO `sys_job_log` VALUES (3946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：823毫秒', '0', '', '2024-12-24 10:07:01');
INSERT INTO `sys_job_log` VALUES (3947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:07:04');
INSERT INTO `sys_job_log` VALUES (3948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：871毫秒', '0', '', '2024-12-24 10:07:06');
INSERT INTO `sys_job_log` VALUES (3949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 10:07:09');
INSERT INTO `sys_job_log` VALUES (3950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:07:11');
INSERT INTO `sys_job_log` VALUES (3951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-24 10:07:14');
INSERT INTO `sys_job_log` VALUES (3952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：336毫秒', '0', '', '2024-12-24 10:07:14');
INSERT INTO `sys_job_log` VALUES (3953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 10:07:19');
INSERT INTO `sys_job_log` VALUES (3954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:07:24');
INSERT INTO `sys_job_log` VALUES (3955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:07:29');
INSERT INTO `sys_job_log` VALUES (3956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：306毫秒', '0', '', '2024-12-24 10:07:29');
INSERT INTO `sys_job_log` VALUES (3957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:07:34');
INSERT INTO `sys_job_log` VALUES (3958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:07:39');
INSERT INTO `sys_job_log` VALUES (3959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:07:44');
INSERT INTO `sys_job_log` VALUES (3960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：276毫秒', '0', '', '2024-12-24 10:07:44');
INSERT INTO `sys_job_log` VALUES (3961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:07:49');
INSERT INTO `sys_job_log` VALUES (3962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:07:54');
INSERT INTO `sys_job_log` VALUES (3963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:07:59');
INSERT INTO `sys_job_log` VALUES (3964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：311毫秒', '0', '', '2024-12-24 10:07:59');
INSERT INTO `sys_job_log` VALUES (3965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 10:08:04');
INSERT INTO `sys_job_log` VALUES (3966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:08:09');
INSERT INTO `sys_job_log` VALUES (3967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:08:14');
INSERT INTO `sys_job_log` VALUES (3968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 10:08:14');
INSERT INTO `sys_job_log` VALUES (3969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:08:19');
INSERT INTO `sys_job_log` VALUES (3970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:08:24');
INSERT INTO `sys_job_log` VALUES (3971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 10:08:29');
INSERT INTO `sys_job_log` VALUES (3972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：298毫秒', '0', '', '2024-12-24 10:08:29');
INSERT INTO `sys_job_log` VALUES (3973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:08:34');
INSERT INTO `sys_job_log` VALUES (3974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:08:39');
INSERT INTO `sys_job_log` VALUES (3975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:08:44');
INSERT INTO `sys_job_log` VALUES (3976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：287毫秒', '0', '', '2024-12-24 10:08:44');
INSERT INTO `sys_job_log` VALUES (3977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:08:49');
INSERT INTO `sys_job_log` VALUES (3978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:08:54');
INSERT INTO `sys_job_log` VALUES (3979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:08:59');
INSERT INTO `sys_job_log` VALUES (3980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：352毫秒', '0', '', '2024-12-24 10:08:59');
INSERT INTO `sys_job_log` VALUES (3981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-24 10:09:04');
INSERT INTO `sys_job_log` VALUES (3982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 10:09:09');
INSERT INTO `sys_job_log` VALUES (3983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 10:09:14');
INSERT INTO `sys_job_log` VALUES (3984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：345毫秒', '0', '', '2024-12-24 10:09:14');
INSERT INTO `sys_job_log` VALUES (3985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:09:19');
INSERT INTO `sys_job_log` VALUES (3986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 10:09:23');
INSERT INTO `sys_job_log` VALUES (3987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 10:09:24');
INSERT INTO `sys_job_log` VALUES (3988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 10:09:26');
INSERT INTO `sys_job_log` VALUES (3989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:09:29');
INSERT INTO `sys_job_log` VALUES (3990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：308毫秒', '0', '', '2024-12-24 10:09:29');
INSERT INTO `sys_job_log` VALUES (3991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-24 10:09:31');
INSERT INTO `sys_job_log` VALUES (3992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 10:09:31');
INSERT INTO `sys_job_log` VALUES (3993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:09:34');
INSERT INTO `sys_job_log` VALUES (3994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 10:09:36');
INSERT INTO `sys_job_log` VALUES (3995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:09:39');
INSERT INTO `sys_job_log` VALUES (3996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 10:09:41');
INSERT INTO `sys_job_log` VALUES (3997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 10:09:44');
INSERT INTO `sys_job_log` VALUES (3998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：343毫秒', '0', '', '2024-12-24 10:09:44');
INSERT INTO `sys_job_log` VALUES (3999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-24 10:09:49');
INSERT INTO `sys_job_log` VALUES (4000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:09:54');
INSERT INTO `sys_job_log` VALUES (4001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:09:59');
INSERT INTO `sys_job_log` VALUES (4002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：275毫秒', '0', '', '2024-12-24 10:09:59');
INSERT INTO `sys_job_log` VALUES (4003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:10:04');
INSERT INTO `sys_job_log` VALUES (4004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:10:09');
INSERT INTO `sys_job_log` VALUES (4005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 10:10:14');
INSERT INTO `sys_job_log` VALUES (4006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：428毫秒', '0', '', '2024-12-24 10:10:15');
INSERT INTO `sys_job_log` VALUES (4007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 10:10:19');
INSERT INTO `sys_job_log` VALUES (4008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:10:24');
INSERT INTO `sys_job_log` VALUES (4009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 10:10:29');
INSERT INTO `sys_job_log` VALUES (4010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：409毫秒', '0', '', '2024-12-24 10:10:30');
INSERT INTO `sys_job_log` VALUES (4011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:10:34');
INSERT INTO `sys_job_log` VALUES (4012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2024-12-24 10:10:39');
INSERT INTO `sys_job_log` VALUES (4013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:10:44');
INSERT INTO `sys_job_log` VALUES (4014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：373毫秒', '0', '', '2024-12-24 10:10:45');
INSERT INTO `sys_job_log` VALUES (4015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:10:49');
INSERT INTO `sys_job_log` VALUES (4016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：610毫秒', '0', '', '2024-12-24 10:10:55');
INSERT INTO `sys_job_log` VALUES (4017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：320毫秒', '0', '', '2024-12-24 10:11:00');
INSERT INTO `sys_job_log` VALUES (4018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2952毫秒', '0', '', '2024-12-24 10:11:02');
INSERT INTO `sys_job_log` VALUES (4019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:11:04');
INSERT INTO `sys_job_log` VALUES (4020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:11:09');
INSERT INTO `sys_job_log` VALUES (4021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 10:11:14');
INSERT INTO `sys_job_log` VALUES (4022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：352毫秒', '0', '', '2024-12-24 10:11:14');
INSERT INTO `sys_job_log` VALUES (4023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:11:19');
INSERT INTO `sys_job_log` VALUES (4024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:11:24');
INSERT INTO `sys_job_log` VALUES (4025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:11:29');
INSERT INTO `sys_job_log` VALUES (4026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：301毫秒', '0', '', '2024-12-24 10:11:29');
INSERT INTO `sys_job_log` VALUES (4027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:11:34');
INSERT INTO `sys_job_log` VALUES (4028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 10:11:39');
INSERT INTO `sys_job_log` VALUES (4029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：113毫秒', '0', '', '2024-12-24 10:11:44');
INSERT INTO `sys_job_log` VALUES (4030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：348毫秒', '0', '', '2024-12-24 10:11:44');
INSERT INTO `sys_job_log` VALUES (4031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:11:49');
INSERT INTO `sys_job_log` VALUES (4032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:11:54');
INSERT INTO `sys_job_log` VALUES (4033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:11:59');
INSERT INTO `sys_job_log` VALUES (4034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：364毫秒', '0', '', '2024-12-24 10:12:00');
INSERT INTO `sys_job_log` VALUES (4035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:12:04');
INSERT INTO `sys_job_log` VALUES (4036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:12:09');
INSERT INTO `sys_job_log` VALUES (4037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:12:14');
INSERT INTO `sys_job_log` VALUES (4038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：291毫秒', '0', '', '2024-12-24 10:12:14');
INSERT INTO `sys_job_log` VALUES (4039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:12:19');
INSERT INTO `sys_job_log` VALUES (4040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-24 10:12:24');
INSERT INTO `sys_job_log` VALUES (4041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:12:29');
INSERT INTO `sys_job_log` VALUES (4042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：360毫秒', '0', '', '2024-12-24 10:12:30');
INSERT INTO `sys_job_log` VALUES (4043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:12:34');
INSERT INTO `sys_job_log` VALUES (4044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:12:39');
INSERT INTO `sys_job_log` VALUES (4045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-24 10:12:44');
INSERT INTO `sys_job_log` VALUES (4046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：551毫秒', '0', '', '2024-12-24 10:12:45');
INSERT INTO `sys_job_log` VALUES (4047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:12:49');
INSERT INTO `sys_job_log` VALUES (4048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1434毫秒', '0', '', '2024-12-24 10:12:56');
INSERT INTO `sys_job_log` VALUES (4049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 10:12:59');
INSERT INTO `sys_job_log` VALUES (4050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：324毫秒', '0', '', '2024-12-24 10:13:01');
INSERT INTO `sys_job_log` VALUES (4051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:13:04');
INSERT INTO `sys_job_log` VALUES (4052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 10:13:09');
INSERT INTO `sys_job_log` VALUES (4053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 10:13:14');
INSERT INTO `sys_job_log` VALUES (4054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：338毫秒', '0', '', '2024-12-24 10:13:14');
INSERT INTO `sys_job_log` VALUES (4055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:13:19');
INSERT INTO `sys_job_log` VALUES (4056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:13:24');
INSERT INTO `sys_job_log` VALUES (4057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 10:13:29');
INSERT INTO `sys_job_log` VALUES (4058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：340毫秒', '0', '', '2024-12-24 10:13:29');
INSERT INTO `sys_job_log` VALUES (4059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 10:13:34');
INSERT INTO `sys_job_log` VALUES (4060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:13:39');
INSERT INTO `sys_job_log` VALUES (4061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 10:13:44');
INSERT INTO `sys_job_log` VALUES (4062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：435毫秒', '0', '', '2024-12-24 10:13:45');
INSERT INTO `sys_job_log` VALUES (4063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:13:49');
INSERT INTO `sys_job_log` VALUES (4064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:13:54');
INSERT INTO `sys_job_log` VALUES (4065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 10:13:59');
INSERT INTO `sys_job_log` VALUES (4066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：497毫秒', '0', '', '2024-12-24 10:14:00');
INSERT INTO `sys_job_log` VALUES (4067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 10:14:04');
INSERT INTO `sys_job_log` VALUES (4068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:14:09');
INSERT INTO `sys_job_log` VALUES (4069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：286毫秒', '0', '', '2024-12-24 10:14:14');
INSERT INTO `sys_job_log` VALUES (4070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1188毫秒', '0', '', '2024-12-24 10:14:16');
INSERT INTO `sys_job_log` VALUES (4071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：317毫秒', '0', '', '2024-12-24 10:14:19');
INSERT INTO `sys_job_log` VALUES (4072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:14:24');
INSERT INTO `sys_job_log` VALUES (4073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 10:14:29');
INSERT INTO `sys_job_log` VALUES (4074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：414毫秒', '0', '', '2024-12-24 10:14:30');
INSERT INTO `sys_job_log` VALUES (4075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:14:34');
INSERT INTO `sys_job_log` VALUES (4076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 10:14:39');
INSERT INTO `sys_job_log` VALUES (4077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 10:14:44');
INSERT INTO `sys_job_log` VALUES (4078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1269毫秒', '0', '', '2024-12-24 10:14:45');
INSERT INTO `sys_job_log` VALUES (4079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 10:14:49');
INSERT INTO `sys_job_log` VALUES (4080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:14:54');
INSERT INTO `sys_job_log` VALUES (4081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:14:59');
INSERT INTO `sys_job_log` VALUES (4082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：327毫秒', '0', '', '2024-12-24 10:14:59');
INSERT INTO `sys_job_log` VALUES (4083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:15:04');
INSERT INTO `sys_job_log` VALUES (4084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:15:09');
INSERT INTO `sys_job_log` VALUES (4085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:15:14');
INSERT INTO `sys_job_log` VALUES (4086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：461毫秒', '0', '', '2024-12-24 10:15:15');
INSERT INTO `sys_job_log` VALUES (4087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:15:19');
INSERT INTO `sys_job_log` VALUES (4088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:15:24');
INSERT INTO `sys_job_log` VALUES (4089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:15:29');
INSERT INTO `sys_job_log` VALUES (4090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：398毫秒', '0', '', '2024-12-24 10:15:30');
INSERT INTO `sys_job_log` VALUES (4091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 10:15:34');
INSERT INTO `sys_job_log` VALUES (4092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:15:39');
INSERT INTO `sys_job_log` VALUES (4093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:15:44');
INSERT INTO `sys_job_log` VALUES (4094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：376毫秒', '0', '', '2024-12-24 10:15:44');
INSERT INTO `sys_job_log` VALUES (4095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 10:15:49');
INSERT INTO `sys_job_log` VALUES (4096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:15:54');
INSERT INTO `sys_job_log` VALUES (4097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:15:59');
INSERT INTO `sys_job_log` VALUES (4098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：303毫秒', '0', '', '2024-12-24 10:15:59');
INSERT INTO `sys_job_log` VALUES (4099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:16:04');
INSERT INTO `sys_job_log` VALUES (4100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:16:09');
INSERT INTO `sys_job_log` VALUES (4101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:16:14');
INSERT INTO `sys_job_log` VALUES (4102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：491毫秒', '0', '', '2024-12-24 10:16:15');
INSERT INTO `sys_job_log` VALUES (4103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 10:16:19');
INSERT INTO `sys_job_log` VALUES (4104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 10:16:24');
INSERT INTO `sys_job_log` VALUES (4105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:16:29');
INSERT INTO `sys_job_log` VALUES (4106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：446毫秒', '0', '', '2024-12-24 10:16:30');
INSERT INTO `sys_job_log` VALUES (4107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 10:16:35');
INSERT INTO `sys_job_log` VALUES (4108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 10:16:39');
INSERT INTO `sys_job_log` VALUES (4109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 10:16:44');
INSERT INTO `sys_job_log` VALUES (4110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：621毫秒', '0', '', '2024-12-24 10:16:45');
INSERT INTO `sys_job_log` VALUES (4111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：235毫秒', '0', '', '2024-12-24 10:16:50');
INSERT INTO `sys_job_log` VALUES (4112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 10:16:54');
INSERT INTO `sys_job_log` VALUES (4113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：312毫秒', '0', '', '2024-12-24 10:16:59');
INSERT INTO `sys_job_log` VALUES (4114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1116毫秒', '0', '', '2024-12-24 10:17:00');
INSERT INTO `sys_job_log` VALUES (4115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：372毫秒', '0', '', '2024-12-24 10:17:05');
INSERT INTO `sys_job_log` VALUES (4116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 10:17:09');
INSERT INTO `sys_job_log` VALUES (4117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:17:14');
INSERT INTO `sys_job_log` VALUES (4118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：260毫秒', '0', '', '2024-12-24 10:17:14');
INSERT INTO `sys_job_log` VALUES (4119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:17:19');
INSERT INTO `sys_job_log` VALUES (4120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 10:17:24');
INSERT INTO `sys_job_log` VALUES (4121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:17:29');
INSERT INTO `sys_job_log` VALUES (4122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：540毫秒', '0', '', '2024-12-24 10:17:30');
INSERT INTO `sys_job_log` VALUES (4123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:17:34');
INSERT INTO `sys_job_log` VALUES (4124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 10:17:39');
INSERT INTO `sys_job_log` VALUES (4125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 10:17:44');
INSERT INTO `sys_job_log` VALUES (4126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：370毫秒', '0', '', '2024-12-24 10:17:44');
INSERT INTO `sys_job_log` VALUES (4127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:17:49');
INSERT INTO `sys_job_log` VALUES (4128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:17:54');
INSERT INTO `sys_job_log` VALUES (4129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 10:17:59');
INSERT INTO `sys_job_log` VALUES (4130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：356毫秒', '0', '', '2024-12-24 10:17:59');
INSERT INTO `sys_job_log` VALUES (4131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:18:04');
INSERT INTO `sys_job_log` VALUES (4132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:18:09');
INSERT INTO `sys_job_log` VALUES (4133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:18:14');
INSERT INTO `sys_job_log` VALUES (4134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：256毫秒', '0', '', '2024-12-24 10:18:14');
INSERT INTO `sys_job_log` VALUES (4135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:18:19');
INSERT INTO `sys_job_log` VALUES (4136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:18:24');
INSERT INTO `sys_job_log` VALUES (4137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:18:29');
INSERT INTO `sys_job_log` VALUES (4138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 10:18:29');
INSERT INTO `sys_job_log` VALUES (4139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 10:18:34');
INSERT INTO `sys_job_log` VALUES (4140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:18:39');
INSERT INTO `sys_job_log` VALUES (4141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 10:18:44');
INSERT INTO `sys_job_log` VALUES (4142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：280毫秒', '0', '', '2024-12-24 10:18:44');
INSERT INTO `sys_job_log` VALUES (4143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:18:49');
INSERT INTO `sys_job_log` VALUES (4144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:18:54');
INSERT INTO `sys_job_log` VALUES (4145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:18:59');
INSERT INTO `sys_job_log` VALUES (4146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：264毫秒', '0', '', '2024-12-24 10:18:59');
INSERT INTO `sys_job_log` VALUES (4147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:19:04');
INSERT INTO `sys_job_log` VALUES (4148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:19:09');
INSERT INTO `sys_job_log` VALUES (4149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:19:14');
INSERT INTO `sys_job_log` VALUES (4150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：246毫秒', '0', '', '2024-12-24 10:19:14');
INSERT INTO `sys_job_log` VALUES (4151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:19:19');
INSERT INTO `sys_job_log` VALUES (4152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:19:24');
INSERT INTO `sys_job_log` VALUES (4153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:19:29');
INSERT INTO `sys_job_log` VALUES (4154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：211毫秒', '0', '', '2024-12-24 10:19:29');
INSERT INTO `sys_job_log` VALUES (4155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:19:34');
INSERT INTO `sys_job_log` VALUES (4156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:19:39');
INSERT INTO `sys_job_log` VALUES (4157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:19:44');
INSERT INTO `sys_job_log` VALUES (4158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：287毫秒', '0', '', '2024-12-24 10:19:44');
INSERT INTO `sys_job_log` VALUES (4159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:19:49');
INSERT INTO `sys_job_log` VALUES (4160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：326毫秒', '0', '', '2024-12-24 10:19:55');
INSERT INTO `sys_job_log` VALUES (4161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:19:59');
INSERT INTO `sys_job_log` VALUES (4162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：267毫秒', '0', '', '2024-12-24 10:19:59');
INSERT INTO `sys_job_log` VALUES (4163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:20:04');
INSERT INTO `sys_job_log` VALUES (4164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:20:09');
INSERT INTO `sys_job_log` VALUES (4165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:20:14');
INSERT INTO `sys_job_log` VALUES (4166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：243毫秒', '0', '', '2024-12-24 10:20:14');
INSERT INTO `sys_job_log` VALUES (4167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:20:19');
INSERT INTO `sys_job_log` VALUES (4168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:20:24');
INSERT INTO `sys_job_log` VALUES (4169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 10:20:29');
INSERT INTO `sys_job_log` VALUES (4170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：203毫秒', '0', '', '2024-12-24 10:20:29');
INSERT INTO `sys_job_log` VALUES (4171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:20:34');
INSERT INTO `sys_job_log` VALUES (4172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:20:39');
INSERT INTO `sys_job_log` VALUES (4173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:20:44');
INSERT INTO `sys_job_log` VALUES (4174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：285毫秒', '0', '', '2024-12-24 10:20:44');
INSERT INTO `sys_job_log` VALUES (4175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 10:20:49');
INSERT INTO `sys_job_log` VALUES (4176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:20:54');
INSERT INTO `sys_job_log` VALUES (4177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:20:59');
INSERT INTO `sys_job_log` VALUES (4178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：265毫秒', '0', '', '2024-12-24 10:20:59');
INSERT INTO `sys_job_log` VALUES (4179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:21:04');
INSERT INTO `sys_job_log` VALUES (4180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:21:09');
INSERT INTO `sys_job_log` VALUES (4181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:21:14');
INSERT INTO `sys_job_log` VALUES (4182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：223毫秒', '0', '', '2024-12-24 10:21:14');
INSERT INTO `sys_job_log` VALUES (4183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:21:19');
INSERT INTO `sys_job_log` VALUES (4184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:21:24');
INSERT INTO `sys_job_log` VALUES (4185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:21:29');
INSERT INTO `sys_job_log` VALUES (4186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：308毫秒', '0', '', '2024-12-24 10:21:29');
INSERT INTO `sys_job_log` VALUES (4187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:21:34');
INSERT INTO `sys_job_log` VALUES (4188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:21:39');
INSERT INTO `sys_job_log` VALUES (4189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:21:44');
INSERT INTO `sys_job_log` VALUES (4190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：270毫秒', '0', '', '2024-12-24 10:21:44');
INSERT INTO `sys_job_log` VALUES (4191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:21:49');
INSERT INTO `sys_job_log` VALUES (4192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:21:54');
INSERT INTO `sys_job_log` VALUES (4193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：317毫秒', '0', '', '2024-12-24 10:21:59');
INSERT INTO `sys_job_log` VALUES (4194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：561毫秒', '0', '', '2024-12-24 10:22:00');
INSERT INTO `sys_job_log` VALUES (4195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:22:04');
INSERT INTO `sys_job_log` VALUES (4196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:22:09');
INSERT INTO `sys_job_log` VALUES (4197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:22:14');
INSERT INTO `sys_job_log` VALUES (4198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：233毫秒', '0', '', '2024-12-24 10:22:15');
INSERT INTO `sys_job_log` VALUES (4199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 10:22:20');
INSERT INTO `sys_job_log` VALUES (4200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:22:24');
INSERT INTO `sys_job_log` VALUES (4201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:22:29');
INSERT INTO `sys_job_log` VALUES (4202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：315毫秒', '0', '', '2024-12-24 10:22:29');
INSERT INTO `sys_job_log` VALUES (4203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:22:34');
INSERT INTO `sys_job_log` VALUES (4204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:22:39');
INSERT INTO `sys_job_log` VALUES (4205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：315毫秒', '0', '', '2024-12-24 10:22:44');
INSERT INTO `sys_job_log` VALUES (4206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：570毫秒', '0', '', '2024-12-24 10:22:45');
INSERT INTO `sys_job_log` VALUES (4207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:22:49');
INSERT INTO `sys_job_log` VALUES (4208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:22:54');
INSERT INTO `sys_job_log` VALUES (4209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:22:59');
INSERT INTO `sys_job_log` VALUES (4210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：234毫秒', '0', '', '2024-12-24 10:22:59');
INSERT INTO `sys_job_log` VALUES (4211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:23:04');
INSERT INTO `sys_job_log` VALUES (4212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:23:09');
INSERT INTO `sys_job_log` VALUES (4213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:23:14');
INSERT INTO `sys_job_log` VALUES (4214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：214毫秒', '0', '', '2024-12-24 10:23:14');
INSERT INTO `sys_job_log` VALUES (4215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 10:23:19');
INSERT INTO `sys_job_log` VALUES (4216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:23:24');
INSERT INTO `sys_job_log` VALUES (4217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:23:29');
INSERT INTO `sys_job_log` VALUES (4218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：283毫秒', '0', '', '2024-12-24 10:23:29');
INSERT INTO `sys_job_log` VALUES (4219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:23:34');
INSERT INTO `sys_job_log` VALUES (4220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:23:39');
INSERT INTO `sys_job_log` VALUES (4221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:23:44');
INSERT INTO `sys_job_log` VALUES (4222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：257毫秒', '0', '', '2024-12-24 10:23:44');
INSERT INTO `sys_job_log` VALUES (4223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:23:49');
INSERT INTO `sys_job_log` VALUES (4224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：334毫秒', '0', '', '2024-12-24 10:23:54');
INSERT INTO `sys_job_log` VALUES (4225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:23:59');
INSERT INTO `sys_job_log` VALUES (4226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：532毫秒', '0', '', '2024-12-24 10:24:00');
INSERT INTO `sys_job_log` VALUES (4227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:24:05');
INSERT INTO `sys_job_log` VALUES (4228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:24:09');
INSERT INTO `sys_job_log` VALUES (4229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:24:14');
INSERT INTO `sys_job_log` VALUES (4230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：195毫秒', '0', '', '2024-12-24 10:24:14');
INSERT INTO `sys_job_log` VALUES (4231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-24 10:24:19');
INSERT INTO `sys_job_log` VALUES (4232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:24:24');
INSERT INTO `sys_job_log` VALUES (4233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:24:29');
INSERT INTO `sys_job_log` VALUES (4234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：632毫秒', '0', '', '2024-12-24 10:24:30');
INSERT INTO `sys_job_log` VALUES (4235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:24:34');
INSERT INTO `sys_job_log` VALUES (4236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:24:39');
INSERT INTO `sys_job_log` VALUES (4237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:24:44');
INSERT INTO `sys_job_log` VALUES (4238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：572毫秒', '0', '', '2024-12-24 10:24:45');
INSERT INTO `sys_job_log` VALUES (4239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:24:49');
INSERT INTO `sys_job_log` VALUES (4240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:24:54');
INSERT INTO `sys_job_log` VALUES (4241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:24:59');
INSERT INTO `sys_job_log` VALUES (4242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：223毫秒', '0', '', '2024-12-24 10:24:59');
INSERT INTO `sys_job_log` VALUES (4243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:25:04');
INSERT INTO `sys_job_log` VALUES (4244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:25:09');
INSERT INTO `sys_job_log` VALUES (4245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:25:14');
INSERT INTO `sys_job_log` VALUES (4246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：197毫秒', '0', '', '2024-12-24 10:25:14');
INSERT INTO `sys_job_log` VALUES (4247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:25:19');
INSERT INTO `sys_job_log` VALUES (4248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:25:24');
INSERT INTO `sys_job_log` VALUES (4249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:25:29');
INSERT INTO `sys_job_log` VALUES (4250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：289毫秒', '0', '', '2024-12-24 10:25:29');
INSERT INTO `sys_job_log` VALUES (4251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:25:34');
INSERT INTO `sys_job_log` VALUES (4252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:25:39');
INSERT INTO `sys_job_log` VALUES (4253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:25:44');
INSERT INTO `sys_job_log` VALUES (4254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：248毫秒', '0', '', '2024-12-24 10:25:44');
INSERT INTO `sys_job_log` VALUES (4255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:25:49');
INSERT INTO `sys_job_log` VALUES (4256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:25:54');
INSERT INTO `sys_job_log` VALUES (4257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:25:59');
INSERT INTO `sys_job_log` VALUES (4258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：222毫秒', '0', '', '2024-12-24 10:25:59');
INSERT INTO `sys_job_log` VALUES (4259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:26:04');
INSERT INTO `sys_job_log` VALUES (4260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:26:09');
INSERT INTO `sys_job_log` VALUES (4261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:26:14');
INSERT INTO `sys_job_log` VALUES (4262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：285毫秒', '0', '', '2024-12-24 10:26:14');
INSERT INTO `sys_job_log` VALUES (4263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:26:19');
INSERT INTO `sys_job_log` VALUES (4264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:26:24');
INSERT INTO `sys_job_log` VALUES (4265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:26:29');
INSERT INTO `sys_job_log` VALUES (4266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:26:34');
INSERT INTO `sys_job_log` VALUES (4267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:26:39');
INSERT INTO `sys_job_log` VALUES (4268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:26:44');
INSERT INTO `sys_job_log` VALUES (4269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19249毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 33,895 milliseconds ago. The last packet sent successfully to the server was 33,910 milliseconds ago.\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-sim\\target\\classes\\mapper\\sim\\SimMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.SimMapper.selectSimList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select sim_id,                seat_id,                sim_type,                sim_state,                sim_sn,                sim_num,                last_sent_time,                last_received_time,                create_by,                create_time,                update_by,                update_time,                remark         from sim_sim\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 33,895 milliseconds ago. The last packet sent successfully to the server was 33,910 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from t', '2024-12-24 10:26:48');
INSERT INTO `sys_job_log` VALUES (4270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：276毫秒', '0', '', '2024-12-24 10:26:49');
INSERT INTO `sys_job_log` VALUES (4271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:26:49');
INSERT INTO `sys_job_log` VALUES (4272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:26:54');
INSERT INTO `sys_job_log` VALUES (4273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:26:59');
INSERT INTO `sys_job_log` VALUES (4274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：310毫秒', '0', '', '2024-12-24 10:26:59');
INSERT INTO `sys_job_log` VALUES (4275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:27:04');
INSERT INTO `sys_job_log` VALUES (4276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 10:27:09');
INSERT INTO `sys_job_log` VALUES (4277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:27:14');
INSERT INTO `sys_job_log` VALUES (4278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：269毫秒', '0', '', '2024-12-24 10:27:14');
INSERT INTO `sys_job_log` VALUES (4279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:27:19');
INSERT INTO `sys_job_log` VALUES (4280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:27:24');
INSERT INTO `sys_job_log` VALUES (4281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:27:29');
INSERT INTO `sys_job_log` VALUES (4282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：250毫秒', '0', '', '2024-12-24 10:27:29');
INSERT INTO `sys_job_log` VALUES (4283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：536毫秒', '0', '', '2024-12-24 10:27:35');
INSERT INTO `sys_job_log` VALUES (4284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:27:39');
INSERT INTO `sys_job_log` VALUES (4285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:27:44');
INSERT INTO `sys_job_log` VALUES (4286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：221毫秒', '0', '', '2024-12-24 10:27:44');
INSERT INTO `sys_job_log` VALUES (4287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:27:49');
INSERT INTO `sys_job_log` VALUES (4288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:27:54');
INSERT INTO `sys_job_log` VALUES (4289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:27:59');
INSERT INTO `sys_job_log` VALUES (4290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：207毫秒', '0', '', '2024-12-24 10:27:59');
INSERT INTO `sys_job_log` VALUES (4291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:28:04');
INSERT INTO `sys_job_log` VALUES (4292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:28:09');
INSERT INTO `sys_job_log` VALUES (4293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:28:14');
INSERT INTO `sys_job_log` VALUES (4294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：269毫秒', '0', '', '2024-12-24 10:28:14');
INSERT INTO `sys_job_log` VALUES (4295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:28:19');
INSERT INTO `sys_job_log` VALUES (4296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:28:24');
INSERT INTO `sys_job_log` VALUES (4297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:28:29');
INSERT INTO `sys_job_log` VALUES (4298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：252毫秒', '0', '', '2024-12-24 10:28:29');
INSERT INTO `sys_job_log` VALUES (4299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:28:34');
INSERT INTO `sys_job_log` VALUES (4300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:28:39');
INSERT INTO `sys_job_log` VALUES (4301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:28:44');
INSERT INTO `sys_job_log` VALUES (4302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：219毫秒', '0', '', '2024-12-24 10:28:44');
INSERT INTO `sys_job_log` VALUES (4303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:28:49');
INSERT INTO `sys_job_log` VALUES (4304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:28:54');
INSERT INTO `sys_job_log` VALUES (4305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:28:59');
INSERT INTO `sys_job_log` VALUES (4306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：292毫秒', '0', '', '2024-12-24 10:28:59');
INSERT INTO `sys_job_log` VALUES (4307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:29:04');
INSERT INTO `sys_job_log` VALUES (4308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:29:09');
INSERT INTO `sys_job_log` VALUES (4309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:29:14');
INSERT INTO `sys_job_log` VALUES (4310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：567毫秒', '0', '', '2024-12-24 10:29:15');
INSERT INTO `sys_job_log` VALUES (4311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:29:19');
INSERT INTO `sys_job_log` VALUES (4312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:29:24');
INSERT INTO `sys_job_log` VALUES (4313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:29:29');
INSERT INTO `sys_job_log` VALUES (4314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：538毫秒', '0', '', '2024-12-24 10:29:30');
INSERT INTO `sys_job_log` VALUES (4315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:29:34');
INSERT INTO `sys_job_log` VALUES (4316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:29:39');
INSERT INTO `sys_job_log` VALUES (4317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:29:44');
INSERT INTO `sys_job_log` VALUES (4318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：215毫秒', '0', '', '2024-12-24 10:29:44');
INSERT INTO `sys_job_log` VALUES (4319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:29:49');
INSERT INTO `sys_job_log` VALUES (4320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:29:54');
INSERT INTO `sys_job_log` VALUES (4321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:29:59');
INSERT INTO `sys_job_log` VALUES (4322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：276毫秒', '0', '', '2024-12-24 10:29:59');
INSERT INTO `sys_job_log` VALUES (4323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:30:04');
INSERT INTO `sys_job_log` VALUES (4324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:30:09');
INSERT INTO `sys_job_log` VALUES (4325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 10:30:14');
INSERT INTO `sys_job_log` VALUES (4326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：966毫秒', '0', '', '2024-12-24 10:30:15');
INSERT INTO `sys_job_log` VALUES (4327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:30:19');
INSERT INTO `sys_job_log` VALUES (4328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:30:24');
INSERT INTO `sys_job_log` VALUES (4329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:30:29');
INSERT INTO `sys_job_log` VALUES (4330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：230毫秒', '0', '', '2024-12-24 10:30:29');
INSERT INTO `sys_job_log` VALUES (4331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:30:34');
INSERT INTO `sys_job_log` VALUES (4332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:30:39');
INSERT INTO `sys_job_log` VALUES (4333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:30:44');
INSERT INTO `sys_job_log` VALUES (4334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：199毫秒', '0', '', '2024-12-24 10:30:44');
INSERT INTO `sys_job_log` VALUES (4335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:30:49');
INSERT INTO `sys_job_log` VALUES (4336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:30:54');
INSERT INTO `sys_job_log` VALUES (4337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 10:30:59');
INSERT INTO `sys_job_log` VALUES (4338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：292毫秒', '0', '', '2024-12-24 10:30:59');
INSERT INTO `sys_job_log` VALUES (4339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：323毫秒', '0', '', '2024-12-24 10:31:05');
INSERT INTO `sys_job_log` VALUES (4340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:31:09');
INSERT INTO `sys_job_log` VALUES (4341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:31:14');
INSERT INTO `sys_job_log` VALUES (4342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：270毫秒', '0', '', '2024-12-24 10:31:14');
INSERT INTO `sys_job_log` VALUES (4343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:31:19');
INSERT INTO `sys_job_log` VALUES (4344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:31:24');
INSERT INTO `sys_job_log` VALUES (4345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：207毫秒', '0', '', '2024-12-24 10:31:29');
INSERT INTO `sys_job_log` VALUES (4346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2024-12-24 10:31:30');
INSERT INTO `sys_job_log` VALUES (4347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:31:34');
INSERT INTO `sys_job_log` VALUES (4348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：476毫秒', '0', '', '2024-12-24 10:31:40');
INSERT INTO `sys_job_log` VALUES (4349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 10:31:44');
INSERT INTO `sys_job_log` VALUES (4350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：702毫秒', '0', '', '2024-12-24 10:31:45');
INSERT INTO `sys_job_log` VALUES (4351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:31:49');
INSERT INTO `sys_job_log` VALUES (4352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：316毫秒', '0', '', '2024-12-24 10:31:54');
INSERT INTO `sys_job_log` VALUES (4353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:31:59');
INSERT INTO `sys_job_log` VALUES (4354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：288毫秒', '0', '', '2024-12-24 10:31:59');
INSERT INTO `sys_job_log` VALUES (4355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:32:04');
INSERT INTO `sys_job_log` VALUES (4356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:32:09');
INSERT INTO `sys_job_log` VALUES (4357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:32:14');
INSERT INTO `sys_job_log` VALUES (4358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：566毫秒', '0', '', '2024-12-24 10:32:15');
INSERT INTO `sys_job_log` VALUES (4359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:32:19');
INSERT INTO `sys_job_log` VALUES (4360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:32:24');
INSERT INTO `sys_job_log` VALUES (4361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:32:29');
INSERT INTO `sys_job_log` VALUES (4362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：849毫秒', '0', '', '2024-12-24 10:32:30');
INSERT INTO `sys_job_log` VALUES (4363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:32:34');
INSERT INTO `sys_job_log` VALUES (4364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:32:39');
INSERT INTO `sys_job_log` VALUES (4365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:32:44');
INSERT INTO `sys_job_log` VALUES (4366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：487毫秒', '0', '', '2024-12-24 10:32:45');
INSERT INTO `sys_job_log` VALUES (4367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:32:49');
INSERT INTO `sys_job_log` VALUES (4368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:32:54');
INSERT INTO `sys_job_log` VALUES (4369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：312毫秒', '0', '', '2024-12-24 10:32:59');
INSERT INTO `sys_job_log` VALUES (4370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1669毫秒', '0', '', '2024-12-24 10:33:01');
INSERT INTO `sys_job_log` VALUES (4371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:33:04');
INSERT INTO `sys_job_log` VALUES (4372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:33:09');
INSERT INTO `sys_job_log` VALUES (4373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:33:14');
INSERT INTO `sys_job_log` VALUES (4374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：239毫秒', '0', '', '2024-12-24 10:33:14');
INSERT INTO `sys_job_log` VALUES (4375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:33:19');
INSERT INTO `sys_job_log` VALUES (4376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 10:33:24');
INSERT INTO `sys_job_log` VALUES (4377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:33:29');
INSERT INTO `sys_job_log` VALUES (4378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：223毫秒', '0', '', '2024-12-24 10:33:30');
INSERT INTO `sys_job_log` VALUES (4379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：323毫秒', '0', '', '2024-12-24 10:33:34');
INSERT INTO `sys_job_log` VALUES (4380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：525毫秒', '0', '', '2024-12-24 10:33:40');
INSERT INTO `sys_job_log` VALUES (4381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:33:44');
INSERT INTO `sys_job_log` VALUES (4382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1560毫秒', '0', '', '2024-12-24 10:33:46');
INSERT INTO `sys_job_log` VALUES (4383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:33:49');
INSERT INTO `sys_job_log` VALUES (4384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:33:54');
INSERT INTO `sys_job_log` VALUES (4385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:33:59');
INSERT INTO `sys_job_log` VALUES (4386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：605毫秒', '0', '', '2024-12-24 10:34:00');
INSERT INTO `sys_job_log` VALUES (4387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:34:04');
INSERT INTO `sys_job_log` VALUES (4388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:34:09');
INSERT INTO `sys_job_log` VALUES (4389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:34:14');
INSERT INTO `sys_job_log` VALUES (4390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：224毫秒', '0', '', '2024-12-24 10:34:15');
INSERT INTO `sys_job_log` VALUES (4391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：547毫秒', '0', '', '2024-12-24 10:34:20');
INSERT INTO `sys_job_log` VALUES (4392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:34:24');
INSERT INTO `sys_job_log` VALUES (4393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:34:29');
INSERT INTO `sys_job_log` VALUES (4394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：987毫秒', '0', '', '2024-12-24 10:34:30');
INSERT INTO `sys_job_log` VALUES (4395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 10:34:34');
INSERT INTO `sys_job_log` VALUES (4396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:34:39');
INSERT INTO `sys_job_log` VALUES (4397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:34:44');
INSERT INTO `sys_job_log` VALUES (4398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：283毫秒', '0', '', '2024-12-24 10:34:44');
INSERT INTO `sys_job_log` VALUES (4399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：285毫秒', '0', '', '2024-12-24 10:34:49');
INSERT INTO `sys_job_log` VALUES (4400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:34:54');
INSERT INTO `sys_job_log` VALUES (4401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:34:59');
INSERT INTO `sys_job_log` VALUES (4402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：248毫秒', '0', '', '2024-12-24 10:34:59');
INSERT INTO `sys_job_log` VALUES (4403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 10:35:04');
INSERT INTO `sys_job_log` VALUES (4404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 10:35:09');
INSERT INTO `sys_job_log` VALUES (4405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:35:14');
INSERT INTO `sys_job_log` VALUES (4406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 10:35:14');
INSERT INTO `sys_job_log` VALUES (4407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:35:19');
INSERT INTO `sys_job_log` VALUES (4408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:35:24');
INSERT INTO `sys_job_log` VALUES (4409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:35:29');
INSERT INTO `sys_job_log` VALUES (4410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：304毫秒', '0', '', '2024-12-24 10:35:29');
INSERT INTO `sys_job_log` VALUES (4411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：313毫秒', '0', '', '2024-12-24 10:35:34');
INSERT INTO `sys_job_log` VALUES (4412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：220毫秒', '0', '', '2024-12-24 10:35:39');
INSERT INTO `sys_job_log` VALUES (4413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 10:35:44');
INSERT INTO `sys_job_log` VALUES (4414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：835毫秒', '0', '', '2024-12-24 10:35:45');
INSERT INTO `sys_job_log` VALUES (4415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 10:35:49');
INSERT INTO `sys_job_log` VALUES (4416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：214毫秒', '0', '', '2024-12-24 10:35:54');
INSERT INTO `sys_job_log` VALUES (4417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:35:59');
INSERT INTO `sys_job_log` VALUES (4418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：846毫秒', '0', '', '2024-12-24 10:36:00');
INSERT INTO `sys_job_log` VALUES (4419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：233毫秒', '0', '', '2024-12-24 10:36:05');
INSERT INTO `sys_job_log` VALUES (4420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '0', '', '2024-12-24 10:36:10');
INSERT INTO `sys_job_log` VALUES (4421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 10:36:14');
INSERT INTO `sys_job_log` VALUES (4422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 10:36:15');
INSERT INTO `sys_job_log` VALUES (4423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:36:19');
INSERT INTO `sys_job_log` VALUES (4424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：388毫秒', '0', '', '2024-12-24 10:36:25');
INSERT INTO `sys_job_log` VALUES (4425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:36:29');
INSERT INTO `sys_job_log` VALUES (4426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3286毫秒', '0', '', '2024-12-24 10:36:32');
INSERT INTO `sys_job_log` VALUES (4427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:36:34');
INSERT INTO `sys_job_log` VALUES (4428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:36:39');
INSERT INTO `sys_job_log` VALUES (4429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:36:44');
INSERT INTO `sys_job_log` VALUES (4430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：259毫秒', '0', '', '2024-12-24 10:36:44');
INSERT INTO `sys_job_log` VALUES (4431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:36:49');
INSERT INTO `sys_job_log` VALUES (4432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:36:54');
INSERT INTO `sys_job_log` VALUES (4433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 10:36:59');
INSERT INTO `sys_job_log` VALUES (4434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：341毫秒', '0', '', '2024-12-24 10:37:00');
INSERT INTO `sys_job_log` VALUES (4435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:37:04');
INSERT INTO `sys_job_log` VALUES (4436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:37:09');
INSERT INTO `sys_job_log` VALUES (4437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:37:14');
INSERT INTO `sys_job_log` VALUES (4438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：904毫秒', '0', '', '2024-12-24 10:37:15');
INSERT INTO `sys_job_log` VALUES (4439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:37:19');
INSERT INTO `sys_job_log` VALUES (4440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:37:24');
INSERT INTO `sys_job_log` VALUES (4441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：125毫秒', '0', '', '2024-12-24 10:37:29');
INSERT INTO `sys_job_log` VALUES (4442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：945毫秒', '0', '', '2024-12-24 10:37:30');
INSERT INTO `sys_job_log` VALUES (4443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:37:34');
INSERT INTO `sys_job_log` VALUES (4444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：405毫秒', '0', '', '2024-12-24 10:37:40');
INSERT INTO `sys_job_log` VALUES (4445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9580毫秒', '0', '', '2024-12-24 10:37:54');
INSERT INTO `sys_job_log` VALUES (4446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:37:54');
INSERT INTO `sys_job_log` VALUES (4447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:37:54');
INSERT INTO `sys_job_log` VALUES (4448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：10702毫秒', '0', '', '2024-12-24 10:37:55');
INSERT INTO `sys_job_log` VALUES (4449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:37:59');
INSERT INTO `sys_job_log` VALUES (4450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：225毫秒', '0', '', '2024-12-24 10:37:59');
INSERT INTO `sys_job_log` VALUES (4451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:38:04');
INSERT INTO `sys_job_log` VALUES (4452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3213毫秒', '0', '', '2024-12-24 10:38:12');
INSERT INTO `sys_job_log` VALUES (4453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:38:14');
INSERT INTO `sys_job_log` VALUES (4454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：294毫秒', '0', '', '2024-12-24 10:38:14');
INSERT INTO `sys_job_log` VALUES (4455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 10:38:19');
INSERT INTO `sys_job_log` VALUES (4456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:38:24');
INSERT INTO `sys_job_log` VALUES (4457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:38:29');
INSERT INTO `sys_job_log` VALUES (4458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：267毫秒', '0', '', '2024-12-24 10:38:29');
INSERT INTO `sys_job_log` VALUES (4459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:38:34');
INSERT INTO `sys_job_log` VALUES (4460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:38:39');
INSERT INTO `sys_job_log` VALUES (4461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:38:44');
INSERT INTO `sys_job_log` VALUES (4462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：242毫秒', '0', '', '2024-12-24 10:38:44');
INSERT INTO `sys_job_log` VALUES (4463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:38:49');
INSERT INTO `sys_job_log` VALUES (4464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:38:54');
INSERT INTO `sys_job_log` VALUES (4465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:38:59');
INSERT INTO `sys_job_log` VALUES (4466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：214毫秒', '0', '', '2024-12-24 10:38:59');
INSERT INTO `sys_job_log` VALUES (4467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:39:04');
INSERT INTO `sys_job_log` VALUES (4468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:39:09');
INSERT INTO `sys_job_log` VALUES (4469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:39:14');
INSERT INTO `sys_job_log` VALUES (4470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：276毫秒', '0', '', '2024-12-24 10:39:14');
INSERT INTO `sys_job_log` VALUES (4471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:39:19');
INSERT INTO `sys_job_log` VALUES (4472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:39:24');
INSERT INTO `sys_job_log` VALUES (4473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:39:29');
INSERT INTO `sys_job_log` VALUES (4474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：257毫秒', '0', '', '2024-12-24 10:39:29');
INSERT INTO `sys_job_log` VALUES (4475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:39:34');
INSERT INTO `sys_job_log` VALUES (4476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:39:39');
INSERT INTO `sys_job_log` VALUES (4477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:39:44');
INSERT INTO `sys_job_log` VALUES (4478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：224毫秒', '0', '', '2024-12-24 10:39:44');
INSERT INTO `sys_job_log` VALUES (4479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:39:49');
INSERT INTO `sys_job_log` VALUES (4480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:39:54');
INSERT INTO `sys_job_log` VALUES (4481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:39:59');
INSERT INTO `sys_job_log` VALUES (4482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：209毫秒', '0', '', '2024-12-24 10:39:59');
INSERT INTO `sys_job_log` VALUES (4483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:40:04');
INSERT INTO `sys_job_log` VALUES (4484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:40:09');
INSERT INTO `sys_job_log` VALUES (4485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:40:14');
INSERT INTO `sys_job_log` VALUES (4486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：284毫秒', '0', '', '2024-12-24 10:40:14');
INSERT INTO `sys_job_log` VALUES (4487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:40:19');
INSERT INTO `sys_job_log` VALUES (4488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:40:24');
INSERT INTO `sys_job_log` VALUES (4489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:40:29');
INSERT INTO `sys_job_log` VALUES (4490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：238毫秒', '0', '', '2024-12-24 10:40:29');
INSERT INTO `sys_job_log` VALUES (4491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:40:34');
INSERT INTO `sys_job_log` VALUES (4492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:40:39');
INSERT INTO `sys_job_log` VALUES (4493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 10:40:44');
INSERT INTO `sys_job_log` VALUES (4494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：431毫秒', '0', '', '2024-12-24 10:40:45');
INSERT INTO `sys_job_log` VALUES (4495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:40:49');
INSERT INTO `sys_job_log` VALUES (4496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:40:54');
INSERT INTO `sys_job_log` VALUES (4497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:40:59');
INSERT INTO `sys_job_log` VALUES (4498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：200毫秒', '0', '', '2024-12-24 10:40:59');
INSERT INTO `sys_job_log` VALUES (4499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 10:41:04');
INSERT INTO `sys_job_log` VALUES (4500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:41:09');
INSERT INTO `sys_job_log` VALUES (4501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:41:14');
INSERT INTO `sys_job_log` VALUES (4502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：284毫秒', '0', '', '2024-12-24 10:41:14');
INSERT INTO `sys_job_log` VALUES (4503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:41:19');
INSERT INTO `sys_job_log` VALUES (4504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:41:24');
INSERT INTO `sys_job_log` VALUES (4505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 10:41:29');
INSERT INTO `sys_job_log` VALUES (4506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：249毫秒', '0', '', '2024-12-24 10:41:29');
INSERT INTO `sys_job_log` VALUES (4507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:41:34');
INSERT INTO `sys_job_log` VALUES (4508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:41:39');
INSERT INTO `sys_job_log` VALUES (4509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:41:44');
INSERT INTO `sys_job_log` VALUES (4510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：225毫秒', '0', '', '2024-12-24 10:41:44');
INSERT INTO `sys_job_log` VALUES (4511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:41:49');
INSERT INTO `sys_job_log` VALUES (4512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:41:54');
INSERT INTO `sys_job_log` VALUES (4513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:41:59');
INSERT INTO `sys_job_log` VALUES (4514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：295毫秒', '0', '', '2024-12-24 10:41:59');
INSERT INTO `sys_job_log` VALUES (4515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:42:04');
INSERT INTO `sys_job_log` VALUES (4516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:42:09');
INSERT INTO `sys_job_log` VALUES (4517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:42:14');
INSERT INTO `sys_job_log` VALUES (4518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：273毫秒', '0', '', '2024-12-24 10:42:14');
INSERT INTO `sys_job_log` VALUES (4519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:42:19');
INSERT INTO `sys_job_log` VALUES (4520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:42:24');
INSERT INTO `sys_job_log` VALUES (4521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:42:29');
INSERT INTO `sys_job_log` VALUES (4522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：240毫秒', '0', '', '2024-12-24 10:42:29');
INSERT INTO `sys_job_log` VALUES (4523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:42:34');
INSERT INTO `sys_job_log` VALUES (4524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:42:39');
INSERT INTO `sys_job_log` VALUES (4525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:42:44');
INSERT INTO `sys_job_log` VALUES (4526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：210毫秒', '0', '', '2024-12-24 10:42:44');
INSERT INTO `sys_job_log` VALUES (4527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:42:49');
INSERT INTO `sys_job_log` VALUES (4528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:42:54');
INSERT INTO `sys_job_log` VALUES (4529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:42:59');
INSERT INTO `sys_job_log` VALUES (4530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：181毫秒', '0', '', '2024-12-24 10:42:59');
INSERT INTO `sys_job_log` VALUES (4531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:43:04');
INSERT INTO `sys_job_log` VALUES (4532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:43:09');
INSERT INTO `sys_job_log` VALUES (4533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:43:14');
INSERT INTO `sys_job_log` VALUES (4534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：264毫秒', '0', '', '2024-12-24 10:43:14');
INSERT INTO `sys_job_log` VALUES (4535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:43:19');
INSERT INTO `sys_job_log` VALUES (4536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:43:24');
INSERT INTO `sys_job_log` VALUES (4537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:43:29');
INSERT INTO `sys_job_log` VALUES (4538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：230毫秒', '0', '', '2024-12-24 10:43:29');
INSERT INTO `sys_job_log` VALUES (4539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:43:34');
INSERT INTO `sys_job_log` VALUES (4540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:43:39');
INSERT INTO `sys_job_log` VALUES (4541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:43:44');
INSERT INTO `sys_job_log` VALUES (4542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：319毫秒', '0', '', '2024-12-24 10:43:44');
INSERT INTO `sys_job_log` VALUES (4543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:43:49');
INSERT INTO `sys_job_log` VALUES (4544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:43:54');
INSERT INTO `sys_job_log` VALUES (4545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:43:59');
INSERT INTO `sys_job_log` VALUES (4546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：281毫秒', '0', '', '2024-12-24 10:43:59');
INSERT INTO `sys_job_log` VALUES (4547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:44:04');
INSERT INTO `sys_job_log` VALUES (4548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:44:09');
INSERT INTO `sys_job_log` VALUES (4549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:44:14');
INSERT INTO `sys_job_log` VALUES (4550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：553毫秒', '0', '', '2024-12-24 10:44:15');
INSERT INTO `sys_job_log` VALUES (4551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:44:19');
INSERT INTO `sys_job_log` VALUES (4552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:44:24');
INSERT INTO `sys_job_log` VALUES (4553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:44:29');
INSERT INTO `sys_job_log` VALUES (4554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：322毫秒', '0', '', '2024-12-24 10:44:29');
INSERT INTO `sys_job_log` VALUES (4555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:44:34');
INSERT INTO `sys_job_log` VALUES (4556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:44:39');
INSERT INTO `sys_job_log` VALUES (4557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:44:44');
INSERT INTO `sys_job_log` VALUES (4558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：305毫秒', '0', '', '2024-12-24 10:44:44');
INSERT INTO `sys_job_log` VALUES (4559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:44:49');
INSERT INTO `sys_job_log` VALUES (4560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:44:54');
INSERT INTO `sys_job_log` VALUES (4561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:44:59');
INSERT INTO `sys_job_log` VALUES (4562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：265毫秒', '0', '', '2024-12-24 10:44:59');
INSERT INTO `sys_job_log` VALUES (4563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:45:04');
INSERT INTO `sys_job_log` VALUES (4564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 10:45:09');
INSERT INTO `sys_job_log` VALUES (4565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:45:14');
INSERT INTO `sys_job_log` VALUES (4566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：259毫秒', '0', '', '2024-12-24 10:45:14');
INSERT INTO `sys_job_log` VALUES (4567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:45:19');
INSERT INTO `sys_job_log` VALUES (4568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:45:24');
INSERT INTO `sys_job_log` VALUES (4569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:45:29');
INSERT INTO `sys_job_log` VALUES (4570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 10:45:29');
INSERT INTO `sys_job_log` VALUES (4571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:45:34');
INSERT INTO `sys_job_log` VALUES (4572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:45:39');
INSERT INTO `sys_job_log` VALUES (4573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:45:44');
INSERT INTO `sys_job_log` VALUES (4574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：290毫秒', '0', '', '2024-12-24 10:45:44');
INSERT INTO `sys_job_log` VALUES (4575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:45:49');
INSERT INTO `sys_job_log` VALUES (4576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 10:45:54');
INSERT INTO `sys_job_log` VALUES (4577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:45:59');
INSERT INTO `sys_job_log` VALUES (4578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：267毫秒', '0', '', '2024-12-24 10:45:59');
INSERT INTO `sys_job_log` VALUES (4579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:46:04');
INSERT INTO `sys_job_log` VALUES (4580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:46:09');
INSERT INTO `sys_job_log` VALUES (4581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:46:14');
INSERT INTO `sys_job_log` VALUES (4582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：232毫秒', '0', '', '2024-12-24 10:46:14');
INSERT INTO `sys_job_log` VALUES (4583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:46:19');
INSERT INTO `sys_job_log` VALUES (4584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:46:24');
INSERT INTO `sys_job_log` VALUES (4585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:46:29');
INSERT INTO `sys_job_log` VALUES (4586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：208毫秒', '0', '', '2024-12-24 10:46:29');
INSERT INTO `sys_job_log` VALUES (4587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:46:34');
INSERT INTO `sys_job_log` VALUES (4588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:46:39');
INSERT INTO `sys_job_log` VALUES (4589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:46:44');
INSERT INTO `sys_job_log` VALUES (4590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：283毫秒', '0', '', '2024-12-24 10:46:44');
INSERT INTO `sys_job_log` VALUES (4591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 10:46:49');
INSERT INTO `sys_job_log` VALUES (4592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:46:54');
INSERT INTO `sys_job_log` VALUES (4593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:46:59');
INSERT INTO `sys_job_log` VALUES (4594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：248毫秒', '0', '', '2024-12-24 10:46:59');
INSERT INTO `sys_job_log` VALUES (4595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:47:04');
INSERT INTO `sys_job_log` VALUES (4596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:47:09');
INSERT INTO `sys_job_log` VALUES (4597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:47:14');
INSERT INTO `sys_job_log` VALUES (4598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：227毫秒', '0', '', '2024-12-24 10:47:14');
INSERT INTO `sys_job_log` VALUES (4599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:47:19');
INSERT INTO `sys_job_log` VALUES (4600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 10:47:21');
INSERT INTO `sys_job_log` VALUES (4601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:47:24');
INSERT INTO `sys_job_log` VALUES (4602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:47:26');
INSERT INTO `sys_job_log` VALUES (4603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:47:29');
INSERT INTO `sys_job_log` VALUES (4604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：192毫秒', '0', '', '2024-12-24 10:47:29');
INSERT INTO `sys_job_log` VALUES (4605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:47:31');
INSERT INTO `sys_job_log` VALUES (4606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 10:47:31');
INSERT INTO `sys_job_log` VALUES (4607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:47:34');
INSERT INTO `sys_job_log` VALUES (4608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:47:36');
INSERT INTO `sys_job_log` VALUES (4609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:47:39');
INSERT INTO `sys_job_log` VALUES (4610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:47:41');
INSERT INTO `sys_job_log` VALUES (4611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:47:46');
INSERT INTO `sys_job_log` VALUES (4612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-24 10:47:46');
INSERT INTO `sys_job_log` VALUES (4613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 10:47:51');
INSERT INTO `sys_job_log` VALUES (4614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:47:56');
INSERT INTO `sys_job_log` VALUES (4615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:48:01');
INSERT INTO `sys_job_log` VALUES (4616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 10:48:01');
INSERT INTO `sys_job_log` VALUES (4617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:48:06');
INSERT INTO `sys_job_log` VALUES (4618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:48:11');
INSERT INTO `sys_job_log` VALUES (4619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:48:16');
INSERT INTO `sys_job_log` VALUES (4620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-24 10:48:16');
INSERT INTO `sys_job_log` VALUES (4621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 10:48:21');
INSERT INTO `sys_job_log` VALUES (4622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:48:26');
INSERT INTO `sys_job_log` VALUES (4623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 10:48:31');
INSERT INTO `sys_job_log` VALUES (4624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-24 10:48:31');
INSERT INTO `sys_job_log` VALUES (4625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：174毫秒', '0', '', '2024-12-24 10:48:46');
INSERT INTO `sys_job_log` VALUES (4626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 10:48:46');
INSERT INTO `sys_job_log` VALUES (4627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 10:48:51');
INSERT INTO `sys_job_log` VALUES (4628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:48:56');
INSERT INTO `sys_job_log` VALUES (4629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:49:01');
INSERT INTO `sys_job_log` VALUES (4630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-24 10:49:01');
INSERT INTO `sys_job_log` VALUES (4631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:49:06');
INSERT INTO `sys_job_log` VALUES (4632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:49:11');
INSERT INTO `sys_job_log` VALUES (4633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:49:16');
INSERT INTO `sys_job_log` VALUES (4634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 10:49:16');
INSERT INTO `sys_job_log` VALUES (4635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 10:49:21');
INSERT INTO `sys_job_log` VALUES (4636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:49:26');
INSERT INTO `sys_job_log` VALUES (4637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:49:31');
INSERT INTO `sys_job_log` VALUES (4638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 10:49:31');
INSERT INTO `sys_job_log` VALUES (4639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:49:36');
INSERT INTO `sys_job_log` VALUES (4640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 10:49:41');
INSERT INTO `sys_job_log` VALUES (4641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:49:46');
INSERT INTO `sys_job_log` VALUES (4642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 10:49:46');
INSERT INTO `sys_job_log` VALUES (4643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 10:49:51');
INSERT INTO `sys_job_log` VALUES (4644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:49:56');
INSERT INTO `sys_job_log` VALUES (4645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:50:01');
INSERT INTO `sys_job_log` VALUES (4646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 10:50:01');
INSERT INTO `sys_job_log` VALUES (4647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:50:06');
INSERT INTO `sys_job_log` VALUES (4648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:50:11');
INSERT INTO `sys_job_log` VALUES (4649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:50:16');
INSERT INTO `sys_job_log` VALUES (4650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 10:50:16');
INSERT INTO `sys_job_log` VALUES (4651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 10:50:21');
INSERT INTO `sys_job_log` VALUES (4652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:50:26');
INSERT INTO `sys_job_log` VALUES (4653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:50:31');
INSERT INTO `sys_job_log` VALUES (4654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-24 10:50:31');
INSERT INTO `sys_job_log` VALUES (4655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 10:50:36');
INSERT INTO `sys_job_log` VALUES (4656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:50:41');
INSERT INTO `sys_job_log` VALUES (4657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:50:46');
INSERT INTO `sys_job_log` VALUES (4658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-24 10:50:46');
INSERT INTO `sys_job_log` VALUES (4659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 10:50:51');
INSERT INTO `sys_job_log` VALUES (4660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:50:56');
INSERT INTO `sys_job_log` VALUES (4661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:51:01');
INSERT INTO `sys_job_log` VALUES (4662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 10:51:01');
INSERT INTO `sys_job_log` VALUES (4663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:51:06');
INSERT INTO `sys_job_log` VALUES (4664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 10:51:11');
INSERT INTO `sys_job_log` VALUES (4665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:51:16');
INSERT INTO `sys_job_log` VALUES (4666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 10:51:16');
INSERT INTO `sys_job_log` VALUES (4667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 10:51:21');
INSERT INTO `sys_job_log` VALUES (4668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:51:26');
INSERT INTO `sys_job_log` VALUES (4669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:51:31');
INSERT INTO `sys_job_log` VALUES (4670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-24 10:51:31');
INSERT INTO `sys_job_log` VALUES (4671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:51:36');
INSERT INTO `sys_job_log` VALUES (4672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:51:41');
INSERT INTO `sys_job_log` VALUES (4673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:51:46');
INSERT INTO `sys_job_log` VALUES (4674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 10:51:46');
INSERT INTO `sys_job_log` VALUES (4675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 10:51:51');
INSERT INTO `sys_job_log` VALUES (4676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:51:56');
INSERT INTO `sys_job_log` VALUES (4677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:52:01');
INSERT INTO `sys_job_log` VALUES (4678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 10:52:01');
INSERT INTO `sys_job_log` VALUES (4679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:52:06');
INSERT INTO `sys_job_log` VALUES (4680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:52:11');
INSERT INTO `sys_job_log` VALUES (4681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:52:16');
INSERT INTO `sys_job_log` VALUES (4682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-24 10:52:16');
INSERT INTO `sys_job_log` VALUES (4683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 10:52:21');
INSERT INTO `sys_job_log` VALUES (4684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:52:26');
INSERT INTO `sys_job_log` VALUES (4685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:52:31');
INSERT INTO `sys_job_log` VALUES (4686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-24 10:52:31');
INSERT INTO `sys_job_log` VALUES (4687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:52:36');
INSERT INTO `sys_job_log` VALUES (4688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:52:41');
INSERT INTO `sys_job_log` VALUES (4689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:52:46');
INSERT INTO `sys_job_log` VALUES (4690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-24 10:52:46');
INSERT INTO `sys_job_log` VALUES (4691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 10:52:51');
INSERT INTO `sys_job_log` VALUES (4692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:52:56');
INSERT INTO `sys_job_log` VALUES (4693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:53:01');
INSERT INTO `sys_job_log` VALUES (4694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 10:53:01');
INSERT INTO `sys_job_log` VALUES (4695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:53:06');
INSERT INTO `sys_job_log` VALUES (4696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:53:11');
INSERT INTO `sys_job_log` VALUES (4697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:53:16');
INSERT INTO `sys_job_log` VALUES (4698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-24 10:53:16');
INSERT INTO `sys_job_log` VALUES (4699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 10:53:21');
INSERT INTO `sys_job_log` VALUES (4700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:53:26');
INSERT INTO `sys_job_log` VALUES (4701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:53:31');
INSERT INTO `sys_job_log` VALUES (4702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：135毫秒', '0', '', '2024-12-24 10:53:31');
INSERT INTO `sys_job_log` VALUES (4703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:53:36');
INSERT INTO `sys_job_log` VALUES (4704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:53:41');
INSERT INTO `sys_job_log` VALUES (4705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:53:46');
INSERT INTO `sys_job_log` VALUES (4706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 10:53:46');
INSERT INTO `sys_job_log` VALUES (4707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:53:51');
INSERT INTO `sys_job_log` VALUES (4708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:53:56');
INSERT INTO `sys_job_log` VALUES (4709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:54:01');
INSERT INTO `sys_job_log` VALUES (4710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2024-12-24 10:54:01');
INSERT INTO `sys_job_log` VALUES (4711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:54:06');
INSERT INTO `sys_job_log` VALUES (4712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:54:11');
INSERT INTO `sys_job_log` VALUES (4713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:54:16');
INSERT INTO `sys_job_log` VALUES (4714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：149毫秒', '0', '', '2024-12-24 10:54:16');
INSERT INTO `sys_job_log` VALUES (4715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:54:21');
INSERT INTO `sys_job_log` VALUES (4716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:54:26');
INSERT INTO `sys_job_log` VALUES (4717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:54:31');
INSERT INTO `sys_job_log` VALUES (4718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：120毫秒', '0', '', '2024-12-24 10:54:31');
INSERT INTO `sys_job_log` VALUES (4719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:54:36');
INSERT INTO `sys_job_log` VALUES (4720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:54:41');
INSERT INTO `sys_job_log` VALUES (4721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:54:46');
INSERT INTO `sys_job_log` VALUES (4722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：112毫秒', '0', '', '2024-12-24 10:54:46');
INSERT INTO `sys_job_log` VALUES (4723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:54:51');
INSERT INTO `sys_job_log` VALUES (4724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:54:56');
INSERT INTO `sys_job_log` VALUES (4725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:55:01');
INSERT INTO `sys_job_log` VALUES (4726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：170毫秒', '0', '', '2024-12-24 10:55:01');
INSERT INTO `sys_job_log` VALUES (4727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:55:06');
INSERT INTO `sys_job_log` VALUES (4728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:55:11');
INSERT INTO `sys_job_log` VALUES (4729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:55:16');
INSERT INTO `sys_job_log` VALUES (4730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：139毫秒', '0', '', '2024-12-24 10:55:16');
INSERT INTO `sys_job_log` VALUES (4731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:55:21');
INSERT INTO `sys_job_log` VALUES (4732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:55:26');
INSERT INTO `sys_job_log` VALUES (4733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:55:31');
INSERT INTO `sys_job_log` VALUES (4734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：146毫秒', '0', '', '2024-12-24 10:55:31');
INSERT INTO `sys_job_log` VALUES (4735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:55:36');
INSERT INTO `sys_job_log` VALUES (4736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:55:41');
INSERT INTO `sys_job_log` VALUES (4737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:55:46');
INSERT INTO `sys_job_log` VALUES (4738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 10:55:46');
INSERT INTO `sys_job_log` VALUES (4739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:55:51');
INSERT INTO `sys_job_log` VALUES (4740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:55:56');
INSERT INTO `sys_job_log` VALUES (4741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:56:01');
INSERT INTO `sys_job_log` VALUES (4742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：149毫秒', '0', '', '2024-12-24 10:56:01');
INSERT INTO `sys_job_log` VALUES (4743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:56:06');
INSERT INTO `sys_job_log` VALUES (4744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:56:11');
INSERT INTO `sys_job_log` VALUES (4745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:56:16');
INSERT INTO `sys_job_log` VALUES (4746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：166毫秒', '0', '', '2024-12-24 10:56:16');
INSERT INTO `sys_job_log` VALUES (4747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:56:21');
INSERT INTO `sys_job_log` VALUES (4748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:56:26');
INSERT INTO `sys_job_log` VALUES (4749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:56:31');
INSERT INTO `sys_job_log` VALUES (4750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 10:56:31');
INSERT INTO `sys_job_log` VALUES (4751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:56:36');
INSERT INTO `sys_job_log` VALUES (4752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:56:41');
INSERT INTO `sys_job_log` VALUES (4753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 10:56:46');
INSERT INTO `sys_job_log` VALUES (4754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：179毫秒', '0', '', '2024-12-24 10:56:46');
INSERT INTO `sys_job_log` VALUES (4755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:56:51');
INSERT INTO `sys_job_log` VALUES (4756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:56:56');
INSERT INTO `sys_job_log` VALUES (4757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:57:01');
INSERT INTO `sys_job_log` VALUES (4758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：158毫秒', '0', '', '2024-12-24 10:57:01');
INSERT INTO `sys_job_log` VALUES (4759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:57:06');
INSERT INTO `sys_job_log` VALUES (4760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:57:11');
INSERT INTO `sys_job_log` VALUES (4761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:57:16');
INSERT INTO `sys_job_log` VALUES (4762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：124毫秒', '0', '', '2024-12-24 10:57:16');
INSERT INTO `sys_job_log` VALUES (4763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:57:21');
INSERT INTO `sys_job_log` VALUES (4764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:57:26');
INSERT INTO `sys_job_log` VALUES (4765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:57:31');
INSERT INTO `sys_job_log` VALUES (4766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 10:57:31');
INSERT INTO `sys_job_log` VALUES (4767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:57:36');
INSERT INTO `sys_job_log` VALUES (4768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:57:41');
INSERT INTO `sys_job_log` VALUES (4769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:57:46');
INSERT INTO `sys_job_log` VALUES (4770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2024-12-24 10:57:46');
INSERT INTO `sys_job_log` VALUES (4771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:57:51');
INSERT INTO `sys_job_log` VALUES (4772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 10:57:56');
INSERT INTO `sys_job_log` VALUES (4773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:58:01');
INSERT INTO `sys_job_log` VALUES (4774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：143毫秒', '0', '', '2024-12-24 10:58:01');
INSERT INTO `sys_job_log` VALUES (4775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:58:06');
INSERT INTO `sys_job_log` VALUES (4776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:58:11');
INSERT INTO `sys_job_log` VALUES (4777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:58:16');
INSERT INTO `sys_job_log` VALUES (4778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：114毫秒', '0', '', '2024-12-24 10:58:16');
INSERT INTO `sys_job_log` VALUES (4779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:58:21');
INSERT INTO `sys_job_log` VALUES (4780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:58:26');
INSERT INTO `sys_job_log` VALUES (4781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:58:31');
INSERT INTO `sys_job_log` VALUES (4782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：171毫秒', '0', '', '2024-12-24 10:58:31');
INSERT INTO `sys_job_log` VALUES (4783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:58:36');
INSERT INTO `sys_job_log` VALUES (4784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:58:41');
INSERT INTO `sys_job_log` VALUES (4785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:58:46');
INSERT INTO `sys_job_log` VALUES (4786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：169毫秒', '0', '', '2024-12-24 10:58:46');
INSERT INTO `sys_job_log` VALUES (4787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:58:51');
INSERT INTO `sys_job_log` VALUES (4788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 10:58:56');
INSERT INTO `sys_job_log` VALUES (4789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:59:01');
INSERT INTO `sys_job_log` VALUES (4790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：135毫秒', '0', '', '2024-12-24 10:59:01');
INSERT INTO `sys_job_log` VALUES (4791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 10:59:06');
INSERT INTO `sys_job_log` VALUES (4792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 10:59:11');
INSERT INTO `sys_job_log` VALUES (4793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:59:16');
INSERT INTO `sys_job_log` VALUES (4794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 10:59:16');
INSERT INTO `sys_job_log` VALUES (4795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:59:21');
INSERT INTO `sys_job_log` VALUES (4796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:59:26');
INSERT INTO `sys_job_log` VALUES (4797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 10:59:31');
INSERT INTO `sys_job_log` VALUES (4798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 10:59:31');
INSERT INTO `sys_job_log` VALUES (4799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:59:36');
INSERT INTO `sys_job_log` VALUES (4800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 10:59:41');
INSERT INTO `sys_job_log` VALUES (4801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 10:59:46');
INSERT INTO `sys_job_log` VALUES (4802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：150毫秒', '0', '', '2024-12-24 10:59:46');
INSERT INTO `sys_job_log` VALUES (4803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:59:51');
INSERT INTO `sys_job_log` VALUES (4804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 10:59:56');
INSERT INTO `sys_job_log` VALUES (4805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 11:00:01');
INSERT INTO `sys_job_log` VALUES (4806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：125毫秒', '0', '', '2024-12-24 11:00:01');
INSERT INTO `sys_job_log` VALUES (4807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 11:00:06');
INSERT INTO `sys_job_log` VALUES (4808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 11:00:11');
INSERT INTO `sys_job_log` VALUES (4809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 11:00:16');
INSERT INTO `sys_job_log` VALUES (4810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 11:00:16');
INSERT INTO `sys_job_log` VALUES (4811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:00:21');
INSERT INTO `sys_job_log` VALUES (4812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 11:00:26');
INSERT INTO `sys_job_log` VALUES (4813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 11:00:31');
INSERT INTO `sys_job_log` VALUES (4814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：166毫秒', '0', '', '2024-12-24 11:00:31');
INSERT INTO `sys_job_log` VALUES (4815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:00:36');
INSERT INTO `sys_job_log` VALUES (4816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 11:00:41');
INSERT INTO `sys_job_log` VALUES (4817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 11:00:46');
INSERT INTO `sys_job_log` VALUES (4818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：152毫秒', '0', '', '2024-12-24 11:00:46');
INSERT INTO `sys_job_log` VALUES (4819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:00:51');
INSERT INTO `sys_job_log` VALUES (4820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:02:31');
INSERT INTO `sys_job_log` VALUES (4821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:02:31');
INSERT INTO `sys_job_log` VALUES (4822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-24 11:02:36');
INSERT INTO `sys_job_log` VALUES (4823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-24 11:02:41');
INSERT INTO `sys_job_log` VALUES (4824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24毫秒', '0', '', '2024-12-24 11:02:46');
INSERT INTO `sys_job_log` VALUES (4825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:02:46');
INSERT INTO `sys_job_log` VALUES (4826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 11:02:51');
INSERT INTO `sys_job_log` VALUES (4827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:02:56');
INSERT INTO `sys_job_log` VALUES (4828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:03:01');
INSERT INTO `sys_job_log` VALUES (4829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-24 11:03:01');
INSERT INTO `sys_job_log` VALUES (4830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:03:06');
INSERT INTO `sys_job_log` VALUES (4831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:03:11');
INSERT INTO `sys_job_log` VALUES (4832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:03:16');
INSERT INTO `sys_job_log` VALUES (4833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:03:16');
INSERT INTO `sys_job_log` VALUES (4834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-24 11:03:21');
INSERT INTO `sys_job_log` VALUES (4835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-24 11:03:26');
INSERT INTO `sys_job_log` VALUES (4836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：26毫秒', '0', '', '2024-12-24 11:03:31');
INSERT INTO `sys_job_log` VALUES (4837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:03:31');
INSERT INTO `sys_job_log` VALUES (4838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:03:36');
INSERT INTO `sys_job_log` VALUES (4839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:03:41');
INSERT INTO `sys_job_log` VALUES (4840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 11:03:46');
INSERT INTO `sys_job_log` VALUES (4841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:03:46');
INSERT INTO `sys_job_log` VALUES (4842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:03:51');
INSERT INTO `sys_job_log` VALUES (4843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:03:56');
INSERT INTO `sys_job_log` VALUES (4844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 11:04:01');
INSERT INTO `sys_job_log` VALUES (4845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:04:01');
INSERT INTO `sys_job_log` VALUES (4846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 11:04:06');
INSERT INTO `sys_job_log` VALUES (4847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:04:11');
INSERT INTO `sys_job_log` VALUES (4848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 11:04:16');
INSERT INTO `sys_job_log` VALUES (4849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:04:16');
INSERT INTO `sys_job_log` VALUES (4850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:04:21');
INSERT INTO `sys_job_log` VALUES (4851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:04:26');
INSERT INTO `sys_job_log` VALUES (4852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 11:04:31');
INSERT INTO `sys_job_log` VALUES (4853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:04:31');
INSERT INTO `sys_job_log` VALUES (4854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:04:36');
INSERT INTO `sys_job_log` VALUES (4855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:04:41');
INSERT INTO `sys_job_log` VALUES (4856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：26毫秒', '0', '', '2024-12-24 11:04:46');
INSERT INTO `sys_job_log` VALUES (4857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:04:46');
INSERT INTO `sys_job_log` VALUES (4858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:04:51');
INSERT INTO `sys_job_log` VALUES (4859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:04:56');
INSERT INTO `sys_job_log` VALUES (4860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 11:05:01');
INSERT INTO `sys_job_log` VALUES (4861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-24 11:05:01');
INSERT INTO `sys_job_log` VALUES (4862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:05:06');
INSERT INTO `sys_job_log` VALUES (4863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:05:11');
INSERT INTO `sys_job_log` VALUES (4864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 11:05:16');
INSERT INTO `sys_job_log` VALUES (4865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:05:16');
INSERT INTO `sys_job_log` VALUES (4866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 11:05:21');
INSERT INTO `sys_job_log` VALUES (4867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:05:26');
INSERT INTO `sys_job_log` VALUES (4868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:05:31');
INSERT INTO `sys_job_log` VALUES (4869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:05:31');
INSERT INTO `sys_job_log` VALUES (4870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 11:05:36');
INSERT INTO `sys_job_log` VALUES (4871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 11:05:41');
INSERT INTO `sys_job_log` VALUES (4872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:05:46');
INSERT INTO `sys_job_log` VALUES (4873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-24 11:05:46');
INSERT INTO `sys_job_log` VALUES (4874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:05:51');
INSERT INTO `sys_job_log` VALUES (4875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:05:56');
INSERT INTO `sys_job_log` VALUES (4876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23毫秒', '0', '', '2024-12-24 11:06:01');
INSERT INTO `sys_job_log` VALUES (4877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:06:01');
INSERT INTO `sys_job_log` VALUES (4878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-24 11:06:06');
INSERT INTO `sys_job_log` VALUES (4879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:06:11');
INSERT INTO `sys_job_log` VALUES (4880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 11:06:16');
INSERT INTO `sys_job_log` VALUES (4881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-24 11:06:16');
INSERT INTO `sys_job_log` VALUES (4882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:06:21');
INSERT INTO `sys_job_log` VALUES (4883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:06:26');
INSERT INTO `sys_job_log` VALUES (4884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 11:06:31');
INSERT INTO `sys_job_log` VALUES (4885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:06:31');
INSERT INTO `sys_job_log` VALUES (4886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 11:06:36');
INSERT INTO `sys_job_log` VALUES (4887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:06:41');
INSERT INTO `sys_job_log` VALUES (4888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 11:06:46');
INSERT INTO `sys_job_log` VALUES (4889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:06:46');
INSERT INTO `sys_job_log` VALUES (4890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:06:51');
INSERT INTO `sys_job_log` VALUES (4891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:06:56');
INSERT INTO `sys_job_log` VALUES (4892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:07:01');
INSERT INTO `sys_job_log` VALUES (4893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:07:01');
INSERT INTO `sys_job_log` VALUES (4894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:07:06');
INSERT INTO `sys_job_log` VALUES (4895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:07:11');
INSERT INTO `sys_job_log` VALUES (4896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:07:16');
INSERT INTO `sys_job_log` VALUES (4897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:07:16');
INSERT INTO `sys_job_log` VALUES (4898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:07:21');
INSERT INTO `sys_job_log` VALUES (4899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:07:26');
INSERT INTO `sys_job_log` VALUES (4900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:07:31');
INSERT INTO `sys_job_log` VALUES (4901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:07:31');
INSERT INTO `sys_job_log` VALUES (4902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:07:36');
INSERT INTO `sys_job_log` VALUES (4903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:07:41');
INSERT INTO `sys_job_log` VALUES (4904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 11:07:46');
INSERT INTO `sys_job_log` VALUES (4905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-24 11:07:46');
INSERT INTO `sys_job_log` VALUES (4906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:07:51');
INSERT INTO `sys_job_log` VALUES (4907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:07:56');
INSERT INTO `sys_job_log` VALUES (4908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23毫秒', '0', '', '2024-12-24 11:08:01');
INSERT INTO `sys_job_log` VALUES (4909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:08:01');
INSERT INTO `sys_job_log` VALUES (4910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:08:06');
INSERT INTO `sys_job_log` VALUES (4911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:08:11');
INSERT INTO `sys_job_log` VALUES (4912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:08:16');
INSERT INTO `sys_job_log` VALUES (4913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2024-12-24 11:08:16');
INSERT INTO `sys_job_log` VALUES (4914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 11:08:21');
INSERT INTO `sys_job_log` VALUES (4915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 11:08:26');
INSERT INTO `sys_job_log` VALUES (4916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 11:08:31');
INSERT INTO `sys_job_log` VALUES (4917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:08:31');
INSERT INTO `sys_job_log` VALUES (4918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:08:36');
INSERT INTO `sys_job_log` VALUES (4919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:08:41');
INSERT INTO `sys_job_log` VALUES (4920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 11:08:46');
INSERT INTO `sys_job_log` VALUES (4921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:08:46');
INSERT INTO `sys_job_log` VALUES (4922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:08:51');
INSERT INTO `sys_job_log` VALUES (4923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:08:56');
INSERT INTO `sys_job_log` VALUES (4924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:09:01');
INSERT INTO `sys_job_log` VALUES (4925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-24 11:09:01');
INSERT INTO `sys_job_log` VALUES (4926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:09:06');
INSERT INTO `sys_job_log` VALUES (4927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:09:11');
INSERT INTO `sys_job_log` VALUES (4928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 11:09:16');
INSERT INTO `sys_job_log` VALUES (4929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:09:16');
INSERT INTO `sys_job_log` VALUES (4930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:09:21');
INSERT INTO `sys_job_log` VALUES (4931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:09:26');
INSERT INTO `sys_job_log` VALUES (4932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:09:31');
INSERT INTO `sys_job_log` VALUES (4933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:09:31');
INSERT INTO `sys_job_log` VALUES (4934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:09:36');
INSERT INTO `sys_job_log` VALUES (4935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:09:41');
INSERT INTO `sys_job_log` VALUES (4936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:09:46');
INSERT INTO `sys_job_log` VALUES (4937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:09:46');
INSERT INTO `sys_job_log` VALUES (4938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 11:09:51');
INSERT INTO `sys_job_log` VALUES (4939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 11:09:56');
INSERT INTO `sys_job_log` VALUES (4940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：26毫秒', '0', '', '2024-12-24 11:10:01');
INSERT INTO `sys_job_log` VALUES (4941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:10:01');
INSERT INTO `sys_job_log` VALUES (4942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:10:06');
INSERT INTO `sys_job_log` VALUES (4943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:10:11');
INSERT INTO `sys_job_log` VALUES (4944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:10:16');
INSERT INTO `sys_job_log` VALUES (4945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25毫秒', '0', '', '2024-12-24 11:10:16');
INSERT INTO `sys_job_log` VALUES (4946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:10:21');
INSERT INTO `sys_job_log` VALUES (4947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:10:26');
INSERT INTO `sys_job_log` VALUES (4948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:10:31');
INSERT INTO `sys_job_log` VALUES (4949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：29毫秒', '0', '', '2024-12-24 11:10:31');
INSERT INTO `sys_job_log` VALUES (4950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:10:36');
INSERT INTO `sys_job_log` VALUES (4951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:10:41');
INSERT INTO `sys_job_log` VALUES (4952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 11:10:46');
INSERT INTO `sys_job_log` VALUES (4953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:10:46');
INSERT INTO `sys_job_log` VALUES (4954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:10:51');
INSERT INTO `sys_job_log` VALUES (4955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:10:56');
INSERT INTO `sys_job_log` VALUES (4956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 11:11:01');
INSERT INTO `sys_job_log` VALUES (4957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:11:01');
INSERT INTO `sys_job_log` VALUES (4958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:11:06');
INSERT INTO `sys_job_log` VALUES (4959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:11:11');
INSERT INTO `sys_job_log` VALUES (4960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 11:11:16');
INSERT INTO `sys_job_log` VALUES (4961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:11:16');
INSERT INTO `sys_job_log` VALUES (4962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:11:21');
INSERT INTO `sys_job_log` VALUES (4963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:11:26');
INSERT INTO `sys_job_log` VALUES (4964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 11:11:31');
INSERT INTO `sys_job_log` VALUES (4965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:11:31');
INSERT INTO `sys_job_log` VALUES (4966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:11:36');
INSERT INTO `sys_job_log` VALUES (4967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:11:41');
INSERT INTO `sys_job_log` VALUES (4968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:11:46');
INSERT INTO `sys_job_log` VALUES (4969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：28毫秒', '0', '', '2024-12-24 11:11:46');
INSERT INTO `sys_job_log` VALUES (4970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:11:51');
INSERT INTO `sys_job_log` VALUES (4971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:11:56');
INSERT INTO `sys_job_log` VALUES (4972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 11:12:01');
INSERT INTO `sys_job_log` VALUES (4973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:12:01');
INSERT INTO `sys_job_log` VALUES (4974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:12:06');
INSERT INTO `sys_job_log` VALUES (4975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:12:11');
INSERT INTO `sys_job_log` VALUES (4976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:12:16');
INSERT INTO `sys_job_log` VALUES (4977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:12:16');
INSERT INTO `sys_job_log` VALUES (4978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:12:21');
INSERT INTO `sys_job_log` VALUES (4979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:12:26');
INSERT INTO `sys_job_log` VALUES (4980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 11:12:31');
INSERT INTO `sys_job_log` VALUES (4981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:12:31');
INSERT INTO `sys_job_log` VALUES (4982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：184毫秒', '0', '', '2024-12-24 11:13:43');
INSERT INTO `sys_job_log` VALUES (4983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：919毫秒', '0', '', '2024-12-24 11:13:45');
INSERT INTO `sys_job_log` VALUES (4984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：969毫秒', '0', '', '2024-12-24 11:13:45');
INSERT INTO `sys_job_log` VALUES (4985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 11:13:49');
INSERT INTO `sys_job_log` VALUES (4986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:13:54');
INSERT INTO `sys_job_log` VALUES (4987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:13:59');
INSERT INTO `sys_job_log` VALUES (4988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24毫秒', '0', '', '2024-12-24 11:13:59');
INSERT INTO `sys_job_log` VALUES (4989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 11:14:04');
INSERT INTO `sys_job_log` VALUES (4990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:14:09');
INSERT INTO `sys_job_log` VALUES (4991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 11:14:14');
INSERT INTO `sys_job_log` VALUES (4992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:14:14');
INSERT INTO `sys_job_log` VALUES (4993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-24 11:14:19');
INSERT INTO `sys_job_log` VALUES (4994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 11:14:24');
INSERT INTO `sys_job_log` VALUES (4995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:14:29');
INSERT INTO `sys_job_log` VALUES (4996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 11:14:29');
INSERT INTO `sys_job_log` VALUES (4997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:14:34');
INSERT INTO `sys_job_log` VALUES (4998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:14:39');
INSERT INTO `sys_job_log` VALUES (4999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:14:44');
INSERT INTO `sys_job_log` VALUES (5000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:14:44');
INSERT INTO `sys_job_log` VALUES (5001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:14:49');
INSERT INTO `sys_job_log` VALUES (5002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:14:54');
INSERT INTO `sys_job_log` VALUES (5003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '0', '', '2024-12-24 11:14:59');
INSERT INTO `sys_job_log` VALUES (5004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：293毫秒', '0', '', '2024-12-24 11:14:59');
INSERT INTO `sys_job_log` VALUES (5005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:15:04');
INSERT INTO `sys_job_log` VALUES (5006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:15:09');
INSERT INTO `sys_job_log` VALUES (5007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：311毫秒', '0', '', '2024-12-24 11:15:14');
INSERT INTO `sys_job_log` VALUES (5008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：311毫秒', '0', '', '2024-12-24 11:15:14');
INSERT INTO `sys_job_log` VALUES (5009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:15:19');
INSERT INTO `sys_job_log` VALUES (5010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:15:24');
INSERT INTO `sys_job_log` VALUES (5011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：248毫秒', '0', '', '2024-12-24 11:15:29');
INSERT INTO `sys_job_log` VALUES (5012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：248毫秒', '0', '', '2024-12-24 11:15:29');
INSERT INTO `sys_job_log` VALUES (5013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:15:34');
INSERT INTO `sys_job_log` VALUES (5014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:15:39');
INSERT INTO `sys_job_log` VALUES (5015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：290毫秒', '0', '', '2024-12-24 11:15:44');
INSERT INTO `sys_job_log` VALUES (5016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：291毫秒', '0', '', '2024-12-24 11:15:44');
INSERT INTO `sys_job_log` VALUES (5017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:15:49');
INSERT INTO `sys_job_log` VALUES (5018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:15:54');
INSERT INTO `sys_job_log` VALUES (5019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：243毫秒', '0', '', '2024-12-24 11:15:59');
INSERT INTO `sys_job_log` VALUES (5020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：243毫秒', '0', '', '2024-12-24 11:15:59');
INSERT INTO `sys_job_log` VALUES (5021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:16:04');
INSERT INTO `sys_job_log` VALUES (5022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:16:09');
INSERT INTO `sys_job_log` VALUES (5023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:16:14');
INSERT INTO `sys_job_log` VALUES (5024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:16:14');
INSERT INTO `sys_job_log` VALUES (5025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:16:19');
INSERT INTO `sys_job_log` VALUES (5026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:16:24');
INSERT INTO `sys_job_log` VALUES (5027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:16:29');
INSERT INTO `sys_job_log` VALUES (5028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:16:29');
INSERT INTO `sys_job_log` VALUES (5029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:16:34');
INSERT INTO `sys_job_log` VALUES (5030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:16:39');
INSERT INTO `sys_job_log` VALUES (5031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:16:44');
INSERT INTO `sys_job_log` VALUES (5032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:16:44');
INSERT INTO `sys_job_log` VALUES (5033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 11:16:49');
INSERT INTO `sys_job_log` VALUES (5034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:16:54');
INSERT INTO `sys_job_log` VALUES (5035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:16:59');
INSERT INTO `sys_job_log` VALUES (5036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:16:59');
INSERT INTO `sys_job_log` VALUES (5037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:17:04');
INSERT INTO `sys_job_log` VALUES (5038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:17:09');
INSERT INTO `sys_job_log` VALUES (5039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 11:17:14');
INSERT INTO `sys_job_log` VALUES (5040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:17:14');
INSERT INTO `sys_job_log` VALUES (5041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:17:19');
INSERT INTO `sys_job_log` VALUES (5042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:17:24');
INSERT INTO `sys_job_log` VALUES (5043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:17:29');
INSERT INTO `sys_job_log` VALUES (5044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:17:29');
INSERT INTO `sys_job_log` VALUES (5045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:17:34');
INSERT INTO `sys_job_log` VALUES (5046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:17:39');
INSERT INTO `sys_job_log` VALUES (5047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:17:44');
INSERT INTO `sys_job_log` VALUES (5048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 11:17:44');
INSERT INTO `sys_job_log` VALUES (5049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:17:49');
INSERT INTO `sys_job_log` VALUES (5050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:17:54');
INSERT INTO `sys_job_log` VALUES (5051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:17:59');
INSERT INTO `sys_job_log` VALUES (5052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:17:59');
INSERT INTO `sys_job_log` VALUES (5053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:18:04');
INSERT INTO `sys_job_log` VALUES (5054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 11:18:09');
INSERT INTO `sys_job_log` VALUES (5055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：291毫秒', '0', '', '2024-12-24 11:18:14');
INSERT INTO `sys_job_log` VALUES (5056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：291毫秒', '0', '', '2024-12-24 11:18:14');
INSERT INTO `sys_job_log` VALUES (5057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:18:19');
INSERT INTO `sys_job_log` VALUES (5058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:18:24');
INSERT INTO `sys_job_log` VALUES (5059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:18:29');
INSERT INTO `sys_job_log` VALUES (5060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:18:29');
INSERT INTO `sys_job_log` VALUES (5061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 11:18:34');
INSERT INTO `sys_job_log` VALUES (5062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:18:39');
INSERT INTO `sys_job_log` VALUES (5063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:18:44');
INSERT INTO `sys_job_log` VALUES (5064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:18:44');
INSERT INTO `sys_job_log` VALUES (5065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:18:49');
INSERT INTO `sys_job_log` VALUES (5066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:18:54');
INSERT INTO `sys_job_log` VALUES (5067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:18:59');
INSERT INTO `sys_job_log` VALUES (5068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:18:59');
INSERT INTO `sys_job_log` VALUES (5069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:19:04');
INSERT INTO `sys_job_log` VALUES (5070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:19:09');
INSERT INTO `sys_job_log` VALUES (5071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:19:14');
INSERT INTO `sys_job_log` VALUES (5072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:19:14');
INSERT INTO `sys_job_log` VALUES (5073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:19:19');
INSERT INTO `sys_job_log` VALUES (5074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:19:24');
INSERT INTO `sys_job_log` VALUES (5075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:19:29');
INSERT INTO `sys_job_log` VALUES (5076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 11:19:29');
INSERT INTO `sys_job_log` VALUES (5077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:19:34');
INSERT INTO `sys_job_log` VALUES (5078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:19:39');
INSERT INTO `sys_job_log` VALUES (5079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 11:19:44');
INSERT INTO `sys_job_log` VALUES (5080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:19:44');
INSERT INTO `sys_job_log` VALUES (5081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:19:49');
INSERT INTO `sys_job_log` VALUES (5082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:19:54');
INSERT INTO `sys_job_log` VALUES (5083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:19:59');
INSERT INTO `sys_job_log` VALUES (5084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:19:59');
INSERT INTO `sys_job_log` VALUES (5085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:20:04');
INSERT INTO `sys_job_log` VALUES (5086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:20:09');
INSERT INTO `sys_job_log` VALUES (5087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:20:14');
INSERT INTO `sys_job_log` VALUES (5088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:20:14');
INSERT INTO `sys_job_log` VALUES (5089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:20:19');
INSERT INTO `sys_job_log` VALUES (5090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:20:24');
INSERT INTO `sys_job_log` VALUES (5091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:20:29');
INSERT INTO `sys_job_log` VALUES (5092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:20:29');
INSERT INTO `sys_job_log` VALUES (5093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:20:34');
INSERT INTO `sys_job_log` VALUES (5094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:20:39');
INSERT INTO `sys_job_log` VALUES (5095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:20:44');
INSERT INTO `sys_job_log` VALUES (5096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:20:44');
INSERT INTO `sys_job_log` VALUES (5097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:20:49');
INSERT INTO `sys_job_log` VALUES (5098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:20:54');
INSERT INTO `sys_job_log` VALUES (5099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:20:59');
INSERT INTO `sys_job_log` VALUES (5100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:20:59');
INSERT INTO `sys_job_log` VALUES (5101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:21:04');
INSERT INTO `sys_job_log` VALUES (5102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:21:09');
INSERT INTO `sys_job_log` VALUES (5103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:21:14');
INSERT INTO `sys_job_log` VALUES (5104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 11:21:14');
INSERT INTO `sys_job_log` VALUES (5105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:21:19');
INSERT INTO `sys_job_log` VALUES (5106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 11:21:24');
INSERT INTO `sys_job_log` VALUES (5107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:21:29');
INSERT INTO `sys_job_log` VALUES (5108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:21:29');
INSERT INTO `sys_job_log` VALUES (5109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:21:34');
INSERT INTO `sys_job_log` VALUES (5110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:21:39');
INSERT INTO `sys_job_log` VALUES (5111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:21:44');
INSERT INTO `sys_job_log` VALUES (5112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:21:44');
INSERT INTO `sys_job_log` VALUES (5113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:21:49');
INSERT INTO `sys_job_log` VALUES (5114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:21:54');
INSERT INTO `sys_job_log` VALUES (5115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:21:59');
INSERT INTO `sys_job_log` VALUES (5116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:21:59');
INSERT INTO `sys_job_log` VALUES (5117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:22:04');
INSERT INTO `sys_job_log` VALUES (5118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:22:09');
INSERT INTO `sys_job_log` VALUES (5119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:22:14');
INSERT INTO `sys_job_log` VALUES (5120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:22:14');
INSERT INTO `sys_job_log` VALUES (5121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:22:19');
INSERT INTO `sys_job_log` VALUES (5122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:22:24');
INSERT INTO `sys_job_log` VALUES (5123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:22:29');
INSERT INTO `sys_job_log` VALUES (5124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:22:29');
INSERT INTO `sys_job_log` VALUES (5125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:22:34');
INSERT INTO `sys_job_log` VALUES (5126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:22:39');
INSERT INTO `sys_job_log` VALUES (5127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:22:44');
INSERT INTO `sys_job_log` VALUES (5128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:22:44');
INSERT INTO `sys_job_log` VALUES (5129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:22:49');
INSERT INTO `sys_job_log` VALUES (5130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:22:54');
INSERT INTO `sys_job_log` VALUES (5131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:22:59');
INSERT INTO `sys_job_log` VALUES (5132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:22:59');
INSERT INTO `sys_job_log` VALUES (5133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 11:23:04');
INSERT INTO `sys_job_log` VALUES (5134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:23:09');
INSERT INTO `sys_job_log` VALUES (5135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:23:14');
INSERT INTO `sys_job_log` VALUES (5136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:23:14');
INSERT INTO `sys_job_log` VALUES (5137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:23:19');
INSERT INTO `sys_job_log` VALUES (5138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:23:24');
INSERT INTO `sys_job_log` VALUES (5139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:23:29');
INSERT INTO `sys_job_log` VALUES (5140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:23:29');
INSERT INTO `sys_job_log` VALUES (5141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:23:34');
INSERT INTO `sys_job_log` VALUES (5142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:23:39');
INSERT INTO `sys_job_log` VALUES (5143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 11:23:44');
INSERT INTO `sys_job_log` VALUES (5144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:23:44');
INSERT INTO `sys_job_log` VALUES (5145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:23:49');
INSERT INTO `sys_job_log` VALUES (5146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:23:54');
INSERT INTO `sys_job_log` VALUES (5147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 11:23:59');
INSERT INTO `sys_job_log` VALUES (5148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 11:23:59');
INSERT INTO `sys_job_log` VALUES (5149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:24:04');
INSERT INTO `sys_job_log` VALUES (5150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:24:09');
INSERT INTO `sys_job_log` VALUES (5151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:24:14');
INSERT INTO `sys_job_log` VALUES (5152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:24:14');
INSERT INTO `sys_job_log` VALUES (5153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:24:19');
INSERT INTO `sys_job_log` VALUES (5154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:24:24');
INSERT INTO `sys_job_log` VALUES (5155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:24:29');
INSERT INTO `sys_job_log` VALUES (5156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:24:29');
INSERT INTO `sys_job_log` VALUES (5157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:24:34');
INSERT INTO `sys_job_log` VALUES (5158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:24:39');
INSERT INTO `sys_job_log` VALUES (5159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:24:44');
INSERT INTO `sys_job_log` VALUES (5160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 11:24:44');
INSERT INTO `sys_job_log` VALUES (5161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:24:49');
INSERT INTO `sys_job_log` VALUES (5162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:24:54');
INSERT INTO `sys_job_log` VALUES (5163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:24:59');
INSERT INTO `sys_job_log` VALUES (5164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:24:59');
INSERT INTO `sys_job_log` VALUES (5165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:25:04');
INSERT INTO `sys_job_log` VALUES (5166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:25:09');
INSERT INTO `sys_job_log` VALUES (5167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:25:14');
INSERT INTO `sys_job_log` VALUES (5168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:25:14');
INSERT INTO `sys_job_log` VALUES (5169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:25:19');
INSERT INTO `sys_job_log` VALUES (5170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:25:24');
INSERT INTO `sys_job_log` VALUES (5171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:25:29');
INSERT INTO `sys_job_log` VALUES (5172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:25:29');
INSERT INTO `sys_job_log` VALUES (5173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:25:34');
INSERT INTO `sys_job_log` VALUES (5174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:25:39');
INSERT INTO `sys_job_log` VALUES (5175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:25:44');
INSERT INTO `sys_job_log` VALUES (5176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:25:44');
INSERT INTO `sys_job_log` VALUES (5177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:25:49');
INSERT INTO `sys_job_log` VALUES (5178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:25:54');
INSERT INTO `sys_job_log` VALUES (5179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:25:59');
INSERT INTO `sys_job_log` VALUES (5180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:25:59');
INSERT INTO `sys_job_log` VALUES (5181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:26:04');
INSERT INTO `sys_job_log` VALUES (5182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:26:09');
INSERT INTO `sys_job_log` VALUES (5183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:26:14');
INSERT INTO `sys_job_log` VALUES (5184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:26:14');
INSERT INTO `sys_job_log` VALUES (5185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:26:19');
INSERT INTO `sys_job_log` VALUES (5186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:26:24');
INSERT INTO `sys_job_log` VALUES (5187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:26:29');
INSERT INTO `sys_job_log` VALUES (5188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 11:26:29');
INSERT INTO `sys_job_log` VALUES (5189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:26:34');
INSERT INTO `sys_job_log` VALUES (5190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:26:39');
INSERT INTO `sys_job_log` VALUES (5191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 11:26:44');
INSERT INTO `sys_job_log` VALUES (5192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:26:44');
INSERT INTO `sys_job_log` VALUES (5193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:26:49');
INSERT INTO `sys_job_log` VALUES (5194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:26:54');
INSERT INTO `sys_job_log` VALUES (5195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：570毫秒', '0', '', '2024-12-24 11:27:00');
INSERT INTO `sys_job_log` VALUES (5196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：570毫秒', '0', '', '2024-12-24 11:27:00');
INSERT INTO `sys_job_log` VALUES (5197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:27:04');
INSERT INTO `sys_job_log` VALUES (5198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:27:09');
INSERT INTO `sys_job_log` VALUES (5199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:27:14');
INSERT INTO `sys_job_log` VALUES (5200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 11:27:14');
INSERT INTO `sys_job_log` VALUES (5201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:27:19');
INSERT INTO `sys_job_log` VALUES (5202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:27:24');
INSERT INTO `sys_job_log` VALUES (5203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:27:29');
INSERT INTO `sys_job_log` VALUES (5204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:27:29');
INSERT INTO `sys_job_log` VALUES (5205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:27:34');
INSERT INTO `sys_job_log` VALUES (5206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 11:27:39');
INSERT INTO `sys_job_log` VALUES (5207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:27:44');
INSERT INTO `sys_job_log` VALUES (5208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:27:44');
INSERT INTO `sys_job_log` VALUES (5209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:27:49');
INSERT INTO `sys_job_log` VALUES (5210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:27:54');
INSERT INTO `sys_job_log` VALUES (5211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:27:59');
INSERT INTO `sys_job_log` VALUES (5212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:27:59');
INSERT INTO `sys_job_log` VALUES (5213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:28:04');
INSERT INTO `sys_job_log` VALUES (5214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:28:09');
INSERT INTO `sys_job_log` VALUES (5215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:28:14');
INSERT INTO `sys_job_log` VALUES (5216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 11:28:14');
INSERT INTO `sys_job_log` VALUES (5217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:28:19');
INSERT INTO `sys_job_log` VALUES (5218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:28:24');
INSERT INTO `sys_job_log` VALUES (5219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:28:29');
INSERT INTO `sys_job_log` VALUES (5220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:28:29');
INSERT INTO `sys_job_log` VALUES (5221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 11:28:34');
INSERT INTO `sys_job_log` VALUES (5222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:28:39');
INSERT INTO `sys_job_log` VALUES (5223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:28:44');
INSERT INTO `sys_job_log` VALUES (5224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:28:44');
INSERT INTO `sys_job_log` VALUES (5225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:28:49');
INSERT INTO `sys_job_log` VALUES (5226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:28:54');
INSERT INTO `sys_job_log` VALUES (5227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:28:59');
INSERT INTO `sys_job_log` VALUES (5228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 11:28:59');
INSERT INTO `sys_job_log` VALUES (5229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:29:04');
INSERT INTO `sys_job_log` VALUES (5230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:29:09');
INSERT INTO `sys_job_log` VALUES (5231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:29:14');
INSERT INTO `sys_job_log` VALUES (5232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 11:29:14');
INSERT INTO `sys_job_log` VALUES (5233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:29:19');
INSERT INTO `sys_job_log` VALUES (5234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:29:24');
INSERT INTO `sys_job_log` VALUES (5235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:29:29');
INSERT INTO `sys_job_log` VALUES (5236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:29:29');
INSERT INTO `sys_job_log` VALUES (5237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:29:34');
INSERT INTO `sys_job_log` VALUES (5238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:29:39');
INSERT INTO `sys_job_log` VALUES (5239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:29:44');
INSERT INTO `sys_job_log` VALUES (5240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 11:29:44');
INSERT INTO `sys_job_log` VALUES (5241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:29:49');
INSERT INTO `sys_job_log` VALUES (5242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:29:54');
INSERT INTO `sys_job_log` VALUES (5243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:29:59');
INSERT INTO `sys_job_log` VALUES (5244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 11:29:59');
INSERT INTO `sys_job_log` VALUES (5245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:30:04');
INSERT INTO `sys_job_log` VALUES (5246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:30:09');
INSERT INTO `sys_job_log` VALUES (5247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 11:30:14');
INSERT INTO `sys_job_log` VALUES (5248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:30:14');
INSERT INTO `sys_job_log` VALUES (5249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:30:19');
INSERT INTO `sys_job_log` VALUES (5250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:30:24');
INSERT INTO `sys_job_log` VALUES (5251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:30:29');
INSERT INTO `sys_job_log` VALUES (5252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:30:29');
INSERT INTO `sys_job_log` VALUES (5253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:30:34');
INSERT INTO `sys_job_log` VALUES (5254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:30:39');
INSERT INTO `sys_job_log` VALUES (5255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:30:44');
INSERT INTO `sys_job_log` VALUES (5256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:30:44');
INSERT INTO `sys_job_log` VALUES (5257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:30:49');
INSERT INTO `sys_job_log` VALUES (5258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:30:54');
INSERT INTO `sys_job_log` VALUES (5259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:30:59');
INSERT INTO `sys_job_log` VALUES (5260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 11:30:59');
INSERT INTO `sys_job_log` VALUES (5261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:31:04');
INSERT INTO `sys_job_log` VALUES (5262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:31:09');
INSERT INTO `sys_job_log` VALUES (5263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:31:14');
INSERT INTO `sys_job_log` VALUES (5264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:31:14');
INSERT INTO `sys_job_log` VALUES (5265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:31:19');
INSERT INTO `sys_job_log` VALUES (5266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:31:24');
INSERT INTO `sys_job_log` VALUES (5267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:31:29');
INSERT INTO `sys_job_log` VALUES (5268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:31:29');
INSERT INTO `sys_job_log` VALUES (5269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:31:34');
INSERT INTO `sys_job_log` VALUES (5270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:31:39');
INSERT INTO `sys_job_log` VALUES (5271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 11:31:44');
INSERT INTO `sys_job_log` VALUES (5272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-24 11:31:44');
INSERT INTO `sys_job_log` VALUES (5273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:31:49');
INSERT INTO `sys_job_log` VALUES (5274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:31:54');
INSERT INTO `sys_job_log` VALUES (5275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:31:59');
INSERT INTO `sys_job_log` VALUES (5276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:31:59');
INSERT INTO `sys_job_log` VALUES (5277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:32:04');
INSERT INTO `sys_job_log` VALUES (5278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:32:09');
INSERT INTO `sys_job_log` VALUES (5279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:32:14');
INSERT INTO `sys_job_log` VALUES (5280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:32:14');
INSERT INTO `sys_job_log` VALUES (5281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:32:19');
INSERT INTO `sys_job_log` VALUES (5282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:32:24');
INSERT INTO `sys_job_log` VALUES (5283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:32:29');
INSERT INTO `sys_job_log` VALUES (5284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 11:32:29');
INSERT INTO `sys_job_log` VALUES (5285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:32:34');
INSERT INTO `sys_job_log` VALUES (5286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:32:39');
INSERT INTO `sys_job_log` VALUES (5287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:32:44');
INSERT INTO `sys_job_log` VALUES (5288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 11:32:44');
INSERT INTO `sys_job_log` VALUES (5289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:32:49');
INSERT INTO `sys_job_log` VALUES (5290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:32:54');
INSERT INTO `sys_job_log` VALUES (5291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 11:32:59');
INSERT INTO `sys_job_log` VALUES (5292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 11:32:59');
INSERT INTO `sys_job_log` VALUES (5293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:33:04');
INSERT INTO `sys_job_log` VALUES (5294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:33:09');
INSERT INTO `sys_job_log` VALUES (5295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:33:14');
INSERT INTO `sys_job_log` VALUES (5296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:33:14');
INSERT INTO `sys_job_log` VALUES (5297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:33:19');
INSERT INTO `sys_job_log` VALUES (5298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:33:24');
INSERT INTO `sys_job_log` VALUES (5299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:33:29');
INSERT INTO `sys_job_log` VALUES (5300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:33:29');
INSERT INTO `sys_job_log` VALUES (5301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:33:34');
INSERT INTO `sys_job_log` VALUES (5302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:33:39');
INSERT INTO `sys_job_log` VALUES (5303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:33:44');
INSERT INTO `sys_job_log` VALUES (5304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:33:44');
INSERT INTO `sys_job_log` VALUES (5305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:33:49');
INSERT INTO `sys_job_log` VALUES (5306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:33:54');
INSERT INTO `sys_job_log` VALUES (5307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:33:59');
INSERT INTO `sys_job_log` VALUES (5308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 11:33:59');
INSERT INTO `sys_job_log` VALUES (5309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:34:04');
INSERT INTO `sys_job_log` VALUES (5310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:34:09');
INSERT INTO `sys_job_log` VALUES (5311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:34:14');
INSERT INTO `sys_job_log` VALUES (5312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 11:34:14');
INSERT INTO `sys_job_log` VALUES (5313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:34:19');
INSERT INTO `sys_job_log` VALUES (5314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:34:24');
INSERT INTO `sys_job_log` VALUES (5315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:34:29');
INSERT INTO `sys_job_log` VALUES (5316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:34:29');
INSERT INTO `sys_job_log` VALUES (5317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:34:34');
INSERT INTO `sys_job_log` VALUES (5318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:34:39');
INSERT INTO `sys_job_log` VALUES (5319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 11:34:44');
INSERT INTO `sys_job_log` VALUES (5320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:34:44');
INSERT INTO `sys_job_log` VALUES (5321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:34:49');
INSERT INTO `sys_job_log` VALUES (5322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:34:54');
INSERT INTO `sys_job_log` VALUES (5323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:34:59');
INSERT INTO `sys_job_log` VALUES (5324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 11:34:59');
INSERT INTO `sys_job_log` VALUES (5325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:35:04');
INSERT INTO `sys_job_log` VALUES (5326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:35:09');
INSERT INTO `sys_job_log` VALUES (5327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 11:35:14');
INSERT INTO `sys_job_log` VALUES (5328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:35:14');
INSERT INTO `sys_job_log` VALUES (5329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:35:19');
INSERT INTO `sys_job_log` VALUES (5330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:35:21');
INSERT INTO `sys_job_log` VALUES (5331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 11:35:24');
INSERT INTO `sys_job_log` VALUES (5332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:35:26');
INSERT INTO `sys_job_log` VALUES (5333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:35:29');
INSERT INTO `sys_job_log` VALUES (5334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:35:29');
INSERT INTO `sys_job_log` VALUES (5335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 11:35:31');
INSERT INTO `sys_job_log` VALUES (5336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-24 11:35:31');
INSERT INTO `sys_job_log` VALUES (5337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:35:34');
INSERT INTO `sys_job_log` VALUES (5338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:35:36');
INSERT INTO `sys_job_log` VALUES (5339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:35:39');
INSERT INTO `sys_job_log` VALUES (5340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:35:41');
INSERT INTO `sys_job_log` VALUES (5341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:35:44');
INSERT INTO `sys_job_log` VALUES (5342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:35:44');
INSERT INTO `sys_job_log` VALUES (5343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:35:46');
INSERT INTO `sys_job_log` VALUES (5344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-24 11:35:46');
INSERT INTO `sys_job_log` VALUES (5345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 11:35:49');
INSERT INTO `sys_job_log` VALUES (5346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:35:51');
INSERT INTO `sys_job_log` VALUES (5347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:35:54');
INSERT INTO `sys_job_log` VALUES (5348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:35:56');
INSERT INTO `sys_job_log` VALUES (5349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:35:59');
INSERT INTO `sys_job_log` VALUES (5350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:35:59');
INSERT INTO `sys_job_log` VALUES (5351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:36:01');
INSERT INTO `sys_job_log` VALUES (5352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-24 11:36:01');
INSERT INTO `sys_job_log` VALUES (5353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:36:04');
INSERT INTO `sys_job_log` VALUES (5354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:06');
INSERT INTO `sys_job_log` VALUES (5355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:36:09');
INSERT INTO `sys_job_log` VALUES (5356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:11');
INSERT INTO `sys_job_log` VALUES (5357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:36:14');
INSERT INTO `sys_job_log` VALUES (5358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:36:14');
INSERT INTO `sys_job_log` VALUES (5359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:36:16');
INSERT INTO `sys_job_log` VALUES (5360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:36:16');
INSERT INTO `sys_job_log` VALUES (5361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:36:19');
INSERT INTO `sys_job_log` VALUES (5362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:21');
INSERT INTO `sys_job_log` VALUES (5363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:36:24');
INSERT INTO `sys_job_log` VALUES (5364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:36:26');
INSERT INTO `sys_job_log` VALUES (5365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:36:29');
INSERT INTO `sys_job_log` VALUES (5366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:36:29');
INSERT INTO `sys_job_log` VALUES (5367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:31');
INSERT INTO `sys_job_log` VALUES (5368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:31');
INSERT INTO `sys_job_log` VALUES (5369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:36:34');
INSERT INTO `sys_job_log` VALUES (5370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:36');
INSERT INTO `sys_job_log` VALUES (5371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:36:39');
INSERT INTO `sys_job_log` VALUES (5372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:36:41');
INSERT INTO `sys_job_log` VALUES (5373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:36:44');
INSERT INTO `sys_job_log` VALUES (5374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 11:36:44');
INSERT INTO `sys_job_log` VALUES (5375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:36:46');
INSERT INTO `sys_job_log` VALUES (5376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:36:46');
INSERT INTO `sys_job_log` VALUES (5377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:36:49');
INSERT INTO `sys_job_log` VALUES (5378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:36:51');
INSERT INTO `sys_job_log` VALUES (5379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:36:54');
INSERT INTO `sys_job_log` VALUES (5380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:36:56');
INSERT INTO `sys_job_log` VALUES (5381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:36:59');
INSERT INTO `sys_job_log` VALUES (5382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:36:59');
INSERT INTO `sys_job_log` VALUES (5383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:37:01');
INSERT INTO `sys_job_log` VALUES (5384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:37:01');
INSERT INTO `sys_job_log` VALUES (5385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:37:04');
INSERT INTO `sys_job_log` VALUES (5386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:37:06');
INSERT INTO `sys_job_log` VALUES (5387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:37:09');
INSERT INTO `sys_job_log` VALUES (5388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:37:11');
INSERT INTO `sys_job_log` VALUES (5389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 11:37:14');
INSERT INTO `sys_job_log` VALUES (5390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2024-12-24 11:37:14');
INSERT INTO `sys_job_log` VALUES (5391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:37:16');
INSERT INTO `sys_job_log` VALUES (5392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:37:16');
INSERT INTO `sys_job_log` VALUES (5393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:37:19');
INSERT INTO `sys_job_log` VALUES (5394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:37:21');
INSERT INTO `sys_job_log` VALUES (5395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:37:24');
INSERT INTO `sys_job_log` VALUES (5396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:37:26');
INSERT INTO `sys_job_log` VALUES (5397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:37:29');
INSERT INTO `sys_job_log` VALUES (5398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 11:37:29');
INSERT INTO `sys_job_log` VALUES (5399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:37:31');
INSERT INTO `sys_job_log` VALUES (5400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-24 11:37:31');
INSERT INTO `sys_job_log` VALUES (5401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:37:34');
INSERT INTO `sys_job_log` VALUES (5402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:37:36');
INSERT INTO `sys_job_log` VALUES (5403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:37:39');
INSERT INTO `sys_job_log` VALUES (5404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:37:41');
INSERT INTO `sys_job_log` VALUES (5405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:37:44');
INSERT INTO `sys_job_log` VALUES (5406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:37:44');
INSERT INTO `sys_job_log` VALUES (5407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:37:46');
INSERT INTO `sys_job_log` VALUES (5408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:37:46');
INSERT INTO `sys_job_log` VALUES (5409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:37:49');
INSERT INTO `sys_job_log` VALUES (5410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:37:51');
INSERT INTO `sys_job_log` VALUES (5411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:37:54');
INSERT INTO `sys_job_log` VALUES (5412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:37:56');
INSERT INTO `sys_job_log` VALUES (5413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:37:59');
INSERT INTO `sys_job_log` VALUES (5414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 11:37:59');
INSERT INTO `sys_job_log` VALUES (5415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:38:01');
INSERT INTO `sys_job_log` VALUES (5416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:38:01');
INSERT INTO `sys_job_log` VALUES (5417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:38:04');
INSERT INTO `sys_job_log` VALUES (5418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:38:06');
INSERT INTO `sys_job_log` VALUES (5419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:38:09');
INSERT INTO `sys_job_log` VALUES (5420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:38:11');
INSERT INTO `sys_job_log` VALUES (5421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:38:14');
INSERT INTO `sys_job_log` VALUES (5422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:38:14');
INSERT INTO `sys_job_log` VALUES (5423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-24 11:38:16');
INSERT INTO `sys_job_log` VALUES (5424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:38:16');
INSERT INTO `sys_job_log` VALUES (5425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:38:19');
INSERT INTO `sys_job_log` VALUES (5426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:38:21');
INSERT INTO `sys_job_log` VALUES (5427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:38:24');
INSERT INTO `sys_job_log` VALUES (5428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:38:26');
INSERT INTO `sys_job_log` VALUES (5429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:38:29');
INSERT INTO `sys_job_log` VALUES (5430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:38:29');
INSERT INTO `sys_job_log` VALUES (5431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:38:31');
INSERT INTO `sys_job_log` VALUES (5432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:38:31');
INSERT INTO `sys_job_log` VALUES (5433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:38:34');
INSERT INTO `sys_job_log` VALUES (5434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:38:36');
INSERT INTO `sys_job_log` VALUES (5435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:38:39');
INSERT INTO `sys_job_log` VALUES (5436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:38:41');
INSERT INTO `sys_job_log` VALUES (5437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:38:44');
INSERT INTO `sys_job_log` VALUES (5438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:38:44');
INSERT INTO `sys_job_log` VALUES (5439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-24 11:38:46');
INSERT INTO `sys_job_log` VALUES (5440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:38:46');
INSERT INTO `sys_job_log` VALUES (5441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:38:49');
INSERT INTO `sys_job_log` VALUES (5442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:38:51');
INSERT INTO `sys_job_log` VALUES (5443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:38:54');
INSERT INTO `sys_job_log` VALUES (5444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:38:56');
INSERT INTO `sys_job_log` VALUES (5445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:38:59');
INSERT INTO `sys_job_log` VALUES (5446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 11:38:59');
INSERT INTO `sys_job_log` VALUES (5447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2024-12-24 11:39:01');
INSERT INTO `sys_job_log` VALUES (5448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:39:01');
INSERT INTO `sys_job_log` VALUES (5449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:39:04');
INSERT INTO `sys_job_log` VALUES (5450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:39:06');
INSERT INTO `sys_job_log` VALUES (5451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:39:09');
INSERT INTO `sys_job_log` VALUES (5452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:39:11');
INSERT INTO `sys_job_log` VALUES (5453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:39:14');
INSERT INTO `sys_job_log` VALUES (5454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:39:14');
INSERT INTO `sys_job_log` VALUES (5455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-24 11:39:16');
INSERT INTO `sys_job_log` VALUES (5456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:39:16');
INSERT INTO `sys_job_log` VALUES (5457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:39:19');
INSERT INTO `sys_job_log` VALUES (5458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 11:39:21');
INSERT INTO `sys_job_log` VALUES (5459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:39:24');
INSERT INTO `sys_job_log` VALUES (5460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:39:26');
INSERT INTO `sys_job_log` VALUES (5461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:39:29');
INSERT INTO `sys_job_log` VALUES (5462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 11:39:29');
INSERT INTO `sys_job_log` VALUES (5463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-24 11:39:31');
INSERT INTO `sys_job_log` VALUES (5464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:39:31');
INSERT INTO `sys_job_log` VALUES (5465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:39:34');
INSERT INTO `sys_job_log` VALUES (5466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:39:36');
INSERT INTO `sys_job_log` VALUES (5467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:39:39');
INSERT INTO `sys_job_log` VALUES (5468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:39:41');
INSERT INTO `sys_job_log` VALUES (5469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:39:44');
INSERT INTO `sys_job_log` VALUES (5470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 11:39:44');
INSERT INTO `sys_job_log` VALUES (5471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 11:39:46');
INSERT INTO `sys_job_log` VALUES (5472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-24 11:39:46');
INSERT INTO `sys_job_log` VALUES (5473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:39:49');
INSERT INTO `sys_job_log` VALUES (5474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:39:51');
INSERT INTO `sys_job_log` VALUES (5475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:39:54');
INSERT INTO `sys_job_log` VALUES (5476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:39:56');
INSERT INTO `sys_job_log` VALUES (5477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:39:59');
INSERT INTO `sys_job_log` VALUES (5478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:39:59');
INSERT INTO `sys_job_log` VALUES (5479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:40:01');
INSERT INTO `sys_job_log` VALUES (5480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:40:01');
INSERT INTO `sys_job_log` VALUES (5481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:40:04');
INSERT INTO `sys_job_log` VALUES (5482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:06');
INSERT INTO `sys_job_log` VALUES (5483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:40:09');
INSERT INTO `sys_job_log` VALUES (5484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:40:11');
INSERT INTO `sys_job_log` VALUES (5485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:40:14');
INSERT INTO `sys_job_log` VALUES (5486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:40:14');
INSERT INTO `sys_job_log` VALUES (5487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:16');
INSERT INTO `sys_job_log` VALUES (5488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:16');
INSERT INTO `sys_job_log` VALUES (5489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:40:19');
INSERT INTO `sys_job_log` VALUES (5490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 11:40:21');
INSERT INTO `sys_job_log` VALUES (5491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:40:24');
INSERT INTO `sys_job_log` VALUES (5492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:40:26');
INSERT INTO `sys_job_log` VALUES (5493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:40:29');
INSERT INTO `sys_job_log` VALUES (5494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 11:40:29');
INSERT INTO `sys_job_log` VALUES (5495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:31');
INSERT INTO `sys_job_log` VALUES (5496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:31');
INSERT INTO `sys_job_log` VALUES (5497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:40:34');
INSERT INTO `sys_job_log` VALUES (5498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:36');
INSERT INTO `sys_job_log` VALUES (5499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:40:39');
INSERT INTO `sys_job_log` VALUES (5500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:41');
INSERT INTO `sys_job_log` VALUES (5501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:40:44');
INSERT INTO `sys_job_log` VALUES (5502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 11:40:44');
INSERT INTO `sys_job_log` VALUES (5503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:40:46');
INSERT INTO `sys_job_log` VALUES (5504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:40:46');
INSERT INTO `sys_job_log` VALUES (5505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:40:49');
INSERT INTO `sys_job_log` VALUES (5506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:40:51');
INSERT INTO `sys_job_log` VALUES (5507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:40:54');
INSERT INTO `sys_job_log` VALUES (5508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:40:56');
INSERT INTO `sys_job_log` VALUES (5509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:40:59');
INSERT INTO `sys_job_log` VALUES (5510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 11:40:59');
INSERT INTO `sys_job_log` VALUES (5511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:41:01');
INSERT INTO `sys_job_log` VALUES (5512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2024-12-24 11:41:01');
INSERT INTO `sys_job_log` VALUES (5513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:41:04');
INSERT INTO `sys_job_log` VALUES (5514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:41:06');
INSERT INTO `sys_job_log` VALUES (5515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:41:09');
INSERT INTO `sys_job_log` VALUES (5516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:41:11');
INSERT INTO `sys_job_log` VALUES (5517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 11:41:14');
INSERT INTO `sys_job_log` VALUES (5518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:41:14');
INSERT INTO `sys_job_log` VALUES (5519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:41:16');
INSERT INTO `sys_job_log` VALUES (5520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-24 11:41:16');
INSERT INTO `sys_job_log` VALUES (5521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:41:19');
INSERT INTO `sys_job_log` VALUES (5522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:41:21');
INSERT INTO `sys_job_log` VALUES (5523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 11:41:24');
INSERT INTO `sys_job_log` VALUES (5524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:41:26');
INSERT INTO `sys_job_log` VALUES (5525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:41:29');
INSERT INTO `sys_job_log` VALUES (5526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:41:29');
INSERT INTO `sys_job_log` VALUES (5527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:41:31');
INSERT INTO `sys_job_log` VALUES (5528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:41:31');
INSERT INTO `sys_job_log` VALUES (5529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:41:34');
INSERT INTO `sys_job_log` VALUES (5530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:41:36');
INSERT INTO `sys_job_log` VALUES (5531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:41:39');
INSERT INTO `sys_job_log` VALUES (5532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:41:41');
INSERT INTO `sys_job_log` VALUES (5533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:41:44');
INSERT INTO `sys_job_log` VALUES (5534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:41:44');
INSERT INTO `sys_job_log` VALUES (5535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:41:46');
INSERT INTO `sys_job_log` VALUES (5536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:41:46');
INSERT INTO `sys_job_log` VALUES (5537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:41:49');
INSERT INTO `sys_job_log` VALUES (5538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:41:51');
INSERT INTO `sys_job_log` VALUES (5539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:41:54');
INSERT INTO `sys_job_log` VALUES (5540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 11:41:56');
INSERT INTO `sys_job_log` VALUES (5541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:41:59');
INSERT INTO `sys_job_log` VALUES (5542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 11:41:59');
INSERT INTO `sys_job_log` VALUES (5543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-24 11:42:01');
INSERT INTO `sys_job_log` VALUES (5544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:42:01');
INSERT INTO `sys_job_log` VALUES (5545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:42:04');
INSERT INTO `sys_job_log` VALUES (5546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 11:42:06');
INSERT INTO `sys_job_log` VALUES (5547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:42:09');
INSERT INTO `sys_job_log` VALUES (5548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:42:11');
INSERT INTO `sys_job_log` VALUES (5549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 11:42:14');
INSERT INTO `sys_job_log` VALUES (5550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:42:14');
INSERT INTO `sys_job_log` VALUES (5551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:42:16');
INSERT INTO `sys_job_log` VALUES (5552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:42:16');
INSERT INTO `sys_job_log` VALUES (5553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:42:19');
INSERT INTO `sys_job_log` VALUES (5554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:42:21');
INSERT INTO `sys_job_log` VALUES (5555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:42:24');
INSERT INTO `sys_job_log` VALUES (5556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:42:26');
INSERT INTO `sys_job_log` VALUES (5557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:42:29');
INSERT INTO `sys_job_log` VALUES (5558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:42:29');
INSERT INTO `sys_job_log` VALUES (5559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-24 11:42:31');
INSERT INTO `sys_job_log` VALUES (5560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:42:31');
INSERT INTO `sys_job_log` VALUES (5561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:42:34');
INSERT INTO `sys_job_log` VALUES (5562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:42:36');
INSERT INTO `sys_job_log` VALUES (5563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:42:39');
INSERT INTO `sys_job_log` VALUES (5564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:42:41');
INSERT INTO `sys_job_log` VALUES (5565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:42:44');
INSERT INTO `sys_job_log` VALUES (5566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 11:42:44');
INSERT INTO `sys_job_log` VALUES (5567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:42:46');
INSERT INTO `sys_job_log` VALUES (5568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-24 11:42:46');
INSERT INTO `sys_job_log` VALUES (5569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:42:49');
INSERT INTO `sys_job_log` VALUES (5570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:42:51');
INSERT INTO `sys_job_log` VALUES (5571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:42:54');
INSERT INTO `sys_job_log` VALUES (5572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:42:56');
INSERT INTO `sys_job_log` VALUES (5573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 11:42:59');
INSERT INTO `sys_job_log` VALUES (5574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:42:59');
INSERT INTO `sys_job_log` VALUES (5575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:01');
INSERT INTO `sys_job_log` VALUES (5576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:01');
INSERT INTO `sys_job_log` VALUES (5577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:43:04');
INSERT INTO `sys_job_log` VALUES (5578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 11:43:06');
INSERT INTO `sys_job_log` VALUES (5579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:43:09');
INSERT INTO `sys_job_log` VALUES (5580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:43:11');
INSERT INTO `sys_job_log` VALUES (5581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:43:14');
INSERT INTO `sys_job_log` VALUES (5582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:43:14');
INSERT INTO `sys_job_log` VALUES (5583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:16');
INSERT INTO `sys_job_log` VALUES (5584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:16');
INSERT INTO `sys_job_log` VALUES (5585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:43:19');
INSERT INTO `sys_job_log` VALUES (5586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 11:43:21');
INSERT INTO `sys_job_log` VALUES (5587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:43:24');
INSERT INTO `sys_job_log` VALUES (5588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 11:43:26');
INSERT INTO `sys_job_log` VALUES (5589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 11:43:29');
INSERT INTO `sys_job_log` VALUES (5590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 11:43:29');
INSERT INTO `sys_job_log` VALUES (5591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:31');
INSERT INTO `sys_job_log` VALUES (5592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:31');
INSERT INTO `sys_job_log` VALUES (5593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:43:34');
INSERT INTO `sys_job_log` VALUES (5594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:43:36');
INSERT INTO `sys_job_log` VALUES (5595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:43:39');
INSERT INTO `sys_job_log` VALUES (5596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:43:41');
INSERT INTO `sys_job_log` VALUES (5597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:43:44');
INSERT INTO `sys_job_log` VALUES (5598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 11:43:44');
INSERT INTO `sys_job_log` VALUES (5599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:46');
INSERT INTO `sys_job_log` VALUES (5600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 11:43:46');
INSERT INTO `sys_job_log` VALUES (5601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 11:43:49');
INSERT INTO `sys_job_log` VALUES (5602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 11:43:51');
INSERT INTO `sys_job_log` VALUES (5603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:43:54');
INSERT INTO `sys_job_log` VALUES (5604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 11:43:56');
INSERT INTO `sys_job_log` VALUES (5605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 11:43:59');
INSERT INTO `sys_job_log` VALUES (5606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:43:59');
INSERT INTO `sys_job_log` VALUES (5607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:44:04');
INSERT INTO `sys_job_log` VALUES (5608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:44:09');
INSERT INTO `sys_job_log` VALUES (5609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:44:14');
INSERT INTO `sys_job_log` VALUES (5610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:44:14');
INSERT INTO `sys_job_log` VALUES (5611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:44:19');
INSERT INTO `sys_job_log` VALUES (5612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 11:44:24');
INSERT INTO `sys_job_log` VALUES (5613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 11:44:28');
INSERT INTO `sys_job_log` VALUES (5614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:44:29');
INSERT INTO `sys_job_log` VALUES (5615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:44:29');
INSERT INTO `sys_job_log` VALUES (5616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 11:44:31');
INSERT INTO `sys_job_log` VALUES (5617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22毫秒', '0', '', '2024-12-24 11:44:31');
INSERT INTO `sys_job_log` VALUES (5618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:44:34');
INSERT INTO `sys_job_log` VALUES (5619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 11:44:36');
INSERT INTO `sys_job_log` VALUES (5620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:44:39');
INSERT INTO `sys_job_log` VALUES (5621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 11:44:41');
INSERT INTO `sys_job_log` VALUES (5622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:44:44');
INSERT INTO `sys_job_log` VALUES (5623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:44:44');
INSERT INTO `sys_job_log` VALUES (5624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 11:44:46');
INSERT INTO `sys_job_log` VALUES (5625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 11:44:46');
INSERT INTO `sys_job_log` VALUES (5626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:44:49');
INSERT INTO `sys_job_log` VALUES (5627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:44:51');
INSERT INTO `sys_job_log` VALUES (5628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:44:54');
INSERT INTO `sys_job_log` VALUES (5629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 11:44:56');
INSERT INTO `sys_job_log` VALUES (5630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 11:44:59');
INSERT INTO `sys_job_log` VALUES (5631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 11:44:59');
INSERT INTO `sys_job_log` VALUES (5632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22毫秒', '0', '', '2024-12-24 11:45:01');
INSERT INTO `sys_job_log` VALUES (5633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 11:45:01');
INSERT INTO `sys_job_log` VALUES (5634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:45:04');
INSERT INTO `sys_job_log` VALUES (5635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 11:45:06');
INSERT INTO `sys_job_log` VALUES (5636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:45:09');
INSERT INTO `sys_job_log` VALUES (5637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 11:45:11');
INSERT INTO `sys_job_log` VALUES (5638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:45:14');
INSERT INTO `sys_job_log` VALUES (5639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 11:45:14');
INSERT INTO `sys_job_log` VALUES (5640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 11:45:16');
INSERT INTO `sys_job_log` VALUES (5641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25毫秒', '0', '', '2024-12-24 11:45:16');
INSERT INTO `sys_job_log` VALUES (5642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:45:19');
INSERT INTO `sys_job_log` VALUES (5643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:45:21');
INSERT INTO `sys_job_log` VALUES (5644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:45:24');
INSERT INTO `sys_job_log` VALUES (5645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 11:45:26');
INSERT INTO `sys_job_log` VALUES (5646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:45:29');
INSERT INTO `sys_job_log` VALUES (5647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:45:29');
INSERT INTO `sys_job_log` VALUES (5648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 11:45:31');
INSERT INTO `sys_job_log` VALUES (5649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 11:45:31');
INSERT INTO `sys_job_log` VALUES (5650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:45:34');
INSERT INTO `sys_job_log` VALUES (5651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 11:45:36');
INSERT INTO `sys_job_log` VALUES (5652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:45:39');
INSERT INTO `sys_job_log` VALUES (5653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 11:45:41');
INSERT INTO `sys_job_log` VALUES (5654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:45:44');
INSERT INTO `sys_job_log` VALUES (5655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:45:44');
INSERT INTO `sys_job_log` VALUES (5656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:45:49');
INSERT INTO `sys_job_log` VALUES (5657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：311毫秒', '0', '', '2024-12-24 11:45:54');
INSERT INTO `sys_job_log` VALUES (5658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:45:54');
INSERT INTO `sys_job_log` VALUES (5659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 11:45:56');
INSERT INTO `sys_job_log` VALUES (5660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 11:45:59');
INSERT INTO `sys_job_log` VALUES (5661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-24 11:45:59');
INSERT INTO `sys_job_log` VALUES (5662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:01');
INSERT INTO `sys_job_log` VALUES (5663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：180毫秒', '0', '', '2024-12-24 11:46:01');
INSERT INTO `sys_job_log` VALUES (5664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:46:04');
INSERT INTO `sys_job_log` VALUES (5665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:46:06');
INSERT INTO `sys_job_log` VALUES (5666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:09');
INSERT INTO `sys_job_log` VALUES (5667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:11');
INSERT INTO `sys_job_log` VALUES (5668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 11:46:14');
INSERT INTO `sys_job_log` VALUES (5669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:14');
INSERT INTO `sys_job_log` VALUES (5670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:46:16');
INSERT INTO `sys_job_log` VALUES (5671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：268毫秒', '0', '', '2024-12-24 11:46:16');
INSERT INTO `sys_job_log` VALUES (5672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:46:19');
INSERT INTO `sys_job_log` VALUES (5673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:21');
INSERT INTO `sys_job_log` VALUES (5674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:46:24');
INSERT INTO `sys_job_log` VALUES (5675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:26');
INSERT INTO `sys_job_log` VALUES (5676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:46:29');
INSERT INTO `sys_job_log` VALUES (5677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:46:29');
INSERT INTO `sys_job_log` VALUES (5678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 11:46:31');
INSERT INTO `sys_job_log` VALUES (5679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：233毫秒', '0', '', '2024-12-24 11:46:31');
INSERT INTO `sys_job_log` VALUES (5680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:46:34');
INSERT INTO `sys_job_log` VALUES (5681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 11:46:36');
INSERT INTO `sys_job_log` VALUES (5682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 11:46:39');
INSERT INTO `sys_job_log` VALUES (5683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:41');
INSERT INTO `sys_job_log` VALUES (5684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 11:46:44');
INSERT INTO `sys_job_log` VALUES (5685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 11:46:44');
INSERT INTO `sys_job_log` VALUES (5686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:46:46');
INSERT INTO `sys_job_log` VALUES (5687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：199毫秒', '0', '', '2024-12-24 11:46:46');
INSERT INTO `sys_job_log` VALUES (5688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:46:49');
INSERT INTO `sys_job_log` VALUES (5689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:46:51');
INSERT INTO `sys_job_log` VALUES (5690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:46:54');
INSERT INTO `sys_job_log` VALUES (5691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:46:56');
INSERT INTO `sys_job_log` VALUES (5692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:46:59');
INSERT INTO `sys_job_log` VALUES (5693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:46:59');
INSERT INTO `sys_job_log` VALUES (5694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 11:47:01');
INSERT INTO `sys_job_log` VALUES (5695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：266毫秒', '0', '', '2024-12-24 11:47:01');
INSERT INTO `sys_job_log` VALUES (5696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:47:04');
INSERT INTO `sys_job_log` VALUES (5697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:47:06');
INSERT INTO `sys_job_log` VALUES (5698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:47:09');
INSERT INTO `sys_job_log` VALUES (5699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:47:11');
INSERT INTO `sys_job_log` VALUES (5700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:47:14');
INSERT INTO `sys_job_log` VALUES (5701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:47:14');
INSERT INTO `sys_job_log` VALUES (5702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:47:16');
INSERT INTO `sys_job_log` VALUES (5703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：247毫秒', '0', '', '2024-12-24 11:47:16');
INSERT INTO `sys_job_log` VALUES (5704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:47:19');
INSERT INTO `sys_job_log` VALUES (5705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:47:21');
INSERT INTO `sys_job_log` VALUES (5706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:47:24');
INSERT INTO `sys_job_log` VALUES (5707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 11:47:26');
INSERT INTO `sys_job_log` VALUES (5708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:47:29');
INSERT INTO `sys_job_log` VALUES (5709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:47:29');
INSERT INTO `sys_job_log` VALUES (5710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 11:47:31');
INSERT INTO `sys_job_log` VALUES (5711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：234毫秒', '0', '', '2024-12-24 11:47:31');
INSERT INTO `sys_job_log` VALUES (5712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:47:34');
INSERT INTO `sys_job_log` VALUES (5713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 11:47:36');
INSERT INTO `sys_job_log` VALUES (5714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:47:39');
INSERT INTO `sys_job_log` VALUES (5715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 11:47:41');
INSERT INTO `sys_job_log` VALUES (5716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:47:44');
INSERT INTO `sys_job_log` VALUES (5717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:47:44');
INSERT INTO `sys_job_log` VALUES (5718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:47:46');
INSERT INTO `sys_job_log` VALUES (5719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：181毫秒', '0', '', '2024-12-24 11:47:46');
INSERT INTO `sys_job_log` VALUES (5720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:47:49');
INSERT INTO `sys_job_log` VALUES (5721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:47:51');
INSERT INTO `sys_job_log` VALUES (5722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:47:54');
INSERT INTO `sys_job_log` VALUES (5723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:47:56');
INSERT INTO `sys_job_log` VALUES (5724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:47:59');
INSERT INTO `sys_job_log` VALUES (5725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:47:59');
INSERT INTO `sys_job_log` VALUES (5726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:48:01');
INSERT INTO `sys_job_log` VALUES (5727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：268毫秒', '0', '', '2024-12-24 11:48:01');
INSERT INTO `sys_job_log` VALUES (5728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:48:04');
INSERT INTO `sys_job_log` VALUES (5729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:48:09');
INSERT INTO `sys_job_log` VALUES (5730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 11:48:14');
INSERT INTO `sys_job_log` VALUES (5731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:48:14');
INSERT INTO `sys_job_log` VALUES (5732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:48:19');
INSERT INTO `sys_job_log` VALUES (5733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:48:24');
INSERT INTO `sys_job_log` VALUES (5734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:48:29');
INSERT INTO `sys_job_log` VALUES (5735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 11:48:29');
INSERT INTO `sys_job_log` VALUES (5736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:48:34');
INSERT INTO `sys_job_log` VALUES (5737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:48:39');
INSERT INTO `sys_job_log` VALUES (5738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:48:44');
INSERT INTO `sys_job_log` VALUES (5739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:48:44');
INSERT INTO `sys_job_log` VALUES (5740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:48:49');
INSERT INTO `sys_job_log` VALUES (5741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:48:54');
INSERT INTO `sys_job_log` VALUES (5742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:48:59');
INSERT INTO `sys_job_log` VALUES (5743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:48:59');
INSERT INTO `sys_job_log` VALUES (5744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:49:04');
INSERT INTO `sys_job_log` VALUES (5745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:49:09');
INSERT INTO `sys_job_log` VALUES (5746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:49:14');
INSERT INTO `sys_job_log` VALUES (5747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:49:14');
INSERT INTO `sys_job_log` VALUES (5748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:49:19');
INSERT INTO `sys_job_log` VALUES (5749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:49:24');
INSERT INTO `sys_job_log` VALUES (5750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:49:29');
INSERT INTO `sys_job_log` VALUES (5751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:49:29');
INSERT INTO `sys_job_log` VALUES (5752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:49:34');
INSERT INTO `sys_job_log` VALUES (5753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:49:39');
INSERT INTO `sys_job_log` VALUES (5754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:49:44');
INSERT INTO `sys_job_log` VALUES (5755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 11:49:44');
INSERT INTO `sys_job_log` VALUES (5756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 11:49:49');
INSERT INTO `sys_job_log` VALUES (5757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:49:54');
INSERT INTO `sys_job_log` VALUES (5758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:49:59');
INSERT INTO `sys_job_log` VALUES (5759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 11:49:59');
INSERT INTO `sys_job_log` VALUES (5760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 11:50:04');
INSERT INTO `sys_job_log` VALUES (5761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:50:09');
INSERT INTO `sys_job_log` VALUES (5762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 11:50:14');
INSERT INTO `sys_job_log` VALUES (5763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:50:14');
INSERT INTO `sys_job_log` VALUES (5764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:50:19');
INSERT INTO `sys_job_log` VALUES (5765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:50:24');
INSERT INTO `sys_job_log` VALUES (5766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:50:29');
INSERT INTO `sys_job_log` VALUES (5767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:50:29');
INSERT INTO `sys_job_log` VALUES (5768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:50:34');
INSERT INTO `sys_job_log` VALUES (5769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:50:39');
INSERT INTO `sys_job_log` VALUES (5770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:50:44');
INSERT INTO `sys_job_log` VALUES (5771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:50:44');
INSERT INTO `sys_job_log` VALUES (5772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:50:49');
INSERT INTO `sys_job_log` VALUES (5773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:50:54');
INSERT INTO `sys_job_log` VALUES (5774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:50:59');
INSERT INTO `sys_job_log` VALUES (5775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:50:59');
INSERT INTO `sys_job_log` VALUES (5776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:51:04');
INSERT INTO `sys_job_log` VALUES (5777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:51:09');
INSERT INTO `sys_job_log` VALUES (5778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:51:14');
INSERT INTO `sys_job_log` VALUES (5779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:51:14');
INSERT INTO `sys_job_log` VALUES (5780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:51:19');
INSERT INTO `sys_job_log` VALUES (5781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:51:24');
INSERT INTO `sys_job_log` VALUES (5782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:51:29');
INSERT INTO `sys_job_log` VALUES (5783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 11:51:29');
INSERT INTO `sys_job_log` VALUES (5784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:51:34');
INSERT INTO `sys_job_log` VALUES (5785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 11:51:39');
INSERT INTO `sys_job_log` VALUES (5786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 11:51:44');
INSERT INTO `sys_job_log` VALUES (5787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 11:51:44');
INSERT INTO `sys_job_log` VALUES (5788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:51:49');
INSERT INTO `sys_job_log` VALUES (5789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 11:51:54');
INSERT INTO `sys_job_log` VALUES (5790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:51:59');
INSERT INTO `sys_job_log` VALUES (5791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 11:51:59');
INSERT INTO `sys_job_log` VALUES (5792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:52:04');
INSERT INTO `sys_job_log` VALUES (5793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 11:52:09');
INSERT INTO `sys_job_log` VALUES (5794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:52:14');
INSERT INTO `sys_job_log` VALUES (5795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:52:14');
INSERT INTO `sys_job_log` VALUES (5796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 11:52:19');
INSERT INTO `sys_job_log` VALUES (5797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 11:52:24');
INSERT INTO `sys_job_log` VALUES (5798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 11:52:29');
INSERT INTO `sys_job_log` VALUES (5799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 11:52:29');
INSERT INTO `sys_job_log` VALUES (5800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:52:34');
INSERT INTO `sys_job_log` VALUES (5801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:52:39');
INSERT INTO `sys_job_log` VALUES (5802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 11:52:44');
INSERT INTO `sys_job_log` VALUES (5803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 11:52:44');
INSERT INTO `sys_job_log` VALUES (5804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:52:49');
INSERT INTO `sys_job_log` VALUES (5805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:52:54');
INSERT INTO `sys_job_log` VALUES (5806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:52:59');
INSERT INTO `sys_job_log` VALUES (5807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 11:52:59');
INSERT INTO `sys_job_log` VALUES (5808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:53:04');
INSERT INTO `sys_job_log` VALUES (5809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:53:09');
INSERT INTO `sys_job_log` VALUES (5810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:53:14');
INSERT INTO `sys_job_log` VALUES (5811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:53:14');
INSERT INTO `sys_job_log` VALUES (5812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:53:19');
INSERT INTO `sys_job_log` VALUES (5813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:53:24');
INSERT INTO `sys_job_log` VALUES (5814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:53:29');
INSERT INTO `sys_job_log` VALUES (5815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:53:29');
INSERT INTO `sys_job_log` VALUES (5816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:53:34');
INSERT INTO `sys_job_log` VALUES (5817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:53:39');
INSERT INTO `sys_job_log` VALUES (5818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:53:44');
INSERT INTO `sys_job_log` VALUES (5819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 11:53:44');
INSERT INTO `sys_job_log` VALUES (5820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:53:49');
INSERT INTO `sys_job_log` VALUES (5821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 11:53:54');
INSERT INTO `sys_job_log` VALUES (5822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:53:59');
INSERT INTO `sys_job_log` VALUES (5823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:53:59');
INSERT INTO `sys_job_log` VALUES (5824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:54:04');
INSERT INTO `sys_job_log` VALUES (5825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 11:54:09');
INSERT INTO `sys_job_log` VALUES (5826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:54:14');
INSERT INTO `sys_job_log` VALUES (5827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 11:54:14');
INSERT INTO `sys_job_log` VALUES (5828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:54:19');
INSERT INTO `sys_job_log` VALUES (5829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:54:24');
INSERT INTO `sys_job_log` VALUES (5830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:54:29');
INSERT INTO `sys_job_log` VALUES (5831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 11:54:29');
INSERT INTO `sys_job_log` VALUES (5832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:54:34');
INSERT INTO `sys_job_log` VALUES (5833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:54:39');
INSERT INTO `sys_job_log` VALUES (5834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 11:54:44');
INSERT INTO `sys_job_log` VALUES (5835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 11:54:44');
INSERT INTO `sys_job_log` VALUES (5836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:54:49');
INSERT INTO `sys_job_log` VALUES (5837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 11:54:54');
INSERT INTO `sys_job_log` VALUES (5838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:54:59');
INSERT INTO `sys_job_log` VALUES (5839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:54:59');
INSERT INTO `sys_job_log` VALUES (5840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:55:04');
INSERT INTO `sys_job_log` VALUES (5841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:55:09');
INSERT INTO `sys_job_log` VALUES (5842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 11:55:14');
INSERT INTO `sys_job_log` VALUES (5843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:55:14');
INSERT INTO `sys_job_log` VALUES (5844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:55:19');
INSERT INTO `sys_job_log` VALUES (5845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 11:55:24');
INSERT INTO `sys_job_log` VALUES (5846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 11:55:29');
INSERT INTO `sys_job_log` VALUES (5847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:55:29');
INSERT INTO `sys_job_log` VALUES (5848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 11:55:34');
INSERT INTO `sys_job_log` VALUES (5849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:55:39');
INSERT INTO `sys_job_log` VALUES (5850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:55:44');
INSERT INTO `sys_job_log` VALUES (5851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:55:44');
INSERT INTO `sys_job_log` VALUES (5852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 11:55:49');
INSERT INTO `sys_job_log` VALUES (5853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:55:54');
INSERT INTO `sys_job_log` VALUES (5854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 11:55:59');
INSERT INTO `sys_job_log` VALUES (5855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:55:59');
INSERT INTO `sys_job_log` VALUES (5856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:56:04');
INSERT INTO `sys_job_log` VALUES (5857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:56:09');
INSERT INTO `sys_job_log` VALUES (5858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:56:14');
INSERT INTO `sys_job_log` VALUES (5859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:56:14');
INSERT INTO `sys_job_log` VALUES (5860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:56:19');
INSERT INTO `sys_job_log` VALUES (5861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:56:24');
INSERT INTO `sys_job_log` VALUES (5862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 11:56:29');
INSERT INTO `sys_job_log` VALUES (5863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:56:29');
INSERT INTO `sys_job_log` VALUES (5864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:56:34');
INSERT INTO `sys_job_log` VALUES (5865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:56:39');
INSERT INTO `sys_job_log` VALUES (5866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 11:56:44');
INSERT INTO `sys_job_log` VALUES (5867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:56:44');
INSERT INTO `sys_job_log` VALUES (5868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:56:49');
INSERT INTO `sys_job_log` VALUES (5869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 11:56:54');
INSERT INTO `sys_job_log` VALUES (5870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 11:56:59');
INSERT INTO `sys_job_log` VALUES (5871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 11:56:59');
INSERT INTO `sys_job_log` VALUES (5872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:57:04');
INSERT INTO `sys_job_log` VALUES (5873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:57:09');
INSERT INTO `sys_job_log` VALUES (5874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:57:14');
INSERT INTO `sys_job_log` VALUES (5875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:57:14');
INSERT INTO `sys_job_log` VALUES (5876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:57:19');
INSERT INTO `sys_job_log` VALUES (5877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:57:24');
INSERT INTO `sys_job_log` VALUES (5878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 11:57:29');
INSERT INTO `sys_job_log` VALUES (5879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 11:57:29');
INSERT INTO `sys_job_log` VALUES (5880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:57:34');
INSERT INTO `sys_job_log` VALUES (5881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1766毫秒', '0', '', '2024-12-24 11:57:41');
INSERT INTO `sys_job_log` VALUES (5882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:57:44');
INSERT INTO `sys_job_log` VALUES (5883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:57:44');
INSERT INTO `sys_job_log` VALUES (5884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:57:49');
INSERT INTO `sys_job_log` VALUES (5885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:57:54');
INSERT INTO `sys_job_log` VALUES (5886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 11:57:59');
INSERT INTO `sys_job_log` VALUES (5887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 11:57:59');
INSERT INTO `sys_job_log` VALUES (5888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:58:04');
INSERT INTO `sys_job_log` VALUES (5889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:58:09');
INSERT INTO `sys_job_log` VALUES (5890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:58:14');
INSERT INTO `sys_job_log` VALUES (5891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 11:58:14');
INSERT INTO `sys_job_log` VALUES (5892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:58:19');
INSERT INTO `sys_job_log` VALUES (5893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:58:24');
INSERT INTO `sys_job_log` VALUES (5894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 11:58:29');
INSERT INTO `sys_job_log` VALUES (5895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 11:58:29');
INSERT INTO `sys_job_log` VALUES (5896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:58:34');
INSERT INTO `sys_job_log` VALUES (5897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 11:58:39');
INSERT INTO `sys_job_log` VALUES (5898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:58:44');
INSERT INTO `sys_job_log` VALUES (5899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 11:58:44');
INSERT INTO `sys_job_log` VALUES (5900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 11:58:49');
INSERT INTO `sys_job_log` VALUES (5901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:58:54');
INSERT INTO `sys_job_log` VALUES (5902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 11:58:59');
INSERT INTO `sys_job_log` VALUES (5903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:58:59');
INSERT INTO `sys_job_log` VALUES (5904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:59:04');
INSERT INTO `sys_job_log` VALUES (5905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 11:59:09');
INSERT INTO `sys_job_log` VALUES (5906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:59:14');
INSERT INTO `sys_job_log` VALUES (5907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:59:14');
INSERT INTO `sys_job_log` VALUES (5908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:59:19');
INSERT INTO `sys_job_log` VALUES (5909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:59:24');
INSERT INTO `sys_job_log` VALUES (5910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 11:59:29');
INSERT INTO `sys_job_log` VALUES (5911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 11:59:29');
INSERT INTO `sys_job_log` VALUES (5912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 11:59:34');
INSERT INTO `sys_job_log` VALUES (5913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 11:59:39');
INSERT INTO `sys_job_log` VALUES (5914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 11:59:44');
INSERT INTO `sys_job_log` VALUES (5915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 11:59:44');
INSERT INTO `sys_job_log` VALUES (5916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 11:59:49');
INSERT INTO `sys_job_log` VALUES (5917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 11:59:54');
INSERT INTO `sys_job_log` VALUES (5918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 11:59:59');
INSERT INTO `sys_job_log` VALUES (5919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 11:59:59');
INSERT INTO `sys_job_log` VALUES (5920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:00:04');
INSERT INTO `sys_job_log` VALUES (5921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 12:00:09');
INSERT INTO `sys_job_log` VALUES (5922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 12:00:14');
INSERT INTO `sys_job_log` VALUES (5923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-24 12:00:14');
INSERT INTO `sys_job_log` VALUES (5924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:00:19');
INSERT INTO `sys_job_log` VALUES (5925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:00:24');
INSERT INTO `sys_job_log` VALUES (5926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:00:29');
INSERT INTO `sys_job_log` VALUES (5927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:00:29');
INSERT INTO `sys_job_log` VALUES (5928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:00:34');
INSERT INTO `sys_job_log` VALUES (5929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:00:39');
INSERT INTO `sys_job_log` VALUES (5930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:00:44');
INSERT INTO `sys_job_log` VALUES (5931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:00:44');
INSERT INTO `sys_job_log` VALUES (5932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:00:49');
INSERT INTO `sys_job_log` VALUES (5933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:00:54');
INSERT INTO `sys_job_log` VALUES (5934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:00:59');
INSERT INTO `sys_job_log` VALUES (5935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:00:59');
INSERT INTO `sys_job_log` VALUES (5936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:01:04');
INSERT INTO `sys_job_log` VALUES (5937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:01:09');
INSERT INTO `sys_job_log` VALUES (5938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:01:14');
INSERT INTO `sys_job_log` VALUES (5939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 12:01:14');
INSERT INTO `sys_job_log` VALUES (5940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:01:19');
INSERT INTO `sys_job_log` VALUES (5941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:01:24');
INSERT INTO `sys_job_log` VALUES (5942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 12:01:29');
INSERT INTO `sys_job_log` VALUES (5943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 12:01:29');
INSERT INTO `sys_job_log` VALUES (5944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:01:34');
INSERT INTO `sys_job_log` VALUES (5945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:01:39');
INSERT INTO `sys_job_log` VALUES (5946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:01:44');
INSERT INTO `sys_job_log` VALUES (5947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:01:44');
INSERT INTO `sys_job_log` VALUES (5948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:01:49');
INSERT INTO `sys_job_log` VALUES (5949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:01:54');
INSERT INTO `sys_job_log` VALUES (5950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:01:59');
INSERT INTO `sys_job_log` VALUES (5951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:01:59');
INSERT INTO `sys_job_log` VALUES (5952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:02:04');
INSERT INTO `sys_job_log` VALUES (5953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:02:09');
INSERT INTO `sys_job_log` VALUES (5954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：277毫秒', '0', '', '2024-12-24 12:02:14');
INSERT INTO `sys_job_log` VALUES (5955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '0', '', '2024-12-24 12:02:14');
INSERT INTO `sys_job_log` VALUES (5956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:02:19');
INSERT INTO `sys_job_log` VALUES (5957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:02:24');
INSERT INTO `sys_job_log` VALUES (5958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:02:29');
INSERT INTO `sys_job_log` VALUES (5959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:02:29');
INSERT INTO `sys_job_log` VALUES (5960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:02:34');
INSERT INTO `sys_job_log` VALUES (5961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:02:39');
INSERT INTO `sys_job_log` VALUES (5962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:02:44');
INSERT INTO `sys_job_log` VALUES (5963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:02:44');
INSERT INTO `sys_job_log` VALUES (5964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:02:49');
INSERT INTO `sys_job_log` VALUES (5965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:02:54');
INSERT INTO `sys_job_log` VALUES (5966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:02:59');
INSERT INTO `sys_job_log` VALUES (5967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:02:59');
INSERT INTO `sys_job_log` VALUES (5968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:03:04');
INSERT INTO `sys_job_log` VALUES (5969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:03:09');
INSERT INTO `sys_job_log` VALUES (5970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:03:14');
INSERT INTO `sys_job_log` VALUES (5971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:03:14');
INSERT INTO `sys_job_log` VALUES (5972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:03:20');
INSERT INTO `sys_job_log` VALUES (5973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:03:24');
INSERT INTO `sys_job_log` VALUES (5974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 12:03:29');
INSERT INTO `sys_job_log` VALUES (5975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:03:29');
INSERT INTO `sys_job_log` VALUES (5976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:03:34');
INSERT INTO `sys_job_log` VALUES (5977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：427毫秒', '0', '', '2024-12-24 12:03:40');
INSERT INTO `sys_job_log` VALUES (5978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:03:44');
INSERT INTO `sys_job_log` VALUES (5979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:03:44');
INSERT INTO `sys_job_log` VALUES (5980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:03:49');
INSERT INTO `sys_job_log` VALUES (5981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:03:54');
INSERT INTO `sys_job_log` VALUES (5982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:03:59');
INSERT INTO `sys_job_log` VALUES (5983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:03:59');
INSERT INTO `sys_job_log` VALUES (5984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:04:04');
INSERT INTO `sys_job_log` VALUES (5985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:04:09');
INSERT INTO `sys_job_log` VALUES (5986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:04:14');
INSERT INTO `sys_job_log` VALUES (5987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:04:14');
INSERT INTO `sys_job_log` VALUES (5988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:04:19');
INSERT INTO `sys_job_log` VALUES (5989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:04:24');
INSERT INTO `sys_job_log` VALUES (5990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:04:29');
INSERT INTO `sys_job_log` VALUES (5991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:04:29');
INSERT INTO `sys_job_log` VALUES (5992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:04:34');
INSERT INTO `sys_job_log` VALUES (5993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:04:39');
INSERT INTO `sys_job_log` VALUES (5994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:04:44');
INSERT INTO `sys_job_log` VALUES (5995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:04:44');
INSERT INTO `sys_job_log` VALUES (5996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:04:49');
INSERT INTO `sys_job_log` VALUES (5997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:04:54');
INSERT INTO `sys_job_log` VALUES (5998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:04:59');
INSERT INTO `sys_job_log` VALUES (5999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:04:59');
INSERT INTO `sys_job_log` VALUES (6000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:05:04');
INSERT INTO `sys_job_log` VALUES (6001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:05:09');
INSERT INTO `sys_job_log` VALUES (6002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:05:14');
INSERT INTO `sys_job_log` VALUES (6003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-24 12:05:14');
INSERT INTO `sys_job_log` VALUES (6004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:05:19');
INSERT INTO `sys_job_log` VALUES (6005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 12:05:24');
INSERT INTO `sys_job_log` VALUES (6006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:05:29');
INSERT INTO `sys_job_log` VALUES (6007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 12:05:29');
INSERT INTO `sys_job_log` VALUES (6008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:05:34');
INSERT INTO `sys_job_log` VALUES (6009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:05:39');
INSERT INTO `sys_job_log` VALUES (6010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:05:44');
INSERT INTO `sys_job_log` VALUES (6011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:05:44');
INSERT INTO `sys_job_log` VALUES (6012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:05:49');
INSERT INTO `sys_job_log` VALUES (6013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:05:54');
INSERT INTO `sys_job_log` VALUES (6014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:05:59');
INSERT INTO `sys_job_log` VALUES (6015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:05:59');
INSERT INTO `sys_job_log` VALUES (6016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:06:04');
INSERT INTO `sys_job_log` VALUES (6017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:06:09');
INSERT INTO `sys_job_log` VALUES (6018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:06:14');
INSERT INTO `sys_job_log` VALUES (6019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:06:14');
INSERT INTO `sys_job_log` VALUES (6020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:06:19');
INSERT INTO `sys_job_log` VALUES (6021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:06:24');
INSERT INTO `sys_job_log` VALUES (6022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:06:29');
INSERT INTO `sys_job_log` VALUES (6023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:06:29');
INSERT INTO `sys_job_log` VALUES (6024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:06:34');
INSERT INTO `sys_job_log` VALUES (6025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:06:39');
INSERT INTO `sys_job_log` VALUES (6026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:06:44');
INSERT INTO `sys_job_log` VALUES (6027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:06:44');
INSERT INTO `sys_job_log` VALUES (6028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:06:49');
INSERT INTO `sys_job_log` VALUES (6029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:06:54');
INSERT INTO `sys_job_log` VALUES (6030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:06:59');
INSERT INTO `sys_job_log` VALUES (6031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 12:06:59');
INSERT INTO `sys_job_log` VALUES (6032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:07:04');
INSERT INTO `sys_job_log` VALUES (6033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:07:09');
INSERT INTO `sys_job_log` VALUES (6034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:07:14');
INSERT INTO `sys_job_log` VALUES (6035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:07:14');
INSERT INTO `sys_job_log` VALUES (6036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:07:19');
INSERT INTO `sys_job_log` VALUES (6037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:07:24');
INSERT INTO `sys_job_log` VALUES (6038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:07:29');
INSERT INTO `sys_job_log` VALUES (6039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 12:07:29');
INSERT INTO `sys_job_log` VALUES (6040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:07:34');
INSERT INTO `sys_job_log` VALUES (6041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:07:39');
INSERT INTO `sys_job_log` VALUES (6042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:07:44');
INSERT INTO `sys_job_log` VALUES (6043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:07:44');
INSERT INTO `sys_job_log` VALUES (6044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:07:49');
INSERT INTO `sys_job_log` VALUES (6045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:07:54');
INSERT INTO `sys_job_log` VALUES (6046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:07:59');
INSERT INTO `sys_job_log` VALUES (6047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:07:59');
INSERT INTO `sys_job_log` VALUES (6048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:04');
INSERT INTO `sys_job_log` VALUES (6049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:08:09');
INSERT INTO `sys_job_log` VALUES (6050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:08:14');
INSERT INTO `sys_job_log` VALUES (6051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:08:14');
INSERT INTO `sys_job_log` VALUES (6052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:08:19');
INSERT INTO `sys_job_log` VALUES (6053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:08:24');
INSERT INTO `sys_job_log` VALUES (6054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:08:29');
INSERT INTO `sys_job_log` VALUES (6055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:29');
INSERT INTO `sys_job_log` VALUES (6056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:34');
INSERT INTO `sys_job_log` VALUES (6057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:08:39');
INSERT INTO `sys_job_log` VALUES (6058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:44');
INSERT INTO `sys_job_log` VALUES (6059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:44');
INSERT INTO `sys_job_log` VALUES (6060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:49');
INSERT INTO `sys_job_log` VALUES (6061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:08:54');
INSERT INTO `sys_job_log` VALUES (6062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:08:59');
INSERT INTO `sys_job_log` VALUES (6063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:08:59');
INSERT INTO `sys_job_log` VALUES (6064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:09:04');
INSERT INTO `sys_job_log` VALUES (6065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:09:09');
INSERT INTO `sys_job_log` VALUES (6066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:09:14');
INSERT INTO `sys_job_log` VALUES (6067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:09:14');
INSERT INTO `sys_job_log` VALUES (6068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:09:19');
INSERT INTO `sys_job_log` VALUES (6069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：407毫秒', '0', '', '2024-12-24 12:09:25');
INSERT INTO `sys_job_log` VALUES (6070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:09:29');
INSERT INTO `sys_job_log` VALUES (6071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:09:29');
INSERT INTO `sys_job_log` VALUES (6072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:09:34');
INSERT INTO `sys_job_log` VALUES (6073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:09:39');
INSERT INTO `sys_job_log` VALUES (6074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:09:44');
INSERT INTO `sys_job_log` VALUES (6075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:09:44');
INSERT INTO `sys_job_log` VALUES (6076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:09:49');
INSERT INTO `sys_job_log` VALUES (6077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:09:54');
INSERT INTO `sys_job_log` VALUES (6078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：780毫秒', '0', '', '2024-12-24 12:10:00');
INSERT INTO `sys_job_log` VALUES (6079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：780毫秒', '0', '', '2024-12-24 12:10:00');
INSERT INTO `sys_job_log` VALUES (6080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:10:04');
INSERT INTO `sys_job_log` VALUES (6081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:10:09');
INSERT INTO `sys_job_log` VALUES (6082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:10:14');
INSERT INTO `sys_job_log` VALUES (6083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:10:14');
INSERT INTO `sys_job_log` VALUES (6084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:10:19');
INSERT INTO `sys_job_log` VALUES (6085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:10:24');
INSERT INTO `sys_job_log` VALUES (6086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:10:29');
INSERT INTO `sys_job_log` VALUES (6087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:10:29');
INSERT INTO `sys_job_log` VALUES (6088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:10:34');
INSERT INTO `sys_job_log` VALUES (6089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:10:39');
INSERT INTO `sys_job_log` VALUES (6090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:10:44');
INSERT INTO `sys_job_log` VALUES (6091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:10:44');
INSERT INTO `sys_job_log` VALUES (6092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:10:49');
INSERT INTO `sys_job_log` VALUES (6093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:10:54');
INSERT INTO `sys_job_log` VALUES (6094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:10:59');
INSERT INTO `sys_job_log` VALUES (6095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:10:59');
INSERT INTO `sys_job_log` VALUES (6096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:11:04');
INSERT INTO `sys_job_log` VALUES (6097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:11:09');
INSERT INTO `sys_job_log` VALUES (6098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:11:14');
INSERT INTO `sys_job_log` VALUES (6099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:11:14');
INSERT INTO `sys_job_log` VALUES (6100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:11:19');
INSERT INTO `sys_job_log` VALUES (6101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:11:24');
INSERT INTO `sys_job_log` VALUES (6102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:11:29');
INSERT INTO `sys_job_log` VALUES (6103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:11:29');
INSERT INTO `sys_job_log` VALUES (6104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:11:34');
INSERT INTO `sys_job_log` VALUES (6105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:11:39');
INSERT INTO `sys_job_log` VALUES (6106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:11:44');
INSERT INTO `sys_job_log` VALUES (6107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:11:44');
INSERT INTO `sys_job_log` VALUES (6108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:11:49');
INSERT INTO `sys_job_log` VALUES (6109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:11:54');
INSERT INTO `sys_job_log` VALUES (6110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:11:59');
INSERT INTO `sys_job_log` VALUES (6111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:11:59');
INSERT INTO `sys_job_log` VALUES (6112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:12:04');
INSERT INTO `sys_job_log` VALUES (6113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:12:09');
INSERT INTO `sys_job_log` VALUES (6114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:12:14');
INSERT INTO `sys_job_log` VALUES (6115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 12:12:14');
INSERT INTO `sys_job_log` VALUES (6116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 12:12:19');
INSERT INTO `sys_job_log` VALUES (6117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:12:24');
INSERT INTO `sys_job_log` VALUES (6118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 12:12:29');
INSERT INTO `sys_job_log` VALUES (6119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 12:12:29');
INSERT INTO `sys_job_log` VALUES (6120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:12:34');
INSERT INTO `sys_job_log` VALUES (6121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:12:39');
INSERT INTO `sys_job_log` VALUES (6122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:12:44');
INSERT INTO `sys_job_log` VALUES (6123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:12:44');
INSERT INTO `sys_job_log` VALUES (6124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:12:49');
INSERT INTO `sys_job_log` VALUES (6125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:12:54');
INSERT INTO `sys_job_log` VALUES (6126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:12:59');
INSERT INTO `sys_job_log` VALUES (6127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:12:59');
INSERT INTO `sys_job_log` VALUES (6128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:13:04');
INSERT INTO `sys_job_log` VALUES (6129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:13:09');
INSERT INTO `sys_job_log` VALUES (6130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-24 12:13:14');
INSERT INTO `sys_job_log` VALUES (6131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 12:13:14');
INSERT INTO `sys_job_log` VALUES (6132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:13:19');
INSERT INTO `sys_job_log` VALUES (6133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:13:24');
INSERT INTO `sys_job_log` VALUES (6134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:13:29');
INSERT INTO `sys_job_log` VALUES (6135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:13:29');
INSERT INTO `sys_job_log` VALUES (6136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:13:34');
INSERT INTO `sys_job_log` VALUES (6137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:13:39');
INSERT INTO `sys_job_log` VALUES (6138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:13:44');
INSERT INTO `sys_job_log` VALUES (6139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:13:44');
INSERT INTO `sys_job_log` VALUES (6140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:13:49');
INSERT INTO `sys_job_log` VALUES (6141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:13:54');
INSERT INTO `sys_job_log` VALUES (6142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:13:59');
INSERT INTO `sys_job_log` VALUES (6143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 12:13:59');
INSERT INTO `sys_job_log` VALUES (6144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:14:04');
INSERT INTO `sys_job_log` VALUES (6145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:14:09');
INSERT INTO `sys_job_log` VALUES (6146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:14:14');
INSERT INTO `sys_job_log` VALUES (6147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:14:14');
INSERT INTO `sys_job_log` VALUES (6148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:14:19');
INSERT INTO `sys_job_log` VALUES (6149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:14:24');
INSERT INTO `sys_job_log` VALUES (6150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:14:29');
INSERT INTO `sys_job_log` VALUES (6151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:14:29');
INSERT INTO `sys_job_log` VALUES (6152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:14:34');
INSERT INTO `sys_job_log` VALUES (6153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:14:39');
INSERT INTO `sys_job_log` VALUES (6154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:14:44');
INSERT INTO `sys_job_log` VALUES (6155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:14:44');
INSERT INTO `sys_job_log` VALUES (6156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:14:49');
INSERT INTO `sys_job_log` VALUES (6157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:14:54');
INSERT INTO `sys_job_log` VALUES (6158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:14:59');
INSERT INTO `sys_job_log` VALUES (6159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:14:59');
INSERT INTO `sys_job_log` VALUES (6160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:15:04');
INSERT INTO `sys_job_log` VALUES (6161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:15:10');
INSERT INTO `sys_job_log` VALUES (6162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:15:14');
INSERT INTO `sys_job_log` VALUES (6163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:15:14');
INSERT INTO `sys_job_log` VALUES (6164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:15:19');
INSERT INTO `sys_job_log` VALUES (6165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:15:24');
INSERT INTO `sys_job_log` VALUES (6166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:15:29');
INSERT INTO `sys_job_log` VALUES (6167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:15:29');
INSERT INTO `sys_job_log` VALUES (6168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:15:34');
INSERT INTO `sys_job_log` VALUES (6169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:15:39');
INSERT INTO `sys_job_log` VALUES (6170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:15:44');
INSERT INTO `sys_job_log` VALUES (6171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:15:44');
INSERT INTO `sys_job_log` VALUES (6172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:15:49');
INSERT INTO `sys_job_log` VALUES (6173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 12:15:54');
INSERT INTO `sys_job_log` VALUES (6174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:15:59');
INSERT INTO `sys_job_log` VALUES (6175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:15:59');
INSERT INTO `sys_job_log` VALUES (6176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:16:04');
INSERT INTO `sys_job_log` VALUES (6177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:16:09');
INSERT INTO `sys_job_log` VALUES (6178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 12:16:14');
INSERT INTO `sys_job_log` VALUES (6179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:16:14');
INSERT INTO `sys_job_log` VALUES (6180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:16:19');
INSERT INTO `sys_job_log` VALUES (6181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:16:24');
INSERT INTO `sys_job_log` VALUES (6182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:16:29');
INSERT INTO `sys_job_log` VALUES (6183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:16:29');
INSERT INTO `sys_job_log` VALUES (6184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:16:34');
INSERT INTO `sys_job_log` VALUES (6185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:16:39');
INSERT INTO `sys_job_log` VALUES (6186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:16:44');
INSERT INTO `sys_job_log` VALUES (6187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:16:44');
INSERT INTO `sys_job_log` VALUES (6188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:16:49');
INSERT INTO `sys_job_log` VALUES (6189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:16:54');
INSERT INTO `sys_job_log` VALUES (6190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2024-12-24 12:16:59');
INSERT INTO `sys_job_log` VALUES (6191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:16:59');
INSERT INTO `sys_job_log` VALUES (6192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:17:04');
INSERT INTO `sys_job_log` VALUES (6193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:17:09');
INSERT INTO `sys_job_log` VALUES (6194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:17:14');
INSERT INTO `sys_job_log` VALUES (6195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:17:14');
INSERT INTO `sys_job_log` VALUES (6196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:17:19');
INSERT INTO `sys_job_log` VALUES (6197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:17:24');
INSERT INTO `sys_job_log` VALUES (6198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:17:29');
INSERT INTO `sys_job_log` VALUES (6199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:17:29');
INSERT INTO `sys_job_log` VALUES (6200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:17:34');
INSERT INTO `sys_job_log` VALUES (6201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:17:39');
INSERT INTO `sys_job_log` VALUES (6202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:17:44');
INSERT INTO `sys_job_log` VALUES (6203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:17:44');
INSERT INTO `sys_job_log` VALUES (6204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:17:49');
INSERT INTO `sys_job_log` VALUES (6205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:17:54');
INSERT INTO `sys_job_log` VALUES (6206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 12:17:59');
INSERT INTO `sys_job_log` VALUES (6207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-24 12:17:59');
INSERT INTO `sys_job_log` VALUES (6208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:18:04');
INSERT INTO `sys_job_log` VALUES (6209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:18:09');
INSERT INTO `sys_job_log` VALUES (6210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:18:14');
INSERT INTO `sys_job_log` VALUES (6211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:18:14');
INSERT INTO `sys_job_log` VALUES (6212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:18:20');
INSERT INTO `sys_job_log` VALUES (6213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:18:24');
INSERT INTO `sys_job_log` VALUES (6214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:18:29');
INSERT INTO `sys_job_log` VALUES (6215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:18:29');
INSERT INTO `sys_job_log` VALUES (6216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:18:34');
INSERT INTO `sys_job_log` VALUES (6217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:18:39');
INSERT INTO `sys_job_log` VALUES (6218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:18:44');
INSERT INTO `sys_job_log` VALUES (6219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:18:44');
INSERT INTO `sys_job_log` VALUES (6220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:18:49');
INSERT INTO `sys_job_log` VALUES (6221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:18:54');
INSERT INTO `sys_job_log` VALUES (6222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:18:59');
INSERT INTO `sys_job_log` VALUES (6223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:18:59');
INSERT INTO `sys_job_log` VALUES (6224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:19:04');
INSERT INTO `sys_job_log` VALUES (6225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:19:09');
INSERT INTO `sys_job_log` VALUES (6226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:19:14');
INSERT INTO `sys_job_log` VALUES (6227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:19:14');
INSERT INTO `sys_job_log` VALUES (6228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:19:19');
INSERT INTO `sys_job_log` VALUES (6229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:19:24');
INSERT INTO `sys_job_log` VALUES (6230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:19:29');
INSERT INTO `sys_job_log` VALUES (6231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:19:29');
INSERT INTO `sys_job_log` VALUES (6232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 12:19:34');
INSERT INTO `sys_job_log` VALUES (6233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:19:39');
INSERT INTO `sys_job_log` VALUES (6234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:19:44');
INSERT INTO `sys_job_log` VALUES (6235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:19:44');
INSERT INTO `sys_job_log` VALUES (6236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:19:49');
INSERT INTO `sys_job_log` VALUES (6237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:19:54');
INSERT INTO `sys_job_log` VALUES (6238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:19:59');
INSERT INTO `sys_job_log` VALUES (6239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:19:59');
INSERT INTO `sys_job_log` VALUES (6240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:20:04');
INSERT INTO `sys_job_log` VALUES (6241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:20:09');
INSERT INTO `sys_job_log` VALUES (6242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:20:14');
INSERT INTO `sys_job_log` VALUES (6243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:20:14');
INSERT INTO `sys_job_log` VALUES (6244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:20:19');
INSERT INTO `sys_job_log` VALUES (6245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:20:24');
INSERT INTO `sys_job_log` VALUES (6246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:20:29');
INSERT INTO `sys_job_log` VALUES (6247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:20:29');
INSERT INTO `sys_job_log` VALUES (6248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:20:34');
INSERT INTO `sys_job_log` VALUES (6249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2024-12-24 12:20:39');
INSERT INTO `sys_job_log` VALUES (6250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:20:44');
INSERT INTO `sys_job_log` VALUES (6251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:20:44');
INSERT INTO `sys_job_log` VALUES (6252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:20:49');
INSERT INTO `sys_job_log` VALUES (6253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:20:54');
INSERT INTO `sys_job_log` VALUES (6254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:20:59');
INSERT INTO `sys_job_log` VALUES (6255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:20:59');
INSERT INTO `sys_job_log` VALUES (6256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:21:04');
INSERT INTO `sys_job_log` VALUES (6257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 12:21:09');
INSERT INTO `sys_job_log` VALUES (6258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:21:14');
INSERT INTO `sys_job_log` VALUES (6259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:21:14');
INSERT INTO `sys_job_log` VALUES (6260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:21:19');
INSERT INTO `sys_job_log` VALUES (6261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:21:24');
INSERT INTO `sys_job_log` VALUES (6262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:21:29');
INSERT INTO `sys_job_log` VALUES (6263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:21:29');
INSERT INTO `sys_job_log` VALUES (6264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 12:21:34');
INSERT INTO `sys_job_log` VALUES (6265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 12:21:39');
INSERT INTO `sys_job_log` VALUES (6266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:21:44');
INSERT INTO `sys_job_log` VALUES (6267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:21:44');
INSERT INTO `sys_job_log` VALUES (6268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:21:49');
INSERT INTO `sys_job_log` VALUES (6269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:21:54');
INSERT INTO `sys_job_log` VALUES (6270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:21:59');
INSERT INTO `sys_job_log` VALUES (6271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:21:59');
INSERT INTO `sys_job_log` VALUES (6272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:22:04');
INSERT INTO `sys_job_log` VALUES (6273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:22:09');
INSERT INTO `sys_job_log` VALUES (6274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:22:14');
INSERT INTO `sys_job_log` VALUES (6275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:22:14');
INSERT INTO `sys_job_log` VALUES (6276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:22:19');
INSERT INTO `sys_job_log` VALUES (6277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:22:24');
INSERT INTO `sys_job_log` VALUES (6278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:22:29');
INSERT INTO `sys_job_log` VALUES (6279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:22:29');
INSERT INTO `sys_job_log` VALUES (6280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:22:34');
INSERT INTO `sys_job_log` VALUES (6281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:22:39');
INSERT INTO `sys_job_log` VALUES (6282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:22:44');
INSERT INTO `sys_job_log` VALUES (6283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 12:22:44');
INSERT INTO `sys_job_log` VALUES (6284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:22:49');
INSERT INTO `sys_job_log` VALUES (6285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:22:54');
INSERT INTO `sys_job_log` VALUES (6286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 12:22:59');
INSERT INTO `sys_job_log` VALUES (6287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22毫秒', '0', '', '2024-12-24 12:22:59');
INSERT INTO `sys_job_log` VALUES (6288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:23:04');
INSERT INTO `sys_job_log` VALUES (6289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:23:09');
INSERT INTO `sys_job_log` VALUES (6290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:23:14');
INSERT INTO `sys_job_log` VALUES (6291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:23:14');
INSERT INTO `sys_job_log` VALUES (6292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:23:19');
INSERT INTO `sys_job_log` VALUES (6293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:23:24');
INSERT INTO `sys_job_log` VALUES (6294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:23:29');
INSERT INTO `sys_job_log` VALUES (6295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:23:29');
INSERT INTO `sys_job_log` VALUES (6296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:23:34');
INSERT INTO `sys_job_log` VALUES (6297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:23:39');
INSERT INTO `sys_job_log` VALUES (6298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:23:44');
INSERT INTO `sys_job_log` VALUES (6299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 12:23:44');
INSERT INTO `sys_job_log` VALUES (6300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:23:49');
INSERT INTO `sys_job_log` VALUES (6301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:23:54');
INSERT INTO `sys_job_log` VALUES (6302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 12:23:59');
INSERT INTO `sys_job_log` VALUES (6303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 12:23:59');
INSERT INTO `sys_job_log` VALUES (6304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:24:04');
INSERT INTO `sys_job_log` VALUES (6305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:24:09');
INSERT INTO `sys_job_log` VALUES (6306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:24:14');
INSERT INTO `sys_job_log` VALUES (6307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:24:14');
INSERT INTO `sys_job_log` VALUES (6308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:24:19');
INSERT INTO `sys_job_log` VALUES (6309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:24:24');
INSERT INTO `sys_job_log` VALUES (6310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:24:29');
INSERT INTO `sys_job_log` VALUES (6311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:24:29');
INSERT INTO `sys_job_log` VALUES (6312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:24:34');
INSERT INTO `sys_job_log` VALUES (6313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:24:39');
INSERT INTO `sys_job_log` VALUES (6314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:24:44');
INSERT INTO `sys_job_log` VALUES (6315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:24:44');
INSERT INTO `sys_job_log` VALUES (6316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:24:49');
INSERT INTO `sys_job_log` VALUES (6317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:24:54');
INSERT INTO `sys_job_log` VALUES (6318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:24:59');
INSERT INTO `sys_job_log` VALUES (6319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:24:59');
INSERT INTO `sys_job_log` VALUES (6320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:25:04');
INSERT INTO `sys_job_log` VALUES (6321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:25:09');
INSERT INTO `sys_job_log` VALUES (6322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:25:14');
INSERT INTO `sys_job_log` VALUES (6323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:25:14');
INSERT INTO `sys_job_log` VALUES (6324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:25:19');
INSERT INTO `sys_job_log` VALUES (6325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:25:24');
INSERT INTO `sys_job_log` VALUES (6326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:25:29');
INSERT INTO `sys_job_log` VALUES (6327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:25:29');
INSERT INTO `sys_job_log` VALUES (6328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:25:34');
INSERT INTO `sys_job_log` VALUES (6329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:25:39');
INSERT INTO `sys_job_log` VALUES (6330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:25:44');
INSERT INTO `sys_job_log` VALUES (6331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:25:44');
INSERT INTO `sys_job_log` VALUES (6332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:25:49');
INSERT INTO `sys_job_log` VALUES (6333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:25:54');
INSERT INTO `sys_job_log` VALUES (6334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:25:59');
INSERT INTO `sys_job_log` VALUES (6335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:25:59');
INSERT INTO `sys_job_log` VALUES (6336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:26:04');
INSERT INTO `sys_job_log` VALUES (6337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:26:09');
INSERT INTO `sys_job_log` VALUES (6338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:26:14');
INSERT INTO `sys_job_log` VALUES (6339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:26:14');
INSERT INTO `sys_job_log` VALUES (6340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 12:26:19');
INSERT INTO `sys_job_log` VALUES (6341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:26:24');
INSERT INTO `sys_job_log` VALUES (6342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:26:29');
INSERT INTO `sys_job_log` VALUES (6343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-24 12:26:29');
INSERT INTO `sys_job_log` VALUES (6344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:26:34');
INSERT INTO `sys_job_log` VALUES (6345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:26:39');
INSERT INTO `sys_job_log` VALUES (6346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:26:44');
INSERT INTO `sys_job_log` VALUES (6347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:26:44');
INSERT INTO `sys_job_log` VALUES (6348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 12:26:49');
INSERT INTO `sys_job_log` VALUES (6349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:26:54');
INSERT INTO `sys_job_log` VALUES (6350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:26:59');
INSERT INTO `sys_job_log` VALUES (6351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:26:59');
INSERT INTO `sys_job_log` VALUES (6352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-24 12:27:04');
INSERT INTO `sys_job_log` VALUES (6353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:27:09');
INSERT INTO `sys_job_log` VALUES (6354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:27:14');
INSERT INTO `sys_job_log` VALUES (6355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:27:14');
INSERT INTO `sys_job_log` VALUES (6356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:27:19');
INSERT INTO `sys_job_log` VALUES (6357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:27:24');
INSERT INTO `sys_job_log` VALUES (6358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:27:29');
INSERT INTO `sys_job_log` VALUES (6359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:27:29');
INSERT INTO `sys_job_log` VALUES (6360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:27:34');
INSERT INTO `sys_job_log` VALUES (6361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-24 12:27:39');
INSERT INTO `sys_job_log` VALUES (6362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:27:44');
INSERT INTO `sys_job_log` VALUES (6363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:27:44');
INSERT INTO `sys_job_log` VALUES (6364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:27:49');
INSERT INTO `sys_job_log` VALUES (6365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:27:54');
INSERT INTO `sys_job_log` VALUES (6366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:27:59');
INSERT INTO `sys_job_log` VALUES (6367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:27:59');
INSERT INTO `sys_job_log` VALUES (6368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:28:04');
INSERT INTO `sys_job_log` VALUES (6369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:28:09');
INSERT INTO `sys_job_log` VALUES (6370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:28:14');
INSERT INTO `sys_job_log` VALUES (6371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:28:14');
INSERT INTO `sys_job_log` VALUES (6372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:28:19');
INSERT INTO `sys_job_log` VALUES (6373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:28:24');
INSERT INTO `sys_job_log` VALUES (6374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:28:29');
INSERT INTO `sys_job_log` VALUES (6375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:28:29');
INSERT INTO `sys_job_log` VALUES (6376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:28:34');
INSERT INTO `sys_job_log` VALUES (6377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:28:39');
INSERT INTO `sys_job_log` VALUES (6378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:28:44');
INSERT INTO `sys_job_log` VALUES (6379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:28:44');
INSERT INTO `sys_job_log` VALUES (6380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:28:49');
INSERT INTO `sys_job_log` VALUES (6381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:28:54');
INSERT INTO `sys_job_log` VALUES (6382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:28:59');
INSERT INTO `sys_job_log` VALUES (6383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:28:59');
INSERT INTO `sys_job_log` VALUES (6384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:29:04');
INSERT INTO `sys_job_log` VALUES (6385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:29:09');
INSERT INTO `sys_job_log` VALUES (6386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:29:14');
INSERT INTO `sys_job_log` VALUES (6387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:29:14');
INSERT INTO `sys_job_log` VALUES (6388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:29:19');
INSERT INTO `sys_job_log` VALUES (6389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 12:29:24');
INSERT INTO `sys_job_log` VALUES (6390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:29:29');
INSERT INTO `sys_job_log` VALUES (6391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:29:29');
INSERT INTO `sys_job_log` VALUES (6392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:29:34');
INSERT INTO `sys_job_log` VALUES (6393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 12:29:39');
INSERT INTO `sys_job_log` VALUES (6394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-24 12:29:44');
INSERT INTO `sys_job_log` VALUES (6395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:29:44');
INSERT INTO `sys_job_log` VALUES (6396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:29:49');
INSERT INTO `sys_job_log` VALUES (6397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:29:54');
INSERT INTO `sys_job_log` VALUES (6398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:29:59');
INSERT INTO `sys_job_log` VALUES (6399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:29:59');
INSERT INTO `sys_job_log` VALUES (6400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:30:04');
INSERT INTO `sys_job_log` VALUES (6401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:30:09');
INSERT INTO `sys_job_log` VALUES (6402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:30:14');
INSERT INTO `sys_job_log` VALUES (6403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:30:14');
INSERT INTO `sys_job_log` VALUES (6404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:30:19');
INSERT INTO `sys_job_log` VALUES (6405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:30:24');
INSERT INTO `sys_job_log` VALUES (6406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:30:29');
INSERT INTO `sys_job_log` VALUES (6407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:30:29');
INSERT INTO `sys_job_log` VALUES (6408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:30:34');
INSERT INTO `sys_job_log` VALUES (6409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:30:39');
INSERT INTO `sys_job_log` VALUES (6410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:30:44');
INSERT INTO `sys_job_log` VALUES (6411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:30:44');
INSERT INTO `sys_job_log` VALUES (6412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:30:49');
INSERT INTO `sys_job_log` VALUES (6413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:30:54');
INSERT INTO `sys_job_log` VALUES (6414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:30:59');
INSERT INTO `sys_job_log` VALUES (6415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:30:59');
INSERT INTO `sys_job_log` VALUES (6416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:31:04');
INSERT INTO `sys_job_log` VALUES (6417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:31:09');
INSERT INTO `sys_job_log` VALUES (6418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:31:14');
INSERT INTO `sys_job_log` VALUES (6419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:31:14');
INSERT INTO `sys_job_log` VALUES (6420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:31:19');
INSERT INTO `sys_job_log` VALUES (6421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:31:24');
INSERT INTO `sys_job_log` VALUES (6422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:31:29');
INSERT INTO `sys_job_log` VALUES (6423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:31:29');
INSERT INTO `sys_job_log` VALUES (6424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:31:34');
INSERT INTO `sys_job_log` VALUES (6425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:31:39');
INSERT INTO `sys_job_log` VALUES (6426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:31:44');
INSERT INTO `sys_job_log` VALUES (6427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:31:44');
INSERT INTO `sys_job_log` VALUES (6428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:31:49');
INSERT INTO `sys_job_log` VALUES (6429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:31:54');
INSERT INTO `sys_job_log` VALUES (6430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:31:59');
INSERT INTO `sys_job_log` VALUES (6431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:31:59');
INSERT INTO `sys_job_log` VALUES (6432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:32:04');
INSERT INTO `sys_job_log` VALUES (6433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:32:09');
INSERT INTO `sys_job_log` VALUES (6434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:32:14');
INSERT INTO `sys_job_log` VALUES (6435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:32:14');
INSERT INTO `sys_job_log` VALUES (6436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:32:19');
INSERT INTO `sys_job_log` VALUES (6437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-24 12:32:24');
INSERT INTO `sys_job_log` VALUES (6438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:32:29');
INSERT INTO `sys_job_log` VALUES (6439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:32:29');
INSERT INTO `sys_job_log` VALUES (6440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:32:34');
INSERT INTO `sys_job_log` VALUES (6441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:32:39');
INSERT INTO `sys_job_log` VALUES (6442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:32:44');
INSERT INTO `sys_job_log` VALUES (6443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:32:44');
INSERT INTO `sys_job_log` VALUES (6444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:32:49');
INSERT INTO `sys_job_log` VALUES (6445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:32:54');
INSERT INTO `sys_job_log` VALUES (6446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:32:59');
INSERT INTO `sys_job_log` VALUES (6447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:32:59');
INSERT INTO `sys_job_log` VALUES (6448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:33:04');
INSERT INTO `sys_job_log` VALUES (6449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:33:09');
INSERT INTO `sys_job_log` VALUES (6450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:33:14');
INSERT INTO `sys_job_log` VALUES (6451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 12:33:14');
INSERT INTO `sys_job_log` VALUES (6452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 12:33:19');
INSERT INTO `sys_job_log` VALUES (6453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:33:24');
INSERT INTO `sys_job_log` VALUES (6454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:33:29');
INSERT INTO `sys_job_log` VALUES (6455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 12:33:29');
INSERT INTO `sys_job_log` VALUES (6456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:33:34');
INSERT INTO `sys_job_log` VALUES (6457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:33:39');
INSERT INTO `sys_job_log` VALUES (6458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:33:44');
INSERT INTO `sys_job_log` VALUES (6459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:33:44');
INSERT INTO `sys_job_log` VALUES (6460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:33:49');
INSERT INTO `sys_job_log` VALUES (6461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:33:54');
INSERT INTO `sys_job_log` VALUES (6462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 12:33:59');
INSERT INTO `sys_job_log` VALUES (6463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2024-12-24 12:33:59');
INSERT INTO `sys_job_log` VALUES (6464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:34:04');
INSERT INTO `sys_job_log` VALUES (6465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:34:09');
INSERT INTO `sys_job_log` VALUES (6466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:34:14');
INSERT INTO `sys_job_log` VALUES (6467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:34:14');
INSERT INTO `sys_job_log` VALUES (6468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:34:19');
INSERT INTO `sys_job_log` VALUES (6469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:34:24');
INSERT INTO `sys_job_log` VALUES (6470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:34:29');
INSERT INTO `sys_job_log` VALUES (6471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:34:29');
INSERT INTO `sys_job_log` VALUES (6472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:34:34');
INSERT INTO `sys_job_log` VALUES (6473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:34:39');
INSERT INTO `sys_job_log` VALUES (6474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:34:44');
INSERT INTO `sys_job_log` VALUES (6475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:34:44');
INSERT INTO `sys_job_log` VALUES (6476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:34:49');
INSERT INTO `sys_job_log` VALUES (6477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:34:54');
INSERT INTO `sys_job_log` VALUES (6478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:34:59');
INSERT INTO `sys_job_log` VALUES (6479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:34:59');
INSERT INTO `sys_job_log` VALUES (6480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:35:04');
INSERT INTO `sys_job_log` VALUES (6481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:35:09');
INSERT INTO `sys_job_log` VALUES (6482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:35:14');
INSERT INTO `sys_job_log` VALUES (6483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:35:14');
INSERT INTO `sys_job_log` VALUES (6484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:35:19');
INSERT INTO `sys_job_log` VALUES (6485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:35:24');
INSERT INTO `sys_job_log` VALUES (6486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:35:29');
INSERT INTO `sys_job_log` VALUES (6487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:35:29');
INSERT INTO `sys_job_log` VALUES (6488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:35:34');
INSERT INTO `sys_job_log` VALUES (6489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:35:39');
INSERT INTO `sys_job_log` VALUES (6490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:35:44');
INSERT INTO `sys_job_log` VALUES (6491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:35:44');
INSERT INTO `sys_job_log` VALUES (6492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:35:49');
INSERT INTO `sys_job_log` VALUES (6493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:35:54');
INSERT INTO `sys_job_log` VALUES (6494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:35:59');
INSERT INTO `sys_job_log` VALUES (6495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:35:59');
INSERT INTO `sys_job_log` VALUES (6496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:36:04');
INSERT INTO `sys_job_log` VALUES (6497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:36:09');
INSERT INTO `sys_job_log` VALUES (6498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 12:36:14');
INSERT INTO `sys_job_log` VALUES (6499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 12:36:14');
INSERT INTO `sys_job_log` VALUES (6500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:36:19');
INSERT INTO `sys_job_log` VALUES (6501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 12:36:24');
INSERT INTO `sys_job_log` VALUES (6502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:36:29');
INSERT INTO `sys_job_log` VALUES (6503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 12:36:29');
INSERT INTO `sys_job_log` VALUES (6504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:36:34');
INSERT INTO `sys_job_log` VALUES (6505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:36:39');
INSERT INTO `sys_job_log` VALUES (6506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:36:44');
INSERT INTO `sys_job_log` VALUES (6507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:36:44');
INSERT INTO `sys_job_log` VALUES (6508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:36:49');
INSERT INTO `sys_job_log` VALUES (6509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:36:54');
INSERT INTO `sys_job_log` VALUES (6510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:36:59');
INSERT INTO `sys_job_log` VALUES (6511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:36:59');
INSERT INTO `sys_job_log` VALUES (6512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2024-12-24 12:37:04');
INSERT INTO `sys_job_log` VALUES (6513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:37:09');
INSERT INTO `sys_job_log` VALUES (6514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:37:14');
INSERT INTO `sys_job_log` VALUES (6515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:37:14');
INSERT INTO `sys_job_log` VALUES (6516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-24 12:37:19');
INSERT INTO `sys_job_log` VALUES (6517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:37:24');
INSERT INTO `sys_job_log` VALUES (6518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:37:29');
INSERT INTO `sys_job_log` VALUES (6519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:37:29');
INSERT INTO `sys_job_log` VALUES (6520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:37:34');
INSERT INTO `sys_job_log` VALUES (6521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:37:39');
INSERT INTO `sys_job_log` VALUES (6522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 12:37:44');
INSERT INTO `sys_job_log` VALUES (6523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 12:37:44');
INSERT INTO `sys_job_log` VALUES (6524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:37:49');
INSERT INTO `sys_job_log` VALUES (6525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:37:54');
INSERT INTO `sys_job_log` VALUES (6526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:37:59');
INSERT INTO `sys_job_log` VALUES (6527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:37:59');
INSERT INTO `sys_job_log` VALUES (6528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:38:04');
INSERT INTO `sys_job_log` VALUES (6529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:38:09');
INSERT INTO `sys_job_log` VALUES (6530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 12:38:14');
INSERT INTO `sys_job_log` VALUES (6531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 12:38:14');
INSERT INTO `sys_job_log` VALUES (6532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:38:19');
INSERT INTO `sys_job_log` VALUES (6533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:38:24');
INSERT INTO `sys_job_log` VALUES (6534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:38:29');
INSERT INTO `sys_job_log` VALUES (6535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:38:29');
INSERT INTO `sys_job_log` VALUES (6536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:38:34');
INSERT INTO `sys_job_log` VALUES (6537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:38:39');
INSERT INTO `sys_job_log` VALUES (6538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:38:44');
INSERT INTO `sys_job_log` VALUES (6539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:38:44');
INSERT INTO `sys_job_log` VALUES (6540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:38:49');
INSERT INTO `sys_job_log` VALUES (6541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:38:54');
INSERT INTO `sys_job_log` VALUES (6542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:38:59');
INSERT INTO `sys_job_log` VALUES (6543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:38:59');
INSERT INTO `sys_job_log` VALUES (6544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:39:04');
INSERT INTO `sys_job_log` VALUES (6545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:39:09');
INSERT INTO `sys_job_log` VALUES (6546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:39:14');
INSERT INTO `sys_job_log` VALUES (6547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:39:14');
INSERT INTO `sys_job_log` VALUES (6548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:39:19');
INSERT INTO `sys_job_log` VALUES (6549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:39:24');
INSERT INTO `sys_job_log` VALUES (6550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 12:39:29');
INSERT INTO `sys_job_log` VALUES (6551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 12:39:29');
INSERT INTO `sys_job_log` VALUES (6552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:39:34');
INSERT INTO `sys_job_log` VALUES (6553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:39:39');
INSERT INTO `sys_job_log` VALUES (6554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 12:39:44');
INSERT INTO `sys_job_log` VALUES (6555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 12:39:44');
INSERT INTO `sys_job_log` VALUES (6556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:39:49');
INSERT INTO `sys_job_log` VALUES (6557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 12:39:54');
INSERT INTO `sys_job_log` VALUES (6558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:39:59');
INSERT INTO `sys_job_log` VALUES (6559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:39:59');
INSERT INTO `sys_job_log` VALUES (6560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:40:04');
INSERT INTO `sys_job_log` VALUES (6561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:40:09');
INSERT INTO `sys_job_log` VALUES (6562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 12:40:14');
INSERT INTO `sys_job_log` VALUES (6563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-24 12:40:14');
INSERT INTO `sys_job_log` VALUES (6564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 12:40:19');
INSERT INTO `sys_job_log` VALUES (6565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2024-12-24 12:40:24');
INSERT INTO `sys_job_log` VALUES (6566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:40:29');
INSERT INTO `sys_job_log` VALUES (6567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:40:29');
INSERT INTO `sys_job_log` VALUES (6568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:40:34');
INSERT INTO `sys_job_log` VALUES (6569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:40:39');
INSERT INTO `sys_job_log` VALUES (6570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:40:44');
INSERT INTO `sys_job_log` VALUES (6571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 12:40:44');
INSERT INTO `sys_job_log` VALUES (6572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:40:49');
INSERT INTO `sys_job_log` VALUES (6573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:40:54');
INSERT INTO `sys_job_log` VALUES (6574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:40:59');
INSERT INTO `sys_job_log` VALUES (6575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:40:59');
INSERT INTO `sys_job_log` VALUES (6576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:41:04');
INSERT INTO `sys_job_log` VALUES (6577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:41:09');
INSERT INTO `sys_job_log` VALUES (6578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:41:14');
INSERT INTO `sys_job_log` VALUES (6579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:41:14');
INSERT INTO `sys_job_log` VALUES (6580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:41:19');
INSERT INTO `sys_job_log` VALUES (6581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:41:24');
INSERT INTO `sys_job_log` VALUES (6582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:41:29');
INSERT INTO `sys_job_log` VALUES (6583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:41:29');
INSERT INTO `sys_job_log` VALUES (6584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:41:34');
INSERT INTO `sys_job_log` VALUES (6585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:41:39');
INSERT INTO `sys_job_log` VALUES (6586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:41:44');
INSERT INTO `sys_job_log` VALUES (6587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:41:44');
INSERT INTO `sys_job_log` VALUES (6588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:41:49');
INSERT INTO `sys_job_log` VALUES (6589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:41:54');
INSERT INTO `sys_job_log` VALUES (6590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 12:41:59');
INSERT INTO `sys_job_log` VALUES (6591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:41:59');
INSERT INTO `sys_job_log` VALUES (6592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:42:04');
INSERT INTO `sys_job_log` VALUES (6593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:42:09');
INSERT INTO `sys_job_log` VALUES (6594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 12:42:14');
INSERT INTO `sys_job_log` VALUES (6595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:42:14');
INSERT INTO `sys_job_log` VALUES (6596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:42:19');
INSERT INTO `sys_job_log` VALUES (6597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:42:24');
INSERT INTO `sys_job_log` VALUES (6598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 12:42:29');
INSERT INTO `sys_job_log` VALUES (6599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:42:29');
INSERT INTO `sys_job_log` VALUES (6600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:42:34');
INSERT INTO `sys_job_log` VALUES (6601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:42:39');
INSERT INTO `sys_job_log` VALUES (6602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:42:44');
INSERT INTO `sys_job_log` VALUES (6603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 12:42:44');
INSERT INTO `sys_job_log` VALUES (6604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:42:49');
INSERT INTO `sys_job_log` VALUES (6605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:42:54');
INSERT INTO `sys_job_log` VALUES (6606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:42:59');
INSERT INTO `sys_job_log` VALUES (6607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 12:42:59');
INSERT INTO `sys_job_log` VALUES (6608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:43:04');
INSERT INTO `sys_job_log` VALUES (6609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:43:09');
INSERT INTO `sys_job_log` VALUES (6610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:43:14');
INSERT INTO `sys_job_log` VALUES (6611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:43:14');
INSERT INTO `sys_job_log` VALUES (6612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:43:19');
INSERT INTO `sys_job_log` VALUES (6613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:43:24');
INSERT INTO `sys_job_log` VALUES (6614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:43:29');
INSERT INTO `sys_job_log` VALUES (6615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:43:29');
INSERT INTO `sys_job_log` VALUES (6616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:43:34');
INSERT INTO `sys_job_log` VALUES (6617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:43:39');
INSERT INTO `sys_job_log` VALUES (6618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:43:44');
INSERT INTO `sys_job_log` VALUES (6619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:43:44');
INSERT INTO `sys_job_log` VALUES (6620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:43:49');
INSERT INTO `sys_job_log` VALUES (6621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:43:54');
INSERT INTO `sys_job_log` VALUES (6622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:43:59');
INSERT INTO `sys_job_log` VALUES (6623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:43:59');
INSERT INTO `sys_job_log` VALUES (6624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:44:04');
INSERT INTO `sys_job_log` VALUES (6625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:44:09');
INSERT INTO `sys_job_log` VALUES (6626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:44:14');
INSERT INTO `sys_job_log` VALUES (6627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:44:14');
INSERT INTO `sys_job_log` VALUES (6628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:44:19');
INSERT INTO `sys_job_log` VALUES (6629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:44:24');
INSERT INTO `sys_job_log` VALUES (6630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:44:29');
INSERT INTO `sys_job_log` VALUES (6631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:44:29');
INSERT INTO `sys_job_log` VALUES (6632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:44:34');
INSERT INTO `sys_job_log` VALUES (6633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:44:39');
INSERT INTO `sys_job_log` VALUES (6634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:44:44');
INSERT INTO `sys_job_log` VALUES (6635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:44:44');
INSERT INTO `sys_job_log` VALUES (6636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:44:49');
INSERT INTO `sys_job_log` VALUES (6637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:44:54');
INSERT INTO `sys_job_log` VALUES (6638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 12:44:59');
INSERT INTO `sys_job_log` VALUES (6639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 12:44:59');
INSERT INTO `sys_job_log` VALUES (6640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 12:45:04');
INSERT INTO `sys_job_log` VALUES (6641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:45:09');
INSERT INTO `sys_job_log` VALUES (6642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:45:14');
INSERT INTO `sys_job_log` VALUES (6643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:45:14');
INSERT INTO `sys_job_log` VALUES (6644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:45:19');
INSERT INTO `sys_job_log` VALUES (6645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:45:24');
INSERT INTO `sys_job_log` VALUES (6646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 12:45:29');
INSERT INTO `sys_job_log` VALUES (6647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:45:29');
INSERT INTO `sys_job_log` VALUES (6648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:45:34');
INSERT INTO `sys_job_log` VALUES (6649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:45:39');
INSERT INTO `sys_job_log` VALUES (6650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 12:45:44');
INSERT INTO `sys_job_log` VALUES (6651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2024-12-24 12:45:44');
INSERT INTO `sys_job_log` VALUES (6652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:45:49');
INSERT INTO `sys_job_log` VALUES (6653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:45:54');
INSERT INTO `sys_job_log` VALUES (6654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 12:45:59');
INSERT INTO `sys_job_log` VALUES (6655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23毫秒', '0', '', '2024-12-24 12:45:59');
INSERT INTO `sys_job_log` VALUES (6656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:46:04');
INSERT INTO `sys_job_log` VALUES (6657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:46:09');
INSERT INTO `sys_job_log` VALUES (6658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2024-12-24 12:46:14');
INSERT INTO `sys_job_log` VALUES (6659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 12:46:14');
INSERT INTO `sys_job_log` VALUES (6660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:46:19');
INSERT INTO `sys_job_log` VALUES (6661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:46:24');
INSERT INTO `sys_job_log` VALUES (6662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:46:29');
INSERT INTO `sys_job_log` VALUES (6663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:46:29');
INSERT INTO `sys_job_log` VALUES (6664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:46:34');
INSERT INTO `sys_job_log` VALUES (6665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:46:39');
INSERT INTO `sys_job_log` VALUES (6666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 12:46:44');
INSERT INTO `sys_job_log` VALUES (6667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 12:46:44');
INSERT INTO `sys_job_log` VALUES (6668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 12:46:49');
INSERT INTO `sys_job_log` VALUES (6669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:46:54');
INSERT INTO `sys_job_log` VALUES (6670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:46:59');
INSERT INTO `sys_job_log` VALUES (6671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:46:59');
INSERT INTO `sys_job_log` VALUES (6672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:47:04');
INSERT INTO `sys_job_log` VALUES (6673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:47:09');
INSERT INTO `sys_job_log` VALUES (6674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:47:14');
INSERT INTO `sys_job_log` VALUES (6675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:47:14');
INSERT INTO `sys_job_log` VALUES (6676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:47:19');
INSERT INTO `sys_job_log` VALUES (6677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:47:24');
INSERT INTO `sys_job_log` VALUES (6678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:47:29');
INSERT INTO `sys_job_log` VALUES (6679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:47:29');
INSERT INTO `sys_job_log` VALUES (6680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:47:34');
INSERT INTO `sys_job_log` VALUES (6681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:47:39');
INSERT INTO `sys_job_log` VALUES (6682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:47:44');
INSERT INTO `sys_job_log` VALUES (6683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:47:44');
INSERT INTO `sys_job_log` VALUES (6684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 12:47:49');
INSERT INTO `sys_job_log` VALUES (6685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:47:54');
INSERT INTO `sys_job_log` VALUES (6686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 12:47:59');
INSERT INTO `sys_job_log` VALUES (6687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 12:47:59');
INSERT INTO `sys_job_log` VALUES (6688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:48:04');
INSERT INTO `sys_job_log` VALUES (6689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:48:09');
INSERT INTO `sys_job_log` VALUES (6690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:48:14');
INSERT INTO `sys_job_log` VALUES (6691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:48:14');
INSERT INTO `sys_job_log` VALUES (6692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 12:48:19');
INSERT INTO `sys_job_log` VALUES (6693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:48:24');
INSERT INTO `sys_job_log` VALUES (6694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:48:29');
INSERT INTO `sys_job_log` VALUES (6695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 12:48:29');
INSERT INTO `sys_job_log` VALUES (6696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 12:48:34');
INSERT INTO `sys_job_log` VALUES (6697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:48:39');
INSERT INTO `sys_job_log` VALUES (6698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:48:44');
INSERT INTO `sys_job_log` VALUES (6699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:48:44');
INSERT INTO `sys_job_log` VALUES (6700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:48:49');
INSERT INTO `sys_job_log` VALUES (6701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:48:54');
INSERT INTO `sys_job_log` VALUES (6702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:48:59');
INSERT INTO `sys_job_log` VALUES (6703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:48:59');
INSERT INTO `sys_job_log` VALUES (6704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 12:49:04');
INSERT INTO `sys_job_log` VALUES (6705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:49:09');
INSERT INTO `sys_job_log` VALUES (6706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 12:49:14');
INSERT INTO `sys_job_log` VALUES (6707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 12:49:14');
INSERT INTO `sys_job_log` VALUES (6708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:49:19');
INSERT INTO `sys_job_log` VALUES (6709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:49:24');
INSERT INTO `sys_job_log` VALUES (6710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:49:29');
INSERT INTO `sys_job_log` VALUES (6711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:49:29');
INSERT INTO `sys_job_log` VALUES (6712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:49:34');
INSERT INTO `sys_job_log` VALUES (6713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:49:39');
INSERT INTO `sys_job_log` VALUES (6714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:49:44');
INSERT INTO `sys_job_log` VALUES (6715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:49:44');
INSERT INTO `sys_job_log` VALUES (6716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:49:49');
INSERT INTO `sys_job_log` VALUES (6717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 12:49:54');
INSERT INTO `sys_job_log` VALUES (6718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:49:59');
INSERT INTO `sys_job_log` VALUES (6719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:49:59');
INSERT INTO `sys_job_log` VALUES (6720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:50:04');
INSERT INTO `sys_job_log` VALUES (6721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:50:09');
INSERT INTO `sys_job_log` VALUES (6722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：755毫秒', '0', '', '2024-12-24 12:50:15');
INSERT INTO `sys_job_log` VALUES (6723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：755毫秒', '0', '', '2024-12-24 12:50:15');
INSERT INTO `sys_job_log` VALUES (6724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:50:19');
INSERT INTO `sys_job_log` VALUES (6725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:50:24');
INSERT INTO `sys_job_log` VALUES (6726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:50:29');
INSERT INTO `sys_job_log` VALUES (6727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:50:29');
INSERT INTO `sys_job_log` VALUES (6728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:50:34');
INSERT INTO `sys_job_log` VALUES (6729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:50:39');
INSERT INTO `sys_job_log` VALUES (6730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:50:44');
INSERT INTO `sys_job_log` VALUES (6731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:50:44');
INSERT INTO `sys_job_log` VALUES (6732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:50:49');
INSERT INTO `sys_job_log` VALUES (6733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:50:54');
INSERT INTO `sys_job_log` VALUES (6734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:50:59');
INSERT INTO `sys_job_log` VALUES (6735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:50:59');
INSERT INTO `sys_job_log` VALUES (6736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 12:51:04');
INSERT INTO `sys_job_log` VALUES (6737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 12:51:09');
INSERT INTO `sys_job_log` VALUES (6738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:51:14');
INSERT INTO `sys_job_log` VALUES (6739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 12:51:14');
INSERT INTO `sys_job_log` VALUES (6740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:51:19');
INSERT INTO `sys_job_log` VALUES (6741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 12:51:24');
INSERT INTO `sys_job_log` VALUES (6742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:51:29');
INSERT INTO `sys_job_log` VALUES (6743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:51:29');
INSERT INTO `sys_job_log` VALUES (6744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:51:34');
INSERT INTO `sys_job_log` VALUES (6745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:51:39');
INSERT INTO `sys_job_log` VALUES (6746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:51:44');
INSERT INTO `sys_job_log` VALUES (6747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-24 12:51:44');
INSERT INTO `sys_job_log` VALUES (6748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:51:49');
INSERT INTO `sys_job_log` VALUES (6749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:51:54');
INSERT INTO `sys_job_log` VALUES (6750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 12:51:59');
INSERT INTO `sys_job_log` VALUES (6751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：151毫秒', '0', '', '2024-12-24 12:51:59');
INSERT INTO `sys_job_log` VALUES (6752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 12:52:04');
INSERT INTO `sys_job_log` VALUES (6753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 12:52:09');
INSERT INTO `sys_job_log` VALUES (6754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:52:14');
INSERT INTO `sys_job_log` VALUES (6755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 12:52:14');
INSERT INTO `sys_job_log` VALUES (6756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:52:19');
INSERT INTO `sys_job_log` VALUES (6757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 12:52:24');
INSERT INTO `sys_job_log` VALUES (6758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:52:29');
INSERT INTO `sys_job_log` VALUES (6759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 12:52:29');
INSERT INTO `sys_job_log` VALUES (6760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:52:34');
INSERT INTO `sys_job_log` VALUES (6761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:52:39');
INSERT INTO `sys_job_log` VALUES (6762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 12:52:44');
INSERT INTO `sys_job_log` VALUES (6763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:52:44');
INSERT INTO `sys_job_log` VALUES (6764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:52:49');
INSERT INTO `sys_job_log` VALUES (6765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:52:54');
INSERT INTO `sys_job_log` VALUES (6766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 12:52:59');
INSERT INTO `sys_job_log` VALUES (6767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:52:59');
INSERT INTO `sys_job_log` VALUES (6768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:53:04');
INSERT INTO `sys_job_log` VALUES (6769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:53:09');
INSERT INTO `sys_job_log` VALUES (6770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:53:14');
INSERT INTO `sys_job_log` VALUES (6771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:53:14');
INSERT INTO `sys_job_log` VALUES (6772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:53:19');
INSERT INTO `sys_job_log` VALUES (6773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:53:24');
INSERT INTO `sys_job_log` VALUES (6774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:53:29');
INSERT INTO `sys_job_log` VALUES (6775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:53:29');
INSERT INTO `sys_job_log` VALUES (6776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:53:34');
INSERT INTO `sys_job_log` VALUES (6777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:53:39');
INSERT INTO `sys_job_log` VALUES (6778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:53:44');
INSERT INTO `sys_job_log` VALUES (6779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 12:53:44');
INSERT INTO `sys_job_log` VALUES (6780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:53:49');
INSERT INTO `sys_job_log` VALUES (6781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 12:53:54');
INSERT INTO `sys_job_log` VALUES (6782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:53:59');
INSERT INTO `sys_job_log` VALUES (6783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:53:59');
INSERT INTO `sys_job_log` VALUES (6784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:54:04');
INSERT INTO `sys_job_log` VALUES (6785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:54:09');
INSERT INTO `sys_job_log` VALUES (6786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：119毫秒', '0', '', '2024-12-24 12:54:15');
INSERT INTO `sys_job_log` VALUES (6787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：119毫秒', '0', '', '2024-12-24 12:54:15');
INSERT INTO `sys_job_log` VALUES (6788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:54:19');
INSERT INTO `sys_job_log` VALUES (6789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:54:24');
INSERT INTO `sys_job_log` VALUES (6790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 12:54:29');
INSERT INTO `sys_job_log` VALUES (6791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 12:54:29');
INSERT INTO `sys_job_log` VALUES (6792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:54:34');
INSERT INTO `sys_job_log` VALUES (6793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:54:39');
INSERT INTO `sys_job_log` VALUES (6794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:54:44');
INSERT INTO `sys_job_log` VALUES (6795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 12:54:44');
INSERT INTO `sys_job_log` VALUES (6796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 12:54:49');
INSERT INTO `sys_job_log` VALUES (6797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:54:54');
INSERT INTO `sys_job_log` VALUES (6798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:54:59');
INSERT INTO `sys_job_log` VALUES (6799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 12:54:59');
INSERT INTO `sys_job_log` VALUES (6800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 12:55:04');
INSERT INTO `sys_job_log` VALUES (6801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 12:55:09');
INSERT INTO `sys_job_log` VALUES (6802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 12:55:14');
INSERT INTO `sys_job_log` VALUES (6803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 12:55:14');
INSERT INTO `sys_job_log` VALUES (6804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:55:19');
INSERT INTO `sys_job_log` VALUES (6805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:55:24');
INSERT INTO `sys_job_log` VALUES (6806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：122毫秒', '0', '', '2024-12-24 12:55:29');
INSERT INTO `sys_job_log` VALUES (6807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：121毫秒', '0', '', '2024-12-24 12:55:29');
INSERT INTO `sys_job_log` VALUES (6808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:55:34');
INSERT INTO `sys_job_log` VALUES (6809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:55:39');
INSERT INTO `sys_job_log` VALUES (6810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 12:55:44');
INSERT INTO `sys_job_log` VALUES (6811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:55:44');
INSERT INTO `sys_job_log` VALUES (6812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:55:49');
INSERT INTO `sys_job_log` VALUES (6813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:55:54');
INSERT INTO `sys_job_log` VALUES (6814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 12:55:59');
INSERT INTO `sys_job_log` VALUES (6815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:55:59');
INSERT INTO `sys_job_log` VALUES (6816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:56:04');
INSERT INTO `sys_job_log` VALUES (6817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:56:09');
INSERT INTO `sys_job_log` VALUES (6818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 12:56:14');
INSERT INTO `sys_job_log` VALUES (6819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 12:56:14');
INSERT INTO `sys_job_log` VALUES (6820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:56:19');
INSERT INTO `sys_job_log` VALUES (6821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:56:24');
INSERT INTO `sys_job_log` VALUES (6822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:56:29');
INSERT INTO `sys_job_log` VALUES (6823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 12:56:29');
INSERT INTO `sys_job_log` VALUES (6824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 12:56:34');
INSERT INTO `sys_job_log` VALUES (6825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:56:39');
INSERT INTO `sys_job_log` VALUES (6826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:56:44');
INSERT INTO `sys_job_log` VALUES (6827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 12:56:44');
INSERT INTO `sys_job_log` VALUES (6828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:56:49');
INSERT INTO `sys_job_log` VALUES (6829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:56:54');
INSERT INTO `sys_job_log` VALUES (6830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:56:59');
INSERT INTO `sys_job_log` VALUES (6831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:56:59');
INSERT INTO `sys_job_log` VALUES (6832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:57:04');
INSERT INTO `sys_job_log` VALUES (6833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:57:09');
INSERT INTO `sys_job_log` VALUES (6834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:57:14');
INSERT INTO `sys_job_log` VALUES (6835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:57:14');
INSERT INTO `sys_job_log` VALUES (6836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:57:19');
INSERT INTO `sys_job_log` VALUES (6837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 12:57:24');
INSERT INTO `sys_job_log` VALUES (6838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:57:29');
INSERT INTO `sys_job_log` VALUES (6839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:57:29');
INSERT INTO `sys_job_log` VALUES (6840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:57:34');
INSERT INTO `sys_job_log` VALUES (6841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 12:57:39');
INSERT INTO `sys_job_log` VALUES (6842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 12:57:44');
INSERT INTO `sys_job_log` VALUES (6843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2024-12-24 12:57:44');
INSERT INTO `sys_job_log` VALUES (6844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:57:49');
INSERT INTO `sys_job_log` VALUES (6845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 12:57:54');
INSERT INTO `sys_job_log` VALUES (6846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 12:57:59');
INSERT INTO `sys_job_log` VALUES (6847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 12:57:59');
INSERT INTO `sys_job_log` VALUES (6848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 12:58:04');
INSERT INTO `sys_job_log` VALUES (6849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:58:09');
INSERT INTO `sys_job_log` VALUES (6850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:58:14');
INSERT INTO `sys_job_log` VALUES (6851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:58:14');
INSERT INTO `sys_job_log` VALUES (6852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:58:19');
INSERT INTO `sys_job_log` VALUES (6853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 12:58:24');
INSERT INTO `sys_job_log` VALUES (6854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 12:58:29');
INSERT INTO `sys_job_log` VALUES (6855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 12:58:29');
INSERT INTO `sys_job_log` VALUES (6856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:58:34');
INSERT INTO `sys_job_log` VALUES (6857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:58:39');
INSERT INTO `sys_job_log` VALUES (6858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:58:44');
INSERT INTO `sys_job_log` VALUES (6859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 12:58:44');
INSERT INTO `sys_job_log` VALUES (6860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 12:58:49');
INSERT INTO `sys_job_log` VALUES (6861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:58:54');
INSERT INTO `sys_job_log` VALUES (6862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:58:59');
INSERT INTO `sys_job_log` VALUES (6863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:58:59');
INSERT INTO `sys_job_log` VALUES (6864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:59:04');
INSERT INTO `sys_job_log` VALUES (6865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 12:59:09');
INSERT INTO `sys_job_log` VALUES (6866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 12:59:14');
INSERT INTO `sys_job_log` VALUES (6867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 12:59:14');
INSERT INTO `sys_job_log` VALUES (6868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 12:59:19');
INSERT INTO `sys_job_log` VALUES (6869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 12:59:24');
INSERT INTO `sys_job_log` VALUES (6870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 12:59:29');
INSERT INTO `sys_job_log` VALUES (6871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 12:59:29');
INSERT INTO `sys_job_log` VALUES (6872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 12:59:34');
INSERT INTO `sys_job_log` VALUES (6873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 12:59:39');
INSERT INTO `sys_job_log` VALUES (6874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 12:59:44');
INSERT INTO `sys_job_log` VALUES (6875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 12:59:44');
INSERT INTO `sys_job_log` VALUES (6876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 12:59:49');
INSERT INTO `sys_job_log` VALUES (6877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:59:54');
INSERT INTO `sys_job_log` VALUES (6878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 12:59:59');
INSERT INTO `sys_job_log` VALUES (6879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 12:59:59');
INSERT INTO `sys_job_log` VALUES (6880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:00:04');
INSERT INTO `sys_job_log` VALUES (6881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:00:09');
INSERT INTO `sys_job_log` VALUES (6882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:00:14');
INSERT INTO `sys_job_log` VALUES (6883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:00:14');
INSERT INTO `sys_job_log` VALUES (6884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:00:19');
INSERT INTO `sys_job_log` VALUES (6885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:00:24');
INSERT INTO `sys_job_log` VALUES (6886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:00:29');
INSERT INTO `sys_job_log` VALUES (6887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:00:29');
INSERT INTO `sys_job_log` VALUES (6888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:00:34');
INSERT INTO `sys_job_log` VALUES (6889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:00:39');
INSERT INTO `sys_job_log` VALUES (6890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:00:44');
INSERT INTO `sys_job_log` VALUES (6891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:00:44');
INSERT INTO `sys_job_log` VALUES (6892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:00:49');
INSERT INTO `sys_job_log` VALUES (6893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:00:54');
INSERT INTO `sys_job_log` VALUES (6894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:00:59');
INSERT INTO `sys_job_log` VALUES (6895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:00:59');
INSERT INTO `sys_job_log` VALUES (6896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:01:04');
INSERT INTO `sys_job_log` VALUES (6897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:01:09');
INSERT INTO `sys_job_log` VALUES (6898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:01:14');
INSERT INTO `sys_job_log` VALUES (6899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:01:14');
INSERT INTO `sys_job_log` VALUES (6900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 13:01:19');
INSERT INTO `sys_job_log` VALUES (6901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2024-12-24 13:01:24');
INSERT INTO `sys_job_log` VALUES (6902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:01:29');
INSERT INTO `sys_job_log` VALUES (6903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 13:01:29');
INSERT INTO `sys_job_log` VALUES (6904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:01:34');
INSERT INTO `sys_job_log` VALUES (6905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:01:39');
INSERT INTO `sys_job_log` VALUES (6906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:01:44');
INSERT INTO `sys_job_log` VALUES (6907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 13:01:44');
INSERT INTO `sys_job_log` VALUES (6908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:01:49');
INSERT INTO `sys_job_log` VALUES (6909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:01:54');
INSERT INTO `sys_job_log` VALUES (6910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:01:59');
INSERT INTO `sys_job_log` VALUES (6911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 13:01:59');
INSERT INTO `sys_job_log` VALUES (6912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:02:04');
INSERT INTO `sys_job_log` VALUES (6913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:02:09');
INSERT INTO `sys_job_log` VALUES (6914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:02:14');
INSERT INTO `sys_job_log` VALUES (6915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 13:02:14');
INSERT INTO `sys_job_log` VALUES (6916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:02:19');
INSERT INTO `sys_job_log` VALUES (6917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 13:02:24');
INSERT INTO `sys_job_log` VALUES (6918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:02:29');
INSERT INTO `sys_job_log` VALUES (6919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:02:29');
INSERT INTO `sys_job_log` VALUES (6920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:02:34');
INSERT INTO `sys_job_log` VALUES (6921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:02:39');
INSERT INTO `sys_job_log` VALUES (6922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:02:44');
INSERT INTO `sys_job_log` VALUES (6923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:02:44');
INSERT INTO `sys_job_log` VALUES (6924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:02:49');
INSERT INTO `sys_job_log` VALUES (6925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:02:54');
INSERT INTO `sys_job_log` VALUES (6926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:02:59');
INSERT INTO `sys_job_log` VALUES (6927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:02:59');
INSERT INTO `sys_job_log` VALUES (6928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:03:04');
INSERT INTO `sys_job_log` VALUES (6929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:03:09');
INSERT INTO `sys_job_log` VALUES (6930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:03:14');
INSERT INTO `sys_job_log` VALUES (6931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:03:14');
INSERT INTO `sys_job_log` VALUES (6932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:03:19');
INSERT INTO `sys_job_log` VALUES (6933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:03:24');
INSERT INTO `sys_job_log` VALUES (6934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:03:29');
INSERT INTO `sys_job_log` VALUES (6935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:03:29');
INSERT INTO `sys_job_log` VALUES (6936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:03:34');
INSERT INTO `sys_job_log` VALUES (6937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:03:39');
INSERT INTO `sys_job_log` VALUES (6938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:03:44');
INSERT INTO `sys_job_log` VALUES (6939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 13:03:44');
INSERT INTO `sys_job_log` VALUES (6940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:03:49');
INSERT INTO `sys_job_log` VALUES (6941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:03:54');
INSERT INTO `sys_job_log` VALUES (6942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:03:59');
INSERT INTO `sys_job_log` VALUES (6943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24毫秒', '0', '', '2024-12-24 13:03:59');
INSERT INTO `sys_job_log` VALUES (6944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:04:04');
INSERT INTO `sys_job_log` VALUES (6945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:04:09');
INSERT INTO `sys_job_log` VALUES (6946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:04:14');
INSERT INTO `sys_job_log` VALUES (6947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:04:14');
INSERT INTO `sys_job_log` VALUES (6948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:04:19');
INSERT INTO `sys_job_log` VALUES (6949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:04:24');
INSERT INTO `sys_job_log` VALUES (6950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 13:04:29');
INSERT INTO `sys_job_log` VALUES (6951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:04:29');
INSERT INTO `sys_job_log` VALUES (6952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2024-12-24 13:04:34');
INSERT INTO `sys_job_log` VALUES (6953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:04:39');
INSERT INTO `sys_job_log` VALUES (6954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:04:44');
INSERT INTO `sys_job_log` VALUES (6955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:04:44');
INSERT INTO `sys_job_log` VALUES (6956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-24 13:04:49');
INSERT INTO `sys_job_log` VALUES (6957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:04:54');
INSERT INTO `sys_job_log` VALUES (6958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:04:59');
INSERT INTO `sys_job_log` VALUES (6959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:04:59');
INSERT INTO `sys_job_log` VALUES (6960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:05:04');
INSERT INTO `sys_job_log` VALUES (6961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:05:09');
INSERT INTO `sys_job_log` VALUES (6962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:05:14');
INSERT INTO `sys_job_log` VALUES (6963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:05:14');
INSERT INTO `sys_job_log` VALUES (6964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:05:19');
INSERT INTO `sys_job_log` VALUES (6965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:05:24');
INSERT INTO `sys_job_log` VALUES (6966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:05:29');
INSERT INTO `sys_job_log` VALUES (6967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:05:29');
INSERT INTO `sys_job_log` VALUES (6968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:05:34');
INSERT INTO `sys_job_log` VALUES (6969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:05:39');
INSERT INTO `sys_job_log` VALUES (6970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 13:05:44');
INSERT INTO `sys_job_log` VALUES (6971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:05:44');
INSERT INTO `sys_job_log` VALUES (6972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:05:49');
INSERT INTO `sys_job_log` VALUES (6973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:05:54');
INSERT INTO `sys_job_log` VALUES (6974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:05:59');
INSERT INTO `sys_job_log` VALUES (6975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 13:05:59');
INSERT INTO `sys_job_log` VALUES (6976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:06:04');
INSERT INTO `sys_job_log` VALUES (6977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:06:09');
INSERT INTO `sys_job_log` VALUES (6978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:06:14');
INSERT INTO `sys_job_log` VALUES (6979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:06:14');
INSERT INTO `sys_job_log` VALUES (6980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-24 13:06:19');
INSERT INTO `sys_job_log` VALUES (6981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:06:24');
INSERT INTO `sys_job_log` VALUES (6982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:06:29');
INSERT INTO `sys_job_log` VALUES (6983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 13:06:29');
INSERT INTO `sys_job_log` VALUES (6984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:06:34');
INSERT INTO `sys_job_log` VALUES (6985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:06:39');
INSERT INTO `sys_job_log` VALUES (6986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 13:06:44');
INSERT INTO `sys_job_log` VALUES (6987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:06:44');
INSERT INTO `sys_job_log` VALUES (6988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:06:49');
INSERT INTO `sys_job_log` VALUES (6989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:06:54');
INSERT INTO `sys_job_log` VALUES (6990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 13:06:59');
INSERT INTO `sys_job_log` VALUES (6991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 13:06:59');
INSERT INTO `sys_job_log` VALUES (6992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:07:04');
INSERT INTO `sys_job_log` VALUES (6993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:07:09');
INSERT INTO `sys_job_log` VALUES (6994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:07:14');
INSERT INTO `sys_job_log` VALUES (6995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:07:14');
INSERT INTO `sys_job_log` VALUES (6996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 13:07:19');
INSERT INTO `sys_job_log` VALUES (6997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:07:24');
INSERT INTO `sys_job_log` VALUES (6998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:07:29');
INSERT INTO `sys_job_log` VALUES (6999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:07:29');
INSERT INTO `sys_job_log` VALUES (7000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:07:34');
INSERT INTO `sys_job_log` VALUES (7001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:07:39');
INSERT INTO `sys_job_log` VALUES (7002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:07:44');
INSERT INTO `sys_job_log` VALUES (7003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:07:44');
INSERT INTO `sys_job_log` VALUES (7004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:07:49');
INSERT INTO `sys_job_log` VALUES (7005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:07:54');
INSERT INTO `sys_job_log` VALUES (7006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:07:59');
INSERT INTO `sys_job_log` VALUES (7007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:07:59');
INSERT INTO `sys_job_log` VALUES (7008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:08:04');
INSERT INTO `sys_job_log` VALUES (7009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:08:09');
INSERT INTO `sys_job_log` VALUES (7010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:08:14');
INSERT INTO `sys_job_log` VALUES (7011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:08:14');
INSERT INTO `sys_job_log` VALUES (7012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:08:19');
INSERT INTO `sys_job_log` VALUES (7013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:08:24');
INSERT INTO `sys_job_log` VALUES (7014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:08:29');
INSERT INTO `sys_job_log` VALUES (7015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:08:29');
INSERT INTO `sys_job_log` VALUES (7016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:08:34');
INSERT INTO `sys_job_log` VALUES (7017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:08:39');
INSERT INTO `sys_job_log` VALUES (7018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:08:44');
INSERT INTO `sys_job_log` VALUES (7019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 13:08:44');
INSERT INTO `sys_job_log` VALUES (7020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:08:49');
INSERT INTO `sys_job_log` VALUES (7021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:08:54');
INSERT INTO `sys_job_log` VALUES (7022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:08:59');
INSERT INTO `sys_job_log` VALUES (7023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 13:08:59');
INSERT INTO `sys_job_log` VALUES (7024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:09:04');
INSERT INTO `sys_job_log` VALUES (7025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:09:09');
INSERT INTO `sys_job_log` VALUES (7026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:09:14');
INSERT INTO `sys_job_log` VALUES (7027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:09:14');
INSERT INTO `sys_job_log` VALUES (7028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:09:19');
INSERT INTO `sys_job_log` VALUES (7029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 13:09:24');
INSERT INTO `sys_job_log` VALUES (7030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:09:29');
INSERT INTO `sys_job_log` VALUES (7031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 13:09:29');
INSERT INTO `sys_job_log` VALUES (7032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:09:34');
INSERT INTO `sys_job_log` VALUES (7033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:09:39');
INSERT INTO `sys_job_log` VALUES (7034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:09:44');
INSERT INTO `sys_job_log` VALUES (7035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 13:09:44');
INSERT INTO `sys_job_log` VALUES (7036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:09:49');
INSERT INTO `sys_job_log` VALUES (7037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 13:09:54');
INSERT INTO `sys_job_log` VALUES (7038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:09:59');
INSERT INTO `sys_job_log` VALUES (7039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:09:59');
INSERT INTO `sys_job_log` VALUES (7040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:10:04');
INSERT INTO `sys_job_log` VALUES (7041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:10:09');
INSERT INTO `sys_job_log` VALUES (7042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:10:14');
INSERT INTO `sys_job_log` VALUES (7043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:10:14');
INSERT INTO `sys_job_log` VALUES (7044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:10:19');
INSERT INTO `sys_job_log` VALUES (7045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:10:24');
INSERT INTO `sys_job_log` VALUES (7046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:10:29');
INSERT INTO `sys_job_log` VALUES (7047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:10:29');
INSERT INTO `sys_job_log` VALUES (7048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:10:34');
INSERT INTO `sys_job_log` VALUES (7049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:10:39');
INSERT INTO `sys_job_log` VALUES (7050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:10:44');
INSERT INTO `sys_job_log` VALUES (7051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:10:44');
INSERT INTO `sys_job_log` VALUES (7052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:10:49');
INSERT INTO `sys_job_log` VALUES (7053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:10:54');
INSERT INTO `sys_job_log` VALUES (7054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:10:59');
INSERT INTO `sys_job_log` VALUES (7055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:10:59');
INSERT INTO `sys_job_log` VALUES (7056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:11:04');
INSERT INTO `sys_job_log` VALUES (7057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:11:09');
INSERT INTO `sys_job_log` VALUES (7058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:11:14');
INSERT INTO `sys_job_log` VALUES (7059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:11:14');
INSERT INTO `sys_job_log` VALUES (7060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:11:19');
INSERT INTO `sys_job_log` VALUES (7061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:11:24');
INSERT INTO `sys_job_log` VALUES (7062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:11:29');
INSERT INTO `sys_job_log` VALUES (7063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 13:11:29');
INSERT INTO `sys_job_log` VALUES (7064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:11:34');
INSERT INTO `sys_job_log` VALUES (7065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:11:39');
INSERT INTO `sys_job_log` VALUES (7066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:11:44');
INSERT INTO `sys_job_log` VALUES (7067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 13:11:44');
INSERT INTO `sys_job_log` VALUES (7068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:11:49');
INSERT INTO `sys_job_log` VALUES (7069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:11:54');
INSERT INTO `sys_job_log` VALUES (7070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:11:59');
INSERT INTO `sys_job_log` VALUES (7071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:11:59');
INSERT INTO `sys_job_log` VALUES (7072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:12:04');
INSERT INTO `sys_job_log` VALUES (7073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:12:09');
INSERT INTO `sys_job_log` VALUES (7074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:12:14');
INSERT INTO `sys_job_log` VALUES (7075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:12:14');
INSERT INTO `sys_job_log` VALUES (7076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:12:19');
INSERT INTO `sys_job_log` VALUES (7077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:12:24');
INSERT INTO `sys_job_log` VALUES (7078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:12:29');
INSERT INTO `sys_job_log` VALUES (7079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:12:29');
INSERT INTO `sys_job_log` VALUES (7080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:12:34');
INSERT INTO `sys_job_log` VALUES (7081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:12:39');
INSERT INTO `sys_job_log` VALUES (7082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 13:12:44');
INSERT INTO `sys_job_log` VALUES (7083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:12:44');
INSERT INTO `sys_job_log` VALUES (7084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:12:49');
INSERT INTO `sys_job_log` VALUES (7085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:12:54');
INSERT INTO `sys_job_log` VALUES (7086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:12:59');
INSERT INTO `sys_job_log` VALUES (7087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:12:59');
INSERT INTO `sys_job_log` VALUES (7088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:13:04');
INSERT INTO `sys_job_log` VALUES (7089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:13:09');
INSERT INTO `sys_job_log` VALUES (7090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:13:14');
INSERT INTO `sys_job_log` VALUES (7091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:13:14');
INSERT INTO `sys_job_log` VALUES (7092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:13:19');
INSERT INTO `sys_job_log` VALUES (7093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:13:24');
INSERT INTO `sys_job_log` VALUES (7094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:13:29');
INSERT INTO `sys_job_log` VALUES (7095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 13:13:29');
INSERT INTO `sys_job_log` VALUES (7096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:13:34');
INSERT INTO `sys_job_log` VALUES (7097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:13:39');
INSERT INTO `sys_job_log` VALUES (7098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:13:44');
INSERT INTO `sys_job_log` VALUES (7099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:13:44');
INSERT INTO `sys_job_log` VALUES (7100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 13:13:49');
INSERT INTO `sys_job_log` VALUES (7101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:13:54');
INSERT INTO `sys_job_log` VALUES (7102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:13:59');
INSERT INTO `sys_job_log` VALUES (7103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:13:59');
INSERT INTO `sys_job_log` VALUES (7104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:14:04');
INSERT INTO `sys_job_log` VALUES (7105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:14:09');
INSERT INTO `sys_job_log` VALUES (7106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 13:14:14');
INSERT INTO `sys_job_log` VALUES (7107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:14:14');
INSERT INTO `sys_job_log` VALUES (7108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 13:14:19');
INSERT INTO `sys_job_log` VALUES (7109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:14:24');
INSERT INTO `sys_job_log` VALUES (7110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:14:29');
INSERT INTO `sys_job_log` VALUES (7111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:14:29');
INSERT INTO `sys_job_log` VALUES (7112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:14:34');
INSERT INTO `sys_job_log` VALUES (7113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:14:39');
INSERT INTO `sys_job_log` VALUES (7114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:14:44');
INSERT INTO `sys_job_log` VALUES (7115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:14:44');
INSERT INTO `sys_job_log` VALUES (7116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:14:49');
INSERT INTO `sys_job_log` VALUES (7117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:14:54');
INSERT INTO `sys_job_log` VALUES (7118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:14:59');
INSERT INTO `sys_job_log` VALUES (7119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:14:59');
INSERT INTO `sys_job_log` VALUES (7120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:15:04');
INSERT INTO `sys_job_log` VALUES (7121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 13:15:09');
INSERT INTO `sys_job_log` VALUES (7122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:15:14');
INSERT INTO `sys_job_log` VALUES (7123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:15:14');
INSERT INTO `sys_job_log` VALUES (7124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:15:19');
INSERT INTO `sys_job_log` VALUES (7125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:15:24');
INSERT INTO `sys_job_log` VALUES (7126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:15:29');
INSERT INTO `sys_job_log` VALUES (7127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:15:29');
INSERT INTO `sys_job_log` VALUES (7128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:15:34');
INSERT INTO `sys_job_log` VALUES (7129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:15:39');
INSERT INTO `sys_job_log` VALUES (7130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:15:44');
INSERT INTO `sys_job_log` VALUES (7131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 13:15:44');
INSERT INTO `sys_job_log` VALUES (7132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:15:49');
INSERT INTO `sys_job_log` VALUES (7133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:15:54');
INSERT INTO `sys_job_log` VALUES (7134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:15:59');
INSERT INTO `sys_job_log` VALUES (7135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 13:15:59');
INSERT INTO `sys_job_log` VALUES (7136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:16:04');
INSERT INTO `sys_job_log` VALUES (7137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:16:09');
INSERT INTO `sys_job_log` VALUES (7138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 13:16:14');
INSERT INTO `sys_job_log` VALUES (7139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 13:16:14');
INSERT INTO `sys_job_log` VALUES (7140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:16:19');
INSERT INTO `sys_job_log` VALUES (7141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:16:24');
INSERT INTO `sys_job_log` VALUES (7142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:16:29');
INSERT INTO `sys_job_log` VALUES (7143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 13:16:29');
INSERT INTO `sys_job_log` VALUES (7144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:16:34');
INSERT INTO `sys_job_log` VALUES (7145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:16:39');
INSERT INTO `sys_job_log` VALUES (7146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:16:44');
INSERT INTO `sys_job_log` VALUES (7147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 13:16:44');
INSERT INTO `sys_job_log` VALUES (7148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:16:49');
INSERT INTO `sys_job_log` VALUES (7149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:16:54');
INSERT INTO `sys_job_log` VALUES (7150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:16:59');
INSERT INTO `sys_job_log` VALUES (7151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:16:59');
INSERT INTO `sys_job_log` VALUES (7152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 13:17:04');
INSERT INTO `sys_job_log` VALUES (7153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:17:09');
INSERT INTO `sys_job_log` VALUES (7154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:17:14');
INSERT INTO `sys_job_log` VALUES (7155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:17:14');
INSERT INTO `sys_job_log` VALUES (7156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:17:19');
INSERT INTO `sys_job_log` VALUES (7157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:17:24');
INSERT INTO `sys_job_log` VALUES (7158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:17:29');
INSERT INTO `sys_job_log` VALUES (7159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:17:29');
INSERT INTO `sys_job_log` VALUES (7160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:17:34');
INSERT INTO `sys_job_log` VALUES (7161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:17:39');
INSERT INTO `sys_job_log` VALUES (7162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 13:17:44');
INSERT INTO `sys_job_log` VALUES (7163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:17:44');
INSERT INTO `sys_job_log` VALUES (7164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:17:49');
INSERT INTO `sys_job_log` VALUES (7165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:17:54');
INSERT INTO `sys_job_log` VALUES (7166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:17:59');
INSERT INTO `sys_job_log` VALUES (7167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:17:59');
INSERT INTO `sys_job_log` VALUES (7168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:18:04');
INSERT INTO `sys_job_log` VALUES (7169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:18:09');
INSERT INTO `sys_job_log` VALUES (7170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 13:18:14');
INSERT INTO `sys_job_log` VALUES (7171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 13:18:14');
INSERT INTO `sys_job_log` VALUES (7172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-24 13:18:19');
INSERT INTO `sys_job_log` VALUES (7173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:18:24');
INSERT INTO `sys_job_log` VALUES (7174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:18:29');
INSERT INTO `sys_job_log` VALUES (7175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 13:18:29');
INSERT INTO `sys_job_log` VALUES (7176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:18:34');
INSERT INTO `sys_job_log` VALUES (7177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:18:39');
INSERT INTO `sys_job_log` VALUES (7178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:18:44');
INSERT INTO `sys_job_log` VALUES (7179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:18:44');
INSERT INTO `sys_job_log` VALUES (7180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:18:49');
INSERT INTO `sys_job_log` VALUES (7181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:18:54');
INSERT INTO `sys_job_log` VALUES (7182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:18:59');
INSERT INTO `sys_job_log` VALUES (7183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:18:59');
INSERT INTO `sys_job_log` VALUES (7184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:19:04');
INSERT INTO `sys_job_log` VALUES (7185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-24 13:19:09');
INSERT INTO `sys_job_log` VALUES (7186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:19:14');
INSERT INTO `sys_job_log` VALUES (7187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:19:14');
INSERT INTO `sys_job_log` VALUES (7188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:19:19');
INSERT INTO `sys_job_log` VALUES (7189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:19:24');
INSERT INTO `sys_job_log` VALUES (7190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:19:29');
INSERT INTO `sys_job_log` VALUES (7191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 13:19:29');
INSERT INTO `sys_job_log` VALUES (7192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:19:34');
INSERT INTO `sys_job_log` VALUES (7193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:19:39');
INSERT INTO `sys_job_log` VALUES (7194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 13:19:44');
INSERT INTO `sys_job_log` VALUES (7195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:19:44');
INSERT INTO `sys_job_log` VALUES (7196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:19:49');
INSERT INTO `sys_job_log` VALUES (7197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:19:54');
INSERT INTO `sys_job_log` VALUES (7198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:19:59');
INSERT INTO `sys_job_log` VALUES (7199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:19:59');
INSERT INTO `sys_job_log` VALUES (7200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:20:04');
INSERT INTO `sys_job_log` VALUES (7201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:20:09');
INSERT INTO `sys_job_log` VALUES (7202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:20:14');
INSERT INTO `sys_job_log` VALUES (7203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 13:20:14');
INSERT INTO `sys_job_log` VALUES (7204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：392毫秒', '0', '', '2024-12-24 13:20:20');
INSERT INTO `sys_job_log` VALUES (7205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:20:24');
INSERT INTO `sys_job_log` VALUES (7206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:20:29');
INSERT INTO `sys_job_log` VALUES (7207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:20:29');
INSERT INTO `sys_job_log` VALUES (7208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:20:34');
INSERT INTO `sys_job_log` VALUES (7209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:20:39');
INSERT INTO `sys_job_log` VALUES (7210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:20:44');
INSERT INTO `sys_job_log` VALUES (7211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 13:20:44');
INSERT INTO `sys_job_log` VALUES (7212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:20:49');
INSERT INTO `sys_job_log` VALUES (7213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:20:54');
INSERT INTO `sys_job_log` VALUES (7214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:20:59');
INSERT INTO `sys_job_log` VALUES (7215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:20:59');
INSERT INTO `sys_job_log` VALUES (7216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:21:04');
INSERT INTO `sys_job_log` VALUES (7217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:21:09');
INSERT INTO `sys_job_log` VALUES (7218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:21:14');
INSERT INTO `sys_job_log` VALUES (7219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 13:21:14');
INSERT INTO `sys_job_log` VALUES (7220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:21:19');
INSERT INTO `sys_job_log` VALUES (7221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:21:24');
INSERT INTO `sys_job_log` VALUES (7222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:21:29');
INSERT INTO `sys_job_log` VALUES (7223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 13:21:29');
INSERT INTO `sys_job_log` VALUES (7224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:21:34');
INSERT INTO `sys_job_log` VALUES (7225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:21:39');
INSERT INTO `sys_job_log` VALUES (7226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 13:21:44');
INSERT INTO `sys_job_log` VALUES (7227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:21:44');
INSERT INTO `sys_job_log` VALUES (7228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:21:49');
INSERT INTO `sys_job_log` VALUES (7229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:21:54');
INSERT INTO `sys_job_log` VALUES (7230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:21:59');
INSERT INTO `sys_job_log` VALUES (7231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:21:59');
INSERT INTO `sys_job_log` VALUES (7232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:22:04');
INSERT INTO `sys_job_log` VALUES (7233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:22:09');
INSERT INTO `sys_job_log` VALUES (7234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:22:14');
INSERT INTO `sys_job_log` VALUES (7235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:22:14');
INSERT INTO `sys_job_log` VALUES (7236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:22:19');
INSERT INTO `sys_job_log` VALUES (7237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:22:24');
INSERT INTO `sys_job_log` VALUES (7238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-24 13:22:29');
INSERT INTO `sys_job_log` VALUES (7239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 13:22:29');
INSERT INTO `sys_job_log` VALUES (7240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:22:34');
INSERT INTO `sys_job_log` VALUES (7241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:22:39');
INSERT INTO `sys_job_log` VALUES (7242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:22:44');
INSERT INTO `sys_job_log` VALUES (7243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:22:44');
INSERT INTO `sys_job_log` VALUES (7244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:22:49');
INSERT INTO `sys_job_log` VALUES (7245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:22:54');
INSERT INTO `sys_job_log` VALUES (7246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：583毫秒', '0', '', '2024-12-24 13:23:00');
INSERT INTO `sys_job_log` VALUES (7247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：582毫秒', '0', '', '2024-12-24 13:23:00');
INSERT INTO `sys_job_log` VALUES (7248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:23:04');
INSERT INTO `sys_job_log` VALUES (7249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:23:09');
INSERT INTO `sys_job_log` VALUES (7250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:23:14');
INSERT INTO `sys_job_log` VALUES (7251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:23:14');
INSERT INTO `sys_job_log` VALUES (7252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:23:19');
INSERT INTO `sys_job_log` VALUES (7253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:23:24');
INSERT INTO `sys_job_log` VALUES (7254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:23:29');
INSERT INTO `sys_job_log` VALUES (7255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:23:29');
INSERT INTO `sys_job_log` VALUES (7256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:23:34');
INSERT INTO `sys_job_log` VALUES (7257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:23:39');
INSERT INTO `sys_job_log` VALUES (7258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:23:44');
INSERT INTO `sys_job_log` VALUES (7259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:23:44');
INSERT INTO `sys_job_log` VALUES (7260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:23:49');
INSERT INTO `sys_job_log` VALUES (7261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:23:54');
INSERT INTO `sys_job_log` VALUES (7262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:23:59');
INSERT INTO `sys_job_log` VALUES (7263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:23:59');
INSERT INTO `sys_job_log` VALUES (7264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 13:24:04');
INSERT INTO `sys_job_log` VALUES (7265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：594毫秒', '0', '', '2024-12-24 13:24:10');
INSERT INTO `sys_job_log` VALUES (7266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:24:14');
INSERT INTO `sys_job_log` VALUES (7267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:24:14');
INSERT INTO `sys_job_log` VALUES (7268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:24:19');
INSERT INTO `sys_job_log` VALUES (7269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:24:24');
INSERT INTO `sys_job_log` VALUES (7270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:24:29');
INSERT INTO `sys_job_log` VALUES (7271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:24:29');
INSERT INTO `sys_job_log` VALUES (7272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:24:34');
INSERT INTO `sys_job_log` VALUES (7273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:24:39');
INSERT INTO `sys_job_log` VALUES (7274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:24:44');
INSERT INTO `sys_job_log` VALUES (7275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:24:44');
INSERT INTO `sys_job_log` VALUES (7276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:24:49');
INSERT INTO `sys_job_log` VALUES (7277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:24:54');
INSERT INTO `sys_job_log` VALUES (7278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:24:59');
INSERT INTO `sys_job_log` VALUES (7279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 13:24:59');
INSERT INTO `sys_job_log` VALUES (7280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:25:04');
INSERT INTO `sys_job_log` VALUES (7281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:25:09');
INSERT INTO `sys_job_log` VALUES (7282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:25:14');
INSERT INTO `sys_job_log` VALUES (7283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-24 13:25:14');
INSERT INTO `sys_job_log` VALUES (7284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:25:19');
INSERT INTO `sys_job_log` VALUES (7285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:25:24');
INSERT INTO `sys_job_log` VALUES (7286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:25:29');
INSERT INTO `sys_job_log` VALUES (7287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 13:25:29');
INSERT INTO `sys_job_log` VALUES (7288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：338毫秒', '0', '', '2024-12-24 13:25:31');
INSERT INTO `sys_job_log` VALUES (7289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：280毫秒', '0', '', '2024-12-24 13:25:31');
INSERT INTO `sys_job_log` VALUES (7290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:25:34');
INSERT INTO `sys_job_log` VALUES (7291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:25:36');
INSERT INTO `sys_job_log` VALUES (7292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:25:39');
INSERT INTO `sys_job_log` VALUES (7293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:25:41');
INSERT INTO `sys_job_log` VALUES (7294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:25:44');
INSERT INTO `sys_job_log` VALUES (7295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:25:44');
INSERT INTO `sys_job_log` VALUES (7296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:25:46');
INSERT INTO `sys_job_log` VALUES (7297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：108毫秒', '0', '', '2024-12-24 13:25:46');
INSERT INTO `sys_job_log` VALUES (7298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:25:49');
INSERT INTO `sys_job_log` VALUES (7299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:25:51');
INSERT INTO `sys_job_log` VALUES (7300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:25:54');
INSERT INTO `sys_job_log` VALUES (7301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:25:56');
INSERT INTO `sys_job_log` VALUES (7302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2024-12-24 13:25:59');
INSERT INTO `sys_job_log` VALUES (7303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：112毫秒', '0', '', '2024-12-24 13:25:59');
INSERT INTO `sys_job_log` VALUES (7304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:26:01');
INSERT INTO `sys_job_log` VALUES (7305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：111毫秒', '0', '', '2024-12-24 13:26:01');
INSERT INTO `sys_job_log` VALUES (7306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:26:04');
INSERT INTO `sys_job_log` VALUES (7307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 13:26:06');
INSERT INTO `sys_job_log` VALUES (7308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:26:09');
INSERT INTO `sys_job_log` VALUES (7309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:26:11');
INSERT INTO `sys_job_log` VALUES (7310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:26:14');
INSERT INTO `sys_job_log` VALUES (7311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:26:14');
INSERT INTO `sys_job_log` VALUES (7312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:26:16');
INSERT INTO `sys_job_log` VALUES (7313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 13:26:16');
INSERT INTO `sys_job_log` VALUES (7314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：285毫秒', '0', '', '2024-12-24 13:26:19');
INSERT INTO `sys_job_log` VALUES (7315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:26:21');
INSERT INTO `sys_job_log` VALUES (7316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:26:24');
INSERT INTO `sys_job_log` VALUES (7317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:26:26');
INSERT INTO `sys_job_log` VALUES (7318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:26:29');
INSERT INTO `sys_job_log` VALUES (7319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:26:29');
INSERT INTO `sys_job_log` VALUES (7320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:26:31');
INSERT INTO `sys_job_log` VALUES (7321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 13:26:31');
INSERT INTO `sys_job_log` VALUES (7322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:26:34');
INSERT INTO `sys_job_log` VALUES (7323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：250毫秒', '0', '', '2024-12-24 13:26:36');
INSERT INTO `sys_job_log` VALUES (7324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:26:39');
INSERT INTO `sys_job_log` VALUES (7325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:26:41');
INSERT INTO `sys_job_log` VALUES (7326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 13:26:44');
INSERT INTO `sys_job_log` VALUES (7327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:26:44');
INSERT INTO `sys_job_log` VALUES (7328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:26:46');
INSERT INTO `sys_job_log` VALUES (7329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：199毫秒', '0', '', '2024-12-24 13:26:46');
INSERT INTO `sys_job_log` VALUES (7330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：283毫秒', '0', '', '2024-12-24 13:26:49');
INSERT INTO `sys_job_log` VALUES (7331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:26:51');
INSERT INTO `sys_job_log` VALUES (7332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 13:26:54');
INSERT INTO `sys_job_log` VALUES (7333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:26:56');
INSERT INTO `sys_job_log` VALUES (7334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:26:59');
INSERT INTO `sys_job_log` VALUES (7335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:26:59');
INSERT INTO `sys_job_log` VALUES (7336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 13:27:01');
INSERT INTO `sys_job_log` VALUES (7337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：174毫秒', '0', '', '2024-12-24 13:27:01');
INSERT INTO `sys_job_log` VALUES (7338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:27:04');
INSERT INTO `sys_job_log` VALUES (7339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:27:06');
INSERT INTO `sys_job_log` VALUES (7340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:27:09');
INSERT INTO `sys_job_log` VALUES (7341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:27:11');
INSERT INTO `sys_job_log` VALUES (7342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:27:14');
INSERT INTO `sys_job_log` VALUES (7343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 13:27:14');
INSERT INTO `sys_job_log` VALUES (7344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:27:16');
INSERT INTO `sys_job_log` VALUES (7345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：246毫秒', '0', '', '2024-12-24 13:27:16');
INSERT INTO `sys_job_log` VALUES (7346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:27:19');
INSERT INTO `sys_job_log` VALUES (7347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:27:21');
INSERT INTO `sys_job_log` VALUES (7348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:27:24');
INSERT INTO `sys_job_log` VALUES (7349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:27:26');
INSERT INTO `sys_job_log` VALUES (7350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:27:29');
INSERT INTO `sys_job_log` VALUES (7351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 13:27:29');
INSERT INTO `sys_job_log` VALUES (7352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:27:31');
INSERT INTO `sys_job_log` VALUES (7353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：223毫秒', '0', '', '2024-12-24 13:27:31');
INSERT INTO `sys_job_log` VALUES (7354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:27:34');
INSERT INTO `sys_job_log` VALUES (7355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:27:36');
INSERT INTO `sys_job_log` VALUES (7356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:27:39');
INSERT INTO `sys_job_log` VALUES (7357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:27:41');
INSERT INTO `sys_job_log` VALUES (7358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:27:44');
INSERT INTO `sys_job_log` VALUES (7359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:27:44');
INSERT INTO `sys_job_log` VALUES (7360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:27:46');
INSERT INTO `sys_job_log` VALUES (7361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：290毫秒', '0', '', '2024-12-24 13:27:46');
INSERT INTO `sys_job_log` VALUES (7362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:27:49');
INSERT INTO `sys_job_log` VALUES (7363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:27:51');
INSERT INTO `sys_job_log` VALUES (7364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：276毫秒', '0', '', '2024-12-24 13:27:54');
INSERT INTO `sys_job_log` VALUES (7365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:27:56');
INSERT INTO `sys_job_log` VALUES (7366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:27:59');
INSERT INTO `sys_job_log` VALUES (7367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:27:59');
INSERT INTO `sys_job_log` VALUES (7368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:28:01');
INSERT INTO `sys_job_log` VALUES (7369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2024-12-24 13:28:01');
INSERT INTO `sys_job_log` VALUES (7370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:28:04');
INSERT INTO `sys_job_log` VALUES (7371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:28:06');
INSERT INTO `sys_job_log` VALUES (7372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:28:09');
INSERT INTO `sys_job_log` VALUES (7373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:28:11');
INSERT INTO `sys_job_log` VALUES (7374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 13:28:14');
INSERT INTO `sys_job_log` VALUES (7375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:28:14');
INSERT INTO `sys_job_log` VALUES (7376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:28:16');
INSERT INTO `sys_job_log` VALUES (7377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：240毫秒', '0', '', '2024-12-24 13:28:16');
INSERT INTO `sys_job_log` VALUES (7378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:28:19');
INSERT INTO `sys_job_log` VALUES (7379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:28:21');
INSERT INTO `sys_job_log` VALUES (7380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:28:24');
INSERT INTO `sys_job_log` VALUES (7381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:28:26');
INSERT INTO `sys_job_log` VALUES (7382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:28:29');
INSERT INTO `sys_job_log` VALUES (7383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:28:29');
INSERT INTO `sys_job_log` VALUES (7384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:28:31');
INSERT INTO `sys_job_log` VALUES (7385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：213毫秒', '0', '', '2024-12-24 13:28:31');
INSERT INTO `sys_job_log` VALUES (7386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:28:34');
INSERT INTO `sys_job_log` VALUES (7387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:28:36');
INSERT INTO `sys_job_log` VALUES (7388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:28:39');
INSERT INTO `sys_job_log` VALUES (7389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:28:41');
INSERT INTO `sys_job_log` VALUES (7390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:28:44');
INSERT INTO `sys_job_log` VALUES (7391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:28:44');
INSERT INTO `sys_job_log` VALUES (7392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:28:46');
INSERT INTO `sys_job_log` VALUES (7393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：180毫秒', '0', '', '2024-12-24 13:28:46');
INSERT INTO `sys_job_log` VALUES (7394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:28:49');
INSERT INTO `sys_job_log` VALUES (7395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:28:51');
INSERT INTO `sys_job_log` VALUES (7396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:28:54');
INSERT INTO `sys_job_log` VALUES (7397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:28:56');
INSERT INTO `sys_job_log` VALUES (7398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:28:59');
INSERT INTO `sys_job_log` VALUES (7399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:28:59');
INSERT INTO `sys_job_log` VALUES (7400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:29:01');
INSERT INTO `sys_job_log` VALUES (7401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：258毫秒', '0', '', '2024-12-24 13:29:01');
INSERT INTO `sys_job_log` VALUES (7402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:29:04');
INSERT INTO `sys_job_log` VALUES (7403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:29:06');
INSERT INTO `sys_job_log` VALUES (7404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:29:09');
INSERT INTO `sys_job_log` VALUES (7405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:29:11');
INSERT INTO `sys_job_log` VALUES (7406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:29:14');
INSERT INTO `sys_job_log` VALUES (7407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 13:29:14');
INSERT INTO `sys_job_log` VALUES (7408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:29:16');
INSERT INTO `sys_job_log` VALUES (7409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：229毫秒', '0', '', '2024-12-24 13:29:16');
INSERT INTO `sys_job_log` VALUES (7410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:29:19');
INSERT INTO `sys_job_log` VALUES (7411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:29:21');
INSERT INTO `sys_job_log` VALUES (7412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:29:24');
INSERT INTO `sys_job_log` VALUES (7413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:29:26');
INSERT INTO `sys_job_log` VALUES (7414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:29:29');
INSERT INTO `sys_job_log` VALUES (7415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 13:29:29');
INSERT INTO `sys_job_log` VALUES (7416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:29:31');
INSERT INTO `sys_job_log` VALUES (7417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：207毫秒', '0', '', '2024-12-24 13:29:31');
INSERT INTO `sys_job_log` VALUES (7418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:29:34');
INSERT INTO `sys_job_log` VALUES (7419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:29:36');
INSERT INTO `sys_job_log` VALUES (7420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:29:39');
INSERT INTO `sys_job_log` VALUES (7421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:29:41');
INSERT INTO `sys_job_log` VALUES (7422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:29:44');
INSERT INTO `sys_job_log` VALUES (7423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 13:29:44');
INSERT INTO `sys_job_log` VALUES (7424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:29:46');
INSERT INTO `sys_job_log` VALUES (7425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：173毫秒', '0', '', '2024-12-24 13:29:46');
INSERT INTO `sys_job_log` VALUES (7426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:29:49');
INSERT INTO `sys_job_log` VALUES (7427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:29:51');
INSERT INTO `sys_job_log` VALUES (7428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:29:54');
INSERT INTO `sys_job_log` VALUES (7429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:29:56');
INSERT INTO `sys_job_log` VALUES (7430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:29:59');
INSERT INTO `sys_job_log` VALUES (7431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:29:59');
INSERT INTO `sys_job_log` VALUES (7432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:30:01');
INSERT INTO `sys_job_log` VALUES (7433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：251毫秒', '0', '', '2024-12-24 13:30:01');
INSERT INTO `sys_job_log` VALUES (7434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:30:04');
INSERT INTO `sys_job_log` VALUES (7435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:30:06');
INSERT INTO `sys_job_log` VALUES (7436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 13:30:09');
INSERT INTO `sys_job_log` VALUES (7437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:30:11');
INSERT INTO `sys_job_log` VALUES (7438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:30:14');
INSERT INTO `sys_job_log` VALUES (7439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 13:30:14');
INSERT INTO `sys_job_log` VALUES (7440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:30:16');
INSERT INTO `sys_job_log` VALUES (7441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：223毫秒', '0', '', '2024-12-24 13:30:16');
INSERT INTO `sys_job_log` VALUES (7442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:30:19');
INSERT INTO `sys_job_log` VALUES (7443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:30:21');
INSERT INTO `sys_job_log` VALUES (7444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:30:24');
INSERT INTO `sys_job_log` VALUES (7445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:30:26');
INSERT INTO `sys_job_log` VALUES (7446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:30:29');
INSERT INTO `sys_job_log` VALUES (7447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:30:29');
INSERT INTO `sys_job_log` VALUES (7448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:30:31');
INSERT INTO `sys_job_log` VALUES (7449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：292毫秒', '0', '', '2024-12-24 13:30:31');
INSERT INTO `sys_job_log` VALUES (7450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:30:34');
INSERT INTO `sys_job_log` VALUES (7451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:30:36');
INSERT INTO `sys_job_log` VALUES (7452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:30:39');
INSERT INTO `sys_job_log` VALUES (7453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:30:41');
INSERT INTO `sys_job_log` VALUES (7454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 13:30:44');
INSERT INTO `sys_job_log` VALUES (7455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:30:44');
INSERT INTO `sys_job_log` VALUES (7456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:30:46');
INSERT INTO `sys_job_log` VALUES (7457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：165毫秒', '0', '', '2024-12-24 13:30:46');
INSERT INTO `sys_job_log` VALUES (7458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:30:49');
INSERT INTO `sys_job_log` VALUES (7459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:30:51');
INSERT INTO `sys_job_log` VALUES (7460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:30:54');
INSERT INTO `sys_job_log` VALUES (7461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:30:56');
INSERT INTO `sys_job_log` VALUES (7462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:30:59');
INSERT INTO `sys_job_log` VALUES (7463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:30:59');
INSERT INTO `sys_job_log` VALUES (7464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:31:01');
INSERT INTO `sys_job_log` VALUES (7465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：239毫秒', '0', '', '2024-12-24 13:31:01');
INSERT INTO `sys_job_log` VALUES (7466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:31:04');
INSERT INTO `sys_job_log` VALUES (7467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:31:09');
INSERT INTO `sys_job_log` VALUES (7468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：337毫秒', '0', '', '2024-12-24 13:31:14');
INSERT INTO `sys_job_log` VALUES (7469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:31:14');
INSERT INTO `sys_job_log` VALUES (7470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:31:14');
INSERT INTO `sys_job_log` VALUES (7471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:31:16');
INSERT INTO `sys_job_log` VALUES (7472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：216毫秒', '0', '', '2024-12-24 13:31:16');
INSERT INTO `sys_job_log` VALUES (7473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:31:19');
INSERT INTO `sys_job_log` VALUES (7474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:31:21');
INSERT INTO `sys_job_log` VALUES (7475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:31:24');
INSERT INTO `sys_job_log` VALUES (7476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:31:26');
INSERT INTO `sys_job_log` VALUES (7477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:31:29');
INSERT INTO `sys_job_log` VALUES (7478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-24 13:31:29');
INSERT INTO `sys_job_log` VALUES (7479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:31:31');
INSERT INTO `sys_job_log` VALUES (7480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：195毫秒', '0', '', '2024-12-24 13:31:31');
INSERT INTO `sys_job_log` VALUES (7481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:31:34');
INSERT INTO `sys_job_log` VALUES (7482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:31:36');
INSERT INTO `sys_job_log` VALUES (7483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:31:39');
INSERT INTO `sys_job_log` VALUES (7484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:31:41');
INSERT INTO `sys_job_log` VALUES (7485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:31:44');
INSERT INTO `sys_job_log` VALUES (7486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:31:44');
INSERT INTO `sys_job_log` VALUES (7487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:31:46');
INSERT INTO `sys_job_log` VALUES (7488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：158毫秒', '0', '', '2024-12-24 13:31:46');
INSERT INTO `sys_job_log` VALUES (7489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:31:49');
INSERT INTO `sys_job_log` VALUES (7490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:31:51');
INSERT INTO `sys_job_log` VALUES (7491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:31:54');
INSERT INTO `sys_job_log` VALUES (7492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:31:56');
INSERT INTO `sys_job_log` VALUES (7493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:31:59');
INSERT INTO `sys_job_log` VALUES (7494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:31:59');
INSERT INTO `sys_job_log` VALUES (7495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:32:01');
INSERT INTO `sys_job_log` VALUES (7496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：216毫秒', '0', '', '2024-12-24 13:32:01');
INSERT INTO `sys_job_log` VALUES (7497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:32:04');
INSERT INTO `sys_job_log` VALUES (7498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:32:06');
INSERT INTO `sys_job_log` VALUES (7499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:32:09');
INSERT INTO `sys_job_log` VALUES (7500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:32:11');
INSERT INTO `sys_job_log` VALUES (7501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 13:32:14');
INSERT INTO `sys_job_log` VALUES (7502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:32:14');
INSERT INTO `sys_job_log` VALUES (7503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:32:16');
INSERT INTO `sys_job_log` VALUES (7504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：199毫秒', '0', '', '2024-12-24 13:32:16');
INSERT INTO `sys_job_log` VALUES (7505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:32:19');
INSERT INTO `sys_job_log` VALUES (7506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:32:21');
INSERT INTO `sys_job_log` VALUES (7507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:32:24');
INSERT INTO `sys_job_log` VALUES (7508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:32:26');
INSERT INTO `sys_job_log` VALUES (7509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:32:29');
INSERT INTO `sys_job_log` VALUES (7510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:32:29');
INSERT INTO `sys_job_log` VALUES (7511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:32:31');
INSERT INTO `sys_job_log` VALUES (7512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2024-12-24 13:32:31');
INSERT INTO `sys_job_log` VALUES (7513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:32:34');
INSERT INTO `sys_job_log` VALUES (7514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:32:36');
INSERT INTO `sys_job_log` VALUES (7515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:32:39');
INSERT INTO `sys_job_log` VALUES (7516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:32:41');
INSERT INTO `sys_job_log` VALUES (7517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:32:44');
INSERT INTO `sys_job_log` VALUES (7518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 13:32:44');
INSERT INTO `sys_job_log` VALUES (7519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:32:46');
INSERT INTO `sys_job_log` VALUES (7520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：256毫秒', '0', '', '2024-12-24 13:32:46');
INSERT INTO `sys_job_log` VALUES (7521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:32:49');
INSERT INTO `sys_job_log` VALUES (7522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:32:51');
INSERT INTO `sys_job_log` VALUES (7523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:32:54');
INSERT INTO `sys_job_log` VALUES (7524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:32:56');
INSERT INTO `sys_job_log` VALUES (7525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 13:32:59');
INSERT INTO `sys_job_log` VALUES (7526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:32:59');
INSERT INTO `sys_job_log` VALUES (7527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:33:01');
INSERT INTO `sys_job_log` VALUES (7528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：212毫秒', '0', '', '2024-12-24 13:33:01');
INSERT INTO `sys_job_log` VALUES (7529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:33:04');
INSERT INTO `sys_job_log` VALUES (7530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:33:06');
INSERT INTO `sys_job_log` VALUES (7531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:33:09');
INSERT INTO `sys_job_log` VALUES (7532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:33:11');
INSERT INTO `sys_job_log` VALUES (7533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:33:14');
INSERT INTO `sys_job_log` VALUES (7534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:33:14');
INSERT INTO `sys_job_log` VALUES (7535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:33:16');
INSERT INTO `sys_job_log` VALUES (7536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：190毫秒', '0', '', '2024-12-24 13:33:16');
INSERT INTO `sys_job_log` VALUES (7537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：864毫秒', '0', '', '2024-12-24 13:33:20');
INSERT INTO `sys_job_log` VALUES (7538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:33:21');
INSERT INTO `sys_job_log` VALUES (7539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 13:33:24');
INSERT INTO `sys_job_log` VALUES (7540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:33:26');
INSERT INTO `sys_job_log` VALUES (7541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 13:33:29');
INSERT INTO `sys_job_log` VALUES (7542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:33:29');
INSERT INTO `sys_job_log` VALUES (7543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:33:31');
INSERT INTO `sys_job_log` VALUES (7544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：153毫秒', '0', '', '2024-12-24 13:33:31');
INSERT INTO `sys_job_log` VALUES (7545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:33:34');
INSERT INTO `sys_job_log` VALUES (7546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 13:33:36');
INSERT INTO `sys_job_log` VALUES (7547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:33:39');
INSERT INTO `sys_job_log` VALUES (7548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:33:41');
INSERT INTO `sys_job_log` VALUES (7549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 13:33:44');
INSERT INTO `sys_job_log` VALUES (7550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:33:44');
INSERT INTO `sys_job_log` VALUES (7551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 13:33:46');
INSERT INTO `sys_job_log` VALUES (7552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：253毫秒', '0', '', '2024-12-24 13:33:46');
INSERT INTO `sys_job_log` VALUES (7553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 13:33:49');
INSERT INTO `sys_job_log` VALUES (7554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:33:51');
INSERT INTO `sys_job_log` VALUES (7555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:33:54');
INSERT INTO `sys_job_log` VALUES (7556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:33:56');
INSERT INTO `sys_job_log` VALUES (7557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:33:59');
INSERT INTO `sys_job_log` VALUES (7558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:33:59');
INSERT INTO `sys_job_log` VALUES (7559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:34:01');
INSERT INTO `sys_job_log` VALUES (7560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：233毫秒', '0', '', '2024-12-24 13:34:01');
INSERT INTO `sys_job_log` VALUES (7561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 13:34:04');
INSERT INTO `sys_job_log` VALUES (7562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:34:06');
INSERT INTO `sys_job_log` VALUES (7563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:34:09');
INSERT INTO `sys_job_log` VALUES (7564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 13:34:11');
INSERT INTO `sys_job_log` VALUES (7565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:34:14');
INSERT INTO `sys_job_log` VALUES (7566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:34:14');
INSERT INTO `sys_job_log` VALUES (7567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:34:16');
INSERT INTO `sys_job_log` VALUES (7568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：187毫秒', '0', '', '2024-12-24 13:34:16');
INSERT INTO `sys_job_log` VALUES (7569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 13:34:19');
INSERT INTO `sys_job_log` VALUES (7570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:34:21');
INSERT INTO `sys_job_log` VALUES (7571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:34:24');
INSERT INTO `sys_job_log` VALUES (7572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:34:26');
INSERT INTO `sys_job_log` VALUES (7573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:34:29');
INSERT INTO `sys_job_log` VALUES (7574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:34:29');
INSERT INTO `sys_job_log` VALUES (7575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:34:31');
INSERT INTO `sys_job_log` VALUES (7576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：249毫秒', '0', '', '2024-12-24 13:34:31');
INSERT INTO `sys_job_log` VALUES (7577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:34:34');
INSERT INTO `sys_job_log` VALUES (7578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:34:36');
INSERT INTO `sys_job_log` VALUES (7579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:34:39');
INSERT INTO `sys_job_log` VALUES (7580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:34:41');
INSERT INTO `sys_job_log` VALUES (7581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:34:44');
INSERT INTO `sys_job_log` VALUES (7582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:34:44');
INSERT INTO `sys_job_log` VALUES (7583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:34:46');
INSERT INTO `sys_job_log` VALUES (7584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:34:49');
INSERT INTO `sys_job_log` VALUES (7585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:34:51');
INSERT INTO `sys_job_log` VALUES (7586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:34:54');
INSERT INTO `sys_job_log` VALUES (7587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:34:56');
INSERT INTO `sys_job_log` VALUES (7588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:34:59');
INSERT INTO `sys_job_log` VALUES (7589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:34:59');
INSERT INTO `sys_job_log` VALUES (7590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:35:01');
INSERT INTO `sys_job_log` VALUES (7591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 13:35:04');
INSERT INTO `sys_job_log` VALUES (7592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:35:06');
INSERT INTO `sys_job_log` VALUES (7593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:35:09');
INSERT INTO `sys_job_log` VALUES (7594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:35:11');
INSERT INTO `sys_job_log` VALUES (7595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:35:14');
INSERT INTO `sys_job_log` VALUES (7596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:35:14');
INSERT INTO `sys_job_log` VALUES (7597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:35:16');
INSERT INTO `sys_job_log` VALUES (7598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:35:19');
INSERT INTO `sys_job_log` VALUES (7599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:35:21');
INSERT INTO `sys_job_log` VALUES (7600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:35:24');
INSERT INTO `sys_job_log` VALUES (7601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:35:26');
INSERT INTO `sys_job_log` VALUES (7602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:35:29');
INSERT INTO `sys_job_log` VALUES (7603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:35:29');
INSERT INTO `sys_job_log` VALUES (7604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:35:31');
INSERT INTO `sys_job_log` VALUES (7605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:35:34');
INSERT INTO `sys_job_log` VALUES (7606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:35:36');
INSERT INTO `sys_job_log` VALUES (7607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:35:39');
INSERT INTO `sys_job_log` VALUES (7608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:35:41');
INSERT INTO `sys_job_log` VALUES (7609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:35:44');
INSERT INTO `sys_job_log` VALUES (7610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:35:44');
INSERT INTO `sys_job_log` VALUES (7611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:35:46');
INSERT INTO `sys_job_log` VALUES (7612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:35:49');
INSERT INTO `sys_job_log` VALUES (7613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:35:51');
INSERT INTO `sys_job_log` VALUES (7614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:35:54');
INSERT INTO `sys_job_log` VALUES (7615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:35:56');
INSERT INTO `sys_job_log` VALUES (7616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:35:59');
INSERT INTO `sys_job_log` VALUES (7617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:35:59');
INSERT INTO `sys_job_log` VALUES (7618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:36:01');
INSERT INTO `sys_job_log` VALUES (7619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:36:04');
INSERT INTO `sys_job_log` VALUES (7620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:36:06');
INSERT INTO `sys_job_log` VALUES (7621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:36:09');
INSERT INTO `sys_job_log` VALUES (7622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:36:11');
INSERT INTO `sys_job_log` VALUES (7623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:36:14');
INSERT INTO `sys_job_log` VALUES (7624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 13:36:14');
INSERT INTO `sys_job_log` VALUES (7625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:36:16');
INSERT INTO `sys_job_log` VALUES (7626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:36:19');
INSERT INTO `sys_job_log` VALUES (7627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:36:21');
INSERT INTO `sys_job_log` VALUES (7628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:36:24');
INSERT INTO `sys_job_log` VALUES (7629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:36:26');
INSERT INTO `sys_job_log` VALUES (7630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:36:29');
INSERT INTO `sys_job_log` VALUES (7631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:36:29');
INSERT INTO `sys_job_log` VALUES (7632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:36:31');
INSERT INTO `sys_job_log` VALUES (7633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:36:34');
INSERT INTO `sys_job_log` VALUES (7634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:36:36');
INSERT INTO `sys_job_log` VALUES (7635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:36:39');
INSERT INTO `sys_job_log` VALUES (7636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:36:41');
INSERT INTO `sys_job_log` VALUES (7637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:36:44');
INSERT INTO `sys_job_log` VALUES (7638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 13:36:44');
INSERT INTO `sys_job_log` VALUES (7639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 13:36:46');
INSERT INTO `sys_job_log` VALUES (7640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:36:49');
INSERT INTO `sys_job_log` VALUES (7641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:36:51');
INSERT INTO `sys_job_log` VALUES (7642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:36:54');
INSERT INTO `sys_job_log` VALUES (7643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:36:56');
INSERT INTO `sys_job_log` VALUES (7644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:36:59');
INSERT INTO `sys_job_log` VALUES (7645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 13:36:59');
INSERT INTO `sys_job_log` VALUES (7646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:37:01');
INSERT INTO `sys_job_log` VALUES (7647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:37:04');
INSERT INTO `sys_job_log` VALUES (7648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:37:06');
INSERT INTO `sys_job_log` VALUES (7649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:37:09');
INSERT INTO `sys_job_log` VALUES (7650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:37:11');
INSERT INTO `sys_job_log` VALUES (7651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:37:14');
INSERT INTO `sys_job_log` VALUES (7652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:37:14');
INSERT INTO `sys_job_log` VALUES (7653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:37:16');
INSERT INTO `sys_job_log` VALUES (7654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:37:19');
INSERT INTO `sys_job_log` VALUES (7655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:37:21');
INSERT INTO `sys_job_log` VALUES (7656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:37:24');
INSERT INTO `sys_job_log` VALUES (7657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 13:37:26');
INSERT INTO `sys_job_log` VALUES (7658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 13:37:29');
INSERT INTO `sys_job_log` VALUES (7659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:37:29');
INSERT INTO `sys_job_log` VALUES (7660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:37:31');
INSERT INTO `sys_job_log` VALUES (7661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:37:34');
INSERT INTO `sys_job_log` VALUES (7662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:37:36');
INSERT INTO `sys_job_log` VALUES (7663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:37:39');
INSERT INTO `sys_job_log` VALUES (7664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:37:41');
INSERT INTO `sys_job_log` VALUES (7665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:37:44');
INSERT INTO `sys_job_log` VALUES (7666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 13:37:44');
INSERT INTO `sys_job_log` VALUES (7667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:37:46');
INSERT INTO `sys_job_log` VALUES (7668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:37:49');
INSERT INTO `sys_job_log` VALUES (7669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:37:51');
INSERT INTO `sys_job_log` VALUES (7670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:37:54');
INSERT INTO `sys_job_log` VALUES (7671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:37:56');
INSERT INTO `sys_job_log` VALUES (7672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:37:59');
INSERT INTO `sys_job_log` VALUES (7673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:37:59');
INSERT INTO `sys_job_log` VALUES (7674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:38:01');
INSERT INTO `sys_job_log` VALUES (7675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:38:04');
INSERT INTO `sys_job_log` VALUES (7676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:38:06');
INSERT INTO `sys_job_log` VALUES (7677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:38:09');
INSERT INTO `sys_job_log` VALUES (7678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:38:11');
INSERT INTO `sys_job_log` VALUES (7679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:38:14');
INSERT INTO `sys_job_log` VALUES (7680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 13:38:14');
INSERT INTO `sys_job_log` VALUES (7681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:38:16');
INSERT INTO `sys_job_log` VALUES (7682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 13:38:19');
INSERT INTO `sys_job_log` VALUES (7683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:38:21');
INSERT INTO `sys_job_log` VALUES (7684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:38:24');
INSERT INTO `sys_job_log` VALUES (7685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:38:26');
INSERT INTO `sys_job_log` VALUES (7686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:38:29');
INSERT INTO `sys_job_log` VALUES (7687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:38:29');
INSERT INTO `sys_job_log` VALUES (7688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:38:31');
INSERT INTO `sys_job_log` VALUES (7689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:38:34');
INSERT INTO `sys_job_log` VALUES (7690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:38:36');
INSERT INTO `sys_job_log` VALUES (7691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:38:39');
INSERT INTO `sys_job_log` VALUES (7692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:38:41');
INSERT INTO `sys_job_log` VALUES (7693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:38:44');
INSERT INTO `sys_job_log` VALUES (7694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:38:44');
INSERT INTO `sys_job_log` VALUES (7695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:38:46');
INSERT INTO `sys_job_log` VALUES (7696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:38:49');
INSERT INTO `sys_job_log` VALUES (7697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:38:51');
INSERT INTO `sys_job_log` VALUES (7698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:38:54');
INSERT INTO `sys_job_log` VALUES (7699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:38:56');
INSERT INTO `sys_job_log` VALUES (7700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:38:59');
INSERT INTO `sys_job_log` VALUES (7701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:38:59');
INSERT INTO `sys_job_log` VALUES (7702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:39:01');
INSERT INTO `sys_job_log` VALUES (7703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:39:04');
INSERT INTO `sys_job_log` VALUES (7704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:39:06');
INSERT INTO `sys_job_log` VALUES (7705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:39:09');
INSERT INTO `sys_job_log` VALUES (7706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:39:14');
INSERT INTO `sys_job_log` VALUES (7707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:39:14');
INSERT INTO `sys_job_log` VALUES (7708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：221毫秒', '0', '', '2024-12-24 13:39:19');
INSERT INTO `sys_job_log` VALUES (7709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：280毫秒', '0', '', '2024-12-24 13:39:19');
INSERT INTO `sys_job_log` VALUES (7710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:39:19');
INSERT INTO `sys_job_log` VALUES (7711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:39:21');
INSERT INTO `sys_job_log` VALUES (7712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:39:24');
INSERT INTO `sys_job_log` VALUES (7713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:39:26');
INSERT INTO `sys_job_log` VALUES (7714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:39:29');
INSERT INTO `sys_job_log` VALUES (7715, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:39:29');
INSERT INTO `sys_job_log` VALUES (7716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:39:31');
INSERT INTO `sys_job_log` VALUES (7717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 13:39:31');
INSERT INTO `sys_job_log` VALUES (7718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:39:34');
INSERT INTO `sys_job_log` VALUES (7719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:39:36');
INSERT INTO `sys_job_log` VALUES (7720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:39:39');
INSERT INTO `sys_job_log` VALUES (7721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 13:39:41');
INSERT INTO `sys_job_log` VALUES (7722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:39:44');
INSERT INTO `sys_job_log` VALUES (7723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:39:44');
INSERT INTO `sys_job_log` VALUES (7724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:39:46');
INSERT INTO `sys_job_log` VALUES (7725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：123毫秒', '0', '', '2024-12-24 13:39:46');
INSERT INTO `sys_job_log` VALUES (7726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 13:39:49');
INSERT INTO `sys_job_log` VALUES (7727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:39:51');
INSERT INTO `sys_job_log` VALUES (7728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:39:54');
INSERT INTO `sys_job_log` VALUES (7729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:39:56');
INSERT INTO `sys_job_log` VALUES (7730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:39:59');
INSERT INTO `sys_job_log` VALUES (7731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:39:59');
INSERT INTO `sys_job_log` VALUES (7732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 13:40:01');
INSERT INTO `sys_job_log` VALUES (7733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：109毫秒', '0', '', '2024-12-24 13:40:01');
INSERT INTO `sys_job_log` VALUES (7734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:40:04');
INSERT INTO `sys_job_log` VALUES (7735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '0', '', '2024-12-24 13:40:06');
INSERT INTO `sys_job_log` VALUES (7736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:40:09');
INSERT INTO `sys_job_log` VALUES (7737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:40:11');
INSERT INTO `sys_job_log` VALUES (7738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:40:14');
INSERT INTO `sys_job_log` VALUES (7739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:40:14');
INSERT INTO `sys_job_log` VALUES (7740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:40:16');
INSERT INTO `sys_job_log` VALUES (7741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：250毫秒', '0', '', '2024-12-24 13:40:16');
INSERT INTO `sys_job_log` VALUES (7742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:40:19');
INSERT INTO `sys_job_log` VALUES (7743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:40:21');
INSERT INTO `sys_job_log` VALUES (7744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:40:24');
INSERT INTO `sys_job_log` VALUES (7745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:40:26');
INSERT INTO `sys_job_log` VALUES (7746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:40:29');
INSERT INTO `sys_job_log` VALUES (7747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:40:29');
INSERT INTO `sys_job_log` VALUES (7748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:40:31');
INSERT INTO `sys_job_log` VALUES (7749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：200毫秒', '0', '', '2024-12-24 13:40:31');
INSERT INTO `sys_job_log` VALUES (7750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:40:34');
INSERT INTO `sys_job_log` VALUES (7751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:40:36');
INSERT INTO `sys_job_log` VALUES (7752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:40:39');
INSERT INTO `sys_job_log` VALUES (7753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:40:41');
INSERT INTO `sys_job_log` VALUES (7754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:40:44');
INSERT INTO `sys_job_log` VALUES (7755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:40:44');
INSERT INTO `sys_job_log` VALUES (7756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:40:46');
INSERT INTO `sys_job_log` VALUES (7757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:40:49');
INSERT INTO `sys_job_log` VALUES (7758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:40:51');
INSERT INTO `sys_job_log` VALUES (7759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:40:54');
INSERT INTO `sys_job_log` VALUES (7760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:40:56');
INSERT INTO `sys_job_log` VALUES (7761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:40:59');
INSERT INTO `sys_job_log` VALUES (7762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:40:59');
INSERT INTO `sys_job_log` VALUES (7763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:41:01');
INSERT INTO `sys_job_log` VALUES (7764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:41:04');
INSERT INTO `sys_job_log` VALUES (7765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:41:06');
INSERT INTO `sys_job_log` VALUES (7766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:41:09');
INSERT INTO `sys_job_log` VALUES (7767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:41:11');
INSERT INTO `sys_job_log` VALUES (7768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:41:14');
INSERT INTO `sys_job_log` VALUES (7769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-24 13:41:14');
INSERT INTO `sys_job_log` VALUES (7770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:41:16');
INSERT INTO `sys_job_log` VALUES (7771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:41:19');
INSERT INTO `sys_job_log` VALUES (7772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:41:21');
INSERT INTO `sys_job_log` VALUES (7773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:41:24');
INSERT INTO `sys_job_log` VALUES (7774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:41:26');
INSERT INTO `sys_job_log` VALUES (7775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:41:29');
INSERT INTO `sys_job_log` VALUES (7776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:41:29');
INSERT INTO `sys_job_log` VALUES (7777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:41:31');
INSERT INTO `sys_job_log` VALUES (7778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:41:34');
INSERT INTO `sys_job_log` VALUES (7779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:41:36');
INSERT INTO `sys_job_log` VALUES (7780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 13:41:39');
INSERT INTO `sys_job_log` VALUES (7781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:41:41');
INSERT INTO `sys_job_log` VALUES (7782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:41:44');
INSERT INTO `sys_job_log` VALUES (7783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:41:44');
INSERT INTO `sys_job_log` VALUES (7784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:41:46');
INSERT INTO `sys_job_log` VALUES (7785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:41:49');
INSERT INTO `sys_job_log` VALUES (7786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:41:51');
INSERT INTO `sys_job_log` VALUES (7787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 13:41:54');
INSERT INTO `sys_job_log` VALUES (7788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:41:56');
INSERT INTO `sys_job_log` VALUES (7789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:41:59');
INSERT INTO `sys_job_log` VALUES (7790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:41:59');
INSERT INTO `sys_job_log` VALUES (7791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:42:01');
INSERT INTO `sys_job_log` VALUES (7792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:42:04');
INSERT INTO `sys_job_log` VALUES (7793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:42:06');
INSERT INTO `sys_job_log` VALUES (7794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:42:09');
INSERT INTO `sys_job_log` VALUES (7795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:42:11');
INSERT INTO `sys_job_log` VALUES (7796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 13:42:14');
INSERT INTO `sys_job_log` VALUES (7797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:42:14');
INSERT INTO `sys_job_log` VALUES (7798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:42:16');
INSERT INTO `sys_job_log` VALUES (7799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:42:19');
INSERT INTO `sys_job_log` VALUES (7800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:42:21');
INSERT INTO `sys_job_log` VALUES (7801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:42:24');
INSERT INTO `sys_job_log` VALUES (7802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 13:42:26');
INSERT INTO `sys_job_log` VALUES (7803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:42:29');
INSERT INTO `sys_job_log` VALUES (7804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:42:29');
INSERT INTO `sys_job_log` VALUES (7805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:42:31');
INSERT INTO `sys_job_log` VALUES (7806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:42:34');
INSERT INTO `sys_job_log` VALUES (7807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:42:36');
INSERT INTO `sys_job_log` VALUES (7808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:42:39');
INSERT INTO `sys_job_log` VALUES (7809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:42:41');
INSERT INTO `sys_job_log` VALUES (7810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:42:44');
INSERT INTO `sys_job_log` VALUES (7811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 13:42:44');
INSERT INTO `sys_job_log` VALUES (7812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:42:46');
INSERT INTO `sys_job_log` VALUES (7813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:42:49');
INSERT INTO `sys_job_log` VALUES (7814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:42:51');
INSERT INTO `sys_job_log` VALUES (7815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:42:54');
INSERT INTO `sys_job_log` VALUES (7816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:42:56');
INSERT INTO `sys_job_log` VALUES (7817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:42:59');
INSERT INTO `sys_job_log` VALUES (7818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 13:42:59');
INSERT INTO `sys_job_log` VALUES (7819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 13:43:01');
INSERT INTO `sys_job_log` VALUES (7820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:43:04');
INSERT INTO `sys_job_log` VALUES (7821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:43:06');
INSERT INTO `sys_job_log` VALUES (7822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:43:09');
INSERT INTO `sys_job_log` VALUES (7823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:43:11');
INSERT INTO `sys_job_log` VALUES (7824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:43:14');
INSERT INTO `sys_job_log` VALUES (7825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:43:14');
INSERT INTO `sys_job_log` VALUES (7826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:43:16');
INSERT INTO `sys_job_log` VALUES (7827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:43:19');
INSERT INTO `sys_job_log` VALUES (7828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:43:21');
INSERT INTO `sys_job_log` VALUES (7829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:43:24');
INSERT INTO `sys_job_log` VALUES (7830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:43:26');
INSERT INTO `sys_job_log` VALUES (7831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:43:29');
INSERT INTO `sys_job_log` VALUES (7832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:43:29');
INSERT INTO `sys_job_log` VALUES (7833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:43:31');
INSERT INTO `sys_job_log` VALUES (7834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:43:34');
INSERT INTO `sys_job_log` VALUES (7835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:43:36');
INSERT INTO `sys_job_log` VALUES (7836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:43:39');
INSERT INTO `sys_job_log` VALUES (7837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:43:41');
INSERT INTO `sys_job_log` VALUES (7838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:43:44');
INSERT INTO `sys_job_log` VALUES (7839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 13:43:44');
INSERT INTO `sys_job_log` VALUES (7840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:43:46');
INSERT INTO `sys_job_log` VALUES (7841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:43:49');
INSERT INTO `sys_job_log` VALUES (7842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:43:51');
INSERT INTO `sys_job_log` VALUES (7843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:43:54');
INSERT INTO `sys_job_log` VALUES (7844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:43:56');
INSERT INTO `sys_job_log` VALUES (7845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:43:59');
INSERT INTO `sys_job_log` VALUES (7846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:43:59');
INSERT INTO `sys_job_log` VALUES (7847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:44:01');
INSERT INTO `sys_job_log` VALUES (7848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:44:04');
INSERT INTO `sys_job_log` VALUES (7849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:44:06');
INSERT INTO `sys_job_log` VALUES (7850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:44:09');
INSERT INTO `sys_job_log` VALUES (7851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:11');
INSERT INTO `sys_job_log` VALUES (7852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:44:14');
INSERT INTO `sys_job_log` VALUES (7853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:44:14');
INSERT INTO `sys_job_log` VALUES (7854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:16');
INSERT INTO `sys_job_log` VALUES (7855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:44:19');
INSERT INTO `sys_job_log` VALUES (7856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:44:21');
INSERT INTO `sys_job_log` VALUES (7857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:44:24');
INSERT INTO `sys_job_log` VALUES (7858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:26');
INSERT INTO `sys_job_log` VALUES (7859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 13:44:29');
INSERT INTO `sys_job_log` VALUES (7860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:44:29');
INSERT INTO `sys_job_log` VALUES (7861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:31');
INSERT INTO `sys_job_log` VALUES (7862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:44:34');
INSERT INTO `sys_job_log` VALUES (7863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:36');
INSERT INTO `sys_job_log` VALUES (7864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:44:39');
INSERT INTO `sys_job_log` VALUES (7865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:41');
INSERT INTO `sys_job_log` VALUES (7866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:44:44');
INSERT INTO `sys_job_log` VALUES (7867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:44:44');
INSERT INTO `sys_job_log` VALUES (7868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:44:46');
INSERT INTO `sys_job_log` VALUES (7869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:44:49');
INSERT INTO `sys_job_log` VALUES (7870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:44:51');
INSERT INTO `sys_job_log` VALUES (7871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:44:54');
INSERT INTO `sys_job_log` VALUES (7872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:44:56');
INSERT INTO `sys_job_log` VALUES (7873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:44:59');
INSERT INTO `sys_job_log` VALUES (7874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:44:59');
INSERT INTO `sys_job_log` VALUES (7875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:45:01');
INSERT INTO `sys_job_log` VALUES (7876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:45:04');
INSERT INTO `sys_job_log` VALUES (7877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:06');
INSERT INTO `sys_job_log` VALUES (7878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:45:09');
INSERT INTO `sys_job_log` VALUES (7879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:45:11');
INSERT INTO `sys_job_log` VALUES (7880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:45:14');
INSERT INTO `sys_job_log` VALUES (7881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 13:45:14');
INSERT INTO `sys_job_log` VALUES (7882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:16');
INSERT INTO `sys_job_log` VALUES (7883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:45:19');
INSERT INTO `sys_job_log` VALUES (7884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:45:21');
INSERT INTO `sys_job_log` VALUES (7885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:45:24');
INSERT INTO `sys_job_log` VALUES (7886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:45:26');
INSERT INTO `sys_job_log` VALUES (7887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:29');
INSERT INTO `sys_job_log` VALUES (7888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:29');
INSERT INTO `sys_job_log` VALUES (7889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:31');
INSERT INTO `sys_job_log` VALUES (7890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:45:34');
INSERT INTO `sys_job_log` VALUES (7891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:45:36');
INSERT INTO `sys_job_log` VALUES (7892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:45:39');
INSERT INTO `sys_job_log` VALUES (7893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:45:41');
INSERT INTO `sys_job_log` VALUES (7894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:45:44');
INSERT INTO `sys_job_log` VALUES (7895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:45:44');
INSERT INTO `sys_job_log` VALUES (7896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:46');
INSERT INTO `sys_job_log` VALUES (7897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:45:49');
INSERT INTO `sys_job_log` VALUES (7898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:45:51');
INSERT INTO `sys_job_log` VALUES (7899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:45:54');
INSERT INTO `sys_job_log` VALUES (7900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:45:56');
INSERT INTO `sys_job_log` VALUES (7901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:45:59');
INSERT INTO `sys_job_log` VALUES (7902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 13:45:59');
INSERT INTO `sys_job_log` VALUES (7903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:46:01');
INSERT INTO `sys_job_log` VALUES (7904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:46:04');
INSERT INTO `sys_job_log` VALUES (7905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:46:06');
INSERT INTO `sys_job_log` VALUES (7906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:46:09');
INSERT INTO `sys_job_log` VALUES (7907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:46:11');
INSERT INTO `sys_job_log` VALUES (7908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:46:14');
INSERT INTO `sys_job_log` VALUES (7909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 13:46:14');
INSERT INTO `sys_job_log` VALUES (7910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:46:16');
INSERT INTO `sys_job_log` VALUES (7911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:46:19');
INSERT INTO `sys_job_log` VALUES (7912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:46:21');
INSERT INTO `sys_job_log` VALUES (7913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:46:24');
INSERT INTO `sys_job_log` VALUES (7914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:46:26');
INSERT INTO `sys_job_log` VALUES (7915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:46:29');
INSERT INTO `sys_job_log` VALUES (7916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:46:29');
INSERT INTO `sys_job_log` VALUES (7917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:46:31');
INSERT INTO `sys_job_log` VALUES (7918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:46:34');
INSERT INTO `sys_job_log` VALUES (7919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:46:36');
INSERT INTO `sys_job_log` VALUES (7920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:46:39');
INSERT INTO `sys_job_log` VALUES (7921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:46:41');
INSERT INTO `sys_job_log` VALUES (7922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:46:44');
INSERT INTO `sys_job_log` VALUES (7923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:46:44');
INSERT INTO `sys_job_log` VALUES (7924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:46:46');
INSERT INTO `sys_job_log` VALUES (7925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:46:49');
INSERT INTO `sys_job_log` VALUES (7926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:46:51');
INSERT INTO `sys_job_log` VALUES (7927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:46:54');
INSERT INTO `sys_job_log` VALUES (7928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:46:56');
INSERT INTO `sys_job_log` VALUES (7929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:46:59');
INSERT INTO `sys_job_log` VALUES (7930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:46:59');
INSERT INTO `sys_job_log` VALUES (7931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:47:01');
INSERT INTO `sys_job_log` VALUES (7932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:47:04');
INSERT INTO `sys_job_log` VALUES (7933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:47:06');
INSERT INTO `sys_job_log` VALUES (7934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:47:09');
INSERT INTO `sys_job_log` VALUES (7935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:47:11');
INSERT INTO `sys_job_log` VALUES (7936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 13:47:14');
INSERT INTO `sys_job_log` VALUES (7937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:47:14');
INSERT INTO `sys_job_log` VALUES (7938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:47:16');
INSERT INTO `sys_job_log` VALUES (7939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:47:19');
INSERT INTO `sys_job_log` VALUES (7940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:47:21');
INSERT INTO `sys_job_log` VALUES (7941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:47:24');
INSERT INTO `sys_job_log` VALUES (7942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:47:26');
INSERT INTO `sys_job_log` VALUES (7943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:47:29');
INSERT INTO `sys_job_log` VALUES (7944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:47:29');
INSERT INTO `sys_job_log` VALUES (7945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:47:31');
INSERT INTO `sys_job_log` VALUES (7946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:47:34');
INSERT INTO `sys_job_log` VALUES (7947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:47:36');
INSERT INTO `sys_job_log` VALUES (7948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:47:39');
INSERT INTO `sys_job_log` VALUES (7949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:47:41');
INSERT INTO `sys_job_log` VALUES (7950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:47:44');
INSERT INTO `sys_job_log` VALUES (7951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:47:44');
INSERT INTO `sys_job_log` VALUES (7952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:47:46');
INSERT INTO `sys_job_log` VALUES (7953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:47:49');
INSERT INTO `sys_job_log` VALUES (7954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:47:51');
INSERT INTO `sys_job_log` VALUES (7955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:47:54');
INSERT INTO `sys_job_log` VALUES (7956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:47:56');
INSERT INTO `sys_job_log` VALUES (7957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:47:59');
INSERT INTO `sys_job_log` VALUES (7958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:47:59');
INSERT INTO `sys_job_log` VALUES (7959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:48:01');
INSERT INTO `sys_job_log` VALUES (7960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:48:04');
INSERT INTO `sys_job_log` VALUES (7961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:48:06');
INSERT INTO `sys_job_log` VALUES (7962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:48:09');
INSERT INTO `sys_job_log` VALUES (7963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:48:11');
INSERT INTO `sys_job_log` VALUES (7964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:48:14');
INSERT INTO `sys_job_log` VALUES (7965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:48:14');
INSERT INTO `sys_job_log` VALUES (7966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:48:16');
INSERT INTO `sys_job_log` VALUES (7967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：577毫秒', '0', '', '2024-12-24 13:48:20');
INSERT INTO `sys_job_log` VALUES (7968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:48:21');
INSERT INTO `sys_job_log` VALUES (7969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:48:24');
INSERT INTO `sys_job_log` VALUES (7970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:48:26');
INSERT INTO `sys_job_log` VALUES (7971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:48:29');
INSERT INTO `sys_job_log` VALUES (7972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:48:29');
INSERT INTO `sys_job_log` VALUES (7973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:48:31');
INSERT INTO `sys_job_log` VALUES (7974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:48:34');
INSERT INTO `sys_job_log` VALUES (7975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:48:36');
INSERT INTO `sys_job_log` VALUES (7976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:48:39');
INSERT INTO `sys_job_log` VALUES (7977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:48:41');
INSERT INTO `sys_job_log` VALUES (7978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 13:48:44');
INSERT INTO `sys_job_log` VALUES (7979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 13:48:44');
INSERT INTO `sys_job_log` VALUES (7980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:48:46');
INSERT INTO `sys_job_log` VALUES (7981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:48:49');
INSERT INTO `sys_job_log` VALUES (7982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:48:51');
INSERT INTO `sys_job_log` VALUES (7983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:48:54');
INSERT INTO `sys_job_log` VALUES (7984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:48:56');
INSERT INTO `sys_job_log` VALUES (7985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-24 13:48:59');
INSERT INTO `sys_job_log` VALUES (7986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 13:48:59');
INSERT INTO `sys_job_log` VALUES (7987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:49:01');
INSERT INTO `sys_job_log` VALUES (7988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:49:04');
INSERT INTO `sys_job_log` VALUES (7989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:49:06');
INSERT INTO `sys_job_log` VALUES (7990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:49:09');
INSERT INTO `sys_job_log` VALUES (7991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:49:11');
INSERT INTO `sys_job_log` VALUES (7992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:49:14');
INSERT INTO `sys_job_log` VALUES (7993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:49:14');
INSERT INTO `sys_job_log` VALUES (7994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:49:16');
INSERT INTO `sys_job_log` VALUES (7995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:49:19');
INSERT INTO `sys_job_log` VALUES (7996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:49:21');
INSERT INTO `sys_job_log` VALUES (7997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:49:24');
INSERT INTO `sys_job_log` VALUES (7998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:49:26');
INSERT INTO `sys_job_log` VALUES (7999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:49:29');
INSERT INTO `sys_job_log` VALUES (8000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:49:29');
INSERT INTO `sys_job_log` VALUES (8001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:49:31');
INSERT INTO `sys_job_log` VALUES (8002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:49:34');
INSERT INTO `sys_job_log` VALUES (8003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:49:36');
INSERT INTO `sys_job_log` VALUES (8004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:49:39');
INSERT INTO `sys_job_log` VALUES (8005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:49:44');
INSERT INTO `sys_job_log` VALUES (8006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:49:44');
INSERT INTO `sys_job_log` VALUES (8007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：307毫秒', '0', '', '2024-12-24 13:49:46');
INSERT INTO `sys_job_log` VALUES (8008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：406毫秒', '0', '', '2024-12-24 13:49:46');
INSERT INTO `sys_job_log` VALUES (8009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:49:49');
INSERT INTO `sys_job_log` VALUES (8010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:49:51');
INSERT INTO `sys_job_log` VALUES (8011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 13:49:54');
INSERT INTO `sys_job_log` VALUES (8012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:49:56');
INSERT INTO `sys_job_log` VALUES (8013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:49:59');
INSERT INTO `sys_job_log` VALUES (8014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:49:59');
INSERT INTO `sys_job_log` VALUES (8015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:50:01');
INSERT INTO `sys_job_log` VALUES (8016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：190毫秒', '0', '', '2024-12-24 13:50:01');
INSERT INTO `sys_job_log` VALUES (8017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:50:04');
INSERT INTO `sys_job_log` VALUES (8018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:50:06');
INSERT INTO `sys_job_log` VALUES (8019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:50:09');
INSERT INTO `sys_job_log` VALUES (8020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:50:11');
INSERT INTO `sys_job_log` VALUES (8021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:50:14');
INSERT INTO `sys_job_log` VALUES (8022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:50:14');
INSERT INTO `sys_job_log` VALUES (8023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 13:50:16');
INSERT INTO `sys_job_log` VALUES (8024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：257毫秒', '0', '', '2024-12-24 13:50:16');
INSERT INTO `sys_job_log` VALUES (8025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:50:19');
INSERT INTO `sys_job_log` VALUES (8026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:50:21');
INSERT INTO `sys_job_log` VALUES (8027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:50:24');
INSERT INTO `sys_job_log` VALUES (8028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:50:26');
INSERT INTO `sys_job_log` VALUES (8029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:50:29');
INSERT INTO `sys_job_log` VALUES (8030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:50:29');
INSERT INTO `sys_job_log` VALUES (8031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:50:31');
INSERT INTO `sys_job_log` VALUES (8032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：244毫秒', '0', '', '2024-12-24 13:50:31');
INSERT INTO `sys_job_log` VALUES (8033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:50:34');
INSERT INTO `sys_job_log` VALUES (8034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:50:36');
INSERT INTO `sys_job_log` VALUES (8035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:50:39');
INSERT INTO `sys_job_log` VALUES (8036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:50:41');
INSERT INTO `sys_job_log` VALUES (8037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:50:44');
INSERT INTO `sys_job_log` VALUES (8038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:50:44');
INSERT INTO `sys_job_log` VALUES (8039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:50:46');
INSERT INTO `sys_job_log` VALUES (8040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：212毫秒', '0', '', '2024-12-24 13:50:46');
INSERT INTO `sys_job_log` VALUES (8041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:50:49');
INSERT INTO `sys_job_log` VALUES (8042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:50:51');
INSERT INTO `sys_job_log` VALUES (8043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 13:50:54');
INSERT INTO `sys_job_log` VALUES (8044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:50:56');
INSERT INTO `sys_job_log` VALUES (8045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:50:59');
INSERT INTO `sys_job_log` VALUES (8046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 13:50:59');
INSERT INTO `sys_job_log` VALUES (8047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:51:01');
INSERT INTO `sys_job_log` VALUES (8048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：185毫秒', '0', '', '2024-12-24 13:51:01');
INSERT INTO `sys_job_log` VALUES (8049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 13:51:04');
INSERT INTO `sys_job_log` VALUES (8050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:51:06');
INSERT INTO `sys_job_log` VALUES (8051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:51:09');
INSERT INTO `sys_job_log` VALUES (8052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:51:11');
INSERT INTO `sys_job_log` VALUES (8053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 13:51:14');
INSERT INTO `sys_job_log` VALUES (8054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:51:14');
INSERT INTO `sys_job_log` VALUES (8055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:51:16');
INSERT INTO `sys_job_log` VALUES (8056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：253毫秒', '0', '', '2024-12-24 13:51:16');
INSERT INTO `sys_job_log` VALUES (8057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:51:19');
INSERT INTO `sys_job_log` VALUES (8058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:51:21');
INSERT INTO `sys_job_log` VALUES (8059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:51:24');
INSERT INTO `sys_job_log` VALUES (8060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:51:26');
INSERT INTO `sys_job_log` VALUES (8061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:51:29');
INSERT INTO `sys_job_log` VALUES (8062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 13:51:29');
INSERT INTO `sys_job_log` VALUES (8063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:51:31');
INSERT INTO `sys_job_log` VALUES (8064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：231毫秒', '0', '', '2024-12-24 13:51:31');
INSERT INTO `sys_job_log` VALUES (8065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:51:34');
INSERT INTO `sys_job_log` VALUES (8066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:51:36');
INSERT INTO `sys_job_log` VALUES (8067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:51:39');
INSERT INTO `sys_job_log` VALUES (8068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:51:41');
INSERT INTO `sys_job_log` VALUES (8069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：18毫秒', '0', '', '2024-12-24 13:51:44');
INSERT INTO `sys_job_log` VALUES (8070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:51:44');
INSERT INTO `sys_job_log` VALUES (8071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:51:46');
INSERT INTO `sys_job_log` VALUES (8072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：203毫秒', '0', '', '2024-12-24 13:51:46');
INSERT INTO `sys_job_log` VALUES (8073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:51:49');
INSERT INTO `sys_job_log` VALUES (8074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:51:51');
INSERT INTO `sys_job_log` VALUES (8075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:51:54');
INSERT INTO `sys_job_log` VALUES (8076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:51:56');
INSERT INTO `sys_job_log` VALUES (8077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:51:59');
INSERT INTO `sys_job_log` VALUES (8078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:51:59');
INSERT INTO `sys_job_log` VALUES (8079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:52:01');
INSERT INTO `sys_job_log` VALUES (8080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：171毫秒', '0', '', '2024-12-24 13:52:01');
INSERT INTO `sys_job_log` VALUES (8081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:52:04');
INSERT INTO `sys_job_log` VALUES (8082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:52:06');
INSERT INTO `sys_job_log` VALUES (8083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:52:09');
INSERT INTO `sys_job_log` VALUES (8084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:52:11');
INSERT INTO `sys_job_log` VALUES (8085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:52:14');
INSERT INTO `sys_job_log` VALUES (8086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:52:14');
INSERT INTO `sys_job_log` VALUES (8087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:52:16');
INSERT INTO `sys_job_log` VALUES (8088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：244毫秒', '0', '', '2024-12-24 13:52:16');
INSERT INTO `sys_job_log` VALUES (8089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:52:19');
INSERT INTO `sys_job_log` VALUES (8090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:52:21');
INSERT INTO `sys_job_log` VALUES (8091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:52:24');
INSERT INTO `sys_job_log` VALUES (8092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:52:26');
INSERT INTO `sys_job_log` VALUES (8093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 13:52:29');
INSERT INTO `sys_job_log` VALUES (8094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:52:29');
INSERT INTO `sys_job_log` VALUES (8095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:52:31');
INSERT INTO `sys_job_log` VALUES (8096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：219毫秒', '0', '', '2024-12-24 13:52:31');
INSERT INTO `sys_job_log` VALUES (8097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:52:34');
INSERT INTO `sys_job_log` VALUES (8098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:52:36');
INSERT INTO `sys_job_log` VALUES (8099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:52:39');
INSERT INTO `sys_job_log` VALUES (8100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:52:41');
INSERT INTO `sys_job_log` VALUES (8101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:52:44');
INSERT INTO `sys_job_log` VALUES (8102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:52:44');
INSERT INTO `sys_job_log` VALUES (8103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:52:46');
INSERT INTO `sys_job_log` VALUES (8104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：189毫秒', '0', '', '2024-12-24 13:52:46');
INSERT INTO `sys_job_log` VALUES (8105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:52:49');
INSERT INTO `sys_job_log` VALUES (8106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:52:51');
INSERT INTO `sys_job_log` VALUES (8107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:52:54');
INSERT INTO `sys_job_log` VALUES (8108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:52:56');
INSERT INTO `sys_job_log` VALUES (8109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:52:59');
INSERT INTO `sys_job_log` VALUES (8110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:52:59');
INSERT INTO `sys_job_log` VALUES (8111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 13:53:01');
INSERT INTO `sys_job_log` VALUES (8112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2024-12-24 13:53:01');
INSERT INTO `sys_job_log` VALUES (8113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:04');
INSERT INTO `sys_job_log` VALUES (8114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:53:06');
INSERT INTO `sys_job_log` VALUES (8115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:53:09');
INSERT INTO `sys_job_log` VALUES (8116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:53:11');
INSERT INTO `sys_job_log` VALUES (8117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:14');
INSERT INTO `sys_job_log` VALUES (8118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:14');
INSERT INTO `sys_job_log` VALUES (8119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:53:16');
INSERT INTO `sys_job_log` VALUES (8120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：228毫秒', '0', '', '2024-12-24 13:53:16');
INSERT INTO `sys_job_log` VALUES (8121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:19');
INSERT INTO `sys_job_log` VALUES (8122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:53:21');
INSERT INTO `sys_job_log` VALUES (8123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:24');
INSERT INTO `sys_job_log` VALUES (8124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:53:26');
INSERT INTO `sys_job_log` VALUES (8125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:53:29');
INSERT INTO `sys_job_log` VALUES (8126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:53:29');
INSERT INTO `sys_job_log` VALUES (8127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:53:31');
INSERT INTO `sys_job_log` VALUES (8128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：208毫秒', '0', '', '2024-12-24 13:53:31');
INSERT INTO `sys_job_log` VALUES (8129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:53:34');
INSERT INTO `sys_job_log` VALUES (8130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:53:36');
INSERT INTO `sys_job_log` VALUES (8131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:53:39');
INSERT INTO `sys_job_log` VALUES (8132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:53:41');
INSERT INTO `sys_job_log` VALUES (8133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:44');
INSERT INTO `sys_job_log` VALUES (8134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:44');
INSERT INTO `sys_job_log` VALUES (8135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:53:46');
INSERT INTO `sys_job_log` VALUES (8136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：184毫秒', '0', '', '2024-12-24 13:53:46');
INSERT INTO `sys_job_log` VALUES (8137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:53:49');
INSERT INTO `sys_job_log` VALUES (8138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:53:51');
INSERT INTO `sys_job_log` VALUES (8139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:53:54');
INSERT INTO `sys_job_log` VALUES (8140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:53:56');
INSERT INTO `sys_job_log` VALUES (8141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:53:59');
INSERT INTO `sys_job_log` VALUES (8142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:53:59');
INSERT INTO `sys_job_log` VALUES (8143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:54:01');
INSERT INTO `sys_job_log` VALUES (8144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：255毫秒', '0', '', '2024-12-24 13:54:01');
INSERT INTO `sys_job_log` VALUES (8145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 13:54:04');
INSERT INTO `sys_job_log` VALUES (8146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 13:54:09');
INSERT INTO `sys_job_log` VALUES (8147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:54:14');
INSERT INTO `sys_job_log` VALUES (8148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:54:14');
INSERT INTO `sys_job_log` VALUES (8149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 13:54:16');
INSERT INTO `sys_job_log` VALUES (8150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：198毫秒', '0', '', '2024-12-24 13:54:16');
INSERT INTO `sys_job_log` VALUES (8151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:54:19');
INSERT INTO `sys_job_log` VALUES (8152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 13:54:21');
INSERT INTO `sys_job_log` VALUES (8153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:54:24');
INSERT INTO `sys_job_log` VALUES (8154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:54:26');
INSERT INTO `sys_job_log` VALUES (8155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 13:54:29');
INSERT INTO `sys_job_log` VALUES (8156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 13:54:29');
INSERT INTO `sys_job_log` VALUES (8157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:54:31');
INSERT INTO `sys_job_log` VALUES (8158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 13:54:31');
INSERT INTO `sys_job_log` VALUES (8159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:54:34');
INSERT INTO `sys_job_log` VALUES (8160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:54:36');
INSERT INTO `sys_job_log` VALUES (8161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:54:39');
INSERT INTO `sys_job_log` VALUES (8162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:54:41');
INSERT INTO `sys_job_log` VALUES (8163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:54:44');
INSERT INTO `sys_job_log` VALUES (8164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:54:44');
INSERT INTO `sys_job_log` VALUES (8165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:54:46');
INSERT INTO `sys_job_log` VALUES (8166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 13:54:46');
INSERT INTO `sys_job_log` VALUES (8167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:54:49');
INSERT INTO `sys_job_log` VALUES (8168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '0', '', '2024-12-24 13:54:51');
INSERT INTO `sys_job_log` VALUES (8169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:54:54');
INSERT INTO `sys_job_log` VALUES (8170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 13:54:56');
INSERT INTO `sys_job_log` VALUES (8171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:54:59');
INSERT INTO `sys_job_log` VALUES (8172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:54:59');
INSERT INTO `sys_job_log` VALUES (8173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:55:01');
INSERT INTO `sys_job_log` VALUES (8174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：255毫秒', '0', '', '2024-12-24 13:55:01');
INSERT INTO `sys_job_log` VALUES (8175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:55:04');
INSERT INTO `sys_job_log` VALUES (8176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 13:55:06');
INSERT INTO `sys_job_log` VALUES (8177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:55:09');
INSERT INTO `sys_job_log` VALUES (8178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 13:55:11');
INSERT INTO `sys_job_log` VALUES (8179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:55:14');
INSERT INTO `sys_job_log` VALUES (8180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:55:14');
INSERT INTO `sys_job_log` VALUES (8181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:55:16');
INSERT INTO `sys_job_log` VALUES (8182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：210毫秒', '0', '', '2024-12-24 13:55:16');
INSERT INTO `sys_job_log` VALUES (8183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:55:19');
INSERT INTO `sys_job_log` VALUES (8184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:55:21');
INSERT INTO `sys_job_log` VALUES (8185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 13:55:24');
INSERT INTO `sys_job_log` VALUES (8186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:55:26');
INSERT INTO `sys_job_log` VALUES (8187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:55:29');
INSERT INTO `sys_job_log` VALUES (8188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:55:29');
INSERT INTO `sys_job_log` VALUES (8189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:55:31');
INSERT INTO `sys_job_log` VALUES (8190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：184毫秒', '0', '', '2024-12-24 13:55:31');
INSERT INTO `sys_job_log` VALUES (8191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 13:55:34');
INSERT INTO `sys_job_log` VALUES (8192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:55:36');
INSERT INTO `sys_job_log` VALUES (8193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:55:39');
INSERT INTO `sys_job_log` VALUES (8194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:55:41');
INSERT INTO `sys_job_log` VALUES (8195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:55:44');
INSERT INTO `sys_job_log` VALUES (8196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:55:44');
INSERT INTO `sys_job_log` VALUES (8197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:55:46');
INSERT INTO `sys_job_log` VALUES (8198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:55:49');
INSERT INTO `sys_job_log` VALUES (8199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:55:51');
INSERT INTO `sys_job_log` VALUES (8200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:55:54');
INSERT INTO `sys_job_log` VALUES (8201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:55:56');
INSERT INTO `sys_job_log` VALUES (8202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:55:59');
INSERT INTO `sys_job_log` VALUES (8203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:55:59');
INSERT INTO `sys_job_log` VALUES (8204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:56:01');
INSERT INTO `sys_job_log` VALUES (8205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:56:04');
INSERT INTO `sys_job_log` VALUES (8206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:56:06');
INSERT INTO `sys_job_log` VALUES (8207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:56:09');
INSERT INTO `sys_job_log` VALUES (8208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:56:11');
INSERT INTO `sys_job_log` VALUES (8209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:56:14');
INSERT INTO `sys_job_log` VALUES (8210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:56:14');
INSERT INTO `sys_job_log` VALUES (8211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 13:56:16');
INSERT INTO `sys_job_log` VALUES (8212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:56:19');
INSERT INTO `sys_job_log` VALUES (8213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:56:21');
INSERT INTO `sys_job_log` VALUES (8214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:56:24');
INSERT INTO `sys_job_log` VALUES (8215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:56:26');
INSERT INTO `sys_job_log` VALUES (8216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:56:29');
INSERT INTO `sys_job_log` VALUES (8217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:56:29');
INSERT INTO `sys_job_log` VALUES (8218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:56:31');
INSERT INTO `sys_job_log` VALUES (8219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:56:34');
INSERT INTO `sys_job_log` VALUES (8220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:56:36');
INSERT INTO `sys_job_log` VALUES (8221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 13:56:39');
INSERT INTO `sys_job_log` VALUES (8222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:56:41');
INSERT INTO `sys_job_log` VALUES (8223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:56:44');
INSERT INTO `sys_job_log` VALUES (8224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:56:44');
INSERT INTO `sys_job_log` VALUES (8225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 13:56:46');
INSERT INTO `sys_job_log` VALUES (8226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 13:56:49');
INSERT INTO `sys_job_log` VALUES (8227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:56:51');
INSERT INTO `sys_job_log` VALUES (8228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:56:54');
INSERT INTO `sys_job_log` VALUES (8229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:56:56');
INSERT INTO `sys_job_log` VALUES (8230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:56:59');
INSERT INTO `sys_job_log` VALUES (8231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:56:59');
INSERT INTO `sys_job_log` VALUES (8232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:57:01');
INSERT INTO `sys_job_log` VALUES (8233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:57:04');
INSERT INTO `sys_job_log` VALUES (8234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:57:06');
INSERT INTO `sys_job_log` VALUES (8235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:57:09');
INSERT INTO `sys_job_log` VALUES (8236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 13:57:11');
INSERT INTO `sys_job_log` VALUES (8237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:57:14');
INSERT INTO `sys_job_log` VALUES (8238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 13:57:14');
INSERT INTO `sys_job_log` VALUES (8239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:57:16');
INSERT INTO `sys_job_log` VALUES (8240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:57:19');
INSERT INTO `sys_job_log` VALUES (8241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:57:21');
INSERT INTO `sys_job_log` VALUES (8242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:57:24');
INSERT INTO `sys_job_log` VALUES (8243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:57:26');
INSERT INTO `sys_job_log` VALUES (8244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:57:29');
INSERT INTO `sys_job_log` VALUES (8245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:57:29');
INSERT INTO `sys_job_log` VALUES (8246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:57:31');
INSERT INTO `sys_job_log` VALUES (8247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:57:34');
INSERT INTO `sys_job_log` VALUES (8248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:57:36');
INSERT INTO `sys_job_log` VALUES (8249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:57:39');
INSERT INTO `sys_job_log` VALUES (8250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 13:57:41');
INSERT INTO `sys_job_log` VALUES (8251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 13:57:44');
INSERT INTO `sys_job_log` VALUES (8252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 13:57:44');
INSERT INTO `sys_job_log` VALUES (8253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:57:46');
INSERT INTO `sys_job_log` VALUES (8254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:57:49');
INSERT INTO `sys_job_log` VALUES (8255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:57:51');
INSERT INTO `sys_job_log` VALUES (8256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:57:54');
INSERT INTO `sys_job_log` VALUES (8257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:57:56');
INSERT INTO `sys_job_log` VALUES (8258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:57:59');
INSERT INTO `sys_job_log` VALUES (8259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 13:57:59');
INSERT INTO `sys_job_log` VALUES (8260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 13:58:01');
INSERT INTO `sys_job_log` VALUES (8261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:58:04');
INSERT INTO `sys_job_log` VALUES (8262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:58:06');
INSERT INTO `sys_job_log` VALUES (8263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 13:58:09');
INSERT INTO `sys_job_log` VALUES (8264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 13:58:11');
INSERT INTO `sys_job_log` VALUES (8265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 13:58:14');
INSERT INTO `sys_job_log` VALUES (8266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:58:14');
INSERT INTO `sys_job_log` VALUES (8267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:58:19');
INSERT INTO `sys_job_log` VALUES (8268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：282毫秒', '0', '', '2024-12-24 13:58:24');
INSERT INTO `sys_job_log` VALUES (8269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:58:24');
INSERT INTO `sys_job_log` VALUES (8270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 13:58:26');
INSERT INTO `sys_job_log` VALUES (8271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 13:58:29');
INSERT INTO `sys_job_log` VALUES (8272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 13:58:29');
INSERT INTO `sys_job_log` VALUES (8273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:58:31');
INSERT INTO `sys_job_log` VALUES (8274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：139毫秒', '0', '', '2024-12-24 13:58:31');
INSERT INTO `sys_job_log` VALUES (8275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 13:58:34');
INSERT INTO `sys_job_log` VALUES (8276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:58:36');
INSERT INTO `sys_job_log` VALUES (8277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:58:39');
INSERT INTO `sys_job_log` VALUES (8278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:58:41');
INSERT INTO `sys_job_log` VALUES (8279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:58:44');
INSERT INTO `sys_job_log` VALUES (8280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:58:44');
INSERT INTO `sys_job_log` VALUES (8281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:58:46');
INSERT INTO `sys_job_log` VALUES (8282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 13:58:46');
INSERT INTO `sys_job_log` VALUES (8283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 13:58:49');
INSERT INTO `sys_job_log` VALUES (8284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 13:58:51');
INSERT INTO `sys_job_log` VALUES (8285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:58:54');
INSERT INTO `sys_job_log` VALUES (8286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:58:56');
INSERT INTO `sys_job_log` VALUES (8287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 13:58:59');
INSERT INTO `sys_job_log` VALUES (8288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:58:59');
INSERT INTO `sys_job_log` VALUES (8289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:59:01');
INSERT INTO `sys_job_log` VALUES (8290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:59:04');
INSERT INTO `sys_job_log` VALUES (8291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 13:59:06');
INSERT INTO `sys_job_log` VALUES (8292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:59:09');
INSERT INTO `sys_job_log` VALUES (8293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:59:11');
INSERT INTO `sys_job_log` VALUES (8294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 13:59:14');
INSERT INTO `sys_job_log` VALUES (8295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 13:59:14');
INSERT INTO `sys_job_log` VALUES (8296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:59:16');
INSERT INTO `sys_job_log` VALUES (8297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 13:59:19');
INSERT INTO `sys_job_log` VALUES (8298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 13:59:21');
INSERT INTO `sys_job_log` VALUES (8299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 13:59:24');
INSERT INTO `sys_job_log` VALUES (8300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 13:59:26');
INSERT INTO `sys_job_log` VALUES (8301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 13:59:29');
INSERT INTO `sys_job_log` VALUES (8302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:59:29');
INSERT INTO `sys_job_log` VALUES (8303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 13:59:31');
INSERT INTO `sys_job_log` VALUES (8304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 13:59:34');
INSERT INTO `sys_job_log` VALUES (8305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 13:59:36');
INSERT INTO `sys_job_log` VALUES (8306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:59:39');
INSERT INTO `sys_job_log` VALUES (8307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 13:59:44');
INSERT INTO `sys_job_log` VALUES (8308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 13:59:44');
INSERT INTO `sys_job_log` VALUES (8309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 13:59:49');
INSERT INTO `sys_job_log` VALUES (8310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 13:59:54');
INSERT INTO `sys_job_log` VALUES (8311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 13:59:59');
INSERT INTO `sys_job_log` VALUES (8312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 13:59:59');
INSERT INTO `sys_job_log` VALUES (8313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:00:04');
INSERT INTO `sys_job_log` VALUES (8314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:00:09');
INSERT INTO `sys_job_log` VALUES (8315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 14:00:14');
INSERT INTO `sys_job_log` VALUES (8316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:00:14');
INSERT INTO `sys_job_log` VALUES (8317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:00:19');
INSERT INTO `sys_job_log` VALUES (8318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:00:24');
INSERT INTO `sys_job_log` VALUES (8319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:00:29');
INSERT INTO `sys_job_log` VALUES (8320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:00:29');
INSERT INTO `sys_job_log` VALUES (8321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:00:34');
INSERT INTO `sys_job_log` VALUES (8322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:00:39');
INSERT INTO `sys_job_log` VALUES (8323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:00:44');
INSERT INTO `sys_job_log` VALUES (8324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 14:00:44');
INSERT INTO `sys_job_log` VALUES (8325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:00:49');
INSERT INTO `sys_job_log` VALUES (8326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:00:54');
INSERT INTO `sys_job_log` VALUES (8327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：314毫秒', '0', '', '2024-12-24 14:00:58');
INSERT INTO `sys_job_log` VALUES (8328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:00:59');
INSERT INTO `sys_job_log` VALUES (8329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:00:59');
INSERT INTO `sys_job_log` VALUES (8330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:01:01');
INSERT INTO `sys_job_log` VALUES (8331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：197毫秒', '0', '', '2024-12-24 14:01:01');
INSERT INTO `sys_job_log` VALUES (8332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:01:04');
INSERT INTO `sys_job_log` VALUES (8333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:01:06');
INSERT INTO `sys_job_log` VALUES (8334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 14:01:09');
INSERT INTO `sys_job_log` VALUES (8335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:01:11');
INSERT INTO `sys_job_log` VALUES (8336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:01:14');
INSERT INTO `sys_job_log` VALUES (8337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:01:14');
INSERT INTO `sys_job_log` VALUES (8338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:01:16');
INSERT INTO `sys_job_log` VALUES (8339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：275毫秒', '0', '', '2024-12-24 14:01:16');
INSERT INTO `sys_job_log` VALUES (8340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:01:19');
INSERT INTO `sys_job_log` VALUES (8341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:01:21');
INSERT INTO `sys_job_log` VALUES (8342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:01:24');
INSERT INTO `sys_job_log` VALUES (8343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:01:26');
INSERT INTO `sys_job_log` VALUES (8344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:01:29');
INSERT INTO `sys_job_log` VALUES (8345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:01:29');
INSERT INTO `sys_job_log` VALUES (8346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:01:31');
INSERT INTO `sys_job_log` VALUES (8347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：248毫秒', '0', '', '2024-12-24 14:01:31');
INSERT INTO `sys_job_log` VALUES (8348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:01:34');
INSERT INTO `sys_job_log` VALUES (8349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:01:36');
INSERT INTO `sys_job_log` VALUES (8350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:01:39');
INSERT INTO `sys_job_log` VALUES (8351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:01:41');
INSERT INTO `sys_job_log` VALUES (8352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:01:44');
INSERT INTO `sys_job_log` VALUES (8353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:01:44');
INSERT INTO `sys_job_log` VALUES (8354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:01:46');
INSERT INTO `sys_job_log` VALUES (8355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:01:49');
INSERT INTO `sys_job_log` VALUES (8356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:01:51');
INSERT INTO `sys_job_log` VALUES (8357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:01:54');
INSERT INTO `sys_job_log` VALUES (8358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:01:56');
INSERT INTO `sys_job_log` VALUES (8359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:01:59');
INSERT INTO `sys_job_log` VALUES (8360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:01:59');
INSERT INTO `sys_job_log` VALUES (8361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:02:01');
INSERT INTO `sys_job_log` VALUES (8362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:02:04');
INSERT INTO `sys_job_log` VALUES (8363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:02:06');
INSERT INTO `sys_job_log` VALUES (8364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:02:09');
INSERT INTO `sys_job_log` VALUES (8365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:02:11');
INSERT INTO `sys_job_log` VALUES (8366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:02:14');
INSERT INTO `sys_job_log` VALUES (8367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:02:14');
INSERT INTO `sys_job_log` VALUES (8368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-24 14:02:19');
INSERT INTO `sys_job_log` VALUES (8369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 14:02:24');
INSERT INTO `sys_job_log` VALUES (8370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：292毫秒', '0', '', '2024-12-24 14:02:26');
INSERT INTO `sys_job_log` VALUES (8371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 14:02:29');
INSERT INTO `sys_job_log` VALUES (8372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 14:02:29');
INSERT INTO `sys_job_log` VALUES (8373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:02:31');
INSERT INTO `sys_job_log` VALUES (8374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：225毫秒', '0', '', '2024-12-24 14:02:31');
INSERT INTO `sys_job_log` VALUES (8375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:02:34');
INSERT INTO `sys_job_log` VALUES (8376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:02:36');
INSERT INTO `sys_job_log` VALUES (8377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:02:39');
INSERT INTO `sys_job_log` VALUES (8378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:02:41');
INSERT INTO `sys_job_log` VALUES (8379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:02:44');
INSERT INTO `sys_job_log` VALUES (8380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:02:44');
INSERT INTO `sys_job_log` VALUES (8381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:02:46');
INSERT INTO `sys_job_log` VALUES (8382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:02:49');
INSERT INTO `sys_job_log` VALUES (8383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:02:51');
INSERT INTO `sys_job_log` VALUES (8384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:02:54');
INSERT INTO `sys_job_log` VALUES (8385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:02:56');
INSERT INTO `sys_job_log` VALUES (8386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:02:59');
INSERT INTO `sys_job_log` VALUES (8387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:02:59');
INSERT INTO `sys_job_log` VALUES (8388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:03:01');
INSERT INTO `sys_job_log` VALUES (8389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:03:04');
INSERT INTO `sys_job_log` VALUES (8390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:03:06');
INSERT INTO `sys_job_log` VALUES (8391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:03:09');
INSERT INTO `sys_job_log` VALUES (8392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:03:11');
INSERT INTO `sys_job_log` VALUES (8393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:03:14');
INSERT INTO `sys_job_log` VALUES (8394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:03:14');
INSERT INTO `sys_job_log` VALUES (8395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:03:16');
INSERT INTO `sys_job_log` VALUES (8396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:03:19');
INSERT INTO `sys_job_log` VALUES (8397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:03:21');
INSERT INTO `sys_job_log` VALUES (8398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:03:24');
INSERT INTO `sys_job_log` VALUES (8399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:03:26');
INSERT INTO `sys_job_log` VALUES (8400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:03:29');
INSERT INTO `sys_job_log` VALUES (8401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:03:29');
INSERT INTO `sys_job_log` VALUES (8402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:03:31');
INSERT INTO `sys_job_log` VALUES (8403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 14:03:34');
INSERT INTO `sys_job_log` VALUES (8404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:03:36');
INSERT INTO `sys_job_log` VALUES (8405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:03:39');
INSERT INTO `sys_job_log` VALUES (8406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:03:41');
INSERT INTO `sys_job_log` VALUES (8407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 14:03:44');
INSERT INTO `sys_job_log` VALUES (8408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 14:03:44');
INSERT INTO `sys_job_log` VALUES (8409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:03:46');
INSERT INTO `sys_job_log` VALUES (8410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:03:49');
INSERT INTO `sys_job_log` VALUES (8411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:03:51');
INSERT INTO `sys_job_log` VALUES (8412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:03:54');
INSERT INTO `sys_job_log` VALUES (8413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:03:56');
INSERT INTO `sys_job_log` VALUES (8414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:03:59');
INSERT INTO `sys_job_log` VALUES (8415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:03:59');
INSERT INTO `sys_job_log` VALUES (8416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:04:01');
INSERT INTO `sys_job_log` VALUES (8417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:04:04');
INSERT INTO `sys_job_log` VALUES (8418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:04:06');
INSERT INTO `sys_job_log` VALUES (8419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:04:09');
INSERT INTO `sys_job_log` VALUES (8420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:04:11');
INSERT INTO `sys_job_log` VALUES (8421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 14:04:14');
INSERT INTO `sys_job_log` VALUES (8422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:04:14');
INSERT INTO `sys_job_log` VALUES (8423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:04:19');
INSERT INTO `sys_job_log` VALUES (8424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '0', '', '2024-12-24 14:04:23');
INSERT INTO `sys_job_log` VALUES (8425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:04:24');
INSERT INTO `sys_job_log` VALUES (8426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:04:26');
INSERT INTO `sys_job_log` VALUES (8427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:04:29');
INSERT INTO `sys_job_log` VALUES (8428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:04:29');
INSERT INTO `sys_job_log` VALUES (8429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:04:31');
INSERT INTO `sys_job_log` VALUES (8430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：196毫秒', '0', '', '2024-12-24 14:04:31');
INSERT INTO `sys_job_log` VALUES (8431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:04:34');
INSERT INTO `sys_job_log` VALUES (8432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:04:36');
INSERT INTO `sys_job_log` VALUES (8433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:04:39');
INSERT INTO `sys_job_log` VALUES (8434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:04:41');
INSERT INTO `sys_job_log` VALUES (8435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:04:44');
INSERT INTO `sys_job_log` VALUES (8436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:04:44');
INSERT INTO `sys_job_log` VALUES (8437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:04:46');
INSERT INTO `sys_job_log` VALUES (8438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:04:49');
INSERT INTO `sys_job_log` VALUES (8439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:04:51');
INSERT INTO `sys_job_log` VALUES (8440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:04:54');
INSERT INTO `sys_job_log` VALUES (8441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:04:56');
INSERT INTO `sys_job_log` VALUES (8442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:04:59');
INSERT INTO `sys_job_log` VALUES (8443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:04:59');
INSERT INTO `sys_job_log` VALUES (8444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:05:01');
INSERT INTO `sys_job_log` VALUES (8445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:05:04');
INSERT INTO `sys_job_log` VALUES (8446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:05:06');
INSERT INTO `sys_job_log` VALUES (8447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:05:09');
INSERT INTO `sys_job_log` VALUES (8448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:05:11');
INSERT INTO `sys_job_log` VALUES (8449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:05:14');
INSERT INTO `sys_job_log` VALUES (8450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 14:05:14');
INSERT INTO `sys_job_log` VALUES (8451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:05:16');
INSERT INTO `sys_job_log` VALUES (8452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:05:19');
INSERT INTO `sys_job_log` VALUES (8453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:05:24');
INSERT INTO `sys_job_log` VALUES (8454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:05:29');
INSERT INTO `sys_job_log` VALUES (8455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:05:29');
INSERT INTO `sys_job_log` VALUES (8456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:05:34');
INSERT INTO `sys_job_log` VALUES (8457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:05:39');
INSERT INTO `sys_job_log` VALUES (8458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:05:44');
INSERT INTO `sys_job_log` VALUES (8459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:05:44');
INSERT INTO `sys_job_log` VALUES (8460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:05:49');
INSERT INTO `sys_job_log` VALUES (8461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:05:54');
INSERT INTO `sys_job_log` VALUES (8462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 14:05:59');
INSERT INTO `sys_job_log` VALUES (8463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:05:59');
INSERT INTO `sys_job_log` VALUES (8464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:06:04');
INSERT INTO `sys_job_log` VALUES (8465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:06:09');
INSERT INTO `sys_job_log` VALUES (8466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:06:14');
INSERT INTO `sys_job_log` VALUES (8467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:06:14');
INSERT INTO `sys_job_log` VALUES (8468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:06:19');
INSERT INTO `sys_job_log` VALUES (8469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:06:24');
INSERT INTO `sys_job_log` VALUES (8470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 14:06:29');
INSERT INTO `sys_job_log` VALUES (8471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:06:29');
INSERT INTO `sys_job_log` VALUES (8472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:06:34');
INSERT INTO `sys_job_log` VALUES (8473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:06:39');
INSERT INTO `sys_job_log` VALUES (8474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:06:44');
INSERT INTO `sys_job_log` VALUES (8475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:06:44');
INSERT INTO `sys_job_log` VALUES (8476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:06:49');
INSERT INTO `sys_job_log` VALUES (8477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:06:54');
INSERT INTO `sys_job_log` VALUES (8478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:06:59');
INSERT INTO `sys_job_log` VALUES (8479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:06:59');
INSERT INTO `sys_job_log` VALUES (8480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:07:04');
INSERT INTO `sys_job_log` VALUES (8481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:07:09');
INSERT INTO `sys_job_log` VALUES (8482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:07:14');
INSERT INTO `sys_job_log` VALUES (8483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:07:14');
INSERT INTO `sys_job_log` VALUES (8484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:07:19');
INSERT INTO `sys_job_log` VALUES (8485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:07:24');
INSERT INTO `sys_job_log` VALUES (8486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:07:29');
INSERT INTO `sys_job_log` VALUES (8487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 14:07:29');
INSERT INTO `sys_job_log` VALUES (8488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:07:34');
INSERT INTO `sys_job_log` VALUES (8489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:07:39');
INSERT INTO `sys_job_log` VALUES (8490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:07:44');
INSERT INTO `sys_job_log` VALUES (8491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:07:44');
INSERT INTO `sys_job_log` VALUES (8492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:07:49');
INSERT INTO `sys_job_log` VALUES (8493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:07:54');
INSERT INTO `sys_job_log` VALUES (8494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:07:59');
INSERT INTO `sys_job_log` VALUES (8495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:07:59');
INSERT INTO `sys_job_log` VALUES (8496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 14:08:04');
INSERT INTO `sys_job_log` VALUES (8497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:08:09');
INSERT INTO `sys_job_log` VALUES (8498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:08:14');
INSERT INTO `sys_job_log` VALUES (8499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:08:14');
INSERT INTO `sys_job_log` VALUES (8500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:08:19');
INSERT INTO `sys_job_log` VALUES (8501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:08:24');
INSERT INTO `sys_job_log` VALUES (8502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:08:29');
INSERT INTO `sys_job_log` VALUES (8503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:08:29');
INSERT INTO `sys_job_log` VALUES (8504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:08:34');
INSERT INTO `sys_job_log` VALUES (8505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:08:39');
INSERT INTO `sys_job_log` VALUES (8506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 14:08:44');
INSERT INTO `sys_job_log` VALUES (8507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:08:44');
INSERT INTO `sys_job_log` VALUES (8508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:08:49');
INSERT INTO `sys_job_log` VALUES (8509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:08:54');
INSERT INTO `sys_job_log` VALUES (8510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 14:08:59');
INSERT INTO `sys_job_log` VALUES (8511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 14:08:59');
INSERT INTO `sys_job_log` VALUES (8512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 14:09:04');
INSERT INTO `sys_job_log` VALUES (8513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:09:09');
INSERT INTO `sys_job_log` VALUES (8514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 14:09:14');
INSERT INTO `sys_job_log` VALUES (8515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:09:14');
INSERT INTO `sys_job_log` VALUES (8516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:09:19');
INSERT INTO `sys_job_log` VALUES (8517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:09:24');
INSERT INTO `sys_job_log` VALUES (8518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 14:09:29');
INSERT INTO `sys_job_log` VALUES (8519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 14:09:29');
INSERT INTO `sys_job_log` VALUES (8520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:09:34');
INSERT INTO `sys_job_log` VALUES (8521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:09:39');
INSERT INTO `sys_job_log` VALUES (8522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 14:09:44');
INSERT INTO `sys_job_log` VALUES (8523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 14:09:44');
INSERT INTO `sys_job_log` VALUES (8524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:09:49');
INSERT INTO `sys_job_log` VALUES (8525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:09:54');
INSERT INTO `sys_job_log` VALUES (8526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:09:59');
INSERT INTO `sys_job_log` VALUES (8527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:09:59');
INSERT INTO `sys_job_log` VALUES (8528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:10:04');
INSERT INTO `sys_job_log` VALUES (8529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:10:09');
INSERT INTO `sys_job_log` VALUES (8530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:10:14');
INSERT INTO `sys_job_log` VALUES (8531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:10:14');
INSERT INTO `sys_job_log` VALUES (8532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:10:19');
INSERT INTO `sys_job_log` VALUES (8533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:10:24');
INSERT INTO `sys_job_log` VALUES (8534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:10:29');
INSERT INTO `sys_job_log` VALUES (8535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:10:29');
INSERT INTO `sys_job_log` VALUES (8536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:10:34');
INSERT INTO `sys_job_log` VALUES (8537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:10:39');
INSERT INTO `sys_job_log` VALUES (8538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:10:44');
INSERT INTO `sys_job_log` VALUES (8539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:10:44');
INSERT INTO `sys_job_log` VALUES (8540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:10:49');
INSERT INTO `sys_job_log` VALUES (8541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:10:54');
INSERT INTO `sys_job_log` VALUES (8542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 14:10:59');
INSERT INTO `sys_job_log` VALUES (8543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:10:59');
INSERT INTO `sys_job_log` VALUES (8544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:11:04');
INSERT INTO `sys_job_log` VALUES (8545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:11:09');
INSERT INTO `sys_job_log` VALUES (8546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:11:14');
INSERT INTO `sys_job_log` VALUES (8547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:11:14');
INSERT INTO `sys_job_log` VALUES (8548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:11:19');
INSERT INTO `sys_job_log` VALUES (8549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:11:24');
INSERT INTO `sys_job_log` VALUES (8550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:11:29');
INSERT INTO `sys_job_log` VALUES (8551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:11:29');
INSERT INTO `sys_job_log` VALUES (8552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:11:34');
INSERT INTO `sys_job_log` VALUES (8553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:11:39');
INSERT INTO `sys_job_log` VALUES (8554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:11:44');
INSERT INTO `sys_job_log` VALUES (8555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:11:44');
INSERT INTO `sys_job_log` VALUES (8556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:11:49');
INSERT INTO `sys_job_log` VALUES (8557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:11:54');
INSERT INTO `sys_job_log` VALUES (8558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:11:59');
INSERT INTO `sys_job_log` VALUES (8559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:11:59');
INSERT INTO `sys_job_log` VALUES (8560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:12:04');
INSERT INTO `sys_job_log` VALUES (8561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 14:12:09');
INSERT INTO `sys_job_log` VALUES (8562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 14:12:14');
INSERT INTO `sys_job_log` VALUES (8563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 14:12:14');
INSERT INTO `sys_job_log` VALUES (8564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:12:19');
INSERT INTO `sys_job_log` VALUES (8565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:12:24');
INSERT INTO `sys_job_log` VALUES (8566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:12:29');
INSERT INTO `sys_job_log` VALUES (8567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:12:29');
INSERT INTO `sys_job_log` VALUES (8568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:12:34');
INSERT INTO `sys_job_log` VALUES (8569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:12:39');
INSERT INTO `sys_job_log` VALUES (8570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:12:44');
INSERT INTO `sys_job_log` VALUES (8571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:12:44');
INSERT INTO `sys_job_log` VALUES (8572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:12:49');
INSERT INTO `sys_job_log` VALUES (8573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:12:54');
INSERT INTO `sys_job_log` VALUES (8574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:12:59');
INSERT INTO `sys_job_log` VALUES (8575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:12:59');
INSERT INTO `sys_job_log` VALUES (8576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:13:04');
INSERT INTO `sys_job_log` VALUES (8577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:13:09');
INSERT INTO `sys_job_log` VALUES (8578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:13:14');
INSERT INTO `sys_job_log` VALUES (8579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:13:14');
INSERT INTO `sys_job_log` VALUES (8580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:13:19');
INSERT INTO `sys_job_log` VALUES (8581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:13:24');
INSERT INTO `sys_job_log` VALUES (8582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:13:29');
INSERT INTO `sys_job_log` VALUES (8583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:13:29');
INSERT INTO `sys_job_log` VALUES (8584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:13:34');
INSERT INTO `sys_job_log` VALUES (8585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:13:39');
INSERT INTO `sys_job_log` VALUES (8586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:13:44');
INSERT INTO `sys_job_log` VALUES (8587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 14:13:44');
INSERT INTO `sys_job_log` VALUES (8588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:13:49');
INSERT INTO `sys_job_log` VALUES (8589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:13:54');
INSERT INTO `sys_job_log` VALUES (8590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:13:59');
INSERT INTO `sys_job_log` VALUES (8591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-24 14:13:59');
INSERT INTO `sys_job_log` VALUES (8592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:14:04');
INSERT INTO `sys_job_log` VALUES (8593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:14:09');
INSERT INTO `sys_job_log` VALUES (8594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:14:14');
INSERT INTO `sys_job_log` VALUES (8595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 14:14:14');
INSERT INTO `sys_job_log` VALUES (8596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:14:19');
INSERT INTO `sys_job_log` VALUES (8597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:14:24');
INSERT INTO `sys_job_log` VALUES (8598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：398毫秒', '0', '', '2024-12-24 14:14:30');
INSERT INTO `sys_job_log` VALUES (8599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：397毫秒', '0', '', '2024-12-24 14:14:30');
INSERT INTO `sys_job_log` VALUES (8600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:14:34');
INSERT INTO `sys_job_log` VALUES (8601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 14:14:39');
INSERT INTO `sys_job_log` VALUES (8602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:14:44');
INSERT INTO `sys_job_log` VALUES (8603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:14:44');
INSERT INTO `sys_job_log` VALUES (8604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:14:49');
INSERT INTO `sys_job_log` VALUES (8605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:14:54');
INSERT INTO `sys_job_log` VALUES (8606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:14:59');
INSERT INTO `sys_job_log` VALUES (8607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 14:14:59');
INSERT INTO `sys_job_log` VALUES (8608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 14:15:04');
INSERT INTO `sys_job_log` VALUES (8609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:15:09');
INSERT INTO `sys_job_log` VALUES (8610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:15:14');
INSERT INTO `sys_job_log` VALUES (8611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 14:15:14');
INSERT INTO `sys_job_log` VALUES (8612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:15:19');
INSERT INTO `sys_job_log` VALUES (8613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:15:24');
INSERT INTO `sys_job_log` VALUES (8614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:15:29');
INSERT INTO `sys_job_log` VALUES (8615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:15:29');
INSERT INTO `sys_job_log` VALUES (8616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:15:34');
INSERT INTO `sys_job_log` VALUES (8617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:15:39');
INSERT INTO `sys_job_log` VALUES (8618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:15:44');
INSERT INTO `sys_job_log` VALUES (8619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 14:15:44');
INSERT INTO `sys_job_log` VALUES (8620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:15:49');
INSERT INTO `sys_job_log` VALUES (8621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:15:54');
INSERT INTO `sys_job_log` VALUES (8622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:15:59');
INSERT INTO `sys_job_log` VALUES (8623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:15:59');
INSERT INTO `sys_job_log` VALUES (8624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:16:04');
INSERT INTO `sys_job_log` VALUES (8625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:16:09');
INSERT INTO `sys_job_log` VALUES (8626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:16:14');
INSERT INTO `sys_job_log` VALUES (8627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:16:14');
INSERT INTO `sys_job_log` VALUES (8628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:16:19');
INSERT INTO `sys_job_log` VALUES (8629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:16:24');
INSERT INTO `sys_job_log` VALUES (8630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:16:29');
INSERT INTO `sys_job_log` VALUES (8631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:16:29');
INSERT INTO `sys_job_log` VALUES (8632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:16:34');
INSERT INTO `sys_job_log` VALUES (8633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:16:39');
INSERT INTO `sys_job_log` VALUES (8634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:16:44');
INSERT INTO `sys_job_log` VALUES (8635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:16:44');
INSERT INTO `sys_job_log` VALUES (8636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:16:49');
INSERT INTO `sys_job_log` VALUES (8637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:16:54');
INSERT INTO `sys_job_log` VALUES (8638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:16:59');
INSERT INTO `sys_job_log` VALUES (8639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:16:59');
INSERT INTO `sys_job_log` VALUES (8640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:17:04');
INSERT INTO `sys_job_log` VALUES (8641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:17:09');
INSERT INTO `sys_job_log` VALUES (8642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:17:14');
INSERT INTO `sys_job_log` VALUES (8643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:17:14');
INSERT INTO `sys_job_log` VALUES (8644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:17:19');
INSERT INTO `sys_job_log` VALUES (8645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:17:24');
INSERT INTO `sys_job_log` VALUES (8646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:17:29');
INSERT INTO `sys_job_log` VALUES (8647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 14:17:29');
INSERT INTO `sys_job_log` VALUES (8648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:17:34');
INSERT INTO `sys_job_log` VALUES (8649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:17:39');
INSERT INTO `sys_job_log` VALUES (8650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:17:44');
INSERT INTO `sys_job_log` VALUES (8651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:17:44');
INSERT INTO `sys_job_log` VALUES (8652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:17:49');
INSERT INTO `sys_job_log` VALUES (8653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:17:54');
INSERT INTO `sys_job_log` VALUES (8654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:17:59');
INSERT INTO `sys_job_log` VALUES (8655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:17:59');
INSERT INTO `sys_job_log` VALUES (8656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:18:04');
INSERT INTO `sys_job_log` VALUES (8657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:18:09');
INSERT INTO `sys_job_log` VALUES (8658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:18:14');
INSERT INTO `sys_job_log` VALUES (8659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:18:14');
INSERT INTO `sys_job_log` VALUES (8660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：351毫秒', '0', '', '2024-12-24 14:18:20');
INSERT INTO `sys_job_log` VALUES (8661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:18:24');
INSERT INTO `sys_job_log` VALUES (8662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:18:29');
INSERT INTO `sys_job_log` VALUES (8663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:18:29');
INSERT INTO `sys_job_log` VALUES (8664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:18:34');
INSERT INTO `sys_job_log` VALUES (8665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:18:39');
INSERT INTO `sys_job_log` VALUES (8666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:18:44');
INSERT INTO `sys_job_log` VALUES (8667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 14:18:44');
INSERT INTO `sys_job_log` VALUES (8668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:18:49');
INSERT INTO `sys_job_log` VALUES (8669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:18:54');
INSERT INTO `sys_job_log` VALUES (8670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:18:59');
INSERT INTO `sys_job_log` VALUES (8671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:18:59');
INSERT INTO `sys_job_log` VALUES (8672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:19:04');
INSERT INTO `sys_job_log` VALUES (8673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:19:09');
INSERT INTO `sys_job_log` VALUES (8674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:19:14');
INSERT INTO `sys_job_log` VALUES (8675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:19:14');
INSERT INTO `sys_job_log` VALUES (8676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:19:19');
INSERT INTO `sys_job_log` VALUES (8677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:19:24');
INSERT INTO `sys_job_log` VALUES (8678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:19:29');
INSERT INTO `sys_job_log` VALUES (8679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:19:29');
INSERT INTO `sys_job_log` VALUES (8680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 14:19:34');
INSERT INTO `sys_job_log` VALUES (8681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:19:39');
INSERT INTO `sys_job_log` VALUES (8682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:19:44');
INSERT INTO `sys_job_log` VALUES (8683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:19:44');
INSERT INTO `sys_job_log` VALUES (8684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:19:49');
INSERT INTO `sys_job_log` VALUES (8685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：336毫秒', '0', '', '2024-12-24 14:19:54');
INSERT INTO `sys_job_log` VALUES (8686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:19:54');
INSERT INTO `sys_job_log` VALUES (8687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 14:19:56');
INSERT INTO `sys_job_log` VALUES (8688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:19:59');
INSERT INTO `sys_job_log` VALUES (8689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:19:59');
INSERT INTO `sys_job_log` VALUES (8690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:20:01');
INSERT INTO `sys_job_log` VALUES (8691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：258毫秒', '0', '', '2024-12-24 14:20:01');
INSERT INTO `sys_job_log` VALUES (8692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:20:04');
INSERT INTO `sys_job_log` VALUES (8693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:20:06');
INSERT INTO `sys_job_log` VALUES (8694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:20:09');
INSERT INTO `sys_job_log` VALUES (8695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:20:11');
INSERT INTO `sys_job_log` VALUES (8696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:20:14');
INSERT INTO `sys_job_log` VALUES (8697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:20:14');
INSERT INTO `sys_job_log` VALUES (8698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:20:16');
INSERT INTO `sys_job_log` VALUES (8699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：216毫秒', '0', '', '2024-12-24 14:20:16');
INSERT INTO `sys_job_log` VALUES (8700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:20:19');
INSERT INTO `sys_job_log` VALUES (8701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:20:21');
INSERT INTO `sys_job_log` VALUES (8702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:20:24');
INSERT INTO `sys_job_log` VALUES (8703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:20:26');
INSERT INTO `sys_job_log` VALUES (8704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:20:29');
INSERT INTO `sys_job_log` VALUES (8705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:20:29');
INSERT INTO `sys_job_log` VALUES (8706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:20:31');
INSERT INTO `sys_job_log` VALUES (8707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：268毫秒', '0', '', '2024-12-24 14:20:31');
INSERT INTO `sys_job_log` VALUES (8708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:20:34');
INSERT INTO `sys_job_log` VALUES (8709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:20:36');
INSERT INTO `sys_job_log` VALUES (8710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:20:39');
INSERT INTO `sys_job_log` VALUES (8711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:20:41');
INSERT INTO `sys_job_log` VALUES (8712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:20:44');
INSERT INTO `sys_job_log` VALUES (8713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:20:44');
INSERT INTO `sys_job_log` VALUES (8714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:20:46');
INSERT INTO `sys_job_log` VALUES (8715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:20:49');
INSERT INTO `sys_job_log` VALUES (8716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:20:51');
INSERT INTO `sys_job_log` VALUES (8717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:20:54');
INSERT INTO `sys_job_log` VALUES (8718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:20:56');
INSERT INTO `sys_job_log` VALUES (8719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:20:59');
INSERT INTO `sys_job_log` VALUES (8720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:20:59');
INSERT INTO `sys_job_log` VALUES (8721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:21:04');
INSERT INTO `sys_job_log` VALUES (8722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:21:09');
INSERT INTO `sys_job_log` VALUES (8723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:21:14');
INSERT INTO `sys_job_log` VALUES (8724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:21:14');
INSERT INTO `sys_job_log` VALUES (8725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:21:19');
INSERT INTO `sys_job_log` VALUES (8726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:21:24');
INSERT INTO `sys_job_log` VALUES (8727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:21:29');
INSERT INTO `sys_job_log` VALUES (8728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 14:21:29');
INSERT INTO `sys_job_log` VALUES (8729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:21:34');
INSERT INTO `sys_job_log` VALUES (8730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:21:39');
INSERT INTO `sys_job_log` VALUES (8731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:21:44');
INSERT INTO `sys_job_log` VALUES (8732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:21:44');
INSERT INTO `sys_job_log` VALUES (8733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:21:49');
INSERT INTO `sys_job_log` VALUES (8734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:21:54');
INSERT INTO `sys_job_log` VALUES (8735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:21:59');
INSERT INTO `sys_job_log` VALUES (8736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:21:59');
INSERT INTO `sys_job_log` VALUES (8737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:22:04');
INSERT INTO `sys_job_log` VALUES (8738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:22:09');
INSERT INTO `sys_job_log` VALUES (8739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:22:14');
INSERT INTO `sys_job_log` VALUES (8740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:22:14');
INSERT INTO `sys_job_log` VALUES (8741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:22:19');
INSERT INTO `sys_job_log` VALUES (8742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:22:24');
INSERT INTO `sys_job_log` VALUES (8743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:22:29');
INSERT INTO `sys_job_log` VALUES (8744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:22:29');
INSERT INTO `sys_job_log` VALUES (8745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:22:34');
INSERT INTO `sys_job_log` VALUES (8746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:22:39');
INSERT INTO `sys_job_log` VALUES (8747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:22:44');
INSERT INTO `sys_job_log` VALUES (8748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:22:44');
INSERT INTO `sys_job_log` VALUES (8749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:22:49');
INSERT INTO `sys_job_log` VALUES (8750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:22:54');
INSERT INTO `sys_job_log` VALUES (8751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 14:22:59');
INSERT INTO `sys_job_log` VALUES (8752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:22:59');
INSERT INTO `sys_job_log` VALUES (8753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:23:04');
INSERT INTO `sys_job_log` VALUES (8754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:23:09');
INSERT INTO `sys_job_log` VALUES (8755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:23:14');
INSERT INTO `sys_job_log` VALUES (8756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 14:23:14');
INSERT INTO `sys_job_log` VALUES (8757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:23:19');
INSERT INTO `sys_job_log` VALUES (8758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:23:24');
INSERT INTO `sys_job_log` VALUES (8759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:23:29');
INSERT INTO `sys_job_log` VALUES (8760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:23:29');
INSERT INTO `sys_job_log` VALUES (8761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:23:34');
INSERT INTO `sys_job_log` VALUES (8762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:23:39');
INSERT INTO `sys_job_log` VALUES (8763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:23:44');
INSERT INTO `sys_job_log` VALUES (8764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:23:44');
INSERT INTO `sys_job_log` VALUES (8765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 14:23:49');
INSERT INTO `sys_job_log` VALUES (8766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:23:54');
INSERT INTO `sys_job_log` VALUES (8767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:23:59');
INSERT INTO `sys_job_log` VALUES (8768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 14:23:59');
INSERT INTO `sys_job_log` VALUES (8769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:24:04');
INSERT INTO `sys_job_log` VALUES (8770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:24:09');
INSERT INTO `sys_job_log` VALUES (8771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:24:14');
INSERT INTO `sys_job_log` VALUES (8772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:24:14');
INSERT INTO `sys_job_log` VALUES (8773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:24:19');
INSERT INTO `sys_job_log` VALUES (8774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:24:24');
INSERT INTO `sys_job_log` VALUES (8775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:24:29');
INSERT INTO `sys_job_log` VALUES (8776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:24:29');
INSERT INTO `sys_job_log` VALUES (8777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:24:34');
INSERT INTO `sys_job_log` VALUES (8778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:24:39');
INSERT INTO `sys_job_log` VALUES (8779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:24:44');
INSERT INTO `sys_job_log` VALUES (8780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:24:44');
INSERT INTO `sys_job_log` VALUES (8781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:24:49');
INSERT INTO `sys_job_log` VALUES (8782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:24:54');
INSERT INTO `sys_job_log` VALUES (8783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:24:59');
INSERT INTO `sys_job_log` VALUES (8784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:24:59');
INSERT INTO `sys_job_log` VALUES (8785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:25:04');
INSERT INTO `sys_job_log` VALUES (8786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:25:09');
INSERT INTO `sys_job_log` VALUES (8787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 14:25:14');
INSERT INTO `sys_job_log` VALUES (8788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 14:25:14');
INSERT INTO `sys_job_log` VALUES (8789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:25:19');
INSERT INTO `sys_job_log` VALUES (8790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:25:24');
INSERT INTO `sys_job_log` VALUES (8791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:25:29');
INSERT INTO `sys_job_log` VALUES (8792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:25:29');
INSERT INTO `sys_job_log` VALUES (8793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 14:25:34');
INSERT INTO `sys_job_log` VALUES (8794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:25:39');
INSERT INTO `sys_job_log` VALUES (8795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 14:25:44');
INSERT INTO `sys_job_log` VALUES (8796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：134毫秒', '0', '', '2024-12-24 14:25:44');
INSERT INTO `sys_job_log` VALUES (8797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:25:49');
INSERT INTO `sys_job_log` VALUES (8798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:25:54');
INSERT INTO `sys_job_log` VALUES (8799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:25:59');
INSERT INTO `sys_job_log` VALUES (8800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 14:25:59');
INSERT INTO `sys_job_log` VALUES (8801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 14:26:04');
INSERT INTO `sys_job_log` VALUES (8802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:26:09');
INSERT INTO `sys_job_log` VALUES (8803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:26:14');
INSERT INTO `sys_job_log` VALUES (8804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 14:26:14');
INSERT INTO `sys_job_log` VALUES (8805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:26:19');
INSERT INTO `sys_job_log` VALUES (8806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:26:24');
INSERT INTO `sys_job_log` VALUES (8807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 14:26:29');
INSERT INTO `sys_job_log` VALUES (8808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 14:26:29');
INSERT INTO `sys_job_log` VALUES (8809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:26:34');
INSERT INTO `sys_job_log` VALUES (8810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:26:39');
INSERT INTO `sys_job_log` VALUES (8811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:26:44');
INSERT INTO `sys_job_log` VALUES (8812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:26:44');
INSERT INTO `sys_job_log` VALUES (8813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:26:49');
INSERT INTO `sys_job_log` VALUES (8814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:26:54');
INSERT INTO `sys_job_log` VALUES (8815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:26:59');
INSERT INTO `sys_job_log` VALUES (8816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 14:26:59');
INSERT INTO `sys_job_log` VALUES (8817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:27:04');
INSERT INTO `sys_job_log` VALUES (8818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:27:09');
INSERT INTO `sys_job_log` VALUES (8819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:27:14');
INSERT INTO `sys_job_log` VALUES (8820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:27:14');
INSERT INTO `sys_job_log` VALUES (8821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:27:19');
INSERT INTO `sys_job_log` VALUES (8822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:27:24');
INSERT INTO `sys_job_log` VALUES (8823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:27:29');
INSERT INTO `sys_job_log` VALUES (8824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 14:27:29');
INSERT INTO `sys_job_log` VALUES (8825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:27:34');
INSERT INTO `sys_job_log` VALUES (8826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:27:39');
INSERT INTO `sys_job_log` VALUES (8827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 14:27:44');
INSERT INTO `sys_job_log` VALUES (8828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:27:44');
INSERT INTO `sys_job_log` VALUES (8829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:27:49');
INSERT INTO `sys_job_log` VALUES (8830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:27:54');
INSERT INTO `sys_job_log` VALUES (8831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:27:59');
INSERT INTO `sys_job_log` VALUES (8832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:27:59');
INSERT INTO `sys_job_log` VALUES (8833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1112毫秒', '0', '', '2024-12-24 14:28:05');
INSERT INTO `sys_job_log` VALUES (8834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:28:09');
INSERT INTO `sys_job_log` VALUES (8835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:28:14');
INSERT INTO `sys_job_log` VALUES (8836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:28:14');
INSERT INTO `sys_job_log` VALUES (8837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:28:19');
INSERT INTO `sys_job_log` VALUES (8838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:28:24');
INSERT INTO `sys_job_log` VALUES (8839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:28:29');
INSERT INTO `sys_job_log` VALUES (8840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 14:28:29');
INSERT INTO `sys_job_log` VALUES (8841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:28:34');
INSERT INTO `sys_job_log` VALUES (8842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:28:39');
INSERT INTO `sys_job_log` VALUES (8843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:28:44');
INSERT INTO `sys_job_log` VALUES (8844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:28:44');
INSERT INTO `sys_job_log` VALUES (8845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:28:49');
INSERT INTO `sys_job_log` VALUES (8846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:28:54');
INSERT INTO `sys_job_log` VALUES (8847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:28:59');
INSERT INTO `sys_job_log` VALUES (8848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:28:59');
INSERT INTO `sys_job_log` VALUES (8849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:29:04');
INSERT INTO `sys_job_log` VALUES (8850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:29:09');
INSERT INTO `sys_job_log` VALUES (8851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:29:14');
INSERT INTO `sys_job_log` VALUES (8852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 14:29:14');
INSERT INTO `sys_job_log` VALUES (8853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:29:19');
INSERT INTO `sys_job_log` VALUES (8854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:29:24');
INSERT INTO `sys_job_log` VALUES (8855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:29:29');
INSERT INTO `sys_job_log` VALUES (8856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:29:29');
INSERT INTO `sys_job_log` VALUES (8857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:29:34');
INSERT INTO `sys_job_log` VALUES (8858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:29:39');
INSERT INTO `sys_job_log` VALUES (8859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:29:44');
INSERT INTO `sys_job_log` VALUES (8860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 14:29:44');
INSERT INTO `sys_job_log` VALUES (8861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:29:49');
INSERT INTO `sys_job_log` VALUES (8862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:29:54');
INSERT INTO `sys_job_log` VALUES (8863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:29:59');
INSERT INTO `sys_job_log` VALUES (8864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:29:59');
INSERT INTO `sys_job_log` VALUES (8865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:30:04');
INSERT INTO `sys_job_log` VALUES (8866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:30:09');
INSERT INTO `sys_job_log` VALUES (8867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:30:14');
INSERT INTO `sys_job_log` VALUES (8868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 14:30:14');
INSERT INTO `sys_job_log` VALUES (8869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:30:19');
INSERT INTO `sys_job_log` VALUES (8870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:30:24');
INSERT INTO `sys_job_log` VALUES (8871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:30:29');
INSERT INTO `sys_job_log` VALUES (8872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:30:29');
INSERT INTO `sys_job_log` VALUES (8873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：126毫秒', '0', '', '2024-12-24 14:30:34');
INSERT INTO `sys_job_log` VALUES (8874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:30:39');
INSERT INTO `sys_job_log` VALUES (8875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:30:44');
INSERT INTO `sys_job_log` VALUES (8876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 14:30:44');
INSERT INTO `sys_job_log` VALUES (8877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:30:49');
INSERT INTO `sys_job_log` VALUES (8878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 14:30:54');
INSERT INTO `sys_job_log` VALUES (8879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:30:59');
INSERT INTO `sys_job_log` VALUES (8880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 14:30:59');
INSERT INTO `sys_job_log` VALUES (8881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:31:04');
INSERT INTO `sys_job_log` VALUES (8882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:31:09');
INSERT INTO `sys_job_log` VALUES (8883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:31:14');
INSERT INTO `sys_job_log` VALUES (8884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 14:31:14');
INSERT INTO `sys_job_log` VALUES (8885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:31:19');
INSERT INTO `sys_job_log` VALUES (8886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 14:31:24');
INSERT INTO `sys_job_log` VALUES (8887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:31:29');
INSERT INTO `sys_job_log` VALUES (8888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:31:29');
INSERT INTO `sys_job_log` VALUES (8889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:31:34');
INSERT INTO `sys_job_log` VALUES (8890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:31:39');
INSERT INTO `sys_job_log` VALUES (8891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:31:44');
INSERT INTO `sys_job_log` VALUES (8892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 14:31:44');
INSERT INTO `sys_job_log` VALUES (8893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:31:49');
INSERT INTO `sys_job_log` VALUES (8894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:31:54');
INSERT INTO `sys_job_log` VALUES (8895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:31:59');
INSERT INTO `sys_job_log` VALUES (8896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 14:31:59');
INSERT INTO `sys_job_log` VALUES (8897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:32:04');
INSERT INTO `sys_job_log` VALUES (8898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:32:09');
INSERT INTO `sys_job_log` VALUES (8899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:32:14');
INSERT INTO `sys_job_log` VALUES (8900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 14:32:14');
INSERT INTO `sys_job_log` VALUES (8901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:32:19');
INSERT INTO `sys_job_log` VALUES (8902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:32:24');
INSERT INTO `sys_job_log` VALUES (8903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:32:29');
INSERT INTO `sys_job_log` VALUES (8904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:32:29');
INSERT INTO `sys_job_log` VALUES (8905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:32:34');
INSERT INTO `sys_job_log` VALUES (8906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:32:39');
INSERT INTO `sys_job_log` VALUES (8907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:32:44');
INSERT INTO `sys_job_log` VALUES (8908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 14:32:44');
INSERT INTO `sys_job_log` VALUES (8909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:32:49');
INSERT INTO `sys_job_log` VALUES (8910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:32:54');
INSERT INTO `sys_job_log` VALUES (8911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 14:32:59');
INSERT INTO `sys_job_log` VALUES (8912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:32:59');
INSERT INTO `sys_job_log` VALUES (8913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:33:04');
INSERT INTO `sys_job_log` VALUES (8914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:33:09');
INSERT INTO `sys_job_log` VALUES (8915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:33:14');
INSERT INTO `sys_job_log` VALUES (8916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 14:33:14');
INSERT INTO `sys_job_log` VALUES (8917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:33:19');
INSERT INTO `sys_job_log` VALUES (8918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:33:24');
INSERT INTO `sys_job_log` VALUES (8919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:33:29');
INSERT INTO `sys_job_log` VALUES (8920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:33:29');
INSERT INTO `sys_job_log` VALUES (8921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:33:34');
INSERT INTO `sys_job_log` VALUES (8922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:33:39');
INSERT INTO `sys_job_log` VALUES (8923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:33:44');
INSERT INTO `sys_job_log` VALUES (8924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 14:33:44');
INSERT INTO `sys_job_log` VALUES (8925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:33:49');
INSERT INTO `sys_job_log` VALUES (8926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:33:54');
INSERT INTO `sys_job_log` VALUES (8927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:33:59');
INSERT INTO `sys_job_log` VALUES (8928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：26毫秒', '0', '', '2024-12-24 14:33:59');
INSERT INTO `sys_job_log` VALUES (8929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:34:04');
INSERT INTO `sys_job_log` VALUES (8930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:34:09');
INSERT INTO `sys_job_log` VALUES (8931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:34:14');
INSERT INTO `sys_job_log` VALUES (8932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 14:34:14');
INSERT INTO `sys_job_log` VALUES (8933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:34:19');
INSERT INTO `sys_job_log` VALUES (8934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:34:24');
INSERT INTO `sys_job_log` VALUES (8935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:34:29');
INSERT INTO `sys_job_log` VALUES (8936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:34:29');
INSERT INTO `sys_job_log` VALUES (8937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:34:34');
INSERT INTO `sys_job_log` VALUES (8938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:34:39');
INSERT INTO `sys_job_log` VALUES (8939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:34:44');
INSERT INTO `sys_job_log` VALUES (8940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 14:34:44');
INSERT INTO `sys_job_log` VALUES (8941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:34:49');
INSERT INTO `sys_job_log` VALUES (8942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:34:54');
INSERT INTO `sys_job_log` VALUES (8943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:34:59');
INSERT INTO `sys_job_log` VALUES (8944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:34:59');
INSERT INTO `sys_job_log` VALUES (8945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:35:04');
INSERT INTO `sys_job_log` VALUES (8946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:35:09');
INSERT INTO `sys_job_log` VALUES (8947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:35:14');
INSERT INTO `sys_job_log` VALUES (8948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 14:35:14');
INSERT INTO `sys_job_log` VALUES (8949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:35:19');
INSERT INTO `sys_job_log` VALUES (8950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:35:24');
INSERT INTO `sys_job_log` VALUES (8951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:35:29');
INSERT INTO `sys_job_log` VALUES (8952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 14:35:29');
INSERT INTO `sys_job_log` VALUES (8953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:35:34');
INSERT INTO `sys_job_log` VALUES (8954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:35:39');
INSERT INTO `sys_job_log` VALUES (8955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:35:44');
INSERT INTO `sys_job_log` VALUES (8956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:35:44');
INSERT INTO `sys_job_log` VALUES (8957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:35:49');
INSERT INTO `sys_job_log` VALUES (8958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:35:54');
INSERT INTO `sys_job_log` VALUES (8959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:35:59');
INSERT INTO `sys_job_log` VALUES (8960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 14:35:59');
INSERT INTO `sys_job_log` VALUES (8961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:36:04');
INSERT INTO `sys_job_log` VALUES (8962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:36:09');
INSERT INTO `sys_job_log` VALUES (8963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:36:14');
INSERT INTO `sys_job_log` VALUES (8964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 14:36:14');
INSERT INTO `sys_job_log` VALUES (8965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:36:19');
INSERT INTO `sys_job_log` VALUES (8966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:36:24');
INSERT INTO `sys_job_log` VALUES (8967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:36:29');
INSERT INTO `sys_job_log` VALUES (8968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 14:36:29');
INSERT INTO `sys_job_log` VALUES (8969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:36:34');
INSERT INTO `sys_job_log` VALUES (8970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:36:39');
INSERT INTO `sys_job_log` VALUES (8971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:36:44');
INSERT INTO `sys_job_log` VALUES (8972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:36:44');
INSERT INTO `sys_job_log` VALUES (8973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 14:36:49');
INSERT INTO `sys_job_log` VALUES (8974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:36:54');
INSERT INTO `sys_job_log` VALUES (8975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:36:59');
INSERT INTO `sys_job_log` VALUES (8976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 14:36:59');
INSERT INTO `sys_job_log` VALUES (8977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:37:04');
INSERT INTO `sys_job_log` VALUES (8978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:37:09');
INSERT INTO `sys_job_log` VALUES (8979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:37:14');
INSERT INTO `sys_job_log` VALUES (8980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:37:14');
INSERT INTO `sys_job_log` VALUES (8981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:37:19');
INSERT INTO `sys_job_log` VALUES (8982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:37:24');
INSERT INTO `sys_job_log` VALUES (8983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：390毫秒', '0', '', '2024-12-24 14:37:28');
INSERT INTO `sys_job_log` VALUES (8984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:37:29');
INSERT INTO `sys_job_log` VALUES (8985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 14:37:29');
INSERT INTO `sys_job_log` VALUES (8986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:37:31');
INSERT INTO `sys_job_log` VALUES (8987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：361毫秒', '0', '', '2024-12-24 14:37:31');
INSERT INTO `sys_job_log` VALUES (8988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:37:34');
INSERT INTO `sys_job_log` VALUES (8989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:37:36');
INSERT INTO `sys_job_log` VALUES (8990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:37:39');
INSERT INTO `sys_job_log` VALUES (8991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:37:41');
INSERT INTO `sys_job_log` VALUES (8992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:37:44');
INSERT INTO `sys_job_log` VALUES (8993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 14:37:44');
INSERT INTO `sys_job_log` VALUES (8994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:37:46');
INSERT INTO `sys_job_log` VALUES (8995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：329毫秒', '0', '', '2024-12-24 14:37:46');
INSERT INTO `sys_job_log` VALUES (8996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 14:37:49');
INSERT INTO `sys_job_log` VALUES (8997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:37:51');
INSERT INTO `sys_job_log` VALUES (8998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:37:54');
INSERT INTO `sys_job_log` VALUES (8999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:37:56');
INSERT INTO `sys_job_log` VALUES (9000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：20毫秒', '0', '', '2024-12-24 14:37:59');
INSERT INTO `sys_job_log` VALUES (9001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:37:59');
INSERT INTO `sys_job_log` VALUES (9002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:38:01');
INSERT INTO `sys_job_log` VALUES (9003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：318毫秒', '0', '', '2024-12-24 14:38:01');
INSERT INTO `sys_job_log` VALUES (9004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:38:04');
INSERT INTO `sys_job_log` VALUES (9005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:38:06');
INSERT INTO `sys_job_log` VALUES (9006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:38:09');
INSERT INTO `sys_job_log` VALUES (9007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:38:11');
INSERT INTO `sys_job_log` VALUES (9008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:38:14');
INSERT INTO `sys_job_log` VALUES (9009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:38:14');
INSERT INTO `sys_job_log` VALUES (9010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:38:16');
INSERT INTO `sys_job_log` VALUES (9011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:38:19');
INSERT INTO `sys_job_log` VALUES (9012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:38:21');
INSERT INTO `sys_job_log` VALUES (9013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:38:24');
INSERT INTO `sys_job_log` VALUES (9014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:38:26');
INSERT INTO `sys_job_log` VALUES (9015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:38:29');
INSERT INTO `sys_job_log` VALUES (9016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 14:38:29');
INSERT INTO `sys_job_log` VALUES (9017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:38:31');
INSERT INTO `sys_job_log` VALUES (9018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:38:34');
INSERT INTO `sys_job_log` VALUES (9019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:38:36');
INSERT INTO `sys_job_log` VALUES (9020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:38:39');
INSERT INTO `sys_job_log` VALUES (9021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:38:41');
INSERT INTO `sys_job_log` VALUES (9022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:38:44');
INSERT INTO `sys_job_log` VALUES (9023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:38:44');
INSERT INTO `sys_job_log` VALUES (9024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:38:46');
INSERT INTO `sys_job_log` VALUES (9025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:38:49');
INSERT INTO `sys_job_log` VALUES (9026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:38:51');
INSERT INTO `sys_job_log` VALUES (9027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:38:54');
INSERT INTO `sys_job_log` VALUES (9028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:38:56');
INSERT INTO `sys_job_log` VALUES (9029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:38:59');
INSERT INTO `sys_job_log` VALUES (9030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 14:38:59');
INSERT INTO `sys_job_log` VALUES (9031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 14:39:01');
INSERT INTO `sys_job_log` VALUES (9032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:39:04');
INSERT INTO `sys_job_log` VALUES (9033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:39:06');
INSERT INTO `sys_job_log` VALUES (9034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:39:09');
INSERT INTO `sys_job_log` VALUES (9035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 14:39:11');
INSERT INTO `sys_job_log` VALUES (9036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:39:14');
INSERT INTO `sys_job_log` VALUES (9037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:39:14');
INSERT INTO `sys_job_log` VALUES (9038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:39:19');
INSERT INTO `sys_job_log` VALUES (9039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:39:24');
INSERT INTO `sys_job_log` VALUES (9040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:39:29');
INSERT INTO `sys_job_log` VALUES (9041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 14:39:29');
INSERT INTO `sys_job_log` VALUES (9042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:39:34');
INSERT INTO `sys_job_log` VALUES (9043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:39:39');
INSERT INTO `sys_job_log` VALUES (9044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:39:44');
INSERT INTO `sys_job_log` VALUES (9045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:39:44');
INSERT INTO `sys_job_log` VALUES (9046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:39:49');
INSERT INTO `sys_job_log` VALUES (9047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 14:39:54');
INSERT INTO `sys_job_log` VALUES (9048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1345毫秒', '0', '', '2024-12-24 14:39:57');
INSERT INTO `sys_job_log` VALUES (9049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 14:39:59');
INSERT INTO `sys_job_log` VALUES (9050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：213毫秒', '0', '', '2024-12-24 14:39:59');
INSERT INTO `sys_job_log` VALUES (9051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:40:01');
INSERT INTO `sys_job_log` VALUES (9052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1297毫秒', '0', '', '2024-12-24 14:40:02');
INSERT INTO `sys_job_log` VALUES (9053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:40:04');
INSERT INTO `sys_job_log` VALUES (9054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:40:06');
INSERT INTO `sys_job_log` VALUES (9055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:40:09');
INSERT INTO `sys_job_log` VALUES (9056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:40:11');
INSERT INTO `sys_job_log` VALUES (9057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:40:14');
INSERT INTO `sys_job_log` VALUES (9058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:40:14');
INSERT INTO `sys_job_log` VALUES (9059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:40:16');
INSERT INTO `sys_job_log` VALUES (9060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1139毫秒', '0', '', '2024-12-24 14:40:17');
INSERT INTO `sys_job_log` VALUES (9061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:40:19');
INSERT INTO `sys_job_log` VALUES (9062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:40:21');
INSERT INTO `sys_job_log` VALUES (9063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:40:24');
INSERT INTO `sys_job_log` VALUES (9064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:40:26');
INSERT INTO `sys_job_log` VALUES (9065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 14:40:29');
INSERT INTO `sys_job_log` VALUES (9066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 14:40:29');
INSERT INTO `sys_job_log` VALUES (9067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:40:31');
INSERT INTO `sys_job_log` VALUES (9068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1253毫秒', '0', '', '2024-12-24 14:40:32');
INSERT INTO `sys_job_log` VALUES (9069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:40:34');
INSERT INTO `sys_job_log` VALUES (9070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 14:40:36');
INSERT INTO `sys_job_log` VALUES (9071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:40:39');
INSERT INTO `sys_job_log` VALUES (9072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 14:40:41');
INSERT INTO `sys_job_log` VALUES (9073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:40:44');
INSERT INTO `sys_job_log` VALUES (9074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:40:44');
INSERT INTO `sys_job_log` VALUES (9075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:40:46');
INSERT INTO `sys_job_log` VALUES (9076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 14:40:47');
INSERT INTO `sys_job_log` VALUES (9077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:40:49');
INSERT INTO `sys_job_log` VALUES (9078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:40:51');
INSERT INTO `sys_job_log` VALUES (9079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:40:54');
INSERT INTO `sys_job_log` VALUES (9080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:40:56');
INSERT INTO `sys_job_log` VALUES (9081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:40:59');
INSERT INTO `sys_job_log` VALUES (9082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 14:40:59');
INSERT INTO `sys_job_log` VALUES (9083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:41:01');
INSERT INTO `sys_job_log` VALUES (9084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1166毫秒', '0', '', '2024-12-24 14:41:02');
INSERT INTO `sys_job_log` VALUES (9085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:41:04');
INSERT INTO `sys_job_log` VALUES (9086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:41:06');
INSERT INTO `sys_job_log` VALUES (9087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:41:09');
INSERT INTO `sys_job_log` VALUES (9088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:41:11');
INSERT INTO `sys_job_log` VALUES (9089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:41:14');
INSERT INTO `sys_job_log` VALUES (9090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 14:41:14');
INSERT INTO `sys_job_log` VALUES (9091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:41:16');
INSERT INTO `sys_job_log` VALUES (9092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1258毫秒', '0', '', '2024-12-24 14:41:17');
INSERT INTO `sys_job_log` VALUES (9093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:41:19');
INSERT INTO `sys_job_log` VALUES (9094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:41:21');
INSERT INTO `sys_job_log` VALUES (9095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 14:41:24');
INSERT INTO `sys_job_log` VALUES (9096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:41:26');
INSERT INTO `sys_job_log` VALUES (9097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:41:29');
INSERT INTO `sys_job_log` VALUES (9098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 14:41:29');
INSERT INTO `sys_job_log` VALUES (9099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:41:31');
INSERT INTO `sys_job_log` VALUES (9100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2024-12-24 14:41:33');
INSERT INTO `sys_job_log` VALUES (9101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:41:34');
INSERT INTO `sys_job_log` VALUES (9102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:41:36');
INSERT INTO `sys_job_log` VALUES (9103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:41:39');
INSERT INTO `sys_job_log` VALUES (9104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 14:41:41');
INSERT INTO `sys_job_log` VALUES (9105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:41:44');
INSERT INTO `sys_job_log` VALUES (9106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 14:41:44');
INSERT INTO `sys_job_log` VALUES (9107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:41:46');
INSERT INTO `sys_job_log` VALUES (9108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1686毫秒', '0', '', '2024-12-24 14:41:47');
INSERT INTO `sys_job_log` VALUES (9109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:41:49');
INSERT INTO `sys_job_log` VALUES (9110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:41:51');
INSERT INTO `sys_job_log` VALUES (9111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:41:54');
INSERT INTO `sys_job_log` VALUES (9112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:41:56');
INSERT INTO `sys_job_log` VALUES (9113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 14:41:59');
INSERT INTO `sys_job_log` VALUES (9114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23毫秒', '0', '', '2024-12-24 14:41:59');
INSERT INTO `sys_job_log` VALUES (9115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:42:01');
INSERT INTO `sys_job_log` VALUES (9116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1564毫秒', '0', '', '2024-12-24 14:42:02');
INSERT INTO `sys_job_log` VALUES (9117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:42:04');
INSERT INTO `sys_job_log` VALUES (9118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:42:06');
INSERT INTO `sys_job_log` VALUES (9119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:42:09');
INSERT INTO `sys_job_log` VALUES (9120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:42:11');
INSERT INTO `sys_job_log` VALUES (9121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:42:14');
INSERT INTO `sys_job_log` VALUES (9122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 14:42:14');
INSERT INTO `sys_job_log` VALUES (9123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:42:16');
INSERT INTO `sys_job_log` VALUES (9124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1248毫秒', '0', '', '2024-12-24 14:42:17');
INSERT INTO `sys_job_log` VALUES (9125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:42:19');
INSERT INTO `sys_job_log` VALUES (9126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:42:21');
INSERT INTO `sys_job_log` VALUES (9127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:42:24');
INSERT INTO `sys_job_log` VALUES (9128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:42:26');
INSERT INTO `sys_job_log` VALUES (9129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:42:29');
INSERT INTO `sys_job_log` VALUES (9130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 14:42:29');
INSERT INTO `sys_job_log` VALUES (9131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:42:31');
INSERT INTO `sys_job_log` VALUES (9132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1223毫秒', '0', '', '2024-12-24 14:42:32');
INSERT INTO `sys_job_log` VALUES (9133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:42:34');
INSERT INTO `sys_job_log` VALUES (9134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:42:36');
INSERT INTO `sys_job_log` VALUES (9135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:42:39');
INSERT INTO `sys_job_log` VALUES (9136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:42:41');
INSERT INTO `sys_job_log` VALUES (9137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:42:44');
INSERT INTO `sys_job_log` VALUES (9138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 14:42:44');
INSERT INTO `sys_job_log` VALUES (9139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:42:46');
INSERT INTO `sys_job_log` VALUES (9140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-24 14:42:47');
INSERT INTO `sys_job_log` VALUES (9141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:42:49');
INSERT INTO `sys_job_log` VALUES (9142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:42:51');
INSERT INTO `sys_job_log` VALUES (9143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:42:54');
INSERT INTO `sys_job_log` VALUES (9144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:42:56');
INSERT INTO `sys_job_log` VALUES (9145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:42:59');
INSERT INTO `sys_job_log` VALUES (9146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:42:59');
INSERT INTO `sys_job_log` VALUES (9147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:43:01');
INSERT INTO `sys_job_log` VALUES (9148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1268毫秒', '0', '', '2024-12-24 14:43:02');
INSERT INTO `sys_job_log` VALUES (9149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:43:04');
INSERT INTO `sys_job_log` VALUES (9150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:43:06');
INSERT INTO `sys_job_log` VALUES (9151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:43:09');
INSERT INTO `sys_job_log` VALUES (9152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:43:11');
INSERT INTO `sys_job_log` VALUES (9153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:43:14');
INSERT INTO `sys_job_log` VALUES (9154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:43:14');
INSERT INTO `sys_job_log` VALUES (9155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:43:16');
INSERT INTO `sys_job_log` VALUES (9156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1111毫秒', '0', '', '2024-12-24 14:43:17');
INSERT INTO `sys_job_log` VALUES (9157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:43:19');
INSERT INTO `sys_job_log` VALUES (9158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 14:43:21');
INSERT INTO `sys_job_log` VALUES (9159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:43:24');
INSERT INTO `sys_job_log` VALUES (9160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:43:26');
INSERT INTO `sys_job_log` VALUES (9161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:43:29');
INSERT INTO `sys_job_log` VALUES (9162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 14:43:29');
INSERT INTO `sys_job_log` VALUES (9163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:43:31');
INSERT INTO `sys_job_log` VALUES (9164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 14:43:32');
INSERT INTO `sys_job_log` VALUES (9165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 14:43:34');
INSERT INTO `sys_job_log` VALUES (9166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:43:36');
INSERT INTO `sys_job_log` VALUES (9167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:43:39');
INSERT INTO `sys_job_log` VALUES (9168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:43:41');
INSERT INTO `sys_job_log` VALUES (9169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:43:44');
INSERT INTO `sys_job_log` VALUES (9170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:43:44');
INSERT INTO `sys_job_log` VALUES (9171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:43:46');
INSERT INTO `sys_job_log` VALUES (9172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 14:43:47');
INSERT INTO `sys_job_log` VALUES (9173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:43:49');
INSERT INTO `sys_job_log` VALUES (9174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:43:51');
INSERT INTO `sys_job_log` VALUES (9175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:43:54');
INSERT INTO `sys_job_log` VALUES (9176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:43:56');
INSERT INTO `sys_job_log` VALUES (9177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:43:59');
INSERT INTO `sys_job_log` VALUES (9178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 14:43:59');
INSERT INTO `sys_job_log` VALUES (9179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:44:01');
INSERT INTO `sys_job_log` VALUES (9180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1246毫秒', '0', '', '2024-12-24 14:44:02');
INSERT INTO `sys_job_log` VALUES (9181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:44:04');
INSERT INTO `sys_job_log` VALUES (9182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:44:06');
INSERT INTO `sys_job_log` VALUES (9183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:44:09');
INSERT INTO `sys_job_log` VALUES (9184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:44:11');
INSERT INTO `sys_job_log` VALUES (9185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-24 14:44:14');
INSERT INTO `sys_job_log` VALUES (9186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:44:14');
INSERT INTO `sys_job_log` VALUES (9187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:44:16');
INSERT INTO `sys_job_log` VALUES (9188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1222毫秒', '0', '', '2024-12-24 14:44:17');
INSERT INTO `sys_job_log` VALUES (9189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:44:19');
INSERT INTO `sys_job_log` VALUES (9190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:44:21');
INSERT INTO `sys_job_log` VALUES (9191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:44:24');
INSERT INTO `sys_job_log` VALUES (9192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:44:26');
INSERT INTO `sys_job_log` VALUES (9193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:44:29');
INSERT INTO `sys_job_log` VALUES (9194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 14:44:29');
INSERT INTO `sys_job_log` VALUES (9195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:44:31');
INSERT INTO `sys_job_log` VALUES (9196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1209毫秒', '0', '', '2024-12-24 14:44:32');
INSERT INTO `sys_job_log` VALUES (9197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:44:34');
INSERT INTO `sys_job_log` VALUES (9198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:44:36');
INSERT INTO `sys_job_log` VALUES (9199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:44:39');
INSERT INTO `sys_job_log` VALUES (9200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:44:41');
INSERT INTO `sys_job_log` VALUES (9201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:44:44');
INSERT INTO `sys_job_log` VALUES (9202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 14:44:44');
INSERT INTO `sys_job_log` VALUES (9203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:44:46');
INSERT INTO `sys_job_log` VALUES (9204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 14:44:47');
INSERT INTO `sys_job_log` VALUES (9205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:44:49');
INSERT INTO `sys_job_log` VALUES (9206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:44:51');
INSERT INTO `sys_job_log` VALUES (9207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:44:54');
INSERT INTO `sys_job_log` VALUES (9208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 14:44:56');
INSERT INTO `sys_job_log` VALUES (9209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:44:59');
INSERT INTO `sys_job_log` VALUES (9210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 14:44:59');
INSERT INTO `sys_job_log` VALUES (9211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:45:01');
INSERT INTO `sys_job_log` VALUES (9212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1231毫秒', '0', '', '2024-12-24 14:45:02');
INSERT INTO `sys_job_log` VALUES (9213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:45:04');
INSERT INTO `sys_job_log` VALUES (9214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 14:45:06');
INSERT INTO `sys_job_log` VALUES (9215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:45:09');
INSERT INTO `sys_job_log` VALUES (9216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:45:11');
INSERT INTO `sys_job_log` VALUES (9217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:45:14');
INSERT INTO `sys_job_log` VALUES (9218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 14:45:14');
INSERT INTO `sys_job_log` VALUES (9219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:45:19');
INSERT INTO `sys_job_log` VALUES (9220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:45:24');
INSERT INTO `sys_job_log` VALUES (9221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:45:29');
INSERT INTO `sys_job_log` VALUES (9222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:45:29');
INSERT INTO `sys_job_log` VALUES (9223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:45:34');
INSERT INTO `sys_job_log` VALUES (9224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:45:39');
INSERT INTO `sys_job_log` VALUES (9225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:45:44');
INSERT INTO `sys_job_log` VALUES (9226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:45:44');
INSERT INTO `sys_job_log` VALUES (9227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:45:49');
INSERT INTO `sys_job_log` VALUES (9228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:45:54');
INSERT INTO `sys_job_log` VALUES (9229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:45:59');
INSERT INTO `sys_job_log` VALUES (9230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:45:59');
INSERT INTO `sys_job_log` VALUES (9231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:46:04');
INSERT INTO `sys_job_log` VALUES (9232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:46:09');
INSERT INTO `sys_job_log` VALUES (9233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:46:14');
INSERT INTO `sys_job_log` VALUES (9234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:46:14');
INSERT INTO `sys_job_log` VALUES (9235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:46:19');
INSERT INTO `sys_job_log` VALUES (9236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:46:24');
INSERT INTO `sys_job_log` VALUES (9237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:46:29');
INSERT INTO `sys_job_log` VALUES (9238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:46:29');
INSERT INTO `sys_job_log` VALUES (9239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:46:34');
INSERT INTO `sys_job_log` VALUES (9240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 14:46:39');
INSERT INTO `sys_job_log` VALUES (9241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:46:44');
INSERT INTO `sys_job_log` VALUES (9242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 14:46:44');
INSERT INTO `sys_job_log` VALUES (9243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:46:49');
INSERT INTO `sys_job_log` VALUES (9244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:46:54');
INSERT INTO `sys_job_log` VALUES (9245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:46:59');
INSERT INTO `sys_job_log` VALUES (9246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:46:59');
INSERT INTO `sys_job_log` VALUES (9247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:47:04');
INSERT INTO `sys_job_log` VALUES (9248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 14:47:09');
INSERT INTO `sys_job_log` VALUES (9249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:47:14');
INSERT INTO `sys_job_log` VALUES (9250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:47:14');
INSERT INTO `sys_job_log` VALUES (9251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:47:19');
INSERT INTO `sys_job_log` VALUES (9252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:47:24');
INSERT INTO `sys_job_log` VALUES (9253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:47:29');
INSERT INTO `sys_job_log` VALUES (9254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 14:47:29');
INSERT INTO `sys_job_log` VALUES (9255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:47:34');
INSERT INTO `sys_job_log` VALUES (9256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:47:39');
INSERT INTO `sys_job_log` VALUES (9257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:47:44');
INSERT INTO `sys_job_log` VALUES (9258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 14:47:44');
INSERT INTO `sys_job_log` VALUES (9259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:47:49');
INSERT INTO `sys_job_log` VALUES (9260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:47:54');
INSERT INTO `sys_job_log` VALUES (9261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:47:59');
INSERT INTO `sys_job_log` VALUES (9262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 14:47:59');
INSERT INTO `sys_job_log` VALUES (9263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:48:04');
INSERT INTO `sys_job_log` VALUES (9264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:48:09');
INSERT INTO `sys_job_log` VALUES (9265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 14:48:14');
INSERT INTO `sys_job_log` VALUES (9266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-24 14:48:14');
INSERT INTO `sys_job_log` VALUES (9267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:48:19');
INSERT INTO `sys_job_log` VALUES (9268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:48:24');
INSERT INTO `sys_job_log` VALUES (9269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 14:48:29');
INSERT INTO `sys_job_log` VALUES (9270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:48:29');
INSERT INTO `sys_job_log` VALUES (9271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:48:34');
INSERT INTO `sys_job_log` VALUES (9272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:48:39');
INSERT INTO `sys_job_log` VALUES (9273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:48:44');
INSERT INTO `sys_job_log` VALUES (9274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:48:44');
INSERT INTO `sys_job_log` VALUES (9275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1060毫秒', '0', '', '2024-12-24 14:48:50');
INSERT INTO `sys_job_log` VALUES (9276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:48:54');
INSERT INTO `sys_job_log` VALUES (9277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 14:48:59');
INSERT INTO `sys_job_log` VALUES (9278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:48:59');
INSERT INTO `sys_job_log` VALUES (9279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:49:04');
INSERT INTO `sys_job_log` VALUES (9280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:49:09');
INSERT INTO `sys_job_log` VALUES (9281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:49:14');
INSERT INTO `sys_job_log` VALUES (9282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 14:49:14');
INSERT INTO `sys_job_log` VALUES (9283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:49:19');
INSERT INTO `sys_job_log` VALUES (9284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:49:24');
INSERT INTO `sys_job_log` VALUES (9285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:49:29');
INSERT INTO `sys_job_log` VALUES (9286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 14:49:29');
INSERT INTO `sys_job_log` VALUES (9287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:49:34');
INSERT INTO `sys_job_log` VALUES (9288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:49:39');
INSERT INTO `sys_job_log` VALUES (9289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 14:49:44');
INSERT INTO `sys_job_log` VALUES (9290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23毫秒', '0', '', '2024-12-24 14:49:44');
INSERT INTO `sys_job_log` VALUES (9291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-24 14:49:47');
INSERT INTO `sys_job_log` VALUES (9292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2220毫秒', '0', '', '2024-12-24 14:49:48');
INSERT INTO `sys_job_log` VALUES (9293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:49:49');
INSERT INTO `sys_job_log` VALUES (9294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 14:49:51');
INSERT INTO `sys_job_log` VALUES (9295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:49:54');
INSERT INTO `sys_job_log` VALUES (9296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:49:56');
INSERT INTO `sys_job_log` VALUES (9297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:49:59');
INSERT INTO `sys_job_log` VALUES (9298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 14:49:59');
INSERT INTO `sys_job_log` VALUES (9299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:50:01');
INSERT INTO `sys_job_log` VALUES (9300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2024-12-24 14:50:02');
INSERT INTO `sys_job_log` VALUES (9301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:50:04');
INSERT INTO `sys_job_log` VALUES (9302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:50:06');
INSERT INTO `sys_job_log` VALUES (9303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:50:09');
INSERT INTO `sys_job_log` VALUES (9304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:50:11');
INSERT INTO `sys_job_log` VALUES (9305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:50:14');
INSERT INTO `sys_job_log` VALUES (9306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:50:14');
INSERT INTO `sys_job_log` VALUES (9307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:50:19');
INSERT INTO `sys_job_log` VALUES (9308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:50:24');
INSERT INTO `sys_job_log` VALUES (9309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1276毫秒', '0', '', '2024-12-24 14:50:28');
INSERT INTO `sys_job_log` VALUES (9310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 14:50:29');
INSERT INTO `sys_job_log` VALUES (9311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 14:50:29');
INSERT INTO `sys_job_log` VALUES (9312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 14:50:31');
INSERT INTO `sys_job_log` VALUES (9313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1263毫秒', '0', '', '2024-12-24 14:50:32');
INSERT INTO `sys_job_log` VALUES (9314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 14:50:34');
INSERT INTO `sys_job_log` VALUES (9315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:50:36');
INSERT INTO `sys_job_log` VALUES (9316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:50:39');
INSERT INTO `sys_job_log` VALUES (9317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:50:41');
INSERT INTO `sys_job_log` VALUES (9318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:50:44');
INSERT INTO `sys_job_log` VALUES (9319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14毫秒', '0', '', '2024-12-24 14:50:44');
INSERT INTO `sys_job_log` VALUES (9320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:50:46');
INSERT INTO `sys_job_log` VALUES (9321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 14:50:47');
INSERT INTO `sys_job_log` VALUES (9322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:50:49');
INSERT INTO `sys_job_log` VALUES (9323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:50:51');
INSERT INTO `sys_job_log` VALUES (9324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:50:54');
INSERT INTO `sys_job_log` VALUES (9325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:50:56');
INSERT INTO `sys_job_log` VALUES (9326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:50:59');
INSERT INTO `sys_job_log` VALUES (9327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 14:50:59');
INSERT INTO `sys_job_log` VALUES (9328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:51:01');
INSERT INTO `sys_job_log` VALUES (9329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1714毫秒', '0', '', '2024-12-24 14:51:02');
INSERT INTO `sys_job_log` VALUES (9330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:51:04');
INSERT INTO `sys_job_log` VALUES (9331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:51:06');
INSERT INTO `sys_job_log` VALUES (9332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:51:09');
INSERT INTO `sys_job_log` VALUES (9333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:51:11');
INSERT INTO `sys_job_log` VALUES (9334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:51:14');
INSERT INTO `sys_job_log` VALUES (9335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：16毫秒', '0', '', '2024-12-24 14:51:14');
INSERT INTO `sys_job_log` VALUES (9336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:51:16');
INSERT INTO `sys_job_log` VALUES (9337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1257毫秒', '0', '', '2024-12-24 14:51:17');
INSERT INTO `sys_job_log` VALUES (9338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:51:19');
INSERT INTO `sys_job_log` VALUES (9339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:51:21');
INSERT INTO `sys_job_log` VALUES (9340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:51:24');
INSERT INTO `sys_job_log` VALUES (9341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:51:26');
INSERT INTO `sys_job_log` VALUES (9342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:51:29');
INSERT INTO `sys_job_log` VALUES (9343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 14:51:29');
INSERT INTO `sys_job_log` VALUES (9344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:51:31');
INSERT INTO `sys_job_log` VALUES (9345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2340毫秒', '0', '', '2024-12-24 14:51:33');
INSERT INTO `sys_job_log` VALUES (9346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:51:34');
INSERT INTO `sys_job_log` VALUES (9347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:51:36');
INSERT INTO `sys_job_log` VALUES (9348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:51:39');
INSERT INTO `sys_job_log` VALUES (9349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:51:41');
INSERT INTO `sys_job_log` VALUES (9350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 14:51:44');
INSERT INTO `sys_job_log` VALUES (9351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:51:44');
INSERT INTO `sys_job_log` VALUES (9352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:51:46');
INSERT INTO `sys_job_log` VALUES (9353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1231毫秒', '0', '', '2024-12-24 14:51:47');
INSERT INTO `sys_job_log` VALUES (9354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:51:49');
INSERT INTO `sys_job_log` VALUES (9355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:51:51');
INSERT INTO `sys_job_log` VALUES (9356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:51:54');
INSERT INTO `sys_job_log` VALUES (9357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:51:56');
INSERT INTO `sys_job_log` VALUES (9358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:51:59');
INSERT INTO `sys_job_log` VALUES (9359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 14:51:59');
INSERT INTO `sys_job_log` VALUES (9360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:52:01');
INSERT INTO `sys_job_log` VALUES (9361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 14:52:02');
INSERT INTO `sys_job_log` VALUES (9362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:52:04');
INSERT INTO `sys_job_log` VALUES (9363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:52:06');
INSERT INTO `sys_job_log` VALUES (9364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:52:09');
INSERT INTO `sys_job_log` VALUES (9365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:52:11');
INSERT INTO `sys_job_log` VALUES (9366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 14:52:14');
INSERT INTO `sys_job_log` VALUES (9367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:52:14');
INSERT INTO `sys_job_log` VALUES (9368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:52:16');
INSERT INTO `sys_job_log` VALUES (9369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 14:52:17');
INSERT INTO `sys_job_log` VALUES (9370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:52:19');
INSERT INTO `sys_job_log` VALUES (9371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 14:52:21');
INSERT INTO `sys_job_log` VALUES (9372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:52:24');
INSERT INTO `sys_job_log` VALUES (9373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:52:26');
INSERT INTO `sys_job_log` VALUES (9374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:52:29');
INSERT INTO `sys_job_log` VALUES (9375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:52:29');
INSERT INTO `sys_job_log` VALUES (9376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:52:31');
INSERT INTO `sys_job_log` VALUES (9377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1238毫秒', '0', '', '2024-12-24 14:52:32');
INSERT INTO `sys_job_log` VALUES (9378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 14:52:34');
INSERT INTO `sys_job_log` VALUES (9379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:52:36');
INSERT INTO `sys_job_log` VALUES (9380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:52:39');
INSERT INTO `sys_job_log` VALUES (9381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:52:41');
INSERT INTO `sys_job_log` VALUES (9382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:52:44');
INSERT INTO `sys_job_log` VALUES (9383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 14:52:44');
INSERT INTO `sys_job_log` VALUES (9384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:52:46');
INSERT INTO `sys_job_log` VALUES (9385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 14:52:47');
INSERT INTO `sys_job_log` VALUES (9386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:52:49');
INSERT INTO `sys_job_log` VALUES (9387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:52:51');
INSERT INTO `sys_job_log` VALUES (9388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:52:54');
INSERT INTO `sys_job_log` VALUES (9389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:52:56');
INSERT INTO `sys_job_log` VALUES (9390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:52:59');
INSERT INTO `sys_job_log` VALUES (9391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：22毫秒', '0', '', '2024-12-24 14:52:59');
INSERT INTO `sys_job_log` VALUES (9392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:53:01');
INSERT INTO `sys_job_log` VALUES (9393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 14:53:02');
INSERT INTO `sys_job_log` VALUES (9394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 14:53:04');
INSERT INTO `sys_job_log` VALUES (9395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:53:06');
INSERT INTO `sys_job_log` VALUES (9396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:53:09');
INSERT INTO `sys_job_log` VALUES (9397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:53:11');
INSERT INTO `sys_job_log` VALUES (9398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:53:14');
INSERT INTO `sys_job_log` VALUES (9399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 14:53:14');
INSERT INTO `sys_job_log` VALUES (9400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:53:16');
INSERT INTO `sys_job_log` VALUES (9401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1253毫秒', '0', '', '2024-12-24 14:53:17');
INSERT INTO `sys_job_log` VALUES (9402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 14:53:19');
INSERT INTO `sys_job_log` VALUES (9403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:53:21');
INSERT INTO `sys_job_log` VALUES (9404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:53:24');
INSERT INTO `sys_job_log` VALUES (9405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:53:26');
INSERT INTO `sys_job_log` VALUES (9406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 14:53:29');
INSERT INTO `sys_job_log` VALUES (9407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2024-12-24 14:53:29');
INSERT INTO `sys_job_log` VALUES (9408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:53:31');
INSERT INTO `sys_job_log` VALUES (9409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1231毫秒', '0', '', '2024-12-24 14:53:32');
INSERT INTO `sys_job_log` VALUES (9410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:53:34');
INSERT INTO `sys_job_log` VALUES (9411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:53:36');
INSERT INTO `sys_job_log` VALUES (9412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:53:39');
INSERT INTO `sys_job_log` VALUES (9413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:53:41');
INSERT INTO `sys_job_log` VALUES (9414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 14:53:44');
INSERT INTO `sys_job_log` VALUES (9415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-24 14:53:44');
INSERT INTO `sys_job_log` VALUES (9416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:53:46');
INSERT INTO `sys_job_log` VALUES (9417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1188毫秒', '0', '', '2024-12-24 14:53:47');
INSERT INTO `sys_job_log` VALUES (9418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:53:49');
INSERT INTO `sys_job_log` VALUES (9419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:53:51');
INSERT INTO `sys_job_log` VALUES (9420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 14:53:54');
INSERT INTO `sys_job_log` VALUES (9421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:53:56');
INSERT INTO `sys_job_log` VALUES (9422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 14:53:59');
INSERT INTO `sys_job_log` VALUES (9423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:53:59');
INSERT INTO `sys_job_log` VALUES (9424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 14:54:01');
INSERT INTO `sys_job_log` VALUES (9425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 14:54:02');
INSERT INTO `sys_job_log` VALUES (9426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:54:04');
INSERT INTO `sys_job_log` VALUES (9427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:54:06');
INSERT INTO `sys_job_log` VALUES (9428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:54:09');
INSERT INTO `sys_job_log` VALUES (9429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 14:54:11');
INSERT INTO `sys_job_log` VALUES (9430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:54:14');
INSERT INTO `sys_job_log` VALUES (9431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 14:54:14');
INSERT INTO `sys_job_log` VALUES (9432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 14:54:16');
INSERT INTO `sys_job_log` VALUES (9433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-24 14:54:17');
INSERT INTO `sys_job_log` VALUES (9434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 14:54:19');
INSERT INTO `sys_job_log` VALUES (9435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:54:21');
INSERT INTO `sys_job_log` VALUES (9436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:54:24');
INSERT INTO `sys_job_log` VALUES (9437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:54:26');
INSERT INTO `sys_job_log` VALUES (9438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 14:54:29');
INSERT INTO `sys_job_log` VALUES (9439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-24 14:54:29');
INSERT INTO `sys_job_log` VALUES (9440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 14:54:31');
INSERT INTO `sys_job_log` VALUES (9441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 14:54:32');
INSERT INTO `sys_job_log` VALUES (9442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:54:34');
INSERT INTO `sys_job_log` VALUES (9443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 14:54:36');
INSERT INTO `sys_job_log` VALUES (9444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:54:39');
INSERT INTO `sys_job_log` VALUES (9445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 14:54:41');
INSERT INTO `sys_job_log` VALUES (9446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:54:44');
INSERT INTO `sys_job_log` VALUES (9447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 14:54:44');
INSERT INTO `sys_job_log` VALUES (9448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2181毫秒', '0', '', '2024-12-24 14:54:48');
INSERT INTO `sys_job_log` VALUES (9449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 14:54:49');
INSERT INTO `sys_job_log` VALUES (9450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:54:54');
INSERT INTO `sys_job_log` VALUES (9451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 14:54:59');
INSERT INTO `sys_job_log` VALUES (9452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:54:59');
INSERT INTO `sys_job_log` VALUES (9453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14338毫秒', '0', '', '2024-12-24 14:55:00');
INSERT INTO `sys_job_log` VALUES (9454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1672毫秒', '0', '', '2024-12-24 14:55:02');
INSERT INTO `sys_job_log` VALUES (9455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:55:04');
INSERT INTO `sys_job_log` VALUES (9456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 14:55:09');
INSERT INTO `sys_job_log` VALUES (9457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:55:14');
INSERT INTO `sys_job_log` VALUES (9458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 14:55:14');
INSERT INTO `sys_job_log` VALUES (9459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14448毫秒', '0', '', '2024-12-24 14:55:14');
INSERT INTO `sys_job_log` VALUES (9460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2127毫秒', '0', '', '2024-12-24 14:55:18');
INSERT INTO `sys_job_log` VALUES (9461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:55:19');
INSERT INTO `sys_job_log` VALUES (9462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:55:24');
INSERT INTO `sys_job_log` VALUES (9463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14339毫秒', '0', '', '2024-12-24 14:55:29');
INSERT INTO `sys_job_log` VALUES (9464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:55:29');
INSERT INTO `sys_job_log` VALUES (9465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:55:29');
INSERT INTO `sys_job_log` VALUES (9466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1513毫秒', '0', '', '2024-12-24 14:55:32');
INSERT INTO `sys_job_log` VALUES (9467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 14:55:34');
INSERT INTO `sys_job_log` VALUES (9468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:55:39');
INSERT INTO `sys_job_log` VALUES (9469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2024-12-24 14:55:43');
INSERT INTO `sys_job_log` VALUES (9470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 14:55:44');
INSERT INTO `sys_job_log` VALUES (9471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:55:44');
INSERT INTO `sys_job_log` VALUES (9472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1977毫秒', '0', '', '2024-12-24 14:55:48');
INSERT INTO `sys_job_log` VALUES (9473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:55:49');
INSERT INTO `sys_job_log` VALUES (9474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:55:54');
INSERT INTO `sys_job_log` VALUES (9475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14347毫秒', '0', '', '2024-12-24 14:55:58');
INSERT INTO `sys_job_log` VALUES (9476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:55:59');
INSERT INTO `sys_job_log` VALUES (9477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 14:55:59');
INSERT INTO `sys_job_log` VALUES (9478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1439毫秒', '0', '', '2024-12-24 14:56:02');
INSERT INTO `sys_job_log` VALUES (9479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 14:56:04');
INSERT INTO `sys_job_log` VALUES (9480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:56:09');
INSERT INTO `sys_job_log` VALUES (9481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 14:56:12');
INSERT INTO `sys_job_log` VALUES (9482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 14:56:14');
INSERT INTO `sys_job_log` VALUES (9483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：109毫秒', '0', '', '2024-12-24 14:56:14');
INSERT INTO `sys_job_log` VALUES (9484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1902毫秒', '0', '', '2024-12-24 14:56:18');
INSERT INTO `sys_job_log` VALUES (9485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2024-12-24 14:56:19');
INSERT INTO `sys_job_log` VALUES (9486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 14:56:24');
INSERT INTO `sys_job_log` VALUES (9487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14344毫秒', '0', '', '2024-12-24 14:56:26');
INSERT INTO `sys_job_log` VALUES (9488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 14:56:29');
INSERT INTO `sys_job_log` VALUES (9489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 14:56:29');
INSERT INTO `sys_job_log` VALUES (9490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1298毫秒', '0', '', '2024-12-24 14:56:32');
INSERT INTO `sys_job_log` VALUES (9491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:56:34');
INSERT INTO `sys_job_log` VALUES (9492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:56:39');
INSERT INTO `sys_job_log` VALUES (9493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 14:56:41');
INSERT INTO `sys_job_log` VALUES (9494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 14:56:44');
INSERT INTO `sys_job_log` VALUES (9495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 14:56:44');
INSERT INTO `sys_job_log` VALUES (9496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1778毫秒', '0', '', '2024-12-24 14:56:47');
INSERT INTO `sys_job_log` VALUES (9497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 14:56:49');
INSERT INTO `sys_job_log` VALUES (9498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:56:54');
INSERT INTO `sys_job_log` VALUES (9499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 14:56:55');
INSERT INTO `sys_job_log` VALUES (9500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-24 14:56:59');
INSERT INTO `sys_job_log` VALUES (9501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 14:56:59');
INSERT INTO `sys_job_log` VALUES (9502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2259毫秒', '0', '', '2024-12-24 14:57:03');
INSERT INTO `sys_job_log` VALUES (9503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:57:04');
INSERT INTO `sys_job_log` VALUES (9504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 14:57:09');
INSERT INTO `sys_job_log` VALUES (9505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 14:57:10');
INSERT INTO `sys_job_log` VALUES (9506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 14:57:14');
INSERT INTO `sys_job_log` VALUES (9507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:57:14');
INSERT INTO `sys_job_log` VALUES (9508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1727毫秒', '0', '', '2024-12-24 14:57:17');
INSERT INTO `sys_job_log` VALUES (9509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:57:19');
INSERT INTO `sys_job_log` VALUES (9510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14449毫秒', '0', '', '2024-12-24 14:57:24');
INSERT INTO `sys_job_log` VALUES (9511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 14:57:24');
INSERT INTO `sys_job_log` VALUES (9512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 14:57:29');
INSERT INTO `sys_job_log` VALUES (9513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:57:29');
INSERT INTO `sys_job_log` VALUES (9514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2194毫秒', '0', '', '2024-12-24 14:57:33');
INSERT INTO `sys_job_log` VALUES (9515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 14:57:34');
INSERT INTO `sys_job_log` VALUES (9516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14347毫秒', '0', '', '2024-12-24 14:57:38');
INSERT INTO `sys_job_log` VALUES (9517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:57:39');
INSERT INTO `sys_job_log` VALUES (9518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:57:44');
INSERT INTO `sys_job_log` VALUES (9519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 14:57:44');
INSERT INTO `sys_job_log` VALUES (9520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1670毫秒', '0', '', '2024-12-24 14:57:47');
INSERT INTO `sys_job_log` VALUES (9521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:57:49');
INSERT INTO `sys_job_log` VALUES (9522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14451毫秒', '0', '', '2024-12-24 14:57:53');
INSERT INTO `sys_job_log` VALUES (9523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:57:54');
INSERT INTO `sys_job_log` VALUES (9524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 14:57:59');
INSERT INTO `sys_job_log` VALUES (9525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 14:57:59');
INSERT INTO `sys_job_log` VALUES (9526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2149毫秒', '0', '', '2024-12-24 14:58:03');
INSERT INTO `sys_job_log` VALUES (9527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 14:58:04');
INSERT INTO `sys_job_log` VALUES (9528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14339毫秒', '0', '', '2024-12-24 14:58:07');
INSERT INTO `sys_job_log` VALUES (9529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:58:09');
INSERT INTO `sys_job_log` VALUES (9530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:58:14');
INSERT INTO `sys_job_log` VALUES (9531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 14:58:14');
INSERT INTO `sys_job_log` VALUES (9532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1501毫秒', '0', '', '2024-12-24 14:58:17');
INSERT INTO `sys_job_log` VALUES (9533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 14:58:19');
INSERT INTO `sys_job_log` VALUES (9534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14353毫秒', '0', '', '2024-12-24 14:58:22');
INSERT INTO `sys_job_log` VALUES (9535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 14:58:24');
INSERT INTO `sys_job_log` VALUES (9536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 14:58:29');
INSERT INTO `sys_job_log` VALUES (9537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 14:58:29');
INSERT INTO `sys_job_log` VALUES (9538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2024毫秒', '0', '', '2024-12-24 14:58:33');
INSERT INTO `sys_job_log` VALUES (9539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 14:58:34');
INSERT INTO `sys_job_log` VALUES (9540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 14:58:36');
INSERT INTO `sys_job_log` VALUES (9541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:58:39');
INSERT INTO `sys_job_log` VALUES (9542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:58:44');
INSERT INTO `sys_job_log` VALUES (9543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 14:58:44');
INSERT INTO `sys_job_log` VALUES (9544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1350毫秒', '0', '', '2024-12-24 14:58:47');
INSERT INTO `sys_job_log` VALUES (9545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 14:58:49');
INSERT INTO `sys_job_log` VALUES (9546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14374毫秒', '0', '', '2024-12-24 14:58:50');
INSERT INTO `sys_job_log` VALUES (9547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:58:54');
INSERT INTO `sys_job_log` VALUES (9548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:58:59');
INSERT INTO `sys_job_log` VALUES (9549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 14:58:59');
INSERT INTO `sys_job_log` VALUES (9550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1939毫秒', '0', '', '2024-12-24 14:59:03');
INSERT INTO `sys_job_log` VALUES (9551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 14:59:04');
INSERT INTO `sys_job_log` VALUES (9552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14431毫秒', '0', '', '2024-12-24 14:59:05');
INSERT INTO `sys_job_log` VALUES (9553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 14:59:09');
INSERT INTO `sys_job_log` VALUES (9554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:59:14');
INSERT INTO `sys_job_log` VALUES (9555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:59:14');
INSERT INTO `sys_job_log` VALUES (9556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1299毫秒', '0', '', '2024-12-24 14:59:17');
INSERT INTO `sys_job_log` VALUES (9557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 14:59:19');
INSERT INTO `sys_job_log` VALUES (9558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 14:59:19');
INSERT INTO `sys_job_log` VALUES (9559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 14:59:24');
INSERT INTO `sys_job_log` VALUES (9560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 14:59:29');
INSERT INTO `sys_job_log` VALUES (9561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:59:29');
INSERT INTO `sys_job_log` VALUES (9562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1767毫秒', '0', '', '2024-12-24 14:59:32');
INSERT INTO `sys_job_log` VALUES (9563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 14:59:34');
INSERT INTO `sys_job_log` VALUES (9564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 14:59:34');
INSERT INTO `sys_job_log` VALUES (9565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:59:39');
INSERT INTO `sys_job_log` VALUES (9566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 14:59:44');
INSERT INTO `sys_job_log` VALUES (9567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 14:59:44');
INSERT INTO `sys_job_log` VALUES (9568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13237毫秒', '0', '', '2024-12-24 14:59:47');
INSERT INTO `sys_job_log` VALUES (9569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2244毫秒', '0', '', '2024-12-24 14:59:48');
INSERT INTO `sys_job_log` VALUES (9570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 14:59:49');
INSERT INTO `sys_job_log` VALUES (9571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 14:59:54');
INSERT INTO `sys_job_log` VALUES (9572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 14:59:59');
INSERT INTO `sys_job_log` VALUES (9573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 14:59:59');
INSERT INTO `sys_job_log` VALUES (9574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 15:00:01');
INSERT INTO `sys_job_log` VALUES (9575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1642毫秒', '0', '', '2024-12-24 15:00:02');
INSERT INTO `sys_job_log` VALUES (9576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 15:00:04');
INSERT INTO `sys_job_log` VALUES (9577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:00:09');
INSERT INTO `sys_job_log` VALUES (9578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:00:14');
INSERT INTO `sys_job_log` VALUES (9579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:00:14');
INSERT INTO `sys_job_log` VALUES (9580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14332毫秒', '0', '', '2024-12-24 15:00:16');
INSERT INTO `sys_job_log` VALUES (9581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2089毫秒', '0', '', '2024-12-24 15:00:18');
INSERT INTO `sys_job_log` VALUES (9582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:00:19');
INSERT INTO `sys_job_log` VALUES (9583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:00:24');
INSERT INTO `sys_job_log` VALUES (9584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:00:29');
INSERT INTO `sys_job_log` VALUES (9585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 15:00:29');
INSERT INTO `sys_job_log` VALUES (9586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:00:30');
INSERT INTO `sys_job_log` VALUES (9587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 15:00:34');
INSERT INTO `sys_job_log` VALUES (9588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:00:39');
INSERT INTO `sys_job_log` VALUES (9589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1295毫秒', '0', '', '2024-12-24 15:00:42');
INSERT INTO `sys_job_log` VALUES (9590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:00:44');
INSERT INTO `sys_job_log` VALUES (9591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:00:44');
INSERT INTO `sys_job_log` VALUES (9592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2241毫秒', '0', '', '2024-12-24 15:00:48');
INSERT INTO `sys_job_log` VALUES (9593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:00:49');
INSERT INTO `sys_job_log` VALUES (9594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:00:54');
INSERT INTO `sys_job_log` VALUES (9595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:00:59');
INSERT INTO `sys_job_log` VALUES (9596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:00:59');
INSERT INTO `sys_job_log` VALUES (9597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1168毫秒', '0', '', '2024-12-24 15:01:02');
INSERT INTO `sys_job_log` VALUES (9598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2169毫秒', '0', '', '2024-12-24 15:01:03');
INSERT INTO `sys_job_log` VALUES (9599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:01:04');
INSERT INTO `sys_job_log` VALUES (9600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:01:09');
INSERT INTO `sys_job_log` VALUES (9601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 15:01:14');
INSERT INTO `sys_job_log` VALUES (9602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：147毫秒', '0', '', '2024-12-24 15:01:14');
INSERT INTO `sys_job_log` VALUES (9603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1248毫秒', '0', '', '2024-12-24 15:01:17');
INSERT INTO `sys_job_log` VALUES (9604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13264毫秒', '0', '', '2024-12-24 15:01:19');
INSERT INTO `sys_job_log` VALUES (9605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：253毫秒', '0', '', '2024-12-24 15:01:19');
INSERT INTO `sys_job_log` VALUES (9606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:01:24');
INSERT INTO `sys_job_log` VALUES (9607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:01:29');
INSERT INTO `sys_job_log` VALUES (9608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:01:29');
INSERT INTO `sys_job_log` VALUES (9609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12754毫秒', '0', '', '2024-12-24 15:01:32');
INSERT INTO `sys_job_log` VALUES (9610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2153毫秒', '0', '', '2024-12-24 15:01:33');
INSERT INTO `sys_job_log` VALUES (9611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：179毫秒', '0', '', '2024-12-24 15:01:34');
INSERT INTO `sys_job_log` VALUES (9612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:01:39');
INSERT INTO `sys_job_log` VALUES (9613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 15:01:44');
INSERT INTO `sys_job_log` VALUES (9614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:01:44');
INSERT INTO `sys_job_log` VALUES (9615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 15:01:46');
INSERT INTO `sys_job_log` VALUES (9616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1525毫秒', '0', '', '2024-12-24 15:01:47');
INSERT INTO `sys_job_log` VALUES (9617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:01:49');
INSERT INTO `sys_job_log` VALUES (9618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:01:54');
INSERT INTO `sys_job_log` VALUES (9619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 15:01:59');
INSERT INTO `sys_job_log` VALUES (9620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:01:59');
INSERT INTO `sys_job_log` VALUES (9621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14348毫秒', '0', '', '2024-12-24 15:02:00');
INSERT INTO `sys_job_log` VALUES (9622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1995毫秒', '0', '', '2024-12-24 15:02:03');
INSERT INTO `sys_job_log` VALUES (9623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:02:04');
INSERT INTO `sys_job_log` VALUES (9624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:02:09');
INSERT INTO `sys_job_log` VALUES (9625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:02:14');
INSERT INTO `sys_job_log` VALUES (9626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:02:14');
INSERT INTO `sys_job_log` VALUES (9627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:02:15');
INSERT INTO `sys_job_log` VALUES (9628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1368毫秒', '0', '', '2024-12-24 15:02:17');
INSERT INTO `sys_job_log` VALUES (9629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:02:19');
INSERT INTO `sys_job_log` VALUES (9630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:02:24');
INSERT INTO `sys_job_log` VALUES (9631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:02:29');
INSERT INTO `sys_job_log` VALUES (9632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 15:02:29');
INSERT INTO `sys_job_log` VALUES (9633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：114毫秒', '0', '', '2024-12-24 15:02:29');
INSERT INTO `sys_job_log` VALUES (9634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1847毫秒', '0', '', '2024-12-24 15:02:33');
INSERT INTO `sys_job_log` VALUES (9635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 15:02:34');
INSERT INTO `sys_job_log` VALUES (9636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:02:39');
INSERT INTO `sys_job_log` VALUES (9637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:02:44');
INSERT INTO `sys_job_log` VALUES (9638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:02:44');
INSERT INTO `sys_job_log` VALUES (9639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 15:02:44');
INSERT INTO `sys_job_log` VALUES (9640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-24 15:02:47');
INSERT INTO `sys_job_log` VALUES (9641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:02:49');
INSERT INTO `sys_job_log` VALUES (9642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:02:54');
INSERT INTO `sys_job_log` VALUES (9643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:02:58');
INSERT INTO `sys_job_log` VALUES (9644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 15:02:59');
INSERT INTO `sys_job_log` VALUES (9645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：117毫秒', '0', '', '2024-12-24 15:02:59');
INSERT INTO `sys_job_log` VALUES (9646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1686毫秒', '0', '', '2024-12-24 15:03:02');
INSERT INTO `sys_job_log` VALUES (9647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 15:03:04');
INSERT INTO `sys_job_log` VALUES (9648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:03:09');
INSERT INTO `sys_job_log` VALUES (9649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14364毫秒', '0', '', '2024-12-24 15:03:12');
INSERT INTO `sys_job_log` VALUES (9650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:03:14');
INSERT INTO `sys_job_log` VALUES (9651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 15:03:14');
INSERT INTO `sys_job_log` VALUES (9652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2151毫秒', '0', '', '2024-12-24 15:03:18');
INSERT INTO `sys_job_log` VALUES (9653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 15:03:19');
INSERT INTO `sys_job_log` VALUES (9654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 15:03:24');
INSERT INTO `sys_job_log` VALUES (9655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:03:27');
INSERT INTO `sys_job_log` VALUES (9656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:03:29');
INSERT INTO `sys_job_log` VALUES (9657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:03:29');
INSERT INTO `sys_job_log` VALUES (9658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1521毫秒', '0', '', '2024-12-24 15:03:32');
INSERT INTO `sys_job_log` VALUES (9659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:03:34');
INSERT INTO `sys_job_log` VALUES (9660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:03:39');
INSERT INTO `sys_job_log` VALUES (9661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:03:41');
INSERT INTO `sys_job_log` VALUES (9662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:03:44');
INSERT INTO `sys_job_log` VALUES (9663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-24 15:03:44');
INSERT INTO `sys_job_log` VALUES (9664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2024-12-24 15:03:48');
INSERT INTO `sys_job_log` VALUES (9665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:03:49');
INSERT INTO `sys_job_log` VALUES (9666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:03:54');
INSERT INTO `sys_job_log` VALUES (9667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:03:55');
INSERT INTO `sys_job_log` VALUES (9668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:03:59');
INSERT INTO `sys_job_log` VALUES (9669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 15:03:59');
INSERT INTO `sys_job_log` VALUES (9670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1380毫秒', '0', '', '2024-12-24 15:04:02');
INSERT INTO `sys_job_log` VALUES (9671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：232毫秒', '0', '', '2024-12-24 15:04:04');
INSERT INTO `sys_job_log` VALUES (9672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:04:09');
INSERT INTO `sys_job_log` VALUES (9673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:04:10');
INSERT INTO `sys_job_log` VALUES (9674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 15:04:14');
INSERT INTO `sys_job_log` VALUES (9675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2024-12-24 15:04:14');
INSERT INTO `sys_job_log` VALUES (9676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1869毫秒', '0', '', '2024-12-24 15:04:18');
INSERT INTO `sys_job_log` VALUES (9677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:04:19');
INSERT INTO `sys_job_log` VALUES (9678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 15:04:24');
INSERT INTO `sys_job_log` VALUES (9679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:04:24');
INSERT INTO `sys_job_log` VALUES (9680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:04:29');
INSERT INTO `sys_job_log` VALUES (9681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 15:04:29');
INSERT INTO `sys_job_log` VALUES (9682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1222毫秒', '0', '', '2024-12-24 15:04:32');
INSERT INTO `sys_job_log` VALUES (9683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:04:34');
INSERT INTO `sys_job_log` VALUES (9684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:04:39');
INSERT INTO `sys_job_log` VALUES (9685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 15:04:44');
INSERT INTO `sys_job_log` VALUES (9686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:04:44');
INSERT INTO `sys_job_log` VALUES (9687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:04:49');
INSERT INTO `sys_job_log` VALUES (9688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:04:54');
INSERT INTO `sys_job_log` VALUES (9689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:04:59');
INSERT INTO `sys_job_log` VALUES (9690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 15:04:59');
INSERT INTO `sys_job_log` VALUES (9691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 15:05:04');
INSERT INTO `sys_job_log` VALUES (9692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:05:09');
INSERT INTO `sys_job_log` VALUES (9693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:05:14');
INSERT INTO `sys_job_log` VALUES (9694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:05:14');
INSERT INTO `sys_job_log` VALUES (9695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:05:19');
INSERT INTO `sys_job_log` VALUES (9696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:05:24');
INSERT INTO `sys_job_log` VALUES (9697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:05:29');
INSERT INTO `sys_job_log` VALUES (9698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:05:29');
INSERT INTO `sys_job_log` VALUES (9699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:05:34');
INSERT INTO `sys_job_log` VALUES (9700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:05:39');
INSERT INTO `sys_job_log` VALUES (9701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:05:44');
INSERT INTO `sys_job_log` VALUES (9702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:05:44');
INSERT INTO `sys_job_log` VALUES (9703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:05:49');
INSERT INTO `sys_job_log` VALUES (9704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:05:54');
INSERT INTO `sys_job_log` VALUES (9705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 15:05:59');
INSERT INTO `sys_job_log` VALUES (9706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:05:59');
INSERT INTO `sys_job_log` VALUES (9707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:06:04');
INSERT INTO `sys_job_log` VALUES (9708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:06:09');
INSERT INTO `sys_job_log` VALUES (9709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:06:14');
INSERT INTO `sys_job_log` VALUES (9710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:06:14');
INSERT INTO `sys_job_log` VALUES (9711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 15:06:19');
INSERT INTO `sys_job_log` VALUES (9712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:06:24');
INSERT INTO `sys_job_log` VALUES (9713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 15:06:29');
INSERT INTO `sys_job_log` VALUES (9714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 15:06:29');
INSERT INTO `sys_job_log` VALUES (9715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 15:06:34');
INSERT INTO `sys_job_log` VALUES (9716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:06:39');
INSERT INTO `sys_job_log` VALUES (9717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:06:44');
INSERT INTO `sys_job_log` VALUES (9718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:06:44');
INSERT INTO `sys_job_log` VALUES (9719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:06:49');
INSERT INTO `sys_job_log` VALUES (9720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:06:54');
INSERT INTO `sys_job_log` VALUES (9721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:06:59');
INSERT INTO `sys_job_log` VALUES (9722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:06:59');
INSERT INTO `sys_job_log` VALUES (9723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 15:07:04');
INSERT INTO `sys_job_log` VALUES (9724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:07:09');
INSERT INTO `sys_job_log` VALUES (9725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:07:14');
INSERT INTO `sys_job_log` VALUES (9726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:07:14');
INSERT INTO `sys_job_log` VALUES (9727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 15:07:19');
INSERT INTO `sys_job_log` VALUES (9728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:07:24');
INSERT INTO `sys_job_log` VALUES (9729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 15:07:29');
INSERT INTO `sys_job_log` VALUES (9730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:07:29');
INSERT INTO `sys_job_log` VALUES (9731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:07:34');
INSERT INTO `sys_job_log` VALUES (9732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 15:07:39');
INSERT INTO `sys_job_log` VALUES (9733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:07:44');
INSERT INTO `sys_job_log` VALUES (9734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 15:07:44');
INSERT INTO `sys_job_log` VALUES (9735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1154毫秒', '0', '', '2024-12-24 15:07:49');
INSERT INTO `sys_job_log` VALUES (9736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 15:07:49');
INSERT INTO `sys_job_log` VALUES (9737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2155毫秒', '0', '', '2024-12-24 15:07:50');
INSERT INTO `sys_job_log` VALUES (9738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:07:54');
INSERT INTO `sys_job_log` VALUES (9739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:07:59');
INSERT INTO `sys_job_log` VALUES (9740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 15:07:59');
INSERT INTO `sys_job_log` VALUES (9741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1373毫秒', '0', '', '2024-12-24 15:08:02');
INSERT INTO `sys_job_log` VALUES (9742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13449毫秒', '0', '', '2024-12-24 15:08:04');
INSERT INTO `sys_job_log` VALUES (9743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:08:04');
INSERT INTO `sys_job_log` VALUES (9744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:08:09');
INSERT INTO `sys_job_log` VALUES (9745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:08:14');
INSERT INTO `sys_job_log` VALUES (9746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:08:14');
INSERT INTO `sys_job_log` VALUES (9747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1827毫秒', '0', '', '2024-12-24 15:08:18');
INSERT INTO `sys_job_log` VALUES (9748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14453毫秒', '0', '', '2024-12-24 15:08:19');
INSERT INTO `sys_job_log` VALUES (9749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 15:08:19');
INSERT INTO `sys_job_log` VALUES (9750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:08:24');
INSERT INTO `sys_job_log` VALUES (9751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:08:29');
INSERT INTO `sys_job_log` VALUES (9752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 15:08:29');
INSERT INTO `sys_job_log` VALUES (9753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1307毫秒', '0', '', '2024-12-24 15:08:32');
INSERT INTO `sys_job_log` VALUES (9754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14441毫秒', '0', '', '2024-12-24 15:08:33');
INSERT INTO `sys_job_log` VALUES (9755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:08:34');
INSERT INTO `sys_job_log` VALUES (9756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:08:39');
INSERT INTO `sys_job_log` VALUES (9757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:08:44');
INSERT INTO `sys_job_log` VALUES (9758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：114毫秒', '0', '', '2024-12-24 15:08:44');
INSERT INTO `sys_job_log` VALUES (9759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13251毫秒', '0', '', '2024-12-24 15:08:46');
INSERT INTO `sys_job_log` VALUES (9760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1773毫秒', '0', '', '2024-12-24 15:08:47');
INSERT INTO `sys_job_log` VALUES (9761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 15:08:49');
INSERT INTO `sys_job_log` VALUES (9762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:08:54');
INSERT INTO `sys_job_log` VALUES (9763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 15:08:59');
INSERT INTO `sys_job_log` VALUES (9764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2024-12-24 15:08:59');
INSERT INTO `sys_job_log` VALUES (9765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:09:01');
INSERT INTO `sys_job_log` VALUES (9766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2262毫秒', '0', '', '2024-12-24 15:09:03');
INSERT INTO `sys_job_log` VALUES (9767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 15:09:04');
INSERT INTO `sys_job_log` VALUES (9768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:09:09');
INSERT INTO `sys_job_log` VALUES (9769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:09:14');
INSERT INTO `sys_job_log` VALUES (9770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:09:14');
INSERT INTO `sys_job_log` VALUES (9771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:09:15');
INSERT INTO `sys_job_log` VALUES (9772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1627毫秒', '0', '', '2024-12-24 15:09:17');
INSERT INTO `sys_job_log` VALUES (9773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 15:09:19');
INSERT INTO `sys_job_log` VALUES (9774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 15:09:24');
INSERT INTO `sys_job_log` VALUES (9775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:09:29');
INSERT INTO `sys_job_log` VALUES (9776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:09:29');
INSERT INTO `sys_job_log` VALUES (9777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2024-12-24 15:09:29');
INSERT INTO `sys_job_log` VALUES (9778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2186毫秒', '0', '', '2024-12-24 15:09:33');
INSERT INTO `sys_job_log` VALUES (9779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 15:09:34');
INSERT INTO `sys_job_log` VALUES (9780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:09:39');
INSERT INTO `sys_job_log` VALUES (9781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 15:09:44');
INSERT INTO `sys_job_log` VALUES (9782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:09:44');
INSERT INTO `sys_job_log` VALUES (9783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:09:44');
INSERT INTO `sys_job_log` VALUES (9784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1579毫秒', '0', '', '2024-12-24 15:09:47');
INSERT INTO `sys_job_log` VALUES (9785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-24 15:09:49');
INSERT INTO `sys_job_log` VALUES (9786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:09:54');
INSERT INTO `sys_job_log` VALUES (9787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:09:58');
INSERT INTO `sys_job_log` VALUES (9788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:09:59');
INSERT INTO `sys_job_log` VALUES (9789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 15:09:59');
INSERT INTO `sys_job_log` VALUES (9790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2142毫秒', '0', '', '2024-12-24 15:10:03');
INSERT INTO `sys_job_log` VALUES (9791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 15:10:04');
INSERT INTO `sys_job_log` VALUES (9792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:10:09');
INSERT INTO `sys_job_log` VALUES (9793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14470毫秒', '0', '', '2024-12-24 15:10:13');
INSERT INTO `sys_job_log` VALUES (9794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:10:14');
INSERT INTO `sys_job_log` VALUES (9795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：113毫秒', '0', '', '2024-12-24 15:10:14');
INSERT INTO `sys_job_log` VALUES (9796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1609毫秒', '0', '', '2024-12-24 15:10:17');
INSERT INTO `sys_job_log` VALUES (9797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 15:10:19');
INSERT INTO `sys_job_log` VALUES (9798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:10:24');
INSERT INTO `sys_job_log` VALUES (9799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14424毫秒', '0', '', '2024-12-24 15:10:27');
INSERT INTO `sys_job_log` VALUES (9800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:10:29');
INSERT INTO `sys_job_log` VALUES (9801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 15:10:29');
INSERT INTO `sys_job_log` VALUES (9802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2070毫秒', '0', '', '2024-12-24 15:10:33');
INSERT INTO `sys_job_log` VALUES (9803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 15:10:34');
INSERT INTO `sys_job_log` VALUES (9804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:10:39');
INSERT INTO `sys_job_log` VALUES (9805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:10:42');
INSERT INTO `sys_job_log` VALUES (9806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:10:44');
INSERT INTO `sys_job_log` VALUES (9807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:10:44');
INSERT INTO `sys_job_log` VALUES (9808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1451毫秒', '0', '', '2024-12-24 15:10:47');
INSERT INTO `sys_job_log` VALUES (9809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:10:49');
INSERT INTO `sys_job_log` VALUES (9810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:10:54');
INSERT INTO `sys_job_log` VALUES (9811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:10:56');
INSERT INTO `sys_job_log` VALUES (9812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:10:59');
INSERT INTO `sys_job_log` VALUES (9813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:10:59');
INSERT INTO `sys_job_log` VALUES (9814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1935毫秒', '0', '', '2024-12-24 15:11:03');
INSERT INTO `sys_job_log` VALUES (9815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:11:04');
INSERT INTO `sys_job_log` VALUES (9816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:11:09');
INSERT INTO `sys_job_log` VALUES (9817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:11:10');
INSERT INTO `sys_job_log` VALUES (9818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:11:14');
INSERT INTO `sys_job_log` VALUES (9819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:11:14');
INSERT INTO `sys_job_log` VALUES (9820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1307毫秒', '0', '', '2024-12-24 15:11:17');
INSERT INTO `sys_job_log` VALUES (9821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:11:19');
INSERT INTO `sys_job_log` VALUES (9822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:11:24');
INSERT INTO `sys_job_log` VALUES (9823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14363毫秒', '0', '', '2024-12-24 15:11:25');
INSERT INTO `sys_job_log` VALUES (9824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 15:11:29');
INSERT INTO `sys_job_log` VALUES (9825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:11:29');
INSERT INTO `sys_job_log` VALUES (9826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1889毫秒', '0', '', '2024-12-24 15:11:33');
INSERT INTO `sys_job_log` VALUES (9827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:11:34');
INSERT INTO `sys_job_log` VALUES (9828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14449毫秒', '0', '', '2024-12-24 15:11:39');
INSERT INTO `sys_job_log` VALUES (9829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:11:39');
INSERT INTO `sys_job_log` VALUES (9830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:11:44');
INSERT INTO `sys_job_log` VALUES (9831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:11:44');
INSERT INTO `sys_job_log` VALUES (9832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1348毫秒', '0', '', '2024-12-24 15:11:47');
INSERT INTO `sys_job_log` VALUES (9833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:11:49');
INSERT INTO `sys_job_log` VALUES (9834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14437毫秒', '0', '', '2024-12-24 15:11:54');
INSERT INTO `sys_job_log` VALUES (9835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:11:54');
INSERT INTO `sys_job_log` VALUES (9836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:11:59');
INSERT INTO `sys_job_log` VALUES (9837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 15:11:59');
INSERT INTO `sys_job_log` VALUES (9838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1834毫秒', '0', '', '2024-12-24 15:12:03');
INSERT INTO `sys_job_log` VALUES (9839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 15:12:04');
INSERT INTO `sys_job_log` VALUES (9840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:12:08');
INSERT INTO `sys_job_log` VALUES (9841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:12:09');
INSERT INTO `sys_job_log` VALUES (9842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:12:14');
INSERT INTO `sys_job_log` VALUES (9843, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 15:12:14');
INSERT INTO `sys_job_log` VALUES (9844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 15:12:17');
INSERT INTO `sys_job_log` VALUES (9845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：195毫秒', '0', '', '2024-12-24 15:12:19');
INSERT INTO `sys_job_log` VALUES (9846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:12:22');
INSERT INTO `sys_job_log` VALUES (9847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:12:24');
INSERT INTO `sys_job_log` VALUES (9848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:12:29');
INSERT INTO `sys_job_log` VALUES (9849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 15:12:29');
INSERT INTO `sys_job_log` VALUES (9850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1777毫秒', '0', '', '2024-12-24 15:12:32');
INSERT INTO `sys_job_log` VALUES (9851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 15:12:34');
INSERT INTO `sys_job_log` VALUES (9852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 15:12:37');
INSERT INTO `sys_job_log` VALUES (9853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:12:39');
INSERT INTO `sys_job_log` VALUES (9854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:12:44');
INSERT INTO `sys_job_log` VALUES (9855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:12:44');
INSERT INTO `sys_job_log` VALUES (9856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1232毫秒', '0', '', '2024-12-24 15:12:47');
INSERT INTO `sys_job_log` VALUES (9857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:12:49');
INSERT INTO `sys_job_log` VALUES (9858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14436毫秒', '0', '', '2024-12-24 15:12:51');
INSERT INTO `sys_job_log` VALUES (9859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 15:12:54');
INSERT INTO `sys_job_log` VALUES (9860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 15:12:59');
INSERT INTO `sys_job_log` VALUES (9861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:12:59');
INSERT INTO `sys_job_log` VALUES (9862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1717毫秒', '0', '', '2024-12-24 15:13:02');
INSERT INTO `sys_job_log` VALUES (9863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:13:04');
INSERT INTO `sys_job_log` VALUES (9864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:13:06');
INSERT INTO `sys_job_log` VALUES (9865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:13:09');
INSERT INTO `sys_job_log` VALUES (9866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:13:14');
INSERT INTO `sys_job_log` VALUES (9867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 15:13:14');
INSERT INTO `sys_job_log` VALUES (9868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2183毫秒', '0', '', '2024-12-24 15:13:18');
INSERT INTO `sys_job_log` VALUES (9869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:13:19');
INSERT INTO `sys_job_log` VALUES (9870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14333毫秒', '0', '', '2024-12-24 15:13:20');
INSERT INTO `sys_job_log` VALUES (9871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:13:24');
INSERT INTO `sys_job_log` VALUES (9872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:13:29');
INSERT INTO `sys_job_log` VALUES (9873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 15:13:29');
INSERT INTO `sys_job_log` VALUES (9874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1555毫秒', '0', '', '2024-12-24 15:13:32');
INSERT INTO `sys_job_log` VALUES (9875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:13:34');
INSERT INTO `sys_job_log` VALUES (9876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:13:34');
INSERT INTO `sys_job_log` VALUES (9877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:13:39');
INSERT INTO `sys_job_log` VALUES (9878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 15:13:44');
INSERT INTO `sys_job_log` VALUES (9879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 15:13:44');
INSERT INTO `sys_job_log` VALUES (9880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2041毫秒', '0', '', '2024-12-24 15:13:48');
INSERT INTO `sys_job_log` VALUES (9881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:13:49');
INSERT INTO `sys_job_log` VALUES (9882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:13:49');
INSERT INTO `sys_job_log` VALUES (9883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:13:54');
INSERT INTO `sys_job_log` VALUES (9884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:13:59');
INSERT INTO `sys_job_log` VALUES (9885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:13:59');
INSERT INTO `sys_job_log` VALUES (9886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1414毫秒', '0', '', '2024-12-24 15:14:02');
INSERT INTO `sys_job_log` VALUES (9887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:14:03');
INSERT INTO `sys_job_log` VALUES (9888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:14:04');
INSERT INTO `sys_job_log` VALUES (9889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:14:09');
INSERT INTO `sys_job_log` VALUES (9890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:14:14');
INSERT INTO `sys_job_log` VALUES (9891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 15:14:14');
INSERT INTO `sys_job_log` VALUES (9892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13251毫秒', '0', '', '2024-12-24 15:14:16');
INSERT INTO `sys_job_log` VALUES (9893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1868毫秒', '0', '', '2024-12-24 15:14:18');
INSERT INTO `sys_job_log` VALUES (9894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 15:14:19');
INSERT INTO `sys_job_log` VALUES (9895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 15:14:24');
INSERT INTO `sys_job_log` VALUES (9896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:14:29');
INSERT INTO `sys_job_log` VALUES (9897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:14:29');
INSERT INTO `sys_job_log` VALUES (9898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:14:31');
INSERT INTO `sys_job_log` VALUES (9899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1247毫秒', '0', '', '2024-12-24 15:14:32');
INSERT INTO `sys_job_log` VALUES (9900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:14:34');
INSERT INTO `sys_job_log` VALUES (9901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:14:39');
INSERT INTO `sys_job_log` VALUES (9902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:14:44');
INSERT INTO `sys_job_log` VALUES (9903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:14:44');
INSERT INTO `sys_job_log` VALUES (9904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:14:45');
INSERT INTO `sys_job_log` VALUES (9905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1723毫秒', '0', '', '2024-12-24 15:14:47');
INSERT INTO `sys_job_log` VALUES (9906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:14:49');
INSERT INTO `sys_job_log` VALUES (9907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:14:54');
INSERT INTO `sys_job_log` VALUES (9908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:14:59');
INSERT INTO `sys_job_log` VALUES (9909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:14:59');
INSERT INTO `sys_job_log` VALUES (9910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14347毫秒', '0', '', '2024-12-24 15:15:00');
INSERT INTO `sys_job_log` VALUES (9911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2302毫秒', '0', '', '2024-12-24 15:15:03');
INSERT INTO `sys_job_log` VALUES (9912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:15:04');
INSERT INTO `sys_job_log` VALUES (9913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:15:09');
INSERT INTO `sys_job_log` VALUES (9914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14451毫秒', '0', '', '2024-12-24 15:15:14');
INSERT INTO `sys_job_log` VALUES (9915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:15:14');
INSERT INTO `sys_job_log` VALUES (9916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:15:14');
INSERT INTO `sys_job_log` VALUES (9917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1666毫秒', '0', '', '2024-12-24 15:15:17');
INSERT INTO `sys_job_log` VALUES (9918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 15:15:19');
INSERT INTO `sys_job_log` VALUES (9919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:15:24');
INSERT INTO `sys_job_log` VALUES (9920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:15:28');
INSERT INTO `sys_job_log` VALUES (9921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:15:29');
INSERT INTO `sys_job_log` VALUES (9922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 15:15:29');
INSERT INTO `sys_job_log` VALUES (9923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2253毫秒', '0', '', '2024-12-24 15:15:33');
INSERT INTO `sys_job_log` VALUES (9924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：207毫秒', '0', '', '2024-12-24 15:15:34');
INSERT INTO `sys_job_log` VALUES (9925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 15:15:39');
INSERT INTO `sys_job_log` VALUES (9926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14443毫秒', '0', '', '2024-12-24 15:15:43');
INSERT INTO `sys_job_log` VALUES (9927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:15:44');
INSERT INTO `sys_job_log` VALUES (9928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:15:44');
INSERT INTO `sys_job_log` VALUES (9929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1720毫秒', '0', '', '2024-12-24 15:15:47');
INSERT INTO `sys_job_log` VALUES (9930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:15:49');
INSERT INTO `sys_job_log` VALUES (9931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:15:54');
INSERT INTO `sys_job_log` VALUES (9932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14450毫秒', '0', '', '2024-12-24 15:15:57');
INSERT INTO `sys_job_log` VALUES (9933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:15:59');
INSERT INTO `sys_job_log` VALUES (9934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 15:15:59');
INSERT INTO `sys_job_log` VALUES (9935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 15:16:02');
INSERT INTO `sys_job_log` VALUES (9936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 15:16:04');
INSERT INTO `sys_job_log` VALUES (9937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:16:09');
INSERT INTO `sys_job_log` VALUES (9938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14420毫秒', '0', '', '2024-12-24 15:16:12');
INSERT INTO `sys_job_log` VALUES (9939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:16:14');
INSERT INTO `sys_job_log` VALUES (9940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:16:14');
INSERT INTO `sys_job_log` VALUES (9941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1766毫秒', '0', '', '2024-12-24 15:16:17');
INSERT INTO `sys_job_log` VALUES (9942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：219毫秒', '0', '', '2024-12-24 15:16:19');
INSERT INTO `sys_job_log` VALUES (9943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:16:24');
INSERT INTO `sys_job_log` VALUES (9944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 15:16:26');
INSERT INTO `sys_job_log` VALUES (9945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 15:16:29');
INSERT INTO `sys_job_log` VALUES (9946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2236毫秒', '0', '', '2024-12-24 15:16:33');
INSERT INTO `sys_job_log` VALUES (9947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：186毫秒', '0', '', '2024-12-24 15:16:34');
INSERT INTO `sys_job_log` VALUES (9948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:16:39');
INSERT INTO `sys_job_log` VALUES (9949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14361毫秒', '0', '', '2024-12-24 15:16:41');
INSERT INTO `sys_job_log` VALUES (9950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 15:16:44');
INSERT INTO `sys_job_log` VALUES (9951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1724毫秒', '0', '', '2024-12-24 15:16:47');
INSERT INTO `sys_job_log` VALUES (9952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:16:48');
INSERT INTO `sys_job_log` VALUES (9953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:16:48');
INSERT INTO `sys_job_log` VALUES (9954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:16:49');
INSERT INTO `sys_job_log` VALUES (9955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:16:54');
INSERT INTO `sys_job_log` VALUES (9956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14437毫秒', '0', '', '2024-12-24 15:16:55');
INSERT INTO `sys_job_log` VALUES (9957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:16:59');
INSERT INTO `sys_job_log` VALUES (9958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:16:59');
INSERT INTO `sys_job_log` VALUES (9959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2200毫秒', '0', '', '2024-12-24 15:17:03');
INSERT INTO `sys_job_log` VALUES (9960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:17:04');
INSERT INTO `sys_job_log` VALUES (9961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:17:09');
INSERT INTO `sys_job_log` VALUES (9962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:17:10');
INSERT INTO `sys_job_log` VALUES (9963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:17:14');
INSERT INTO `sys_job_log` VALUES (9964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：121毫秒', '0', '', '2024-12-24 15:17:14');
INSERT INTO `sys_job_log` VALUES (9965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1550毫秒', '0', '', '2024-12-24 15:17:17');
INSERT INTO `sys_job_log` VALUES (9966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 15:17:19');
INSERT INTO `sys_job_log` VALUES (9967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:17:24');
INSERT INTO `sys_job_log` VALUES (9968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 15:17:24');
INSERT INTO `sys_job_log` VALUES (9969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:17:29');
INSERT INTO `sys_job_log` VALUES (9970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:17:29');
INSERT INTO `sys_job_log` VALUES (9971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2145毫秒', '0', '', '2024-12-24 15:17:33');
INSERT INTO `sys_job_log` VALUES (9972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:17:34');
INSERT INTO `sys_job_log` VALUES (9973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14431毫秒', '0', '', '2024-12-24 15:17:38');
INSERT INTO `sys_job_log` VALUES (9974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:17:39');
INSERT INTO `sys_job_log` VALUES (9975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:17:44');
INSERT INTO `sys_job_log` VALUES (9976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:17:44');
INSERT INTO `sys_job_log` VALUES (9977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1493毫秒', '0', '', '2024-12-24 15:17:47');
INSERT INTO `sys_job_log` VALUES (9978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:17:49');
INSERT INTO `sys_job_log` VALUES (9979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14351毫秒', '0', '', '2024-12-24 15:17:53');
INSERT INTO `sys_job_log` VALUES (9980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:17:54');
INSERT INTO `sys_job_log` VALUES (9981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:17:59');
INSERT INTO `sys_job_log` VALUES (9982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:17:59');
INSERT INTO `sys_job_log` VALUES (9983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2092毫秒', '0', '', '2024-12-24 15:18:03');
INSERT INTO `sys_job_log` VALUES (9984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:18:04');
INSERT INTO `sys_job_log` VALUES (9985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14466毫秒', '0', '', '2024-12-24 15:18:07');
INSERT INTO `sys_job_log` VALUES (9986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:18:09');
INSERT INTO `sys_job_log` VALUES (9987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:18:14');
INSERT INTO `sys_job_log` VALUES (9988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 15:18:14');
INSERT INTO `sys_job_log` VALUES (9989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1545毫秒', '0', '', '2024-12-24 15:18:17');
INSERT INTO `sys_job_log` VALUES (9990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 15:18:19');
INSERT INTO `sys_job_log` VALUES (9991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 15:18:22');
INSERT INTO `sys_job_log` VALUES (9992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:18:24');
INSERT INTO `sys_job_log` VALUES (9993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:18:29');
INSERT INTO `sys_job_log` VALUES (9994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：121毫秒', '0', '', '2024-12-24 15:18:29');
INSERT INTO `sys_job_log` VALUES (9995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2126毫秒', '0', '', '2024-12-24 15:18:33');
INSERT INTO `sys_job_log` VALUES (9996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 15:18:34');
INSERT INTO `sys_job_log` VALUES (9997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14438毫秒', '0', '', '2024-12-24 15:18:36');
INSERT INTO `sys_job_log` VALUES (9998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:18:39');
INSERT INTO `sys_job_log` VALUES (9999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:18:44');
INSERT INTO `sys_job_log` VALUES (10000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 15:18:44');
INSERT INTO `sys_job_log` VALUES (10001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1490毫秒', '0', '', '2024-12-24 15:18:47');
INSERT INTO `sys_job_log` VALUES (10002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 15:18:49');
INSERT INTO `sys_job_log` VALUES (10003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:18:50');
INSERT INTO `sys_job_log` VALUES (10004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:18:54');
INSERT INTO `sys_job_log` VALUES (10005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:18:59');
INSERT INTO `sys_job_log` VALUES (10006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 15:18:59');
INSERT INTO `sys_job_log` VALUES (10007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1971毫秒', '0', '', '2024-12-24 15:19:03');
INSERT INTO `sys_job_log` VALUES (10008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:19:04');
INSERT INTO `sys_job_log` VALUES (10009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14363毫秒', '0', '', '2024-12-24 15:19:05');
INSERT INTO `sys_job_log` VALUES (10010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-24 15:19:09');
INSERT INTO `sys_job_log` VALUES (10011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:19:14');
INSERT INTO `sys_job_log` VALUES (10012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 15:19:14');
INSERT INTO `sys_job_log` VALUES (10013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1557毫秒', '0', '', '2024-12-24 15:19:17');
INSERT INTO `sys_job_log` VALUES (10014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 15:19:19');
INSERT INTO `sys_job_log` VALUES (10015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14538毫秒', '0', '', '2024-12-24 15:19:19');
INSERT INTO `sys_job_log` VALUES (10016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:19:24');
INSERT INTO `sys_job_log` VALUES (10017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 15:19:29');
INSERT INTO `sys_job_log` VALUES (10018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 15:19:29');
INSERT INTO `sys_job_log` VALUES (10019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2114毫秒', '0', '', '2024-12-24 15:19:33');
INSERT INTO `sys_job_log` VALUES (10020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14438毫秒', '0', '', '2024-12-24 15:19:34');
INSERT INTO `sys_job_log` VALUES (10021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:19:34');
INSERT INTO `sys_job_log` VALUES (10022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-24 15:19:39');
INSERT INTO `sys_job_log` VALUES (10023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 15:19:44');
INSERT INTO `sys_job_log` VALUES (10024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 15:19:44');
INSERT INTO `sys_job_log` VALUES (10025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1473毫秒', '0', '', '2024-12-24 15:19:47');
INSERT INTO `sys_job_log` VALUES (10026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:19:48');
INSERT INTO `sys_job_log` VALUES (10027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：218毫秒', '0', '', '2024-12-24 15:19:49');
INSERT INTO `sys_job_log` VALUES (10028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:19:54');
INSERT INTO `sys_job_log` VALUES (10029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:19:59');
INSERT INTO `sys_job_log` VALUES (10030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:19:59');
INSERT INTO `sys_job_log` VALUES (10031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13342毫秒', '0', '', '2024-12-24 15:20:02');
INSERT INTO `sys_job_log` VALUES (10032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2063毫秒', '0', '', '2024-12-24 15:20:03');
INSERT INTO `sys_job_log` VALUES (10033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:20:04');
INSERT INTO `sys_job_log` VALUES (10034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 15:20:09');
INSERT INTO `sys_job_log` VALUES (10035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:20:14');
INSERT INTO `sys_job_log` VALUES (10036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:20:14');
INSERT INTO `sys_job_log` VALUES (10037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14349毫秒', '0', '', '2024-12-24 15:20:16');
INSERT INTO `sys_job_log` VALUES (10038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1442毫秒', '0', '', '2024-12-24 15:20:17');
INSERT INTO `sys_job_log` VALUES (10039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:20:19');
INSERT INTO `sys_job_log` VALUES (10040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:20:24');
INSERT INTO `sys_job_log` VALUES (10041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:20:29');
INSERT INTO `sys_job_log` VALUES (10042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 15:20:29');
INSERT INTO `sys_job_log` VALUES (10043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14449毫秒', '0', '', '2024-12-24 15:20:30');
INSERT INTO `sys_job_log` VALUES (10044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2104毫秒', '0', '', '2024-12-24 15:20:33');
INSERT INTO `sys_job_log` VALUES (10045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:20:34');
INSERT INTO `sys_job_log` VALUES (10046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:20:39');
INSERT INTO `sys_job_log` VALUES (10047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:20:44');
INSERT INTO `sys_job_log` VALUES (10048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：116毫秒', '0', '', '2024-12-24 15:20:44');
INSERT INTO `sys_job_log` VALUES (10049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 15:20:45');
INSERT INTO `sys_job_log` VALUES (10050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1573毫秒', '0', '', '2024-12-24 15:20:47');
INSERT INTO `sys_job_log` VALUES (10051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：407毫秒', '0', '', '2024-12-24 15:20:50');
INSERT INTO `sys_job_log` VALUES (10052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:20:54');
INSERT INTO `sys_job_log` VALUES (10053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:20:59');
INSERT INTO `sys_job_log` VALUES (10054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:20:59');
INSERT INTO `sys_job_log` VALUES (10055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14448毫秒', '0', '', '2024-12-24 15:20:59');
INSERT INTO `sys_job_log` VALUES (10056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2155毫秒', '0', '', '2024-12-24 15:21:03');
INSERT INTO `sys_job_log` VALUES (10057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 15:21:04');
INSERT INTO `sys_job_log` VALUES (10058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:21:09');
INSERT INTO `sys_job_log` VALUES (10059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14447毫秒', '0', '', '2024-12-24 15:21:14');
INSERT INTO `sys_job_log` VALUES (10060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:21:14');
INSERT INTO `sys_job_log` VALUES (10061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:21:14');
INSERT INTO `sys_job_log` VALUES (10062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1519毫秒', '0', '', '2024-12-24 15:21:17');
INSERT INTO `sys_job_log` VALUES (10063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：212毫秒', '0', '', '2024-12-24 15:21:19');
INSERT INTO `sys_job_log` VALUES (10064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:21:24');
INSERT INTO `sys_job_log` VALUES (10065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14342毫秒', '0', '', '2024-12-24 15:21:28');
INSERT INTO `sys_job_log` VALUES (10066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:21:29');
INSERT INTO `sys_job_log` VALUES (10067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 15:21:29');
INSERT INTO `sys_job_log` VALUES (10068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2024-12-24 15:21:33');
INSERT INTO `sys_job_log` VALUES (10069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:21:34');
INSERT INTO `sys_job_log` VALUES (10070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:21:39');
INSERT INTO `sys_job_log` VALUES (10071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14348毫秒', '0', '', '2024-12-24 15:21:43');
INSERT INTO `sys_job_log` VALUES (10072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:21:44');
INSERT INTO `sys_job_log` VALUES (10073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:21:44');
INSERT INTO `sys_job_log` VALUES (10074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1378毫秒', '0', '', '2024-12-24 15:21:47');
INSERT INTO `sys_job_log` VALUES (10075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:21:49');
INSERT INTO `sys_job_log` VALUES (10076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '0', '', '2024-12-24 15:21:54');
INSERT INTO `sys_job_log` VALUES (10077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14352毫秒', '0', '', '2024-12-24 15:21:57');
INSERT INTO `sys_job_log` VALUES (10078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：108毫秒', '0', '', '2024-12-24 15:21:59');
INSERT INTO `sys_job_log` VALUES (10079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:21:59');
INSERT INTO `sys_job_log` VALUES (10080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1941毫秒', '0', '', '2024-12-24 15:22:03');
INSERT INTO `sys_job_log` VALUES (10081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：215毫秒', '0', '', '2024-12-24 15:22:04');
INSERT INTO `sys_job_log` VALUES (10082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:22:09');
INSERT INTO `sys_job_log` VALUES (10083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14437毫秒', '0', '', '2024-12-24 15:22:11');
INSERT INTO `sys_job_log` VALUES (10084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:22:14');
INSERT INTO `sys_job_log` VALUES (10085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:22:14');
INSERT INTO `sys_job_log` VALUES (10086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1300毫秒', '0', '', '2024-12-24 15:22:17');
INSERT INTO `sys_job_log` VALUES (10087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:22:19');
INSERT INTO `sys_job_log` VALUES (10088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:22:24');
INSERT INTO `sys_job_log` VALUES (10089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:22:26');
INSERT INTO `sys_job_log` VALUES (10090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:22:29');
INSERT INTO `sys_job_log` VALUES (10091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:22:29');
INSERT INTO `sys_job_log` VALUES (10092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1785毫秒', '0', '', '2024-12-24 15:22:32');
INSERT INTO `sys_job_log` VALUES (10093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:22:34');
INSERT INTO `sys_job_log` VALUES (10094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 15:22:39');
INSERT INTO `sys_job_log` VALUES (10095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:22:40');
INSERT INTO `sys_job_log` VALUES (10096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:22:44');
INSERT INTO `sys_job_log` VALUES (10097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 15:22:44');
INSERT INTO `sys_job_log` VALUES (10098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2271毫秒', '0', '', '2024-12-24 15:22:48');
INSERT INTO `sys_job_log` VALUES (10099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:22:49');
INSERT INTO `sys_job_log` VALUES (10100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:22:54');
INSERT INTO `sys_job_log` VALUES (10101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 15:22:55');
INSERT INTO `sys_job_log` VALUES (10102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:22:59');
INSERT INTO `sys_job_log` VALUES (10103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 15:22:59');
INSERT INTO `sys_job_log` VALUES (10104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1635毫秒', '0', '', '2024-12-24 15:23:02');
INSERT INTO `sys_job_log` VALUES (10105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:23:04');
INSERT INTO `sys_job_log` VALUES (10106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14340毫秒', '0', '', '2024-12-24 15:23:09');
INSERT INTO `sys_job_log` VALUES (10107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:23:09');
INSERT INTO `sys_job_log` VALUES (10108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:23:14');
INSERT INTO `sys_job_log` VALUES (10109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:23:14');
INSERT INTO `sys_job_log` VALUES (10110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2104毫秒', '0', '', '2024-12-24 15:23:18');
INSERT INTO `sys_job_log` VALUES (10111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:23:19');
INSERT INTO `sys_job_log` VALUES (10112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:23:23');
INSERT INTO `sys_job_log` VALUES (10113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:23:24');
INSERT INTO `sys_job_log` VALUES (10114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:23:29');
INSERT INTO `sys_job_log` VALUES (10115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 15:23:29');
INSERT INTO `sys_job_log` VALUES (10116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1695毫秒', '0', '', '2024-12-24 15:23:32');
INSERT INTO `sys_job_log` VALUES (10117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 15:23:34');
INSERT INTO `sys_job_log` VALUES (10118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14549毫秒', '0', '', '2024-12-24 15:23:38');
INSERT INTO `sys_job_log` VALUES (10119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:23:39');
INSERT INTO `sys_job_log` VALUES (10120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:23:44');
INSERT INTO `sys_job_log` VALUES (10121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-24 15:23:44');
INSERT INTO `sys_job_log` VALUES (10122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2269毫秒', '0', '', '2024-12-24 15:23:48');
INSERT INTO `sys_job_log` VALUES (10123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:23:49');
INSERT INTO `sys_job_log` VALUES (10124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14441毫秒', '0', '', '2024-12-24 15:23:52');
INSERT INTO `sys_job_log` VALUES (10125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:23:54');
INSERT INTO `sys_job_log` VALUES (10126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:23:59');
INSERT INTO `sys_job_log` VALUES (10127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:23:59');
INSERT INTO `sys_job_log` VALUES (10128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1623毫秒', '0', '', '2024-12-24 15:24:02');
INSERT INTO `sys_job_log` VALUES (10129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 15:24:04');
INSERT INTO `sys_job_log` VALUES (10130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14361毫秒', '0', '', '2024-12-24 15:24:07');
INSERT INTO `sys_job_log` VALUES (10131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:24:09');
INSERT INTO `sys_job_log` VALUES (10132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:24:14');
INSERT INTO `sys_job_log` VALUES (10133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:24:14');
INSERT INTO `sys_job_log` VALUES (10134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2199毫秒', '0', '', '2024-12-24 15:24:18');
INSERT INTO `sys_job_log` VALUES (10135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 15:24:19');
INSERT INTO `sys_job_log` VALUES (10136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 15:24:21');
INSERT INTO `sys_job_log` VALUES (10137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:24:24');
INSERT INTO `sys_job_log` VALUES (10138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:24:29');
INSERT INTO `sys_job_log` VALUES (10139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:24:29');
INSERT INTO `sys_job_log` VALUES (10140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1578毫秒', '0', '', '2024-12-24 15:24:32');
INSERT INTO `sys_job_log` VALUES (10141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：499毫秒', '0', '', '2024-12-24 15:24:35');
INSERT INTO `sys_job_log` VALUES (10142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 15:24:36');
INSERT INTO `sys_job_log` VALUES (10143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:24:39');
INSERT INTO `sys_job_log` VALUES (10144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:24:44');
INSERT INTO `sys_job_log` VALUES (10145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:24:44');
INSERT INTO `sys_job_log` VALUES (10146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2140毫秒', '0', '', '2024-12-24 15:24:48');
INSERT INTO `sys_job_log` VALUES (10147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:24:49');
INSERT INTO `sys_job_log` VALUES (10148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14441毫秒', '0', '', '2024-12-24 15:24:50');
INSERT INTO `sys_job_log` VALUES (10149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:24:54');
INSERT INTO `sys_job_log` VALUES (10150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:24:59');
INSERT INTO `sys_job_log` VALUES (10151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 15:24:59');
INSERT INTO `sys_job_log` VALUES (10152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1515毫秒', '0', '', '2024-12-24 15:25:02');
INSERT INTO `sys_job_log` VALUES (10153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:25:04');
INSERT INTO `sys_job_log` VALUES (10154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:25:04');
INSERT INTO `sys_job_log` VALUES (10155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:25:09');
INSERT INTO `sys_job_log` VALUES (10156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:25:14');
INSERT INTO `sys_job_log` VALUES (10157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:25:14');
INSERT INTO `sys_job_log` VALUES (10158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1989毫秒', '0', '', '2024-12-24 15:25:18');
INSERT INTO `sys_job_log` VALUES (10159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2024-12-24 15:25:19');
INSERT INTO `sys_job_log` VALUES (10160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:25:19');
INSERT INTO `sys_job_log` VALUES (10161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:25:24');
INSERT INTO `sys_job_log` VALUES (10162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:25:29');
INSERT INTO `sys_job_log` VALUES (10163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:25:29');
INSERT INTO `sys_job_log` VALUES (10164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1474毫秒', '0', '', '2024-12-24 15:25:32');
INSERT INTO `sys_job_log` VALUES (10165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14444毫秒', '0', '', '2024-12-24 15:25:33');
INSERT INTO `sys_job_log` VALUES (10166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:25:34');
INSERT INTO `sys_job_log` VALUES (10167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:25:39');
INSERT INTO `sys_job_log` VALUES (10168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:25:44');
INSERT INTO `sys_job_log` VALUES (10169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:25:44');
INSERT INTO `sys_job_log` VALUES (10170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13345毫秒', '0', '', '2024-12-24 15:25:47');
INSERT INTO `sys_job_log` VALUES (10171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2041毫秒', '0', '', '2024-12-24 15:25:48');
INSERT INTO `sys_job_log` VALUES (10172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 15:25:49');
INSERT INTO `sys_job_log` VALUES (10173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:25:54');
INSERT INTO `sys_job_log` VALUES (10174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:25:59');
INSERT INTO `sys_job_log` VALUES (10175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 15:25:59');
INSERT INTO `sys_job_log` VALUES (10176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14439毫秒', '0', '', '2024-12-24 15:26:01');
INSERT INTO `sys_job_log` VALUES (10177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1504毫秒', '0', '', '2024-12-24 15:26:02');
INSERT INTO `sys_job_log` VALUES (10178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：190毫秒', '0', '', '2024-12-24 15:26:04');
INSERT INTO `sys_job_log` VALUES (10179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:26:09');
INSERT INTO `sys_job_log` VALUES (10180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:26:14');
INSERT INTO `sys_job_log` VALUES (10181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:26:14');
INSERT INTO `sys_job_log` VALUES (10182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2024-12-24 15:26:15');
INSERT INTO `sys_job_log` VALUES (10183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2078毫秒', '0', '', '2024-12-24 15:26:18');
INSERT INTO `sys_job_log` VALUES (10184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:26:19');
INSERT INTO `sys_job_log` VALUES (10185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:26:24');
INSERT INTO `sys_job_log` VALUES (10186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:26:29');
INSERT INTO `sys_job_log` VALUES (10187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:26:29');
INSERT INTO `sys_job_log` VALUES (10188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 15:26:30');
INSERT INTO `sys_job_log` VALUES (10189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1475毫秒', '0', '', '2024-12-24 15:26:32');
INSERT INTO `sys_job_log` VALUES (10190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 15:26:34');
INSERT INTO `sys_job_log` VALUES (10191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:26:39');
INSERT INTO `sys_job_log` VALUES (10192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 15:26:44');
INSERT INTO `sys_job_log` VALUES (10193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 15:26:44');
INSERT INTO `sys_job_log` VALUES (10194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14339毫秒', '0', '', '2024-12-24 15:26:44');
INSERT INTO `sys_job_log` VALUES (10195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1927毫秒', '0', '', '2024-12-24 15:26:48');
INSERT INTO `sys_job_log` VALUES (10196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：194毫秒', '0', '', '2024-12-24 15:26:49');
INSERT INTO `sys_job_log` VALUES (10197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:26:54');
INSERT INTO `sys_job_log` VALUES (10198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:26:59');
INSERT INTO `sys_job_log` VALUES (10199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:26:59');
INSERT INTO `sys_job_log` VALUES (10200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:26:59');
INSERT INTO `sys_job_log` VALUES (10201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1310毫秒', '0', '', '2024-12-24 15:27:02');
INSERT INTO `sys_job_log` VALUES (10202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:27:04');
INSERT INTO `sys_job_log` VALUES (10203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:27:09');
INSERT INTO `sys_job_log` VALUES (10204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14339毫秒', '0', '', '2024-12-24 15:27:13');
INSERT INTO `sys_job_log` VALUES (10205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:27:14');
INSERT INTO `sys_job_log` VALUES (10206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:27:14');
INSERT INTO `sys_job_log` VALUES (10207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1789毫秒', '0', '', '2024-12-24 15:27:17');
INSERT INTO `sys_job_log` VALUES (10208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:27:19');
INSERT INTO `sys_job_log` VALUES (10209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:27:24');
INSERT INTO `sys_job_log` VALUES (10210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:27:29');
INSERT INTO `sys_job_log` VALUES (10211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 15:27:29');
INSERT INTO `sys_job_log` VALUES (10212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 15:27:34');
INSERT INTO `sys_job_log` VALUES (10213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:27:39');
INSERT INTO `sys_job_log` VALUES (10214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:27:44');
INSERT INTO `sys_job_log` VALUES (10215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 15:27:44');
INSERT INTO `sys_job_log` VALUES (10216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 15:27:49');
INSERT INTO `sys_job_log` VALUES (10217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:27:54');
INSERT INTO `sys_job_log` VALUES (10218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:27:59');
INSERT INTO `sys_job_log` VALUES (10219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:27:59');
INSERT INTO `sys_job_log` VALUES (10220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:28:04');
INSERT INTO `sys_job_log` VALUES (10221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:28:09');
INSERT INTO `sys_job_log` VALUES (10222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 15:28:14');
INSERT INTO `sys_job_log` VALUES (10223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:28:14');
INSERT INTO `sys_job_log` VALUES (10224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:28:19');
INSERT INTO `sys_job_log` VALUES (10225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:28:24');
INSERT INTO `sys_job_log` VALUES (10226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:28:29');
INSERT INTO `sys_job_log` VALUES (10227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 15:28:29');
INSERT INTO `sys_job_log` VALUES (10228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 15:28:34');
INSERT INTO `sys_job_log` VALUES (10229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:28:39');
INSERT INTO `sys_job_log` VALUES (10230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:28:44');
INSERT INTO `sys_job_log` VALUES (10231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:28:44');
INSERT INTO `sys_job_log` VALUES (10232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:28:49');
INSERT INTO `sys_job_log` VALUES (10233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:28:54');
INSERT INTO `sys_job_log` VALUES (10234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:28:59');
INSERT INTO `sys_job_log` VALUES (10235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：106毫秒', '0', '', '2024-12-24 15:28:59');
INSERT INTO `sys_job_log` VALUES (10236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 15:29:04');
INSERT INTO `sys_job_log` VALUES (10237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:29:09');
INSERT INTO `sys_job_log` VALUES (10238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:29:14');
INSERT INTO `sys_job_log` VALUES (10239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:29:14');
INSERT INTO `sys_job_log` VALUES (10240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 15:29:19');
INSERT INTO `sys_job_log` VALUES (10241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:29:24');
INSERT INTO `sys_job_log` VALUES (10242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:29:29');
INSERT INTO `sys_job_log` VALUES (10243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:29:29');
INSERT INTO `sys_job_log` VALUES (10244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 15:29:34');
INSERT INTO `sys_job_log` VALUES (10245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:29:39');
INSERT INTO `sys_job_log` VALUES (10246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:29:44');
INSERT INTO `sys_job_log` VALUES (10247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 15:29:44');
INSERT INTO `sys_job_log` VALUES (10248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 15:29:49');
INSERT INTO `sys_job_log` VALUES (10249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:29:54');
INSERT INTO `sys_job_log` VALUES (10250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-24 15:29:59');
INSERT INTO `sys_job_log` VALUES (10251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:29:59');
INSERT INTO `sys_job_log` VALUES (10252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:30:04');
INSERT INTO `sys_job_log` VALUES (10253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:30:09');
INSERT INTO `sys_job_log` VALUES (10254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:30:14');
INSERT INTO `sys_job_log` VALUES (10255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 15:30:14');
INSERT INTO `sys_job_log` VALUES (10256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:30:19');
INSERT INTO `sys_job_log` VALUES (10257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1922毫秒', '0', '', '2024-12-24 15:30:26');
INSERT INTO `sys_job_log` VALUES (10258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:30:29');
INSERT INTO `sys_job_log` VALUES (10259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:30:29');
INSERT INTO `sys_job_log` VALUES (10260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:30:34');
INSERT INTO `sys_job_log` VALUES (10261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:30:39');
INSERT INTO `sys_job_log` VALUES (10262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1278毫秒', '0', '', '2024-12-24 15:30:43');
INSERT INTO `sys_job_log` VALUES (10263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:30:44');
INSERT INTO `sys_job_log` VALUES (10264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-24 15:30:44');
INSERT INTO `sys_job_log` VALUES (10265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2203毫秒', '0', '', '2024-12-24 15:30:48');
INSERT INTO `sys_job_log` VALUES (10266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:30:49');
INSERT INTO `sys_job_log` VALUES (10267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:30:54');
INSERT INTO `sys_job_log` VALUES (10268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 15:30:59');
INSERT INTO `sys_job_log` VALUES (10269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14344毫秒', '0', '', '2024-12-24 15:31:00');
INSERT INTO `sys_job_log` VALUES (10270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1586毫秒', '0', '', '2024-12-24 15:31:02');
INSERT INTO `sys_job_log` VALUES (10271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:31:04');
INSERT INTO `sys_job_log` VALUES (10272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:31:09');
INSERT INTO `sys_job_log` VALUES (10273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:31:14');
INSERT INTO `sys_job_log` VALUES (10274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:31:14');
INSERT INTO `sys_job_log` VALUES (10275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2041毫秒', '0', '', '2024-12-24 15:31:18');
INSERT INTO `sys_job_log` VALUES (10276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-24 15:31:18');
INSERT INTO `sys_job_log` VALUES (10277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 15:31:18');
INSERT INTO `sys_job_log` VALUES (10278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:31:19');
INSERT INTO `sys_job_log` VALUES (10279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:31:24');
INSERT INTO `sys_job_log` VALUES (10280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:31:29');
INSERT INTO `sys_job_log` VALUES (10281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:31:29');
INSERT INTO `sys_job_log` VALUES (10282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:31:29');
INSERT INTO `sys_job_log` VALUES (10283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1415毫秒', '0', '', '2024-12-24 15:31:32');
INSERT INTO `sys_job_log` VALUES (10284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 15:31:34');
INSERT INTO `sys_job_log` VALUES (10285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:31:39');
INSERT INTO `sys_job_log` VALUES (10286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:31:43');
INSERT INTO `sys_job_log` VALUES (10287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:31:44');
INSERT INTO `sys_job_log` VALUES (10288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 15:31:44');
INSERT INTO `sys_job_log` VALUES (10289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1893毫秒', '0', '', '2024-12-24 15:31:48');
INSERT INTO `sys_job_log` VALUES (10290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:31:49');
INSERT INTO `sys_job_log` VALUES (10291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:31:54');
INSERT INTO `sys_job_log` VALUES (10292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:31:58');
INSERT INTO `sys_job_log` VALUES (10293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:31:59');
INSERT INTO `sys_job_log` VALUES (10294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:31:59');
INSERT INTO `sys_job_log` VALUES (10295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1253毫秒', '0', '', '2024-12-24 15:32:02');
INSERT INTO `sys_job_log` VALUES (10296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 15:32:04');
INSERT INTO `sys_job_log` VALUES (10297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:32:09');
INSERT INTO `sys_job_log` VALUES (10298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14361毫秒', '0', '', '2024-12-24 15:32:12');
INSERT INTO `sys_job_log` VALUES (10299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:32:14');
INSERT INTO `sys_job_log` VALUES (10300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 15:32:14');
INSERT INTO `sys_job_log` VALUES (10301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1727毫秒', '0', '', '2024-12-24 15:32:17');
INSERT INTO `sys_job_log` VALUES (10302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:32:19');
INSERT INTO `sys_job_log` VALUES (10303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:32:24');
INSERT INTO `sys_job_log` VALUES (10304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14353毫秒', '0', '', '2024-12-24 15:32:26');
INSERT INTO `sys_job_log` VALUES (10305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:32:29');
INSERT INTO `sys_job_log` VALUES (10306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:32:29');
INSERT INTO `sys_job_log` VALUES (10307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2206毫秒', '0', '', '2024-12-24 15:32:33');
INSERT INTO `sys_job_log` VALUES (10308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:32:34');
INSERT INTO `sys_job_log` VALUES (10309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:32:39');
INSERT INTO `sys_job_log` VALUES (10310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:32:41');
INSERT INTO `sys_job_log` VALUES (10311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:32:44');
INSERT INTO `sys_job_log` VALUES (10312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:32:44');
INSERT INTO `sys_job_log` VALUES (10313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1568毫秒', '0', '', '2024-12-24 15:32:47');
INSERT INTO `sys_job_log` VALUES (10314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:32:49');
INSERT INTO `sys_job_log` VALUES (10315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:32:54');
INSERT INTO `sys_job_log` VALUES (10316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:32:55');
INSERT INTO `sys_job_log` VALUES (10317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 15:32:59');
INSERT INTO `sys_job_log` VALUES (10318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 15:32:59');
INSERT INTO `sys_job_log` VALUES (10319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2050毫秒', '0', '', '2024-12-24 15:33:03');
INSERT INTO `sys_job_log` VALUES (10320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 15:33:04');
INSERT INTO `sys_job_log` VALUES (10321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:33:09');
INSERT INTO `sys_job_log` VALUES (10322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:33:09');
INSERT INTO `sys_job_log` VALUES (10323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:33:14');
INSERT INTO `sys_job_log` VALUES (10324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:33:14');
INSERT INTO `sys_job_log` VALUES (10325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1426毫秒', '0', '', '2024-12-24 15:33:17');
INSERT INTO `sys_job_log` VALUES (10326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:33:19');
INSERT INTO `sys_job_log` VALUES (10327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:33:24');
INSERT INTO `sys_job_log` VALUES (10328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:33:24');
INSERT INTO `sys_job_log` VALUES (10329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:33:29');
INSERT INTO `sys_job_log` VALUES (10330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 15:33:29');
INSERT INTO `sys_job_log` VALUES (10331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1894毫秒', '0', '', '2024-12-24 15:33:33');
INSERT INTO `sys_job_log` VALUES (10332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:33:34');
INSERT INTO `sys_job_log` VALUES (10333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:33:38');
INSERT INTO `sys_job_log` VALUES (10334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:33:39');
INSERT INTO `sys_job_log` VALUES (10335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:33:44');
INSERT INTO `sys_job_log` VALUES (10336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 15:33:44');
INSERT INTO `sys_job_log` VALUES (10337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1265毫秒', '0', '', '2024-12-24 15:33:47');
INSERT INTO `sys_job_log` VALUES (10338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 15:33:49');
INSERT INTO `sys_job_log` VALUES (10339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14349毫秒', '0', '', '2024-12-24 15:33:52');
INSERT INTO `sys_job_log` VALUES (10340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:33:54');
INSERT INTO `sys_job_log` VALUES (10341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:33:59');
INSERT INTO `sys_job_log` VALUES (10342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 15:33:59');
INSERT INTO `sys_job_log` VALUES (10343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1740毫秒', '0', '', '2024-12-24 15:34:02');
INSERT INTO `sys_job_log` VALUES (10344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2024-12-24 15:34:04');
INSERT INTO `sys_job_log` VALUES (10345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:34:07');
INSERT INTO `sys_job_log` VALUES (10346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:34:09');
INSERT INTO `sys_job_log` VALUES (10347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 15:34:14');
INSERT INTO `sys_job_log` VALUES (10348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:34:14');
INSERT INTO `sys_job_log` VALUES (10349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2202毫秒', '0', '', '2024-12-24 15:34:18');
INSERT INTO `sys_job_log` VALUES (10350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:34:19');
INSERT INTO `sys_job_log` VALUES (10351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14353毫秒', '0', '', '2024-12-24 15:34:21');
INSERT INTO `sys_job_log` VALUES (10352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:34:24');
INSERT INTO `sys_job_log` VALUES (10353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:34:29');
INSERT INTO `sys_job_log` VALUES (10354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:34:29');
INSERT INTO `sys_job_log` VALUES (10355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2024-12-24 15:34:32');
INSERT INTO `sys_job_log` VALUES (10356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2024-12-24 15:34:34');
INSERT INTO `sys_job_log` VALUES (10357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:34:36');
INSERT INTO `sys_job_log` VALUES (10358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:34:39');
INSERT INTO `sys_job_log` VALUES (10359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:34:44');
INSERT INTO `sys_job_log` VALUES (10360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 15:34:44');
INSERT INTO `sys_job_log` VALUES (10361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2061毫秒', '0', '', '2024-12-24 15:34:48');
INSERT INTO `sys_job_log` VALUES (10362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:34:49');
INSERT INTO `sys_job_log` VALUES (10363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14377毫秒', '0', '', '2024-12-24 15:34:50');
INSERT INTO `sys_job_log` VALUES (10364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:34:54');
INSERT INTO `sys_job_log` VALUES (10365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 15:34:59');
INSERT INTO `sys_job_log` VALUES (10366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-24 15:34:59');
INSERT INTO `sys_job_log` VALUES (10367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1438毫秒', '0', '', '2024-12-24 15:35:02');
INSERT INTO `sys_job_log` VALUES (10368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14341毫秒', '0', '', '2024-12-24 15:35:04');
INSERT INTO `sys_job_log` VALUES (10369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:35:04');
INSERT INTO `sys_job_log` VALUES (10370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:35:09');
INSERT INTO `sys_job_log` VALUES (10371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 15:35:14');
INSERT INTO `sys_job_log` VALUES (10372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-24 15:35:14');
INSERT INTO `sys_job_log` VALUES (10373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1907毫秒', '0', '', '2024-12-24 15:35:18');
INSERT INTO `sys_job_log` VALUES (10374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:35:19');
INSERT INTO `sys_job_log` VALUES (10375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:35:19');
INSERT INTO `sys_job_log` VALUES (10376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 15:35:24');
INSERT INTO `sys_job_log` VALUES (10377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:35:29');
INSERT INTO `sys_job_log` VALUES (10378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 15:35:29');
INSERT INTO `sys_job_log` VALUES (10379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1274毫秒', '0', '', '2024-12-24 15:35:32');
INSERT INTO `sys_job_log` VALUES (10380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14364毫秒', '0', '', '2024-12-24 15:35:33');
INSERT INTO `sys_job_log` VALUES (10381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:35:34');
INSERT INTO `sys_job_log` VALUES (10382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:35:39');
INSERT INTO `sys_job_log` VALUES (10383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:35:44');
INSERT INTO `sys_job_log` VALUES (10384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 15:35:44');
INSERT INTO `sys_job_log` VALUES (10385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 15:35:49');
INSERT INTO `sys_job_log` VALUES (10386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:35:54');
INSERT INTO `sys_job_log` VALUES (10387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:35:59');
INSERT INTO `sys_job_log` VALUES (10388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:35:59');
INSERT INTO `sys_job_log` VALUES (10389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-24 15:36:04');
INSERT INTO `sys_job_log` VALUES (10390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:36:09');
INSERT INTO `sys_job_log` VALUES (10391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:36:14');
INSERT INTO `sys_job_log` VALUES (10392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:36:14');
INSERT INTO `sys_job_log` VALUES (10393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 15:36:19');
INSERT INTO `sys_job_log` VALUES (10394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:36:24');
INSERT INTO `sys_job_log` VALUES (10395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:36:29');
INSERT INTO `sys_job_log` VALUES (10396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-24 15:36:29');
INSERT INTO `sys_job_log` VALUES (10397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 15:36:34');
INSERT INTO `sys_job_log` VALUES (10398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:36:39');
INSERT INTO `sys_job_log` VALUES (10399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:36:44');
INSERT INTO `sys_job_log` VALUES (10400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:36:44');
INSERT INTO `sys_job_log` VALUES (10401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:36:49');
INSERT INTO `sys_job_log` VALUES (10402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:36:54');
INSERT INTO `sys_job_log` VALUES (10403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:36:59');
INSERT INTO `sys_job_log` VALUES (10404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 15:36:59');
INSERT INTO `sys_job_log` VALUES (10405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 15:37:04');
INSERT INTO `sys_job_log` VALUES (10406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:37:09');
INSERT INTO `sys_job_log` VALUES (10407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:37:14');
INSERT INTO `sys_job_log` VALUES (10408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:37:14');
INSERT INTO `sys_job_log` VALUES (10409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:37:19');
INSERT INTO `sys_job_log` VALUES (10410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:37:24');
INSERT INTO `sys_job_log` VALUES (10411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 15:37:29');
INSERT INTO `sys_job_log` VALUES (10412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 15:37:29');
INSERT INTO `sys_job_log` VALUES (10413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:37:34');
INSERT INTO `sys_job_log` VALUES (10414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:37:39');
INSERT INTO `sys_job_log` VALUES (10415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:37:44');
INSERT INTO `sys_job_log` VALUES (10416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:37:44');
INSERT INTO `sys_job_log` VALUES (10417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2024-12-24 15:37:49');
INSERT INTO `sys_job_log` VALUES (10418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:37:54');
INSERT INTO `sys_job_log` VALUES (10419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:37:59');
INSERT INTO `sys_job_log` VALUES (10420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 15:37:59');
INSERT INTO `sys_job_log` VALUES (10421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 15:38:04');
INSERT INTO `sys_job_log` VALUES (10422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:38:09');
INSERT INTO `sys_job_log` VALUES (10423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:38:14');
INSERT INTO `sys_job_log` VALUES (10424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 15:38:14');
INSERT INTO `sys_job_log` VALUES (10425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 15:38:19');
INSERT INTO `sys_job_log` VALUES (10426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:38:24');
INSERT INTO `sys_job_log` VALUES (10427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:38:29');
INSERT INTO `sys_job_log` VALUES (10428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 15:38:29');
INSERT INTO `sys_job_log` VALUES (10429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:38:34');
INSERT INTO `sys_job_log` VALUES (10430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:38:39');
INSERT INTO `sys_job_log` VALUES (10431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:38:44');
INSERT INTO `sys_job_log` VALUES (10432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 15:38:44');
INSERT INTO `sys_job_log` VALUES (10433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1142毫秒', '0', '', '2024-12-24 15:38:48');
INSERT INTO `sys_job_log` VALUES (10434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2144毫秒', '0', '', '2024-12-24 15:38:49');
INSERT INTO `sys_job_log` VALUES (10435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 15:38:49');
INSERT INTO `sys_job_log` VALUES (10436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:38:54');
INSERT INTO `sys_job_log` VALUES (10437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:38:59');
INSERT INTO `sys_job_log` VALUES (10438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 15:38:59');
INSERT INTO `sys_job_log` VALUES (10439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1345毫秒', '0', '', '2024-12-24 15:39:02');
INSERT INTO `sys_job_log` VALUES (10440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13430毫秒', '0', '', '2024-12-24 15:39:04');
INSERT INTO `sys_job_log` VALUES (10441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 15:39:04');
INSERT INTO `sys_job_log` VALUES (10442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:39:09');
INSERT INTO `sys_job_log` VALUES (10443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 15:39:14');
INSERT INTO `sys_job_log` VALUES (10444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:39:14');
INSERT INTO `sys_job_log` VALUES (10445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12325毫秒', '0', '', '2024-12-24 15:39:16');
INSERT INTO `sys_job_log` VALUES (10446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1782毫秒', '0', '', '2024-12-24 15:39:17');
INSERT INTO `sys_job_log` VALUES (10447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:39:19');
INSERT INTO `sys_job_log` VALUES (10448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：363毫秒', '0', '', '2024-12-24 15:39:25');
INSERT INTO `sys_job_log` VALUES (10449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 15:39:29');
INSERT INTO `sys_job_log` VALUES (10450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 15:39:29');
INSERT INTO `sys_job_log` VALUES (10451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2021毫秒', '0', '', '2024-12-24 15:39:33');
INSERT INTO `sys_job_log` VALUES (10452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17227毫秒', '0', '', '2024-12-24 15:39:34');
INSERT INTO `sys_job_log` VALUES (10453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 15:39:34');
INSERT INTO `sys_job_log` VALUES (10454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:39:39');
INSERT INTO `sys_job_log` VALUES (10455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:39:44');
INSERT INTO `sys_job_log` VALUES (10456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:39:44');
INSERT INTO `sys_job_log` VALUES (10457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12868毫秒', '0', '', '2024-12-24 15:39:47');
INSERT INTO `sys_job_log` VALUES (10458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2020毫秒', '0', '', '2024-12-24 15:39:48');
INSERT INTO `sys_job_log` VALUES (10459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:39:49');
INSERT INTO `sys_job_log` VALUES (10460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:39:54');
INSERT INTO `sys_job_log` VALUES (10461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:39:59');
INSERT INTO `sys_job_log` VALUES (10462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：106毫秒', '0', '', '2024-12-24 15:39:59');
INSERT INTO `sys_job_log` VALUES (10463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14364毫秒', '0', '', '2024-12-24 15:40:01');
INSERT INTO `sys_job_log` VALUES (10464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1409毫秒', '0', '', '2024-12-24 15:40:02');
INSERT INTO `sys_job_log` VALUES (10465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 15:40:04');
INSERT INTO `sys_job_log` VALUES (10466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:40:09');
INSERT INTO `sys_job_log` VALUES (10467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:40:14');
INSERT INTO `sys_job_log` VALUES (10468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:40:14');
INSERT INTO `sys_job_log` VALUES (10469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14344毫秒', '0', '', '2024-12-24 15:40:15');
INSERT INTO `sys_job_log` VALUES (10470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1871毫秒', '0', '', '2024-12-24 15:40:18');
INSERT INTO `sys_job_log` VALUES (10471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:40:19');
INSERT INTO `sys_job_log` VALUES (10472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:40:24');
INSERT INTO `sys_job_log` VALUES (10473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:40:29');
INSERT INTO `sys_job_log` VALUES (10474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2024-12-24 15:40:29');
INSERT INTO `sys_job_log` VALUES (10475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14361毫秒', '0', '', '2024-12-24 15:40:30');
INSERT INTO `sys_job_log` VALUES (10476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1327毫秒', '0', '', '2024-12-24 15:40:32');
INSERT INTO `sys_job_log` VALUES (10477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：186毫秒', '0', '', '2024-12-24 15:40:34');
INSERT INTO `sys_job_log` VALUES (10478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:40:39');
INSERT INTO `sys_job_log` VALUES (10479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:40:44');
INSERT INTO `sys_job_log` VALUES (10480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14477毫秒', '0', '', '2024-12-24 15:40:44');
INSERT INTO `sys_job_log` VALUES (10481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 15:40:44');
INSERT INTO `sys_job_log` VALUES (10482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1911毫秒', '0', '', '2024-12-24 15:40:48');
INSERT INTO `sys_job_log` VALUES (10483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:40:49');
INSERT INTO `sys_job_log` VALUES (10484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:40:54');
INSERT INTO `sys_job_log` VALUES (10485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14423毫秒', '0', '', '2024-12-24 15:40:59');
INSERT INTO `sys_job_log` VALUES (10486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:40:59');
INSERT INTO `sys_job_log` VALUES (10487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 15:40:59');
INSERT INTO `sys_job_log` VALUES (10488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1392毫秒', '0', '', '2024-12-24 15:41:02');
INSERT INTO `sys_job_log` VALUES (10489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 15:41:04');
INSERT INTO `sys_job_log` VALUES (10490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:41:09');
INSERT INTO `sys_job_log` VALUES (10491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14430毫秒', '0', '', '2024-12-24 15:41:13');
INSERT INTO `sys_job_log` VALUES (10492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:41:14');
INSERT INTO `sys_job_log` VALUES (10493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 15:41:14');
INSERT INTO `sys_job_log` VALUES (10494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1866毫秒', '0', '', '2024-12-24 15:41:18');
INSERT INTO `sys_job_log` VALUES (10495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:41:19');
INSERT INTO `sys_job_log` VALUES (10496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:41:24');
INSERT INTO `sys_job_log` VALUES (10497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:41:27');
INSERT INTO `sys_job_log` VALUES (10498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:41:29');
INSERT INTO `sys_job_log` VALUES (10499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 15:41:29');
INSERT INTO `sys_job_log` VALUES (10500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2343毫秒', '0', '', '2024-12-24 15:41:33');
INSERT INTO `sys_job_log` VALUES (10501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:41:34');
INSERT INTO `sys_job_log` VALUES (10502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:41:39');
INSERT INTO `sys_job_log` VALUES (10503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:41:42');
INSERT INTO `sys_job_log` VALUES (10504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:41:44');
INSERT INTO `sys_job_log` VALUES (10505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:41:44');
INSERT INTO `sys_job_log` VALUES (10506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1684毫秒', '0', '', '2024-12-24 15:41:47');
INSERT INTO `sys_job_log` VALUES (10507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:41:49');
INSERT INTO `sys_job_log` VALUES (10508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:41:54');
INSERT INTO `sys_job_log` VALUES (10509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:41:56');
INSERT INTO `sys_job_log` VALUES (10510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 15:41:59');
INSERT INTO `sys_job_log` VALUES (10511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-24 15:41:59');
INSERT INTO `sys_job_log` VALUES (10512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2276毫秒', '0', '', '2024-12-24 15:42:03');
INSERT INTO `sys_job_log` VALUES (10513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 15:42:04');
INSERT INTO `sys_job_log` VALUES (10514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:42:09');
INSERT INTO `sys_job_log` VALUES (10515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14432毫秒', '0', '', '2024-12-24 15:42:11');
INSERT INTO `sys_job_log` VALUES (10516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:42:14');
INSERT INTO `sys_job_log` VALUES (10517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:42:14');
INSERT INTO `sys_job_log` VALUES (10518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1648毫秒', '0', '', '2024-12-24 15:42:17');
INSERT INTO `sys_job_log` VALUES (10519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 15:42:19');
INSERT INTO `sys_job_log` VALUES (10520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:42:24');
INSERT INTO `sys_job_log` VALUES (10521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:42:25');
INSERT INTO `sys_job_log` VALUES (10522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:42:29');
INSERT INTO `sys_job_log` VALUES (10523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 15:42:29');
INSERT INTO `sys_job_log` VALUES (10524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2120毫秒', '0', '', '2024-12-24 15:42:33');
INSERT INTO `sys_job_log` VALUES (10525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：185毫秒', '0', '', '2024-12-24 15:42:34');
INSERT INTO `sys_job_log` VALUES (10526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:42:39');
INSERT INTO `sys_job_log` VALUES (10527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:42:39');
INSERT INTO `sys_job_log` VALUES (10528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:42:44');
INSERT INTO `sys_job_log` VALUES (10529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:42:44');
INSERT INTO `sys_job_log` VALUES (10530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1497毫秒', '0', '', '2024-12-24 15:42:47');
INSERT INTO `sys_job_log` VALUES (10531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：185毫秒', '0', '', '2024-12-24 15:42:49');
INSERT INTO `sys_job_log` VALUES (10532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 15:42:54');
INSERT INTO `sys_job_log` VALUES (10533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:42:54');
INSERT INTO `sys_job_log` VALUES (10534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:42:59');
INSERT INTO `sys_job_log` VALUES (10535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 15:42:59');
INSERT INTO `sys_job_log` VALUES (10536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1964毫秒', '0', '', '2024-12-24 15:43:03');
INSERT INTO `sys_job_log` VALUES (10537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:43:04');
INSERT INTO `sys_job_log` VALUES (10538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14352毫秒', '0', '', '2024-12-24 15:43:08');
INSERT INTO `sys_job_log` VALUES (10539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:43:09');
INSERT INTO `sys_job_log` VALUES (10540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:43:14');
INSERT INTO `sys_job_log` VALUES (10541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 15:43:14');
INSERT INTO `sys_job_log` VALUES (10542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1321毫秒', '0', '', '2024-12-24 15:43:17');
INSERT INTO `sys_job_log` VALUES (10543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:43:19');
INSERT INTO `sys_job_log` VALUES (10544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:43:23');
INSERT INTO `sys_job_log` VALUES (10545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:43:24');
INSERT INTO `sys_job_log` VALUES (10546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:43:29');
INSERT INTO `sys_job_log` VALUES (10547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:43:29');
INSERT INTO `sys_job_log` VALUES (10548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1810毫秒', '0', '', '2024-12-24 15:43:33');
INSERT INTO `sys_job_log` VALUES (10549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:43:34');
INSERT INTO `sys_job_log` VALUES (10550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:43:37');
INSERT INTO `sys_job_log` VALUES (10551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:43:39');
INSERT INTO `sys_job_log` VALUES (10552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:43:44');
INSERT INTO `sys_job_log` VALUES (10553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 15:43:44');
INSERT INTO `sys_job_log` VALUES (10554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2296毫秒', '0', '', '2024-12-24 15:43:48');
INSERT INTO `sys_job_log` VALUES (10555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 15:43:49');
INSERT INTO `sys_job_log` VALUES (10556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:43:51');
INSERT INTO `sys_job_log` VALUES (10557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:43:54');
INSERT INTO `sys_job_log` VALUES (10558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 15:43:59');
INSERT INTO `sys_job_log` VALUES (10559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:43:59');
INSERT INTO `sys_job_log` VALUES (10560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1708毫秒', '0', '', '2024-12-24 15:44:02');
INSERT INTO `sys_job_log` VALUES (10561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:44:04');
INSERT INTO `sys_job_log` VALUES (10562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:44:06');
INSERT INTO `sys_job_log` VALUES (10563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:44:09');
INSERT INTO `sys_job_log` VALUES (10564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:44:14');
INSERT INTO `sys_job_log` VALUES (10565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 15:44:14');
INSERT INTO `sys_job_log` VALUES (10566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2219毫秒', '0', '', '2024-12-24 15:44:18');
INSERT INTO `sys_job_log` VALUES (10567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:44:19');
INSERT INTO `sys_job_log` VALUES (10568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14458毫秒', '0', '', '2024-12-24 15:44:20');
INSERT INTO `sys_job_log` VALUES (10569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:44:24');
INSERT INTO `sys_job_log` VALUES (10570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:44:29');
INSERT INTO `sys_job_log` VALUES (10571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 15:44:29');
INSERT INTO `sys_job_log` VALUES (10572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1590毫秒', '0', '', '2024-12-24 15:44:32');
INSERT INTO `sys_job_log` VALUES (10573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:44:34');
INSERT INTO `sys_job_log` VALUES (10574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:44:35');
INSERT INTO `sys_job_log` VALUES (10575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:44:39');
INSERT INTO `sys_job_log` VALUES (10576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:44:44');
INSERT INTO `sys_job_log` VALUES (10577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 15:44:44');
INSERT INTO `sys_job_log` VALUES (10578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2080毫秒', '0', '', '2024-12-24 15:44:48');
INSERT INTO `sys_job_log` VALUES (10579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:44:49');
INSERT INTO `sys_job_log` VALUES (10580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 15:44:49');
INSERT INTO `sys_job_log` VALUES (10581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:44:54');
INSERT INTO `sys_job_log` VALUES (10582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:44:59');
INSERT INTO `sys_job_log` VALUES (10583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:44:59');
INSERT INTO `sys_job_log` VALUES (10584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1444毫秒', '0', '', '2024-12-24 15:45:02');
INSERT INTO `sys_job_log` VALUES (10585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:45:03');
INSERT INTO `sys_job_log` VALUES (10586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:45:04');
INSERT INTO `sys_job_log` VALUES (10587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:45:09');
INSERT INTO `sys_job_log` VALUES (10588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:45:14');
INSERT INTO `sys_job_log` VALUES (10589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 15:45:14');
INSERT INTO `sys_job_log` VALUES (10590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13255毫秒', '0', '', '2024-12-24 15:45:17');
INSERT INTO `sys_job_log` VALUES (10591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1917毫秒', '0', '', '2024-12-24 15:45:18');
INSERT INTO `sys_job_log` VALUES (10592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 15:45:19');
INSERT INTO `sys_job_log` VALUES (10593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:45:24');
INSERT INTO `sys_job_log` VALUES (10594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:45:29');
INSERT INTO `sys_job_log` VALUES (10595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 15:45:29');
INSERT INTO `sys_job_log` VALUES (10596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14393毫秒', '0', '', '2024-12-24 15:45:31');
INSERT INTO `sys_job_log` VALUES (10597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1284毫秒', '0', '', '2024-12-24 15:45:32');
INSERT INTO `sys_job_log` VALUES (10598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:45:34');
INSERT INTO `sys_job_log` VALUES (10599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:45:39');
INSERT INTO `sys_job_log` VALUES (10600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:45:44');
INSERT INTO `sys_job_log` VALUES (10601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：106毫秒', '0', '', '2024-12-24 15:45:44');
INSERT INTO `sys_job_log` VALUES (10602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14318毫秒', '0', '', '2024-12-24 15:45:45');
INSERT INTO `sys_job_log` VALUES (10603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1756毫秒', '0', '', '2024-12-24 15:45:47');
INSERT INTO `sys_job_log` VALUES (10604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：184毫秒', '0', '', '2024-12-24 15:45:49');
INSERT INTO `sys_job_log` VALUES (10605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:45:54');
INSERT INTO `sys_job_log` VALUES (10606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:45:59');
INSERT INTO `sys_job_log` VALUES (10607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：109毫秒', '0', '', '2024-12-24 15:45:59');
INSERT INTO `sys_job_log` VALUES (10608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 15:46:00');
INSERT INTO `sys_job_log` VALUES (10609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2243毫秒', '0', '', '2024-12-24 15:46:03');
INSERT INTO `sys_job_log` VALUES (10610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 15:46:04');
INSERT INTO `sys_job_log` VALUES (10611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:46:09');
INSERT INTO `sys_job_log` VALUES (10612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:46:14');
INSERT INTO `sys_job_log` VALUES (10613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:46:14');
INSERT INTO `sys_job_log` VALUES (10614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 15:46:14');
INSERT INTO `sys_job_log` VALUES (10615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1727毫秒', '0', '', '2024-12-24 15:46:17');
INSERT INTO `sys_job_log` VALUES (10616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 15:46:19');
INSERT INTO `sys_job_log` VALUES (10617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:46:24');
INSERT INTO `sys_job_log` VALUES (10618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14447毫秒', '0', '', '2024-12-24 15:46:28');
INSERT INTO `sys_job_log` VALUES (10619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:46:29');
INSERT INTO `sys_job_log` VALUES (10620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:46:29');
INSERT INTO `sys_job_log` VALUES (10621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2180毫秒', '0', '', '2024-12-24 15:46:33');
INSERT INTO `sys_job_log` VALUES (10622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:46:34');
INSERT INTO `sys_job_log` VALUES (10623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:46:39');
INSERT INTO `sys_job_log` VALUES (10624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:46:43');
INSERT INTO `sys_job_log` VALUES (10625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:46:44');
INSERT INTO `sys_job_log` VALUES (10626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 15:46:44');
INSERT INTO `sys_job_log` VALUES (10627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1650毫秒', '0', '', '2024-12-24 15:46:47');
INSERT INTO `sys_job_log` VALUES (10628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 15:46:49');
INSERT INTO `sys_job_log` VALUES (10629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:46:54');
INSERT INTO `sys_job_log` VALUES (10630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14448毫秒', '0', '', '2024-12-24 15:46:57');
INSERT INTO `sys_job_log` VALUES (10631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:46:59');
INSERT INTO `sys_job_log` VALUES (10632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:46:59');
INSERT INTO `sys_job_log` VALUES (10633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2242毫秒', '0', '', '2024-12-24 15:47:03');
INSERT INTO `sys_job_log` VALUES (10634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：185毫秒', '0', '', '2024-12-24 15:47:04');
INSERT INTO `sys_job_log` VALUES (10635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:47:09');
INSERT INTO `sys_job_log` VALUES (10636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14447毫秒', '0', '', '2024-12-24 15:47:12');
INSERT INTO `sys_job_log` VALUES (10637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:47:14');
INSERT INTO `sys_job_log` VALUES (10638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 15:47:14');
INSERT INTO `sys_job_log` VALUES (10639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1602毫秒', '0', '', '2024-12-24 15:47:17');
INSERT INTO `sys_job_log` VALUES (10640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 15:47:19');
INSERT INTO `sys_job_log` VALUES (10641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:47:24');
INSERT INTO `sys_job_log` VALUES (10642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14363毫秒', '0', '', '2024-12-24 15:47:26');
INSERT INTO `sys_job_log` VALUES (10643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:47:29');
INSERT INTO `sys_job_log` VALUES (10644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 15:47:29');
INSERT INTO `sys_job_log` VALUES (10645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2176毫秒', '0', '', '2024-12-24 15:47:33');
INSERT INTO `sys_job_log` VALUES (10646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 15:47:34');
INSERT INTO `sys_job_log` VALUES (10647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:47:39');
INSERT INTO `sys_job_log` VALUES (10648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14442毫秒', '0', '', '2024-12-24 15:47:41');
INSERT INTO `sys_job_log` VALUES (10649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:47:44');
INSERT INTO `sys_job_log` VALUES (10650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:47:44');
INSERT INTO `sys_job_log` VALUES (10651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1560毫秒', '0', '', '2024-12-24 15:47:47');
INSERT INTO `sys_job_log` VALUES (10652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:47:49');
INSERT INTO `sys_job_log` VALUES (10653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:47:54');
INSERT INTO `sys_job_log` VALUES (10654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:47:55');
INSERT INTO `sys_job_log` VALUES (10655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:47:59');
INSERT INTO `sys_job_log` VALUES (10656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:47:59');
INSERT INTO `sys_job_log` VALUES (10657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2015毫秒', '0', '', '2024-12-24 15:48:03');
INSERT INTO `sys_job_log` VALUES (10658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:48:04');
INSERT INTO `sys_job_log` VALUES (10659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:48:09');
INSERT INTO `sys_job_log` VALUES (10660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14353毫秒', '0', '', '2024-12-24 15:48:09');
INSERT INTO `sys_job_log` VALUES (10661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 15:48:14');
INSERT INTO `sys_job_log` VALUES (10662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-24 15:48:14');
INSERT INTO `sys_job_log` VALUES (10663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1385毫秒', '0', '', '2024-12-24 15:48:17');
INSERT INTO `sys_job_log` VALUES (10664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 15:48:19');
INSERT INTO `sys_job_log` VALUES (10665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:48:24');
INSERT INTO `sys_job_log` VALUES (10666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:48:24');
INSERT INTO `sys_job_log` VALUES (10667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:48:29');
INSERT INTO `sys_job_log` VALUES (10668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 15:48:29');
INSERT INTO `sys_job_log` VALUES (10669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1960毫秒', '0', '', '2024-12-24 15:48:33');
INSERT INTO `sys_job_log` VALUES (10670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:48:34');
INSERT INTO `sys_job_log` VALUES (10671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14452毫秒', '0', '', '2024-12-24 15:48:38');
INSERT INTO `sys_job_log` VALUES (10672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 15:48:39');
INSERT INTO `sys_job_log` VALUES (10673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:48:44');
INSERT INTO `sys_job_log` VALUES (10674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 15:48:44');
INSERT INTO `sys_job_log` VALUES (10675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1350毫秒', '0', '', '2024-12-24 15:48:47');
INSERT INTO `sys_job_log` VALUES (10676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 15:48:49');
INSERT INTO `sys_job_log` VALUES (10677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14338毫秒', '0', '', '2024-12-24 15:48:53');
INSERT INTO `sys_job_log` VALUES (10678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:48:54');
INSERT INTO `sys_job_log` VALUES (10679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 15:48:59');
INSERT INTO `sys_job_log` VALUES (10680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：107毫秒', '0', '', '2024-12-24 15:48:59');
INSERT INTO `sys_job_log` VALUES (10681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1805毫秒', '0', '', '2024-12-24 15:49:03');
INSERT INTO `sys_job_log` VALUES (10682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2024-12-24 15:49:04');
INSERT INTO `sys_job_log` VALUES (10683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14346毫秒', '0', '', '2024-12-24 15:49:07');
INSERT INTO `sys_job_log` VALUES (10684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:49:09');
INSERT INTO `sys_job_log` VALUES (10685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:49:14');
INSERT INTO `sys_job_log` VALUES (10686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：109毫秒', '0', '', '2024-12-24 15:49:14');
INSERT INTO `sys_job_log` VALUES (10687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 15:49:17');
INSERT INTO `sys_job_log` VALUES (10688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 15:49:19');
INSERT INTO `sys_job_log` VALUES (10689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14353毫秒', '0', '', '2024-12-24 15:49:21');
INSERT INTO `sys_job_log` VALUES (10690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 15:49:24');
INSERT INTO `sys_job_log` VALUES (10691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:49:29');
INSERT INTO `sys_job_log` VALUES (10692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 15:49:29');
INSERT INTO `sys_job_log` VALUES (10693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1664毫秒', '0', '', '2024-12-24 15:49:32');
INSERT INTO `sys_job_log` VALUES (10694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 15:49:34');
INSERT INTO `sys_job_log` VALUES (10695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:49:36');
INSERT INTO `sys_job_log` VALUES (10696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:49:39');
INSERT INTO `sys_job_log` VALUES (10697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:49:44');
INSERT INTO `sys_job_log` VALUES (10698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 15:49:44');
INSERT INTO `sys_job_log` VALUES (10699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2232毫秒', '0', '', '2024-12-24 15:49:48');
INSERT INTO `sys_job_log` VALUES (10700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:49:49');
INSERT INTO `sys_job_log` VALUES (10701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 15:49:50');
INSERT INTO `sys_job_log` VALUES (10702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:49:54');
INSERT INTO `sys_job_log` VALUES (10703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:49:59');
INSERT INTO `sys_job_log` VALUES (10704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 15:49:59');
INSERT INTO `sys_job_log` VALUES (10705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1725毫秒', '0', '', '2024-12-24 15:50:02');
INSERT INTO `sys_job_log` VALUES (10706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:50:04');
INSERT INTO `sys_job_log` VALUES (10707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14432毫秒', '0', '', '2024-12-24 15:50:05');
INSERT INTO `sys_job_log` VALUES (10708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 15:50:09');
INSERT INTO `sys_job_log` VALUES (10709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 15:50:14');
INSERT INTO `sys_job_log` VALUES (10710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:50:14');
INSERT INTO `sys_job_log` VALUES (10711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2190毫秒', '0', '', '2024-12-24 15:50:18');
INSERT INTO `sys_job_log` VALUES (10712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:50:19');
INSERT INTO `sys_job_log` VALUES (10713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:50:19');
INSERT INTO `sys_job_log` VALUES (10714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:50:24');
INSERT INTO `sys_job_log` VALUES (10715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:50:29');
INSERT INTO `sys_job_log` VALUES (10716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:50:29');
INSERT INTO `sys_job_log` VALUES (10717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1573毫秒', '0', '', '2024-12-24 15:50:32');
INSERT INTO `sys_job_log` VALUES (10718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 15:50:33');
INSERT INTO `sys_job_log` VALUES (10719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:50:34');
INSERT INTO `sys_job_log` VALUES (10720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:50:39');
INSERT INTO `sys_job_log` VALUES (10721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:50:44');
INSERT INTO `sys_job_log` VALUES (10722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:50:44');
INSERT INTO `sys_job_log` VALUES (10723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13254毫秒', '0', '', '2024-12-24 15:50:47');
INSERT INTO `sys_job_log` VALUES (10724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2028毫秒', '0', '', '2024-12-24 15:50:48');
INSERT INTO `sys_job_log` VALUES (10725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：179毫秒', '0', '', '2024-12-24 15:50:49');
INSERT INTO `sys_job_log` VALUES (10726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:50:54');
INSERT INTO `sys_job_log` VALUES (10727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:50:59');
INSERT INTO `sys_job_log` VALUES (10728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 15:50:59');
INSERT INTO `sys_job_log` VALUES (10729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14369毫秒', '0', '', '2024-12-24 15:51:01');
INSERT INTO `sys_job_log` VALUES (10730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1419毫秒', '0', '', '2024-12-24 15:51:02');
INSERT INTO `sys_job_log` VALUES (10731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 15:51:04');
INSERT INTO `sys_job_log` VALUES (10732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:51:09');
INSERT INTO `sys_job_log` VALUES (10733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:51:14');
INSERT INTO `sys_job_log` VALUES (10734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:51:14');
INSERT INTO `sys_job_log` VALUES (10735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14347毫秒', '0', '', '2024-12-24 15:51:15');
INSERT INTO `sys_job_log` VALUES (10736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1960毫秒', '0', '', '2024-12-24 15:51:18');
INSERT INTO `sys_job_log` VALUES (10737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 15:51:19');
INSERT INTO `sys_job_log` VALUES (10738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:51:24');
INSERT INTO `sys_job_log` VALUES (10739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:51:29');
INSERT INTO `sys_job_log` VALUES (10740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 15:51:29');
INSERT INTO `sys_job_log` VALUES (10741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14436毫秒', '0', '', '2024-12-24 15:51:30');
INSERT INTO `sys_job_log` VALUES (10742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1360毫秒', '0', '', '2024-12-24 15:51:32');
INSERT INTO `sys_job_log` VALUES (10743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 15:51:34');
INSERT INTO `sys_job_log` VALUES (10744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:51:39');
INSERT INTO `sys_job_log` VALUES (10745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14349毫秒', '0', '', '2024-12-24 15:51:44');
INSERT INTO `sys_job_log` VALUES (10746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:51:44');
INSERT INTO `sys_job_log` VALUES (10747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:51:44');
INSERT INTO `sys_job_log` VALUES (10748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1818毫秒', '0', '', '2024-12-24 15:51:48');
INSERT INTO `sys_job_log` VALUES (10749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:51:49');
INSERT INTO `sys_job_log` VALUES (10750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:51:54');
INSERT INTO `sys_job_log` VALUES (10751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 15:51:59');
INSERT INTO `sys_job_log` VALUES (10752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 15:51:59');
INSERT INTO `sys_job_log` VALUES (10753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 15:51:59');
INSERT INTO `sys_job_log` VALUES (10754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2024-12-24 15:52:02');
INSERT INTO `sys_job_log` VALUES (10755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：184毫秒', '0', '', '2024-12-24 15:52:04');
INSERT INTO `sys_job_log` VALUES (10756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:52:09');
INSERT INTO `sys_job_log` VALUES (10757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:52:13');
INSERT INTO `sys_job_log` VALUES (10758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 15:52:14');
INSERT INTO `sys_job_log` VALUES (10759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:52:14');
INSERT INTO `sys_job_log` VALUES (10760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1681毫秒', '0', '', '2024-12-24 15:52:17');
INSERT INTO `sys_job_log` VALUES (10761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:52:19');
INSERT INTO `sys_job_log` VALUES (10762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:52:24');
INSERT INTO `sys_job_log` VALUES (10763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:52:27');
INSERT INTO `sys_job_log` VALUES (10764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 15:52:29');
INSERT INTO `sys_job_log` VALUES (10765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:52:29');
INSERT INTO `sys_job_log` VALUES (10766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2151毫秒', '0', '', '2024-12-24 15:52:33');
INSERT INTO `sys_job_log` VALUES (10767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 15:52:34');
INSERT INTO `sys_job_log` VALUES (10768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:52:39');
INSERT INTO `sys_job_log` VALUES (10769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14364毫秒', '0', '', '2024-12-24 15:52:42');
INSERT INTO `sys_job_log` VALUES (10770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:52:44');
INSERT INTO `sys_job_log` VALUES (10771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:52:44');
INSERT INTO `sys_job_log` VALUES (10772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1626毫秒', '0', '', '2024-12-24 15:52:47');
INSERT INTO `sys_job_log` VALUES (10773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 15:52:49');
INSERT INTO `sys_job_log` VALUES (10774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:52:54');
INSERT INTO `sys_job_log` VALUES (10775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14442毫秒', '0', '', '2024-12-24 15:52:56');
INSERT INTO `sys_job_log` VALUES (10776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:52:59');
INSERT INTO `sys_job_log` VALUES (10777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 15:52:59');
INSERT INTO `sys_job_log` VALUES (10778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2089毫秒', '0', '', '2024-12-24 15:53:03');
INSERT INTO `sys_job_log` VALUES (10779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2024-12-24 15:53:04');
INSERT INTO `sys_job_log` VALUES (10780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:53:09');
INSERT INTO `sys_job_log` VALUES (10781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 15:53:11');
INSERT INTO `sys_job_log` VALUES (10782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:53:14');
INSERT INTO `sys_job_log` VALUES (10783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:53:14');
INSERT INTO `sys_job_log` VALUES (10784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1452毫秒', '0', '', '2024-12-24 15:53:17');
INSERT INTO `sys_job_log` VALUES (10785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:53:19');
INSERT INTO `sys_job_log` VALUES (10786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:53:24');
INSERT INTO `sys_job_log` VALUES (10787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14361毫秒', '0', '', '2024-12-24 15:53:25');
INSERT INTO `sys_job_log` VALUES (10788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 15:53:29');
INSERT INTO `sys_job_log` VALUES (10789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:53:29');
INSERT INTO `sys_job_log` VALUES (10790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1924毫秒', '0', '', '2024-12-24 15:53:33');
INSERT INTO `sys_job_log` VALUES (10791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 15:53:34');
INSERT INTO `sys_job_log` VALUES (10792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:53:39');
INSERT INTO `sys_job_log` VALUES (10793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 15:53:39');
INSERT INTO `sys_job_log` VALUES (10794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 15:53:44');
INSERT INTO `sys_job_log` VALUES (10795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 15:53:44');
INSERT INTO `sys_job_log` VALUES (10796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1320毫秒', '0', '', '2024-12-24 15:53:47');
INSERT INTO `sys_job_log` VALUES (10797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:53:49');
INSERT INTO `sys_job_log` VALUES (10798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:53:54');
INSERT INTO `sys_job_log` VALUES (10799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:53:54');
INSERT INTO `sys_job_log` VALUES (10800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:53:59');
INSERT INTO `sys_job_log` VALUES (10801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:53:59');
INSERT INTO `sys_job_log` VALUES (10802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1759毫秒', '0', '', '2024-12-24 15:54:02');
INSERT INTO `sys_job_log` VALUES (10803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:54:04');
INSERT INTO `sys_job_log` VALUES (10804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 15:54:08');
INSERT INTO `sys_job_log` VALUES (10805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:54:09');
INSERT INTO `sys_job_log` VALUES (10806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:54:14');
INSERT INTO `sys_job_log` VALUES (10807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:54:14');
INSERT INTO `sys_job_log` VALUES (10808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2256毫秒', '0', '', '2024-12-24 15:54:18');
INSERT INTO `sys_job_log` VALUES (10809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 15:54:19');
INSERT INTO `sys_job_log` VALUES (10810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:54:22');
INSERT INTO `sys_job_log` VALUES (10811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:54:24');
INSERT INTO `sys_job_log` VALUES (10812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 15:54:29');
INSERT INTO `sys_job_log` VALUES (10813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 15:54:29');
INSERT INTO `sys_job_log` VALUES (10814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1736毫秒', '0', '', '2024-12-24 15:54:32');
INSERT INTO `sys_job_log` VALUES (10815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 15:54:34');
INSERT INTO `sys_job_log` VALUES (10816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14434毫秒', '0', '', '2024-12-24 15:54:37');
INSERT INTO `sys_job_log` VALUES (10817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:54:39');
INSERT INTO `sys_job_log` VALUES (10818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:54:44');
INSERT INTO `sys_job_log` VALUES (10819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:54:44');
INSERT INTO `sys_job_log` VALUES (10820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2215毫秒', '0', '', '2024-12-24 15:54:48');
INSERT INTO `sys_job_log` VALUES (10821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 15:54:49');
INSERT INTO `sys_job_log` VALUES (10822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14402毫秒', '0', '', '2024-12-24 15:54:51');
INSERT INTO `sys_job_log` VALUES (10823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:54:54');
INSERT INTO `sys_job_log` VALUES (10824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 15:54:59');
INSERT INTO `sys_job_log` VALUES (10825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:54:59');
INSERT INTO `sys_job_log` VALUES (10826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1675毫秒', '0', '', '2024-12-24 15:55:02');
INSERT INTO `sys_job_log` VALUES (10827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 15:55:04');
INSERT INTO `sys_job_log` VALUES (10828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14414毫秒', '0', '', '2024-12-24 15:55:06');
INSERT INTO `sys_job_log` VALUES (10829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:55:09');
INSERT INTO `sys_job_log` VALUES (10830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:55:14');
INSERT INTO `sys_job_log` VALUES (10831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:55:14');
INSERT INTO `sys_job_log` VALUES (10832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2164毫秒', '0', '', '2024-12-24 15:55:18');
INSERT INTO `sys_job_log` VALUES (10833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：182毫秒', '0', '', '2024-12-24 15:55:19');
INSERT INTO `sys_job_log` VALUES (10834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14378毫秒', '0', '', '2024-12-24 15:55:20');
INSERT INTO `sys_job_log` VALUES (10835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:55:24');
INSERT INTO `sys_job_log` VALUES (10836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 15:55:29');
INSERT INTO `sys_job_log` VALUES (10837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:55:29');
INSERT INTO `sys_job_log` VALUES (10838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1500毫秒', '0', '', '2024-12-24 15:55:32');
INSERT INTO `sys_job_log` VALUES (10839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:55:34');
INSERT INTO `sys_job_log` VALUES (10840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14338毫秒', '0', '', '2024-12-24 15:55:34');
INSERT INTO `sys_job_log` VALUES (10841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:55:39');
INSERT INTO `sys_job_log` VALUES (10842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:55:44');
INSERT INTO `sys_job_log` VALUES (10843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:55:44');
INSERT INTO `sys_job_log` VALUES (10844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2087毫秒', '0', '', '2024-12-24 15:55:48');
INSERT INTO `sys_job_log` VALUES (10845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 15:55:49');
INSERT INTO `sys_job_log` VALUES (10846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:55:49');
INSERT INTO `sys_job_log` VALUES (10847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:55:54');
INSERT INTO `sys_job_log` VALUES (10848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:55:59');
INSERT INTO `sys_job_log` VALUES (10849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 15:55:59');
INSERT INTO `sys_job_log` VALUES (10850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1557毫秒', '0', '', '2024-12-24 15:56:02');
INSERT INTO `sys_job_log` VALUES (10851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14451毫秒', '0', '', '2024-12-24 15:56:03');
INSERT INTO `sys_job_log` VALUES (10852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:56:04');
INSERT INTO `sys_job_log` VALUES (10853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:56:09');
INSERT INTO `sys_job_log` VALUES (10854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 15:56:14');
INSERT INTO `sys_job_log` VALUES (10855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 15:56:14');
INSERT INTO `sys_job_log` VALUES (10856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1247毫秒', '0', '', '2024-12-24 15:56:17');
INSERT INTO `sys_job_log` VALUES (10857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14643毫秒', '0', '', '2024-12-24 15:56:18');
INSERT INTO `sys_job_log` VALUES (10858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:56:19');
INSERT INTO `sys_job_log` VALUES (10859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:56:24');
INSERT INTO `sys_job_log` VALUES (10860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:56:29');
INSERT INTO `sys_job_log` VALUES (10861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:56:29');
INSERT INTO `sys_job_log` VALUES (10862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13339毫秒', '0', '', '2024-12-24 15:56:31');
INSERT INTO `sys_job_log` VALUES (10863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1796毫秒', '0', '', '2024-12-24 15:56:33');
INSERT INTO `sys_job_log` VALUES (10864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 15:56:34');
INSERT INTO `sys_job_log` VALUES (10865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:56:39');
INSERT INTO `sys_job_log` VALUES (10866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:56:44');
INSERT INTO `sys_job_log` VALUES (10867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:56:46');
INSERT INTO `sys_job_log` VALUES (10868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1173毫秒', '0', '', '2024-12-24 15:56:47');
INSERT INTO `sys_job_log` VALUES (10869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:56:49');
INSERT INTO `sys_job_log` VALUES (10870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:56:54');
INSERT INTO `sys_job_log` VALUES (10871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:56:59');
INSERT INTO `sys_job_log` VALUES (10872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2024-12-24 15:57:00');
INSERT INTO `sys_job_log` VALUES (10873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1753毫秒', '0', '', '2024-12-24 15:57:02');
INSERT INTO `sys_job_log` VALUES (10874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 15:57:03');
INSERT INTO `sys_job_log` VALUES (10875, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 15:57:03');
INSERT INTO `sys_job_log` VALUES (10876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:57:04');
INSERT INTO `sys_job_log` VALUES (10877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 15:57:09');
INSERT INTO `sys_job_log` VALUES (10878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 15:57:14');
INSERT INTO `sys_job_log` VALUES (10879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 15:57:14');
INSERT INTO `sys_job_log` VALUES (10880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14443毫秒', '0', '', '2024-12-24 15:57:15');
INSERT INTO `sys_job_log` VALUES (10881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1226毫秒', '0', '', '2024-12-24 15:57:17');
INSERT INTO `sys_job_log` VALUES (10882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:57:19');
INSERT INTO `sys_job_log` VALUES (10883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:57:24');
INSERT INTO `sys_job_log` VALUES (10884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14438毫秒', '0', '', '2024-12-24 15:57:29');
INSERT INTO `sys_job_log` VALUES (10885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 15:57:29');
INSERT INTO `sys_job_log` VALUES (10886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 15:57:29');
INSERT INTO `sys_job_log` VALUES (10887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1687毫秒', '0', '', '2024-12-24 15:57:32');
INSERT INTO `sys_job_log` VALUES (10888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 15:57:34');
INSERT INTO `sys_job_log` VALUES (10889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 15:57:39');
INSERT INTO `sys_job_log` VALUES (10890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 15:57:43');
INSERT INTO `sys_job_log` VALUES (10891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:57:44');
INSERT INTO `sys_job_log` VALUES (10892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 15:57:44');
INSERT INTO `sys_job_log` VALUES (10893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2165毫秒', '0', '', '2024-12-24 15:57:48');
INSERT INTO `sys_job_log` VALUES (10894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 15:57:49');
INSERT INTO `sys_job_log` VALUES (10895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 15:57:54');
INSERT INTO `sys_job_log` VALUES (10896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:57:58');
INSERT INTO `sys_job_log` VALUES (10897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 15:57:59');
INSERT INTO `sys_job_log` VALUES (10898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：115毫秒', '0', '', '2024-12-24 15:57:59');
INSERT INTO `sys_job_log` VALUES (10899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1539毫秒', '0', '', '2024-12-24 15:58:02');
INSERT INTO `sys_job_log` VALUES (10900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 15:58:04');
INSERT INTO `sys_job_log` VALUES (10901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:58:09');
INSERT INTO `sys_job_log` VALUES (10902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 15:58:12');
INSERT INTO `sys_job_log` VALUES (10903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 15:58:14');
INSERT INTO `sys_job_log` VALUES (10904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 15:58:14');
INSERT INTO `sys_job_log` VALUES (10905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2013毫秒', '0', '', '2024-12-24 15:58:18');
INSERT INTO `sys_job_log` VALUES (10906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 15:58:19');
INSERT INTO `sys_job_log` VALUES (10907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 15:58:24');
INSERT INTO `sys_job_log` VALUES (10908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:58:27');
INSERT INTO `sys_job_log` VALUES (10909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:58:29');
INSERT INTO `sys_job_log` VALUES (10910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 15:58:29');
INSERT INTO `sys_job_log` VALUES (10911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2024-12-24 15:58:32');
INSERT INTO `sys_job_log` VALUES (10912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 15:58:34');
INSERT INTO `sys_job_log` VALUES (10913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 15:58:39');
INSERT INTO `sys_job_log` VALUES (10914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14555毫秒', '0', '', '2024-12-24 15:58:41');
INSERT INTO `sys_job_log` VALUES (10915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-24 15:58:44');
INSERT INTO `sys_job_log` VALUES (10916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：123毫秒', '0', '', '2024-12-24 15:58:44');
INSERT INTO `sys_job_log` VALUES (10917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2063毫秒', '0', '', '2024-12-24 15:58:48');
INSERT INTO `sys_job_log` VALUES (10918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:58:49');
INSERT INTO `sys_job_log` VALUES (10919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 15:58:54');
INSERT INTO `sys_job_log` VALUES (10920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 15:58:56');
INSERT INTO `sys_job_log` VALUES (10921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 15:58:59');
INSERT INTO `sys_job_log` VALUES (10922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 15:58:59');
INSERT INTO `sys_job_log` VALUES (10923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1435毫秒', '0', '', '2024-12-24 15:59:02');
INSERT INTO `sys_job_log` VALUES (10924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:59:04');
INSERT INTO `sys_job_log` VALUES (10925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 15:59:09');
INSERT INTO `sys_job_log` VALUES (10926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 15:59:10');
INSERT INTO `sys_job_log` VALUES (10927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 15:59:14');
INSERT INTO `sys_job_log` VALUES (10928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 15:59:14');
INSERT INTO `sys_job_log` VALUES (10929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1913毫秒', '0', '', '2024-12-24 15:59:18');
INSERT INTO `sys_job_log` VALUES (10930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 15:59:19');
INSERT INTO `sys_job_log` VALUES (10931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14363毫秒', '0', '', '2024-12-24 15:59:24');
INSERT INTO `sys_job_log` VALUES (10932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 15:59:24');
INSERT INTO `sys_job_log` VALUES (10933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 15:59:29');
INSERT INTO `sys_job_log` VALUES (10934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:59:29');
INSERT INTO `sys_job_log` VALUES (10935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1272毫秒', '0', '', '2024-12-24 15:59:32');
INSERT INTO `sys_job_log` VALUES (10936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 15:59:34');
INSERT INTO `sys_job_log` VALUES (10937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 15:59:39');
INSERT INTO `sys_job_log` VALUES (10938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:59:39');
INSERT INTO `sys_job_log` VALUES (10939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 15:59:44');
INSERT INTO `sys_job_log` VALUES (10940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 15:59:44');
INSERT INTO `sys_job_log` VALUES (10941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1742毫秒', '0', '', '2024-12-24 15:59:47');
INSERT INTO `sys_job_log` VALUES (10942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 15:59:49');
INSERT INTO `sys_job_log` VALUES (10943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 15:59:53');
INSERT INTO `sys_job_log` VALUES (10944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 15:59:54');
INSERT INTO `sys_job_log` VALUES (10945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 15:59:59');
INSERT INTO `sys_job_log` VALUES (10946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 15:59:59');
INSERT INTO `sys_job_log` VALUES (10947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2232毫秒', '0', '', '2024-12-24 16:00:03');
INSERT INTO `sys_job_log` VALUES (10948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 16:00:04');
INSERT INTO `sys_job_log` VALUES (10949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14363毫秒', '0', '', '2024-12-24 16:00:07');
INSERT INTO `sys_job_log` VALUES (10950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:00:09');
INSERT INTO `sys_job_log` VALUES (10951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:00:14');
INSERT INTO `sys_job_log` VALUES (10952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 16:00:14');
INSERT INTO `sys_job_log` VALUES (10953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1588毫秒', '0', '', '2024-12-24 16:00:17');
INSERT INTO `sys_job_log` VALUES (10954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:00:19');
INSERT INTO `sys_job_log` VALUES (10955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 16:00:22');
INSERT INTO `sys_job_log` VALUES (10956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:00:24');
INSERT INTO `sys_job_log` VALUES (10957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:00:29');
INSERT INTO `sys_job_log` VALUES (10958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 16:00:29');
INSERT INTO `sys_job_log` VALUES (10959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2068毫秒', '0', '', '2024-12-24 16:00:33');
INSERT INTO `sys_job_log` VALUES (10960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:00:34');
INSERT INTO `sys_job_log` VALUES (10961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 16:00:36');
INSERT INTO `sys_job_log` VALUES (10962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:00:39');
INSERT INTO `sys_job_log` VALUES (10963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:00:44');
INSERT INTO `sys_job_log` VALUES (10964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 16:00:44');
INSERT INTO `sys_job_log` VALUES (10965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1450毫秒', '0', '', '2024-12-24 16:00:47');
INSERT INTO `sys_job_log` VALUES (10966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 16:00:49');
INSERT INTO `sys_job_log` VALUES (10967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 16:00:50');
INSERT INTO `sys_job_log` VALUES (10968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:00:54');
INSERT INTO `sys_job_log` VALUES (10969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:00:59');
INSERT INTO `sys_job_log` VALUES (10970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 16:00:59');
INSERT INTO `sys_job_log` VALUES (10971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1924毫秒', '0', '', '2024-12-24 16:01:03');
INSERT INTO `sys_job_log` VALUES (10972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:01:04');
INSERT INTO `sys_job_log` VALUES (10973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 16:01:05');
INSERT INTO `sys_job_log` VALUES (10974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:01:09');
INSERT INTO `sys_job_log` VALUES (10975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:01:14');
INSERT INTO `sys_job_log` VALUES (10976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:01:14');
INSERT INTO `sys_job_log` VALUES (10977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1290毫秒', '0', '', '2024-12-24 16:01:17');
INSERT INTO `sys_job_log` VALUES (10978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 16:01:19');
INSERT INTO `sys_job_log` VALUES (10979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:01:24');
INSERT INTO `sys_job_log` VALUES (10980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:01:29');
INSERT INTO `sys_job_log` VALUES (10981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:01:29');
INSERT INTO `sys_job_log` VALUES (10982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：184毫秒', '0', '', '2024-12-24 16:01:34');
INSERT INTO `sys_job_log` VALUES (10983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:01:39');
INSERT INTO `sys_job_log` VALUES (10984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:01:44');
INSERT INTO `sys_job_log` VALUES (10985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 16:01:44');
INSERT INTO `sys_job_log` VALUES (10986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：179毫秒', '0', '', '2024-12-24 16:01:49');
INSERT INTO `sys_job_log` VALUES (10987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:01:54');
INSERT INTO `sys_job_log` VALUES (10988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 16:01:59');
INSERT INTO `sys_job_log` VALUES (10989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2024-12-24 16:01:59');
INSERT INTO `sys_job_log` VALUES (10990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 16:02:04');
INSERT INTO `sys_job_log` VALUES (10991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-24 16:02:09');
INSERT INTO `sys_job_log` VALUES (10992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:02:14');
INSERT INTO `sys_job_log` VALUES (10993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 16:02:14');
INSERT INTO `sys_job_log` VALUES (10994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 16:02:19');
INSERT INTO `sys_job_log` VALUES (10995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:02:24');
INSERT INTO `sys_job_log` VALUES (10996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:02:29');
INSERT INTO `sys_job_log` VALUES (10997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 16:02:29');
INSERT INTO `sys_job_log` VALUES (10998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 16:02:34');
INSERT INTO `sys_job_log` VALUES (10999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:02:39');
INSERT INTO `sys_job_log` VALUES (11000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:02:44');
INSERT INTO `sys_job_log` VALUES (11001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:02:44');
INSERT INTO `sys_job_log` VALUES (11002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：194毫秒', '0', '', '2024-12-24 16:02:49');
INSERT INTO `sys_job_log` VALUES (11003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:02:54');
INSERT INTO `sys_job_log` VALUES (11004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:02:59');
INSERT INTO `sys_job_log` VALUES (11005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:02:59');
INSERT INTO `sys_job_log` VALUES (11006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:03:04');
INSERT INTO `sys_job_log` VALUES (11007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:03:09');
INSERT INTO `sys_job_log` VALUES (11008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:03:14');
INSERT INTO `sys_job_log` VALUES (11009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:03:14');
INSERT INTO `sys_job_log` VALUES (11010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:03:19');
INSERT INTO `sys_job_log` VALUES (11011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:03:24');
INSERT INTO `sys_job_log` VALUES (11012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:03:29');
INSERT INTO `sys_job_log` VALUES (11013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:03:29');
INSERT INTO `sys_job_log` VALUES (11014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：182毫秒', '0', '', '2024-12-24 16:03:34');
INSERT INTO `sys_job_log` VALUES (11015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:03:39');
INSERT INTO `sys_job_log` VALUES (11016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:03:44');
INSERT INTO `sys_job_log` VALUES (11017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 16:03:44');
INSERT INTO `sys_job_log` VALUES (11018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：153毫秒', '0', '', '2024-12-24 16:03:49');
INSERT INTO `sys_job_log` VALUES (11019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 16:03:54');
INSERT INTO `sys_job_log` VALUES (11020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:03:59');
INSERT INTO `sys_job_log` VALUES (11021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:03:59');
INSERT INTO `sys_job_log` VALUES (11022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 16:04:04');
INSERT INTO `sys_job_log` VALUES (11023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:04:09');
INSERT INTO `sys_job_log` VALUES (11024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 16:04:14');
INSERT INTO `sys_job_log` VALUES (11025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:04:14');
INSERT INTO `sys_job_log` VALUES (11026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 16:04:19');
INSERT INTO `sys_job_log` VALUES (11027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:04:24');
INSERT INTO `sys_job_log` VALUES (11028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:04:29');
INSERT INTO `sys_job_log` VALUES (11029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:04:29');
INSERT INTO `sys_job_log` VALUES (11030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 16:04:34');
INSERT INTO `sys_job_log` VALUES (11031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:04:39');
INSERT INTO `sys_job_log` VALUES (11032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 16:04:44');
INSERT INTO `sys_job_log` VALUES (11033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 16:04:44');
INSERT INTO `sys_job_log` VALUES (11034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：182毫秒', '0', '', '2024-12-24 16:04:49');
INSERT INTO `sys_job_log` VALUES (11035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:04:54');
INSERT INTO `sys_job_log` VALUES (11036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:04:59');
INSERT INTO `sys_job_log` VALUES (11037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 16:04:59');
INSERT INTO `sys_job_log` VALUES (11038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:05:04');
INSERT INTO `sys_job_log` VALUES (11039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:05:09');
INSERT INTO `sys_job_log` VALUES (11040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 16:05:14');
INSERT INTO `sys_job_log` VALUES (11041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:05:14');
INSERT INTO `sys_job_log` VALUES (11042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 16:05:19');
INSERT INTO `sys_job_log` VALUES (11043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:05:24');
INSERT INTO `sys_job_log` VALUES (11044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:05:29');
INSERT INTO `sys_job_log` VALUES (11045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:05:29');
INSERT INTO `sys_job_log` VALUES (11046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：182毫秒', '0', '', '2024-12-24 16:05:34');
INSERT INTO `sys_job_log` VALUES (11047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 16:05:39');
INSERT INTO `sys_job_log` VALUES (11048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 16:05:44');
INSERT INTO `sys_job_log` VALUES (11049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 16:05:44');
INSERT INTO `sys_job_log` VALUES (11050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 16:05:49');
INSERT INTO `sys_job_log` VALUES (11051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:05:54');
INSERT INTO `sys_job_log` VALUES (11052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:05:59');
INSERT INTO `sys_job_log` VALUES (11053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 16:05:59');
INSERT INTO `sys_job_log` VALUES (11054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 16:06:04');
INSERT INTO `sys_job_log` VALUES (11055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:06:09');
INSERT INTO `sys_job_log` VALUES (11056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:06:14');
INSERT INTO `sys_job_log` VALUES (11057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:06:14');
INSERT INTO `sys_job_log` VALUES (11058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:06:19');
INSERT INTO `sys_job_log` VALUES (11059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:06:24');
INSERT INTO `sys_job_log` VALUES (11060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:06:29');
INSERT INTO `sys_job_log` VALUES (11061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:06:29');
INSERT INTO `sys_job_log` VALUES (11062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 16:06:34');
INSERT INTO `sys_job_log` VALUES (11063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 16:06:39');
INSERT INTO `sys_job_log` VALUES (11064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:06:44');
INSERT INTO `sys_job_log` VALUES (11065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 16:06:44');
INSERT INTO `sys_job_log` VALUES (11066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 16:06:49');
INSERT INTO `sys_job_log` VALUES (11067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:06:54');
INSERT INTO `sys_job_log` VALUES (11068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 16:06:59');
INSERT INTO `sys_job_log` VALUES (11069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 16:06:59');
INSERT INTO `sys_job_log` VALUES (11070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:07:04');
INSERT INTO `sys_job_log` VALUES (11071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:07:09');
INSERT INTO `sys_job_log` VALUES (11072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:07:14');
INSERT INTO `sys_job_log` VALUES (11073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 16:07:14');
INSERT INTO `sys_job_log` VALUES (11074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:07:19');
INSERT INTO `sys_job_log` VALUES (11075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:07:24');
INSERT INTO `sys_job_log` VALUES (11076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:07:29');
INSERT INTO `sys_job_log` VALUES (11077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 16:07:29');
INSERT INTO `sys_job_log` VALUES (11078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 16:07:34');
INSERT INTO `sys_job_log` VALUES (11079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:07:39');
INSERT INTO `sys_job_log` VALUES (11080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-24 16:07:44');
INSERT INTO `sys_job_log` VALUES (11081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2024-12-24 16:07:44');
INSERT INTO `sys_job_log` VALUES (11082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:07:49');
INSERT INTO `sys_job_log` VALUES (11083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:07:54');
INSERT INTO `sys_job_log` VALUES (11084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 16:07:59');
INSERT INTO `sys_job_log` VALUES (11085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 16:07:59');
INSERT INTO `sys_job_log` VALUES (11086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:08:04');
INSERT INTO `sys_job_log` VALUES (11087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:08:09');
INSERT INTO `sys_job_log` VALUES (11088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 16:08:14');
INSERT INTO `sys_job_log` VALUES (11089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 16:08:14');
INSERT INTO `sys_job_log` VALUES (11090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:08:19');
INSERT INTO `sys_job_log` VALUES (11091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:08:24');
INSERT INTO `sys_job_log` VALUES (11092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:08:29');
INSERT INTO `sys_job_log` VALUES (11093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 16:08:29');
INSERT INTO `sys_job_log` VALUES (11094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:08:34');
INSERT INTO `sys_job_log` VALUES (11095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:08:39');
INSERT INTO `sys_job_log` VALUES (11096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:08:44');
INSERT INTO `sys_job_log` VALUES (11097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:08:44');
INSERT INTO `sys_job_log` VALUES (11098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:08:49');
INSERT INTO `sys_job_log` VALUES (11099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:08:54');
INSERT INTO `sys_job_log` VALUES (11100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:08:59');
INSERT INTO `sys_job_log` VALUES (11101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 16:08:59');
INSERT INTO `sys_job_log` VALUES (11102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:09:04');
INSERT INTO `sys_job_log` VALUES (11103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:09:09');
INSERT INTO `sys_job_log` VALUES (11104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:09:14');
INSERT INTO `sys_job_log` VALUES (11105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 16:09:14');
INSERT INTO `sys_job_log` VALUES (11106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2024-12-24 16:09:19');
INSERT INTO `sys_job_log` VALUES (11107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 16:09:24');
INSERT INTO `sys_job_log` VALUES (11108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:09:29');
INSERT INTO `sys_job_log` VALUES (11109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 16:09:29');
INSERT INTO `sys_job_log` VALUES (11110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 16:09:34');
INSERT INTO `sys_job_log` VALUES (11111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:09:39');
INSERT INTO `sys_job_log` VALUES (11112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:09:44');
INSERT INTO `sys_job_log` VALUES (11113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:09:44');
INSERT INTO `sys_job_log` VALUES (11114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:09:49');
INSERT INTO `sys_job_log` VALUES (11115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 16:09:54');
INSERT INTO `sys_job_log` VALUES (11116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:09:59');
INSERT INTO `sys_job_log` VALUES (11117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 16:09:59');
INSERT INTO `sys_job_log` VALUES (11118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 16:10:04');
INSERT INTO `sys_job_log` VALUES (11119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:10:09');
INSERT INTO `sys_job_log` VALUES (11120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 16:10:14');
INSERT INTO `sys_job_log` VALUES (11121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 16:10:14');
INSERT INTO `sys_job_log` VALUES (11122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:10:19');
INSERT INTO `sys_job_log` VALUES (11123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:10:24');
INSERT INTO `sys_job_log` VALUES (11124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:10:29');
INSERT INTO `sys_job_log` VALUES (11125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：107毫秒', '0', '', '2024-12-24 16:10:29');
INSERT INTO `sys_job_log` VALUES (11126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:10:34');
INSERT INTO `sys_job_log` VALUES (11127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:10:39');
INSERT INTO `sys_job_log` VALUES (11128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:10:44');
INSERT INTO `sys_job_log` VALUES (11129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:10:44');
INSERT INTO `sys_job_log` VALUES (11130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:10:49');
INSERT INTO `sys_job_log` VALUES (11131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:10:54');
INSERT INTO `sys_job_log` VALUES (11132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:10:59');
INSERT INTO `sys_job_log` VALUES (11133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：109毫秒', '0', '', '2024-12-24 16:10:59');
INSERT INTO `sys_job_log` VALUES (11134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:11:04');
INSERT INTO `sys_job_log` VALUES (11135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:11:09');
INSERT INTO `sys_job_log` VALUES (11136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:11:14');
INSERT INTO `sys_job_log` VALUES (11137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 16:11:14');
INSERT INTO `sys_job_log` VALUES (11138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:11:19');
INSERT INTO `sys_job_log` VALUES (11139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:11:24');
INSERT INTO `sys_job_log` VALUES (11140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:11:29');
INSERT INTO `sys_job_log` VALUES (11141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:11:29');
INSERT INTO `sys_job_log` VALUES (11142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：221毫秒', '0', '', '2024-12-24 16:11:34');
INSERT INTO `sys_job_log` VALUES (11143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:11:39');
INSERT INTO `sys_job_log` VALUES (11144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 16:11:44');
INSERT INTO `sys_job_log` VALUES (11145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 16:11:44');
INSERT INTO `sys_job_log` VALUES (11146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:11:49');
INSERT INTO `sys_job_log` VALUES (11147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:11:54');
INSERT INTO `sys_job_log` VALUES (11148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:11:59');
INSERT INTO `sys_job_log` VALUES (11149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 16:11:59');
INSERT INTO `sys_job_log` VALUES (11150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:12:04');
INSERT INTO `sys_job_log` VALUES (11151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:12:09');
INSERT INTO `sys_job_log` VALUES (11152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:12:14');
INSERT INTO `sys_job_log` VALUES (11153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 16:12:14');
INSERT INTO `sys_job_log` VALUES (11154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:12:19');
INSERT INTO `sys_job_log` VALUES (11155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:12:24');
INSERT INTO `sys_job_log` VALUES (11156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:12:29');
INSERT INTO `sys_job_log` VALUES (11157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:12:29');
INSERT INTO `sys_job_log` VALUES (11158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:12:34');
INSERT INTO `sys_job_log` VALUES (11159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:12:39');
INSERT INTO `sys_job_log` VALUES (11160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 16:12:44');
INSERT INTO `sys_job_log` VALUES (11161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 16:12:44');
INSERT INTO `sys_job_log` VALUES (11162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:12:49');
INSERT INTO `sys_job_log` VALUES (11163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:12:54');
INSERT INTO `sys_job_log` VALUES (11164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:12:59');
INSERT INTO `sys_job_log` VALUES (11165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 16:12:59');
INSERT INTO `sys_job_log` VALUES (11166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 16:13:04');
INSERT INTO `sys_job_log` VALUES (11167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:13:09');
INSERT INTO `sys_job_log` VALUES (11168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:13:14');
INSERT INTO `sys_job_log` VALUES (11169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 16:13:14');
INSERT INTO `sys_job_log` VALUES (11170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:13:19');
INSERT INTO `sys_job_log` VALUES (11171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:13:24');
INSERT INTO `sys_job_log` VALUES (11172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:13:29');
INSERT INTO `sys_job_log` VALUES (11173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:13:29');
INSERT INTO `sys_job_log` VALUES (11174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 16:13:34');
INSERT INTO `sys_job_log` VALUES (11175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:13:39');
INSERT INTO `sys_job_log` VALUES (11176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:13:44');
INSERT INTO `sys_job_log` VALUES (11177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 16:13:44');
INSERT INTO `sys_job_log` VALUES (11178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：151毫秒', '0', '', '2024-12-24 16:13:49');
INSERT INTO `sys_job_log` VALUES (11179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:13:54');
INSERT INTO `sys_job_log` VALUES (11180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:13:59');
INSERT INTO `sys_job_log` VALUES (11181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 16:13:59');
INSERT INTO `sys_job_log` VALUES (11182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:14:04');
INSERT INTO `sys_job_log` VALUES (11183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:14:09');
INSERT INTO `sys_job_log` VALUES (11184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:14:14');
INSERT INTO `sys_job_log` VALUES (11185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 16:14:14');
INSERT INTO `sys_job_log` VALUES (11186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 16:14:19');
INSERT INTO `sys_job_log` VALUES (11187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:14:24');
INSERT INTO `sys_job_log` VALUES (11188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:14:29');
INSERT INTO `sys_job_log` VALUES (11189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 16:14:29');
INSERT INTO `sys_job_log` VALUES (11190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:14:34');
INSERT INTO `sys_job_log` VALUES (11191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:14:39');
INSERT INTO `sys_job_log` VALUES (11192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:14:44');
INSERT INTO `sys_job_log` VALUES (11193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-24 16:14:44');
INSERT INTO `sys_job_log` VALUES (11194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:14:49');
INSERT INTO `sys_job_log` VALUES (11195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:14:54');
INSERT INTO `sys_job_log` VALUES (11196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 16:14:59');
INSERT INTO `sys_job_log` VALUES (11197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 16:14:59');
INSERT INTO `sys_job_log` VALUES (11198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:15:04');
INSERT INTO `sys_job_log` VALUES (11199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:15:09');
INSERT INTO `sys_job_log` VALUES (11200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 16:15:14');
INSERT INTO `sys_job_log` VALUES (11201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 16:15:14');
INSERT INTO `sys_job_log` VALUES (11202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 16:15:19');
INSERT INTO `sys_job_log` VALUES (11203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:15:24');
INSERT INTO `sys_job_log` VALUES (11204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 16:15:29');
INSERT INTO `sys_job_log` VALUES (11205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 16:15:29');
INSERT INTO `sys_job_log` VALUES (11206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:15:34');
INSERT INTO `sys_job_log` VALUES (11207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:15:39');
INSERT INTO `sys_job_log` VALUES (11208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:15:44');
INSERT INTO `sys_job_log` VALUES (11209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 16:15:44');
INSERT INTO `sys_job_log` VALUES (11210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:15:49');
INSERT INTO `sys_job_log` VALUES (11211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:15:54');
INSERT INTO `sys_job_log` VALUES (11212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:15:59');
INSERT INTO `sys_job_log` VALUES (11213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 16:15:59');
INSERT INTO `sys_job_log` VALUES (11214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 16:16:04');
INSERT INTO `sys_job_log` VALUES (11215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-24 16:16:09');
INSERT INTO `sys_job_log` VALUES (11216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 16:16:14');
INSERT INTO `sys_job_log` VALUES (11217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:16:14');
INSERT INTO `sys_job_log` VALUES (11218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:16:19');
INSERT INTO `sys_job_log` VALUES (11219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:16:24');
INSERT INTO `sys_job_log` VALUES (11220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 16:16:29');
INSERT INTO `sys_job_log` VALUES (11221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 16:16:29');
INSERT INTO `sys_job_log` VALUES (11222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 16:16:34');
INSERT INTO `sys_job_log` VALUES (11223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:16:39');
INSERT INTO `sys_job_log` VALUES (11224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:16:44');
INSERT INTO `sys_job_log` VALUES (11225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:16:44');
INSERT INTO `sys_job_log` VALUES (11226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:16:49');
INSERT INTO `sys_job_log` VALUES (11227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:16:54');
INSERT INTO `sys_job_log` VALUES (11228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 16:16:59');
INSERT INTO `sys_job_log` VALUES (11229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 16:16:59');
INSERT INTO `sys_job_log` VALUES (11230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:17:04');
INSERT INTO `sys_job_log` VALUES (11231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:17:09');
INSERT INTO `sys_job_log` VALUES (11232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:17:14');
INSERT INTO `sys_job_log` VALUES (11233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:17:14');
INSERT INTO `sys_job_log` VALUES (11234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:17:19');
INSERT INTO `sys_job_log` VALUES (11235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:17:24');
INSERT INTO `sys_job_log` VALUES (11236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:17:29');
INSERT INTO `sys_job_log` VALUES (11237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:17:29');
INSERT INTO `sys_job_log` VALUES (11238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：233毫秒', '0', '', '2024-12-24 16:17:34');
INSERT INTO `sys_job_log` VALUES (11239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:17:39');
INSERT INTO `sys_job_log` VALUES (11240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:17:44');
INSERT INTO `sys_job_log` VALUES (11241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 16:17:44');
INSERT INTO `sys_job_log` VALUES (11242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 16:17:49');
INSERT INTO `sys_job_log` VALUES (11243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:17:54');
INSERT INTO `sys_job_log` VALUES (11244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:17:59');
INSERT INTO `sys_job_log` VALUES (11245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 16:17:59');
INSERT INTO `sys_job_log` VALUES (11246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 16:18:04');
INSERT INTO `sys_job_log` VALUES (11247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:18:09');
INSERT INTO `sys_job_log` VALUES (11248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 16:18:14');
INSERT INTO `sys_job_log` VALUES (11249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:18:14');
INSERT INTO `sys_job_log` VALUES (11250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 16:18:19');
INSERT INTO `sys_job_log` VALUES (11251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:18:24');
INSERT INTO `sys_job_log` VALUES (11252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:18:29');
INSERT INTO `sys_job_log` VALUES (11253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 16:18:29');
INSERT INTO `sys_job_log` VALUES (11254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-24 16:18:34');
INSERT INTO `sys_job_log` VALUES (11255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 16:18:39');
INSERT INTO `sys_job_log` VALUES (11256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:18:44');
INSERT INTO `sys_job_log` VALUES (11257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:18:44');
INSERT INTO `sys_job_log` VALUES (11258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 16:18:49');
INSERT INTO `sys_job_log` VALUES (11259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:18:54');
INSERT INTO `sys_job_log` VALUES (11260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 16:18:59');
INSERT INTO `sys_job_log` VALUES (11261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 16:18:59');
INSERT INTO `sys_job_log` VALUES (11262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:19:04');
INSERT INTO `sys_job_log` VALUES (11263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:19:09');
INSERT INTO `sys_job_log` VALUES (11264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:19:14');
INSERT INTO `sys_job_log` VALUES (11265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：116毫秒', '0', '', '2024-12-24 16:19:14');
INSERT INTO `sys_job_log` VALUES (11266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 16:19:19');
INSERT INTO `sys_job_log` VALUES (11267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:19:24');
INSERT INTO `sys_job_log` VALUES (11268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 16:19:29');
INSERT INTO `sys_job_log` VALUES (11269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 16:19:29');
INSERT INTO `sys_job_log` VALUES (11270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 16:19:34');
INSERT INTO `sys_job_log` VALUES (11271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 16:19:39');
INSERT INTO `sys_job_log` VALUES (11272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:19:44');
INSERT INTO `sys_job_log` VALUES (11273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：114毫秒', '0', '', '2024-12-24 16:19:44');
INSERT INTO `sys_job_log` VALUES (11274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 16:19:49');
INSERT INTO `sys_job_log` VALUES (11275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:19:54');
INSERT INTO `sys_job_log` VALUES (11276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:19:59');
INSERT INTO `sys_job_log` VALUES (11277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:19:59');
INSERT INTO `sys_job_log` VALUES (11278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 16:20:04');
INSERT INTO `sys_job_log` VALUES (11279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:20:09');
INSERT INTO `sys_job_log` VALUES (11280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 16:20:14');
INSERT INTO `sys_job_log` VALUES (11281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 16:20:14');
INSERT INTO `sys_job_log` VALUES (11282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 16:20:19');
INSERT INTO `sys_job_log` VALUES (11283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:20:24');
INSERT INTO `sys_job_log` VALUES (11284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 16:20:29');
INSERT INTO `sys_job_log` VALUES (11285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-24 16:20:29');
INSERT INTO `sys_job_log` VALUES (11286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:20:34');
INSERT INTO `sys_job_log` VALUES (11287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:20:39');
INSERT INTO `sys_job_log` VALUES (11288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:20:44');
INSERT INTO `sys_job_log` VALUES (11289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:20:44');
INSERT INTO `sys_job_log` VALUES (11290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:20:49');
INSERT INTO `sys_job_log` VALUES (11291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:20:54');
INSERT INTO `sys_job_log` VALUES (11292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:20:59');
INSERT INTO `sys_job_log` VALUES (11293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：106毫秒', '0', '', '2024-12-24 16:20:59');
INSERT INTO `sys_job_log` VALUES (11294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 16:21:04');
INSERT INTO `sys_job_log` VALUES (11295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:21:09');
INSERT INTO `sys_job_log` VALUES (11296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:21:14');
INSERT INTO `sys_job_log` VALUES (11297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 16:21:14');
INSERT INTO `sys_job_log` VALUES (11298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：185毫秒', '0', '', '2024-12-24 16:21:19');
INSERT INTO `sys_job_log` VALUES (11299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:21:24');
INSERT INTO `sys_job_log` VALUES (11300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:21:29');
INSERT INTO `sys_job_log` VALUES (11301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:21:29');
INSERT INTO `sys_job_log` VALUES (11302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:21:34');
INSERT INTO `sys_job_log` VALUES (11303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:21:39');
INSERT INTO `sys_job_log` VALUES (11304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:21:44');
INSERT INTO `sys_job_log` VALUES (11305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:21:44');
INSERT INTO `sys_job_log` VALUES (11306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 16:21:49');
INSERT INTO `sys_job_log` VALUES (11307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:21:54');
INSERT INTO `sys_job_log` VALUES (11308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:21:59');
INSERT INTO `sys_job_log` VALUES (11309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 16:21:59');
INSERT INTO `sys_job_log` VALUES (11310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:22:04');
INSERT INTO `sys_job_log` VALUES (11311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:22:09');
INSERT INTO `sys_job_log` VALUES (11312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:22:14');
INSERT INTO `sys_job_log` VALUES (11313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:22:14');
INSERT INTO `sys_job_log` VALUES (11314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 16:22:19');
INSERT INTO `sys_job_log` VALUES (11315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:22:24');
INSERT INTO `sys_job_log` VALUES (11316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:22:29');
INSERT INTO `sys_job_log` VALUES (11317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:22:29');
INSERT INTO `sys_job_log` VALUES (11318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 16:22:34');
INSERT INTO `sys_job_log` VALUES (11319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:22:39');
INSERT INTO `sys_job_log` VALUES (11320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:22:44');
INSERT INTO `sys_job_log` VALUES (11321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 16:22:44');
INSERT INTO `sys_job_log` VALUES (11322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 16:22:49');
INSERT INTO `sys_job_log` VALUES (11323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:22:54');
INSERT INTO `sys_job_log` VALUES (11324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 16:22:59');
INSERT INTO `sys_job_log` VALUES (11325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:22:59');
INSERT INTO `sys_job_log` VALUES (11326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:23:04');
INSERT INTO `sys_job_log` VALUES (11327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:23:09');
INSERT INTO `sys_job_log` VALUES (11328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:23:14');
INSERT INTO `sys_job_log` VALUES (11329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 16:23:14');
INSERT INTO `sys_job_log` VALUES (11330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 16:23:19');
INSERT INTO `sys_job_log` VALUES (11331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:23:24');
INSERT INTO `sys_job_log` VALUES (11332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:23:29');
INSERT INTO `sys_job_log` VALUES (11333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:23:29');
INSERT INTO `sys_job_log` VALUES (11334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-24 16:23:34');
INSERT INTO `sys_job_log` VALUES (11335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-24 16:23:39');
INSERT INTO `sys_job_log` VALUES (11336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:23:44');
INSERT INTO `sys_job_log` VALUES (11337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 16:23:44');
INSERT INTO `sys_job_log` VALUES (11338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:23:49');
INSERT INTO `sys_job_log` VALUES (11339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:23:54');
INSERT INTO `sys_job_log` VALUES (11340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-24 16:23:59');
INSERT INTO `sys_job_log` VALUES (11341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 16:23:59');
INSERT INTO `sys_job_log` VALUES (11342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 16:24:04');
INSERT INTO `sys_job_log` VALUES (11343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:24:09');
INSERT INTO `sys_job_log` VALUES (11344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 16:24:14');
INSERT INTO `sys_job_log` VALUES (11345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:24:14');
INSERT INTO `sys_job_log` VALUES (11346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:24:19');
INSERT INTO `sys_job_log` VALUES (11347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:24:24');
INSERT INTO `sys_job_log` VALUES (11348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 16:24:29');
INSERT INTO `sys_job_log` VALUES (11349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:24:29');
INSERT INTO `sys_job_log` VALUES (11350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 16:24:34');
INSERT INTO `sys_job_log` VALUES (11351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:24:39');
INSERT INTO `sys_job_log` VALUES (11352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:24:44');
INSERT INTO `sys_job_log` VALUES (11353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 16:24:44');
INSERT INTO `sys_job_log` VALUES (11354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:24:49');
INSERT INTO `sys_job_log` VALUES (11355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:24:54');
INSERT INTO `sys_job_log` VALUES (11356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 16:24:59');
INSERT INTO `sys_job_log` VALUES (11357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 16:24:59');
INSERT INTO `sys_job_log` VALUES (11358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:25:04');
INSERT INTO `sys_job_log` VALUES (11359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:25:09');
INSERT INTO `sys_job_log` VALUES (11360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:25:14');
INSERT INTO `sys_job_log` VALUES (11361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 16:25:14');
INSERT INTO `sys_job_log` VALUES (11362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 16:25:19');
INSERT INTO `sys_job_log` VALUES (11363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:25:24');
INSERT INTO `sys_job_log` VALUES (11364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:25:29');
INSERT INTO `sys_job_log` VALUES (11365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:25:29');
INSERT INTO `sys_job_log` VALUES (11366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:25:34');
INSERT INTO `sys_job_log` VALUES (11367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:25:39');
INSERT INTO `sys_job_log` VALUES (11368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:25:44');
INSERT INTO `sys_job_log` VALUES (11369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:25:44');
INSERT INTO `sys_job_log` VALUES (11370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:25:49');
INSERT INTO `sys_job_log` VALUES (11371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:25:54');
INSERT INTO `sys_job_log` VALUES (11372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:25:59');
INSERT INTO `sys_job_log` VALUES (11373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:25:59');
INSERT INTO `sys_job_log` VALUES (11374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:26:04');
INSERT INTO `sys_job_log` VALUES (11375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:26:09');
INSERT INTO `sys_job_log` VALUES (11376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:26:14');
INSERT INTO `sys_job_log` VALUES (11377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 16:26:14');
INSERT INTO `sys_job_log` VALUES (11378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 16:26:19');
INSERT INTO `sys_job_log` VALUES (11379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 16:26:24');
INSERT INTO `sys_job_log` VALUES (11380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:26:29');
INSERT INTO `sys_job_log` VALUES (11381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:26:29');
INSERT INTO `sys_job_log` VALUES (11382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 16:26:34');
INSERT INTO `sys_job_log` VALUES (11383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:26:39');
INSERT INTO `sys_job_log` VALUES (11384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:26:44');
INSERT INTO `sys_job_log` VALUES (11385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 16:26:44');
INSERT INTO `sys_job_log` VALUES (11386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 16:26:49');
INSERT INTO `sys_job_log` VALUES (11387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:26:54');
INSERT INTO `sys_job_log` VALUES (11388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 16:26:59');
INSERT INTO `sys_job_log` VALUES (11389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:26:59');
INSERT INTO `sys_job_log` VALUES (11390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 16:27:04');
INSERT INTO `sys_job_log` VALUES (11391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 16:27:09');
INSERT INTO `sys_job_log` VALUES (11392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-24 16:27:14');
INSERT INTO `sys_job_log` VALUES (11393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 16:27:14');
INSERT INTO `sys_job_log` VALUES (11394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:27:19');
INSERT INTO `sys_job_log` VALUES (11395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:27:24');
INSERT INTO `sys_job_log` VALUES (11396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:27:29');
INSERT INTO `sys_job_log` VALUES (11397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 16:27:29');
INSERT INTO `sys_job_log` VALUES (11398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:27:34');
INSERT INTO `sys_job_log` VALUES (11399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:27:39');
INSERT INTO `sys_job_log` VALUES (11400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-24 16:27:44');
INSERT INTO `sys_job_log` VALUES (11401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2024-12-24 16:27:44');
INSERT INTO `sys_job_log` VALUES (11402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 16:27:49');
INSERT INTO `sys_job_log` VALUES (11403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:27:54');
INSERT INTO `sys_job_log` VALUES (11404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:27:59');
INSERT INTO `sys_job_log` VALUES (11405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 16:27:59');
INSERT INTO `sys_job_log` VALUES (11406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:28:04');
INSERT INTO `sys_job_log` VALUES (11407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:28:09');
INSERT INTO `sys_job_log` VALUES (11408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-24 16:28:14');
INSERT INTO `sys_job_log` VALUES (11409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 16:28:14');
INSERT INTO `sys_job_log` VALUES (11410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:28:19');
INSERT INTO `sys_job_log` VALUES (11411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:28:24');
INSERT INTO `sys_job_log` VALUES (11412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 16:28:29');
INSERT INTO `sys_job_log` VALUES (11413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-24 16:28:29');
INSERT INTO `sys_job_log` VALUES (11414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 16:28:34');
INSERT INTO `sys_job_log` VALUES (11415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:28:39');
INSERT INTO `sys_job_log` VALUES (11416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:28:44');
INSERT INTO `sys_job_log` VALUES (11417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:28:44');
INSERT INTO `sys_job_log` VALUES (11418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:28:49');
INSERT INTO `sys_job_log` VALUES (11419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:28:54');
INSERT INTO `sys_job_log` VALUES (11420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:28:59');
INSERT INTO `sys_job_log` VALUES (11421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：107毫秒', '0', '', '2024-12-24 16:28:59');
INSERT INTO `sys_job_log` VALUES (11422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:29:04');
INSERT INTO `sys_job_log` VALUES (11423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:29:09');
INSERT INTO `sys_job_log` VALUES (11424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:29:14');
INSERT INTO `sys_job_log` VALUES (11425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:29:14');
INSERT INTO `sys_job_log` VALUES (11426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:29:19');
INSERT INTO `sys_job_log` VALUES (11427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 16:29:24');
INSERT INTO `sys_job_log` VALUES (11428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:29:29');
INSERT INTO `sys_job_log` VALUES (11429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：113毫秒', '0', '', '2024-12-24 16:29:29');
INSERT INTO `sys_job_log` VALUES (11430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:29:34');
INSERT INTO `sys_job_log` VALUES (11431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:29:39');
INSERT INTO `sys_job_log` VALUES (11432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 16:29:44');
INSERT INTO `sys_job_log` VALUES (11433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-24 16:29:44');
INSERT INTO `sys_job_log` VALUES (11434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:29:49');
INSERT INTO `sys_job_log` VALUES (11435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:29:54');
INSERT INTO `sys_job_log` VALUES (11436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:29:59');
INSERT INTO `sys_job_log` VALUES (11437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:29:59');
INSERT INTO `sys_job_log` VALUES (11438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:30:04');
INSERT INTO `sys_job_log` VALUES (11439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:30:09');
INSERT INTO `sys_job_log` VALUES (11440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 16:30:14');
INSERT INTO `sys_job_log` VALUES (11441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 16:30:14');
INSERT INTO `sys_job_log` VALUES (11442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 16:30:19');
INSERT INTO `sys_job_log` VALUES (11443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:30:24');
INSERT INTO `sys_job_log` VALUES (11444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:30:29');
INSERT INTO `sys_job_log` VALUES (11445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:30:29');
INSERT INTO `sys_job_log` VALUES (11446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:30:34');
INSERT INTO `sys_job_log` VALUES (11447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:30:39');
INSERT INTO `sys_job_log` VALUES (11448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-24 16:30:44');
INSERT INTO `sys_job_log` VALUES (11449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2024-12-24 16:30:44');
INSERT INTO `sys_job_log` VALUES (11450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 16:30:49');
INSERT INTO `sys_job_log` VALUES (11451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:30:54');
INSERT INTO `sys_job_log` VALUES (11452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-24 16:30:59');
INSERT INTO `sys_job_log` VALUES (11453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-24 16:30:59');
INSERT INTO `sys_job_log` VALUES (11454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:31:04');
INSERT INTO `sys_job_log` VALUES (11455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2041毫秒', '0', '', '2024-12-24 16:31:11');
INSERT INTO `sys_job_log` VALUES (11456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:31:14');
INSERT INTO `sys_job_log` VALUES (11457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:31:14');
INSERT INTO `sys_job_log` VALUES (11458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:31:19');
INSERT INTO `sys_job_log` VALUES (11459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:31:24');
INSERT INTO `sys_job_log` VALUES (11460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:31:29');
INSERT INTO `sys_job_log` VALUES (11461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 16:31:29');
INSERT INTO `sys_job_log` VALUES (11462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：184毫秒', '0', '', '2024-12-24 16:31:34');
INSERT INTO `sys_job_log` VALUES (11463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:31:39');
INSERT INTO `sys_job_log` VALUES (11464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:31:44');
INSERT INTO `sys_job_log` VALUES (11465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:31:44');
INSERT INTO `sys_job_log` VALUES (11466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:31:49');
INSERT INTO `sys_job_log` VALUES (11467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:31:54');
INSERT INTO `sys_job_log` VALUES (11468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:31:59');
INSERT INTO `sys_job_log` VALUES (11469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 16:31:59');
INSERT INTO `sys_job_log` VALUES (11470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 16:32:04');
INSERT INTO `sys_job_log` VALUES (11471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:32:09');
INSERT INTO `sys_job_log` VALUES (11472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:32:14');
INSERT INTO `sys_job_log` VALUES (11473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-24 16:32:14');
INSERT INTO `sys_job_log` VALUES (11474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:32:19');
INSERT INTO `sys_job_log` VALUES (11475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:32:24');
INSERT INTO `sys_job_log` VALUES (11476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:32:29');
INSERT INTO `sys_job_log` VALUES (11477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 16:32:29');
INSERT INTO `sys_job_log` VALUES (11478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:32:34');
INSERT INTO `sys_job_log` VALUES (11479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:32:39');
INSERT INTO `sys_job_log` VALUES (11480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:32:44');
INSERT INTO `sys_job_log` VALUES (11481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:32:44');
INSERT INTO `sys_job_log` VALUES (11482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 16:32:49');
INSERT INTO `sys_job_log` VALUES (11483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:32:54');
INSERT INTO `sys_job_log` VALUES (11484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:32:59');
INSERT INTO `sys_job_log` VALUES (11485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:32:59');
INSERT INTO `sys_job_log` VALUES (11486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:33:04');
INSERT INTO `sys_job_log` VALUES (11487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:33:09');
INSERT INTO `sys_job_log` VALUES (11488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:33:14');
INSERT INTO `sys_job_log` VALUES (11489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:33:14');
INSERT INTO `sys_job_log` VALUES (11490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:33:19');
INSERT INTO `sys_job_log` VALUES (11491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:33:24');
INSERT INTO `sys_job_log` VALUES (11492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:33:29');
INSERT INTO `sys_job_log` VALUES (11493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 16:33:29');
INSERT INTO `sys_job_log` VALUES (11494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:33:34');
INSERT INTO `sys_job_log` VALUES (11495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:33:39');
INSERT INTO `sys_job_log` VALUES (11496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:33:44');
INSERT INTO `sys_job_log` VALUES (11497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-24 16:33:44');
INSERT INTO `sys_job_log` VALUES (11498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:33:49');
INSERT INTO `sys_job_log` VALUES (11499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:33:54');
INSERT INTO `sys_job_log` VALUES (11500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-24 16:33:59');
INSERT INTO `sys_job_log` VALUES (11501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:33:59');
INSERT INTO `sys_job_log` VALUES (11502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 16:34:04');
INSERT INTO `sys_job_log` VALUES (11503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:34:09');
INSERT INTO `sys_job_log` VALUES (11504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:34:14');
INSERT INTO `sys_job_log` VALUES (11505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 16:34:14');
INSERT INTO `sys_job_log` VALUES (11506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 16:34:19');
INSERT INTO `sys_job_log` VALUES (11507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:34:24');
INSERT INTO `sys_job_log` VALUES (11508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:34:29');
INSERT INTO `sys_job_log` VALUES (11509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-24 16:34:29');
INSERT INTO `sys_job_log` VALUES (11510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:34:34');
INSERT INTO `sys_job_log` VALUES (11511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:34:39');
INSERT INTO `sys_job_log` VALUES (11512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1208毫秒', '0', '', '2024-12-24 16:34:43');
INSERT INTO `sys_job_log` VALUES (11513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 16:34:44');
INSERT INTO `sys_job_log` VALUES (11514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 16:34:44');
INSERT INTO `sys_job_log` VALUES (11515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2305毫秒', '0', '', '2024-12-24 16:34:48');
INSERT INTO `sys_job_log` VALUES (11516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:34:49');
INSERT INTO `sys_job_log` VALUES (11517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:34:54');
INSERT INTO `sys_job_log` VALUES (11518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:34:59');
INSERT INTO `sys_job_log` VALUES (11519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：114毫秒', '0', '', '2024-12-24 16:34:59');
INSERT INTO `sys_job_log` VALUES (11520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14424毫秒', '0', '', '2024-12-24 16:35:00');
INSERT INTO `sys_job_log` VALUES (11521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1638毫秒', '0', '', '2024-12-24 16:35:02');
INSERT INTO `sys_job_log` VALUES (11522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:35:04');
INSERT INTO `sys_job_log` VALUES (11523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:35:09');
INSERT INTO `sys_job_log` VALUES (11524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:35:14');
INSERT INTO `sys_job_log` VALUES (11525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：106毫秒', '0', '', '2024-12-24 16:35:14');
INSERT INTO `sys_job_log` VALUES (11526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14369毫秒', '0', '', '2024-12-24 16:35:15');
INSERT INTO `sys_job_log` VALUES (11527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2133毫秒', '0', '', '2024-12-24 16:35:18');
INSERT INTO `sys_job_log` VALUES (11528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：206毫秒', '0', '', '2024-12-24 16:35:19');
INSERT INTO `sys_job_log` VALUES (11529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:35:24');
INSERT INTO `sys_job_log` VALUES (11530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 16:35:29');
INSERT INTO `sys_job_log` VALUES (11531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 16:35:29');
INSERT INTO `sys_job_log` VALUES (11532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1491毫秒', '0', '', '2024-12-24 16:35:32');
INSERT INTO `sys_job_log` VALUES (11533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:35:34');
INSERT INTO `sys_job_log` VALUES (11534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:35:39');
INSERT INTO `sys_job_log` VALUES (11535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25392毫秒', '0', '', '2024-12-24 16:35:40');
INSERT INTO `sys_job_log` VALUES (11536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:35:44');
INSERT INTO `sys_job_log` VALUES (11537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2024-12-24 16:35:44');
INSERT INTO `sys_job_log` VALUES (11538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2068毫秒', '0', '', '2024-12-24 16:35:48');
INSERT INTO `sys_job_log` VALUES (11539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 16:35:49');
INSERT INTO `sys_job_log` VALUES (11540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:35:54');
INSERT INTO `sys_job_log` VALUES (11541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14443毫秒', '0', '', '2024-12-24 16:35:54');
INSERT INTO `sys_job_log` VALUES (11542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:35:59');
INSERT INTO `sys_job_log` VALUES (11543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:35:59');
INSERT INTO `sys_job_log` VALUES (11544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1436毫秒', '0', '', '2024-12-24 16:36:02');
INSERT INTO `sys_job_log` VALUES (11545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:36:04');
INSERT INTO `sys_job_log` VALUES (11546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 16:36:09');
INSERT INTO `sys_job_log` VALUES (11547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:36:09');
INSERT INTO `sys_job_log` VALUES (11548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 16:36:14');
INSERT INTO `sys_job_log` VALUES (11549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:36:14');
INSERT INTO `sys_job_log` VALUES (11550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1911毫秒', '0', '', '2024-12-24 16:36:18');
INSERT INTO `sys_job_log` VALUES (11551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 16:36:19');
INSERT INTO `sys_job_log` VALUES (11552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14351毫秒', '0', '', '2024-12-24 16:36:23');
INSERT INTO `sys_job_log` VALUES (11553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:36:24');
INSERT INTO `sys_job_log` VALUES (11554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 16:36:29');
INSERT INTO `sys_job_log` VALUES (11555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:36:29');
INSERT INTO `sys_job_log` VALUES (11556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1307毫秒', '0', '', '2024-12-24 16:36:32');
INSERT INTO `sys_job_log` VALUES (11557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 16:36:34');
INSERT INTO `sys_job_log` VALUES (11558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14369毫秒', '0', '', '2024-12-24 16:36:38');
INSERT INTO `sys_job_log` VALUES (11559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:36:39');
INSERT INTO `sys_job_log` VALUES (11560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:36:44');
INSERT INTO `sys_job_log` VALUES (11561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-24 16:36:44');
INSERT INTO `sys_job_log` VALUES (11562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1858毫秒', '0', '', '2024-12-24 16:36:48');
INSERT INTO `sys_job_log` VALUES (11563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:36:49');
INSERT INTO `sys_job_log` VALUES (11564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14438毫秒', '0', '', '2024-12-24 16:36:52');
INSERT INTO `sys_job_log` VALUES (11565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:36:54');
INSERT INTO `sys_job_log` VALUES (11566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:36:59');
INSERT INTO `sys_job_log` VALUES (11567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 16:36:59');
INSERT INTO `sys_job_log` VALUES (11568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1251毫秒', '0', '', '2024-12-24 16:37:02');
INSERT INTO `sys_job_log` VALUES (11569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 16:37:04');
INSERT INTO `sys_job_log` VALUES (11570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 16:37:06');
INSERT INTO `sys_job_log` VALUES (11571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:37:09');
INSERT INTO `sys_job_log` VALUES (11572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 16:37:14');
INSERT INTO `sys_job_log` VALUES (11573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：184毫秒', '0', '', '2024-12-24 16:37:14');
INSERT INTO `sys_job_log` VALUES (11574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1831毫秒', '0', '', '2024-12-24 16:37:18');
INSERT INTO `sys_job_log` VALUES (11575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:37:19');
INSERT INTO `sys_job_log` VALUES (11576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14448毫秒', '0', '', '2024-12-24 16:37:21');
INSERT INTO `sys_job_log` VALUES (11577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:37:24');
INSERT INTO `sys_job_log` VALUES (11578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:37:29');
INSERT INTO `sys_job_log` VALUES (11579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:37:29');
INSERT INTO `sys_job_log` VALUES (11580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1280毫秒', '0', '', '2024-12-24 16:37:32');
INSERT INTO `sys_job_log` VALUES (11581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 16:37:34');
INSERT INTO `sys_job_log` VALUES (11582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 16:37:35');
INSERT INTO `sys_job_log` VALUES (11583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:37:39');
INSERT INTO `sys_job_log` VALUES (11584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-24 16:37:44');
INSERT INTO `sys_job_log` VALUES (11585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-24 16:37:44');
INSERT INTO `sys_job_log` VALUES (11586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1877毫秒', '0', '', '2024-12-24 16:37:48');
INSERT INTO `sys_job_log` VALUES (11587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 16:37:49');
INSERT INTO `sys_job_log` VALUES (11588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14450毫秒', '0', '', '2024-12-24 16:37:50');
INSERT INTO `sys_job_log` VALUES (11589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:37:54');
INSERT INTO `sys_job_log` VALUES (11590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 16:37:59');
INSERT INTO `sys_job_log` VALUES (11591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2024-12-24 16:37:59');
INSERT INTO `sys_job_log` VALUES (11592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1339毫秒', '0', '', '2024-12-24 16:38:02');
INSERT INTO `sys_job_log` VALUES (11593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14440毫秒', '0', '', '2024-12-24 16:38:04');
INSERT INTO `sys_job_log` VALUES (11594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:38:04');
INSERT INTO `sys_job_log` VALUES (11595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:38:09');
INSERT INTO `sys_job_log` VALUES (11596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-24 16:38:14');
INSERT INTO `sys_job_log` VALUES (11597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 16:38:14');
INSERT INTO `sys_job_log` VALUES (11598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1808毫秒', '0', '', '2024-12-24 16:38:18');
INSERT INTO `sys_job_log` VALUES (11599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14353毫秒', '0', '', '2024-12-24 16:38:19');
INSERT INTO `sys_job_log` VALUES (11600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:38:19');
INSERT INTO `sys_job_log` VALUES (11601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:38:24');
INSERT INTO `sys_job_log` VALUES (11602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:38:29');
INSERT INTO `sys_job_log` VALUES (11603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 16:38:29');
INSERT INTO `sys_job_log` VALUES (11604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 16:38:32');
INSERT INTO `sys_job_log` VALUES (11605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 16:38:33');
INSERT INTO `sys_job_log` VALUES (11606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2024-12-24 16:38:34');
INSERT INTO `sys_job_log` VALUES (11607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:38:39');
INSERT INTO `sys_job_log` VALUES (11608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:38:44');
INSERT INTO `sys_job_log` VALUES (11609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 16:38:44');
INSERT INTO `sys_job_log` VALUES (11610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13258毫秒', '0', '', '2024-12-24 16:38:46');
INSERT INTO `sys_job_log` VALUES (11611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1657毫秒', '0', '', '2024-12-24 16:38:47');
INSERT INTO `sys_job_log` VALUES (11612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2024-12-24 16:38:49');
INSERT INTO `sys_job_log` VALUES (11613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:38:54');
INSERT INTO `sys_job_log` VALUES (11614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 16:38:59');
INSERT INTO `sys_job_log` VALUES (11615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:38:59');
INSERT INTO `sys_job_log` VALUES (11616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14339毫秒', '0', '', '2024-12-24 16:39:01');
INSERT INTO `sys_job_log` VALUES (11617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2115毫秒', '0', '', '2024-12-24 16:39:03');
INSERT INTO `sys_job_log` VALUES (11618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-24 16:39:04');
INSERT INTO `sys_job_log` VALUES (11619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:39:09');
INSERT INTO `sys_job_log` VALUES (11620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:39:14');
INSERT INTO `sys_job_log` VALUES (11621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:39:14');
INSERT INTO `sys_job_log` VALUES (11622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14473毫秒', '0', '', '2024-12-24 16:39:15');
INSERT INTO `sys_job_log` VALUES (11623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1631毫秒', '0', '', '2024-12-24 16:39:17');
INSERT INTO `sys_job_log` VALUES (11624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 16:39:19');
INSERT INTO `sys_job_log` VALUES (11625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 16:39:24');
INSERT INTO `sys_job_log` VALUES (11626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:39:29');
INSERT INTO `sys_job_log` VALUES (11627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:39:29');
INSERT INTO `sys_job_log` VALUES (11628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14348毫秒', '0', '', '2024-12-24 16:39:29');
INSERT INTO `sys_job_log` VALUES (11629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2071毫秒', '0', '', '2024-12-24 16:39:33');
INSERT INTO `sys_job_log` VALUES (11630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 16:39:34');
INSERT INTO `sys_job_log` VALUES (11631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:39:39');
INSERT INTO `sys_job_log` VALUES (11632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14341毫秒', '0', '', '2024-12-24 16:39:44');
INSERT INTO `sys_job_log` VALUES (11633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:39:44');
INSERT INTO `sys_job_log` VALUES (11634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:39:44');
INSERT INTO `sys_job_log` VALUES (11635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1438毫秒', '0', '', '2024-12-24 16:39:47');
INSERT INTO `sys_job_log` VALUES (11636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:39:49');
INSERT INTO `sys_job_log` VALUES (11637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:39:54');
INSERT INTO `sys_job_log` VALUES (11638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 16:39:58');
INSERT INTO `sys_job_log` VALUES (11639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:39:59');
INSERT INTO `sys_job_log` VALUES (11640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：109毫秒', '0', '', '2024-12-24 16:39:59');
INSERT INTO `sys_job_log` VALUES (11641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1919毫秒', '0', '', '2024-12-24 16:40:03');
INSERT INTO `sys_job_log` VALUES (11642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:40:04');
INSERT INTO `sys_job_log` VALUES (11643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 16:40:09');
INSERT INTO `sys_job_log` VALUES (11644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14370毫秒', '0', '', '2024-12-24 16:40:13');
INSERT INTO `sys_job_log` VALUES (11645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-24 16:40:14');
INSERT INTO `sys_job_log` VALUES (11646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-24 16:40:14');
INSERT INTO `sys_job_log` VALUES (11647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1379毫秒', '0', '', '2024-12-24 16:40:17');
INSERT INTO `sys_job_log` VALUES (11648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 16:40:19');
INSERT INTO `sys_job_log` VALUES (11649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:40:24');
INSERT INTO `sys_job_log` VALUES (11650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 16:40:27');
INSERT INTO `sys_job_log` VALUES (11651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:40:29');
INSERT INTO `sys_job_log` VALUES (11652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 16:40:29');
INSERT INTO `sys_job_log` VALUES (11653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1977毫秒', '0', '', '2024-12-24 16:40:33');
INSERT INTO `sys_job_log` VALUES (11654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:40:34');
INSERT INTO `sys_job_log` VALUES (11655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:40:39');
INSERT INTO `sys_job_log` VALUES (11656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14448毫秒', '0', '', '2024-12-24 16:40:42');
INSERT INTO `sys_job_log` VALUES (11657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:40:44');
INSERT INTO `sys_job_log` VALUES (11658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:40:44');
INSERT INTO `sys_job_log` VALUES (11659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1335毫秒', '0', '', '2024-12-24 16:40:47');
INSERT INTO `sys_job_log` VALUES (11660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：169毫秒', '0', '', '2024-12-24 16:40:49');
INSERT INTO `sys_job_log` VALUES (11661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:40:54');
INSERT INTO `sys_job_log` VALUES (11662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14350毫秒', '0', '', '2024-12-24 16:40:56');
INSERT INTO `sys_job_log` VALUES (11663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-24 16:40:59');
INSERT INTO `sys_job_log` VALUES (11664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 16:40:59');
INSERT INTO `sys_job_log` VALUES (11665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1896毫秒', '0', '', '2024-12-24 16:41:03');
INSERT INTO `sys_job_log` VALUES (11666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-24 16:41:04');
INSERT INTO `sys_job_log` VALUES (11667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 16:41:09');
INSERT INTO `sys_job_log` VALUES (11668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14434毫秒', '0', '', '2024-12-24 16:41:10');
INSERT INTO `sys_job_log` VALUES (11669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:41:14');
INSERT INTO `sys_job_log` VALUES (11670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:41:14');
INSERT INTO `sys_job_log` VALUES (11671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1292毫秒', '0', '', '2024-12-24 16:41:17');
INSERT INTO `sys_job_log` VALUES (11672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 16:41:19');
INSERT INTO `sys_job_log` VALUES (11673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:41:24');
INSERT INTO `sys_job_log` VALUES (11674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14371毫秒', '0', '', '2024-12-24 16:41:25');
INSERT INTO `sys_job_log` VALUES (11675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-24 16:41:29');
INSERT INTO `sys_job_log` VALUES (11676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2024-12-24 16:41:29');
INSERT INTO `sys_job_log` VALUES (11677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1868毫秒', '0', '', '2024-12-24 16:41:33');
INSERT INTO `sys_job_log` VALUES (11678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2024-12-24 16:41:34');
INSERT INTO `sys_job_log` VALUES (11679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14447毫秒', '0', '', '2024-12-24 16:41:39');
INSERT INTO `sys_job_log` VALUES (11680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:41:39');
INSERT INTO `sys_job_log` VALUES (11681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 16:41:44');
INSERT INTO `sys_job_log` VALUES (11682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:41:44');
INSERT INTO `sys_job_log` VALUES (11683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1339毫秒', '0', '', '2024-12-24 16:41:47');
INSERT INTO `sys_job_log` VALUES (11684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 16:41:49');
INSERT INTO `sys_job_log` VALUES (11685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14437毫秒', '0', '', '2024-12-24 16:41:54');
INSERT INTO `sys_job_log` VALUES (11686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 16:41:54');
INSERT INTO `sys_job_log` VALUES (11687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:41:59');
INSERT INTO `sys_job_log` VALUES (11688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:41:59');
INSERT INTO `sys_job_log` VALUES (11689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1796毫秒', '0', '', '2024-12-24 16:42:03');
INSERT INTO `sys_job_log` VALUES (11690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 16:42:04');
INSERT INTO `sys_job_log` VALUES (11691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 16:42:08');
INSERT INTO `sys_job_log` VALUES (11692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 16:42:09');
INSERT INTO `sys_job_log` VALUES (11693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:42:14');
INSERT INTO `sys_job_log` VALUES (11694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:42:14');
INSERT INTO `sys_job_log` VALUES (11695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1174毫秒', '0', '', '2024-12-24 16:42:17');
INSERT INTO `sys_job_log` VALUES (11696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2024-12-24 16:42:19');
INSERT INTO `sys_job_log` VALUES (11697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2024-12-24 16:42:22');
INSERT INTO `sys_job_log` VALUES (11698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:42:24');
INSERT INTO `sys_job_log` VALUES (11699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:42:29');
INSERT INTO `sys_job_log` VALUES (11700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:42:29');
INSERT INTO `sys_job_log` VALUES (11701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1745毫秒', '0', '', '2024-12-24 16:42:32');
INSERT INTO `sys_job_log` VALUES (11702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 16:42:34');
INSERT INTO `sys_job_log` VALUES (11703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14432毫秒', '0', '', '2024-12-24 16:42:37');
INSERT INTO `sys_job_log` VALUES (11704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:42:39');
INSERT INTO `sys_job_log` VALUES (11705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 16:42:44');
INSERT INTO `sys_job_log` VALUES (11706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 16:42:44');
INSERT INTO `sys_job_log` VALUES (11707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2228毫秒', '0', '', '2024-12-24 16:42:48');
INSERT INTO `sys_job_log` VALUES (11708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:42:49');
INSERT INTO `sys_job_log` VALUES (11709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14364毫秒', '0', '', '2024-12-24 16:42:51');
INSERT INTO `sys_job_log` VALUES (11710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:42:54');
INSERT INTO `sys_job_log` VALUES (11711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-24 16:42:59');
INSERT INTO `sys_job_log` VALUES (11712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-24 16:42:59');
INSERT INTO `sys_job_log` VALUES (11713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1706毫秒', '0', '', '2024-12-24 16:43:02');
INSERT INTO `sys_job_log` VALUES (11714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:43:04');
INSERT INTO `sys_job_log` VALUES (11715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14444毫秒', '0', '', '2024-12-24 16:43:06');
INSERT INTO `sys_job_log` VALUES (11716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 16:43:09');
INSERT INTO `sys_job_log` VALUES (11717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:43:14');
INSERT INTO `sys_job_log` VALUES (11718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 16:43:14');
INSERT INTO `sys_job_log` VALUES (11719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2183毫秒', '0', '', '2024-12-24 16:43:18');
INSERT INTO `sys_job_log` VALUES (11720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2024-12-24 16:43:19');
INSERT INTO `sys_job_log` VALUES (11721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14370毫秒', '0', '', '2024-12-24 16:43:20');
INSERT INTO `sys_job_log` VALUES (11722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 16:43:24');
INSERT INTO `sys_job_log` VALUES (11723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:43:29');
INSERT INTO `sys_job_log` VALUES (11724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：114毫秒', '0', '', '2024-12-24 16:43:29');
INSERT INTO `sys_job_log` VALUES (11725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1647毫秒', '0', '', '2024-12-24 16:43:32');
INSERT INTO `sys_job_log` VALUES (11726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:43:34');
INSERT INTO `sys_job_log` VALUES (11727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14462毫秒', '0', '', '2024-12-24 16:43:35');
INSERT INTO `sys_job_log` VALUES (11728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:43:39');
INSERT INTO `sys_job_log` VALUES (11729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:43:44');
INSERT INTO `sys_job_log` VALUES (11730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:43:44');
INSERT INTO `sys_job_log` VALUES (11731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2238毫秒', '0', '', '2024-12-24 16:43:48');
INSERT INTO `sys_job_log` VALUES (11732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14421毫秒', '0', '', '2024-12-24 16:43:49');
INSERT INTO `sys_job_log` VALUES (11733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 16:43:49');
INSERT INTO `sys_job_log` VALUES (11734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:43:54');
INSERT INTO `sys_job_log` VALUES (11735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-24 16:43:59');
INSERT INTO `sys_job_log` VALUES (11736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-24 16:43:59');
INSERT INTO `sys_job_log` VALUES (11737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1704毫秒', '0', '', '2024-12-24 16:44:02');
INSERT INTO `sys_job_log` VALUES (11738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14445毫秒', '0', '', '2024-12-24 16:44:04');
INSERT INTO `sys_job_log` VALUES (11739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 16:44:04');
INSERT INTO `sys_job_log` VALUES (11740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:44:09');
INSERT INTO `sys_job_log` VALUES (11741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:44:14');
INSERT INTO `sys_job_log` VALUES (11742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 16:44:14');
INSERT INTO `sys_job_log` VALUES (11743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13345毫秒', '0', '', '2024-12-24 16:44:17');
INSERT INTO `sys_job_log` VALUES (11744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2269毫秒', '0', '', '2024-12-24 16:44:18');
INSERT INTO `sys_job_log` VALUES (11745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 16:44:19');
INSERT INTO `sys_job_log` VALUES (11746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:44:24');
INSERT INTO `sys_job_log` VALUES (11747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 16:44:29');
INSERT INTO `sys_job_log` VALUES (11748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:44:29');
INSERT INTO `sys_job_log` VALUES (11749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14547毫秒', '0', '', '2024-12-24 16:44:31');
INSERT INTO `sys_job_log` VALUES (11750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1836毫秒', '0', '', '2024-12-24 16:44:33');
INSERT INTO `sys_job_log` VALUES (11751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 16:44:34');
INSERT INTO `sys_job_log` VALUES (11752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 16:44:39');
INSERT INTO `sys_job_log` VALUES (11753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 16:44:44');
INSERT INTO `sys_job_log` VALUES (11754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 16:44:44');
INSERT INTO `sys_job_log` VALUES (11755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14347毫秒', '0', '', '2024-12-24 16:44:46');
INSERT INTO `sys_job_log` VALUES (11756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 16:44:47');
INSERT INTO `sys_job_log` VALUES (11757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 16:44:49');
INSERT INTO `sys_job_log` VALUES (11758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 16:44:54');
INSERT INTO `sys_job_log` VALUES (11759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 16:44:59');
INSERT INTO `sys_job_log` VALUES (11760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-24 16:44:59');
INSERT INTO `sys_job_log` VALUES (11761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14334毫秒', '0', '', '2024-12-24 16:45:00');
INSERT INTO `sys_job_log` VALUES (11762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1664毫秒', '0', '', '2024-12-24 16:45:02');
INSERT INTO `sys_job_log` VALUES (11763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 16:45:04');
INSERT INTO `sys_job_log` VALUES (11764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 16:45:09');
INSERT INTO `sys_job_log` VALUES (11765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 16:45:14');
INSERT INTO `sys_job_log` VALUES (11766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-24 16:45:14');
INSERT INTO `sys_job_log` VALUES (11767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14369毫秒', '0', '', '2024-12-24 16:45:15');
INSERT INTO `sys_job_log` VALUES (11768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2253毫秒', '0', '', '2024-12-24 16:45:18');
INSERT INTO `sys_job_log` VALUES (11769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：165毫秒', '0', '', '2024-12-24 16:45:19');
INSERT INTO `sys_job_log` VALUES (11770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 16:45:24');
INSERT INTO `sys_job_log` VALUES (11771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14438毫秒', '0', '', '2024-12-24 16:45:29');
INSERT INTO `sys_job_log` VALUES (11772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:45:29');
INSERT INTO `sys_job_log` VALUES (11773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 16:45:29');
INSERT INTO `sys_job_log` VALUES (11774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1618毫秒', '0', '', '2024-12-24 16:45:32');
INSERT INTO `sys_job_log` VALUES (11775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2024-12-24 16:45:34');
INSERT INTO `sys_job_log` VALUES (11776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 16:45:39');
INSERT INTO `sys_job_log` VALUES (11777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14361毫秒', '0', '', '2024-12-24 16:45:43');
INSERT INTO `sys_job_log` VALUES (11778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 16:45:44');
INSERT INTO `sys_job_log` VALUES (11779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 16:45:44');
INSERT INTO `sys_job_log` VALUES (11780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2181毫秒', '0', '', '2024-12-24 16:45:48');
INSERT INTO `sys_job_log` VALUES (11781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2024-12-24 16:45:49');
INSERT INTO `sys_job_log` VALUES (11782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-24 16:45:54');
INSERT INTO `sys_job_log` VALUES (11783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14442毫秒', '0', '', '2024-12-24 16:45:58');
INSERT INTO `sys_job_log` VALUES (11784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-24 16:45:59');
INSERT INTO `sys_job_log` VALUES (11785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2024-12-24 16:45:59');
INSERT INTO `sys_job_log` VALUES (11786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1652毫秒', '0', '', '2024-12-24 16:46:02');
INSERT INTO `sys_job_log` VALUES (11787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:46:04');
INSERT INTO `sys_job_log` VALUES (11788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 16:46:09');
INSERT INTO `sys_job_log` VALUES (11789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 16:46:12');
INSERT INTO `sys_job_log` VALUES (11790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 16:46:14');
INSERT INTO `sys_job_log` VALUES (11791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 16:46:14');
INSERT INTO `sys_job_log` VALUES (11792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1235毫秒', '0', '', '2024-12-24 16:46:17');
INSERT INTO `sys_job_log` VALUES (11793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 16:46:19');
INSERT INTO `sys_job_log` VALUES (11794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 16:46:24');
INSERT INTO `sys_job_log` VALUES (11795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14537毫秒', '0', '', '2024-12-24 16:46:27');
INSERT INTO `sys_job_log` VALUES (11796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-24 16:46:29');
INSERT INTO `sys_job_log` VALUES (11797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：227毫秒', '0', '', '2024-12-24 16:46:29');
INSERT INTO `sys_job_log` VALUES (11798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：199毫秒', '0', '', '2024-12-24 16:46:34');
INSERT INTO `sys_job_log` VALUES (11799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3933毫秒', '0', '', '2024-12-24 16:46:35');
INSERT INTO `sys_job_log` VALUES (11800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 16:46:39');
INSERT INTO `sys_job_log` VALUES (11801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15471毫秒', '0', '', '2024-12-24 16:46:42');
INSERT INTO `sys_job_log` VALUES (11802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 16:46:44');
INSERT INTO `sys_job_log` VALUES (11803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：227毫秒', '0', '', '2024-12-24 16:46:44');
INSERT INTO `sys_job_log` VALUES (11804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2024-12-24 16:46:49');
INSERT INTO `sys_job_log` VALUES (11805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4515毫秒', '0', '', '2024-12-24 16:46:50');
INSERT INTO `sys_job_log` VALUES (11806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 16:46:54');
INSERT INTO `sys_job_log` VALUES (11807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15555毫秒', '0', '', '2024-12-24 16:46:58');
INSERT INTO `sys_job_log` VALUES (11808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2024-12-24 16:46:59');
INSERT INTO `sys_job_log` VALUES (11809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 16:46:59');
INSERT INTO `sys_job_log` VALUES (11810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 16:47:04');
INSERT INTO `sys_job_log` VALUES (11811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3982毫秒', '0', '', '2024-12-24 16:47:05');
INSERT INTO `sys_job_log` VALUES (11812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2024-12-24 16:47:09');
INSERT INTO `sys_job_log` VALUES (11813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15546毫秒', '0', '', '2024-12-24 16:47:14');
INSERT INTO `sys_job_log` VALUES (11814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 16:47:14');
INSERT INTO `sys_job_log` VALUES (11815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：231毫秒', '0', '', '2024-12-24 16:47:14');
INSERT INTO `sys_job_log` VALUES (11816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 16:47:19');
INSERT INTO `sys_job_log` VALUES (11817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4542毫秒', '0', '', '2024-12-24 16:47:20');
INSERT INTO `sys_job_log` VALUES (11818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 16:47:24');
INSERT INTO `sys_job_log` VALUES (11819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15638毫秒', '0', '', '2024-12-24 16:47:29');
INSERT INTO `sys_job_log` VALUES (11820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2024-12-24 16:47:29');
INSERT INTO `sys_job_log` VALUES (11821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：221毫秒', '0', '', '2024-12-24 16:47:29');
INSERT INTO `sys_job_log` VALUES (11822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：208毫秒', '0', '', '2024-12-24 16:47:34');
INSERT INTO `sys_job_log` VALUES (11823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4038毫秒', '0', '', '2024-12-24 16:47:35');
INSERT INTO `sys_job_log` VALUES (11824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2024-12-24 16:47:39');
INSERT INTO `sys_job_log` VALUES (11825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 16:47:44');
INSERT INTO `sys_job_log` VALUES (11826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：225毫秒', '0', '', '2024-12-24 16:47:44');
INSERT INTO `sys_job_log` VALUES (11827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15463毫秒', '0', '', '2024-12-24 16:47:45');
INSERT INTO `sys_job_log` VALUES (11828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：151毫秒', '0', '', '2024-12-24 16:47:49');
INSERT INTO `sys_job_log` VALUES (11829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4502毫秒', '0', '', '2024-12-24 16:47:50');
INSERT INTO `sys_job_log` VALUES (11830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 16:47:54');
INSERT INTO `sys_job_log` VALUES (11831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-24 16:47:59');
INSERT INTO `sys_job_log` VALUES (11832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：203毫秒', '0', '', '2024-12-24 16:47:59');
INSERT INTO `sys_job_log` VALUES (11833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15465毫秒', '0', '', '2024-12-24 16:48:00');
INSERT INTO `sys_job_log` VALUES (11834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：186毫秒', '0', '', '2024-12-24 16:48:04');
INSERT INTO `sys_job_log` VALUES (11835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3844毫秒', '0', '', '2024-12-24 16:48:05');
INSERT INTO `sys_job_log` VALUES (11836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 16:48:09');
INSERT INTO `sys_job_log` VALUES (11837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 16:48:14');
INSERT INTO `sys_job_log` VALUES (11838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：231毫秒', '0', '', '2024-12-24 16:48:14');
INSERT INTO `sys_job_log` VALUES (11839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15490毫秒', '0', '', '2024-12-24 16:48:16');
INSERT INTO `sys_job_log` VALUES (11840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 16:48:19');
INSERT INTO `sys_job_log` VALUES (11841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4425毫秒', '0', '', '2024-12-24 16:48:20');
INSERT INTO `sys_job_log` VALUES (11842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：226毫秒', '0', '', '2024-12-24 16:48:24');
INSERT INTO `sys_job_log` VALUES (11843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-24 16:48:29');
INSERT INTO `sys_job_log` VALUES (11844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：194毫秒', '0', '', '2024-12-24 16:48:29');
INSERT INTO `sys_job_log` VALUES (11845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15534毫秒', '0', '', '2024-12-24 16:48:31');
INSERT INTO `sys_job_log` VALUES (11846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 16:48:34');
INSERT INTO `sys_job_log` VALUES (11847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3815毫秒', '0', '', '2024-12-24 16:48:35');
INSERT INTO `sys_job_log` VALUES (11848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 16:48:39');
INSERT INTO `sys_job_log` VALUES (11849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 16:48:44');
INSERT INTO `sys_job_log` VALUES (11850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：227毫秒', '0', '', '2024-12-24 16:48:44');
INSERT INTO `sys_job_log` VALUES (11851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15453毫秒', '0', '', '2024-12-24 16:48:47');
INSERT INTO `sys_job_log` VALUES (11852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：151毫秒', '0', '', '2024-12-24 16:48:49');
INSERT INTO `sys_job_log` VALUES (11853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4277毫秒', '0', '', '2024-12-24 16:48:50');
INSERT INTO `sys_job_log` VALUES (11854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：182毫秒', '0', '', '2024-12-24 16:48:54');
INSERT INTO `sys_job_log` VALUES (11855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：135毫秒', '0', '', '2024-12-24 16:48:59');
INSERT INTO `sys_job_log` VALUES (11856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：205毫秒', '0', '', '2024-12-24 16:48:59');
INSERT INTO `sys_job_log` VALUES (11857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16559毫秒', '0', '', '2024-12-24 16:49:03');
INSERT INTO `sys_job_log` VALUES (11858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 16:49:04');
INSERT INTO `sys_job_log` VALUES (11859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3658毫秒', '0', '', '2024-12-24 16:49:04');
INSERT INTO `sys_job_log` VALUES (11860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 16:49:09');
INSERT INTO `sys_job_log` VALUES (11861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 16:49:14');
INSERT INTO `sys_job_log` VALUES (11862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：237毫秒', '0', '', '2024-12-24 16:49:14');
INSERT INTO `sys_job_log` VALUES (11863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15544毫秒', '0', '', '2024-12-24 16:49:19');
INSERT INTO `sys_job_log` VALUES (11864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 16:49:19');
INSERT INTO `sys_job_log` VALUES (11865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4226毫秒', '0', '', '2024-12-24 16:49:20');
INSERT INTO `sys_job_log` VALUES (11866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：201毫秒', '0', '', '2024-12-24 16:49:24');
INSERT INTO `sys_job_log` VALUES (11867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：133毫秒', '0', '', '2024-12-24 16:49:29');
INSERT INTO `sys_job_log` VALUES (11868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：205毫秒', '0', '', '2024-12-24 16:49:29');
INSERT INTO `sys_job_log` VALUES (11869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3608毫秒', '0', '', '2024-12-24 16:49:34');
INSERT INTO `sys_job_log` VALUES (11870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：196毫秒', '0', '', '2024-12-24 16:49:34');
INSERT INTO `sys_job_log` VALUES (11871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16563毫秒', '0', '', '2024-12-24 16:49:35');
INSERT INTO `sys_job_log` VALUES (11872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 16:49:39');
INSERT INTO `sys_job_log` VALUES (11873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 16:49:44');
INSERT INTO `sys_job_log` VALUES (11874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：220毫秒', '0', '', '2024-12-24 16:49:44');
INSERT INTO `sys_job_log` VALUES (11875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2024-12-24 16:49:49');
INSERT INTO `sys_job_log` VALUES (11876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4068毫秒', '0', '', '2024-12-24 16:49:50');
INSERT INTO `sys_job_log` VALUES (11877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15467毫秒', '0', '', '2024-12-24 16:49:51');
INSERT INTO `sys_job_log` VALUES (11878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 16:49:54');
INSERT INTO `sys_job_log` VALUES (11879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：130毫秒', '0', '', '2024-12-24 16:49:59');
INSERT INTO `sys_job_log` VALUES (11880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 16:49:59');
INSERT INTO `sys_job_log` VALUES (11881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3439毫秒', '0', '', '2024-12-24 16:50:04');
INSERT INTO `sys_job_log` VALUES (11882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 16:50:04');
INSERT INTO `sys_job_log` VALUES (11883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15462毫秒', '0', '', '2024-12-24 16:50:06');
INSERT INTO `sys_job_log` VALUES (11884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 16:50:09');
INSERT INTO `sys_job_log` VALUES (11885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 16:50:14');
INSERT INTO `sys_job_log` VALUES (11886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 16:50:14');
INSERT INTO `sys_job_log` VALUES (11887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 16:50:19');
INSERT INTO `sys_job_log` VALUES (11888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3936毫秒', '0', '', '2024-12-24 16:50:20');
INSERT INTO `sys_job_log` VALUES (11889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15473毫秒', '0', '', '2024-12-24 16:50:22');
INSERT INTO `sys_job_log` VALUES (11890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-24 16:50:24');
INSERT INTO `sys_job_log` VALUES (11891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：122毫秒', '0', '', '2024-12-24 16:50:29');
INSERT INTO `sys_job_log` VALUES (11892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2024-12-24 16:50:29');
INSERT INTO `sys_job_log` VALUES (11893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 16:50:34');
INSERT INTO `sys_job_log` VALUES (11894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4512毫秒', '0', '', '2024-12-24 16:50:35');
INSERT INTO `sys_job_log` VALUES (11895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15548毫秒', '0', '', '2024-12-24 16:50:37');
INSERT INTO `sys_job_log` VALUES (11896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 16:50:39');
INSERT INTO `sys_job_log` VALUES (11897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 16:50:44');
INSERT INTO `sys_job_log` VALUES (11898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-24 16:50:44');
INSERT INTO `sys_job_log` VALUES (11899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 16:50:49');
INSERT INTO `sys_job_log` VALUES (11900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3869毫秒', '0', '', '2024-12-24 16:50:50');
INSERT INTO `sys_job_log` VALUES (11901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15452毫秒', '0', '', '2024-12-24 16:50:53');
INSERT INTO `sys_job_log` VALUES (11902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 16:50:54');
INSERT INTO `sys_job_log` VALUES (11903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：144毫秒', '0', '', '2024-12-24 16:50:59');
INSERT INTO `sys_job_log` VALUES (11904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：216毫秒', '0', '', '2024-12-24 16:50:59');
INSERT INTO `sys_job_log` VALUES (11905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 16:51:04');
INSERT INTO `sys_job_log` VALUES (11906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4459毫秒', '0', '', '2024-12-24 16:51:05');
INSERT INTO `sys_job_log` VALUES (11907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15540毫秒', '0', '', '2024-12-24 16:51:08');
INSERT INTO `sys_job_log` VALUES (11908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2024-12-24 16:51:09');
INSERT INTO `sys_job_log` VALUES (11909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 16:51:14');
INSERT INTO `sys_job_log` VALUES (11910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：235毫秒', '0', '', '2024-12-24 16:51:14');
INSERT INTO `sys_job_log` VALUES (11911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 16:51:19');
INSERT INTO `sys_job_log` VALUES (11912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3812毫秒', '0', '', '2024-12-24 16:51:20');
INSERT INTO `sys_job_log` VALUES (11913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15464毫秒', '0', '', '2024-12-24 16:51:24');
INSERT INTO `sys_job_log` VALUES (11914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 16:51:24');
INSERT INTO `sys_job_log` VALUES (11915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 16:51:29');
INSERT INTO `sys_job_log` VALUES (11916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 16:51:29');
INSERT INTO `sys_job_log` VALUES (11917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：196毫秒', '0', '', '2024-12-24 16:51:34');
INSERT INTO `sys_job_log` VALUES (11918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4292毫秒', '0', '', '2024-12-24 16:51:35');
INSERT INTO `sys_job_log` VALUES (11919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2024-12-24 16:51:39');
INSERT INTO `sys_job_log` VALUES (11920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15479毫秒', '0', '', '2024-12-24 16:51:39');
INSERT INTO `sys_job_log` VALUES (11921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 16:51:44');
INSERT INTO `sys_job_log` VALUES (11922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：246毫秒', '0', '', '2024-12-24 16:51:44');
INSERT INTO `sys_job_log` VALUES (11923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-24 16:51:49');
INSERT INTO `sys_job_log` VALUES (11924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3774毫秒', '0', '', '2024-12-24 16:51:50');
INSERT INTO `sys_job_log` VALUES (11925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：199毫秒', '0', '', '2024-12-24 16:51:54');
INSERT INTO `sys_job_log` VALUES (11926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15544毫秒', '0', '', '2024-12-24 16:51:55');
INSERT INTO `sys_job_log` VALUES (11927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：159毫秒', '0', '', '2024-12-24 16:51:59');
INSERT INTO `sys_job_log` VALUES (11928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 16:51:59');
INSERT INTO `sys_job_log` VALUES (11929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 16:52:04');
INSERT INTO `sys_job_log` VALUES (11930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4323毫秒', '0', '', '2024-12-24 16:52:05');
INSERT INTO `sys_job_log` VALUES (11931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 16:52:09');
INSERT INTO `sys_job_log` VALUES (11932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15664毫秒', '0', '', '2024-12-24 16:52:11');
INSERT INTO `sys_job_log` VALUES (11933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2024-12-24 16:52:14');
INSERT INTO `sys_job_log` VALUES (11934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 16:52:14');
INSERT INTO `sys_job_log` VALUES (11935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2024-12-24 16:52:19');
INSERT INTO `sys_job_log` VALUES (11936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3905毫秒', '0', '', '2024-12-24 16:52:20');
INSERT INTO `sys_job_log` VALUES (11937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：196毫秒', '0', '', '2024-12-24 16:52:24');
INSERT INTO `sys_job_log` VALUES (11938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15535毫秒', '0', '', '2024-12-24 16:52:26');
INSERT INTO `sys_job_log` VALUES (11939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:52:29');
INSERT INTO `sys_job_log` VALUES (11940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：241毫秒', '0', '', '2024-12-24 16:52:29');
INSERT INTO `sys_job_log` VALUES (11941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 16:52:34');
INSERT INTO `sys_job_log` VALUES (11942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4486毫秒', '0', '', '2024-12-24 16:52:35');
INSERT INTO `sys_job_log` VALUES (11943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 16:52:39');
INSERT INTO `sys_job_log` VALUES (11944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15555毫秒', '0', '', '2024-12-24 16:52:42');
INSERT INTO `sys_job_log` VALUES (11945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 16:52:44');
INSERT INTO `sys_job_log` VALUES (11946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：237毫秒', '0', '', '2024-12-24 16:52:44');
INSERT INTO `sys_job_log` VALUES (11947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：149毫秒', '0', '', '2024-12-24 16:52:49');
INSERT INTO `sys_job_log` VALUES (11948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3955毫秒', '0', '', '2024-12-24 16:52:50');
INSERT INTO `sys_job_log` VALUES (11949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：200毫秒', '0', '', '2024-12-24 16:52:54');
INSERT INTO `sys_job_log` VALUES (11950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15553毫秒', '0', '', '2024-12-24 16:52:57');
INSERT INTO `sys_job_log` VALUES (11951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：145毫秒', '0', '', '2024-12-24 16:52:59');
INSERT INTO `sys_job_log` VALUES (11952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：144毫秒', '0', '', '2024-12-24 16:52:59');
INSERT INTO `sys_job_log` VALUES (11953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：145毫秒', '0', '', '2024-12-24 16:53:04');
INSERT INTO `sys_job_log` VALUES (11954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4542毫秒', '0', '', '2024-12-24 16:53:05');
INSERT INTO `sys_job_log` VALUES (11955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2024-12-24 16:53:09');
INSERT INTO `sys_job_log` VALUES (11956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15552毫秒', '0', '', '2024-12-24 16:53:13');
INSERT INTO `sys_job_log` VALUES (11957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：168毫秒', '0', '', '2024-12-24 16:53:14');
INSERT INTO `sys_job_log` VALUES (11958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：240毫秒', '0', '', '2024-12-24 16:53:14');
INSERT INTO `sys_job_log` VALUES (11959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 16:53:19');
INSERT INTO `sys_job_log` VALUES (11960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4002毫秒', '0', '', '2024-12-24 16:53:20');
INSERT INTO `sys_job_log` VALUES (11961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：214毫秒', '0', '', '2024-12-24 16:53:24');
INSERT INTO `sys_job_log` VALUES (11962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15555毫秒', '0', '', '2024-12-24 16:53:29');
INSERT INTO `sys_job_log` VALUES (11963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：154毫秒', '0', '', '2024-12-24 16:53:29');
INSERT INTO `sys_job_log` VALUES (11964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 16:53:29');
INSERT INTO `sys_job_log` VALUES (11965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3473毫秒', '0', '', '2024-12-24 16:53:34');
INSERT INTO `sys_job_log` VALUES (11966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:53:34');
INSERT INTO `sys_job_log` VALUES (11967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：207毫秒', '0', '', '2024-12-24 16:53:39');
INSERT INTO `sys_job_log` VALUES (11968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15538毫秒', '0', '', '2024-12-24 16:53:44');
INSERT INTO `sys_job_log` VALUES (11969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：153毫秒', '0', '', '2024-12-24 16:53:44');
INSERT INTO `sys_job_log` VALUES (11970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：153毫秒', '0', '', '2024-12-24 16:53:44');
INSERT INTO `sys_job_log` VALUES (11971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 16:53:49');
INSERT INTO `sys_job_log` VALUES (11972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3935毫秒', '0', '', '2024-12-24 16:53:50');
INSERT INTO `sys_job_log` VALUES (11973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：195毫秒', '0', '', '2024-12-24 16:53:54');
INSERT INTO `sys_job_log` VALUES (11974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 16:53:59');
INSERT INTO `sys_job_log` VALUES (11975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：150毫秒', '0', '', '2024-12-24 16:53:59');
INSERT INTO `sys_job_log` VALUES (11976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15474毫秒', '0', '', '2024-12-24 16:54:00');
INSERT INTO `sys_job_log` VALUES (11977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 16:54:04');
INSERT INTO `sys_job_log` VALUES (11978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4526毫秒', '0', '', '2024-12-24 16:54:05');
INSERT INTO `sys_job_log` VALUES (11979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：219毫秒', '0', '', '2024-12-24 16:54:09');
INSERT INTO `sys_job_log` VALUES (11980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 16:54:14');
INSERT INTO `sys_job_log` VALUES (11981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：140毫秒', '0', '', '2024-12-24 16:54:14');
INSERT INTO `sys_job_log` VALUES (11982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15539毫秒', '0', '', '2024-12-24 16:54:15');
INSERT INTO `sys_job_log` VALUES (11983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：194毫秒', '0', '', '2024-12-24 16:54:19');
INSERT INTO `sys_job_log` VALUES (11984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3877毫秒', '0', '', '2024-12-24 16:54:20');
INSERT INTO `sys_job_log` VALUES (11985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 16:54:24');
INSERT INTO `sys_job_log` VALUES (11986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 16:54:29');
INSERT INTO `sys_job_log` VALUES (11987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：202毫秒', '0', '', '2024-12-24 16:54:29');
INSERT INTO `sys_job_log` VALUES (11988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15467毫秒', '0', '', '2024-12-24 16:54:31');
INSERT INTO `sys_job_log` VALUES (11989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：199毫秒', '0', '', '2024-12-24 16:54:34');
INSERT INTO `sys_job_log` VALUES (11990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4465毫秒', '0', '', '2024-12-24 16:54:35');
INSERT INTO `sys_job_log` VALUES (11991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 16:54:39');
INSERT INTO `sys_job_log` VALUES (11992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 16:54:44');
INSERT INTO `sys_job_log` VALUES (11993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-24 16:54:44');
INSERT INTO `sys_job_log` VALUES (11994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 16:54:49');
INSERT INTO `sys_job_log` VALUES (11995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2437毫秒', '0', '', '2024-12-24 16:54:54');
INSERT INTO `sys_job_log` VALUES (11996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 16:54:54');
INSERT INTO `sys_job_log` VALUES (11997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:54:59');
INSERT INTO `sys_job_log` VALUES (11998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：160毫秒', '0', '', '2024-12-24 16:54:59');
INSERT INTO `sys_job_log` VALUES (11999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 16:55:04');
INSERT INTO `sys_job_log` VALUES (12000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3894毫秒', '0', '', '2024-12-24 16:55:05');
INSERT INTO `sys_job_log` VALUES (12001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：218毫秒', '0', '', '2024-12-24 16:55:09');
INSERT INTO `sys_job_log` VALUES (12002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15520毫秒', '0', '', '2024-12-24 16:55:11');
INSERT INTO `sys_job_log` VALUES (12003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：245毫秒', '0', '', '2024-12-24 16:55:14');
INSERT INTO `sys_job_log` VALUES (12004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：247毫秒', '0', '', '2024-12-24 16:55:14');
INSERT INTO `sys_job_log` VALUES (12005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：148毫秒', '0', '', '2024-12-24 16:55:19');
INSERT INTO `sys_job_log` VALUES (12006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4391毫秒', '0', '', '2024-12-24 16:55:20');
INSERT INTO `sys_job_log` VALUES (12007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2024-12-24 16:55:24');
INSERT INTO `sys_job_log` VALUES (12008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15477毫秒', '0', '', '2024-12-24 16:55:27');
INSERT INTO `sys_job_log` VALUES (12009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 16:55:29');
INSERT INTO `sys_job_log` VALUES (12010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：210毫秒', '0', '', '2024-12-24 16:55:29');
INSERT INTO `sys_job_log` VALUES (12011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-24 16:55:34');
INSERT INTO `sys_job_log` VALUES (12012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3855毫秒', '0', '', '2024-12-24 16:55:35');
INSERT INTO `sys_job_log` VALUES (12013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 16:55:39');
INSERT INTO `sys_job_log` VALUES (12014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15742毫秒', '0', '', '2024-12-24 16:55:43');
INSERT INTO `sys_job_log` VALUES (12015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 16:55:44');
INSERT INTO `sys_job_log` VALUES (12016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：210毫秒', '0', '', '2024-12-24 16:55:44');
INSERT INTO `sys_job_log` VALUES (12017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 16:55:49');
INSERT INTO `sys_job_log` VALUES (12018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4544毫秒', '0', '', '2024-12-24 16:55:50');
INSERT INTO `sys_job_log` VALUES (12019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 16:55:54');
INSERT INTO `sys_job_log` VALUES (12020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15456毫秒', '0', '', '2024-12-24 16:55:58');
INSERT INTO `sys_job_log` VALUES (12021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：145毫秒', '0', '', '2024-12-24 16:55:59');
INSERT INTO `sys_job_log` VALUES (12022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：144毫秒', '0', '', '2024-12-24 16:55:59');
INSERT INTO `sys_job_log` VALUES (12023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 16:56:04');
INSERT INTO `sys_job_log` VALUES (12024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3916毫秒', '0', '', '2024-12-24 16:56:05');
INSERT INTO `sys_job_log` VALUES (12025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2024-12-24 16:56:09');
INSERT INTO `sys_job_log` VALUES (12026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15471毫秒', '0', '', '2024-12-24 16:56:14');
INSERT INTO `sys_job_log` VALUES (12027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：161毫秒', '0', '', '2024-12-24 16:56:14');
INSERT INTO `sys_job_log` VALUES (12028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:56:14');
INSERT INTO `sys_job_log` VALUES (12029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 16:56:19');
INSERT INTO `sys_job_log` VALUES (12030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4491毫秒', '0', '', '2024-12-24 16:56:20');
INSERT INTO `sys_job_log` VALUES (12031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2024-12-24 16:56:24');
INSERT INTO `sys_job_log` VALUES (12032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15548毫秒', '0', '', '2024-12-24 16:56:29');
INSERT INTO `sys_job_log` VALUES (12033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 16:56:29');
INSERT INTO `sys_job_log` VALUES (12034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：147毫秒', '0', '', '2024-12-24 16:56:29');
INSERT INTO `sys_job_log` VALUES (12035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 16:56:34');
INSERT INTO `sys_job_log` VALUES (12036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3949毫秒', '0', '', '2024-12-24 16:56:35');
INSERT INTO `sys_job_log` VALUES (12037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：210毫秒', '0', '', '2024-12-24 16:56:39');
INSERT INTO `sys_job_log` VALUES (12038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2024-12-24 16:56:44');
INSERT INTO `sys_job_log` VALUES (12039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：219毫秒', '0', '', '2024-12-24 16:56:44');
INSERT INTO `sys_job_log` VALUES (12040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15645毫秒', '0', '', '2024-12-24 16:56:45');
INSERT INTO `sys_job_log` VALUES (12041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 16:56:49');
INSERT INTO `sys_job_log` VALUES (12042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4508毫秒', '0', '', '2024-12-24 16:56:50');
INSERT INTO `sys_job_log` VALUES (12043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 16:56:54');
INSERT INTO `sys_job_log` VALUES (12044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 16:56:59');
INSERT INTO `sys_job_log` VALUES (12045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：231毫秒', '0', '', '2024-12-24 16:56:59');
INSERT INTO `sys_job_log` VALUES (12046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15459毫秒', '0', '', '2024-12-24 16:57:00');
INSERT INTO `sys_job_log` VALUES (12047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:57:04');
INSERT INTO `sys_job_log` VALUES (12048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3886毫秒', '0', '', '2024-12-24 16:57:05');
INSERT INTO `sys_job_log` VALUES (12049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-24 16:57:09');
INSERT INTO `sys_job_log` VALUES (12050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-24 16:57:14');
INSERT INTO `sys_job_log` VALUES (12051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：144毫秒', '0', '', '2024-12-24 16:57:14');
INSERT INTO `sys_job_log` VALUES (12052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15461毫秒', '0', '', '2024-12-24 16:57:16');
INSERT INTO `sys_job_log` VALUES (12053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2024-12-24 16:57:19');
INSERT INTO `sys_job_log` VALUES (12054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4360毫秒', '0', '', '2024-12-24 16:57:20');
INSERT INTO `sys_job_log` VALUES (12055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：195毫秒', '0', '', '2024-12-24 16:57:24');
INSERT INTO `sys_job_log` VALUES (12056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：157毫秒', '0', '', '2024-12-24 16:57:29');
INSERT INTO `sys_job_log` VALUES (12057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 16:57:29');
INSERT INTO `sys_job_log` VALUES (12058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15463毫秒', '0', '', '2024-12-24 16:57:31');
INSERT INTO `sys_job_log` VALUES (12059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2024-12-24 16:57:34');
INSERT INTO `sys_job_log` VALUES (12060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3724毫秒', '0', '', '2024-12-24 16:57:34');
INSERT INTO `sys_job_log` VALUES (12061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 16:57:39');
INSERT INTO `sys_job_log` VALUES (12062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：153毫秒', '0', '', '2024-12-24 16:57:44');
INSERT INTO `sys_job_log` VALUES (12063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：153毫秒', '0', '', '2024-12-24 16:57:44');
INSERT INTO `sys_job_log` VALUES (12064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15464毫秒', '0', '', '2024-12-24 16:57:47');
INSERT INTO `sys_job_log` VALUES (12065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 16:57:49');
INSERT INTO `sys_job_log` VALUES (12066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4205毫秒', '0', '', '2024-12-24 16:57:50');
INSERT INTO `sys_job_log` VALUES (12067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 16:57:54');
INSERT INTO `sys_job_log` VALUES (12068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：151毫秒', '0', '', '2024-12-24 16:57:59');
INSERT INTO `sys_job_log` VALUES (12069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2024-12-24 16:57:59');
INSERT INTO `sys_job_log` VALUES (12070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16566毫秒', '0', '', '2024-12-24 16:58:03');
INSERT INTO `sys_job_log` VALUES (12071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3586毫秒', '0', '', '2024-12-24 16:58:04');
INSERT INTO `sys_job_log` VALUES (12072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：153毫秒', '0', '', '2024-12-24 16:58:04');
INSERT INTO `sys_job_log` VALUES (12073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2024-12-24 16:58:09');
INSERT INTO `sys_job_log` VALUES (12074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:58:14');
INSERT INTO `sys_job_log` VALUES (12075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：237毫秒', '0', '', '2024-12-24 16:58:14');
INSERT INTO `sys_job_log` VALUES (12076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15463毫秒', '0', '', '2024-12-24 16:58:19');
INSERT INTO `sys_job_log` VALUES (12077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 16:58:19');
INSERT INTO `sys_job_log` VALUES (12078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4050毫秒', '0', '', '2024-12-24 16:58:20');
INSERT INTO `sys_job_log` VALUES (12079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2024-12-24 16:58:24');
INSERT INTO `sys_job_log` VALUES (12080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 16:58:29');
INSERT INTO `sys_job_log` VALUES (12081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：239毫秒', '0', '', '2024-12-24 16:58:29');
INSERT INTO `sys_job_log` VALUES (12082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3440毫秒', '0', '', '2024-12-24 16:58:34');
INSERT INTO `sys_job_log` VALUES (12083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 16:58:34');
INSERT INTO `sys_job_log` VALUES (12084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16567毫秒', '0', '', '2024-12-24 16:58:35');
INSERT INTO `sys_job_log` VALUES (12085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2024-12-24 16:58:39');
INSERT INTO `sys_job_log` VALUES (12086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 16:58:44');
INSERT INTO `sys_job_log` VALUES (12087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：149毫秒', '0', '', '2024-12-24 16:58:44');
INSERT INTO `sys_job_log` VALUES (12088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-24 16:58:49');
INSERT INTO `sys_job_log` VALUES (12089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3902毫秒', '0', '', '2024-12-24 16:58:50');
INSERT INTO `sys_job_log` VALUES (12090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15456毫秒', '0', '', '2024-12-24 16:58:51');
INSERT INTO `sys_job_log` VALUES (12091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：407毫秒', '0', '', '2024-12-24 16:58:55');
INSERT INTO `sys_job_log` VALUES (12092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：136毫秒', '0', '', '2024-12-24 16:58:59');
INSERT INTO `sys_job_log` VALUES (12093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-24 16:58:59');
INSERT INTO `sys_job_log` VALUES (12094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：206毫秒', '0', '', '2024-12-24 16:59:04');
INSERT INTO `sys_job_log` VALUES (12095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4389毫秒', '0', '', '2024-12-24 16:59:05');
INSERT INTO `sys_job_log` VALUES (12096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15466毫秒', '0', '', '2024-12-24 16:59:06');
INSERT INTO `sys_job_log` VALUES (12097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 16:59:09');
INSERT INTO `sys_job_log` VALUES (12098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 16:59:14');
INSERT INTO `sys_job_log` VALUES (12099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：246毫秒', '0', '', '2024-12-24 16:59:14');
INSERT INTO `sys_job_log` VALUES (12100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：148毫秒', '0', '', '2024-12-24 16:59:19');
INSERT INTO `sys_job_log` VALUES (12101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3733毫秒', '0', '', '2024-12-24 16:59:19');
INSERT INTO `sys_job_log` VALUES (12102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15474毫秒', '0', '', '2024-12-24 16:59:22');
INSERT INTO `sys_job_log` VALUES (12103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 16:59:24');
INSERT INTO `sys_job_log` VALUES (12104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：145毫秒', '0', '', '2024-12-24 16:59:29');
INSERT INTO `sys_job_log` VALUES (12105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-24 16:59:29');
INSERT INTO `sys_job_log` VALUES (12106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 16:59:34');
INSERT INTO `sys_job_log` VALUES (12107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4331毫秒', '0', '', '2024-12-24 16:59:35');
INSERT INTO `sys_job_log` VALUES (12108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15548毫秒', '0', '', '2024-12-24 16:59:37');
INSERT INTO `sys_job_log` VALUES (12109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：199毫秒', '0', '', '2024-12-24 16:59:39');
INSERT INTO `sys_job_log` VALUES (12110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 16:59:44');
INSERT INTO `sys_job_log` VALUES (12111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：154毫秒', '0', '', '2024-12-24 16:59:44');
INSERT INTO `sys_job_log` VALUES (12112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 16:59:49');
INSERT INTO `sys_job_log` VALUES (12113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3680毫秒', '0', '', '2024-12-24 16:59:49');
INSERT INTO `sys_job_log` VALUES (12114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15473毫秒', '0', '', '2024-12-24 16:59:53');
INSERT INTO `sys_job_log` VALUES (12115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 16:59:54');
INSERT INTO `sys_job_log` VALUES (12116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 16:59:59');
INSERT INTO `sys_job_log` VALUES (12117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：216毫秒', '0', '', '2024-12-24 16:59:59');
INSERT INTO `sys_job_log` VALUES (12118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：213毫秒', '0', '', '2024-12-24 17:00:04');
INSERT INTO `sys_job_log` VALUES (12119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4274毫秒', '0', '', '2024-12-24 17:00:05');
INSERT INTO `sys_job_log` VALUES (12120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15541毫秒', '0', '', '2024-12-24 17:00:08');
INSERT INTO `sys_job_log` VALUES (12121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 17:00:09');
INSERT INTO `sys_job_log` VALUES (12122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:00:14');
INSERT INTO `sys_job_log` VALUES (12123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：221毫秒', '0', '', '2024-12-24 17:00:14');
INSERT INTO `sys_job_log` VALUES (12124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 17:00:19');
INSERT INTO `sys_job_log` VALUES (12125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3652毫秒', '0', '', '2024-12-24 17:00:19');
INSERT INTO `sys_job_log` VALUES (12126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15473毫秒', '0', '', '2024-12-24 17:00:24');
INSERT INTO `sys_job_log` VALUES (12127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-24 17:00:24');
INSERT INTO `sys_job_log` VALUES (12128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：146毫秒', '0', '', '2024-12-24 17:00:29');
INSERT INTO `sys_job_log` VALUES (12129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:00:29');
INSERT INTO `sys_job_log` VALUES (12130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:00:34');
INSERT INTO `sys_job_log` VALUES (12131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4128毫秒', '0', '', '2024-12-24 17:00:35');
INSERT INTO `sys_job_log` VALUES (12132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15456毫秒', '0', '', '2024-12-24 17:00:39');
INSERT INTO `sys_job_log` VALUES (12133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：214毫秒', '0', '', '2024-12-24 17:00:39');
INSERT INTO `sys_job_log` VALUES (12134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：160毫秒', '0', '', '2024-12-24 17:00:44');
INSERT INTO `sys_job_log` VALUES (12135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-24 17:00:44');
INSERT INTO `sys_job_log` VALUES (12136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3569毫秒', '0', '', '2024-12-24 17:00:49');
INSERT INTO `sys_job_log` VALUES (12137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 17:00:49');
INSERT INTO `sys_job_log` VALUES (12138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 17:00:54');
INSERT INTO `sys_job_log` VALUES (12139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15551毫秒', '0', '', '2024-12-24 17:00:55');
INSERT INTO `sys_job_log` VALUES (12140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2024-12-24 17:00:59');
INSERT INTO `sys_job_log` VALUES (12141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：157毫秒', '0', '', '2024-12-24 17:00:59');
INSERT INTO `sys_job_log` VALUES (12142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 17:01:04');
INSERT INTO `sys_job_log` VALUES (12143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4045毫秒', '0', '', '2024-12-24 17:01:05');
INSERT INTO `sys_job_log` VALUES (12144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：207毫秒', '0', '', '2024-12-24 17:01:09');
INSERT INTO `sys_job_log` VALUES (12145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15453毫秒', '0', '', '2024-12-24 17:01:10');
INSERT INTO `sys_job_log` VALUES (12146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 17:01:14');
INSERT INTO `sys_job_log` VALUES (12147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：222毫秒', '0', '', '2024-12-24 17:01:14');
INSERT INTO `sys_job_log` VALUES (12148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3468毫秒', '0', '', '2024-12-24 17:01:19');
INSERT INTO `sys_job_log` VALUES (12149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：183毫秒', '0', '', '2024-12-24 17:01:19');
INSERT INTO `sys_job_log` VALUES (12150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:01:24');
INSERT INTO `sys_job_log` VALUES (12151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15467毫秒', '0', '', '2024-12-24 17:01:26');
INSERT INTO `sys_job_log` VALUES (12152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:01:29');
INSERT INTO `sys_job_log` VALUES (12153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：236毫秒', '0', '', '2024-12-24 17:01:29');
INSERT INTO `sys_job_log` VALUES (12154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 17:01:34');
INSERT INTO `sys_job_log` VALUES (12155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3897毫秒', '0', '', '2024-12-24 17:01:35');
INSERT INTO `sys_job_log` VALUES (12156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-24 17:01:39');
INSERT INTO `sys_job_log` VALUES (12157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15445毫秒', '0', '', '2024-12-24 17:01:41');
INSERT INTO `sys_job_log` VALUES (12158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：137毫秒', '0', '', '2024-12-24 17:01:44');
INSERT INTO `sys_job_log` VALUES (12159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-24 17:01:44');
INSERT INTO `sys_job_log` VALUES (12160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：250毫秒', '0', '', '2024-12-24 17:01:49');
INSERT INTO `sys_job_log` VALUES (12161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4379毫秒', '0', '', '2024-12-24 17:01:50');
INSERT INTO `sys_job_log` VALUES (12162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 17:01:54');
INSERT INTO `sys_job_log` VALUES (12163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15459毫秒', '0', '', '2024-12-24 17:01:57');
INSERT INTO `sys_job_log` VALUES (12164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：111毫秒', '0', '', '2024-12-24 17:01:59');
INSERT INTO `sys_job_log` VALUES (12165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：284毫秒', '0', '', '2024-12-24 17:01:59');
INSERT INTO `sys_job_log` VALUES (12166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-24 17:02:04');
INSERT INTO `sys_job_log` VALUES (12167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3752毫秒', '0', '', '2024-12-24 17:02:05');
INSERT INTO `sys_job_log` VALUES (12168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 17:02:09');
INSERT INTO `sys_job_log` VALUES (12169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15462毫秒', '0', '', '2024-12-24 17:02:12');
INSERT INTO `sys_job_log` VALUES (12170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 17:02:14');
INSERT INTO `sys_job_log` VALUES (12171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：140毫秒', '0', '', '2024-12-24 17:02:14');
INSERT INTO `sys_job_log` VALUES (12172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：206毫秒', '0', '', '2024-12-24 17:02:19');
INSERT INTO `sys_job_log` VALUES (12173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4222毫秒', '0', '', '2024-12-24 17:02:20');
INSERT INTO `sys_job_log` VALUES (12174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 17:02:24');
INSERT INTO `sys_job_log` VALUES (12175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15450毫秒', '0', '', '2024-12-24 17:02:28');
INSERT INTO `sys_job_log` VALUES (12176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：150毫秒', '0', '', '2024-12-24 17:02:29');
INSERT INTO `sys_job_log` VALUES (12177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：149毫秒', '0', '', '2024-12-24 17:02:29');
INSERT INTO `sys_job_log` VALUES (12178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3591毫秒', '0', '', '2024-12-24 17:02:34');
INSERT INTO `sys_job_log` VALUES (12179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-24 17:02:34');
INSERT INTO `sys_job_log` VALUES (12180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-24 17:02:39');
INSERT INTO `sys_job_log` VALUES (12181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15463毫秒', '0', '', '2024-12-24 17:02:43');
INSERT INTO `sys_job_log` VALUES (12182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：145毫秒', '0', '', '2024-12-24 17:02:44');
INSERT INTO `sys_job_log` VALUES (12183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：210毫秒', '0', '', '2024-12-24 17:02:44');
INSERT INTO `sys_job_log` VALUES (12184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 17:02:49');
INSERT INTO `sys_job_log` VALUES (12185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4064毫秒', '0', '', '2024-12-24 17:02:50');
INSERT INTO `sys_job_log` VALUES (12186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 17:02:54');
INSERT INTO `sys_job_log` VALUES (12187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15455毫秒', '0', '', '2024-12-24 17:02:59');
INSERT INTO `sys_job_log` VALUES (12188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 17:02:59');
INSERT INTO `sys_job_log` VALUES (12189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '0', '', '2024-12-24 17:02:59');
INSERT INTO `sys_job_log` VALUES (12190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3437毫秒', '0', '', '2024-12-24 17:03:04');
INSERT INTO `sys_job_log` VALUES (12191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:03:04');
INSERT INTO `sys_job_log` VALUES (12192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2024-12-24 17:03:09');
INSERT INTO `sys_job_log` VALUES (12193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15463毫秒', '0', '', '2024-12-24 17:03:14');
INSERT INTO `sys_job_log` VALUES (12194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：146毫秒', '0', '', '2024-12-24 17:03:14');
INSERT INTO `sys_job_log` VALUES (12195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:03:14');
INSERT INTO `sys_job_log` VALUES (12196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:03:19');
INSERT INTO `sys_job_log` VALUES (12197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4019毫秒', '0', '', '2024-12-24 17:03:20');
INSERT INTO `sys_job_log` VALUES (12198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 17:03:24');
INSERT INTO `sys_job_log` VALUES (12199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15558毫秒', '0', '', '2024-12-24 17:03:30');
INSERT INTO `sys_job_log` VALUES (12200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4505毫秒', '0', '', '2024-12-24 17:03:35');
INSERT INTO `sys_job_log` VALUES (12201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19060毫秒', '0', '', '2024-12-24 17:03:48');
INSERT INTO `sys_job_log` VALUES (12202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19131毫秒', '0', '', '2024-12-24 17:03:48');
INSERT INTO `sys_job_log` VALUES (12203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：138毫秒', '0', '', '2024-12-24 17:03:48');
INSERT INTO `sys_job_log` VALUES (12204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：215毫秒', '0', '', '2024-12-24 17:03:49');
INSERT INTO `sys_job_log` VALUES (12205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：151毫秒', '0', '', '2024-12-24 17:03:49');
INSERT INTO `sys_job_log` VALUES (12206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：205毫秒', '0', '', '2024-12-24 17:03:49');
INSERT INTO `sys_job_log` VALUES (12207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 17:03:49');
INSERT INTO `sys_job_log` VALUES (12208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3272毫秒', '0', '', '2024-12-24 17:03:51');
INSERT INTO `sys_job_log` VALUES (12209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4274毫秒', '0', '', '2024-12-24 17:03:52');
INSERT INTO `sys_job_log` VALUES (12210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 17:03:54');
INSERT INTO `sys_job_log` VALUES (12211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-24 17:03:59');
INSERT INTO `sys_job_log` VALUES (12212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：177毫秒', '0', '', '2024-12-24 17:03:59');
INSERT INTO `sys_job_log` VALUES (12213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-24 17:04:04');
INSERT INTO `sys_job_log` VALUES (12214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4051毫秒', '0', '', '2024-12-24 17:04:05');
INSERT INTO `sys_job_log` VALUES (12215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15271毫秒', '0', '', '2024-12-24 17:04:07');
INSERT INTO `sys_job_log` VALUES (12216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：196毫秒', '0', '', '2024-12-24 17:04:09');
INSERT INTO `sys_job_log` VALUES (12217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：128毫秒', '0', '', '2024-12-24 17:04:14');
INSERT INTO `sys_job_log` VALUES (12218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：190毫秒', '0', '', '2024-12-24 17:04:14');
INSERT INTO `sys_job_log` VALUES (12219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3406毫秒', '0', '', '2024-12-24 17:04:19');
INSERT INTO `sys_job_log` VALUES (12220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：182毫秒', '0', '', '2024-12-24 17:04:19');
INSERT INTO `sys_job_log` VALUES (12221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15469毫秒', '0', '', '2024-12-24 17:04:22');
INSERT INTO `sys_job_log` VALUES (12222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2024-12-24 17:04:24');
INSERT INTO `sys_job_log` VALUES (12223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:04:29');
INSERT INTO `sys_job_log` VALUES (12224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：221毫秒', '0', '', '2024-12-24 17:04:29');
INSERT INTO `sys_job_log` VALUES (12225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 17:04:34');
INSERT INTO `sys_job_log` VALUES (12226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4090毫秒', '0', '', '2024-12-24 17:04:35');
INSERT INTO `sys_job_log` VALUES (12227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15656毫秒', '0', '', '2024-12-24 17:04:38');
INSERT INTO `sys_job_log` VALUES (12228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-24 17:04:39');
INSERT INTO `sys_job_log` VALUES (12229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：133毫秒', '0', '', '2024-12-24 17:04:44');
INSERT INTO `sys_job_log` VALUES (12230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：201毫秒', '0', '', '2024-12-24 17:04:44');
INSERT INTO `sys_job_log` VALUES (12231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3580毫秒', '0', '', '2024-12-24 17:04:49');
INSERT INTO `sys_job_log` VALUES (12232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 17:04:49');
INSERT INTO `sys_job_log` VALUES (12233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15543毫秒', '0', '', '2024-12-24 17:04:54');
INSERT INTO `sys_job_log` VALUES (12234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 17:04:54');
INSERT INTO `sys_job_log` VALUES (12235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:04:59');
INSERT INTO `sys_job_log` VALUES (12236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：229毫秒', '0', '', '2024-12-24 17:04:59');
INSERT INTO `sys_job_log` VALUES (12237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：138毫秒', '0', '', '2024-12-24 17:05:04');
INSERT INTO `sys_job_log` VALUES (12238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4042毫秒', '0', '', '2024-12-24 17:05:05');
INSERT INTO `sys_job_log` VALUES (12239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15471毫秒', '0', '', '2024-12-24 17:05:09');
INSERT INTO `sys_job_log` VALUES (12240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-24 17:05:09');
INSERT INTO `sys_job_log` VALUES (12241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 17:05:14');
INSERT INTO `sys_job_log` VALUES (12242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：204毫秒', '0', '', '2024-12-24 17:05:14');
INSERT INTO `sys_job_log` VALUES (12243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3513毫秒', '0', '', '2024-12-24 17:05:19');
INSERT INTO `sys_job_log` VALUES (12244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-24 17:05:19');
INSERT INTO `sys_job_log` VALUES (12245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2024-12-24 17:05:24');
INSERT INTO `sys_job_log` VALUES (12246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15545毫秒', '0', '', '2024-12-24 17:05:25');
INSERT INTO `sys_job_log` VALUES (12247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:05:29');
INSERT INTO `sys_job_log` VALUES (12248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：229毫秒', '0', '', '2024-12-24 17:05:29');
INSERT INTO `sys_job_log` VALUES (12249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：149毫秒', '0', '', '2024-12-24 17:05:34');
INSERT INTO `sys_job_log` VALUES (12250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3975毫秒', '0', '', '2024-12-24 17:05:35');
INSERT INTO `sys_job_log` VALUES (12251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：210毫秒', '0', '', '2024-12-24 17:05:39');
INSERT INTO `sys_job_log` VALUES (12252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15471毫秒', '0', '', '2024-12-24 17:05:40');
INSERT INTO `sys_job_log` VALUES (12253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2024-12-24 17:05:44');
INSERT INTO `sys_job_log` VALUES (12254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：213毫秒', '0', '', '2024-12-24 17:05:44');
INSERT INTO `sys_job_log` VALUES (12255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3456毫秒', '0', '', '2024-12-24 17:05:49');
INSERT INTO `sys_job_log` VALUES (12256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：235毫秒', '0', '', '2024-12-24 17:05:49');
INSERT INTO `sys_job_log` VALUES (12257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2024-12-24 17:05:54');
INSERT INTO `sys_job_log` VALUES (12258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15566毫秒', '0', '', '2024-12-24 17:05:56');
INSERT INTO `sys_job_log` VALUES (12259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 17:05:59');
INSERT INTO `sys_job_log` VALUES (12260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-24 17:05:59');
INSERT INTO `sys_job_log` VALUES (12261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 17:06:04');
INSERT INTO `sys_job_log` VALUES (12262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4031毫秒', '0', '', '2024-12-24 17:06:05');
INSERT INTO `sys_job_log` VALUES (12263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：190毫秒', '0', '', '2024-12-24 17:06:09');
INSERT INTO `sys_job_log` VALUES (12264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15550毫秒', '0', '', '2024-12-24 17:06:11');
INSERT INTO `sys_job_log` VALUES (12265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：124毫秒', '0', '', '2024-12-24 17:06:14');
INSERT INTO `sys_job_log` VALUES (12266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 17:06:14');
INSERT INTO `sys_job_log` VALUES (12267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：201毫秒', '0', '', '2024-12-24 17:06:19');
INSERT INTO `sys_job_log` VALUES (12268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4515毫秒', '0', '', '2024-12-24 17:06:20');
INSERT INTO `sys_job_log` VALUES (12269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2024-12-24 17:06:24');
INSERT INTO `sys_job_log` VALUES (12270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15452毫秒', '0', '', '2024-12-24 17:06:27');
INSERT INTO `sys_job_log` VALUES (12271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 17:06:29');
INSERT INTO `sys_job_log` VALUES (12272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：230毫秒', '0', '', '2024-12-24 17:06:29');
INSERT INTO `sys_job_log` VALUES (12273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：149毫秒', '0', '', '2024-12-24 17:06:34');
INSERT INTO `sys_job_log` VALUES (12274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3983毫秒', '0', '', '2024-12-24 17:06:35');
INSERT INTO `sys_job_log` VALUES (12275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 17:06:39');
INSERT INTO `sys_job_log` VALUES (12276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15554毫秒', '0', '', '2024-12-24 17:06:42');
INSERT INTO `sys_job_log` VALUES (12277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 17:06:44');
INSERT INTO `sys_job_log` VALUES (12278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：198毫秒', '0', '', '2024-12-24 17:06:44');
INSERT INTO `sys_job_log` VALUES (12279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：196毫秒', '0', '', '2024-12-24 17:06:49');
INSERT INTO `sys_job_log` VALUES (12280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4556毫秒', '0', '', '2024-12-24 17:06:50');
INSERT INTO `sys_job_log` VALUES (12281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-24 17:06:54');
INSERT INTO `sys_job_log` VALUES (12282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15541毫秒', '0', '', '2024-12-24 17:06:58');
INSERT INTO `sys_job_log` VALUES (12283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-24 17:06:59');
INSERT INTO `sys_job_log` VALUES (12284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '0', '', '2024-12-24 17:06:59');
INSERT INTO `sys_job_log` VALUES (12285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2024-12-24 17:07:04');
INSERT INTO `sys_job_log` VALUES (12286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3919毫秒', '0', '', '2024-12-24 17:07:05');
INSERT INTO `sys_job_log` VALUES (12287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：197毫秒', '0', '', '2024-12-24 17:07:09');
INSERT INTO `sys_job_log` VALUES (12288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15465毫秒', '0', '', '2024-12-24 17:07:14');
INSERT INTO `sys_job_log` VALUES (12289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：126毫秒', '0', '', '2024-12-24 17:07:14');
INSERT INTO `sys_job_log` VALUES (12290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：186毫秒', '0', '', '2024-12-24 17:07:14');
INSERT INTO `sys_job_log` VALUES (12291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2024-12-24 17:07:19');
INSERT INTO `sys_job_log` VALUES (12292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4495毫秒', '0', '', '2024-12-24 17:07:20');
INSERT INTO `sys_job_log` VALUES (12293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 17:07:24');
INSERT INTO `sys_job_log` VALUES (12294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15546毫秒', '0', '', '2024-12-24 17:07:29');
INSERT INTO `sys_job_log` VALUES (12295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:07:29');
INSERT INTO `sys_job_log` VALUES (12296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：220毫秒', '0', '', '2024-12-24 17:07:29');
INSERT INTO `sys_job_log` VALUES (12297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2024-12-24 17:07:34');
INSERT INTO `sys_job_log` VALUES (12298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3871毫秒', '0', '', '2024-12-24 17:07:35');
INSERT INTO `sys_job_log` VALUES (12299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 17:07:39');
INSERT INTO `sys_job_log` VALUES (12300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：139毫秒', '0', '', '2024-12-24 17:07:44');
INSERT INTO `sys_job_log` VALUES (12301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2024-12-24 17:07:44');
INSERT INTO `sys_job_log` VALUES (12302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15472毫秒', '0', '', '2024-12-24 17:07:45');
INSERT INTO `sys_job_log` VALUES (12303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2024-12-24 17:07:49');
INSERT INTO `sys_job_log` VALUES (12304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4330毫秒', '0', '', '2024-12-24 17:07:50');
INSERT INTO `sys_job_log` VALUES (12305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：207毫秒', '0', '', '2024-12-24 17:07:54');
INSERT INTO `sys_job_log` VALUES (12306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2024-12-24 17:07:59');
INSERT INTO `sys_job_log` VALUES (12307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：211毫秒', '0', '', '2024-12-24 17:07:59');
INSERT INTO `sys_job_log` VALUES (12308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15448毫秒', '0', '', '2024-12-24 17:08:00');
INSERT INTO `sys_job_log` VALUES (12309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：210毫秒', '0', '', '2024-12-24 17:08:04');
INSERT INTO `sys_job_log` VALUES (12310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3711毫秒', '0', '', '2024-12-24 17:08:04');
INSERT INTO `sys_job_log` VALUES (12311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 17:08:09');
INSERT INTO `sys_job_log` VALUES (12312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:08:14');
INSERT INTO `sys_job_log` VALUES (12313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-24 17:08:14');
INSERT INTO `sys_job_log` VALUES (12314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15467毫秒', '0', '', '2024-12-24 17:08:16');
INSERT INTO `sys_job_log` VALUES (12315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 17:08:19');
INSERT INTO `sys_job_log` VALUES (12316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4270毫秒', '0', '', '2024-12-24 17:08:20');
INSERT INTO `sys_job_log` VALUES (12317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：190毫秒', '0', '', '2024-12-24 17:08:24');
INSERT INTO `sys_job_log` VALUES (12318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：146毫秒', '0', '', '2024-12-24 17:08:29');
INSERT INTO `sys_job_log` VALUES (12319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 17:08:29');
INSERT INTO `sys_job_log` VALUES (12320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15547毫秒', '0', '', '2024-12-24 17:08:31');
INSERT INTO `sys_job_log` VALUES (12321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 17:08:34');
INSERT INTO `sys_job_log` VALUES (12322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3643毫秒', '0', '', '2024-12-24 17:08:34');
INSERT INTO `sys_job_log` VALUES (12323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 17:08:39');
INSERT INTO `sys_job_log` VALUES (12324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：137毫秒', '0', '', '2024-12-24 17:08:44');
INSERT INTO `sys_job_log` VALUES (12325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2024-12-24 17:08:44');
INSERT INTO `sys_job_log` VALUES (12326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：195毫秒', '0', '', '2024-12-24 17:08:49');
INSERT INTO `sys_job_log` VALUES (12327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2548毫秒', '0', '', '2024-12-24 17:08:53');
INSERT INTO `sys_job_log` VALUES (12328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-24 17:08:54');
INSERT INTO `sys_job_log` VALUES (12329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:08:59');
INSERT INTO `sys_job_log` VALUES (12330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：237毫秒', '0', '', '2024-12-24 17:08:59');
INSERT INTO `sys_job_log` VALUES (12331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：148毫秒', '0', '', '2024-12-24 17:09:04');
INSERT INTO `sys_job_log` VALUES (12332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3886毫秒', '0', '', '2024-12-24 17:09:05');
INSERT INTO `sys_job_log` VALUES (12333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：181毫秒', '0', '', '2024-12-24 17:09:09');
INSERT INTO `sys_job_log` VALUES (12334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15525毫秒', '0', '', '2024-12-24 17:09:11');
INSERT INTO `sys_job_log` VALUES (12335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 17:09:14');
INSERT INTO `sys_job_log` VALUES (12336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：220毫秒', '0', '', '2024-12-24 17:09:14');
INSERT INTO `sys_job_log` VALUES (12337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-24 17:09:19');
INSERT INTO `sys_job_log` VALUES (12338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 17:09:24');
INSERT INTO `sys_job_log` VALUES (12339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:09:29');
INSERT INTO `sys_job_log` VALUES (12340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：231毫秒', '0', '', '2024-12-24 17:09:29');
INSERT INTO `sys_job_log` VALUES (12341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 17:09:34');
INSERT INTO `sys_job_log` VALUES (12342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 17:09:39');
INSERT INTO `sys_job_log` VALUES (12343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2024-12-24 17:09:44');
INSERT INTO `sys_job_log` VALUES (12344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：152毫秒', '0', '', '2024-12-24 17:09:44');
INSERT INTO `sys_job_log` VALUES (12345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-24 17:09:49');
INSERT INTO `sys_job_log` VALUES (12346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：196毫秒', '0', '', '2024-12-24 17:09:54');
INSERT INTO `sys_job_log` VALUES (12347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-24 17:09:59');
INSERT INTO `sys_job_log` VALUES (12348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：143毫秒', '0', '', '2024-12-24 17:09:59');
INSERT INTO `sys_job_log` VALUES (12349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-24 17:10:04');
INSERT INTO `sys_job_log` VALUES (12350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：199毫秒', '0', '', '2024-12-24 17:10:09');
INSERT INTO `sys_job_log` VALUES (12351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：170毫秒', '0', '', '2024-12-24 17:10:14');
INSERT INTO `sys_job_log` VALUES (12352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-24 17:10:14');
INSERT INTO `sys_job_log` VALUES (12353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 17:10:19');
INSERT INTO `sys_job_log` VALUES (12354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：200毫秒', '0', '', '2024-12-24 17:10:24');
INSERT INTO `sys_job_log` VALUES (12355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：146毫秒', '0', '', '2024-12-24 17:10:29');
INSERT INTO `sys_job_log` VALUES (12356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-24 17:10:29');
INSERT INTO `sys_job_log` VALUES (12357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-24 17:10:34');
INSERT INTO `sys_job_log` VALUES (12358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：151毫秒', '0', '', '2024-12-24 17:10:39');
INSERT INTO `sys_job_log` VALUES (12359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 17:10:44');
INSERT INTO `sys_job_log` VALUES (12360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：235毫秒', '0', '', '2024-12-24 17:10:44');
INSERT INTO `sys_job_log` VALUES (12361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-24 17:10:49');
INSERT INTO `sys_job_log` VALUES (12362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：190毫秒', '0', '', '2024-12-24 17:10:54');
INSERT INTO `sys_job_log` VALUES (12363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：140毫秒', '0', '', '2024-12-24 17:10:59');
INSERT INTO `sys_job_log` VALUES (12364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 17:10:59');
INSERT INTO `sys_job_log` VALUES (12365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：148毫秒', '0', '', '2024-12-24 17:11:04');
INSERT INTO `sys_job_log` VALUES (12366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2024-12-24 17:11:09');
INSERT INTO `sys_job_log` VALUES (12367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 17:11:14');
INSERT INTO `sys_job_log` VALUES (12368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：156毫秒', '0', '', '2024-12-24 17:11:14');
INSERT INTO `sys_job_log` VALUES (12369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：138毫秒', '0', '', '2024-12-24 17:11:19');
INSERT INTO `sys_job_log` VALUES (12370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2024-12-24 17:11:24');
INSERT INTO `sys_job_log` VALUES (12371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2024-12-24 17:11:29');
INSERT INTO `sys_job_log` VALUES (12372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：212毫秒', '0', '', '2024-12-24 17:11:29');
INSERT INTO `sys_job_log` VALUES (12373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：198毫秒', '0', '', '2024-12-24 17:11:34');
INSERT INTO `sys_job_log` VALUES (12374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2024-12-24 17:11:39');
INSERT INTO `sys_job_log` VALUES (12375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:11:44');
INSERT INTO `sys_job_log` VALUES (12376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-24 17:11:44');
INSERT INTO `sys_job_log` VALUES (12377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：155毫秒', '0', '', '2024-12-24 17:11:49');
INSERT INTO `sys_job_log` VALUES (12378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：187毫秒', '0', '', '2024-12-24 17:11:54');
INSERT INTO `sys_job_log` VALUES (12379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 17:11:59');
INSERT INTO `sys_job_log` VALUES (12380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：209毫秒', '0', '', '2024-12-24 17:11:59');
INSERT INTO `sys_job_log` VALUES (12381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：212毫秒', '0', '', '2024-12-24 17:12:04');
INSERT INTO `sys_job_log` VALUES (12382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-24 17:12:09');
INSERT INTO `sys_job_log` VALUES (12383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:12:14');
INSERT INTO `sys_job_log` VALUES (12384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:12:14');
INSERT INTO `sys_job_log` VALUES (12385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:12:19');
INSERT INTO `sys_job_log` VALUES (12386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:12:24');
INSERT INTO `sys_job_log` VALUES (12387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:12:29');
INSERT INTO `sys_job_log` VALUES (12388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 17:12:29');
INSERT INTO `sys_job_log` VALUES (12389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:12:34');
INSERT INTO `sys_job_log` VALUES (12390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:12:39');
INSERT INTO `sys_job_log` VALUES (12391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:12:44');
INSERT INTO `sys_job_log` VALUES (12392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:12:44');
INSERT INTO `sys_job_log` VALUES (12393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:12:49');
INSERT INTO `sys_job_log` VALUES (12394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:12:54');
INSERT INTO `sys_job_log` VALUES (12395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:12:59');
INSERT INTO `sys_job_log` VALUES (12396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:12:59');
INSERT INTO `sys_job_log` VALUES (12397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:13:04');
INSERT INTO `sys_job_log` VALUES (12398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:13:09');
INSERT INTO `sys_job_log` VALUES (12399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:13:14');
INSERT INTO `sys_job_log` VALUES (12400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:13:14');
INSERT INTO `sys_job_log` VALUES (12401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:13:19');
INSERT INTO `sys_job_log` VALUES (12402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:13:24');
INSERT INTO `sys_job_log` VALUES (12403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:13:29');
INSERT INTO `sys_job_log` VALUES (12404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:13:29');
INSERT INTO `sys_job_log` VALUES (12405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:13:34');
INSERT INTO `sys_job_log` VALUES (12406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:13:39');
INSERT INTO `sys_job_log` VALUES (12407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:13:44');
INSERT INTO `sys_job_log` VALUES (12408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 17:13:44');
INSERT INTO `sys_job_log` VALUES (12409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:13:49');
INSERT INTO `sys_job_log` VALUES (12410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:13:54');
INSERT INTO `sys_job_log` VALUES (12411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:13:59');
INSERT INTO `sys_job_log` VALUES (12412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:13:59');
INSERT INTO `sys_job_log` VALUES (12413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:14:04');
INSERT INTO `sys_job_log` VALUES (12414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:14:09');
INSERT INTO `sys_job_log` VALUES (12415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:14:14');
INSERT INTO `sys_job_log` VALUES (12416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:14:14');
INSERT INTO `sys_job_log` VALUES (12417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:14:19');
INSERT INTO `sys_job_log` VALUES (12418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:14:24');
INSERT INTO `sys_job_log` VALUES (12419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:14:29');
INSERT INTO `sys_job_log` VALUES (12420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:14:29');
INSERT INTO `sys_job_log` VALUES (12421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:14:34');
INSERT INTO `sys_job_log` VALUES (12422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:14:39');
INSERT INTO `sys_job_log` VALUES (12423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:14:44');
INSERT INTO `sys_job_log` VALUES (12424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:14:44');
INSERT INTO `sys_job_log` VALUES (12425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:14:49');
INSERT INTO `sys_job_log` VALUES (12426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:14:54');
INSERT INTO `sys_job_log` VALUES (12427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:14:59');
INSERT INTO `sys_job_log` VALUES (12428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:14:59');
INSERT INTO `sys_job_log` VALUES (12429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:15:04');
INSERT INTO `sys_job_log` VALUES (12430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:15:09');
INSERT INTO `sys_job_log` VALUES (12431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:15:14');
INSERT INTO `sys_job_log` VALUES (12432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 17:15:14');
INSERT INTO `sys_job_log` VALUES (12433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:15:19');
INSERT INTO `sys_job_log` VALUES (12434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:15:24');
INSERT INTO `sys_job_log` VALUES (12435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:15:29');
INSERT INTO `sys_job_log` VALUES (12436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:15:29');
INSERT INTO `sys_job_log` VALUES (12437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:15:34');
INSERT INTO `sys_job_log` VALUES (12438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:15:39');
INSERT INTO `sys_job_log` VALUES (12439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:15:44');
INSERT INTO `sys_job_log` VALUES (12440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:15:44');
INSERT INTO `sys_job_log` VALUES (12441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:15:49');
INSERT INTO `sys_job_log` VALUES (12442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:15:54');
INSERT INTO `sys_job_log` VALUES (12443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:15:59');
INSERT INTO `sys_job_log` VALUES (12444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 17:15:59');
INSERT INTO `sys_job_log` VALUES (12445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:16:04');
INSERT INTO `sys_job_log` VALUES (12446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:16:09');
INSERT INTO `sys_job_log` VALUES (12447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:16:14');
INSERT INTO `sys_job_log` VALUES (12448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:16:14');
INSERT INTO `sys_job_log` VALUES (12449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 17:16:19');
INSERT INTO `sys_job_log` VALUES (12450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:16:24');
INSERT INTO `sys_job_log` VALUES (12451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:16:29');
INSERT INTO `sys_job_log` VALUES (12452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:16:29');
INSERT INTO `sys_job_log` VALUES (12453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:16:34');
INSERT INTO `sys_job_log` VALUES (12454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 17:16:39');
INSERT INTO `sys_job_log` VALUES (12455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:16:44');
INSERT INTO `sys_job_log` VALUES (12456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:16:44');
INSERT INTO `sys_job_log` VALUES (12457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:16:49');
INSERT INTO `sys_job_log` VALUES (12458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:16:54');
INSERT INTO `sys_job_log` VALUES (12459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:16:59');
INSERT INTO `sys_job_log` VALUES (12460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:16:59');
INSERT INTO `sys_job_log` VALUES (12461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:17:04');
INSERT INTO `sys_job_log` VALUES (12462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:17:09');
INSERT INTO `sys_job_log` VALUES (12463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:17:14');
INSERT INTO `sys_job_log` VALUES (12464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 17:17:14');
INSERT INTO `sys_job_log` VALUES (12465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:17:19');
INSERT INTO `sys_job_log` VALUES (12466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:17:24');
INSERT INTO `sys_job_log` VALUES (12467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:17:29');
INSERT INTO `sys_job_log` VALUES (12468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:17:29');
INSERT INTO `sys_job_log` VALUES (12469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:17:34');
INSERT INTO `sys_job_log` VALUES (12470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:17:39');
INSERT INTO `sys_job_log` VALUES (12471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:17:44');
INSERT INTO `sys_job_log` VALUES (12472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:17:44');
INSERT INTO `sys_job_log` VALUES (12473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:17:49');
INSERT INTO `sys_job_log` VALUES (12474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:17:54');
INSERT INTO `sys_job_log` VALUES (12475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:17:59');
INSERT INTO `sys_job_log` VALUES (12476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 17:17:59');
INSERT INTO `sys_job_log` VALUES (12477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:18:04');
INSERT INTO `sys_job_log` VALUES (12478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:18:09');
INSERT INTO `sys_job_log` VALUES (12479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:18:14');
INSERT INTO `sys_job_log` VALUES (12480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:18:14');
INSERT INTO `sys_job_log` VALUES (12481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:18:19');
INSERT INTO `sys_job_log` VALUES (12482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:18:24');
INSERT INTO `sys_job_log` VALUES (12483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 17:18:29');
INSERT INTO `sys_job_log` VALUES (12484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:18:29');
INSERT INTO `sys_job_log` VALUES (12485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:18:34');
INSERT INTO `sys_job_log` VALUES (12486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:18:39');
INSERT INTO `sys_job_log` VALUES (12487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:18:44');
INSERT INTO `sys_job_log` VALUES (12488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:18:44');
INSERT INTO `sys_job_log` VALUES (12489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 17:18:49');
INSERT INTO `sys_job_log` VALUES (12490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:18:54');
INSERT INTO `sys_job_log` VALUES (12491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:18:59');
INSERT INTO `sys_job_log` VALUES (12492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 17:18:59');
INSERT INTO `sys_job_log` VALUES (12493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:19:04');
INSERT INTO `sys_job_log` VALUES (12494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:19:09');
INSERT INTO `sys_job_log` VALUES (12495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:19:14');
INSERT INTO `sys_job_log` VALUES (12496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:19:14');
INSERT INTO `sys_job_log` VALUES (12497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:19:19');
INSERT INTO `sys_job_log` VALUES (12498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:19:24');
INSERT INTO `sys_job_log` VALUES (12499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:19:29');
INSERT INTO `sys_job_log` VALUES (12500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:19:29');
INSERT INTO `sys_job_log` VALUES (12501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:19:34');
INSERT INTO `sys_job_log` VALUES (12502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:19:39');
INSERT INTO `sys_job_log` VALUES (12503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:19:44');
INSERT INTO `sys_job_log` VALUES (12504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:19:44');
INSERT INTO `sys_job_log` VALUES (12505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:19:49');
INSERT INTO `sys_job_log` VALUES (12506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:19:54');
INSERT INTO `sys_job_log` VALUES (12507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:19:59');
INSERT INTO `sys_job_log` VALUES (12508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2024-12-24 17:19:59');
INSERT INTO `sys_job_log` VALUES (12509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:20:04');
INSERT INTO `sys_job_log` VALUES (12510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 17:20:09');
INSERT INTO `sys_job_log` VALUES (12511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:20:14');
INSERT INTO `sys_job_log` VALUES (12512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19254毫秒', '0', '', '2024-12-24 17:20:33');
INSERT INTO `sys_job_log` VALUES (12513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14309毫秒', '0', '', '2024-12-24 17:20:34');
INSERT INTO `sys_job_log` VALUES (12514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:20:34');
INSERT INTO `sys_job_log` VALUES (12515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：137毫秒', '0', '', '2024-12-24 17:20:34');
INSERT INTO `sys_job_log` VALUES (12516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-24 17:20:34');
INSERT INTO `sys_job_log` VALUES (12517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:20:34');
INSERT INTO `sys_job_log` VALUES (12518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:20:39');
INSERT INTO `sys_job_log` VALUES (12519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:20:44');
INSERT INTO `sys_job_log` VALUES (12520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:20:44');
INSERT INTO `sys_job_log` VALUES (12521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:20:49');
INSERT INTO `sys_job_log` VALUES (12522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:20:54');
INSERT INTO `sys_job_log` VALUES (12523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:20:59');
INSERT INTO `sys_job_log` VALUES (12524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:20:59');
INSERT INTO `sys_job_log` VALUES (12525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:21:04');
INSERT INTO `sys_job_log` VALUES (12526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:21:09');
INSERT INTO `sys_job_log` VALUES (12527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:21:14');
INSERT INTO `sys_job_log` VALUES (12528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:21:14');
INSERT INTO `sys_job_log` VALUES (12529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:21:19');
INSERT INTO `sys_job_log` VALUES (12530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:21:24');
INSERT INTO `sys_job_log` VALUES (12531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:21:29');
INSERT INTO `sys_job_log` VALUES (12532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 17:21:29');
INSERT INTO `sys_job_log` VALUES (12533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:21:34');
INSERT INTO `sys_job_log` VALUES (12534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:21:39');
INSERT INTO `sys_job_log` VALUES (12535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:21:44');
INSERT INTO `sys_job_log` VALUES (12536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:21:44');
INSERT INTO `sys_job_log` VALUES (12537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:21:49');
INSERT INTO `sys_job_log` VALUES (12538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:21:54');
INSERT INTO `sys_job_log` VALUES (12539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:21:59');
INSERT INTO `sys_job_log` VALUES (12540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 17:21:59');
INSERT INTO `sys_job_log` VALUES (12541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:22:04');
INSERT INTO `sys_job_log` VALUES (12542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:22:09');
INSERT INTO `sys_job_log` VALUES (12543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:22:14');
INSERT INTO `sys_job_log` VALUES (12544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 17:22:14');
INSERT INTO `sys_job_log` VALUES (12545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:22:19');
INSERT INTO `sys_job_log` VALUES (12546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:22:24');
INSERT INTO `sys_job_log` VALUES (12547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:22:29');
INSERT INTO `sys_job_log` VALUES (12548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:22:29');
INSERT INTO `sys_job_log` VALUES (12549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:22:34');
INSERT INTO `sys_job_log` VALUES (12550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 17:22:39');
INSERT INTO `sys_job_log` VALUES (12551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:22:44');
INSERT INTO `sys_job_log` VALUES (12552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:22:44');
INSERT INTO `sys_job_log` VALUES (12553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:22:49');
INSERT INTO `sys_job_log` VALUES (12554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:22:54');
INSERT INTO `sys_job_log` VALUES (12555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:22:59');
INSERT INTO `sys_job_log` VALUES (12556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:22:59');
INSERT INTO `sys_job_log` VALUES (12557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:23:04');
INSERT INTO `sys_job_log` VALUES (12558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:23:09');
INSERT INTO `sys_job_log` VALUES (12559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:23:14');
INSERT INTO `sys_job_log` VALUES (12560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:23:14');
INSERT INTO `sys_job_log` VALUES (12561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:23:19');
INSERT INTO `sys_job_log` VALUES (12562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:23:24');
INSERT INTO `sys_job_log` VALUES (12563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:23:29');
INSERT INTO `sys_job_log` VALUES (12564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 17:23:29');
INSERT INTO `sys_job_log` VALUES (12565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:23:34');
INSERT INTO `sys_job_log` VALUES (12566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:23:39');
INSERT INTO `sys_job_log` VALUES (12567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:23:44');
INSERT INTO `sys_job_log` VALUES (12568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 17:23:44');
INSERT INTO `sys_job_log` VALUES (12569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:23:49');
INSERT INTO `sys_job_log` VALUES (12570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:23:54');
INSERT INTO `sys_job_log` VALUES (12571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 17:23:59');
INSERT INTO `sys_job_log` VALUES (12572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:23:59');
INSERT INTO `sys_job_log` VALUES (12573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 17:24:04');
INSERT INTO `sys_job_log` VALUES (12574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:24:09');
INSERT INTO `sys_job_log` VALUES (12575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:24:14');
INSERT INTO `sys_job_log` VALUES (12576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:24:14');
INSERT INTO `sys_job_log` VALUES (12577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:24:19');
INSERT INTO `sys_job_log` VALUES (12578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:24:24');
INSERT INTO `sys_job_log` VALUES (12579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:24:29');
INSERT INTO `sys_job_log` VALUES (12580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:24:29');
INSERT INTO `sys_job_log` VALUES (12581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:24:34');
INSERT INTO `sys_job_log` VALUES (12582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:24:39');
INSERT INTO `sys_job_log` VALUES (12583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:24:44');
INSERT INTO `sys_job_log` VALUES (12584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 17:24:44');
INSERT INTO `sys_job_log` VALUES (12585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:24:49');
INSERT INTO `sys_job_log` VALUES (12586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:24:54');
INSERT INTO `sys_job_log` VALUES (12587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:24:59');
INSERT INTO `sys_job_log` VALUES (12588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 17:24:59');
INSERT INTO `sys_job_log` VALUES (12589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:25:04');
INSERT INTO `sys_job_log` VALUES (12590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:25:09');
INSERT INTO `sys_job_log` VALUES (12591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:25:14');
INSERT INTO `sys_job_log` VALUES (12592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:25:14');
INSERT INTO `sys_job_log` VALUES (12593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:25:19');
INSERT INTO `sys_job_log` VALUES (12594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:25:24');
INSERT INTO `sys_job_log` VALUES (12595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:25:29');
INSERT INTO `sys_job_log` VALUES (12596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 17:25:29');
INSERT INTO `sys_job_log` VALUES (12597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:25:34');
INSERT INTO `sys_job_log` VALUES (12598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:25:39');
INSERT INTO `sys_job_log` VALUES (12599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 17:25:44');
INSERT INTO `sys_job_log` VALUES (12600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:25:44');
INSERT INTO `sys_job_log` VALUES (12601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:25:49');
INSERT INTO `sys_job_log` VALUES (12602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:25:54');
INSERT INTO `sys_job_log` VALUES (12603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:25:59');
INSERT INTO `sys_job_log` VALUES (12604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:25:59');
INSERT INTO `sys_job_log` VALUES (12605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:26:04');
INSERT INTO `sys_job_log` VALUES (12606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:09');
INSERT INTO `sys_job_log` VALUES (12607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:14');
INSERT INTO `sys_job_log` VALUES (12608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:26:14');
INSERT INTO `sys_job_log` VALUES (12609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:26:19');
INSERT INTO `sys_job_log` VALUES (12610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:26:24');
INSERT INTO `sys_job_log` VALUES (12611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:29');
INSERT INTO `sys_job_log` VALUES (12612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:26:29');
INSERT INTO `sys_job_log` VALUES (12613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:34');
INSERT INTO `sys_job_log` VALUES (12614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:39');
INSERT INTO `sys_job_log` VALUES (12615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:26:44');
INSERT INTO `sys_job_log` VALUES (12616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:26:44');
INSERT INTO `sys_job_log` VALUES (12617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:49');
INSERT INTO `sys_job_log` VALUES (12618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:26:54');
INSERT INTO `sys_job_log` VALUES (12619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 17:26:59');
INSERT INTO `sys_job_log` VALUES (12620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 17:26:59');
INSERT INTO `sys_job_log` VALUES (12621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:27:04');
INSERT INTO `sys_job_log` VALUES (12622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:27:09');
INSERT INTO `sys_job_log` VALUES (12623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:27:14');
INSERT INTO `sys_job_log` VALUES (12624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:27:14');
INSERT INTO `sys_job_log` VALUES (12625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:19');
INSERT INTO `sys_job_log` VALUES (12626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:24');
INSERT INTO `sys_job_log` VALUES (12627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:29');
INSERT INTO `sys_job_log` VALUES (12628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:27:29');
INSERT INTO `sys_job_log` VALUES (12629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:27:34');
INSERT INTO `sys_job_log` VALUES (12630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:39');
INSERT INTO `sys_job_log` VALUES (12631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:27:44');
INSERT INTO `sys_job_log` VALUES (12632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 17:27:44');
INSERT INTO `sys_job_log` VALUES (12633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:49');
INSERT INTO `sys_job_log` VALUES (12634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:54');
INSERT INTO `sys_job_log` VALUES (12635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:27:59');
INSERT INTO `sys_job_log` VALUES (12636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 17:27:59');
INSERT INTO `sys_job_log` VALUES (12637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:28:04');
INSERT INTO `sys_job_log` VALUES (12638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:28:09');
INSERT INTO `sys_job_log` VALUES (12639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:28:14');
INSERT INTO `sys_job_log` VALUES (12640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-24 17:28:14');
INSERT INTO `sys_job_log` VALUES (12641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:28:19');
INSERT INTO `sys_job_log` VALUES (12642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:28:24');
INSERT INTO `sys_job_log` VALUES (12643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:28:29');
INSERT INTO `sys_job_log` VALUES (12644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:28:29');
INSERT INTO `sys_job_log` VALUES (12645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:28:34');
INSERT INTO `sys_job_log` VALUES (12646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:28:39');
INSERT INTO `sys_job_log` VALUES (12647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:28:44');
INSERT INTO `sys_job_log` VALUES (12648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 17:28:44');
INSERT INTO `sys_job_log` VALUES (12649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:28:49');
INSERT INTO `sys_job_log` VALUES (12650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:28:54');
INSERT INTO `sys_job_log` VALUES (12651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:28:59');
INSERT INTO `sys_job_log` VALUES (12652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2024-12-24 17:28:59');
INSERT INTO `sys_job_log` VALUES (12653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:29:04');
INSERT INTO `sys_job_log` VALUES (12654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:29:09');
INSERT INTO `sys_job_log` VALUES (12655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:29:14');
INSERT INTO `sys_job_log` VALUES (12656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:29:14');
INSERT INTO `sys_job_log` VALUES (12657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:29:19');
INSERT INTO `sys_job_log` VALUES (12658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:29:24');
INSERT INTO `sys_job_log` VALUES (12659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:29:29');
INSERT INTO `sys_job_log` VALUES (12660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 17:29:29');
INSERT INTO `sys_job_log` VALUES (12661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:29:34');
INSERT INTO `sys_job_log` VALUES (12662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:29:39');
INSERT INTO `sys_job_log` VALUES (12663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:29:44');
INSERT INTO `sys_job_log` VALUES (12664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:29:44');
INSERT INTO `sys_job_log` VALUES (12665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:29:49');
INSERT INTO `sys_job_log` VALUES (12666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:29:54');
INSERT INTO `sys_job_log` VALUES (12667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 17:29:59');
INSERT INTO `sys_job_log` VALUES (12668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-24 17:29:59');
INSERT INTO `sys_job_log` VALUES (12669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:30:04');
INSERT INTO `sys_job_log` VALUES (12670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:30:09');
INSERT INTO `sys_job_log` VALUES (12671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:30:14');
INSERT INTO `sys_job_log` VALUES (12672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:30:14');
INSERT INTO `sys_job_log` VALUES (12673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:30:19');
INSERT INTO `sys_job_log` VALUES (12674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:30:24');
INSERT INTO `sys_job_log` VALUES (12675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 17:30:29');
INSERT INTO `sys_job_log` VALUES (12676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 17:30:29');
INSERT INTO `sys_job_log` VALUES (12677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:30:34');
INSERT INTO `sys_job_log` VALUES (12678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:30:39');
INSERT INTO `sys_job_log` VALUES (12679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:30:44');
INSERT INTO `sys_job_log` VALUES (12680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:30:44');
INSERT INTO `sys_job_log` VALUES (12681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:30:49');
INSERT INTO `sys_job_log` VALUES (12682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:30:54');
INSERT INTO `sys_job_log` VALUES (12683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:30:59');
INSERT INTO `sys_job_log` VALUES (12684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:30:59');
INSERT INTO `sys_job_log` VALUES (12685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:31:04');
INSERT INTO `sys_job_log` VALUES (12686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:31:09');
INSERT INTO `sys_job_log` VALUES (12687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:31:14');
INSERT INTO `sys_job_log` VALUES (12688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:31:14');
INSERT INTO `sys_job_log` VALUES (12689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:31:19');
INSERT INTO `sys_job_log` VALUES (12690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:31:24');
INSERT INTO `sys_job_log` VALUES (12691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:31:29');
INSERT INTO `sys_job_log` VALUES (12692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:31:29');
INSERT INTO `sys_job_log` VALUES (12693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:31:34');
INSERT INTO `sys_job_log` VALUES (12694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:31:39');
INSERT INTO `sys_job_log` VALUES (12695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:31:44');
INSERT INTO `sys_job_log` VALUES (12696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-24 17:31:44');
INSERT INTO `sys_job_log` VALUES (12697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:31:49');
INSERT INTO `sys_job_log` VALUES (12698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:31:54');
INSERT INTO `sys_job_log` VALUES (12699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:31:59');
INSERT INTO `sys_job_log` VALUES (12700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 17:31:59');
INSERT INTO `sys_job_log` VALUES (12701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:32:04');
INSERT INTO `sys_job_log` VALUES (12702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:32:09');
INSERT INTO `sys_job_log` VALUES (12703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:32:14');
INSERT INTO `sys_job_log` VALUES (12704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:32:14');
INSERT INTO `sys_job_log` VALUES (12705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 17:32:19');
INSERT INTO `sys_job_log` VALUES (12706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:32:24');
INSERT INTO `sys_job_log` VALUES (12707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:32:29');
INSERT INTO `sys_job_log` VALUES (12708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:32:29');
INSERT INTO `sys_job_log` VALUES (12709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:32:34');
INSERT INTO `sys_job_log` VALUES (12710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 17:32:39');
INSERT INTO `sys_job_log` VALUES (12711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:32:44');
INSERT INTO `sys_job_log` VALUES (12712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 17:32:44');
INSERT INTO `sys_job_log` VALUES (12713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:32:49');
INSERT INTO `sys_job_log` VALUES (12714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:32:54');
INSERT INTO `sys_job_log` VALUES (12715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:32:59');
INSERT INTO `sys_job_log` VALUES (12716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:32:59');
INSERT INTO `sys_job_log` VALUES (12717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:33:04');
INSERT INTO `sys_job_log` VALUES (12718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:33:09');
INSERT INTO `sys_job_log` VALUES (12719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:33:14');
INSERT INTO `sys_job_log` VALUES (12720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:33:14');
INSERT INTO `sys_job_log` VALUES (12721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:33:19');
INSERT INTO `sys_job_log` VALUES (12722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:33:24');
INSERT INTO `sys_job_log` VALUES (12723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2315毫秒', '0', '', '2024-12-24 17:33:32');
INSERT INTO `sys_job_log` VALUES (12724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21573毫秒', '0', '', '2024-12-24 17:33:51');
INSERT INTO `sys_job_log` VALUES (12725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16642毫秒', '0', '', '2024-12-24 17:33:51');
INSERT INTO `sys_job_log` VALUES (12726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:33:51');
INSERT INTO `sys_job_log` VALUES (12727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：141毫秒', '0', '', '2024-12-24 17:33:51');
INSERT INTO `sys_job_log` VALUES (12728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 17:33:51');
INSERT INTO `sys_job_log` VALUES (12729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:33:51');
INSERT INTO `sys_job_log` VALUES (12730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:33:54');
INSERT INTO `sys_job_log` VALUES (12731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:33:59');
INSERT INTO `sys_job_log` VALUES (12732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:33:59');
INSERT INTO `sys_job_log` VALUES (12733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 17:34:04');
INSERT INTO `sys_job_log` VALUES (12734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:34:09');
INSERT INTO `sys_job_log` VALUES (12735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:34:14');
INSERT INTO `sys_job_log` VALUES (12736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:34:14');
INSERT INTO `sys_job_log` VALUES (12737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:34:19');
INSERT INTO `sys_job_log` VALUES (12738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:34:24');
INSERT INTO `sys_job_log` VALUES (12739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:34:29');
INSERT INTO `sys_job_log` VALUES (12740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:34:29');
INSERT INTO `sys_job_log` VALUES (12741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:34:34');
INSERT INTO `sys_job_log` VALUES (12742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:34:39');
INSERT INTO `sys_job_log` VALUES (12743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:34:44');
INSERT INTO `sys_job_log` VALUES (12744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:34:44');
INSERT INTO `sys_job_log` VALUES (12745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:34:49');
INSERT INTO `sys_job_log` VALUES (12746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:34:54');
INSERT INTO `sys_job_log` VALUES (12747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:34:59');
INSERT INTO `sys_job_log` VALUES (12748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 17:34:59');
INSERT INTO `sys_job_log` VALUES (12749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:35:04');
INSERT INTO `sys_job_log` VALUES (12750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:35:09');
INSERT INTO `sys_job_log` VALUES (12751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:35:14');
INSERT INTO `sys_job_log` VALUES (12752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 17:35:14');
INSERT INTO `sys_job_log` VALUES (12753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:35:19');
INSERT INTO `sys_job_log` VALUES (12754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:35:24');
INSERT INTO `sys_job_log` VALUES (12755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:35:29');
INSERT INTO `sys_job_log` VALUES (12756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:35:29');
INSERT INTO `sys_job_log` VALUES (12757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:35:34');
INSERT INTO `sys_job_log` VALUES (12758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:35:39');
INSERT INTO `sys_job_log` VALUES (12759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:35:44');
INSERT INTO `sys_job_log` VALUES (12760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:35:44');
INSERT INTO `sys_job_log` VALUES (12761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:35:49');
INSERT INTO `sys_job_log` VALUES (12762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:35:54');
INSERT INTO `sys_job_log` VALUES (12763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:35:59');
INSERT INTO `sys_job_log` VALUES (12764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:35:59');
INSERT INTO `sys_job_log` VALUES (12765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:36:04');
INSERT INTO `sys_job_log` VALUES (12766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:36:09');
INSERT INTO `sys_job_log` VALUES (12767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:36:14');
INSERT INTO `sys_job_log` VALUES (12768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 17:36:14');
INSERT INTO `sys_job_log` VALUES (12769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:36:19');
INSERT INTO `sys_job_log` VALUES (12770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:36:24');
INSERT INTO `sys_job_log` VALUES (12771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:36:29');
INSERT INTO `sys_job_log` VALUES (12772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:36:29');
INSERT INTO `sys_job_log` VALUES (12773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:36:34');
INSERT INTO `sys_job_log` VALUES (12774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:36:39');
INSERT INTO `sys_job_log` VALUES (12775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:36:44');
INSERT INTO `sys_job_log` VALUES (12776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 17:36:44');
INSERT INTO `sys_job_log` VALUES (12777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:36:49');
INSERT INTO `sys_job_log` VALUES (12778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:36:54');
INSERT INTO `sys_job_log` VALUES (12779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:36:59');
INSERT INTO `sys_job_log` VALUES (12780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:36:59');
INSERT INTO `sys_job_log` VALUES (12781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:37:04');
INSERT INTO `sys_job_log` VALUES (12782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:37:09');
INSERT INTO `sys_job_log` VALUES (12783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:37:14');
INSERT INTO `sys_job_log` VALUES (12784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:37:14');
INSERT INTO `sys_job_log` VALUES (12785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:37:19');
INSERT INTO `sys_job_log` VALUES (12786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:37:24');
INSERT INTO `sys_job_log` VALUES (12787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:37:29');
INSERT INTO `sys_job_log` VALUES (12788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：292毫秒', '0', '', '2024-12-24 17:37:29');
INSERT INTO `sys_job_log` VALUES (12789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 17:37:34');
INSERT INTO `sys_job_log` VALUES (12790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-24 17:37:39');
INSERT INTO `sys_job_log` VALUES (12791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:37:44');
INSERT INTO `sys_job_log` VALUES (12792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2024-12-24 17:37:44');
INSERT INTO `sys_job_log` VALUES (12793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:37:49');
INSERT INTO `sys_job_log` VALUES (12794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:37:54');
INSERT INTO `sys_job_log` VALUES (12795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:37:59');
INSERT INTO `sys_job_log` VALUES (12796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：306毫秒', '0', '', '2024-12-24 17:38:00');
INSERT INTO `sys_job_log` VALUES (12797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 17:38:04');
INSERT INTO `sys_job_log` VALUES (12798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:38:09');
INSERT INTO `sys_job_log` VALUES (12799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 17:38:14');
INSERT INTO `sys_job_log` VALUES (12800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:38:14');
INSERT INTO `sys_job_log` VALUES (12801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：304毫秒', '0', '', '2024-12-24 17:38:20');
INSERT INTO `sys_job_log` VALUES (12802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:38:24');
INSERT INTO `sys_job_log` VALUES (12803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:38:29');
INSERT INTO `sys_job_log` VALUES (12804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：298毫秒', '0', '', '2024-12-24 17:38:29');
INSERT INTO `sys_job_log` VALUES (12805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 17:38:34');
INSERT INTO `sys_job_log` VALUES (12806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:38:39');
INSERT INTO `sys_job_log` VALUES (12807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:38:44');
INSERT INTO `sys_job_log` VALUES (12808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：306毫秒', '0', '', '2024-12-24 17:38:45');
INSERT INTO `sys_job_log` VALUES (12809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:38:49');
INSERT INTO `sys_job_log` VALUES (12810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 17:38:54');
INSERT INTO `sys_job_log` VALUES (12811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:38:59');
INSERT INTO `sys_job_log` VALUES (12812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：753毫秒', '0', '', '2024-12-24 17:39:00');
INSERT INTO `sys_job_log` VALUES (12813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:39:04');
INSERT INTO `sys_job_log` VALUES (12814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:39:09');
INSERT INTO `sys_job_log` VALUES (12815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:39:14');
INSERT INTO `sys_job_log` VALUES (12816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：304毫秒', '0', '', '2024-12-24 17:39:15');
INSERT INTO `sys_job_log` VALUES (12817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:39:19');
INSERT INTO `sys_job_log` VALUES (12818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:39:24');
INSERT INTO `sys_job_log` VALUES (12819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：293毫秒', '0', '', '2024-12-24 17:39:29');
INSERT INTO `sys_job_log` VALUES (12820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：298毫秒', '0', '', '2024-12-24 17:39:29');
INSERT INTO `sys_job_log` VALUES (12821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 17:39:34');
INSERT INTO `sys_job_log` VALUES (12822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:39:39');
INSERT INTO `sys_job_log` VALUES (12823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:39:44');
INSERT INTO `sys_job_log` VALUES (12824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：292毫秒', '0', '', '2024-12-24 17:39:44');
INSERT INTO `sys_job_log` VALUES (12825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 17:39:49');
INSERT INTO `sys_job_log` VALUES (12826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:39:54');
INSERT INTO `sys_job_log` VALUES (12827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-24 17:39:59');
INSERT INTO `sys_job_log` VALUES (12828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:39:59');
INSERT INTO `sys_job_log` VALUES (12829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：308毫秒', '0', '', '2024-12-24 17:40:05');
INSERT INTO `sys_job_log` VALUES (12830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：307毫秒', '0', '', '2024-12-24 17:40:10');
INSERT INTO `sys_job_log` VALUES (12831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 17:40:14');
INSERT INTO `sys_job_log` VALUES (12832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1213毫秒', '0', '', '2024-12-24 17:40:15');
INSERT INTO `sys_job_log` VALUES (12833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:40:19');
INSERT INTO `sys_job_log` VALUES (12834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:40:24');
INSERT INTO `sys_job_log` VALUES (12835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:40:29');
INSERT INTO `sys_job_log` VALUES (12836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：308毫秒', '0', '', '2024-12-24 17:40:30');
INSERT INTO `sys_job_log` VALUES (12837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:40:34');
INSERT INTO `sys_job_log` VALUES (12838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:40:39');
INSERT INTO `sys_job_log` VALUES (12839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 17:40:44');
INSERT INTO `sys_job_log` VALUES (12840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1454毫秒', '0', '', '2024-12-24 17:40:46');
INSERT INTO `sys_job_log` VALUES (12841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:40:49');
INSERT INTO `sys_job_log` VALUES (12842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:40:54');
INSERT INTO `sys_job_log` VALUES (12843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:40:59');
INSERT INTO `sys_job_log` VALUES (12844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-24 17:40:59');
INSERT INTO `sys_job_log` VALUES (12845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：512毫秒', '0', '', '2024-12-24 17:41:05');
INSERT INTO `sys_job_log` VALUES (12846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:41:09');
INSERT INTO `sys_job_log` VALUES (12847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:41:14');
INSERT INTO `sys_job_log` VALUES (12848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 17:41:14');
INSERT INTO `sys_job_log` VALUES (12849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:41:19');
INSERT INTO `sys_job_log` VALUES (12850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 17:41:24');
INSERT INTO `sys_job_log` VALUES (12851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:41:29');
INSERT INTO `sys_job_log` VALUES (12852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:41:29');
INSERT INTO `sys_job_log` VALUES (12853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:41:34');
INSERT INTO `sys_job_log` VALUES (12854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:41:39');
INSERT INTO `sys_job_log` VALUES (12855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 17:41:44');
INSERT INTO `sys_job_log` VALUES (12856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 17:41:44');
INSERT INTO `sys_job_log` VALUES (12857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:41:49');
INSERT INTO `sys_job_log` VALUES (12858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:41:54');
INSERT INTO `sys_job_log` VALUES (12859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 17:41:59');
INSERT INTO `sys_job_log` VALUES (12860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：91毫秒', '0', '', '2024-12-24 17:41:59');
INSERT INTO `sys_job_log` VALUES (12861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:42:04');
INSERT INTO `sys_job_log` VALUES (12862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:42:09');
INSERT INTO `sys_job_log` VALUES (12863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:42:14');
INSERT INTO `sys_job_log` VALUES (12864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 17:42:14');
INSERT INTO `sys_job_log` VALUES (12865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:42:20');
INSERT INTO `sys_job_log` VALUES (12866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1620毫秒', '0', '', '2024-12-24 17:42:26');
INSERT INTO `sys_job_log` VALUES (12867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:42:29');
INSERT INTO `sys_job_log` VALUES (12868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：958毫秒', '0', '', '2024-12-24 17:42:30');
INSERT INTO `sys_job_log` VALUES (12869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:42:34');
INSERT INTO `sys_job_log` VALUES (12870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 17:42:39');
INSERT INTO `sys_job_log` VALUES (12871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:42:44');
INSERT INTO `sys_job_log` VALUES (12872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：739毫秒', '0', '', '2024-12-24 17:42:45');
INSERT INTO `sys_job_log` VALUES (12873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 17:42:49');
INSERT INTO `sys_job_log` VALUES (12874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '0', '', '2024-12-24 17:42:54');
INSERT INTO `sys_job_log` VALUES (12875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:42:59');
INSERT INTO `sys_job_log` VALUES (12876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：291毫秒', '0', '', '2024-12-24 17:42:59');
INSERT INTO `sys_job_log` VALUES (12877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:43:04');
INSERT INTO `sys_job_log` VALUES (12878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：303毫秒', '0', '', '2024-12-24 17:43:10');
INSERT INTO `sys_job_log` VALUES (12879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 17:43:14');
INSERT INTO `sys_job_log` VALUES (12880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:43:15');
INSERT INTO `sys_job_log` VALUES (12881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:43:19');
INSERT INTO `sys_job_log` VALUES (12882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:43:24');
INSERT INTO `sys_job_log` VALUES (12883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：268毫秒', '0', '', '2024-12-24 17:43:30');
INSERT INTO `sys_job_log` VALUES (12884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：747毫秒', '0', '', '2024-12-24 17:43:30');
INSERT INTO `sys_job_log` VALUES (12885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 17:43:34');
INSERT INTO `sys_job_log` VALUES (12886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:43:40');
INSERT INTO `sys_job_log` VALUES (12887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：516毫秒', '0', '', '2024-12-24 17:43:45');
INSERT INTO `sys_job_log` VALUES (12888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-24 17:43:45');
INSERT INTO `sys_job_log` VALUES (12889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:43:49');
INSERT INTO `sys_job_log` VALUES (12890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:43:54');
INSERT INTO `sys_job_log` VALUES (12891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2024-12-24 17:44:00');
INSERT INTO `sys_job_log` VALUES (12892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19685毫秒', '0', '', '2024-12-24 17:44:19');
INSERT INTO `sys_job_log` VALUES (12893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14742毫秒', '0', '', '2024-12-24 17:44:19');
INSERT INTO `sys_job_log` VALUES (12894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:44:19');
INSERT INTO `sys_job_log` VALUES (12895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:44:19');
INSERT INTO `sys_job_log` VALUES (12896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:44:19');
INSERT INTO `sys_job_log` VALUES (12897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：568毫秒', '0', '', '2024-12-24 17:44:19');
INSERT INTO `sys_job_log` VALUES (12898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:44:24');
INSERT INTO `sys_job_log` VALUES (12899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:44:29');
INSERT INTO `sys_job_log` VALUES (12900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：281毫秒', '0', '', '2024-12-24 17:44:29');
INSERT INTO `sys_job_log` VALUES (12901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:44:34');
INSERT INTO `sys_job_log` VALUES (12902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:44:39');
INSERT INTO `sys_job_log` VALUES (12903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 17:44:44');
INSERT INTO `sys_job_log` VALUES (12904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 17:44:44');
INSERT INTO `sys_job_log` VALUES (12905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:44:49');
INSERT INTO `sys_job_log` VALUES (12906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:44:54');
INSERT INTO `sys_job_log` VALUES (12907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 17:44:59');
INSERT INTO `sys_job_log` VALUES (12908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:44:59');
INSERT INTO `sys_job_log` VALUES (12909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 17:45:04');
INSERT INTO `sys_job_log` VALUES (12910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 17:45:09');
INSERT INTO `sys_job_log` VALUES (12911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:45:14');
INSERT INTO `sys_job_log` VALUES (12912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：294毫秒', '0', '', '2024-12-24 17:45:14');
INSERT INTO `sys_job_log` VALUES (12913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:45:19');
INSERT INTO `sys_job_log` VALUES (12914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:45:24');
INSERT INTO `sys_job_log` VALUES (12915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-24 17:45:29');
INSERT INTO `sys_job_log` VALUES (12916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:45:29');
INSERT INTO `sys_job_log` VALUES (12917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:45:34');
INSERT INTO `sys_job_log` VALUES (12918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:45:39');
INSERT INTO `sys_job_log` VALUES (12919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 17:45:44');
INSERT INTO `sys_job_log` VALUES (12920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：314毫秒', '0', '', '2024-12-24 17:45:45');
INSERT INTO `sys_job_log` VALUES (12921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:45:49');
INSERT INTO `sys_job_log` VALUES (12922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:45:54');
INSERT INTO `sys_job_log` VALUES (12923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:45:59');
INSERT INTO `sys_job_log` VALUES (12924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：306毫秒', '0', '', '2024-12-24 17:46:00');
INSERT INTO `sys_job_log` VALUES (12925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:46:04');
INSERT INTO `sys_job_log` VALUES (12926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:46:09');
INSERT INTO `sys_job_log` VALUES (12927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:46:14');
INSERT INTO `sys_job_log` VALUES (12928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：504毫秒', '0', '', '2024-12-24 17:46:15');
INSERT INTO `sys_job_log` VALUES (12929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:46:19');
INSERT INTO `sys_job_log` VALUES (12930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:46:24');
INSERT INTO `sys_job_log` VALUES (12931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:46:29');
INSERT INTO `sys_job_log` VALUES (12932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：296毫秒', '0', '', '2024-12-24 17:46:29');
INSERT INTO `sys_job_log` VALUES (12933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:46:34');
INSERT INTO `sys_job_log` VALUES (12934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:46:39');
INSERT INTO `sys_job_log` VALUES (12935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:46:44');
INSERT INTO `sys_job_log` VALUES (12936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:46:44');
INSERT INTO `sys_job_log` VALUES (12937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:46:49');
INSERT INTO `sys_job_log` VALUES (12938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:46:54');
INSERT INTO `sys_job_log` VALUES (12939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:46:59');
INSERT INTO `sys_job_log` VALUES (12940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 17:46:59');
INSERT INTO `sys_job_log` VALUES (12941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:47:04');
INSERT INTO `sys_job_log` VALUES (12942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:47:09');
INSERT INTO `sys_job_log` VALUES (12943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:47:14');
INSERT INTO `sys_job_log` VALUES (12944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：286毫秒', '0', '', '2024-12-24 17:47:14');
INSERT INTO `sys_job_log` VALUES (12945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 17:47:19');
INSERT INTO `sys_job_log` VALUES (12946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:47:24');
INSERT INTO `sys_job_log` VALUES (12947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:47:29');
INSERT INTO `sys_job_log` VALUES (12948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:47:29');
INSERT INTO `sys_job_log` VALUES (12949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:47:34');
INSERT INTO `sys_job_log` VALUES (12950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:47:39');
INSERT INTO `sys_job_log` VALUES (12951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:47:44');
INSERT INTO `sys_job_log` VALUES (12952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 17:47:44');
INSERT INTO `sys_job_log` VALUES (12953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 17:47:49');
INSERT INTO `sys_job_log` VALUES (12954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:47:54');
INSERT INTO `sys_job_log` VALUES (12955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 17:47:59');
INSERT INTO `sys_job_log` VALUES (12956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：286毫秒', '0', '', '2024-12-24 17:47:59');
INSERT INTO `sys_job_log` VALUES (12957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:48:04');
INSERT INTO `sys_job_log` VALUES (12958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:48:09');
INSERT INTO `sys_job_log` VALUES (12959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:48:14');
INSERT INTO `sys_job_log` VALUES (12960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：318毫秒', '0', '', '2024-12-24 17:48:15');
INSERT INTO `sys_job_log` VALUES (12961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:48:19');
INSERT INTO `sys_job_log` VALUES (12962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:48:24');
INSERT INTO `sys_job_log` VALUES (12963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:48:29');
INSERT INTO `sys_job_log` VALUES (12964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：315毫秒', '0', '', '2024-12-24 17:48:30');
INSERT INTO `sys_job_log` VALUES (12965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 17:48:34');
INSERT INTO `sys_job_log` VALUES (12966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:48:39');
INSERT INTO `sys_job_log` VALUES (12967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:48:44');
INSERT INTO `sys_job_log` VALUES (12968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：302毫秒', '0', '', '2024-12-24 17:48:45');
INSERT INTO `sys_job_log` VALUES (12969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:48:49');
INSERT INTO `sys_job_log` VALUES (12970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:48:54');
INSERT INTO `sys_job_log` VALUES (12971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:48:59');
INSERT INTO `sys_job_log` VALUES (12972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:48:59');
INSERT INTO `sys_job_log` VALUES (12973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:49:04');
INSERT INTO `sys_job_log` VALUES (12974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:49:09');
INSERT INTO `sys_job_log` VALUES (12975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:49:14');
INSERT INTO `sys_job_log` VALUES (12976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：109毫秒', '0', '', '2024-12-24 17:49:14');
INSERT INTO `sys_job_log` VALUES (12977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:49:19');
INSERT INTO `sys_job_log` VALUES (12978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:49:24');
INSERT INTO `sys_job_log` VALUES (12979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:49:29');
INSERT INTO `sys_job_log` VALUES (12980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-24 17:49:29');
INSERT INTO `sys_job_log` VALUES (12981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:49:34');
INSERT INTO `sys_job_log` VALUES (12982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:49:39');
INSERT INTO `sys_job_log` VALUES (12983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:49:44');
INSERT INTO `sys_job_log` VALUES (12984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 17:49:44');
INSERT INTO `sys_job_log` VALUES (12985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:49:49');
INSERT INTO `sys_job_log` VALUES (12986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:49:54');
INSERT INTO `sys_job_log` VALUES (12987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:49:59');
INSERT INTO `sys_job_log` VALUES (12988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-24 17:49:59');
INSERT INTO `sys_job_log` VALUES (12989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:50:04');
INSERT INTO `sys_job_log` VALUES (12990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:50:09');
INSERT INTO `sys_job_log` VALUES (12991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:50:14');
INSERT INTO `sys_job_log` VALUES (12992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 17:50:14');
INSERT INTO `sys_job_log` VALUES (12993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:50:19');
INSERT INTO `sys_job_log` VALUES (12994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:50:24');
INSERT INTO `sys_job_log` VALUES (12995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:50:29');
INSERT INTO `sys_job_log` VALUES (12996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:50:29');
INSERT INTO `sys_job_log` VALUES (12997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:50:34');
INSERT INTO `sys_job_log` VALUES (12998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 17:50:39');
INSERT INTO `sys_job_log` VALUES (12999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 17:50:44');
INSERT INTO `sys_job_log` VALUES (13000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：139毫秒', '0', '', '2024-12-24 17:50:44');
INSERT INTO `sys_job_log` VALUES (13001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:50:49');
INSERT INTO `sys_job_log` VALUES (13002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:50:54');
INSERT INTO `sys_job_log` VALUES (13003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:50:59');
INSERT INTO `sys_job_log` VALUES (13004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-24 17:50:59');
INSERT INTO `sys_job_log` VALUES (13005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:51:04');
INSERT INTO `sys_job_log` VALUES (13006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:51:09');
INSERT INTO `sys_job_log` VALUES (13007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:51:14');
INSERT INTO `sys_job_log` VALUES (13008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：147毫秒', '0', '', '2024-12-24 17:51:14');
INSERT INTO `sys_job_log` VALUES (13009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:51:19');
INSERT INTO `sys_job_log` VALUES (13010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:51:24');
INSERT INTO `sys_job_log` VALUES (13011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:51:29');
INSERT INTO `sys_job_log` VALUES (13012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:51:29');
INSERT INTO `sys_job_log` VALUES (13013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:51:34');
INSERT INTO `sys_job_log` VALUES (13014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:51:39');
INSERT INTO `sys_job_log` VALUES (13015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 17:51:44');
INSERT INTO `sys_job_log` VALUES (13016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2024-12-24 17:51:44');
INSERT INTO `sys_job_log` VALUES (13017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:51:49');
INSERT INTO `sys_job_log` VALUES (13018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:51:54');
INSERT INTO `sys_job_log` VALUES (13019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:51:59');
INSERT INTO `sys_job_log` VALUES (13020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:51:59');
INSERT INTO `sys_job_log` VALUES (13021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:52:04');
INSERT INTO `sys_job_log` VALUES (13022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:52:09');
INSERT INTO `sys_job_log` VALUES (13023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:52:14');
INSERT INTO `sys_job_log` VALUES (13024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:52:14');
INSERT INTO `sys_job_log` VALUES (13025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:52:19');
INSERT INTO `sys_job_log` VALUES (13026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:52:24');
INSERT INTO `sys_job_log` VALUES (13027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:52:29');
INSERT INTO `sys_job_log` VALUES (13028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 17:52:29');
INSERT INTO `sys_job_log` VALUES (13029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:52:34');
INSERT INTO `sys_job_log` VALUES (13030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 17:52:39');
INSERT INTO `sys_job_log` VALUES (13031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:52:44');
INSERT INTO `sys_job_log` VALUES (13032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:52:44');
INSERT INTO `sys_job_log` VALUES (13033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:52:49');
INSERT INTO `sys_job_log` VALUES (13034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:52:54');
INSERT INTO `sys_job_log` VALUES (13035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:52:59');
INSERT INTO `sys_job_log` VALUES (13036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:52:59');
INSERT INTO `sys_job_log` VALUES (13037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:53:04');
INSERT INTO `sys_job_log` VALUES (13038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:53:09');
INSERT INTO `sys_job_log` VALUES (13039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:53:14');
INSERT INTO `sys_job_log` VALUES (13040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:53:14');
INSERT INTO `sys_job_log` VALUES (13041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:53:19');
INSERT INTO `sys_job_log` VALUES (13042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:53:24');
INSERT INTO `sys_job_log` VALUES (13043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:53:29');
INSERT INTO `sys_job_log` VALUES (13044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:53:29');
INSERT INTO `sys_job_log` VALUES (13045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:53:34');
INSERT INTO `sys_job_log` VALUES (13046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 17:53:39');
INSERT INTO `sys_job_log` VALUES (13047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:53:44');
INSERT INTO `sys_job_log` VALUES (13048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:53:44');
INSERT INTO `sys_job_log` VALUES (13049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:53:49');
INSERT INTO `sys_job_log` VALUES (13050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:53:54');
INSERT INTO `sys_job_log` VALUES (13051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:53:59');
INSERT INTO `sys_job_log` VALUES (13052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:53:59');
INSERT INTO `sys_job_log` VALUES (13053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:54:04');
INSERT INTO `sys_job_log` VALUES (13054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:54:09');
INSERT INTO `sys_job_log` VALUES (13055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:54:14');
INSERT INTO `sys_job_log` VALUES (13056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-24 17:54:14');
INSERT INTO `sys_job_log` VALUES (13057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:54:19');
INSERT INTO `sys_job_log` VALUES (13058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:54:24');
INSERT INTO `sys_job_log` VALUES (13059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:54:29');
INSERT INTO `sys_job_log` VALUES (13060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:54:29');
INSERT INTO `sys_job_log` VALUES (13061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:54:34');
INSERT INTO `sys_job_log` VALUES (13062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:54:39');
INSERT INTO `sys_job_log` VALUES (13063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:54:44');
INSERT INTO `sys_job_log` VALUES (13064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-24 17:54:44');
INSERT INTO `sys_job_log` VALUES (13065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:54:49');
INSERT INTO `sys_job_log` VALUES (13066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:54:54');
INSERT INTO `sys_job_log` VALUES (13067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:54:59');
INSERT INTO `sys_job_log` VALUES (13068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-24 17:54:59');
INSERT INTO `sys_job_log` VALUES (13069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:55:04');
INSERT INTO `sys_job_log` VALUES (13070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:55:09');
INSERT INTO `sys_job_log` VALUES (13071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:55:14');
INSERT INTO `sys_job_log` VALUES (13072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:55:14');
INSERT INTO `sys_job_log` VALUES (13073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:55:19');
INSERT INTO `sys_job_log` VALUES (13074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:55:24');
INSERT INTO `sys_job_log` VALUES (13075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:55:29');
INSERT INTO `sys_job_log` VALUES (13076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:55:29');
INSERT INTO `sys_job_log` VALUES (13077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:55:34');
INSERT INTO `sys_job_log` VALUES (13078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:55:39');
INSERT INTO `sys_job_log` VALUES (13079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:55:44');
INSERT INTO `sys_job_log` VALUES (13080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 17:55:44');
INSERT INTO `sys_job_log` VALUES (13081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:55:49');
INSERT INTO `sys_job_log` VALUES (13082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:55:54');
INSERT INTO `sys_job_log` VALUES (13083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:55:59');
INSERT INTO `sys_job_log` VALUES (13084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 17:55:59');
INSERT INTO `sys_job_log` VALUES (13085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:56:04');
INSERT INTO `sys_job_log` VALUES (13086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:56:09');
INSERT INTO `sys_job_log` VALUES (13087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:56:14');
INSERT INTO `sys_job_log` VALUES (13088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 17:56:14');
INSERT INTO `sys_job_log` VALUES (13089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:56:19');
INSERT INTO `sys_job_log` VALUES (13090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:56:24');
INSERT INTO `sys_job_log` VALUES (13091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:56:29');
INSERT INTO `sys_job_log` VALUES (13092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:56:29');
INSERT INTO `sys_job_log` VALUES (13093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:56:34');
INSERT INTO `sys_job_log` VALUES (13094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:56:39');
INSERT INTO `sys_job_log` VALUES (13095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2298毫秒', '0', '', '2024-12-24 17:56:39');
INSERT INTO `sys_job_log` VALUES (13096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:56:44');
INSERT INTO `sys_job_log` VALUES (13097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 17:56:44');
INSERT INTO `sys_job_log` VALUES (13098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2251毫秒', '0', '', '2024-12-24 17:56:48');
INSERT INTO `sys_job_log` VALUES (13099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:56:49');
INSERT INTO `sys_job_log` VALUES (13100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:56:54');
INSERT INTO `sys_job_log` VALUES (13101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:56:59');
INSERT INTO `sys_job_log` VALUES (13102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 17:56:59');
INSERT INTO `sys_job_log` VALUES (13103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:57:04');
INSERT INTO `sys_job_log` VALUES (13104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 17:57:09');
INSERT INTO `sys_job_log` VALUES (13105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:57:14');
INSERT INTO `sys_job_log` VALUES (13106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:57:14');
INSERT INTO `sys_job_log` VALUES (13107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:57:19');
INSERT INTO `sys_job_log` VALUES (13108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:57:24');
INSERT INTO `sys_job_log` VALUES (13109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:57:29');
INSERT INTO `sys_job_log` VALUES (13110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:57:29');
INSERT INTO `sys_job_log` VALUES (13111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:57:34');
INSERT INTO `sys_job_log` VALUES (13112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:57:39');
INSERT INTO `sys_job_log` VALUES (13113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:57:44');
INSERT INTO `sys_job_log` VALUES (13114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:57:44');
INSERT INTO `sys_job_log` VALUES (13115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:57:49');
INSERT INTO `sys_job_log` VALUES (13116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:57:54');
INSERT INTO `sys_job_log` VALUES (13117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 17:57:59');
INSERT INTO `sys_job_log` VALUES (13118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:57:59');
INSERT INTO `sys_job_log` VALUES (13119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:58:04');
INSERT INTO `sys_job_log` VALUES (13120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:58:09');
INSERT INTO `sys_job_log` VALUES (13121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:58:14');
INSERT INTO `sys_job_log` VALUES (13122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:58:14');
INSERT INTO `sys_job_log` VALUES (13123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:58:19');
INSERT INTO `sys_job_log` VALUES (13124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:58:24');
INSERT INTO `sys_job_log` VALUES (13125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:58:29');
INSERT INTO `sys_job_log` VALUES (13126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:58:29');
INSERT INTO `sys_job_log` VALUES (13127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:58:34');
INSERT INTO `sys_job_log` VALUES (13128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:58:39');
INSERT INTO `sys_job_log` VALUES (13129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:58:44');
INSERT INTO `sys_job_log` VALUES (13130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 17:58:44');
INSERT INTO `sys_job_log` VALUES (13131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 17:58:49');
INSERT INTO `sys_job_log` VALUES (13132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:58:54');
INSERT INTO `sys_job_log` VALUES (13133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 17:58:59');
INSERT INTO `sys_job_log` VALUES (13134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-24 17:58:59');
INSERT INTO `sys_job_log` VALUES (13135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:59:04');
INSERT INTO `sys_job_log` VALUES (13136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:59:09');
INSERT INTO `sys_job_log` VALUES (13137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:59:14');
INSERT INTO `sys_job_log` VALUES (13138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2024-12-24 17:59:14');
INSERT INTO `sys_job_log` VALUES (13139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:59:19');
INSERT INTO `sys_job_log` VALUES (13140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 17:59:24');
INSERT INTO `sys_job_log` VALUES (13141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:59:29');
INSERT INTO `sys_job_log` VALUES (13142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 17:59:29');
INSERT INTO `sys_job_log` VALUES (13143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:59:34');
INSERT INTO `sys_job_log` VALUES (13144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:59:39');
INSERT INTO `sys_job_log` VALUES (13145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:59:44');
INSERT INTO `sys_job_log` VALUES (13146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 17:59:44');
INSERT INTO `sys_job_log` VALUES (13147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 17:59:49');
INSERT INTO `sys_job_log` VALUES (13148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 17:59:54');
INSERT INTO `sys_job_log` VALUES (13149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 17:59:59');
INSERT INTO `sys_job_log` VALUES (13150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2024-12-24 17:59:59');
INSERT INTO `sys_job_log` VALUES (13151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:00:04');
INSERT INTO `sys_job_log` VALUES (13152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:00:09');
INSERT INTO `sys_job_log` VALUES (13153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:00:14');
INSERT INTO `sys_job_log` VALUES (13154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 18:00:14');
INSERT INTO `sys_job_log` VALUES (13155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:00:19');
INSERT INTO `sys_job_log` VALUES (13156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:00:24');
INSERT INTO `sys_job_log` VALUES (13157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:00:29');
INSERT INTO `sys_job_log` VALUES (13158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 18:00:29');
INSERT INTO `sys_job_log` VALUES (13159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:00:34');
INSERT INTO `sys_job_log` VALUES (13160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:00:39');
INSERT INTO `sys_job_log` VALUES (13161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:00:44');
INSERT INTO `sys_job_log` VALUES (13162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-24 18:00:44');
INSERT INTO `sys_job_log` VALUES (13163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:00:49');
INSERT INTO `sys_job_log` VALUES (13164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:00:54');
INSERT INTO `sys_job_log` VALUES (13165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:00:59');
INSERT INTO `sys_job_log` VALUES (13166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-24 18:00:59');
INSERT INTO `sys_job_log` VALUES (13167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:01:04');
INSERT INTO `sys_job_log` VALUES (13168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 18:01:09');
INSERT INTO `sys_job_log` VALUES (13169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:01:14');
INSERT INTO `sys_job_log` VALUES (13170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 18:01:14');
INSERT INTO `sys_job_log` VALUES (13171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:01:19');
INSERT INTO `sys_job_log` VALUES (13172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:01:24');
INSERT INTO `sys_job_log` VALUES (13173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:01:29');
INSERT INTO `sys_job_log` VALUES (13174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 18:01:29');
INSERT INTO `sys_job_log` VALUES (13175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:01:34');
INSERT INTO `sys_job_log` VALUES (13176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:01:39');
INSERT INTO `sys_job_log` VALUES (13177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:01:44');
INSERT INTO `sys_job_log` VALUES (13178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 18:01:44');
INSERT INTO `sys_job_log` VALUES (13179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:01:49');
INSERT INTO `sys_job_log` VALUES (13180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:01:54');
INSERT INTO `sys_job_log` VALUES (13181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:01:59');
INSERT INTO `sys_job_log` VALUES (13182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-24 18:01:59');
INSERT INTO `sys_job_log` VALUES (13183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:02:04');
INSERT INTO `sys_job_log` VALUES (13184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:02:09');
INSERT INTO `sys_job_log` VALUES (13185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:02:14');
INSERT INTO `sys_job_log` VALUES (13186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-24 18:02:14');
INSERT INTO `sys_job_log` VALUES (13187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:02:19');
INSERT INTO `sys_job_log` VALUES (13188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 18:02:24');
INSERT INTO `sys_job_log` VALUES (13189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:02:29');
INSERT INTO `sys_job_log` VALUES (13190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-24 18:02:29');
INSERT INTO `sys_job_log` VALUES (13191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:02:34');
INSERT INTO `sys_job_log` VALUES (13192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:02:39');
INSERT INTO `sys_job_log` VALUES (13193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:02:44');
INSERT INTO `sys_job_log` VALUES (13194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-24 18:02:44');
INSERT INTO `sys_job_log` VALUES (13195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:02:49');
INSERT INTO `sys_job_log` VALUES (13196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:02:54');
INSERT INTO `sys_job_log` VALUES (13197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 18:02:59');
INSERT INTO `sys_job_log` VALUES (13198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2024-12-24 18:02:59');
INSERT INTO `sys_job_log` VALUES (13199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:03:04');
INSERT INTO `sys_job_log` VALUES (13200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 18:03:09');
INSERT INTO `sys_job_log` VALUES (13201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:03:14');
INSERT INTO `sys_job_log` VALUES (13202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 18:03:14');
INSERT INTO `sys_job_log` VALUES (13203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:03:19');
INSERT INTO `sys_job_log` VALUES (13204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:03:24');
INSERT INTO `sys_job_log` VALUES (13205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:03:29');
INSERT INTO `sys_job_log` VALUES (13206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-24 18:03:29');
INSERT INTO `sys_job_log` VALUES (13207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:03:34');
INSERT INTO `sys_job_log` VALUES (13208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:03:39');
INSERT INTO `sys_job_log` VALUES (13209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:03:44');
INSERT INTO `sys_job_log` VALUES (13210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-24 18:03:44');
INSERT INTO `sys_job_log` VALUES (13211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2409毫秒', '0', '', '2024-12-24 18:03:49');
INSERT INTO `sys_job_log` VALUES (13240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:03:51');
INSERT INTO `sys_job_log` VALUES (13241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2287毫秒', '0', '', '2024-12-24 18:03:52');
INSERT INTO `sys_job_log` VALUES (13242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2310毫秒', '0', '', '2024-12-24 18:03:54');
INSERT INTO `sys_job_log` VALUES (13243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:03:54');
INSERT INTO `sys_job_log` VALUES (13244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:03:56');
INSERT INTO `sys_job_log` VALUES (13245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2296毫秒', '0', '', '2024-12-24 18:03:56');
INSERT INTO `sys_job_log` VALUES (13246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2390毫秒', '0', '', '2024-12-24 18:03:59');
INSERT INTO `sys_job_log` VALUES (13247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:03:59');
INSERT INTO `sys_job_log` VALUES (13248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-24 18:03:59');
INSERT INTO `sys_job_log` VALUES (13249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:04:01');
INSERT INTO `sys_job_log` VALUES (13250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2391毫秒', '0', '', '2024-12-24 18:04:01');
INSERT INTO `sys_job_log` VALUES (13251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2387毫秒', '0', '', '2024-12-24 18:04:04');
INSERT INTO `sys_job_log` VALUES (13252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:04:04');
INSERT INTO `sys_job_log` VALUES (13253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:04:06');
INSERT INTO `sys_job_log` VALUES (13254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2393毫秒', '0', '', '2024-12-24 18:04:06');
INSERT INTO `sys_job_log` VALUES (13255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2379毫秒', '0', '', '2024-12-24 18:04:08');
INSERT INTO `sys_job_log` VALUES (13256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:04:09');
INSERT INTO `sys_job_log` VALUES (13257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:04:11');
INSERT INTO `sys_job_log` VALUES (13258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2377毫秒', '0', '', '2024-12-24 18:04:11');
INSERT INTO `sys_job_log` VALUES (13259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:04:14');
INSERT INTO `sys_job_log` VALUES (13260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-24 18:04:14');
INSERT INTO `sys_job_log` VALUES (13261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:04:16');
INSERT INTO `sys_job_log` VALUES (13262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2322毫秒', '0', '', '2024-12-24 18:04:18');
INSERT INTO `sys_job_log` VALUES (13263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:04:19');
INSERT INTO `sys_job_log` VALUES (13264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 18:04:21');
INSERT INTO `sys_job_log` VALUES (13265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:04:24');
INSERT INTO `sys_job_log` VALUES (13266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:04:26');
INSERT INTO `sys_job_log` VALUES (13267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 18:04:29');
INSERT INTO `sys_job_log` VALUES (13268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-24 18:04:29');
INSERT INTO `sys_job_log` VALUES (13269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 18:04:31');
INSERT INTO `sys_job_log` VALUES (13270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2396毫秒', '0', '', '2024-12-24 18:04:33');
INSERT INTO `sys_job_log` VALUES (13271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 18:04:34');
INSERT INTO `sys_job_log` VALUES (13272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:04:36');
INSERT INTO `sys_job_log` VALUES (13273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:04:39');
INSERT INTO `sys_job_log` VALUES (13274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:04:41');
INSERT INTO `sys_job_log` VALUES (13275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:04:44');
INSERT INTO `sys_job_log` VALUES (13276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 18:04:44');
INSERT INTO `sys_job_log` VALUES (13277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:04:46');
INSERT INTO `sys_job_log` VALUES (13278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2024-12-24 18:04:47');
INSERT INTO `sys_job_log` VALUES (13279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 18:04:49');
INSERT INTO `sys_job_log` VALUES (13280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:04:51');
INSERT INTO `sys_job_log` VALUES (13281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 18:04:54');
INSERT INTO `sys_job_log` VALUES (13282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:04:56');
INSERT INTO `sys_job_log` VALUES (13283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 18:04:59');
INSERT INTO `sys_job_log` VALUES (13284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-24 18:04:59');
INSERT INTO `sys_job_log` VALUES (13285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:05:01');
INSERT INTO `sys_job_log` VALUES (13286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1240毫秒', '0', '', '2024-12-24 18:05:02');
INSERT INTO `sys_job_log` VALUES (13287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:05:04');
INSERT INTO `sys_job_log` VALUES (13288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:05:06');
INSERT INTO `sys_job_log` VALUES (13289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:05:09');
INSERT INTO `sys_job_log` VALUES (13290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:05:11');
INSERT INTO `sys_job_log` VALUES (13291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-24 18:05:14');
INSERT INTO `sys_job_log` VALUES (13292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:05:14');
INSERT INTO `sys_job_log` VALUES (13293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:05:16');
INSERT INTO `sys_job_log` VALUES (13294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1235毫秒', '0', '', '2024-12-24 18:05:17');
INSERT INTO `sys_job_log` VALUES (13295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 18:05:19');
INSERT INTO `sys_job_log` VALUES (13296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:05:21');
INSERT INTO `sys_job_log` VALUES (13297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 18:05:24');
INSERT INTO `sys_job_log` VALUES (13298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:05:26');
INSERT INTO `sys_job_log` VALUES (13299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-24 18:05:29');
INSERT INTO `sys_job_log` VALUES (13300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 18:05:29');
INSERT INTO `sys_job_log` VALUES (13301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:05:31');
INSERT INTO `sys_job_log` VALUES (13302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 18:05:32');
INSERT INTO `sys_job_log` VALUES (13303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 18:05:34');
INSERT INTO `sys_job_log` VALUES (13304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:05:36');
INSERT INTO `sys_job_log` VALUES (13305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 18:05:39');
INSERT INTO `sys_job_log` VALUES (13306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:05:41');
INSERT INTO `sys_job_log` VALUES (13307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 18:05:44');
INSERT INTO `sys_job_log` VALUES (13308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 18:05:44');
INSERT INTO `sys_job_log` VALUES (13309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 18:05:46');
INSERT INTO `sys_job_log` VALUES (13310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1351毫秒', '0', '', '2024-12-24 18:05:47');
INSERT INTO `sys_job_log` VALUES (13311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:05:49');
INSERT INTO `sys_job_log` VALUES (13312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:05:51');
INSERT INTO `sys_job_log` VALUES (13313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:05:54');
INSERT INTO `sys_job_log` VALUES (13314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:05:56');
INSERT INTO `sys_job_log` VALUES (13315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 18:05:59');
INSERT INTO `sys_job_log` VALUES (13316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:05:59');
INSERT INTO `sys_job_log` VALUES (13317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:06:01');
INSERT INTO `sys_job_log` VALUES (13318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1213毫秒', '0', '', '2024-12-24 18:06:02');
INSERT INTO `sys_job_log` VALUES (13319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 18:06:04');
INSERT INTO `sys_job_log` VALUES (13320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:06:06');
INSERT INTO `sys_job_log` VALUES (13321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 18:06:09');
INSERT INTO `sys_job_log` VALUES (13322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:06:11');
INSERT INTO `sys_job_log` VALUES (13323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 18:06:14');
INSERT INTO `sys_job_log` VALUES (13324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 18:06:14');
INSERT INTO `sys_job_log` VALUES (13325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:06:16');
INSERT INTO `sys_job_log` VALUES (13326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 18:06:17');
INSERT INTO `sys_job_log` VALUES (13327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:06:19');
INSERT INTO `sys_job_log` VALUES (13328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:06:21');
INSERT INTO `sys_job_log` VALUES (13329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:06:24');
INSERT INTO `sys_job_log` VALUES (13330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:06:26');
INSERT INTO `sys_job_log` VALUES (13331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:06:29');
INSERT INTO `sys_job_log` VALUES (13332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 18:06:29');
INSERT INTO `sys_job_log` VALUES (13333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:06:31');
INSERT INTO `sys_job_log` VALUES (13334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 18:06:32');
INSERT INTO `sys_job_log` VALUES (13335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 18:06:34');
INSERT INTO `sys_job_log` VALUES (13336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:06:36');
INSERT INTO `sys_job_log` VALUES (13337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 18:06:39');
INSERT INTO `sys_job_log` VALUES (13338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:06:41');
INSERT INTO `sys_job_log` VALUES (13339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 18:06:44');
INSERT INTO `sys_job_log` VALUES (13340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-24 18:06:44');
INSERT INTO `sys_job_log` VALUES (13341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:06:46');
INSERT INTO `sys_job_log` VALUES (13342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1136毫秒', '0', '', '2024-12-24 18:06:47');
INSERT INTO `sys_job_log` VALUES (13343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 18:06:49');
INSERT INTO `sys_job_log` VALUES (13344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:06:51');
INSERT INTO `sys_job_log` VALUES (13345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-24 18:06:54');
INSERT INTO `sys_job_log` VALUES (13346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:06:56');
INSERT INTO `sys_job_log` VALUES (13347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-24 18:06:59');
INSERT INTO `sys_job_log` VALUES (13348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-24 18:06:59');
INSERT INTO `sys_job_log` VALUES (13349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:07:01');
INSERT INTO `sys_job_log` VALUES (13350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1205毫秒', '0', '', '2024-12-24 18:07:02');
INSERT INTO `sys_job_log` VALUES (13351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-24 18:07:04');
INSERT INTO `sys_job_log` VALUES (13352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:07:06');
INSERT INTO `sys_job_log` VALUES (13353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 18:07:09');
INSERT INTO `sys_job_log` VALUES (13354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:07:11');
INSERT INTO `sys_job_log` VALUES (13355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-24 18:07:14');
INSERT INTO `sys_job_log` VALUES (13356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-24 18:07:14');
INSERT INTO `sys_job_log` VALUES (13357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:07:16');
INSERT INTO `sys_job_log` VALUES (13358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 18:07:17');
INSERT INTO `sys_job_log` VALUES (13359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 18:07:19');
INSERT INTO `sys_job_log` VALUES (13360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:07:21');
INSERT INTO `sys_job_log` VALUES (13361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 18:07:24');
INSERT INTO `sys_job_log` VALUES (13362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:07:26');
INSERT INTO `sys_job_log` VALUES (13363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 18:07:29');
INSERT INTO `sys_job_log` VALUES (13364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-24 18:07:29');
INSERT INTO `sys_job_log` VALUES (13365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:07:31');
INSERT INTO `sys_job_log` VALUES (13366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1141毫秒', '0', '', '2024-12-24 18:07:32');
INSERT INTO `sys_job_log` VALUES (13367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:07:34');
INSERT INTO `sys_job_log` VALUES (13368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:07:36');
INSERT INTO `sys_job_log` VALUES (13369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:07:39');
INSERT INTO `sys_job_log` VALUES (13370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:07:41');
INSERT INTO `sys_job_log` VALUES (13371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:07:44');
INSERT INTO `sys_job_log` VALUES (13372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15毫秒', '0', '', '2024-12-24 18:07:44');
INSERT INTO `sys_job_log` VALUES (13373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:07:46');
INSERT INTO `sys_job_log` VALUES (13374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1127毫秒', '0', '', '2024-12-24 18:07:47');
INSERT INTO `sys_job_log` VALUES (13375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 18:07:49');
INSERT INTO `sys_job_log` VALUES (13376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:07:51');
INSERT INTO `sys_job_log` VALUES (13377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-24 18:07:54');
INSERT INTO `sys_job_log` VALUES (13378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:07:56');
INSERT INTO `sys_job_log` VALUES (13379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 18:07:59');
INSERT INTO `sys_job_log` VALUES (13380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-24 18:07:59');
INSERT INTO `sys_job_log` VALUES (13381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:08:01');
INSERT INTO `sys_job_log` VALUES (13382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2024-12-24 18:08:02');
INSERT INTO `sys_job_log` VALUES (13383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 18:08:04');
INSERT INTO `sys_job_log` VALUES (13384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:08:06');
INSERT INTO `sys_job_log` VALUES (13385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:08:09');
INSERT INTO `sys_job_log` VALUES (13386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:08:11');
INSERT INTO `sys_job_log` VALUES (13387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 18:08:14');
INSERT INTO `sys_job_log` VALUES (13388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：19毫秒', '0', '', '2024-12-24 18:08:14');
INSERT INTO `sys_job_log` VALUES (13389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:08:16');
INSERT INTO `sys_job_log` VALUES (13390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1179毫秒', '0', '', '2024-12-24 18:08:17');
INSERT INTO `sys_job_log` VALUES (13391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 18:08:19');
INSERT INTO `sys_job_log` VALUES (13392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:08:21');
INSERT INTO `sys_job_log` VALUES (13393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:08:26');
INSERT INTO `sys_job_log` VALUES (13394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 18:08:31');
INSERT INTO `sys_job_log` VALUES (13395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 18:08:32');
INSERT INTO `sys_job_log` VALUES (13396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 18:08:36');
INSERT INTO `sys_job_log` VALUES (13397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 18:08:41');
INSERT INTO `sys_job_log` VALUES (13398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:08:46');
INSERT INTO `sys_job_log` VALUES (13399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1209毫秒', '0', '', '2024-12-24 18:08:47');
INSERT INTO `sys_job_log` VALUES (13400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:08:51');
INSERT INTO `sys_job_log` VALUES (13401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:08:56');
INSERT INTO `sys_job_log` VALUES (13402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:09:01');
INSERT INTO `sys_job_log` VALUES (13403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-24 18:09:02');
INSERT INTO `sys_job_log` VALUES (13404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:09:06');
INSERT INTO `sys_job_log` VALUES (13405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:09:11');
INSERT INTO `sys_job_log` VALUES (13406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:09:16');
INSERT INTO `sys_job_log` VALUES (13407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 18:09:17');
INSERT INTO `sys_job_log` VALUES (13408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:09:21');
INSERT INTO `sys_job_log` VALUES (13409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:09:26');
INSERT INTO `sys_job_log` VALUES (13410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:09:31');
INSERT INTO `sys_job_log` VALUES (13411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1136毫秒', '0', '', '2024-12-24 18:09:32');
INSERT INTO `sys_job_log` VALUES (13412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:09:36');
INSERT INTO `sys_job_log` VALUES (13413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:09:41');
INSERT INTO `sys_job_log` VALUES (13414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 18:09:46');
INSERT INTO `sys_job_log` VALUES (13415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1211毫秒', '0', '', '2024-12-24 18:09:47');
INSERT INTO `sys_job_log` VALUES (13416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:09:51');
INSERT INTO `sys_job_log` VALUES (13417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:09:56');
INSERT INTO `sys_job_log` VALUES (13418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:10:01');
INSERT INTO `sys_job_log` VALUES (13419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-24 18:10:02');
INSERT INTO `sys_job_log` VALUES (13420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:10:06');
INSERT INTO `sys_job_log` VALUES (13421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:10:11');
INSERT INTO `sys_job_log` VALUES (13422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:10:16');
INSERT INTO `sys_job_log` VALUES (13423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1163毫秒', '0', '', '2024-12-24 18:10:17');
INSERT INTO `sys_job_log` VALUES (13424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:10:21');
INSERT INTO `sys_job_log` VALUES (13425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:10:26');
INSERT INTO `sys_job_log` VALUES (13426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:10:31');
INSERT INTO `sys_job_log` VALUES (13427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1131毫秒', '0', '', '2024-12-24 18:10:32');
INSERT INTO `sys_job_log` VALUES (13428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:10:36');
INSERT INTO `sys_job_log` VALUES (13429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:10:41');
INSERT INTO `sys_job_log` VALUES (13430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:10:46');
INSERT INTO `sys_job_log` VALUES (13431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2024-12-24 18:10:47');
INSERT INTO `sys_job_log` VALUES (13432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:10:51');
INSERT INTO `sys_job_log` VALUES (13433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:10:56');
INSERT INTO `sys_job_log` VALUES (13434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 18:11:01');
INSERT INTO `sys_job_log` VALUES (13435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1266毫秒', '0', '', '2024-12-24 18:11:02');
INSERT INTO `sys_job_log` VALUES (13436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:11:06');
INSERT INTO `sys_job_log` VALUES (13437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:11:11');
INSERT INTO `sys_job_log` VALUES (13438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:11:16');
INSERT INTO `sys_job_log` VALUES (13439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 18:11:17');
INSERT INTO `sys_job_log` VALUES (13440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:11:21');
INSERT INTO `sys_job_log` VALUES (13441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:11:26');
INSERT INTO `sys_job_log` VALUES (13442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:11:31');
INSERT INTO `sys_job_log` VALUES (13443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1135毫秒', '0', '', '2024-12-24 18:11:32');
INSERT INTO `sys_job_log` VALUES (13444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:11:36');
INSERT INTO `sys_job_log` VALUES (13445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:11:41');
INSERT INTO `sys_job_log` VALUES (13446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:11:46');
INSERT INTO `sys_job_log` VALUES (13447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1199毫秒', '0', '', '2024-12-24 18:11:47');
INSERT INTO `sys_job_log` VALUES (13448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:11:51');
INSERT INTO `sys_job_log` VALUES (13449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:11:56');
INSERT INTO `sys_job_log` VALUES (13450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 18:12:01');
INSERT INTO `sys_job_log` VALUES (13451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2024-12-24 18:12:02');
INSERT INTO `sys_job_log` VALUES (13452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:12:06');
INSERT INTO `sys_job_log` VALUES (13453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:12:11');
INSERT INTO `sys_job_log` VALUES (13454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:12:16');
INSERT INTO `sys_job_log` VALUES (13455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1145毫秒', '0', '', '2024-12-24 18:12:17');
INSERT INTO `sys_job_log` VALUES (13456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:12:21');
INSERT INTO `sys_job_log` VALUES (13457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:12:26');
INSERT INTO `sys_job_log` VALUES (13458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:12:31');
INSERT INTO `sys_job_log` VALUES (13459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1113毫秒', '0', '', '2024-12-24 18:12:32');
INSERT INTO `sys_job_log` VALUES (13460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:12:36');
INSERT INTO `sys_job_log` VALUES (13461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:12:41');
INSERT INTO `sys_job_log` VALUES (13462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:12:46');
INSERT INTO `sys_job_log` VALUES (13463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-24 18:12:47');
INSERT INTO `sys_job_log` VALUES (13464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:12:51');
INSERT INTO `sys_job_log` VALUES (13465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:12:56');
INSERT INTO `sys_job_log` VALUES (13466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:13:01');
INSERT INTO `sys_job_log` VALUES (13467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 18:13:02');
INSERT INTO `sys_job_log` VALUES (13468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:06');
INSERT INTO `sys_job_log` VALUES (13469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:11');
INSERT INTO `sys_job_log` VALUES (13470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:13:16');
INSERT INTO `sys_job_log` VALUES (13471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 18:13:17');
INSERT INTO `sys_job_log` VALUES (13472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:21');
INSERT INTO `sys_job_log` VALUES (13473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:13:26');
INSERT INTO `sys_job_log` VALUES (13474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:31');
INSERT INTO `sys_job_log` VALUES (13475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 18:13:32');
INSERT INTO `sys_job_log` VALUES (13476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:36');
INSERT INTO `sys_job_log` VALUES (13477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:13:41');
INSERT INTO `sys_job_log` VALUES (13478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:46');
INSERT INTO `sys_job_log` VALUES (13479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-24 18:13:47');
INSERT INTO `sys_job_log` VALUES (13480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:13:51');
INSERT INTO `sys_job_log` VALUES (13481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:13:56');
INSERT INTO `sys_job_log` VALUES (13482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:01');
INSERT INTO `sys_job_log` VALUES (13483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 18:14:02');
INSERT INTO `sys_job_log` VALUES (13484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:06');
INSERT INTO `sys_job_log` VALUES (13485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:11');
INSERT INTO `sys_job_log` VALUES (13486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:16');
INSERT INTO `sys_job_log` VALUES (13487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 18:14:17');
INSERT INTO `sys_job_log` VALUES (13488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:14:21');
INSERT INTO `sys_job_log` VALUES (13489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:14:26');
INSERT INTO `sys_job_log` VALUES (13490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:14:31');
INSERT INTO `sys_job_log` VALUES (13491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-24 18:14:32');
INSERT INTO `sys_job_log` VALUES (13492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:14:36');
INSERT INTO `sys_job_log` VALUES (13493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:41');
INSERT INTO `sys_job_log` VALUES (13494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:46');
INSERT INTO `sys_job_log` VALUES (13495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 18:14:47');
INSERT INTO `sys_job_log` VALUES (13496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:14:51');
INSERT INTO `sys_job_log` VALUES (13497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:14:56');
INSERT INTO `sys_job_log` VALUES (13498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 18:15:01');
INSERT INTO `sys_job_log` VALUES (13499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 18:15:02');
INSERT INTO `sys_job_log` VALUES (13500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:15:06');
INSERT INTO `sys_job_log` VALUES (13501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:15:11');
INSERT INTO `sys_job_log` VALUES (13502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:15:16');
INSERT INTO `sys_job_log` VALUES (13503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1114毫秒', '0', '', '2024-12-24 18:15:17');
INSERT INTO `sys_job_log` VALUES (13504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:15:21');
INSERT INTO `sys_job_log` VALUES (13505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 18:15:26');
INSERT INTO `sys_job_log` VALUES (13506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:15:31');
INSERT INTO `sys_job_log` VALUES (13507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 18:15:32');
INSERT INTO `sys_job_log` VALUES (13508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:15:36');
INSERT INTO `sys_job_log` VALUES (13509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:15:41');
INSERT INTO `sys_job_log` VALUES (13510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:15:46');
INSERT INTO `sys_job_log` VALUES (13511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1167毫秒', '0', '', '2024-12-24 18:15:47');
INSERT INTO `sys_job_log` VALUES (13512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:15:51');
INSERT INTO `sys_job_log` VALUES (13513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:15:56');
INSERT INTO `sys_job_log` VALUES (13514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:16:01');
INSERT INTO `sys_job_log` VALUES (13515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1138毫秒', '0', '', '2024-12-24 18:16:02');
INSERT INTO `sys_job_log` VALUES (13516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:16:06');
INSERT INTO `sys_job_log` VALUES (13517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:16:11');
INSERT INTO `sys_job_log` VALUES (13518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:16:16');
INSERT INTO `sys_job_log` VALUES (13519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2024-12-24 18:16:17');
INSERT INTO `sys_job_log` VALUES (13520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:16:21');
INSERT INTO `sys_job_log` VALUES (13521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:16:26');
INSERT INTO `sys_job_log` VALUES (13522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:16:31');
INSERT INTO `sys_job_log` VALUES (13523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-24 18:16:32');
INSERT INTO `sys_job_log` VALUES (13524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:16:36');
INSERT INTO `sys_job_log` VALUES (13525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:16:41');
INSERT INTO `sys_job_log` VALUES (13526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:16:46');
INSERT INTO `sys_job_log` VALUES (13527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 18:16:47');
INSERT INTO `sys_job_log` VALUES (13528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:16:51');
INSERT INTO `sys_job_log` VALUES (13529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:16:56');
INSERT INTO `sys_job_log` VALUES (13530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:17:01');
INSERT INTO `sys_job_log` VALUES (13531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1114毫秒', '0', '', '2024-12-24 18:17:02');
INSERT INTO `sys_job_log` VALUES (13532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:17:06');
INSERT INTO `sys_job_log` VALUES (13533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:17:11');
INSERT INTO `sys_job_log` VALUES (13534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:17:16');
INSERT INTO `sys_job_log` VALUES (13535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-24 18:17:17');
INSERT INTO `sys_job_log` VALUES (13536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:17:21');
INSERT INTO `sys_job_log` VALUES (13537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:17:26');
INSERT INTO `sys_job_log` VALUES (13538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:17:31');
INSERT INTO `sys_job_log` VALUES (13539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1175毫秒', '0', '', '2024-12-24 18:17:32');
INSERT INTO `sys_job_log` VALUES (13540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:17:36');
INSERT INTO `sys_job_log` VALUES (13541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:17:41');
INSERT INTO `sys_job_log` VALUES (13542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:17:46');
INSERT INTO `sys_job_log` VALUES (13543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 18:17:47');
INSERT INTO `sys_job_log` VALUES (13544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:17:51');
INSERT INTO `sys_job_log` VALUES (13545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:17:56');
INSERT INTO `sys_job_log` VALUES (13546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:18:01');
INSERT INTO `sys_job_log` VALUES (13547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1119毫秒', '0', '', '2024-12-24 18:18:02');
INSERT INTO `sys_job_log` VALUES (13548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:06');
INSERT INTO `sys_job_log` VALUES (13549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:18:11');
INSERT INTO `sys_job_log` VALUES (13550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:16');
INSERT INTO `sys_job_log` VALUES (13551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 18:18:17');
INSERT INTO `sys_job_log` VALUES (13552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:18:21');
INSERT INTO `sys_job_log` VALUES (13553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:26');
INSERT INTO `sys_job_log` VALUES (13554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:31');
INSERT INTO `sys_job_log` VALUES (13555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 18:18:32');
INSERT INTO `sys_job_log` VALUES (13556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:36');
INSERT INTO `sys_job_log` VALUES (13557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:41');
INSERT INTO `sys_job_log` VALUES (13558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:46');
INSERT INTO `sys_job_log` VALUES (13559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1145毫秒', '0', '', '2024-12-24 18:18:47');
INSERT INTO `sys_job_log` VALUES (13560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:18:51');
INSERT INTO `sys_job_log` VALUES (13561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:18:56');
INSERT INTO `sys_job_log` VALUES (13562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 18:19:01');
INSERT INTO `sys_job_log` VALUES (13563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1213毫秒', '0', '', '2024-12-24 18:19:02');
INSERT INTO `sys_job_log` VALUES (13564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 18:19:06');
INSERT INTO `sys_job_log` VALUES (13565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 18:19:11');
INSERT INTO `sys_job_log` VALUES (13566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 18:19:16');
INSERT INTO `sys_job_log` VALUES (13567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1191毫秒', '0', '', '2024-12-24 18:19:17');
INSERT INTO `sys_job_log` VALUES (13568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 18:19:21');
INSERT INTO `sys_job_log` VALUES (13569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 18:19:26');
INSERT INTO `sys_job_log` VALUES (13570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:19:31');
INSERT INTO `sys_job_log` VALUES (13571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 18:19:32');
INSERT INTO `sys_job_log` VALUES (13572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 18:19:36');
INSERT INTO `sys_job_log` VALUES (13573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:19:41');
INSERT INTO `sys_job_log` VALUES (13574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 18:19:46');
INSERT INTO `sys_job_log` VALUES (13575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1136毫秒', '0', '', '2024-12-24 18:19:47');
INSERT INTO `sys_job_log` VALUES (13576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1291毫秒', '0', '', '2024-12-24 19:27:49');
INSERT INTO `sys_job_log` VALUES (13577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2395毫秒', '0', '', '2024-12-24 19:27:50');
INSERT INTO `sys_job_log` VALUES (13578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:27:51');
INSERT INTO `sys_job_log` VALUES (13579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:27:56');
INSERT INTO `sys_job_log` VALUES (13580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:28:01');
INSERT INTO `sys_job_log` VALUES (13581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1175毫秒', '0', '', '2024-12-24 19:28:02');
INSERT INTO `sys_job_log` VALUES (13582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:28:06');
INSERT INTO `sys_job_log` VALUES (13583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:28:11');
INSERT INTO `sys_job_log` VALUES (13584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:28:16');
INSERT INTO `sys_job_log` VALUES (13585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 19:28:17');
INSERT INTO `sys_job_log` VALUES (13586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:28:21');
INSERT INTO `sys_job_log` VALUES (13587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:28:26');
INSERT INTO `sys_job_log` VALUES (13588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:28:31');
INSERT INTO `sys_job_log` VALUES (13589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-24 19:28:32');
INSERT INTO `sys_job_log` VALUES (13590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:28:36');
INSERT INTO `sys_job_log` VALUES (13591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:28:41');
INSERT INTO `sys_job_log` VALUES (13592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:28:46');
INSERT INTO `sys_job_log` VALUES (13593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 19:28:47');
INSERT INTO `sys_job_log` VALUES (13594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:28:51');
INSERT INTO `sys_job_log` VALUES (13595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:28:56');
INSERT INTO `sys_job_log` VALUES (13596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:29:01');
INSERT INTO `sys_job_log` VALUES (13597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1156毫秒', '0', '', '2024-12-24 19:29:02');
INSERT INTO `sys_job_log` VALUES (13598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:29:06');
INSERT INTO `sys_job_log` VALUES (13599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:29:11');
INSERT INTO `sys_job_log` VALUES (13600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:29:16');
INSERT INTO `sys_job_log` VALUES (13601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 19:29:17');
INSERT INTO `sys_job_log` VALUES (13602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:29:21');
INSERT INTO `sys_job_log` VALUES (13603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:29:26');
INSERT INTO `sys_job_log` VALUES (13604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:29:31');
INSERT INTO `sys_job_log` VALUES (13605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 19:29:32');
INSERT INTO `sys_job_log` VALUES (13606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 19:29:36');
INSERT INTO `sys_job_log` VALUES (13607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:29:41');
INSERT INTO `sys_job_log` VALUES (13608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:29:46');
INSERT INTO `sys_job_log` VALUES (13609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-24 19:29:47');
INSERT INTO `sys_job_log` VALUES (13610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:29:51');
INSERT INTO `sys_job_log` VALUES (13611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:29:56');
INSERT INTO `sys_job_log` VALUES (13612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 19:30:01');
INSERT INTO `sys_job_log` VALUES (13613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1155毫秒', '0', '', '2024-12-24 19:30:02');
INSERT INTO `sys_job_log` VALUES (13614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:30:06');
INSERT INTO `sys_job_log` VALUES (13615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1271毫秒', '0', '', '2024-12-24 19:33:12');
INSERT INTO `sys_job_log` VALUES (13616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:33:16');
INSERT INTO `sys_job_log` VALUES (13617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 19:33:17');
INSERT INTO `sys_job_log` VALUES (13618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:33:21');
INSERT INTO `sys_job_log` VALUES (13619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:33:26');
INSERT INTO `sys_job_log` VALUES (13620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:33:31');
INSERT INTO `sys_job_log` VALUES (13621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1175毫秒', '0', '', '2024-12-24 19:33:32');
INSERT INTO `sys_job_log` VALUES (13622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:33:36');
INSERT INTO `sys_job_log` VALUES (13623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:33:41');
INSERT INTO `sys_job_log` VALUES (13624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:33:46');
INSERT INTO `sys_job_log` VALUES (13625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1236毫秒', '0', '', '2024-12-24 19:33:47');
INSERT INTO `sys_job_log` VALUES (13626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:33:51');
INSERT INTO `sys_job_log` VALUES (13627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:33:56');
INSERT INTO `sys_job_log` VALUES (13628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:34:01');
INSERT INTO `sys_job_log` VALUES (13629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1208毫秒', '0', '', '2024-12-24 19:34:02');
INSERT INTO `sys_job_log` VALUES (13630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:34:06');
INSERT INTO `sys_job_log` VALUES (13631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:34:11');
INSERT INTO `sys_job_log` VALUES (13632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:34:16');
INSERT INTO `sys_job_log` VALUES (13633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1184毫秒', '0', '', '2024-12-24 19:34:17');
INSERT INTO `sys_job_log` VALUES (13634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:34:21');
INSERT INTO `sys_job_log` VALUES (13635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:34:26');
INSERT INTO `sys_job_log` VALUES (13636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:34:31');
INSERT INTO `sys_job_log` VALUES (13637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1158毫秒', '0', '', '2024-12-24 19:34:32');
INSERT INTO `sys_job_log` VALUES (13638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:34:36');
INSERT INTO `sys_job_log` VALUES (13639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:34:41');
INSERT INTO `sys_job_log` VALUES (13640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:34:46');
INSERT INTO `sys_job_log` VALUES (13641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1225毫秒', '0', '', '2024-12-24 19:34:47');
INSERT INTO `sys_job_log` VALUES (13642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:34:51');
INSERT INTO `sys_job_log` VALUES (13643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:34:56');
INSERT INTO `sys_job_log` VALUES (13644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:35:01');
INSERT INTO `sys_job_log` VALUES (13645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 19:35:02');
INSERT INTO `sys_job_log` VALUES (13646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:35:06');
INSERT INTO `sys_job_log` VALUES (13647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:35:11');
INSERT INTO `sys_job_log` VALUES (13648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:35:16');
INSERT INTO `sys_job_log` VALUES (13649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 19:35:17');
INSERT INTO `sys_job_log` VALUES (13650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:35:21');
INSERT INTO `sys_job_log` VALUES (13651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:35:26');
INSERT INTO `sys_job_log` VALUES (13652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:35:31');
INSERT INTO `sys_job_log` VALUES (13653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 19:35:32');
INSERT INTO `sys_job_log` VALUES (13654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:35:36');
INSERT INTO `sys_job_log` VALUES (13655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:35:41');
INSERT INTO `sys_job_log` VALUES (13656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:35:46');
INSERT INTO `sys_job_log` VALUES (13657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1224毫秒', '0', '', '2024-12-24 19:35:47');
INSERT INTO `sys_job_log` VALUES (13658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:35:51');
INSERT INTO `sys_job_log` VALUES (13659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:35:56');
INSERT INTO `sys_job_log` VALUES (13660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:36:01');
INSERT INTO `sys_job_log` VALUES (13661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 19:36:02');
INSERT INTO `sys_job_log` VALUES (13662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:36:06');
INSERT INTO `sys_job_log` VALUES (13663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:36:11');
INSERT INTO `sys_job_log` VALUES (13664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:36:16');
INSERT INTO `sys_job_log` VALUES (13665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-24 19:36:17');
INSERT INTO `sys_job_log` VALUES (13666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:36:21');
INSERT INTO `sys_job_log` VALUES (13667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 19:36:26');
INSERT INTO `sys_job_log` VALUES (13668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:36:31');
INSERT INTO `sys_job_log` VALUES (13669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-24 19:36:32');
INSERT INTO `sys_job_log` VALUES (13670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 19:36:36');
INSERT INTO `sys_job_log` VALUES (13671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:36:41');
INSERT INTO `sys_job_log` VALUES (13672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:36:46');
INSERT INTO `sys_job_log` VALUES (13673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1224毫秒', '0', '', '2024-12-24 19:36:47');
INSERT INTO `sys_job_log` VALUES (13674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:36:51');
INSERT INTO `sys_job_log` VALUES (13675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:36:56');
INSERT INTO `sys_job_log` VALUES (13676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:37:01');
INSERT INTO `sys_job_log` VALUES (13677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 19:37:02');
INSERT INTO `sys_job_log` VALUES (13678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:37:06');
INSERT INTO `sys_job_log` VALUES (13679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 19:37:11');
INSERT INTO `sys_job_log` VALUES (13680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:37:16');
INSERT INTO `sys_job_log` VALUES (13681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-24 19:37:17');
INSERT INTO `sys_job_log` VALUES (13682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:37:21');
INSERT INTO `sys_job_log` VALUES (13683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:37:26');
INSERT INTO `sys_job_log` VALUES (13684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 19:37:31');
INSERT INTO `sys_job_log` VALUES (13685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1135毫秒', '0', '', '2024-12-24 19:37:32');
INSERT INTO `sys_job_log` VALUES (13686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 19:37:36');
INSERT INTO `sys_job_log` VALUES (13687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:37:41');
INSERT INTO `sys_job_log` VALUES (13688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:37:46');
INSERT INTO `sys_job_log` VALUES (13689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1210毫秒', '0', '', '2024-12-24 19:37:47');
INSERT INTO `sys_job_log` VALUES (13690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:37:51');
INSERT INTO `sys_job_log` VALUES (13691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:37:56');
INSERT INTO `sys_job_log` VALUES (13692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 19:38:01');
INSERT INTO `sys_job_log` VALUES (13693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1173毫秒', '0', '', '2024-12-24 19:38:02');
INSERT INTO `sys_job_log` VALUES (13694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:38:06');
INSERT INTO `sys_job_log` VALUES (13695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:38:11');
INSERT INTO `sys_job_log` VALUES (13696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:38:16');
INSERT INTO `sys_job_log` VALUES (13697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 19:38:17');
INSERT INTO `sys_job_log` VALUES (13698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 19:38:21');
INSERT INTO `sys_job_log` VALUES (13699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:38:26');
INSERT INTO `sys_job_log` VALUES (13700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 19:38:31');
INSERT INTO `sys_job_log` VALUES (13701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 19:38:32');
INSERT INTO `sys_job_log` VALUES (13702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:38:36');
INSERT INTO `sys_job_log` VALUES (13703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:38:41');
INSERT INTO `sys_job_log` VALUES (13704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:38:46');
INSERT INTO `sys_job_log` VALUES (13705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 19:38:47');
INSERT INTO `sys_job_log` VALUES (13706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:38:51');
INSERT INTO `sys_job_log` VALUES (13707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:38:56');
INSERT INTO `sys_job_log` VALUES (13708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:39:01');
INSERT INTO `sys_job_log` VALUES (13709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-24 19:39:02');
INSERT INTO `sys_job_log` VALUES (13710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:39:06');
INSERT INTO `sys_job_log` VALUES (13711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:39:11');
INSERT INTO `sys_job_log` VALUES (13712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:39:16');
INSERT INTO `sys_job_log` VALUES (13713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 19:39:17');
INSERT INTO `sys_job_log` VALUES (13714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:39:21');
INSERT INTO `sys_job_log` VALUES (13715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:39:26');
INSERT INTO `sys_job_log` VALUES (13716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:39:31');
INSERT INTO `sys_job_log` VALUES (13717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1223毫秒', '0', '', '2024-12-24 19:39:32');
INSERT INTO `sys_job_log` VALUES (13718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:39:36');
INSERT INTO `sys_job_log` VALUES (13719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:39:41');
INSERT INTO `sys_job_log` VALUES (13720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:39:46');
INSERT INTO `sys_job_log` VALUES (13721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1287毫秒', '0', '', '2024-12-24 19:39:47');
INSERT INTO `sys_job_log` VALUES (13722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:39:51');
INSERT INTO `sys_job_log` VALUES (13723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:39:56');
INSERT INTO `sys_job_log` VALUES (13724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:40:01');
INSERT INTO `sys_job_log` VALUES (13725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 19:40:02');
INSERT INTO `sys_job_log` VALUES (13726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:40:06');
INSERT INTO `sys_job_log` VALUES (13727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:40:11');
INSERT INTO `sys_job_log` VALUES (13728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:40:16');
INSERT INTO `sys_job_log` VALUES (13729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 19:40:17');
INSERT INTO `sys_job_log` VALUES (13730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 19:40:21');
INSERT INTO `sys_job_log` VALUES (13731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:40:26');
INSERT INTO `sys_job_log` VALUES (13732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:40:31');
INSERT INTO `sys_job_log` VALUES (13733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 19:40:32');
INSERT INTO `sys_job_log` VALUES (13734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 19:40:36');
INSERT INTO `sys_job_log` VALUES (13735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:40:41');
INSERT INTO `sys_job_log` VALUES (13736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:40:46');
INSERT INTO `sys_job_log` VALUES (13737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 19:40:47');
INSERT INTO `sys_job_log` VALUES (13738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:40:51');
INSERT INTO `sys_job_log` VALUES (13739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:40:56');
INSERT INTO `sys_job_log` VALUES (13740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:41:01');
INSERT INTO `sys_job_log` VALUES (13741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1155毫秒', '0', '', '2024-12-24 19:41:02');
INSERT INTO `sys_job_log` VALUES (13742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:41:06');
INSERT INTO `sys_job_log` VALUES (13743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:41:11');
INSERT INTO `sys_job_log` VALUES (13744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:41:16');
INSERT INTO `sys_job_log` VALUES (13745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 19:41:17');
INSERT INTO `sys_job_log` VALUES (13746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:41:21');
INSERT INTO `sys_job_log` VALUES (13747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:41:26');
INSERT INTO `sys_job_log` VALUES (13748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:41:31');
INSERT INTO `sys_job_log` VALUES (13749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 19:41:32');
INSERT INTO `sys_job_log` VALUES (13750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:41:36');
INSERT INTO `sys_job_log` VALUES (13751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:41:41');
INSERT INTO `sys_job_log` VALUES (13752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:41:46');
INSERT INTO `sys_job_log` VALUES (13753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 19:41:47');
INSERT INTO `sys_job_log` VALUES (13754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:41:51');
INSERT INTO `sys_job_log` VALUES (13755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:41:56');
INSERT INTO `sys_job_log` VALUES (13756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:42:01');
INSERT INTO `sys_job_log` VALUES (13757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1145毫秒', '0', '', '2024-12-24 19:42:02');
INSERT INTO `sys_job_log` VALUES (13758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:42:06');
INSERT INTO `sys_job_log` VALUES (13759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:42:11');
INSERT INTO `sys_job_log` VALUES (13760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:42:16');
INSERT INTO `sys_job_log` VALUES (13761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1124毫秒', '0', '', '2024-12-24 19:42:17');
INSERT INTO `sys_job_log` VALUES (13762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:42:21');
INSERT INTO `sys_job_log` VALUES (13763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:42:26');
INSERT INTO `sys_job_log` VALUES (13764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:42:31');
INSERT INTO `sys_job_log` VALUES (13765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 19:42:32');
INSERT INTO `sys_job_log` VALUES (13766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:42:36');
INSERT INTO `sys_job_log` VALUES (13767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:42:41');
INSERT INTO `sys_job_log` VALUES (13768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:42:46');
INSERT INTO `sys_job_log` VALUES (13769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 19:42:47');
INSERT INTO `sys_job_log` VALUES (13770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:42:51');
INSERT INTO `sys_job_log` VALUES (13771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 19:42:56');
INSERT INTO `sys_job_log` VALUES (13772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:43:01');
INSERT INTO `sys_job_log` VALUES (13773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1240毫秒', '0', '', '2024-12-24 19:43:02');
INSERT INTO `sys_job_log` VALUES (13774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:43:06');
INSERT INTO `sys_job_log` VALUES (13775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 19:43:11');
INSERT INTO `sys_job_log` VALUES (13776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 19:43:16');
INSERT INTO `sys_job_log` VALUES (13777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1210毫秒', '0', '', '2024-12-24 19:43:17');
INSERT INTO `sys_job_log` VALUES (13778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:43:21');
INSERT INTO `sys_job_log` VALUES (13779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:43:26');
INSERT INTO `sys_job_log` VALUES (13780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:43:31');
INSERT INTO `sys_job_log` VALUES (13781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1179毫秒', '0', '', '2024-12-24 19:43:32');
INSERT INTO `sys_job_log` VALUES (13782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:43:36');
INSERT INTO `sys_job_log` VALUES (13783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:43:41');
INSERT INTO `sys_job_log` VALUES (13784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:43:46');
INSERT INTO `sys_job_log` VALUES (13785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 19:43:47');
INSERT INTO `sys_job_log` VALUES (13786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:43:51');
INSERT INTO `sys_job_log` VALUES (13787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:43:56');
INSERT INTO `sys_job_log` VALUES (13788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:44:01');
INSERT INTO `sys_job_log` VALUES (13789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 19:44:02');
INSERT INTO `sys_job_log` VALUES (13790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:44:06');
INSERT INTO `sys_job_log` VALUES (13791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 19:44:11');
INSERT INTO `sys_job_log` VALUES (13792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:44:16');
INSERT INTO `sys_job_log` VALUES (13793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2024-12-24 19:44:17');
INSERT INTO `sys_job_log` VALUES (13794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:44:21');
INSERT INTO `sys_job_log` VALUES (13795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:44:26');
INSERT INTO `sys_job_log` VALUES (13796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:44:31');
INSERT INTO `sys_job_log` VALUES (13797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 19:44:32');
INSERT INTO `sys_job_log` VALUES (13798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:44:36');
INSERT INTO `sys_job_log` VALUES (13799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:44:41');
INSERT INTO `sys_job_log` VALUES (13800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:44:46');
INSERT INTO `sys_job_log` VALUES (13801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 19:44:47');
INSERT INTO `sys_job_log` VALUES (13802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:44:51');
INSERT INTO `sys_job_log` VALUES (13803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:44:56');
INSERT INTO `sys_job_log` VALUES (13804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:45:01');
INSERT INTO `sys_job_log` VALUES (13805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1130毫秒', '0', '', '2024-12-24 19:45:02');
INSERT INTO `sys_job_log` VALUES (13806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:45:06');
INSERT INTO `sys_job_log` VALUES (13807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:45:11');
INSERT INTO `sys_job_log` VALUES (13808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:45:16');
INSERT INTO `sys_job_log` VALUES (13809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1220毫秒', '0', '', '2024-12-24 19:45:17');
INSERT INTO `sys_job_log` VALUES (13810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 19:45:21');
INSERT INTO `sys_job_log` VALUES (13811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:45:26');
INSERT INTO `sys_job_log` VALUES (13812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:45:31');
INSERT INTO `sys_job_log` VALUES (13813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 19:45:32');
INSERT INTO `sys_job_log` VALUES (13814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:45:36');
INSERT INTO `sys_job_log` VALUES (13815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:45:41');
INSERT INTO `sys_job_log` VALUES (13816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:45:46');
INSERT INTO `sys_job_log` VALUES (13817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 19:45:47');
INSERT INTO `sys_job_log` VALUES (13818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:45:51');
INSERT INTO `sys_job_log` VALUES (13819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:45:56');
INSERT INTO `sys_job_log` VALUES (13820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:46:01');
INSERT INTO `sys_job_log` VALUES (13821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1217毫秒', '0', '', '2024-12-24 19:46:02');
INSERT INTO `sys_job_log` VALUES (13822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:46:06');
INSERT INTO `sys_job_log` VALUES (13823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:46:11');
INSERT INTO `sys_job_log` VALUES (13824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:46:16');
INSERT INTO `sys_job_log` VALUES (13825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 19:46:17');
INSERT INTO `sys_job_log` VALUES (13826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:46:21');
INSERT INTO `sys_job_log` VALUES (13827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:46:26');
INSERT INTO `sys_job_log` VALUES (13828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:46:31');
INSERT INTO `sys_job_log` VALUES (13829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1173毫秒', '0', '', '2024-12-24 19:46:32');
INSERT INTO `sys_job_log` VALUES (13830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:46:36');
INSERT INTO `sys_job_log` VALUES (13831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:46:41');
INSERT INTO `sys_job_log` VALUES (13832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:46:46');
INSERT INTO `sys_job_log` VALUES (13833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1139毫秒', '0', '', '2024-12-24 19:46:47');
INSERT INTO `sys_job_log` VALUES (13834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:46:51');
INSERT INTO `sys_job_log` VALUES (13835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:46:56');
INSERT INTO `sys_job_log` VALUES (13836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:47:01');
INSERT INTO `sys_job_log` VALUES (13837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1221毫秒', '0', '', '2024-12-24 19:47:02');
INSERT INTO `sys_job_log` VALUES (13838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:47:06');
INSERT INTO `sys_job_log` VALUES (13839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:47:11');
INSERT INTO `sys_job_log` VALUES (13840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:47:16');
INSERT INTO `sys_job_log` VALUES (13841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1175毫秒', '0', '', '2024-12-24 19:47:17');
INSERT INTO `sys_job_log` VALUES (13842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 19:47:21');
INSERT INTO `sys_job_log` VALUES (13843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:47:26');
INSERT INTO `sys_job_log` VALUES (13844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:47:31');
INSERT INTO `sys_job_log` VALUES (13845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-24 19:47:32');
INSERT INTO `sys_job_log` VALUES (13846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:47:36');
INSERT INTO `sys_job_log` VALUES (13847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:47:41');
INSERT INTO `sys_job_log` VALUES (13848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:47:46');
INSERT INTO `sys_job_log` VALUES (13849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 19:47:47');
INSERT INTO `sys_job_log` VALUES (13850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:47:51');
INSERT INTO `sys_job_log` VALUES (13851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:47:56');
INSERT INTO `sys_job_log` VALUES (13852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:48:01');
INSERT INTO `sys_job_log` VALUES (13853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1209毫秒', '0', '', '2024-12-24 19:48:02');
INSERT INTO `sys_job_log` VALUES (13854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:48:06');
INSERT INTO `sys_job_log` VALUES (13855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:48:11');
INSERT INTO `sys_job_log` VALUES (13856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:48:16');
INSERT INTO `sys_job_log` VALUES (13857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-24 19:48:17');
INSERT INTO `sys_job_log` VALUES (13858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:48:21');
INSERT INTO `sys_job_log` VALUES (13859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:48:26');
INSERT INTO `sys_job_log` VALUES (13860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:48:31');
INSERT INTO `sys_job_log` VALUES (13861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 19:48:32');
INSERT INTO `sys_job_log` VALUES (13862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:48:36');
INSERT INTO `sys_job_log` VALUES (13863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:48:41');
INSERT INTO `sys_job_log` VALUES (13864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:48:46');
INSERT INTO `sys_job_log` VALUES (13865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2024-12-24 19:48:47');
INSERT INTO `sys_job_log` VALUES (13866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:48:51');
INSERT INTO `sys_job_log` VALUES (13867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:48:56');
INSERT INTO `sys_job_log` VALUES (13868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:49:01');
INSERT INTO `sys_job_log` VALUES (13869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-24 19:49:02');
INSERT INTO `sys_job_log` VALUES (13870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:49:06');
INSERT INTO `sys_job_log` VALUES (13871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:49:11');
INSERT INTO `sys_job_log` VALUES (13872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:49:16');
INSERT INTO `sys_job_log` VALUES (13873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 19:49:17');
INSERT INTO `sys_job_log` VALUES (13874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:49:21');
INSERT INTO `sys_job_log` VALUES (13875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:49:26');
INSERT INTO `sys_job_log` VALUES (13876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 19:49:31');
INSERT INTO `sys_job_log` VALUES (13877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-24 19:49:32');
INSERT INTO `sys_job_log` VALUES (13878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:49:36');
INSERT INTO `sys_job_log` VALUES (13879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:49:41');
INSERT INTO `sys_job_log` VALUES (13880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:49:46');
INSERT INTO `sys_job_log` VALUES (13881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1115毫秒', '0', '', '2024-12-24 19:49:47');
INSERT INTO `sys_job_log` VALUES (13882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:49:51');
INSERT INTO `sys_job_log` VALUES (13883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:49:56');
INSERT INTO `sys_job_log` VALUES (13884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:50:01');
INSERT INTO `sys_job_log` VALUES (13885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1191毫秒', '0', '', '2024-12-24 19:50:02');
INSERT INTO `sys_job_log` VALUES (13886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:50:06');
INSERT INTO `sys_job_log` VALUES (13887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:50:11');
INSERT INTO `sys_job_log` VALUES (13888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1332毫秒', '0', '', '2024-12-24 19:50:27');
INSERT INTO `sys_job_log` VALUES (13889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:50:31');
INSERT INTO `sys_job_log` VALUES (13890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1139毫秒', '0', '', '2024-12-24 19:50:32');
INSERT INTO `sys_job_log` VALUES (13891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:50:36');
INSERT INTO `sys_job_log` VALUES (13892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:50:41');
INSERT INTO `sys_job_log` VALUES (13893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:50:46');
INSERT INTO `sys_job_log` VALUES (13894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 19:50:47');
INSERT INTO `sys_job_log` VALUES (13895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:50:51');
INSERT INTO `sys_job_log` VALUES (13896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:50:56');
INSERT INTO `sys_job_log` VALUES (13897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 19:51:01');
INSERT INTO `sys_job_log` VALUES (13898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1198毫秒', '0', '', '2024-12-24 19:51:02');
INSERT INTO `sys_job_log` VALUES (13899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:51:06');
INSERT INTO `sys_job_log` VALUES (13900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:51:11');
INSERT INTO `sys_job_log` VALUES (13901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1140毫秒', '0', '', '2024-12-24 19:51:19');
INSERT INTO `sys_job_log` VALUES (13902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2148毫秒', '0', '', '2024-12-24 19:51:20');
INSERT INTO `sys_job_log` VALUES (13903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:51:21');
INSERT INTO `sys_job_log` VALUES (13904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:51:26');
INSERT INTO `sys_job_log` VALUES (13905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 19:51:31');
INSERT INTO `sys_job_log` VALUES (13906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2024-12-24 19:51:32');
INSERT INTO `sys_job_log` VALUES (13907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 19:51:36');
INSERT INTO `sys_job_log` VALUES (13908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1165毫秒', '0', '', '2024-12-24 19:51:50');
INSERT INTO `sys_job_log` VALUES (13909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2166毫秒', '0', '', '2024-12-24 19:51:51');
INSERT INTO `sys_job_log` VALUES (13910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 19:51:51');
INSERT INTO `sys_job_log` VALUES (13911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 19:51:56');
INSERT INTO `sys_job_log` VALUES (13912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 19:52:01');
INSERT INTO `sys_job_log` VALUES (13913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2024-12-24 19:52:02');
INSERT INTO `sys_job_log` VALUES (13914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 19:52:06');
INSERT INTO `sys_job_log` VALUES (13915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 19:52:11');
INSERT INTO `sys_job_log` VALUES (13916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 19:52:16');
INSERT INTO `sys_job_log` VALUES (13917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1116毫秒', '0', '', '2024-12-24 19:52:17');
INSERT INTO `sys_job_log` VALUES (13918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1317毫秒', '0', '', '2024-12-24 19:52:29');
INSERT INTO `sys_job_log` VALUES (13919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:52:31');
INSERT INTO `sys_job_log` VALUES (13920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2024-12-24 19:52:32');
INSERT INTO `sys_job_log` VALUES (13921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:52:36');
INSERT INTO `sys_job_log` VALUES (13922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 19:52:41');
INSERT INTO `sys_job_log` VALUES (13923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 19:52:46');
INSERT INTO `sys_job_log` VALUES (13924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2024-12-24 19:52:47');
INSERT INTO `sys_job_log` VALUES (13925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:52:51');
INSERT INTO `sys_job_log` VALUES (13926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:52:56');
INSERT INTO `sys_job_log` VALUES (13927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 19:53:01');
INSERT INTO `sys_job_log` VALUES (13928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2081毫秒', '0', '', '2024-12-24 19:53:03');
INSERT INTO `sys_job_log` VALUES (13929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:53:06');
INSERT INTO `sys_job_log` VALUES (13930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:53:11');
INSERT INTO `sys_job_log` VALUES (13931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:53:16');
INSERT INTO `sys_job_log` VALUES (13932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1651毫秒', '0', '', '2024-12-24 19:53:18');
INSERT INTO `sys_job_log` VALUES (13933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:53:21');
INSERT INTO `sys_job_log` VALUES (13934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 19:53:26');
INSERT INTO `sys_job_log` VALUES (13935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:53:31');
INSERT INTO `sys_job_log` VALUES (13936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1233毫秒', '0', '', '2024-12-24 19:53:32');
INSERT INTO `sys_job_log` VALUES (13937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:53:36');
INSERT INTO `sys_job_log` VALUES (13938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:53:41');
INSERT INTO `sys_job_log` VALUES (13939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:53:46');
INSERT INTO `sys_job_log` VALUES (13940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1170毫秒', '0', '', '2024-12-24 19:53:47');
INSERT INTO `sys_job_log` VALUES (13941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 19:53:51');
INSERT INTO `sys_job_log` VALUES (13942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:53:56');
INSERT INTO `sys_job_log` VALUES (13943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 19:54:01');
INSERT INTO `sys_job_log` VALUES (13944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1263毫秒', '0', '', '2024-12-24 19:54:02');
INSERT INTO `sys_job_log` VALUES (13945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:54:06');
INSERT INTO `sys_job_log` VALUES (13946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 19:54:11');
INSERT INTO `sys_job_log` VALUES (13947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:54:16');
INSERT INTO `sys_job_log` VALUES (13948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1239毫秒', '0', '', '2024-12-24 19:54:17');
INSERT INTO `sys_job_log` VALUES (13949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:54:21');
INSERT INTO `sys_job_log` VALUES (13950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:54:26');
INSERT INTO `sys_job_log` VALUES (13951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 19:54:31');
INSERT INTO `sys_job_log` VALUES (13952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 19:54:32');
INSERT INTO `sys_job_log` VALUES (13953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:54:36');
INSERT INTO `sys_job_log` VALUES (13954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:54:41');
INSERT INTO `sys_job_log` VALUES (13955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:54:46');
INSERT INTO `sys_job_log` VALUES (13956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1197毫秒', '0', '', '2024-12-24 19:54:47');
INSERT INTO `sys_job_log` VALUES (13957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:54:51');
INSERT INTO `sys_job_log` VALUES (13958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:54:56');
INSERT INTO `sys_job_log` VALUES (13959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 19:55:01');
INSERT INTO `sys_job_log` VALUES (13960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 19:55:02');
INSERT INTO `sys_job_log` VALUES (13961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 19:55:06');
INSERT INTO `sys_job_log` VALUES (13962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:55:11');
INSERT INTO `sys_job_log` VALUES (13963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:55:16');
INSERT INTO `sys_job_log` VALUES (13964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1209毫秒', '0', '', '2024-12-24 19:55:17');
INSERT INTO `sys_job_log` VALUES (13965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:55:21');
INSERT INTO `sys_job_log` VALUES (13966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:55:26');
INSERT INTO `sys_job_log` VALUES (13967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:55:31');
INSERT INTO `sys_job_log` VALUES (13968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 19:55:32');
INSERT INTO `sys_job_log` VALUES (13969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:55:36');
INSERT INTO `sys_job_log` VALUES (13970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:55:41');
INSERT INTO `sys_job_log` VALUES (13971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:55:46');
INSERT INTO `sys_job_log` VALUES (13972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2024-12-24 19:55:47');
INSERT INTO `sys_job_log` VALUES (13973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:55:51');
INSERT INTO `sys_job_log` VALUES (13974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:55:56');
INSERT INTO `sys_job_log` VALUES (13975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 19:56:01');
INSERT INTO `sys_job_log` VALUES (13976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-24 19:56:02');
INSERT INTO `sys_job_log` VALUES (13977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:56:06');
INSERT INTO `sys_job_log` VALUES (13978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:56:11');
INSERT INTO `sys_job_log` VALUES (13979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:56:16');
INSERT INTO `sys_job_log` VALUES (13980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1226毫秒', '0', '', '2024-12-24 19:56:17');
INSERT INTO `sys_job_log` VALUES (13981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:56:21');
INSERT INTO `sys_job_log` VALUES (13982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:56:26');
INSERT INTO `sys_job_log` VALUES (13983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:56:31');
INSERT INTO `sys_job_log` VALUES (13984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 19:56:32');
INSERT INTO `sys_job_log` VALUES (13985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:56:36');
INSERT INTO `sys_job_log` VALUES (13986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:56:41');
INSERT INTO `sys_job_log` VALUES (13987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 19:56:46');
INSERT INTO `sys_job_log` VALUES (13988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2024-12-24 19:56:47');
INSERT INTO `sys_job_log` VALUES (13989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:56:51');
INSERT INTO `sys_job_log` VALUES (13990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:56:56');
INSERT INTO `sys_job_log` VALUES (13991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:57:01');
INSERT INTO `sys_job_log` VALUES (13992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 19:57:02');
INSERT INTO `sys_job_log` VALUES (13993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:57:06');
INSERT INTO `sys_job_log` VALUES (13994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:57:11');
INSERT INTO `sys_job_log` VALUES (13995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 19:57:16');
INSERT INTO `sys_job_log` VALUES (13996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 19:57:17');
INSERT INTO `sys_job_log` VALUES (13997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 19:57:21');
INSERT INTO `sys_job_log` VALUES (13998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1249毫秒', '0', '', '2024-12-24 19:57:27');
INSERT INTO `sys_job_log` VALUES (13999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:57:31');
INSERT INTO `sys_job_log` VALUES (14000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-24 19:57:32');
INSERT INTO `sys_job_log` VALUES (14001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:57:36');
INSERT INTO `sys_job_log` VALUES (14002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:57:41');
INSERT INTO `sys_job_log` VALUES (14003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:57:46');
INSERT INTO `sys_job_log` VALUES (14004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 19:57:47');
INSERT INTO `sys_job_log` VALUES (14005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:57:51');
INSERT INTO `sys_job_log` VALUES (14006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:57:56');
INSERT INTO `sys_job_log` VALUES (14007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:58:01');
INSERT INTO `sys_job_log` VALUES (14008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-24 19:58:02');
INSERT INTO `sys_job_log` VALUES (14009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:58:06');
INSERT INTO `sys_job_log` VALUES (14010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:58:11');
INSERT INTO `sys_job_log` VALUES (14011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:58:16');
INSERT INTO `sys_job_log` VALUES (14012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 19:58:17');
INSERT INTO `sys_job_log` VALUES (14013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:58:21');
INSERT INTO `sys_job_log` VALUES (14014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:58:26');
INSERT INTO `sys_job_log` VALUES (14015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:58:31');
INSERT INTO `sys_job_log` VALUES (14016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1169毫秒', '0', '', '2024-12-24 19:58:32');
INSERT INTO `sys_job_log` VALUES (14017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:58:36');
INSERT INTO `sys_job_log` VALUES (14018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 19:58:41');
INSERT INTO `sys_job_log` VALUES (14019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:58:46');
INSERT INTO `sys_job_log` VALUES (14020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1233毫秒', '0', '', '2024-12-24 19:58:47');
INSERT INTO `sys_job_log` VALUES (14021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:58:51');
INSERT INTO `sys_job_log` VALUES (14022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:58:56');
INSERT INTO `sys_job_log` VALUES (14023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:01');
INSERT INTO `sys_job_log` VALUES (14024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-24 19:59:02');
INSERT INTO `sys_job_log` VALUES (14025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:06');
INSERT INTO `sys_job_log` VALUES (14026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 19:59:11');
INSERT INTO `sys_job_log` VALUES (14027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 19:59:16');
INSERT INTO `sys_job_log` VALUES (14028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2024-12-24 19:59:17');
INSERT INTO `sys_job_log` VALUES (14029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 19:59:21');
INSERT INTO `sys_job_log` VALUES (14030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 19:59:26');
INSERT INTO `sys_job_log` VALUES (14031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:31');
INSERT INTO `sys_job_log` VALUES (14032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-24 19:59:32');
INSERT INTO `sys_job_log` VALUES (14033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:36');
INSERT INTO `sys_job_log` VALUES (14034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:41');
INSERT INTO `sys_job_log` VALUES (14035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 19:59:46');
INSERT INTO `sys_job_log` VALUES (14036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 19:59:47');
INSERT INTO `sys_job_log` VALUES (14037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:51');
INSERT INTO `sys_job_log` VALUES (14038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 19:59:56');
INSERT INTO `sys_job_log` VALUES (14039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:01');
INSERT INTO `sys_job_log` VALUES (14040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 20:00:02');
INSERT INTO `sys_job_log` VALUES (14041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:00:06');
INSERT INTO `sys_job_log` VALUES (14042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:11');
INSERT INTO `sys_job_log` VALUES (14043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:00:16');
INSERT INTO `sys_job_log` VALUES (14044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 20:00:17');
INSERT INTO `sys_job_log` VALUES (14045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:21');
INSERT INTO `sys_job_log` VALUES (14046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:26');
INSERT INTO `sys_job_log` VALUES (14047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:31');
INSERT INTO `sys_job_log` VALUES (14048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1155毫秒', '0', '', '2024-12-24 20:00:32');
INSERT INTO `sys_job_log` VALUES (14049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:00:36');
INSERT INTO `sys_job_log` VALUES (14050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:41');
INSERT INTO `sys_job_log` VALUES (14051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:00:46');
INSERT INTO `sys_job_log` VALUES (14052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 20:00:47');
INSERT INTO `sys_job_log` VALUES (14053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:00:51');
INSERT INTO `sys_job_log` VALUES (14054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1222毫秒', '0', '', '2024-12-24 20:01:07');
INSERT INTO `sys_job_log` VALUES (14055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:01:11');
INSERT INTO `sys_job_log` VALUES (14056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:01:16');
INSERT INTO `sys_job_log` VALUES (14057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 20:01:17');
INSERT INTO `sys_job_log` VALUES (14058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:01:21');
INSERT INTO `sys_job_log` VALUES (14059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:01:26');
INSERT INTO `sys_job_log` VALUES (14060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:01:31');
INSERT INTO `sys_job_log` VALUES (14061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 20:01:32');
INSERT INTO `sys_job_log` VALUES (14062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:01:36');
INSERT INTO `sys_job_log` VALUES (14063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:01:41');
INSERT INTO `sys_job_log` VALUES (14064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:01:46');
INSERT INTO `sys_job_log` VALUES (14065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1232毫秒', '0', '', '2024-12-24 20:01:47');
INSERT INTO `sys_job_log` VALUES (14066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:01:51');
INSERT INTO `sys_job_log` VALUES (14067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:01:56');
INSERT INTO `sys_job_log` VALUES (14068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:02:01');
INSERT INTO `sys_job_log` VALUES (14069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2024-12-24 20:02:02');
INSERT INTO `sys_job_log` VALUES (14070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:02:06');
INSERT INTO `sys_job_log` VALUES (14071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:02:11');
INSERT INTO `sys_job_log` VALUES (14072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:02:16');
INSERT INTO `sys_job_log` VALUES (14073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1277毫秒', '0', '', '2024-12-24 20:02:17');
INSERT INTO `sys_job_log` VALUES (14074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:02:21');
INSERT INTO `sys_job_log` VALUES (14075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:02:26');
INSERT INTO `sys_job_log` VALUES (14076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:02:31');
INSERT INTO `sys_job_log` VALUES (14077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1234毫秒', '0', '', '2024-12-24 20:02:32');
INSERT INTO `sys_job_log` VALUES (14078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:02:36');
INSERT INTO `sys_job_log` VALUES (14079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:02:41');
INSERT INTO `sys_job_log` VALUES (14080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:02:46');
INSERT INTO `sys_job_log` VALUES (14081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 20:02:47');
INSERT INTO `sys_job_log` VALUES (14082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:02:51');
INSERT INTO `sys_job_log` VALUES (14083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:02:56');
INSERT INTO `sys_job_log` VALUES (14084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:03:01');
INSERT INTO `sys_job_log` VALUES (14085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-24 20:03:02');
INSERT INTO `sys_job_log` VALUES (14086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:03:06');
INSERT INTO `sys_job_log` VALUES (14087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:03:11');
INSERT INTO `sys_job_log` VALUES (14088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:03:16');
INSERT INTO `sys_job_log` VALUES (14089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 20:03:17');
INSERT INTO `sys_job_log` VALUES (14090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:03:21');
INSERT INTO `sys_job_log` VALUES (14091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:03:26');
INSERT INTO `sys_job_log` VALUES (14092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:03:31');
INSERT INTO `sys_job_log` VALUES (14093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1244毫秒', '0', '', '2024-12-24 20:03:32');
INSERT INTO `sys_job_log` VALUES (14094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:03:36');
INSERT INTO `sys_job_log` VALUES (14095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:03:41');
INSERT INTO `sys_job_log` VALUES (14096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:03:46');
INSERT INTO `sys_job_log` VALUES (14097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1225毫秒', '0', '', '2024-12-24 20:03:47');
INSERT INTO `sys_job_log` VALUES (14098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:03:51');
INSERT INTO `sys_job_log` VALUES (14099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:03:56');
INSERT INTO `sys_job_log` VALUES (14100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:04:01');
INSERT INTO `sys_job_log` VALUES (14101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 20:04:02');
INSERT INTO `sys_job_log` VALUES (14102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:04:06');
INSERT INTO `sys_job_log` VALUES (14103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:04:11');
INSERT INTO `sys_job_log` VALUES (14104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:04:16');
INSERT INTO `sys_job_log` VALUES (14105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1274毫秒', '0', '', '2024-12-24 20:04:23');
INSERT INTO `sys_job_log` VALUES (14106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 20:04:34');
INSERT INTO `sys_job_log` VALUES (14107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2149毫秒', '0', '', '2024-12-24 20:04:35');
INSERT INTO `sys_job_log` VALUES (14108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:04:36');
INSERT INTO `sys_job_log` VALUES (14109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:04:41');
INSERT INTO `sys_job_log` VALUES (14110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:04:46');
INSERT INTO `sys_job_log` VALUES (14111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2024-12-24 20:04:47');
INSERT INTO `sys_job_log` VALUES (14112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:04:51');
INSERT INTO `sys_job_log` VALUES (14113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1873毫秒', '0', '', '2024-12-24 20:04:58');
INSERT INTO `sys_job_log` VALUES (14114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:05:01');
INSERT INTO `sys_job_log` VALUES (14115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1257毫秒', '0', '', '2024-12-24 20:05:02');
INSERT INTO `sys_job_log` VALUES (14116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:05:06');
INSERT INTO `sys_job_log` VALUES (14117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:05:11');
INSERT INTO `sys_job_log` VALUES (14118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:05:16');
INSERT INTO `sys_job_log` VALUES (14119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1739毫秒', '0', '', '2024-12-24 20:05:18');
INSERT INTO `sys_job_log` VALUES (14120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:05:21');
INSERT INTO `sys_job_log` VALUES (14121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:05:26');
INSERT INTO `sys_job_log` VALUES (14122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:05:31');
INSERT INTO `sys_job_log` VALUES (14123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4433毫秒', '0', '', '2024-12-24 20:05:35');
INSERT INTO `sys_job_log` VALUES (14124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:05:36');
INSERT INTO `sys_job_log` VALUES (14125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:05:41');
INSERT INTO `sys_job_log` VALUES (14126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:05:46');
INSERT INTO `sys_job_log` VALUES (14127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3925毫秒', '0', '', '2024-12-24 20:05:50');
INSERT INTO `sys_job_log` VALUES (14128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:05:51');
INSERT INTO `sys_job_log` VALUES (14129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:05:56');
INSERT INTO `sys_job_log` VALUES (14130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:06:01');
INSERT INTO `sys_job_log` VALUES (14131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2570毫秒', '0', '', '2024-12-24 20:06:03');
INSERT INTO `sys_job_log` VALUES (14132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:06:06');
INSERT INTO `sys_job_log` VALUES (14133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:06:11');
INSERT INTO `sys_job_log` VALUES (14134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:06:16');
INSERT INTO `sys_job_log` VALUES (14135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1755毫秒', '0', '', '2024-12-24 20:06:18');
INSERT INTO `sys_job_log` VALUES (14136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:06:21');
INSERT INTO `sys_job_log` VALUES (14137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:06:26');
INSERT INTO `sys_job_log` VALUES (14138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:06:31');
INSERT INTO `sys_job_log` VALUES (14139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1192毫秒', '0', '', '2024-12-24 20:06:32');
INSERT INTO `sys_job_log` VALUES (14140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 20:06:36');
INSERT INTO `sys_job_log` VALUES (14141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 20:06:41');
INSERT INTO `sys_job_log` VALUES (14142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 20:06:46');
INSERT INTO `sys_job_log` VALUES (14143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2024-12-24 20:06:47');
INSERT INTO `sys_job_log` VALUES (14144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:06:51');
INSERT INTO `sys_job_log` VALUES (14145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:06:56');
INSERT INTO `sys_job_log` VALUES (14146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:07:01');
INSERT INTO `sys_job_log` VALUES (14147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1146毫秒', '0', '', '2024-12-24 20:07:02');
INSERT INTO `sys_job_log` VALUES (14148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:07:06');
INSERT INTO `sys_job_log` VALUES (14149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:07:11');
INSERT INTO `sys_job_log` VALUES (14150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:07:16');
INSERT INTO `sys_job_log` VALUES (14151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1217毫秒', '0', '', '2024-12-24 20:07:17');
INSERT INTO `sys_job_log` VALUES (14152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:07:21');
INSERT INTO `sys_job_log` VALUES (14153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:07:26');
INSERT INTO `sys_job_log` VALUES (14154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:07:31');
INSERT INTO `sys_job_log` VALUES (14155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-24 20:07:32');
INSERT INTO `sys_job_log` VALUES (14156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:07:36');
INSERT INTO `sys_job_log` VALUES (14157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:07:41');
INSERT INTO `sys_job_log` VALUES (14158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:07:46');
INSERT INTO `sys_job_log` VALUES (14159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-24 20:07:47');
INSERT INTO `sys_job_log` VALUES (14160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:07:51');
INSERT INTO `sys_job_log` VALUES (14161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 20:07:56');
INSERT INTO `sys_job_log` VALUES (14162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:08:01');
INSERT INTO `sys_job_log` VALUES (14163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 20:08:02');
INSERT INTO `sys_job_log` VALUES (14164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:08:06');
INSERT INTO `sys_job_log` VALUES (14165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:08:11');
INSERT INTO `sys_job_log` VALUES (14166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:08:16');
INSERT INTO `sys_job_log` VALUES (14167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 20:08:17');
INSERT INTO `sys_job_log` VALUES (14168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:08:21');
INSERT INTO `sys_job_log` VALUES (14169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:08:26');
INSERT INTO `sys_job_log` VALUES (14170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:08:31');
INSERT INTO `sys_job_log` VALUES (14171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1334毫秒', '0', '', '2024-12-24 20:08:32');
INSERT INTO `sys_job_log` VALUES (14172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:08:36');
INSERT INTO `sys_job_log` VALUES (14173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:08:41');
INSERT INTO `sys_job_log` VALUES (14174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:08:46');
INSERT INTO `sys_job_log` VALUES (14175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 20:08:47');
INSERT INTO `sys_job_log` VALUES (14176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:08:51');
INSERT INTO `sys_job_log` VALUES (14177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:08:56');
INSERT INTO `sys_job_log` VALUES (14178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:09:01');
INSERT INTO `sys_job_log` VALUES (14179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1136毫秒', '0', '', '2024-12-24 20:09:02');
INSERT INTO `sys_job_log` VALUES (14180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:09:06');
INSERT INTO `sys_job_log` VALUES (14181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:09:11');
INSERT INTO `sys_job_log` VALUES (14182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:09:16');
INSERT INTO `sys_job_log` VALUES (14183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2024-12-24 20:09:17');
INSERT INTO `sys_job_log` VALUES (14184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:09:21');
INSERT INTO `sys_job_log` VALUES (14185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:09:26');
INSERT INTO `sys_job_log` VALUES (14186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:09:31');
INSERT INTO `sys_job_log` VALUES (14187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 20:09:32');
INSERT INTO `sys_job_log` VALUES (14188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:09:36');
INSERT INTO `sys_job_log` VALUES (14189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:09:41');
INSERT INTO `sys_job_log` VALUES (14190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:09:46');
INSERT INTO `sys_job_log` VALUES (14191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1152毫秒', '0', '', '2024-12-24 20:09:47');
INSERT INTO `sys_job_log` VALUES (14192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:09:51');
INSERT INTO `sys_job_log` VALUES (14193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:09:56');
INSERT INTO `sys_job_log` VALUES (14194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:10:01');
INSERT INTO `sys_job_log` VALUES (14195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1238毫秒', '0', '', '2024-12-24 20:10:02');
INSERT INTO `sys_job_log` VALUES (14196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:10:06');
INSERT INTO `sys_job_log` VALUES (14197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:10:11');
INSERT INTO `sys_job_log` VALUES (14198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:10:16');
INSERT INTO `sys_job_log` VALUES (14199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1324毫秒', '0', '', '2024-12-24 20:10:17');
INSERT INTO `sys_job_log` VALUES (14200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:10:21');
INSERT INTO `sys_job_log` VALUES (14201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:10:26');
INSERT INTO `sys_job_log` VALUES (14202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:10:31');
INSERT INTO `sys_job_log` VALUES (14203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 20:10:32');
INSERT INTO `sys_job_log` VALUES (14204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:10:36');
INSERT INTO `sys_job_log` VALUES (14205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:10:41');
INSERT INTO `sys_job_log` VALUES (14206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:10:46');
INSERT INTO `sys_job_log` VALUES (14207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 20:10:47');
INSERT INTO `sys_job_log` VALUES (14208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:10:51');
INSERT INTO `sys_job_log` VALUES (14209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:10:56');
INSERT INTO `sys_job_log` VALUES (14210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:11:01');
INSERT INTO `sys_job_log` VALUES (14211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 20:11:02');
INSERT INTO `sys_job_log` VALUES (14212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:11:06');
INSERT INTO `sys_job_log` VALUES (14213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:11:11');
INSERT INTO `sys_job_log` VALUES (14214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:11:16');
INSERT INTO `sys_job_log` VALUES (14215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 20:11:17');
INSERT INTO `sys_job_log` VALUES (14216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:11:21');
INSERT INTO `sys_job_log` VALUES (14217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:11:26');
INSERT INTO `sys_job_log` VALUES (14218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:11:31');
INSERT INTO `sys_job_log` VALUES (14219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2024-12-24 20:11:32');
INSERT INTO `sys_job_log` VALUES (14220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:11:36');
INSERT INTO `sys_job_log` VALUES (14221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:11:41');
INSERT INTO `sys_job_log` VALUES (14222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:11:46');
INSERT INTO `sys_job_log` VALUES (14223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1137毫秒', '0', '', '2024-12-24 20:11:47');
INSERT INTO `sys_job_log` VALUES (14224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:11:51');
INSERT INTO `sys_job_log` VALUES (14225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:11:56');
INSERT INTO `sys_job_log` VALUES (14226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:12:01');
INSERT INTO `sys_job_log` VALUES (14227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-24 20:12:02');
INSERT INTO `sys_job_log` VALUES (14228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:12:06');
INSERT INTO `sys_job_log` VALUES (14229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:12:11');
INSERT INTO `sys_job_log` VALUES (14230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:12:16');
INSERT INTO `sys_job_log` VALUES (14231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1188毫秒', '0', '', '2024-12-24 20:12:17');
INSERT INTO `sys_job_log` VALUES (14232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:12:21');
INSERT INTO `sys_job_log` VALUES (14233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:12:26');
INSERT INTO `sys_job_log` VALUES (14234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1173毫秒', '0', '', '2024-12-24 20:12:35');
INSERT INTO `sys_job_log` VALUES (14235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2184毫秒', '0', '', '2024-12-24 20:12:36');
INSERT INTO `sys_job_log` VALUES (14236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:12:36');
INSERT INTO `sys_job_log` VALUES (14237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:12:41');
INSERT INTO `sys_job_log` VALUES (14238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:12:46');
INSERT INTO `sys_job_log` VALUES (14239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1114毫秒', '0', '', '2024-12-24 20:12:47');
INSERT INTO `sys_job_log` VALUES (14240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:12:51');
INSERT INTO `sys_job_log` VALUES (14241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:12:56');
INSERT INTO `sys_job_log` VALUES (14242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:13:01');
INSERT INTO `sys_job_log` VALUES (14243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1088毫秒', '0', '', '2024-12-24 20:13:02');
INSERT INTO `sys_job_log` VALUES (14244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1101毫秒', '0', '', '2024-12-24 20:13:07');
INSERT INTO `sys_job_log` VALUES (14245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:13:11');
INSERT INTO `sys_job_log` VALUES (14246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:13:16');
INSERT INTO `sys_job_log` VALUES (14247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2024-12-24 20:13:17');
INSERT INTO `sys_job_log` VALUES (14248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:13:21');
INSERT INTO `sys_job_log` VALUES (14249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:13:26');
INSERT INTO `sys_job_log` VALUES (14250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:13:31');
INSERT INTO `sys_job_log` VALUES (14251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1090毫秒', '0', '', '2024-12-24 20:13:32');
INSERT INTO `sys_job_log` VALUES (14252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1295毫秒', '0', '', '2024-12-24 20:13:37');
INSERT INTO `sys_job_log` VALUES (14253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:13:41');
INSERT INTO `sys_job_log` VALUES (14254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:13:46');
INSERT INTO `sys_job_log` VALUES (14255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1224毫秒', '0', '', '2024-12-24 20:13:47');
INSERT INTO `sys_job_log` VALUES (14256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:13:51');
INSERT INTO `sys_job_log` VALUES (14257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:13:56');
INSERT INTO `sys_job_log` VALUES (14258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:14:01');
INSERT INTO `sys_job_log` VALUES (14259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1213毫秒', '0', '', '2024-12-24 20:14:02');
INSERT INTO `sys_job_log` VALUES (14260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:14:06');
INSERT INTO `sys_job_log` VALUES (14261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:14:11');
INSERT INTO `sys_job_log` VALUES (14262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1309毫秒', '0', '', '2024-12-24 20:14:24');
INSERT INTO `sys_job_log` VALUES (14263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:14:26');
INSERT INTO `sys_job_log` VALUES (14264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:14:31');
INSERT INTO `sys_job_log` VALUES (14265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1262毫秒', '0', '', '2024-12-24 20:14:32');
INSERT INTO `sys_job_log` VALUES (14266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:14:36');
INSERT INTO `sys_job_log` VALUES (14267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:14:41');
INSERT INTO `sys_job_log` VALUES (14268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:14:46');
INSERT INTO `sys_job_log` VALUES (14269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2024-12-24 20:14:47');
INSERT INTO `sys_job_log` VALUES (14270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:14:51');
INSERT INTO `sys_job_log` VALUES (14271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 20:14:56');
INSERT INTO `sys_job_log` VALUES (14272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:15:01');
INSERT INTO `sys_job_log` VALUES (14273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2024-12-24 20:15:02');
INSERT INTO `sys_job_log` VALUES (14274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:15:06');
INSERT INTO `sys_job_log` VALUES (14275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:15:11');
INSERT INTO `sys_job_log` VALUES (14276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:15:16');
INSERT INTO `sys_job_log` VALUES (14277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2479毫秒', '0', '', '2024-12-24 20:15:18');
INSERT INTO `sys_job_log` VALUES (14278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:15:21');
INSERT INTO `sys_job_log` VALUES (14279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:15:26');
INSERT INTO `sys_job_log` VALUES (14280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:15:31');
INSERT INTO `sys_job_log` VALUES (14281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1453毫秒', '0', '', '2024-12-24 20:15:32');
INSERT INTO `sys_job_log` VALUES (14282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:15:36');
INSERT INTO `sys_job_log` VALUES (14283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:15:41');
INSERT INTO `sys_job_log` VALUES (14284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 20:15:46');
INSERT INTO `sys_job_log` VALUES (14285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1924毫秒', '0', '', '2024-12-24 20:15:48');
INSERT INTO `sys_job_log` VALUES (14286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:15:51');
INSERT INTO `sys_job_log` VALUES (14287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:15:56');
INSERT INTO `sys_job_log` VALUES (14288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:16:01');
INSERT INTO `sys_job_log` VALUES (14289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1296毫秒', '0', '', '2024-12-24 20:16:02');
INSERT INTO `sys_job_log` VALUES (14290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:16:06');
INSERT INTO `sys_job_log` VALUES (14291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:16:11');
INSERT INTO `sys_job_log` VALUES (14292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:16:16');
INSERT INTO `sys_job_log` VALUES (14293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1267毫秒', '0', '', '2024-12-24 20:16:17');
INSERT INTO `sys_job_log` VALUES (14294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:16:21');
INSERT INTO `sys_job_log` VALUES (14295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:16:26');
INSERT INTO `sys_job_log` VALUES (14296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:16:31');
INSERT INTO `sys_job_log` VALUES (14297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1238毫秒', '0', '', '2024-12-24 20:16:32');
INSERT INTO `sys_job_log` VALUES (14298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:16:36');
INSERT INTO `sys_job_log` VALUES (14299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:16:41');
INSERT INTO `sys_job_log` VALUES (14300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:16:46');
INSERT INTO `sys_job_log` VALUES (14301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1223毫秒', '0', '', '2024-12-24 20:16:47');
INSERT INTO `sys_job_log` VALUES (14302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:16:51');
INSERT INTO `sys_job_log` VALUES (14303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:16:56');
INSERT INTO `sys_job_log` VALUES (14304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:17:01');
INSERT INTO `sys_job_log` VALUES (14305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 20:17:02');
INSERT INTO `sys_job_log` VALUES (14306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:17:06');
INSERT INTO `sys_job_log` VALUES (14307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:17:11');
INSERT INTO `sys_job_log` VALUES (14308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:17:16');
INSERT INTO `sys_job_log` VALUES (14309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1264毫秒', '0', '', '2024-12-24 20:17:17');
INSERT INTO `sys_job_log` VALUES (14310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:17:21');
INSERT INTO `sys_job_log` VALUES (14311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:17:26');
INSERT INTO `sys_job_log` VALUES (14312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:17:31');
INSERT INTO `sys_job_log` VALUES (14313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1239毫秒', '0', '', '2024-12-24 20:17:32');
INSERT INTO `sys_job_log` VALUES (14314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:17:36');
INSERT INTO `sys_job_log` VALUES (14315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:17:41');
INSERT INTO `sys_job_log` VALUES (14316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:17:46');
INSERT INTO `sys_job_log` VALUES (14317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 20:17:47');
INSERT INTO `sys_job_log` VALUES (14318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:17:51');
INSERT INTO `sys_job_log` VALUES (14319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:17:56');
INSERT INTO `sys_job_log` VALUES (14320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:18:01');
INSERT INTO `sys_job_log` VALUES (14321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 20:18:02');
INSERT INTO `sys_job_log` VALUES (14322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:18:06');
INSERT INTO `sys_job_log` VALUES (14323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:18:11');
INSERT INTO `sys_job_log` VALUES (14324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:18:16');
INSERT INTO `sys_job_log` VALUES (14325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1255毫秒', '0', '', '2024-12-24 20:18:17');
INSERT INTO `sys_job_log` VALUES (14326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:18:21');
INSERT INTO `sys_job_log` VALUES (14327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:18:26');
INSERT INTO `sys_job_log` VALUES (14328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:18:31');
INSERT INTO `sys_job_log` VALUES (14329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-24 20:18:32');
INSERT INTO `sys_job_log` VALUES (14330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:18:36');
INSERT INTO `sys_job_log` VALUES (14331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:18:41');
INSERT INTO `sys_job_log` VALUES (14332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:18:46');
INSERT INTO `sys_job_log` VALUES (14333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 20:18:47');
INSERT INTO `sys_job_log` VALUES (14334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:18:51');
INSERT INTO `sys_job_log` VALUES (14335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:18:56');
INSERT INTO `sys_job_log` VALUES (14336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 20:19:01');
INSERT INTO `sys_job_log` VALUES (14337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1477毫秒', '0', '', '2024-12-24 20:19:02');
INSERT INTO `sys_job_log` VALUES (14338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:19:06');
INSERT INTO `sys_job_log` VALUES (14339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:19:11');
INSERT INTO `sys_job_log` VALUES (14340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:19:16');
INSERT INTO `sys_job_log` VALUES (14341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1748毫秒', '0', '', '2024-12-24 20:19:18');
INSERT INTO `sys_job_log` VALUES (14342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:19:21');
INSERT INTO `sys_job_log` VALUES (14343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:19:26');
INSERT INTO `sys_job_log` VALUES (14344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:19:31');
INSERT INTO `sys_job_log` VALUES (14345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 20:19:32');
INSERT INTO `sys_job_log` VALUES (14346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:19:36');
INSERT INTO `sys_job_log` VALUES (14347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 20:19:41');
INSERT INTO `sys_job_log` VALUES (14348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:19:46');
INSERT INTO `sys_job_log` VALUES (14349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 20:19:47');
INSERT INTO `sys_job_log` VALUES (14350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1302毫秒', '0', '', '2024-12-24 20:20:00');
INSERT INTO `sys_job_log` VALUES (14351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 20:20:01');
INSERT INTO `sys_job_log` VALUES (14352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1267毫秒', '0', '', '2024-12-24 20:20:02');
INSERT INTO `sys_job_log` VALUES (14353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:20:06');
INSERT INTO `sys_job_log` VALUES (14354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:20:11');
INSERT INTO `sys_job_log` VALUES (14355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:20:16');
INSERT INTO `sys_job_log` VALUES (14356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1241毫秒', '0', '', '2024-12-24 20:20:17');
INSERT INTO `sys_job_log` VALUES (14357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:20:21');
INSERT INTO `sys_job_log` VALUES (14358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:20:26');
INSERT INTO `sys_job_log` VALUES (14359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:20:31');
INSERT INTO `sys_job_log` VALUES (14360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 20:20:32');
INSERT INTO `sys_job_log` VALUES (14361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:20:36');
INSERT INTO `sys_job_log` VALUES (14362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:20:41');
INSERT INTO `sys_job_log` VALUES (14363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:20:46');
INSERT INTO `sys_job_log` VALUES (14364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2789毫秒', '0', '', '2024-12-24 20:20:49');
INSERT INTO `sys_job_log` VALUES (14365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:20:51');
INSERT INTO `sys_job_log` VALUES (14366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:20:56');
INSERT INTO `sys_job_log` VALUES (14367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:21:01');
INSERT INTO `sys_job_log` VALUES (14368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2448毫秒', '0', '', '2024-12-24 20:21:03');
INSERT INTO `sys_job_log` VALUES (14369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:21:06');
INSERT INTO `sys_job_log` VALUES (14370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:21:11');
INSERT INTO `sys_job_log` VALUES (14371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:21:16');
INSERT INTO `sys_job_log` VALUES (14372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2940毫秒', '0', '', '2024-12-24 20:21:19');
INSERT INTO `sys_job_log` VALUES (14373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:21:21');
INSERT INTO `sys_job_log` VALUES (14374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:21:26');
INSERT INTO `sys_job_log` VALUES (14375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:21:31');
INSERT INTO `sys_job_log` VALUES (14376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-24 20:21:32');
INSERT INTO `sys_job_log` VALUES (14377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:21:36');
INSERT INTO `sys_job_log` VALUES (14378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:21:41');
INSERT INTO `sys_job_log` VALUES (14379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:21:46');
INSERT INTO `sys_job_log` VALUES (14380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1267毫秒', '0', '', '2024-12-24 20:21:47');
INSERT INTO `sys_job_log` VALUES (14381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:21:51');
INSERT INTO `sys_job_log` VALUES (14382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:21:56');
INSERT INTO `sys_job_log` VALUES (14383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:22:01');
INSERT INTO `sys_job_log` VALUES (14384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1242毫秒', '0', '', '2024-12-24 20:22:02');
INSERT INTO `sys_job_log` VALUES (14385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:22:06');
INSERT INTO `sys_job_log` VALUES (14386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:22:11');
INSERT INTO `sys_job_log` VALUES (14387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:22:16');
INSERT INTO `sys_job_log` VALUES (14388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 20:22:17');
INSERT INTO `sys_job_log` VALUES (14389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:22:21');
INSERT INTO `sys_job_log` VALUES (14390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:22:26');
INSERT INTO `sys_job_log` VALUES (14391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:22:31');
INSERT INTO `sys_job_log` VALUES (14392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 20:22:32');
INSERT INTO `sys_job_log` VALUES (14393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:22:36');
INSERT INTO `sys_job_log` VALUES (14394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 20:22:41');
INSERT INTO `sys_job_log` VALUES (14395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1215毫秒', '0', '', '2024-12-24 20:22:55');
INSERT INTO `sys_job_log` VALUES (14396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:22:56');
INSERT INTO `sys_job_log` VALUES (14397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:23:01');
INSERT INTO `sys_job_log` VALUES (14398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2024-12-24 20:23:02');
INSERT INTO `sys_job_log` VALUES (14399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:23:06');
INSERT INTO `sys_job_log` VALUES (14400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-24 20:23:20');
INSERT INTO `sys_job_log` VALUES (14401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2166毫秒', '0', '', '2024-12-24 20:23:21');
INSERT INTO `sys_job_log` VALUES (14402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 20:23:21');
INSERT INTO `sys_job_log` VALUES (14403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:23:26');
INSERT INTO `sys_job_log` VALUES (14404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 20:23:31');
INSERT INTO `sys_job_log` VALUES (14405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1096毫秒', '0', '', '2024-12-24 20:23:32');
INSERT INTO `sys_job_log` VALUES (14406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:23:36');
INSERT INTO `sys_job_log` VALUES (14407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:23:41');
INSERT INTO `sys_job_log` VALUES (14408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:23:46');
INSERT INTO `sys_job_log` VALUES (14409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1096毫秒', '0', '', '2024-12-24 20:23:47');
INSERT INTO `sys_job_log` VALUES (14410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1178毫秒', '0', '', '2024-12-24 20:23:52');
INSERT INTO `sys_job_log` VALUES (14411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:23:56');
INSERT INTO `sys_job_log` VALUES (14412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:24:01');
INSERT INTO `sys_job_log` VALUES (14413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2024-12-24 20:24:02');
INSERT INTO `sys_job_log` VALUES (14414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:24:06');
INSERT INTO `sys_job_log` VALUES (14415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1342毫秒', '0', '', '2024-12-24 20:24:25');
INSERT INTO `sys_job_log` VALUES (14416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 20:24:26');
INSERT INTO `sys_job_log` VALUES (14417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:24:31');
INSERT INTO `sys_job_log` VALUES (14418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 20:24:32');
INSERT INTO `sys_job_log` VALUES (14419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:24:36');
INSERT INTO `sys_job_log` VALUES (14420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:24:41');
INSERT INTO `sys_job_log` VALUES (14421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:24:46');
INSERT INTO `sys_job_log` VALUES (14422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1236毫秒', '0', '', '2024-12-24 20:24:47');
INSERT INTO `sys_job_log` VALUES (14423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:24:51');
INSERT INTO `sys_job_log` VALUES (14424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:24:56');
INSERT INTO `sys_job_log` VALUES (14425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:25:01');
INSERT INTO `sys_job_log` VALUES (14426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1416毫秒', '0', '', '2024-12-24 20:25:02');
INSERT INTO `sys_job_log` VALUES (14427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:25:06');
INSERT INTO `sys_job_log` VALUES (14428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:25:11');
INSERT INTO `sys_job_log` VALUES (14429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:25:16');
INSERT INTO `sys_job_log` VALUES (14430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2274毫秒', '0', '', '2024-12-24 20:25:18');
INSERT INTO `sys_job_log` VALUES (14431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:25:21');
INSERT INTO `sys_job_log` VALUES (14432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:25:26');
INSERT INTO `sys_job_log` VALUES (14433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:25:31');
INSERT INTO `sys_job_log` VALUES (14434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1964毫秒', '0', '', '2024-12-24 20:25:33');
INSERT INTO `sys_job_log` VALUES (14435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:25:36');
INSERT INTO `sys_job_log` VALUES (14436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:25:41');
INSERT INTO `sys_job_log` VALUES (14437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:25:46');
INSERT INTO `sys_job_log` VALUES (14438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1220毫秒', '0', '', '2024-12-24 20:25:47');
INSERT INTO `sys_job_log` VALUES (14439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:25:51');
INSERT INTO `sys_job_log` VALUES (14440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:25:56');
INSERT INTO `sys_job_log` VALUES (14441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:26:01');
INSERT INTO `sys_job_log` VALUES (14442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1210毫秒', '0', '', '2024-12-24 20:26:02');
INSERT INTO `sys_job_log` VALUES (14443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:26:06');
INSERT INTO `sys_job_log` VALUES (14444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:26:11');
INSERT INTO `sys_job_log` VALUES (14445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:26:16');
INSERT INTO `sys_job_log` VALUES (14446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1171毫秒', '0', '', '2024-12-24 20:26:17');
INSERT INTO `sys_job_log` VALUES (14447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:26:21');
INSERT INTO `sys_job_log` VALUES (14448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:26:26');
INSERT INTO `sys_job_log` VALUES (14449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:26:31');
INSERT INTO `sys_job_log` VALUES (14450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2024-12-24 20:26:32');
INSERT INTO `sys_job_log` VALUES (14451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:26:36');
INSERT INTO `sys_job_log` VALUES (14452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:26:41');
INSERT INTO `sys_job_log` VALUES (14453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:26:46');
INSERT INTO `sys_job_log` VALUES (14454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1240毫秒', '0', '', '2024-12-24 20:26:47');
INSERT INTO `sys_job_log` VALUES (14455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:26:51');
INSERT INTO `sys_job_log` VALUES (14456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:26:56');
INSERT INTO `sys_job_log` VALUES (14457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:27:01');
INSERT INTO `sys_job_log` VALUES (14458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1192毫秒', '0', '', '2024-12-24 20:27:02');
INSERT INTO `sys_job_log` VALUES (14459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:27:06');
INSERT INTO `sys_job_log` VALUES (14460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:27:11');
INSERT INTO `sys_job_log` VALUES (14461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:27:16');
INSERT INTO `sys_job_log` VALUES (14462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 20:27:17');
INSERT INTO `sys_job_log` VALUES (14463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:27:21');
INSERT INTO `sys_job_log` VALUES (14464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:27:26');
INSERT INTO `sys_job_log` VALUES (14465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:27:31');
INSERT INTO `sys_job_log` VALUES (14466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1131毫秒', '0', '', '2024-12-24 20:27:32');
INSERT INTO `sys_job_log` VALUES (14467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:27:36');
INSERT INTO `sys_job_log` VALUES (14468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:27:41');
INSERT INTO `sys_job_log` VALUES (14469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:27:46');
INSERT INTO `sys_job_log` VALUES (14470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 20:27:47');
INSERT INTO `sys_job_log` VALUES (14471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:27:51');
INSERT INTO `sys_job_log` VALUES (14472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:27:56');
INSERT INTO `sys_job_log` VALUES (14473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:28:01');
INSERT INTO `sys_job_log` VALUES (14474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1191毫秒', '0', '', '2024-12-24 20:28:02');
INSERT INTO `sys_job_log` VALUES (14475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:28:06');
INSERT INTO `sys_job_log` VALUES (14476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:28:11');
INSERT INTO `sys_job_log` VALUES (14477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:28:16');
INSERT INTO `sys_job_log` VALUES (14478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2024-12-24 20:28:17');
INSERT INTO `sys_job_log` VALUES (14479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:28:21');
INSERT INTO `sys_job_log` VALUES (14480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:28:26');
INSERT INTO `sys_job_log` VALUES (14481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:28:31');
INSERT INTO `sys_job_log` VALUES (14482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 20:28:32');
INSERT INTO `sys_job_log` VALUES (14483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:28:36');
INSERT INTO `sys_job_log` VALUES (14484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:28:41');
INSERT INTO `sys_job_log` VALUES (14485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:28:46');
INSERT INTO `sys_job_log` VALUES (14486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3413毫秒', '0', '', '2024-12-24 20:28:49');
INSERT INTO `sys_job_log` VALUES (14487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:28:51');
INSERT INTO `sys_job_log` VALUES (14488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:28:56');
INSERT INTO `sys_job_log` VALUES (14489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:29:01');
INSERT INTO `sys_job_log` VALUES (14490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1899毫秒', '0', '', '2024-12-24 20:29:03');
INSERT INTO `sys_job_log` VALUES (14491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:29:06');
INSERT INTO `sys_job_log` VALUES (14492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 20:29:11');
INSERT INTO `sys_job_log` VALUES (14493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:29:16');
INSERT INTO `sys_job_log` VALUES (14494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1659毫秒', '0', '', '2024-12-24 20:29:18');
INSERT INTO `sys_job_log` VALUES (14495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:29:21');
INSERT INTO `sys_job_log` VALUES (14496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:29:26');
INSERT INTO `sys_job_log` VALUES (14497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:29:31');
INSERT INTO `sys_job_log` VALUES (14498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1232毫秒', '0', '', '2024-12-24 20:29:32');
INSERT INTO `sys_job_log` VALUES (14499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:29:36');
INSERT INTO `sys_job_log` VALUES (14500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:29:41');
INSERT INTO `sys_job_log` VALUES (14501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:29:46');
INSERT INTO `sys_job_log` VALUES (14502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 20:29:47');
INSERT INTO `sys_job_log` VALUES (14503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:29:51');
INSERT INTO `sys_job_log` VALUES (14504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:29:56');
INSERT INTO `sys_job_log` VALUES (14505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:30:01');
INSERT INTO `sys_job_log` VALUES (14506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2024-12-24 20:30:02');
INSERT INTO `sys_job_log` VALUES (14507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:30:06');
INSERT INTO `sys_job_log` VALUES (14508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:30:11');
INSERT INTO `sys_job_log` VALUES (14509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:30:16');
INSERT INTO `sys_job_log` VALUES (14510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-24 20:30:17');
INSERT INTO `sys_job_log` VALUES (14511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:30:21');
INSERT INTO `sys_job_log` VALUES (14512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:30:26');
INSERT INTO `sys_job_log` VALUES (14513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:30:31');
INSERT INTO `sys_job_log` VALUES (14514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1234毫秒', '0', '', '2024-12-24 20:30:32');
INSERT INTO `sys_job_log` VALUES (14515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:30:36');
INSERT INTO `sys_job_log` VALUES (14516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:30:41');
INSERT INTO `sys_job_log` VALUES (14517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:30:46');
INSERT INTO `sys_job_log` VALUES (14518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2024-12-24 20:30:47');
INSERT INTO `sys_job_log` VALUES (14519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:30:51');
INSERT INTO `sys_job_log` VALUES (14520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:30:56');
INSERT INTO `sys_job_log` VALUES (14521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:31:01');
INSERT INTO `sys_job_log` VALUES (14522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1273毫秒', '0', '', '2024-12-24 20:31:02');
INSERT INTO `sys_job_log` VALUES (14523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:31:06');
INSERT INTO `sys_job_log` VALUES (14524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:31:11');
INSERT INTO `sys_job_log` VALUES (14525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:31:16');
INSERT INTO `sys_job_log` VALUES (14526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1236毫秒', '0', '', '2024-12-24 20:31:17');
INSERT INTO `sys_job_log` VALUES (14527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:31:21');
INSERT INTO `sys_job_log` VALUES (14528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:31:26');
INSERT INTO `sys_job_log` VALUES (14529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:31:31');
INSERT INTO `sys_job_log` VALUES (14530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2024-12-24 20:31:32');
INSERT INTO `sys_job_log` VALUES (14531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:31:36');
INSERT INTO `sys_job_log` VALUES (14532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:31:41');
INSERT INTO `sys_job_log` VALUES (14533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:31:46');
INSERT INTO `sys_job_log` VALUES (14534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1278毫秒', '0', '', '2024-12-24 20:31:47');
INSERT INTO `sys_job_log` VALUES (14535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:31:51');
INSERT INTO `sys_job_log` VALUES (14536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:31:56');
INSERT INTO `sys_job_log` VALUES (14537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 20:32:01');
INSERT INTO `sys_job_log` VALUES (14538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1252毫秒', '0', '', '2024-12-24 20:32:02');
INSERT INTO `sys_job_log` VALUES (14539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:32:06');
INSERT INTO `sys_job_log` VALUES (14540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:32:11');
INSERT INTO `sys_job_log` VALUES (14541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:32:16');
INSERT INTO `sys_job_log` VALUES (14542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1230毫秒', '0', '', '2024-12-24 20:32:17');
INSERT INTO `sys_job_log` VALUES (14543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:32:21');
INSERT INTO `sys_job_log` VALUES (14544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:32:26');
INSERT INTO `sys_job_log` VALUES (14545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:32:31');
INSERT INTO `sys_job_log` VALUES (14546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1213毫秒', '0', '', '2024-12-24 20:32:32');
INSERT INTO `sys_job_log` VALUES (14547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:32:36');
INSERT INTO `sys_job_log` VALUES (14548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:32:41');
INSERT INTO `sys_job_log` VALUES (14549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:32:46');
INSERT INTO `sys_job_log` VALUES (14550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2024-12-24 20:32:47');
INSERT INTO `sys_job_log` VALUES (14551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:32:51');
INSERT INTO `sys_job_log` VALUES (14552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:32:56');
INSERT INTO `sys_job_log` VALUES (14553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:33:01');
INSERT INTO `sys_job_log` VALUES (14554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1229毫秒', '0', '', '2024-12-24 20:33:02');
INSERT INTO `sys_job_log` VALUES (14555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:33:06');
INSERT INTO `sys_job_log` VALUES (14556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:33:11');
INSERT INTO `sys_job_log` VALUES (14557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:33:16');
INSERT INTO `sys_job_log` VALUES (14558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-24 20:33:17');
INSERT INTO `sys_job_log` VALUES (14559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:33:21');
INSERT INTO `sys_job_log` VALUES (14560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:33:26');
INSERT INTO `sys_job_log` VALUES (14561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:33:31');
INSERT INTO `sys_job_log` VALUES (14562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2024-12-24 20:33:32');
INSERT INTO `sys_job_log` VALUES (14563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 20:33:36');
INSERT INTO `sys_job_log` VALUES (14564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:33:41');
INSERT INTO `sys_job_log` VALUES (14565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:33:46');
INSERT INTO `sys_job_log` VALUES (14566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1373毫秒', '0', '', '2024-12-24 20:33:47');
INSERT INTO `sys_job_log` VALUES (14567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:33:51');
INSERT INTO `sys_job_log` VALUES (14568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:33:56');
INSERT INTO `sys_job_log` VALUES (14569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:34:01');
INSERT INTO `sys_job_log` VALUES (14570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-24 20:34:02');
INSERT INTO `sys_job_log` VALUES (14571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:34:06');
INSERT INTO `sys_job_log` VALUES (14572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:34:11');
INSERT INTO `sys_job_log` VALUES (14573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:34:16');
INSERT INTO `sys_job_log` VALUES (14574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1221毫秒', '0', '', '2024-12-24 20:34:17');
INSERT INTO `sys_job_log` VALUES (14575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:34:21');
INSERT INTO `sys_job_log` VALUES (14576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:34:26');
INSERT INTO `sys_job_log` VALUES (14577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:34:31');
INSERT INTO `sys_job_log` VALUES (14578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1170毫秒', '0', '', '2024-12-24 20:34:32');
INSERT INTO `sys_job_log` VALUES (14579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:34:36');
INSERT INTO `sys_job_log` VALUES (14580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 20:34:41');
INSERT INTO `sys_job_log` VALUES (14581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:34:46');
INSERT INTO `sys_job_log` VALUES (14582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 20:34:47');
INSERT INTO `sys_job_log` VALUES (14583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:34:51');
INSERT INTO `sys_job_log` VALUES (14584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:34:56');
INSERT INTO `sys_job_log` VALUES (14585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:35:01');
INSERT INTO `sys_job_log` VALUES (14586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1239毫秒', '0', '', '2024-12-24 20:35:02');
INSERT INTO `sys_job_log` VALUES (14587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:35:06');
INSERT INTO `sys_job_log` VALUES (14588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:35:11');
INSERT INTO `sys_job_log` VALUES (14589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:35:16');
INSERT INTO `sys_job_log` VALUES (14590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2024-12-24 20:35:17');
INSERT INTO `sys_job_log` VALUES (14591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:35:21');
INSERT INTO `sys_job_log` VALUES (14592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:35:26');
INSERT INTO `sys_job_log` VALUES (14593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:35:31');
INSERT INTO `sys_job_log` VALUES (14594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 20:35:32');
INSERT INTO `sys_job_log` VALUES (14595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:35:36');
INSERT INTO `sys_job_log` VALUES (14596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:35:41');
INSERT INTO `sys_job_log` VALUES (14597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 20:35:46');
INSERT INTO `sys_job_log` VALUES (14598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 20:35:47');
INSERT INTO `sys_job_log` VALUES (14599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:35:51');
INSERT INTO `sys_job_log` VALUES (14600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:35:56');
INSERT INTO `sys_job_log` VALUES (14601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:36:01');
INSERT INTO `sys_job_log` VALUES (14602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2024-12-24 20:36:02');
INSERT INTO `sys_job_log` VALUES (14603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:36:06');
INSERT INTO `sys_job_log` VALUES (14604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:36:11');
INSERT INTO `sys_job_log` VALUES (14605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:36:16');
INSERT INTO `sys_job_log` VALUES (14606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 20:36:17');
INSERT INTO `sys_job_log` VALUES (14607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:36:21');
INSERT INTO `sys_job_log` VALUES (14608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:36:26');
INSERT INTO `sys_job_log` VALUES (14609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 20:36:31');
INSERT INTO `sys_job_log` VALUES (14610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-24 20:36:32');
INSERT INTO `sys_job_log` VALUES (14611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:36:36');
INSERT INTO `sys_job_log` VALUES (14612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:36:41');
INSERT INTO `sys_job_log` VALUES (14613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:36:46');
INSERT INTO `sys_job_log` VALUES (14614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1125毫秒', '0', '', '2024-12-24 20:36:47');
INSERT INTO `sys_job_log` VALUES (14615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:36:51');
INSERT INTO `sys_job_log` VALUES (14616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:36:56');
INSERT INTO `sys_job_log` VALUES (14617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:37:01');
INSERT INTO `sys_job_log` VALUES (14618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1219毫秒', '0', '', '2024-12-24 20:37:02');
INSERT INTO `sys_job_log` VALUES (14619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:37:06');
INSERT INTO `sys_job_log` VALUES (14620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:37:11');
INSERT INTO `sys_job_log` VALUES (14621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:37:16');
INSERT INTO `sys_job_log` VALUES (14622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1374毫秒', '0', '', '2024-12-24 20:37:17');
INSERT INTO `sys_job_log` VALUES (14623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:37:21');
INSERT INTO `sys_job_log` VALUES (14624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:37:26');
INSERT INTO `sys_job_log` VALUES (14625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:37:31');
INSERT INTO `sys_job_log` VALUES (14626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2024-12-24 20:37:32');
INSERT INTO `sys_job_log` VALUES (14627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:37:36');
INSERT INTO `sys_job_log` VALUES (14628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 20:37:41');
INSERT INTO `sys_job_log` VALUES (14629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:37:46');
INSERT INTO `sys_job_log` VALUES (14630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1240毫秒', '0', '', '2024-12-24 20:37:47');
INSERT INTO `sys_job_log` VALUES (14631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 20:37:51');
INSERT INTO `sys_job_log` VALUES (14632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:37:56');
INSERT INTO `sys_job_log` VALUES (14633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:38:01');
INSERT INTO `sys_job_log` VALUES (14634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 20:38:02');
INSERT INTO `sys_job_log` VALUES (14635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:38:06');
INSERT INTO `sys_job_log` VALUES (14636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:38:11');
INSERT INTO `sys_job_log` VALUES (14637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-24 20:38:16');
INSERT INTO `sys_job_log` VALUES (14638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1260毫秒', '0', '', '2024-12-24 20:38:17');
INSERT INTO `sys_job_log` VALUES (14639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 20:38:21');
INSERT INTO `sys_job_log` VALUES (14640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:38:26');
INSERT INTO `sys_job_log` VALUES (14641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:38:31');
INSERT INTO `sys_job_log` VALUES (14642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1461毫秒', '0', '', '2024-12-24 20:38:32');
INSERT INTO `sys_job_log` VALUES (14643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:38:36');
INSERT INTO `sys_job_log` VALUES (14644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:38:41');
INSERT INTO `sys_job_log` VALUES (14645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:38:46');
INSERT INTO `sys_job_log` VALUES (14646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1117毫秒', '0', '', '2024-12-24 20:38:47');
INSERT INTO `sys_job_log` VALUES (14647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:38:51');
INSERT INTO `sys_job_log` VALUES (14648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:38:56');
INSERT INTO `sys_job_log` VALUES (14649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:39:01');
INSERT INTO `sys_job_log` VALUES (14650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1198毫秒', '0', '', '2024-12-24 20:39:02');
INSERT INTO `sys_job_log` VALUES (14651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:39:06');
INSERT INTO `sys_job_log` VALUES (14652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:39:11');
INSERT INTO `sys_job_log` VALUES (14653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:39:16');
INSERT INTO `sys_job_log` VALUES (14654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 20:39:17');
INSERT INTO `sys_job_log` VALUES (14655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:39:21');
INSERT INTO `sys_job_log` VALUES (14656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:39:26');
INSERT INTO `sys_job_log` VALUES (14657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:39:31');
INSERT INTO `sys_job_log` VALUES (14658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1260毫秒', '0', '', '2024-12-24 20:39:32');
INSERT INTO `sys_job_log` VALUES (14659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:39:36');
INSERT INTO `sys_job_log` VALUES (14660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:39:41');
INSERT INTO `sys_job_log` VALUES (14661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:39:46');
INSERT INTO `sys_job_log` VALUES (14662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 20:39:47');
INSERT INTO `sys_job_log` VALUES (14663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:39:51');
INSERT INTO `sys_job_log` VALUES (14664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:39:56');
INSERT INTO `sys_job_log` VALUES (14665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:40:01');
INSERT INTO `sys_job_log` VALUES (14666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1171毫秒', '0', '', '2024-12-24 20:40:02');
INSERT INTO `sys_job_log` VALUES (14667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:40:06');
INSERT INTO `sys_job_log` VALUES (14668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:40:11');
INSERT INTO `sys_job_log` VALUES (14669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:40:16');
INSERT INTO `sys_job_log` VALUES (14670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-24 20:40:17');
INSERT INTO `sys_job_log` VALUES (14671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:40:21');
INSERT INTO `sys_job_log` VALUES (14672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:40:26');
INSERT INTO `sys_job_log` VALUES (14673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:40:31');
INSERT INTO `sys_job_log` VALUES (14674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1233毫秒', '0', '', '2024-12-24 20:40:32');
INSERT INTO `sys_job_log` VALUES (14675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:40:36');
INSERT INTO `sys_job_log` VALUES (14676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:40:41');
INSERT INTO `sys_job_log` VALUES (14677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:40:46');
INSERT INTO `sys_job_log` VALUES (14678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1324毫秒', '0', '', '2024-12-24 20:40:47');
INSERT INTO `sys_job_log` VALUES (14679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:40:51');
INSERT INTO `sys_job_log` VALUES (14680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 20:40:56');
INSERT INTO `sys_job_log` VALUES (14681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:41:01');
INSERT INTO `sys_job_log` VALUES (14682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 20:41:02');
INSERT INTO `sys_job_log` VALUES (14683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:41:06');
INSERT INTO `sys_job_log` VALUES (14684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:41:11');
INSERT INTO `sys_job_log` VALUES (14685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:41:16');
INSERT INTO `sys_job_log` VALUES (14686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1260毫秒', '0', '', '2024-12-24 20:41:17');
INSERT INTO `sys_job_log` VALUES (14687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 20:41:32');
INSERT INTO `sys_job_log` VALUES (14688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2195毫秒', '0', '', '2024-12-24 20:41:33');
INSERT INTO `sys_job_log` VALUES (14689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:41:36');
INSERT INTO `sys_job_log` VALUES (14690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:41:41');
INSERT INTO `sys_job_log` VALUES (14691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:41:46');
INSERT INTO `sys_job_log` VALUES (14692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1070毫秒', '0', '', '2024-12-24 20:41:47');
INSERT INTO `sys_job_log` VALUES (14693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:41:51');
INSERT INTO `sys_job_log` VALUES (14694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:41:56');
INSERT INTO `sys_job_log` VALUES (14695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2102毫秒', '0', '', '2024-12-24 20:42:03');
INSERT INTO `sys_job_log` VALUES (14696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14232毫秒', '0', '', '2024-12-24 20:42:15');
INSERT INTO `sys_job_log` VALUES (14697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1454毫秒', '0', '', '2024-12-24 20:42:17');
INSERT INTO `sys_job_log` VALUES (14698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 20:42:29');
INSERT INTO `sys_job_log` VALUES (14699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1929毫秒', '0', '', '2024-12-24 20:42:33');
INSERT INTO `sys_job_log` VALUES (14700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 20:42:44');
INSERT INTO `sys_job_log` VALUES (14701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1292毫秒', '0', '', '2024-12-24 20:42:47');
INSERT INTO `sys_job_log` VALUES (14702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14362毫秒', '0', '', '2024-12-24 20:42:58');
INSERT INTO `sys_job_log` VALUES (14703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1763毫秒', '0', '', '2024-12-24 20:43:03');
INSERT INTO `sys_job_log` VALUES (14704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2024-12-24 20:43:13');
INSERT INTO `sys_job_log` VALUES (14705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2232毫秒', '0', '', '2024-12-24 20:43:18');
INSERT INTO `sys_job_log` VALUES (14706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14342毫秒', '0', '', '2024-12-24 20:43:27');
INSERT INTO `sys_job_log` VALUES (14707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1605毫秒', '0', '', '2024-12-24 20:43:32');
INSERT INTO `sys_job_log` VALUES (14708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14358毫秒', '0', '', '2024-12-24 20:43:41');
INSERT INTO `sys_job_log` VALUES (14709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2080毫秒', '0', '', '2024-12-24 20:43:48');
INSERT INTO `sys_job_log` VALUES (14710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14359毫秒', '0', '', '2024-12-24 20:43:56');
INSERT INTO `sys_job_log` VALUES (14711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1444毫秒', '0', '', '2024-12-24 20:44:02');
INSERT INTO `sys_job_log` VALUES (14712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14355毫秒', '0', '', '2024-12-24 20:44:10');
INSERT INTO `sys_job_log` VALUES (14713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1943毫秒', '0', '', '2024-12-24 20:44:18');
INSERT INTO `sys_job_log` VALUES (14714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1290毫秒', '0', '', '2024-12-24 20:44:32');
INSERT INTO `sys_job_log` VALUES (14715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28726毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:39');
INSERT INTO `sys_job_log` VALUES (14738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:44:41');
INSERT INTO `sys_job_log` VALUES (14739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:46');
INSERT INTO `sys_job_log` VALUES (14740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1578毫秒', '0', '', '2024-12-24 20:44:47');
INSERT INTO `sys_job_log` VALUES (14741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:44:51');
INSERT INTO `sys_job_log` VALUES (14742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:44:56');
INSERT INTO `sys_job_log` VALUES (14743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:45:01');
INSERT INTO `sys_job_log` VALUES (14744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2024-12-24 20:45:02');
INSERT INTO `sys_job_log` VALUES (14745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:45:06');
INSERT INTO `sys_job_log` VALUES (14746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:45:11');
INSERT INTO `sys_job_log` VALUES (14747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:45:16');
INSERT INTO `sys_job_log` VALUES (14748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 20:45:17');
INSERT INTO `sys_job_log` VALUES (14749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:45:21');
INSERT INTO `sys_job_log` VALUES (14750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:45:26');
INSERT INTO `sys_job_log` VALUES (14751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:45:31');
INSERT INTO `sys_job_log` VALUES (14752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1191毫秒', '0', '', '2024-12-24 20:45:32');
INSERT INTO `sys_job_log` VALUES (14753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:45:36');
INSERT INTO `sys_job_log` VALUES (14754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:45:41');
INSERT INTO `sys_job_log` VALUES (14755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:45:46');
INSERT INTO `sys_job_log` VALUES (14756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 20:45:47');
INSERT INTO `sys_job_log` VALUES (14757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:45:51');
INSERT INTO `sys_job_log` VALUES (14758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:45:56');
INSERT INTO `sys_job_log` VALUES (14759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:46:01');
INSERT INTO `sys_job_log` VALUES (14760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1221毫秒', '0', '', '2024-12-24 20:46:02');
INSERT INTO `sys_job_log` VALUES (14761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:46:06');
INSERT INTO `sys_job_log` VALUES (14762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:46:11');
INSERT INTO `sys_job_log` VALUES (14763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:46:16');
INSERT INTO `sys_job_log` VALUES (14764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 20:46:17');
INSERT INTO `sys_job_log` VALUES (14765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:46:21');
INSERT INTO `sys_job_log` VALUES (14766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:46:26');
INSERT INTO `sys_job_log` VALUES (14767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:46:31');
INSERT INTO `sys_job_log` VALUES (14768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 20:46:32');
INSERT INTO `sys_job_log` VALUES (14769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:46:36');
INSERT INTO `sys_job_log` VALUES (14770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:46:41');
INSERT INTO `sys_job_log` VALUES (14771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:46:46');
INSERT INTO `sys_job_log` VALUES (14772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-24 20:46:47');
INSERT INTO `sys_job_log` VALUES (14773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:46:51');
INSERT INTO `sys_job_log` VALUES (14774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:46:56');
INSERT INTO `sys_job_log` VALUES (14775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:47:01');
INSERT INTO `sys_job_log` VALUES (14776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 20:47:02');
INSERT INTO `sys_job_log` VALUES (14777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:06');
INSERT INTO `sys_job_log` VALUES (14778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:11');
INSERT INTO `sys_job_log` VALUES (14779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:47:16');
INSERT INTO `sys_job_log` VALUES (14780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1198毫秒', '0', '', '2024-12-24 20:47:17');
INSERT INTO `sys_job_log` VALUES (14781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:21');
INSERT INTO `sys_job_log` VALUES (14782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:47:26');
INSERT INTO `sys_job_log` VALUES (14783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:47:31');
INSERT INTO `sys_job_log` VALUES (14784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 20:47:32');
INSERT INTO `sys_job_log` VALUES (14785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:36');
INSERT INTO `sys_job_log` VALUES (14786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:41');
INSERT INTO `sys_job_log` VALUES (14787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:47:46');
INSERT INTO `sys_job_log` VALUES (14788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1135毫秒', '0', '', '2024-12-24 20:47:47');
INSERT INTO `sys_job_log` VALUES (14789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:51');
INSERT INTO `sys_job_log` VALUES (14790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:47:56');
INSERT INTO `sys_job_log` VALUES (14791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:48:01');
INSERT INTO `sys_job_log` VALUES (14792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2024-12-24 20:48:02');
INSERT INTO `sys_job_log` VALUES (14793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:48:06');
INSERT INTO `sys_job_log` VALUES (14794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:48:11');
INSERT INTO `sys_job_log` VALUES (14795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:48:16');
INSERT INTO `sys_job_log` VALUES (14796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 20:48:17');
INSERT INTO `sys_job_log` VALUES (14797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:48:21');
INSERT INTO `sys_job_log` VALUES (14798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 20:48:26');
INSERT INTO `sys_job_log` VALUES (14799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:48:31');
INSERT INTO `sys_job_log` VALUES (14800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1163毫秒', '0', '', '2024-12-24 20:48:32');
INSERT INTO `sys_job_log` VALUES (14801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:48:36');
INSERT INTO `sys_job_log` VALUES (14802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:48:41');
INSERT INTO `sys_job_log` VALUES (14803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:48:46');
INSERT INTO `sys_job_log` VALUES (14804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1138毫秒', '0', '', '2024-12-24 20:48:47');
INSERT INTO `sys_job_log` VALUES (14805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:48:51');
INSERT INTO `sys_job_log` VALUES (14806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:48:56');
INSERT INTO `sys_job_log` VALUES (14807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:49:01');
INSERT INTO `sys_job_log` VALUES (14808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 20:49:02');
INSERT INTO `sys_job_log` VALUES (14809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:06');
INSERT INTO `sys_job_log` VALUES (14810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:11');
INSERT INTO `sys_job_log` VALUES (14811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:49:16');
INSERT INTO `sys_job_log` VALUES (14812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2024-12-24 20:49:17');
INSERT INTO `sys_job_log` VALUES (14813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:21');
INSERT INTO `sys_job_log` VALUES (14814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:26');
INSERT INTO `sys_job_log` VALUES (14815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:31');
INSERT INTO `sys_job_log` VALUES (14816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1156毫秒', '0', '', '2024-12-24 20:49:32');
INSERT INTO `sys_job_log` VALUES (14817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:49:36');
INSERT INTO `sys_job_log` VALUES (14818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:49:41');
INSERT INTO `sys_job_log` VALUES (14819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:46');
INSERT INTO `sys_job_log` VALUES (14820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2024-12-24 20:49:47');
INSERT INTO `sys_job_log` VALUES (14821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:49:51');
INSERT INTO `sys_job_log` VALUES (14822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:49:56');
INSERT INTO `sys_job_log` VALUES (14823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:50:01');
INSERT INTO `sys_job_log` VALUES (14824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 20:50:02');
INSERT INTO `sys_job_log` VALUES (14825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:50:06');
INSERT INTO `sys_job_log` VALUES (14826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:50:11');
INSERT INTO `sys_job_log` VALUES (14827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:50:16');
INSERT INTO `sys_job_log` VALUES (14828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2024-12-24 20:50:17');
INSERT INTO `sys_job_log` VALUES (14829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:50:21');
INSERT INTO `sys_job_log` VALUES (14830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:50:26');
INSERT INTO `sys_job_log` VALUES (14831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:50:31');
INSERT INTO `sys_job_log` VALUES (14832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1156毫秒', '0', '', '2024-12-24 20:50:32');
INSERT INTO `sys_job_log` VALUES (14833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:50:36');
INSERT INTO `sys_job_log` VALUES (14834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:50:41');
INSERT INTO `sys_job_log` VALUES (14835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:50:46');
INSERT INTO `sys_job_log` VALUES (14836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1121毫秒', '0', '', '2024-12-24 20:50:47');
INSERT INTO `sys_job_log` VALUES (14837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:50:51');
INSERT INTO `sys_job_log` VALUES (14838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:50:56');
INSERT INTO `sys_job_log` VALUES (14839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:51:01');
INSERT INTO `sys_job_log` VALUES (14840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2024-12-24 20:51:02');
INSERT INTO `sys_job_log` VALUES (14841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:51:06');
INSERT INTO `sys_job_log` VALUES (14842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 20:51:18');
INSERT INTO `sys_job_log` VALUES (14843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2208毫秒', '0', '', '2024-12-24 20:51:18');
INSERT INTO `sys_job_log` VALUES (14844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 20:51:21');
INSERT INTO `sys_job_log` VALUES (14845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:51:26');
INSERT INTO `sys_job_log` VALUES (14846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:51:31');
INSERT INTO `sys_job_log` VALUES (14847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2024-12-24 20:51:32');
INSERT INTO `sys_job_log` VALUES (14848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:51:36');
INSERT INTO `sys_job_log` VALUES (14849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:51:41');
INSERT INTO `sys_job_log` VALUES (14850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:51:46');
INSERT INTO `sys_job_log` VALUES (14851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1115毫秒', '0', '', '2024-12-24 20:51:47');
INSERT INTO `sys_job_log` VALUES (14852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1460毫秒', '0', '', '2024-12-24 20:51:52');
INSERT INTO `sys_job_log` VALUES (14853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:51:56');
INSERT INTO `sys_job_log` VALUES (14854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:52:01');
INSERT INTO `sys_job_log` VALUES (14855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1210毫秒', '0', '', '2024-12-24 20:52:02');
INSERT INTO `sys_job_log` VALUES (14856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:52:06');
INSERT INTO `sys_job_log` VALUES (14857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:52:11');
INSERT INTO `sys_job_log` VALUES (14858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1283毫秒', '0', '', '2024-12-24 20:52:25');
INSERT INTO `sys_job_log` VALUES (14859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:52:26');
INSERT INTO `sys_job_log` VALUES (14860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:52:31');
INSERT INTO `sys_job_log` VALUES (14861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1248毫秒', '0', '', '2024-12-24 20:52:32');
INSERT INTO `sys_job_log` VALUES (14862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:52:36');
INSERT INTO `sys_job_log` VALUES (14863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:52:41');
INSERT INTO `sys_job_log` VALUES (14864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:52:46');
INSERT INTO `sys_job_log` VALUES (14865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1529毫秒', '0', '', '2024-12-24 20:52:47');
INSERT INTO `sys_job_log` VALUES (14866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:52:51');
INSERT INTO `sys_job_log` VALUES (14867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:52:56');
INSERT INTO `sys_job_log` VALUES (14868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:53:01');
INSERT INTO `sys_job_log` VALUES (14869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1296毫秒', '0', '', '2024-12-24 20:53:02');
INSERT INTO `sys_job_log` VALUES (14870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:53:06');
INSERT INTO `sys_job_log` VALUES (14871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:53:11');
INSERT INTO `sys_job_log` VALUES (14872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:53:16');
INSERT INTO `sys_job_log` VALUES (14873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2173毫秒', '0', '', '2024-12-24 20:53:18');
INSERT INTO `sys_job_log` VALUES (14874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:53:21');
INSERT INTO `sys_job_log` VALUES (14875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:53:26');
INSERT INTO `sys_job_log` VALUES (14876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:53:31');
INSERT INTO `sys_job_log` VALUES (14877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-24 20:53:32');
INSERT INTO `sys_job_log` VALUES (14878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:53:36');
INSERT INTO `sys_job_log` VALUES (14879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 20:53:41');
INSERT INTO `sys_job_log` VALUES (14880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:53:46');
INSERT INTO `sys_job_log` VALUES (14881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-24 20:53:47');
INSERT INTO `sys_job_log` VALUES (14882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1275毫秒', '0', '', '2024-12-24 20:54:02');
INSERT INTO `sys_job_log` VALUES (14883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14597毫秒', '0', '', '2024-12-24 20:54:06');
INSERT INTO `sys_job_log` VALUES (14884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2024-12-24 20:54:18');
INSERT INTO `sys_job_log` VALUES (14885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14452毫秒', '0', '', '2024-12-24 20:54:20');
INSERT INTO `sys_job_log` VALUES (14886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1427毫秒', '0', '', '2024-12-24 20:54:32');
INSERT INTO `sys_job_log` VALUES (14887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14545毫秒', '0', '', '2024-12-24 20:54:35');
INSERT INTO `sys_job_log` VALUES (14888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2114毫秒', '0', '', '2024-12-24 20:54:48');
INSERT INTO `sys_job_log` VALUES (14889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14551毫秒', '0', '', '2024-12-24 20:54:49');
INSERT INTO `sys_job_log` VALUES (14890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1558毫秒', '0', '', '2024-12-24 20:55:02');
INSERT INTO `sys_job_log` VALUES (14891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17739毫秒', '0', '', '2024-12-24 20:55:07');
INSERT INTO `sys_job_log` VALUES (14892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2029毫秒', '0', '', '2024-12-24 20:55:18');
INSERT INTO `sys_job_log` VALUES (14893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24344毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 20:55:31');
INSERT INTO `sys_job_log` VALUES (14905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:32');
INSERT INTO `sys_job_log` VALUES (14906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:32');
INSERT INTO `sys_job_log` VALUES (14907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:32');
INSERT INTO `sys_job_log` VALUES (14908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:55:32');
INSERT INTO `sys_job_log` VALUES (14909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1400毫秒', '0', '', '2024-12-24 20:55:32');
INSERT INTO `sys_job_log` VALUES (14910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:36');
INSERT INTO `sys_job_log` VALUES (14911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:55:41');
INSERT INTO `sys_job_log` VALUES (14912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 20:55:46');
INSERT INTO `sys_job_log` VALUES (14913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 20:55:47');
INSERT INTO `sys_job_log` VALUES (14914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 20:55:51');
INSERT INTO `sys_job_log` VALUES (14915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 20:55:56');
INSERT INTO `sys_job_log` VALUES (14916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:56:01');
INSERT INTO `sys_job_log` VALUES (14917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1270毫秒', '0', '', '2024-12-24 20:56:02');
INSERT INTO `sys_job_log` VALUES (14918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:56:06');
INSERT INTO `sys_job_log` VALUES (14919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 20:56:11');
INSERT INTO `sys_job_log` VALUES (14920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1370毫秒', '0', '', '2024-12-24 20:56:14');
INSERT INTO `sys_job_log` VALUES (14921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 20:56:14');
INSERT INTO `sys_job_log` VALUES (14922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 20:56:14');
INSERT INTO `sys_job_log` VALUES (14923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1188毫秒', '0', '', '2024-12-24 20:56:15');
INSERT INTO `sys_job_log` VALUES (14924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-24 20:56:19');
INSERT INTO `sys_job_log` VALUES (14925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 20:56:24');
INSERT INTO `sys_job_log` VALUES (14926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:56:29');
INSERT INTO `sys_job_log` VALUES (14927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1146毫秒', '0', '', '2024-12-24 20:56:30');
INSERT INTO `sys_job_log` VALUES (14928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 20:56:34');
INSERT INTO `sys_job_log` VALUES (14929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:56:39');
INSERT INTO `sys_job_log` VALUES (14930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:56:44');
INSERT INTO `sys_job_log` VALUES (14931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1152毫秒', '0', '', '2024-12-24 20:56:45');
INSERT INTO `sys_job_log` VALUES (14932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1348毫秒', '0', '', '2024-12-24 20:56:51');
INSERT INTO `sys_job_log` VALUES (14933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:56:54');
INSERT INTO `sys_job_log` VALUES (14934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:56:59');
INSERT INTO `sys_job_log` VALUES (14935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1280毫秒', '0', '', '2024-12-24 20:57:00');
INSERT INTO `sys_job_log` VALUES (14936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:57:04');
INSERT INTO `sys_job_log` VALUES (14937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 20:57:09');
INSERT INTO `sys_job_log` VALUES (14938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 20:57:14');
INSERT INTO `sys_job_log` VALUES (14939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1662毫秒', '0', '', '2024-12-24 20:57:16');
INSERT INTO `sys_job_log` VALUES (14940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:57:19');
INSERT INTO `sys_job_log` VALUES (14941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:57:24');
INSERT INTO `sys_job_log` VALUES (14942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:57:29');
INSERT INTO `sys_job_log` VALUES (14943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1221毫秒', '0', '', '2024-12-24 20:57:30');
INSERT INTO `sys_job_log` VALUES (14944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：132毫秒', '0', '', '2024-12-24 20:57:34');
INSERT INTO `sys_job_log` VALUES (14945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2024-12-24 20:57:39');
INSERT INTO `sys_job_log` VALUES (14946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2024-12-24 20:57:44');
INSERT INTO `sys_job_log` VALUES (14947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1506毫秒', '0', '', '2024-12-24 20:57:46');
INSERT INTO `sys_job_log` VALUES (14948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 20:57:49');
INSERT INTO `sys_job_log` VALUES (14949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 20:57:54');
INSERT INTO `sys_job_log` VALUES (14950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 20:57:59');
INSERT INTO `sys_job_log` VALUES (14951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1847毫秒', '0', '', '2024-12-24 20:58:01');
INSERT INTO `sys_job_log` VALUES (14952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 20:58:04');
INSERT INTO `sys_job_log` VALUES (14953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 20:58:09');
INSERT INTO `sys_job_log` VALUES (14954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2024-12-24 20:58:14');
INSERT INTO `sys_job_log` VALUES (14955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1437毫秒', '0', '', '2024-12-24 20:58:16');
INSERT INTO `sys_job_log` VALUES (14956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:58:19');
INSERT INTO `sys_job_log` VALUES (14957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 20:58:24');
INSERT INTO `sys_job_log` VALUES (14958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 20:58:29');
INSERT INTO `sys_job_log` VALUES (14959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1928毫秒', '0', '', '2024-12-24 20:58:31');
INSERT INTO `sys_job_log` VALUES (14960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-24 20:58:34');
INSERT INTO `sys_job_log` VALUES (14961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 20:58:39');
INSERT INTO `sys_job_log` VALUES (14962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 20:58:44');
INSERT INTO `sys_job_log` VALUES (14963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1685毫秒', '0', '', '2024-12-24 20:58:46');
INSERT INTO `sys_job_log` VALUES (14964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:58:49');
INSERT INTO `sys_job_log` VALUES (14965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 20:58:54');
INSERT INTO `sys_job_log` VALUES (14966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:58:59');
INSERT INTO `sys_job_log` VALUES (14967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1559毫秒', '0', '', '2024-12-24 20:59:01');
INSERT INTO `sys_job_log` VALUES (14968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 20:59:04');
INSERT INTO `sys_job_log` VALUES (14969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-24 20:59:09');
INSERT INTO `sys_job_log` VALUES (14970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 20:59:14');
INSERT INTO `sys_job_log` VALUES (14971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1859毫秒', '0', '', '2024-12-24 20:59:16');
INSERT INTO `sys_job_log` VALUES (14972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 20:59:19');
INSERT INTO `sys_job_log` VALUES (14973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：226毫秒', '0', '', '2024-12-24 20:59:24');
INSERT INTO `sys_job_log` VALUES (14974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 20:59:29');
INSERT INTO `sys_job_log` VALUES (14975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1644毫秒', '0', '', '2024-12-24 20:59:31');
INSERT INTO `sys_job_log` VALUES (14976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-24 20:59:34');
INSERT INTO `sys_job_log` VALUES (14977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 20:59:39');
INSERT INTO `sys_job_log` VALUES (14978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2024-12-24 20:59:44');
INSERT INTO `sys_job_log` VALUES (14979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1581毫秒', '0', '', '2024-12-24 20:59:46');
INSERT INTO `sys_job_log` VALUES (14980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 20:59:49');
INSERT INTO `sys_job_log` VALUES (14981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 20:59:54');
INSERT INTO `sys_job_log` VALUES (14982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2024-12-24 20:59:59');
INSERT INTO `sys_job_log` VALUES (14983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1973毫秒', '0', '', '2024-12-24 21:00:01');
INSERT INTO `sys_job_log` VALUES (14984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:00:04');
INSERT INTO `sys_job_log` VALUES (14985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:00:09');
INSERT INTO `sys_job_log` VALUES (14986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:00:14');
INSERT INTO `sys_job_log` VALUES (14987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1335毫秒', '0', '', '2024-12-24 21:00:16');
INSERT INTO `sys_job_log` VALUES (14988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:00:19');
INSERT INTO `sys_job_log` VALUES (14989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 21:00:24');
INSERT INTO `sys_job_log` VALUES (14990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:00:29');
INSERT INTO `sys_job_log` VALUES (14991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1534毫秒', '0', '', '2024-12-24 21:00:31');
INSERT INTO `sys_job_log` VALUES (14992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 21:00:34');
INSERT INTO `sys_job_log` VALUES (14993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:00:39');
INSERT INTO `sys_job_log` VALUES (14994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:00:44');
INSERT INTO `sys_job_log` VALUES (14995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1373毫秒', '0', '', '2024-12-24 21:00:46');
INSERT INTO `sys_job_log` VALUES (14996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:00:49');
INSERT INTO `sys_job_log` VALUES (14997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1161毫秒', '0', '', '2024-12-24 21:00:53');
INSERT INTO `sys_job_log` VALUES (14998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:00:54');
INSERT INTO `sys_job_log` VALUES (14999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:00:56');
INSERT INTO `sys_job_log` VALUES (15000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:00:59');
INSERT INTO `sys_job_log` VALUES (15001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1488毫秒', '0', '', '2024-12-24 21:01:01');
INSERT INTO `sys_job_log` VALUES (15002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:01:01');
INSERT INTO `sys_job_log` VALUES (15003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2024-12-24 21:01:02');
INSERT INTO `sys_job_log` VALUES (15004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-24 21:01:04');
INSERT INTO `sys_job_log` VALUES (15005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:01:06');
INSERT INTO `sys_job_log` VALUES (15006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-24 21:01:09');
INSERT INTO `sys_job_log` VALUES (15007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:01:11');
INSERT INTO `sys_job_log` VALUES (15008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2024-12-24 21:01:14');
INSERT INTO `sys_job_log` VALUES (15009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1517毫秒', '0', '', '2024-12-24 21:01:16');
INSERT INTO `sys_job_log` VALUES (15010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:01:16');
INSERT INTO `sys_job_log` VALUES (15011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2024-12-24 21:01:17');
INSERT INTO `sys_job_log` VALUES (15012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:01:19');
INSERT INTO `sys_job_log` VALUES (15013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1180毫秒', '0', '', '2024-12-24 21:01:22');
INSERT INTO `sys_job_log` VALUES (15014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:01:24');
INSERT INTO `sys_job_log` VALUES (15015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:01:26');
INSERT INTO `sys_job_log` VALUES (15016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:01:29');
INSERT INTO `sys_job_log` VALUES (15017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1435毫秒', '0', '', '2024-12-24 21:01:31');
INSERT INTO `sys_job_log` VALUES (15018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:01:31');
INSERT INTO `sys_job_log` VALUES (15019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2048毫秒', '0', '', '2024-12-24 21:01:33');
INSERT INTO `sys_job_log` VALUES (15020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-24 21:01:34');
INSERT INTO `sys_job_log` VALUES (15021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:01:36');
INSERT INTO `sys_job_log` VALUES (15022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 21:01:39');
INSERT INTO `sys_job_log` VALUES (15023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:01:41');
INSERT INTO `sys_job_log` VALUES (15024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 21:01:44');
INSERT INTO `sys_job_log` VALUES (15025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2024-12-24 21:01:46');
INSERT INTO `sys_job_log` VALUES (15026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:01:46');
INSERT INTO `sys_job_log` VALUES (15027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3247毫秒', '0', '', '2024-12-24 21:01:49');
INSERT INTO `sys_job_log` VALUES (15028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：126毫秒', '0', '', '2024-12-24 21:01:49');
INSERT INTO `sys_job_log` VALUES (15029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:01:51');
INSERT INTO `sys_job_log` VALUES (15030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:01:54');
INSERT INTO `sys_job_log` VALUES (15031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:01:56');
INSERT INTO `sys_job_log` VALUES (15032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 21:01:59');
INSERT INTO `sys_job_log` VALUES (15033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1652毫秒', '0', '', '2024-12-24 21:02:01');
INSERT INTO `sys_job_log` VALUES (15034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:02:01');
INSERT INTO `sys_job_log` VALUES (15035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-24 21:02:04');
INSERT INTO `sys_job_log` VALUES (15036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:02:06');
INSERT INTO `sys_job_log` VALUES (15037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:02:09');
INSERT INTO `sys_job_log` VALUES (15038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：9424毫秒', '0', '', '2024-12-24 21:02:10');
INSERT INTO `sys_job_log` VALUES (15039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1440毫秒', '0', '', '2024-12-24 21:02:12');
INSERT INTO `sys_job_log` VALUES (15040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 21:02:14');
INSERT INTO `sys_job_log` VALUES (15041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:02:16');
INSERT INTO `sys_job_log` VALUES (15042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1730毫秒', '0', '', '2024-12-24 21:02:16');
INSERT INTO `sys_job_log` VALUES (15043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-24 21:02:19');
INSERT INTO `sys_job_log` VALUES (15044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:02:21');
INSERT INTO `sys_job_log` VALUES (15045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：5531毫秒', '0', '', '2024-12-24 21:02:21');
INSERT INTO `sys_job_log` VALUES (15046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 21:02:24');
INSERT INTO `sys_job_log` VALUES (15047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:02:26');
INSERT INTO `sys_job_log` VALUES (15048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:02:29');
INSERT INTO `sys_job_log` VALUES (15049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-24 21:02:30');
INSERT INTO `sys_job_log` VALUES (15050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:02:31');
INSERT INTO `sys_job_log` VALUES (15051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-24 21:02:34');
INSERT INTO `sys_job_log` VALUES (15052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:02:39');
INSERT INTO `sys_job_log` VALUES (15053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：114毫秒', '0', '', '2024-12-24 21:02:44');
INSERT INTO `sys_job_log` VALUES (15054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1672毫秒', '0', '', '2024-12-24 21:02:46');
INSERT INTO `sys_job_log` VALUES (15055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:02:49');
INSERT INTO `sys_job_log` VALUES (15056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:02:54');
INSERT INTO `sys_job_log` VALUES (15057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:02:59');
INSERT INTO `sys_job_log` VALUES (15058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2164毫秒', '0', '', '2024-12-24 21:03:01');
INSERT INTO `sys_job_log` VALUES (15059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:03:04');
INSERT INTO `sys_job_log` VALUES (15060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:03:09');
INSERT INTO `sys_job_log` VALUES (15061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：118毫秒', '0', '', '2024-12-24 21:03:14');
INSERT INTO `sys_job_log` VALUES (15062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1683毫秒', '0', '', '2024-12-24 21:03:16');
INSERT INTO `sys_job_log` VALUES (15063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 21:03:19');
INSERT INTO `sys_job_log` VALUES (15064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-24 21:03:24');
INSERT INTO `sys_job_log` VALUES (15065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 21:03:29');
INSERT INTO `sys_job_log` VALUES (15066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1915毫秒', '0', '', '2024-12-24 21:03:31');
INSERT INTO `sys_job_log` VALUES (15067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2024-12-24 21:03:34');
INSERT INTO `sys_job_log` VALUES (15068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:03:39');
INSERT INTO `sys_job_log` VALUES (15069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 21:03:44');
INSERT INTO `sys_job_log` VALUES (15070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1595毫秒', '0', '', '2024-12-24 21:03:46');
INSERT INTO `sys_job_log` VALUES (15071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-24 21:03:49');
INSERT INTO `sys_job_log` VALUES (15072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 21:03:54');
INSERT INTO `sys_job_log` VALUES (15073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:03:59');
INSERT INTO `sys_job_log` VALUES (15074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1510毫秒', '0', '', '2024-12-24 21:04:01');
INSERT INTO `sys_job_log` VALUES (15075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 21:04:04');
INSERT INTO `sys_job_log` VALUES (15076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:04:09');
INSERT INTO `sys_job_log` VALUES (15077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:04:14');
INSERT INTO `sys_job_log` VALUES (15078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1604毫秒', '0', '', '2024-12-24 21:04:16');
INSERT INTO `sys_job_log` VALUES (15079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:04:19');
INSERT INTO `sys_job_log` VALUES (15080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:04:24');
INSERT INTO `sys_job_log` VALUES (15081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 21:04:29');
INSERT INTO `sys_job_log` VALUES (15082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2668毫秒', '0', '', '2024-12-24 21:04:32');
INSERT INTO `sys_job_log` VALUES (15083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-24 21:04:34');
INSERT INTO `sys_job_log` VALUES (15084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:04:39');
INSERT INTO `sys_job_log` VALUES (15085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 21:04:44');
INSERT INTO `sys_job_log` VALUES (15086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2145毫秒', '0', '', '2024-12-24 21:04:46');
INSERT INTO `sys_job_log` VALUES (15087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 21:04:49');
INSERT INTO `sys_job_log` VALUES (15088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:04:54');
INSERT INTO `sys_job_log` VALUES (15089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:04:59');
INSERT INTO `sys_job_log` VALUES (15090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1649毫秒', '0', '', '2024-12-24 21:05:01');
INSERT INTO `sys_job_log` VALUES (15091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:05:04');
INSERT INTO `sys_job_log` VALUES (15092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:05:09');
INSERT INTO `sys_job_log` VALUES (15093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:05:14');
INSERT INTO `sys_job_log` VALUES (15094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1175毫秒', '0', '', '2024-12-24 21:05:15');
INSERT INTO `sys_job_log` VALUES (15095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 21:05:19');
INSERT INTO `sys_job_log` VALUES (15096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-24 21:05:24');
INSERT INTO `sys_job_log` VALUES (15097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2024-12-24 21:05:29');
INSERT INTO `sys_job_log` VALUES (15098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1920毫秒', '0', '', '2024-12-24 21:05:31');
INSERT INTO `sys_job_log` VALUES (15099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:05:34');
INSERT INTO `sys_job_log` VALUES (15100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:05:39');
INSERT INTO `sys_job_log` VALUES (15101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:05:44');
INSERT INTO `sys_job_log` VALUES (15102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1577毫秒', '0', '', '2024-12-24 21:05:46');
INSERT INTO `sys_job_log` VALUES (15103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：145毫秒', '0', '', '2024-12-24 21:05:49');
INSERT INTO `sys_job_log` VALUES (15104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 21:05:54');
INSERT INTO `sys_job_log` VALUES (15105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：186毫秒', '0', '', '2024-12-24 21:05:59');
INSERT INTO `sys_job_log` VALUES (15106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1868毫秒', '0', '', '2024-12-24 21:06:01');
INSERT INTO `sys_job_log` VALUES (15107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:06:04');
INSERT INTO `sys_job_log` VALUES (15108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:06:09');
INSERT INTO `sys_job_log` VALUES (15109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:06:14');
INSERT INTO `sys_job_log` VALUES (15110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2014毫秒', '0', '', '2024-12-24 21:06:16');
INSERT INTO `sys_job_log` VALUES (15111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 21:06:19');
INSERT INTO `sys_job_log` VALUES (15112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-24 21:06:24');
INSERT INTO `sys_job_log` VALUES (15113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-24 21:06:29');
INSERT INTO `sys_job_log` VALUES (15114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1859毫秒', '0', '', '2024-12-24 21:06:31');
INSERT INTO `sys_job_log` VALUES (15115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:06:34');
INSERT INTO `sys_job_log` VALUES (15116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：124毫秒', '0', '', '2024-12-24 21:06:39');
INSERT INTO `sys_job_log` VALUES (15117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-24 21:06:44');
INSERT INTO `sys_job_log` VALUES (15118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1741毫秒', '0', '', '2024-12-24 21:06:46');
INSERT INTO `sys_job_log` VALUES (15119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-24 21:06:49');
INSERT INTO `sys_job_log` VALUES (15120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-24 21:06:54');
INSERT INTO `sys_job_log` VALUES (15121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 21:06:59');
INSERT INTO `sys_job_log` VALUES (15122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1754毫秒', '0', '', '2024-12-24 21:07:01');
INSERT INTO `sys_job_log` VALUES (15123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:07:04');
INSERT INTO `sys_job_log` VALUES (15124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:07:09');
INSERT INTO `sys_job_log` VALUES (15125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:07:14');
INSERT INTO `sys_job_log` VALUES (15126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1569毫秒', '0', '', '2024-12-24 21:07:16');
INSERT INTO `sys_job_log` VALUES (15127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-24 21:07:19');
INSERT INTO `sys_job_log` VALUES (15128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-24 21:07:24');
INSERT INTO `sys_job_log` VALUES (15129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:07:29');
INSERT INTO `sys_job_log` VALUES (15130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2046毫秒', '0', '', '2024-12-24 21:07:31');
INSERT INTO `sys_job_log` VALUES (15131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：114毫秒', '0', '', '2024-12-24 21:07:34');
INSERT INTO `sys_job_log` VALUES (15132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-24 21:07:39');
INSERT INTO `sys_job_log` VALUES (15133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 21:07:44');
INSERT INTO `sys_job_log` VALUES (15134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1609毫秒', '0', '', '2024-12-24 21:07:46');
INSERT INTO `sys_job_log` VALUES (15135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:07:49');
INSERT INTO `sys_job_log` VALUES (15136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:07:54');
INSERT INTO `sys_job_log` VALUES (15137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:07:59');
INSERT INTO `sys_job_log` VALUES (15138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1704毫秒', '0', '', '2024-12-24 21:08:01');
INSERT INTO `sys_job_log` VALUES (15139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-24 21:08:05');
INSERT INTO `sys_job_log` VALUES (15140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:08:09');
INSERT INTO `sys_job_log` VALUES (15141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:08:14');
INSERT INTO `sys_job_log` VALUES (15142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1844毫秒', '0', '', '2024-12-24 21:08:16');
INSERT INTO `sys_job_log` VALUES (15143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 21:08:19');
INSERT INTO `sys_job_log` VALUES (15144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-24 21:08:24');
INSERT INTO `sys_job_log` VALUES (15145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:08:29');
INSERT INTO `sys_job_log` VALUES (15146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1746毫秒', '0', '', '2024-12-24 21:08:31');
INSERT INTO `sys_job_log` VALUES (15147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:08:34');
INSERT INTO `sys_job_log` VALUES (15148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：140毫秒', '0', '', '2024-12-24 21:08:39');
INSERT INTO `sys_job_log` VALUES (15149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 21:08:44');
INSERT INTO `sys_job_log` VALUES (15150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1847毫秒', '0', '', '2024-12-24 21:08:46');
INSERT INTO `sys_job_log` VALUES (15151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:08:49');
INSERT INTO `sys_job_log` VALUES (15152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:08:54');
INSERT INTO `sys_job_log` VALUES (15153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:08:59');
INSERT INTO `sys_job_log` VALUES (15154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1949毫秒', '0', '', '2024-12-24 21:09:01');
INSERT INTO `sys_job_log` VALUES (15155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1563毫秒', '0', '', '2024-12-24 21:09:16');
INSERT INTO `sys_job_log` VALUES (15156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16206毫秒', '0', '', '2024-12-24 21:09:20');
INSERT INTO `sys_job_log` VALUES (15157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1688毫秒', '0', '', '2024-12-24 21:10:08');
INSERT INTO `sys_job_log` VALUES (15158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2696毫秒', '0', '', '2024-12-24 21:10:08');
INSERT INTO `sys_job_log` VALUES (15159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1967毫秒', '0', '', '2024-12-24 21:10:16');
INSERT INTO `sys_job_log` VALUES (15160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15992毫秒', '0', '', '2024-12-24 21:10:24');
INSERT INTO `sys_job_log` VALUES (15161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:10:24');
INSERT INTO `sys_job_log` VALUES (15162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 21:10:24');
INSERT INTO `sys_job_log` VALUES (15163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:10:24');
INSERT INTO `sys_job_log` VALUES (15164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 21:10:24');
INSERT INTO `sys_job_log` VALUES (15165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:10:29');
INSERT INTO `sys_job_log` VALUES (15166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1742毫秒', '0', '', '2024-12-24 21:10:31');
INSERT INTO `sys_job_log` VALUES (15167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:10:34');
INSERT INTO `sys_job_log` VALUES (15168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:10:39');
INSERT INTO `sys_job_log` VALUES (15169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:10:44');
INSERT INTO `sys_job_log` VALUES (15170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3152毫秒', '0', '', '2024-12-24 21:10:47');
INSERT INTO `sys_job_log` VALUES (15171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:10:49');
INSERT INTO `sys_job_log` VALUES (15172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:10:54');
INSERT INTO `sys_job_log` VALUES (15173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-24 21:10:59');
INSERT INTO `sys_job_log` VALUES (15174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1581毫秒', '0', '', '2024-12-24 21:11:01');
INSERT INTO `sys_job_log` VALUES (15175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:11:04');
INSERT INTO `sys_job_log` VALUES (15176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:11:09');
INSERT INTO `sys_job_log` VALUES (15177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:11:14');
INSERT INTO `sys_job_log` VALUES (15178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2357毫秒', '0', '', '2024-12-24 21:11:17');
INSERT INTO `sys_job_log` VALUES (15179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:11:19');
INSERT INTO `sys_job_log` VALUES (15180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:11:24');
INSERT INTO `sys_job_log` VALUES (15181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:11:29');
INSERT INTO `sys_job_log` VALUES (15182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1631毫秒', '0', '', '2024-12-24 21:11:31');
INSERT INTO `sys_job_log` VALUES (15183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 21:11:34');
INSERT INTO `sys_job_log` VALUES (15184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 21:11:39');
INSERT INTO `sys_job_log` VALUES (15185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:11:44');
INSERT INTO `sys_job_log` VALUES (15186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1699毫秒', '0', '', '2024-12-24 21:11:46');
INSERT INTO `sys_job_log` VALUES (15187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-24 21:11:49');
INSERT INTO `sys_job_log` VALUES (15188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-24 21:11:54');
INSERT INTO `sys_job_log` VALUES (15189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-24 21:11:59');
INSERT INTO `sys_job_log` VALUES (15190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1576毫秒', '0', '', '2024-12-24 21:12:01');
INSERT INTO `sys_job_log` VALUES (15191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 21:12:04');
INSERT INTO `sys_job_log` VALUES (15192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-24 21:12:09');
INSERT INTO `sys_job_log` VALUES (15193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:12:14');
INSERT INTO `sys_job_log` VALUES (15194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1742毫秒', '0', '', '2024-12-24 21:12:16');
INSERT INTO `sys_job_log` VALUES (15195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 21:12:19');
INSERT INTO `sys_job_log` VALUES (15196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-24 21:12:24');
INSERT INTO `sys_job_log` VALUES (15197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 21:12:29');
INSERT INTO `sys_job_log` VALUES (15198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1774毫秒', '0', '', '2024-12-24 21:12:31');
INSERT INTO `sys_job_log` VALUES (15199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：148毫秒', '0', '', '2024-12-24 21:12:34');
INSERT INTO `sys_job_log` VALUES (15200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-24 21:12:39');
INSERT INTO `sys_job_log` VALUES (15201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-24 21:12:44');
INSERT INTO `sys_job_log` VALUES (15202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1767毫秒', '0', '', '2024-12-24 21:12:46');
INSERT INTO `sys_job_log` VALUES (15203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:12:50');
INSERT INTO `sys_job_log` VALUES (15204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-24 21:12:54');
INSERT INTO `sys_job_log` VALUES (15205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 21:12:59');
INSERT INTO `sys_job_log` VALUES (15206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1559毫秒', '0', '', '2024-12-24 21:13:01');
INSERT INTO `sys_job_log` VALUES (15207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 21:13:04');
INSERT INTO `sys_job_log` VALUES (15208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '0', '', '2024-12-24 21:13:10');
INSERT INTO `sys_job_log` VALUES (15209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:13:14');
INSERT INTO `sys_job_log` VALUES (15210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1977毫秒', '0', '', '2024-12-24 21:13:16');
INSERT INTO `sys_job_log` VALUES (15211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：246毫秒', '0', '', '2024-12-24 21:13:20');
INSERT INTO `sys_job_log` VALUES (15212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：120毫秒', '0', '', '2024-12-24 21:13:25');
INSERT INTO `sys_job_log` VALUES (15213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-24 21:13:29');
INSERT INTO `sys_job_log` VALUES (15214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1780毫秒', '0', '', '2024-12-24 21:13:31');
INSERT INTO `sys_job_log` VALUES (15215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 21:13:34');
INSERT INTO `sys_job_log` VALUES (15216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:13:39');
INSERT INTO `sys_job_log` VALUES (15217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-24 21:13:44');
INSERT INTO `sys_job_log` VALUES (15218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2001毫秒', '0', '', '2024-12-24 21:13:46');
INSERT INTO `sys_job_log` VALUES (15219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:13:49');
INSERT INTO `sys_job_log` VALUES (15220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:13:54');
INSERT INTO `sys_job_log` VALUES (15221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 21:14:00');
INSERT INTO `sys_job_log` VALUES (15222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1939毫秒', '0', '', '2024-12-24 21:14:01');
INSERT INTO `sys_job_log` VALUES (15223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:14:04');
INSERT INTO `sys_job_log` VALUES (15224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-24 21:14:09');
INSERT INTO `sys_job_log` VALUES (15225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-24 21:14:14');
INSERT INTO `sys_job_log` VALUES (15226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1691毫秒', '0', '', '2024-12-24 21:14:16');
INSERT INTO `sys_job_log` VALUES (15227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1240毫秒', '0', '', '2024-12-24 21:15:14');
INSERT INTO `sys_job_log` VALUES (15228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:15:16');
INSERT INTO `sys_job_log` VALUES (15229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1503毫秒', '0', '', '2024-12-24 21:15:17');
INSERT INTO `sys_job_log` VALUES (15230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:15:21');
INSERT INTO `sys_job_log` VALUES (15231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:15:26');
INSERT INTO `sys_job_log` VALUES (15232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:15:31');
INSERT INTO `sys_job_log` VALUES (15233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 21:15:32');
INSERT INTO `sys_job_log` VALUES (15234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:15:36');
INSERT INTO `sys_job_log` VALUES (15235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:15:41');
INSERT INTO `sys_job_log` VALUES (15236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:15:46');
INSERT INTO `sys_job_log` VALUES (15237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1443毫秒', '0', '', '2024-12-24 21:15:47');
INSERT INTO `sys_job_log` VALUES (15238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:15:51');
INSERT INTO `sys_job_log` VALUES (15239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:15:56');
INSERT INTO `sys_job_log` VALUES (15240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-24 21:16:01');
INSERT INTO `sys_job_log` VALUES (15241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1225毫秒', '0', '', '2024-12-24 21:16:02');
INSERT INTO `sys_job_log` VALUES (15242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:16:06');
INSERT INTO `sys_job_log` VALUES (15243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:16:11');
INSERT INTO `sys_job_log` VALUES (15244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:16:16');
INSERT INTO `sys_job_log` VALUES (15245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1158毫秒', '0', '', '2024-12-24 21:16:17');
INSERT INTO `sys_job_log` VALUES (15246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:16:21');
INSERT INTO `sys_job_log` VALUES (15247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:16:26');
INSERT INTO `sys_job_log` VALUES (15248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:16:31');
INSERT INTO `sys_job_log` VALUES (15249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1252毫秒', '0', '', '2024-12-24 21:16:32');
INSERT INTO `sys_job_log` VALUES (15250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:16:36');
INSERT INTO `sys_job_log` VALUES (15251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:16:41');
INSERT INTO `sys_job_log` VALUES (15252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:16:46');
INSERT INTO `sys_job_log` VALUES (15253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1225毫秒', '0', '', '2024-12-24 21:16:47');
INSERT INTO `sys_job_log` VALUES (15254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:16:51');
INSERT INTO `sys_job_log` VALUES (15255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:16:56');
INSERT INTO `sys_job_log` VALUES (15256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:17:01');
INSERT INTO `sys_job_log` VALUES (15257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 21:17:02');
INSERT INTO `sys_job_log` VALUES (15258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:17:06');
INSERT INTO `sys_job_log` VALUES (15259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:17:11');
INSERT INTO `sys_job_log` VALUES (15260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:17:16');
INSERT INTO `sys_job_log` VALUES (15261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1855毫秒', '0', '', '2024-12-24 21:17:18');
INSERT INTO `sys_job_log` VALUES (15262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:17:21');
INSERT INTO `sys_job_log` VALUES (15263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:17:26');
INSERT INTO `sys_job_log` VALUES (15264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:17:31');
INSERT INTO `sys_job_log` VALUES (15265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2028毫秒', '0', '', '2024-12-24 21:17:33');
INSERT INTO `sys_job_log` VALUES (15266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:17:36');
INSERT INTO `sys_job_log` VALUES (15267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:17:41');
INSERT INTO `sys_job_log` VALUES (15268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:17:46');
INSERT INTO `sys_job_log` VALUES (15269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1302毫秒', '0', '', '2024-12-24 21:17:47');
INSERT INTO `sys_job_log` VALUES (15270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:17:51');
INSERT INTO `sys_job_log` VALUES (15271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:17:56');
INSERT INTO `sys_job_log` VALUES (15272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:18:01');
INSERT INTO `sys_job_log` VALUES (15273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1397毫秒', '0', '', '2024-12-24 21:18:02');
INSERT INTO `sys_job_log` VALUES (15274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:18:06');
INSERT INTO `sys_job_log` VALUES (15275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:18:11');
INSERT INTO `sys_job_log` VALUES (15276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:18:16');
INSERT INTO `sys_job_log` VALUES (15277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2024-12-24 21:18:17');
INSERT INTO `sys_job_log` VALUES (15278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:18:21');
INSERT INTO `sys_job_log` VALUES (15279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:18:26');
INSERT INTO `sys_job_log` VALUES (15280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:18:31');
INSERT INTO `sys_job_log` VALUES (15281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1240毫秒', '0', '', '2024-12-24 21:18:32');
INSERT INTO `sys_job_log` VALUES (15282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:18:36');
INSERT INTO `sys_job_log` VALUES (15283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:18:41');
INSERT INTO `sys_job_log` VALUES (15284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:18:46');
INSERT INTO `sys_job_log` VALUES (15285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1197毫秒', '0', '', '2024-12-24 21:18:47');
INSERT INTO `sys_job_log` VALUES (15286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:18:51');
INSERT INTO `sys_job_log` VALUES (15287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:18:56');
INSERT INTO `sys_job_log` VALUES (15288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:19:01');
INSERT INTO `sys_job_log` VALUES (15289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 21:19:02');
INSERT INTO `sys_job_log` VALUES (15290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:19:06');
INSERT INTO `sys_job_log` VALUES (15291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:19:11');
INSERT INTO `sys_job_log` VALUES (15292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:19:16');
INSERT INTO `sys_job_log` VALUES (15293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 21:19:17');
INSERT INTO `sys_job_log` VALUES (15294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:19:21');
INSERT INTO `sys_job_log` VALUES (15295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:19:26');
INSERT INTO `sys_job_log` VALUES (15296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:19:31');
INSERT INTO `sys_job_log` VALUES (15297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 21:19:32');
INSERT INTO `sys_job_log` VALUES (15298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:19:36');
INSERT INTO `sys_job_log` VALUES (15299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:19:41');
INSERT INTO `sys_job_log` VALUES (15300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:19:46');
INSERT INTO `sys_job_log` VALUES (15301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1380毫秒', '0', '', '2024-12-24 21:19:47');
INSERT INTO `sys_job_log` VALUES (15302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:19:51');
INSERT INTO `sys_job_log` VALUES (15303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 21:19:56');
INSERT INTO `sys_job_log` VALUES (15304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:20:01');
INSERT INTO `sys_job_log` VALUES (15305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1476毫秒', '0', '', '2024-12-24 21:20:02');
INSERT INTO `sys_job_log` VALUES (15306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:20:06');
INSERT INTO `sys_job_log` VALUES (15307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:20:11');
INSERT INTO `sys_job_log` VALUES (15308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:20:16');
INSERT INTO `sys_job_log` VALUES (15309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1252毫秒', '0', '', '2024-12-24 21:20:17');
INSERT INTO `sys_job_log` VALUES (15310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:20:21');
INSERT INTO `sys_job_log` VALUES (15311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:20:26');
INSERT INTO `sys_job_log` VALUES (15312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:20:31');
INSERT INTO `sys_job_log` VALUES (15313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1428毫秒', '0', '', '2024-12-24 21:20:32');
INSERT INTO `sys_job_log` VALUES (15314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:20:36');
INSERT INTO `sys_job_log` VALUES (15315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:20:41');
INSERT INTO `sys_job_log` VALUES (15316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:20:46');
INSERT INTO `sys_job_log` VALUES (15317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1471毫秒', '0', '', '2024-12-24 21:20:47');
INSERT INTO `sys_job_log` VALUES (15318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:20:51');
INSERT INTO `sys_job_log` VALUES (15319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:20:56');
INSERT INTO `sys_job_log` VALUES (15320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:21:01');
INSERT INTO `sys_job_log` VALUES (15321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1272毫秒', '0', '', '2024-12-24 21:21:02');
INSERT INTO `sys_job_log` VALUES (15322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:21:06');
INSERT INTO `sys_job_log` VALUES (15323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:21:11');
INSERT INTO `sys_job_log` VALUES (15324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:21:16');
INSERT INTO `sys_job_log` VALUES (15325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 21:21:17');
INSERT INTO `sys_job_log` VALUES (15326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:21:21');
INSERT INTO `sys_job_log` VALUES (15327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:21:26');
INSERT INTO `sys_job_log` VALUES (15328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1325毫秒', '0', '', '2024-12-24 21:21:44');
INSERT INTO `sys_job_log` VALUES (15329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:21:46');
INSERT INTO `sys_job_log` VALUES (15330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 21:21:47');
INSERT INTO `sys_job_log` VALUES (15331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:21:51');
INSERT INTO `sys_job_log` VALUES (15332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 21:21:56');
INSERT INTO `sys_job_log` VALUES (15333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:22:01');
INSERT INTO `sys_job_log` VALUES (15334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1257毫秒', '0', '', '2024-12-24 21:22:02');
INSERT INTO `sys_job_log` VALUES (15335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:22:06');
INSERT INTO `sys_job_log` VALUES (15336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:22:11');
INSERT INTO `sys_job_log` VALUES (15337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:22:16');
INSERT INTO `sys_job_log` VALUES (15338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1226毫秒', '0', '', '2024-12-24 21:22:17');
INSERT INTO `sys_job_log` VALUES (15339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:22:21');
INSERT INTO `sys_job_log` VALUES (15340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:22:26');
INSERT INTO `sys_job_log` VALUES (15341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:22:31');
INSERT INTO `sys_job_log` VALUES (15342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1383毫秒', '0', '', '2024-12-24 21:22:32');
INSERT INTO `sys_job_log` VALUES (15343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:22:36');
INSERT INTO `sys_job_log` VALUES (15344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:22:41');
INSERT INTO `sys_job_log` VALUES (15345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:22:46');
INSERT INTO `sys_job_log` VALUES (15346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2164毫秒', '0', '', '2024-12-24 21:22:48');
INSERT INTO `sys_job_log` VALUES (15347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:22:51');
INSERT INTO `sys_job_log` VALUES (15348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:22:56');
INSERT INTO `sys_job_log` VALUES (15349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:23:01');
INSERT INTO `sys_job_log` VALUES (15350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2331毫秒', '0', '', '2024-12-24 21:23:03');
INSERT INTO `sys_job_log` VALUES (15351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:23:06');
INSERT INTO `sys_job_log` VALUES (15352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:23:11');
INSERT INTO `sys_job_log` VALUES (15353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2220毫秒', '0', '', '2024-12-24 21:23:18');
INSERT INTO `sys_job_log` VALUES (15354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14397毫秒', '0', '', '2024-12-24 21:23:30');
INSERT INTO `sys_job_log` VALUES (15355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1674毫秒', '0', '', '2024-12-24 21:23:33');
INSERT INTO `sys_job_log` VALUES (15356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14446毫秒', '0', '', '2024-12-24 21:23:45');
INSERT INTO `sys_job_log` VALUES (15357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2158毫秒', '0', '', '2024-12-24 21:23:48');
INSERT INTO `sys_job_log` VALUES (15358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1530毫秒', '0', '', '2024-12-24 21:24:02');
INSERT INTO `sys_job_log` VALUES (15359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18780毫秒', '0', '', '2024-12-24 21:24:04');
INSERT INTO `sys_job_log` VALUES (15360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2007毫秒', '0', '', '2024-12-24 21:24:18');
INSERT INTO `sys_job_log` VALUES (15361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24297毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:24:28');
INSERT INTO `sys_job_log` VALUES (15373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:24:31');
INSERT INTO `sys_job_log` VALUES (15374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 21:24:32');
INSERT INTO `sys_job_log` VALUES (15375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:24:36');
INSERT INTO `sys_job_log` VALUES (15376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:24:41');
INSERT INTO `sys_job_log` VALUES (15377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:24:46');
INSERT INTO `sys_job_log` VALUES (15378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1152毫秒', '0', '', '2024-12-24 21:24:47');
INSERT INTO `sys_job_log` VALUES (15379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:24:51');
INSERT INTO `sys_job_log` VALUES (15380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:24:56');
INSERT INTO `sys_job_log` VALUES (15381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:25:01');
INSERT INTO `sys_job_log` VALUES (15382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1220毫秒', '0', '', '2024-12-24 21:25:02');
INSERT INTO `sys_job_log` VALUES (15383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:25:06');
INSERT INTO `sys_job_log` VALUES (15384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:25:11');
INSERT INTO `sys_job_log` VALUES (15385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:25:16');
INSERT INTO `sys_job_log` VALUES (15386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1188毫秒', '0', '', '2024-12-24 21:25:17');
INSERT INTO `sys_job_log` VALUES (15387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:25:21');
INSERT INTO `sys_job_log` VALUES (15388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:25:26');
INSERT INTO `sys_job_log` VALUES (15389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:25:31');
INSERT INTO `sys_job_log` VALUES (15390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 21:25:32');
INSERT INTO `sys_job_log` VALUES (15391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:25:36');
INSERT INTO `sys_job_log` VALUES (15392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:25:41');
INSERT INTO `sys_job_log` VALUES (15393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:25:46');
INSERT INTO `sys_job_log` VALUES (15394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1142毫秒', '0', '', '2024-12-24 21:25:47');
INSERT INTO `sys_job_log` VALUES (15395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:25:51');
INSERT INTO `sys_job_log` VALUES (15396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:25:56');
INSERT INTO `sys_job_log` VALUES (15397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:26:01');
INSERT INTO `sys_job_log` VALUES (15398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 21:26:02');
INSERT INTO `sys_job_log` VALUES (15399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:26:06');
INSERT INTO `sys_job_log` VALUES (15400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:26:11');
INSERT INTO `sys_job_log` VALUES (15401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:26:16');
INSERT INTO `sys_job_log` VALUES (15402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 21:26:17');
INSERT INTO `sys_job_log` VALUES (15403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:26:21');
INSERT INTO `sys_job_log` VALUES (15404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:26:26');
INSERT INTO `sys_job_log` VALUES (15405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:26:31');
INSERT INTO `sys_job_log` VALUES (15406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1163毫秒', '0', '', '2024-12-24 21:26:32');
INSERT INTO `sys_job_log` VALUES (15407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:26:36');
INSERT INTO `sys_job_log` VALUES (15408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:26:41');
INSERT INTO `sys_job_log` VALUES (15409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:26:46');
INSERT INTO `sys_job_log` VALUES (15410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1230毫秒', '0', '', '2024-12-24 21:26:47');
INSERT INTO `sys_job_log` VALUES (15411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:26:51');
INSERT INTO `sys_job_log` VALUES (15412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:26:56');
INSERT INTO `sys_job_log` VALUES (15413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:27:01');
INSERT INTO `sys_job_log` VALUES (15414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-24 21:27:02');
INSERT INTO `sys_job_log` VALUES (15415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:27:06');
INSERT INTO `sys_job_log` VALUES (15416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:27:11');
INSERT INTO `sys_job_log` VALUES (15417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:27:16');
INSERT INTO `sys_job_log` VALUES (15418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2024-12-24 21:27:17');
INSERT INTO `sys_job_log` VALUES (15419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:27:21');
INSERT INTO `sys_job_log` VALUES (15420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:27:26');
INSERT INTO `sys_job_log` VALUES (15421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:27:31');
INSERT INTO `sys_job_log` VALUES (15422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 21:27:32');
INSERT INTO `sys_job_log` VALUES (15423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:27:36');
INSERT INTO `sys_job_log` VALUES (15424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:27:41');
INSERT INTO `sys_job_log` VALUES (15425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:27:46');
INSERT INTO `sys_job_log` VALUES (15426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1827毫秒', '0', '', '2024-12-24 21:27:48');
INSERT INTO `sys_job_log` VALUES (15427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:27:51');
INSERT INTO `sys_job_log` VALUES (15428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:27:56');
INSERT INTO `sys_job_log` VALUES (15429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:28:01');
INSERT INTO `sys_job_log` VALUES (15430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1299毫秒', '0', '', '2024-12-24 21:28:02');
INSERT INTO `sys_job_log` VALUES (15431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:28:06');
INSERT INTO `sys_job_log` VALUES (15432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:28:11');
INSERT INTO `sys_job_log` VALUES (15433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:28:16');
INSERT INTO `sys_job_log` VALUES (15434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1158毫秒', '0', '', '2024-12-24 21:28:17');
INSERT INTO `sys_job_log` VALUES (15435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:28:21');
INSERT INTO `sys_job_log` VALUES (15436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:28:26');
INSERT INTO `sys_job_log` VALUES (15437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2248毫秒', '0', '', '2024-12-24 21:28:33');
INSERT INTO `sys_job_log` VALUES (15438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14404毫秒', '0', '', '2024-12-24 21:28:45');
INSERT INTO `sys_job_log` VALUES (15439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1606毫秒', '0', '', '2024-12-24 21:28:48');
INSERT INTO `sys_job_log` VALUES (15440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15460毫秒', '0', '', '2024-12-24 21:29:01');
INSERT INTO `sys_job_log` VALUES (15441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2111毫秒', '0', '', '2024-12-24 21:29:03');
INSERT INTO `sys_job_log` VALUES (15442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1477毫秒', '0', '', '2024-12-24 21:29:17');
INSERT INTO `sys_job_log` VALUES (15443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27627毫秒', '0', '', '2024-12-24 21:29:28');
INSERT INTO `sys_job_log` VALUES (15444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:29:29');
INSERT INTO `sys_job_log` VALUES (15453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:29:31');
INSERT INTO `sys_job_log` VALUES (15454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-24 21:29:32');
INSERT INTO `sys_job_log` VALUES (15455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:29:36');
INSERT INTO `sys_job_log` VALUES (15456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:29:41');
INSERT INTO `sys_job_log` VALUES (15457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:29:46');
INSERT INTO `sys_job_log` VALUES (15458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1229毫秒', '0', '', '2024-12-24 21:29:47');
INSERT INTO `sys_job_log` VALUES (15459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:29:51');
INSERT INTO `sys_job_log` VALUES (15460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:29:56');
INSERT INTO `sys_job_log` VALUES (15461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:30:01');
INSERT INTO `sys_job_log` VALUES (15462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 21:30:02');
INSERT INTO `sys_job_log` VALUES (15463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:30:06');
INSERT INTO `sys_job_log` VALUES (15464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:30:11');
INSERT INTO `sys_job_log` VALUES (15465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:30:16');
INSERT INTO `sys_job_log` VALUES (15466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-24 21:30:17');
INSERT INTO `sys_job_log` VALUES (15467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:30:21');
INSERT INTO `sys_job_log` VALUES (15468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:30:26');
INSERT INTO `sys_job_log` VALUES (15469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:30:31');
INSERT INTO `sys_job_log` VALUES (15470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1240毫秒', '0', '', '2024-12-24 21:30:32');
INSERT INTO `sys_job_log` VALUES (15471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:30:36');
INSERT INTO `sys_job_log` VALUES (15472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:30:41');
INSERT INTO `sys_job_log` VALUES (15473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:30:46');
INSERT INTO `sys_job_log` VALUES (15474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 21:30:47');
INSERT INTO `sys_job_log` VALUES (15475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:30:51');
INSERT INTO `sys_job_log` VALUES (15476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:30:56');
INSERT INTO `sys_job_log` VALUES (15477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:31:01');
INSERT INTO `sys_job_log` VALUES (15478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1302毫秒', '0', '', '2024-12-24 21:31:02');
INSERT INTO `sys_job_log` VALUES (15479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:31:06');
INSERT INTO `sys_job_log` VALUES (15480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:31:11');
INSERT INTO `sys_job_log` VALUES (15481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:31:16');
INSERT INTO `sys_job_log` VALUES (15482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 21:31:17');
INSERT INTO `sys_job_log` VALUES (15483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:31:21');
INSERT INTO `sys_job_log` VALUES (15484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:31:26');
INSERT INTO `sys_job_log` VALUES (15485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:31:31');
INSERT INTO `sys_job_log` VALUES (15486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1230毫秒', '0', '', '2024-12-24 21:31:32');
INSERT INTO `sys_job_log` VALUES (15487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:31:36');
INSERT INTO `sys_job_log` VALUES (15488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:31:41');
INSERT INTO `sys_job_log` VALUES (15489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:31:46');
INSERT INTO `sys_job_log` VALUES (15490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 21:31:47');
INSERT INTO `sys_job_log` VALUES (15491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:31:51');
INSERT INTO `sys_job_log` VALUES (15492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:31:56');
INSERT INTO `sys_job_log` VALUES (15493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:32:01');
INSERT INTO `sys_job_log` VALUES (15494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1288毫秒', '0', '', '2024-12-24 21:32:02');
INSERT INTO `sys_job_log` VALUES (15495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:32:06');
INSERT INTO `sys_job_log` VALUES (15496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:32:11');
INSERT INTO `sys_job_log` VALUES (15497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:32:16');
INSERT INTO `sys_job_log` VALUES (15498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1238毫秒', '0', '', '2024-12-24 21:32:17');
INSERT INTO `sys_job_log` VALUES (15499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:32:21');
INSERT INTO `sys_job_log` VALUES (15500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:32:26');
INSERT INTO `sys_job_log` VALUES (15501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:32:31');
INSERT INTO `sys_job_log` VALUES (15502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1311毫秒', '0', '', '2024-12-24 21:32:32');
INSERT INTO `sys_job_log` VALUES (15503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:32:36');
INSERT INTO `sys_job_log` VALUES (15504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:32:41');
INSERT INTO `sys_job_log` VALUES (15505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:32:46');
INSERT INTO `sys_job_log` VALUES (15506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 21:32:47');
INSERT INTO `sys_job_log` VALUES (15507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:32:51');
INSERT INTO `sys_job_log` VALUES (15508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:32:56');
INSERT INTO `sys_job_log` VALUES (15509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:33:01');
INSERT INTO `sys_job_log` VALUES (15510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1155毫秒', '0', '', '2024-12-24 21:33:02');
INSERT INTO `sys_job_log` VALUES (15511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:33:06');
INSERT INTO `sys_job_log` VALUES (15512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:33:11');
INSERT INTO `sys_job_log` VALUES (15513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:33:16');
INSERT INTO `sys_job_log` VALUES (15514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1135毫秒', '0', '', '2024-12-24 21:33:17');
INSERT INTO `sys_job_log` VALUES (15515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:33:21');
INSERT INTO `sys_job_log` VALUES (15516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:33:26');
INSERT INTO `sys_job_log` VALUES (15517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:33:31');
INSERT INTO `sys_job_log` VALUES (15518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1221毫秒', '0', '', '2024-12-24 21:33:32');
INSERT INTO `sys_job_log` VALUES (15519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:33:36');
INSERT INTO `sys_job_log` VALUES (15520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:33:41');
INSERT INTO `sys_job_log` VALUES (15521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:33:46');
INSERT INTO `sys_job_log` VALUES (15522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2094毫秒', '0', '', '2024-12-24 21:40:39');
INSERT INTO `sys_job_log` VALUES (15523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 21:40:39');
INSERT INTO `sys_job_log` VALUES (15524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:40:44');
INSERT INTO `sys_job_log` VALUES (15525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1780毫秒', '0', '', '2024-12-24 21:40:46');
INSERT INTO `sys_job_log` VALUES (15526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-24 21:40:49');
INSERT INTO `sys_job_log` VALUES (15527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-24 21:40:54');
INSERT INTO `sys_job_log` VALUES (15528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：114毫秒', '0', '', '2024-12-24 21:40:59');
INSERT INTO `sys_job_log` VALUES (15529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1797毫秒', '0', '', '2024-12-24 21:41:01');
INSERT INTO `sys_job_log` VALUES (15530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：131毫秒', '0', '', '2024-12-24 21:41:04');
INSERT INTO `sys_job_log` VALUES (15531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-24 21:41:09');
INSERT INTO `sys_job_log` VALUES (15532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:41:14');
INSERT INTO `sys_job_log` VALUES (15533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1531毫秒', '0', '', '2024-12-24 21:41:16');
INSERT INTO `sys_job_log` VALUES (15534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:41:19');
INSERT INTO `sys_job_log` VALUES (15535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:41:24');
INSERT INTO `sys_job_log` VALUES (15536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 21:41:29');
INSERT INTO `sys_job_log` VALUES (15537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2517毫秒', '0', '', '2024-12-24 21:41:32');
INSERT INTO `sys_job_log` VALUES (15538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:41:34');
INSERT INTO `sys_job_log` VALUES (15539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:41:39');
INSERT INTO `sys_job_log` VALUES (15540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:41:44');
INSERT INTO `sys_job_log` VALUES (15541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2024-12-24 21:41:46');
INSERT INTO `sys_job_log` VALUES (15542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:41:49');
INSERT INTO `sys_job_log` VALUES (15543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:41:54');
INSERT INTO `sys_job_log` VALUES (15544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-24 21:41:59');
INSERT INTO `sys_job_log` VALUES (15545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1714毫秒', '0', '', '2024-12-24 21:42:01');
INSERT INTO `sys_job_log` VALUES (15546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-24 21:42:04');
INSERT INTO `sys_job_log` VALUES (15547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:42:09');
INSERT INTO `sys_job_log` VALUES (15548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:42:14');
INSERT INTO `sys_job_log` VALUES (15549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1591毫秒', '0', '', '2024-12-24 21:42:16');
INSERT INTO `sys_job_log` VALUES (15550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:42:19');
INSERT INTO `sys_job_log` VALUES (15551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 21:42:24');
INSERT INTO `sys_job_log` VALUES (15552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:42:29');
INSERT INTO `sys_job_log` VALUES (15553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2024-12-24 21:42:31');
INSERT INTO `sys_job_log` VALUES (15554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 21:42:34');
INSERT INTO `sys_job_log` VALUES (15555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 21:42:39');
INSERT INTO `sys_job_log` VALUES (15556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 21:42:44');
INSERT INTO `sys_job_log` VALUES (15557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1609毫秒', '0', '', '2024-12-24 21:42:46');
INSERT INTO `sys_job_log` VALUES (15558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:42:49');
INSERT INTO `sys_job_log` VALUES (15559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:42:54');
INSERT INTO `sys_job_log` VALUES (15560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:42:59');
INSERT INTO `sys_job_log` VALUES (15561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-24 21:43:00');
INSERT INTO `sys_job_log` VALUES (15562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2122毫秒', '0', '', '2024-12-24 21:43:16');
INSERT INTO `sys_job_log` VALUES (15563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25595毫秒', '0', '', '2024-12-24 21:43:30');
INSERT INTO `sys_job_log` VALUES (15564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1688毫秒', '0', '', '2024-12-24 21:43:31');
INSERT INTO `sys_job_log` VALUES (15565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1876毫秒', '0', '', '2024-12-24 21:43:46');
INSERT INTO `sys_job_log` VALUES (15566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20274毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:43:50');
INSERT INTO `sys_job_log` VALUES (15575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:43:54');
INSERT INTO `sys_job_log` VALUES (15576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-24 21:43:59');
INSERT INTO `sys_job_log` VALUES (15577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1530毫秒', '0', '', '2024-12-24 21:44:01');
INSERT INTO `sys_job_log` VALUES (15578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-24 21:44:04');
INSERT INTO `sys_job_log` VALUES (15579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-24 21:44:09');
INSERT INTO `sys_job_log` VALUES (15580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-24 21:44:14');
INSERT INTO `sys_job_log` VALUES (15581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1651毫秒', '0', '', '2024-12-24 21:44:16');
INSERT INTO `sys_job_log` VALUES (15582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:44:19');
INSERT INTO `sys_job_log` VALUES (15583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:44:24');
INSERT INTO `sys_job_log` VALUES (15584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 21:44:29');
INSERT INTO `sys_job_log` VALUES (15585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1476毫秒', '0', '', '2024-12-24 21:44:31');
INSERT INTO `sys_job_log` VALUES (15586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-24 21:44:34');
INSERT INTO `sys_job_log` VALUES (15587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-24 21:44:39');
INSERT INTO `sys_job_log` VALUES (15588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 21:44:44');
INSERT INTO `sys_job_log` VALUES (15589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2083毫秒', '0', '', '2024-12-24 21:44:46');
INSERT INTO `sys_job_log` VALUES (15590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:44:49');
INSERT INTO `sys_job_log` VALUES (15591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-24 21:44:54');
INSERT INTO `sys_job_log` VALUES (15592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:44:59');
INSERT INTO `sys_job_log` VALUES (15593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1225毫秒', '0', '', '2024-12-24 21:45:00');
INSERT INTO `sys_job_log` VALUES (15594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-24 21:45:04');
INSERT INTO `sys_job_log` VALUES (15595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-24 21:45:09');
INSERT INTO `sys_job_log` VALUES (15596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:45:14');
INSERT INTO `sys_job_log` VALUES (15597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1666毫秒', '0', '', '2024-12-24 21:45:16');
INSERT INTO `sys_job_log` VALUES (15598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 21:45:19');
INSERT INTO `sys_job_log` VALUES (15599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：243毫秒', '0', '', '2024-12-24 21:45:24');
INSERT INTO `sys_job_log` VALUES (15600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:45:29');
INSERT INTO `sys_job_log` VALUES (15601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1472毫秒', '0', '', '2024-12-24 21:45:31');
INSERT INTO `sys_job_log` VALUES (15602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:45:34');
INSERT INTO `sys_job_log` VALUES (15603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:45:39');
INSERT INTO `sys_job_log` VALUES (15604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:45:44');
INSERT INTO `sys_job_log` VALUES (15605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1783毫秒', '0', '', '2024-12-24 21:45:46');
INSERT INTO `sys_job_log` VALUES (15606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:45:49');
INSERT INTO `sys_job_log` VALUES (15607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:45:54');
INSERT INTO `sys_job_log` VALUES (15608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:45:59');
INSERT INTO `sys_job_log` VALUES (15609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1518毫秒', '0', '', '2024-12-24 21:46:01');
INSERT INTO `sys_job_log` VALUES (15610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:46:04');
INSERT INTO `sys_job_log` VALUES (15611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:46:09');
INSERT INTO `sys_job_log` VALUES (15612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:46:14');
INSERT INTO `sys_job_log` VALUES (15613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1581毫秒', '0', '', '2024-12-24 21:46:16');
INSERT INTO `sys_job_log` VALUES (15614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:46:19');
INSERT INTO `sys_job_log` VALUES (15615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2024-12-24 21:46:24');
INSERT INTO `sys_job_log` VALUES (15616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:46:29');
INSERT INTO `sys_job_log` VALUES (15617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1568毫秒', '0', '', '2024-12-24 21:46:31');
INSERT INTO `sys_job_log` VALUES (15618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:46:34');
INSERT INTO `sys_job_log` VALUES (15619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 21:46:39');
INSERT INTO `sys_job_log` VALUES (15620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:46:44');
INSERT INTO `sys_job_log` VALUES (15621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1632毫秒', '0', '', '2024-12-24 21:46:46');
INSERT INTO `sys_job_log` VALUES (15622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:46:49');
INSERT INTO `sys_job_log` VALUES (15623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-24 21:46:54');
INSERT INTO `sys_job_log` VALUES (15624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2024-12-24 21:46:59');
INSERT INTO `sys_job_log` VALUES (15625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1324毫秒', '0', '', '2024-12-24 21:47:01');
INSERT INTO `sys_job_log` VALUES (15626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-24 21:47:04');
INSERT INTO `sys_job_log` VALUES (15627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：121毫秒', '0', '', '2024-12-24 21:47:09');
INSERT INTO `sys_job_log` VALUES (15628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 21:47:14');
INSERT INTO `sys_job_log` VALUES (15629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1289毫秒', '0', '', '2024-12-24 21:47:15');
INSERT INTO `sys_job_log` VALUES (15630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:47:19');
INSERT INTO `sys_job_log` VALUES (15631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:47:24');
INSERT INTO `sys_job_log` VALUES (15632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:47:29');
INSERT INTO `sys_job_log` VALUES (15633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1249毫秒', '0', '', '2024-12-24 21:47:30');
INSERT INTO `sys_job_log` VALUES (15634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:47:34');
INSERT INTO `sys_job_log` VALUES (15635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:47:39');
INSERT INTO `sys_job_log` VALUES (15636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 21:47:44');
INSERT INTO `sys_job_log` VALUES (15637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1342毫秒', '0', '', '2024-12-24 21:47:46');
INSERT INTO `sys_job_log` VALUES (15638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 21:47:49');
INSERT INTO `sys_job_log` VALUES (15639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1246毫秒', '0', '', '2024-12-24 21:51:58');
INSERT INTO `sys_job_log` VALUES (15640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:52:01');
INSERT INTO `sys_job_log` VALUES (15641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-24 21:52:02');
INSERT INTO `sys_job_log` VALUES (15642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:52:06');
INSERT INTO `sys_job_log` VALUES (15643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:52:11');
INSERT INTO `sys_job_log` VALUES (15644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:52:16');
INSERT INTO `sys_job_log` VALUES (15645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1686毫秒', '0', '', '2024-12-24 21:52:18');
INSERT INTO `sys_job_log` VALUES (15646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:52:21');
INSERT INTO `sys_job_log` VALUES (15647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:52:26');
INSERT INTO `sys_job_log` VALUES (15648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:52:31');
INSERT INTO `sys_job_log` VALUES (15649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1167毫秒', '0', '', '2024-12-24 21:52:32');
INSERT INTO `sys_job_log` VALUES (15650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:52:36');
INSERT INTO `sys_job_log` VALUES (15651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:52:41');
INSERT INTO `sys_job_log` VALUES (15652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:52:46');
INSERT INTO `sys_job_log` VALUES (15653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1524毫秒', '0', '', '2024-12-24 21:52:47');
INSERT INTO `sys_job_log` VALUES (15654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:52:51');
INSERT INTO `sys_job_log` VALUES (15655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:52:56');
INSERT INTO `sys_job_log` VALUES (15656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 21:53:01');
INSERT INTO `sys_job_log` VALUES (15657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2405毫秒', '0', '', '2024-12-24 21:53:03');
INSERT INTO `sys_job_log` VALUES (15658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:53:06');
INSERT INTO `sys_job_log` VALUES (15659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:53:11');
INSERT INTO `sys_job_log` VALUES (15660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:53:16');
INSERT INTO `sys_job_log` VALUES (15661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2275毫秒', '0', '', '2024-12-24 21:53:18');
INSERT INTO `sys_job_log` VALUES (15662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:53:21');
INSERT INTO `sys_job_log` VALUES (15663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:53:26');
INSERT INTO `sys_job_log` VALUES (15664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 21:53:31');
INSERT INTO `sys_job_log` VALUES (15665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 21:53:32');
INSERT INTO `sys_job_log` VALUES (15666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:53:36');
INSERT INTO `sys_job_log` VALUES (15667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:53:41');
INSERT INTO `sys_job_log` VALUES (15668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:53:46');
INSERT INTO `sys_job_log` VALUES (15669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1211毫秒', '0', '', '2024-12-24 21:53:47');
INSERT INTO `sys_job_log` VALUES (15670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:53:51');
INSERT INTO `sys_job_log` VALUES (15671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:53:56');
INSERT INTO `sys_job_log` VALUES (15672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:54:01');
INSERT INTO `sys_job_log` VALUES (15673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1391毫秒', '0', '', '2024-12-24 21:54:02');
INSERT INTO `sys_job_log` VALUES (15674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:54:06');
INSERT INTO `sys_job_log` VALUES (15675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:54:11');
INSERT INTO `sys_job_log` VALUES (15676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:54:16');
INSERT INTO `sys_job_log` VALUES (15677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1446毫秒', '0', '', '2024-12-24 21:54:17');
INSERT INTO `sys_job_log` VALUES (15678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:54:21');
INSERT INTO `sys_job_log` VALUES (15679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:54:26');
INSERT INTO `sys_job_log` VALUES (15680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:54:31');
INSERT INTO `sys_job_log` VALUES (15681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 21:54:32');
INSERT INTO `sys_job_log` VALUES (15682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:54:36');
INSERT INTO `sys_job_log` VALUES (15683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:54:41');
INSERT INTO `sys_job_log` VALUES (15684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:54:46');
INSERT INTO `sys_job_log` VALUES (15685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 21:54:47');
INSERT INTO `sys_job_log` VALUES (15686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:54:51');
INSERT INTO `sys_job_log` VALUES (15687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:54:56');
INSERT INTO `sys_job_log` VALUES (15688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:55:01');
INSERT INTO `sys_job_log` VALUES (15689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1383毫秒', '0', '', '2024-12-24 21:55:02');
INSERT INTO `sys_job_log` VALUES (15690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:55:06');
INSERT INTO `sys_job_log` VALUES (15691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:55:11');
INSERT INTO `sys_job_log` VALUES (15692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:55:16');
INSERT INTO `sys_job_log` VALUES (15693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1456毫秒', '0', '', '2024-12-24 21:55:17');
INSERT INTO `sys_job_log` VALUES (15694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:55:21');
INSERT INTO `sys_job_log` VALUES (15695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:55:26');
INSERT INTO `sys_job_log` VALUES (15696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:55:31');
INSERT INTO `sys_job_log` VALUES (15697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1231毫秒', '0', '', '2024-12-24 21:55:32');
INSERT INTO `sys_job_log` VALUES (15698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:55:36');
INSERT INTO `sys_job_log` VALUES (15699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:55:41');
INSERT INTO `sys_job_log` VALUES (15700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:55:46');
INSERT INTO `sys_job_log` VALUES (15701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 21:55:47');
INSERT INTO `sys_job_log` VALUES (15702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:55:51');
INSERT INTO `sys_job_log` VALUES (15703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:55:56');
INSERT INTO `sys_job_log` VALUES (15704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 21:56:01');
INSERT INTO `sys_job_log` VALUES (15705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 21:56:02');
INSERT INTO `sys_job_log` VALUES (15706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:56:06');
INSERT INTO `sys_job_log` VALUES (15707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:56:11');
INSERT INTO `sys_job_log` VALUES (15708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:56:16');
INSERT INTO `sys_job_log` VALUES (15709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1132毫秒', '0', '', '2024-12-24 21:56:17');
INSERT INTO `sys_job_log` VALUES (15710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:56:21');
INSERT INTO `sys_job_log` VALUES (15711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:56:26');
INSERT INTO `sys_job_log` VALUES (15712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:56:31');
INSERT INTO `sys_job_log` VALUES (15713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1219毫秒', '0', '', '2024-12-24 21:56:32');
INSERT INTO `sys_job_log` VALUES (15714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:56:36');
INSERT INTO `sys_job_log` VALUES (15715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 21:56:41');
INSERT INTO `sys_job_log` VALUES (15716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:56:46');
INSERT INTO `sys_job_log` VALUES (15717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 21:56:47');
INSERT INTO `sys_job_log` VALUES (15718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 21:56:51');
INSERT INTO `sys_job_log` VALUES (15719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:56:56');
INSERT INTO `sys_job_log` VALUES (15720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 21:57:01');
INSERT INTO `sys_job_log` VALUES (15721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 21:57:02');
INSERT INTO `sys_job_log` VALUES (15722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 21:57:06');
INSERT INTO `sys_job_log` VALUES (15723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:57:11');
INSERT INTO `sys_job_log` VALUES (15724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:57:16');
INSERT INTO `sys_job_log` VALUES (15725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1127毫秒', '0', '', '2024-12-24 21:57:17');
INSERT INTO `sys_job_log` VALUES (15726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 21:57:21');
INSERT INTO `sys_job_log` VALUES (15727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:57:26');
INSERT INTO `sys_job_log` VALUES (15728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:57:31');
INSERT INTO `sys_job_log` VALUES (15729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1199毫秒', '0', '', '2024-12-24 21:57:32');
INSERT INTO `sys_job_log` VALUES (15730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:57:36');
INSERT INTO `sys_job_log` VALUES (15731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:57:41');
INSERT INTO `sys_job_log` VALUES (15732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:57:46');
INSERT INTO `sys_job_log` VALUES (15733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1170毫秒', '0', '', '2024-12-24 21:57:47');
INSERT INTO `sys_job_log` VALUES (15734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:57:51');
INSERT INTO `sys_job_log` VALUES (15735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:57:56');
INSERT INTO `sys_job_log` VALUES (15736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:58:01');
INSERT INTO `sys_job_log` VALUES (15737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 21:58:02');
INSERT INTO `sys_job_log` VALUES (15738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:58:06');
INSERT INTO `sys_job_log` VALUES (15739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:58:11');
INSERT INTO `sys_job_log` VALUES (15740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:58:16');
INSERT INTO `sys_job_log` VALUES (15741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2024-12-24 21:58:17');
INSERT INTO `sys_job_log` VALUES (15742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 21:58:21');
INSERT INTO `sys_job_log` VALUES (15743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 21:58:26');
INSERT INTO `sys_job_log` VALUES (15744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:58:31');
INSERT INTO `sys_job_log` VALUES (15745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2024-12-24 21:58:32');
INSERT INTO `sys_job_log` VALUES (15746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 21:58:36');
INSERT INTO `sys_job_log` VALUES (15747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:58:41');
INSERT INTO `sys_job_log` VALUES (15748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:58:46');
INSERT INTO `sys_job_log` VALUES (15749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1171毫秒', '0', '', '2024-12-24 21:58:47');
INSERT INTO `sys_job_log` VALUES (15750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:58:51');
INSERT INTO `sys_job_log` VALUES (15751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 21:58:56');
INSERT INTO `sys_job_log` VALUES (15752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 21:59:01');
INSERT INTO `sys_job_log` VALUES (15753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1145毫秒', '0', '', '2024-12-24 21:59:02');
INSERT INTO `sys_job_log` VALUES (15754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 21:59:06');
INSERT INTO `sys_job_log` VALUES (15755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:59:11');
INSERT INTO `sys_job_log` VALUES (15756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:59:16');
INSERT INTO `sys_job_log` VALUES (15757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1225毫秒', '0', '', '2024-12-24 21:59:17');
INSERT INTO `sys_job_log` VALUES (15758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 21:59:21');
INSERT INTO `sys_job_log` VALUES (15759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 21:59:26');
INSERT INTO `sys_job_log` VALUES (15760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:59:31');
INSERT INTO `sys_job_log` VALUES (15761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-24 21:59:32');
INSERT INTO `sys_job_log` VALUES (15762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 21:59:36');
INSERT INTO `sys_job_log` VALUES (15763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:59:41');
INSERT INTO `sys_job_log` VALUES (15764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 21:59:46');
INSERT INTO `sys_job_log` VALUES (15765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 21:59:47');
INSERT INTO `sys_job_log` VALUES (15766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 21:59:51');
INSERT INTO `sys_job_log` VALUES (15767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 21:59:56');
INSERT INTO `sys_job_log` VALUES (15768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:00:01');
INSERT INTO `sys_job_log` VALUES (15769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1124毫秒', '0', '', '2024-12-24 22:00:02');
INSERT INTO `sys_job_log` VALUES (15770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:00:06');
INSERT INTO `sys_job_log` VALUES (15771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:00:11');
INSERT INTO `sys_job_log` VALUES (15772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2024-12-24 22:00:16');
INSERT INTO `sys_job_log` VALUES (15773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1199毫秒', '0', '', '2024-12-24 22:00:17');
INSERT INTO `sys_job_log` VALUES (15774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:00:21');
INSERT INTO `sys_job_log` VALUES (15775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:00:26');
INSERT INTO `sys_job_log` VALUES (15776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 22:00:31');
INSERT INTO `sys_job_log` VALUES (15777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-24 22:00:32');
INSERT INTO `sys_job_log` VALUES (15778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:00:36');
INSERT INTO `sys_job_log` VALUES (15779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:00:41');
INSERT INTO `sys_job_log` VALUES (15780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:00:46');
INSERT INTO `sys_job_log` VALUES (15781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 22:00:47');
INSERT INTO `sys_job_log` VALUES (15782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:00:51');
INSERT INTO `sys_job_log` VALUES (15783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:00:56');
INSERT INTO `sys_job_log` VALUES (15784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:01:01');
INSERT INTO `sys_job_log` VALUES (15785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1127毫秒', '0', '', '2024-12-24 22:01:02');
INSERT INTO `sys_job_log` VALUES (15786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:01:06');
INSERT INTO `sys_job_log` VALUES (15787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:01:11');
INSERT INTO `sys_job_log` VALUES (15788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:01:16');
INSERT INTO `sys_job_log` VALUES (15789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1200毫秒', '0', '', '2024-12-24 22:01:17');
INSERT INTO `sys_job_log` VALUES (15790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:01:21');
INSERT INTO `sys_job_log` VALUES (15791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:01:26');
INSERT INTO `sys_job_log` VALUES (15792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:01:31');
INSERT INTO `sys_job_log` VALUES (15793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1365毫秒', '0', '', '2024-12-24 22:01:32');
INSERT INTO `sys_job_log` VALUES (15794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:01:36');
INSERT INTO `sys_job_log` VALUES (15795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:01:41');
INSERT INTO `sys_job_log` VALUES (15796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:01:46');
INSERT INTO `sys_job_log` VALUES (15797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 22:01:47');
INSERT INTO `sys_job_log` VALUES (15798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:01:51');
INSERT INTO `sys_job_log` VALUES (15799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:01:56');
INSERT INTO `sys_job_log` VALUES (15800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:02:01');
INSERT INTO `sys_job_log` VALUES (15801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1221毫秒', '0', '', '2024-12-24 22:02:02');
INSERT INTO `sys_job_log` VALUES (15802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:02:06');
INSERT INTO `sys_job_log` VALUES (15803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:02:11');
INSERT INTO `sys_job_log` VALUES (15804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2199毫秒', '0', '', '2024-12-24 22:02:18');
INSERT INTO `sys_job_log` VALUES (15805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14997毫秒', '0', '', '2024-12-24 22:02:31');
INSERT INTO `sys_job_log` VALUES (15806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 22:02:32');
INSERT INTO `sys_job_log` VALUES (15807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2444毫秒', '0', '', '2024-12-24 22:02:48');
INSERT INTO `sys_job_log` VALUES (15808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25576毫秒', '0', '', '2024-12-24 22:02:57');
INSERT INTO `sys_job_log` VALUES (15809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2227毫秒', '0', '', '2024-12-24 22:03:03');
INSERT INTO `sys_job_log` VALUES (15810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19175毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:03:16');
INSERT INTO `sys_job_log` VALUES (15821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2024-12-24 22:03:17');
INSERT INTO `sys_job_log` VALUES (15822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:03:21');
INSERT INTO `sys_job_log` VALUES (15823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:03:26');
INSERT INTO `sys_job_log` VALUES (15824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:03:31');
INSERT INTO `sys_job_log` VALUES (15825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1155毫秒', '0', '', '2024-12-24 22:03:32');
INSERT INTO `sys_job_log` VALUES (15826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:03:36');
INSERT INTO `sys_job_log` VALUES (15827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:03:41');
INSERT INTO `sys_job_log` VALUES (15828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 22:03:46');
INSERT INTO `sys_job_log` VALUES (15829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1137毫秒', '0', '', '2024-12-24 22:03:47');
INSERT INTO `sys_job_log` VALUES (15830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:03:51');
INSERT INTO `sys_job_log` VALUES (15831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:03:56');
INSERT INTO `sys_job_log` VALUES (15832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:04:01');
INSERT INTO `sys_job_log` VALUES (15833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 22:04:02');
INSERT INTO `sys_job_log` VALUES (15834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:04:06');
INSERT INTO `sys_job_log` VALUES (15835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:04:11');
INSERT INTO `sys_job_log` VALUES (15836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:04:16');
INSERT INTO `sys_job_log` VALUES (15837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 22:04:17');
INSERT INTO `sys_job_log` VALUES (15838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:04:21');
INSERT INTO `sys_job_log` VALUES (15839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:04:26');
INSERT INTO `sys_job_log` VALUES (15840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:04:31');
INSERT INTO `sys_job_log` VALUES (15841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 22:04:32');
INSERT INTO `sys_job_log` VALUES (15842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:04:36');
INSERT INTO `sys_job_log` VALUES (15843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:04:41');
INSERT INTO `sys_job_log` VALUES (15844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:04:46');
INSERT INTO `sys_job_log` VALUES (15845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1432毫秒', '0', '', '2024-12-24 22:04:47');
INSERT INTO `sys_job_log` VALUES (15846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:04:51');
INSERT INTO `sys_job_log` VALUES (15847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:04:56');
INSERT INTO `sys_job_log` VALUES (15848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:05:01');
INSERT INTO `sys_job_log` VALUES (15849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2024-12-24 22:05:02');
INSERT INTO `sys_job_log` VALUES (15850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:05:06');
INSERT INTO `sys_job_log` VALUES (15851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:05:11');
INSERT INTO `sys_job_log` VALUES (15852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:05:16');
INSERT INTO `sys_job_log` VALUES (15853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1178毫秒', '0', '', '2024-12-24 22:05:17');
INSERT INTO `sys_job_log` VALUES (15854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:05:21');
INSERT INTO `sys_job_log` VALUES (15855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:05:26');
INSERT INTO `sys_job_log` VALUES (15856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:05:31');
INSERT INTO `sys_job_log` VALUES (15857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 22:05:32');
INSERT INTO `sys_job_log` VALUES (15858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:05:36');
INSERT INTO `sys_job_log` VALUES (15859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:05:41');
INSERT INTO `sys_job_log` VALUES (15860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:05:46');
INSERT INTO `sys_job_log` VALUES (15861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1721毫秒', '0', '', '2024-12-24 22:05:48');
INSERT INTO `sys_job_log` VALUES (15862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:05:51');
INSERT INTO `sys_job_log` VALUES (15863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:05:56');
INSERT INTO `sys_job_log` VALUES (15864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:06:01');
INSERT INTO `sys_job_log` VALUES (15865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 22:06:02');
INSERT INTO `sys_job_log` VALUES (15866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:06:06');
INSERT INTO `sys_job_log` VALUES (15867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:06:11');
INSERT INTO `sys_job_log` VALUES (15868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 22:06:16');
INSERT INTO `sys_job_log` VALUES (15869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2162毫秒', '0', '', '2024-12-24 22:06:18');
INSERT INTO `sys_job_log` VALUES (15870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:06:21');
INSERT INTO `sys_job_log` VALUES (15871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:06:26');
INSERT INTO `sys_job_log` VALUES (15872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:06:31');
INSERT INTO `sys_job_log` VALUES (15873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1224毫秒', '0', '', '2024-12-24 22:06:32');
INSERT INTO `sys_job_log` VALUES (15874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2210毫秒', '0', '', '2024-12-24 22:06:48');
INSERT INTO `sys_job_log` VALUES (15875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26084毫秒', '0', '', '2024-12-24 22:07:02');
INSERT INTO `sys_job_log` VALUES (15876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2378毫秒', '0', '', '2024-12-24 22:07:03');
INSERT INTO `sys_job_log` VALUES (15877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2247毫秒', '0', '', '2024-12-24 22:07:18');
INSERT INTO `sys_job_log` VALUES (15878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19473毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 22:07:22');
INSERT INTO `sys_job_log` VALUES (15887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:07:26');
INSERT INTO `sys_job_log` VALUES (15888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:07:31');
INSERT INTO `sys_job_log` VALUES (15889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1126毫秒', '0', '', '2024-12-24 22:07:32');
INSERT INTO `sys_job_log` VALUES (15890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:07:36');
INSERT INTO `sys_job_log` VALUES (15891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:07:41');
INSERT INTO `sys_job_log` VALUES (15892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:07:46');
INSERT INTO `sys_job_log` VALUES (15893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-24 22:07:47');
INSERT INTO `sys_job_log` VALUES (15894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:07:51');
INSERT INTO `sys_job_log` VALUES (15895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:07:56');
INSERT INTO `sys_job_log` VALUES (15896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:08:01');
INSERT INTO `sys_job_log` VALUES (15897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1162毫秒', '0', '', '2024-12-24 22:08:02');
INSERT INTO `sys_job_log` VALUES (15898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:08:06');
INSERT INTO `sys_job_log` VALUES (15899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:08:11');
INSERT INTO `sys_job_log` VALUES (15900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:08:16');
INSERT INTO `sys_job_log` VALUES (15901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-24 22:08:17');
INSERT INTO `sys_job_log` VALUES (15902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:08:21');
INSERT INTO `sys_job_log` VALUES (15903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:08:26');
INSERT INTO `sys_job_log` VALUES (15904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:08:31');
INSERT INTO `sys_job_log` VALUES (15905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1712毫秒', '0', '', '2024-12-24 22:08:33');
INSERT INTO `sys_job_log` VALUES (15906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 22:08:36');
INSERT INTO `sys_job_log` VALUES (15907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:08:41');
INSERT INTO `sys_job_log` VALUES (15908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:08:46');
INSERT INTO `sys_job_log` VALUES (15909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2795毫秒', '0', '', '2024-12-24 22:08:49');
INSERT INTO `sys_job_log` VALUES (15910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:08:51');
INSERT INTO `sys_job_log` VALUES (15911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:08:56');
INSERT INTO `sys_job_log` VALUES (15912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:09:01');
INSERT INTO `sys_job_log` VALUES (15913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1666毫秒', '0', '', '2024-12-24 22:09:03');
INSERT INTO `sys_job_log` VALUES (15914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:09:06');
INSERT INTO `sys_job_log` VALUES (15915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:09:11');
INSERT INTO `sys_job_log` VALUES (15916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:09:16');
INSERT INTO `sys_job_log` VALUES (15917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1628毫秒', '0', '', '2024-12-24 22:09:18');
INSERT INTO `sys_job_log` VALUES (15918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:09:21');
INSERT INTO `sys_job_log` VALUES (15919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:09:26');
INSERT INTO `sys_job_log` VALUES (15920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:09:31');
INSERT INTO `sys_job_log` VALUES (15921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 22:09:32');
INSERT INTO `sys_job_log` VALUES (15922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:09:36');
INSERT INTO `sys_job_log` VALUES (15923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1688毫秒', '0', '', '2024-12-24 22:09:48');
INSERT INTO `sys_job_log` VALUES (15924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14623毫秒', '0', '', '2024-12-24 22:09:56');
INSERT INTO `sys_job_log` VALUES (15925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1256毫秒', '0', '', '2024-12-24 22:10:02');
INSERT INTO `sys_job_log` VALUES (15926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14360毫秒', '0', '', '2024-12-24 22:10:10');
INSERT INTO `sys_job_log` VALUES (15927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1924毫秒', '0', '', '2024-12-24 22:10:18');
INSERT INTO `sys_job_log` VALUES (15928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17257毫秒', '0', '', '2024-12-24 22:10:27');
INSERT INTO `sys_job_log` VALUES (15929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2011毫秒', '0', '', '2024-12-24 22:10:33');
INSERT INTO `sys_job_log` VALUES (15930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1983毫秒', '0', '', '2024-12-24 22:10:48');
INSERT INTO `sys_job_log` VALUES (15931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27522毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:10:55');
INSERT INTO `sys_job_log` VALUES (15943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:10:56');
INSERT INTO `sys_job_log` VALUES (15944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:11:01');
INSERT INTO `sys_job_log` VALUES (15945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1244毫秒', '0', '', '2024-12-24 22:11:02');
INSERT INTO `sys_job_log` VALUES (15946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:11:06');
INSERT INTO `sys_job_log` VALUES (15947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 22:11:11');
INSERT INTO `sys_job_log` VALUES (15948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:11:16');
INSERT INTO `sys_job_log` VALUES (15949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2024-12-24 22:11:17');
INSERT INTO `sys_job_log` VALUES (15950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:11:21');
INSERT INTO `sys_job_log` VALUES (15951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:11:26');
INSERT INTO `sys_job_log` VALUES (15952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:11:31');
INSERT INTO `sys_job_log` VALUES (15953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-24 22:11:32');
INSERT INTO `sys_job_log` VALUES (15954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:11:36');
INSERT INTO `sys_job_log` VALUES (15955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:11:41');
INSERT INTO `sys_job_log` VALUES (15956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:11:46');
INSERT INTO `sys_job_log` VALUES (15957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1173毫秒', '0', '', '2024-12-24 22:11:47');
INSERT INTO `sys_job_log` VALUES (15958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:11:51');
INSERT INTO `sys_job_log` VALUES (15959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:11:56');
INSERT INTO `sys_job_log` VALUES (15960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:12:01');
INSERT INTO `sys_job_log` VALUES (15961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1142毫秒', '0', '', '2024-12-24 22:12:02');
INSERT INTO `sys_job_log` VALUES (15962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:12:06');
INSERT INTO `sys_job_log` VALUES (15963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:12:11');
INSERT INTO `sys_job_log` VALUES (15964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:12:16');
INSERT INTO `sys_job_log` VALUES (15965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 22:12:17');
INSERT INTO `sys_job_log` VALUES (15966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:12:21');
INSERT INTO `sys_job_log` VALUES (15967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:12:26');
INSERT INTO `sys_job_log` VALUES (15968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:12:31');
INSERT INTO `sys_job_log` VALUES (15969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1684毫秒', '0', '', '2024-12-24 22:12:33');
INSERT INTO `sys_job_log` VALUES (15970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:12:36');
INSERT INTO `sys_job_log` VALUES (15971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:12:41');
INSERT INTO `sys_job_log` VALUES (15972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:12:46');
INSERT INTO `sys_job_log` VALUES (15973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1670毫秒', '0', '', '2024-12-24 22:12:48');
INSERT INTO `sys_job_log` VALUES (15974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:12:51');
INSERT INTO `sys_job_log` VALUES (15975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:12:56');
INSERT INTO `sys_job_log` VALUES (15976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:13:01');
INSERT INTO `sys_job_log` VALUES (15977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1630毫秒', '0', '', '2024-12-24 22:13:03');
INSERT INTO `sys_job_log` VALUES (15978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:13:06');
INSERT INTO `sys_job_log` VALUES (15979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:13:11');
INSERT INTO `sys_job_log` VALUES (15980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:13:16');
INSERT INTO `sys_job_log` VALUES (15981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1228毫秒', '0', '', '2024-12-24 22:13:17');
INSERT INTO `sys_job_log` VALUES (15982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:13:21');
INSERT INTO `sys_job_log` VALUES (15983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:13:26');
INSERT INTO `sys_job_log` VALUES (15984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:13:31');
INSERT INTO `sys_job_log` VALUES (15985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1684毫秒', '0', '', '2024-12-24 22:13:33');
INSERT INTO `sys_job_log` VALUES (15986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2149毫秒', '0', '', '2024-12-24 22:13:48');
INSERT INTO `sys_job_log` VALUES (15987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14426毫秒', '0', '', '2024-12-24 22:13:50');
INSERT INTO `sys_job_log` VALUES (15988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1825毫秒', '0', '', '2024-12-24 22:14:03');
INSERT INTO `sys_job_log` VALUES (15989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14790毫秒', '0', '', '2024-12-24 22:14:05');
INSERT INTO `sys_job_log` VALUES (15990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1598毫秒', '0', '', '2024-12-24 22:14:18');
INSERT INTO `sys_job_log` VALUES (15991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2210毫秒', '0', '', '2024-12-24 22:14:33');
INSERT INTO `sys_job_log` VALUES (15992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29032毫秒', '0', '', '2024-12-24 22:14:34');
INSERT INTO `sys_job_log` VALUES (15993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2254毫秒', '0', '', '2024-12-24 22:14:48');
INSERT INTO `sys_job_log` VALUES (15994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16466毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (15995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (15996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (15997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (15998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (15999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:14:51');
INSERT INTO `sys_job_log` VALUES (16007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:14:56');
INSERT INTO `sys_job_log` VALUES (16008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:15:01');
INSERT INTO `sys_job_log` VALUES (16009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1418毫秒', '0', '', '2024-12-24 22:15:02');
INSERT INTO `sys_job_log` VALUES (16010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:15:06');
INSERT INTO `sys_job_log` VALUES (16011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:15:11');
INSERT INTO `sys_job_log` VALUES (16012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:15:16');
INSERT INTO `sys_job_log` VALUES (16013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1389毫秒', '0', '', '2024-12-24 22:15:17');
INSERT INTO `sys_job_log` VALUES (16014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:15:21');
INSERT INTO `sys_job_log` VALUES (16015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:15:26');
INSERT INTO `sys_job_log` VALUES (16016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:15:31');
INSERT INTO `sys_job_log` VALUES (16017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1163毫秒', '0', '', '2024-12-24 22:15:32');
INSERT INTO `sys_job_log` VALUES (16018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:15:36');
INSERT INTO `sys_job_log` VALUES (16019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:15:41');
INSERT INTO `sys_job_log` VALUES (16020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:15:46');
INSERT INTO `sys_job_log` VALUES (16021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1138毫秒', '0', '', '2024-12-24 22:15:47');
INSERT INTO `sys_job_log` VALUES (16022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:15:51');
INSERT INTO `sys_job_log` VALUES (16023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:15:56');
INSERT INTO `sys_job_log` VALUES (16024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:16:01');
INSERT INTO `sys_job_log` VALUES (16025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1199毫秒', '0', '', '2024-12-24 22:16:02');
INSERT INTO `sys_job_log` VALUES (16026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:16:06');
INSERT INTO `sys_job_log` VALUES (16027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:16:11');
INSERT INTO `sys_job_log` VALUES (16028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:16');
INSERT INTO `sys_job_log` VALUES (16029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-24 22:16:17');
INSERT INTO `sys_job_log` VALUES (16030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:21');
INSERT INTO `sys_job_log` VALUES (16031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:26');
INSERT INTO `sys_job_log` VALUES (16032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:31');
INSERT INTO `sys_job_log` VALUES (16033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 22:16:32');
INSERT INTO `sys_job_log` VALUES (16034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:36');
INSERT INTO `sys_job_log` VALUES (16035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:41');
INSERT INTO `sys_job_log` VALUES (16036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:16:46');
INSERT INTO `sys_job_log` VALUES (16037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1434毫秒', '0', '', '2024-12-24 22:16:47');
INSERT INTO `sys_job_log` VALUES (16038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:16:51');
INSERT INTO `sys_job_log` VALUES (16039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:16:56');
INSERT INTO `sys_job_log` VALUES (16040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:17:01');
INSERT INTO `sys_job_log` VALUES (16041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1208毫秒', '0', '', '2024-12-24 22:17:02');
INSERT INTO `sys_job_log` VALUES (16042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:17:06');
INSERT INTO `sys_job_log` VALUES (16043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:17:11');
INSERT INTO `sys_job_log` VALUES (16044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:17:16');
INSERT INTO `sys_job_log` VALUES (16045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2024-12-24 22:17:17');
INSERT INTO `sys_job_log` VALUES (16046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:17:21');
INSERT INTO `sys_job_log` VALUES (16047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:17:26');
INSERT INTO `sys_job_log` VALUES (16048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:17:31');
INSERT INTO `sys_job_log` VALUES (16049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-24 22:17:32');
INSERT INTO `sys_job_log` VALUES (16050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:17:36');
INSERT INTO `sys_job_log` VALUES (16051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:17:41');
INSERT INTO `sys_job_log` VALUES (16052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:17:46');
INSERT INTO `sys_job_log` VALUES (16053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 22:17:47');
INSERT INTO `sys_job_log` VALUES (16054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:17:51');
INSERT INTO `sys_job_log` VALUES (16055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:17:56');
INSERT INTO `sys_job_log` VALUES (16056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:18:01');
INSERT INTO `sys_job_log` VALUES (16057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 22:18:02');
INSERT INTO `sys_job_log` VALUES (16058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:18:06');
INSERT INTO `sys_job_log` VALUES (16059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:18:11');
INSERT INTO `sys_job_log` VALUES (16060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:18:16');
INSERT INTO `sys_job_log` VALUES (16061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1372毫秒', '0', '', '2024-12-24 22:18:17');
INSERT INTO `sys_job_log` VALUES (16062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:18:21');
INSERT INTO `sys_job_log` VALUES (16063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:18:26');
INSERT INTO `sys_job_log` VALUES (16064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:18:31');
INSERT INTO `sys_job_log` VALUES (16065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2024-12-24 22:18:32');
INSERT INTO `sys_job_log` VALUES (16066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:18:36');
INSERT INTO `sys_job_log` VALUES (16067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:18:41');
INSERT INTO `sys_job_log` VALUES (16068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:18:46');
INSERT INTO `sys_job_log` VALUES (16069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1235毫秒', '0', '', '2024-12-24 22:18:47');
INSERT INTO `sys_job_log` VALUES (16070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:18:51');
INSERT INTO `sys_job_log` VALUES (16071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:18:56');
INSERT INTO `sys_job_log` VALUES (16072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:19:01');
INSERT INTO `sys_job_log` VALUES (16073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 22:19:02');
INSERT INTO `sys_job_log` VALUES (16074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:19:06');
INSERT INTO `sys_job_log` VALUES (16075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:19:11');
INSERT INTO `sys_job_log` VALUES (16076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:19:16');
INSERT INTO `sys_job_log` VALUES (16077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 22:19:17');
INSERT INTO `sys_job_log` VALUES (16078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:19:21');
INSERT INTO `sys_job_log` VALUES (16079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:19:26');
INSERT INTO `sys_job_log` VALUES (16080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:19:31');
INSERT INTO `sys_job_log` VALUES (16081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1125毫秒', '0', '', '2024-12-24 22:19:32');
INSERT INTO `sys_job_log` VALUES (16082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:19:36');
INSERT INTO `sys_job_log` VALUES (16083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 22:19:41');
INSERT INTO `sys_job_log` VALUES (16084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:19:46');
INSERT INTO `sys_job_log` VALUES (16085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1208毫秒', '0', '', '2024-12-24 22:19:47');
INSERT INTO `sys_job_log` VALUES (16086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:19:51');
INSERT INTO `sys_job_log` VALUES (16087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:19:56');
INSERT INTO `sys_job_log` VALUES (16088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:20:01');
INSERT INTO `sys_job_log` VALUES (16089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2024-12-24 22:20:02');
INSERT INTO `sys_job_log` VALUES (16090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:20:06');
INSERT INTO `sys_job_log` VALUES (16091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:20:11');
INSERT INTO `sys_job_log` VALUES (16092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:20:16');
INSERT INTO `sys_job_log` VALUES (16093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-24 22:20:17');
INSERT INTO `sys_job_log` VALUES (16094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:20:21');
INSERT INTO `sys_job_log` VALUES (16095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:20:26');
INSERT INTO `sys_job_log` VALUES (16096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:20:31');
INSERT INTO `sys_job_log` VALUES (16097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 22:20:32');
INSERT INTO `sys_job_log` VALUES (16098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:20:36');
INSERT INTO `sys_job_log` VALUES (16099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:20:41');
INSERT INTO `sys_job_log` VALUES (16100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:20:46');
INSERT INTO `sys_job_log` VALUES (16101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1415毫秒', '0', '', '2024-12-24 22:20:47');
INSERT INTO `sys_job_log` VALUES (16102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:20:51');
INSERT INTO `sys_job_log` VALUES (16103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:20:56');
INSERT INTO `sys_job_log` VALUES (16104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:21:01');
INSERT INTO `sys_job_log` VALUES (16105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-24 22:21:02');
INSERT INTO `sys_job_log` VALUES (16106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:21:06');
INSERT INTO `sys_job_log` VALUES (16107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:21:11');
INSERT INTO `sys_job_log` VALUES (16108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:21:16');
INSERT INTO `sys_job_log` VALUES (16109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 22:21:17');
INSERT INTO `sys_job_log` VALUES (16110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:21:21');
INSERT INTO `sys_job_log` VALUES (16111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:21:26');
INSERT INTO `sys_job_log` VALUES (16112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:21:31');
INSERT INTO `sys_job_log` VALUES (16113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1422毫秒', '0', '', '2024-12-24 22:21:32');
INSERT INTO `sys_job_log` VALUES (16114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:21:36');
INSERT INTO `sys_job_log` VALUES (16115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:21:41');
INSERT INTO `sys_job_log` VALUES (16116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:21:46');
INSERT INTO `sys_job_log` VALUES (16117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1191毫秒', '0', '', '2024-12-24 22:21:47');
INSERT INTO `sys_job_log` VALUES (16118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-24 22:21:51');
INSERT INTO `sys_job_log` VALUES (16119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:21:56');
INSERT INTO `sys_job_log` VALUES (16120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:22:01');
INSERT INTO `sys_job_log` VALUES (16121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1263毫秒', '0', '', '2024-12-24 22:22:02');
INSERT INTO `sys_job_log` VALUES (16122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1317毫秒', '0', '', '2024-12-24 22:35:52');
INSERT INTO `sys_job_log` VALUES (16123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:35:56');
INSERT INTO `sys_job_log` VALUES (16124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:36:01');
INSERT INTO `sys_job_log` VALUES (16125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 22:36:02');
INSERT INTO `sys_job_log` VALUES (16126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:36:06');
INSERT INTO `sys_job_log` VALUES (16127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:36:11');
INSERT INTO `sys_job_log` VALUES (16128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:36:16');
INSERT INTO `sys_job_log` VALUES (16129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1648毫秒', '0', '', '2024-12-24 22:36:18');
INSERT INTO `sys_job_log` VALUES (16130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:36:21');
INSERT INTO `sys_job_log` VALUES (16131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:36:26');
INSERT INTO `sys_job_log` VALUES (16132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:36:31');
INSERT INTO `sys_job_log` VALUES (16133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1297毫秒', '0', '', '2024-12-24 22:36:32');
INSERT INTO `sys_job_log` VALUES (16134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:36:36');
INSERT INTO `sys_job_log` VALUES (16135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:36:41');
INSERT INTO `sys_job_log` VALUES (16136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:36:46');
INSERT INTO `sys_job_log` VALUES (16137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2286毫秒', '0', '', '2024-12-24 22:36:48');
INSERT INTO `sys_job_log` VALUES (16138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:36:51');
INSERT INTO `sys_job_log` VALUES (16139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:36:56');
INSERT INTO `sys_job_log` VALUES (16140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 22:37:01');
INSERT INTO `sys_job_log` VALUES (16141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1251毫秒', '0', '', '2024-12-24 22:37:02');
INSERT INTO `sys_job_log` VALUES (16142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1220毫秒', '0', '', '2024-12-24 22:37:17');
INSERT INTO `sys_job_log` VALUES (16143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14534毫秒', '0', '', '2024-12-24 22:37:21');
INSERT INTO `sys_job_log` VALUES (16144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1895毫秒', '0', '', '2024-12-24 22:37:33');
INSERT INTO `sys_job_log` VALUES (16145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14555毫秒', '0', '', '2024-12-24 22:37:35');
INSERT INTO `sys_job_log` VALUES (16146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1352毫秒', '0', '', '2024-12-24 22:37:47');
INSERT INTO `sys_job_log` VALUES (16147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14453毫秒', '0', '', '2024-12-24 22:37:50');
INSERT INTO `sys_job_log` VALUES (16148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1833毫秒', '0', '', '2024-12-24 22:38:03');
INSERT INTO `sys_job_log` VALUES (16149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16593毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 22:38:06');
INSERT INTO `sys_job_log` VALUES (16159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:38:11');
INSERT INTO `sys_job_log` VALUES (16160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:16');
INSERT INTO `sys_job_log` VALUES (16161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1224毫秒', '0', '', '2024-12-24 22:38:17');
INSERT INTO `sys_job_log` VALUES (16162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:21');
INSERT INTO `sys_job_log` VALUES (16163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:26');
INSERT INTO `sys_job_log` VALUES (16164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:38:31');
INSERT INTO `sys_job_log` VALUES (16165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2024-12-24 22:38:32');
INSERT INTO `sys_job_log` VALUES (16166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:38:36');
INSERT INTO `sys_job_log` VALUES (16167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:38:41');
INSERT INTO `sys_job_log` VALUES (16168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:38:46');
INSERT INTO `sys_job_log` VALUES (16169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 22:38:47');
INSERT INTO `sys_job_log` VALUES (16170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:38:51');
INSERT INTO `sys_job_log` VALUES (16171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:38:56');
INSERT INTO `sys_job_log` VALUES (16172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:39:01');
INSERT INTO `sys_job_log` VALUES (16173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1242毫秒', '0', '', '2024-12-24 22:39:02');
INSERT INTO `sys_job_log` VALUES (16174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:39:06');
INSERT INTO `sys_job_log` VALUES (16175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:39:11');
INSERT INTO `sys_job_log` VALUES (16176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 22:39:16');
INSERT INTO `sys_job_log` VALUES (16177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2024-12-24 22:39:17');
INSERT INTO `sys_job_log` VALUES (16178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:39:21');
INSERT INTO `sys_job_log` VALUES (16179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:39:26');
INSERT INTO `sys_job_log` VALUES (16180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:39:31');
INSERT INTO `sys_job_log` VALUES (16181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-24 22:39:32');
INSERT INTO `sys_job_log` VALUES (16182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:39:36');
INSERT INTO `sys_job_log` VALUES (16183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:39:41');
INSERT INTO `sys_job_log` VALUES (16184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:39:46');
INSERT INTO `sys_job_log` VALUES (16185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1145毫秒', '0', '', '2024-12-24 22:39:47');
INSERT INTO `sys_job_log` VALUES (16186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 22:39:51');
INSERT INTO `sys_job_log` VALUES (16187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:39:56');
INSERT INTO `sys_job_log` VALUES (16188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:40:01');
INSERT INTO `sys_job_log` VALUES (16189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 22:40:02');
INSERT INTO `sys_job_log` VALUES (16190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:40:06');
INSERT INTO `sys_job_log` VALUES (16191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:40:11');
INSERT INTO `sys_job_log` VALUES (16192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:40:16');
INSERT INTO `sys_job_log` VALUES (16193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1190毫秒', '0', '', '2024-12-24 22:40:17');
INSERT INTO `sys_job_log` VALUES (16194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:40:21');
INSERT INTO `sys_job_log` VALUES (16195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:40:26');
INSERT INTO `sys_job_log` VALUES (16196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:40:31');
INSERT INTO `sys_job_log` VALUES (16197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-24 22:40:32');
INSERT INTO `sys_job_log` VALUES (16198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:40:36');
INSERT INTO `sys_job_log` VALUES (16199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:40:41');
INSERT INTO `sys_job_log` VALUES (16200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:40:46');
INSERT INTO `sys_job_log` VALUES (16201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-24 22:40:47');
INSERT INTO `sys_job_log` VALUES (16202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:40:51');
INSERT INTO `sys_job_log` VALUES (16203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:40:56');
INSERT INTO `sys_job_log` VALUES (16204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:01');
INSERT INTO `sys_job_log` VALUES (16205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 22:41:02');
INSERT INTO `sys_job_log` VALUES (16206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:06');
INSERT INTO `sys_job_log` VALUES (16207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:11');
INSERT INTO `sys_job_log` VALUES (16208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:41:16');
INSERT INTO `sys_job_log` VALUES (16209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1306毫秒', '0', '', '2024-12-24 22:41:17');
INSERT INTO `sys_job_log` VALUES (16210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:41:21');
INSERT INTO `sys_job_log` VALUES (16211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:41:26');
INSERT INTO `sys_job_log` VALUES (16212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:31');
INSERT INTO `sys_job_log` VALUES (16213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2178毫秒', '0', '', '2024-12-24 22:41:33');
INSERT INTO `sys_job_log` VALUES (16214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:36');
INSERT INTO `sys_job_log` VALUES (16215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:41');
INSERT INTO `sys_job_log` VALUES (16216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:41:46');
INSERT INTO `sys_job_log` VALUES (16217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1745毫秒', '0', '', '2024-12-24 22:41:48');
INSERT INTO `sys_job_log` VALUES (16218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-24 22:41:51');
INSERT INTO `sys_job_log` VALUES (16219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:41:56');
INSERT INTO `sys_job_log` VALUES (16220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:42:01');
INSERT INTO `sys_job_log` VALUES (16221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 22:42:02');
INSERT INTO `sys_job_log` VALUES (16222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 22:42:06');
INSERT INTO `sys_job_log` VALUES (16223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:42:11');
INSERT INTO `sys_job_log` VALUES (16224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:42:16');
INSERT INTO `sys_job_log` VALUES (16225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2024-12-24 22:42:17');
INSERT INTO `sys_job_log` VALUES (16226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:42:21');
INSERT INTO `sys_job_log` VALUES (16227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:42:26');
INSERT INTO `sys_job_log` VALUES (16228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:42:31');
INSERT INTO `sys_job_log` VALUES (16229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-24 22:42:32');
INSERT INTO `sys_job_log` VALUES (16230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:42:36');
INSERT INTO `sys_job_log` VALUES (16231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:42:41');
INSERT INTO `sys_job_log` VALUES (16232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:42:46');
INSERT INTO `sys_job_log` VALUES (16233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1242毫秒', '0', '', '2024-12-24 22:42:47');
INSERT INTO `sys_job_log` VALUES (16234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:42:51');
INSERT INTO `sys_job_log` VALUES (16235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-24 22:42:56');
INSERT INTO `sys_job_log` VALUES (16236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 22:43:01');
INSERT INTO `sys_job_log` VALUES (16237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 22:43:02');
INSERT INTO `sys_job_log` VALUES (16238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 22:43:06');
INSERT INTO `sys_job_log` VALUES (16239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:43:11');
INSERT INTO `sys_job_log` VALUES (16240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:43:16');
INSERT INTO `sys_job_log` VALUES (16241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 22:43:17');
INSERT INTO `sys_job_log` VALUES (16242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:43:21');
INSERT INTO `sys_job_log` VALUES (16243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:43:26');
INSERT INTO `sys_job_log` VALUES (16244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:43:31');
INSERT INTO `sys_job_log` VALUES (16245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1136毫秒', '0', '', '2024-12-24 22:43:32');
INSERT INTO `sys_job_log` VALUES (16246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:43:36');
INSERT INTO `sys_job_log` VALUES (16247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1611毫秒', '0', '', '2024-12-24 22:43:48');
INSERT INTO `sys_job_log` VALUES (16248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14356毫秒', '0', '', '2024-12-24 22:43:55');
INSERT INTO `sys_job_log` VALUES (16249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2108毫秒', '0', '', '2024-12-24 22:44:03');
INSERT INTO `sys_job_log` VALUES (16250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14381毫秒', '0', '', '2024-12-24 22:44:10');
INSERT INTO `sys_job_log` VALUES (16251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1573毫秒', '0', '', '2024-12-24 22:44:18');
INSERT INTO `sys_job_log` VALUES (16252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15552毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:44:25');
INSERT INTO `sys_job_log` VALUES (16259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:44:26');
INSERT INTO `sys_job_log` VALUES (16260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:44:31');
INSERT INTO `sys_job_log` VALUES (16261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2024-12-24 22:44:33');
INSERT INTO `sys_job_log` VALUES (16262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:44:36');
INSERT INTO `sys_job_log` VALUES (16263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:44:41');
INSERT INTO `sys_job_log` VALUES (16264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:44:46');
INSERT INTO `sys_job_log` VALUES (16265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 22:44:47');
INSERT INTO `sys_job_log` VALUES (16266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:44:51');
INSERT INTO `sys_job_log` VALUES (16267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:44:56');
INSERT INTO `sys_job_log` VALUES (16268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:45:01');
INSERT INTO `sys_job_log` VALUES (16269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2024-12-24 22:45:02');
INSERT INTO `sys_job_log` VALUES (16270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:45:06');
INSERT INTO `sys_job_log` VALUES (16271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:45:11');
INSERT INTO `sys_job_log` VALUES (16272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:45:16');
INSERT INTO `sys_job_log` VALUES (16273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1275毫秒', '0', '', '2024-12-24 22:45:17');
INSERT INTO `sys_job_log` VALUES (16274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:45:21');
INSERT INTO `sys_job_log` VALUES (16275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:45:26');
INSERT INTO `sys_job_log` VALUES (16276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:45:31');
INSERT INTO `sys_job_log` VALUES (16277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1119毫秒', '0', '', '2024-12-24 22:45:32');
INSERT INTO `sys_job_log` VALUES (16278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:45:36');
INSERT INTO `sys_job_log` VALUES (16279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:45:41');
INSERT INTO `sys_job_log` VALUES (16280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:45:46');
INSERT INTO `sys_job_log` VALUES (16281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-24 22:45:47');
INSERT INTO `sys_job_log` VALUES (16282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:45:51');
INSERT INTO `sys_job_log` VALUES (16283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 22:45:56');
INSERT INTO `sys_job_log` VALUES (16284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:46:01');
INSERT INTO `sys_job_log` VALUES (16285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1306毫秒', '0', '', '2024-12-24 22:46:02');
INSERT INTO `sys_job_log` VALUES (16286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:46:06');
INSERT INTO `sys_job_log` VALUES (16287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:46:11');
INSERT INTO `sys_job_log` VALUES (16288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:46:16');
INSERT INTO `sys_job_log` VALUES (16289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-24 22:46:17');
INSERT INTO `sys_job_log` VALUES (16290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:46:21');
INSERT INTO `sys_job_log` VALUES (16291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:46:26');
INSERT INTO `sys_job_log` VALUES (16292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:46:31');
INSERT INTO `sys_job_log` VALUES (16293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 22:46:32');
INSERT INTO `sys_job_log` VALUES (16294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:46:36');
INSERT INTO `sys_job_log` VALUES (16295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:46:41');
INSERT INTO `sys_job_log` VALUES (16296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:46:46');
INSERT INTO `sys_job_log` VALUES (16297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 22:46:47');
INSERT INTO `sys_job_log` VALUES (16298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:46:51');
INSERT INTO `sys_job_log` VALUES (16299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:46:56');
INSERT INTO `sys_job_log` VALUES (16300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:47:01');
INSERT INTO `sys_job_log` VALUES (16301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 22:47:02');
INSERT INTO `sys_job_log` VALUES (16302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:47:06');
INSERT INTO `sys_job_log` VALUES (16303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:47:11');
INSERT INTO `sys_job_log` VALUES (16304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 22:47:16');
INSERT INTO `sys_job_log` VALUES (16305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 22:47:17');
INSERT INTO `sys_job_log` VALUES (16306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:47:21');
INSERT INTO `sys_job_log` VALUES (16307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:47:26');
INSERT INTO `sys_job_log` VALUES (16308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:47:31');
INSERT INTO `sys_job_log` VALUES (16309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-24 22:47:32');
INSERT INTO `sys_job_log` VALUES (16310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:47:36');
INSERT INTO `sys_job_log` VALUES (16311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:47:41');
INSERT INTO `sys_job_log` VALUES (16312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:47:46');
INSERT INTO `sys_job_log` VALUES (16313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 22:47:47');
INSERT INTO `sys_job_log` VALUES (16314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:47:51');
INSERT INTO `sys_job_log` VALUES (16315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:47:56');
INSERT INTO `sys_job_log` VALUES (16316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:48:01');
INSERT INTO `sys_job_log` VALUES (16317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1241毫秒', '0', '', '2024-12-24 22:48:02');
INSERT INTO `sys_job_log` VALUES (16318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:48:06');
INSERT INTO `sys_job_log` VALUES (16319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-24 22:48:11');
INSERT INTO `sys_job_log` VALUES (16320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:48:16');
INSERT INTO `sys_job_log` VALUES (16321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 22:48:17');
INSERT INTO `sys_job_log` VALUES (16322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:48:21');
INSERT INTO `sys_job_log` VALUES (16323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:48:26');
INSERT INTO `sys_job_log` VALUES (16324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:48:31');
INSERT INTO `sys_job_log` VALUES (16325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-24 22:48:32');
INSERT INTO `sys_job_log` VALUES (16326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:48:36');
INSERT INTO `sys_job_log` VALUES (16327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:48:41');
INSERT INTO `sys_job_log` VALUES (16328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:48:46');
INSERT INTO `sys_job_log` VALUES (16329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2024-12-24 22:48:47');
INSERT INTO `sys_job_log` VALUES (16330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:48:51');
INSERT INTO `sys_job_log` VALUES (16331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:48:56');
INSERT INTO `sys_job_log` VALUES (16332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:49:01');
INSERT INTO `sys_job_log` VALUES (16333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1261毫秒', '0', '', '2024-12-24 22:49:02');
INSERT INTO `sys_job_log` VALUES (16334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:49:06');
INSERT INTO `sys_job_log` VALUES (16335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:49:11');
INSERT INTO `sys_job_log` VALUES (16336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:49:16');
INSERT INTO `sys_job_log` VALUES (16337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1231毫秒', '0', '', '2024-12-24 22:49:17');
INSERT INTO `sys_job_log` VALUES (16338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:49:21');
INSERT INTO `sys_job_log` VALUES (16339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:49:26');
INSERT INTO `sys_job_log` VALUES (16340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:49:31');
INSERT INTO `sys_job_log` VALUES (16341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2024-12-24 22:49:32');
INSERT INTO `sys_job_log` VALUES (16342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:49:36');
INSERT INTO `sys_job_log` VALUES (16343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 22:49:41');
INSERT INTO `sys_job_log` VALUES (16344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 22:49:46');
INSERT INTO `sys_job_log` VALUES (16345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2620毫秒', '0', '', '2024-12-24 22:49:49');
INSERT INTO `sys_job_log` VALUES (16346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:49:51');
INSERT INTO `sys_job_log` VALUES (16347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:49:56');
INSERT INTO `sys_job_log` VALUES (16348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:50:01');
INSERT INTO `sys_job_log` VALUES (16349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1251毫秒', '0', '', '2024-12-24 22:50:02');
INSERT INTO `sys_job_log` VALUES (16350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:50:06');
INSERT INTO `sys_job_log` VALUES (16351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:50:11');
INSERT INTO `sys_job_log` VALUES (16352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:50:16');
INSERT INTO `sys_job_log` VALUES (16353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1643毫秒', '0', '', '2024-12-24 22:50:18');
INSERT INTO `sys_job_log` VALUES (16354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:50:21');
INSERT INTO `sys_job_log` VALUES (16355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:50:26');
INSERT INTO `sys_job_log` VALUES (16356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:50:31');
INSERT INTO `sys_job_log` VALUES (16357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2323毫秒', '0', '', '2024-12-24 22:50:34');
INSERT INTO `sys_job_log` VALUES (16358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：231毫秒', '0', '', '2024-12-24 22:50:36');
INSERT INTO `sys_job_log` VALUES (16359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:50:41');
INSERT INTO `sys_job_log` VALUES (16360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-24 22:50:46');
INSERT INTO `sys_job_log` VALUES (16361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2045毫秒', '0', '', '2024-12-24 22:50:48');
INSERT INTO `sys_job_log` VALUES (16362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:50:51');
INSERT INTO `sys_job_log` VALUES (16363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:50:56');
INSERT INTO `sys_job_log` VALUES (16364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:51:01');
INSERT INTO `sys_job_log` VALUES (16365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1455毫秒', '0', '', '2024-12-24 22:51:03');
INSERT INTO `sys_job_log` VALUES (16366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:51:06');
INSERT INTO `sys_job_log` VALUES (16367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:51:11');
INSERT INTO `sys_job_log` VALUES (16368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:51:16');
INSERT INTO `sys_job_log` VALUES (16369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1982毫秒', '0', '', '2024-12-24 22:51:18');
INSERT INTO `sys_job_log` VALUES (16370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:51:21');
INSERT INTO `sys_job_log` VALUES (16371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:51:27');
INSERT INTO `sys_job_log` VALUES (16372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:51:31');
INSERT INTO `sys_job_log` VALUES (16373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2141毫秒', '0', '', '2024-12-24 22:51:33');
INSERT INTO `sys_job_log` VALUES (16374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:51:36');
INSERT INTO `sys_job_log` VALUES (16375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:51:41');
INSERT INTO `sys_job_log` VALUES (16376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：233毫秒', '0', '', '2024-12-24 22:51:46');
INSERT INTO `sys_job_log` VALUES (16377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3001毫秒', '0', '', '2024-12-24 22:51:49');
INSERT INTO `sys_job_log` VALUES (16378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:51:51');
INSERT INTO `sys_job_log` VALUES (16379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:51:56');
INSERT INTO `sys_job_log` VALUES (16380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:52:01');
INSERT INTO `sys_job_log` VALUES (16381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1853毫秒', '0', '', '2024-12-24 22:52:03');
INSERT INTO `sys_job_log` VALUES (16382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:52:06');
INSERT INTO `sys_job_log` VALUES (16383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:52:11');
INSERT INTO `sys_job_log` VALUES (16384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:52:16');
INSERT INTO `sys_job_log` VALUES (16385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2463毫秒', '0', '', '2024-12-24 22:52:18');
INSERT INTO `sys_job_log` VALUES (16386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:52:21');
INSERT INTO `sys_job_log` VALUES (16387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:52:26');
INSERT INTO `sys_job_log` VALUES (16388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:52:31');
INSERT INTO `sys_job_log` VALUES (16389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1175毫秒', '0', '', '2024-12-24 22:52:32');
INSERT INTO `sys_job_log` VALUES (16390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2150毫秒', '0', '', '2024-12-24 22:52:48');
INSERT INTO `sys_job_log` VALUES (16391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14354毫秒', '0', '', '2024-12-24 22:52:50');
INSERT INTO `sys_job_log` VALUES (16392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1701毫秒', '0', '', '2024-12-24 22:53:03');
INSERT INTO `sys_job_log` VALUES (16393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14571毫秒', '0', '', '2024-12-24 22:53:05');
INSERT INTO `sys_job_log` VALUES (16394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1288毫秒', '0', '', '2024-12-24 22:53:17');
INSERT INTO `sys_job_log` VALUES (16395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14553毫秒', '0', '', '2024-12-24 22:53:20');
INSERT INTO `sys_job_log` VALUES (16396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1876毫秒', '0', '', '2024-12-24 22:53:33');
INSERT INTO `sys_job_log` VALUES (16397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26596毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:53:46');
INSERT INTO `sys_job_log` VALUES (16407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:53:47');
INSERT INTO `sys_job_log` VALUES (16408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:53:47');
INSERT INTO `sys_job_log` VALUES (16409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1250毫秒', '0', '', '2024-12-24 22:53:47');
INSERT INTO `sys_job_log` VALUES (16410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:53:51');
INSERT INTO `sys_job_log` VALUES (16411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:53:56');
INSERT INTO `sys_job_log` VALUES (16412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:54:01');
INSERT INTO `sys_job_log` VALUES (16413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1209毫秒', '0', '', '2024-12-24 22:54:02');
INSERT INTO `sys_job_log` VALUES (16414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:54:06');
INSERT INTO `sys_job_log` VALUES (16415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:54:11');
INSERT INTO `sys_job_log` VALUES (16416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:54:16');
INSERT INTO `sys_job_log` VALUES (16417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-24 22:54:17');
INSERT INTO `sys_job_log` VALUES (16418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:54:21');
INSERT INTO `sys_job_log` VALUES (16419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:54:26');
INSERT INTO `sys_job_log` VALUES (16420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:54:31');
INSERT INTO `sys_job_log` VALUES (16421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2024-12-24 22:54:32');
INSERT INTO `sys_job_log` VALUES (16422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:54:36');
INSERT INTO `sys_job_log` VALUES (16423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1181毫秒', '0', '', '2024-12-24 22:54:47');
INSERT INTO `sys_job_log` VALUES (16424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2189毫秒', '0', '', '2024-12-24 22:54:48');
INSERT INTO `sys_job_log` VALUES (16425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:54:51');
INSERT INTO `sys_job_log` VALUES (16426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:54:56');
INSERT INTO `sys_job_log` VALUES (16427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:55:01');
INSERT INTO `sys_job_log` VALUES (16428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1077毫秒', '0', '', '2024-12-24 22:55:02');
INSERT INTO `sys_job_log` VALUES (16429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 22:55:06');
INSERT INTO `sys_job_log` VALUES (16430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:55:11');
INSERT INTO `sys_job_log` VALUES (16431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:55:16');
INSERT INTO `sys_job_log` VALUES (16432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1122毫秒', '0', '', '2024-12-24 22:55:17');
INSERT INTO `sys_job_log` VALUES (16433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1200毫秒', '0', '', '2024-12-24 22:55:22');
INSERT INTO `sys_job_log` VALUES (16434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:55:26');
INSERT INTO `sys_job_log` VALUES (16435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:55:31');
INSERT INTO `sys_job_log` VALUES (16436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1099毫秒', '0', '', '2024-12-24 22:55:32');
INSERT INTO `sys_job_log` VALUES (16437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:55:36');
INSERT INTO `sys_job_log` VALUES (16438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:55:41');
INSERT INTO `sys_job_log` VALUES (16439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:55:46');
INSERT INTO `sys_job_log` VALUES (16440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1094毫秒', '0', '', '2024-12-24 22:55:47');
INSERT INTO `sys_job_log` VALUES (16441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1233毫秒', '0', '', '2024-12-24 22:55:52');
INSERT INTO `sys_job_log` VALUES (16442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:55:56');
INSERT INTO `sys_job_log` VALUES (16443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:56:01');
INSERT INTO `sys_job_log` VALUES (16444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1206毫秒', '0', '', '2024-12-24 22:56:02');
INSERT INTO `sys_job_log` VALUES (16445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:56:06');
INSERT INTO `sys_job_log` VALUES (16446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:56:11');
INSERT INTO `sys_job_log` VALUES (16447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:56:16');
INSERT INTO `sys_job_log` VALUES (16448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-24 22:56:17');
INSERT INTO `sys_job_log` VALUES (16449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:56:21');
INSERT INTO `sys_job_log` VALUES (16450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:56:26');
INSERT INTO `sys_job_log` VALUES (16451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:56:31');
INSERT INTO `sys_job_log` VALUES (16452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1122毫秒', '0', '', '2024-12-24 22:56:32');
INSERT INTO `sys_job_log` VALUES (16453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:56:36');
INSERT INTO `sys_job_log` VALUES (16454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:56:41');
INSERT INTO `sys_job_log` VALUES (16455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:56:46');
INSERT INTO `sys_job_log` VALUES (16456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1234毫秒', '0', '', '2024-12-24 22:56:47');
INSERT INTO `sys_job_log` VALUES (16457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 22:56:51');
INSERT INTO `sys_job_log` VALUES (16458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:56:56');
INSERT INTO `sys_job_log` VALUES (16459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:57:01');
INSERT INTO `sys_job_log` VALUES (16460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2024-12-24 22:57:02');
INSERT INTO `sys_job_log` VALUES (16461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:57:06');
INSERT INTO `sys_job_log` VALUES (16462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:57:11');
INSERT INTO `sys_job_log` VALUES (16463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:57:16');
INSERT INTO `sys_job_log` VALUES (16464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1967毫秒', '0', '', '2024-12-24 22:57:18');
INSERT INTO `sys_job_log` VALUES (16465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 22:57:21');
INSERT INTO `sys_job_log` VALUES (16466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:57:26');
INSERT INTO `sys_job_log` VALUES (16467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:57:31');
INSERT INTO `sys_job_log` VALUES (16468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1716毫秒', '0', '', '2024-12-24 22:57:33');
INSERT INTO `sys_job_log` VALUES (16469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:57:36');
INSERT INTO `sys_job_log` VALUES (16470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:57:41');
INSERT INTO `sys_job_log` VALUES (16471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 22:57:46');
INSERT INTO `sys_job_log` VALUES (16472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2024-12-24 22:57:47');
INSERT INTO `sys_job_log` VALUES (16473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:57:51');
INSERT INTO `sys_job_log` VALUES (16474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:57:56');
INSERT INTO `sys_job_log` VALUES (16475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:58:01');
INSERT INTO `sys_job_log` VALUES (16476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1179毫秒', '0', '', '2024-12-24 22:58:02');
INSERT INTO `sys_job_log` VALUES (16477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-24 22:58:06');
INSERT INTO `sys_job_log` VALUES (16478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:58:11');
INSERT INTO `sys_job_log` VALUES (16479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:58:16');
INSERT INTO `sys_job_log` VALUES (16480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1132毫秒', '0', '', '2024-12-24 22:58:17');
INSERT INTO `sys_job_log` VALUES (16481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:58:21');
INSERT INTO `sys_job_log` VALUES (16482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:58:26');
INSERT INTO `sys_job_log` VALUES (16483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-24 22:58:31');
INSERT INTO `sys_job_log` VALUES (16484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1117毫秒', '0', '', '2024-12-24 22:58:32');
INSERT INTO `sys_job_log` VALUES (16485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:58:36');
INSERT INTO `sys_job_log` VALUES (16486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:58:41');
INSERT INTO `sys_job_log` VALUES (16487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 22:58:46');
INSERT INTO `sys_job_log` VALUES (16488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-24 22:58:47');
INSERT INTO `sys_job_log` VALUES (16489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 22:58:51');
INSERT INTO `sys_job_log` VALUES (16490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:58:56');
INSERT INTO `sys_job_log` VALUES (16491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 22:59:01');
INSERT INTO `sys_job_log` VALUES (16492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1167毫秒', '0', '', '2024-12-24 22:59:02');
INSERT INTO `sys_job_log` VALUES (16493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 22:59:06');
INSERT INTO `sys_job_log` VALUES (16494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:59:11');
INSERT INTO `sys_job_log` VALUES (16495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:59:16');
INSERT INTO `sys_job_log` VALUES (16496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-24 22:59:17');
INSERT INTO `sys_job_log` VALUES (16497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:59:21');
INSERT INTO `sys_job_log` VALUES (16498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 22:59:26');
INSERT INTO `sys_job_log` VALUES (16499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:59:31');
INSERT INTO `sys_job_log` VALUES (16500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2317毫秒', '0', '', '2024-12-24 22:59:33');
INSERT INTO `sys_job_log` VALUES (16501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-24 22:59:36');
INSERT INTO `sys_job_log` VALUES (16502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 22:59:41');
INSERT INTO `sys_job_log` VALUES (16503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 22:59:46');
INSERT INTO `sys_job_log` VALUES (16504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1879毫秒', '0', '', '2024-12-24 22:59:48');
INSERT INTO `sys_job_log` VALUES (16505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 22:59:51');
INSERT INTO `sys_job_log` VALUES (16506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 22:59:56');
INSERT INTO `sys_job_log` VALUES (16507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:00:01');
INSERT INTO `sys_job_log` VALUES (16508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1557毫秒', '0', '', '2024-12-24 23:00:03');
INSERT INTO `sys_job_log` VALUES (16509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:00:06');
INSERT INTO `sys_job_log` VALUES (16510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:00:11');
INSERT INTO `sys_job_log` VALUES (16511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:00:16');
INSERT INTO `sys_job_log` VALUES (16512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1124毫秒', '0', '', '2024-12-24 23:00:17');
INSERT INTO `sys_job_log` VALUES (16513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:00:21');
INSERT INTO `sys_job_log` VALUES (16514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 23:00:26');
INSERT INTO `sys_job_log` VALUES (16515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2228毫秒', '0', '', '2024-12-24 23:00:33');
INSERT INTO `sys_job_log` VALUES (16516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14391毫秒', '0', '', '2024-12-24 23:00:45');
INSERT INTO `sys_job_log` VALUES (16517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1691毫秒', '0', '', '2024-12-24 23:00:48');
INSERT INTO `sys_job_log` VALUES (16518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2170毫秒', '0', '', '2024-12-24 23:01:03');
INSERT INTO `sys_job_log` VALUES (16519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22177毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:01:08');
INSERT INTO `sys_job_log` VALUES (16526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:01:11');
INSERT INTO `sys_job_log` VALUES (16527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-24 23:01:16');
INSERT INTO `sys_job_log` VALUES (16528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1235毫秒', '0', '', '2024-12-24 23:01:17');
INSERT INTO `sys_job_log` VALUES (16529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 23:01:21');
INSERT INTO `sys_job_log` VALUES (16530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:01:26');
INSERT INTO `sys_job_log` VALUES (16531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 23:01:31');
INSERT INTO `sys_job_log` VALUES (16532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 23:01:32');
INSERT INTO `sys_job_log` VALUES (16533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:01:36');
INSERT INTO `sys_job_log` VALUES (16534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 23:01:41');
INSERT INTO `sys_job_log` VALUES (16535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:01:46');
INSERT INTO `sys_job_log` VALUES (16536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1271毫秒', '0', '', '2024-12-24 23:01:47');
INSERT INTO `sys_job_log` VALUES (16537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:01:51');
INSERT INTO `sys_job_log` VALUES (16538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:01:56');
INSERT INTO `sys_job_log` VALUES (16539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:02:01');
INSERT INTO `sys_job_log` VALUES (16540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3254毫秒', '0', '', '2024-12-24 23:02:04');
INSERT INTO `sys_job_log` VALUES (16541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:02:06');
INSERT INTO `sys_job_log` VALUES (16542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:02:11');
INSERT INTO `sys_job_log` VALUES (16543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:02:16');
INSERT INTO `sys_job_log` VALUES (16544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2912毫秒', '0', '', '2024-12-24 23:02:19');
INSERT INTO `sys_job_log` VALUES (16545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:02:21');
INSERT INTO `sys_job_log` VALUES (16546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 23:02:26');
INSERT INTO `sys_job_log` VALUES (16547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:02:31');
INSERT INTO `sys_job_log` VALUES (16548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-24 23:02:32');
INSERT INTO `sys_job_log` VALUES (16549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:02:36');
INSERT INTO `sys_job_log` VALUES (16550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:02:41');
INSERT INTO `sys_job_log` VALUES (16551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:02:46');
INSERT INTO `sys_job_log` VALUES (16552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1148毫秒', '0', '', '2024-12-24 23:02:47');
INSERT INTO `sys_job_log` VALUES (16553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:02:51');
INSERT INTO `sys_job_log` VALUES (16554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:02:56');
INSERT INTO `sys_job_log` VALUES (16555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:03:01');
INSERT INTO `sys_job_log` VALUES (16556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1132毫秒', '0', '', '2024-12-24 23:03:02');
INSERT INTO `sys_job_log` VALUES (16557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:03:06');
INSERT INTO `sys_job_log` VALUES (16558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:03:11');
INSERT INTO `sys_job_log` VALUES (16559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2024-12-24 23:03:16');
INSERT INTO `sys_job_log` VALUES (16560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1407毫秒', '0', '', '2024-12-24 23:03:17');
INSERT INTO `sys_job_log` VALUES (16561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 23:03:21');
INSERT INTO `sys_job_log` VALUES (16562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:03:26');
INSERT INTO `sys_job_log` VALUES (16563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:03:31');
INSERT INTO `sys_job_log` VALUES (16564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2024-12-24 23:03:32');
INSERT INTO `sys_job_log` VALUES (16565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:03:36');
INSERT INTO `sys_job_log` VALUES (16566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:03:41');
INSERT INTO `sys_job_log` VALUES (16567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-24 23:03:46');
INSERT INTO `sys_job_log` VALUES (16568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1251毫秒', '0', '', '2024-12-24 23:03:47');
INSERT INTO `sys_job_log` VALUES (16569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:03:51');
INSERT INTO `sys_job_log` VALUES (16570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:03:56');
INSERT INTO `sys_job_log` VALUES (16571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:04:01');
INSERT INTO `sys_job_log` VALUES (16572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1320毫秒', '0', '', '2024-12-24 23:04:02');
INSERT INTO `sys_job_log` VALUES (16573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:04:06');
INSERT INTO `sys_job_log` VALUES (16574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:04:11');
INSERT INTO `sys_job_log` VALUES (16575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:04:16');
INSERT INTO `sys_job_log` VALUES (16576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-24 23:04:17');
INSERT INTO `sys_job_log` VALUES (16577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:04:21');
INSERT INTO `sys_job_log` VALUES (16578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:04:26');
INSERT INTO `sys_job_log` VALUES (16579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:04:31');
INSERT INTO `sys_job_log` VALUES (16580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1169毫秒', '0', '', '2024-12-24 23:04:32');
INSERT INTO `sys_job_log` VALUES (16581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:04:36');
INSERT INTO `sys_job_log` VALUES (16582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:04:41');
INSERT INTO `sys_job_log` VALUES (16583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:04:46');
INSERT INTO `sys_job_log` VALUES (16584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-24 23:04:47');
INSERT INTO `sys_job_log` VALUES (16585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:04:51');
INSERT INTO `sys_job_log` VALUES (16586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:04:56');
INSERT INTO `sys_job_log` VALUES (16587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:05:01');
INSERT INTO `sys_job_log` VALUES (16588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1115毫秒', '0', '', '2024-12-24 23:05:02');
INSERT INTO `sys_job_log` VALUES (16589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:05:06');
INSERT INTO `sys_job_log` VALUES (16590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:05:11');
INSERT INTO `sys_job_log` VALUES (16591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:05:16');
INSERT INTO `sys_job_log` VALUES (16592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1191毫秒', '0', '', '2024-12-24 23:05:17');
INSERT INTO `sys_job_log` VALUES (16593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:05:21');
INSERT INTO `sys_job_log` VALUES (16594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:05:26');
INSERT INTO `sys_job_log` VALUES (16595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:05:31');
INSERT INTO `sys_job_log` VALUES (16596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1157毫秒', '0', '', '2024-12-24 23:05:32');
INSERT INTO `sys_job_log` VALUES (16597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:05:36');
INSERT INTO `sys_job_log` VALUES (16598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:05:41');
INSERT INTO `sys_job_log` VALUES (16599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:05:46');
INSERT INTO `sys_job_log` VALUES (16600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-24 23:05:47');
INSERT INTO `sys_job_log` VALUES (16601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:05:51');
INSERT INTO `sys_job_log` VALUES (16602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 23:05:56');
INSERT INTO `sys_job_log` VALUES (16603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:06:01');
INSERT INTO `sys_job_log` VALUES (16604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2024-12-24 23:06:02');
INSERT INTO `sys_job_log` VALUES (16605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:06:06');
INSERT INTO `sys_job_log` VALUES (16606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:06:11');
INSERT INTO `sys_job_log` VALUES (16607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:06:16');
INSERT INTO `sys_job_log` VALUES (16608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1179毫秒', '0', '', '2024-12-24 23:06:17');
INSERT INTO `sys_job_log` VALUES (16609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:06:21');
INSERT INTO `sys_job_log` VALUES (16610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:06:26');
INSERT INTO `sys_job_log` VALUES (16611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:06:31');
INSERT INTO `sys_job_log` VALUES (16612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-24 23:06:32');
INSERT INTO `sys_job_log` VALUES (16613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:06:36');
INSERT INTO `sys_job_log` VALUES (16614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1239毫秒', '0', '', '2024-12-24 23:06:54');
INSERT INTO `sys_job_log` VALUES (16615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:06:56');
INSERT INTO `sys_job_log` VALUES (16616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:07:01');
INSERT INTO `sys_job_log` VALUES (16617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-24 23:07:02');
INSERT INTO `sys_job_log` VALUES (16618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1147毫秒', '0', '', '2024-12-24 23:07:17');
INSERT INTO `sys_job_log` VALUES (16619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2149毫秒', '0', '', '2024-12-24 23:07:18');
INSERT INTO `sys_job_log` VALUES (16620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:07:21');
INSERT INTO `sys_job_log` VALUES (16621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:07:26');
INSERT INTO `sys_job_log` VALUES (16622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:07:31');
INSERT INTO `sys_job_log` VALUES (16623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1075毫秒', '0', '', '2024-12-24 23:07:32');
INSERT INTO `sys_job_log` VALUES (16624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:07:36');
INSERT INTO `sys_job_log` VALUES (16625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:07:41');
INSERT INTO `sys_job_log` VALUES (16626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:07:46');
INSERT INTO `sys_job_log` VALUES (16627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1083毫秒', '0', '', '2024-12-24 23:07:47');
INSERT INTO `sys_job_log` VALUES (16628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1116毫秒', '0', '', '2024-12-24 23:07:52');
INSERT INTO `sys_job_log` VALUES (16629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-24 23:07:56');
INSERT INTO `sys_job_log` VALUES (16630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:08:01');
INSERT INTO `sys_job_log` VALUES (16631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1980毫秒', '0', '', '2024-12-24 23:08:03');
INSERT INTO `sys_job_log` VALUES (16632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-24 23:08:06');
INSERT INTO `sys_job_log` VALUES (16633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:08:11');
INSERT INTO `sys_job_log` VALUES (16634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:08:16');
INSERT INTO `sys_job_log` VALUES (16635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1074毫秒', '0', '', '2024-12-24 23:08:17');
INSERT INTO `sys_job_log` VALUES (16636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1126毫秒', '0', '', '2024-12-24 23:08:22');
INSERT INTO `sys_job_log` VALUES (16637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:08:26');
INSERT INTO `sys_job_log` VALUES (16638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 23:08:31');
INSERT INTO `sys_job_log` VALUES (16639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1930毫秒', '0', '', '2024-12-24 23:08:33');
INSERT INTO `sys_job_log` VALUES (16640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:08:36');
INSERT INTO `sys_job_log` VALUES (16641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:08:41');
INSERT INTO `sys_job_log` VALUES (16642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:08:46');
INSERT INTO `sys_job_log` VALUES (16643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1304毫秒', '0', '', '2024-12-24 23:08:47');
INSERT INTO `sys_job_log` VALUES (16644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:08:51');
INSERT INTO `sys_job_log` VALUES (16645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:08:56');
INSERT INTO `sys_job_log` VALUES (16646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 23:09:01');
INSERT INTO `sys_job_log` VALUES (16647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:09:06');
INSERT INTO `sys_job_log` VALUES (16648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：5101毫秒', '0', '', '2024-12-24 23:09:06');
INSERT INTO `sys_job_log` VALUES (16649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:09:11');
INSERT INTO `sys_job_log` VALUES (16650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:09:16');
INSERT INTO `sys_job_log` VALUES (16651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4478毫秒', '0', '', '2024-12-24 23:09:20');
INSERT INTO `sys_job_log` VALUES (16652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:09:21');
INSERT INTO `sys_job_log` VALUES (16653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:09:26');
INSERT INTO `sys_job_log` VALUES (16654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:09:31');
INSERT INTO `sys_job_log` VALUES (16655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2625毫秒', '0', '', '2024-12-24 23:09:34');
INSERT INTO `sys_job_log` VALUES (16656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 23:09:36');
INSERT INTO `sys_job_log` VALUES (16657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:09:41');
INSERT INTO `sys_job_log` VALUES (16658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:09:46');
INSERT INTO `sys_job_log` VALUES (16659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1208毫秒', '0', '', '2024-12-24 23:09:47');
INSERT INTO `sys_job_log` VALUES (16660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:09:51');
INSERT INTO `sys_job_log` VALUES (16661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:09:56');
INSERT INTO `sys_job_log` VALUES (16662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:10:01');
INSERT INTO `sys_job_log` VALUES (16663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3075毫秒', '0', '', '2024-12-24 23:10:04');
INSERT INTO `sys_job_log` VALUES (16664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-24 23:10:06');
INSERT INTO `sys_job_log` VALUES (16665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:10:11');
INSERT INTO `sys_job_log` VALUES (16666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:10:16');
INSERT INTO `sys_job_log` VALUES (16667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1360毫秒', '0', '', '2024-12-24 23:10:17');
INSERT INTO `sys_job_log` VALUES (16668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:10:21');
INSERT INTO `sys_job_log` VALUES (16669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:10:26');
INSERT INTO `sys_job_log` VALUES (16670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:10:31');
INSERT INTO `sys_job_log` VALUES (16671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2016毫秒', '0', '', '2024-12-24 23:10:33');
INSERT INTO `sys_job_log` VALUES (16672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-24 23:10:36');
INSERT INTO `sys_job_log` VALUES (16673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-24 23:10:41');
INSERT INTO `sys_job_log` VALUES (16674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:10:46');
INSERT INTO `sys_job_log` VALUES (16675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2024-12-24 23:10:47');
INSERT INTO `sys_job_log` VALUES (16676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:10:51');
INSERT INTO `sys_job_log` VALUES (16677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:10:56');
INSERT INTO `sys_job_log` VALUES (16678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:11:01');
INSERT INTO `sys_job_log` VALUES (16679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1169毫秒', '0', '', '2024-12-24 23:11:02');
INSERT INTO `sys_job_log` VALUES (16680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2148毫秒', '0', '', '2024-12-24 23:11:18');
INSERT INTO `sys_job_log` VALUES (16681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14357毫秒', '0', '', '2024-12-24 23:11:20');
INSERT INTO `sys_job_log` VALUES (16682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1497毫秒', '0', '', '2024-12-24 23:11:33');
INSERT INTO `sys_job_log` VALUES (16683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18780毫秒', '0', '', '2024-12-24 23:11:39');
INSERT INTO `sys_job_log` VALUES (16684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:11:39');
INSERT INTO `sys_job_log` VALUES (16685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 23:11:39');
INSERT INTO `sys_job_log` VALUES (16686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:11:39');
INSERT INTO `sys_job_log` VALUES (16687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:11:39');
INSERT INTO `sys_job_log` VALUES (16688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-24 23:11:39');
INSERT INTO `sys_job_log` VALUES (16689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-24 23:11:41');
INSERT INTO `sys_job_log` VALUES (16690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:11:46');
INSERT INTO `sys_job_log` VALUES (16691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1992毫秒', '0', '', '2024-12-24 23:11:48');
INSERT INTO `sys_job_log` VALUES (16692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:11:51');
INSERT INTO `sys_job_log` VALUES (16693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:11:56');
INSERT INTO `sys_job_log` VALUES (16694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:12:01');
INSERT INTO `sys_job_log` VALUES (16695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2024-12-24 23:12:02');
INSERT INTO `sys_job_log` VALUES (16696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:12:06');
INSERT INTO `sys_job_log` VALUES (16697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-24 23:12:11');
INSERT INTO `sys_job_log` VALUES (16698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:12:16');
INSERT INTO `sys_job_log` VALUES (16699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-24 23:12:17');
INSERT INTO `sys_job_log` VALUES (16700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:12:21');
INSERT INTO `sys_job_log` VALUES (16701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:12:26');
INSERT INTO `sys_job_log` VALUES (16702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:12:31');
INSERT INTO `sys_job_log` VALUES (16703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-24 23:12:32');
INSERT INTO `sys_job_log` VALUES (16704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-24 23:12:36');
INSERT INTO `sys_job_log` VALUES (16705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-24 23:12:41');
INSERT INTO `sys_job_log` VALUES (16706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:12:46');
INSERT INTO `sys_job_log` VALUES (16707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1179毫秒', '0', '', '2024-12-24 23:12:47');
INSERT INTO `sys_job_log` VALUES (16708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-24 23:12:51');
INSERT INTO `sys_job_log` VALUES (16709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-24 23:12:56');
INSERT INTO `sys_job_log` VALUES (16710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-24 23:13:01');
INSERT INTO `sys_job_log` VALUES (16711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2024-12-24 23:13:02');
INSERT INTO `sys_job_log` VALUES (16712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-24 23:13:06');
INSERT INTO `sys_job_log` VALUES (16713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-26 11:36:21');
INSERT INTO `sys_job_log` VALUES (16714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-26 11:36:25');
INSERT INTO `sys_job_log` VALUES (16715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 11:36:30');
INSERT INTO `sys_job_log` VALUES (16716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 11:36:30');
INSERT INTO `sys_job_log` VALUES (16717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-26 11:36:35');
INSERT INTO `sys_job_log` VALUES (16718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 11:36:40');
INSERT INTO `sys_job_log` VALUES (16719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 11:36:45');
INSERT INTO `sys_job_log` VALUES (16720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 11:36:45');
INSERT INTO `sys_job_log` VALUES (16721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 11:37:01');
INSERT INTO `sys_job_log` VALUES (16722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2024-12-26 11:37:01');
INSERT INTO `sys_job_log` VALUES (16723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 11:37:05');
INSERT INTO `sys_job_log` VALUES (16724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 11:37:10');
INSERT INTO `sys_job_log` VALUES (16725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:15');
INSERT INTO `sys_job_log` VALUES (16726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:15');
INSERT INTO `sys_job_log` VALUES (16727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:20');
INSERT INTO `sys_job_log` VALUES (16728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:25');
INSERT INTO `sys_job_log` VALUES (16729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:30');
INSERT INTO `sys_job_log` VALUES (16730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:30');
INSERT INTO `sys_job_log` VALUES (16731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 11:37:35');
INSERT INTO `sys_job_log` VALUES (16732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 11:37:40');
INSERT INTO `sys_job_log` VALUES (16733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:45');
INSERT INTO `sys_job_log` VALUES (16734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:45');
INSERT INTO `sys_job_log` VALUES (16735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:37:50');
INSERT INTO `sys_job_log` VALUES (16736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 11:37:55');
INSERT INTO `sys_job_log` VALUES (16737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 11:38:00');
INSERT INTO `sys_job_log` VALUES (16738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3毫秒', '0', '', '2024-12-26 11:38:00');
INSERT INTO `sys_job_log` VALUES (16739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 11:38:05');
INSERT INTO `sys_job_log` VALUES (16740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 12:36:46');
INSERT INTO `sys_job_log` VALUES (16741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-26 12:36:46');
INSERT INTO `sys_job_log` VALUES (16742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:36:50');
INSERT INTO `sys_job_log` VALUES (16743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:36:56');
INSERT INTO `sys_job_log` VALUES (16744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:01');
INSERT INTO `sys_job_log` VALUES (16745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:01');
INSERT INTO `sys_job_log` VALUES (16746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:06');
INSERT INTO `sys_job_log` VALUES (16747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:37:11');
INSERT INTO `sys_job_log` VALUES (16748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:37:16');
INSERT INTO `sys_job_log` VALUES (16749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:37:16');
INSERT INTO `sys_job_log` VALUES (16750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:21');
INSERT INTO `sys_job_log` VALUES (16751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:26');
INSERT INTO `sys_job_log` VALUES (16752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:30');
INSERT INTO `sys_job_log` VALUES (16753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:30');
INSERT INTO `sys_job_log` VALUES (16754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:37:35');
INSERT INTO `sys_job_log` VALUES (16755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 12:37:41');
INSERT INTO `sys_job_log` VALUES (16756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:37:46');
INSERT INTO `sys_job_log` VALUES (16757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:46');
INSERT INTO `sys_job_log` VALUES (16758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:37:51');
INSERT INTO `sys_job_log` VALUES (16759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:37:56');
INSERT INTO `sys_job_log` VALUES (16760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:38:01');
INSERT INTO `sys_job_log` VALUES (16761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:38:01');
INSERT INTO `sys_job_log` VALUES (16762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 12:38:06');
INSERT INTO `sys_job_log` VALUES (16763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:38:11');
INSERT INTO `sys_job_log` VALUES (16764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:38:16');
INSERT INTO `sys_job_log` VALUES (16765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:38:16');
INSERT INTO `sys_job_log` VALUES (16766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:38:20');
INSERT INTO `sys_job_log` VALUES (16767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:38:25');
INSERT INTO `sys_job_log` VALUES (16768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:38:30');
INSERT INTO `sys_job_log` VALUES (16769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:38:30');
INSERT INTO `sys_job_log` VALUES (16770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:38:35');
INSERT INTO `sys_job_log` VALUES (16771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:38:40');
INSERT INTO `sys_job_log` VALUES (16772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:38:45');
INSERT INTO `sys_job_log` VALUES (16773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:38:45');
INSERT INTO `sys_job_log` VALUES (16774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:38:50');
INSERT INTO `sys_job_log` VALUES (16775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:38:55');
INSERT INTO `sys_job_log` VALUES (16776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:00');
INSERT INTO `sys_job_log` VALUES (16777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:00');
INSERT INTO `sys_job_log` VALUES (16778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:05');
INSERT INTO `sys_job_log` VALUES (16779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:39:11');
INSERT INTO `sys_job_log` VALUES (16780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:15');
INSERT INTO `sys_job_log` VALUES (16781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:15');
INSERT INTO `sys_job_log` VALUES (16782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:21');
INSERT INTO `sys_job_log` VALUES (16783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:25');
INSERT INTO `sys_job_log` VALUES (16784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:30');
INSERT INTO `sys_job_log` VALUES (16785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:30');
INSERT INTO `sys_job_log` VALUES (16786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:35');
INSERT INTO `sys_job_log` VALUES (16787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:40');
INSERT INTO `sys_job_log` VALUES (16788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:46');
INSERT INTO `sys_job_log` VALUES (16789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:46');
INSERT INTO `sys_job_log` VALUES (16790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:39:51');
INSERT INTO `sys_job_log` VALUES (16791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:39:55');
INSERT INTO `sys_job_log` VALUES (16792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:01');
INSERT INTO `sys_job_log` VALUES (16793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:01');
INSERT INTO `sys_job_log` VALUES (16794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:05');
INSERT INTO `sys_job_log` VALUES (16795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:11');
INSERT INTO `sys_job_log` VALUES (16796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:16');
INSERT INTO `sys_job_log` VALUES (16797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:16');
INSERT INTO `sys_job_log` VALUES (16798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:21');
INSERT INTO `sys_job_log` VALUES (16799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:26');
INSERT INTO `sys_job_log` VALUES (16800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:30');
INSERT INTO `sys_job_log` VALUES (16801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:30');
INSERT INTO `sys_job_log` VALUES (16802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:40:36');
INSERT INTO `sys_job_log` VALUES (16803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:41');
INSERT INTO `sys_job_log` VALUES (16804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:46');
INSERT INTO `sys_job_log` VALUES (16805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:46');
INSERT INTO `sys_job_log` VALUES (16806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:40:51');
INSERT INTO `sys_job_log` VALUES (16807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:40:56');
INSERT INTO `sys_job_log` VALUES (16808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:41:01');
INSERT INTO `sys_job_log` VALUES (16809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:41:01');
INSERT INTO `sys_job_log` VALUES (16810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:41:06');
INSERT INTO `sys_job_log` VALUES (16811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:41:11');
INSERT INTO `sys_job_log` VALUES (16812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:16');
INSERT INTO `sys_job_log` VALUES (16813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:16');
INSERT INTO `sys_job_log` VALUES (16814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:41:21');
INSERT INTO `sys_job_log` VALUES (16815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:26');
INSERT INTO `sys_job_log` VALUES (16816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:41:31');
INSERT INTO `sys_job_log` VALUES (16817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:31');
INSERT INTO `sys_job_log` VALUES (16818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:36');
INSERT INTO `sys_job_log` VALUES (16819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:41');
INSERT INTO `sys_job_log` VALUES (16820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:46');
INSERT INTO `sys_job_log` VALUES (16821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:46');
INSERT INTO `sys_job_log` VALUES (16822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:41:51');
INSERT INTO `sys_job_log` VALUES (16823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:41:56');
INSERT INTO `sys_job_log` VALUES (16824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:42:00');
INSERT INTO `sys_job_log` VALUES (16825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:42:00');
INSERT INTO `sys_job_log` VALUES (16826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:06');
INSERT INTO `sys_job_log` VALUES (16827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:42:11');
INSERT INTO `sys_job_log` VALUES (16828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:42:16');
INSERT INTO `sys_job_log` VALUES (16829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:42:16');
INSERT INTO `sys_job_log` VALUES (16830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:20');
INSERT INTO `sys_job_log` VALUES (16831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:26');
INSERT INTO `sys_job_log` VALUES (16832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:42:31');
INSERT INTO `sys_job_log` VALUES (16833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:42:31');
INSERT INTO `sys_job_log` VALUES (16834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:36');
INSERT INTO `sys_job_log` VALUES (16835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:41');
INSERT INTO `sys_job_log` VALUES (16836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:46');
INSERT INTO `sys_job_log` VALUES (16837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:42:46');
INSERT INTO `sys_job_log` VALUES (16838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:42:51');
INSERT INTO `sys_job_log` VALUES (16839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:42:56');
INSERT INTO `sys_job_log` VALUES (16840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:01');
INSERT INTO `sys_job_log` VALUES (16841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:01');
INSERT INTO `sys_job_log` VALUES (16842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:43:06');
INSERT INTO `sys_job_log` VALUES (16843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:11');
INSERT INTO `sys_job_log` VALUES (16844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:43:16');
INSERT INTO `sys_job_log` VALUES (16845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:43:16');
INSERT INTO `sys_job_log` VALUES (16846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:43:21');
INSERT INTO `sys_job_log` VALUES (16847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:26');
INSERT INTO `sys_job_log` VALUES (16848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:31');
INSERT INTO `sys_job_log` VALUES (16849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:31');
INSERT INTO `sys_job_log` VALUES (16850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:43:36');
INSERT INTO `sys_job_log` VALUES (16851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:43:41');
INSERT INTO `sys_job_log` VALUES (16852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:46');
INSERT INTO `sys_job_log` VALUES (16853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:46');
INSERT INTO `sys_job_log` VALUES (16854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:43:51');
INSERT INTO `sys_job_log` VALUES (16855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:43:56');
INSERT INTO `sys_job_log` VALUES (16856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:44:01');
INSERT INTO `sys_job_log` VALUES (16857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:44:01');
INSERT INTO `sys_job_log` VALUES (16858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:44:06');
INSERT INTO `sys_job_log` VALUES (16859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:11');
INSERT INTO `sys_job_log` VALUES (16860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:15');
INSERT INTO `sys_job_log` VALUES (16861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:15');
INSERT INTO `sys_job_log` VALUES (16862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:21');
INSERT INTO `sys_job_log` VALUES (16863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:26');
INSERT INTO `sys_job_log` VALUES (16864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:31');
INSERT INTO `sys_job_log` VALUES (16865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:31');
INSERT INTO `sys_job_log` VALUES (16866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:44:36');
INSERT INTO `sys_job_log` VALUES (16867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:44:41');
INSERT INTO `sys_job_log` VALUES (16868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:44:46');
INSERT INTO `sys_job_log` VALUES (16869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 12:44:46');
INSERT INTO `sys_job_log` VALUES (16870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:44:51');
INSERT INTO `sys_job_log` VALUES (16871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 12:44:56');
INSERT INTO `sys_job_log` VALUES (16872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:01');
INSERT INTO `sys_job_log` VALUES (16873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:01');
INSERT INTO `sys_job_log` VALUES (16874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:06');
INSERT INTO `sys_job_log` VALUES (16875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:11');
INSERT INTO `sys_job_log` VALUES (16876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:16');
INSERT INTO `sys_job_log` VALUES (16877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:45:16');
INSERT INTO `sys_job_log` VALUES (16878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:21');
INSERT INTO `sys_job_log` VALUES (16879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 12:45:27');
INSERT INTO `sys_job_log` VALUES (16880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:31');
INSERT INTO `sys_job_log` VALUES (16881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:31');
INSERT INTO `sys_job_log` VALUES (16882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:36');
INSERT INTO `sys_job_log` VALUES (16883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:41');
INSERT INTO `sys_job_log` VALUES (16884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:46');
INSERT INTO `sys_job_log` VALUES (16885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:46');
INSERT INTO `sys_job_log` VALUES (16886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:45:51');
INSERT INTO `sys_job_log` VALUES (16887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:45:56');
INSERT INTO `sys_job_log` VALUES (16888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:46:01');
INSERT INTO `sys_job_log` VALUES (16889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:46:01');
INSERT INTO `sys_job_log` VALUES (16890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:46:06');
INSERT INTO `sys_job_log` VALUES (16891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:46:11');
INSERT INTO `sys_job_log` VALUES (16892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:46:16');
INSERT INTO `sys_job_log` VALUES (16893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:46:16');
INSERT INTO `sys_job_log` VALUES (16894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:46:20');
INSERT INTO `sys_job_log` VALUES (16895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:46:26');
INSERT INTO `sys_job_log` VALUES (16896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:46:31');
INSERT INTO `sys_job_log` VALUES (16897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:46:31');
INSERT INTO `sys_job_log` VALUES (16898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:46:36');
INSERT INTO `sys_job_log` VALUES (16899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:46:41');
INSERT INTO `sys_job_log` VALUES (16900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-26 12:46:46');
INSERT INTO `sys_job_log` VALUES (16901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4毫秒', '0', '', '2024-12-26 12:46:46');
INSERT INTO `sys_job_log` VALUES (16902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:46:51');
INSERT INTO `sys_job_log` VALUES (16903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:46:56');
INSERT INTO `sys_job_log` VALUES (16904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:47:00');
INSERT INTO `sys_job_log` VALUES (16905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:47:01');
INSERT INTO `sys_job_log` VALUES (16906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:06');
INSERT INTO `sys_job_log` VALUES (16907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:11');
INSERT INTO `sys_job_log` VALUES (16908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:47:15');
INSERT INTO `sys_job_log` VALUES (16909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:47:15');
INSERT INTO `sys_job_log` VALUES (16910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:47:21');
INSERT INTO `sys_job_log` VALUES (16911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:25');
INSERT INTO `sys_job_log` VALUES (16912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:30');
INSERT INTO `sys_job_log` VALUES (16913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:30');
INSERT INTO `sys_job_log` VALUES (16914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:36');
INSERT INTO `sys_job_log` VALUES (16915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:41');
INSERT INTO `sys_job_log` VALUES (16916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:45');
INSERT INTO `sys_job_log` VALUES (16917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:46');
INSERT INTO `sys_job_log` VALUES (16918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:47:51');
INSERT INTO `sys_job_log` VALUES (16919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:47:56');
INSERT INTO `sys_job_log` VALUES (16920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:00');
INSERT INTO `sys_job_log` VALUES (16921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:01');
INSERT INTO `sys_job_log` VALUES (16922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:06');
INSERT INTO `sys_job_log` VALUES (16923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:48:11');
INSERT INTO `sys_job_log` VALUES (16924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:15');
INSERT INTO `sys_job_log` VALUES (16925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:48:16');
INSERT INTO `sys_job_log` VALUES (16926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:48:21');
INSERT INTO `sys_job_log` VALUES (16927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:26');
INSERT INTO `sys_job_log` VALUES (16928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:30');
INSERT INTO `sys_job_log` VALUES (16929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:48:31');
INSERT INTO `sys_job_log` VALUES (16930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:48:36');
INSERT INTO `sys_job_log` VALUES (16931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 12:52:38');
INSERT INTO `sys_job_log` VALUES (16932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:52:41');
INSERT INTO `sys_job_log` VALUES (16933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 12:52:46');
INSERT INTO `sys_job_log` VALUES (16934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:52:46');
INSERT INTO `sys_job_log` VALUES (16935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:52:51');
INSERT INTO `sys_job_log` VALUES (16936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:52:56');
INSERT INTO `sys_job_log` VALUES (16937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:01');
INSERT INTO `sys_job_log` VALUES (16938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:01');
INSERT INTO `sys_job_log` VALUES (16939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:06');
INSERT INTO `sys_job_log` VALUES (16940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:53:11');
INSERT INTO `sys_job_log` VALUES (16941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:15');
INSERT INTO `sys_job_log` VALUES (16942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:16');
INSERT INTO `sys_job_log` VALUES (16943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:53:21');
INSERT INTO `sys_job_log` VALUES (16944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:53:26');
INSERT INTO `sys_job_log` VALUES (16945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:30');
INSERT INTO `sys_job_log` VALUES (16946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:31');
INSERT INTO `sys_job_log` VALUES (16947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:36');
INSERT INTO `sys_job_log` VALUES (16948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:53:41');
INSERT INTO `sys_job_log` VALUES (16949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:45');
INSERT INTO `sys_job_log` VALUES (16950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:53:46');
INSERT INTO `sys_job_log` VALUES (16951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:53:51');
INSERT INTO `sys_job_log` VALUES (16952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:53:56');
INSERT INTO `sys_job_log` VALUES (16953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:01');
INSERT INTO `sys_job_log` VALUES (16954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:01');
INSERT INTO `sys_job_log` VALUES (16955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 12:54:13');
INSERT INTO `sys_job_log` VALUES (16956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:16');
INSERT INTO `sys_job_log` VALUES (16957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:16');
INSERT INTO `sys_job_log` VALUES (16958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:21');
INSERT INTO `sys_job_log` VALUES (16959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:26');
INSERT INTO `sys_job_log` VALUES (16960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:31');
INSERT INTO `sys_job_log` VALUES (16961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:31');
INSERT INTO `sys_job_log` VALUES (16962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:36');
INSERT INTO `sys_job_log` VALUES (16963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:54:41');
INSERT INTO `sys_job_log` VALUES (16964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:46');
INSERT INTO `sys_job_log` VALUES (16965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:46');
INSERT INTO `sys_job_log` VALUES (16966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:51');
INSERT INTO `sys_job_log` VALUES (16967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:54:56');
INSERT INTO `sys_job_log` VALUES (16968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:01');
INSERT INTO `sys_job_log` VALUES (16969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:01');
INSERT INTO `sys_job_log` VALUES (16970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 12:55:06');
INSERT INTO `sys_job_log` VALUES (16971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:11');
INSERT INTO `sys_job_log` VALUES (16972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:16');
INSERT INTO `sys_job_log` VALUES (16973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:16');
INSERT INTO `sys_job_log` VALUES (16974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:21');
INSERT INTO `sys_job_log` VALUES (16975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:26');
INSERT INTO `sys_job_log` VALUES (16976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:31');
INSERT INTO `sys_job_log` VALUES (16977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:31');
INSERT INTO `sys_job_log` VALUES (16978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:36');
INSERT INTO `sys_job_log` VALUES (16979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:55:41');
INSERT INTO `sys_job_log` VALUES (16980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:46');
INSERT INTO `sys_job_log` VALUES (16981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:46');
INSERT INTO `sys_job_log` VALUES (16982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:51');
INSERT INTO `sys_job_log` VALUES (16983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:55:56');
INSERT INTO `sys_job_log` VALUES (16984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:01');
INSERT INTO `sys_job_log` VALUES (16985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:01');
INSERT INTO `sys_job_log` VALUES (16986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:56:06');
INSERT INTO `sys_job_log` VALUES (16987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:11');
INSERT INTO `sys_job_log` VALUES (16988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:16');
INSERT INTO `sys_job_log` VALUES (16989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:16');
INSERT INTO `sys_job_log` VALUES (16990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:56:21');
INSERT INTO `sys_job_log` VALUES (16991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:26');
INSERT INTO `sys_job_log` VALUES (16992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:31');
INSERT INTO `sys_job_log` VALUES (16993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:31');
INSERT INTO `sys_job_log` VALUES (16994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:36');
INSERT INTO `sys_job_log` VALUES (16995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:41');
INSERT INTO `sys_job_log` VALUES (16996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:46');
INSERT INTO `sys_job_log` VALUES (16997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:56:46');
INSERT INTO `sys_job_log` VALUES (16998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:56:51');
INSERT INTO `sys_job_log` VALUES (16999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:56:56');
INSERT INTO `sys_job_log` VALUES (17000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:01');
INSERT INTO `sys_job_log` VALUES (17001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:01');
INSERT INTO `sys_job_log` VALUES (17002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:57:06');
INSERT INTO `sys_job_log` VALUES (17003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:11');
INSERT INTO `sys_job_log` VALUES (17004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:16');
INSERT INTO `sys_job_log` VALUES (17005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:16');
INSERT INTO `sys_job_log` VALUES (17006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:21');
INSERT INTO `sys_job_log` VALUES (17007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:57:26');
INSERT INTO `sys_job_log` VALUES (17008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:57:31');
INSERT INTO `sys_job_log` VALUES (17009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:57:31');
INSERT INTO `sys_job_log` VALUES (17010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:57:36');
INSERT INTO `sys_job_log` VALUES (17011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-26 12:57:51');
INSERT INTO `sys_job_log` VALUES (17012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:57:56');
INSERT INTO `sys_job_log` VALUES (17013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-26 12:58:09');
INSERT INTO `sys_job_log` VALUES (17014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:58:11');
INSERT INTO `sys_job_log` VALUES (17015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 12:58:22');
INSERT INTO `sys_job_log` VALUES (17016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 12:58:36');
INSERT INTO `sys_job_log` VALUES (17017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:58:41');
INSERT INTO `sys_job_log` VALUES (17018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:58:46');
INSERT INTO `sys_job_log` VALUES (17019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:58:46');
INSERT INTO `sys_job_log` VALUES (17020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:58:51');
INSERT INTO `sys_job_log` VALUES (17021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:58:56');
INSERT INTO `sys_job_log` VALUES (17022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:59:01');
INSERT INTO `sys_job_log` VALUES (17023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:01');
INSERT INTO `sys_job_log` VALUES (17024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:06');
INSERT INTO `sys_job_log` VALUES (17025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:59:11');
INSERT INTO `sys_job_log` VALUES (17026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:59:16');
INSERT INTO `sys_job_log` VALUES (17027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 12:59:16');
INSERT INTO `sys_job_log` VALUES (17028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:59:21');
INSERT INTO `sys_job_log` VALUES (17029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:26');
INSERT INTO `sys_job_log` VALUES (17030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:31');
INSERT INTO `sys_job_log` VALUES (17031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:31');
INSERT INTO `sys_job_log` VALUES (17032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:36');
INSERT INTO `sys_job_log` VALUES (17033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 12:59:41');
INSERT INTO `sys_job_log` VALUES (17034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 12:59:51');
INSERT INTO `sys_job_log` VALUES (17035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 12:59:56');
INSERT INTO `sys_job_log` VALUES (17036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:00:01');
INSERT INTO `sys_job_log` VALUES (17037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:00:01');
INSERT INTO `sys_job_log` VALUES (17038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:06');
INSERT INTO `sys_job_log` VALUES (17039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:00:11');
INSERT INTO `sys_job_log` VALUES (17040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:00:16');
INSERT INTO `sys_job_log` VALUES (17041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:00:16');
INSERT INTO `sys_job_log` VALUES (17042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:21');
INSERT INTO `sys_job_log` VALUES (17043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:26');
INSERT INTO `sys_job_log` VALUES (17044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:31');
INSERT INTO `sys_job_log` VALUES (17045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:31');
INSERT INTO `sys_job_log` VALUES (17046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:00:36');
INSERT INTO `sys_job_log` VALUES (17047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:41');
INSERT INTO `sys_job_log` VALUES (17048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:46');
INSERT INTO `sys_job_log` VALUES (17049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:46');
INSERT INTO `sys_job_log` VALUES (17050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:51');
INSERT INTO `sys_job_log` VALUES (17051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:00:56');
INSERT INTO `sys_job_log` VALUES (17052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:01:01');
INSERT INTO `sys_job_log` VALUES (17053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:01');
INSERT INTO `sys_job_log` VALUES (17054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:06');
INSERT INTO `sys_job_log` VALUES (17055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:01:11');
INSERT INTO `sys_job_log` VALUES (17056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:16');
INSERT INTO `sys_job_log` VALUES (17057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:16');
INSERT INTO `sys_job_log` VALUES (17058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:21');
INSERT INTO `sys_job_log` VALUES (17059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:01:26');
INSERT INTO `sys_job_log` VALUES (17060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:01:31');
INSERT INTO `sys_job_log` VALUES (17061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:31');
INSERT INTO `sys_job_log` VALUES (17062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:01:36');
INSERT INTO `sys_job_log` VALUES (17063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:01:41');
INSERT INTO `sys_job_log` VALUES (17064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:46');
INSERT INTO `sys_job_log` VALUES (17065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:46');
INSERT INTO `sys_job_log` VALUES (17066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:01:51');
INSERT INTO `sys_job_log` VALUES (17067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:01:56');
INSERT INTO `sys_job_log` VALUES (17068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:01');
INSERT INTO `sys_job_log` VALUES (17069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:01');
INSERT INTO `sys_job_log` VALUES (17070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:06');
INSERT INTO `sys_job_log` VALUES (17071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:11');
INSERT INTO `sys_job_log` VALUES (17072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:16');
INSERT INTO `sys_job_log` VALUES (17073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:16');
INSERT INTO `sys_job_log` VALUES (17074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:21');
INSERT INTO `sys_job_log` VALUES (17075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:26');
INSERT INTO `sys_job_log` VALUES (17076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:31');
INSERT INTO `sys_job_log` VALUES (17077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:31');
INSERT INTO `sys_job_log` VALUES (17078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:36');
INSERT INTO `sys_job_log` VALUES (17079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:41');
INSERT INTO `sys_job_log` VALUES (17080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:02:46');
INSERT INTO `sys_job_log` VALUES (17081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:46');
INSERT INTO `sys_job_log` VALUES (17082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:51');
INSERT INTO `sys_job_log` VALUES (17083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:02:56');
INSERT INTO `sys_job_log` VALUES (17084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:03:01');
INSERT INTO `sys_job_log` VALUES (17085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:03:01');
INSERT INTO `sys_job_log` VALUES (17086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:06');
INSERT INTO `sys_job_log` VALUES (17087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:03:11');
INSERT INTO `sys_job_log` VALUES (17088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:16');
INSERT INTO `sys_job_log` VALUES (17089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:16');
INSERT INTO `sys_job_log` VALUES (17090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:21');
INSERT INTO `sys_job_log` VALUES (17091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:26');
INSERT INTO `sys_job_log` VALUES (17092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:31');
INSERT INTO `sys_job_log` VALUES (17093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:31');
INSERT INTO `sys_job_log` VALUES (17094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:03:36');
INSERT INTO `sys_job_log` VALUES (17095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:41');
INSERT INTO `sys_job_log` VALUES (17096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:46');
INSERT INTO `sys_job_log` VALUES (17097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:46');
INSERT INTO `sys_job_log` VALUES (17098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:51');
INSERT INTO `sys_job_log` VALUES (17099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:03:56');
INSERT INTO `sys_job_log` VALUES (17100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:01');
INSERT INTO `sys_job_log` VALUES (17101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:01');
INSERT INTO `sys_job_log` VALUES (17102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:06');
INSERT INTO `sys_job_log` VALUES (17103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:11');
INSERT INTO `sys_job_log` VALUES (17104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:16');
INSERT INTO `sys_job_log` VALUES (17105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:16');
INSERT INTO `sys_job_log` VALUES (17106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:21');
INSERT INTO `sys_job_log` VALUES (17107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:04:26');
INSERT INTO `sys_job_log` VALUES (17108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:04:31');
INSERT INTO `sys_job_log` VALUES (17109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:04:31');
INSERT INTO `sys_job_log` VALUES (17110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:36');
INSERT INTO `sys_job_log` VALUES (17111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:41');
INSERT INTO `sys_job_log` VALUES (17112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:46');
INSERT INTO `sys_job_log` VALUES (17113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:46');
INSERT INTO `sys_job_log` VALUES (17114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:51');
INSERT INTO `sys_job_log` VALUES (17115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:04:56');
INSERT INTO `sys_job_log` VALUES (17116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:01');
INSERT INTO `sys_job_log` VALUES (17117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:01');
INSERT INTO `sys_job_log` VALUES (17118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:06');
INSERT INTO `sys_job_log` VALUES (17119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:11');
INSERT INTO `sys_job_log` VALUES (17120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:16');
INSERT INTO `sys_job_log` VALUES (17121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:16');
INSERT INTO `sys_job_log` VALUES (17122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:21');
INSERT INTO `sys_job_log` VALUES (17123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:26');
INSERT INTO `sys_job_log` VALUES (17124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:31');
INSERT INTO `sys_job_log` VALUES (17125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:31');
INSERT INTO `sys_job_log` VALUES (17126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:36');
INSERT INTO `sys_job_log` VALUES (17127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:41');
INSERT INTO `sys_job_log` VALUES (17128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:46');
INSERT INTO `sys_job_log` VALUES (17129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:46');
INSERT INTO `sys_job_log` VALUES (17130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:51');
INSERT INTO `sys_job_log` VALUES (17131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:05:56');
INSERT INTO `sys_job_log` VALUES (17132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 13:06:11');
INSERT INTO `sys_job_log` VALUES (17133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:16');
INSERT INTO `sys_job_log` VALUES (17134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:06:16');
INSERT INTO `sys_job_log` VALUES (17135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:21');
INSERT INTO `sys_job_log` VALUES (17136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:26');
INSERT INTO `sys_job_log` VALUES (17137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:06:31');
INSERT INTO `sys_job_log` VALUES (17138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:06:31');
INSERT INTO `sys_job_log` VALUES (17139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:36');
INSERT INTO `sys_job_log` VALUES (17140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:41');
INSERT INTO `sys_job_log` VALUES (17141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:46');
INSERT INTO `sys_job_log` VALUES (17142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:06:46');
INSERT INTO `sys_job_log` VALUES (17143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:06:51');
INSERT INTO `sys_job_log` VALUES (17144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:06:56');
INSERT INTO `sys_job_log` VALUES (17145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:01');
INSERT INTO `sys_job_log` VALUES (17146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:01');
INSERT INTO `sys_job_log` VALUES (17147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:06');
INSERT INTO `sys_job_log` VALUES (17148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:11');
INSERT INTO `sys_job_log` VALUES (17149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:16');
INSERT INTO `sys_job_log` VALUES (17150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:16');
INSERT INTO `sys_job_log` VALUES (17151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:21');
INSERT INTO `sys_job_log` VALUES (17152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:26');
INSERT INTO `sys_job_log` VALUES (17153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:31');
INSERT INTO `sys_job_log` VALUES (17154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:31');
INSERT INTO `sys_job_log` VALUES (17155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:36');
INSERT INTO `sys_job_log` VALUES (17156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:41');
INSERT INTO `sys_job_log` VALUES (17157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:46');
INSERT INTO `sys_job_log` VALUES (17158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:46');
INSERT INTO `sys_job_log` VALUES (17159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:07:51');
INSERT INTO `sys_job_log` VALUES (17160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:07:56');
INSERT INTO `sys_job_log` VALUES (17161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:01');
INSERT INTO `sys_job_log` VALUES (17162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:01');
INSERT INTO `sys_job_log` VALUES (17163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:08:06');
INSERT INTO `sys_job_log` VALUES (17164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:11');
INSERT INTO `sys_job_log` VALUES (17165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:16');
INSERT INTO `sys_job_log` VALUES (17166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:16');
INSERT INTO `sys_job_log` VALUES (17167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:21');
INSERT INTO `sys_job_log` VALUES (17168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:26');
INSERT INTO `sys_job_log` VALUES (17169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 13:08:37');
INSERT INTO `sys_job_log` VALUES (17170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:41');
INSERT INTO `sys_job_log` VALUES (17171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:46');
INSERT INTO `sys_job_log` VALUES (17172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:08:46');
INSERT INTO `sys_job_log` VALUES (17173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 13:08:56');
INSERT INTO `sys_job_log` VALUES (17174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:01');
INSERT INTO `sys_job_log` VALUES (17175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:01');
INSERT INTO `sys_job_log` VALUES (17176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:09:06');
INSERT INTO `sys_job_log` VALUES (17177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:09:11');
INSERT INTO `sys_job_log` VALUES (17178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:16');
INSERT INTO `sys_job_log` VALUES (17179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:16');
INSERT INTO `sys_job_log` VALUES (17180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:09:21');
INSERT INTO `sys_job_log` VALUES (17181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:26');
INSERT INTO `sys_job_log` VALUES (17182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:31');
INSERT INTO `sys_job_log` VALUES (17183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:31');
INSERT INTO `sys_job_log` VALUES (17184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:09:36');
INSERT INTO `sys_job_log` VALUES (17185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:41');
INSERT INTO `sys_job_log` VALUES (17186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:46');
INSERT INTO `sys_job_log` VALUES (17187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:09:46');
INSERT INTO `sys_job_log` VALUES (17188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:09:51');
INSERT INTO `sys_job_log` VALUES (17189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:09:56');
INSERT INTO `sys_job_log` VALUES (17190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:01');
INSERT INTO `sys_job_log` VALUES (17191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:01');
INSERT INTO `sys_job_log` VALUES (17192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:10:06');
INSERT INTO `sys_job_log` VALUES (17193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:11');
INSERT INTO `sys_job_log` VALUES (17194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:16');
INSERT INTO `sys_job_log` VALUES (17195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:16');
INSERT INTO `sys_job_log` VALUES (17196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:10:21');
INSERT INTO `sys_job_log` VALUES (17197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:10:26');
INSERT INTO `sys_job_log` VALUES (17198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:31');
INSERT INTO `sys_job_log` VALUES (17199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:31');
INSERT INTO `sys_job_log` VALUES (17200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:36');
INSERT INTO `sys_job_log` VALUES (17201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:10:41');
INSERT INTO `sys_job_log` VALUES (17202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:46');
INSERT INTO `sys_job_log` VALUES (17203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:46');
INSERT INTO `sys_job_log` VALUES (17204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:51');
INSERT INTO `sys_job_log` VALUES (17205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:10:56');
INSERT INTO `sys_job_log` VALUES (17206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:01');
INSERT INTO `sys_job_log` VALUES (17207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:01');
INSERT INTO `sys_job_log` VALUES (17208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:06');
INSERT INTO `sys_job_log` VALUES (17209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:11:11');
INSERT INTO `sys_job_log` VALUES (17210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:11:16');
INSERT INTO `sys_job_log` VALUES (17211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:11:16');
INSERT INTO `sys_job_log` VALUES (17212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:21');
INSERT INTO `sys_job_log` VALUES (17213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:26');
INSERT INTO `sys_job_log` VALUES (17214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:11:31');
INSERT INTO `sys_job_log` VALUES (17215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:11:31');
INSERT INTO `sys_job_log` VALUES (17216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:36');
INSERT INTO `sys_job_log` VALUES (17217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:11:41');
INSERT INTO `sys_job_log` VALUES (17218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:11:46');
INSERT INTO `sys_job_log` VALUES (17219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:11:46');
INSERT INTO `sys_job_log` VALUES (17220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:11:51');
INSERT INTO `sys_job_log` VALUES (17221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:11:56');
INSERT INTO `sys_job_log` VALUES (17222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:01');
INSERT INTO `sys_job_log` VALUES (17223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:01');
INSERT INTO `sys_job_log` VALUES (17224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:12:06');
INSERT INTO `sys_job_log` VALUES (17225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:12:11');
INSERT INTO `sys_job_log` VALUES (17226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:12:16');
INSERT INTO `sys_job_log` VALUES (17227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:12:16');
INSERT INTO `sys_job_log` VALUES (17228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:12:21');
INSERT INTO `sys_job_log` VALUES (17229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:26');
INSERT INTO `sys_job_log` VALUES (17230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:12:31');
INSERT INTO `sys_job_log` VALUES (17231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:31');
INSERT INTO `sys_job_log` VALUES (17232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:36');
INSERT INTO `sys_job_log` VALUES (17233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:41');
INSERT INTO `sys_job_log` VALUES (17234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:12:46');
INSERT INTO `sys_job_log` VALUES (17235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:12:46');
INSERT INTO `sys_job_log` VALUES (17236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:51');
INSERT INTO `sys_job_log` VALUES (17237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:12:56');
INSERT INTO `sys_job_log` VALUES (17238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:01');
INSERT INTO `sys_job_log` VALUES (17239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:01');
INSERT INTO `sys_job_log` VALUES (17240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:06');
INSERT INTO `sys_job_log` VALUES (17241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:11');
INSERT INTO `sys_job_log` VALUES (17242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:16');
INSERT INTO `sys_job_log` VALUES (17243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:16');
INSERT INTO `sys_job_log` VALUES (17244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:13:21');
INSERT INTO `sys_job_log` VALUES (17245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:26');
INSERT INTO `sys_job_log` VALUES (17246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:13:31');
INSERT INTO `sys_job_log` VALUES (17247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:13:31');
INSERT INTO `sys_job_log` VALUES (17248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:36');
INSERT INTO `sys_job_log` VALUES (17249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:41');
INSERT INTO `sys_job_log` VALUES (17250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:13:46');
INSERT INTO `sys_job_log` VALUES (17251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:13:46');
INSERT INTO `sys_job_log` VALUES (17252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:13:51');
INSERT INTO `sys_job_log` VALUES (17253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:13:56');
INSERT INTO `sys_job_log` VALUES (17254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:01');
INSERT INTO `sys_job_log` VALUES (17255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:01');
INSERT INTO `sys_job_log` VALUES (17256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:06');
INSERT INTO `sys_job_log` VALUES (17257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:11');
INSERT INTO `sys_job_log` VALUES (17258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:14:16');
INSERT INTO `sys_job_log` VALUES (17259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:14:16');
INSERT INTO `sys_job_log` VALUES (17260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:21');
INSERT INTO `sys_job_log` VALUES (17261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:26');
INSERT INTO `sys_job_log` VALUES (17262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:31');
INSERT INTO `sys_job_log` VALUES (17263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:31');
INSERT INTO `sys_job_log` VALUES (17264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:14:36');
INSERT INTO `sys_job_log` VALUES (17265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:14:41');
INSERT INTO `sys_job_log` VALUES (17266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:46');
INSERT INTO `sys_job_log` VALUES (17267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:46');
INSERT INTO `sys_job_log` VALUES (17268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:14:51');
INSERT INTO `sys_job_log` VALUES (17269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:14:56');
INSERT INTO `sys_job_log` VALUES (17270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:15:01');
INSERT INTO `sys_job_log` VALUES (17271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:15:01');
INSERT INTO `sys_job_log` VALUES (17272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:15:06');
INSERT INTO `sys_job_log` VALUES (17273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:11');
INSERT INTO `sys_job_log` VALUES (17274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:15:16');
INSERT INTO `sys_job_log` VALUES (17275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:16');
INSERT INTO `sys_job_log` VALUES (17276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:15:21');
INSERT INTO `sys_job_log` VALUES (17277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:26');
INSERT INTO `sys_job_log` VALUES (17278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:15:31');
INSERT INTO `sys_job_log` VALUES (17279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:15:31');
INSERT INTO `sys_job_log` VALUES (17280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:36');
INSERT INTO `sys_job_log` VALUES (17281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:41');
INSERT INTO `sys_job_log` VALUES (17282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:46');
INSERT INTO `sys_job_log` VALUES (17283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:46');
INSERT INTO `sys_job_log` VALUES (17284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:15:51');
INSERT INTO `sys_job_log` VALUES (17285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:15:56');
INSERT INTO `sys_job_log` VALUES (17286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:16:01');
INSERT INTO `sys_job_log` VALUES (17287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:16:01');
INSERT INTO `sys_job_log` VALUES (17288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:06');
INSERT INTO `sys_job_log` VALUES (17289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:16:11');
INSERT INTO `sys_job_log` VALUES (17290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:16:16');
INSERT INTO `sys_job_log` VALUES (17291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:16');
INSERT INTO `sys_job_log` VALUES (17292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:21');
INSERT INTO `sys_job_log` VALUES (17293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:26');
INSERT INTO `sys_job_log` VALUES (17294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:16:31');
INSERT INTO `sys_job_log` VALUES (17295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:16:31');
INSERT INTO `sys_job_log` VALUES (17296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:36');
INSERT INTO `sys_job_log` VALUES (17297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:16:41');
INSERT INTO `sys_job_log` VALUES (17298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:46');
INSERT INTO `sys_job_log` VALUES (17299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:46');
INSERT INTO `sys_job_log` VALUES (17300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:51');
INSERT INTO `sys_job_log` VALUES (17301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:16:56');
INSERT INTO `sys_job_log` VALUES (17302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:01');
INSERT INTO `sys_job_log` VALUES (17303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:01');
INSERT INTO `sys_job_log` VALUES (17304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:06');
INSERT INTO `sys_job_log` VALUES (17305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:17:11');
INSERT INTO `sys_job_log` VALUES (17306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:16');
INSERT INTO `sys_job_log` VALUES (17307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:16');
INSERT INTO `sys_job_log` VALUES (17308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:21');
INSERT INTO `sys_job_log` VALUES (17309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:26');
INSERT INTO `sys_job_log` VALUES (17310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:17:31');
INSERT INTO `sys_job_log` VALUES (17311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:31');
INSERT INTO `sys_job_log` VALUES (17312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:36');
INSERT INTO `sys_job_log` VALUES (17313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:41');
INSERT INTO `sys_job_log` VALUES (17314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:46');
INSERT INTO `sys_job_log` VALUES (17315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:46');
INSERT INTO `sys_job_log` VALUES (17316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:17:51');
INSERT INTO `sys_job_log` VALUES (17317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:17:56');
INSERT INTO `sys_job_log` VALUES (17318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:01');
INSERT INTO `sys_job_log` VALUES (17319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:18:01');
INSERT INTO `sys_job_log` VALUES (17320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:18:06');
INSERT INTO `sys_job_log` VALUES (17321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:11');
INSERT INTO `sys_job_log` VALUES (17322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:16');
INSERT INTO `sys_job_log` VALUES (17323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:16');
INSERT INTO `sys_job_log` VALUES (17324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:21');
INSERT INTO `sys_job_log` VALUES (17325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:26');
INSERT INTO `sys_job_log` VALUES (17326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:31');
INSERT INTO `sys_job_log` VALUES (17327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:18:31');
INSERT INTO `sys_job_log` VALUES (17328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:36');
INSERT INTO `sys_job_log` VALUES (17329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:18:41');
INSERT INTO `sys_job_log` VALUES (17330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:46');
INSERT INTO `sys_job_log` VALUES (17331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:18:46');
INSERT INTO `sys_job_log` VALUES (17332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:18:51');
INSERT INTO `sys_job_log` VALUES (17333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:18:56');
INSERT INTO `sys_job_log` VALUES (17334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:01');
INSERT INTO `sys_job_log` VALUES (17335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:01');
INSERT INTO `sys_job_log` VALUES (17336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:06');
INSERT INTO `sys_job_log` VALUES (17337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:11');
INSERT INTO `sys_job_log` VALUES (17338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:16');
INSERT INTO `sys_job_log` VALUES (17339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:16');
INSERT INTO `sys_job_log` VALUES (17340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:21');
INSERT INTO `sys_job_log` VALUES (17341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:26');
INSERT INTO `sys_job_log` VALUES (17342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:31');
INSERT INTO `sys_job_log` VALUES (17343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:31');
INSERT INTO `sys_job_log` VALUES (17344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:36');
INSERT INTO `sys_job_log` VALUES (17345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:41');
INSERT INTO `sys_job_log` VALUES (17346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:46');
INSERT INTO `sys_job_log` VALUES (17347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:19:46');
INSERT INTO `sys_job_log` VALUES (17348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:51');
INSERT INTO `sys_job_log` VALUES (17349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:19:56');
INSERT INTO `sys_job_log` VALUES (17350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:01');
INSERT INTO `sys_job_log` VALUES (17351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:01');
INSERT INTO `sys_job_log` VALUES (17352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:06');
INSERT INTO `sys_job_log` VALUES (17353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:11');
INSERT INTO `sys_job_log` VALUES (17354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:20:16');
INSERT INTO `sys_job_log` VALUES (17355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:20:16');
INSERT INTO `sys_job_log` VALUES (17356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:20:21');
INSERT INTO `sys_job_log` VALUES (17357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:26');
INSERT INTO `sys_job_log` VALUES (17358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:31');
INSERT INTO `sys_job_log` VALUES (17359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:31');
INSERT INTO `sys_job_log` VALUES (17360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:36');
INSERT INTO `sys_job_log` VALUES (17361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:41');
INSERT INTO `sys_job_log` VALUES (17362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:46');
INSERT INTO `sys_job_log` VALUES (17363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:20:46');
INSERT INTO `sys_job_log` VALUES (17364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:51');
INSERT INTO `sys_job_log` VALUES (17365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:20:56');
INSERT INTO `sys_job_log` VALUES (17366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:01');
INSERT INTO `sys_job_log` VALUES (17367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:21:01');
INSERT INTO `sys_job_log` VALUES (17368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:21:06');
INSERT INTO `sys_job_log` VALUES (17369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:11');
INSERT INTO `sys_job_log` VALUES (17370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:16');
INSERT INTO `sys_job_log` VALUES (17371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:16');
INSERT INTO `sys_job_log` VALUES (17372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:21:21');
INSERT INTO `sys_job_log` VALUES (17373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:26');
INSERT INTO `sys_job_log` VALUES (17374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:21:31');
INSERT INTO `sys_job_log` VALUES (17375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:21:31');
INSERT INTO `sys_job_log` VALUES (17376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:36');
INSERT INTO `sys_job_log` VALUES (17377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:41');
INSERT INTO `sys_job_log` VALUES (17378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:21:46');
INSERT INTO `sys_job_log` VALUES (17379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:21:46');
INSERT INTO `sys_job_log` VALUES (17380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:21:51');
INSERT INTO `sys_job_log` VALUES (17381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:21:56');
INSERT INTO `sys_job_log` VALUES (17382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:01');
INSERT INTO `sys_job_log` VALUES (17383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:22:01');
INSERT INTO `sys_job_log` VALUES (17384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:06');
INSERT INTO `sys_job_log` VALUES (17385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:11');
INSERT INTO `sys_job_log` VALUES (17386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:16');
INSERT INTO `sys_job_log` VALUES (17387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:16');
INSERT INTO `sys_job_log` VALUES (17388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:22:21');
INSERT INTO `sys_job_log` VALUES (17389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:22:26');
INSERT INTO `sys_job_log` VALUES (17390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:31');
INSERT INTO `sys_job_log` VALUES (17391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:22:31');
INSERT INTO `sys_job_log` VALUES (17392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:22:36');
INSERT INTO `sys_job_log` VALUES (17393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:22:41');
INSERT INTO `sys_job_log` VALUES (17394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:46');
INSERT INTO `sys_job_log` VALUES (17395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:46');
INSERT INTO `sys_job_log` VALUES (17396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:22:51');
INSERT INTO `sys_job_log` VALUES (17397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:22:56');
INSERT INTO `sys_job_log` VALUES (17398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:23:01');
INSERT INTO `sys_job_log` VALUES (17399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:01');
INSERT INTO `sys_job_log` VALUES (17400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:23:06');
INSERT INTO `sys_job_log` VALUES (17401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:11');
INSERT INTO `sys_job_log` VALUES (17402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:16');
INSERT INTO `sys_job_log` VALUES (17403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:16');
INSERT INTO `sys_job_log` VALUES (17404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:23:21');
INSERT INTO `sys_job_log` VALUES (17405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:23:26');
INSERT INTO `sys_job_log` VALUES (17406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:31');
INSERT INTO `sys_job_log` VALUES (17407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:31');
INSERT INTO `sys_job_log` VALUES (17408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:36');
INSERT INTO `sys_job_log` VALUES (17409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:23:41');
INSERT INTO `sys_job_log` VALUES (17410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:23:46');
INSERT INTO `sys_job_log` VALUES (17411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:46');
INSERT INTO `sys_job_log` VALUES (17412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:23:51');
INSERT INTO `sys_job_log` VALUES (17413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:23:56');
INSERT INTO `sys_job_log` VALUES (17414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:24:01');
INSERT INTO `sys_job_log` VALUES (17415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:24:01');
INSERT INTO `sys_job_log` VALUES (17416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:24:06');
INSERT INTO `sys_job_log` VALUES (17417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:24:11');
INSERT INTO `sys_job_log` VALUES (17418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:24:16');
INSERT INTO `sys_job_log` VALUES (17419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:24:16');
INSERT INTO `sys_job_log` VALUES (17420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 13:24:27');
INSERT INTO `sys_job_log` VALUES (17421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:24:31');
INSERT INTO `sys_job_log` VALUES (17422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:24:31');
INSERT INTO `sys_job_log` VALUES (17423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:24:36');
INSERT INTO `sys_job_log` VALUES (17424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:24:41');
INSERT INTO `sys_job_log` VALUES (17425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:24:46');
INSERT INTO `sys_job_log` VALUES (17426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:24:46');
INSERT INTO `sys_job_log` VALUES (17427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:24:51');
INSERT INTO `sys_job_log` VALUES (17428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:24:56');
INSERT INTO `sys_job_log` VALUES (17429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 13:25:06');
INSERT INTO `sys_job_log` VALUES (17430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:25:11');
INSERT INTO `sys_job_log` VALUES (17431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:25:16');
INSERT INTO `sys_job_log` VALUES (17432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:25:16');
INSERT INTO `sys_job_log` VALUES (17433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:25:21');
INSERT INTO `sys_job_log` VALUES (17434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:25:26');
INSERT INTO `sys_job_log` VALUES (17435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:25:31');
INSERT INTO `sys_job_log` VALUES (17436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:25:31');
INSERT INTO `sys_job_log` VALUES (17437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:25:36');
INSERT INTO `sys_job_log` VALUES (17438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:25:41');
INSERT INTO `sys_job_log` VALUES (17439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:25:46');
INSERT INTO `sys_job_log` VALUES (17440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:25:46');
INSERT INTO `sys_job_log` VALUES (17441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:25:51');
INSERT INTO `sys_job_log` VALUES (17442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:25:56');
INSERT INTO `sys_job_log` VALUES (17443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:01');
INSERT INTO `sys_job_log` VALUES (17444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:01');
INSERT INTO `sys_job_log` VALUES (17445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:06');
INSERT INTO `sys_job_log` VALUES (17446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:26:11');
INSERT INTO `sys_job_log` VALUES (17447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:26:16');
INSERT INTO `sys_job_log` VALUES (17448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:26:16');
INSERT INTO `sys_job_log` VALUES (17449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:26:21');
INSERT INTO `sys_job_log` VALUES (17450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:26:26');
INSERT INTO `sys_job_log` VALUES (17451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:31');
INSERT INTO `sys_job_log` VALUES (17452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:31');
INSERT INTO `sys_job_log` VALUES (17453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:36');
INSERT INTO `sys_job_log` VALUES (17454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:26:41');
INSERT INTO `sys_job_log` VALUES (17455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:46');
INSERT INTO `sys_job_log` VALUES (17456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:46');
INSERT INTO `sys_job_log` VALUES (17457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:51');
INSERT INTO `sys_job_log` VALUES (17458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:26:56');
INSERT INTO `sys_job_log` VALUES (17459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:27:01');
INSERT INTO `sys_job_log` VALUES (17460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:27:01');
INSERT INTO `sys_job_log` VALUES (17461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:27:06');
INSERT INTO `sys_job_log` VALUES (17462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2024-12-26 13:27:16');
INSERT INTO `sys_job_log` VALUES (17463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 13:27:16');
INSERT INTO `sys_job_log` VALUES (17464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-26 13:27:21');
INSERT INTO `sys_job_log` VALUES (17465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:27:26');
INSERT INTO `sys_job_log` VALUES (17466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:27:31');
INSERT INTO `sys_job_log` VALUES (17467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:27:31');
INSERT INTO `sys_job_log` VALUES (17468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:27:36');
INSERT INTO `sys_job_log` VALUES (17469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:27:41');
INSERT INTO `sys_job_log` VALUES (17470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:27:46');
INSERT INTO `sys_job_log` VALUES (17471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:27:46');
INSERT INTO `sys_job_log` VALUES (17472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:27:51');
INSERT INTO `sys_job_log` VALUES (17473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:27:56');
INSERT INTO `sys_job_log` VALUES (17474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:01');
INSERT INTO `sys_job_log` VALUES (17475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:01');
INSERT INTO `sys_job_log` VALUES (17476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:28:06');
INSERT INTO `sys_job_log` VALUES (17477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:11');
INSERT INTO `sys_job_log` VALUES (17478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:28:16');
INSERT INTO `sys_job_log` VALUES (17479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:28:16');
INSERT INTO `sys_job_log` VALUES (17480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:21');
INSERT INTO `sys_job_log` VALUES (17481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:28:26');
INSERT INTO `sys_job_log` VALUES (17482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:31');
INSERT INTO `sys_job_log` VALUES (17483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:31');
INSERT INTO `sys_job_log` VALUES (17484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:36');
INSERT INTO `sys_job_log` VALUES (17485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:28:41');
INSERT INTO `sys_job_log` VALUES (17486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:28:46');
INSERT INTO `sys_job_log` VALUES (17487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:28:46');
INSERT INTO `sys_job_log` VALUES (17488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:28:51');
INSERT INTO `sys_job_log` VALUES (17489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:28:56');
INSERT INTO `sys_job_log` VALUES (17490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:01');
INSERT INTO `sys_job_log` VALUES (17491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:01');
INSERT INTO `sys_job_log` VALUES (17492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:29:06');
INSERT INTO `sys_job_log` VALUES (17493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:29:11');
INSERT INTO `sys_job_log` VALUES (17494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:16');
INSERT INTO `sys_job_log` VALUES (17495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:16');
INSERT INTO `sys_job_log` VALUES (17496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:29:21');
INSERT INTO `sys_job_log` VALUES (17497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:29:26');
INSERT INTO `sys_job_log` VALUES (17498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:31');
INSERT INTO `sys_job_log` VALUES (17499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:31');
INSERT INTO `sys_job_log` VALUES (17500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:36');
INSERT INTO `sys_job_log` VALUES (17501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:29:41');
INSERT INTO `sys_job_log` VALUES (17502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:29:46');
INSERT INTO `sys_job_log` VALUES (17503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:29:46');
INSERT INTO `sys_job_log` VALUES (17504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:29:51');
INSERT INTO `sys_job_log` VALUES (17505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:29:56');
INSERT INTO `sys_job_log` VALUES (17506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:01');
INSERT INTO `sys_job_log` VALUES (17507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:01');
INSERT INTO `sys_job_log` VALUES (17508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:30:06');
INSERT INTO `sys_job_log` VALUES (17509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:11');
INSERT INTO `sys_job_log` VALUES (17510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:16');
INSERT INTO `sys_job_log` VALUES (17511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:16');
INSERT INTO `sys_job_log` VALUES (17512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:21');
INSERT INTO `sys_job_log` VALUES (17513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:30:26');
INSERT INTO `sys_job_log` VALUES (17514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:31');
INSERT INTO `sys_job_log` VALUES (17515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:30:31');
INSERT INTO `sys_job_log` VALUES (17516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-26 13:30:36');
INSERT INTO `sys_job_log` VALUES (17517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:41');
INSERT INTO `sys_job_log` VALUES (17518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:30:46');
INSERT INTO `sys_job_log` VALUES (17519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:30:46');
INSERT INTO `sys_job_log` VALUES (17520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:30:51');
INSERT INTO `sys_job_log` VALUES (17521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:30:56');
INSERT INTO `sys_job_log` VALUES (17522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:31:01');
INSERT INTO `sys_job_log` VALUES (17523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:31:01');
INSERT INTO `sys_job_log` VALUES (17524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:06');
INSERT INTO `sys_job_log` VALUES (17525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:31:11');
INSERT INTO `sys_job_log` VALUES (17526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:31:16');
INSERT INTO `sys_job_log` VALUES (17527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:31:16');
INSERT INTO `sys_job_log` VALUES (17528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:31:21');
INSERT INTO `sys_job_log` VALUES (17529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:26');
INSERT INTO `sys_job_log` VALUES (17530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:31:31');
INSERT INTO `sys_job_log` VALUES (17531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:31');
INSERT INTO `sys_job_log` VALUES (17532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:36');
INSERT INTO `sys_job_log` VALUES (17533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:41');
INSERT INTO `sys_job_log` VALUES (17534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:46');
INSERT INTO `sys_job_log` VALUES (17535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:46');
INSERT INTO `sys_job_log` VALUES (17536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:31:51');
INSERT INTO `sys_job_log` VALUES (17537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:31:56');
INSERT INTO `sys_job_log` VALUES (17538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:32:01');
INSERT INTO `sys_job_log` VALUES (17539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:01');
INSERT INTO `sys_job_log` VALUES (17540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:32:06');
INSERT INTO `sys_job_log` VALUES (17541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:11');
INSERT INTO `sys_job_log` VALUES (17542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:32:16');
INSERT INTO `sys_job_log` VALUES (17543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:32:16');
INSERT INTO `sys_job_log` VALUES (17544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:21');
INSERT INTO `sys_job_log` VALUES (17545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:26');
INSERT INTO `sys_job_log` VALUES (17546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:32:31');
INSERT INTO `sys_job_log` VALUES (17547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:31');
INSERT INTO `sys_job_log` VALUES (17548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:36');
INSERT INTO `sys_job_log` VALUES (17549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:41');
INSERT INTO `sys_job_log` VALUES (17550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:46');
INSERT INTO `sys_job_log` VALUES (17551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:46');
INSERT INTO `sys_job_log` VALUES (17552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:32:51');
INSERT INTO `sys_job_log` VALUES (17553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:32:56');
INSERT INTO `sys_job_log` VALUES (17554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:33:01');
INSERT INTO `sys_job_log` VALUES (17555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:33:01');
INSERT INTO `sys_job_log` VALUES (17556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:33:06');
INSERT INTO `sys_job_log` VALUES (17557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:33:11');
INSERT INTO `sys_job_log` VALUES (17558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:33:16');
INSERT INTO `sys_job_log` VALUES (17559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:33:16');
INSERT INTO `sys_job_log` VALUES (17560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:33:21');
INSERT INTO `sys_job_log` VALUES (17561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:33:26');
INSERT INTO `sys_job_log` VALUES (17562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:33:31');
INSERT INTO `sys_job_log` VALUES (17563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:33:31');
INSERT INTO `sys_job_log` VALUES (17564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:33:36');
INSERT INTO `sys_job_log` VALUES (17565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:33:41');
INSERT INTO `sys_job_log` VALUES (17566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:33:46');
INSERT INTO `sys_job_log` VALUES (17567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:33:46');
INSERT INTO `sys_job_log` VALUES (17568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:33:51');
INSERT INTO `sys_job_log` VALUES (17569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:33:56');
INSERT INTO `sys_job_log` VALUES (17570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:01');
INSERT INTO `sys_job_log` VALUES (17571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:01');
INSERT INTO `sys_job_log` VALUES (17572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:06');
INSERT INTO `sys_job_log` VALUES (17573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:11');
INSERT INTO `sys_job_log` VALUES (17574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:16');
INSERT INTO `sys_job_log` VALUES (17575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:16');
INSERT INTO `sys_job_log` VALUES (17576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:34:21');
INSERT INTO `sys_job_log` VALUES (17577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:26');
INSERT INTO `sys_job_log` VALUES (17578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:31');
INSERT INTO `sys_job_log` VALUES (17579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:31');
INSERT INTO `sys_job_log` VALUES (17580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:36');
INSERT INTO `sys_job_log` VALUES (17581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:34:41');
INSERT INTO `sys_job_log` VALUES (17582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:46');
INSERT INTO `sys_job_log` VALUES (17583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:34:46');
INSERT INTO `sys_job_log` VALUES (17584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:51');
INSERT INTO `sys_job_log` VALUES (17585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:34:56');
INSERT INTO `sys_job_log` VALUES (17586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:01');
INSERT INTO `sys_job_log` VALUES (17587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:01');
INSERT INTO `sys_job_log` VALUES (17588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:06');
INSERT INTO `sys_job_log` VALUES (17589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:11');
INSERT INTO `sys_job_log` VALUES (17590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:16');
INSERT INTO `sys_job_log` VALUES (17591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:16');
INSERT INTO `sys_job_log` VALUES (17592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:21');
INSERT INTO `sys_job_log` VALUES (17593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:26');
INSERT INTO `sys_job_log` VALUES (17594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:31');
INSERT INTO `sys_job_log` VALUES (17595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:31');
INSERT INTO `sys_job_log` VALUES (17596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:36');
INSERT INTO `sys_job_log` VALUES (17597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:41');
INSERT INTO `sys_job_log` VALUES (17598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:46');
INSERT INTO `sys_job_log` VALUES (17599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:35:46');
INSERT INTO `sys_job_log` VALUES (17600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:35:51');
INSERT INTO `sys_job_log` VALUES (17601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:35:56');
INSERT INTO `sys_job_log` VALUES (17602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:36:01');
INSERT INTO `sys_job_log` VALUES (17603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:36:01');
INSERT INTO `sys_job_log` VALUES (17604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:36:06');
INSERT INTO `sys_job_log` VALUES (17605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:36:11');
INSERT INTO `sys_job_log` VALUES (17606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:36:16');
INSERT INTO `sys_job_log` VALUES (17607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:36:16');
INSERT INTO `sys_job_log` VALUES (17608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 13:36:31');
INSERT INTO `sys_job_log` VALUES (17609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2024-12-26 13:36:31');
INSERT INTO `sys_job_log` VALUES (17610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:36:36');
INSERT INTO `sys_job_log` VALUES (17611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:36:41');
INSERT INTO `sys_job_log` VALUES (17612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:36:46');
INSERT INTO `sys_job_log` VALUES (17613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:36:46');
INSERT INTO `sys_job_log` VALUES (17614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:36:51');
INSERT INTO `sys_job_log` VALUES (17615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:36:56');
INSERT INTO `sys_job_log` VALUES (17616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:37:01');
INSERT INTO `sys_job_log` VALUES (17617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:37:01');
INSERT INTO `sys_job_log` VALUES (17618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:37:06');
INSERT INTO `sys_job_log` VALUES (17619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:37:11');
INSERT INTO `sys_job_log` VALUES (17620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:16');
INSERT INTO `sys_job_log` VALUES (17621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:16');
INSERT INTO `sys_job_log` VALUES (17622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:21');
INSERT INTO `sys_job_log` VALUES (17623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:26');
INSERT INTO `sys_job_log` VALUES (17624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:31');
INSERT INTO `sys_job_log` VALUES (17625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:31');
INSERT INTO `sys_job_log` VALUES (17626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:36');
INSERT INTO `sys_job_log` VALUES (17627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:37:41');
INSERT INTO `sys_job_log` VALUES (17628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:37:46');
INSERT INTO `sys_job_log` VALUES (17629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:37:46');
INSERT INTO `sys_job_log` VALUES (17630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:37:51');
INSERT INTO `sys_job_log` VALUES (17631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:37:56');
INSERT INTO `sys_job_log` VALUES (17632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:01');
INSERT INTO `sys_job_log` VALUES (17633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:01');
INSERT INTO `sys_job_log` VALUES (17634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:06');
INSERT INTO `sys_job_log` VALUES (17635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:38:11');
INSERT INTO `sys_job_log` VALUES (17636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:16');
INSERT INTO `sys_job_log` VALUES (17637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:16');
INSERT INTO `sys_job_log` VALUES (17638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:21');
INSERT INTO `sys_job_log` VALUES (17639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:26');
INSERT INTO `sys_job_log` VALUES (17640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:38:31');
INSERT INTO `sys_job_log` VALUES (17641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:38:31');
INSERT INTO `sys_job_log` VALUES (17642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:38:36');
INSERT INTO `sys_job_log` VALUES (17643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:38:41');
INSERT INTO `sys_job_log` VALUES (17644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:38:46');
INSERT INTO `sys_job_log` VALUES (17645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:38:46');
INSERT INTO `sys_job_log` VALUES (17646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:38:51');
INSERT INTO `sys_job_log` VALUES (17647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:38:56');
INSERT INTO `sys_job_log` VALUES (17648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:01');
INSERT INTO `sys_job_log` VALUES (17649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:01');
INSERT INTO `sys_job_log` VALUES (17650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:06');
INSERT INTO `sys_job_log` VALUES (17651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:39:11');
INSERT INTO `sys_job_log` VALUES (17652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:39:16');
INSERT INTO `sys_job_log` VALUES (17653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:39:16');
INSERT INTO `sys_job_log` VALUES (17654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:21');
INSERT INTO `sys_job_log` VALUES (17655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:26');
INSERT INTO `sys_job_log` VALUES (17656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:39:31');
INSERT INTO `sys_job_log` VALUES (17657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:39:31');
INSERT INTO `sys_job_log` VALUES (17658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:39:36');
INSERT INTO `sys_job_log` VALUES (17659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:39:41');
INSERT INTO `sys_job_log` VALUES (17660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:46');
INSERT INTO `sys_job_log` VALUES (17661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:46');
INSERT INTO `sys_job_log` VALUES (17662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:51');
INSERT INTO `sys_job_log` VALUES (17663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:39:56');
INSERT INTO `sys_job_log` VALUES (17664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:01');
INSERT INTO `sys_job_log` VALUES (17665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:01');
INSERT INTO `sys_job_log` VALUES (17666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:06');
INSERT INTO `sys_job_log` VALUES (17667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:40:11');
INSERT INTO `sys_job_log` VALUES (17668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:16');
INSERT INTO `sys_job_log` VALUES (17669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:16');
INSERT INTO `sys_job_log` VALUES (17670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:40:21');
INSERT INTO `sys_job_log` VALUES (17671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:40:26');
INSERT INTO `sys_job_log` VALUES (17672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:31');
INSERT INTO `sys_job_log` VALUES (17673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:31');
INSERT INTO `sys_job_log` VALUES (17674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:40:36');
INSERT INTO `sys_job_log` VALUES (17675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:41');
INSERT INTO `sys_job_log` VALUES (17676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:40:46');
INSERT INTO `sys_job_log` VALUES (17677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:40:46');
INSERT INTO `sys_job_log` VALUES (17678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 13:41:01');
INSERT INTO `sys_job_log` VALUES (17679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：10毫秒', '0', '', '2024-12-26 13:41:01');
INSERT INTO `sys_job_log` VALUES (17680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:41:06');
INSERT INTO `sys_job_log` VALUES (17681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:41:11');
INSERT INTO `sys_job_log` VALUES (17682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:41:16');
INSERT INTO `sys_job_log` VALUES (17683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:41:16');
INSERT INTO `sys_job_log` VALUES (17684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:41:21');
INSERT INTO `sys_job_log` VALUES (17685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:41:26');
INSERT INTO `sys_job_log` VALUES (17686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:41:31');
INSERT INTO `sys_job_log` VALUES (17687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:41:31');
INSERT INTO `sys_job_log` VALUES (17688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:41:36');
INSERT INTO `sys_job_log` VALUES (17689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:41:41');
INSERT INTO `sys_job_log` VALUES (17690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:41:46');
INSERT INTO `sys_job_log` VALUES (17691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:41:46');
INSERT INTO `sys_job_log` VALUES (17692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:41:51');
INSERT INTO `sys_job_log` VALUES (17693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:41:56');
INSERT INTO `sys_job_log` VALUES (17694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:42:01');
INSERT INTO `sys_job_log` VALUES (17695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:42:01');
INSERT INTO `sys_job_log` VALUES (17696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:42:06');
INSERT INTO `sys_job_log` VALUES (17697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:42:11');
INSERT INTO `sys_job_log` VALUES (17698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:42:16');
INSERT INTO `sys_job_log` VALUES (17699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:42:16');
INSERT INTO `sys_job_log` VALUES (17700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:42:21');
INSERT INTO `sys_job_log` VALUES (17701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:42:26');
INSERT INTO `sys_job_log` VALUES (17702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 13:42:38');
INSERT INTO `sys_job_log` VALUES (17703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:42:41');
INSERT INTO `sys_job_log` VALUES (17704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:42:46');
INSERT INTO `sys_job_log` VALUES (17705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:42:46');
INSERT INTO `sys_job_log` VALUES (17706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:42:51');
INSERT INTO `sys_job_log` VALUES (17707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:42:56');
INSERT INTO `sys_job_log` VALUES (17708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:43:01');
INSERT INTO `sys_job_log` VALUES (17709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:43:01');
INSERT INTO `sys_job_log` VALUES (17710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:06');
INSERT INTO `sys_job_log` VALUES (17711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:11');
INSERT INTO `sys_job_log` VALUES (17712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:16');
INSERT INTO `sys_job_log` VALUES (17713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:16');
INSERT INTO `sys_job_log` VALUES (17714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:43:21');
INSERT INTO `sys_job_log` VALUES (17715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:43:26');
INSERT INTO `sys_job_log` VALUES (17716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:31');
INSERT INTO `sys_job_log` VALUES (17717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:31');
INSERT INTO `sys_job_log` VALUES (17718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:36');
INSERT INTO `sys_job_log` VALUES (17719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:43:41');
INSERT INTO `sys_job_log` VALUES (17720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:43:46');
INSERT INTO `sys_job_log` VALUES (17721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:43:46');
INSERT INTO `sys_job_log` VALUES (17722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 13:44:02');
INSERT INTO `sys_job_log` VALUES (17723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：9毫秒', '0', '', '2024-12-26 13:44:02');
INSERT INTO `sys_job_log` VALUES (17724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:44:06');
INSERT INTO `sys_job_log` VALUES (17725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:44:11');
INSERT INTO `sys_job_log` VALUES (17726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:16');
INSERT INTO `sys_job_log` VALUES (17727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:16');
INSERT INTO `sys_job_log` VALUES (17728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:21');
INSERT INTO `sys_job_log` VALUES (17729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:26');
INSERT INTO `sys_job_log` VALUES (17730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:31');
INSERT INTO `sys_job_log` VALUES (17731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:44:31');
INSERT INTO `sys_job_log` VALUES (17732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:44:36');
INSERT INTO `sys_job_log` VALUES (17733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:41');
INSERT INTO `sys_job_log` VALUES (17734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:44:46');
INSERT INTO `sys_job_log` VALUES (17735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:44:46');
INSERT INTO `sys_job_log` VALUES (17736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:44:51');
INSERT INTO `sys_job_log` VALUES (17737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:44:56');
INSERT INTO `sys_job_log` VALUES (17738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:01');
INSERT INTO `sys_job_log` VALUES (17739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:01');
INSERT INTO `sys_job_log` VALUES (17740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:06');
INSERT INTO `sys_job_log` VALUES (17741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:11');
INSERT INTO `sys_job_log` VALUES (17742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:16');
INSERT INTO `sys_job_log` VALUES (17743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:45:16');
INSERT INTO `sys_job_log` VALUES (17744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:21');
INSERT INTO `sys_job_log` VALUES (17745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:26');
INSERT INTO `sys_job_log` VALUES (17746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:31');
INSERT INTO `sys_job_log` VALUES (17747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:45:31');
INSERT INTO `sys_job_log` VALUES (17748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:36');
INSERT INTO `sys_job_log` VALUES (17749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:45:41');
INSERT INTO `sys_job_log` VALUES (17750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:45:46');
INSERT INTO `sys_job_log` VALUES (17751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:46');
INSERT INTO `sys_job_log` VALUES (17752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:45:51');
INSERT INTO `sys_job_log` VALUES (17753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:45:56');
INSERT INTO `sys_job_log` VALUES (17754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:01');
INSERT INTO `sys_job_log` VALUES (17755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:01');
INSERT INTO `sys_job_log` VALUES (17756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:06');
INSERT INTO `sys_job_log` VALUES (17757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:11');
INSERT INTO `sys_job_log` VALUES (17758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:16');
INSERT INTO `sys_job_log` VALUES (17759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:16');
INSERT INTO `sys_job_log` VALUES (17760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:46:21');
INSERT INTO `sys_job_log` VALUES (17761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:26');
INSERT INTO `sys_job_log` VALUES (17762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:31');
INSERT INTO `sys_job_log` VALUES (17763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:31');
INSERT INTO `sys_job_log` VALUES (17764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:36');
INSERT INTO `sys_job_log` VALUES (17765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:41');
INSERT INTO `sys_job_log` VALUES (17766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:46');
INSERT INTO `sys_job_log` VALUES (17767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:46');
INSERT INTO `sys_job_log` VALUES (17768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:46:51');
INSERT INTO `sys_job_log` VALUES (17769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:46:56');
INSERT INTO `sys_job_log` VALUES (17770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:01');
INSERT INTO `sys_job_log` VALUES (17771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:01');
INSERT INTO `sys_job_log` VALUES (17772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 13:47:12');
INSERT INTO `sys_job_log` VALUES (17773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:16');
INSERT INTO `sys_job_log` VALUES (17774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3毫秒', '0', '', '2024-12-26 13:47:16');
INSERT INTO `sys_job_log` VALUES (17775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:21');
INSERT INTO `sys_job_log` VALUES (17776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:26');
INSERT INTO `sys_job_log` VALUES (17777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3毫秒', '0', '', '2024-12-26 13:47:31');
INSERT INTO `sys_job_log` VALUES (17778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:47:31');
INSERT INTO `sys_job_log` VALUES (17779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:36');
INSERT INTO `sys_job_log` VALUES (17780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:47:41');
INSERT INTO `sys_job_log` VALUES (17781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:47:46');
INSERT INTO `sys_job_log` VALUES (17782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:46');
INSERT INTO `sys_job_log` VALUES (17783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:47:51');
INSERT INTO `sys_job_log` VALUES (17784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:47:56');
INSERT INTO `sys_job_log` VALUES (17785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:48:01');
INSERT INTO `sys_job_log` VALUES (17786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:48:01');
INSERT INTO `sys_job_log` VALUES (17787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:48:06');
INSERT INTO `sys_job_log` VALUES (17788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:48:11');
INSERT INTO `sys_job_log` VALUES (17789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:48:16');
INSERT INTO `sys_job_log` VALUES (17790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:48:16');
INSERT INTO `sys_job_log` VALUES (17791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 13:48:28');
INSERT INTO `sys_job_log` VALUES (17792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3毫秒', '0', '', '2024-12-26 13:48:31');
INSERT INTO `sys_job_log` VALUES (17793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:48:31');
INSERT INTO `sys_job_log` VALUES (17794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:48:36');
INSERT INTO `sys_job_log` VALUES (17795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:48:41');
INSERT INTO `sys_job_log` VALUES (17796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:48:46');
INSERT INTO `sys_job_log` VALUES (17797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:48:46');
INSERT INTO `sys_job_log` VALUES (17798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:48:51');
INSERT INTO `sys_job_log` VALUES (17799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 13:49:03');
INSERT INTO `sys_job_log` VALUES (17800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：13毫秒', '0', '', '2024-12-26 13:49:03');
INSERT INTO `sys_job_log` VALUES (17801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:06');
INSERT INTO `sys_job_log` VALUES (17802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:11');
INSERT INTO `sys_job_log` VALUES (17803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:49:16');
INSERT INTO `sys_job_log` VALUES (17804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:16');
INSERT INTO `sys_job_log` VALUES (17805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:21');
INSERT INTO `sys_job_log` VALUES (17806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:49:26');
INSERT INTO `sys_job_log` VALUES (17807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:49:31');
INSERT INTO `sys_job_log` VALUES (17808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:31');
INSERT INTO `sys_job_log` VALUES (17809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:49:36');
INSERT INTO `sys_job_log` VALUES (17810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:41');
INSERT INTO `sys_job_log` VALUES (17811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:49:46');
INSERT INTO `sys_job_log` VALUES (17812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:49:46');
INSERT INTO `sys_job_log` VALUES (17813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:49:51');
INSERT INTO `sys_job_log` VALUES (17814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:49:56');
INSERT INTO `sys_job_log` VALUES (17815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:50:01');
INSERT INTO `sys_job_log` VALUES (17816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:01');
INSERT INTO `sys_job_log` VALUES (17817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:06');
INSERT INTO `sys_job_log` VALUES (17818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:11');
INSERT INTO `sys_job_log` VALUES (17819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:16');
INSERT INTO `sys_job_log` VALUES (17820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:16');
INSERT INTO `sys_job_log` VALUES (17821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:21');
INSERT INTO `sys_job_log` VALUES (17822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:50:26');
INSERT INTO `sys_job_log` VALUES (17823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:50:31');
INSERT INTO `sys_job_log` VALUES (17824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:50:31');
INSERT INTO `sys_job_log` VALUES (17825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:36');
INSERT INTO `sys_job_log` VALUES (17826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:50:41');
INSERT INTO `sys_job_log` VALUES (17827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:46');
INSERT INTO `sys_job_log` VALUES (17828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:50:46');
INSERT INTO `sys_job_log` VALUES (17829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:50:51');
INSERT INTO `sys_job_log` VALUES (17830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:50:56');
INSERT INTO `sys_job_log` VALUES (17831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:51:01');
INSERT INTO `sys_job_log` VALUES (17832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:51:01');
INSERT INTO `sys_job_log` VALUES (17833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:51:06');
INSERT INTO `sys_job_log` VALUES (17834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:51:11');
INSERT INTO `sys_job_log` VALUES (17835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:16');
INSERT INTO `sys_job_log` VALUES (17836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:16');
INSERT INTO `sys_job_log` VALUES (17837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:51:21');
INSERT INTO `sys_job_log` VALUES (17838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:51:26');
INSERT INTO `sys_job_log` VALUES (17839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:31');
INSERT INTO `sys_job_log` VALUES (17840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:31');
INSERT INTO `sys_job_log` VALUES (17841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:51:36');
INSERT INTO `sys_job_log` VALUES (17842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:51:41');
INSERT INTO `sys_job_log` VALUES (17843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:46');
INSERT INTO `sys_job_log` VALUES (17844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:46');
INSERT INTO `sys_job_log` VALUES (17845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:51:51');
INSERT INTO `sys_job_log` VALUES (17846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:51:56');
INSERT INTO `sys_job_log` VALUES (17847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:52:01');
INSERT INTO `sys_job_log` VALUES (17848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:52:01');
INSERT INTO `sys_job_log` VALUES (17849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:52:06');
INSERT INTO `sys_job_log` VALUES (17850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:52:11');
INSERT INTO `sys_job_log` VALUES (17851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:52:16');
INSERT INTO `sys_job_log` VALUES (17852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:52:16');
INSERT INTO `sys_job_log` VALUES (17853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:52:21');
INSERT INTO `sys_job_log` VALUES (17854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:52:26');
INSERT INTO `sys_job_log` VALUES (17855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:52:31');
INSERT INTO `sys_job_log` VALUES (17856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:52:31');
INSERT INTO `sys_job_log` VALUES (17857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:52:36');
INSERT INTO `sys_job_log` VALUES (17858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:52:41');
INSERT INTO `sys_job_log` VALUES (17859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:52:46');
INSERT INTO `sys_job_log` VALUES (17860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:52:46');
INSERT INTO `sys_job_log` VALUES (17861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:52:51');
INSERT INTO `sys_job_log` VALUES (17862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:52:56');
INSERT INTO `sys_job_log` VALUES (17863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:01');
INSERT INTO `sys_job_log` VALUES (17864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:01');
INSERT INTO `sys_job_log` VALUES (17865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:06');
INSERT INTO `sys_job_log` VALUES (17866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:53:11');
INSERT INTO `sys_job_log` VALUES (17867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:53:16');
INSERT INTO `sys_job_log` VALUES (17868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:53:16');
INSERT INTO `sys_job_log` VALUES (17869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:53:21');
INSERT INTO `sys_job_log` VALUES (17870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:26');
INSERT INTO `sys_job_log` VALUES (17871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:53:31');
INSERT INTO `sys_job_log` VALUES (17872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:53:31');
INSERT INTO `sys_job_log` VALUES (17873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:36');
INSERT INTO `sys_job_log` VALUES (17874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:53:41');
INSERT INTO `sys_job_log` VALUES (17875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:46');
INSERT INTO `sys_job_log` VALUES (17876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:46');
INSERT INTO `sys_job_log` VALUES (17877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:53:51');
INSERT INTO `sys_job_log` VALUES (17878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:53:56');
INSERT INTO `sys_job_log` VALUES (17879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:01');
INSERT INTO `sys_job_log` VALUES (17880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:01');
INSERT INTO `sys_job_log` VALUES (17881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:06');
INSERT INTO `sys_job_log` VALUES (17882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:11');
INSERT INTO `sys_job_log` VALUES (17883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:16');
INSERT INTO `sys_job_log` VALUES (17884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:16');
INSERT INTO `sys_job_log` VALUES (17885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:54:21');
INSERT INTO `sys_job_log` VALUES (17886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:26');
INSERT INTO `sys_job_log` VALUES (17887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:31');
INSERT INTO `sys_job_log` VALUES (17888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:31');
INSERT INTO `sys_job_log` VALUES (17889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:36');
INSERT INTO `sys_job_log` VALUES (17890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:41');
INSERT INTO `sys_job_log` VALUES (17891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:46');
INSERT INTO `sys_job_log` VALUES (17892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:46');
INSERT INTO `sys_job_log` VALUES (17893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:54:51');
INSERT INTO `sys_job_log` VALUES (17894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:54:56');
INSERT INTO `sys_job_log` VALUES (17895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:01');
INSERT INTO `sys_job_log` VALUES (17896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:01');
INSERT INTO `sys_job_log` VALUES (17897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:06');
INSERT INTO `sys_job_log` VALUES (17898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:55:11');
INSERT INTO `sys_job_log` VALUES (17899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:16');
INSERT INTO `sys_job_log` VALUES (17900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:16');
INSERT INTO `sys_job_log` VALUES (17901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:55:21');
INSERT INTO `sys_job_log` VALUES (17902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:26');
INSERT INTO `sys_job_log` VALUES (17903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:31');
INSERT INTO `sys_job_log` VALUES (17904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:31');
INSERT INTO `sys_job_log` VALUES (17905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:36');
INSERT INTO `sys_job_log` VALUES (17906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:41');
INSERT INTO `sys_job_log` VALUES (17907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 13:55:46');
INSERT INTO `sys_job_log` VALUES (17908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:46');
INSERT INTO `sys_job_log` VALUES (17909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:51');
INSERT INTO `sys_job_log` VALUES (17910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:55:56');
INSERT INTO `sys_job_log` VALUES (17911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:56:01');
INSERT INTO `sys_job_log` VALUES (17912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:56:01');
INSERT INTO `sys_job_log` VALUES (17913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 13:56:06');
INSERT INTO `sys_job_log` VALUES (17914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:56:11');
INSERT INTO `sys_job_log` VALUES (17915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:56:16');
INSERT INTO `sys_job_log` VALUES (17916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:56:16');
INSERT INTO `sys_job_log` VALUES (17917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:56:21');
INSERT INTO `sys_job_log` VALUES (17918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:56:26');
INSERT INTO `sys_job_log` VALUES (17919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 13:58:38');
INSERT INTO `sys_job_log` VALUES (17920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:58:41');
INSERT INTO `sys_job_log` VALUES (17921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:58:46');
INSERT INTO `sys_job_log` VALUES (17922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:58:46');
INSERT INTO `sys_job_log` VALUES (17923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:58:51');
INSERT INTO `sys_job_log` VALUES (17924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:58:56');
INSERT INTO `sys_job_log` VALUES (17925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:01');
INSERT INTO `sys_job_log` VALUES (17926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 13:59:01');
INSERT INTO `sys_job_log` VALUES (17927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:59:06');
INSERT INTO `sys_job_log` VALUES (17928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:59:11');
INSERT INTO `sys_job_log` VALUES (17929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:16');
INSERT INTO `sys_job_log` VALUES (17930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:16');
INSERT INTO `sys_job_log` VALUES (17931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:59:21');
INSERT INTO `sys_job_log` VALUES (17932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:59:26');
INSERT INTO `sys_job_log` VALUES (17933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:31');
INSERT INTO `sys_job_log` VALUES (17934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:31');
INSERT INTO `sys_job_log` VALUES (17935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 13:59:36');
INSERT INTO `sys_job_log` VALUES (17936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:41');
INSERT INTO `sys_job_log` VALUES (17937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:46');
INSERT INTO `sys_job_log` VALUES (17938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:46');
INSERT INTO `sys_job_log` VALUES (17939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:51');
INSERT INTO `sys_job_log` VALUES (17940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 13:59:56');
INSERT INTO `sys_job_log` VALUES (17941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:01');
INSERT INTO `sys_job_log` VALUES (17942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:01');
INSERT INTO `sys_job_log` VALUES (17943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:06');
INSERT INTO `sys_job_log` VALUES (17944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:00:11');
INSERT INTO `sys_job_log` VALUES (17945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:16');
INSERT INTO `sys_job_log` VALUES (17946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:16');
INSERT INTO `sys_job_log` VALUES (17947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:00:21');
INSERT INTO `sys_job_log` VALUES (17948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:00:26');
INSERT INTO `sys_job_log` VALUES (17949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:31');
INSERT INTO `sys_job_log` VALUES (17950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:31');
INSERT INTO `sys_job_log` VALUES (17951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:36');
INSERT INTO `sys_job_log` VALUES (17952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:00:41');
INSERT INTO `sys_job_log` VALUES (17953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:00:46');
INSERT INTO `sys_job_log` VALUES (17954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:46');
INSERT INTO `sys_job_log` VALUES (17955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:51');
INSERT INTO `sys_job_log` VALUES (17956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:00:56');
INSERT INTO `sys_job_log` VALUES (17957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:01:01');
INSERT INTO `sys_job_log` VALUES (17958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:01:01');
INSERT INTO `sys_job_log` VALUES (17959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:01:06');
INSERT INTO `sys_job_log` VALUES (17960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:01:11');
INSERT INTO `sys_job_log` VALUES (17961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:01:16');
INSERT INTO `sys_job_log` VALUES (17962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:01:16');
INSERT INTO `sys_job_log` VALUES (17963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:01:21');
INSERT INTO `sys_job_log` VALUES (17964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-26 14:01:36');
INSERT INTO `sys_job_log` VALUES (17965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:01:41');
INSERT INTO `sys_job_log` VALUES (17966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:01:46');
INSERT INTO `sys_job_log` VALUES (17967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:01:46');
INSERT INTO `sys_job_log` VALUES (17968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:01:51');
INSERT INTO `sys_job_log` VALUES (17969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:01:56');
INSERT INTO `sys_job_log` VALUES (17970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:02:01');
INSERT INTO `sys_job_log` VALUES (17971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:02:01');
INSERT INTO `sys_job_log` VALUES (17972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:02:06');
INSERT INTO `sys_job_log` VALUES (17973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:02:11');
INSERT INTO `sys_job_log` VALUES (17974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:02:16');
INSERT INTO `sys_job_log` VALUES (17975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:02:16');
INSERT INTO `sys_job_log` VALUES (17976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:02:21');
INSERT INTO `sys_job_log` VALUES (17977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:02:26');
INSERT INTO `sys_job_log` VALUES (17978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:02:31');
INSERT INTO `sys_job_log` VALUES (17979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:02:31');
INSERT INTO `sys_job_log` VALUES (17980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:02:36');
INSERT INTO `sys_job_log` VALUES (17981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:02:41');
INSERT INTO `sys_job_log` VALUES (17982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:02:46');
INSERT INTO `sys_job_log` VALUES (17983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:02:46');
INSERT INTO `sys_job_log` VALUES (17984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:02:51');
INSERT INTO `sys_job_log` VALUES (17985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:02:56');
INSERT INTO `sys_job_log` VALUES (17986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:01');
INSERT INTO `sys_job_log` VALUES (17987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:01');
INSERT INTO `sys_job_log` VALUES (17988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:06');
INSERT INTO `sys_job_log` VALUES (17989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:11');
INSERT INTO `sys_job_log` VALUES (17990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:16');
INSERT INTO `sys_job_log` VALUES (17991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:16');
INSERT INTO `sys_job_log` VALUES (17992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:21');
INSERT INTO `sys_job_log` VALUES (17993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:26');
INSERT INTO `sys_job_log` VALUES (17994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:31');
INSERT INTO `sys_job_log` VALUES (17995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:03:31');
INSERT INTO `sys_job_log` VALUES (17996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:36');
INSERT INTO `sys_job_log` VALUES (17997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:41');
INSERT INTO `sys_job_log` VALUES (17998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:46');
INSERT INTO `sys_job_log` VALUES (17999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:46');
INSERT INTO `sys_job_log` VALUES (18000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:03:51');
INSERT INTO `sys_job_log` VALUES (18001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:03:56');
INSERT INTO `sys_job_log` VALUES (18002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:04:01');
INSERT INTO `sys_job_log` VALUES (18003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:04:01');
INSERT INTO `sys_job_log` VALUES (18004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:04:06');
INSERT INTO `sys_job_log` VALUES (18005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:04:11');
INSERT INTO `sys_job_log` VALUES (18006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:04:16');
INSERT INTO `sys_job_log` VALUES (18007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:04:16');
INSERT INTO `sys_job_log` VALUES (18008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:04:21');
INSERT INTO `sys_job_log` VALUES (18009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:04:26');
INSERT INTO `sys_job_log` VALUES (18010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:04:31');
INSERT INTO `sys_job_log` VALUES (18011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3毫秒', '0', '', '2024-12-26 14:04:31');
INSERT INTO `sys_job_log` VALUES (18012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:04:36');
INSERT INTO `sys_job_log` VALUES (18013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:04:41');
INSERT INTO `sys_job_log` VALUES (18014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:04:46');
INSERT INTO `sys_job_log` VALUES (18015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:04:46');
INSERT INTO `sys_job_log` VALUES (18016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:04:51');
INSERT INTO `sys_job_log` VALUES (18017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:04:56');
INSERT INTO `sys_job_log` VALUES (18018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:01');
INSERT INTO `sys_job_log` VALUES (18019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:01');
INSERT INTO `sys_job_log` VALUES (18020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:06');
INSERT INTO `sys_job_log` VALUES (18021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:11');
INSERT INTO `sys_job_log` VALUES (18022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-26 14:05:22');
INSERT INTO `sys_job_log` VALUES (18023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:26');
INSERT INTO `sys_job_log` VALUES (18024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:05:31');
INSERT INTO `sys_job_log` VALUES (18025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:31');
INSERT INTO `sys_job_log` VALUES (18026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:36');
INSERT INTO `sys_job_log` VALUES (18027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:05:41');
INSERT INTO `sys_job_log` VALUES (18028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:05:46');
INSERT INTO `sys_job_log` VALUES (18029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:05:46');
INSERT INTO `sys_job_log` VALUES (18030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-26 14:05:56');
INSERT INTO `sys_job_log` VALUES (18031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：11毫秒', '0', '', '2024-12-26 14:06:02');
INSERT INTO `sys_job_log` VALUES (18032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-26 14:06:02');
INSERT INTO `sys_job_log` VALUES (18033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:06:06');
INSERT INTO `sys_job_log` VALUES (18034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:11');
INSERT INTO `sys_job_log` VALUES (18035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:16');
INSERT INTO `sys_job_log` VALUES (18036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:16');
INSERT INTO `sys_job_log` VALUES (18037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:21');
INSERT INTO `sys_job_log` VALUES (18038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:26');
INSERT INTO `sys_job_log` VALUES (18039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:31');
INSERT INTO `sys_job_log` VALUES (18040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:31');
INSERT INTO `sys_job_log` VALUES (18041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:36');
INSERT INTO `sys_job_log` VALUES (18042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17毫秒', '0', '', '2024-12-26 14:06:46');
INSERT INTO `sys_job_log` VALUES (18043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-26 14:06:46');
INSERT INTO `sys_job_log` VALUES (18044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:06:51');
INSERT INTO `sys_job_log` VALUES (18045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:06:56');
INSERT INTO `sys_job_log` VALUES (18046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:01');
INSERT INTO `sys_job_log` VALUES (18047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:01');
INSERT INTO `sys_job_log` VALUES (18048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:07:06');
INSERT INTO `sys_job_log` VALUES (18049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:11');
INSERT INTO `sys_job_log` VALUES (18050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:07:16');
INSERT INTO `sys_job_log` VALUES (18051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:07:16');
INSERT INTO `sys_job_log` VALUES (18052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:21');
INSERT INTO `sys_job_log` VALUES (18053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:07:26');
INSERT INTO `sys_job_log` VALUES (18054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:07:31');
INSERT INTO `sys_job_log` VALUES (18055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:07:31');
INSERT INTO `sys_job_log` VALUES (18056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:07:36');
INSERT INTO `sys_job_log` VALUES (18057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:07:41');
INSERT INTO `sys_job_log` VALUES (18058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:46');
INSERT INTO `sys_job_log` VALUES (18059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:46');
INSERT INTO `sys_job_log` VALUES (18060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:07:51');
INSERT INTO `sys_job_log` VALUES (18061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:07:56');
INSERT INTO `sys_job_log` VALUES (18062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:08:01');
INSERT INTO `sys_job_log` VALUES (18063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:08:01');
INSERT INTO `sys_job_log` VALUES (18064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:08:06');
INSERT INTO `sys_job_log` VALUES (18065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:08:11');
INSERT INTO `sys_job_log` VALUES (18066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:16');
INSERT INTO `sys_job_log` VALUES (18067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:16');
INSERT INTO `sys_job_log` VALUES (18068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:21');
INSERT INTO `sys_job_log` VALUES (18069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:26');
INSERT INTO `sys_job_log` VALUES (18070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:08:32');
INSERT INTO `sys_job_log` VALUES (18071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:08:32');
INSERT INTO `sys_job_log` VALUES (18072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-26 14:08:41');
INSERT INTO `sys_job_log` VALUES (18073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:46');
INSERT INTO `sys_job_log` VALUES (18074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:46');
INSERT INTO `sys_job_log` VALUES (18075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:08:51');
INSERT INTO `sys_job_log` VALUES (18076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 14:09:11');
INSERT INTO `sys_job_log` VALUES (18077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:16');
INSERT INTO `sys_job_log` VALUES (18078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:16');
INSERT INTO `sys_job_log` VALUES (18079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:21');
INSERT INTO `sys_job_log` VALUES (18080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:26');
INSERT INTO `sys_job_log` VALUES (18081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:09:31');
INSERT INTO `sys_job_log` VALUES (18082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:09:31');
INSERT INTO `sys_job_log` VALUES (18083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:36');
INSERT INTO `sys_job_log` VALUES (18084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:41');
INSERT INTO `sys_job_log` VALUES (18085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:09:46');
INSERT INTO `sys_job_log` VALUES (18086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:09:46');
INSERT INTO `sys_job_log` VALUES (18087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:09:51');
INSERT INTO `sys_job_log` VALUES (18088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:09:56');
INSERT INTO `sys_job_log` VALUES (18089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:10:01');
INSERT INTO `sys_job_log` VALUES (18090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:10:01');
INSERT INTO `sys_job_log` VALUES (18091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:10:06');
INSERT INTO `sys_job_log` VALUES (18092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-26 14:10:11');
INSERT INTO `sys_job_log` VALUES (18093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:10:16');
INSERT INTO `sys_job_log` VALUES (18094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:10:16');
INSERT INTO `sys_job_log` VALUES (18095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:10:21');
INSERT INTO `sys_job_log` VALUES (18096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:10:26');
INSERT INTO `sys_job_log` VALUES (18097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-26 14:10:39');
INSERT INTO `sys_job_log` VALUES (18098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:10:41');
INSERT INTO `sys_job_log` VALUES (18099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:10:46');
INSERT INTO `sys_job_log` VALUES (18100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:10:46');
INSERT INTO `sys_job_log` VALUES (18101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:10:51');
INSERT INTO `sys_job_log` VALUES (18102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:10:56');
INSERT INTO `sys_job_log` VALUES (18103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:11:01');
INSERT INTO `sys_job_log` VALUES (18104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:11:01');
INSERT INTO `sys_job_log` VALUES (18105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:11:06');
INSERT INTO `sys_job_log` VALUES (18106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:11:11');
INSERT INTO `sys_job_log` VALUES (18107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:11:16');
INSERT INTO `sys_job_log` VALUES (18108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:11:16');
INSERT INTO `sys_job_log` VALUES (18109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:11:21');
INSERT INTO `sys_job_log` VALUES (18110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:11:26');
INSERT INTO `sys_job_log` VALUES (18111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:11:31');
INSERT INTO `sys_job_log` VALUES (18112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:11:31');
INSERT INTO `sys_job_log` VALUES (18113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:11:36');
INSERT INTO `sys_job_log` VALUES (18114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:11:41');
INSERT INTO `sys_job_log` VALUES (18115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:11:46');
INSERT INTO `sys_job_log` VALUES (18116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:11:46');
INSERT INTO `sys_job_log` VALUES (18117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:11:51');
INSERT INTO `sys_job_log` VALUES (18118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:11:56');
INSERT INTO `sys_job_log` VALUES (18119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:01');
INSERT INTO `sys_job_log` VALUES (18120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:01');
INSERT INTO `sys_job_log` VALUES (18121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:12:06');
INSERT INTO `sys_job_log` VALUES (18122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:11');
INSERT INTO `sys_job_log` VALUES (18123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:16');
INSERT INTO `sys_job_log` VALUES (18124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:16');
INSERT INTO `sys_job_log` VALUES (18125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:21');
INSERT INTO `sys_job_log` VALUES (18126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:26');
INSERT INTO `sys_job_log` VALUES (18127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:31');
INSERT INTO `sys_job_log` VALUES (18128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:31');
INSERT INTO `sys_job_log` VALUES (18129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:36');
INSERT INTO `sys_job_log` VALUES (18130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:12:41');
INSERT INTO `sys_job_log` VALUES (18131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:46');
INSERT INTO `sys_job_log` VALUES (18132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:46');
INSERT INTO `sys_job_log` VALUES (18133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:51');
INSERT INTO `sys_job_log` VALUES (18134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:12:56');
INSERT INTO `sys_job_log` VALUES (18135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:13:01');
INSERT INTO `sys_job_log` VALUES (18136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:13:01');
INSERT INTO `sys_job_log` VALUES (18137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:06');
INSERT INTO `sys_job_log` VALUES (18138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:11');
INSERT INTO `sys_job_log` VALUES (18139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:16');
INSERT INTO `sys_job_log` VALUES (18140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:16');
INSERT INTO `sys_job_log` VALUES (18141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:13:21');
INSERT INTO `sys_job_log` VALUES (18142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:26');
INSERT INTO `sys_job_log` VALUES (18143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:13:31');
INSERT INTO `sys_job_log` VALUES (18144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:13:31');
INSERT INTO `sys_job_log` VALUES (18145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:13:36');
INSERT INTO `sys_job_log` VALUES (18146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:13:41');
INSERT INTO `sys_job_log` VALUES (18147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:46');
INSERT INTO `sys_job_log` VALUES (18148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:46');
INSERT INTO `sys_job_log` VALUES (18149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:51');
INSERT INTO `sys_job_log` VALUES (18150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:13:56');
INSERT INTO `sys_job_log` VALUES (18151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:01');
INSERT INTO `sys_job_log` VALUES (18152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:01');
INSERT INTO `sys_job_log` VALUES (18153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:06');
INSERT INTO `sys_job_log` VALUES (18154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:14:11');
INSERT INTO `sys_job_log` VALUES (18155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:16');
INSERT INTO `sys_job_log` VALUES (18156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:16');
INSERT INTO `sys_job_log` VALUES (18157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:14:21');
INSERT INTO `sys_job_log` VALUES (18158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:14:26');
INSERT INTO `sys_job_log` VALUES (18159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:31');
INSERT INTO `sys_job_log` VALUES (18160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:31');
INSERT INTO `sys_job_log` VALUES (18161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:14:36');
INSERT INTO `sys_job_log` VALUES (18162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:14:41');
INSERT INTO `sys_job_log` VALUES (18163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:46');
INSERT INTO `sys_job_log` VALUES (18164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:46');
INSERT INTO `sys_job_log` VALUES (18165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:14:51');
INSERT INTO `sys_job_log` VALUES (18166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:14:56');
INSERT INTO `sys_job_log` VALUES (18167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:01');
INSERT INTO `sys_job_log` VALUES (18168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:01');
INSERT INTO `sys_job_log` VALUES (18169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:06');
INSERT INTO `sys_job_log` VALUES (18170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:11');
INSERT INTO `sys_job_log` VALUES (18171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:16');
INSERT INTO `sys_job_log` VALUES (18172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:16');
INSERT INTO `sys_job_log` VALUES (18173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:21');
INSERT INTO `sys_job_log` VALUES (18174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:15:26');
INSERT INTO `sys_job_log` VALUES (18175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:31');
INSERT INTO `sys_job_log` VALUES (18176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:31');
INSERT INTO `sys_job_log` VALUES (18177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:36');
INSERT INTO `sys_job_log` VALUES (18178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:15:41');
INSERT INTO `sys_job_log` VALUES (18179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:46');
INSERT INTO `sys_job_log` VALUES (18180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:46');
INSERT INTO `sys_job_log` VALUES (18181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:51');
INSERT INTO `sys_job_log` VALUES (18182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:15:56');
INSERT INTO `sys_job_log` VALUES (18183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:01');
INSERT INTO `sys_job_log` VALUES (18184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:16:01');
INSERT INTO `sys_job_log` VALUES (18185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:06');
INSERT INTO `sys_job_log` VALUES (18186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:11');
INSERT INTO `sys_job_log` VALUES (18187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:16:16');
INSERT INTO `sys_job_log` VALUES (18188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:16:16');
INSERT INTO `sys_job_log` VALUES (18189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:21');
INSERT INTO `sys_job_log` VALUES (18190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:26');
INSERT INTO `sys_job_log` VALUES (18191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:31');
INSERT INTO `sys_job_log` VALUES (18192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:16:31');
INSERT INTO `sys_job_log` VALUES (18193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:36');
INSERT INTO `sys_job_log` VALUES (18194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:41');
INSERT INTO `sys_job_log` VALUES (18195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:16:46');
INSERT INTO `sys_job_log` VALUES (18196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:16:46');
INSERT INTO `sys_job_log` VALUES (18197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:51');
INSERT INTO `sys_job_log` VALUES (18198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:16:56');
INSERT INTO `sys_job_log` VALUES (18199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:01');
INSERT INTO `sys_job_log` VALUES (18200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:01');
INSERT INTO `sys_job_log` VALUES (18201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:06');
INSERT INTO `sys_job_log` VALUES (18202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:11');
INSERT INTO `sys_job_log` VALUES (18203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:16');
INSERT INTO `sys_job_log` VALUES (18204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:16');
INSERT INTO `sys_job_log` VALUES (18205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:21');
INSERT INTO `sys_job_log` VALUES (18206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:26');
INSERT INTO `sys_job_log` VALUES (18207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:31');
INSERT INTO `sys_job_log` VALUES (18208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:31');
INSERT INTO `sys_job_log` VALUES (18209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:36');
INSERT INTO `sys_job_log` VALUES (18210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:41');
INSERT INTO `sys_job_log` VALUES (18211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:46');
INSERT INTO `sys_job_log` VALUES (18212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:46');
INSERT INTO `sys_job_log` VALUES (18213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:17:51');
INSERT INTO `sys_job_log` VALUES (18214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:17:56');
INSERT INTO `sys_job_log` VALUES (18215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:01');
INSERT INTO `sys_job_log` VALUES (18216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:01');
INSERT INTO `sys_job_log` VALUES (18217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:18:06');
INSERT INTO `sys_job_log` VALUES (18218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:11');
INSERT INTO `sys_job_log` VALUES (18219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:16');
INSERT INTO `sys_job_log` VALUES (18220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:16');
INSERT INTO `sys_job_log` VALUES (18221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:21');
INSERT INTO `sys_job_log` VALUES (18222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:26');
INSERT INTO `sys_job_log` VALUES (18223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:31');
INSERT INTO `sys_job_log` VALUES (18224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:18:31');
INSERT INTO `sys_job_log` VALUES (18225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:18:36');
INSERT INTO `sys_job_log` VALUES (18226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:41');
INSERT INTO `sys_job_log` VALUES (18227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:46');
INSERT INTO `sys_job_log` VALUES (18228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:18:46');
INSERT INTO `sys_job_log` VALUES (18229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:18:51');
INSERT INTO `sys_job_log` VALUES (18230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:18:56');
INSERT INTO `sys_job_log` VALUES (18231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:01');
INSERT INTO `sys_job_log` VALUES (18232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:01');
INSERT INTO `sys_job_log` VALUES (18233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:19:06');
INSERT INTO `sys_job_log` VALUES (18234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:11');
INSERT INTO `sys_job_log` VALUES (18235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6毫秒', '0', '', '2024-12-26 14:19:16');
INSERT INTO `sys_job_log` VALUES (18236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-26 14:19:16');
INSERT INTO `sys_job_log` VALUES (18237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:21');
INSERT INTO `sys_job_log` VALUES (18238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:26');
INSERT INTO `sys_job_log` VALUES (18239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-26 14:19:41');
INSERT INTO `sys_job_log` VALUES (18240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:19:46');
INSERT INTO `sys_job_log` VALUES (18241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:46');
INSERT INTO `sys_job_log` VALUES (18242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:51');
INSERT INTO `sys_job_log` VALUES (18243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:19:56');
INSERT INTO `sys_job_log` VALUES (18244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:20:01');
INSERT INTO `sys_job_log` VALUES (18245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:20:01');
INSERT INTO `sys_job_log` VALUES (18246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:20:06');
INSERT INTO `sys_job_log` VALUES (18247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:20:11');
INSERT INTO `sys_job_log` VALUES (18248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:20:16');
INSERT INTO `sys_job_log` VALUES (18249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:20:16');
INSERT INTO `sys_job_log` VALUES (18250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:20:21');
INSERT INTO `sys_job_log` VALUES (18251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-26 14:20:36');
INSERT INTO `sys_job_log` VALUES (18252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:20:41');
INSERT INTO `sys_job_log` VALUES (18253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:20:46');
INSERT INTO `sys_job_log` VALUES (18254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:20:46');
INSERT INTO `sys_job_log` VALUES (18255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:20:51');
INSERT INTO `sys_job_log` VALUES (18256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:20:56');
INSERT INTO `sys_job_log` VALUES (18257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:01');
INSERT INTO `sys_job_log` VALUES (18258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:01');
INSERT INTO `sys_job_log` VALUES (18259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:21:06');
INSERT INTO `sys_job_log` VALUES (18260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:11');
INSERT INTO `sys_job_log` VALUES (18261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:16');
INSERT INTO `sys_job_log` VALUES (18262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:21:16');
INSERT INTO `sys_job_log` VALUES (18263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:21');
INSERT INTO `sys_job_log` VALUES (18264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:26');
INSERT INTO `sys_job_log` VALUES (18265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:31');
INSERT INTO `sys_job_log` VALUES (18266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:31');
INSERT INTO `sys_job_log` VALUES (18267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:21:36');
INSERT INTO `sys_job_log` VALUES (18268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:41');
INSERT INTO `sys_job_log` VALUES (18269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:46');
INSERT INTO `sys_job_log` VALUES (18270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:46');
INSERT INTO `sys_job_log` VALUES (18271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:21:51');
INSERT INTO `sys_job_log` VALUES (18272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:21:56');
INSERT INTO `sys_job_log` VALUES (18273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:01');
INSERT INTO `sys_job_log` VALUES (18274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:01');
INSERT INTO `sys_job_log` VALUES (18275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:06');
INSERT INTO `sys_job_log` VALUES (18276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:11');
INSERT INTO `sys_job_log` VALUES (18277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:22:16');
INSERT INTO `sys_job_log` VALUES (18278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:16');
INSERT INTO `sys_job_log` VALUES (18279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:21');
INSERT INTO `sys_job_log` VALUES (18280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:26');
INSERT INTO `sys_job_log` VALUES (18281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:31');
INSERT INTO `sys_job_log` VALUES (18282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:31');
INSERT INTO `sys_job_log` VALUES (18283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:36');
INSERT INTO `sys_job_log` VALUES (18284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:41');
INSERT INTO `sys_job_log` VALUES (18285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:46');
INSERT INTO `sys_job_log` VALUES (18286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:46');
INSERT INTO `sys_job_log` VALUES (18287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:22:51');
INSERT INTO `sys_job_log` VALUES (18288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:22:56');
INSERT INTO `sys_job_log` VALUES (18289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:23:01');
INSERT INTO `sys_job_log` VALUES (18290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:01');
INSERT INTO `sys_job_log` VALUES (18291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:23:06');
INSERT INTO `sys_job_log` VALUES (18292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:23:11');
INSERT INTO `sys_job_log` VALUES (18293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：9毫秒', '0', '', '2024-12-26 14:23:16');
INSERT INTO `sys_job_log` VALUES (18294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-26 14:23:16');
INSERT INTO `sys_job_log` VALUES (18295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:21');
INSERT INTO `sys_job_log` VALUES (18296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:26');
INSERT INTO `sys_job_log` VALUES (18297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:31');
INSERT INTO `sys_job_log` VALUES (18298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:31');
INSERT INTO `sys_job_log` VALUES (18299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:36');
INSERT INTO `sys_job_log` VALUES (18300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:23:41');
INSERT INTO `sys_job_log` VALUES (18301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:23:46');
INSERT INTO `sys_job_log` VALUES (18302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:23:46');
INSERT INTO `sys_job_log` VALUES (18303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:23:51');
INSERT INTO `sys_job_log` VALUES (18304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:23:56');
INSERT INTO `sys_job_log` VALUES (18305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:24:01');
INSERT INTO `sys_job_log` VALUES (18306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:24:01');
INSERT INTO `sys_job_log` VALUES (18307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:24:06');
INSERT INTO `sys_job_log` VALUES (18308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:24:11');
INSERT INTO `sys_job_log` VALUES (18309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:24:16');
INSERT INTO `sys_job_log` VALUES (18310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:24:16');
INSERT INTO `sys_job_log` VALUES (18311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:24:21');
INSERT INTO `sys_job_log` VALUES (18312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:24:26');
INSERT INTO `sys_job_log` VALUES (18313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:24:31');
INSERT INTO `sys_job_log` VALUES (18314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:24:31');
INSERT INTO `sys_job_log` VALUES (18315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:24:36');
INSERT INTO `sys_job_log` VALUES (18316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:24:41');
INSERT INTO `sys_job_log` VALUES (18317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:24:46');
INSERT INTO `sys_job_log` VALUES (18318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:24:46');
INSERT INTO `sys_job_log` VALUES (18319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:24:51');
INSERT INTO `sys_job_log` VALUES (18320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:24:56');
INSERT INTO `sys_job_log` VALUES (18321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:25:01');
INSERT INTO `sys_job_log` VALUES (18322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:25:01');
INSERT INTO `sys_job_log` VALUES (18323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:25:06');
INSERT INTO `sys_job_log` VALUES (18324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:25:11');
INSERT INTO `sys_job_log` VALUES (18325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:16');
INSERT INTO `sys_job_log` VALUES (18326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:16');
INSERT INTO `sys_job_log` VALUES (18327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:21');
INSERT INTO `sys_job_log` VALUES (18328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:26');
INSERT INTO `sys_job_log` VALUES (18329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:31');
INSERT INTO `sys_job_log` VALUES (18330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:31');
INSERT INTO `sys_job_log` VALUES (18331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:25:36');
INSERT INTO `sys_job_log` VALUES (18332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:41');
INSERT INTO `sys_job_log` VALUES (18333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:46');
INSERT INTO `sys_job_log` VALUES (18334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:46');
INSERT INTO `sys_job_log` VALUES (18335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:25:51');
INSERT INTO `sys_job_log` VALUES (18336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:25:56');
INSERT INTO `sys_job_log` VALUES (18337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:26:01');
INSERT INTO `sys_job_log` VALUES (18338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:26:01');
INSERT INTO `sys_job_log` VALUES (18339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:26:06');
INSERT INTO `sys_job_log` VALUES (18340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:26:11');
INSERT INTO `sys_job_log` VALUES (18341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:26:16');
INSERT INTO `sys_job_log` VALUES (18342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:26:16');
INSERT INTO `sys_job_log` VALUES (18343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:21');
INSERT INTO `sys_job_log` VALUES (18344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:26:26');
INSERT INTO `sys_job_log` VALUES (18345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:31');
INSERT INTO `sys_job_log` VALUES (18346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:31');
INSERT INTO `sys_job_log` VALUES (18347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:36');
INSERT INTO `sys_job_log` VALUES (18348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:41');
INSERT INTO `sys_job_log` VALUES (18349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:46');
INSERT INTO `sys_job_log` VALUES (18350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:26:46');
INSERT INTO `sys_job_log` VALUES (18351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:26:51');
INSERT INTO `sys_job_log` VALUES (18352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:26:56');
INSERT INTO `sys_job_log` VALUES (18353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:01');
INSERT INTO `sys_job_log` VALUES (18354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:01');
INSERT INTO `sys_job_log` VALUES (18355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:27:06');
INSERT INTO `sys_job_log` VALUES (18356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:27:11');
INSERT INTO `sys_job_log` VALUES (18357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:16');
INSERT INTO `sys_job_log` VALUES (18358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:16');
INSERT INTO `sys_job_log` VALUES (18359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:27:21');
INSERT INTO `sys_job_log` VALUES (18360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:27:26');
INSERT INTO `sys_job_log` VALUES (18361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:31');
INSERT INTO `sys_job_log` VALUES (18362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:31');
INSERT INTO `sys_job_log` VALUES (18363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:36');
INSERT INTO `sys_job_log` VALUES (18364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:41');
INSERT INTO `sys_job_log` VALUES (18365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:46');
INSERT INTO `sys_job_log` VALUES (18366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:46');
INSERT INTO `sys_job_log` VALUES (18367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:27:51');
INSERT INTO `sys_job_log` VALUES (18368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:27:56');
INSERT INTO `sys_job_log` VALUES (18369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 14:28:02');
INSERT INTO `sys_job_log` VALUES (18370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2024-12-26 14:28:02');
INSERT INTO `sys_job_log` VALUES (18371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:28:06');
INSERT INTO `sys_job_log` VALUES (18372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:28:11');
INSERT INTO `sys_job_log` VALUES (18373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:28:16');
INSERT INTO `sys_job_log` VALUES (18374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:28:16');
INSERT INTO `sys_job_log` VALUES (18375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:28:21');
INSERT INTO `sys_job_log` VALUES (18376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:28:26');
INSERT INTO `sys_job_log` VALUES (18377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:28:31');
INSERT INTO `sys_job_log` VALUES (18378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:28:31');
INSERT INTO `sys_job_log` VALUES (18379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:28:36');
INSERT INTO `sys_job_log` VALUES (18380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:28:41');
INSERT INTO `sys_job_log` VALUES (18381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:28:46');
INSERT INTO `sys_job_log` VALUES (18382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:28:46');
INSERT INTO `sys_job_log` VALUES (18383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:28:51');
INSERT INTO `sys_job_log` VALUES (18384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:28:56');
INSERT INTO `sys_job_log` VALUES (18385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:01');
INSERT INTO `sys_job_log` VALUES (18386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:29:01');
INSERT INTO `sys_job_log` VALUES (18387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:29:06');
INSERT INTO `sys_job_log` VALUES (18388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:11');
INSERT INTO `sys_job_log` VALUES (18389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:16');
INSERT INTO `sys_job_log` VALUES (18390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:16');
INSERT INTO `sys_job_log` VALUES (18391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12毫秒', '0', '', '2024-12-26 14:29:31');
INSERT INTO `sys_job_log` VALUES (18392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-26 14:29:31');
INSERT INTO `sys_job_log` VALUES (18393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:36');
INSERT INTO `sys_job_log` VALUES (18394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:41');
INSERT INTO `sys_job_log` VALUES (18395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:46');
INSERT INTO `sys_job_log` VALUES (18396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:29:46');
INSERT INTO `sys_job_log` VALUES (18397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:29:51');
INSERT INTO `sys_job_log` VALUES (18398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-26 14:30:06');
INSERT INTO `sys_job_log` VALUES (18399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:11');
INSERT INTO `sys_job_log` VALUES (18400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:30:16');
INSERT INTO `sys_job_log` VALUES (18401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:30:16');
INSERT INTO `sys_job_log` VALUES (18402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:30:21');
INSERT INTO `sys_job_log` VALUES (18403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:26');
INSERT INTO `sys_job_log` VALUES (18404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:30:31');
INSERT INTO `sys_job_log` VALUES (18405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:30:31');
INSERT INTO `sys_job_log` VALUES (18406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:36');
INSERT INTO `sys_job_log` VALUES (18407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:41');
INSERT INTO `sys_job_log` VALUES (18408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:46');
INSERT INTO `sys_job_log` VALUES (18409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:46');
INSERT INTO `sys_job_log` VALUES (18410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:30:51');
INSERT INTO `sys_job_log` VALUES (18411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:30:56');
INSERT INTO `sys_job_log` VALUES (18412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:31:01');
INSERT INTO `sys_job_log` VALUES (18413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:31:01');
INSERT INTO `sys_job_log` VALUES (18414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:31:06');
INSERT INTO `sys_job_log` VALUES (18415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:31:11');
INSERT INTO `sys_job_log` VALUES (18416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-26 14:31:22');
INSERT INTO `sys_job_log` VALUES (18417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:31:26');
INSERT INTO `sys_job_log` VALUES (18418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:31:31');
INSERT INTO `sys_job_log` VALUES (18419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:31:31');
INSERT INTO `sys_job_log` VALUES (18420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:31:36');
INSERT INTO `sys_job_log` VALUES (18421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:31:41');
INSERT INTO `sys_job_log` VALUES (18422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:31:46');
INSERT INTO `sys_job_log` VALUES (18423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:31:46');
INSERT INTO `sys_job_log` VALUES (18424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:31:51');
INSERT INTO `sys_job_log` VALUES (18425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:31:56');
INSERT INTO `sys_job_log` VALUES (18426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3毫秒', '0', '', '2024-12-26 14:32:01');
INSERT INTO `sys_job_log` VALUES (18427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:32:01');
INSERT INTO `sys_job_log` VALUES (18428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:32:06');
INSERT INTO `sys_job_log` VALUES (18429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:11');
INSERT INTO `sys_job_log` VALUES (18430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:16');
INSERT INTO `sys_job_log` VALUES (18431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:16');
INSERT INTO `sys_job_log` VALUES (18432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:21');
INSERT INTO `sys_job_log` VALUES (18433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:26');
INSERT INTO `sys_job_log` VALUES (18434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:32:31');
INSERT INTO `sys_job_log` VALUES (18435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:32:31');
INSERT INTO `sys_job_log` VALUES (18436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:36');
INSERT INTO `sys_job_log` VALUES (18437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:32:41');
INSERT INTO `sys_job_log` VALUES (18438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:46');
INSERT INTO `sys_job_log` VALUES (18439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:32:46');
INSERT INTO `sys_job_log` VALUES (18440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:32:51');
INSERT INTO `sys_job_log` VALUES (18441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:32:56');
INSERT INTO `sys_job_log` VALUES (18442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2毫秒', '0', '', '2024-12-26 14:33:01');
INSERT INTO `sys_job_log` VALUES (18443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:33:01');
INSERT INTO `sys_job_log` VALUES (18444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:33:06');
INSERT INTO `sys_job_log` VALUES (18445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:33:11');
INSERT INTO `sys_job_log` VALUES (18446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:33:16');
INSERT INTO `sys_job_log` VALUES (18447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:33:16');
INSERT INTO `sys_job_log` VALUES (18448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:33:21');
INSERT INTO `sys_job_log` VALUES (18449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:33:26');
INSERT INTO `sys_job_log` VALUES (18450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：0毫秒', '0', '', '2024-12-26 14:33:31');
INSERT INTO `sys_job_log` VALUES (18451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:33:31');
INSERT INTO `sys_job_log` VALUES (18452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:33:36');
INSERT INTO `sys_job_log` VALUES (18453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:33:41');
INSERT INTO `sys_job_log` VALUES (18454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:33:46');
INSERT INTO `sys_job_log` VALUES (18455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:33:46');
INSERT INTO `sys_job_log` VALUES (18456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:33:51');
INSERT INTO `sys_job_log` VALUES (18457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:33:56');
INSERT INTO `sys_job_log` VALUES (18458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:01');
INSERT INTO `sys_job_log` VALUES (18459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:01');
INSERT INTO `sys_job_log` VALUES (18460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:34:06');
INSERT INTO `sys_job_log` VALUES (18461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:11');
INSERT INTO `sys_job_log` VALUES (18462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:16');
INSERT INTO `sys_job_log` VALUES (18463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:16');
INSERT INTO `sys_job_log` VALUES (18464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2024-12-26 14:34:21');
INSERT INTO `sys_job_log` VALUES (18465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:26');
INSERT INTO `sys_job_log` VALUES (18466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:31');
INSERT INTO `sys_job_log` VALUES (18467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:31');
INSERT INTO `sys_job_log` VALUES (18468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:36');
INSERT INTO `sys_job_log` VALUES (18469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:41');
INSERT INTO `sys_job_log` VALUES (18470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:46');
INSERT INTO `sys_job_log` VALUES (18471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:46');
INSERT INTO `sys_job_log` VALUES (18472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:34:51');
INSERT INTO `sys_job_log` VALUES (18473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:34:56');
INSERT INTO `sys_job_log` VALUES (18474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:01');
INSERT INTO `sys_job_log` VALUES (18475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:01');
INSERT INTO `sys_job_log` VALUES (18476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:06');
INSERT INTO `sys_job_log` VALUES (18477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：10毫秒', '0', '', '2024-12-26 14:35:18');
INSERT INTO `sys_job_log` VALUES (18478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-26 14:35:18');
INSERT INTO `sys_job_log` VALUES (18479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:35:21');
INSERT INTO `sys_job_log` VALUES (18480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-26 14:35:26');
INSERT INTO `sys_job_log` VALUES (18481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:31');
INSERT INTO `sys_job_log` VALUES (18482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:31');
INSERT INTO `sys_job_log` VALUES (18483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:36');
INSERT INTO `sys_job_log` VALUES (18484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:35:41');
INSERT INTO `sys_job_log` VALUES (18485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:46');
INSERT INTO `sys_job_log` VALUES (18486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:46');
INSERT INTO `sys_job_log` VALUES (18487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:35:51');
INSERT INTO `sys_job_log` VALUES (18488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:35:56');
INSERT INTO `sys_job_log` VALUES (18489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:36:01');
INSERT INTO `sys_job_log` VALUES (18490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:36:01');
INSERT INTO `sys_job_log` VALUES (18491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:36:06');
INSERT INTO `sys_job_log` VALUES (18492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:36:11');
INSERT INTO `sys_job_log` VALUES (18493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1毫秒', '0', '', '2024-12-26 14:36:16');
INSERT INTO `sys_job_log` VALUES (18494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:36:16');
INSERT INTO `sys_job_log` VALUES (18495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2024-12-26 14:36:21');
INSERT INTO `sys_job_log` VALUES (18496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2024-12-26 14:36:26');
INSERT INTO `sys_job_log` VALUES (18497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1145毫秒', '0', '', '2024-12-26 14:37:48');
INSERT INTO `sys_job_log` VALUES (18498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2146毫秒', '0', '', '2024-12-26 14:37:49');
INSERT INTO `sys_job_log` VALUES (18499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-26 14:37:51');
INSERT INTO `sys_job_log` VALUES (18500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 14:37:56');
INSERT INTO `sys_job_log` VALUES (18501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-26 14:38:01');
INSERT INTO `sys_job_log` VALUES (18502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1053毫秒', '0', '', '2024-12-26 14:38:02');
INSERT INTO `sys_job_log` VALUES (18503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-26 14:38:06');
INSERT INTO `sys_job_log` VALUES (18504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-26 14:38:11');
INSERT INTO `sys_job_log` VALUES (18505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 14:38:16');
INSERT INTO `sys_job_log` VALUES (18506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2024-12-26 14:38:17');
INSERT INTO `sys_job_log` VALUES (18507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1121毫秒', '0', '', '2024-12-26 14:38:22');
INSERT INTO `sys_job_log` VALUES (18508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 14:38:26');
INSERT INTO `sys_job_log` VALUES (18509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1126毫秒', '0', '', '2024-12-26 14:39:08');
INSERT INTO `sys_job_log` VALUES (18510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-26 14:39:11');
INSERT INTO `sys_job_log` VALUES (18511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-26 14:39:16');
INSERT INTO `sys_job_log` VALUES (18512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1051毫秒', '0', '', '2024-12-26 14:39:17');
INSERT INTO `sys_job_log` VALUES (18513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-26 14:39:21');
INSERT INTO `sys_job_log` VALUES (18514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-26 14:39:26');
INSERT INTO `sys_job_log` VALUES (18515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-26 14:39:31');
INSERT INTO `sys_job_log` VALUES (18516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1060毫秒', '0', '', '2024-12-26 14:39:32');
INSERT INTO `sys_job_log` VALUES (18517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1120毫秒', '0', '', '2024-12-26 14:39:37');
INSERT INTO `sys_job_log` VALUES (18518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-26 14:39:41');
INSERT INTO `sys_job_log` VALUES (18519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-26 14:39:46');
INSERT INTO `sys_job_log` VALUES (18520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1052毫秒', '0', '', '2024-12-26 14:39:47');
INSERT INTO `sys_job_log` VALUES (18521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 14:39:51');
INSERT INTO `sys_job_log` VALUES (18522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-26 14:39:56');
INSERT INTO `sys_job_log` VALUES (18523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 14:40:01');
INSERT INTO `sys_job_log` VALUES (18524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1057毫秒', '0', '', '2024-12-26 14:40:02');
INSERT INTO `sys_job_log` VALUES (18525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1109毫秒', '0', '', '2024-12-26 14:40:07');
INSERT INTO `sys_job_log` VALUES (18526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-26 14:40:11');
INSERT INTO `sys_job_log` VALUES (18527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-26 14:40:16');
INSERT INTO `sys_job_log` VALUES (18528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1060毫秒', '0', '', '2024-12-26 14:40:17');
INSERT INTO `sys_job_log` VALUES (18529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-26 14:40:21');
INSERT INTO `sys_job_log` VALUES (18530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-26 14:40:26');
INSERT INTO `sys_job_log` VALUES (18531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-26 14:40:31');
INSERT INTO `sys_job_log` VALUES (18532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1059毫秒', '0', '', '2024-12-26 14:40:32');
INSERT INTO `sys_job_log` VALUES (18533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1117毫秒', '0', '', '2024-12-26 14:40:37');
INSERT INTO `sys_job_log` VALUES (18534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-26 14:40:41');
INSERT INTO `sys_job_log` VALUES (18535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-26 14:40:52');
INSERT INTO `sys_job_log` VALUES (18536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:40:56');
INSERT INTO `sys_job_log` VALUES (18537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:41:01');
INSERT INTO `sys_job_log` VALUES (18538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:41:01');
INSERT INTO `sys_job_log` VALUES (18539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:41:06');
INSERT INTO `sys_job_log` VALUES (18540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:11');
INSERT INTO `sys_job_log` VALUES (18541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-26 14:41:18');
INSERT INTO `sys_job_log` VALUES (18542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 14:41:18');
INSERT INTO `sys_job_log` VALUES (18543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:21');
INSERT INTO `sys_job_log` VALUES (18544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:26');
INSERT INTO `sys_job_log` VALUES (18545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:41:31');
INSERT INTO `sys_job_log` VALUES (18546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:41:31');
INSERT INTO `sys_job_log` VALUES (18547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:36');
INSERT INTO `sys_job_log` VALUES (18548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:41:41');
INSERT INTO `sys_job_log` VALUES (18549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:46');
INSERT INTO `sys_job_log` VALUES (18550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:46');
INSERT INTO `sys_job_log` VALUES (18551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:41:51');
INSERT INTO `sys_job_log` VALUES (18552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:41:56');
INSERT INTO `sys_job_log` VALUES (18553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:42:01');
INSERT INTO `sys_job_log` VALUES (18554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:42:01');
INSERT INTO `sys_job_log` VALUES (18555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:42:06');
INSERT INTO `sys_job_log` VALUES (18556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:42:11');
INSERT INTO `sys_job_log` VALUES (18557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:42:16');
INSERT INTO `sys_job_log` VALUES (18558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:42:16');
INSERT INTO `sys_job_log` VALUES (18559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:42:21');
INSERT INTO `sys_job_log` VALUES (18560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:42:26');
INSERT INTO `sys_job_log` VALUES (18561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:42:31');
INSERT INTO `sys_job_log` VALUES (18562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:42:31');
INSERT INTO `sys_job_log` VALUES (18563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:42:36');
INSERT INTO `sys_job_log` VALUES (18564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:42:41');
INSERT INTO `sys_job_log` VALUES (18565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:42:46');
INSERT INTO `sys_job_log` VALUES (18566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:42:46');
INSERT INTO `sys_job_log` VALUES (18567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:42:51');
INSERT INTO `sys_job_log` VALUES (18568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:42:56');
INSERT INTO `sys_job_log` VALUES (18569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：134毫秒', '0', '', '2024-12-26 14:43:01');
INSERT INTO `sys_job_log` VALUES (18570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：133毫秒', '0', '', '2024-12-26 14:43:01');
INSERT INTO `sys_job_log` VALUES (18571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:43:06');
INSERT INTO `sys_job_log` VALUES (18572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:43:11');
INSERT INTO `sys_job_log` VALUES (18573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:43:16');
INSERT INTO `sys_job_log` VALUES (18574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:43:16');
INSERT INTO `sys_job_log` VALUES (18575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:43:21');
INSERT INTO `sys_job_log` VALUES (18576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:43:26');
INSERT INTO `sys_job_log` VALUES (18577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:43:31');
INSERT INTO `sys_job_log` VALUES (18578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:43:31');
INSERT INTO `sys_job_log` VALUES (18579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:43:36');
INSERT INTO `sys_job_log` VALUES (18580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:43:41');
INSERT INTO `sys_job_log` VALUES (18581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:43:46');
INSERT INTO `sys_job_log` VALUES (18582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:43:46');
INSERT INTO `sys_job_log` VALUES (18583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:43:51');
INSERT INTO `sys_job_log` VALUES (18584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:43:56');
INSERT INTO `sys_job_log` VALUES (18585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:44:01');
INSERT INTO `sys_job_log` VALUES (18586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:44:01');
INSERT INTO `sys_job_log` VALUES (18587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:44:06');
INSERT INTO `sys_job_log` VALUES (18588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:44:11');
INSERT INTO `sys_job_log` VALUES (18589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:44:16');
INSERT INTO `sys_job_log` VALUES (18590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:44:16');
INSERT INTO `sys_job_log` VALUES (18591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:44:21');
INSERT INTO `sys_job_log` VALUES (18592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:44:26');
INSERT INTO `sys_job_log` VALUES (18593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:44:31');
INSERT INTO `sys_job_log` VALUES (18594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:44:31');
INSERT INTO `sys_job_log` VALUES (18595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:44:36');
INSERT INTO `sys_job_log` VALUES (18596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 14:44:41');
INSERT INTO `sys_job_log` VALUES (18597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:44:46');
INSERT INTO `sys_job_log` VALUES (18598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:44:46');
INSERT INTO `sys_job_log` VALUES (18599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:44:51');
INSERT INTO `sys_job_log` VALUES (18600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:44:56');
INSERT INTO `sys_job_log` VALUES (18601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:45:01');
INSERT INTO `sys_job_log` VALUES (18602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 14:45:01');
INSERT INTO `sys_job_log` VALUES (18603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:45:06');
INSERT INTO `sys_job_log` VALUES (18604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:45:11');
INSERT INTO `sys_job_log` VALUES (18605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:45:16');
INSERT INTO `sys_job_log` VALUES (18606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:45:16');
INSERT INTO `sys_job_log` VALUES (18607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:45:21');
INSERT INTO `sys_job_log` VALUES (18608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:45:26');
INSERT INTO `sys_job_log` VALUES (18609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:45:31');
INSERT INTO `sys_job_log` VALUES (18610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:45:31');
INSERT INTO `sys_job_log` VALUES (18611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:45:36');
INSERT INTO `sys_job_log` VALUES (18612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:45:41');
INSERT INTO `sys_job_log` VALUES (18613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:45:46');
INSERT INTO `sys_job_log` VALUES (18614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:45:46');
INSERT INTO `sys_job_log` VALUES (18615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:45:51');
INSERT INTO `sys_job_log` VALUES (18616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:45:56');
INSERT INTO `sys_job_log` VALUES (18617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:46:01');
INSERT INTO `sys_job_log` VALUES (18618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:46:01');
INSERT INTO `sys_job_log` VALUES (18619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:46:06');
INSERT INTO `sys_job_log` VALUES (18620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:46:11');
INSERT INTO `sys_job_log` VALUES (18621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 14:46:16');
INSERT INTO `sys_job_log` VALUES (18622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 14:46:16');
INSERT INTO `sys_job_log` VALUES (18623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:46:21');
INSERT INTO `sys_job_log` VALUES (18624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:46:26');
INSERT INTO `sys_job_log` VALUES (18625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:46:31');
INSERT INTO `sys_job_log` VALUES (18626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:46:31');
INSERT INTO `sys_job_log` VALUES (18627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:46:36');
INSERT INTO `sys_job_log` VALUES (18628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:46:41');
INSERT INTO `sys_job_log` VALUES (18629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:46:46');
INSERT INTO `sys_job_log` VALUES (18630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 14:46:46');
INSERT INTO `sys_job_log` VALUES (18631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:46:51');
INSERT INTO `sys_job_log` VALUES (18632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:46:56');
INSERT INTO `sys_job_log` VALUES (18633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:47:01');
INSERT INTO `sys_job_log` VALUES (18634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:47:01');
INSERT INTO `sys_job_log` VALUES (18635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:47:06');
INSERT INTO `sys_job_log` VALUES (18636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 14:47:11');
INSERT INTO `sys_job_log` VALUES (18637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:47:16');
INSERT INTO `sys_job_log` VALUES (18638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:47:16');
INSERT INTO `sys_job_log` VALUES (18639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:47:21');
INSERT INTO `sys_job_log` VALUES (18640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:47:26');
INSERT INTO `sys_job_log` VALUES (18641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:47:31');
INSERT INTO `sys_job_log` VALUES (18642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:47:31');
INSERT INTO `sys_job_log` VALUES (18643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:47:36');
INSERT INTO `sys_job_log` VALUES (18644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:47:41');
INSERT INTO `sys_job_log` VALUES (18645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:47:46');
INSERT INTO `sys_job_log` VALUES (18646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:47:46');
INSERT INTO `sys_job_log` VALUES (18647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:47:51');
INSERT INTO `sys_job_log` VALUES (18648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:47:56');
INSERT INTO `sys_job_log` VALUES (18649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 14:48:01');
INSERT INTO `sys_job_log` VALUES (18650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:48:01');
INSERT INTO `sys_job_log` VALUES (18651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:48:06');
INSERT INTO `sys_job_log` VALUES (18652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:48:11');
INSERT INTO `sys_job_log` VALUES (18653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:48:16');
INSERT INTO `sys_job_log` VALUES (18654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:48:16');
INSERT INTO `sys_job_log` VALUES (18655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:48:21');
INSERT INTO `sys_job_log` VALUES (18656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:48:26');
INSERT INTO `sys_job_log` VALUES (18657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-26 14:48:28');
INSERT INTO `sys_job_log` VALUES (18658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:48:30');
INSERT INTO `sys_job_log` VALUES (18659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:48:30');
INSERT INTO `sys_job_log` VALUES (18660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:48:31');
INSERT INTO `sys_job_log` VALUES (18661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:48:31');
INSERT INTO `sys_job_log` VALUES (18662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:48:35');
INSERT INTO `sys_job_log` VALUES (18663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:48:36');
INSERT INTO `sys_job_log` VALUES (18664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:48:40');
INSERT INTO `sys_job_log` VALUES (18665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:48:41');
INSERT INTO `sys_job_log` VALUES (18666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:48:45');
INSERT INTO `sys_job_log` VALUES (18667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 14:48:45');
INSERT INTO `sys_job_log` VALUES (18668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:48:46');
INSERT INTO `sys_job_log` VALUES (18669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:48:46');
INSERT INTO `sys_job_log` VALUES (18670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:48:50');
INSERT INTO `sys_job_log` VALUES (18671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:48:51');
INSERT INTO `sys_job_log` VALUES (18672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 14:48:55');
INSERT INTO `sys_job_log` VALUES (18673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:48:56');
INSERT INTO `sys_job_log` VALUES (18674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:49:00');
INSERT INTO `sys_job_log` VALUES (18675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:49:00');
INSERT INTO `sys_job_log` VALUES (18676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:49:01');
INSERT INTO `sys_job_log` VALUES (18677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:49:01');
INSERT INTO `sys_job_log` VALUES (18678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:05');
INSERT INTO `sys_job_log` VALUES (18679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:49:06');
INSERT INTO `sys_job_log` VALUES (18680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:49:10');
INSERT INTO `sys_job_log` VALUES (18681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:49:11');
INSERT INTO `sys_job_log` VALUES (18682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:15');
INSERT INTO `sys_job_log` VALUES (18683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:15');
INSERT INTO `sys_job_log` VALUES (18684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:16');
INSERT INTO `sys_job_log` VALUES (18685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:16');
INSERT INTO `sys_job_log` VALUES (18686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:49:20');
INSERT INTO `sys_job_log` VALUES (18687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:49:21');
INSERT INTO `sys_job_log` VALUES (18688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:49:25');
INSERT INTO `sys_job_log` VALUES (18689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:26');
INSERT INTO `sys_job_log` VALUES (18690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:30');
INSERT INTO `sys_job_log` VALUES (18691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:30');
INSERT INTO `sys_job_log` VALUES (18692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:49:31');
INSERT INTO `sys_job_log` VALUES (18693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:49:31');
INSERT INTO `sys_job_log` VALUES (18694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:49:35');
INSERT INTO `sys_job_log` VALUES (18695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:49:36');
INSERT INTO `sys_job_log` VALUES (18696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 14:49:40');
INSERT INTO `sys_job_log` VALUES (18697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:49:41');
INSERT INTO `sys_job_log` VALUES (18698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 14:49:45');
INSERT INTO `sys_job_log` VALUES (18699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-26 14:49:45');
INSERT INTO `sys_job_log` VALUES (18700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:46');
INSERT INTO `sys_job_log` VALUES (18701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:49:46');
INSERT INTO `sys_job_log` VALUES (18702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:49:50');
INSERT INTO `sys_job_log` VALUES (18703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:49:51');
INSERT INTO `sys_job_log` VALUES (18704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:49:55');
INSERT INTO `sys_job_log` VALUES (18705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:49:56');
INSERT INTO `sys_job_log` VALUES (18706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 14:50:00');
INSERT INTO `sys_job_log` VALUES (18707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:50:00');
INSERT INTO `sys_job_log` VALUES (18708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:01');
INSERT INTO `sys_job_log` VALUES (18709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:01');
INSERT INTO `sys_job_log` VALUES (18710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-26 14:50:05');
INSERT INTO `sys_job_log` VALUES (18711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:50:06');
INSERT INTO `sys_job_log` VALUES (18712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:50:10');
INSERT INTO `sys_job_log` VALUES (18713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:50:11');
INSERT INTO `sys_job_log` VALUES (18714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:50:15');
INSERT INTO `sys_job_log` VALUES (18715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:50:15');
INSERT INTO `sys_job_log` VALUES (18716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:16');
INSERT INTO `sys_job_log` VALUES (18717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:50:16');
INSERT INTO `sys_job_log` VALUES (18718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:50:20');
INSERT INTO `sys_job_log` VALUES (18719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:50:21');
INSERT INTO `sys_job_log` VALUES (18720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:50:25');
INSERT INTO `sys_job_log` VALUES (18721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:26');
INSERT INTO `sys_job_log` VALUES (18722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:50:30');
INSERT INTO `sys_job_log` VALUES (18723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:50:30');
INSERT INTO `sys_job_log` VALUES (18724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:50:31');
INSERT INTO `sys_job_log` VALUES (18725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:50:31');
INSERT INTO `sys_job_log` VALUES (18726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:50:35');
INSERT INTO `sys_job_log` VALUES (18727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:36');
INSERT INTO `sys_job_log` VALUES (18728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:50:40');
INSERT INTO `sys_job_log` VALUES (18729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:50:41');
INSERT INTO `sys_job_log` VALUES (18730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:50:45');
INSERT INTO `sys_job_log` VALUES (18731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:50:45');
INSERT INTO `sys_job_log` VALUES (18732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:50:46');
INSERT INTO `sys_job_log` VALUES (18733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:46');
INSERT INTO `sys_job_log` VALUES (18734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:50:50');
INSERT INTO `sys_job_log` VALUES (18735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:50:51');
INSERT INTO `sys_job_log` VALUES (18736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:50:55');
INSERT INTO `sys_job_log` VALUES (18737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 14:50:56');
INSERT INTO `sys_job_log` VALUES (18738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:51:00');
INSERT INTO `sys_job_log` VALUES (18739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:51:00');
INSERT INTO `sys_job_log` VALUES (18740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:51:01');
INSERT INTO `sys_job_log` VALUES (18741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:51:01');
INSERT INTO `sys_job_log` VALUES (18742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:51:05');
INSERT INTO `sys_job_log` VALUES (18743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:51:06');
INSERT INTO `sys_job_log` VALUES (18744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:51:10');
INSERT INTO `sys_job_log` VALUES (18745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:51:11');
INSERT INTO `sys_job_log` VALUES (18746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:51:15');
INSERT INTO `sys_job_log` VALUES (18747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:51:15');
INSERT INTO `sys_job_log` VALUES (18748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:51:16');
INSERT INTO `sys_job_log` VALUES (18749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:51:16');
INSERT INTO `sys_job_log` VALUES (18750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:51:20');
INSERT INTO `sys_job_log` VALUES (18751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:51:21');
INSERT INTO `sys_job_log` VALUES (18752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:51:26');
INSERT INTO `sys_job_log` VALUES (18753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2424毫秒', '0', '', '2024-12-26 14:51:27');
INSERT INTO `sys_job_log` VALUES (18754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:51:30');
INSERT INTO `sys_job_log` VALUES (18755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:51:30');
INSERT INTO `sys_job_log` VALUES (18756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:51:31');
INSERT INTO `sys_job_log` VALUES (18757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:51:31');
INSERT INTO `sys_job_log` VALUES (18758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:51:35');
INSERT INTO `sys_job_log` VALUES (18759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:51:36');
INSERT INTO `sys_job_log` VALUES (18760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:51:40');
INSERT INTO `sys_job_log` VALUES (18761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:51:41');
INSERT INTO `sys_job_log` VALUES (18762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 14:51:45');
INSERT INTO `sys_job_log` VALUES (18763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:51:45');
INSERT INTO `sys_job_log` VALUES (18764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 14:51:46');
INSERT INTO `sys_job_log` VALUES (18765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:51:46');
INSERT INTO `sys_job_log` VALUES (18766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:51:50');
INSERT INTO `sys_job_log` VALUES (18767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:51:51');
INSERT INTO `sys_job_log` VALUES (18768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:51:55');
INSERT INTO `sys_job_log` VALUES (18769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:51:56');
INSERT INTO `sys_job_log` VALUES (18770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-26 14:52:00');
INSERT INTO `sys_job_log` VALUES (18771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-26 14:52:00');
INSERT INTO `sys_job_log` VALUES (18772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 14:52:01');
INSERT INTO `sys_job_log` VALUES (18773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:01');
INSERT INTO `sys_job_log` VALUES (18774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:52:05');
INSERT INTO `sys_job_log` VALUES (18775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:52:06');
INSERT INTO `sys_job_log` VALUES (18776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:52:10');
INSERT INTO `sys_job_log` VALUES (18777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:52:11');
INSERT INTO `sys_job_log` VALUES (18778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:15');
INSERT INTO `sys_job_log` VALUES (18779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:15');
INSERT INTO `sys_job_log` VALUES (18780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:52:16');
INSERT INTO `sys_job_log` VALUES (18781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:52:16');
INSERT INTO `sys_job_log` VALUES (18782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:52:20');
INSERT INTO `sys_job_log` VALUES (18783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 14:52:21');
INSERT INTO `sys_job_log` VALUES (18784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 14:52:25');
INSERT INTO `sys_job_log` VALUES (18785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 14:52:26');
INSERT INTO `sys_job_log` VALUES (18786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:52:30');
INSERT INTO `sys_job_log` VALUES (18787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:52:30');
INSERT INTO `sys_job_log` VALUES (18788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:52:31');
INSERT INTO `sys_job_log` VALUES (18789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:52:31');
INSERT INTO `sys_job_log` VALUES (18790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:52:35');
INSERT INTO `sys_job_log` VALUES (18791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-26 14:52:36');
INSERT INTO `sys_job_log` VALUES (18792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:40');
INSERT INTO `sys_job_log` VALUES (18793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:52:41');
INSERT INTO `sys_job_log` VALUES (18794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:45');
INSERT INTO `sys_job_log` VALUES (18795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:52:45');
INSERT INTO `sys_job_log` VALUES (18796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:46');
INSERT INTO `sys_job_log` VALUES (18797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:52:46');
INSERT INTO `sys_job_log` VALUES (18798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:52:50');
INSERT INTO `sys_job_log` VALUES (18799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:52:51');
INSERT INTO `sys_job_log` VALUES (18800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:52:55');
INSERT INTO `sys_job_log` VALUES (18801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:52:56');
INSERT INTO `sys_job_log` VALUES (18802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:00');
INSERT INTO `sys_job_log` VALUES (18803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:00');
INSERT INTO `sys_job_log` VALUES (18804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-26 14:53:01');
INSERT INTO `sys_job_log` VALUES (18805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-26 14:53:01');
INSERT INTO `sys_job_log` VALUES (18806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:53:05');
INSERT INTO `sys_job_log` VALUES (18807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:53:06');
INSERT INTO `sys_job_log` VALUES (18808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:53:10');
INSERT INTO `sys_job_log` VALUES (18809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：128毫秒', '0', '', '2024-12-26 14:53:11');
INSERT INTO `sys_job_log` VALUES (18810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:53:15');
INSERT INTO `sys_job_log` VALUES (18811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:53:15');
INSERT INTO `sys_job_log` VALUES (18812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 14:53:16');
INSERT INTO `sys_job_log` VALUES (18813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:53:16');
INSERT INTO `sys_job_log` VALUES (18814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:53:20');
INSERT INTO `sys_job_log` VALUES (18815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:53:21');
INSERT INTO `sys_job_log` VALUES (18816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:53:25');
INSERT INTO `sys_job_log` VALUES (18817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 14:53:26');
INSERT INTO `sys_job_log` VALUES (18818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:30');
INSERT INTO `sys_job_log` VALUES (18819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:53:30');
INSERT INTO `sys_job_log` VALUES (18820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:53:31');
INSERT INTO `sys_job_log` VALUES (18821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:31');
INSERT INTO `sys_job_log` VALUES (18822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:35');
INSERT INTO `sys_job_log` VALUES (18823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:53:36');
INSERT INTO `sys_job_log` VALUES (18824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:40');
INSERT INTO `sys_job_log` VALUES (18825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:53:41');
INSERT INTO `sys_job_log` VALUES (18826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:53:45');
INSERT INTO `sys_job_log` VALUES (18827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:45');
INSERT INTO `sys_job_log` VALUES (18828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:53:46');
INSERT INTO `sys_job_log` VALUES (18829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:53:46');
INSERT INTO `sys_job_log` VALUES (18830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:53:50');
INSERT INTO `sys_job_log` VALUES (18831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:53:51');
INSERT INTO `sys_job_log` VALUES (18832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:53:55');
INSERT INTO `sys_job_log` VALUES (18833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:53:56');
INSERT INTO `sys_job_log` VALUES (18834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:00');
INSERT INTO `sys_job_log` VALUES (18835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:00');
INSERT INTO `sys_job_log` VALUES (18836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:54:01');
INSERT INTO `sys_job_log` VALUES (18837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 14:54:01');
INSERT INTO `sys_job_log` VALUES (18838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:05');
INSERT INTO `sys_job_log` VALUES (18839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:06');
INSERT INTO `sys_job_log` VALUES (18840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:54:10');
INSERT INTO `sys_job_log` VALUES (18841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:11');
INSERT INTO `sys_job_log` VALUES (18842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:15');
INSERT INTO `sys_job_log` VALUES (18843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:15');
INSERT INTO `sys_job_log` VALUES (18844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:54:16');
INSERT INTO `sys_job_log` VALUES (18845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:54:16');
INSERT INTO `sys_job_log` VALUES (18846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:20');
INSERT INTO `sys_job_log` VALUES (18847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:54:21');
INSERT INTO `sys_job_log` VALUES (18848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:54:25');
INSERT INTO `sys_job_log` VALUES (18849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:54:26');
INSERT INTO `sys_job_log` VALUES (18850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:30');
INSERT INTO `sys_job_log` VALUES (18851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:30');
INSERT INTO `sys_job_log` VALUES (18852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:54:31');
INSERT INTO `sys_job_log` VALUES (18853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:54:31');
INSERT INTO `sys_job_log` VALUES (18854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:54:35');
INSERT INTO `sys_job_log` VALUES (18855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 14:54:36');
INSERT INTO `sys_job_log` VALUES (18856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:40');
INSERT INTO `sys_job_log` VALUES (18857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:41');
INSERT INTO `sys_job_log` VALUES (18858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-26 14:54:45');
INSERT INTO `sys_job_log` VALUES (18859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 14:54:45');
INSERT INTO `sys_job_log` VALUES (18860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:54:46');
INSERT INTO `sys_job_log` VALUES (18861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:54:46');
INSERT INTO `sys_job_log` VALUES (18862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:54:50');
INSERT INTO `sys_job_log` VALUES (18863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:54:51');
INSERT INTO `sys_job_log` VALUES (18864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:54:55');
INSERT INTO `sys_job_log` VALUES (18865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:54:56');
INSERT INTO `sys_job_log` VALUES (18866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:55:00');
INSERT INTO `sys_job_log` VALUES (18867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:55:00');
INSERT INTO `sys_job_log` VALUES (18868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:55:01');
INSERT INTO `sys_job_log` VALUES (18869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:55:01');
INSERT INTO `sys_job_log` VALUES (18870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:55:05');
INSERT INTO `sys_job_log` VALUES (18871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:55:06');
INSERT INTO `sys_job_log` VALUES (18872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:55:10');
INSERT INTO `sys_job_log` VALUES (18873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:55:11');
INSERT INTO `sys_job_log` VALUES (18874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:55:15');
INSERT INTO `sys_job_log` VALUES (18875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:55:15');
INSERT INTO `sys_job_log` VALUES (18876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:55:16');
INSERT INTO `sys_job_log` VALUES (18877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:55:16');
INSERT INTO `sys_job_log` VALUES (18878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:55:20');
INSERT INTO `sys_job_log` VALUES (18879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:55:21');
INSERT INTO `sys_job_log` VALUES (18880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:55:25');
INSERT INTO `sys_job_log` VALUES (18881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:55:26');
INSERT INTO `sys_job_log` VALUES (18882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:55:30');
INSERT INTO `sys_job_log` VALUES (18883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:55:30');
INSERT INTO `sys_job_log` VALUES (18884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:55:31');
INSERT INTO `sys_job_log` VALUES (18885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:55:31');
INSERT INTO `sys_job_log` VALUES (18886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:55:35');
INSERT INTO `sys_job_log` VALUES (18887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:55:36');
INSERT INTO `sys_job_log` VALUES (18888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:55:40');
INSERT INTO `sys_job_log` VALUES (18889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:55:41');
INSERT INTO `sys_job_log` VALUES (18890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:55:45');
INSERT INTO `sys_job_log` VALUES (18891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:55:45');
INSERT INTO `sys_job_log` VALUES (18892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:55:46');
INSERT INTO `sys_job_log` VALUES (18893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:55:46');
INSERT INTO `sys_job_log` VALUES (18894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:55:50');
INSERT INTO `sys_job_log` VALUES (18895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:55:51');
INSERT INTO `sys_job_log` VALUES (18896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:55:55');
INSERT INTO `sys_job_log` VALUES (18897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:55:56');
INSERT INTO `sys_job_log` VALUES (18898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:56:00');
INSERT INTO `sys_job_log` VALUES (18899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:56:00');
INSERT INTO `sys_job_log` VALUES (18900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 14:56:01');
INSERT INTO `sys_job_log` VALUES (18901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 14:56:01');
INSERT INTO `sys_job_log` VALUES (18902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:56:05');
INSERT INTO `sys_job_log` VALUES (18903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:56:06');
INSERT INTO `sys_job_log` VALUES (18904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:56:10');
INSERT INTO `sys_job_log` VALUES (18905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:56:11');
INSERT INTO `sys_job_log` VALUES (18906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:56:15');
INSERT INTO `sys_job_log` VALUES (18907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:56:15');
INSERT INTO `sys_job_log` VALUES (18908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:56:16');
INSERT INTO `sys_job_log` VALUES (18909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:56:16');
INSERT INTO `sys_job_log` VALUES (18910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 14:56:20');
INSERT INTO `sys_job_log` VALUES (18911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:56:21');
INSERT INTO `sys_job_log` VALUES (18912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:56:25');
INSERT INTO `sys_job_log` VALUES (18913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:56:26');
INSERT INTO `sys_job_log` VALUES (18914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 14:56:30');
INSERT INTO `sys_job_log` VALUES (18915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 14:56:30');
INSERT INTO `sys_job_log` VALUES (18916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:56:31');
INSERT INTO `sys_job_log` VALUES (18917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:56:31');
INSERT INTO `sys_job_log` VALUES (18918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:56:35');
INSERT INTO `sys_job_log` VALUES (18919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:56:36');
INSERT INTO `sys_job_log` VALUES (18920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:56:40');
INSERT INTO `sys_job_log` VALUES (18921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:56:41');
INSERT INTO `sys_job_log` VALUES (18922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:56:45');
INSERT INTO `sys_job_log` VALUES (18923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:56:45');
INSERT INTO `sys_job_log` VALUES (18924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:56:46');
INSERT INTO `sys_job_log` VALUES (18925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:56:46');
INSERT INTO `sys_job_log` VALUES (18926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:56:50');
INSERT INTO `sys_job_log` VALUES (18927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:56:51');
INSERT INTO `sys_job_log` VALUES (18928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:56:55');
INSERT INTO `sys_job_log` VALUES (18929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:56:56');
INSERT INTO `sys_job_log` VALUES (18930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:57:00');
INSERT INTO `sys_job_log` VALUES (18931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:57:00');
INSERT INTO `sys_job_log` VALUES (18932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:01');
INSERT INTO `sys_job_log` VALUES (18933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:01');
INSERT INTO `sys_job_log` VALUES (18934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:05');
INSERT INTO `sys_job_log` VALUES (18935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:57:06');
INSERT INTO `sys_job_log` VALUES (18936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:57:10');
INSERT INTO `sys_job_log` VALUES (18937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:57:11');
INSERT INTO `sys_job_log` VALUES (18938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:15');
INSERT INTO `sys_job_log` VALUES (18939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:15');
INSERT INTO `sys_job_log` VALUES (18940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:57:16');
INSERT INTO `sys_job_log` VALUES (18941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:57:16');
INSERT INTO `sys_job_log` VALUES (18942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:20');
INSERT INTO `sys_job_log` VALUES (18943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:21');
INSERT INTO `sys_job_log` VALUES (18944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:57:25');
INSERT INTO `sys_job_log` VALUES (18945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:57:26');
INSERT INTO `sys_job_log` VALUES (18946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 14:57:30');
INSERT INTO `sys_job_log` VALUES (18947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:57:30');
INSERT INTO `sys_job_log` VALUES (18948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:57:32');
INSERT INTO `sys_job_log` VALUES (18949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:57:32');
INSERT INTO `sys_job_log` VALUES (18950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:57:35');
INSERT INTO `sys_job_log` VALUES (18951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:57:40');
INSERT INTO `sys_job_log` VALUES (18952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 14:57:41');
INSERT INTO `sys_job_log` VALUES (18953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:45');
INSERT INTO `sys_job_log` VALUES (18954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:57:45');
INSERT INTO `sys_job_log` VALUES (18955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 14:57:46');
INSERT INTO `sys_job_log` VALUES (18956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 14:57:46');
INSERT INTO `sys_job_log` VALUES (18957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:57:50');
INSERT INTO `sys_job_log` VALUES (18958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:57:51');
INSERT INTO `sys_job_log` VALUES (18959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:57:55');
INSERT INTO `sys_job_log` VALUES (18960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:57:56');
INSERT INTO `sys_job_log` VALUES (18961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 14:58:00');
INSERT INTO `sys_job_log` VALUES (18962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:58:00');
INSERT INTO `sys_job_log` VALUES (18963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 14:58:01');
INSERT INTO `sys_job_log` VALUES (18964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:58:01');
INSERT INTO `sys_job_log` VALUES (18965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:58:05');
INSERT INTO `sys_job_log` VALUES (18966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:58:06');
INSERT INTO `sys_job_log` VALUES (18967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:58:10');
INSERT INTO `sys_job_log` VALUES (18968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:58:11');
INSERT INTO `sys_job_log` VALUES (18969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:58:15');
INSERT INTO `sys_job_log` VALUES (18970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:58:15');
INSERT INTO `sys_job_log` VALUES (18971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:58:16');
INSERT INTO `sys_job_log` VALUES (18972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:58:16');
INSERT INTO `sys_job_log` VALUES (18973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:58:20');
INSERT INTO `sys_job_log` VALUES (18974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 14:58:21');
INSERT INTO `sys_job_log` VALUES (18975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:58:25');
INSERT INTO `sys_job_log` VALUES (18976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:58:26');
INSERT INTO `sys_job_log` VALUES (18977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:58:30');
INSERT INTO `sys_job_log` VALUES (18978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:58:30');
INSERT INTO `sys_job_log` VALUES (18979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:58:31');
INSERT INTO `sys_job_log` VALUES (18980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:58:31');
INSERT INTO `sys_job_log` VALUES (18981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:58:35');
INSERT INTO `sys_job_log` VALUES (18982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:58:36');
INSERT INTO `sys_job_log` VALUES (18983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:58:40');
INSERT INTO `sys_job_log` VALUES (18984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:58:41');
INSERT INTO `sys_job_log` VALUES (18985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:58:45');
INSERT INTO `sys_job_log` VALUES (18986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:58:45');
INSERT INTO `sys_job_log` VALUES (18987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 14:58:46');
INSERT INTO `sys_job_log` VALUES (18988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:58:46');
INSERT INTO `sys_job_log` VALUES (18989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:58:50');
INSERT INTO `sys_job_log` VALUES (18990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 14:58:51');
INSERT INTO `sys_job_log` VALUES (18991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:58:55');
INSERT INTO `sys_job_log` VALUES (18992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:58:56');
INSERT INTO `sys_job_log` VALUES (18993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:59:00');
INSERT INTO `sys_job_log` VALUES (18994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:59:00');
INSERT INTO `sys_job_log` VALUES (18995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:59:01');
INSERT INTO `sys_job_log` VALUES (18996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 14:59:01');
INSERT INTO `sys_job_log` VALUES (18997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:59:05');
INSERT INTO `sys_job_log` VALUES (18998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:06');
INSERT INTO `sys_job_log` VALUES (18999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:59:10');
INSERT INTO `sys_job_log` VALUES (19000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:59:11');
INSERT INTO `sys_job_log` VALUES (19001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:15');
INSERT INTO `sys_job_log` VALUES (19002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:15');
INSERT INTO `sys_job_log` VALUES (19003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:16');
INSERT INTO `sys_job_log` VALUES (19004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:16');
INSERT INTO `sys_job_log` VALUES (19005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:59:20');
INSERT INTO `sys_job_log` VALUES (19006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:59:21');
INSERT INTO `sys_job_log` VALUES (19007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 14:59:25');
INSERT INTO `sys_job_log` VALUES (19008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:59:26');
INSERT INTO `sys_job_log` VALUES (19009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:59:30');
INSERT INTO `sys_job_log` VALUES (19010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:59:30');
INSERT INTO `sys_job_log` VALUES (19011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 14:59:31');
INSERT INTO `sys_job_log` VALUES (19012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 14:59:31');
INSERT INTO `sys_job_log` VALUES (19013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:59:35');
INSERT INTO `sys_job_log` VALUES (19014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 14:59:36');
INSERT INTO `sys_job_log` VALUES (19015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:59:40');
INSERT INTO `sys_job_log` VALUES (19016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:41');
INSERT INTO `sys_job_log` VALUES (19017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 14:59:45');
INSERT INTO `sys_job_log` VALUES (19018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 14:59:45');
INSERT INTO `sys_job_log` VALUES (19019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:59:46');
INSERT INTO `sys_job_log` VALUES (19020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 14:59:46');
INSERT INTO `sys_job_log` VALUES (19021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 14:59:50');
INSERT INTO `sys_job_log` VALUES (19022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 14:59:51');
INSERT INTO `sys_job_log` VALUES (19023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 14:59:55');
INSERT INTO `sys_job_log` VALUES (19024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 14:59:56');
INSERT INTO `sys_job_log` VALUES (19025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:00');
INSERT INTO `sys_job_log` VALUES (19026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:00');
INSERT INTO `sys_job_log` VALUES (19027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:00:01');
INSERT INTO `sys_job_log` VALUES (19028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:00:01');
INSERT INTO `sys_job_log` VALUES (19029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:05');
INSERT INTO `sys_job_log` VALUES (19030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:00:06');
INSERT INTO `sys_job_log` VALUES (19031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:00:10');
INSERT INTO `sys_job_log` VALUES (19032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:11');
INSERT INTO `sys_job_log` VALUES (19033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:15');
INSERT INTO `sys_job_log` VALUES (19034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:00:15');
INSERT INTO `sys_job_log` VALUES (19035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:00:16');
INSERT INTO `sys_job_log` VALUES (19036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:00:16');
INSERT INTO `sys_job_log` VALUES (19037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:00:20');
INSERT INTO `sys_job_log` VALUES (19038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:00:21');
INSERT INTO `sys_job_log` VALUES (19039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:00:25');
INSERT INTO `sys_job_log` VALUES (19040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:00:26');
INSERT INTO `sys_job_log` VALUES (19041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:00:30');
INSERT INTO `sys_job_log` VALUES (19042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:00:30');
INSERT INTO `sys_job_log` VALUES (19043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:00:31');
INSERT INTO `sys_job_log` VALUES (19044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:00:31');
INSERT INTO `sys_job_log` VALUES (19045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:00:35');
INSERT INTO `sys_job_log` VALUES (19046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:00:36');
INSERT INTO `sys_job_log` VALUES (19047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:00:40');
INSERT INTO `sys_job_log` VALUES (19048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:00:41');
INSERT INTO `sys_job_log` VALUES (19049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:45');
INSERT INTO `sys_job_log` VALUES (19050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:00:45');
INSERT INTO `sys_job_log` VALUES (19051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:00:46');
INSERT INTO `sys_job_log` VALUES (19052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:00:46');
INSERT INTO `sys_job_log` VALUES (19053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:00:50');
INSERT INTO `sys_job_log` VALUES (19054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:00:51');
INSERT INTO `sys_job_log` VALUES (19055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:00:55');
INSERT INTO `sys_job_log` VALUES (19056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:00:56');
INSERT INTO `sys_job_log` VALUES (19057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:01:00');
INSERT INTO `sys_job_log` VALUES (19058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:01:00');
INSERT INTO `sys_job_log` VALUES (19059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:01:01');
INSERT INTO `sys_job_log` VALUES (19060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 15:01:01');
INSERT INTO `sys_job_log` VALUES (19061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:01:05');
INSERT INTO `sys_job_log` VALUES (19062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:01:06');
INSERT INTO `sys_job_log` VALUES (19063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:01:10');
INSERT INTO `sys_job_log` VALUES (19064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:01:11');
INSERT INTO `sys_job_log` VALUES (19065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:01:15');
INSERT INTO `sys_job_log` VALUES (19066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:01:15');
INSERT INTO `sys_job_log` VALUES (19067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:01:16');
INSERT INTO `sys_job_log` VALUES (19068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:01:16');
INSERT INTO `sys_job_log` VALUES (19069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:01:20');
INSERT INTO `sys_job_log` VALUES (19070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:01:21');
INSERT INTO `sys_job_log` VALUES (19071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:01:25');
INSERT INTO `sys_job_log` VALUES (19072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:01:26');
INSERT INTO `sys_job_log` VALUES (19073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:01:30');
INSERT INTO `sys_job_log` VALUES (19074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:01:30');
INSERT INTO `sys_job_log` VALUES (19075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:01:31');
INSERT INTO `sys_job_log` VALUES (19076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:01:31');
INSERT INTO `sys_job_log` VALUES (19077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:01:35');
INSERT INTO `sys_job_log` VALUES (19078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:01:36');
INSERT INTO `sys_job_log` VALUES (19079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:01:40');
INSERT INTO `sys_job_log` VALUES (19080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-26 15:01:41');
INSERT INTO `sys_job_log` VALUES (19081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:01:45');
INSERT INTO `sys_job_log` VALUES (19082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:01:45');
INSERT INTO `sys_job_log` VALUES (19083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:01:46');
INSERT INTO `sys_job_log` VALUES (19084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:01:46');
INSERT INTO `sys_job_log` VALUES (19085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:01:50');
INSERT INTO `sys_job_log` VALUES (19086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:01:51');
INSERT INTO `sys_job_log` VALUES (19087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:01:55');
INSERT INTO `sys_job_log` VALUES (19088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:01:56');
INSERT INTO `sys_job_log` VALUES (19089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:02:00');
INSERT INTO `sys_job_log` VALUES (19090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:02:00');
INSERT INTO `sys_job_log` VALUES (19091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:02:01');
INSERT INTO `sys_job_log` VALUES (19092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:02:01');
INSERT INTO `sys_job_log` VALUES (19093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-26 15:02:05');
INSERT INTO `sys_job_log` VALUES (19094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:02:06');
INSERT INTO `sys_job_log` VALUES (19095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:02:10');
INSERT INTO `sys_job_log` VALUES (19096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:02:11');
INSERT INTO `sys_job_log` VALUES (19097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:15');
INSERT INTO `sys_job_log` VALUES (19098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:15');
INSERT INTO `sys_job_log` VALUES (19099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:16');
INSERT INTO `sys_job_log` VALUES (19100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:16');
INSERT INTO `sys_job_log` VALUES (19101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:02:20');
INSERT INTO `sys_job_log` VALUES (19102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:02:21');
INSERT INTO `sys_job_log` VALUES (19103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:25');
INSERT INTO `sys_job_log` VALUES (19104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:02:26');
INSERT INTO `sys_job_log` VALUES (19105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:02:30');
INSERT INTO `sys_job_log` VALUES (19106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:02:30');
INSERT INTO `sys_job_log` VALUES (19107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:02:31');
INSERT INTO `sys_job_log` VALUES (19108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:02:31');
INSERT INTO `sys_job_log` VALUES (19109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:02:35');
INSERT INTO `sys_job_log` VALUES (19110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:02:36');
INSERT INTO `sys_job_log` VALUES (19111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:40');
INSERT INTO `sys_job_log` VALUES (19112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:02:41');
INSERT INTO `sys_job_log` VALUES (19113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:45');
INSERT INTO `sys_job_log` VALUES (19114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:45');
INSERT INTO `sys_job_log` VALUES (19115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:02:46');
INSERT INTO `sys_job_log` VALUES (19116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:02:46');
INSERT INTO `sys_job_log` VALUES (19117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 15:02:50');
INSERT INTO `sys_job_log` VALUES (19118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:02:51');
INSERT INTO `sys_job_log` VALUES (19119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:02:55');
INSERT INTO `sys_job_log` VALUES (19120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:02:56');
INSERT INTO `sys_job_log` VALUES (19121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:00');
INSERT INTO `sys_job_log` VALUES (19122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:00');
INSERT INTO `sys_job_log` VALUES (19123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:03:01');
INSERT INTO `sys_job_log` VALUES (19124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:03:01');
INSERT INTO `sys_job_log` VALUES (19125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:03:05');
INSERT INTO `sys_job_log` VALUES (19126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2024-12-26 15:03:06');
INSERT INTO `sys_job_log` VALUES (19127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:03:10');
INSERT INTO `sys_job_log` VALUES (19128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:11');
INSERT INTO `sys_job_log` VALUES (19129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:03:15');
INSERT INTO `sys_job_log` VALUES (19130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:03:15');
INSERT INTO `sys_job_log` VALUES (19131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:03:16');
INSERT INTO `sys_job_log` VALUES (19132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:03:16');
INSERT INTO `sys_job_log` VALUES (19133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:03:20');
INSERT INTO `sys_job_log` VALUES (19134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：166毫秒', '0', '', '2024-12-26 15:03:21');
INSERT INTO `sys_job_log` VALUES (19135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:25');
INSERT INTO `sys_job_log` VALUES (19136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:03:26');
INSERT INTO `sys_job_log` VALUES (19137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:03:30');
INSERT INTO `sys_job_log` VALUES (19138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:03:30');
INSERT INTO `sys_job_log` VALUES (19139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:31');
INSERT INTO `sys_job_log` VALUES (19140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:31');
INSERT INTO `sys_job_log` VALUES (19141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:03:35');
INSERT INTO `sys_job_log` VALUES (19142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:03:36');
INSERT INTO `sys_job_log` VALUES (19143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:03:40');
INSERT INTO `sys_job_log` VALUES (19144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-26 15:03:41');
INSERT INTO `sys_job_log` VALUES (19145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:45');
INSERT INTO `sys_job_log` VALUES (19146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:03:45');
INSERT INTO `sys_job_log` VALUES (19147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:03:46');
INSERT INTO `sys_job_log` VALUES (19148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:03:46');
INSERT INTO `sys_job_log` VALUES (19149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:03:50');
INSERT INTO `sys_job_log` VALUES (19150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:03:51');
INSERT INTO `sys_job_log` VALUES (19151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:03:55');
INSERT INTO `sys_job_log` VALUES (19152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:03:56');
INSERT INTO `sys_job_log` VALUES (19153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:00');
INSERT INTO `sys_job_log` VALUES (19154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:00');
INSERT INTO `sys_job_log` VALUES (19155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:04:01');
INSERT INTO `sys_job_log` VALUES (19156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:04:01');
INSERT INTO `sys_job_log` VALUES (19157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:04:05');
INSERT INTO `sys_job_log` VALUES (19158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:04:06');
INSERT INTO `sys_job_log` VALUES (19159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:04:10');
INSERT INTO `sys_job_log` VALUES (19160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:04:11');
INSERT INTO `sys_job_log` VALUES (19161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:04:15');
INSERT INTO `sys_job_log` VALUES (19162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:15');
INSERT INTO `sys_job_log` VALUES (19163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:04:16');
INSERT INTO `sys_job_log` VALUES (19164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:04:16');
INSERT INTO `sys_job_log` VALUES (19165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:04:20');
INSERT INTO `sys_job_log` VALUES (19166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 15:04:21');
INSERT INTO `sys_job_log` VALUES (19167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:04:25');
INSERT INTO `sys_job_log` VALUES (19168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:04:26');
INSERT INTO `sys_job_log` VALUES (19169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:04:30');
INSERT INTO `sys_job_log` VALUES (19170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:04:30');
INSERT INTO `sys_job_log` VALUES (19171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:04:31');
INSERT INTO `sys_job_log` VALUES (19172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:04:31');
INSERT INTO `sys_job_log` VALUES (19173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:35');
INSERT INTO `sys_job_log` VALUES (19174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:36');
INSERT INTO `sys_job_log` VALUES (19175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:04:40');
INSERT INTO `sys_job_log` VALUES (19176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 15:04:41');
INSERT INTO `sys_job_log` VALUES (19177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:04:45');
INSERT INTO `sys_job_log` VALUES (19178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:04:45');
INSERT INTO `sys_job_log` VALUES (19179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:46');
INSERT INTO `sys_job_log` VALUES (19180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:46');
INSERT INTO `sys_job_log` VALUES (19181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:04:50');
INSERT INTO `sys_job_log` VALUES (19182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:04:51');
INSERT INTO `sys_job_log` VALUES (19183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:04:55');
INSERT INTO `sys_job_log` VALUES (19184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:04:56');
INSERT INTO `sys_job_log` VALUES (19185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:05:00');
INSERT INTO `sys_job_log` VALUES (19186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:05:00');
INSERT INTO `sys_job_log` VALUES (19187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:05:01');
INSERT INTO `sys_job_log` VALUES (19188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:05:01');
INSERT INTO `sys_job_log` VALUES (19189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:05:05');
INSERT INTO `sys_job_log` VALUES (19190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:06');
INSERT INTO `sys_job_log` VALUES (19191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:05:10');
INSERT INTO `sys_job_log` VALUES (19192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:05:11');
INSERT INTO `sys_job_log` VALUES (19193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:05:15');
INSERT INTO `sys_job_log` VALUES (19194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:05:15');
INSERT INTO `sys_job_log` VALUES (19195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:05:16');
INSERT INTO `sys_job_log` VALUES (19196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:05:16');
INSERT INTO `sys_job_log` VALUES (19197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:05:20');
INSERT INTO `sys_job_log` VALUES (19198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:05:21');
INSERT INTO `sys_job_log` VALUES (19199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:05:25');
INSERT INTO `sys_job_log` VALUES (19200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:26');
INSERT INTO `sys_job_log` VALUES (19201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:05:30');
INSERT INTO `sys_job_log` VALUES (19202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:05:30');
INSERT INTO `sys_job_log` VALUES (19203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:31');
INSERT INTO `sys_job_log` VALUES (19204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:31');
INSERT INTO `sys_job_log` VALUES (19205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:05:35');
INSERT INTO `sys_job_log` VALUES (19206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:36');
INSERT INTO `sys_job_log` VALUES (19207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:05:40');
INSERT INTO `sys_job_log` VALUES (19208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:41');
INSERT INTO `sys_job_log` VALUES (19209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:05:45');
INSERT INTO `sys_job_log` VALUES (19210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:05:45');
INSERT INTO `sys_job_log` VALUES (19211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:05:46');
INSERT INTO `sys_job_log` VALUES (19212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:46');
INSERT INTO `sys_job_log` VALUES (19213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:05:50');
INSERT INTO `sys_job_log` VALUES (19214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:05:51');
INSERT INTO `sys_job_log` VALUES (19215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:55');
INSERT INTO `sys_job_log` VALUES (19216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:05:56');
INSERT INTO `sys_job_log` VALUES (19217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:06:00');
INSERT INTO `sys_job_log` VALUES (19218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:06:00');
INSERT INTO `sys_job_log` VALUES (19219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:06:01');
INSERT INTO `sys_job_log` VALUES (19220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:06:01');
INSERT INTO `sys_job_log` VALUES (19221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:06:05');
INSERT INTO `sys_job_log` VALUES (19222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:06:06');
INSERT INTO `sys_job_log` VALUES (19223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:06:10');
INSERT INTO `sys_job_log` VALUES (19224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:06:11');
INSERT INTO `sys_job_log` VALUES (19225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:06:15');
INSERT INTO `sys_job_log` VALUES (19226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:06:15');
INSERT INTO `sys_job_log` VALUES (19227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:06:16');
INSERT INTO `sys_job_log` VALUES (19228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:06:16');
INSERT INTO `sys_job_log` VALUES (19229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:06:20');
INSERT INTO `sys_job_log` VALUES (19230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-26 15:06:21');
INSERT INTO `sys_job_log` VALUES (19231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:06:25');
INSERT INTO `sys_job_log` VALUES (19232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:06:26');
INSERT INTO `sys_job_log` VALUES (19233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:06:30');
INSERT INTO `sys_job_log` VALUES (19234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:06:30');
INSERT INTO `sys_job_log` VALUES (19235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:06:31');
INSERT INTO `sys_job_log` VALUES (19236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:06:31');
INSERT INTO `sys_job_log` VALUES (19237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:06:35');
INSERT INTO `sys_job_log` VALUES (19238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:06:36');
INSERT INTO `sys_job_log` VALUES (19239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:06:40');
INSERT INTO `sys_job_log` VALUES (19240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:06:41');
INSERT INTO `sys_job_log` VALUES (19241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:06:45');
INSERT INTO `sys_job_log` VALUES (19242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 15:06:45');
INSERT INTO `sys_job_log` VALUES (19243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 15:06:46');
INSERT INTO `sys_job_log` VALUES (19244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:06:46');
INSERT INTO `sys_job_log` VALUES (19245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:06:50');
INSERT INTO `sys_job_log` VALUES (19246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:06:51');
INSERT INTO `sys_job_log` VALUES (19247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:06:55');
INSERT INTO `sys_job_log` VALUES (19248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-26 15:06:56');
INSERT INTO `sys_job_log` VALUES (19249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:07:00');
INSERT INTO `sys_job_log` VALUES (19250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:07:00');
INSERT INTO `sys_job_log` VALUES (19251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:07:01');
INSERT INTO `sys_job_log` VALUES (19252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:07:01');
INSERT INTO `sys_job_log` VALUES (19253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:07:05');
INSERT INTO `sys_job_log` VALUES (19254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:07:06');
INSERT INTO `sys_job_log` VALUES (19255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:07:10');
INSERT INTO `sys_job_log` VALUES (19256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:07:11');
INSERT INTO `sys_job_log` VALUES (19257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:07:15');
INSERT INTO `sys_job_log` VALUES (19258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:07:15');
INSERT INTO `sys_job_log` VALUES (19259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 15:07:16');
INSERT INTO `sys_job_log` VALUES (19260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:07:16');
INSERT INTO `sys_job_log` VALUES (19261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:07:20');
INSERT INTO `sys_job_log` VALUES (19262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:07:21');
INSERT INTO `sys_job_log` VALUES (19263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:07:25');
INSERT INTO `sys_job_log` VALUES (19264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-26 15:07:26');
INSERT INTO `sys_job_log` VALUES (19265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:07:30');
INSERT INTO `sys_job_log` VALUES (19266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:07:30');
INSERT INTO `sys_job_log` VALUES (19267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:07:31');
INSERT INTO `sys_job_log` VALUES (19268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-26 15:07:31');
INSERT INTO `sys_job_log` VALUES (19269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:07:35');
INSERT INTO `sys_job_log` VALUES (19270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:07:36');
INSERT INTO `sys_job_log` VALUES (19271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:07:40');
INSERT INTO `sys_job_log` VALUES (19272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:07:41');
INSERT INTO `sys_job_log` VALUES (19273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:07:45');
INSERT INTO `sys_job_log` VALUES (19274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:07:45');
INSERT INTO `sys_job_log` VALUES (19275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:07:46');
INSERT INTO `sys_job_log` VALUES (19276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:07:46');
INSERT INTO `sys_job_log` VALUES (19277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:07:50');
INSERT INTO `sys_job_log` VALUES (19278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 15:07:51');
INSERT INTO `sys_job_log` VALUES (19279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:07:55');
INSERT INTO `sys_job_log` VALUES (19280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:07:56');
INSERT INTO `sys_job_log` VALUES (19281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:08:00');
INSERT INTO `sys_job_log` VALUES (19282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:08:00');
INSERT INTO `sys_job_log` VALUES (19283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:08:01');
INSERT INTO `sys_job_log` VALUES (19284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:08:01');
INSERT INTO `sys_job_log` VALUES (19285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:08:05');
INSERT INTO `sys_job_log` VALUES (19286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:08:06');
INSERT INTO `sys_job_log` VALUES (19287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 15:08:10');
INSERT INTO `sys_job_log` VALUES (19288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:08:11');
INSERT INTO `sys_job_log` VALUES (19289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:08:15');
INSERT INTO `sys_job_log` VALUES (19290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:08:15');
INSERT INTO `sys_job_log` VALUES (19291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:08:16');
INSERT INTO `sys_job_log` VALUES (19292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-26 15:08:16');
INSERT INTO `sys_job_log` VALUES (19293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 15:08:20');
INSERT INTO `sys_job_log` VALUES (19294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:08:21');
INSERT INTO `sys_job_log` VALUES (19295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:08:25');
INSERT INTO `sys_job_log` VALUES (19296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:08:26');
INSERT INTO `sys_job_log` VALUES (19297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:08:30');
INSERT INTO `sys_job_log` VALUES (19298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:08:30');
INSERT INTO `sys_job_log` VALUES (19299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:08:31');
INSERT INTO `sys_job_log` VALUES (19300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:08:31');
INSERT INTO `sys_job_log` VALUES (19301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:08:35');
INSERT INTO `sys_job_log` VALUES (19302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:08:36');
INSERT INTO `sys_job_log` VALUES (19303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:08:40');
INSERT INTO `sys_job_log` VALUES (19304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:08:41');
INSERT INTO `sys_job_log` VALUES (19305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:08:45');
INSERT INTO `sys_job_log` VALUES (19306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:08:45');
INSERT INTO `sys_job_log` VALUES (19307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:08:46');
INSERT INTO `sys_job_log` VALUES (19308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:08:46');
INSERT INTO `sys_job_log` VALUES (19309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:08:50');
INSERT INTO `sys_job_log` VALUES (19310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:08:51');
INSERT INTO `sys_job_log` VALUES (19311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:08:55');
INSERT INTO `sys_job_log` VALUES (19312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:08:56');
INSERT INTO `sys_job_log` VALUES (19313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:00');
INSERT INTO `sys_job_log` VALUES (19314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:00');
INSERT INTO `sys_job_log` VALUES (19315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:09:01');
INSERT INTO `sys_job_log` VALUES (19316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:09:01');
INSERT INTO `sys_job_log` VALUES (19317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:09:05');
INSERT INTO `sys_job_log` VALUES (19318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:09:06');
INSERT INTO `sys_job_log` VALUES (19319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:09:10');
INSERT INTO `sys_job_log` VALUES (19320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:11');
INSERT INTO `sys_job_log` VALUES (19321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:09:15');
INSERT INTO `sys_job_log` VALUES (19322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:09:15');
INSERT INTO `sys_job_log` VALUES (19323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:09:16');
INSERT INTO `sys_job_log` VALUES (19324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:09:16');
INSERT INTO `sys_job_log` VALUES (19325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:09:20');
INSERT INTO `sys_job_log` VALUES (19326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:09:21');
INSERT INTO `sys_job_log` VALUES (19327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:25');
INSERT INTO `sys_job_log` VALUES (19328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:09:26');
INSERT INTO `sys_job_log` VALUES (19329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:09:30');
INSERT INTO `sys_job_log` VALUES (19330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:09:30');
INSERT INTO `sys_job_log` VALUES (19331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:09:35');
INSERT INTO `sys_job_log` VALUES (19332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:09:38');
INSERT INTO `sys_job_log` VALUES (19333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:09:40');
INSERT INTO `sys_job_log` VALUES (19334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:09:41');
INSERT INTO `sys_job_log` VALUES (19335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:09:45');
INSERT INTO `sys_job_log` VALUES (19336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:09:45');
INSERT INTO `sys_job_log` VALUES (19337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:46');
INSERT INTO `sys_job_log` VALUES (19338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:46');
INSERT INTO `sys_job_log` VALUES (19339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:09:50');
INSERT INTO `sys_job_log` VALUES (19340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:51');
INSERT INTO `sys_job_log` VALUES (19341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:09:55');
INSERT INTO `sys_job_log` VALUES (19342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:09:56');
INSERT INTO `sys_job_log` VALUES (19343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:10:00');
INSERT INTO `sys_job_log` VALUES (19344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:10:00');
INSERT INTO `sys_job_log` VALUES (19345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:01');
INSERT INTO `sys_job_log` VALUES (19346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:01');
INSERT INTO `sys_job_log` VALUES (19347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:10:05');
INSERT INTO `sys_job_log` VALUES (19348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:06');
INSERT INTO `sys_job_log` VALUES (19349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:10:10');
INSERT INTO `sys_job_log` VALUES (19350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:10:11');
INSERT INTO `sys_job_log` VALUES (19351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:10:15');
INSERT INTO `sys_job_log` VALUES (19352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:10:15');
INSERT INTO `sys_job_log` VALUES (19353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:10:16');
INSERT INTO `sys_job_log` VALUES (19354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 15:10:16');
INSERT INTO `sys_job_log` VALUES (19355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:10:20');
INSERT INTO `sys_job_log` VALUES (19356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:21');
INSERT INTO `sys_job_log` VALUES (19357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:25');
INSERT INTO `sys_job_log` VALUES (19358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:10:26');
INSERT INTO `sys_job_log` VALUES (19359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:10:30');
INSERT INTO `sys_job_log` VALUES (19360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:10:30');
INSERT INTO `sys_job_log` VALUES (19361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:31');
INSERT INTO `sys_job_log` VALUES (19362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:10:31');
INSERT INTO `sys_job_log` VALUES (19363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:10:35');
INSERT INTO `sys_job_log` VALUES (19364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-26 15:10:36');
INSERT INTO `sys_job_log` VALUES (19365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:10:40');
INSERT INTO `sys_job_log` VALUES (19366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:41');
INSERT INTO `sys_job_log` VALUES (19367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:10:45');
INSERT INTO `sys_job_log` VALUES (19368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:10:45');
INSERT INTO `sys_job_log` VALUES (19369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 15:10:46');
INSERT INTO `sys_job_log` VALUES (19370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:10:46');
INSERT INTO `sys_job_log` VALUES (19371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:10:50');
INSERT INTO `sys_job_log` VALUES (19372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:10:51');
INSERT INTO `sys_job_log` VALUES (19373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:10:55');
INSERT INTO `sys_job_log` VALUES (19374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:10:56');
INSERT INTO `sys_job_log` VALUES (19375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:11:00');
INSERT INTO `sys_job_log` VALUES (19376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:11:00');
INSERT INTO `sys_job_log` VALUES (19377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:11:01');
INSERT INTO `sys_job_log` VALUES (19378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:11:01');
INSERT INTO `sys_job_log` VALUES (19379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:11:05');
INSERT INTO `sys_job_log` VALUES (19380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:11:06');
INSERT INTO `sys_job_log` VALUES (19381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:11:10');
INSERT INTO `sys_job_log` VALUES (19382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:11:11');
INSERT INTO `sys_job_log` VALUES (19383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:11:15');
INSERT INTO `sys_job_log` VALUES (19384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:11:15');
INSERT INTO `sys_job_log` VALUES (19385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:11:16');
INSERT INTO `sys_job_log` VALUES (19386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:11:16');
INSERT INTO `sys_job_log` VALUES (19387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:11:20');
INSERT INTO `sys_job_log` VALUES (19388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:11:21');
INSERT INTO `sys_job_log` VALUES (19389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:11:25');
INSERT INTO `sys_job_log` VALUES (19390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:11:26');
INSERT INTO `sys_job_log` VALUES (19391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:11:30');
INSERT INTO `sys_job_log` VALUES (19392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:11:30');
INSERT INTO `sys_job_log` VALUES (19393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:11:31');
INSERT INTO `sys_job_log` VALUES (19394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:11:31');
INSERT INTO `sys_job_log` VALUES (19395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:11:35');
INSERT INTO `sys_job_log` VALUES (19396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:11:36');
INSERT INTO `sys_job_log` VALUES (19397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:11:40');
INSERT INTO `sys_job_log` VALUES (19398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:11:41');
INSERT INTO `sys_job_log` VALUES (19399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:11:45');
INSERT INTO `sys_job_log` VALUES (19400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:11:45');
INSERT INTO `sys_job_log` VALUES (19401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:11:46');
INSERT INTO `sys_job_log` VALUES (19402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:11:46');
INSERT INTO `sys_job_log` VALUES (19403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:11:50');
INSERT INTO `sys_job_log` VALUES (19404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:11:51');
INSERT INTO `sys_job_log` VALUES (19405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:11:55');
INSERT INTO `sys_job_log` VALUES (19406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:11:56');
INSERT INTO `sys_job_log` VALUES (19407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:12:00');
INSERT INTO `sys_job_log` VALUES (19408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:12:00');
INSERT INTO `sys_job_log` VALUES (19409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:12:01');
INSERT INTO `sys_job_log` VALUES (19410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:01');
INSERT INTO `sys_job_log` VALUES (19411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:12:05');
INSERT INTO `sys_job_log` VALUES (19412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:06');
INSERT INTO `sys_job_log` VALUES (19413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:10');
INSERT INTO `sys_job_log` VALUES (19414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:12:11');
INSERT INTO `sys_job_log` VALUES (19415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:15');
INSERT INTO `sys_job_log` VALUES (19416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:15');
INSERT INTO `sys_job_log` VALUES (19417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:16');
INSERT INTO `sys_job_log` VALUES (19418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:16');
INSERT INTO `sys_job_log` VALUES (19419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:12:20');
INSERT INTO `sys_job_log` VALUES (19420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:12:21');
INSERT INTO `sys_job_log` VALUES (19421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:12:25');
INSERT INTO `sys_job_log` VALUES (19422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:26');
INSERT INTO `sys_job_log` VALUES (19423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:12:30');
INSERT INTO `sys_job_log` VALUES (19424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:12:30');
INSERT INTO `sys_job_log` VALUES (19425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:31');
INSERT INTO `sys_job_log` VALUES (19426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:12:31');
INSERT INTO `sys_job_log` VALUES (19427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:35');
INSERT INTO `sys_job_log` VALUES (19428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:36');
INSERT INTO `sys_job_log` VALUES (19429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:12:40');
INSERT INTO `sys_job_log` VALUES (19430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:41');
INSERT INTO `sys_job_log` VALUES (19431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:45');
INSERT INTO `sys_job_log` VALUES (19432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:12:45');
INSERT INTO `sys_job_log` VALUES (19433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:12:46');
INSERT INTO `sys_job_log` VALUES (19434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:12:46');
INSERT INTO `sys_job_log` VALUES (19435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:12:50');
INSERT INTO `sys_job_log` VALUES (19436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:12:51');
INSERT INTO `sys_job_log` VALUES (19437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:12:55');
INSERT INTO `sys_job_log` VALUES (19438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:12:56');
INSERT INTO `sys_job_log` VALUES (19439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:13:00');
INSERT INTO `sys_job_log` VALUES (19440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:13:00');
INSERT INTO `sys_job_log` VALUES (19441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:13:01');
INSERT INTO `sys_job_log` VALUES (19442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:13:01');
INSERT INTO `sys_job_log` VALUES (19443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:13:05');
INSERT INTO `sys_job_log` VALUES (19444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:13:06');
INSERT INTO `sys_job_log` VALUES (19445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:13:10');
INSERT INTO `sys_job_log` VALUES (19446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:13:11');
INSERT INTO `sys_job_log` VALUES (19447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:13:15');
INSERT INTO `sys_job_log` VALUES (19448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:13:15');
INSERT INTO `sys_job_log` VALUES (19449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:13:16');
INSERT INTO `sys_job_log` VALUES (19450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:13:16');
INSERT INTO `sys_job_log` VALUES (19451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:13:20');
INSERT INTO `sys_job_log` VALUES (19452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:13:21');
INSERT INTO `sys_job_log` VALUES (19453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:13:25');
INSERT INTO `sys_job_log` VALUES (19454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:13:26');
INSERT INTO `sys_job_log` VALUES (19455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:13:30');
INSERT INTO `sys_job_log` VALUES (19456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:13:30');
INSERT INTO `sys_job_log` VALUES (19457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：119毫秒', '0', '', '2024-12-26 15:13:31');
INSERT INTO `sys_job_log` VALUES (19458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：118毫秒', '0', '', '2024-12-26 15:13:31');
INSERT INTO `sys_job_log` VALUES (19459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:13:35');
INSERT INTO `sys_job_log` VALUES (19460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:13:36');
INSERT INTO `sys_job_log` VALUES (19461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:13:40');
INSERT INTO `sys_job_log` VALUES (19462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:13:41');
INSERT INTO `sys_job_log` VALUES (19463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:13:45');
INSERT INTO `sys_job_log` VALUES (19464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:13:45');
INSERT INTO `sys_job_log` VALUES (19465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:13:46');
INSERT INTO `sys_job_log` VALUES (19466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:13:46');
INSERT INTO `sys_job_log` VALUES (19467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:13:50');
INSERT INTO `sys_job_log` VALUES (19468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:13:51');
INSERT INTO `sys_job_log` VALUES (19469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:13:55');
INSERT INTO `sys_job_log` VALUES (19470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:13:56');
INSERT INTO `sys_job_log` VALUES (19471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:14:00');
INSERT INTO `sys_job_log` VALUES (19472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:14:00');
INSERT INTO `sys_job_log` VALUES (19473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:01');
INSERT INTO `sys_job_log` VALUES (19474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:14:01');
INSERT INTO `sys_job_log` VALUES (19475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:14:05');
INSERT INTO `sys_job_log` VALUES (19476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:06');
INSERT INTO `sys_job_log` VALUES (19477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:14:10');
INSERT INTO `sys_job_log` VALUES (19478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-26 15:14:11');
INSERT INTO `sys_job_log` VALUES (19479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:14:15');
INSERT INTO `sys_job_log` VALUES (19480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:14:15');
INSERT INTO `sys_job_log` VALUES (19481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-26 15:14:16');
INSERT INTO `sys_job_log` VALUES (19482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 15:14:16');
INSERT INTO `sys_job_log` VALUES (19483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:14:20');
INSERT INTO `sys_job_log` VALUES (19484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:14:21');
INSERT INTO `sys_job_log` VALUES (19485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:14:25');
INSERT INTO `sys_job_log` VALUES (19486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:14:26');
INSERT INTO `sys_job_log` VALUES (19487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:14:30');
INSERT INTO `sys_job_log` VALUES (19488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:14:30');
INSERT INTO `sys_job_log` VALUES (19489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:31');
INSERT INTO `sys_job_log` VALUES (19490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:31');
INSERT INTO `sys_job_log` VALUES (19491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:14:35');
INSERT INTO `sys_job_log` VALUES (19492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:36');
INSERT INTO `sys_job_log` VALUES (19493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:14:40');
INSERT INTO `sys_job_log` VALUES (19494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:41');
INSERT INTO `sys_job_log` VALUES (19495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:14:45');
INSERT INTO `sys_job_log` VALUES (19496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:14:45');
INSERT INTO `sys_job_log` VALUES (19497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:46');
INSERT INTO `sys_job_log` VALUES (19498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:14:46');
INSERT INTO `sys_job_log` VALUES (19499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:14:50');
INSERT INTO `sys_job_log` VALUES (19500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:14:51');
INSERT INTO `sys_job_log` VALUES (19501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:14:55');
INSERT INTO `sys_job_log` VALUES (19502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:14:56');
INSERT INTO `sys_job_log` VALUES (19503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:15:00');
INSERT INTO `sys_job_log` VALUES (19504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 15:15:00');
INSERT INTO `sys_job_log` VALUES (19505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:15:01');
INSERT INTO `sys_job_log` VALUES (19506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:15:01');
INSERT INTO `sys_job_log` VALUES (19507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:15:05');
INSERT INTO `sys_job_log` VALUES (19508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:15:06');
INSERT INTO `sys_job_log` VALUES (19509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:15:10');
INSERT INTO `sys_job_log` VALUES (19510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:15:11');
INSERT INTO `sys_job_log` VALUES (19511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:15:15');
INSERT INTO `sys_job_log` VALUES (19512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:15:15');
INSERT INTO `sys_job_log` VALUES (19513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:15:16');
INSERT INTO `sys_job_log` VALUES (19514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:15:16');
INSERT INTO `sys_job_log` VALUES (19515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:15:20');
INSERT INTO `sys_job_log` VALUES (19516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:15:21');
INSERT INTO `sys_job_log` VALUES (19517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:15:25');
INSERT INTO `sys_job_log` VALUES (19518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:15:26');
INSERT INTO `sys_job_log` VALUES (19519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:15:30');
INSERT INTO `sys_job_log` VALUES (19520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:15:30');
INSERT INTO `sys_job_log` VALUES (19521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:15:31');
INSERT INTO `sys_job_log` VALUES (19522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:15:31');
INSERT INTO `sys_job_log` VALUES (19523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:15:35');
INSERT INTO `sys_job_log` VALUES (19524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:15:36');
INSERT INTO `sys_job_log` VALUES (19525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:15:40');
INSERT INTO `sys_job_log` VALUES (19526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:15:41');
INSERT INTO `sys_job_log` VALUES (19527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:15:45');
INSERT INTO `sys_job_log` VALUES (19528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:15:45');
INSERT INTO `sys_job_log` VALUES (19529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:15:46');
INSERT INTO `sys_job_log` VALUES (19530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:15:46');
INSERT INTO `sys_job_log` VALUES (19531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:15:50');
INSERT INTO `sys_job_log` VALUES (19532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:15:51');
INSERT INTO `sys_job_log` VALUES (19533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:15:55');
INSERT INTO `sys_job_log` VALUES (19534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:15:56');
INSERT INTO `sys_job_log` VALUES (19535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:16:00');
INSERT INTO `sys_job_log` VALUES (19536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:16:00');
INSERT INTO `sys_job_log` VALUES (19537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:01');
INSERT INTO `sys_job_log` VALUES (19538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:16:01');
INSERT INTO `sys_job_log` VALUES (19539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:05');
INSERT INTO `sys_job_log` VALUES (19540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:16:06');
INSERT INTO `sys_job_log` VALUES (19541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:16:10');
INSERT INTO `sys_job_log` VALUES (19542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:16:11');
INSERT INTO `sys_job_log` VALUES (19543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:16:15');
INSERT INTO `sys_job_log` VALUES (19544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:16:15');
INSERT INTO `sys_job_log` VALUES (19545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:16:16');
INSERT INTO `sys_job_log` VALUES (19546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:16:16');
INSERT INTO `sys_job_log` VALUES (19547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:16:20');
INSERT INTO `sys_job_log` VALUES (19548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:16:21');
INSERT INTO `sys_job_log` VALUES (19549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:16:25');
INSERT INTO `sys_job_log` VALUES (19550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:16:26');
INSERT INTO `sys_job_log` VALUES (19551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:30');
INSERT INTO `sys_job_log` VALUES (19552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:30');
INSERT INTO `sys_job_log` VALUES (19553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:16:31');
INSERT INTO `sys_job_log` VALUES (19554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:16:31');
INSERT INTO `sys_job_log` VALUES (19555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:16:35');
INSERT INTO `sys_job_log` VALUES (19556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:16:36');
INSERT INTO `sys_job_log` VALUES (19557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:40');
INSERT INTO `sys_job_log` VALUES (19558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:41');
INSERT INTO `sys_job_log` VALUES (19559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:16:45');
INSERT INTO `sys_job_log` VALUES (19560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:16:45');
INSERT INTO `sys_job_log` VALUES (19561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:16:46');
INSERT INTO `sys_job_log` VALUES (19562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:16:46');
INSERT INTO `sys_job_log` VALUES (19563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:16:50');
INSERT INTO `sys_job_log` VALUES (19564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:16:51');
INSERT INTO `sys_job_log` VALUES (19565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:16:55');
INSERT INTO `sys_job_log` VALUES (19566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:16:56');
INSERT INTO `sys_job_log` VALUES (19567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:00');
INSERT INTO `sys_job_log` VALUES (19568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:00');
INSERT INTO `sys_job_log` VALUES (19569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:17:01');
INSERT INTO `sys_job_log` VALUES (19570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:17:01');
INSERT INTO `sys_job_log` VALUES (19571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:17:05');
INSERT INTO `sys_job_log` VALUES (19572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:17:06');
INSERT INTO `sys_job_log` VALUES (19573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:17:10');
INSERT INTO `sys_job_log` VALUES (19574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:17:11');
INSERT INTO `sys_job_log` VALUES (19575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:17:15');
INSERT INTO `sys_job_log` VALUES (19576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:15');
INSERT INTO `sys_job_log` VALUES (19577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:17:16');
INSERT INTO `sys_job_log` VALUES (19578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:17:16');
INSERT INTO `sys_job_log` VALUES (19579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:17:20');
INSERT INTO `sys_job_log` VALUES (19580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:17:21');
INSERT INTO `sys_job_log` VALUES (19581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:17:25');
INSERT INTO `sys_job_log` VALUES (19582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:26');
INSERT INTO `sys_job_log` VALUES (19583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:17:30');
INSERT INTO `sys_job_log` VALUES (19584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:17:30');
INSERT INTO `sys_job_log` VALUES (19585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:17:31');
INSERT INTO `sys_job_log` VALUES (19586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:17:31');
INSERT INTO `sys_job_log` VALUES (19587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:17:35');
INSERT INTO `sys_job_log` VALUES (19588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:17:36');
INSERT INTO `sys_job_log` VALUES (19589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:40');
INSERT INTO `sys_job_log` VALUES (19590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:17:41');
INSERT INTO `sys_job_log` VALUES (19591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:17:45');
INSERT INTO `sys_job_log` VALUES (19592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:17:45');
INSERT INTO `sys_job_log` VALUES (19593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:46');
INSERT INTO `sys_job_log` VALUES (19594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:17:46');
INSERT INTO `sys_job_log` VALUES (19595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:17:50');
INSERT INTO `sys_job_log` VALUES (19596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:17:51');
INSERT INTO `sys_job_log` VALUES (19597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:17:55');
INSERT INTO `sys_job_log` VALUES (19598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:17:56');
INSERT INTO `sys_job_log` VALUES (19599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:18:00');
INSERT INTO `sys_job_log` VALUES (19600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:18:00');
INSERT INTO `sys_job_log` VALUES (19601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:18:01');
INSERT INTO `sys_job_log` VALUES (19602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:18:01');
INSERT INTO `sys_job_log` VALUES (19603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:18:05');
INSERT INTO `sys_job_log` VALUES (19604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:18:06');
INSERT INTO `sys_job_log` VALUES (19605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:10');
INSERT INTO `sys_job_log` VALUES (19606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:18:11');
INSERT INTO `sys_job_log` VALUES (19607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:15');
INSERT INTO `sys_job_log` VALUES (19608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:18:15');
INSERT INTO `sys_job_log` VALUES (19609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:18:16');
INSERT INTO `sys_job_log` VALUES (19610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:18:16');
INSERT INTO `sys_job_log` VALUES (19611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:20');
INSERT INTO `sys_job_log` VALUES (19612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 15:18:21');
INSERT INTO `sys_job_log` VALUES (19613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:18:25');
INSERT INTO `sys_job_log` VALUES (19614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:18:26');
INSERT INTO `sys_job_log` VALUES (19615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:18:30');
INSERT INTO `sys_job_log` VALUES (19616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:18:30');
INSERT INTO `sys_job_log` VALUES (19617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:31');
INSERT INTO `sys_job_log` VALUES (19618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:31');
INSERT INTO `sys_job_log` VALUES (19619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:18:35');
INSERT INTO `sys_job_log` VALUES (19620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:36');
INSERT INTO `sys_job_log` VALUES (19621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:18:40');
INSERT INTO `sys_job_log` VALUES (19622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:18:41');
INSERT INTO `sys_job_log` VALUES (19623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:45');
INSERT INTO `sys_job_log` VALUES (19624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:18:45');
INSERT INTO `sys_job_log` VALUES (19625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:18:46');
INSERT INTO `sys_job_log` VALUES (19626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:18:46');
INSERT INTO `sys_job_log` VALUES (19627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:18:50');
INSERT INTO `sys_job_log` VALUES (19628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:18:51');
INSERT INTO `sys_job_log` VALUES (19629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:18:55');
INSERT INTO `sys_job_log` VALUES (19630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:18:56');
INSERT INTO `sys_job_log` VALUES (19631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:19:00');
INSERT INTO `sys_job_log` VALUES (19632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:19:00');
INSERT INTO `sys_job_log` VALUES (19633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:19:01');
INSERT INTO `sys_job_log` VALUES (19634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:19:01');
INSERT INTO `sys_job_log` VALUES (19635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:19:05');
INSERT INTO `sys_job_log` VALUES (19636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:19:06');
INSERT INTO `sys_job_log` VALUES (19637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:19:10');
INSERT INTO `sys_job_log` VALUES (19638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:19:11');
INSERT INTO `sys_job_log` VALUES (19639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:19:15');
INSERT INTO `sys_job_log` VALUES (19640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:19:15');
INSERT INTO `sys_job_log` VALUES (19641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:19:16');
INSERT INTO `sys_job_log` VALUES (19642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:19:16');
INSERT INTO `sys_job_log` VALUES (19643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:19:20');
INSERT INTO `sys_job_log` VALUES (19644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:19:21');
INSERT INTO `sys_job_log` VALUES (19645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:19:25');
INSERT INTO `sys_job_log` VALUES (19646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:19:26');
INSERT INTO `sys_job_log` VALUES (19647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:19:30');
INSERT INTO `sys_job_log` VALUES (19648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:19:30');
INSERT INTO `sys_job_log` VALUES (19649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:19:31');
INSERT INTO `sys_job_log` VALUES (19650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:19:31');
INSERT INTO `sys_job_log` VALUES (19651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:19:35');
INSERT INTO `sys_job_log` VALUES (19652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:19:36');
INSERT INTO `sys_job_log` VALUES (19653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:19:40');
INSERT INTO `sys_job_log` VALUES (19654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:19:45');
INSERT INTO `sys_job_log` VALUES (19655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:19:45');
INSERT INTO `sys_job_log` VALUES (19656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:19:50');
INSERT INTO `sys_job_log` VALUES (19657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:19:55');
INSERT INTO `sys_job_log` VALUES (19658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:20:00');
INSERT INTO `sys_job_log` VALUES (19659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:20:00');
INSERT INTO `sys_job_log` VALUES (19660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:20:05');
INSERT INTO `sys_job_log` VALUES (19661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:20:10');
INSERT INTO `sys_job_log` VALUES (19662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:20:15');
INSERT INTO `sys_job_log` VALUES (19663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:20:15');
INSERT INTO `sys_job_log` VALUES (19664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:20:20');
INSERT INTO `sys_job_log` VALUES (19665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:20:25');
INSERT INTO `sys_job_log` VALUES (19666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:20:30');
INSERT INTO `sys_job_log` VALUES (19667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:20:30');
INSERT INTO `sys_job_log` VALUES (19668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:20:35');
INSERT INTO `sys_job_log` VALUES (19669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:20:40');
INSERT INTO `sys_job_log` VALUES (19670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:20:45');
INSERT INTO `sys_job_log` VALUES (19671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:20:45');
INSERT INTO `sys_job_log` VALUES (19672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:20:50');
INSERT INTO `sys_job_log` VALUES (19673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:20:55');
INSERT INTO `sys_job_log` VALUES (19674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:00');
INSERT INTO `sys_job_log` VALUES (19675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:00');
INSERT INTO `sys_job_log` VALUES (19676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:05');
INSERT INTO `sys_job_log` VALUES (19677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:21:10');
INSERT INTO `sys_job_log` VALUES (19678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:15');
INSERT INTO `sys_job_log` VALUES (19679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:15');
INSERT INTO `sys_job_log` VALUES (19680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:21:20');
INSERT INTO `sys_job_log` VALUES (19681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:21:25');
INSERT INTO `sys_job_log` VALUES (19682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:21:30');
INSERT INTO `sys_job_log` VALUES (19683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:21:30');
INSERT INTO `sys_job_log` VALUES (19684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:35');
INSERT INTO `sys_job_log` VALUES (19685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:21:40');
INSERT INTO `sys_job_log` VALUES (19686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:21:45');
INSERT INTO `sys_job_log` VALUES (19687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:21:45');
INSERT INTO `sys_job_log` VALUES (19688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:21:50');
INSERT INTO `sys_job_log` VALUES (19689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:21:55');
INSERT INTO `sys_job_log` VALUES (19690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 15:22:00');
INSERT INTO `sys_job_log` VALUES (19691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:22:00');
INSERT INTO `sys_job_log` VALUES (19692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:22:05');
INSERT INTO `sys_job_log` VALUES (19693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:22:10');
INSERT INTO `sys_job_log` VALUES (19694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:22:15');
INSERT INTO `sys_job_log` VALUES (19695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:22:15');
INSERT INTO `sys_job_log` VALUES (19696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：299毫秒', '0', '', '2024-12-26 15:22:20');
INSERT INTO `sys_job_log` VALUES (19697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:22:25');
INSERT INTO `sys_job_log` VALUES (19698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:22:30');
INSERT INTO `sys_job_log` VALUES (19699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:22:30');
INSERT INTO `sys_job_log` VALUES (19700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:22:35');
INSERT INTO `sys_job_log` VALUES (19701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:22:40');
INSERT INTO `sys_job_log` VALUES (19702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:22:45');
INSERT INTO `sys_job_log` VALUES (19703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:22:45');
INSERT INTO `sys_job_log` VALUES (19704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:22:50');
INSERT INTO `sys_job_log` VALUES (19705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:22:55');
INSERT INTO `sys_job_log` VALUES (19706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:00');
INSERT INTO `sys_job_log` VALUES (19707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:00');
INSERT INTO `sys_job_log` VALUES (19708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:23:05');
INSERT INTO `sys_job_log` VALUES (19709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:10');
INSERT INTO `sys_job_log` VALUES (19710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:15');
INSERT INTO `sys_job_log` VALUES (19711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:15');
INSERT INTO `sys_job_log` VALUES (19712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:23:20');
INSERT INTO `sys_job_log` VALUES (19713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:25');
INSERT INTO `sys_job_log` VALUES (19714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:23:30');
INSERT INTO `sys_job_log` VALUES (19715, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:23:30');
INSERT INTO `sys_job_log` VALUES (19716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:23:35');
INSERT INTO `sys_job_log` VALUES (19717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:23:40');
INSERT INTO `sys_job_log` VALUES (19718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:23:45');
INSERT INTO `sys_job_log` VALUES (19719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:23:45');
INSERT INTO `sys_job_log` VALUES (19720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:23:50');
INSERT INTO `sys_job_log` VALUES (19721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:23:55');
INSERT INTO `sys_job_log` VALUES (19722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:24:00');
INSERT INTO `sys_job_log` VALUES (19723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:24:00');
INSERT INTO `sys_job_log` VALUES (19724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:24:05');
INSERT INTO `sys_job_log` VALUES (19725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:24:10');
INSERT INTO `sys_job_log` VALUES (19726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:24:15');
INSERT INTO `sys_job_log` VALUES (19727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:24:15');
INSERT INTO `sys_job_log` VALUES (19728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:24:20');
INSERT INTO `sys_job_log` VALUES (19729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:24:25');
INSERT INTO `sys_job_log` VALUES (19730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:24:30');
INSERT INTO `sys_job_log` VALUES (19731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:24:30');
INSERT INTO `sys_job_log` VALUES (19732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:24:35');
INSERT INTO `sys_job_log` VALUES (19733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:24:40');
INSERT INTO `sys_job_log` VALUES (19734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:24:45');
INSERT INTO `sys_job_log` VALUES (19735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:24:45');
INSERT INTO `sys_job_log` VALUES (19736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:24:50');
INSERT INTO `sys_job_log` VALUES (19737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:24:55');
INSERT INTO `sys_job_log` VALUES (19738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 15:25:00');
INSERT INTO `sys_job_log` VALUES (19739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:25:00');
INSERT INTO `sys_job_log` VALUES (19740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:25:05');
INSERT INTO `sys_job_log` VALUES (19741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:25:10');
INSERT INTO `sys_job_log` VALUES (19742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:25:15');
INSERT INTO `sys_job_log` VALUES (19743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:25:15');
INSERT INTO `sys_job_log` VALUES (19744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:25:20');
INSERT INTO `sys_job_log` VALUES (19745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:25:25');
INSERT INTO `sys_job_log` VALUES (19746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:25:30');
INSERT INTO `sys_job_log` VALUES (19747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:25:30');
INSERT INTO `sys_job_log` VALUES (19748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:25:35');
INSERT INTO `sys_job_log` VALUES (19749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:25:40');
INSERT INTO `sys_job_log` VALUES (19750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:25:45');
INSERT INTO `sys_job_log` VALUES (19751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:25:45');
INSERT INTO `sys_job_log` VALUES (19752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:25:46');
INSERT INTO `sys_job_log` VALUES (19753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 15:25:46');
INSERT INTO `sys_job_log` VALUES (19754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 15:25:50');
INSERT INTO `sys_job_log` VALUES (19755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:25:51');
INSERT INTO `sys_job_log` VALUES (19756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:25:55');
INSERT INTO `sys_job_log` VALUES (19757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:25:56');
INSERT INTO `sys_job_log` VALUES (19758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:26:00');
INSERT INTO `sys_job_log` VALUES (19759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:26:00');
INSERT INTO `sys_job_log` VALUES (19760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:26:01');
INSERT INTO `sys_job_log` VALUES (19761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:26:01');
INSERT INTO `sys_job_log` VALUES (19762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:26:05');
INSERT INTO `sys_job_log` VALUES (19763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-26 15:26:06');
INSERT INTO `sys_job_log` VALUES (19764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:26:10');
INSERT INTO `sys_job_log` VALUES (19765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:26:11');
INSERT INTO `sys_job_log` VALUES (19766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:26:15');
INSERT INTO `sys_job_log` VALUES (19767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:26:15');
INSERT INTO `sys_job_log` VALUES (19768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:26:16');
INSERT INTO `sys_job_log` VALUES (19769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-26 15:26:16');
INSERT INTO `sys_job_log` VALUES (19770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:26:20');
INSERT INTO `sys_job_log` VALUES (19771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:26:21');
INSERT INTO `sys_job_log` VALUES (19772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:26:25');
INSERT INTO `sys_job_log` VALUES (19773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:26:26');
INSERT INTO `sys_job_log` VALUES (19774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:26:30');
INSERT INTO `sys_job_log` VALUES (19775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:26:30');
INSERT INTO `sys_job_log` VALUES (19776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:26:31');
INSERT INTO `sys_job_log` VALUES (19777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:26:31');
INSERT INTO `sys_job_log` VALUES (19778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:26:35');
INSERT INTO `sys_job_log` VALUES (19779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:26:36');
INSERT INTO `sys_job_log` VALUES (19780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:26:40');
INSERT INTO `sys_job_log` VALUES (19781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:26:41');
INSERT INTO `sys_job_log` VALUES (19782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:26:45');
INSERT INTO `sys_job_log` VALUES (19783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:26:45');
INSERT INTO `sys_job_log` VALUES (19784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:26:46');
INSERT INTO `sys_job_log` VALUES (19785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:26:46');
INSERT INTO `sys_job_log` VALUES (19786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:26:50');
INSERT INTO `sys_job_log` VALUES (19787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:26:51');
INSERT INTO `sys_job_log` VALUES (19788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:26:55');
INSERT INTO `sys_job_log` VALUES (19789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:26:56');
INSERT INTO `sys_job_log` VALUES (19790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:00');
INSERT INTO `sys_job_log` VALUES (19791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:00');
INSERT INTO `sys_job_log` VALUES (19792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:01');
INSERT INTO `sys_job_log` VALUES (19793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:01');
INSERT INTO `sys_job_log` VALUES (19794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:27:05');
INSERT INTO `sys_job_log` VALUES (19795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:27:06');
INSERT INTO `sys_job_log` VALUES (19796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:10');
INSERT INTO `sys_job_log` VALUES (19797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:11');
INSERT INTO `sys_job_log` VALUES (19798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:15');
INSERT INTO `sys_job_log` VALUES (19799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:15');
INSERT INTO `sys_job_log` VALUES (19800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:27:16');
INSERT INTO `sys_job_log` VALUES (19801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:27:16');
INSERT INTO `sys_job_log` VALUES (19802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:20');
INSERT INTO `sys_job_log` VALUES (19803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:27:21');
INSERT INTO `sys_job_log` VALUES (19804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:27:25');
INSERT INTO `sys_job_log` VALUES (19805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:27:26');
INSERT INTO `sys_job_log` VALUES (19806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:30');
INSERT INTO `sys_job_log` VALUES (19807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:30');
INSERT INTO `sys_job_log` VALUES (19808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:27:31');
INSERT INTO `sys_job_log` VALUES (19809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:27:31');
INSERT INTO `sys_job_log` VALUES (19810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:27:35');
INSERT INTO `sys_job_log` VALUES (19811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:27:36');
INSERT INTO `sys_job_log` VALUES (19812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:27:40');
INSERT INTO `sys_job_log` VALUES (19813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:41');
INSERT INTO `sys_job_log` VALUES (19814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:27:45');
INSERT INTO `sys_job_log` VALUES (19815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:27:45');
INSERT INTO `sys_job_log` VALUES (19816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:27:46');
INSERT INTO `sys_job_log` VALUES (19817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:27:46');
INSERT INTO `sys_job_log` VALUES (19818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:27:50');
INSERT INTO `sys_job_log` VALUES (19819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:27:51');
INSERT INTO `sys_job_log` VALUES (19820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:27:55');
INSERT INTO `sys_job_log` VALUES (19821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:27:56');
INSERT INTO `sys_job_log` VALUES (19822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:28:00');
INSERT INTO `sys_job_log` VALUES (19823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:28:00');
INSERT INTO `sys_job_log` VALUES (19824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:28:01');
INSERT INTO `sys_job_log` VALUES (19825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:28:01');
INSERT INTO `sys_job_log` VALUES (19826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:28:05');
INSERT INTO `sys_job_log` VALUES (19827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:28:06');
INSERT INTO `sys_job_log` VALUES (19828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:28:10');
INSERT INTO `sys_job_log` VALUES (19829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:28:11');
INSERT INTO `sys_job_log` VALUES (19830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:28:15');
INSERT INTO `sys_job_log` VALUES (19831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:28:15');
INSERT INTO `sys_job_log` VALUES (19832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:28:16');
INSERT INTO `sys_job_log` VALUES (19833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 15:28:16');
INSERT INTO `sys_job_log` VALUES (19834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:28:20');
INSERT INTO `sys_job_log` VALUES (19835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:28:21');
INSERT INTO `sys_job_log` VALUES (19836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:28:25');
INSERT INTO `sys_job_log` VALUES (19837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:28:26');
INSERT INTO `sys_job_log` VALUES (19838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:28:30');
INSERT INTO `sys_job_log` VALUES (19839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:28:30');
INSERT INTO `sys_job_log` VALUES (19840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:28:31');
INSERT INTO `sys_job_log` VALUES (19841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:28:31');
INSERT INTO `sys_job_log` VALUES (19842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:28:35');
INSERT INTO `sys_job_log` VALUES (19843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:28:36');
INSERT INTO `sys_job_log` VALUES (19844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:28:40');
INSERT INTO `sys_job_log` VALUES (19845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:28:41');
INSERT INTO `sys_job_log` VALUES (19846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:28:45');
INSERT INTO `sys_job_log` VALUES (19847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:28:45');
INSERT INTO `sys_job_log` VALUES (19848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:28:46');
INSERT INTO `sys_job_log` VALUES (19849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:28:46');
INSERT INTO `sys_job_log` VALUES (19850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:28:50');
INSERT INTO `sys_job_log` VALUES (19851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:28:51');
INSERT INTO `sys_job_log` VALUES (19852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:28:55');
INSERT INTO `sys_job_log` VALUES (19853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:28:56');
INSERT INTO `sys_job_log` VALUES (19854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:29:00');
INSERT INTO `sys_job_log` VALUES (19855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:29:00');
INSERT INTO `sys_job_log` VALUES (19856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:29:01');
INSERT INTO `sys_job_log` VALUES (19857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:29:01');
INSERT INTO `sys_job_log` VALUES (19858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:29:05');
INSERT INTO `sys_job_log` VALUES (19859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:29:06');
INSERT INTO `sys_job_log` VALUES (19860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:29:10');
INSERT INTO `sys_job_log` VALUES (19861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:29:11');
INSERT INTO `sys_job_log` VALUES (19862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:29:15');
INSERT INTO `sys_job_log` VALUES (19863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:29:15');
INSERT INTO `sys_job_log` VALUES (19864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:29:16');
INSERT INTO `sys_job_log` VALUES (19865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:29:16');
INSERT INTO `sys_job_log` VALUES (19866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:29:20');
INSERT INTO `sys_job_log` VALUES (19867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:29:21');
INSERT INTO `sys_job_log` VALUES (19868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:29:25');
INSERT INTO `sys_job_log` VALUES (19869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:29:26');
INSERT INTO `sys_job_log` VALUES (19870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:29:30');
INSERT INTO `sys_job_log` VALUES (19871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:29:30');
INSERT INTO `sys_job_log` VALUES (19872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:29:31');
INSERT INTO `sys_job_log` VALUES (19873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:29:31');
INSERT INTO `sys_job_log` VALUES (19874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:29:35');
INSERT INTO `sys_job_log` VALUES (19875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:29:36');
INSERT INTO `sys_job_log` VALUES (19876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:29:40');
INSERT INTO `sys_job_log` VALUES (19877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:29:41');
INSERT INTO `sys_job_log` VALUES (19878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:29:45');
INSERT INTO `sys_job_log` VALUES (19879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:29:45');
INSERT INTO `sys_job_log` VALUES (19880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:29:46');
INSERT INTO `sys_job_log` VALUES (19881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:29:46');
INSERT INTO `sys_job_log` VALUES (19882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:29:50');
INSERT INTO `sys_job_log` VALUES (19883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:29:51');
INSERT INTO `sys_job_log` VALUES (19884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:29:55');
INSERT INTO `sys_job_log` VALUES (19885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:29:56');
INSERT INTO `sys_job_log` VALUES (19886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:30:00');
INSERT INTO `sys_job_log` VALUES (19887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:30:00');
INSERT INTO `sys_job_log` VALUES (19888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:30:01');
INSERT INTO `sys_job_log` VALUES (19889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:30:01');
INSERT INTO `sys_job_log` VALUES (19890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:30:05');
INSERT INTO `sys_job_log` VALUES (19891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:30:06');
INSERT INTO `sys_job_log` VALUES (19892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 15:30:10');
INSERT INTO `sys_job_log` VALUES (19893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:30:11');
INSERT INTO `sys_job_log` VALUES (19894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:30:15');
INSERT INTO `sys_job_log` VALUES (19895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:30:15');
INSERT INTO `sys_job_log` VALUES (19896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:30:16');
INSERT INTO `sys_job_log` VALUES (19897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:30:16');
INSERT INTO `sys_job_log` VALUES (19898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:30:20');
INSERT INTO `sys_job_log` VALUES (19899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:30:21');
INSERT INTO `sys_job_log` VALUES (19900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:30:25');
INSERT INTO `sys_job_log` VALUES (19901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:30:26');
INSERT INTO `sys_job_log` VALUES (19902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:30:30');
INSERT INTO `sys_job_log` VALUES (19903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:30:30');
INSERT INTO `sys_job_log` VALUES (19904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:30:31');
INSERT INTO `sys_job_log` VALUES (19905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 15:30:31');
INSERT INTO `sys_job_log` VALUES (19906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:30:35');
INSERT INTO `sys_job_log` VALUES (19907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:30:36');
INSERT INTO `sys_job_log` VALUES (19908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:30:40');
INSERT INTO `sys_job_log` VALUES (19909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:30:41');
INSERT INTO `sys_job_log` VALUES (19910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:30:45');
INSERT INTO `sys_job_log` VALUES (19911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:30:45');
INSERT INTO `sys_job_log` VALUES (19912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-26 15:30:46');
INSERT INTO `sys_job_log` VALUES (19913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-26 15:30:46');
INSERT INTO `sys_job_log` VALUES (19914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:30:50');
INSERT INTO `sys_job_log` VALUES (19915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:30:51');
INSERT INTO `sys_job_log` VALUES (19916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:30:55');
INSERT INTO `sys_job_log` VALUES (19917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:30:56');
INSERT INTO `sys_job_log` VALUES (19918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:31:00');
INSERT INTO `sys_job_log` VALUES (19919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:31:00');
INSERT INTO `sys_job_log` VALUES (19920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:31:01');
INSERT INTO `sys_job_log` VALUES (19921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:31:01');
INSERT INTO `sys_job_log` VALUES (19922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:31:05');
INSERT INTO `sys_job_log` VALUES (19923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:31:06');
INSERT INTO `sys_job_log` VALUES (19924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:31:10');
INSERT INTO `sys_job_log` VALUES (19925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:31:11');
INSERT INTO `sys_job_log` VALUES (19926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:31:15');
INSERT INTO `sys_job_log` VALUES (19927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:31:15');
INSERT INTO `sys_job_log` VALUES (19928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:31:16');
INSERT INTO `sys_job_log` VALUES (19929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:31:16');
INSERT INTO `sys_job_log` VALUES (19930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:31:20');
INSERT INTO `sys_job_log` VALUES (19931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:31:21');
INSERT INTO `sys_job_log` VALUES (19932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:25');
INSERT INTO `sys_job_log` VALUES (19933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:31:26');
INSERT INTO `sys_job_log` VALUES (19934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:30');
INSERT INTO `sys_job_log` VALUES (19935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:30');
INSERT INTO `sys_job_log` VALUES (19936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:31');
INSERT INTO `sys_job_log` VALUES (19937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:31:31');
INSERT INTO `sys_job_log` VALUES (19938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:31:35');
INSERT INTO `sys_job_log` VALUES (19939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:31:36');
INSERT INTO `sys_job_log` VALUES (19940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:31:40');
INSERT INTO `sys_job_log` VALUES (19941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:41');
INSERT INTO `sys_job_log` VALUES (19942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:45');
INSERT INTO `sys_job_log` VALUES (19943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:45');
INSERT INTO `sys_job_log` VALUES (19944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:31:46');
INSERT INTO `sys_job_log` VALUES (19945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:31:46');
INSERT INTO `sys_job_log` VALUES (19946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:31:50');
INSERT INTO `sys_job_log` VALUES (19947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:51');
INSERT INTO `sys_job_log` VALUES (19948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:31:55');
INSERT INTO `sys_job_log` VALUES (19949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:31:56');
INSERT INTO `sys_job_log` VALUES (19950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:32:00');
INSERT INTO `sys_job_log` VALUES (19951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:32:00');
INSERT INTO `sys_job_log` VALUES (19952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:01');
INSERT INTO `sys_job_log` VALUES (19953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:01');
INSERT INTO `sys_job_log` VALUES (19954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:32:05');
INSERT INTO `sys_job_log` VALUES (19955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:06');
INSERT INTO `sys_job_log` VALUES (19956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:32:10');
INSERT INTO `sys_job_log` VALUES (19957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:11');
INSERT INTO `sys_job_log` VALUES (19958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:15');
INSERT INTO `sys_job_log` VALUES (19959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:32:15');
INSERT INTO `sys_job_log` VALUES (19960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:16');
INSERT INTO `sys_job_log` VALUES (19961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:16');
INSERT INTO `sys_job_log` VALUES (19962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:32:20');
INSERT INTO `sys_job_log` VALUES (19963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:32:21');
INSERT INTO `sys_job_log` VALUES (19964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:32:25');
INSERT INTO `sys_job_log` VALUES (19965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:26');
INSERT INTO `sys_job_log` VALUES (19966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:32:30');
INSERT INTO `sys_job_log` VALUES (19967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:32:30');
INSERT INTO `sys_job_log` VALUES (19968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:32:31');
INSERT INTO `sys_job_log` VALUES (19969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:32:31');
INSERT INTO `sys_job_log` VALUES (19970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:32:35');
INSERT INTO `sys_job_log` VALUES (19971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:36');
INSERT INTO `sys_job_log` VALUES (19972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:32:40');
INSERT INTO `sys_job_log` VALUES (19973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:41');
INSERT INTO `sys_job_log` VALUES (19974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:45');
INSERT INTO `sys_job_log` VALUES (19975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:45');
INSERT INTO `sys_job_log` VALUES (19976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:32:46');
INSERT INTO `sys_job_log` VALUES (19977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:32:46');
INSERT INTO `sys_job_log` VALUES (19978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:32:50');
INSERT INTO `sys_job_log` VALUES (19979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:32:51');
INSERT INTO `sys_job_log` VALUES (19980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:32:55');
INSERT INTO `sys_job_log` VALUES (19981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:32:56');
INSERT INTO `sys_job_log` VALUES (19982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:33:00');
INSERT INTO `sys_job_log` VALUES (19983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:33:00');
INSERT INTO `sys_job_log` VALUES (19984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:33:01');
INSERT INTO `sys_job_log` VALUES (19985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:33:01');
INSERT INTO `sys_job_log` VALUES (19986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:33:05');
INSERT INTO `sys_job_log` VALUES (19987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:06');
INSERT INTO `sys_job_log` VALUES (19988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:33:10');
INSERT INTO `sys_job_log` VALUES (19989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:33:11');
INSERT INTO `sys_job_log` VALUES (19990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:33:15');
INSERT INTO `sys_job_log` VALUES (19991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:33:15');
INSERT INTO `sys_job_log` VALUES (19992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:16');
INSERT INTO `sys_job_log` VALUES (19993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:16');
INSERT INTO `sys_job_log` VALUES (19994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:33:20');
INSERT INTO `sys_job_log` VALUES (19995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:33:21');
INSERT INTO `sys_job_log` VALUES (19996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:33:25');
INSERT INTO `sys_job_log` VALUES (19997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:33:26');
INSERT INTO `sys_job_log` VALUES (19998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:33:30');
INSERT INTO `sys_job_log` VALUES (19999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:33:30');
INSERT INTO `sys_job_log` VALUES (20000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:31');
INSERT INTO `sys_job_log` VALUES (20001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:31');
INSERT INTO `sys_job_log` VALUES (20002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:33:35');
INSERT INTO `sys_job_log` VALUES (20003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:33:36');
INSERT INTO `sys_job_log` VALUES (20004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:33:40');
INSERT INTO `sys_job_log` VALUES (20005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:33:41');
INSERT INTO `sys_job_log` VALUES (20006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:33:45');
INSERT INTO `sys_job_log` VALUES (20007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:33:45');
INSERT INTO `sys_job_log` VALUES (20008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:46');
INSERT INTO `sys_job_log` VALUES (20009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:46');
INSERT INTO `sys_job_log` VALUES (20010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:33:50');
INSERT INTO `sys_job_log` VALUES (20011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:51');
INSERT INTO `sys_job_log` VALUES (20012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:33:55');
INSERT INTO `sys_job_log` VALUES (20013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:33:56');
INSERT INTO `sys_job_log` VALUES (20014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:34:00');
INSERT INTO `sys_job_log` VALUES (20015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:34:00');
INSERT INTO `sys_job_log` VALUES (20016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:01');
INSERT INTO `sys_job_log` VALUES (20017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:01');
INSERT INTO `sys_job_log` VALUES (20018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:34:05');
INSERT INTO `sys_job_log` VALUES (20019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:34:06');
INSERT INTO `sys_job_log` VALUES (20020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:34:10');
INSERT INTO `sys_job_log` VALUES (20021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:34:11');
INSERT INTO `sys_job_log` VALUES (20022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:34:15');
INSERT INTO `sys_job_log` VALUES (20023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:34:15');
INSERT INTO `sys_job_log` VALUES (20024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:34:16');
INSERT INTO `sys_job_log` VALUES (20025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:34:16');
INSERT INTO `sys_job_log` VALUES (20026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:34:20');
INSERT INTO `sys_job_log` VALUES (20027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:34:21');
INSERT INTO `sys_job_log` VALUES (20028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:34:25');
INSERT INTO `sys_job_log` VALUES (20029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:34:26');
INSERT INTO `sys_job_log` VALUES (20030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:34:30');
INSERT INTO `sys_job_log` VALUES (20031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:34:30');
INSERT INTO `sys_job_log` VALUES (20032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:31');
INSERT INTO `sys_job_log` VALUES (20033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:31');
INSERT INTO `sys_job_log` VALUES (20034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:34:35');
INSERT INTO `sys_job_log` VALUES (20035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:34:36');
INSERT INTO `sys_job_log` VALUES (20036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:34:40');
INSERT INTO `sys_job_log` VALUES (20037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:41');
INSERT INTO `sys_job_log` VALUES (20038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:34:45');
INSERT INTO `sys_job_log` VALUES (20039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:34:45');
INSERT INTO `sys_job_log` VALUES (20040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:34:46');
INSERT INTO `sys_job_log` VALUES (20041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:34:46');
INSERT INTO `sys_job_log` VALUES (20042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:50');
INSERT INTO `sys_job_log` VALUES (20043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:34:51');
INSERT INTO `sys_job_log` VALUES (20044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:34:55');
INSERT INTO `sys_job_log` VALUES (20045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:34:56');
INSERT INTO `sys_job_log` VALUES (20046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:35:00');
INSERT INTO `sys_job_log` VALUES (20047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:35:00');
INSERT INTO `sys_job_log` VALUES (20048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:01');
INSERT INTO `sys_job_log` VALUES (20049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:01');
INSERT INTO `sys_job_log` VALUES (20050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:35:05');
INSERT INTO `sys_job_log` VALUES (20051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:35:06');
INSERT INTO `sys_job_log` VALUES (20052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:35:10');
INSERT INTO `sys_job_log` VALUES (20053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:35:11');
INSERT INTO `sys_job_log` VALUES (20054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:35:15');
INSERT INTO `sys_job_log` VALUES (20055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:35:15');
INSERT INTO `sys_job_log` VALUES (20056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:16');
INSERT INTO `sys_job_log` VALUES (20057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:16');
INSERT INTO `sys_job_log` VALUES (20058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:35:20');
INSERT INTO `sys_job_log` VALUES (20059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:35:21');
INSERT INTO `sys_job_log` VALUES (20060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:25');
INSERT INTO `sys_job_log` VALUES (20061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:35:26');
INSERT INTO `sys_job_log` VALUES (20062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:35:30');
INSERT INTO `sys_job_log` VALUES (20063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:30');
INSERT INTO `sys_job_log` VALUES (20064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:31');
INSERT INTO `sys_job_log` VALUES (20065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:31');
INSERT INTO `sys_job_log` VALUES (20066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:35:35');
INSERT INTO `sys_job_log` VALUES (20067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:36');
INSERT INTO `sys_job_log` VALUES (20068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:35:40');
INSERT INTO `sys_job_log` VALUES (20069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:35:41');
INSERT INTO `sys_job_log` VALUES (20070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:45');
INSERT INTO `sys_job_log` VALUES (20071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:45');
INSERT INTO `sys_job_log` VALUES (20072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:46');
INSERT INTO `sys_job_log` VALUES (20073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:35:46');
INSERT INTO `sys_job_log` VALUES (20074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:35:50');
INSERT INTO `sys_job_log` VALUES (20075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:35:51');
INSERT INTO `sys_job_log` VALUES (20076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:35:55');
INSERT INTO `sys_job_log` VALUES (20077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:35:56');
INSERT INTO `sys_job_log` VALUES (20078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:36:00');
INSERT INTO `sys_job_log` VALUES (20079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:36:00');
INSERT INTO `sys_job_log` VALUES (20080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:01');
INSERT INTO `sys_job_log` VALUES (20081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:36:01');
INSERT INTO `sys_job_log` VALUES (20082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:36:05');
INSERT INTO `sys_job_log` VALUES (20083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:36:06');
INSERT INTO `sys_job_log` VALUES (20084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:36:10');
INSERT INTO `sys_job_log` VALUES (20085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:36:11');
INSERT INTO `sys_job_log` VALUES (20086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:36:15');
INSERT INTO `sys_job_log` VALUES (20087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:36:15');
INSERT INTO `sys_job_log` VALUES (20088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:36:16');
INSERT INTO `sys_job_log` VALUES (20089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:36:16');
INSERT INTO `sys_job_log` VALUES (20090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 15:36:20');
INSERT INTO `sys_job_log` VALUES (20091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:21');
INSERT INTO `sys_job_log` VALUES (20092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:36:25');
INSERT INTO `sys_job_log` VALUES (20093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:26');
INSERT INTO `sys_job_log` VALUES (20094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:36:30');
INSERT INTO `sys_job_log` VALUES (20095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:36:30');
INSERT INTO `sys_job_log` VALUES (20096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:31');
INSERT INTO `sys_job_log` VALUES (20097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:31');
INSERT INTO `sys_job_log` VALUES (20098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:36:35');
INSERT INTO `sys_job_log` VALUES (20099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:36');
INSERT INTO `sys_job_log` VALUES (20100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:36:40');
INSERT INTO `sys_job_log` VALUES (20101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:36:41');
INSERT INTO `sys_job_log` VALUES (20102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:36:45');
INSERT INTO `sys_job_log` VALUES (20103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:36:45');
INSERT INTO `sys_job_log` VALUES (20104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:46');
INSERT INTO `sys_job_log` VALUES (20105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:36:46');
INSERT INTO `sys_job_log` VALUES (20106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:36:50');
INSERT INTO `sys_job_log` VALUES (20107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:36:51');
INSERT INTO `sys_job_log` VALUES (20108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:36:55');
INSERT INTO `sys_job_log` VALUES (20109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:36:56');
INSERT INTO `sys_job_log` VALUES (20110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:37:00');
INSERT INTO `sys_job_log` VALUES (20111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:37:00');
INSERT INTO `sys_job_log` VALUES (20112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:01');
INSERT INTO `sys_job_log` VALUES (20113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:01');
INSERT INTO `sys_job_log` VALUES (20114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:37:05');
INSERT INTO `sys_job_log` VALUES (20115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:06');
INSERT INTO `sys_job_log` VALUES (20116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:37:10');
INSERT INTO `sys_job_log` VALUES (20117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:37:11');
INSERT INTO `sys_job_log` VALUES (20118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:37:15');
INSERT INTO `sys_job_log` VALUES (20119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:37:15');
INSERT INTO `sys_job_log` VALUES (20120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:16');
INSERT INTO `sys_job_log` VALUES (20121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:37:16');
INSERT INTO `sys_job_log` VALUES (20122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:37:20');
INSERT INTO `sys_job_log` VALUES (20123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:21');
INSERT INTO `sys_job_log` VALUES (20124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:37:25');
INSERT INTO `sys_job_log` VALUES (20125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:37:26');
INSERT INTO `sys_job_log` VALUES (20126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:37:30');
INSERT INTO `sys_job_log` VALUES (20127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:37:30');
INSERT INTO `sys_job_log` VALUES (20128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:31');
INSERT INTO `sys_job_log` VALUES (20129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:37:31');
INSERT INTO `sys_job_log` VALUES (20130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:37:35');
INSERT INTO `sys_job_log` VALUES (20131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:37:36');
INSERT INTO `sys_job_log` VALUES (20132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:37:40');
INSERT INTO `sys_job_log` VALUES (20133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:37:41');
INSERT INTO `sys_job_log` VALUES (20134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:37:45');
INSERT INTO `sys_job_log` VALUES (20135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:37:45');
INSERT INTO `sys_job_log` VALUES (20136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:37:46');
INSERT INTO `sys_job_log` VALUES (20137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:37:46');
INSERT INTO `sys_job_log` VALUES (20138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:37:50');
INSERT INTO `sys_job_log` VALUES (20139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:37:51');
INSERT INTO `sys_job_log` VALUES (20140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:37:55');
INSERT INTO `sys_job_log` VALUES (20141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:37:56');
INSERT INTO `sys_job_log` VALUES (20142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:38:00');
INSERT INTO `sys_job_log` VALUES (20143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 15:38:00');
INSERT INTO `sys_job_log` VALUES (20144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:38:01');
INSERT INTO `sys_job_log` VALUES (20145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:38:01');
INSERT INTO `sys_job_log` VALUES (20146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:38:05');
INSERT INTO `sys_job_log` VALUES (20147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:06');
INSERT INTO `sys_job_log` VALUES (20148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:10');
INSERT INTO `sys_job_log` VALUES (20149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:38:11');
INSERT INTO `sys_job_log` VALUES (20150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:38:15');
INSERT INTO `sys_job_log` VALUES (20151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:38:15');
INSERT INTO `sys_job_log` VALUES (20152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:16');
INSERT INTO `sys_job_log` VALUES (20153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:16');
INSERT INTO `sys_job_log` VALUES (20154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:38:20');
INSERT INTO `sys_job_log` VALUES (20155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:38:21');
INSERT INTO `sys_job_log` VALUES (20156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:38:25');
INSERT INTO `sys_job_log` VALUES (20157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:38:26');
INSERT INTO `sys_job_log` VALUES (20158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:38:30');
INSERT INTO `sys_job_log` VALUES (20159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:38:30');
INSERT INTO `sys_job_log` VALUES (20160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:31');
INSERT INTO `sys_job_log` VALUES (20161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:31');
INSERT INTO `sys_job_log` VALUES (20162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:38:35');
INSERT INTO `sys_job_log` VALUES (20163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:36');
INSERT INTO `sys_job_log` VALUES (20164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:38:40');
INSERT INTO `sys_job_log` VALUES (20165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:38:41');
INSERT INTO `sys_job_log` VALUES (20166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:45');
INSERT INTO `sys_job_log` VALUES (20167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:45');
INSERT INTO `sys_job_log` VALUES (20168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:46');
INSERT INTO `sys_job_log` VALUES (20169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:46');
INSERT INTO `sys_job_log` VALUES (20170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:50');
INSERT INTO `sys_job_log` VALUES (20171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:38:51');
INSERT INTO `sys_job_log` VALUES (20172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:38:55');
INSERT INTO `sys_job_log` VALUES (20173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:38:56');
INSERT INTO `sys_job_log` VALUES (20174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:00');
INSERT INTO `sys_job_log` VALUES (20175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:00');
INSERT INTO `sys_job_log` VALUES (20176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:01');
INSERT INTO `sys_job_log` VALUES (20177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:01');
INSERT INTO `sys_job_log` VALUES (20178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:39:05');
INSERT INTO `sys_job_log` VALUES (20179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:39:06');
INSERT INTO `sys_job_log` VALUES (20180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:39:10');
INSERT INTO `sys_job_log` VALUES (20181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:39:11');
INSERT INTO `sys_job_log` VALUES (20182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:39:15');
INSERT INTO `sys_job_log` VALUES (20183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:15');
INSERT INTO `sys_job_log` VALUES (20184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:39:16');
INSERT INTO `sys_job_log` VALUES (20185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:39:16');
INSERT INTO `sys_job_log` VALUES (20186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:20');
INSERT INTO `sys_job_log` VALUES (20187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:39:21');
INSERT INTO `sys_job_log` VALUES (20188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:25');
INSERT INTO `sys_job_log` VALUES (20189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:39:26');
INSERT INTO `sys_job_log` VALUES (20190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:39:30');
INSERT INTO `sys_job_log` VALUES (20191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:30');
INSERT INTO `sys_job_log` VALUES (20192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:39:31');
INSERT INTO `sys_job_log` VALUES (20193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:39:31');
INSERT INTO `sys_job_log` VALUES (20194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:39:35');
INSERT INTO `sys_job_log` VALUES (20195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:36');
INSERT INTO `sys_job_log` VALUES (20196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:39:40');
INSERT INTO `sys_job_log` VALUES (20197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:41');
INSERT INTO `sys_job_log` VALUES (20198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:45');
INSERT INTO `sys_job_log` VALUES (20199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:39:45');
INSERT INTO `sys_job_log` VALUES (20200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:46');
INSERT INTO `sys_job_log` VALUES (20201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:39:46');
INSERT INTO `sys_job_log` VALUES (20202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:39:50');
INSERT INTO `sys_job_log` VALUES (20203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:39:51');
INSERT INTO `sys_job_log` VALUES (20204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:39:55');
INSERT INTO `sys_job_log` VALUES (20205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:39:56');
INSERT INTO `sys_job_log` VALUES (20206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-26 15:40:00');
INSERT INTO `sys_job_log` VALUES (20207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-26 15:40:00');
INSERT INTO `sys_job_log` VALUES (20208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:40:01');
INSERT INTO `sys_job_log` VALUES (20209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:40:01');
INSERT INTO `sys_job_log` VALUES (20210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-26 15:40:05');
INSERT INTO `sys_job_log` VALUES (20211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:40:06');
INSERT INTO `sys_job_log` VALUES (20212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-26 15:40:10');
INSERT INTO `sys_job_log` VALUES (20213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:11');
INSERT INTO `sys_job_log` VALUES (20214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-26 15:40:15');
INSERT INTO `sys_job_log` VALUES (20215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-26 15:40:15');
INSERT INTO `sys_job_log` VALUES (20216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:16');
INSERT INTO `sys_job_log` VALUES (20217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:16');
INSERT INTO `sys_job_log` VALUES (20218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-26 15:40:20');
INSERT INTO `sys_job_log` VALUES (20219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:40:21');
INSERT INTO `sys_job_log` VALUES (20220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:40:25');
INSERT INTO `sys_job_log` VALUES (20221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:40:26');
INSERT INTO `sys_job_log` VALUES (20222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:40:30');
INSERT INTO `sys_job_log` VALUES (20223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:40:30');
INSERT INTO `sys_job_log` VALUES (20224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:40:31');
INSERT INTO `sys_job_log` VALUES (20225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:40:31');
INSERT INTO `sys_job_log` VALUES (20226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:40:35');
INSERT INTO `sys_job_log` VALUES (20227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:36');
INSERT INTO `sys_job_log` VALUES (20228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:40');
INSERT INTO `sys_job_log` VALUES (20229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:40:41');
INSERT INTO `sys_job_log` VALUES (20230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:40:45');
INSERT INTO `sys_job_log` VALUES (20231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:40:45');
INSERT INTO `sys_job_log` VALUES (20232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:46');
INSERT INTO `sys_job_log` VALUES (20233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:46');
INSERT INTO `sys_job_log` VALUES (20234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:50');
INSERT INTO `sys_job_log` VALUES (20235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:51');
INSERT INTO `sys_job_log` VALUES (20236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:40:55');
INSERT INTO `sys_job_log` VALUES (20237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:40:56');
INSERT INTO `sys_job_log` VALUES (20238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:41:00');
INSERT INTO `sys_job_log` VALUES (20239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:41:00');
INSERT INTO `sys_job_log` VALUES (20240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:41:01');
INSERT INTO `sys_job_log` VALUES (20241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:41:01');
INSERT INTO `sys_job_log` VALUES (20242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:41:05');
INSERT INTO `sys_job_log` VALUES (20243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:41:06');
INSERT INTO `sys_job_log` VALUES (20244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:41:10');
INSERT INTO `sys_job_log` VALUES (20245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:41:11');
INSERT INTO `sys_job_log` VALUES (20246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:41:15');
INSERT INTO `sys_job_log` VALUES (20247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:41:15');
INSERT INTO `sys_job_log` VALUES (20248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:16');
INSERT INTO `sys_job_log` VALUES (20249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:41:16');
INSERT INTO `sys_job_log` VALUES (20250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:41:20');
INSERT INTO `sys_job_log` VALUES (20251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:41:21');
INSERT INTO `sys_job_log` VALUES (20252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:25');
INSERT INTO `sys_job_log` VALUES (20253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:41:26');
INSERT INTO `sys_job_log` VALUES (20254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 15:41:30');
INSERT INTO `sys_job_log` VALUES (20255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:41:30');
INSERT INTO `sys_job_log` VALUES (20256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:41:31');
INSERT INTO `sys_job_log` VALUES (20257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:41:31');
INSERT INTO `sys_job_log` VALUES (20258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:41:35');
INSERT INTO `sys_job_log` VALUES (20259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:41:36');
INSERT INTO `sys_job_log` VALUES (20260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:41:40');
INSERT INTO `sys_job_log` VALUES (20261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:41:41');
INSERT INTO `sys_job_log` VALUES (20262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:45');
INSERT INTO `sys_job_log` VALUES (20263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:45');
INSERT INTO `sys_job_log` VALUES (20264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:41:46');
INSERT INTO `sys_job_log` VALUES (20265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:46');
INSERT INTO `sys_job_log` VALUES (20266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:41:50');
INSERT INTO `sys_job_log` VALUES (20267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:51');
INSERT INTO `sys_job_log` VALUES (20268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:41:55');
INSERT INTO `sys_job_log` VALUES (20269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:41:56');
INSERT INTO `sys_job_log` VALUES (20270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:00');
INSERT INTO `sys_job_log` VALUES (20271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:42:00');
INSERT INTO `sys_job_log` VALUES (20272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:01');
INSERT INTO `sys_job_log` VALUES (20273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:01');
INSERT INTO `sys_job_log` VALUES (20274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:05');
INSERT INTO `sys_job_log` VALUES (20275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:06');
INSERT INTO `sys_job_log` VALUES (20276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:10');
INSERT INTO `sys_job_log` VALUES (20277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:11');
INSERT INTO `sys_job_log` VALUES (20278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:42:15');
INSERT INTO `sys_job_log` VALUES (20279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:42:15');
INSERT INTO `sys_job_log` VALUES (20280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:16');
INSERT INTO `sys_job_log` VALUES (20281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:16');
INSERT INTO `sys_job_log` VALUES (20282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:20');
INSERT INTO `sys_job_log` VALUES (20283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:21');
INSERT INTO `sys_job_log` VALUES (20284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:42:25');
INSERT INTO `sys_job_log` VALUES (20285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:26');
INSERT INTO `sys_job_log` VALUES (20286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:42:30');
INSERT INTO `sys_job_log` VALUES (20287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:42:30');
INSERT INTO `sys_job_log` VALUES (20288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:42:31');
INSERT INTO `sys_job_log` VALUES (20289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:42:31');
INSERT INTO `sys_job_log` VALUES (20290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:42:35');
INSERT INTO `sys_job_log` VALUES (20291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:36');
INSERT INTO `sys_job_log` VALUES (20292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:42:40');
INSERT INTO `sys_job_log` VALUES (20293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:42:41');
INSERT INTO `sys_job_log` VALUES (20294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:42:45');
INSERT INTO `sys_job_log` VALUES (20295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:42:45');
INSERT INTO `sys_job_log` VALUES (20296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:42:46');
INSERT INTO `sys_job_log` VALUES (20297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:42:46');
INSERT INTO `sys_job_log` VALUES (20298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:42:50');
INSERT INTO `sys_job_log` VALUES (20299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:42:51');
INSERT INTO `sys_job_log` VALUES (20300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:42:55');
INSERT INTO `sys_job_log` VALUES (20301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:42:56');
INSERT INTO `sys_job_log` VALUES (20302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:00');
INSERT INTO `sys_job_log` VALUES (20303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:43:00');
INSERT INTO `sys_job_log` VALUES (20304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:01');
INSERT INTO `sys_job_log` VALUES (20305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:43:01');
INSERT INTO `sys_job_log` VALUES (20306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:43:05');
INSERT INTO `sys_job_log` VALUES (20307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:06');
INSERT INTO `sys_job_log` VALUES (20308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:10');
INSERT INTO `sys_job_log` VALUES (20309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:11');
INSERT INTO `sys_job_log` VALUES (20310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:43:15');
INSERT INTO `sys_job_log` VALUES (20311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:43:15');
INSERT INTO `sys_job_log` VALUES (20312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:43:16');
INSERT INTO `sys_job_log` VALUES (20313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:16');
INSERT INTO `sys_job_log` VALUES (20314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:43:20');
INSERT INTO `sys_job_log` VALUES (20315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:43:21');
INSERT INTO `sys_job_log` VALUES (20316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:43:25');
INSERT INTO `sys_job_log` VALUES (20317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:26');
INSERT INTO `sys_job_log` VALUES (20318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:43:30');
INSERT INTO `sys_job_log` VALUES (20319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:43:30');
INSERT INTO `sys_job_log` VALUES (20320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:43:31');
INSERT INTO `sys_job_log` VALUES (20321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:43:31');
INSERT INTO `sys_job_log` VALUES (20322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:43:35');
INSERT INTO `sys_job_log` VALUES (20323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:43:36');
INSERT INTO `sys_job_log` VALUES (20324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:43:40');
INSERT INTO `sys_job_log` VALUES (20325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-26 15:43:41');
INSERT INTO `sys_job_log` VALUES (20326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:43:45');
INSERT INTO `sys_job_log` VALUES (20327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:43:45');
INSERT INTO `sys_job_log` VALUES (20328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:43:46');
INSERT INTO `sys_job_log` VALUES (20329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:43:46');
INSERT INTO `sys_job_log` VALUES (20330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:43:50');
INSERT INTO `sys_job_log` VALUES (20331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:43:51');
INSERT INTO `sys_job_log` VALUES (20332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:43:55');
INSERT INTO `sys_job_log` VALUES (20333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:43:56');
INSERT INTO `sys_job_log` VALUES (20334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:00');
INSERT INTO `sys_job_log` VALUES (20335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:00');
INSERT INTO `sys_job_log` VALUES (20336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-26 15:44:01');
INSERT INTO `sys_job_log` VALUES (20337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-26 15:44:01');
INSERT INTO `sys_job_log` VALUES (20338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:44:05');
INSERT INTO `sys_job_log` VALUES (20339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:06');
INSERT INTO `sys_job_log` VALUES (20340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:44:10');
INSERT INTO `sys_job_log` VALUES (20341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:11');
INSERT INTO `sys_job_log` VALUES (20342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:15');
INSERT INTO `sys_job_log` VALUES (20343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:15');
INSERT INTO `sys_job_log` VALUES (20344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:16');
INSERT INTO `sys_job_log` VALUES (20345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:16');
INSERT INTO `sys_job_log` VALUES (20346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:44:20');
INSERT INTO `sys_job_log` VALUES (20347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:21');
INSERT INTO `sys_job_log` VALUES (20348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:25');
INSERT INTO `sys_job_log` VALUES (20349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:44:26');
INSERT INTO `sys_job_log` VALUES (20350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:44:30');
INSERT INTO `sys_job_log` VALUES (20351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:44:30');
INSERT INTO `sys_job_log` VALUES (20352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:31');
INSERT INTO `sys_job_log` VALUES (20353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:44:31');
INSERT INTO `sys_job_log` VALUES (20354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:44:35');
INSERT INTO `sys_job_log` VALUES (20355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:36');
INSERT INTO `sys_job_log` VALUES (20356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:44:40');
INSERT INTO `sys_job_log` VALUES (20357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:41');
INSERT INTO `sys_job_log` VALUES (20358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:44:45');
INSERT INTO `sys_job_log` VALUES (20359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:44:45');
INSERT INTO `sys_job_log` VALUES (20360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:46');
INSERT INTO `sys_job_log` VALUES (20361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:44:46');
INSERT INTO `sys_job_log` VALUES (20362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:44:50');
INSERT INTO `sys_job_log` VALUES (20363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:51');
INSERT INTO `sys_job_log` VALUES (20364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:44:55');
INSERT INTO `sys_job_log` VALUES (20365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:44:56');
INSERT INTO `sys_job_log` VALUES (20366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:45:00');
INSERT INTO `sys_job_log` VALUES (20367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:45:00');
INSERT INTO `sys_job_log` VALUES (20368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:45:01');
INSERT INTO `sys_job_log` VALUES (20369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:45:01');
INSERT INTO `sys_job_log` VALUES (20370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:45:05');
INSERT INTO `sys_job_log` VALUES (20371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:45:06');
INSERT INTO `sys_job_log` VALUES (20372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:10');
INSERT INTO `sys_job_log` VALUES (20373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:45:13');
INSERT INTO `sys_job_log` VALUES (20374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:45:15');
INSERT INTO `sys_job_log` VALUES (20375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:45:15');
INSERT INTO `sys_job_log` VALUES (20376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:16');
INSERT INTO `sys_job_log` VALUES (20377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:16');
INSERT INTO `sys_job_log` VALUES (20378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:20');
INSERT INTO `sys_job_log` VALUES (20379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:45:21');
INSERT INTO `sys_job_log` VALUES (20380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:45:25');
INSERT INTO `sys_job_log` VALUES (20381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:45:26');
INSERT INTO `sys_job_log` VALUES (20382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:45:30');
INSERT INTO `sys_job_log` VALUES (20383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:45:30');
INSERT INTO `sys_job_log` VALUES (20384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:45:35');
INSERT INTO `sys_job_log` VALUES (20385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:40');
INSERT INTO `sys_job_log` VALUES (20386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:45:41');
INSERT INTO `sys_job_log` VALUES (20387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:45:45');
INSERT INTO `sys_job_log` VALUES (20388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:45');
INSERT INTO `sys_job_log` VALUES (20389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:45:46');
INSERT INTO `sys_job_log` VALUES (20390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:45:46');
INSERT INTO `sys_job_log` VALUES (20391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:45:50');
INSERT INTO `sys_job_log` VALUES (20392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:45:51');
INSERT INTO `sys_job_log` VALUES (20393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:45:55');
INSERT INTO `sys_job_log` VALUES (20394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:45:56');
INSERT INTO `sys_job_log` VALUES (20395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:00');
INSERT INTO `sys_job_log` VALUES (20396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:46:00');
INSERT INTO `sys_job_log` VALUES (20397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:46:01');
INSERT INTO `sys_job_log` VALUES (20398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:01');
INSERT INTO `sys_job_log` VALUES (20399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:05');
INSERT INTO `sys_job_log` VALUES (20400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:46:06');
INSERT INTO `sys_job_log` VALUES (20401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:46:10');
INSERT INTO `sys_job_log` VALUES (20402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:46:11');
INSERT INTO `sys_job_log` VALUES (20403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:15');
INSERT INTO `sys_job_log` VALUES (20404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:15');
INSERT INTO `sys_job_log` VALUES (20405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:16');
INSERT INTO `sys_job_log` VALUES (20406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:16');
INSERT INTO `sys_job_log` VALUES (20407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:46:20');
INSERT INTO `sys_job_log` VALUES (20408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:46:21');
INSERT INTO `sys_job_log` VALUES (20409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:46:25');
INSERT INTO `sys_job_log` VALUES (20410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 15:46:26');
INSERT INTO `sys_job_log` VALUES (20411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:30');
INSERT INTO `sys_job_log` VALUES (20412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:30');
INSERT INTO `sys_job_log` VALUES (20413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:31');
INSERT INTO `sys_job_log` VALUES (20414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:31');
INSERT INTO `sys_job_log` VALUES (20415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:46:35');
INSERT INTO `sys_job_log` VALUES (20416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:46:36');
INSERT INTO `sys_job_log` VALUES (20417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:40');
INSERT INTO `sys_job_log` VALUES (20418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:46:45');
INSERT INTO `sys_job_log` VALUES (20419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:46:45');
INSERT INTO `sys_job_log` VALUES (20420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:50');
INSERT INTO `sys_job_log` VALUES (20421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:46:51');
INSERT INTO `sys_job_log` VALUES (20422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:46:55');
INSERT INTO `sys_job_log` VALUES (20423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:46:56');
INSERT INTO `sys_job_log` VALUES (20424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:00');
INSERT INTO `sys_job_log` VALUES (20425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:00');
INSERT INTO `sys_job_log` VALUES (20426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:47:01');
INSERT INTO `sys_job_log` VALUES (20427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:47:01');
INSERT INTO `sys_job_log` VALUES (20428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:47:05');
INSERT INTO `sys_job_log` VALUES (20429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:47:06');
INSERT INTO `sys_job_log` VALUES (20430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 15:47:10');
INSERT INTO `sys_job_log` VALUES (20431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:47:11');
INSERT INTO `sys_job_log` VALUES (20432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:47:15');
INSERT INTO `sys_job_log` VALUES (20433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:47:15');
INSERT INTO `sys_job_log` VALUES (20434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:16');
INSERT INTO `sys_job_log` VALUES (20435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:16');
INSERT INTO `sys_job_log` VALUES (20436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:47:20');
INSERT INTO `sys_job_log` VALUES (20437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:47:21');
INSERT INTO `sys_job_log` VALUES (20438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:47:25');
INSERT INTO `sys_job_log` VALUES (20439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:26');
INSERT INTO `sys_job_log` VALUES (20440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:47:30');
INSERT INTO `sys_job_log` VALUES (20441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:47:30');
INSERT INTO `sys_job_log` VALUES (20442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:47:31');
INSERT INTO `sys_job_log` VALUES (20443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:47:31');
INSERT INTO `sys_job_log` VALUES (20444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:47:35');
INSERT INTO `sys_job_log` VALUES (20445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:47:36');
INSERT INTO `sys_job_log` VALUES (20446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:47:40');
INSERT INTO `sys_job_log` VALUES (20447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:41');
INSERT INTO `sys_job_log` VALUES (20448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:47:45');
INSERT INTO `sys_job_log` VALUES (20449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:47:45');
INSERT INTO `sys_job_log` VALUES (20450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:47:46');
INSERT INTO `sys_job_log` VALUES (20451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:47:46');
INSERT INTO `sys_job_log` VALUES (20452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:47:50');
INSERT INTO `sys_job_log` VALUES (20453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:47:51');
INSERT INTO `sys_job_log` VALUES (20454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:47:55');
INSERT INTO `sys_job_log` VALUES (20455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:47:56');
INSERT INTO `sys_job_log` VALUES (20456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:48:00');
INSERT INTO `sys_job_log` VALUES (20457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:48:00');
INSERT INTO `sys_job_log` VALUES (20458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:48:01');
INSERT INTO `sys_job_log` VALUES (20459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:48:01');
INSERT INTO `sys_job_log` VALUES (20460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:48:05');
INSERT INTO `sys_job_log` VALUES (20461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:48:06');
INSERT INTO `sys_job_log` VALUES (20462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:48:10');
INSERT INTO `sys_job_log` VALUES (20463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:48:11');
INSERT INTO `sys_job_log` VALUES (20464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:48:15');
INSERT INTO `sys_job_log` VALUES (20465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:48:15');
INSERT INTO `sys_job_log` VALUES (20466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:48:16');
INSERT INTO `sys_job_log` VALUES (20467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:48:16');
INSERT INTO `sys_job_log` VALUES (20468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:48:20');
INSERT INTO `sys_job_log` VALUES (20469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:48:21');
INSERT INTO `sys_job_log` VALUES (20470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:48:25');
INSERT INTO `sys_job_log` VALUES (20471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 15:48:26');
INSERT INTO `sys_job_log` VALUES (20472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:48:30');
INSERT INTO `sys_job_log` VALUES (20473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:48:30');
INSERT INTO `sys_job_log` VALUES (20474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:48:31');
INSERT INTO `sys_job_log` VALUES (20475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:48:31');
INSERT INTO `sys_job_log` VALUES (20476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:48:35');
INSERT INTO `sys_job_log` VALUES (20477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:48:36');
INSERT INTO `sys_job_log` VALUES (20478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:48:40');
INSERT INTO `sys_job_log` VALUES (20479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:48:41');
INSERT INTO `sys_job_log` VALUES (20480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:48:45');
INSERT INTO `sys_job_log` VALUES (20481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:48:45');
INSERT INTO `sys_job_log` VALUES (20482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:48:46');
INSERT INTO `sys_job_log` VALUES (20483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:48:46');
INSERT INTO `sys_job_log` VALUES (20484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:48:50');
INSERT INTO `sys_job_log` VALUES (20485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:48:51');
INSERT INTO `sys_job_log` VALUES (20486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:48:55');
INSERT INTO `sys_job_log` VALUES (20487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:49:00');
INSERT INTO `sys_job_log` VALUES (20488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 15:49:00');
INSERT INTO `sys_job_log` VALUES (20489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 15:49:02');
INSERT INTO `sys_job_log` VALUES (20490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:49:02');
INSERT INTO `sys_job_log` VALUES (20491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:49:05');
INSERT INTO `sys_job_log` VALUES (20492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:49:06');
INSERT INTO `sys_job_log` VALUES (20493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:49:10');
INSERT INTO `sys_job_log` VALUES (20494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:11');
INSERT INTO `sys_job_log` VALUES (20495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:49:15');
INSERT INTO `sys_job_log` VALUES (20496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:49:15');
INSERT INTO `sys_job_log` VALUES (20497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:16');
INSERT INTO `sys_job_log` VALUES (20498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:16');
INSERT INTO `sys_job_log` VALUES (20499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:49:20');
INSERT INTO `sys_job_log` VALUES (20500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:49:21');
INSERT INTO `sys_job_log` VALUES (20501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:49:25');
INSERT INTO `sys_job_log` VALUES (20502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:26');
INSERT INTO `sys_job_log` VALUES (20503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:49:30');
INSERT INTO `sys_job_log` VALUES (20504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:49:30');
INSERT INTO `sys_job_log` VALUES (20505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:31');
INSERT INTO `sys_job_log` VALUES (20506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:31');
INSERT INTO `sys_job_log` VALUES (20507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:49:35');
INSERT INTO `sys_job_log` VALUES (20508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:36');
INSERT INTO `sys_job_log` VALUES (20509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:49:40');
INSERT INTO `sys_job_log` VALUES (20510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:41');
INSERT INTO `sys_job_log` VALUES (20511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:49:45');
INSERT INTO `sys_job_log` VALUES (20512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:49:45');
INSERT INTO `sys_job_log` VALUES (20513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:49:46');
INSERT INTO `sys_job_log` VALUES (20514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:49:46');
INSERT INTO `sys_job_log` VALUES (20515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:49:50');
INSERT INTO `sys_job_log` VALUES (20516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:49:51');
INSERT INTO `sys_job_log` VALUES (20517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:49:55');
INSERT INTO `sys_job_log` VALUES (20518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:49:56');
INSERT INTO `sys_job_log` VALUES (20519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:50:00');
INSERT INTO `sys_job_log` VALUES (20520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 15:50:00');
INSERT INTO `sys_job_log` VALUES (20521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:50:01');
INSERT INTO `sys_job_log` VALUES (20522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:50:01');
INSERT INTO `sys_job_log` VALUES (20523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:50:05');
INSERT INTO `sys_job_log` VALUES (20524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:50:06');
INSERT INTO `sys_job_log` VALUES (20525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:50:10');
INSERT INTO `sys_job_log` VALUES (20526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:50:11');
INSERT INTO `sys_job_log` VALUES (20527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:50:15');
INSERT INTO `sys_job_log` VALUES (20528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:50:15');
INSERT INTO `sys_job_log` VALUES (20529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:50:16');
INSERT INTO `sys_job_log` VALUES (20530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:50:16');
INSERT INTO `sys_job_log` VALUES (20531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:50:20');
INSERT INTO `sys_job_log` VALUES (20532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:50:21');
INSERT INTO `sys_job_log` VALUES (20533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:50:25');
INSERT INTO `sys_job_log` VALUES (20534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:50:26');
INSERT INTO `sys_job_log` VALUES (20535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:50:30');
INSERT INTO `sys_job_log` VALUES (20536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:50:30');
INSERT INTO `sys_job_log` VALUES (20537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:50:31');
INSERT INTO `sys_job_log` VALUES (20538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:50:31');
INSERT INTO `sys_job_log` VALUES (20539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:50:35');
INSERT INTO `sys_job_log` VALUES (20540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 15:50:36');
INSERT INTO `sys_job_log` VALUES (20541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:50:40');
INSERT INTO `sys_job_log` VALUES (20542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:50:41');
INSERT INTO `sys_job_log` VALUES (20543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:50:45');
INSERT INTO `sys_job_log` VALUES (20544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:50:45');
INSERT INTO `sys_job_log` VALUES (20545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:50:46');
INSERT INTO `sys_job_log` VALUES (20546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:50:46');
INSERT INTO `sys_job_log` VALUES (20547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:50:50');
INSERT INTO `sys_job_log` VALUES (20548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:50:51');
INSERT INTO `sys_job_log` VALUES (20549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:50:55');
INSERT INTO `sys_job_log` VALUES (20550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:50:56');
INSERT INTO `sys_job_log` VALUES (20551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 15:51:00');
INSERT INTO `sys_job_log` VALUES (20552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:51:00');
INSERT INTO `sys_job_log` VALUES (20553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:51:01');
INSERT INTO `sys_job_log` VALUES (20554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:51:01');
INSERT INTO `sys_job_log` VALUES (20555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:51:05');
INSERT INTO `sys_job_log` VALUES (20556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:51:06');
INSERT INTO `sys_job_log` VALUES (20557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:51:10');
INSERT INTO `sys_job_log` VALUES (20558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:51:11');
INSERT INTO `sys_job_log` VALUES (20559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:51:15');
INSERT INTO `sys_job_log` VALUES (20560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:51:15');
INSERT INTO `sys_job_log` VALUES (20561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:51:16');
INSERT INTO `sys_job_log` VALUES (20562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:51:16');
INSERT INTO `sys_job_log` VALUES (20563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:51:20');
INSERT INTO `sys_job_log` VALUES (20564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:51:21');
INSERT INTO `sys_job_log` VALUES (20565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:51:25');
INSERT INTO `sys_job_log` VALUES (20566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:51:26');
INSERT INTO `sys_job_log` VALUES (20567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:51:30');
INSERT INTO `sys_job_log` VALUES (20568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:51:30');
INSERT INTO `sys_job_log` VALUES (20569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:51:31');
INSERT INTO `sys_job_log` VALUES (20570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:51:31');
INSERT INTO `sys_job_log` VALUES (20571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:51:35');
INSERT INTO `sys_job_log` VALUES (20572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:51:36');
INSERT INTO `sys_job_log` VALUES (20573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:51:40');
INSERT INTO `sys_job_log` VALUES (20574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:51:41');
INSERT INTO `sys_job_log` VALUES (20575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:51:45');
INSERT INTO `sys_job_log` VALUES (20576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:51:45');
INSERT INTO `sys_job_log` VALUES (20577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:51:46');
INSERT INTO `sys_job_log` VALUES (20578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:51:46');
INSERT INTO `sys_job_log` VALUES (20579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:51:50');
INSERT INTO `sys_job_log` VALUES (20580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:51:51');
INSERT INTO `sys_job_log` VALUES (20581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:51:55');
INSERT INTO `sys_job_log` VALUES (20582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:51:56');
INSERT INTO `sys_job_log` VALUES (20583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:00');
INSERT INTO `sys_job_log` VALUES (20584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:00');
INSERT INTO `sys_job_log` VALUES (20585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-26 15:52:01');
INSERT INTO `sys_job_log` VALUES (20586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 15:52:01');
INSERT INTO `sys_job_log` VALUES (20587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:05');
INSERT INTO `sys_job_log` VALUES (20588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:52:06');
INSERT INTO `sys_job_log` VALUES (20589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 15:52:10');
INSERT INTO `sys_job_log` VALUES (20590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:52:11');
INSERT INTO `sys_job_log` VALUES (20591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:52:15');
INSERT INTO `sys_job_log` VALUES (20592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:52:15');
INSERT INTO `sys_job_log` VALUES (20593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:52:16');
INSERT INTO `sys_job_log` VALUES (20594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:52:16');
INSERT INTO `sys_job_log` VALUES (20595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:52:20');
INSERT INTO `sys_job_log` VALUES (20596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:52:21');
INSERT INTO `sys_job_log` VALUES (20597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:52:25');
INSERT INTO `sys_job_log` VALUES (20598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:52:26');
INSERT INTO `sys_job_log` VALUES (20599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:30');
INSERT INTO `sys_job_log` VALUES (20600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:30');
INSERT INTO `sys_job_log` VALUES (20601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:52:31');
INSERT INTO `sys_job_log` VALUES (20602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:52:31');
INSERT INTO `sys_job_log` VALUES (20603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:52:35');
INSERT INTO `sys_job_log` VALUES (20604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:52:36');
INSERT INTO `sys_job_log` VALUES (20605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:40');
INSERT INTO `sys_job_log` VALUES (20606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 15:52:41');
INSERT INTO `sys_job_log` VALUES (20607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:52:45');
INSERT INTO `sys_job_log` VALUES (20608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:52:45');
INSERT INTO `sys_job_log` VALUES (20609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 15:52:46');
INSERT INTO `sys_job_log` VALUES (20610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 15:52:46');
INSERT INTO `sys_job_log` VALUES (20611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:52:50');
INSERT INTO `sys_job_log` VALUES (20612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:52:51');
INSERT INTO `sys_job_log` VALUES (20613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:52:55');
INSERT INTO `sys_job_log` VALUES (20614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:52:56');
INSERT INTO `sys_job_log` VALUES (20615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:53:00');
INSERT INTO `sys_job_log` VALUES (20616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:00');
INSERT INTO `sys_job_log` VALUES (20617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:53:01');
INSERT INTO `sys_job_log` VALUES (20618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 15:53:01');
INSERT INTO `sys_job_log` VALUES (20619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:53:05');
INSERT INTO `sys_job_log` VALUES (20620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:53:06');
INSERT INTO `sys_job_log` VALUES (20621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:10');
INSERT INTO `sys_job_log` VALUES (20622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:53:11');
INSERT INTO `sys_job_log` VALUES (20623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:53:15');
INSERT INTO `sys_job_log` VALUES (20624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:15');
INSERT INTO `sys_job_log` VALUES (20625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:53:16');
INSERT INTO `sys_job_log` VALUES (20626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:53:16');
INSERT INTO `sys_job_log` VALUES (20627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:53:20');
INSERT INTO `sys_job_log` VALUES (20628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:53:21');
INSERT INTO `sys_job_log` VALUES (20629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:25');
INSERT INTO `sys_job_log` VALUES (20630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:53:26');
INSERT INTO `sys_job_log` VALUES (20631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:53:30');
INSERT INTO `sys_job_log` VALUES (20632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:30');
INSERT INTO `sys_job_log` VALUES (20633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:53:31');
INSERT INTO `sys_job_log` VALUES (20634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:53:31');
INSERT INTO `sys_job_log` VALUES (20635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:53:35');
INSERT INTO `sys_job_log` VALUES (20636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:53:36');
INSERT INTO `sys_job_log` VALUES (20637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:53:40');
INSERT INTO `sys_job_log` VALUES (20638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:53:41');
INSERT INTO `sys_job_log` VALUES (20639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:45');
INSERT INTO `sys_job_log` VALUES (20640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:53:45');
INSERT INTO `sys_job_log` VALUES (20641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:53:46');
INSERT INTO `sys_job_log` VALUES (20642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:53:46');
INSERT INTO `sys_job_log` VALUES (20643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:53:50');
INSERT INTO `sys_job_log` VALUES (20644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:53:51');
INSERT INTO `sys_job_log` VALUES (20645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:53:55');
INSERT INTO `sys_job_log` VALUES (20646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:53:56');
INSERT INTO `sys_job_log` VALUES (20647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:54:00');
INSERT INTO `sys_job_log` VALUES (20648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:54:00');
INSERT INTO `sys_job_log` VALUES (20649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:54:01');
INSERT INTO `sys_job_log` VALUES (20650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:01');
INSERT INTO `sys_job_log` VALUES (20651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:54:05');
INSERT INTO `sys_job_log` VALUES (20652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:54:06');
INSERT INTO `sys_job_log` VALUES (20653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:10');
INSERT INTO `sys_job_log` VALUES (20654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:54:11');
INSERT INTO `sys_job_log` VALUES (20655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 15:54:15');
INSERT INTO `sys_job_log` VALUES (20656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:54:15');
INSERT INTO `sys_job_log` VALUES (20657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:54:16');
INSERT INTO `sys_job_log` VALUES (20658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:54:16');
INSERT INTO `sys_job_log` VALUES (20659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:54:20');
INSERT INTO `sys_job_log` VALUES (20660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:54:21');
INSERT INTO `sys_job_log` VALUES (20661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:54:25');
INSERT INTO `sys_job_log` VALUES (20662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:26');
INSERT INTO `sys_job_log` VALUES (20663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 15:54:30');
INSERT INTO `sys_job_log` VALUES (20664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 15:54:30');
INSERT INTO `sys_job_log` VALUES (20665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:31');
INSERT INTO `sys_job_log` VALUES (20666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:31');
INSERT INTO `sys_job_log` VALUES (20667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:54:35');
INSERT INTO `sys_job_log` VALUES (20668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:36');
INSERT INTO `sys_job_log` VALUES (20669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:54:40');
INSERT INTO `sys_job_log` VALUES (20670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:41');
INSERT INTO `sys_job_log` VALUES (20671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:54:45');
INSERT INTO `sys_job_log` VALUES (20672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:45');
INSERT INTO `sys_job_log` VALUES (20673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:46');
INSERT INTO `sys_job_log` VALUES (20674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:54:46');
INSERT INTO `sys_job_log` VALUES (20675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:54:50');
INSERT INTO `sys_job_log` VALUES (20676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:54:51');
INSERT INTO `sys_job_log` VALUES (20677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:54:55');
INSERT INTO `sys_job_log` VALUES (20678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:54:56');
INSERT INTO `sys_job_log` VALUES (20679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 15:55:00');
INSERT INTO `sys_job_log` VALUES (20680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-26 15:55:00');
INSERT INTO `sys_job_log` VALUES (20681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:01');
INSERT INTO `sys_job_log` VALUES (20682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:01');
INSERT INTO `sys_job_log` VALUES (20683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 15:55:05');
INSERT INTO `sys_job_log` VALUES (20684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-26 15:55:06');
INSERT INTO `sys_job_log` VALUES (20685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:10');
INSERT INTO `sys_job_log` VALUES (20686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:55:11');
INSERT INTO `sys_job_log` VALUES (20687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:55:15');
INSERT INTO `sys_job_log` VALUES (20688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:55:15');
INSERT INTO `sys_job_log` VALUES (20689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:55:16');
INSERT INTO `sys_job_log` VALUES (20690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:16');
INSERT INTO `sys_job_log` VALUES (20691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:20');
INSERT INTO `sys_job_log` VALUES (20692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 15:55:21');
INSERT INTO `sys_job_log` VALUES (20693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:55:25');
INSERT INTO `sys_job_log` VALUES (20694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-26 15:55:26');
INSERT INTO `sys_job_log` VALUES (20695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:30');
INSERT INTO `sys_job_log` VALUES (20696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:30');
INSERT INTO `sys_job_log` VALUES (20697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:55:31');
INSERT INTO `sys_job_log` VALUES (20698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:55:31');
INSERT INTO `sys_job_log` VALUES (20699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:55:35');
INSERT INTO `sys_job_log` VALUES (20700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:55:36');
INSERT INTO `sys_job_log` VALUES (20701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:40');
INSERT INTO `sys_job_log` VALUES (20702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:55:41');
INSERT INTO `sys_job_log` VALUES (20703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:55:45');
INSERT INTO `sys_job_log` VALUES (20704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:55:45');
INSERT INTO `sys_job_log` VALUES (20705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:55:46');
INSERT INTO `sys_job_log` VALUES (20706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:55:46');
INSERT INTO `sys_job_log` VALUES (20707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:55:50');
INSERT INTO `sys_job_log` VALUES (20708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:55:51');
INSERT INTO `sys_job_log` VALUES (20709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:55:55');
INSERT INTO `sys_job_log` VALUES (20710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:55:56');
INSERT INTO `sys_job_log` VALUES (20711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:00');
INSERT INTO `sys_job_log` VALUES (20712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:00');
INSERT INTO `sys_job_log` VALUES (20713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:56:01');
INSERT INTO `sys_job_log` VALUES (20714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:56:01');
INSERT INTO `sys_job_log` VALUES (20715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:05');
INSERT INTO `sys_job_log` VALUES (20716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:56:06');
INSERT INTO `sys_job_log` VALUES (20717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:56:10');
INSERT INTO `sys_job_log` VALUES (20718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 15:56:11');
INSERT INTO `sys_job_log` VALUES (20719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:56:15');
INSERT INTO `sys_job_log` VALUES (20720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:56:15');
INSERT INTO `sys_job_log` VALUES (20721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:16');
INSERT INTO `sys_job_log` VALUES (20722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:16');
INSERT INTO `sys_job_log` VALUES (20723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:56:20');
INSERT INTO `sys_job_log` VALUES (20724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:21');
INSERT INTO `sys_job_log` VALUES (20725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:25');
INSERT INTO `sys_job_log` VALUES (20726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:26');
INSERT INTO `sys_job_log` VALUES (20727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:56:30');
INSERT INTO `sys_job_log` VALUES (20728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:56:30');
INSERT INTO `sys_job_log` VALUES (20729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:31');
INSERT INTO `sys_job_log` VALUES (20730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:31');
INSERT INTO `sys_job_log` VALUES (20731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:56:35');
INSERT INTO `sys_job_log` VALUES (20732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:56:36');
INSERT INTO `sys_job_log` VALUES (20733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:56:40');
INSERT INTO `sys_job_log` VALUES (20734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:56:41');
INSERT INTO `sys_job_log` VALUES (20735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:45');
INSERT INTO `sys_job_log` VALUES (20736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:56:45');
INSERT INTO `sys_job_log` VALUES (20737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:46');
INSERT INTO `sys_job_log` VALUES (20738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:46');
INSERT INTO `sys_job_log` VALUES (20739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:50');
INSERT INTO `sys_job_log` VALUES (20740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:56:51');
INSERT INTO `sys_job_log` VALUES (20741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 15:56:55');
INSERT INTO `sys_job_log` VALUES (20742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:56:56');
INSERT INTO `sys_job_log` VALUES (20743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:57:00');
INSERT INTO `sys_job_log` VALUES (20744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:57:00');
INSERT INTO `sys_job_log` VALUES (20745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:57:01');
INSERT INTO `sys_job_log` VALUES (20746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:57:01');
INSERT INTO `sys_job_log` VALUES (20747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:57:05');
INSERT INTO `sys_job_log` VALUES (20748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:57:06');
INSERT INTO `sys_job_log` VALUES (20749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:57:10');
INSERT INTO `sys_job_log` VALUES (20750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:57:11');
INSERT INTO `sys_job_log` VALUES (20751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:57:15');
INSERT INTO `sys_job_log` VALUES (20752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:57:15');
INSERT INTO `sys_job_log` VALUES (20753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 15:57:16');
INSERT INTO `sys_job_log` VALUES (20754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:57:16');
INSERT INTO `sys_job_log` VALUES (20755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:57:20');
INSERT INTO `sys_job_log` VALUES (20756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:57:21');
INSERT INTO `sys_job_log` VALUES (20757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:57:25');
INSERT INTO `sys_job_log` VALUES (20758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 15:57:26');
INSERT INTO `sys_job_log` VALUES (20759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:57:30');
INSERT INTO `sys_job_log` VALUES (20760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 15:57:30');
INSERT INTO `sys_job_log` VALUES (20761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:57:31');
INSERT INTO `sys_job_log` VALUES (20762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:57:31');
INSERT INTO `sys_job_log` VALUES (20763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:57:35');
INSERT INTO `sys_job_log` VALUES (20764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:57:36');
INSERT INTO `sys_job_log` VALUES (20765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:57:40');
INSERT INTO `sys_job_log` VALUES (20766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:57:41');
INSERT INTO `sys_job_log` VALUES (20767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:57:45');
INSERT INTO `sys_job_log` VALUES (20768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:57:45');
INSERT INTO `sys_job_log` VALUES (20769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 15:57:46');
INSERT INTO `sys_job_log` VALUES (20770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 15:57:46');
INSERT INTO `sys_job_log` VALUES (20771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:57:50');
INSERT INTO `sys_job_log` VALUES (20772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:57:51');
INSERT INTO `sys_job_log` VALUES (20773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 15:57:55');
INSERT INTO `sys_job_log` VALUES (20774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:57:56');
INSERT INTO `sys_job_log` VALUES (20775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:58:00');
INSERT INTO `sys_job_log` VALUES (20776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:58:00');
INSERT INTO `sys_job_log` VALUES (20777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:58:01');
INSERT INTO `sys_job_log` VALUES (20778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:58:01');
INSERT INTO `sys_job_log` VALUES (20779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:58:05');
INSERT INTO `sys_job_log` VALUES (20780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:58:06');
INSERT INTO `sys_job_log` VALUES (20781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:58:10');
INSERT INTO `sys_job_log` VALUES (20782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:58:11');
INSERT INTO `sys_job_log` VALUES (20783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:58:15');
INSERT INTO `sys_job_log` VALUES (20784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:58:15');
INSERT INTO `sys_job_log` VALUES (20785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 15:58:16');
INSERT INTO `sys_job_log` VALUES (20786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:58:16');
INSERT INTO `sys_job_log` VALUES (20787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:58:20');
INSERT INTO `sys_job_log` VALUES (20788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:58:21');
INSERT INTO `sys_job_log` VALUES (20789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:58:25');
INSERT INTO `sys_job_log` VALUES (20790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:58:26');
INSERT INTO `sys_job_log` VALUES (20791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:58:30');
INSERT INTO `sys_job_log` VALUES (20792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 15:58:30');
INSERT INTO `sys_job_log` VALUES (20793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 15:58:31');
INSERT INTO `sys_job_log` VALUES (20794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 15:58:31');
INSERT INTO `sys_job_log` VALUES (20795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:58:35');
INSERT INTO `sys_job_log` VALUES (20796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:58:36');
INSERT INTO `sys_job_log` VALUES (20797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:58:40');
INSERT INTO `sys_job_log` VALUES (20798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:58:41');
INSERT INTO `sys_job_log` VALUES (20799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:58:45');
INSERT INTO `sys_job_log` VALUES (20800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:58:45');
INSERT INTO `sys_job_log` VALUES (20801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:58:46');
INSERT INTO `sys_job_log` VALUES (20802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:58:46');
INSERT INTO `sys_job_log` VALUES (20803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：138毫秒', '0', '', '2024-12-26 15:58:50');
INSERT INTO `sys_job_log` VALUES (20804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:58:51');
INSERT INTO `sys_job_log` VALUES (20805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:58:55');
INSERT INTO `sys_job_log` VALUES (20806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 15:58:56');
INSERT INTO `sys_job_log` VALUES (20807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 15:59:00');
INSERT INTO `sys_job_log` VALUES (20808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:59:00');
INSERT INTO `sys_job_log` VALUES (20809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:59:01');
INSERT INTO `sys_job_log` VALUES (20810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 15:59:01');
INSERT INTO `sys_job_log` VALUES (20811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:59:05');
INSERT INTO `sys_job_log` VALUES (20812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:59:06');
INSERT INTO `sys_job_log` VALUES (20813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:59:10');
INSERT INTO `sys_job_log` VALUES (20814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:59:11');
INSERT INTO `sys_job_log` VALUES (20815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 15:59:15');
INSERT INTO `sys_job_log` VALUES (20816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 15:59:15');
INSERT INTO `sys_job_log` VALUES (20817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 15:59:16');
INSERT INTO `sys_job_log` VALUES (20818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:59:16');
INSERT INTO `sys_job_log` VALUES (20819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:59:20');
INSERT INTO `sys_job_log` VALUES (20820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:59:21');
INSERT INTO `sys_job_log` VALUES (20821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:59:26');
INSERT INTO `sys_job_log` VALUES (20822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 15:59:31');
INSERT INTO `sys_job_log` VALUES (20823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 15:59:31');
INSERT INTO `sys_job_log` VALUES (20824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 15:59:36');
INSERT INTO `sys_job_log` VALUES (20825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 15:59:41');
INSERT INTO `sys_job_log` VALUES (20826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 15:59:46');
INSERT INTO `sys_job_log` VALUES (20827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 15:59:46');
INSERT INTO `sys_job_log` VALUES (20828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 15:59:51');
INSERT INTO `sys_job_log` VALUES (20829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 15:59:56');
INSERT INTO `sys_job_log` VALUES (20830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:00:01');
INSERT INTO `sys_job_log` VALUES (20831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:00:01');
INSERT INTO `sys_job_log` VALUES (20832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:00:06');
INSERT INTO `sys_job_log` VALUES (20833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:00:11');
INSERT INTO `sys_job_log` VALUES (20834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:00:16');
INSERT INTO `sys_job_log` VALUES (20835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:00:16');
INSERT INTO `sys_job_log` VALUES (20836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:00:21');
INSERT INTO `sys_job_log` VALUES (20837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:00:26');
INSERT INTO `sys_job_log` VALUES (20838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:00:31');
INSERT INTO `sys_job_log` VALUES (20839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 16:00:31');
INSERT INTO `sys_job_log` VALUES (20840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:00:36');
INSERT INTO `sys_job_log` VALUES (20841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:00:41');
INSERT INTO `sys_job_log` VALUES (20842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:00:46');
INSERT INTO `sys_job_log` VALUES (20843, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:00:46');
INSERT INTO `sys_job_log` VALUES (20844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:00:51');
INSERT INTO `sys_job_log` VALUES (20845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:00:56');
INSERT INTO `sys_job_log` VALUES (20846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:01:01');
INSERT INTO `sys_job_log` VALUES (20847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:01:01');
INSERT INTO `sys_job_log` VALUES (20848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:01:06');
INSERT INTO `sys_job_log` VALUES (20849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:01:11');
INSERT INTO `sys_job_log` VALUES (20850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 16:01:16');
INSERT INTO `sys_job_log` VALUES (20851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:01:16');
INSERT INTO `sys_job_log` VALUES (20852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:01:21');
INSERT INTO `sys_job_log` VALUES (20853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:01:26');
INSERT INTO `sys_job_log` VALUES (20854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-26 16:01:30');
INSERT INTO `sys_job_log` VALUES (20855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-26 16:01:30');
INSERT INTO `sys_job_log` VALUES (20856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:01:30');
INSERT INTO `sys_job_log` VALUES (20857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:01:31');
INSERT INTO `sys_job_log` VALUES (20858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 16:01:31');
INSERT INTO `sys_job_log` VALUES (20859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:01:35');
INSERT INTO `sys_job_log` VALUES (20860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:01:36');
INSERT INTO `sys_job_log` VALUES (20861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:01:40');
INSERT INTO `sys_job_log` VALUES (20862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:01:41');
INSERT INTO `sys_job_log` VALUES (20863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:01:45');
INSERT INTO `sys_job_log` VALUES (20864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:01:45');
INSERT INTO `sys_job_log` VALUES (20865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-26 16:01:46');
INSERT INTO `sys_job_log` VALUES (20866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 16:01:46');
INSERT INTO `sys_job_log` VALUES (20867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:01:50');
INSERT INTO `sys_job_log` VALUES (20868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:01:51');
INSERT INTO `sys_job_log` VALUES (20869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:01:55');
INSERT INTO `sys_job_log` VALUES (20870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:01:56');
INSERT INTO `sys_job_log` VALUES (20871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-26 16:02:00');
INSERT INTO `sys_job_log` VALUES (20872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 16:02:00');
INSERT INTO `sys_job_log` VALUES (20873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:01');
INSERT INTO `sys_job_log` VALUES (20874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:01');
INSERT INTO `sys_job_log` VALUES (20875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:02:05');
INSERT INTO `sys_job_log` VALUES (20876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:02:06');
INSERT INTO `sys_job_log` VALUES (20877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 16:02:10');
INSERT INTO `sys_job_log` VALUES (20878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:11');
INSERT INTO `sys_job_log` VALUES (20879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:02:15');
INSERT INTO `sys_job_log` VALUES (20880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 16:02:15');
INSERT INTO `sys_job_log` VALUES (20881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:16');
INSERT INTO `sys_job_log` VALUES (20882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:16');
INSERT INTO `sys_job_log` VALUES (20883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:02:20');
INSERT INTO `sys_job_log` VALUES (20884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:02:21');
INSERT INTO `sys_job_log` VALUES (20885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:02:25');
INSERT INTO `sys_job_log` VALUES (20886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:02:26');
INSERT INTO `sys_job_log` VALUES (20887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:02:30');
INSERT INTO `sys_job_log` VALUES (20888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:02:30');
INSERT INTO `sys_job_log` VALUES (20889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:02:31');
INSERT INTO `sys_job_log` VALUES (20890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:02:31');
INSERT INTO `sys_job_log` VALUES (20891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:02:35');
INSERT INTO `sys_job_log` VALUES (20892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:02:36');
INSERT INTO `sys_job_log` VALUES (20893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:02:40');
INSERT INTO `sys_job_log` VALUES (20894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:02:41');
INSERT INTO `sys_job_log` VALUES (20895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:02:45');
INSERT INTO `sys_job_log` VALUES (20896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:02:45');
INSERT INTO `sys_job_log` VALUES (20897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:46');
INSERT INTO `sys_job_log` VALUES (20898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:46');
INSERT INTO `sys_job_log` VALUES (20899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:02:50');
INSERT INTO `sys_job_log` VALUES (20900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:02:51');
INSERT INTO `sys_job_log` VALUES (20901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:02:55');
INSERT INTO `sys_job_log` VALUES (20902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:02:56');
INSERT INTO `sys_job_log` VALUES (20903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-26 16:03:00');
INSERT INTO `sys_job_log` VALUES (20904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-26 16:03:00');
INSERT INTO `sys_job_log` VALUES (20905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:03:01');
INSERT INTO `sys_job_log` VALUES (20906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:03:01');
INSERT INTO `sys_job_log` VALUES (20907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:03:05');
INSERT INTO `sys_job_log` VALUES (20908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:03:06');
INSERT INTO `sys_job_log` VALUES (20909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:03:10');
INSERT INTO `sys_job_log` VALUES (20910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:03:11');
INSERT INTO `sys_job_log` VALUES (20911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 16:03:15');
INSERT INTO `sys_job_log` VALUES (20912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:03:15');
INSERT INTO `sys_job_log` VALUES (20913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:03:16');
INSERT INTO `sys_job_log` VALUES (20914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 16:03:16');
INSERT INTO `sys_job_log` VALUES (20915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:03:20');
INSERT INTO `sys_job_log` VALUES (20916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:03:21');
INSERT INTO `sys_job_log` VALUES (20917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:03:25');
INSERT INTO `sys_job_log` VALUES (20918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:03:26');
INSERT INTO `sys_job_log` VALUES (20919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:03:30');
INSERT INTO `sys_job_log` VALUES (20920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:03:30');
INSERT INTO `sys_job_log` VALUES (20921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:03:31');
INSERT INTO `sys_job_log` VALUES (20922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:03:31');
INSERT INTO `sys_job_log` VALUES (20923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:03:35');
INSERT INTO `sys_job_log` VALUES (20924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:03:36');
INSERT INTO `sys_job_log` VALUES (20925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:03:40');
INSERT INTO `sys_job_log` VALUES (20926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:03:41');
INSERT INTO `sys_job_log` VALUES (20927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:03:45');
INSERT INTO `sys_job_log` VALUES (20928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:03:45');
INSERT INTO `sys_job_log` VALUES (20929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:03:46');
INSERT INTO `sys_job_log` VALUES (20930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:03:46');
INSERT INTO `sys_job_log` VALUES (20931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:03:50');
INSERT INTO `sys_job_log` VALUES (20932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:03:51');
INSERT INTO `sys_job_log` VALUES (20933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:03:55');
INSERT INTO `sys_job_log` VALUES (20934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:03:56');
INSERT INTO `sys_job_log` VALUES (20935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:04:00');
INSERT INTO `sys_job_log` VALUES (20936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 16:04:00');
INSERT INTO `sys_job_log` VALUES (20937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:04:01');
INSERT INTO `sys_job_log` VALUES (20938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:04:01');
INSERT INTO `sys_job_log` VALUES (20939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 16:04:05');
INSERT INTO `sys_job_log` VALUES (20940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:04:06');
INSERT INTO `sys_job_log` VALUES (20941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:04:10');
INSERT INTO `sys_job_log` VALUES (20942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:04:11');
INSERT INTO `sys_job_log` VALUES (20943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:04:15');
INSERT INTO `sys_job_log` VALUES (20944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:04:15');
INSERT INTO `sys_job_log` VALUES (20945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:04:16');
INSERT INTO `sys_job_log` VALUES (20946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:04:16');
INSERT INTO `sys_job_log` VALUES (20947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:04:20');
INSERT INTO `sys_job_log` VALUES (20948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:04:21');
INSERT INTO `sys_job_log` VALUES (20949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:04:25');
INSERT INTO `sys_job_log` VALUES (20950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:04:26');
INSERT INTO `sys_job_log` VALUES (20951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:04:30');
INSERT INTO `sys_job_log` VALUES (20952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:04:30');
INSERT INTO `sys_job_log` VALUES (20953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:04:31');
INSERT INTO `sys_job_log` VALUES (20954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-26 16:04:31');
INSERT INTO `sys_job_log` VALUES (20955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:04:35');
INSERT INTO `sys_job_log` VALUES (20956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:04:36');
INSERT INTO `sys_job_log` VALUES (20957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:04:40');
INSERT INTO `sys_job_log` VALUES (20958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:04:41');
INSERT INTO `sys_job_log` VALUES (20959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:04:45');
INSERT INTO `sys_job_log` VALUES (20960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:04:45');
INSERT INTO `sys_job_log` VALUES (20961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:04:46');
INSERT INTO `sys_job_log` VALUES (20962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:04:46');
INSERT INTO `sys_job_log` VALUES (20963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:04:50');
INSERT INTO `sys_job_log` VALUES (20964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:04:51');
INSERT INTO `sys_job_log` VALUES (20965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 16:04:55');
INSERT INTO `sys_job_log` VALUES (20966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:04:56');
INSERT INTO `sys_job_log` VALUES (20967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:05:00');
INSERT INTO `sys_job_log` VALUES (20968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 16:05:00');
INSERT INTO `sys_job_log` VALUES (20969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:05:01');
INSERT INTO `sys_job_log` VALUES (20970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:05:01');
INSERT INTO `sys_job_log` VALUES (20971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-26 16:05:05');
INSERT INTO `sys_job_log` VALUES (20972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:06');
INSERT INTO `sys_job_log` VALUES (20973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:05:10');
INSERT INTO `sys_job_log` VALUES (20974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:11');
INSERT INTO `sys_job_log` VALUES (20975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:05:15');
INSERT INTO `sys_job_log` VALUES (20976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:05:15');
INSERT INTO `sys_job_log` VALUES (20977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：129毫秒', '0', '', '2024-12-26 16:05:16');
INSERT INTO `sys_job_log` VALUES (20978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-26 16:05:16');
INSERT INTO `sys_job_log` VALUES (20979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-26 16:05:20');
INSERT INTO `sys_job_log` VALUES (20980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:21');
INSERT INTO `sys_job_log` VALUES (20981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:05:25');
INSERT INTO `sys_job_log` VALUES (20982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:05:26');
INSERT INTO `sys_job_log` VALUES (20983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:30');
INSERT INTO `sys_job_log` VALUES (20984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:30');
INSERT INTO `sys_job_log` VALUES (20985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:31');
INSERT INTO `sys_job_log` VALUES (20986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:05:31');
INSERT INTO `sys_job_log` VALUES (20987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:05:35');
INSERT INTO `sys_job_log` VALUES (20988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:05:36');
INSERT INTO `sys_job_log` VALUES (20989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:05:40');
INSERT INTO `sys_job_log` VALUES (20990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:05:41');
INSERT INTO `sys_job_log` VALUES (20991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:05:45');
INSERT INTO `sys_job_log` VALUES (20992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:05:45');
INSERT INTO `sys_job_log` VALUES (20993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:05:46');
INSERT INTO `sys_job_log` VALUES (20994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:05:46');
INSERT INTO `sys_job_log` VALUES (20995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:05:50');
INSERT INTO `sys_job_log` VALUES (20996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:05:51');
INSERT INTO `sys_job_log` VALUES (20997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:05:55');
INSERT INTO `sys_job_log` VALUES (20998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:05:56');
INSERT INTO `sys_job_log` VALUES (20999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:06:00');
INSERT INTO `sys_job_log` VALUES (21000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:06:00');
INSERT INTO `sys_job_log` VALUES (21001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:06:01');
INSERT INTO `sys_job_log` VALUES (21002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:06:01');
INSERT INTO `sys_job_log` VALUES (21003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:06:05');
INSERT INTO `sys_job_log` VALUES (21004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:06:06');
INSERT INTO `sys_job_log` VALUES (21005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:06:10');
INSERT INTO `sys_job_log` VALUES (21006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:06:11');
INSERT INTO `sys_job_log` VALUES (21007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:06:15');
INSERT INTO `sys_job_log` VALUES (21008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:06:15');
INSERT INTO `sys_job_log` VALUES (21009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:16');
INSERT INTO `sys_job_log` VALUES (21010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:16');
INSERT INTO `sys_job_log` VALUES (21011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:06:20');
INSERT INTO `sys_job_log` VALUES (21012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:21');
INSERT INTO `sys_job_log` VALUES (21013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:25');
INSERT INTO `sys_job_log` VALUES (21014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:06:26');
INSERT INTO `sys_job_log` VALUES (21015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 16:06:30');
INSERT INTO `sys_job_log` VALUES (21016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:06:30');
INSERT INTO `sys_job_log` VALUES (21017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:06:31');
INSERT INTO `sys_job_log` VALUES (21018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 16:06:31');
INSERT INTO `sys_job_log` VALUES (21019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:06:35');
INSERT INTO `sys_job_log` VALUES (21020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:06:36');
INSERT INTO `sys_job_log` VALUES (21021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:06:40');
INSERT INTO `sys_job_log` VALUES (21022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:06:41');
INSERT INTO `sys_job_log` VALUES (21023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:45');
INSERT INTO `sys_job_log` VALUES (21024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:06:45');
INSERT INTO `sys_job_log` VALUES (21025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:06:46');
INSERT INTO `sys_job_log` VALUES (21026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:06:46');
INSERT INTO `sys_job_log` VALUES (21027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:06:50');
INSERT INTO `sys_job_log` VALUES (21028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:51');
INSERT INTO `sys_job_log` VALUES (21029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:06:55');
INSERT INTO `sys_job_log` VALUES (21030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:06:56');
INSERT INTO `sys_job_log` VALUES (21031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:07:00');
INSERT INTO `sys_job_log` VALUES (21032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:07:00');
INSERT INTO `sys_job_log` VALUES (21033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 16:07:01');
INSERT INTO `sys_job_log` VALUES (21034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:07:01');
INSERT INTO `sys_job_log` VALUES (21035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:07:05');
INSERT INTO `sys_job_log` VALUES (21036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:07:06');
INSERT INTO `sys_job_log` VALUES (21037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:07:10');
INSERT INTO `sys_job_log` VALUES (21038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:07:11');
INSERT INTO `sys_job_log` VALUES (21039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:07:15');
INSERT INTO `sys_job_log` VALUES (21040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:07:15');
INSERT INTO `sys_job_log` VALUES (21041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:07:16');
INSERT INTO `sys_job_log` VALUES (21042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:07:16');
INSERT INTO `sys_job_log` VALUES (21043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:07:20');
INSERT INTO `sys_job_log` VALUES (21044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:07:21');
INSERT INTO `sys_job_log` VALUES (21045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:07:25');
INSERT INTO `sys_job_log` VALUES (21046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:07:26');
INSERT INTO `sys_job_log` VALUES (21047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:07:30');
INSERT INTO `sys_job_log` VALUES (21048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 16:07:30');
INSERT INTO `sys_job_log` VALUES (21049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:07:31');
INSERT INTO `sys_job_log` VALUES (21050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:07:31');
INSERT INTO `sys_job_log` VALUES (21051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:07:35');
INSERT INTO `sys_job_log` VALUES (21052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:07:36');
INSERT INTO `sys_job_log` VALUES (21053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:07:40');
INSERT INTO `sys_job_log` VALUES (21054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-26 16:07:41');
INSERT INTO `sys_job_log` VALUES (21055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:07:45');
INSERT INTO `sys_job_log` VALUES (21056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:07:45');
INSERT INTO `sys_job_log` VALUES (21057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 16:07:46');
INSERT INTO `sys_job_log` VALUES (21058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:07:46');
INSERT INTO `sys_job_log` VALUES (21059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:07:50');
INSERT INTO `sys_job_log` VALUES (21060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:07:51');
INSERT INTO `sys_job_log` VALUES (21061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:07:55');
INSERT INTO `sys_job_log` VALUES (21062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 16:07:56');
INSERT INTO `sys_job_log` VALUES (21063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:00');
INSERT INTO `sys_job_log` VALUES (21064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:00');
INSERT INTO `sys_job_log` VALUES (21065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:08:01');
INSERT INTO `sys_job_log` VALUES (21066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:08:01');
INSERT INTO `sys_job_log` VALUES (21067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:05');
INSERT INTO `sys_job_log` VALUES (21068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:06');
INSERT INTO `sys_job_log` VALUES (21069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:08:10');
INSERT INTO `sys_job_log` VALUES (21070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:08:11');
INSERT INTO `sys_job_log` VALUES (21071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:08:15');
INSERT INTO `sys_job_log` VALUES (21072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:08:15');
INSERT INTO `sys_job_log` VALUES (21073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:16');
INSERT INTO `sys_job_log` VALUES (21074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:16');
INSERT INTO `sys_job_log` VALUES (21075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:08:20');
INSERT INTO `sys_job_log` VALUES (21076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:21');
INSERT INTO `sys_job_log` VALUES (21077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:08:25');
INSERT INTO `sys_job_log` VALUES (21078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:26');
INSERT INTO `sys_job_log` VALUES (21079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:08:30');
INSERT INTO `sys_job_log` VALUES (21080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:08:30');
INSERT INTO `sys_job_log` VALUES (21081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:08:31');
INSERT INTO `sys_job_log` VALUES (21082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:08:31');
INSERT INTO `sys_job_log` VALUES (21083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:08:35');
INSERT INTO `sys_job_log` VALUES (21084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 16:08:36');
INSERT INTO `sys_job_log` VALUES (21085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:08:40');
INSERT INTO `sys_job_log` VALUES (21086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:08:41');
INSERT INTO `sys_job_log` VALUES (21087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:45');
INSERT INTO `sys_job_log` VALUES (21088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:08:45');
INSERT INTO `sys_job_log` VALUES (21089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:46');
INSERT INTO `sys_job_log` VALUES (21090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:46');
INSERT INTO `sys_job_log` VALUES (21091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:08:50');
INSERT INTO `sys_job_log` VALUES (21092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:08:51');
INSERT INTO `sys_job_log` VALUES (21093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:08:55');
INSERT INTO `sys_job_log` VALUES (21094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:08:56');
INSERT INTO `sys_job_log` VALUES (21095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 16:09:00');
INSERT INTO `sys_job_log` VALUES (21096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:09:00');
INSERT INTO `sys_job_log` VALUES (21097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:01');
INSERT INTO `sys_job_log` VALUES (21098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:01');
INSERT INTO `sys_job_log` VALUES (21099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:05');
INSERT INTO `sys_job_log` VALUES (21100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:09:06');
INSERT INTO `sys_job_log` VALUES (21101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:09:10');
INSERT INTO `sys_job_log` VALUES (21102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:09:11');
INSERT INTO `sys_job_log` VALUES (21103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:09:15');
INSERT INTO `sys_job_log` VALUES (21104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:09:15');
INSERT INTO `sys_job_log` VALUES (21105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:09:16');
INSERT INTO `sys_job_log` VALUES (21106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:09:16');
INSERT INTO `sys_job_log` VALUES (21107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:20');
INSERT INTO `sys_job_log` VALUES (21108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:09:21');
INSERT INTO `sys_job_log` VALUES (21109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:09:25');
INSERT INTO `sys_job_log` VALUES (21110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:09:26');
INSERT INTO `sys_job_log` VALUES (21111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:09:30');
INSERT INTO `sys_job_log` VALUES (21112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:09:30');
INSERT INTO `sys_job_log` VALUES (21113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:31');
INSERT INTO `sys_job_log` VALUES (21114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:31');
INSERT INTO `sys_job_log` VALUES (21115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:09:35');
INSERT INTO `sys_job_log` VALUES (21116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:09:36');
INSERT INTO `sys_job_log` VALUES (21117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:09:40');
INSERT INTO `sys_job_log` VALUES (21118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:09:41');
INSERT INTO `sys_job_log` VALUES (21119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:09:45');
INSERT INTO `sys_job_log` VALUES (21120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:09:45');
INSERT INTO `sys_job_log` VALUES (21121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 16:09:46');
INSERT INTO `sys_job_log` VALUES (21122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:09:46');
INSERT INTO `sys_job_log` VALUES (21123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:09:50');
INSERT INTO `sys_job_log` VALUES (21124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:51');
INSERT INTO `sys_job_log` VALUES (21125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:09:55');
INSERT INTO `sys_job_log` VALUES (21126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:09:56');
INSERT INTO `sys_job_log` VALUES (21127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:10:00');
INSERT INTO `sys_job_log` VALUES (21128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:10:00');
INSERT INTO `sys_job_log` VALUES (21129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:10:01');
INSERT INTO `sys_job_log` VALUES (21130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:10:01');
INSERT INTO `sys_job_log` VALUES (21131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:10:05');
INSERT INTO `sys_job_log` VALUES (21132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:10:06');
INSERT INTO `sys_job_log` VALUES (21133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:10:10');
INSERT INTO `sys_job_log` VALUES (21134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:10:11');
INSERT INTO `sys_job_log` VALUES (21135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-26 16:10:15');
INSERT INTO `sys_job_log` VALUES (21136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-26 16:10:15');
INSERT INTO `sys_job_log` VALUES (21137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:10:16');
INSERT INTO `sys_job_log` VALUES (21138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:10:16');
INSERT INTO `sys_job_log` VALUES (21139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:20');
INSERT INTO `sys_job_log` VALUES (21140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:10:21');
INSERT INTO `sys_job_log` VALUES (21141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:25');
INSERT INTO `sys_job_log` VALUES (21142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:26');
INSERT INTO `sys_job_log` VALUES (21143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:30');
INSERT INTO `sys_job_log` VALUES (21144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:30');
INSERT INTO `sys_job_log` VALUES (21145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 16:10:31');
INSERT INTO `sys_job_log` VALUES (21146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 16:10:31');
INSERT INTO `sys_job_log` VALUES (21147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:10:35');
INSERT INTO `sys_job_log` VALUES (21148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:10:36');
INSERT INTO `sys_job_log` VALUES (21149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:40');
INSERT INTO `sys_job_log` VALUES (21150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 16:10:41');
INSERT INTO `sys_job_log` VALUES (21151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:10:45');
INSERT INTO `sys_job_log` VALUES (21152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:10:45');
INSERT INTO `sys_job_log` VALUES (21153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-26 16:10:46');
INSERT INTO `sys_job_log` VALUES (21154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-26 16:10:46');
INSERT INTO `sys_job_log` VALUES (21155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:10:50');
INSERT INTO `sys_job_log` VALUES (21156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2024-12-26 16:10:51');
INSERT INTO `sys_job_log` VALUES (21157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:55');
INSERT INTO `sys_job_log` VALUES (21158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:10:56');
INSERT INTO `sys_job_log` VALUES (21159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:11:00');
INSERT INTO `sys_job_log` VALUES (21160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:11:00');
INSERT INTO `sys_job_log` VALUES (21161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:11:01');
INSERT INTO `sys_job_log` VALUES (21162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:11:01');
INSERT INTO `sys_job_log` VALUES (21163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:11:05');
INSERT INTO `sys_job_log` VALUES (21164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:11:06');
INSERT INTO `sys_job_log` VALUES (21165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:10');
INSERT INTO `sys_job_log` VALUES (21166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:11:11');
INSERT INTO `sys_job_log` VALUES (21167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:11:15');
INSERT INTO `sys_job_log` VALUES (21168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:11:15');
INSERT INTO `sys_job_log` VALUES (21169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:16');
INSERT INTO `sys_job_log` VALUES (21170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-26 16:11:16');
INSERT INTO `sys_job_log` VALUES (21171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:11:20');
INSERT INTO `sys_job_log` VALUES (21172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:21');
INSERT INTO `sys_job_log` VALUES (21173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:11:25');
INSERT INTO `sys_job_log` VALUES (21174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:11:26');
INSERT INTO `sys_job_log` VALUES (21175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:11:30');
INSERT INTO `sys_job_log` VALUES (21176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:11:30');
INSERT INTO `sys_job_log` VALUES (21177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:11:31');
INSERT INTO `sys_job_log` VALUES (21178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:11:31');
INSERT INTO `sys_job_log` VALUES (21179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:11:35');
INSERT INTO `sys_job_log` VALUES (21180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:11:36');
INSERT INTO `sys_job_log` VALUES (21181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:40');
INSERT INTO `sys_job_log` VALUES (21182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:41');
INSERT INTO `sys_job_log` VALUES (21183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:11:45');
INSERT INTO `sys_job_log` VALUES (21184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:11:45');
INSERT INTO `sys_job_log` VALUES (21185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:46');
INSERT INTO `sys_job_log` VALUES (21186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:11:46');
INSERT INTO `sys_job_log` VALUES (21187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:11:50');
INSERT INTO `sys_job_log` VALUES (21188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:11:51');
INSERT INTO `sys_job_log` VALUES (21189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:11:55');
INSERT INTO `sys_job_log` VALUES (21190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:11:56');
INSERT INTO `sys_job_log` VALUES (21191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:00');
INSERT INTO `sys_job_log` VALUES (21192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:12:00');
INSERT INTO `sys_job_log` VALUES (21193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:12:01');
INSERT INTO `sys_job_log` VALUES (21194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 16:12:01');
INSERT INTO `sys_job_log` VALUES (21195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:12:05');
INSERT INTO `sys_job_log` VALUES (21196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:12:06');
INSERT INTO `sys_job_log` VALUES (21197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:12:10');
INSERT INTO `sys_job_log` VALUES (21198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:12:11');
INSERT INTO `sys_job_log` VALUES (21199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:12:15');
INSERT INTO `sys_job_log` VALUES (21200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:12:15');
INSERT INTO `sys_job_log` VALUES (21201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:16');
INSERT INTO `sys_job_log` VALUES (21202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:16');
INSERT INTO `sys_job_log` VALUES (21203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:12:20');
INSERT INTO `sys_job_log` VALUES (21204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:21');
INSERT INTO `sys_job_log` VALUES (21205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:12:25');
INSERT INTO `sys_job_log` VALUES (21206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:12:26');
INSERT INTO `sys_job_log` VALUES (21207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:12:30');
INSERT INTO `sys_job_log` VALUES (21208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:12:30');
INSERT INTO `sys_job_log` VALUES (21209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:31');
INSERT INTO `sys_job_log` VALUES (21210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:31');
INSERT INTO `sys_job_log` VALUES (21211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:12:35');
INSERT INTO `sys_job_log` VALUES (21212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:12:36');
INSERT INTO `sys_job_log` VALUES (21213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 16:12:40');
INSERT INTO `sys_job_log` VALUES (21214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:12:41');
INSERT INTO `sys_job_log` VALUES (21215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 16:12:45');
INSERT INTO `sys_job_log` VALUES (21216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:12:45');
INSERT INTO `sys_job_log` VALUES (21217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 16:12:46');
INSERT INTO `sys_job_log` VALUES (21218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 16:12:46');
INSERT INTO `sys_job_log` VALUES (21219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:12:50');
INSERT INTO `sys_job_log` VALUES (21220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:12:51');
INSERT INTO `sys_job_log` VALUES (21221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:12:55');
INSERT INTO `sys_job_log` VALUES (21222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 16:12:56');
INSERT INTO `sys_job_log` VALUES (21223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:13:00');
INSERT INTO `sys_job_log` VALUES (21224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:13:00');
INSERT INTO `sys_job_log` VALUES (21225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:13:01');
INSERT INTO `sys_job_log` VALUES (21226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:13:01');
INSERT INTO `sys_job_log` VALUES (21227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:13:05');
INSERT INTO `sys_job_log` VALUES (21228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:13:06');
INSERT INTO `sys_job_log` VALUES (21229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:13:10');
INSERT INTO `sys_job_log` VALUES (21230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:11');
INSERT INTO `sys_job_log` VALUES (21231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:13:15');
INSERT INTO `sys_job_log` VALUES (21232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:13:15');
INSERT INTO `sys_job_log` VALUES (21233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 16:13:16');
INSERT INTO `sys_job_log` VALUES (21234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 16:13:16');
INSERT INTO `sys_job_log` VALUES (21235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:13:20');
INSERT INTO `sys_job_log` VALUES (21236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:21');
INSERT INTO `sys_job_log` VALUES (21237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:13:25');
INSERT INTO `sys_job_log` VALUES (21238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:13:26');
INSERT INTO `sys_job_log` VALUES (21239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:13:30');
INSERT INTO `sys_job_log` VALUES (21240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 16:13:30');
INSERT INTO `sys_job_log` VALUES (21241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:31');
INSERT INTO `sys_job_log` VALUES (21242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:31');
INSERT INTO `sys_job_log` VALUES (21243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:13:35');
INSERT INTO `sys_job_log` VALUES (21244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:36');
INSERT INTO `sys_job_log` VALUES (21245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:13:40');
INSERT INTO `sys_job_log` VALUES (21246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:41');
INSERT INTO `sys_job_log` VALUES (21247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-26 16:13:45');
INSERT INTO `sys_job_log` VALUES (21248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-26 16:13:45');
INSERT INTO `sys_job_log` VALUES (21249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:46');
INSERT INTO `sys_job_log` VALUES (21250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:46');
INSERT INTO `sys_job_log` VALUES (21251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:13:50');
INSERT INTO `sys_job_log` VALUES (21252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:13:51');
INSERT INTO `sys_job_log` VALUES (21253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:13:55');
INSERT INTO `sys_job_log` VALUES (21254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:13:56');
INSERT INTO `sys_job_log` VALUES (21255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:14:00');
INSERT INTO `sys_job_log` VALUES (21256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:14:00');
INSERT INTO `sys_job_log` VALUES (21257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:14:01');
INSERT INTO `sys_job_log` VALUES (21258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:14:01');
INSERT INTO `sys_job_log` VALUES (21259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:14:05');
INSERT INTO `sys_job_log` VALUES (21260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:14:06');
INSERT INTO `sys_job_log` VALUES (21261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:14:10');
INSERT INTO `sys_job_log` VALUES (21262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:14:11');
INSERT INTO `sys_job_log` VALUES (21263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:14:15');
INSERT INTO `sys_job_log` VALUES (21264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:14:15');
INSERT INTO `sys_job_log` VALUES (21265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:14:16');
INSERT INTO `sys_job_log` VALUES (21266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:14:16');
INSERT INTO `sys_job_log` VALUES (21267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:14:20');
INSERT INTO `sys_job_log` VALUES (21268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:14:25');
INSERT INTO `sys_job_log` VALUES (21269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:14:28');
INSERT INTO `sys_job_log` VALUES (21270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:14:30');
INSERT INTO `sys_job_log` VALUES (21271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:14:30');
INSERT INTO `sys_job_log` VALUES (21272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:14:31');
INSERT INTO `sys_job_log` VALUES (21273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:14:31');
INSERT INTO `sys_job_log` VALUES (21274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:14:35');
INSERT INTO `sys_job_log` VALUES (21275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:14:36');
INSERT INTO `sys_job_log` VALUES (21276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:14:40');
INSERT INTO `sys_job_log` VALUES (21277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:14:41');
INSERT INTO `sys_job_log` VALUES (21278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:14:45');
INSERT INTO `sys_job_log` VALUES (21279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:14:45');
INSERT INTO `sys_job_log` VALUES (21280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:14:46');
INSERT INTO `sys_job_log` VALUES (21281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:14:46');
INSERT INTO `sys_job_log` VALUES (21282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 16:14:50');
INSERT INTO `sys_job_log` VALUES (21283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:14:51');
INSERT INTO `sys_job_log` VALUES (21284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:14:55');
INSERT INTO `sys_job_log` VALUES (21285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:14:56');
INSERT INTO `sys_job_log` VALUES (21286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 16:15:00');
INSERT INTO `sys_job_log` VALUES (21287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:15:00');
INSERT INTO `sys_job_log` VALUES (21288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:15:01');
INSERT INTO `sys_job_log` VALUES (21289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:15:01');
INSERT INTO `sys_job_log` VALUES (21290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:15:05');
INSERT INTO `sys_job_log` VALUES (21291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:15:06');
INSERT INTO `sys_job_log` VALUES (21292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:15:10');
INSERT INTO `sys_job_log` VALUES (21293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:15:11');
INSERT INTO `sys_job_log` VALUES (21294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:15:15');
INSERT INTO `sys_job_log` VALUES (21295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:15:15');
INSERT INTO `sys_job_log` VALUES (21296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:15:16');
INSERT INTO `sys_job_log` VALUES (21297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:15:16');
INSERT INTO `sys_job_log` VALUES (21298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:15:20');
INSERT INTO `sys_job_log` VALUES (21299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:15:21');
INSERT INTO `sys_job_log` VALUES (21300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:15:25');
INSERT INTO `sys_job_log` VALUES (21301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-26 16:15:26');
INSERT INTO `sys_job_log` VALUES (21302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:15:30');
INSERT INTO `sys_job_log` VALUES (21303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:15:30');
INSERT INTO `sys_job_log` VALUES (21304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 16:15:31');
INSERT INTO `sys_job_log` VALUES (21305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:15:31');
INSERT INTO `sys_job_log` VALUES (21306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:15:35');
INSERT INTO `sys_job_log` VALUES (21307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:15:36');
INSERT INTO `sys_job_log` VALUES (21308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:15:40');
INSERT INTO `sys_job_log` VALUES (21309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:15:41');
INSERT INTO `sys_job_log` VALUES (21310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:15:45');
INSERT INTO `sys_job_log` VALUES (21311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:15:45');
INSERT INTO `sys_job_log` VALUES (21312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:15:46');
INSERT INTO `sys_job_log` VALUES (21313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:15:46');
INSERT INTO `sys_job_log` VALUES (21314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:15:50');
INSERT INTO `sys_job_log` VALUES (21315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:15:51');
INSERT INTO `sys_job_log` VALUES (21316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:15:55');
INSERT INTO `sys_job_log` VALUES (21317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:15:56');
INSERT INTO `sys_job_log` VALUES (21318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:00');
INSERT INTO `sys_job_log` VALUES (21319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:00');
INSERT INTO `sys_job_log` VALUES (21320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:16:01');
INSERT INTO `sys_job_log` VALUES (21321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:16:01');
INSERT INTO `sys_job_log` VALUES (21322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:16:05');
INSERT INTO `sys_job_log` VALUES (21323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:06');
INSERT INTO `sys_job_log` VALUES (21324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:16:10');
INSERT INTO `sys_job_log` VALUES (21325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:11');
INSERT INTO `sys_job_log` VALUES (21326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:15');
INSERT INTO `sys_job_log` VALUES (21327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:15');
INSERT INTO `sys_job_log` VALUES (21328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:16:16');
INSERT INTO `sys_job_log` VALUES (21329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:16');
INSERT INTO `sys_job_log` VALUES (21330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:16:20');
INSERT INTO `sys_job_log` VALUES (21331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:16:21');
INSERT INTO `sys_job_log` VALUES (21332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:25');
INSERT INTO `sys_job_log` VALUES (21333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:16:26');
INSERT INTO `sys_job_log` VALUES (21334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:16:30');
INSERT INTO `sys_job_log` VALUES (21335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:16:30');
INSERT INTO `sys_job_log` VALUES (21336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 16:16:31');
INSERT INTO `sys_job_log` VALUES (21337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:16:31');
INSERT INTO `sys_job_log` VALUES (21338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:35');
INSERT INTO `sys_job_log` VALUES (21339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:16:36');
INSERT INTO `sys_job_log` VALUES (21340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:40');
INSERT INTO `sys_job_log` VALUES (21341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:41');
INSERT INTO `sys_job_log` VALUES (21342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:45');
INSERT INTO `sys_job_log` VALUES (21343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:45');
INSERT INTO `sys_job_log` VALUES (21344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:46');
INSERT INTO `sys_job_log` VALUES (21345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:46');
INSERT INTO `sys_job_log` VALUES (21346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:16:50');
INSERT INTO `sys_job_log` VALUES (21347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:51');
INSERT INTO `sys_job_log` VALUES (21348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:16:55');
INSERT INTO `sys_job_log` VALUES (21349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:16:56');
INSERT INTO `sys_job_log` VALUES (21350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:17:00');
INSERT INTO `sys_job_log` VALUES (21351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:17:00');
INSERT INTO `sys_job_log` VALUES (21352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:17:01');
INSERT INTO `sys_job_log` VALUES (21353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:17:01');
INSERT INTO `sys_job_log` VALUES (21354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:17:05');
INSERT INTO `sys_job_log` VALUES (21355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 16:17:06');
INSERT INTO `sys_job_log` VALUES (21356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:17:10');
INSERT INTO `sys_job_log` VALUES (21357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:17:11');
INSERT INTO `sys_job_log` VALUES (21358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:17:15');
INSERT INTO `sys_job_log` VALUES (21359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:17:15');
INSERT INTO `sys_job_log` VALUES (21360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:17:16');
INSERT INTO `sys_job_log` VALUES (21361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:17:16');
INSERT INTO `sys_job_log` VALUES (21362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:17:20');
INSERT INTO `sys_job_log` VALUES (21363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:17:21');
INSERT INTO `sys_job_log` VALUES (21364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:17:25');
INSERT INTO `sys_job_log` VALUES (21365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:17:26');
INSERT INTO `sys_job_log` VALUES (21366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:17:30');
INSERT INTO `sys_job_log` VALUES (21367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:17:30');
INSERT INTO `sys_job_log` VALUES (21368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:17:31');
INSERT INTO `sys_job_log` VALUES (21369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:17:31');
INSERT INTO `sys_job_log` VALUES (21370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:17:35');
INSERT INTO `sys_job_log` VALUES (21371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 16:17:36');
INSERT INTO `sys_job_log` VALUES (21372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:17:40');
INSERT INTO `sys_job_log` VALUES (21373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:17:41');
INSERT INTO `sys_job_log` VALUES (21374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:17:45');
INSERT INTO `sys_job_log` VALUES (21375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:17:45');
INSERT INTO `sys_job_log` VALUES (21376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:17:46');
INSERT INTO `sys_job_log` VALUES (21377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:17:46');
INSERT INTO `sys_job_log` VALUES (21378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:17:50');
INSERT INTO `sys_job_log` VALUES (21379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 16:17:55');
INSERT INTO `sys_job_log` VALUES (21380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:18:00');
INSERT INTO `sys_job_log` VALUES (21381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:18:00');
INSERT INTO `sys_job_log` VALUES (21382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:18:05');
INSERT INTO `sys_job_log` VALUES (21383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:18:10');
INSERT INTO `sys_job_log` VALUES (21384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:18:15');
INSERT INTO `sys_job_log` VALUES (21385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:18:15');
INSERT INTO `sys_job_log` VALUES (21386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:18:20');
INSERT INTO `sys_job_log` VALUES (21387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:18:25');
INSERT INTO `sys_job_log` VALUES (21388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-26 16:18:30');
INSERT INTO `sys_job_log` VALUES (21389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 16:18:30');
INSERT INTO `sys_job_log` VALUES (21390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:18:35');
INSERT INTO `sys_job_log` VALUES (21391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:18:40');
INSERT INTO `sys_job_log` VALUES (21392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:18:45');
INSERT INTO `sys_job_log` VALUES (21393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 16:18:45');
INSERT INTO `sys_job_log` VALUES (21394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:18:50');
INSERT INTO `sys_job_log` VALUES (21395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:18:55');
INSERT INTO `sys_job_log` VALUES (21396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:19:00');
INSERT INTO `sys_job_log` VALUES (21397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:19:00');
INSERT INTO `sys_job_log` VALUES (21398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:19:05');
INSERT INTO `sys_job_log` VALUES (21399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:19:10');
INSERT INTO `sys_job_log` VALUES (21400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:19:15');
INSERT INTO `sys_job_log` VALUES (21401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:19:15');
INSERT INTO `sys_job_log` VALUES (21402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:19:20');
INSERT INTO `sys_job_log` VALUES (21403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:19:25');
INSERT INTO `sys_job_log` VALUES (21404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:19:30');
INSERT INTO `sys_job_log` VALUES (21405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:19:30');
INSERT INTO `sys_job_log` VALUES (21406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:19:35');
INSERT INTO `sys_job_log` VALUES (21407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:19:40');
INSERT INTO `sys_job_log` VALUES (21408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:19:45');
INSERT INTO `sys_job_log` VALUES (21409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:19:45');
INSERT INTO `sys_job_log` VALUES (21410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:19:50');
INSERT INTO `sys_job_log` VALUES (21411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:19:55');
INSERT INTO `sys_job_log` VALUES (21412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:20:00');
INSERT INTO `sys_job_log` VALUES (21413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:20:00');
INSERT INTO `sys_job_log` VALUES (21414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:20:05');
INSERT INTO `sys_job_log` VALUES (21415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:20:10');
INSERT INTO `sys_job_log` VALUES (21416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:20:15');
INSERT INTO `sys_job_log` VALUES (21417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:20:15');
INSERT INTO `sys_job_log` VALUES (21418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:20:20');
INSERT INTO `sys_job_log` VALUES (21419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:20:25');
INSERT INTO `sys_job_log` VALUES (21420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-26 16:20:30');
INSERT INTO `sys_job_log` VALUES (21421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-26 16:20:30');
INSERT INTO `sys_job_log` VALUES (21422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:20:35');
INSERT INTO `sys_job_log` VALUES (21423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:20:40');
INSERT INTO `sys_job_log` VALUES (21424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:20:45');
INSERT INTO `sys_job_log` VALUES (21425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:20:45');
INSERT INTO `sys_job_log` VALUES (21426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:20:50');
INSERT INTO `sys_job_log` VALUES (21427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:20:55');
INSERT INTO `sys_job_log` VALUES (21428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:21:00');
INSERT INTO `sys_job_log` VALUES (21429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:21:00');
INSERT INTO `sys_job_log` VALUES (21430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:21:05');
INSERT INTO `sys_job_log` VALUES (21431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:21:10');
INSERT INTO `sys_job_log` VALUES (21432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:21:15');
INSERT INTO `sys_job_log` VALUES (21433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 16:21:15');
INSERT INTO `sys_job_log` VALUES (21434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:21:20');
INSERT INTO `sys_job_log` VALUES (21435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:21:25');
INSERT INTO `sys_job_log` VALUES (21436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:21:30');
INSERT INTO `sys_job_log` VALUES (21437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:21:30');
INSERT INTO `sys_job_log` VALUES (21438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:21:35');
INSERT INTO `sys_job_log` VALUES (21439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:21:40');
INSERT INTO `sys_job_log` VALUES (21440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:21:45');
INSERT INTO `sys_job_log` VALUES (21441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:21:45');
INSERT INTO `sys_job_log` VALUES (21442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:21:50');
INSERT INTO `sys_job_log` VALUES (21443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:21:55');
INSERT INTO `sys_job_log` VALUES (21444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:22:00');
INSERT INTO `sys_job_log` VALUES (21445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:22:00');
INSERT INTO `sys_job_log` VALUES (21446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:22:05');
INSERT INTO `sys_job_log` VALUES (21447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:22:10');
INSERT INTO `sys_job_log` VALUES (21448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:22:15');
INSERT INTO `sys_job_log` VALUES (21449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:22:15');
INSERT INTO `sys_job_log` VALUES (21450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:22:20');
INSERT INTO `sys_job_log` VALUES (21451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:22:25');
INSERT INTO `sys_job_log` VALUES (21452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:22:30');
INSERT INTO `sys_job_log` VALUES (21453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:22:30');
INSERT INTO `sys_job_log` VALUES (21454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:22:35');
INSERT INTO `sys_job_log` VALUES (21455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:22:40');
INSERT INTO `sys_job_log` VALUES (21456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:22:45');
INSERT INTO `sys_job_log` VALUES (21457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:22:45');
INSERT INTO `sys_job_log` VALUES (21458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:22:50');
INSERT INTO `sys_job_log` VALUES (21459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:22:55');
INSERT INTO `sys_job_log` VALUES (21460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:23:00');
INSERT INTO `sys_job_log` VALUES (21461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:23:00');
INSERT INTO `sys_job_log` VALUES (21462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:23:05');
INSERT INTO `sys_job_log` VALUES (21463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:23:10');
INSERT INTO `sys_job_log` VALUES (21464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:23:15');
INSERT INTO `sys_job_log` VALUES (21465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:23:15');
INSERT INTO `sys_job_log` VALUES (21466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:23:20');
INSERT INTO `sys_job_log` VALUES (21467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:23:25');
INSERT INTO `sys_job_log` VALUES (21468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-26 16:23:30');
INSERT INTO `sys_job_log` VALUES (21469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 16:23:30');
INSERT INTO `sys_job_log` VALUES (21470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:23:35');
INSERT INTO `sys_job_log` VALUES (21471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:23:40');
INSERT INTO `sys_job_log` VALUES (21472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2024-12-26 16:23:45');
INSERT INTO `sys_job_log` VALUES (21473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：126毫秒', '0', '', '2024-12-26 16:23:45');
INSERT INTO `sys_job_log` VALUES (21474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:23:50');
INSERT INTO `sys_job_log` VALUES (21475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:23:55');
INSERT INTO `sys_job_log` VALUES (21476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:24:00');
INSERT INTO `sys_job_log` VALUES (21477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:24:00');
INSERT INTO `sys_job_log` VALUES (21478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:24:05');
INSERT INTO `sys_job_log` VALUES (21479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:24:10');
INSERT INTO `sys_job_log` VALUES (21480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:15');
INSERT INTO `sys_job_log` VALUES (21481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:15');
INSERT INTO `sys_job_log` VALUES (21482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:20');
INSERT INTO `sys_job_log` VALUES (21483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:24:25');
INSERT INTO `sys_job_log` VALUES (21484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:30');
INSERT INTO `sys_job_log` VALUES (21485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:30');
INSERT INTO `sys_job_log` VALUES (21486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:24:35');
INSERT INTO `sys_job_log` VALUES (21487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:40');
INSERT INTO `sys_job_log` VALUES (21488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:24:45');
INSERT INTO `sys_job_log` VALUES (21489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:24:45');
INSERT INTO `sys_job_log` VALUES (21490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-26 16:24:50');
INSERT INTO `sys_job_log` VALUES (21491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:24:55');
INSERT INTO `sys_job_log` VALUES (21492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-26 16:25:00');
INSERT INTO `sys_job_log` VALUES (21493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 16:25:00');
INSERT INTO `sys_job_log` VALUES (21494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:25:05');
INSERT INTO `sys_job_log` VALUES (21495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:25:10');
INSERT INTO `sys_job_log` VALUES (21496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:25:15');
INSERT INTO `sys_job_log` VALUES (21497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:25:15');
INSERT INTO `sys_job_log` VALUES (21498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:25:20');
INSERT INTO `sys_job_log` VALUES (21499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:25:25');
INSERT INTO `sys_job_log` VALUES (21500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:25:30');
INSERT INTO `sys_job_log` VALUES (21501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:25:30');
INSERT INTO `sys_job_log` VALUES (21502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 16:25:35');
INSERT INTO `sys_job_log` VALUES (21503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:25:40');
INSERT INTO `sys_job_log` VALUES (21504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:25:45');
INSERT INTO `sys_job_log` VALUES (21505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:25:45');
INSERT INTO `sys_job_log` VALUES (21506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:25:50');
INSERT INTO `sys_job_log` VALUES (21507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:25:55');
INSERT INTO `sys_job_log` VALUES (21508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:26:00');
INSERT INTO `sys_job_log` VALUES (21509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:26:00');
INSERT INTO `sys_job_log` VALUES (21510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:26:05');
INSERT INTO `sys_job_log` VALUES (21511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:26:10');
INSERT INTO `sys_job_log` VALUES (21512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:26:15');
INSERT INTO `sys_job_log` VALUES (21513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:26:15');
INSERT INTO `sys_job_log` VALUES (21514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:26:20');
INSERT INTO `sys_job_log` VALUES (21515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:26:25');
INSERT INTO `sys_job_log` VALUES (21516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:26:30');
INSERT INTO `sys_job_log` VALUES (21517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:26:30');
INSERT INTO `sys_job_log` VALUES (21518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:26:35');
INSERT INTO `sys_job_log` VALUES (21519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:26:40');
INSERT INTO `sys_job_log` VALUES (21520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:26:45');
INSERT INTO `sys_job_log` VALUES (21521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:26:45');
INSERT INTO `sys_job_log` VALUES (21522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:26:50');
INSERT INTO `sys_job_log` VALUES (21523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:26:55');
INSERT INTO `sys_job_log` VALUES (21524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:27:00');
INSERT INTO `sys_job_log` VALUES (21525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:27:00');
INSERT INTO `sys_job_log` VALUES (21526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:27:05');
INSERT INTO `sys_job_log` VALUES (21527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:27:10');
INSERT INTO `sys_job_log` VALUES (21528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:27:15');
INSERT INTO `sys_job_log` VALUES (21529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:27:15');
INSERT INTO `sys_job_log` VALUES (21530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:27:20');
INSERT INTO `sys_job_log` VALUES (21531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:27:25');
INSERT INTO `sys_job_log` VALUES (21532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:27:30');
INSERT INTO `sys_job_log` VALUES (21533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:27:30');
INSERT INTO `sys_job_log` VALUES (21534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:27:35');
INSERT INTO `sys_job_log` VALUES (21535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:27:40');
INSERT INTO `sys_job_log` VALUES (21536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:27:45');
INSERT INTO `sys_job_log` VALUES (21537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:27:45');
INSERT INTO `sys_job_log` VALUES (21538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:27:50');
INSERT INTO `sys_job_log` VALUES (21539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:27:55');
INSERT INTO `sys_job_log` VALUES (21540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:28:00');
INSERT INTO `sys_job_log` VALUES (21541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:28:00');
INSERT INTO `sys_job_log` VALUES (21542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:28:05');
INSERT INTO `sys_job_log` VALUES (21543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:28:10');
INSERT INTO `sys_job_log` VALUES (21544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:28:15');
INSERT INTO `sys_job_log` VALUES (21545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:28:15');
INSERT INTO `sys_job_log` VALUES (21546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:28:20');
INSERT INTO `sys_job_log` VALUES (21547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:28:25');
INSERT INTO `sys_job_log` VALUES (21548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 16:28:30');
INSERT INTO `sys_job_log` VALUES (21549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-26 16:28:30');
INSERT INTO `sys_job_log` VALUES (21550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:28:35');
INSERT INTO `sys_job_log` VALUES (21551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:28:40');
INSERT INTO `sys_job_log` VALUES (21552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:28:45');
INSERT INTO `sys_job_log` VALUES (21553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:28:45');
INSERT INTO `sys_job_log` VALUES (21554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:28:50');
INSERT INTO `sys_job_log` VALUES (21555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:28:55');
INSERT INTO `sys_job_log` VALUES (21556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:29:00');
INSERT INTO `sys_job_log` VALUES (21557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:29:00');
INSERT INTO `sys_job_log` VALUES (21558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:29:05');
INSERT INTO `sys_job_log` VALUES (21559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:29:10');
INSERT INTO `sys_job_log` VALUES (21560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:29:15');
INSERT INTO `sys_job_log` VALUES (21561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:29:15');
INSERT INTO `sys_job_log` VALUES (21562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:29:20');
INSERT INTO `sys_job_log` VALUES (21563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:29:25');
INSERT INTO `sys_job_log` VALUES (21564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:29:30');
INSERT INTO `sys_job_log` VALUES (21565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:29:30');
INSERT INTO `sys_job_log` VALUES (21566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:29:35');
INSERT INTO `sys_job_log` VALUES (21567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:29:40');
INSERT INTO `sys_job_log` VALUES (21568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:29:45');
INSERT INTO `sys_job_log` VALUES (21569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:29:45');
INSERT INTO `sys_job_log` VALUES (21570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:29:50');
INSERT INTO `sys_job_log` VALUES (21571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:29:55');
INSERT INTO `sys_job_log` VALUES (21572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:30:00');
INSERT INTO `sys_job_log` VALUES (21573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:30:00');
INSERT INTO `sys_job_log` VALUES (21574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:30:05');
INSERT INTO `sys_job_log` VALUES (21575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:30:10');
INSERT INTO `sys_job_log` VALUES (21576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:30:15');
INSERT INTO `sys_job_log` VALUES (21577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:30:15');
INSERT INTO `sys_job_log` VALUES (21578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:30:20');
INSERT INTO `sys_job_log` VALUES (21579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:30:25');
INSERT INTO `sys_job_log` VALUES (21580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:30:30');
INSERT INTO `sys_job_log` VALUES (21581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:30:30');
INSERT INTO `sys_job_log` VALUES (21582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:30:35');
INSERT INTO `sys_job_log` VALUES (21583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:30:40');
INSERT INTO `sys_job_log` VALUES (21584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:30:45');
INSERT INTO `sys_job_log` VALUES (21585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:30:45');
INSERT INTO `sys_job_log` VALUES (21586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:30:50');
INSERT INTO `sys_job_log` VALUES (21587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:30:55');
INSERT INTO `sys_job_log` VALUES (21588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:31:00');
INSERT INTO `sys_job_log` VALUES (21589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:31:00');
INSERT INTO `sys_job_log` VALUES (21590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:31:05');
INSERT INTO `sys_job_log` VALUES (21591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:31:10');
INSERT INTO `sys_job_log` VALUES (21592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:31:15');
INSERT INTO `sys_job_log` VALUES (21593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:31:15');
INSERT INTO `sys_job_log` VALUES (21594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:31:20');
INSERT INTO `sys_job_log` VALUES (21595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:31:25');
INSERT INTO `sys_job_log` VALUES (21596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:31:30');
INSERT INTO `sys_job_log` VALUES (21597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:31:30');
INSERT INTO `sys_job_log` VALUES (21598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:31:35');
INSERT INTO `sys_job_log` VALUES (21599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:31:40');
INSERT INTO `sys_job_log` VALUES (21600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:31:45');
INSERT INTO `sys_job_log` VALUES (21601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:31:45');
INSERT INTO `sys_job_log` VALUES (21602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:31:50');
INSERT INTO `sys_job_log` VALUES (21603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:31:55');
INSERT INTO `sys_job_log` VALUES (21604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:32:00');
INSERT INTO `sys_job_log` VALUES (21605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:32:00');
INSERT INTO `sys_job_log` VALUES (21606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:32:05');
INSERT INTO `sys_job_log` VALUES (21607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:32:10');
INSERT INTO `sys_job_log` VALUES (21608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:32:15');
INSERT INTO `sys_job_log` VALUES (21609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:32:15');
INSERT INTO `sys_job_log` VALUES (21610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：355毫秒', '0', '', '2024-12-26 16:32:20');
INSERT INTO `sys_job_log` VALUES (21611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:32:25');
INSERT INTO `sys_job_log` VALUES (21612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:32:30');
INSERT INTO `sys_job_log` VALUES (21613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:32:30');
INSERT INTO `sys_job_log` VALUES (21614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:32:35');
INSERT INTO `sys_job_log` VALUES (21615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:32:40');
INSERT INTO `sys_job_log` VALUES (21616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:32:45');
INSERT INTO `sys_job_log` VALUES (21617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:32:45');
INSERT INTO `sys_job_log` VALUES (21618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:32:50');
INSERT INTO `sys_job_log` VALUES (21619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:32:55');
INSERT INTO `sys_job_log` VALUES (21620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:33:00');
INSERT INTO `sys_job_log` VALUES (21621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:33:00');
INSERT INTO `sys_job_log` VALUES (21622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:33:05');
INSERT INTO `sys_job_log` VALUES (21623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:33:10');
INSERT INTO `sys_job_log` VALUES (21624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:33:15');
INSERT INTO `sys_job_log` VALUES (21625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:33:15');
INSERT INTO `sys_job_log` VALUES (21626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:33:20');
INSERT INTO `sys_job_log` VALUES (21627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:33:25');
INSERT INTO `sys_job_log` VALUES (21628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:33:30');
INSERT INTO `sys_job_log` VALUES (21629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:33:30');
INSERT INTO `sys_job_log` VALUES (21630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:33:35');
INSERT INTO `sys_job_log` VALUES (21631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:33:40');
INSERT INTO `sys_job_log` VALUES (21632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:33:45');
INSERT INTO `sys_job_log` VALUES (21633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:33:45');
INSERT INTO `sys_job_log` VALUES (21634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:33:50');
INSERT INTO `sys_job_log` VALUES (21635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:33:55');
INSERT INTO `sys_job_log` VALUES (21636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:00');
INSERT INTO `sys_job_log` VALUES (21637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:00');
INSERT INTO `sys_job_log` VALUES (21638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:34:05');
INSERT INTO `sys_job_log` VALUES (21639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:34:10');
INSERT INTO `sys_job_log` VALUES (21640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:15');
INSERT INTO `sys_job_log` VALUES (21641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:15');
INSERT INTO `sys_job_log` VALUES (21642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:20');
INSERT INTO `sys_job_log` VALUES (21643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:34:25');
INSERT INTO `sys_job_log` VALUES (21644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:34:30');
INSERT INTO `sys_job_log` VALUES (21645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 16:34:30');
INSERT INTO `sys_job_log` VALUES (21646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:34:35');
INSERT INTO `sys_job_log` VALUES (21647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:34:40');
INSERT INTO `sys_job_log` VALUES (21648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:45');
INSERT INTO `sys_job_log` VALUES (21649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:34:45');
INSERT INTO `sys_job_log` VALUES (21650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:34:50');
INSERT INTO `sys_job_log` VALUES (21651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:34:55');
INSERT INTO `sys_job_log` VALUES (21652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:35:00');
INSERT INTO `sys_job_log` VALUES (21653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:35:00');
INSERT INTO `sys_job_log` VALUES (21654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:35:05');
INSERT INTO `sys_job_log` VALUES (21655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:35:10');
INSERT INTO `sys_job_log` VALUES (21656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:35:15');
INSERT INTO `sys_job_log` VALUES (21657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:35:15');
INSERT INTO `sys_job_log` VALUES (21658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:35:20');
INSERT INTO `sys_job_log` VALUES (21659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:35:25');
INSERT INTO `sys_job_log` VALUES (21660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:35:30');
INSERT INTO `sys_job_log` VALUES (21661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:35:30');
INSERT INTO `sys_job_log` VALUES (21662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:35:35');
INSERT INTO `sys_job_log` VALUES (21663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:35:40');
INSERT INTO `sys_job_log` VALUES (21664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:35:45');
INSERT INTO `sys_job_log` VALUES (21665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:35:45');
INSERT INTO `sys_job_log` VALUES (21666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:35:50');
INSERT INTO `sys_job_log` VALUES (21667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:35:55');
INSERT INTO `sys_job_log` VALUES (21668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:36:00');
INSERT INTO `sys_job_log` VALUES (21669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:36:00');
INSERT INTO `sys_job_log` VALUES (21670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:36:05');
INSERT INTO `sys_job_log` VALUES (21671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:36:10');
INSERT INTO `sys_job_log` VALUES (21672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:36:15');
INSERT INTO `sys_job_log` VALUES (21673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:36:15');
INSERT INTO `sys_job_log` VALUES (21674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:36:20');
INSERT INTO `sys_job_log` VALUES (21675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:36:25');
INSERT INTO `sys_job_log` VALUES (21676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:36:30');
INSERT INTO `sys_job_log` VALUES (21677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:36:30');
INSERT INTO `sys_job_log` VALUES (21678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:36:35');
INSERT INTO `sys_job_log` VALUES (21679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:36:40');
INSERT INTO `sys_job_log` VALUES (21680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:36:45');
INSERT INTO `sys_job_log` VALUES (21681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:36:45');
INSERT INTO `sys_job_log` VALUES (21682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:36:50');
INSERT INTO `sys_job_log` VALUES (21683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:36:55');
INSERT INTO `sys_job_log` VALUES (21684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:37:00');
INSERT INTO `sys_job_log` VALUES (21685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:00');
INSERT INTO `sys_job_log` VALUES (21686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:05');
INSERT INTO `sys_job_log` VALUES (21687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:37:10');
INSERT INTO `sys_job_log` VALUES (21688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:15');
INSERT INTO `sys_job_log` VALUES (21689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:15');
INSERT INTO `sys_job_log` VALUES (21690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:20');
INSERT INTO `sys_job_log` VALUES (21691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:25');
INSERT INTO `sys_job_log` VALUES (21692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:37:30');
INSERT INTO `sys_job_log` VALUES (21693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:37:30');
INSERT INTO `sys_job_log` VALUES (21694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:37:35');
INSERT INTO `sys_job_log` VALUES (21695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:40');
INSERT INTO `sys_job_log` VALUES (21696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:37:45');
INSERT INTO `sys_job_log` VALUES (21697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:37:45');
INSERT INTO `sys_job_log` VALUES (21698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:37:50');
INSERT INTO `sys_job_log` VALUES (21699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:37:55');
INSERT INTO `sys_job_log` VALUES (21700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:38:00');
INSERT INTO `sys_job_log` VALUES (21701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 16:38:00');
INSERT INTO `sys_job_log` VALUES (21702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:38:05');
INSERT INTO `sys_job_log` VALUES (21703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:38:10');
INSERT INTO `sys_job_log` VALUES (21704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:38:15');
INSERT INTO `sys_job_log` VALUES (21705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:38:15');
INSERT INTO `sys_job_log` VALUES (21706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:38:20');
INSERT INTO `sys_job_log` VALUES (21707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:38:25');
INSERT INTO `sys_job_log` VALUES (21708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:38:30');
INSERT INTO `sys_job_log` VALUES (21709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:38:30');
INSERT INTO `sys_job_log` VALUES (21710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:38:35');
INSERT INTO `sys_job_log` VALUES (21711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 16:38:40');
INSERT INTO `sys_job_log` VALUES (21712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:38:45');
INSERT INTO `sys_job_log` VALUES (21713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:38:45');
INSERT INTO `sys_job_log` VALUES (21714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:38:50');
INSERT INTO `sys_job_log` VALUES (21715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:38:55');
INSERT INTO `sys_job_log` VALUES (21716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:39:00');
INSERT INTO `sys_job_log` VALUES (21717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:39:00');
INSERT INTO `sys_job_log` VALUES (21718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:39:05');
INSERT INTO `sys_job_log` VALUES (21719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:39:10');
INSERT INTO `sys_job_log` VALUES (21720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:39:15');
INSERT INTO `sys_job_log` VALUES (21721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:39:15');
INSERT INTO `sys_job_log` VALUES (21722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:39:20');
INSERT INTO `sys_job_log` VALUES (21723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:39:25');
INSERT INTO `sys_job_log` VALUES (21724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:39:30');
INSERT INTO `sys_job_log` VALUES (21725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:39:30');
INSERT INTO `sys_job_log` VALUES (21726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:39:35');
INSERT INTO `sys_job_log` VALUES (21727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:39:40');
INSERT INTO `sys_job_log` VALUES (21728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:39:45');
INSERT INTO `sys_job_log` VALUES (21729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:39:45');
INSERT INTO `sys_job_log` VALUES (21730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:39:50');
INSERT INTO `sys_job_log` VALUES (21731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:39:55');
INSERT INTO `sys_job_log` VALUES (21732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:40:00');
INSERT INTO `sys_job_log` VALUES (21733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:40:00');
INSERT INTO `sys_job_log` VALUES (21734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:40:05');
INSERT INTO `sys_job_log` VALUES (21735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:40:10');
INSERT INTO `sys_job_log` VALUES (21736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:40:15');
INSERT INTO `sys_job_log` VALUES (21737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:40:15');
INSERT INTO `sys_job_log` VALUES (21738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:40:20');
INSERT INTO `sys_job_log` VALUES (21739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:40:25');
INSERT INTO `sys_job_log` VALUES (21740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:40:30');
INSERT INTO `sys_job_log` VALUES (21741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:40:30');
INSERT INTO `sys_job_log` VALUES (21742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:40:35');
INSERT INTO `sys_job_log` VALUES (21743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:40:40');
INSERT INTO `sys_job_log` VALUES (21744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:40:45');
INSERT INTO `sys_job_log` VALUES (21745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 16:40:45');
INSERT INTO `sys_job_log` VALUES (21746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:40:50');
INSERT INTO `sys_job_log` VALUES (21747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:40:55');
INSERT INTO `sys_job_log` VALUES (21748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:41:00');
INSERT INTO `sys_job_log` VALUES (21749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:41:00');
INSERT INTO `sys_job_log` VALUES (21750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 16:41:05');
INSERT INTO `sys_job_log` VALUES (21751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:41:10');
INSERT INTO `sys_job_log` VALUES (21752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:41:15');
INSERT INTO `sys_job_log` VALUES (21753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:41:15');
INSERT INTO `sys_job_log` VALUES (21754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:41:20');
INSERT INTO `sys_job_log` VALUES (21755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:41:25');
INSERT INTO `sys_job_log` VALUES (21756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:41:30');
INSERT INTO `sys_job_log` VALUES (21757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:41:30');
INSERT INTO `sys_job_log` VALUES (21758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:41:35');
INSERT INTO `sys_job_log` VALUES (21759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:41:40');
INSERT INTO `sys_job_log` VALUES (21760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:41:45');
INSERT INTO `sys_job_log` VALUES (21761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:41:45');
INSERT INTO `sys_job_log` VALUES (21762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:41:50');
INSERT INTO `sys_job_log` VALUES (21763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:41:55');
INSERT INTO `sys_job_log` VALUES (21764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:42:00');
INSERT INTO `sys_job_log` VALUES (21765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:42:00');
INSERT INTO `sys_job_log` VALUES (21766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:42:05');
INSERT INTO `sys_job_log` VALUES (21767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:42:10');
INSERT INTO `sys_job_log` VALUES (21768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:42:15');
INSERT INTO `sys_job_log` VALUES (21769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:42:15');
INSERT INTO `sys_job_log` VALUES (21770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:42:20');
INSERT INTO `sys_job_log` VALUES (21771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:42:25');
INSERT INTO `sys_job_log` VALUES (21772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:42:30');
INSERT INTO `sys_job_log` VALUES (21773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:42:30');
INSERT INTO `sys_job_log` VALUES (21774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:42:35');
INSERT INTO `sys_job_log` VALUES (21775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:42:40');
INSERT INTO `sys_job_log` VALUES (21776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:42:45');
INSERT INTO `sys_job_log` VALUES (21777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:42:45');
INSERT INTO `sys_job_log` VALUES (21778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 16:42:50');
INSERT INTO `sys_job_log` VALUES (21779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:42:55');
INSERT INTO `sys_job_log` VALUES (21780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:43:00');
INSERT INTO `sys_job_log` VALUES (21781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:43:00');
INSERT INTO `sys_job_log` VALUES (21782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:43:05');
INSERT INTO `sys_job_log` VALUES (21783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:43:10');
INSERT INTO `sys_job_log` VALUES (21784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:43:15');
INSERT INTO `sys_job_log` VALUES (21785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:43:15');
INSERT INTO `sys_job_log` VALUES (21786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:43:20');
INSERT INTO `sys_job_log` VALUES (21787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:43:25');
INSERT INTO `sys_job_log` VALUES (21788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:43:30');
INSERT INTO `sys_job_log` VALUES (21789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:43:30');
INSERT INTO `sys_job_log` VALUES (21790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:43:35');
INSERT INTO `sys_job_log` VALUES (21791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-26 16:43:40');
INSERT INTO `sys_job_log` VALUES (21792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:43:45');
INSERT INTO `sys_job_log` VALUES (21793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:43:45');
INSERT INTO `sys_job_log` VALUES (21794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:43:50');
INSERT INTO `sys_job_log` VALUES (21795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:43:55');
INSERT INTO `sys_job_log` VALUES (21796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:00');
INSERT INTO `sys_job_log` VALUES (21797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:00');
INSERT INTO `sys_job_log` VALUES (21798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:05');
INSERT INTO `sys_job_log` VALUES (21799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:44:10');
INSERT INTO `sys_job_log` VALUES (21800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:44:15');
INSERT INTO `sys_job_log` VALUES (21801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:44:15');
INSERT INTO `sys_job_log` VALUES (21802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 16:44:20');
INSERT INTO `sys_job_log` VALUES (21803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:44:25');
INSERT INTO `sys_job_log` VALUES (21804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:30');
INSERT INTO `sys_job_log` VALUES (21805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:30');
INSERT INTO `sys_job_log` VALUES (21806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:44:35');
INSERT INTO `sys_job_log` VALUES (21807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:40');
INSERT INTO `sys_job_log` VALUES (21808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:45');
INSERT INTO `sys_job_log` VALUES (21809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:44:45');
INSERT INTO `sys_job_log` VALUES (21810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:44:50');
INSERT INTO `sys_job_log` VALUES (21811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:44:55');
INSERT INTO `sys_job_log` VALUES (21812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:45:00');
INSERT INTO `sys_job_log` VALUES (21813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:45:00');
INSERT INTO `sys_job_log` VALUES (21814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:45:05');
INSERT INTO `sys_job_log` VALUES (21815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:45:10');
INSERT INTO `sys_job_log` VALUES (21816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:45:15');
INSERT INTO `sys_job_log` VALUES (21817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:45:15');
INSERT INTO `sys_job_log` VALUES (21818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:45:20');
INSERT INTO `sys_job_log` VALUES (21819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:45:25');
INSERT INTO `sys_job_log` VALUES (21820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:45:30');
INSERT INTO `sys_job_log` VALUES (21821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:45:30');
INSERT INTO `sys_job_log` VALUES (21822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:45:35');
INSERT INTO `sys_job_log` VALUES (21823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:45:40');
INSERT INTO `sys_job_log` VALUES (21824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:45:45');
INSERT INTO `sys_job_log` VALUES (21825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:45:45');
INSERT INTO `sys_job_log` VALUES (21826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:45:50');
INSERT INTO `sys_job_log` VALUES (21827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:45:55');
INSERT INTO `sys_job_log` VALUES (21828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:46:00');
INSERT INTO `sys_job_log` VALUES (21829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:46:00');
INSERT INTO `sys_job_log` VALUES (21830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:46:05');
INSERT INTO `sys_job_log` VALUES (21831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:46:10');
INSERT INTO `sys_job_log` VALUES (21832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:46:15');
INSERT INTO `sys_job_log` VALUES (21833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:46:15');
INSERT INTO `sys_job_log` VALUES (21834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:46:20');
INSERT INTO `sys_job_log` VALUES (21835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:46:25');
INSERT INTO `sys_job_log` VALUES (21836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:46:30');
INSERT INTO `sys_job_log` VALUES (21837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 16:46:30');
INSERT INTO `sys_job_log` VALUES (21838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:46:35');
INSERT INTO `sys_job_log` VALUES (21839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:46:40');
INSERT INTO `sys_job_log` VALUES (21840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:46:45');
INSERT INTO `sys_job_log` VALUES (21841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:46:45');
INSERT INTO `sys_job_log` VALUES (21842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:46:50');
INSERT INTO `sys_job_log` VALUES (21843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:46:55');
INSERT INTO `sys_job_log` VALUES (21844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:47:00');
INSERT INTO `sys_job_log` VALUES (21845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:47:00');
INSERT INTO `sys_job_log` VALUES (21846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:47:05');
INSERT INTO `sys_job_log` VALUES (21847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:47:10');
INSERT INTO `sys_job_log` VALUES (21848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:47:15');
INSERT INTO `sys_job_log` VALUES (21849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:47:15');
INSERT INTO `sys_job_log` VALUES (21850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:47:20');
INSERT INTO `sys_job_log` VALUES (21851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:47:25');
INSERT INTO `sys_job_log` VALUES (21852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:47:30');
INSERT INTO `sys_job_log` VALUES (21853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:47:30');
INSERT INTO `sys_job_log` VALUES (21854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:47:35');
INSERT INTO `sys_job_log` VALUES (21855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:47:40');
INSERT INTO `sys_job_log` VALUES (21856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:47:45');
INSERT INTO `sys_job_log` VALUES (21857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:47:45');
INSERT INTO `sys_job_log` VALUES (21858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:47:50');
INSERT INTO `sys_job_log` VALUES (21859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:47:55');
INSERT INTO `sys_job_log` VALUES (21860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:48:00');
INSERT INTO `sys_job_log` VALUES (21861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:48:00');
INSERT INTO `sys_job_log` VALUES (21862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:48:05');
INSERT INTO `sys_job_log` VALUES (21863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 16:48:10');
INSERT INTO `sys_job_log` VALUES (21864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:48:15');
INSERT INTO `sys_job_log` VALUES (21865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:48:15');
INSERT INTO `sys_job_log` VALUES (21866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:48:20');
INSERT INTO `sys_job_log` VALUES (21867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:48:25');
INSERT INTO `sys_job_log` VALUES (21868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:48:30');
INSERT INTO `sys_job_log` VALUES (21869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:48:30');
INSERT INTO `sys_job_log` VALUES (21870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:48:35');
INSERT INTO `sys_job_log` VALUES (21871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:48:40');
INSERT INTO `sys_job_log` VALUES (21872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-26 16:51:08');
INSERT INTO `sys_job_log` VALUES (21873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:51:10');
INSERT INTO `sys_job_log` VALUES (21874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 16:51:15');
INSERT INTO `sys_job_log` VALUES (21875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:51:15');
INSERT INTO `sys_job_log` VALUES (21876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:51:20');
INSERT INTO `sys_job_log` VALUES (21877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:51:25');
INSERT INTO `sys_job_log` VALUES (21878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 16:51:30');
INSERT INTO `sys_job_log` VALUES (21879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:51:30');
INSERT INTO `sys_job_log` VALUES (21880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:51:35');
INSERT INTO `sys_job_log` VALUES (21881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:51:40');
INSERT INTO `sys_job_log` VALUES (21882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:51:45');
INSERT INTO `sys_job_log` VALUES (21883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:51:45');
INSERT INTO `sys_job_log` VALUES (21884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:51:50');
INSERT INTO `sys_job_log` VALUES (21885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:51:55');
INSERT INTO `sys_job_log` VALUES (21886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 16:52:00');
INSERT INTO `sys_job_log` VALUES (21887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:52:00');
INSERT INTO `sys_job_log` VALUES (21888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:52:05');
INSERT INTO `sys_job_log` VALUES (21889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:52:10');
INSERT INTO `sys_job_log` VALUES (21890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:52:15');
INSERT INTO `sys_job_log` VALUES (21891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:52:15');
INSERT INTO `sys_job_log` VALUES (21892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 16:52:20');
INSERT INTO `sys_job_log` VALUES (21893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:52:25');
INSERT INTO `sys_job_log` VALUES (21894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:52:30');
INSERT INTO `sys_job_log` VALUES (21895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:52:30');
INSERT INTO `sys_job_log` VALUES (21896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:52:35');
INSERT INTO `sys_job_log` VALUES (21897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:52:40');
INSERT INTO `sys_job_log` VALUES (21898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:52:45');
INSERT INTO `sys_job_log` VALUES (21899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:52:45');
INSERT INTO `sys_job_log` VALUES (21900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:52:50');
INSERT INTO `sys_job_log` VALUES (21901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:52:55');
INSERT INTO `sys_job_log` VALUES (21902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:53:00');
INSERT INTO `sys_job_log` VALUES (21903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:53:00');
INSERT INTO `sys_job_log` VALUES (21904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:53:05');
INSERT INTO `sys_job_log` VALUES (21905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:53:10');
INSERT INTO `sys_job_log` VALUES (21906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:53:15');
INSERT INTO `sys_job_log` VALUES (21907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:53:15');
INSERT INTO `sys_job_log` VALUES (21908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:53:20');
INSERT INTO `sys_job_log` VALUES (21909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:53:25');
INSERT INTO `sys_job_log` VALUES (21910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:53:30');
INSERT INTO `sys_job_log` VALUES (21911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:53:30');
INSERT INTO `sys_job_log` VALUES (21912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:53:35');
INSERT INTO `sys_job_log` VALUES (21913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:53:40');
INSERT INTO `sys_job_log` VALUES (21914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:53:45');
INSERT INTO `sys_job_log` VALUES (21915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:53:45');
INSERT INTO `sys_job_log` VALUES (21916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:53:50');
INSERT INTO `sys_job_log` VALUES (21917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:53:55');
INSERT INTO `sys_job_log` VALUES (21918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 16:54:00');
INSERT INTO `sys_job_log` VALUES (21919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-26 16:54:00');
INSERT INTO `sys_job_log` VALUES (21920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:54:05');
INSERT INTO `sys_job_log` VALUES (21921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:54:10');
INSERT INTO `sys_job_log` VALUES (21922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:54:15');
INSERT INTO `sys_job_log` VALUES (21923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:54:15');
INSERT INTO `sys_job_log` VALUES (21924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:54:20');
INSERT INTO `sys_job_log` VALUES (21925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:54:25');
INSERT INTO `sys_job_log` VALUES (21926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:54:30');
INSERT INTO `sys_job_log` VALUES (21927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:54:30');
INSERT INTO `sys_job_log` VALUES (21928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:54:35');
INSERT INTO `sys_job_log` VALUES (21929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:54:40');
INSERT INTO `sys_job_log` VALUES (21930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:54:45');
INSERT INTO `sys_job_log` VALUES (21931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:54:45');
INSERT INTO `sys_job_log` VALUES (21932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:54:50');
INSERT INTO `sys_job_log` VALUES (21933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:54:55');
INSERT INTO `sys_job_log` VALUES (21934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 16:55:00');
INSERT INTO `sys_job_log` VALUES (21935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 16:55:00');
INSERT INTO `sys_job_log` VALUES (21936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:55:05');
INSERT INTO `sys_job_log` VALUES (21937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:55:10');
INSERT INTO `sys_job_log` VALUES (21938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:15');
INSERT INTO `sys_job_log` VALUES (21939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:15');
INSERT INTO `sys_job_log` VALUES (21940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:20');
INSERT INTO `sys_job_log` VALUES (21941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:25');
INSERT INTO `sys_job_log` VALUES (21942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:55:30');
INSERT INTO `sys_job_log` VALUES (21943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:55:30');
INSERT INTO `sys_job_log` VALUES (21944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:35');
INSERT INTO `sys_job_log` VALUES (21945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:55:40');
INSERT INTO `sys_job_log` VALUES (21946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:45');
INSERT INTO `sys_job_log` VALUES (21947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:45');
INSERT INTO `sys_job_log` VALUES (21948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:55:50');
INSERT INTO `sys_job_log` VALUES (21949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:55:55');
INSERT INTO `sys_job_log` VALUES (21950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:56:00');
INSERT INTO `sys_job_log` VALUES (21951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:56:00');
INSERT INTO `sys_job_log` VALUES (21952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:56:05');
INSERT INTO `sys_job_log` VALUES (21953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:56:10');
INSERT INTO `sys_job_log` VALUES (21954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:56:15');
INSERT INTO `sys_job_log` VALUES (21955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:56:15');
INSERT INTO `sys_job_log` VALUES (21956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:56:20');
INSERT INTO `sys_job_log` VALUES (21957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:56:25');
INSERT INTO `sys_job_log` VALUES (21958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 16:56:30');
INSERT INTO `sys_job_log` VALUES (21959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 16:56:30');
INSERT INTO `sys_job_log` VALUES (21960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:56:35');
INSERT INTO `sys_job_log` VALUES (21961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:56:40');
INSERT INTO `sys_job_log` VALUES (21962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:56:45');
INSERT INTO `sys_job_log` VALUES (21963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:56:45');
INSERT INTO `sys_job_log` VALUES (21964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:56:50');
INSERT INTO `sys_job_log` VALUES (21965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:56:55');
INSERT INTO `sys_job_log` VALUES (21966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:57:00');
INSERT INTO `sys_job_log` VALUES (21967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:57:00');
INSERT INTO `sys_job_log` VALUES (21968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:57:05');
INSERT INTO `sys_job_log` VALUES (21969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:57:10');
INSERT INTO `sys_job_log` VALUES (21970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:57:15');
INSERT INTO `sys_job_log` VALUES (21971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 16:57:15');
INSERT INTO `sys_job_log` VALUES (21972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:57:20');
INSERT INTO `sys_job_log` VALUES (21973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:57:25');
INSERT INTO `sys_job_log` VALUES (21974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 16:57:30');
INSERT INTO `sys_job_log` VALUES (21975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:57:30');
INSERT INTO `sys_job_log` VALUES (21976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:57:35');
INSERT INTO `sys_job_log` VALUES (21977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:57:40');
INSERT INTO `sys_job_log` VALUES (21978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:57:45');
INSERT INTO `sys_job_log` VALUES (21979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:57:45');
INSERT INTO `sys_job_log` VALUES (21980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:57:50');
INSERT INTO `sys_job_log` VALUES (21981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:57:55');
INSERT INTO `sys_job_log` VALUES (21982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:58:00');
INSERT INTO `sys_job_log` VALUES (21983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:58:00');
INSERT INTO `sys_job_log` VALUES (21984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:58:05');
INSERT INTO `sys_job_log` VALUES (21985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:58:10');
INSERT INTO `sys_job_log` VALUES (21986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:58:15');
INSERT INTO `sys_job_log` VALUES (21987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:58:15');
INSERT INTO `sys_job_log` VALUES (21988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 16:58:20');
INSERT INTO `sys_job_log` VALUES (21989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:58:25');
INSERT INTO `sys_job_log` VALUES (21990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 16:58:30');
INSERT INTO `sys_job_log` VALUES (21991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:58:30');
INSERT INTO `sys_job_log` VALUES (21992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 16:58:35');
INSERT INTO `sys_job_log` VALUES (21993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:58:40');
INSERT INTO `sys_job_log` VALUES (21994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 16:58:45');
INSERT INTO `sys_job_log` VALUES (21995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:58:45');
INSERT INTO `sys_job_log` VALUES (21996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:58:50');
INSERT INTO `sys_job_log` VALUES (21997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:58:55');
INSERT INTO `sys_job_log` VALUES (21998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-26 16:59:00');
INSERT INTO `sys_job_log` VALUES (21999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:59:00');
INSERT INTO `sys_job_log` VALUES (22000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:59:05');
INSERT INTO `sys_job_log` VALUES (22001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:59:10');
INSERT INTO `sys_job_log` VALUES (22002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 16:59:15');
INSERT INTO `sys_job_log` VALUES (22003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 16:59:15');
INSERT INTO `sys_job_log` VALUES (22004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:59:20');
INSERT INTO `sys_job_log` VALUES (22005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 16:59:25');
INSERT INTO `sys_job_log` VALUES (22006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:59:30');
INSERT INTO `sys_job_log` VALUES (22007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 16:59:30');
INSERT INTO `sys_job_log` VALUES (22008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 16:59:35');
INSERT INTO `sys_job_log` VALUES (22009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 16:59:40');
INSERT INTO `sys_job_log` VALUES (22010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:59:45');
INSERT INTO `sys_job_log` VALUES (22011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 16:59:45');
INSERT INTO `sys_job_log` VALUES (22012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 16:59:50');
INSERT INTO `sys_job_log` VALUES (22013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 16:59:55');
INSERT INTO `sys_job_log` VALUES (22014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:00:00');
INSERT INTO `sys_job_log` VALUES (22015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:00:00');
INSERT INTO `sys_job_log` VALUES (22016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:00:05');
INSERT INTO `sys_job_log` VALUES (22017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:00:10');
INSERT INTO `sys_job_log` VALUES (22018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:00:15');
INSERT INTO `sys_job_log` VALUES (22019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:00:15');
INSERT INTO `sys_job_log` VALUES (22020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:00:20');
INSERT INTO `sys_job_log` VALUES (22021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:00:25');
INSERT INTO `sys_job_log` VALUES (22022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:00:30');
INSERT INTO `sys_job_log` VALUES (22023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:00:30');
INSERT INTO `sys_job_log` VALUES (22024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:00:35');
INSERT INTO `sys_job_log` VALUES (22025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:00:40');
INSERT INTO `sys_job_log` VALUES (22026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:00:45');
INSERT INTO `sys_job_log` VALUES (22027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:00:45');
INSERT INTO `sys_job_log` VALUES (22028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:00:50');
INSERT INTO `sys_job_log` VALUES (22029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:00:55');
INSERT INTO `sys_job_log` VALUES (22030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:01:00');
INSERT INTO `sys_job_log` VALUES (22031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 17:01:00');
INSERT INTO `sys_job_log` VALUES (22032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:01:05');
INSERT INTO `sys_job_log` VALUES (22033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 17:01:10');
INSERT INTO `sys_job_log` VALUES (22034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:01:15');
INSERT INTO `sys_job_log` VALUES (22035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:01:15');
INSERT INTO `sys_job_log` VALUES (22036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:01:20');
INSERT INTO `sys_job_log` VALUES (22037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:01:25');
INSERT INTO `sys_job_log` VALUES (22038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 17:01:30');
INSERT INTO `sys_job_log` VALUES (22039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:01:30');
INSERT INTO `sys_job_log` VALUES (22040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:01:35');
INSERT INTO `sys_job_log` VALUES (22041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 17:01:40');
INSERT INTO `sys_job_log` VALUES (22042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:01:45');
INSERT INTO `sys_job_log` VALUES (22043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:01:45');
INSERT INTO `sys_job_log` VALUES (22044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:01:50');
INSERT INTO `sys_job_log` VALUES (22045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:01:55');
INSERT INTO `sys_job_log` VALUES (22046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:02:00');
INSERT INTO `sys_job_log` VALUES (22047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:02:00');
INSERT INTO `sys_job_log` VALUES (22048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:02:05');
INSERT INTO `sys_job_log` VALUES (22049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:02:10');
INSERT INTO `sys_job_log` VALUES (22050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 17:02:15');
INSERT INTO `sys_job_log` VALUES (22051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:02:15');
INSERT INTO `sys_job_log` VALUES (22052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:02:20');
INSERT INTO `sys_job_log` VALUES (22053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:02:25');
INSERT INTO `sys_job_log` VALUES (22054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:02:30');
INSERT INTO `sys_job_log` VALUES (22055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:02:30');
INSERT INTO `sys_job_log` VALUES (22056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:02:35');
INSERT INTO `sys_job_log` VALUES (22057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:02:40');
INSERT INTO `sys_job_log` VALUES (22058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:02:45');
INSERT INTO `sys_job_log` VALUES (22059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:02:45');
INSERT INTO `sys_job_log` VALUES (22060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:02:50');
INSERT INTO `sys_job_log` VALUES (22061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:02:55');
INSERT INTO `sys_job_log` VALUES (22062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:03:00');
INSERT INTO `sys_job_log` VALUES (22063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:03:00');
INSERT INTO `sys_job_log` VALUES (22064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:03:05');
INSERT INTO `sys_job_log` VALUES (22065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:03:10');
INSERT INTO `sys_job_log` VALUES (22066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:03:15');
INSERT INTO `sys_job_log` VALUES (22067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:03:15');
INSERT INTO `sys_job_log` VALUES (22068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:03:20');
INSERT INTO `sys_job_log` VALUES (22069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:03:25');
INSERT INTO `sys_job_log` VALUES (22070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:03:30');
INSERT INTO `sys_job_log` VALUES (22071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 17:03:30');
INSERT INTO `sys_job_log` VALUES (22072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:03:35');
INSERT INTO `sys_job_log` VALUES (22073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:03:40');
INSERT INTO `sys_job_log` VALUES (22074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:03:45');
INSERT INTO `sys_job_log` VALUES (22075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:03:45');
INSERT INTO `sys_job_log` VALUES (22076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:03:50');
INSERT INTO `sys_job_log` VALUES (22077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:03:55');
INSERT INTO `sys_job_log` VALUES (22078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:04:00');
INSERT INTO `sys_job_log` VALUES (22079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:04:00');
INSERT INTO `sys_job_log` VALUES (22080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:04:05');
INSERT INTO `sys_job_log` VALUES (22081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:04:10');
INSERT INTO `sys_job_log` VALUES (22082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:04:15');
INSERT INTO `sys_job_log` VALUES (22083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:04:15');
INSERT INTO `sys_job_log` VALUES (22084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:04:20');
INSERT INTO `sys_job_log` VALUES (22085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:04:25');
INSERT INTO `sys_job_log` VALUES (22086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:04:30');
INSERT INTO `sys_job_log` VALUES (22087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:04:30');
INSERT INTO `sys_job_log` VALUES (22088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:04:35');
INSERT INTO `sys_job_log` VALUES (22089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:04:40');
INSERT INTO `sys_job_log` VALUES (22090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:04:45');
INSERT INTO `sys_job_log` VALUES (22091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:04:45');
INSERT INTO `sys_job_log` VALUES (22092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:04:50');
INSERT INTO `sys_job_log` VALUES (22093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:04:55');
INSERT INTO `sys_job_log` VALUES (22094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:05:00');
INSERT INTO `sys_job_log` VALUES (22095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:05:00');
INSERT INTO `sys_job_log` VALUES (22096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:05:05');
INSERT INTO `sys_job_log` VALUES (22097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:05:10');
INSERT INTO `sys_job_log` VALUES (22098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:05:15');
INSERT INTO `sys_job_log` VALUES (22099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:05:15');
INSERT INTO `sys_job_log` VALUES (22100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:05:20');
INSERT INTO `sys_job_log` VALUES (22101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:05:25');
INSERT INTO `sys_job_log` VALUES (22102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:05:30');
INSERT INTO `sys_job_log` VALUES (22103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 17:05:30');
INSERT INTO `sys_job_log` VALUES (22104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:05:35');
INSERT INTO `sys_job_log` VALUES (22105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:05:40');
INSERT INTO `sys_job_log` VALUES (22106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:05:45');
INSERT INTO `sys_job_log` VALUES (22107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:05:45');
INSERT INTO `sys_job_log` VALUES (22108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:05:50');
INSERT INTO `sys_job_log` VALUES (22109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:05:55');
INSERT INTO `sys_job_log` VALUES (22110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:06:00');
INSERT INTO `sys_job_log` VALUES (22111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:06:00');
INSERT INTO `sys_job_log` VALUES (22112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:06:05');
INSERT INTO `sys_job_log` VALUES (22113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:06:10');
INSERT INTO `sys_job_log` VALUES (22114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:06:15');
INSERT INTO `sys_job_log` VALUES (22115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:06:15');
INSERT INTO `sys_job_log` VALUES (22116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:06:20');
INSERT INTO `sys_job_log` VALUES (22117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:06:25');
INSERT INTO `sys_job_log` VALUES (22118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:06:30');
INSERT INTO `sys_job_log` VALUES (22119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 17:06:30');
INSERT INTO `sys_job_log` VALUES (22120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:06:35');
INSERT INTO `sys_job_log` VALUES (22121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:06:40');
INSERT INTO `sys_job_log` VALUES (22122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:06:45');
INSERT INTO `sys_job_log` VALUES (22123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:06:45');
INSERT INTO `sys_job_log` VALUES (22124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:06:50');
INSERT INTO `sys_job_log` VALUES (22125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:06:55');
INSERT INTO `sys_job_log` VALUES (22126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:07:00');
INSERT INTO `sys_job_log` VALUES (22127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 17:07:00');
INSERT INTO `sys_job_log` VALUES (22128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:07:05');
INSERT INTO `sys_job_log` VALUES (22129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:07:10');
INSERT INTO `sys_job_log` VALUES (22130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:07:15');
INSERT INTO `sys_job_log` VALUES (22131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:07:15');
INSERT INTO `sys_job_log` VALUES (22132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:07:20');
INSERT INTO `sys_job_log` VALUES (22133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:07:25');
INSERT INTO `sys_job_log` VALUES (22134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:07:30');
INSERT INTO `sys_job_log` VALUES (22135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 17:07:30');
INSERT INTO `sys_job_log` VALUES (22136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:07:35');
INSERT INTO `sys_job_log` VALUES (22137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:07:40');
INSERT INTO `sys_job_log` VALUES (22138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:07:45');
INSERT INTO `sys_job_log` VALUES (22139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:07:45');
INSERT INTO `sys_job_log` VALUES (22140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 17:07:50');
INSERT INTO `sys_job_log` VALUES (22141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:07:55');
INSERT INTO `sys_job_log` VALUES (22142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-26 17:08:00');
INSERT INTO `sys_job_log` VALUES (22143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 17:08:00');
INSERT INTO `sys_job_log` VALUES (22144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:08:05');
INSERT INTO `sys_job_log` VALUES (22145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:08:10');
INSERT INTO `sys_job_log` VALUES (22146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-26 17:08:15');
INSERT INTO `sys_job_log` VALUES (22147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-26 17:08:15');
INSERT INTO `sys_job_log` VALUES (22148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:08:20');
INSERT INTO `sys_job_log` VALUES (22149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:08:25');
INSERT INTO `sys_job_log` VALUES (22150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:08:30');
INSERT INTO `sys_job_log` VALUES (22151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 17:08:30');
INSERT INTO `sys_job_log` VALUES (22152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:08:35');
INSERT INTO `sys_job_log` VALUES (22153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:08:40');
INSERT INTO `sys_job_log` VALUES (22154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:08:45');
INSERT INTO `sys_job_log` VALUES (22155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:08:45');
INSERT INTO `sys_job_log` VALUES (22156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:08:50');
INSERT INTO `sys_job_log` VALUES (22157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:08:55');
INSERT INTO `sys_job_log` VALUES (22158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:09:00');
INSERT INTO `sys_job_log` VALUES (22159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 17:09:00');
INSERT INTO `sys_job_log` VALUES (22160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:09:05');
INSERT INTO `sys_job_log` VALUES (22161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:09:10');
INSERT INTO `sys_job_log` VALUES (22162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:09:15');
INSERT INTO `sys_job_log` VALUES (22163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:09:15');
INSERT INTO `sys_job_log` VALUES (22164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:09:20');
INSERT INTO `sys_job_log` VALUES (22165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:09:25');
INSERT INTO `sys_job_log` VALUES (22166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:09:30');
INSERT INTO `sys_job_log` VALUES (22167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:09:30');
INSERT INTO `sys_job_log` VALUES (22168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:09:35');
INSERT INTO `sys_job_log` VALUES (22169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:09:40');
INSERT INTO `sys_job_log` VALUES (22170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:09:45');
INSERT INTO `sys_job_log` VALUES (22171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:09:45');
INSERT INTO `sys_job_log` VALUES (22172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:09:50');
INSERT INTO `sys_job_log` VALUES (22173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:09:55');
INSERT INTO `sys_job_log` VALUES (22174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:10:00');
INSERT INTO `sys_job_log` VALUES (22175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:10:00');
INSERT INTO `sys_job_log` VALUES (22176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:10:05');
INSERT INTO `sys_job_log` VALUES (22177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:10:10');
INSERT INTO `sys_job_log` VALUES (22178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:10:15');
INSERT INTO `sys_job_log` VALUES (22179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:10:15');
INSERT INTO `sys_job_log` VALUES (22180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:10:20');
INSERT INTO `sys_job_log` VALUES (22181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:10:25');
INSERT INTO `sys_job_log` VALUES (22182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:10:30');
INSERT INTO `sys_job_log` VALUES (22183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:10:30');
INSERT INTO `sys_job_log` VALUES (22184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:10:35');
INSERT INTO `sys_job_log` VALUES (22185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:10:40');
INSERT INTO `sys_job_log` VALUES (22186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:10:45');
INSERT INTO `sys_job_log` VALUES (22187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:10:45');
INSERT INTO `sys_job_log` VALUES (22188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:10:50');
INSERT INTO `sys_job_log` VALUES (22189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:10:55');
INSERT INTO `sys_job_log` VALUES (22190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-26 17:11:00');
INSERT INTO `sys_job_log` VALUES (22191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 17:11:00');
INSERT INTO `sys_job_log` VALUES (22192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:11:05');
INSERT INTO `sys_job_log` VALUES (22193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:11:10');
INSERT INTO `sys_job_log` VALUES (22194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:11:15');
INSERT INTO `sys_job_log` VALUES (22195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:11:15');
INSERT INTO `sys_job_log` VALUES (22196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:11:20');
INSERT INTO `sys_job_log` VALUES (22197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：385毫秒', '0', '', '2024-12-26 17:11:25');
INSERT INTO `sys_job_log` VALUES (22198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:11:30');
INSERT INTO `sys_job_log` VALUES (22199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:11:30');
INSERT INTO `sys_job_log` VALUES (22200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:11:35');
INSERT INTO `sys_job_log` VALUES (22201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:11:40');
INSERT INTO `sys_job_log` VALUES (22202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:11:45');
INSERT INTO `sys_job_log` VALUES (22203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:11:45');
INSERT INTO `sys_job_log` VALUES (22204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:11:50');
INSERT INTO `sys_job_log` VALUES (22205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:11:55');
INSERT INTO `sys_job_log` VALUES (22206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:12:00');
INSERT INTO `sys_job_log` VALUES (22207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:12:00');
INSERT INTO `sys_job_log` VALUES (22208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:12:05');
INSERT INTO `sys_job_log` VALUES (22209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:12:10');
INSERT INTO `sys_job_log` VALUES (22210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:12:15');
INSERT INTO `sys_job_log` VALUES (22211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:12:15');
INSERT INTO `sys_job_log` VALUES (22212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:12:20');
INSERT INTO `sys_job_log` VALUES (22213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 17:12:25');
INSERT INTO `sys_job_log` VALUES (22214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:12:30');
INSERT INTO `sys_job_log` VALUES (22215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:12:30');
INSERT INTO `sys_job_log` VALUES (22216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:12:35');
INSERT INTO `sys_job_log` VALUES (22217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:12:40');
INSERT INTO `sys_job_log` VALUES (22218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:12:45');
INSERT INTO `sys_job_log` VALUES (22219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:12:45');
INSERT INTO `sys_job_log` VALUES (22220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:12:50');
INSERT INTO `sys_job_log` VALUES (22221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:12:55');
INSERT INTO `sys_job_log` VALUES (22222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:13:00');
INSERT INTO `sys_job_log` VALUES (22223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:13:00');
INSERT INTO `sys_job_log` VALUES (22224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:13:05');
INSERT INTO `sys_job_log` VALUES (22225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:13:10');
INSERT INTO `sys_job_log` VALUES (22226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:13:15');
INSERT INTO `sys_job_log` VALUES (22227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:13:15');
INSERT INTO `sys_job_log` VALUES (22228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:13:20');
INSERT INTO `sys_job_log` VALUES (22229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:13:25');
INSERT INTO `sys_job_log` VALUES (22230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:13:30');
INSERT INTO `sys_job_log` VALUES (22231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:13:30');
INSERT INTO `sys_job_log` VALUES (22232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:13:35');
INSERT INTO `sys_job_log` VALUES (22233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:13:40');
INSERT INTO `sys_job_log` VALUES (22234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:13:45');
INSERT INTO `sys_job_log` VALUES (22235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:13:45');
INSERT INTO `sys_job_log` VALUES (22236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:13:50');
INSERT INTO `sys_job_log` VALUES (22237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:13:55');
INSERT INTO `sys_job_log` VALUES (22238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 17:14:00');
INSERT INTO `sys_job_log` VALUES (22239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:14:00');
INSERT INTO `sys_job_log` VALUES (22240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:14:05');
INSERT INTO `sys_job_log` VALUES (22241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:14:10');
INSERT INTO `sys_job_log` VALUES (22242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-26 17:14:15');
INSERT INTO `sys_job_log` VALUES (22243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-26 17:14:15');
INSERT INTO `sys_job_log` VALUES (22244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:14:20');
INSERT INTO `sys_job_log` VALUES (22245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:14:25');
INSERT INTO `sys_job_log` VALUES (22246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:14:30');
INSERT INTO `sys_job_log` VALUES (22247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:14:30');
INSERT INTO `sys_job_log` VALUES (22248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:14:35');
INSERT INTO `sys_job_log` VALUES (22249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:14:40');
INSERT INTO `sys_job_log` VALUES (22250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:14:45');
INSERT INTO `sys_job_log` VALUES (22251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:14:45');
INSERT INTO `sys_job_log` VALUES (22252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:14:50');
INSERT INTO `sys_job_log` VALUES (22253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:14:55');
INSERT INTO `sys_job_log` VALUES (22254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 17:15:00');
INSERT INTO `sys_job_log` VALUES (22255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:15:00');
INSERT INTO `sys_job_log` VALUES (22256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:15:05');
INSERT INTO `sys_job_log` VALUES (22257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:15:10');
INSERT INTO `sys_job_log` VALUES (22258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:15:15');
INSERT INTO `sys_job_log` VALUES (22259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:15:15');
INSERT INTO `sys_job_log` VALUES (22260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:15:20');
INSERT INTO `sys_job_log` VALUES (22261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:15:25');
INSERT INTO `sys_job_log` VALUES (22262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:15:30');
INSERT INTO `sys_job_log` VALUES (22263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:15:30');
INSERT INTO `sys_job_log` VALUES (22264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:15:35');
INSERT INTO `sys_job_log` VALUES (22265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:15:40');
INSERT INTO `sys_job_log` VALUES (22266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:15:45');
INSERT INTO `sys_job_log` VALUES (22267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 17:15:45');
INSERT INTO `sys_job_log` VALUES (22268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:15:50');
INSERT INTO `sys_job_log` VALUES (22269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:15:55');
INSERT INTO `sys_job_log` VALUES (22270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:00');
INSERT INTO `sys_job_log` VALUES (22271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:00');
INSERT INTO `sys_job_log` VALUES (22272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:16:05');
INSERT INTO `sys_job_log` VALUES (22273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:16:10');
INSERT INTO `sys_job_log` VALUES (22274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:15');
INSERT INTO `sys_job_log` VALUES (22275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:16:15');
INSERT INTO `sys_job_log` VALUES (22276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:20');
INSERT INTO `sys_job_log` VALUES (22277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:16:25');
INSERT INTO `sys_job_log` VALUES (22278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:16:30');
INSERT INTO `sys_job_log` VALUES (22279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:16:30');
INSERT INTO `sys_job_log` VALUES (22280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:35');
INSERT INTO `sys_job_log` VALUES (22281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:16:40');
INSERT INTO `sys_job_log` VALUES (22282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:16:45');
INSERT INTO `sys_job_log` VALUES (22283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:45');
INSERT INTO `sys_job_log` VALUES (22284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:16:50');
INSERT INTO `sys_job_log` VALUES (22285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:16:55');
INSERT INTO `sys_job_log` VALUES (22286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:17:00');
INSERT INTO `sys_job_log` VALUES (22287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:00');
INSERT INTO `sys_job_log` VALUES (22288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:17:05');
INSERT INTO `sys_job_log` VALUES (22289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:17:10');
INSERT INTO `sys_job_log` VALUES (22290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:15');
INSERT INTO `sys_job_log` VALUES (22291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:15');
INSERT INTO `sys_job_log` VALUES (22292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:20');
INSERT INTO `sys_job_log` VALUES (22293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:17:25');
INSERT INTO `sys_job_log` VALUES (22294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-26 17:17:30');
INSERT INTO `sys_job_log` VALUES (22295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-26 17:17:30');
INSERT INTO `sys_job_log` VALUES (22296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:17:35');
INSERT INTO `sys_job_log` VALUES (22297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:40');
INSERT INTO `sys_job_log` VALUES (22298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:45');
INSERT INTO `sys_job_log` VALUES (22299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:17:45');
INSERT INTO `sys_job_log` VALUES (22300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:17:50');
INSERT INTO `sys_job_log` VALUES (22301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:17:55');
INSERT INTO `sys_job_log` VALUES (22302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 17:18:00');
INSERT INTO `sys_job_log` VALUES (22303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-26 17:18:00');
INSERT INTO `sys_job_log` VALUES (22304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:18:05');
INSERT INTO `sys_job_log` VALUES (22305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:18:10');
INSERT INTO `sys_job_log` VALUES (22306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:18:15');
INSERT INTO `sys_job_log` VALUES (22307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:18:15');
INSERT INTO `sys_job_log` VALUES (22308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:18:20');
INSERT INTO `sys_job_log` VALUES (22309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:18:25');
INSERT INTO `sys_job_log` VALUES (22310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:18:30');
INSERT INTO `sys_job_log` VALUES (22311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:18:30');
INSERT INTO `sys_job_log` VALUES (22312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:18:35');
INSERT INTO `sys_job_log` VALUES (22313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:18:40');
INSERT INTO `sys_job_log` VALUES (22314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:18:45');
INSERT INTO `sys_job_log` VALUES (22315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:18:45');
INSERT INTO `sys_job_log` VALUES (22316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:18:50');
INSERT INTO `sys_job_log` VALUES (22317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:18:55');
INSERT INTO `sys_job_log` VALUES (22318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:19:00');
INSERT INTO `sys_job_log` VALUES (22319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:19:00');
INSERT INTO `sys_job_log` VALUES (22320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:05');
INSERT INTO `sys_job_log` VALUES (22321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:10');
INSERT INTO `sys_job_log` VALUES (22322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:19:15');
INSERT INTO `sys_job_log` VALUES (22323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:19:15');
INSERT INTO `sys_job_log` VALUES (22324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:19:20');
INSERT INTO `sys_job_log` VALUES (22325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:25');
INSERT INTO `sys_job_log` VALUES (22326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:19:30');
INSERT INTO `sys_job_log` VALUES (22327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:19:30');
INSERT INTO `sys_job_log` VALUES (22328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:35');
INSERT INTO `sys_job_log` VALUES (22329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:19:40');
INSERT INTO `sys_job_log` VALUES (22330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:45');
INSERT INTO `sys_job_log` VALUES (22331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:45');
INSERT INTO `sys_job_log` VALUES (22332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:19:50');
INSERT INTO `sys_job_log` VALUES (22333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:19:55');
INSERT INTO `sys_job_log` VALUES (22334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:20:00');
INSERT INTO `sys_job_log` VALUES (22335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:20:00');
INSERT INTO `sys_job_log` VALUES (22336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:20:05');
INSERT INTO `sys_job_log` VALUES (22337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:20:10');
INSERT INTO `sys_job_log` VALUES (22338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:20:15');
INSERT INTO `sys_job_log` VALUES (22339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:20:15');
INSERT INTO `sys_job_log` VALUES (22340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:20:20');
INSERT INTO `sys_job_log` VALUES (22341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:20:25');
INSERT INTO `sys_job_log` VALUES (22342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:20:30');
INSERT INTO `sys_job_log` VALUES (22343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:20:30');
INSERT INTO `sys_job_log` VALUES (22344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:20:35');
INSERT INTO `sys_job_log` VALUES (22345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:20:40');
INSERT INTO `sys_job_log` VALUES (22346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:20:45');
INSERT INTO `sys_job_log` VALUES (22347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:20:45');
INSERT INTO `sys_job_log` VALUES (22348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:20:50');
INSERT INTO `sys_job_log` VALUES (22349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:20:55');
INSERT INTO `sys_job_log` VALUES (22350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:21:00');
INSERT INTO `sys_job_log` VALUES (22351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 17:21:00');
INSERT INTO `sys_job_log` VALUES (22352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:21:05');
INSERT INTO `sys_job_log` VALUES (22353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:21:10');
INSERT INTO `sys_job_log` VALUES (22354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:21:15');
INSERT INTO `sys_job_log` VALUES (22355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:21:15');
INSERT INTO `sys_job_log` VALUES (22356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:21:20');
INSERT INTO `sys_job_log` VALUES (22357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:21:25');
INSERT INTO `sys_job_log` VALUES (22358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:21:30');
INSERT INTO `sys_job_log` VALUES (22359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:21:30');
INSERT INTO `sys_job_log` VALUES (22360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:21:35');
INSERT INTO `sys_job_log` VALUES (22361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:21:40');
INSERT INTO `sys_job_log` VALUES (22362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:21:45');
INSERT INTO `sys_job_log` VALUES (22363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:21:45');
INSERT INTO `sys_job_log` VALUES (22364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:21:50');
INSERT INTO `sys_job_log` VALUES (22365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:21:55');
INSERT INTO `sys_job_log` VALUES (22366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:22:00');
INSERT INTO `sys_job_log` VALUES (22367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:22:00');
INSERT INTO `sys_job_log` VALUES (22368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:22:05');
INSERT INTO `sys_job_log` VALUES (22369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:22:10');
INSERT INTO `sys_job_log` VALUES (22370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:22:15');
INSERT INTO `sys_job_log` VALUES (22371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:22:15');
INSERT INTO `sys_job_log` VALUES (22372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:22:20');
INSERT INTO `sys_job_log` VALUES (22373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:22:25');
INSERT INTO `sys_job_log` VALUES (22374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:22:30');
INSERT INTO `sys_job_log` VALUES (22375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:22:30');
INSERT INTO `sys_job_log` VALUES (22376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:22:35');
INSERT INTO `sys_job_log` VALUES (22377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:22:40');
INSERT INTO `sys_job_log` VALUES (22378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:22:45');
INSERT INTO `sys_job_log` VALUES (22379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:22:45');
INSERT INTO `sys_job_log` VALUES (22380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:22:50');
INSERT INTO `sys_job_log` VALUES (22381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:22:55');
INSERT INTO `sys_job_log` VALUES (22382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:23:00');
INSERT INTO `sys_job_log` VALUES (22383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:23:00');
INSERT INTO `sys_job_log` VALUES (22384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:23:05');
INSERT INTO `sys_job_log` VALUES (22385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:23:10');
INSERT INTO `sys_job_log` VALUES (22386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:23:15');
INSERT INTO `sys_job_log` VALUES (22387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:23:15');
INSERT INTO `sys_job_log` VALUES (22388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:23:20');
INSERT INTO `sys_job_log` VALUES (22389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:23:25');
INSERT INTO `sys_job_log` VALUES (22390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:23:30');
INSERT INTO `sys_job_log` VALUES (22391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:23:30');
INSERT INTO `sys_job_log` VALUES (22392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:23:35');
INSERT INTO `sys_job_log` VALUES (22393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:23:40');
INSERT INTO `sys_job_log` VALUES (22394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:23:45');
INSERT INTO `sys_job_log` VALUES (22395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:23:45');
INSERT INTO `sys_job_log` VALUES (22396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:23:50');
INSERT INTO `sys_job_log` VALUES (22397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:23:55');
INSERT INTO `sys_job_log` VALUES (22398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:24:00');
INSERT INTO `sys_job_log` VALUES (22399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:24:00');
INSERT INTO `sys_job_log` VALUES (22400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:24:05');
INSERT INTO `sys_job_log` VALUES (22401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:24:10');
INSERT INTO `sys_job_log` VALUES (22402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:24:15');
INSERT INTO `sys_job_log` VALUES (22403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:24:15');
INSERT INTO `sys_job_log` VALUES (22404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:24:20');
INSERT INTO `sys_job_log` VALUES (22405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:24:25');
INSERT INTO `sys_job_log` VALUES (22406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:24:30');
INSERT INTO `sys_job_log` VALUES (22407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:24:30');
INSERT INTO `sys_job_log` VALUES (22408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:24:35');
INSERT INTO `sys_job_log` VALUES (22409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:24:40');
INSERT INTO `sys_job_log` VALUES (22410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:24:45');
INSERT INTO `sys_job_log` VALUES (22411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:24:45');
INSERT INTO `sys_job_log` VALUES (22412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:24:50');
INSERT INTO `sys_job_log` VALUES (22413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:24:55');
INSERT INTO `sys_job_log` VALUES (22414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:25:00');
INSERT INTO `sys_job_log` VALUES (22415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:25:00');
INSERT INTO `sys_job_log` VALUES (22416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:25:05');
INSERT INTO `sys_job_log` VALUES (22417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:25:10');
INSERT INTO `sys_job_log` VALUES (22418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:25:15');
INSERT INTO `sys_job_log` VALUES (22419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:25:15');
INSERT INTO `sys_job_log` VALUES (22420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:25:20');
INSERT INTO `sys_job_log` VALUES (22421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:25:25');
INSERT INTO `sys_job_log` VALUES (22422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:25:30');
INSERT INTO `sys_job_log` VALUES (22423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:25:30');
INSERT INTO `sys_job_log` VALUES (22424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:25:35');
INSERT INTO `sys_job_log` VALUES (22425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:25:40');
INSERT INTO `sys_job_log` VALUES (22426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:25:45');
INSERT INTO `sys_job_log` VALUES (22427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:25:45');
INSERT INTO `sys_job_log` VALUES (22428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:25:50');
INSERT INTO `sys_job_log` VALUES (22429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:25:55');
INSERT INTO `sys_job_log` VALUES (22430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:26:00');
INSERT INTO `sys_job_log` VALUES (22431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:26:00');
INSERT INTO `sys_job_log` VALUES (22432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:26:05');
INSERT INTO `sys_job_log` VALUES (22433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:26:10');
INSERT INTO `sys_job_log` VALUES (22434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:26:15');
INSERT INTO `sys_job_log` VALUES (22435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:26:15');
INSERT INTO `sys_job_log` VALUES (22436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:26:20');
INSERT INTO `sys_job_log` VALUES (22437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:26:25');
INSERT INTO `sys_job_log` VALUES (22438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:26:30');
INSERT INTO `sys_job_log` VALUES (22439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:26:30');
INSERT INTO `sys_job_log` VALUES (22440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:26:35');
INSERT INTO `sys_job_log` VALUES (22441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:26:40');
INSERT INTO `sys_job_log` VALUES (22442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:26:45');
INSERT INTO `sys_job_log` VALUES (22443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:26:45');
INSERT INTO `sys_job_log` VALUES (22444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:26:50');
INSERT INTO `sys_job_log` VALUES (22445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:26:55');
INSERT INTO `sys_job_log` VALUES (22446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:27:00');
INSERT INTO `sys_job_log` VALUES (22447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:27:00');
INSERT INTO `sys_job_log` VALUES (22448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:27:05');
INSERT INTO `sys_job_log` VALUES (22449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:27:10');
INSERT INTO `sys_job_log` VALUES (22450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:27:15');
INSERT INTO `sys_job_log` VALUES (22451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:27:15');
INSERT INTO `sys_job_log` VALUES (22452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:27:20');
INSERT INTO `sys_job_log` VALUES (22453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:27:25');
INSERT INTO `sys_job_log` VALUES (22454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:27:30');
INSERT INTO `sys_job_log` VALUES (22455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:27:30');
INSERT INTO `sys_job_log` VALUES (22456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:27:35');
INSERT INTO `sys_job_log` VALUES (22457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:27:40');
INSERT INTO `sys_job_log` VALUES (22458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:27:45');
INSERT INTO `sys_job_log` VALUES (22459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:27:45');
INSERT INTO `sys_job_log` VALUES (22460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:27:50');
INSERT INTO `sys_job_log` VALUES (22461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:27:55');
INSERT INTO `sys_job_log` VALUES (22462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:28:00');
INSERT INTO `sys_job_log` VALUES (22463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:28:00');
INSERT INTO `sys_job_log` VALUES (22464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:28:05');
INSERT INTO `sys_job_log` VALUES (22465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:28:10');
INSERT INTO `sys_job_log` VALUES (22466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:28:15');
INSERT INTO `sys_job_log` VALUES (22467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:28:15');
INSERT INTO `sys_job_log` VALUES (22468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:28:20');
INSERT INTO `sys_job_log` VALUES (22469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:28:25');
INSERT INTO `sys_job_log` VALUES (22470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:28:30');
INSERT INTO `sys_job_log` VALUES (22471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:28:30');
INSERT INTO `sys_job_log` VALUES (22472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:28:35');
INSERT INTO `sys_job_log` VALUES (22473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:28:40');
INSERT INTO `sys_job_log` VALUES (22474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:28:45');
INSERT INTO `sys_job_log` VALUES (22475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:28:45');
INSERT INTO `sys_job_log` VALUES (22476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:28:50');
INSERT INTO `sys_job_log` VALUES (22477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:28:55');
INSERT INTO `sys_job_log` VALUES (22478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:29:00');
INSERT INTO `sys_job_log` VALUES (22479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:00');
INSERT INTO `sys_job_log` VALUES (22480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:29:05');
INSERT INTO `sys_job_log` VALUES (22481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:29:10');
INSERT INTO `sys_job_log` VALUES (22482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:15');
INSERT INTO `sys_job_log` VALUES (22483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:15');
INSERT INTO `sys_job_log` VALUES (22484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:20');
INSERT INTO `sys_job_log` VALUES (22485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:25');
INSERT INTO `sys_job_log` VALUES (22486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:29:30');
INSERT INTO `sys_job_log` VALUES (22487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:30');
INSERT INTO `sys_job_log` VALUES (22488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:29:35');
INSERT INTO `sys_job_log` VALUES (22489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:29:40');
INSERT INTO `sys_job_log` VALUES (22490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:29:45');
INSERT INTO `sys_job_log` VALUES (22491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:29:45');
INSERT INTO `sys_job_log` VALUES (22492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:29:50');
INSERT INTO `sys_job_log` VALUES (22493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:29:55');
INSERT INTO `sys_job_log` VALUES (22494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:30:00');
INSERT INTO `sys_job_log` VALUES (22495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:30:00');
INSERT INTO `sys_job_log` VALUES (22496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:30:05');
INSERT INTO `sys_job_log` VALUES (22497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:30:10');
INSERT INTO `sys_job_log` VALUES (22498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:30:15');
INSERT INTO `sys_job_log` VALUES (22499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:30:15');
INSERT INTO `sys_job_log` VALUES (22500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:30:20');
INSERT INTO `sys_job_log` VALUES (22501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:30:25');
INSERT INTO `sys_job_log` VALUES (22502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:30:30');
INSERT INTO `sys_job_log` VALUES (22503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:30:30');
INSERT INTO `sys_job_log` VALUES (22504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:30:35');
INSERT INTO `sys_job_log` VALUES (22505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:30:40');
INSERT INTO `sys_job_log` VALUES (22506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:30:45');
INSERT INTO `sys_job_log` VALUES (22507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:30:45');
INSERT INTO `sys_job_log` VALUES (22508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:30:50');
INSERT INTO `sys_job_log` VALUES (22509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:30:55');
INSERT INTO `sys_job_log` VALUES (22510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:31:00');
INSERT INTO `sys_job_log` VALUES (22511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:31:00');
INSERT INTO `sys_job_log` VALUES (22512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:31:05');
INSERT INTO `sys_job_log` VALUES (22513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 17:31:10');
INSERT INTO `sys_job_log` VALUES (22514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:31:15');
INSERT INTO `sys_job_log` VALUES (22515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:31:15');
INSERT INTO `sys_job_log` VALUES (22516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:31:20');
INSERT INTO `sys_job_log` VALUES (22517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:31:25');
INSERT INTO `sys_job_log` VALUES (22518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:31:30');
INSERT INTO `sys_job_log` VALUES (22519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:31:30');
INSERT INTO `sys_job_log` VALUES (22520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:31:35');
INSERT INTO `sys_job_log` VALUES (22521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:31:40');
INSERT INTO `sys_job_log` VALUES (22522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 17:31:45');
INSERT INTO `sys_job_log` VALUES (22523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:31:45');
INSERT INTO `sys_job_log` VALUES (22524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:31:50');
INSERT INTO `sys_job_log` VALUES (22525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:31:55');
INSERT INTO `sys_job_log` VALUES (22526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:32:00');
INSERT INTO `sys_job_log` VALUES (22527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:32:00');
INSERT INTO `sys_job_log` VALUES (22528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:32:05');
INSERT INTO `sys_job_log` VALUES (22529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:32:10');
INSERT INTO `sys_job_log` VALUES (22530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:32:15');
INSERT INTO `sys_job_log` VALUES (22531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:32:15');
INSERT INTO `sys_job_log` VALUES (22532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:32:20');
INSERT INTO `sys_job_log` VALUES (22533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:32:25');
INSERT INTO `sys_job_log` VALUES (22534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:32:30');
INSERT INTO `sys_job_log` VALUES (22535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:32:30');
INSERT INTO `sys_job_log` VALUES (22536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:32:35');
INSERT INTO `sys_job_log` VALUES (22537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:32:40');
INSERT INTO `sys_job_log` VALUES (22538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:32:45');
INSERT INTO `sys_job_log` VALUES (22539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:32:45');
INSERT INTO `sys_job_log` VALUES (22540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:32:50');
INSERT INTO `sys_job_log` VALUES (22541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:32:51');
INSERT INTO `sys_job_log` VALUES (22542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:32:55');
INSERT INTO `sys_job_log` VALUES (22543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:32:56');
INSERT INTO `sys_job_log` VALUES (22544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:33:00');
INSERT INTO `sys_job_log` VALUES (22545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:33:00');
INSERT INTO `sys_job_log` VALUES (22546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:33:01');
INSERT INTO `sys_job_log` VALUES (22547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:33:01');
INSERT INTO `sys_job_log` VALUES (22548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:33:05');
INSERT INTO `sys_job_log` VALUES (22549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:33:06');
INSERT INTO `sys_job_log` VALUES (22550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:33:10');
INSERT INTO `sys_job_log` VALUES (22551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:33:11');
INSERT INTO `sys_job_log` VALUES (22552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:33:15');
INSERT INTO `sys_job_log` VALUES (22553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:33:15');
INSERT INTO `sys_job_log` VALUES (22554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:33:16');
INSERT INTO `sys_job_log` VALUES (22555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:33:16');
INSERT INTO `sys_job_log` VALUES (22556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:33:20');
INSERT INTO `sys_job_log` VALUES (22557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:33:21');
INSERT INTO `sys_job_log` VALUES (22558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:33:25');
INSERT INTO `sys_job_log` VALUES (22559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:33:26');
INSERT INTO `sys_job_log` VALUES (22560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:33:30');
INSERT INTO `sys_job_log` VALUES (22561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:33:30');
INSERT INTO `sys_job_log` VALUES (22562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:33:31');
INSERT INTO `sys_job_log` VALUES (22563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:33:31');
INSERT INTO `sys_job_log` VALUES (22564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:33:36');
INSERT INTO `sys_job_log` VALUES (22565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1261毫秒', '0', '', '2024-12-26 17:33:36');
INSERT INTO `sys_job_log` VALUES (22566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:33:40');
INSERT INTO `sys_job_log` VALUES (22567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:33:41');
INSERT INTO `sys_job_log` VALUES (22568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:33:45');
INSERT INTO `sys_job_log` VALUES (22569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:33:45');
INSERT INTO `sys_job_log` VALUES (22570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:33:46');
INSERT INTO `sys_job_log` VALUES (22571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:33:46');
INSERT INTO `sys_job_log` VALUES (22572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:33:50');
INSERT INTO `sys_job_log` VALUES (22573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:33:51');
INSERT INTO `sys_job_log` VALUES (22574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:33:55');
INSERT INTO `sys_job_log` VALUES (22575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:33:56');
INSERT INTO `sys_job_log` VALUES (22576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:00');
INSERT INTO `sys_job_log` VALUES (22577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:00');
INSERT INTO `sys_job_log` VALUES (22578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 17:34:01');
INSERT INTO `sys_job_log` VALUES (22579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:34:01');
INSERT INTO `sys_job_log` VALUES (22580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:34:05');
INSERT INTO `sys_job_log` VALUES (22581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:34:06');
INSERT INTO `sys_job_log` VALUES (22582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 17:34:10');
INSERT INTO `sys_job_log` VALUES (22583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:11');
INSERT INTO `sys_job_log` VALUES (22584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:34:15');
INSERT INTO `sys_job_log` VALUES (22585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:34:15');
INSERT INTO `sys_job_log` VALUES (22586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 17:34:16');
INSERT INTO `sys_job_log` VALUES (22587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:34:16');
INSERT INTO `sys_job_log` VALUES (22588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:20');
INSERT INTO `sys_job_log` VALUES (22589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:34:21');
INSERT INTO `sys_job_log` VALUES (22590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:25');
INSERT INTO `sys_job_log` VALUES (22591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:34:26');
INSERT INTO `sys_job_log` VALUES (22592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:34:30');
INSERT INTO `sys_job_log` VALUES (22593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:34:30');
INSERT INTO `sys_job_log` VALUES (22594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:31');
INSERT INTO `sys_job_log` VALUES (22595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:31');
INSERT INTO `sys_job_log` VALUES (22596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:35');
INSERT INTO `sys_job_log` VALUES (22597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:36');
INSERT INTO `sys_job_log` VALUES (22598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:34:40');
INSERT INTO `sys_job_log` VALUES (22599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:34:41');
INSERT INTO `sys_job_log` VALUES (22600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:45');
INSERT INTO `sys_job_log` VALUES (22601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:45');
INSERT INTO `sys_job_log` VALUES (22602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:34:46');
INSERT INTO `sys_job_log` VALUES (22603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:34:46');
INSERT INTO `sys_job_log` VALUES (22604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:50');
INSERT INTO `sys_job_log` VALUES (22605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:34:51');
INSERT INTO `sys_job_log` VALUES (22606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:55');
INSERT INTO `sys_job_log` VALUES (22607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:34:56');
INSERT INTO `sys_job_log` VALUES (22608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:35:00');
INSERT INTO `sys_job_log` VALUES (22609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:35:00');
INSERT INTO `sys_job_log` VALUES (22610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:01');
INSERT INTO `sys_job_log` VALUES (22611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:01');
INSERT INTO `sys_job_log` VALUES (22612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:05');
INSERT INTO `sys_job_log` VALUES (22613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:35:06');
INSERT INTO `sys_job_log` VALUES (22614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:10');
INSERT INTO `sys_job_log` VALUES (22615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:35:11');
INSERT INTO `sys_job_log` VALUES (22616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:15');
INSERT INTO `sys_job_log` VALUES (22617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:15');
INSERT INTO `sys_job_log` VALUES (22618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:35:16');
INSERT INTO `sys_job_log` VALUES (22619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:35:16');
INSERT INTO `sys_job_log` VALUES (22620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:20');
INSERT INTO `sys_job_log` VALUES (22621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:21');
INSERT INTO `sys_job_log` VALUES (22622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:35:25');
INSERT INTO `sys_job_log` VALUES (22623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:35:26');
INSERT INTO `sys_job_log` VALUES (22624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:35:30');
INSERT INTO `sys_job_log` VALUES (22625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:35:30');
INSERT INTO `sys_job_log` VALUES (22626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:35:31');
INSERT INTO `sys_job_log` VALUES (22627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:35:31');
INSERT INTO `sys_job_log` VALUES (22628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:35');
INSERT INTO `sys_job_log` VALUES (22629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:36');
INSERT INTO `sys_job_log` VALUES (22630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:40');
INSERT INTO `sys_job_log` VALUES (22631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:41');
INSERT INTO `sys_job_log` VALUES (22632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:45');
INSERT INTO `sys_job_log` VALUES (22633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:45');
INSERT INTO `sys_job_log` VALUES (22634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:46');
INSERT INTO `sys_job_log` VALUES (22635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:46');
INSERT INTO `sys_job_log` VALUES (22636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:35:50');
INSERT INTO `sys_job_log` VALUES (22637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:51');
INSERT INTO `sys_job_log` VALUES (22638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:35:55');
INSERT INTO `sys_job_log` VALUES (22639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:35:56');
INSERT INTO `sys_job_log` VALUES (22640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:00');
INSERT INTO `sys_job_log` VALUES (22641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:00');
INSERT INTO `sys_job_log` VALUES (22642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 17:36:01');
INSERT INTO `sys_job_log` VALUES (22643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:36:01');
INSERT INTO `sys_job_log` VALUES (22644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:36:05');
INSERT INTO `sys_job_log` VALUES (22645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:06');
INSERT INTO `sys_job_log` VALUES (22646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:10');
INSERT INTO `sys_job_log` VALUES (22647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:11');
INSERT INTO `sys_job_log` VALUES (22648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:15');
INSERT INTO `sys_job_log` VALUES (22649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:15');
INSERT INTO `sys_job_log` VALUES (22650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:36:16');
INSERT INTO `sys_job_log` VALUES (22651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 17:36:16');
INSERT INTO `sys_job_log` VALUES (22652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:36:20');
INSERT INTO `sys_job_log` VALUES (22653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:36:21');
INSERT INTO `sys_job_log` VALUES (22654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:36:25');
INSERT INTO `sys_job_log` VALUES (22655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:26');
INSERT INTO `sys_job_log` VALUES (22656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:30');
INSERT INTO `sys_job_log` VALUES (22657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:30');
INSERT INTO `sys_job_log` VALUES (22658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:36:31');
INSERT INTO `sys_job_log` VALUES (22659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:31');
INSERT INTO `sys_job_log` VALUES (22660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:35');
INSERT INTO `sys_job_log` VALUES (22661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:36');
INSERT INTO `sys_job_log` VALUES (22662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:36:40');
INSERT INTO `sys_job_log` VALUES (22663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:36:41');
INSERT INTO `sys_job_log` VALUES (22664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:45');
INSERT INTO `sys_job_log` VALUES (22665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:45');
INSERT INTO `sys_job_log` VALUES (22666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-26 17:36:46');
INSERT INTO `sys_job_log` VALUES (22667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-26 17:36:46');
INSERT INTO `sys_job_log` VALUES (22668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:36:50');
INSERT INTO `sys_job_log` VALUES (22669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:36:51');
INSERT INTO `sys_job_log` VALUES (22670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:36:55');
INSERT INTO `sys_job_log` VALUES (22671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:36:56');
INSERT INTO `sys_job_log` VALUES (22672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:37:00');
INSERT INTO `sys_job_log` VALUES (22673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:37:00');
INSERT INTO `sys_job_log` VALUES (22674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:01');
INSERT INTO `sys_job_log` VALUES (22675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:01');
INSERT INTO `sys_job_log` VALUES (22676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:37:05');
INSERT INTO `sys_job_log` VALUES (22677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:37:06');
INSERT INTO `sys_job_log` VALUES (22678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:37:10');
INSERT INTO `sys_job_log` VALUES (22679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:37:11');
INSERT INTO `sys_job_log` VALUES (22680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:15');
INSERT INTO `sys_job_log` VALUES (22681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:15');
INSERT INTO `sys_job_log` VALUES (22682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:16');
INSERT INTO `sys_job_log` VALUES (22683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:16');
INSERT INTO `sys_job_log` VALUES (22684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:37:20');
INSERT INTO `sys_job_log` VALUES (22685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:37:21');
INSERT INTO `sys_job_log` VALUES (22686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:37:25');
INSERT INTO `sys_job_log` VALUES (22687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:37:26');
INSERT INTO `sys_job_log` VALUES (22688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 17:37:30');
INSERT INTO `sys_job_log` VALUES (22689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:37:30');
INSERT INTO `sys_job_log` VALUES (22690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:37:31');
INSERT INTO `sys_job_log` VALUES (22691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:37:31');
INSERT INTO `sys_job_log` VALUES (22692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:37:35');
INSERT INTO `sys_job_log` VALUES (22693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:36');
INSERT INTO `sys_job_log` VALUES (22694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:37:40');
INSERT INTO `sys_job_log` VALUES (22695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:37:41');
INSERT INTO `sys_job_log` VALUES (22696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:37:45');
INSERT INTO `sys_job_log` VALUES (22697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:37:45');
INSERT INTO `sys_job_log` VALUES (22698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:37:46');
INSERT INTO `sys_job_log` VALUES (22699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:37:46');
INSERT INTO `sys_job_log` VALUES (22700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:37:50');
INSERT INTO `sys_job_log` VALUES (22701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:37:51');
INSERT INTO `sys_job_log` VALUES (22702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:37:55');
INSERT INTO `sys_job_log` VALUES (22703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:37:56');
INSERT INTO `sys_job_log` VALUES (22704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:00');
INSERT INTO `sys_job_log` VALUES (22705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:00');
INSERT INTO `sys_job_log` VALUES (22706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:38:01');
INSERT INTO `sys_job_log` VALUES (22707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:38:01');
INSERT INTO `sys_job_log` VALUES (22708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:05');
INSERT INTO `sys_job_log` VALUES (22709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:38:06');
INSERT INTO `sys_job_log` VALUES (22710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:38:10');
INSERT INTO `sys_job_log` VALUES (22711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:38:11');
INSERT INTO `sys_job_log` VALUES (22712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:15');
INSERT INTO `sys_job_log` VALUES (22713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:38:15');
INSERT INTO `sys_job_log` VALUES (22714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 17:38:16');
INSERT INTO `sys_job_log` VALUES (22715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:38:16');
INSERT INTO `sys_job_log` VALUES (22716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:38:20');
INSERT INTO `sys_job_log` VALUES (22717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:38:25');
INSERT INTO `sys_job_log` VALUES (22718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:38:30');
INSERT INTO `sys_job_log` VALUES (22719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:30');
INSERT INTO `sys_job_log` VALUES (22720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:38:31');
INSERT INTO `sys_job_log` VALUES (22721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 17:38:31');
INSERT INTO `sys_job_log` VALUES (22722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:35');
INSERT INTO `sys_job_log` VALUES (22723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:38:36');
INSERT INTO `sys_job_log` VALUES (22724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:38:40');
INSERT INTO `sys_job_log` VALUES (22725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:38:41');
INSERT INTO `sys_job_log` VALUES (22726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:38:45');
INSERT INTO `sys_job_log` VALUES (22727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:38:45');
INSERT INTO `sys_job_log` VALUES (22728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:38:46');
INSERT INTO `sys_job_log` VALUES (22729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:38:46');
INSERT INTO `sys_job_log` VALUES (22730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:38:50');
INSERT INTO `sys_job_log` VALUES (22731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:38:51');
INSERT INTO `sys_job_log` VALUES (22732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:38:55');
INSERT INTO `sys_job_log` VALUES (22733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:38:56');
INSERT INTO `sys_job_log` VALUES (22734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:39:00');
INSERT INTO `sys_job_log` VALUES (22735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:00');
INSERT INTO `sys_job_log` VALUES (22736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:39:01');
INSERT INTO `sys_job_log` VALUES (22737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:39:01');
INSERT INTO `sys_job_log` VALUES (22738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:05');
INSERT INTO `sys_job_log` VALUES (22739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:39:06');
INSERT INTO `sys_job_log` VALUES (22740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:39:10');
INSERT INTO `sys_job_log` VALUES (22741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:39:11');
INSERT INTO `sys_job_log` VALUES (22742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:15');
INSERT INTO `sys_job_log` VALUES (22743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:15');
INSERT INTO `sys_job_log` VALUES (22744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:39:16');
INSERT INTO `sys_job_log` VALUES (22745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:39:16');
INSERT INTO `sys_job_log` VALUES (22746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:39:20');
INSERT INTO `sys_job_log` VALUES (22747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:39:21');
INSERT INTO `sys_job_log` VALUES (22748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:39:25');
INSERT INTO `sys_job_log` VALUES (22749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:39:26');
INSERT INTO `sys_job_log` VALUES (22750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:39:30');
INSERT INTO `sys_job_log` VALUES (22751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:39:30');
INSERT INTO `sys_job_log` VALUES (22752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:39:31');
INSERT INTO `sys_job_log` VALUES (22753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:39:31');
INSERT INTO `sys_job_log` VALUES (22754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:35');
INSERT INTO `sys_job_log` VALUES (22755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:39:36');
INSERT INTO `sys_job_log` VALUES (22756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:39:40');
INSERT INTO `sys_job_log` VALUES (22757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:39:41');
INSERT INTO `sys_job_log` VALUES (22758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:45');
INSERT INTO `sys_job_log` VALUES (22759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:45');
INSERT INTO `sys_job_log` VALUES (22760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:39:46');
INSERT INTO `sys_job_log` VALUES (22761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:39:46');
INSERT INTO `sys_job_log` VALUES (22762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:39:50');
INSERT INTO `sys_job_log` VALUES (22763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:39:51');
INSERT INTO `sys_job_log` VALUES (22764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:55');
INSERT INTO `sys_job_log` VALUES (22765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:39:56');
INSERT INTO `sys_job_log` VALUES (22766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:40:00');
INSERT INTO `sys_job_log` VALUES (22767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:40:00');
INSERT INTO `sys_job_log` VALUES (22768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:01');
INSERT INTO `sys_job_log` VALUES (22769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:01');
INSERT INTO `sys_job_log` VALUES (22770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:40:05');
INSERT INTO `sys_job_log` VALUES (22771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:06');
INSERT INTO `sys_job_log` VALUES (22772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:10');
INSERT INTO `sys_job_log` VALUES (22773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:40:11');
INSERT INTO `sys_job_log` VALUES (22774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:15');
INSERT INTO `sys_job_log` VALUES (22775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:15');
INSERT INTO `sys_job_log` VALUES (22776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:40:16');
INSERT INTO `sys_job_log` VALUES (22777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:40:16');
INSERT INTO `sys_job_log` VALUES (22778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:40:20');
INSERT INTO `sys_job_log` VALUES (22779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:40:21');
INSERT INTO `sys_job_log` VALUES (22780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:25');
INSERT INTO `sys_job_log` VALUES (22781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:26');
INSERT INTO `sys_job_log` VALUES (22782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:40:30');
INSERT INTO `sys_job_log` VALUES (22783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:40:30');
INSERT INTO `sys_job_log` VALUES (22784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:40:31');
INSERT INTO `sys_job_log` VALUES (22785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:40:31');
INSERT INTO `sys_job_log` VALUES (22786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:40:35');
INSERT INTO `sys_job_log` VALUES (22787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:40:36');
INSERT INTO `sys_job_log` VALUES (22788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:40');
INSERT INTO `sys_job_log` VALUES (22789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:40:41');
INSERT INTO `sys_job_log` VALUES (22790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:40:45');
INSERT INTO `sys_job_log` VALUES (22791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:45');
INSERT INTO `sys_job_log` VALUES (22792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:46');
INSERT INTO `sys_job_log` VALUES (22793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:40:46');
INSERT INTO `sys_job_log` VALUES (22794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:50');
INSERT INTO `sys_job_log` VALUES (22795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:40:51');
INSERT INTO `sys_job_log` VALUES (22796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:55');
INSERT INTO `sys_job_log` VALUES (22797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:40:56');
INSERT INTO `sys_job_log` VALUES (22798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:41:00');
INSERT INTO `sys_job_log` VALUES (22799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:41:00');
INSERT INTO `sys_job_log` VALUES (22800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:41:01');
INSERT INTO `sys_job_log` VALUES (22801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:41:01');
INSERT INTO `sys_job_log` VALUES (22802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:41:05');
INSERT INTO `sys_job_log` VALUES (22803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:06');
INSERT INTO `sys_job_log` VALUES (22804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:41:10');
INSERT INTO `sys_job_log` VALUES (22805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:41:11');
INSERT INTO `sys_job_log` VALUES (22806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:41:15');
INSERT INTO `sys_job_log` VALUES (22807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:41:15');
INSERT INTO `sys_job_log` VALUES (22808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:16');
INSERT INTO `sys_job_log` VALUES (22809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:16');
INSERT INTO `sys_job_log` VALUES (22810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:20');
INSERT INTO `sys_job_log` VALUES (22811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:41:21');
INSERT INTO `sys_job_log` VALUES (22812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:25');
INSERT INTO `sys_job_log` VALUES (22813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:41:26');
INSERT INTO `sys_job_log` VALUES (22814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:30');
INSERT INTO `sys_job_log` VALUES (22815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:30');
INSERT INTO `sys_job_log` VALUES (22816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:31');
INSERT INTO `sys_job_log` VALUES (22817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:41:31');
INSERT INTO `sys_job_log` VALUES (22818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:41:35');
INSERT INTO `sys_job_log` VALUES (22819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:41:36');
INSERT INTO `sys_job_log` VALUES (22820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:41:40');
INSERT INTO `sys_job_log` VALUES (22821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:41:41');
INSERT INTO `sys_job_log` VALUES (22822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:45');
INSERT INTO `sys_job_log` VALUES (22823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:41:45');
INSERT INTO `sys_job_log` VALUES (22824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:41:46');
INSERT INTO `sys_job_log` VALUES (22825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:41:46');
INSERT INTO `sys_job_log` VALUES (22826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:41:50');
INSERT INTO `sys_job_log` VALUES (22827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:41:51');
INSERT INTO `sys_job_log` VALUES (22828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:41:55');
INSERT INTO `sys_job_log` VALUES (22829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:41:56');
INSERT INTO `sys_job_log` VALUES (22830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:42:00');
INSERT INTO `sys_job_log` VALUES (22831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:42:00');
INSERT INTO `sys_job_log` VALUES (22832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:01');
INSERT INTO `sys_job_log` VALUES (22833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:42:01');
INSERT INTO `sys_job_log` VALUES (22834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:42:05');
INSERT INTO `sys_job_log` VALUES (22835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:42:06');
INSERT INTO `sys_job_log` VALUES (22836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:42:10');
INSERT INTO `sys_job_log` VALUES (22837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:42:11');
INSERT INTO `sys_job_log` VALUES (22838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:42:15');
INSERT INTO `sys_job_log` VALUES (22839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:42:15');
INSERT INTO `sys_job_log` VALUES (22840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:42:16');
INSERT INTO `sys_job_log` VALUES (22841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:42:16');
INSERT INTO `sys_job_log` VALUES (22842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:20');
INSERT INTO `sys_job_log` VALUES (22843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:42:21');
INSERT INTO `sys_job_log` VALUES (22844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:42:25');
INSERT INTO `sys_job_log` VALUES (22845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:26');
INSERT INTO `sys_job_log` VALUES (22846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:42:30');
INSERT INTO `sys_job_log` VALUES (22847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:42:30');
INSERT INTO `sys_job_log` VALUES (22848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-26 17:42:31');
INSERT INTO `sys_job_log` VALUES (22849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 17:42:31');
INSERT INTO `sys_job_log` VALUES (22850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:42:35');
INSERT INTO `sys_job_log` VALUES (22851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:36');
INSERT INTO `sys_job_log` VALUES (22852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:42:40');
INSERT INTO `sys_job_log` VALUES (22853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:42:41');
INSERT INTO `sys_job_log` VALUES (22854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:42:45');
INSERT INTO `sys_job_log` VALUES (22855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:42:45');
INSERT INTO `sys_job_log` VALUES (22856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:46');
INSERT INTO `sys_job_log` VALUES (22857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:46');
INSERT INTO `sys_job_log` VALUES (22858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:42:50');
INSERT INTO `sys_job_log` VALUES (22859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:51');
INSERT INTO `sys_job_log` VALUES (22860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:55');
INSERT INTO `sys_job_log` VALUES (22861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:42:56');
INSERT INTO `sys_job_log` VALUES (22862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:43:00');
INSERT INTO `sys_job_log` VALUES (22863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:00');
INSERT INTO `sys_job_log` VALUES (22864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:43:01');
INSERT INTO `sys_job_log` VALUES (22865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:43:01');
INSERT INTO `sys_job_log` VALUES (22866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:43:05');
INSERT INTO `sys_job_log` VALUES (22867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:43:06');
INSERT INTO `sys_job_log` VALUES (22868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:43:10');
INSERT INTO `sys_job_log` VALUES (22869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:11');
INSERT INTO `sys_job_log` VALUES (22870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:43:15');
INSERT INTO `sys_job_log` VALUES (22871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:43:15');
INSERT INTO `sys_job_log` VALUES (22872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:16');
INSERT INTO `sys_job_log` VALUES (22873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:16');
INSERT INTO `sys_job_log` VALUES (22874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:43:20');
INSERT INTO `sys_job_log` VALUES (22875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:43:21');
INSERT INTO `sys_job_log` VALUES (22876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:43:25');
INSERT INTO `sys_job_log` VALUES (22877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:43:26');
INSERT INTO `sys_job_log` VALUES (22878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:43:30');
INSERT INTO `sys_job_log` VALUES (22879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:43:30');
INSERT INTO `sys_job_log` VALUES (22880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-26 17:43:31');
INSERT INTO `sys_job_log` VALUES (22881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2024-12-26 17:43:31');
INSERT INTO `sys_job_log` VALUES (22882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:43:35');
INSERT INTO `sys_job_log` VALUES (22883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:43:36');
INSERT INTO `sys_job_log` VALUES (22884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:43:40');
INSERT INTO `sys_job_log` VALUES (22885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:43:41');
INSERT INTO `sys_job_log` VALUES (22886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:45');
INSERT INTO `sys_job_log` VALUES (22887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:45');
INSERT INTO `sys_job_log` VALUES (22888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:46');
INSERT INTO `sys_job_log` VALUES (22889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:43:46');
INSERT INTO `sys_job_log` VALUES (22890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:43:51');
INSERT INTO `sys_job_log` VALUES (22891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:43:56');
INSERT INTO `sys_job_log` VALUES (22892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:44:01');
INSERT INTO `sys_job_log` VALUES (22893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:44:01');
INSERT INTO `sys_job_log` VALUES (22894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:44:06');
INSERT INTO `sys_job_log` VALUES (22895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:44:11');
INSERT INTO `sys_job_log` VALUES (22896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:44:16');
INSERT INTO `sys_job_log` VALUES (22897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:44:16');
INSERT INTO `sys_job_log` VALUES (22898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:44:21');
INSERT INTO `sys_job_log` VALUES (22899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:44:26');
INSERT INTO `sys_job_log` VALUES (22900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:44:31');
INSERT INTO `sys_job_log` VALUES (22901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:44:31');
INSERT INTO `sys_job_log` VALUES (22902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:44:36');
INSERT INTO `sys_job_log` VALUES (22903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:44:41');
INSERT INTO `sys_job_log` VALUES (22904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:44:46');
INSERT INTO `sys_job_log` VALUES (22905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 17:44:46');
INSERT INTO `sys_job_log` VALUES (22906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:44:51');
INSERT INTO `sys_job_log` VALUES (22907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:44:56');
INSERT INTO `sys_job_log` VALUES (22908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:45:01');
INSERT INTO `sys_job_log` VALUES (22909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:45:01');
INSERT INTO `sys_job_log` VALUES (22910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:45:06');
INSERT INTO `sys_job_log` VALUES (22911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:45:11');
INSERT INTO `sys_job_log` VALUES (22912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-26 17:45:16');
INSERT INTO `sys_job_log` VALUES (22913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-26 17:45:16');
INSERT INTO `sys_job_log` VALUES (22914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:45:21');
INSERT INTO `sys_job_log` VALUES (22915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:45:26');
INSERT INTO `sys_job_log` VALUES (22916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:45:31');
INSERT INTO `sys_job_log` VALUES (22917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:45:31');
INSERT INTO `sys_job_log` VALUES (22918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 17:45:36');
INSERT INTO `sys_job_log` VALUES (22919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:45:41');
INSERT INTO `sys_job_log` VALUES (22920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-26 17:45:45');
INSERT INTO `sys_job_log` VALUES (22921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:45:45');
INSERT INTO `sys_job_log` VALUES (22922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:45:45');
INSERT INTO `sys_job_log` VALUES (22923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 17:45:46');
INSERT INTO `sys_job_log` VALUES (22924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:45:46');
INSERT INTO `sys_job_log` VALUES (22925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:45:50');
INSERT INTO `sys_job_log` VALUES (22926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:45:51');
INSERT INTO `sys_job_log` VALUES (22927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:45:55');
INSERT INTO `sys_job_log` VALUES (22928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:45:56');
INSERT INTO `sys_job_log` VALUES (22929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:46:00');
INSERT INTO `sys_job_log` VALUES (22930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-26 17:46:00');
INSERT INTO `sys_job_log` VALUES (22931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:46:01');
INSERT INTO `sys_job_log` VALUES (22932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:46:01');
INSERT INTO `sys_job_log` VALUES (22933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:46:05');
INSERT INTO `sys_job_log` VALUES (22934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:46:06');
INSERT INTO `sys_job_log` VALUES (22935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:46:10');
INSERT INTO `sys_job_log` VALUES (22936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:46:11');
INSERT INTO `sys_job_log` VALUES (22937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 17:46:15');
INSERT INTO `sys_job_log` VALUES (22938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:46:15');
INSERT INTO `sys_job_log` VALUES (22939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:46:16');
INSERT INTO `sys_job_log` VALUES (22940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:46:16');
INSERT INTO `sys_job_log` VALUES (22941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:46:20');
INSERT INTO `sys_job_log` VALUES (22942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:46:21');
INSERT INTO `sys_job_log` VALUES (22943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:46:25');
INSERT INTO `sys_job_log` VALUES (22944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:46:26');
INSERT INTO `sys_job_log` VALUES (22945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:46:30');
INSERT INTO `sys_job_log` VALUES (22946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:46:30');
INSERT INTO `sys_job_log` VALUES (22947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2024-12-26 17:46:31');
INSERT INTO `sys_job_log` VALUES (22948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-26 17:46:31');
INSERT INTO `sys_job_log` VALUES (22949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:46:35');
INSERT INTO `sys_job_log` VALUES (22950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:46:36');
INSERT INTO `sys_job_log` VALUES (22951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:46:40');
INSERT INTO `sys_job_log` VALUES (22952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:46:41');
INSERT INTO `sys_job_log` VALUES (22953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:46:45');
INSERT INTO `sys_job_log` VALUES (22954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:46:45');
INSERT INTO `sys_job_log` VALUES (22955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-26 17:46:46');
INSERT INTO `sys_job_log` VALUES (22956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-26 17:46:46');
INSERT INTO `sys_job_log` VALUES (22957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:46:50');
INSERT INTO `sys_job_log` VALUES (22958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:46:51');
INSERT INTO `sys_job_log` VALUES (22959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:46:55');
INSERT INTO `sys_job_log` VALUES (22960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-26 17:46:56');
INSERT INTO `sys_job_log` VALUES (22961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:47:00');
INSERT INTO `sys_job_log` VALUES (22962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:47:00');
INSERT INTO `sys_job_log` VALUES (22963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:47:01');
INSERT INTO `sys_job_log` VALUES (22964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:47:01');
INSERT INTO `sys_job_log` VALUES (22965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:47:05');
INSERT INTO `sys_job_log` VALUES (22966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:47:06');
INSERT INTO `sys_job_log` VALUES (22967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:47:10');
INSERT INTO `sys_job_log` VALUES (22968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:47:11');
INSERT INTO `sys_job_log` VALUES (22969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:15');
INSERT INTO `sys_job_log` VALUES (22970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:15');
INSERT INTO `sys_job_log` VALUES (22971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:47:16');
INSERT INTO `sys_job_log` VALUES (22972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:47:16');
INSERT INTO `sys_job_log` VALUES (22973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:20');
INSERT INTO `sys_job_log` VALUES (22974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:47:21');
INSERT INTO `sys_job_log` VALUES (22975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:25');
INSERT INTO `sys_job_log` VALUES (22976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:47:26');
INSERT INTO `sys_job_log` VALUES (22977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:47:30');
INSERT INTO `sys_job_log` VALUES (22978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:47:30');
INSERT INTO `sys_job_log` VALUES (22979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:47:31');
INSERT INTO `sys_job_log` VALUES (22980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:31');
INSERT INTO `sys_job_log` VALUES (22981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:47:35');
INSERT INTO `sys_job_log` VALUES (22982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:36');
INSERT INTO `sys_job_log` VALUES (22983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:47:40');
INSERT INTO `sys_job_log` VALUES (22984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:47:41');
INSERT INTO `sys_job_log` VALUES (22985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:47:45');
INSERT INTO `sys_job_log` VALUES (22986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:47:45');
INSERT INTO `sys_job_log` VALUES (22987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 17:47:46');
INSERT INTO `sys_job_log` VALUES (22988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-26 17:47:46');
INSERT INTO `sys_job_log` VALUES (22989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:47:50');
INSERT INTO `sys_job_log` VALUES (22990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:47:51');
INSERT INTO `sys_job_log` VALUES (22991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:47:55');
INSERT INTO `sys_job_log` VALUES (22992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:47:56');
INSERT INTO `sys_job_log` VALUES (22993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:00');
INSERT INTO `sys_job_log` VALUES (22994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:00');
INSERT INTO `sys_job_log` VALUES (22995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:48:01');
INSERT INTO `sys_job_log` VALUES (22996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:48:01');
INSERT INTO `sys_job_log` VALUES (22997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:48:05');
INSERT INTO `sys_job_log` VALUES (22998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:48:06');
INSERT INTO `sys_job_log` VALUES (22999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:48:10');
INSERT INTO `sys_job_log` VALUES (23000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:11');
INSERT INTO `sys_job_log` VALUES (23001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:48:15');
INSERT INTO `sys_job_log` VALUES (23002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:48:15');
INSERT INTO `sys_job_log` VALUES (23003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:48:16');
INSERT INTO `sys_job_log` VALUES (23004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:48:16');
INSERT INTO `sys_job_log` VALUES (23005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:20');
INSERT INTO `sys_job_log` VALUES (23006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:21');
INSERT INTO `sys_job_log` VALUES (23007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:25');
INSERT INTO `sys_job_log` VALUES (23008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:48:26');
INSERT INTO `sys_job_log` VALUES (23009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:30');
INSERT INTO `sys_job_log` VALUES (23010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:30');
INSERT INTO `sys_job_log` VALUES (23011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:31');
INSERT INTO `sys_job_log` VALUES (23012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:31');
INSERT INTO `sys_job_log` VALUES (23013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-26 17:48:35');
INSERT INTO `sys_job_log` VALUES (23014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:36');
INSERT INTO `sys_job_log` VALUES (23015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:48:40');
INSERT INTO `sys_job_log` VALUES (23016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:48:41');
INSERT INTO `sys_job_log` VALUES (23017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 17:48:45');
INSERT INTO `sys_job_log` VALUES (23018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:48:45');
INSERT INTO `sys_job_log` VALUES (23019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:48:46');
INSERT INTO `sys_job_log` VALUES (23020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-26 17:48:46');
INSERT INTO `sys_job_log` VALUES (23021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:50');
INSERT INTO `sys_job_log` VALUES (23022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:48:51');
INSERT INTO `sys_job_log` VALUES (23023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:48:55');
INSERT INTO `sys_job_log` VALUES (23024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:48:56');
INSERT INTO `sys_job_log` VALUES (23025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 17:49:00');
INSERT INTO `sys_job_log` VALUES (23026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-26 17:49:00');
INSERT INTO `sys_job_log` VALUES (23027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:49:01');
INSERT INTO `sys_job_log` VALUES (23028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:49:01');
INSERT INTO `sys_job_log` VALUES (23029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:49:05');
INSERT INTO `sys_job_log` VALUES (23030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:49:06');
INSERT INTO `sys_job_log` VALUES (23031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:49:10');
INSERT INTO `sys_job_log` VALUES (23032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:49:11');
INSERT INTO `sys_job_log` VALUES (23033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:49:15');
INSERT INTO `sys_job_log` VALUES (23034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:49:15');
INSERT INTO `sys_job_log` VALUES (23035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:49:16');
INSERT INTO `sys_job_log` VALUES (23036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:49:16');
INSERT INTO `sys_job_log` VALUES (23037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:49:20');
INSERT INTO `sys_job_log` VALUES (23038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:49:21');
INSERT INTO `sys_job_log` VALUES (23039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:49:25');
INSERT INTO `sys_job_log` VALUES (23040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:49:26');
INSERT INTO `sys_job_log` VALUES (23041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:49:30');
INSERT INTO `sys_job_log` VALUES (23042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:49:30');
INSERT INTO `sys_job_log` VALUES (23043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:49:31');
INSERT INTO `sys_job_log` VALUES (23044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:49:31');
INSERT INTO `sys_job_log` VALUES (23045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:49:35');
INSERT INTO `sys_job_log` VALUES (23046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:49:36');
INSERT INTO `sys_job_log` VALUES (23047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:49:40');
INSERT INTO `sys_job_log` VALUES (23048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:49:41');
INSERT INTO `sys_job_log` VALUES (23049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:49:45');
INSERT INTO `sys_job_log` VALUES (23050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:49:45');
INSERT INTO `sys_job_log` VALUES (23051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:49:46');
INSERT INTO `sys_job_log` VALUES (23052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:49:46');
INSERT INTO `sys_job_log` VALUES (23053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:49:50');
INSERT INTO `sys_job_log` VALUES (23054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:49:51');
INSERT INTO `sys_job_log` VALUES (23055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:49:55');
INSERT INTO `sys_job_log` VALUES (23056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:49:56');
INSERT INTO `sys_job_log` VALUES (23057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:50:00');
INSERT INTO `sys_job_log` VALUES (23058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:50:00');
INSERT INTO `sys_job_log` VALUES (23059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:50:01');
INSERT INTO `sys_job_log` VALUES (23060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:50:01');
INSERT INTO `sys_job_log` VALUES (23061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:50:05');
INSERT INTO `sys_job_log` VALUES (23062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:50:06');
INSERT INTO `sys_job_log` VALUES (23063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:50:10');
INSERT INTO `sys_job_log` VALUES (23064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:50:11');
INSERT INTO `sys_job_log` VALUES (23065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:50:15');
INSERT INTO `sys_job_log` VALUES (23066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:50:15');
INSERT INTO `sys_job_log` VALUES (23067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:50:16');
INSERT INTO `sys_job_log` VALUES (23068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:50:16');
INSERT INTO `sys_job_log` VALUES (23069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:50:20');
INSERT INTO `sys_job_log` VALUES (23070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:50:21');
INSERT INTO `sys_job_log` VALUES (23071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:50:25');
INSERT INTO `sys_job_log` VALUES (23072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:50:26');
INSERT INTO `sys_job_log` VALUES (23073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:50:30');
INSERT INTO `sys_job_log` VALUES (23074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:50:30');
INSERT INTO `sys_job_log` VALUES (23075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:50:31');
INSERT INTO `sys_job_log` VALUES (23076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:50:31');
INSERT INTO `sys_job_log` VALUES (23077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:50:35');
INSERT INTO `sys_job_log` VALUES (23078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:50:36');
INSERT INTO `sys_job_log` VALUES (23079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:50:40');
INSERT INTO `sys_job_log` VALUES (23080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:50:41');
INSERT INTO `sys_job_log` VALUES (23081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:50:45');
INSERT INTO `sys_job_log` VALUES (23082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:50:45');
INSERT INTO `sys_job_log` VALUES (23083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:50:46');
INSERT INTO `sys_job_log` VALUES (23084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-26 17:50:46');
INSERT INTO `sys_job_log` VALUES (23085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:50:50');
INSERT INTO `sys_job_log` VALUES (23086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:50:51');
INSERT INTO `sys_job_log` VALUES (23087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:50:55');
INSERT INTO `sys_job_log` VALUES (23088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:50:56');
INSERT INTO `sys_job_log` VALUES (23089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:51:00');
INSERT INTO `sys_job_log` VALUES (23090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:51:00');
INSERT INTO `sys_job_log` VALUES (23091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:01');
INSERT INTO `sys_job_log` VALUES (23092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:01');
INSERT INTO `sys_job_log` VALUES (23093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-26 17:51:05');
INSERT INTO `sys_job_log` VALUES (23094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:51:06');
INSERT INTO `sys_job_log` VALUES (23095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:51:10');
INSERT INTO `sys_job_log` VALUES (23096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:51:11');
INSERT INTO `sys_job_log` VALUES (23097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:51:15');
INSERT INTO `sys_job_log` VALUES (23098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:51:15');
INSERT INTO `sys_job_log` VALUES (23099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:51:16');
INSERT INTO `sys_job_log` VALUES (23100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:51:16');
INSERT INTO `sys_job_log` VALUES (23101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:51:20');
INSERT INTO `sys_job_log` VALUES (23102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 17:51:21');
INSERT INTO `sys_job_log` VALUES (23103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:51:25');
INSERT INTO `sys_job_log` VALUES (23104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 17:51:26');
INSERT INTO `sys_job_log` VALUES (23105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:51:30');
INSERT INTO `sys_job_log` VALUES (23106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:30');
INSERT INTO `sys_job_log` VALUES (23107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:31');
INSERT INTO `sys_job_log` VALUES (23108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:31');
INSERT INTO `sys_job_log` VALUES (23109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:51:35');
INSERT INTO `sys_job_log` VALUES (23110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:51:36');
INSERT INTO `sys_job_log` VALUES (23111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:51:40');
INSERT INTO `sys_job_log` VALUES (23112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:51:41');
INSERT INTO `sys_job_log` VALUES (23113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:51:45');
INSERT INTO `sys_job_log` VALUES (23114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:51:45');
INSERT INTO `sys_job_log` VALUES (23115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-26 17:51:46');
INSERT INTO `sys_job_log` VALUES (23116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 17:51:46');
INSERT INTO `sys_job_log` VALUES (23117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:51:50');
INSERT INTO `sys_job_log` VALUES (23118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:51');
INSERT INTO `sys_job_log` VALUES (23119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:51:55');
INSERT INTO `sys_job_log` VALUES (23120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:51:56');
INSERT INTO `sys_job_log` VALUES (23121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:52:00');
INSERT INTO `sys_job_log` VALUES (23122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:52:00');
INSERT INTO `sys_job_log` VALUES (23123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:52:01');
INSERT INTO `sys_job_log` VALUES (23124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-26 17:52:01');
INSERT INTO `sys_job_log` VALUES (23125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:52:05');
INSERT INTO `sys_job_log` VALUES (23126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:52:06');
INSERT INTO `sys_job_log` VALUES (23127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:52:10');
INSERT INTO `sys_job_log` VALUES (23128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:52:11');
INSERT INTO `sys_job_log` VALUES (23129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:52:15');
INSERT INTO `sys_job_log` VALUES (23130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:52:15');
INSERT INTO `sys_job_log` VALUES (23131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:52:16');
INSERT INTO `sys_job_log` VALUES (23132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:52:16');
INSERT INTO `sys_job_log` VALUES (23133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:52:20');
INSERT INTO `sys_job_log` VALUES (23134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:52:21');
INSERT INTO `sys_job_log` VALUES (23135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:52:25');
INSERT INTO `sys_job_log` VALUES (23136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:52:26');
INSERT INTO `sys_job_log` VALUES (23137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:52:30');
INSERT INTO `sys_job_log` VALUES (23138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:52:30');
INSERT INTO `sys_job_log` VALUES (23139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:52:31');
INSERT INTO `sys_job_log` VALUES (23140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:52:31');
INSERT INTO `sys_job_log` VALUES (23141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:52:35');
INSERT INTO `sys_job_log` VALUES (23142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:52:36');
INSERT INTO `sys_job_log` VALUES (23143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:52:40');
INSERT INTO `sys_job_log` VALUES (23144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:52:41');
INSERT INTO `sys_job_log` VALUES (23145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:52:45');
INSERT INTO `sys_job_log` VALUES (23146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:52:45');
INSERT INTO `sys_job_log` VALUES (23147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 17:52:46');
INSERT INTO `sys_job_log` VALUES (23148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:52:46');
INSERT INTO `sys_job_log` VALUES (23149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:52:50');
INSERT INTO `sys_job_log` VALUES (23150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:52:51');
INSERT INTO `sys_job_log` VALUES (23151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:52:55');
INSERT INTO `sys_job_log` VALUES (23152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:52:56');
INSERT INTO `sys_job_log` VALUES (23153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:53:00');
INSERT INTO `sys_job_log` VALUES (23154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:53:00');
INSERT INTO `sys_job_log` VALUES (23155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 17:53:01');
INSERT INTO `sys_job_log` VALUES (23156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:53:01');
INSERT INTO `sys_job_log` VALUES (23157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:53:05');
INSERT INTO `sys_job_log` VALUES (23158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:53:06');
INSERT INTO `sys_job_log` VALUES (23159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:53:10');
INSERT INTO `sys_job_log` VALUES (23160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:53:11');
INSERT INTO `sys_job_log` VALUES (23161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:53:15');
INSERT INTO `sys_job_log` VALUES (23162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 17:53:15');
INSERT INTO `sys_job_log` VALUES (23163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:53:16');
INSERT INTO `sys_job_log` VALUES (23164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 17:53:16');
INSERT INTO `sys_job_log` VALUES (23165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:53:20');
INSERT INTO `sys_job_log` VALUES (23166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:53:21');
INSERT INTO `sys_job_log` VALUES (23167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:53:25');
INSERT INTO `sys_job_log` VALUES (23168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:53:26');
INSERT INTO `sys_job_log` VALUES (23169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:53:30');
INSERT INTO `sys_job_log` VALUES (23170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:53:30');
INSERT INTO `sys_job_log` VALUES (23171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-26 17:53:31');
INSERT INTO `sys_job_log` VALUES (23172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:53:31');
INSERT INTO `sys_job_log` VALUES (23173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:53:35');
INSERT INTO `sys_job_log` VALUES (23174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:53:36');
INSERT INTO `sys_job_log` VALUES (23175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:53:40');
INSERT INTO `sys_job_log` VALUES (23176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-26 17:53:41');
INSERT INTO `sys_job_log` VALUES (23177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:53:45');
INSERT INTO `sys_job_log` VALUES (23178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:53:45');
INSERT INTO `sys_job_log` VALUES (23179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 17:53:46');
INSERT INTO `sys_job_log` VALUES (23180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-26 17:53:46');
INSERT INTO `sys_job_log` VALUES (23181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:53:50');
INSERT INTO `sys_job_log` VALUES (23182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:53:51');
INSERT INTO `sys_job_log` VALUES (23183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:53:55');
INSERT INTO `sys_job_log` VALUES (23184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:53:56');
INSERT INTO `sys_job_log` VALUES (23185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:54:00');
INSERT INTO `sys_job_log` VALUES (23186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:54:00');
INSERT INTO `sys_job_log` VALUES (23187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:54:01');
INSERT INTO `sys_job_log` VALUES (23188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-26 17:54:01');
INSERT INTO `sys_job_log` VALUES (23189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:05');
INSERT INTO `sys_job_log` VALUES (23190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:54:06');
INSERT INTO `sys_job_log` VALUES (23191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:10');
INSERT INTO `sys_job_log` VALUES (23192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:11');
INSERT INTO `sys_job_log` VALUES (23193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:15');
INSERT INTO `sys_job_log` VALUES (23194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:15');
INSERT INTO `sys_job_log` VALUES (23195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-26 17:54:16');
INSERT INTO `sys_job_log` VALUES (23196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-26 17:54:16');
INSERT INTO `sys_job_log` VALUES (23197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:54:20');
INSERT INTO `sys_job_log` VALUES (23198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:21');
INSERT INTO `sys_job_log` VALUES (23199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:54:25');
INSERT INTO `sys_job_log` VALUES (23200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:54:26');
INSERT INTO `sys_job_log` VALUES (23201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:30');
INSERT INTO `sys_job_log` VALUES (23202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:30');
INSERT INTO `sys_job_log` VALUES (23203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:31');
INSERT INTO `sys_job_log` VALUES (23204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:31');
INSERT INTO `sys_job_log` VALUES (23205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-26 17:54:35');
INSERT INTO `sys_job_log` VALUES (23206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-26 17:54:36');
INSERT INTO `sys_job_log` VALUES (23207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:40');
INSERT INTO `sys_job_log` VALUES (23208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-26 17:54:41');
INSERT INTO `sys_job_log` VALUES (23209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:45');
INSERT INTO `sys_job_log` VALUES (23210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:54:45');
INSERT INTO `sys_job_log` VALUES (23211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:46');
INSERT INTO `sys_job_log` VALUES (23212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 17:54:46');
INSERT INTO `sys_job_log` VALUES (23213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:54:50');
INSERT INTO `sys_job_log` VALUES (23214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-26 17:54:51');
INSERT INTO `sys_job_log` VALUES (23215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:54:55');
INSERT INTO `sys_job_log` VALUES (23216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2024-12-26 17:54:56');
INSERT INTO `sys_job_log` VALUES (23217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:55:00');
INSERT INTO `sys_job_log` VALUES (23218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:55:00');
INSERT INTO `sys_job_log` VALUES (23219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-26 17:55:01');
INSERT INTO `sys_job_log` VALUES (23220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-26 17:55:01');
INSERT INTO `sys_job_log` VALUES (23221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:55:05');
INSERT INTO `sys_job_log` VALUES (23222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-26 17:55:06');
INSERT INTO `sys_job_log` VALUES (23223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:55:10');
INSERT INTO `sys_job_log` VALUES (23224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-26 17:55:11');
INSERT INTO `sys_job_log` VALUES (23225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:55:15');
INSERT INTO `sys_job_log` VALUES (23226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:55:15');
INSERT INTO `sys_job_log` VALUES (23227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:55:20');
INSERT INTO `sys_job_log` VALUES (23228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:55:25');
INSERT INTO `sys_job_log` VALUES (23229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 17:55:30');
INSERT INTO `sys_job_log` VALUES (23230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-26 17:55:30');
INSERT INTO `sys_job_log` VALUES (23231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:55:35');
INSERT INTO `sys_job_log` VALUES (23232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:55:40');
INSERT INTO `sys_job_log` VALUES (23233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-26 17:55:45');
INSERT INTO `sys_job_log` VALUES (23234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-26 17:55:45');
INSERT INTO `sys_job_log` VALUES (23235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:55:50');
INSERT INTO `sys_job_log` VALUES (23236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:55:55');
INSERT INTO `sys_job_log` VALUES (23237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-26 17:56:00');
INSERT INTO `sys_job_log` VALUES (23238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 17:56:00');
INSERT INTO `sys_job_log` VALUES (23239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:56:05');
INSERT INTO `sys_job_log` VALUES (23240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:56:10');
INSERT INTO `sys_job_log` VALUES (23241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:56:15');
INSERT INTO `sys_job_log` VALUES (23242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:56:15');
INSERT INTO `sys_job_log` VALUES (23243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:56:20');
INSERT INTO `sys_job_log` VALUES (23244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:56:25');
INSERT INTO `sys_job_log` VALUES (23245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:56:30');
INSERT INTO `sys_job_log` VALUES (23246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:56:30');
INSERT INTO `sys_job_log` VALUES (23247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:56:35');
INSERT INTO `sys_job_log` VALUES (23248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-26 17:56:40');
INSERT INTO `sys_job_log` VALUES (23249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:56:45');
INSERT INTO `sys_job_log` VALUES (23250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:56:45');
INSERT INTO `sys_job_log` VALUES (23251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:56:50');
INSERT INTO `sys_job_log` VALUES (23252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:56:55');
INSERT INTO `sys_job_log` VALUES (23253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:57:00');
INSERT INTO `sys_job_log` VALUES (23254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:57:00');
INSERT INTO `sys_job_log` VALUES (23255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:57:05');
INSERT INTO `sys_job_log` VALUES (23256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:57:10');
INSERT INTO `sys_job_log` VALUES (23257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:57:15');
INSERT INTO `sys_job_log` VALUES (23258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:57:15');
INSERT INTO `sys_job_log` VALUES (23259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:57:20');
INSERT INTO `sys_job_log` VALUES (23260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:57:25');
INSERT INTO `sys_job_log` VALUES (23261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:57:30');
INSERT INTO `sys_job_log` VALUES (23262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:57:30');
INSERT INTO `sys_job_log` VALUES (23263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:57:35');
INSERT INTO `sys_job_log` VALUES (23264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:57:40');
INSERT INTO `sys_job_log` VALUES (23265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:57:45');
INSERT INTO `sys_job_log` VALUES (23266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 17:57:45');
INSERT INTO `sys_job_log` VALUES (23267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:57:50');
INSERT INTO `sys_job_log` VALUES (23268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:57:55');
INSERT INTO `sys_job_log` VALUES (23269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:58:00');
INSERT INTO `sys_job_log` VALUES (23270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 17:58:00');
INSERT INTO `sys_job_log` VALUES (23271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:58:05');
INSERT INTO `sys_job_log` VALUES (23272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:58:10');
INSERT INTO `sys_job_log` VALUES (23273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:58:15');
INSERT INTO `sys_job_log` VALUES (23274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:58:15');
INSERT INTO `sys_job_log` VALUES (23275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:58:20');
INSERT INTO `sys_job_log` VALUES (23276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:58:25');
INSERT INTO `sys_job_log` VALUES (23277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:58:30');
INSERT INTO `sys_job_log` VALUES (23278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:58:30');
INSERT INTO `sys_job_log` VALUES (23279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:58:35');
INSERT INTO `sys_job_log` VALUES (23280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-26 17:58:40');
INSERT INTO `sys_job_log` VALUES (23281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:58:45');
INSERT INTO `sys_job_log` VALUES (23282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:58:45');
INSERT INTO `sys_job_log` VALUES (23283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:58:50');
INSERT INTO `sys_job_log` VALUES (23284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 17:58:55');
INSERT INTO `sys_job_log` VALUES (23285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:59:00');
INSERT INTO `sys_job_log` VALUES (23286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 17:59:00');
INSERT INTO `sys_job_log` VALUES (23287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:59:05');
INSERT INTO `sys_job_log` VALUES (23288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:59:10');
INSERT INTO `sys_job_log` VALUES (23289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 17:59:15');
INSERT INTO `sys_job_log` VALUES (23290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:59:15');
INSERT INTO `sys_job_log` VALUES (23291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:59:20');
INSERT INTO `sys_job_log` VALUES (23292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 17:59:25');
INSERT INTO `sys_job_log` VALUES (23293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 17:59:30');
INSERT INTO `sys_job_log` VALUES (23294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 17:59:30');
INSERT INTO `sys_job_log` VALUES (23295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 17:59:35');
INSERT INTO `sys_job_log` VALUES (23296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:59:40');
INSERT INTO `sys_job_log` VALUES (23297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 17:59:45');
INSERT INTO `sys_job_log` VALUES (23298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 17:59:45');
INSERT INTO `sys_job_log` VALUES (23299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 17:59:50');
INSERT INTO `sys_job_log` VALUES (23300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 17:59:55');
INSERT INTO `sys_job_log` VALUES (23301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 18:00:00');
INSERT INTO `sys_job_log` VALUES (23302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:00:00');
INSERT INTO `sys_job_log` VALUES (23303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:00:05');
INSERT INTO `sys_job_log` VALUES (23304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 18:00:10');
INSERT INTO `sys_job_log` VALUES (23305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 18:00:15');
INSERT INTO `sys_job_log` VALUES (23306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:00:15');
INSERT INTO `sys_job_log` VALUES (23307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 18:00:20');
INSERT INTO `sys_job_log` VALUES (23308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:00:25');
INSERT INTO `sys_job_log` VALUES (23309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-26 18:00:30');
INSERT INTO `sys_job_log` VALUES (23310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 18:00:30');
INSERT INTO `sys_job_log` VALUES (23311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:00:35');
INSERT INTO `sys_job_log` VALUES (23312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:00:40');
INSERT INTO `sys_job_log` VALUES (23313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 18:00:45');
INSERT INTO `sys_job_log` VALUES (23314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:00:45');
INSERT INTO `sys_job_log` VALUES (23315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:00:50');
INSERT INTO `sys_job_log` VALUES (23316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:00:55');
INSERT INTO `sys_job_log` VALUES (23317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 18:01:00');
INSERT INTO `sys_job_log` VALUES (23318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:01:00');
INSERT INTO `sys_job_log` VALUES (23319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:01:05');
INSERT INTO `sys_job_log` VALUES (23320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:01:10');
INSERT INTO `sys_job_log` VALUES (23321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:01:15');
INSERT INTO `sys_job_log` VALUES (23322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 18:01:15');
INSERT INTO `sys_job_log` VALUES (23323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:01:20');
INSERT INTO `sys_job_log` VALUES (23324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:01:25');
INSERT INTO `sys_job_log` VALUES (23325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:01:30');
INSERT INTO `sys_job_log` VALUES (23326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 18:01:30');
INSERT INTO `sys_job_log` VALUES (23327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 18:01:35');
INSERT INTO `sys_job_log` VALUES (23328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:01:40');
INSERT INTO `sys_job_log` VALUES (23329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 18:01:45');
INSERT INTO `sys_job_log` VALUES (23330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:01:45');
INSERT INTO `sys_job_log` VALUES (23331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:01:50');
INSERT INTO `sys_job_log` VALUES (23332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:01:55');
INSERT INTO `sys_job_log` VALUES (23333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 18:02:00');
INSERT INTO `sys_job_log` VALUES (23334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:02:00');
INSERT INTO `sys_job_log` VALUES (23335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:02:05');
INSERT INTO `sys_job_log` VALUES (23336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:02:10');
INSERT INTO `sys_job_log` VALUES (23337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 18:02:15');
INSERT INTO `sys_job_log` VALUES (23338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-26 18:02:15');
INSERT INTO `sys_job_log` VALUES (23339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:02:20');
INSERT INTO `sys_job_log` VALUES (23340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:02:25');
INSERT INTO `sys_job_log` VALUES (23341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 18:02:30');
INSERT INTO `sys_job_log` VALUES (23342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:02:30');
INSERT INTO `sys_job_log` VALUES (23343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 18:02:35');
INSERT INTO `sys_job_log` VALUES (23344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:02:40');
INSERT INTO `sys_job_log` VALUES (23345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-26 18:02:45');
INSERT INTO `sys_job_log` VALUES (23346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-26 18:02:45');
INSERT INTO `sys_job_log` VALUES (23347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-26 18:02:50');
INSERT INTO `sys_job_log` VALUES (23348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:02:55');
INSERT INTO `sys_job_log` VALUES (23349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:03:00');
INSERT INTO `sys_job_log` VALUES (23350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 18:03:00');
INSERT INTO `sys_job_log` VALUES (23351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:03:05');
INSERT INTO `sys_job_log` VALUES (23352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:03:10');
INSERT INTO `sys_job_log` VALUES (23353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 18:03:15');
INSERT INTO `sys_job_log` VALUES (23354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:03:15');
INSERT INTO `sys_job_log` VALUES (23355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 18:03:20');
INSERT INTO `sys_job_log` VALUES (23356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:03:25');
INSERT INTO `sys_job_log` VALUES (23357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:03:30');
INSERT INTO `sys_job_log` VALUES (23358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-26 18:03:30');
INSERT INTO `sys_job_log` VALUES (23359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-26 18:03:35');
INSERT INTO `sys_job_log` VALUES (23360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:03:40');
INSERT INTO `sys_job_log` VALUES (23361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 18:03:45');
INSERT INTO `sys_job_log` VALUES (23362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:03:45');
INSERT INTO `sys_job_log` VALUES (23363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:03:50');
INSERT INTO `sys_job_log` VALUES (23364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 18:03:55');
INSERT INTO `sys_job_log` VALUES (23365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:04:00');
INSERT INTO `sys_job_log` VALUES (23366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-26 18:04:00');
INSERT INTO `sys_job_log` VALUES (23367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 18:04:05');
INSERT INTO `sys_job_log` VALUES (23368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:04:10');
INSERT INTO `sys_job_log` VALUES (23369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:15');
INSERT INTO `sys_job_log` VALUES (23370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:15');
INSERT INTO `sys_job_log` VALUES (23371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 18:04:20');
INSERT INTO `sys_job_log` VALUES (23372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-26 18:04:25');
INSERT INTO `sys_job_log` VALUES (23373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:30');
INSERT INTO `sys_job_log` VALUES (23374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:30');
INSERT INTO `sys_job_log` VALUES (23375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:04:35');
INSERT INTO `sys_job_log` VALUES (23376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:40');
INSERT INTO `sys_job_log` VALUES (23377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:45');
INSERT INTO `sys_job_log` VALUES (23378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 18:04:45');
INSERT INTO `sys_job_log` VALUES (23379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:04:50');
INSERT INTO `sys_job_log` VALUES (23380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:04:55');
INSERT INTO `sys_job_log` VALUES (23381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-26 18:05:00');
INSERT INTO `sys_job_log` VALUES (23382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:05:00');
INSERT INTO `sys_job_log` VALUES (23383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-26 18:05:05');
INSERT INTO `sys_job_log` VALUES (23384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:05:10');
INSERT INTO `sys_job_log` VALUES (23385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-26 18:05:15');
INSERT INTO `sys_job_log` VALUES (23386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:05:15');
INSERT INTO `sys_job_log` VALUES (23387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-26 18:05:20');
INSERT INTO `sys_job_log` VALUES (23388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:05:25');
INSERT INTO `sys_job_log` VALUES (23389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 18:05:30');
INSERT INTO `sys_job_log` VALUES (23390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-26 18:05:30');
INSERT INTO `sys_job_log` VALUES (23391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:05:35');
INSERT INTO `sys_job_log` VALUES (23392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-26 18:05:40');
INSERT INTO `sys_job_log` VALUES (23393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-26 18:05:45');
INSERT INTO `sys_job_log` VALUES (23394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-26 18:05:45');
INSERT INTO `sys_job_log` VALUES (23395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-26 18:05:50');
INSERT INTO `sys_job_log` VALUES (23396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-26 18:05:55');
INSERT INTO `sys_job_log` VALUES (23397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-26 18:06:00');
INSERT INTO `sys_job_log` VALUES (23398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-26 18:06:00');
INSERT INTO `sys_job_log` VALUES (23399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 08:19:36');
INSERT INTO `sys_job_log` VALUES (23400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:19:40');
INSERT INTO `sys_job_log` VALUES (23401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:19:45');
INSERT INTO `sys_job_log` VALUES (23402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:19:45');
INSERT INTO `sys_job_log` VALUES (23403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:19:50');
INSERT INTO `sys_job_log` VALUES (23404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:19:55');
INSERT INTO `sys_job_log` VALUES (23405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 08:20:00');
INSERT INTO `sys_job_log` VALUES (23406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:20:00');
INSERT INTO `sys_job_log` VALUES (23407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:20:05');
INSERT INTO `sys_job_log` VALUES (23408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:20:10');
INSERT INTO `sys_job_log` VALUES (23409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:20:15');
INSERT INTO `sys_job_log` VALUES (23410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:20:15');
INSERT INTO `sys_job_log` VALUES (23411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：212毫秒', '0', '', '2024-12-27 08:20:20');
INSERT INTO `sys_job_log` VALUES (23412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:20:25');
INSERT INTO `sys_job_log` VALUES (23413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:20:30');
INSERT INTO `sys_job_log` VALUES (23414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:20:30');
INSERT INTO `sys_job_log` VALUES (23415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:20:35');
INSERT INTO `sys_job_log` VALUES (23416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:20:40');
INSERT INTO `sys_job_log` VALUES (23417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:20:45');
INSERT INTO `sys_job_log` VALUES (23418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:20:45');
INSERT INTO `sys_job_log` VALUES (23419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:20:50');
INSERT INTO `sys_job_log` VALUES (23420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 08:20:55');
INSERT INTO `sys_job_log` VALUES (23421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:21:00');
INSERT INTO `sys_job_log` VALUES (23422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:21:00');
INSERT INTO `sys_job_log` VALUES (23423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:21:05');
INSERT INTO `sys_job_log` VALUES (23424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:21:10');
INSERT INTO `sys_job_log` VALUES (23425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:21:15');
INSERT INTO `sys_job_log` VALUES (23426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:21:15');
INSERT INTO `sys_job_log` VALUES (23427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:21:20');
INSERT INTO `sys_job_log` VALUES (23428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:21:25');
INSERT INTO `sys_job_log` VALUES (23429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:21:30');
INSERT INTO `sys_job_log` VALUES (23430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:21:30');
INSERT INTO `sys_job_log` VALUES (23431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:21:35');
INSERT INTO `sys_job_log` VALUES (23432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:21:40');
INSERT INTO `sys_job_log` VALUES (23433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:21:45');
INSERT INTO `sys_job_log` VALUES (23434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:21:45');
INSERT INTO `sys_job_log` VALUES (23435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:21:50');
INSERT INTO `sys_job_log` VALUES (23436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:21:55');
INSERT INTO `sys_job_log` VALUES (23437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:22:00');
INSERT INTO `sys_job_log` VALUES (23438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 08:22:00');
INSERT INTO `sys_job_log` VALUES (23439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:22:05');
INSERT INTO `sys_job_log` VALUES (23440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:22:10');
INSERT INTO `sys_job_log` VALUES (23441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:22:15');
INSERT INTO `sys_job_log` VALUES (23442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:22:15');
INSERT INTO `sys_job_log` VALUES (23443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:22:20');
INSERT INTO `sys_job_log` VALUES (23444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:22:25');
INSERT INTO `sys_job_log` VALUES (23445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:22:30');
INSERT INTO `sys_job_log` VALUES (23446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:22:30');
INSERT INTO `sys_job_log` VALUES (23447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:22:35');
INSERT INTO `sys_job_log` VALUES (23448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:22:40');
INSERT INTO `sys_job_log` VALUES (23449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:22:45');
INSERT INTO `sys_job_log` VALUES (23450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:22:45');
INSERT INTO `sys_job_log` VALUES (23451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:22:50');
INSERT INTO `sys_job_log` VALUES (23452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:22:55');
INSERT INTO `sys_job_log` VALUES (23453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 08:23:00');
INSERT INTO `sys_job_log` VALUES (23454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:23:00');
INSERT INTO `sys_job_log` VALUES (23455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:23:05');
INSERT INTO `sys_job_log` VALUES (23456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:23:10');
INSERT INTO `sys_job_log` VALUES (23457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:23:15');
INSERT INTO `sys_job_log` VALUES (23458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:23:15');
INSERT INTO `sys_job_log` VALUES (23459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:23:20');
INSERT INTO `sys_job_log` VALUES (23460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:23:25');
INSERT INTO `sys_job_log` VALUES (23461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:23:30');
INSERT INTO `sys_job_log` VALUES (23462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:23:30');
INSERT INTO `sys_job_log` VALUES (23463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:23:35');
INSERT INTO `sys_job_log` VALUES (23464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:23:40');
INSERT INTO `sys_job_log` VALUES (23465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:23:45');
INSERT INTO `sys_job_log` VALUES (23466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 08:23:45');
INSERT INTO `sys_job_log` VALUES (23467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:23:50');
INSERT INTO `sys_job_log` VALUES (23468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:23:55');
INSERT INTO `sys_job_log` VALUES (23469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:24:00');
INSERT INTO `sys_job_log` VALUES (23470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:24:00');
INSERT INTO `sys_job_log` VALUES (23471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:24:05');
INSERT INTO `sys_job_log` VALUES (23472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:24:10');
INSERT INTO `sys_job_log` VALUES (23473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:24:15');
INSERT INTO `sys_job_log` VALUES (23474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:24:15');
INSERT INTO `sys_job_log` VALUES (23475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:24:20');
INSERT INTO `sys_job_log` VALUES (23476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:24:25');
INSERT INTO `sys_job_log` VALUES (23477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:24:30');
INSERT INTO `sys_job_log` VALUES (23478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:24:30');
INSERT INTO `sys_job_log` VALUES (23479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:24:35');
INSERT INTO `sys_job_log` VALUES (23480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:24:40');
INSERT INTO `sys_job_log` VALUES (23481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:24:45');
INSERT INTO `sys_job_log` VALUES (23482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:24:45');
INSERT INTO `sys_job_log` VALUES (23483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:24:50');
INSERT INTO `sys_job_log` VALUES (23484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:24:55');
INSERT INTO `sys_job_log` VALUES (23485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:25:00');
INSERT INTO `sys_job_log` VALUES (23486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:25:00');
INSERT INTO `sys_job_log` VALUES (23487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:25:05');
INSERT INTO `sys_job_log` VALUES (23488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:25:10');
INSERT INTO `sys_job_log` VALUES (23489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:25:15');
INSERT INTO `sys_job_log` VALUES (23490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:25:15');
INSERT INTO `sys_job_log` VALUES (23491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:25:20');
INSERT INTO `sys_job_log` VALUES (23492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:25:25');
INSERT INTO `sys_job_log` VALUES (23493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:25:30');
INSERT INTO `sys_job_log` VALUES (23494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:25:30');
INSERT INTO `sys_job_log` VALUES (23495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:25:35');
INSERT INTO `sys_job_log` VALUES (23496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:25:40');
INSERT INTO `sys_job_log` VALUES (23497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 08:25:45');
INSERT INTO `sys_job_log` VALUES (23498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:25:45');
INSERT INTO `sys_job_log` VALUES (23499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:25:50');
INSERT INTO `sys_job_log` VALUES (23500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:25:55');
INSERT INTO `sys_job_log` VALUES (23501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:26:00');
INSERT INTO `sys_job_log` VALUES (23502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 08:26:00');
INSERT INTO `sys_job_log` VALUES (23503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:26:05');
INSERT INTO `sys_job_log` VALUES (23504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:26:10');
INSERT INTO `sys_job_log` VALUES (23505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:26:15');
INSERT INTO `sys_job_log` VALUES (23506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:26:15');
INSERT INTO `sys_job_log` VALUES (23507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:26:20');
INSERT INTO `sys_job_log` VALUES (23508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:26:25');
INSERT INTO `sys_job_log` VALUES (23509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:26:30');
INSERT INTO `sys_job_log` VALUES (23510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:26:30');
INSERT INTO `sys_job_log` VALUES (23511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:26:35');
INSERT INTO `sys_job_log` VALUES (23512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:26:40');
INSERT INTO `sys_job_log` VALUES (23513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:26:45');
INSERT INTO `sys_job_log` VALUES (23514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:26:45');
INSERT INTO `sys_job_log` VALUES (23515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:26:50');
INSERT INTO `sys_job_log` VALUES (23516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:26:55');
INSERT INTO `sys_job_log` VALUES (23517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:27:00');
INSERT INTO `sys_job_log` VALUES (23518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:27:00');
INSERT INTO `sys_job_log` VALUES (23519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:27:05');
INSERT INTO `sys_job_log` VALUES (23520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:27:10');
INSERT INTO `sys_job_log` VALUES (23521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:27:15');
INSERT INTO `sys_job_log` VALUES (23522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:27:15');
INSERT INTO `sys_job_log` VALUES (23523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:27:20');
INSERT INTO `sys_job_log` VALUES (23524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:27:25');
INSERT INTO `sys_job_log` VALUES (23525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:27:30');
INSERT INTO `sys_job_log` VALUES (23526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:27:30');
INSERT INTO `sys_job_log` VALUES (23527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:27:35');
INSERT INTO `sys_job_log` VALUES (23528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:27:40');
INSERT INTO `sys_job_log` VALUES (23529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:27:45');
INSERT INTO `sys_job_log` VALUES (23530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:27:45');
INSERT INTO `sys_job_log` VALUES (23531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:27:50');
INSERT INTO `sys_job_log` VALUES (23532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:27:55');
INSERT INTO `sys_job_log` VALUES (23533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:28:00');
INSERT INTO `sys_job_log` VALUES (23534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:28:00');
INSERT INTO `sys_job_log` VALUES (23535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:28:05');
INSERT INTO `sys_job_log` VALUES (23536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:10');
INSERT INTO `sys_job_log` VALUES (23537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:28:15');
INSERT INTO `sys_job_log` VALUES (23538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:15');
INSERT INTO `sys_job_log` VALUES (23539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:20');
INSERT INTO `sys_job_log` VALUES (23540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:25');
INSERT INTO `sys_job_log` VALUES (23541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:30');
INSERT INTO `sys_job_log` VALUES (23542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:28:30');
INSERT INTO `sys_job_log` VALUES (23543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:28:35');
INSERT INTO `sys_job_log` VALUES (23544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 08:28:40');
INSERT INTO `sys_job_log` VALUES (23545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:45');
INSERT INTO `sys_job_log` VALUES (23546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:45');
INSERT INTO `sys_job_log` VALUES (23547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:50');
INSERT INTO `sys_job_log` VALUES (23548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:28:55');
INSERT INTO `sys_job_log` VALUES (23549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:00');
INSERT INTO `sys_job_log` VALUES (23550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:00');
INSERT INTO `sys_job_log` VALUES (23551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:05');
INSERT INTO `sys_job_log` VALUES (23552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:29:10');
INSERT INTO `sys_job_log` VALUES (23553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:29:15');
INSERT INTO `sys_job_log` VALUES (23554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:15');
INSERT INTO `sys_job_log` VALUES (23555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:29:20');
INSERT INTO `sys_job_log` VALUES (23556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:29:25');
INSERT INTO `sys_job_log` VALUES (23557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:30');
INSERT INTO `sys_job_log` VALUES (23558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:30');
INSERT INTO `sys_job_log` VALUES (23559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:29:35');
INSERT INTO `sys_job_log` VALUES (23560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:40');
INSERT INTO `sys_job_log` VALUES (23561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:45');
INSERT INTO `sys_job_log` VALUES (23562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:45');
INSERT INTO `sys_job_log` VALUES (23563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:29:50');
INSERT INTO `sys_job_log` VALUES (23564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 08:29:55');
INSERT INTO `sys_job_log` VALUES (23565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:30:00');
INSERT INTO `sys_job_log` VALUES (23566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:30:00');
INSERT INTO `sys_job_log` VALUES (23567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 08:30:05');
INSERT INTO `sys_job_log` VALUES (23568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:30:10');
INSERT INTO `sys_job_log` VALUES (23569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:30:15');
INSERT INTO `sys_job_log` VALUES (23570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:30:15');
INSERT INTO `sys_job_log` VALUES (23571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:30:20');
INSERT INTO `sys_job_log` VALUES (23572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:30:25');
INSERT INTO `sys_job_log` VALUES (23573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：132毫秒', '0', '', '2024-12-27 08:30:30');
INSERT INTO `sys_job_log` VALUES (23574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2024-12-27 08:30:30');
INSERT INTO `sys_job_log` VALUES (23575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:30:35');
INSERT INTO `sys_job_log` VALUES (23576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:30:40');
INSERT INTO `sys_job_log` VALUES (23577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:30:45');
INSERT INTO `sys_job_log` VALUES (23578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:30:45');
INSERT INTO `sys_job_log` VALUES (23579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:30:50');
INSERT INTO `sys_job_log` VALUES (23580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:30:55');
INSERT INTO `sys_job_log` VALUES (23581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:31:00');
INSERT INTO `sys_job_log` VALUES (23582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:31:00');
INSERT INTO `sys_job_log` VALUES (23583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:31:05');
INSERT INTO `sys_job_log` VALUES (23584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:31:10');
INSERT INTO `sys_job_log` VALUES (23585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:31:15');
INSERT INTO `sys_job_log` VALUES (23586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:31:15');
INSERT INTO `sys_job_log` VALUES (23587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:31:20');
INSERT INTO `sys_job_log` VALUES (23588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:31:25');
INSERT INTO `sys_job_log` VALUES (23589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:31:30');
INSERT INTO `sys_job_log` VALUES (23590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:31:30');
INSERT INTO `sys_job_log` VALUES (23591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:31:35');
INSERT INTO `sys_job_log` VALUES (23592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 08:31:42');
INSERT INTO `sys_job_log` VALUES (23593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 08:31:50');
INSERT INTO `sys_job_log` VALUES (23594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:31:55');
INSERT INTO `sys_job_log` VALUES (23595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:32:00');
INSERT INTO `sys_job_log` VALUES (23596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:32:00');
INSERT INTO `sys_job_log` VALUES (23597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:32:05');
INSERT INTO `sys_job_log` VALUES (23598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:32:10');
INSERT INTO `sys_job_log` VALUES (23599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:32:15');
INSERT INTO `sys_job_log` VALUES (23600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:32:15');
INSERT INTO `sys_job_log` VALUES (23601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 08:32:20');
INSERT INTO `sys_job_log` VALUES (23602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:32:25');
INSERT INTO `sys_job_log` VALUES (23603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:32:30');
INSERT INTO `sys_job_log` VALUES (23604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:32:30');
INSERT INTO `sys_job_log` VALUES (23605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:32:35');
INSERT INTO `sys_job_log` VALUES (23606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:32:40');
INSERT INTO `sys_job_log` VALUES (23607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 08:32:45');
INSERT INTO `sys_job_log` VALUES (23608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:32:45');
INSERT INTO `sys_job_log` VALUES (23609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:32:50');
INSERT INTO `sys_job_log` VALUES (23610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:32:55');
INSERT INTO `sys_job_log` VALUES (23611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 08:33:00');
INSERT INTO `sys_job_log` VALUES (23612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:33:00');
INSERT INTO `sys_job_log` VALUES (23613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:33:05');
INSERT INTO `sys_job_log` VALUES (23614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:33:10');
INSERT INTO `sys_job_log` VALUES (23615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:33:15');
INSERT INTO `sys_job_log` VALUES (23616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:33:15');
INSERT INTO `sys_job_log` VALUES (23617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:33:20');
INSERT INTO `sys_job_log` VALUES (23618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:33:25');
INSERT INTO `sys_job_log` VALUES (23619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:33:30');
INSERT INTO `sys_job_log` VALUES (23620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:33:30');
INSERT INTO `sys_job_log` VALUES (23621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 08:33:35');
INSERT INTO `sys_job_log` VALUES (23622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:33:40');
INSERT INTO `sys_job_log` VALUES (23623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:33:45');
INSERT INTO `sys_job_log` VALUES (23624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:33:45');
INSERT INTO `sys_job_log` VALUES (23625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:33:50');
INSERT INTO `sys_job_log` VALUES (23626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:33:55');
INSERT INTO `sys_job_log` VALUES (23627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:34:00');
INSERT INTO `sys_job_log` VALUES (23628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:34:00');
INSERT INTO `sys_job_log` VALUES (23629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:34:05');
INSERT INTO `sys_job_log` VALUES (23630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:34:10');
INSERT INTO `sys_job_log` VALUES (23631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:15');
INSERT INTO `sys_job_log` VALUES (23632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:15');
INSERT INTO `sys_job_log` VALUES (23633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:34:20');
INSERT INTO `sys_job_log` VALUES (23634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:25');
INSERT INTO `sys_job_log` VALUES (23635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:30');
INSERT INTO `sys_job_log` VALUES (23636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:30');
INSERT INTO `sys_job_log` VALUES (23637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:34:35');
INSERT INTO `sys_job_log` VALUES (23638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:34:40');
INSERT INTO `sys_job_log` VALUES (23639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:45');
INSERT INTO `sys_job_log` VALUES (23640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:34:45');
INSERT INTO `sys_job_log` VALUES (23641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 08:34:50');
INSERT INTO `sys_job_log` VALUES (23642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:34:55');
INSERT INTO `sys_job_log` VALUES (23643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:35:00');
INSERT INTO `sys_job_log` VALUES (23644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:35:00');
INSERT INTO `sys_job_log` VALUES (23645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:35:05');
INSERT INTO `sys_job_log` VALUES (23646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:35:10');
INSERT INTO `sys_job_log` VALUES (23647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:35:15');
INSERT INTO `sys_job_log` VALUES (23648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:35:15');
INSERT INTO `sys_job_log` VALUES (23649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:35:20');
INSERT INTO `sys_job_log` VALUES (23650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:35:25');
INSERT INTO `sys_job_log` VALUES (23651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:35:30');
INSERT INTO `sys_job_log` VALUES (23652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:35:30');
INSERT INTO `sys_job_log` VALUES (23653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:35:35');
INSERT INTO `sys_job_log` VALUES (23654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:35:40');
INSERT INTO `sys_job_log` VALUES (23655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：119毫秒', '0', '', '2024-12-27 08:35:45');
INSERT INTO `sys_job_log` VALUES (23656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：119毫秒', '0', '', '2024-12-27 08:35:45');
INSERT INTO `sys_job_log` VALUES (23657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:35:50');
INSERT INTO `sys_job_log` VALUES (23658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:35:55');
INSERT INTO `sys_job_log` VALUES (23659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:00');
INSERT INTO `sys_job_log` VALUES (23660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:00');
INSERT INTO `sys_job_log` VALUES (23661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:05');
INSERT INTO `sys_job_log` VALUES (23662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 08:36:10');
INSERT INTO `sys_job_log` VALUES (23663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:15');
INSERT INTO `sys_job_log` VALUES (23664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:15');
INSERT INTO `sys_job_log` VALUES (23665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:36:20');
INSERT INTO `sys_job_log` VALUES (23666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:25');
INSERT INTO `sys_job_log` VALUES (23667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 08:36:30');
INSERT INTO `sys_job_log` VALUES (23668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 08:36:30');
INSERT INTO `sys_job_log` VALUES (23669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:36:35');
INSERT INTO `sys_job_log` VALUES (23670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:36:40');
INSERT INTO `sys_job_log` VALUES (23671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:36:45');
INSERT INTO `sys_job_log` VALUES (23672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:36:45');
INSERT INTO `sys_job_log` VALUES (23673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:36:50');
INSERT INTO `sys_job_log` VALUES (23674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:36:55');
INSERT INTO `sys_job_log` VALUES (23675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:37:00');
INSERT INTO `sys_job_log` VALUES (23676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:37:00');
INSERT INTO `sys_job_log` VALUES (23677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:37:05');
INSERT INTO `sys_job_log` VALUES (23678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:37:10');
INSERT INTO `sys_job_log` VALUES (23679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:37:15');
INSERT INTO `sys_job_log` VALUES (23680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:37:15');
INSERT INTO `sys_job_log` VALUES (23681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:37:20');
INSERT INTO `sys_job_log` VALUES (23682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:37:25');
INSERT INTO `sys_job_log` VALUES (23683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:37:30');
INSERT INTO `sys_job_log` VALUES (23684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:37:30');
INSERT INTO `sys_job_log` VALUES (23685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:37:35');
INSERT INTO `sys_job_log` VALUES (23686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:37:40');
INSERT INTO `sys_job_log` VALUES (23687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:37:45');
INSERT INTO `sys_job_log` VALUES (23688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:37:45');
INSERT INTO `sys_job_log` VALUES (23689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:37:50');
INSERT INTO `sys_job_log` VALUES (23690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:37:55');
INSERT INTO `sys_job_log` VALUES (23691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:38:00');
INSERT INTO `sys_job_log` VALUES (23692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:38:00');
INSERT INTO `sys_job_log` VALUES (23693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:38:05');
INSERT INTO `sys_job_log` VALUES (23694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:38:10');
INSERT INTO `sys_job_log` VALUES (23695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:38:15');
INSERT INTO `sys_job_log` VALUES (23696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:38:15');
INSERT INTO `sys_job_log` VALUES (23697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:38:20');
INSERT INTO `sys_job_log` VALUES (23698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:38:25');
INSERT INTO `sys_job_log` VALUES (23699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:38:30');
INSERT INTO `sys_job_log` VALUES (23700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:38:30');
INSERT INTO `sys_job_log` VALUES (23701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:38:35');
INSERT INTO `sys_job_log` VALUES (23702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:38:40');
INSERT INTO `sys_job_log` VALUES (23703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:38:45');
INSERT INTO `sys_job_log` VALUES (23704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:38:45');
INSERT INTO `sys_job_log` VALUES (23705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:38:50');
INSERT INTO `sys_job_log` VALUES (23706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:38:55');
INSERT INTO `sys_job_log` VALUES (23707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:39:00');
INSERT INTO `sys_job_log` VALUES (23708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:39:00');
INSERT INTO `sys_job_log` VALUES (23709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:39:05');
INSERT INTO `sys_job_log` VALUES (23710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:39:10');
INSERT INTO `sys_job_log` VALUES (23711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:39:15');
INSERT INTO `sys_job_log` VALUES (23712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:39:15');
INSERT INTO `sys_job_log` VALUES (23713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:39:20');
INSERT INTO `sys_job_log` VALUES (23714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:39:25');
INSERT INTO `sys_job_log` VALUES (23715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:39:30');
INSERT INTO `sys_job_log` VALUES (23716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 08:39:30');
INSERT INTO `sys_job_log` VALUES (23717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:39:35');
INSERT INTO `sys_job_log` VALUES (23718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:39:40');
INSERT INTO `sys_job_log` VALUES (23719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:39:45');
INSERT INTO `sys_job_log` VALUES (23720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:39:45');
INSERT INTO `sys_job_log` VALUES (23721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:39:50');
INSERT INTO `sys_job_log` VALUES (23722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:39:55');
INSERT INTO `sys_job_log` VALUES (23723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:00');
INSERT INTO `sys_job_log` VALUES (23724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:00');
INSERT INTO `sys_job_log` VALUES (23725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:40:05');
INSERT INTO `sys_job_log` VALUES (23726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:40:10');
INSERT INTO `sys_job_log` VALUES (23727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:15');
INSERT INTO `sys_job_log` VALUES (23728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:15');
INSERT INTO `sys_job_log` VALUES (23729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:40:20');
INSERT INTO `sys_job_log` VALUES (23730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:40:25');
INSERT INTO `sys_job_log` VALUES (23731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:30');
INSERT INTO `sys_job_log` VALUES (23732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:30');
INSERT INTO `sys_job_log` VALUES (23733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:35');
INSERT INTO `sys_job_log` VALUES (23734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2024-12-27 08:40:40');
INSERT INTO `sys_job_log` VALUES (23735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:45');
INSERT INTO `sys_job_log` VALUES (23736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:40:45');
INSERT INTO `sys_job_log` VALUES (23737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:40:50');
INSERT INTO `sys_job_log` VALUES (23738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:40:55');
INSERT INTO `sys_job_log` VALUES (23739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:41:00');
INSERT INTO `sys_job_log` VALUES (23740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 08:41:00');
INSERT INTO `sys_job_log` VALUES (23741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:41:05');
INSERT INTO `sys_job_log` VALUES (23742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:41:10');
INSERT INTO `sys_job_log` VALUES (23743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:41:15');
INSERT INTO `sys_job_log` VALUES (23744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:41:15');
INSERT INTO `sys_job_log` VALUES (23745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:41:20');
INSERT INTO `sys_job_log` VALUES (23746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:41:25');
INSERT INTO `sys_job_log` VALUES (23747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:41:30');
INSERT INTO `sys_job_log` VALUES (23748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 08:41:30');
INSERT INTO `sys_job_log` VALUES (23749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:41:35');
INSERT INTO `sys_job_log` VALUES (23750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:41:40');
INSERT INTO `sys_job_log` VALUES (23751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:41:45');
INSERT INTO `sys_job_log` VALUES (23752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:41:45');
INSERT INTO `sys_job_log` VALUES (23753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:41:50');
INSERT INTO `sys_job_log` VALUES (23754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 08:41:55');
INSERT INTO `sys_job_log` VALUES (23755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:42:00');
INSERT INTO `sys_job_log` VALUES (23756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:42:00');
INSERT INTO `sys_job_log` VALUES (23757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:42:05');
INSERT INTO `sys_job_log` VALUES (23758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:42:10');
INSERT INTO `sys_job_log` VALUES (23759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:42:15');
INSERT INTO `sys_job_log` VALUES (23760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:42:15');
INSERT INTO `sys_job_log` VALUES (23761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 08:42:20');
INSERT INTO `sys_job_log` VALUES (23762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:42:25');
INSERT INTO `sys_job_log` VALUES (23763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:42:30');
INSERT INTO `sys_job_log` VALUES (23764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:42:30');
INSERT INTO `sys_job_log` VALUES (23765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:42:35');
INSERT INTO `sys_job_log` VALUES (23766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:42:40');
INSERT INTO `sys_job_log` VALUES (23767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:42:45');
INSERT INTO `sys_job_log` VALUES (23768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:42:45');
INSERT INTO `sys_job_log` VALUES (23769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:42:50');
INSERT INTO `sys_job_log` VALUES (23770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:42:55');
INSERT INTO `sys_job_log` VALUES (23771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:43:00');
INSERT INTO `sys_job_log` VALUES (23772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:43:00');
INSERT INTO `sys_job_log` VALUES (23773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:43:05');
INSERT INTO `sys_job_log` VALUES (23774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:43:10');
INSERT INTO `sys_job_log` VALUES (23775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:43:15');
INSERT INTO `sys_job_log` VALUES (23776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:43:15');
INSERT INTO `sys_job_log` VALUES (23777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:43:20');
INSERT INTO `sys_job_log` VALUES (23778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:43:25');
INSERT INTO `sys_job_log` VALUES (23779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:43:30');
INSERT INTO `sys_job_log` VALUES (23780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:43:30');
INSERT INTO `sys_job_log` VALUES (23781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:43:35');
INSERT INTO `sys_job_log` VALUES (23782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:43:40');
INSERT INTO `sys_job_log` VALUES (23783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:43:45');
INSERT INTO `sys_job_log` VALUES (23784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:43:45');
INSERT INTO `sys_job_log` VALUES (23785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:43:50');
INSERT INTO `sys_job_log` VALUES (23786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-27 08:43:55');
INSERT INTO `sys_job_log` VALUES (23787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:44:00');
INSERT INTO `sys_job_log` VALUES (23788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:44:00');
INSERT INTO `sys_job_log` VALUES (23789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:44:05');
INSERT INTO `sys_job_log` VALUES (23790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:44:10');
INSERT INTO `sys_job_log` VALUES (23791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:44:15');
INSERT INTO `sys_job_log` VALUES (23792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:44:15');
INSERT INTO `sys_job_log` VALUES (23793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:44:20');
INSERT INTO `sys_job_log` VALUES (23794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:44:25');
INSERT INTO `sys_job_log` VALUES (23795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:44:30');
INSERT INTO `sys_job_log` VALUES (23796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:44:30');
INSERT INTO `sys_job_log` VALUES (23797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:44:35');
INSERT INTO `sys_job_log` VALUES (23798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:44:40');
INSERT INTO `sys_job_log` VALUES (23799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:44:45');
INSERT INTO `sys_job_log` VALUES (23800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:44:45');
INSERT INTO `sys_job_log` VALUES (23801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:44:50');
INSERT INTO `sys_job_log` VALUES (23802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:44:55');
INSERT INTO `sys_job_log` VALUES (23803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:45:00');
INSERT INTO `sys_job_log` VALUES (23804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:45:00');
INSERT INTO `sys_job_log` VALUES (23805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:45:05');
INSERT INTO `sys_job_log` VALUES (23806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:45:10');
INSERT INTO `sys_job_log` VALUES (23807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:45:15');
INSERT INTO `sys_job_log` VALUES (23808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:45:15');
INSERT INTO `sys_job_log` VALUES (23809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:45:20');
INSERT INTO `sys_job_log` VALUES (23810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 08:45:25');
INSERT INTO `sys_job_log` VALUES (23811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:45:30');
INSERT INTO `sys_job_log` VALUES (23812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:45:30');
INSERT INTO `sys_job_log` VALUES (23813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:45:35');
INSERT INTO `sys_job_log` VALUES (23814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 08:45:40');
INSERT INTO `sys_job_log` VALUES (23815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:45:45');
INSERT INTO `sys_job_log` VALUES (23816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:45:45');
INSERT INTO `sys_job_log` VALUES (23817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:45:50');
INSERT INTO `sys_job_log` VALUES (23818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:45:55');
INSERT INTO `sys_job_log` VALUES (23819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:46:00');
INSERT INTO `sys_job_log` VALUES (23820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:46:00');
INSERT INTO `sys_job_log` VALUES (23821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:46:05');
INSERT INTO `sys_job_log` VALUES (23822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:10');
INSERT INTO `sys_job_log` VALUES (23823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:15');
INSERT INTO `sys_job_log` VALUES (23824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:15');
INSERT INTO `sys_job_log` VALUES (23825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:46:20');
INSERT INTO `sys_job_log` VALUES (23826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:46:25');
INSERT INTO `sys_job_log` VALUES (23827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:46:30');
INSERT INTO `sys_job_log` VALUES (23828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:46:30');
INSERT INTO `sys_job_log` VALUES (23829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:35');
INSERT INTO `sys_job_log` VALUES (23830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:40');
INSERT INTO `sys_job_log` VALUES (23831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:45');
INSERT INTO `sys_job_log` VALUES (23832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:46:45');
INSERT INTO `sys_job_log` VALUES (23833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:46:50');
INSERT INTO `sys_job_log` VALUES (23834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:46:55');
INSERT INTO `sys_job_log` VALUES (23835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:47:00');
INSERT INTO `sys_job_log` VALUES (23836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:47:00');
INSERT INTO `sys_job_log` VALUES (23837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:47:05');
INSERT INTO `sys_job_log` VALUES (23838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:47:10');
INSERT INTO `sys_job_log` VALUES (23839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:47:15');
INSERT INTO `sys_job_log` VALUES (23840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:47:15');
INSERT INTO `sys_job_log` VALUES (23841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:47:20');
INSERT INTO `sys_job_log` VALUES (23842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:47:25');
INSERT INTO `sys_job_log` VALUES (23843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:47:30');
INSERT INTO `sys_job_log` VALUES (23844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 08:47:30');
INSERT INTO `sys_job_log` VALUES (23845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:47:35');
INSERT INTO `sys_job_log` VALUES (23846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:47:40');
INSERT INTO `sys_job_log` VALUES (23847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:47:45');
INSERT INTO `sys_job_log` VALUES (23848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:47:45');
INSERT INTO `sys_job_log` VALUES (23849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:47:50');
INSERT INTO `sys_job_log` VALUES (23850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:47:55');
INSERT INTO `sys_job_log` VALUES (23851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:48:00');
INSERT INTO `sys_job_log` VALUES (23852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:48:00');
INSERT INTO `sys_job_log` VALUES (23853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:48:05');
INSERT INTO `sys_job_log` VALUES (23854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:48:10');
INSERT INTO `sys_job_log` VALUES (23855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:48:15');
INSERT INTO `sys_job_log` VALUES (23856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:48:15');
INSERT INTO `sys_job_log` VALUES (23857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:48:20');
INSERT INTO `sys_job_log` VALUES (23858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:48:25');
INSERT INTO `sys_job_log` VALUES (23859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 08:48:30');
INSERT INTO `sys_job_log` VALUES (23860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:48:30');
INSERT INTO `sys_job_log` VALUES (23861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:48:35');
INSERT INTO `sys_job_log` VALUES (23862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 08:48:40');
INSERT INTO `sys_job_log` VALUES (23863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 08:48:45');
INSERT INTO `sys_job_log` VALUES (23864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 08:48:45');
INSERT INTO `sys_job_log` VALUES (23865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:48:50');
INSERT INTO `sys_job_log` VALUES (23866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:48:55');
INSERT INTO `sys_job_log` VALUES (23867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:49:00');
INSERT INTO `sys_job_log` VALUES (23868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:49:00');
INSERT INTO `sys_job_log` VALUES (23869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:49:05');
INSERT INTO `sys_job_log` VALUES (23870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-27 08:49:10');
INSERT INTO `sys_job_log` VALUES (23871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:49:15');
INSERT INTO `sys_job_log` VALUES (23872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:49:15');
INSERT INTO `sys_job_log` VALUES (23873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:49:20');
INSERT INTO `sys_job_log` VALUES (23874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 08:49:25');
INSERT INTO `sys_job_log` VALUES (23875, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 08:49:30');
INSERT INTO `sys_job_log` VALUES (23876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 08:49:30');
INSERT INTO `sys_job_log` VALUES (23877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:49:35');
INSERT INTO `sys_job_log` VALUES (23878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:49:40');
INSERT INTO `sys_job_log` VALUES (23879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:49:45');
INSERT INTO `sys_job_log` VALUES (23880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:49:45');
INSERT INTO `sys_job_log` VALUES (23881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:49:50');
INSERT INTO `sys_job_log` VALUES (23882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:49:55');
INSERT INTO `sys_job_log` VALUES (23883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:50:00');
INSERT INTO `sys_job_log` VALUES (23884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:50:00');
INSERT INTO `sys_job_log` VALUES (23885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:50:05');
INSERT INTO `sys_job_log` VALUES (23886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:50:10');
INSERT INTO `sys_job_log` VALUES (23887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:50:15');
INSERT INTO `sys_job_log` VALUES (23888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:50:15');
INSERT INTO `sys_job_log` VALUES (23889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:50:20');
INSERT INTO `sys_job_log` VALUES (23890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:50:25');
INSERT INTO `sys_job_log` VALUES (23891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:50:30');
INSERT INTO `sys_job_log` VALUES (23892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:50:30');
INSERT INTO `sys_job_log` VALUES (23893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:50:35');
INSERT INTO `sys_job_log` VALUES (23894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:50:40');
INSERT INTO `sys_job_log` VALUES (23895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:50:45');
INSERT INTO `sys_job_log` VALUES (23896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:50:45');
INSERT INTO `sys_job_log` VALUES (23897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-27 08:50:50');
INSERT INTO `sys_job_log` VALUES (23898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:50:55');
INSERT INTO `sys_job_log` VALUES (23899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:51:00');
INSERT INTO `sys_job_log` VALUES (23900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:51:00');
INSERT INTO `sys_job_log` VALUES (23901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:51:05');
INSERT INTO `sys_job_log` VALUES (23902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:51:10');
INSERT INTO `sys_job_log` VALUES (23903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:51:15');
INSERT INTO `sys_job_log` VALUES (23904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:51:15');
INSERT INTO `sys_job_log` VALUES (23905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:51:20');
INSERT INTO `sys_job_log` VALUES (23906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:51:25');
INSERT INTO `sys_job_log` VALUES (23907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:51:30');
INSERT INTO `sys_job_log` VALUES (23908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:51:30');
INSERT INTO `sys_job_log` VALUES (23909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:51:35');
INSERT INTO `sys_job_log` VALUES (23910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:51:40');
INSERT INTO `sys_job_log` VALUES (23911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:51:45');
INSERT INTO `sys_job_log` VALUES (23912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:51:45');
INSERT INTO `sys_job_log` VALUES (23913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:51:50');
INSERT INTO `sys_job_log` VALUES (23914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:51:55');
INSERT INTO `sys_job_log` VALUES (23915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:00');
INSERT INTO `sys_job_log` VALUES (23916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:00');
INSERT INTO `sys_job_log` VALUES (23917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:52:05');
INSERT INTO `sys_job_log` VALUES (23918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:10');
INSERT INTO `sys_job_log` VALUES (23919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:52:15');
INSERT INTO `sys_job_log` VALUES (23920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:52:15');
INSERT INTO `sys_job_log` VALUES (23921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:52:20');
INSERT INTO `sys_job_log` VALUES (23922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:52:25');
INSERT INTO `sys_job_log` VALUES (23923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:30');
INSERT INTO `sys_job_log` VALUES (23924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:30');
INSERT INTO `sys_job_log` VALUES (23925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:52:35');
INSERT INTO `sys_job_log` VALUES (23926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:40');
INSERT INTO `sys_job_log` VALUES (23927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:52:45');
INSERT INTO `sys_job_log` VALUES (23928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:52:45');
INSERT INTO `sys_job_log` VALUES (23929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:52:50');
INSERT INTO `sys_job_log` VALUES (23930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:52:55');
INSERT INTO `sys_job_log` VALUES (23931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:53:00');
INSERT INTO `sys_job_log` VALUES (23932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:53:00');
INSERT INTO `sys_job_log` VALUES (23933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:53:05');
INSERT INTO `sys_job_log` VALUES (23934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:53:10');
INSERT INTO `sys_job_log` VALUES (23935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:53:15');
INSERT INTO `sys_job_log` VALUES (23936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:53:15');
INSERT INTO `sys_job_log` VALUES (23937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:53:20');
INSERT INTO `sys_job_log` VALUES (23938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:53:25');
INSERT INTO `sys_job_log` VALUES (23939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:53:30');
INSERT INTO `sys_job_log` VALUES (23940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:53:30');
INSERT INTO `sys_job_log` VALUES (23941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:53:35');
INSERT INTO `sys_job_log` VALUES (23942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:53:40');
INSERT INTO `sys_job_log` VALUES (23943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:53:45');
INSERT INTO `sys_job_log` VALUES (23944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:53:45');
INSERT INTO `sys_job_log` VALUES (23945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:53:50');
INSERT INTO `sys_job_log` VALUES (23946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:53:55');
INSERT INTO `sys_job_log` VALUES (23947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:54:00');
INSERT INTO `sys_job_log` VALUES (23948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 08:54:00');
INSERT INTO `sys_job_log` VALUES (23949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:54:05');
INSERT INTO `sys_job_log` VALUES (23950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:54:10');
INSERT INTO `sys_job_log` VALUES (23951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:54:15');
INSERT INTO `sys_job_log` VALUES (23952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:54:15');
INSERT INTO `sys_job_log` VALUES (23953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:54:20');
INSERT INTO `sys_job_log` VALUES (23954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:54:25');
INSERT INTO `sys_job_log` VALUES (23955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 08:54:30');
INSERT INTO `sys_job_log` VALUES (23956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:54:30');
INSERT INTO `sys_job_log` VALUES (23957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:54:35');
INSERT INTO `sys_job_log` VALUES (23958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:54:40');
INSERT INTO `sys_job_log` VALUES (23959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:54:45');
INSERT INTO `sys_job_log` VALUES (23960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:54:45');
INSERT INTO `sys_job_log` VALUES (23961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:54:50');
INSERT INTO `sys_job_log` VALUES (23962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:54:55');
INSERT INTO `sys_job_log` VALUES (23963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:55:00');
INSERT INTO `sys_job_log` VALUES (23964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:55:00');
INSERT INTO `sys_job_log` VALUES (23965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:55:05');
INSERT INTO `sys_job_log` VALUES (23966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:55:10');
INSERT INTO `sys_job_log` VALUES (23967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:55:15');
INSERT INTO `sys_job_log` VALUES (23968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:55:15');
INSERT INTO `sys_job_log` VALUES (23969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:55:20');
INSERT INTO `sys_job_log` VALUES (23970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:55:25');
INSERT INTO `sys_job_log` VALUES (23971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:55:30');
INSERT INTO `sys_job_log` VALUES (23972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:55:30');
INSERT INTO `sys_job_log` VALUES (23973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:55:35');
INSERT INTO `sys_job_log` VALUES (23974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:55:40');
INSERT INTO `sys_job_log` VALUES (23975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:55:45');
INSERT INTO `sys_job_log` VALUES (23976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:55:45');
INSERT INTO `sys_job_log` VALUES (23977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:55:50');
INSERT INTO `sys_job_log` VALUES (23978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:55:55');
INSERT INTO `sys_job_log` VALUES (23979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:56:00');
INSERT INTO `sys_job_log` VALUES (23980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:56:00');
INSERT INTO `sys_job_log` VALUES (23981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:56:05');
INSERT INTO `sys_job_log` VALUES (23982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:56:10');
INSERT INTO `sys_job_log` VALUES (23983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 08:56:15');
INSERT INTO `sys_job_log` VALUES (23984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:56:15');
INSERT INTO `sys_job_log` VALUES (23985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 08:56:20');
INSERT INTO `sys_job_log` VALUES (23986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:56:25');
INSERT INTO `sys_job_log` VALUES (23987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:56:30');
INSERT INTO `sys_job_log` VALUES (23988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:56:30');
INSERT INTO `sys_job_log` VALUES (23989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:56:35');
INSERT INTO `sys_job_log` VALUES (23990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:56:40');
INSERT INTO `sys_job_log` VALUES (23991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:56:45');
INSERT INTO `sys_job_log` VALUES (23992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:56:45');
INSERT INTO `sys_job_log` VALUES (23993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:56:50');
INSERT INTO `sys_job_log` VALUES (23994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:56:55');
INSERT INTO `sys_job_log` VALUES (23995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:57:00');
INSERT INTO `sys_job_log` VALUES (23996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:57:00');
INSERT INTO `sys_job_log` VALUES (23997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:57:05');
INSERT INTO `sys_job_log` VALUES (23998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 08:57:10');
INSERT INTO `sys_job_log` VALUES (23999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:57:15');
INSERT INTO `sys_job_log` VALUES (24000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 08:57:15');
INSERT INTO `sys_job_log` VALUES (24001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:57:20');
INSERT INTO `sys_job_log` VALUES (24002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:57:25');
INSERT INTO `sys_job_log` VALUES (24003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:57:30');
INSERT INTO `sys_job_log` VALUES (24004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:57:30');
INSERT INTO `sys_job_log` VALUES (24005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:57:35');
INSERT INTO `sys_job_log` VALUES (24006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:57:40');
INSERT INTO `sys_job_log` VALUES (24007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 08:57:45');
INSERT INTO `sys_job_log` VALUES (24008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:57:45');
INSERT INTO `sys_job_log` VALUES (24009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:57:50');
INSERT INTO `sys_job_log` VALUES (24010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 08:57:55');
INSERT INTO `sys_job_log` VALUES (24011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:58:00');
INSERT INTO `sys_job_log` VALUES (24012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:58:00');
INSERT INTO `sys_job_log` VALUES (24013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:58:05');
INSERT INTO `sys_job_log` VALUES (24014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 08:58:10');
INSERT INTO `sys_job_log` VALUES (24015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 08:58:15');
INSERT INTO `sys_job_log` VALUES (24016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:58:15');
INSERT INTO `sys_job_log` VALUES (24017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:58:20');
INSERT INTO `sys_job_log` VALUES (24018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:58:25');
INSERT INTO `sys_job_log` VALUES (24019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:58:30');
INSERT INTO `sys_job_log` VALUES (24020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 08:58:30');
INSERT INTO `sys_job_log` VALUES (24021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:58:35');
INSERT INTO `sys_job_log` VALUES (24022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:58:40');
INSERT INTO `sys_job_log` VALUES (24023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 08:58:45');
INSERT INTO `sys_job_log` VALUES (24024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:58:45');
INSERT INTO `sys_job_log` VALUES (24025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 08:58:50');
INSERT INTO `sys_job_log` VALUES (24026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:58:55');
INSERT INTO `sys_job_log` VALUES (24027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 08:59:00');
INSERT INTO `sys_job_log` VALUES (24028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:59:00');
INSERT INTO `sys_job_log` VALUES (24029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:59:05');
INSERT INTO `sys_job_log` VALUES (24030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 08:59:10');
INSERT INTO `sys_job_log` VALUES (24031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 08:59:15');
INSERT INTO `sys_job_log` VALUES (24032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 08:59:15');
INSERT INTO `sys_job_log` VALUES (24033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 08:59:20');
INSERT INTO `sys_job_log` VALUES (24034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 08:59:25');
INSERT INTO `sys_job_log` VALUES (24035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 08:59:30');
INSERT INTO `sys_job_log` VALUES (24036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 08:59:30');
INSERT INTO `sys_job_log` VALUES (24037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 08:59:35');
INSERT INTO `sys_job_log` VALUES (24038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 08:59:40');
INSERT INTO `sys_job_log` VALUES (24039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 08:59:45');
INSERT INTO `sys_job_log` VALUES (24040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 08:59:45');
INSERT INTO `sys_job_log` VALUES (24041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 08:59:50');
INSERT INTO `sys_job_log` VALUES (24042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 08:59:55');
INSERT INTO `sys_job_log` VALUES (24043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 09:00:00');
INSERT INTO `sys_job_log` VALUES (24044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 09:00:00');
INSERT INTO `sys_job_log` VALUES (24045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:05');
INSERT INTO `sys_job_log` VALUES (24046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:00:10');
INSERT INTO `sys_job_log` VALUES (24047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:15');
INSERT INTO `sys_job_log` VALUES (24048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:15');
INSERT INTO `sys_job_log` VALUES (24049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:00:20');
INSERT INTO `sys_job_log` VALUES (24050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:00:25');
INSERT INTO `sys_job_log` VALUES (24051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:00:30');
INSERT INTO `sys_job_log` VALUES (24052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:00:30');
INSERT INTO `sys_job_log` VALUES (24053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:00:35');
INSERT INTO `sys_job_log` VALUES (24054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:40');
INSERT INTO `sys_job_log` VALUES (24055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:45');
INSERT INTO `sys_job_log` VALUES (24056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:45');
INSERT INTO `sys_job_log` VALUES (24057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:00:50');
INSERT INTO `sys_job_log` VALUES (24058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:00:55');
INSERT INTO `sys_job_log` VALUES (24059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：158毫秒', '0', '', '2024-12-27 09:01:00');
INSERT INTO `sys_job_log` VALUES (24060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：158毫秒', '0', '', '2024-12-27 09:01:00');
INSERT INTO `sys_job_log` VALUES (24061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:01:05');
INSERT INTO `sys_job_log` VALUES (24062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:01:10');
INSERT INTO `sys_job_log` VALUES (24063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:01:15');
INSERT INTO `sys_job_log` VALUES (24064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:01:15');
INSERT INTO `sys_job_log` VALUES (24065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:01:20');
INSERT INTO `sys_job_log` VALUES (24066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:01:25');
INSERT INTO `sys_job_log` VALUES (24067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:01:30');
INSERT INTO `sys_job_log` VALUES (24068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:01:30');
INSERT INTO `sys_job_log` VALUES (24069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:01:35');
INSERT INTO `sys_job_log` VALUES (24070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:01:40');
INSERT INTO `sys_job_log` VALUES (24071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:01:45');
INSERT INTO `sys_job_log` VALUES (24072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:01:45');
INSERT INTO `sys_job_log` VALUES (24073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:01:50');
INSERT INTO `sys_job_log` VALUES (24074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:01:55');
INSERT INTO `sys_job_log` VALUES (24075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:02:00');
INSERT INTO `sys_job_log` VALUES (24076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:02:00');
INSERT INTO `sys_job_log` VALUES (24077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 09:02:05');
INSERT INTO `sys_job_log` VALUES (24078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:02:10');
INSERT INTO `sys_job_log` VALUES (24079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:02:15');
INSERT INTO `sys_job_log` VALUES (24080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:02:15');
INSERT INTO `sys_job_log` VALUES (24081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:02:20');
INSERT INTO `sys_job_log` VALUES (24082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:02:25');
INSERT INTO `sys_job_log` VALUES (24083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:02:30');
INSERT INTO `sys_job_log` VALUES (24084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:02:30');
INSERT INTO `sys_job_log` VALUES (24085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:02:35');
INSERT INTO `sys_job_log` VALUES (24086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:02:40');
INSERT INTO `sys_job_log` VALUES (24087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:02:45');
INSERT INTO `sys_job_log` VALUES (24088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:02:45');
INSERT INTO `sys_job_log` VALUES (24089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:02:50');
INSERT INTO `sys_job_log` VALUES (24090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:02:55');
INSERT INTO `sys_job_log` VALUES (24091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:03:00');
INSERT INTO `sys_job_log` VALUES (24092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:03:00');
INSERT INTO `sys_job_log` VALUES (24093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:03:05');
INSERT INTO `sys_job_log` VALUES (24094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:03:10');
INSERT INTO `sys_job_log` VALUES (24095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:03:15');
INSERT INTO `sys_job_log` VALUES (24096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:03:15');
INSERT INTO `sys_job_log` VALUES (24097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:03:20');
INSERT INTO `sys_job_log` VALUES (24098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:03:25');
INSERT INTO `sys_job_log` VALUES (24099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:03:30');
INSERT INTO `sys_job_log` VALUES (24100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:03:30');
INSERT INTO `sys_job_log` VALUES (24101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:03:35');
INSERT INTO `sys_job_log` VALUES (24102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:03:40');
INSERT INTO `sys_job_log` VALUES (24103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:03:45');
INSERT INTO `sys_job_log` VALUES (24104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:03:45');
INSERT INTO `sys_job_log` VALUES (24105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:03:50');
INSERT INTO `sys_job_log` VALUES (24106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 09:03:55');
INSERT INTO `sys_job_log` VALUES (24107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:04:00');
INSERT INTO `sys_job_log` VALUES (24108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:04:00');
INSERT INTO `sys_job_log` VALUES (24109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:04:05');
INSERT INTO `sys_job_log` VALUES (24110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:04:10');
INSERT INTO `sys_job_log` VALUES (24111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:04:15');
INSERT INTO `sys_job_log` VALUES (24112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:04:15');
INSERT INTO `sys_job_log` VALUES (24113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:04:20');
INSERT INTO `sys_job_log` VALUES (24114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:04:25');
INSERT INTO `sys_job_log` VALUES (24115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:04:30');
INSERT INTO `sys_job_log` VALUES (24116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:04:30');
INSERT INTO `sys_job_log` VALUES (24117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:04:35');
INSERT INTO `sys_job_log` VALUES (24118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:04:40');
INSERT INTO `sys_job_log` VALUES (24119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:04:45');
INSERT INTO `sys_job_log` VALUES (24120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:04:45');
INSERT INTO `sys_job_log` VALUES (24121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:04:50');
INSERT INTO `sys_job_log` VALUES (24122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:04:55');
INSERT INTO `sys_job_log` VALUES (24123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 09:05:00');
INSERT INTO `sys_job_log` VALUES (24124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:05:00');
INSERT INTO `sys_job_log` VALUES (24125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:05:05');
INSERT INTO `sys_job_log` VALUES (24126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:05:10');
INSERT INTO `sys_job_log` VALUES (24127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:05:15');
INSERT INTO `sys_job_log` VALUES (24128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:05:15');
INSERT INTO `sys_job_log` VALUES (24129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:05:20');
INSERT INTO `sys_job_log` VALUES (24130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:05:25');
INSERT INTO `sys_job_log` VALUES (24131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:05:30');
INSERT INTO `sys_job_log` VALUES (24132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:05:30');
INSERT INTO `sys_job_log` VALUES (24133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:05:35');
INSERT INTO `sys_job_log` VALUES (24134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:05:40');
INSERT INTO `sys_job_log` VALUES (24135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:05:45');
INSERT INTO `sys_job_log` VALUES (24136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:05:45');
INSERT INTO `sys_job_log` VALUES (24137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:05:50');
INSERT INTO `sys_job_log` VALUES (24138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:05:55');
INSERT INTO `sys_job_log` VALUES (24139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:06:00');
INSERT INTO `sys_job_log` VALUES (24140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:06:00');
INSERT INTO `sys_job_log` VALUES (24141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:06:05');
INSERT INTO `sys_job_log` VALUES (24142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:06:10');
INSERT INTO `sys_job_log` VALUES (24143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:06:15');
INSERT INTO `sys_job_log` VALUES (24144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:06:15');
INSERT INTO `sys_job_log` VALUES (24145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:06:20');
INSERT INTO `sys_job_log` VALUES (24146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:06:25');
INSERT INTO `sys_job_log` VALUES (24147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:06:30');
INSERT INTO `sys_job_log` VALUES (24148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:06:30');
INSERT INTO `sys_job_log` VALUES (24149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:06:35');
INSERT INTO `sys_job_log` VALUES (24150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:06:40');
INSERT INTO `sys_job_log` VALUES (24151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-27 09:06:45');
INSERT INTO `sys_job_log` VALUES (24152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 09:06:45');
INSERT INTO `sys_job_log` VALUES (24153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:06:50');
INSERT INTO `sys_job_log` VALUES (24154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:06:55');
INSERT INTO `sys_job_log` VALUES (24155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:07:00');
INSERT INTO `sys_job_log` VALUES (24156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:07:00');
INSERT INTO `sys_job_log` VALUES (24157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:07:05');
INSERT INTO `sys_job_log` VALUES (24158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:07:10');
INSERT INTO `sys_job_log` VALUES (24159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:07:15');
INSERT INTO `sys_job_log` VALUES (24160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:07:15');
INSERT INTO `sys_job_log` VALUES (24161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:07:20');
INSERT INTO `sys_job_log` VALUES (24162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-27 09:07:25');
INSERT INTO `sys_job_log` VALUES (24163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:07:30');
INSERT INTO `sys_job_log` VALUES (24164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:07:30');
INSERT INTO `sys_job_log` VALUES (24165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:07:35');
INSERT INTO `sys_job_log` VALUES (24166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:07:40');
INSERT INTO `sys_job_log` VALUES (24167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:07:45');
INSERT INTO `sys_job_log` VALUES (24168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:07:45');
INSERT INTO `sys_job_log` VALUES (24169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:07:50');
INSERT INTO `sys_job_log` VALUES (24170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:07:55');
INSERT INTO `sys_job_log` VALUES (24171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:08:00');
INSERT INTO `sys_job_log` VALUES (24172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:08:00');
INSERT INTO `sys_job_log` VALUES (24173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:08:05');
INSERT INTO `sys_job_log` VALUES (24174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:08:10');
INSERT INTO `sys_job_log` VALUES (24175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:08:15');
INSERT INTO `sys_job_log` VALUES (24176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:08:15');
INSERT INTO `sys_job_log` VALUES (24177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:08:20');
INSERT INTO `sys_job_log` VALUES (24178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:08:25');
INSERT INTO `sys_job_log` VALUES (24179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:08:30');
INSERT INTO `sys_job_log` VALUES (24180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:08:30');
INSERT INTO `sys_job_log` VALUES (24181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:08:35');
INSERT INTO `sys_job_log` VALUES (24182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 09:08:40');
INSERT INTO `sys_job_log` VALUES (24183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:08:45');
INSERT INTO `sys_job_log` VALUES (24184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:08:45');
INSERT INTO `sys_job_log` VALUES (24185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:08:50');
INSERT INTO `sys_job_log` VALUES (24186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:08:55');
INSERT INTO `sys_job_log` VALUES (24187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:09:00');
INSERT INTO `sys_job_log` VALUES (24188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:09:00');
INSERT INTO `sys_job_log` VALUES (24189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:09:05');
INSERT INTO `sys_job_log` VALUES (24190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:09:10');
INSERT INTO `sys_job_log` VALUES (24191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:09:15');
INSERT INTO `sys_job_log` VALUES (24192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:09:15');
INSERT INTO `sys_job_log` VALUES (24193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:09:20');
INSERT INTO `sys_job_log` VALUES (24194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:09:25');
INSERT INTO `sys_job_log` VALUES (24195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:09:30');
INSERT INTO `sys_job_log` VALUES (24196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:09:30');
INSERT INTO `sys_job_log` VALUES (24197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:09:35');
INSERT INTO `sys_job_log` VALUES (24198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:09:40');
INSERT INTO `sys_job_log` VALUES (24199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:09:45');
INSERT INTO `sys_job_log` VALUES (24200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:09:45');
INSERT INTO `sys_job_log` VALUES (24201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:09:50');
INSERT INTO `sys_job_log` VALUES (24202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:09:55');
INSERT INTO `sys_job_log` VALUES (24203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:10:00');
INSERT INTO `sys_job_log` VALUES (24204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:10:00');
INSERT INTO `sys_job_log` VALUES (24205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:10:05');
INSERT INTO `sys_job_log` VALUES (24206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:10:10');
INSERT INTO `sys_job_log` VALUES (24207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:10:15');
INSERT INTO `sys_job_log` VALUES (24208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:10:15');
INSERT INTO `sys_job_log` VALUES (24209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:10:20');
INSERT INTO `sys_job_log` VALUES (24210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:10:25');
INSERT INTO `sys_job_log` VALUES (24211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:10:30');
INSERT INTO `sys_job_log` VALUES (24212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:10:30');
INSERT INTO `sys_job_log` VALUES (24213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:10:35');
INSERT INTO `sys_job_log` VALUES (24214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:10:40');
INSERT INTO `sys_job_log` VALUES (24215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:10:45');
INSERT INTO `sys_job_log` VALUES (24216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:10:45');
INSERT INTO `sys_job_log` VALUES (24217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:10:50');
INSERT INTO `sys_job_log` VALUES (24218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:10:55');
INSERT INTO `sys_job_log` VALUES (24219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:11:00');
INSERT INTO `sys_job_log` VALUES (24220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:11:00');
INSERT INTO `sys_job_log` VALUES (24221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:11:05');
INSERT INTO `sys_job_log` VALUES (24222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2024-12-27 09:11:10');
INSERT INTO `sys_job_log` VALUES (24223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:11:15');
INSERT INTO `sys_job_log` VALUES (24224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:11:15');
INSERT INTO `sys_job_log` VALUES (24225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:11:20');
INSERT INTO `sys_job_log` VALUES (24226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:11:25');
INSERT INTO `sys_job_log` VALUES (24227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:11:30');
INSERT INTO `sys_job_log` VALUES (24228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:11:30');
INSERT INTO `sys_job_log` VALUES (24229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:11:35');
INSERT INTO `sys_job_log` VALUES (24230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:11:40');
INSERT INTO `sys_job_log` VALUES (24231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:11:45');
INSERT INTO `sys_job_log` VALUES (24232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:11:45');
INSERT INTO `sys_job_log` VALUES (24233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:11:50');
INSERT INTO `sys_job_log` VALUES (24234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 09:11:55');
INSERT INTO `sys_job_log` VALUES (24235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:12:00');
INSERT INTO `sys_job_log` VALUES (24236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:12:00');
INSERT INTO `sys_job_log` VALUES (24237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:05');
INSERT INTO `sys_job_log` VALUES (24238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:12:10');
INSERT INTO `sys_job_log` VALUES (24239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:12:15');
INSERT INTO `sys_job_log` VALUES (24240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:12:15');
INSERT INTO `sys_job_log` VALUES (24241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:12:20');
INSERT INTO `sys_job_log` VALUES (24242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:12:25');
INSERT INTO `sys_job_log` VALUES (24243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:30');
INSERT INTO `sys_job_log` VALUES (24244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:30');
INSERT INTO `sys_job_log` VALUES (24245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:35');
INSERT INTO `sys_job_log` VALUES (24246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:40');
INSERT INTO `sys_job_log` VALUES (24247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:45');
INSERT INTO `sys_job_log` VALUES (24248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:12:45');
INSERT INTO `sys_job_log` VALUES (24249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:12:50');
INSERT INTO `sys_job_log` VALUES (24250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:12:55');
INSERT INTO `sys_job_log` VALUES (24251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:13:00');
INSERT INTO `sys_job_log` VALUES (24252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:13:00');
INSERT INTO `sys_job_log` VALUES (24253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:13:05');
INSERT INTO `sys_job_log` VALUES (24254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:13:10');
INSERT INTO `sys_job_log` VALUES (24255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:13:15');
INSERT INTO `sys_job_log` VALUES (24256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:13:15');
INSERT INTO `sys_job_log` VALUES (24257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:13:20');
INSERT INTO `sys_job_log` VALUES (24258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:13:25');
INSERT INTO `sys_job_log` VALUES (24259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:13:30');
INSERT INTO `sys_job_log` VALUES (24260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:13:30');
INSERT INTO `sys_job_log` VALUES (24261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:13:35');
INSERT INTO `sys_job_log` VALUES (24262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:13:40');
INSERT INTO `sys_job_log` VALUES (24263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:13:45');
INSERT INTO `sys_job_log` VALUES (24264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:13:45');
INSERT INTO `sys_job_log` VALUES (24265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:13:50');
INSERT INTO `sys_job_log` VALUES (24266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:13:55');
INSERT INTO `sys_job_log` VALUES (24267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:14:00');
INSERT INTO `sys_job_log` VALUES (24268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:14:00');
INSERT INTO `sys_job_log` VALUES (24269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:14:05');
INSERT INTO `sys_job_log` VALUES (24270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:14:10');
INSERT INTO `sys_job_log` VALUES (24271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:14:15');
INSERT INTO `sys_job_log` VALUES (24272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:14:15');
INSERT INTO `sys_job_log` VALUES (24273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:14:20');
INSERT INTO `sys_job_log` VALUES (24274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:14:25');
INSERT INTO `sys_job_log` VALUES (24275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:14:30');
INSERT INTO `sys_job_log` VALUES (24276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:14:30');
INSERT INTO `sys_job_log` VALUES (24277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:14:35');
INSERT INTO `sys_job_log` VALUES (24278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:14:40');
INSERT INTO `sys_job_log` VALUES (24279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:14:45');
INSERT INTO `sys_job_log` VALUES (24280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:14:45');
INSERT INTO `sys_job_log` VALUES (24281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:14:50');
INSERT INTO `sys_job_log` VALUES (24282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:14:55');
INSERT INTO `sys_job_log` VALUES (24283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:15:00');
INSERT INTO `sys_job_log` VALUES (24284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:15:00');
INSERT INTO `sys_job_log` VALUES (24285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:15:05');
INSERT INTO `sys_job_log` VALUES (24286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:15:10');
INSERT INTO `sys_job_log` VALUES (24287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:15:15');
INSERT INTO `sys_job_log` VALUES (24288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:15:15');
INSERT INTO `sys_job_log` VALUES (24289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:15:20');
INSERT INTO `sys_job_log` VALUES (24290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 09:15:25');
INSERT INTO `sys_job_log` VALUES (24291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:15:30');
INSERT INTO `sys_job_log` VALUES (24292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:15:30');
INSERT INTO `sys_job_log` VALUES (24293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 09:15:35');
INSERT INTO `sys_job_log` VALUES (24294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:15:40');
INSERT INTO `sys_job_log` VALUES (24295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:15:45');
INSERT INTO `sys_job_log` VALUES (24296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:15:45');
INSERT INTO `sys_job_log` VALUES (24297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:15:50');
INSERT INTO `sys_job_log` VALUES (24298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:15:55');
INSERT INTO `sys_job_log` VALUES (24299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:16:00');
INSERT INTO `sys_job_log` VALUES (24300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:16:00');
INSERT INTO `sys_job_log` VALUES (24301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:16:05');
INSERT INTO `sys_job_log` VALUES (24302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:16:10');
INSERT INTO `sys_job_log` VALUES (24303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:16:15');
INSERT INTO `sys_job_log` VALUES (24304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:16:15');
INSERT INTO `sys_job_log` VALUES (24305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:16:20');
INSERT INTO `sys_job_log` VALUES (24306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:16:25');
INSERT INTO `sys_job_log` VALUES (24307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:16:30');
INSERT INTO `sys_job_log` VALUES (24308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:16:30');
INSERT INTO `sys_job_log` VALUES (24309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:16:35');
INSERT INTO `sys_job_log` VALUES (24310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:16:40');
INSERT INTO `sys_job_log` VALUES (24311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:16:45');
INSERT INTO `sys_job_log` VALUES (24312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:16:45');
INSERT INTO `sys_job_log` VALUES (24313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:16:50');
INSERT INTO `sys_job_log` VALUES (24314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:16:55');
INSERT INTO `sys_job_log` VALUES (24315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:17:00');
INSERT INTO `sys_job_log` VALUES (24316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:17:00');
INSERT INTO `sys_job_log` VALUES (24317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:17:05');
INSERT INTO `sys_job_log` VALUES (24318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:17:10');
INSERT INTO `sys_job_log` VALUES (24319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 09:17:15');
INSERT INTO `sys_job_log` VALUES (24320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:17:15');
INSERT INTO `sys_job_log` VALUES (24321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:17:20');
INSERT INTO `sys_job_log` VALUES (24322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:25');
INSERT INTO `sys_job_log` VALUES (24323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:30');
INSERT INTO `sys_job_log` VALUES (24324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:30');
INSERT INTO `sys_job_log` VALUES (24325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:35');
INSERT INTO `sys_job_log` VALUES (24326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:17:40');
INSERT INTO `sys_job_log` VALUES (24327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:45');
INSERT INTO `sys_job_log` VALUES (24328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:45');
INSERT INTO `sys_job_log` VALUES (24329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:17:50');
INSERT INTO `sys_job_log` VALUES (24330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:17:55');
INSERT INTO `sys_job_log` VALUES (24331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:18:00');
INSERT INTO `sys_job_log` VALUES (24332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:18:00');
INSERT INTO `sys_job_log` VALUES (24333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:18:05');
INSERT INTO `sys_job_log` VALUES (24334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:18:10');
INSERT INTO `sys_job_log` VALUES (24335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:18:15');
INSERT INTO `sys_job_log` VALUES (24336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:18:15');
INSERT INTO `sys_job_log` VALUES (24337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 09:18:20');
INSERT INTO `sys_job_log` VALUES (24338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:18:25');
INSERT INTO `sys_job_log` VALUES (24339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:18:30');
INSERT INTO `sys_job_log` VALUES (24340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:18:30');
INSERT INTO `sys_job_log` VALUES (24341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:18:35');
INSERT INTO `sys_job_log` VALUES (24342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:18:40');
INSERT INTO `sys_job_log` VALUES (24343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:18:45');
INSERT INTO `sys_job_log` VALUES (24344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:18:45');
INSERT INTO `sys_job_log` VALUES (24345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:18:50');
INSERT INTO `sys_job_log` VALUES (24346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:18:55');
INSERT INTO `sys_job_log` VALUES (24347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:19:00');
INSERT INTO `sys_job_log` VALUES (24348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:19:00');
INSERT INTO `sys_job_log` VALUES (24349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:19:05');
INSERT INTO `sys_job_log` VALUES (24350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:19:10');
INSERT INTO `sys_job_log` VALUES (24351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:19:15');
INSERT INTO `sys_job_log` VALUES (24352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:19:15');
INSERT INTO `sys_job_log` VALUES (24353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:19:20');
INSERT INTO `sys_job_log` VALUES (24354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:19:25');
INSERT INTO `sys_job_log` VALUES (24355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:19:30');
INSERT INTO `sys_job_log` VALUES (24356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:19:30');
INSERT INTO `sys_job_log` VALUES (24357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:19:35');
INSERT INTO `sys_job_log` VALUES (24358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:19:40');
INSERT INTO `sys_job_log` VALUES (24359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:19:45');
INSERT INTO `sys_job_log` VALUES (24360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:19:45');
INSERT INTO `sys_job_log` VALUES (24361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:19:50');
INSERT INTO `sys_job_log` VALUES (24362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:19:55');
INSERT INTO `sys_job_log` VALUES (24363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:20:00');
INSERT INTO `sys_job_log` VALUES (24364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:20:00');
INSERT INTO `sys_job_log` VALUES (24365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:20:05');
INSERT INTO `sys_job_log` VALUES (24366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:20:10');
INSERT INTO `sys_job_log` VALUES (24367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:20:15');
INSERT INTO `sys_job_log` VALUES (24368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 09:20:15');
INSERT INTO `sys_job_log` VALUES (24369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:20:20');
INSERT INTO `sys_job_log` VALUES (24370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:20:25');
INSERT INTO `sys_job_log` VALUES (24371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:20:30');
INSERT INTO `sys_job_log` VALUES (24372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:20:30');
INSERT INTO `sys_job_log` VALUES (24373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:20:35');
INSERT INTO `sys_job_log` VALUES (24374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:20:40');
INSERT INTO `sys_job_log` VALUES (24375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:20:45');
INSERT INTO `sys_job_log` VALUES (24376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:20:45');
INSERT INTO `sys_job_log` VALUES (24377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:20:50');
INSERT INTO `sys_job_log` VALUES (24378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:20:55');
INSERT INTO `sys_job_log` VALUES (24379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:00');
INSERT INTO `sys_job_log` VALUES (24380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:00');
INSERT INTO `sys_job_log` VALUES (24381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:21:05');
INSERT INTO `sys_job_log` VALUES (24382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:10');
INSERT INTO `sys_job_log` VALUES (24383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:15');
INSERT INTO `sys_job_log` VALUES (24384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:15');
INSERT INTO `sys_job_log` VALUES (24385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 09:21:20');
INSERT INTO `sys_job_log` VALUES (24386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:25');
INSERT INTO `sys_job_log` VALUES (24387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:30');
INSERT INTO `sys_job_log` VALUES (24388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:30');
INSERT INTO `sys_job_log` VALUES (24389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:21:35');
INSERT INTO `sys_job_log` VALUES (24390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:21:40');
INSERT INTO `sys_job_log` VALUES (24391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:45');
INSERT INTO `sys_job_log` VALUES (24392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:21:45');
INSERT INTO `sys_job_log` VALUES (24393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:21:50');
INSERT INTO `sys_job_log` VALUES (24394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:21:55');
INSERT INTO `sys_job_log` VALUES (24395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:22:00');
INSERT INTO `sys_job_log` VALUES (24396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:22:00');
INSERT INTO `sys_job_log` VALUES (24397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:22:05');
INSERT INTO `sys_job_log` VALUES (24398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:22:10');
INSERT INTO `sys_job_log` VALUES (24399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:22:15');
INSERT INTO `sys_job_log` VALUES (24400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:22:15');
INSERT INTO `sys_job_log` VALUES (24401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:22:20');
INSERT INTO `sys_job_log` VALUES (24402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:22:25');
INSERT INTO `sys_job_log` VALUES (24403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:22:30');
INSERT INTO `sys_job_log` VALUES (24404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:22:30');
INSERT INTO `sys_job_log` VALUES (24405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:22:35');
INSERT INTO `sys_job_log` VALUES (24406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:22:40');
INSERT INTO `sys_job_log` VALUES (24407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:22:45');
INSERT INTO `sys_job_log` VALUES (24408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:22:45');
INSERT INTO `sys_job_log` VALUES (24409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:22:50');
INSERT INTO `sys_job_log` VALUES (24410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:22:55');
INSERT INTO `sys_job_log` VALUES (24411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:23:00');
INSERT INTO `sys_job_log` VALUES (24412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:23:00');
INSERT INTO `sys_job_log` VALUES (24413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:23:05');
INSERT INTO `sys_job_log` VALUES (24414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:23:10');
INSERT INTO `sys_job_log` VALUES (24415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:23:15');
INSERT INTO `sys_job_log` VALUES (24416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:23:15');
INSERT INTO `sys_job_log` VALUES (24417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:23:20');
INSERT INTO `sys_job_log` VALUES (24418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:23:25');
INSERT INTO `sys_job_log` VALUES (24419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:23:30');
INSERT INTO `sys_job_log` VALUES (24420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:23:30');
INSERT INTO `sys_job_log` VALUES (24421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:23:35');
INSERT INTO `sys_job_log` VALUES (24422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:23:40');
INSERT INTO `sys_job_log` VALUES (24423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:23:45');
INSERT INTO `sys_job_log` VALUES (24424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:23:45');
INSERT INTO `sys_job_log` VALUES (24425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:23:50');
INSERT INTO `sys_job_log` VALUES (24426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:23:55');
INSERT INTO `sys_job_log` VALUES (24427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:24:00');
INSERT INTO `sys_job_log` VALUES (24428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:24:00');
INSERT INTO `sys_job_log` VALUES (24429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:24:05');
INSERT INTO `sys_job_log` VALUES (24430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:24:10');
INSERT INTO `sys_job_log` VALUES (24431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:24:15');
INSERT INTO `sys_job_log` VALUES (24432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:24:15');
INSERT INTO `sys_job_log` VALUES (24433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:24:20');
INSERT INTO `sys_job_log` VALUES (24434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:24:25');
INSERT INTO `sys_job_log` VALUES (24435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:24:30');
INSERT INTO `sys_job_log` VALUES (24436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:24:30');
INSERT INTO `sys_job_log` VALUES (24437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:24:35');
INSERT INTO `sys_job_log` VALUES (24438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:24:40');
INSERT INTO `sys_job_log` VALUES (24439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:24:45');
INSERT INTO `sys_job_log` VALUES (24440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:24:45');
INSERT INTO `sys_job_log` VALUES (24441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:24:50');
INSERT INTO `sys_job_log` VALUES (24442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:24:55');
INSERT INTO `sys_job_log` VALUES (24443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:25:00');
INSERT INTO `sys_job_log` VALUES (24444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:25:00');
INSERT INTO `sys_job_log` VALUES (24445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:25:05');
INSERT INTO `sys_job_log` VALUES (24446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:25:10');
INSERT INTO `sys_job_log` VALUES (24447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:25:15');
INSERT INTO `sys_job_log` VALUES (24448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:25:15');
INSERT INTO `sys_job_log` VALUES (24449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:25:20');
INSERT INTO `sys_job_log` VALUES (24450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:25:25');
INSERT INTO `sys_job_log` VALUES (24451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:25:30');
INSERT INTO `sys_job_log` VALUES (24452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:25:30');
INSERT INTO `sys_job_log` VALUES (24453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:25:35');
INSERT INTO `sys_job_log` VALUES (24454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:25:40');
INSERT INTO `sys_job_log` VALUES (24455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:25:45');
INSERT INTO `sys_job_log` VALUES (24456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:25:45');
INSERT INTO `sys_job_log` VALUES (24457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:25:50');
INSERT INTO `sys_job_log` VALUES (24458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:25:55');
INSERT INTO `sys_job_log` VALUES (24459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:26:00');
INSERT INTO `sys_job_log` VALUES (24460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:26:00');
INSERT INTO `sys_job_log` VALUES (24461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:26:05');
INSERT INTO `sys_job_log` VALUES (24462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:26:10');
INSERT INTO `sys_job_log` VALUES (24463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:26:15');
INSERT INTO `sys_job_log` VALUES (24464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:26:15');
INSERT INTO `sys_job_log` VALUES (24465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:26:20');
INSERT INTO `sys_job_log` VALUES (24466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:26:25');
INSERT INTO `sys_job_log` VALUES (24467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:26:30');
INSERT INTO `sys_job_log` VALUES (24468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:26:30');
INSERT INTO `sys_job_log` VALUES (24469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:26:35');
INSERT INTO `sys_job_log` VALUES (24470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:26:40');
INSERT INTO `sys_job_log` VALUES (24471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:26:45');
INSERT INTO `sys_job_log` VALUES (24472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:26:45');
INSERT INTO `sys_job_log` VALUES (24473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:26:50');
INSERT INTO `sys_job_log` VALUES (24474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:26:55');
INSERT INTO `sys_job_log` VALUES (24475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 09:27:00');
INSERT INTO `sys_job_log` VALUES (24476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:27:00');
INSERT INTO `sys_job_log` VALUES (24477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:27:05');
INSERT INTO `sys_job_log` VALUES (24478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:27:10');
INSERT INTO `sys_job_log` VALUES (24479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:27:15');
INSERT INTO `sys_job_log` VALUES (24480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:27:15');
INSERT INTO `sys_job_log` VALUES (24481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:27:20');
INSERT INTO `sys_job_log` VALUES (24482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 09:27:25');
INSERT INTO `sys_job_log` VALUES (24483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:27:30');
INSERT INTO `sys_job_log` VALUES (24484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:27:30');
INSERT INTO `sys_job_log` VALUES (24485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:27:35');
INSERT INTO `sys_job_log` VALUES (24486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:27:40');
INSERT INTO `sys_job_log` VALUES (24487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:27:45');
INSERT INTO `sys_job_log` VALUES (24488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:27:45');
INSERT INTO `sys_job_log` VALUES (24489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:27:50');
INSERT INTO `sys_job_log` VALUES (24490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:27:55');
INSERT INTO `sys_job_log` VALUES (24491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:28:00');
INSERT INTO `sys_job_log` VALUES (24492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:28:00');
INSERT INTO `sys_job_log` VALUES (24493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:28:05');
INSERT INTO `sys_job_log` VALUES (24494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:28:10');
INSERT INTO `sys_job_log` VALUES (24495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:28:15');
INSERT INTO `sys_job_log` VALUES (24496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:28:15');
INSERT INTO `sys_job_log` VALUES (24497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:28:20');
INSERT INTO `sys_job_log` VALUES (24498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:28:25');
INSERT INTO `sys_job_log` VALUES (24499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:28:30');
INSERT INTO `sys_job_log` VALUES (24500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:28:30');
INSERT INTO `sys_job_log` VALUES (24501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:28:35');
INSERT INTO `sys_job_log` VALUES (24502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:28:40');
INSERT INTO `sys_job_log` VALUES (24503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:28:45');
INSERT INTO `sys_job_log` VALUES (24504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:28:45');
INSERT INTO `sys_job_log` VALUES (24505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:28:50');
INSERT INTO `sys_job_log` VALUES (24506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:28:55');
INSERT INTO `sys_job_log` VALUES (24507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 09:29:00');
INSERT INTO `sys_job_log` VALUES (24508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 09:29:00');
INSERT INTO `sys_job_log` VALUES (24509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:29:05');
INSERT INTO `sys_job_log` VALUES (24510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:29:10');
INSERT INTO `sys_job_log` VALUES (24511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:29:15');
INSERT INTO `sys_job_log` VALUES (24512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:29:15');
INSERT INTO `sys_job_log` VALUES (24513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:29:20');
INSERT INTO `sys_job_log` VALUES (24514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:29:25');
INSERT INTO `sys_job_log` VALUES (24515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:29:30');
INSERT INTO `sys_job_log` VALUES (24516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:29:30');
INSERT INTO `sys_job_log` VALUES (24517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:29:35');
INSERT INTO `sys_job_log` VALUES (24518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:29:40');
INSERT INTO `sys_job_log` VALUES (24519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:29:45');
INSERT INTO `sys_job_log` VALUES (24520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:29:45');
INSERT INTO `sys_job_log` VALUES (24521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:29:50');
INSERT INTO `sys_job_log` VALUES (24522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:29:55');
INSERT INTO `sys_job_log` VALUES (24523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:30:00');
INSERT INTO `sys_job_log` VALUES (24524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:30:00');
INSERT INTO `sys_job_log` VALUES (24525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:30:05');
INSERT INTO `sys_job_log` VALUES (24526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:30:10');
INSERT INTO `sys_job_log` VALUES (24527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 09:30:15');
INSERT INTO `sys_job_log` VALUES (24528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 09:30:15');
INSERT INTO `sys_job_log` VALUES (24529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:30:20');
INSERT INTO `sys_job_log` VALUES (24530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:30:25');
INSERT INTO `sys_job_log` VALUES (24531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:30:30');
INSERT INTO `sys_job_log` VALUES (24532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:30:30');
INSERT INTO `sys_job_log` VALUES (24533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:30:35');
INSERT INTO `sys_job_log` VALUES (24534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:30:40');
INSERT INTO `sys_job_log` VALUES (24535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:30:45');
INSERT INTO `sys_job_log` VALUES (24536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:30:45');
INSERT INTO `sys_job_log` VALUES (24537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:30:50');
INSERT INTO `sys_job_log` VALUES (24538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 09:30:55');
INSERT INTO `sys_job_log` VALUES (24539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:31:00');
INSERT INTO `sys_job_log` VALUES (24540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:31:00');
INSERT INTO `sys_job_log` VALUES (24541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:31:05');
INSERT INTO `sys_job_log` VALUES (24542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:31:10');
INSERT INTO `sys_job_log` VALUES (24543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:31:15');
INSERT INTO `sys_job_log` VALUES (24544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:31:15');
INSERT INTO `sys_job_log` VALUES (24545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:31:20');
INSERT INTO `sys_job_log` VALUES (24546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:31:25');
INSERT INTO `sys_job_log` VALUES (24547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：112毫秒', '0', '', '2024-12-27 09:31:30');
INSERT INTO `sys_job_log` VALUES (24548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：112毫秒', '0', '', '2024-12-27 09:31:30');
INSERT INTO `sys_job_log` VALUES (24549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:31:35');
INSERT INTO `sys_job_log` VALUES (24550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:31:40');
INSERT INTO `sys_job_log` VALUES (24551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:31:45');
INSERT INTO `sys_job_log` VALUES (24552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:31:45');
INSERT INTO `sys_job_log` VALUES (24553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:31:50');
INSERT INTO `sys_job_log` VALUES (24554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:31:55');
INSERT INTO `sys_job_log` VALUES (24555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:32:00');
INSERT INTO `sys_job_log` VALUES (24556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:32:00');
INSERT INTO `sys_job_log` VALUES (24557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:32:05');
INSERT INTO `sys_job_log` VALUES (24558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:32:10');
INSERT INTO `sys_job_log` VALUES (24559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:32:15');
INSERT INTO `sys_job_log` VALUES (24560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:32:15');
INSERT INTO `sys_job_log` VALUES (24561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:32:20');
INSERT INTO `sys_job_log` VALUES (24562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:32:25');
INSERT INTO `sys_job_log` VALUES (24563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:32:30');
INSERT INTO `sys_job_log` VALUES (24564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:32:30');
INSERT INTO `sys_job_log` VALUES (24565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:32:35');
INSERT INTO `sys_job_log` VALUES (24566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:32:40');
INSERT INTO `sys_job_log` VALUES (24567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:32:45');
INSERT INTO `sys_job_log` VALUES (24568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:32:45');
INSERT INTO `sys_job_log` VALUES (24569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:32:50');
INSERT INTO `sys_job_log` VALUES (24570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:32:55');
INSERT INTO `sys_job_log` VALUES (24571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:33:00');
INSERT INTO `sys_job_log` VALUES (24572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:33:00');
INSERT INTO `sys_job_log` VALUES (24573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:33:05');
INSERT INTO `sys_job_log` VALUES (24574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:33:10');
INSERT INTO `sys_job_log` VALUES (24575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:33:15');
INSERT INTO `sys_job_log` VALUES (24576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:33:15');
INSERT INTO `sys_job_log` VALUES (24577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:33:20');
INSERT INTO `sys_job_log` VALUES (24578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:33:25');
INSERT INTO `sys_job_log` VALUES (24579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:33:30');
INSERT INTO `sys_job_log` VALUES (24580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:33:30');
INSERT INTO `sys_job_log` VALUES (24581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:33:35');
INSERT INTO `sys_job_log` VALUES (24582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:33:40');
INSERT INTO `sys_job_log` VALUES (24583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:33:45');
INSERT INTO `sys_job_log` VALUES (24584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:33:45');
INSERT INTO `sys_job_log` VALUES (24585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:33:50');
INSERT INTO `sys_job_log` VALUES (24586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:33:55');
INSERT INTO `sys_job_log` VALUES (24587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:00');
INSERT INTO `sys_job_log` VALUES (24588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:00');
INSERT INTO `sys_job_log` VALUES (24589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:05');
INSERT INTO `sys_job_log` VALUES (24590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:34:10');
INSERT INTO `sys_job_log` VALUES (24591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:34:15');
INSERT INTO `sys_job_log` VALUES (24592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:34:15');
INSERT INTO `sys_job_log` VALUES (24593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:34:20');
INSERT INTO `sys_job_log` VALUES (24594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:34:25');
INSERT INTO `sys_job_log` VALUES (24595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:30');
INSERT INTO `sys_job_log` VALUES (24596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:34:30');
INSERT INTO `sys_job_log` VALUES (24597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:34:35');
INSERT INTO `sys_job_log` VALUES (24598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:40');
INSERT INTO `sys_job_log` VALUES (24599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:34:45');
INSERT INTO `sys_job_log` VALUES (24600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:34:45');
INSERT INTO `sys_job_log` VALUES (24601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:50');
INSERT INTO `sys_job_log` VALUES (24602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:34:55');
INSERT INTO `sys_job_log` VALUES (24603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:35:00');
INSERT INTO `sys_job_log` VALUES (24604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:35:00');
INSERT INTO `sys_job_log` VALUES (24605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:35:05');
INSERT INTO `sys_job_log` VALUES (24606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:35:10');
INSERT INTO `sys_job_log` VALUES (24607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:35:15');
INSERT INTO `sys_job_log` VALUES (24608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:35:15');
INSERT INTO `sys_job_log` VALUES (24609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:35:20');
INSERT INTO `sys_job_log` VALUES (24610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:35:25');
INSERT INTO `sys_job_log` VALUES (24611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:35:30');
INSERT INTO `sys_job_log` VALUES (24612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:35:30');
INSERT INTO `sys_job_log` VALUES (24613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:35:35');
INSERT INTO `sys_job_log` VALUES (24614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:35:40');
INSERT INTO `sys_job_log` VALUES (24615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:35:45');
INSERT INTO `sys_job_log` VALUES (24616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:35:45');
INSERT INTO `sys_job_log` VALUES (24617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:35:50');
INSERT INTO `sys_job_log` VALUES (24618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:35:55');
INSERT INTO `sys_job_log` VALUES (24619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 09:36:00');
INSERT INTO `sys_job_log` VALUES (24620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 09:36:00');
INSERT INTO `sys_job_log` VALUES (24621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:36:05');
INSERT INTO `sys_job_log` VALUES (24622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:36:10');
INSERT INTO `sys_job_log` VALUES (24623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:36:15');
INSERT INTO `sys_job_log` VALUES (24624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:36:15');
INSERT INTO `sys_job_log` VALUES (24625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:36:20');
INSERT INTO `sys_job_log` VALUES (24626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:36:25');
INSERT INTO `sys_job_log` VALUES (24627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:36:30');
INSERT INTO `sys_job_log` VALUES (24628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:36:30');
INSERT INTO `sys_job_log` VALUES (24629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:36:35');
INSERT INTO `sys_job_log` VALUES (24630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 09:36:40');
INSERT INTO `sys_job_log` VALUES (24631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:36:45');
INSERT INTO `sys_job_log` VALUES (24632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:36:45');
INSERT INTO `sys_job_log` VALUES (24633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:36:50');
INSERT INTO `sys_job_log` VALUES (24634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:36:55');
INSERT INTO `sys_job_log` VALUES (24635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:37:00');
INSERT INTO `sys_job_log` VALUES (24636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:37:00');
INSERT INTO `sys_job_log` VALUES (24637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:37:05');
INSERT INTO `sys_job_log` VALUES (24638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:37:10');
INSERT INTO `sys_job_log` VALUES (24639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:37:15');
INSERT INTO `sys_job_log` VALUES (24640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:37:15');
INSERT INTO `sys_job_log` VALUES (24641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:37:20');
INSERT INTO `sys_job_log` VALUES (24642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:37:25');
INSERT INTO `sys_job_log` VALUES (24643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:37:30');
INSERT INTO `sys_job_log` VALUES (24644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:37:30');
INSERT INTO `sys_job_log` VALUES (24645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:37:35');
INSERT INTO `sys_job_log` VALUES (24646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:37:40');
INSERT INTO `sys_job_log` VALUES (24647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:37:45');
INSERT INTO `sys_job_log` VALUES (24648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:37:45');
INSERT INTO `sys_job_log` VALUES (24649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:37:50');
INSERT INTO `sys_job_log` VALUES (24650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:37:55');
INSERT INTO `sys_job_log` VALUES (24651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:38:00');
INSERT INTO `sys_job_log` VALUES (24652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:38:00');
INSERT INTO `sys_job_log` VALUES (24653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:38:05');
INSERT INTO `sys_job_log` VALUES (24654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 09:38:10');
INSERT INTO `sys_job_log` VALUES (24655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:38:15');
INSERT INTO `sys_job_log` VALUES (24656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:38:15');
INSERT INTO `sys_job_log` VALUES (24657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:38:20');
INSERT INTO `sys_job_log` VALUES (24658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:38:25');
INSERT INTO `sys_job_log` VALUES (24659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:38:30');
INSERT INTO `sys_job_log` VALUES (24660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:38:30');
INSERT INTO `sys_job_log` VALUES (24661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:38:35');
INSERT INTO `sys_job_log` VALUES (24662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:38:40');
INSERT INTO `sys_job_log` VALUES (24663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:38:45');
INSERT INTO `sys_job_log` VALUES (24664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:38:45');
INSERT INTO `sys_job_log` VALUES (24665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:38:50');
INSERT INTO `sys_job_log` VALUES (24666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:38:55');
INSERT INTO `sys_job_log` VALUES (24667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:39:00');
INSERT INTO `sys_job_log` VALUES (24668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:39:00');
INSERT INTO `sys_job_log` VALUES (24669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:39:05');
INSERT INTO `sys_job_log` VALUES (24670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:39:10');
INSERT INTO `sys_job_log` VALUES (24671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:39:15');
INSERT INTO `sys_job_log` VALUES (24672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:39:15');
INSERT INTO `sys_job_log` VALUES (24673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:39:20');
INSERT INTO `sys_job_log` VALUES (24674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 09:39:25');
INSERT INTO `sys_job_log` VALUES (24675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:39:30');
INSERT INTO `sys_job_log` VALUES (24676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:39:30');
INSERT INTO `sys_job_log` VALUES (24677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:39:35');
INSERT INTO `sys_job_log` VALUES (24678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:39:40');
INSERT INTO `sys_job_log` VALUES (24679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:39:45');
INSERT INTO `sys_job_log` VALUES (24680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:39:45');
INSERT INTO `sys_job_log` VALUES (24681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:39:50');
INSERT INTO `sys_job_log` VALUES (24682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:39:55');
INSERT INTO `sys_job_log` VALUES (24683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:40:00');
INSERT INTO `sys_job_log` VALUES (24684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:40:00');
INSERT INTO `sys_job_log` VALUES (24685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:40:05');
INSERT INTO `sys_job_log` VALUES (24686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:40:10');
INSERT INTO `sys_job_log` VALUES (24687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:15');
INSERT INTO `sys_job_log` VALUES (24688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:15');
INSERT INTO `sys_job_log` VALUES (24689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:40:20');
INSERT INTO `sys_job_log` VALUES (24690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:25');
INSERT INTO `sys_job_log` VALUES (24691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:40:30');
INSERT INTO `sys_job_log` VALUES (24692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:40:30');
INSERT INTO `sys_job_log` VALUES (24693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:35');
INSERT INTO `sys_job_log` VALUES (24694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:40');
INSERT INTO `sys_job_log` VALUES (24695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:45');
INSERT INTO `sys_job_log` VALUES (24696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:40:45');
INSERT INTO `sys_job_log` VALUES (24697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:40:50');
INSERT INTO `sys_job_log` VALUES (24698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:40:55');
INSERT INTO `sys_job_log` VALUES (24699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:41:00');
INSERT INTO `sys_job_log` VALUES (24700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 09:41:00');
INSERT INTO `sys_job_log` VALUES (24701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 09:41:05');
INSERT INTO `sys_job_log` VALUES (24702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:41:10');
INSERT INTO `sys_job_log` VALUES (24703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:41:15');
INSERT INTO `sys_job_log` VALUES (24704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:41:15');
INSERT INTO `sys_job_log` VALUES (24705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:41:20');
INSERT INTO `sys_job_log` VALUES (24706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 09:41:25');
INSERT INTO `sys_job_log` VALUES (24707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:41:30');
INSERT INTO `sys_job_log` VALUES (24708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:41:30');
INSERT INTO `sys_job_log` VALUES (24709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:41:35');
INSERT INTO `sys_job_log` VALUES (24710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2024-12-27 09:41:40');
INSERT INTO `sys_job_log` VALUES (24711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:41:45');
INSERT INTO `sys_job_log` VALUES (24712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:41:45');
INSERT INTO `sys_job_log` VALUES (24713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:41:50');
INSERT INTO `sys_job_log` VALUES (24714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:41:55');
INSERT INTO `sys_job_log` VALUES (24715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:42:00');
INSERT INTO `sys_job_log` VALUES (24716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:42:00');
INSERT INTO `sys_job_log` VALUES (24717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:42:05');
INSERT INTO `sys_job_log` VALUES (24718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:42:10');
INSERT INTO `sys_job_log` VALUES (24719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:42:15');
INSERT INTO `sys_job_log` VALUES (24720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:42:15');
INSERT INTO `sys_job_log` VALUES (24721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:42:20');
INSERT INTO `sys_job_log` VALUES (24722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:42:25');
INSERT INTO `sys_job_log` VALUES (24723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:42:30');
INSERT INTO `sys_job_log` VALUES (24724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:42:30');
INSERT INTO `sys_job_log` VALUES (24725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:42:35');
INSERT INTO `sys_job_log` VALUES (24726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:42:40');
INSERT INTO `sys_job_log` VALUES (24727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:42:45');
INSERT INTO `sys_job_log` VALUES (24728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:42:45');
INSERT INTO `sys_job_log` VALUES (24729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:42:50');
INSERT INTO `sys_job_log` VALUES (24730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:42:55');
INSERT INTO `sys_job_log` VALUES (24731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:43:00');
INSERT INTO `sys_job_log` VALUES (24732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:43:00');
INSERT INTO `sys_job_log` VALUES (24733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:43:05');
INSERT INTO `sys_job_log` VALUES (24734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:43:10');
INSERT INTO `sys_job_log` VALUES (24735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:43:15');
INSERT INTO `sys_job_log` VALUES (24736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:43:15');
INSERT INTO `sys_job_log` VALUES (24737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:43:20');
INSERT INTO `sys_job_log` VALUES (24738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:43:25');
INSERT INTO `sys_job_log` VALUES (24739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:43:30');
INSERT INTO `sys_job_log` VALUES (24740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 09:43:30');
INSERT INTO `sys_job_log` VALUES (24741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:43:35');
INSERT INTO `sys_job_log` VALUES (24742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:43:40');
INSERT INTO `sys_job_log` VALUES (24743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:43:45');
INSERT INTO `sys_job_log` VALUES (24744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:43:45');
INSERT INTO `sys_job_log` VALUES (24745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:43:50');
INSERT INTO `sys_job_log` VALUES (24746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:43:55');
INSERT INTO `sys_job_log` VALUES (24747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:44:00');
INSERT INTO `sys_job_log` VALUES (24748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:44:00');
INSERT INTO `sys_job_log` VALUES (24749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:44:05');
INSERT INTO `sys_job_log` VALUES (24750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:44:10');
INSERT INTO `sys_job_log` VALUES (24751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:44:15');
INSERT INTO `sys_job_log` VALUES (24752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:44:15');
INSERT INTO `sys_job_log` VALUES (24753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 09:44:20');
INSERT INTO `sys_job_log` VALUES (24754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:44:25');
INSERT INTO `sys_job_log` VALUES (24755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 09:44:30');
INSERT INTO `sys_job_log` VALUES (24756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:44:30');
INSERT INTO `sys_job_log` VALUES (24757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:44:35');
INSERT INTO `sys_job_log` VALUES (24758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:44:40');
INSERT INTO `sys_job_log` VALUES (24759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:44:45');
INSERT INTO `sys_job_log` VALUES (24760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:44:45');
INSERT INTO `sys_job_log` VALUES (24761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:44:50');
INSERT INTO `sys_job_log` VALUES (24762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:44:55');
INSERT INTO `sys_job_log` VALUES (24763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:45:00');
INSERT INTO `sys_job_log` VALUES (24764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:45:00');
INSERT INTO `sys_job_log` VALUES (24765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:45:05');
INSERT INTO `sys_job_log` VALUES (24766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 09:45:10');
INSERT INTO `sys_job_log` VALUES (24767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:45:15');
INSERT INTO `sys_job_log` VALUES (24768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:45:15');
INSERT INTO `sys_job_log` VALUES (24769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:45:20');
INSERT INTO `sys_job_log` VALUES (24770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:45:25');
INSERT INTO `sys_job_log` VALUES (24771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:45:30');
INSERT INTO `sys_job_log` VALUES (24772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:45:30');
INSERT INTO `sys_job_log` VALUES (24773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:45:35');
INSERT INTO `sys_job_log` VALUES (24774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:45:40');
INSERT INTO `sys_job_log` VALUES (24775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:45:45');
INSERT INTO `sys_job_log` VALUES (24776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:45:45');
INSERT INTO `sys_job_log` VALUES (24777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 09:45:50');
INSERT INTO `sys_job_log` VALUES (24778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:45:55');
INSERT INTO `sys_job_log` VALUES (24779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:46:00');
INSERT INTO `sys_job_log` VALUES (24780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:46:00');
INSERT INTO `sys_job_log` VALUES (24781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:46:05');
INSERT INTO `sys_job_log` VALUES (24782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:46:10');
INSERT INTO `sys_job_log` VALUES (24783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:46:15');
INSERT INTO `sys_job_log` VALUES (24784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:46:15');
INSERT INTO `sys_job_log` VALUES (24785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:46:20');
INSERT INTO `sys_job_log` VALUES (24786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1862毫秒', '0', '', '2024-12-27 09:46:26');
INSERT INTO `sys_job_log` VALUES (24787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:46:30');
INSERT INTO `sys_job_log` VALUES (24788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:46:30');
INSERT INTO `sys_job_log` VALUES (24789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:46:35');
INSERT INTO `sys_job_log` VALUES (24790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:46:40');
INSERT INTO `sys_job_log` VALUES (24791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:46:45');
INSERT INTO `sys_job_log` VALUES (24792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:46:45');
INSERT INTO `sys_job_log` VALUES (24793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:46:50');
INSERT INTO `sys_job_log` VALUES (24794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:46:55');
INSERT INTO `sys_job_log` VALUES (24795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:47:00');
INSERT INTO `sys_job_log` VALUES (24796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:47:00');
INSERT INTO `sys_job_log` VALUES (24797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:47:05');
INSERT INTO `sys_job_log` VALUES (24798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:47:10');
INSERT INTO `sys_job_log` VALUES (24799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 09:47:15');
INSERT INTO `sys_job_log` VALUES (24800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 09:47:15');
INSERT INTO `sys_job_log` VALUES (24801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 09:47:20');
INSERT INTO `sys_job_log` VALUES (24802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:47:25');
INSERT INTO `sys_job_log` VALUES (24803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 09:47:30');
INSERT INTO `sys_job_log` VALUES (24804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 09:47:30');
INSERT INTO `sys_job_log` VALUES (24805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 09:47:35');
INSERT INTO `sys_job_log` VALUES (24806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:47:40');
INSERT INTO `sys_job_log` VALUES (24807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:47:45');
INSERT INTO `sys_job_log` VALUES (24808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:47:45');
INSERT INTO `sys_job_log` VALUES (24809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:47:50');
INSERT INTO `sys_job_log` VALUES (24810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 09:47:55');
INSERT INTO `sys_job_log` VALUES (24811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:48:00');
INSERT INTO `sys_job_log` VALUES (24812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:48:00');
INSERT INTO `sys_job_log` VALUES (24813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:48:05');
INSERT INTO `sys_job_log` VALUES (24814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:48:10');
INSERT INTO `sys_job_log` VALUES (24815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 09:48:15');
INSERT INTO `sys_job_log` VALUES (24816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:48:15');
INSERT INTO `sys_job_log` VALUES (24817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:48:20');
INSERT INTO `sys_job_log` VALUES (24818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:48:25');
INSERT INTO `sys_job_log` VALUES (24819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:48:30');
INSERT INTO `sys_job_log` VALUES (24820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:48:30');
INSERT INTO `sys_job_log` VALUES (24821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:48:35');
INSERT INTO `sys_job_log` VALUES (24822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:48:40');
INSERT INTO `sys_job_log` VALUES (24823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 09:48:45');
INSERT INTO `sys_job_log` VALUES (24824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:48:45');
INSERT INTO `sys_job_log` VALUES (24825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:48:50');
INSERT INTO `sys_job_log` VALUES (24826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:48:55');
INSERT INTO `sys_job_log` VALUES (24827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:00');
INSERT INTO `sys_job_log` VALUES (24828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:00');
INSERT INTO `sys_job_log` VALUES (24829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:49:05');
INSERT INTO `sys_job_log` VALUES (24830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:10');
INSERT INTO `sys_job_log` VALUES (24831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:15');
INSERT INTO `sys_job_log` VALUES (24832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:15');
INSERT INTO `sys_job_log` VALUES (24833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:49:20');
INSERT INTO `sys_job_log` VALUES (24834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:25');
INSERT INTO `sys_job_log` VALUES (24835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:49:30');
INSERT INTO `sys_job_log` VALUES (24836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:49:30');
INSERT INTO `sys_job_log` VALUES (24837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:49:35');
INSERT INTO `sys_job_log` VALUES (24838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:49:40');
INSERT INTO `sys_job_log` VALUES (24839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:49:45');
INSERT INTO `sys_job_log` VALUES (24840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:49:45');
INSERT INTO `sys_job_log` VALUES (24841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:49:50');
INSERT INTO `sys_job_log` VALUES (24842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 09:49:55');
INSERT INTO `sys_job_log` VALUES (24843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:50:00');
INSERT INTO `sys_job_log` VALUES (24844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 09:50:00');
INSERT INTO `sys_job_log` VALUES (24845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:50:05');
INSERT INTO `sys_job_log` VALUES (24846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:50:10');
INSERT INTO `sys_job_log` VALUES (24847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:50:15');
INSERT INTO `sys_job_log` VALUES (24848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:50:15');
INSERT INTO `sys_job_log` VALUES (24849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:50:20');
INSERT INTO `sys_job_log` VALUES (24850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:50:25');
INSERT INTO `sys_job_log` VALUES (24851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:50:30');
INSERT INTO `sys_job_log` VALUES (24852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:50:30');
INSERT INTO `sys_job_log` VALUES (24853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:50:35');
INSERT INTO `sys_job_log` VALUES (24854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:50:40');
INSERT INTO `sys_job_log` VALUES (24855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:50:45');
INSERT INTO `sys_job_log` VALUES (24856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:50:45');
INSERT INTO `sys_job_log` VALUES (24857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:50:50');
INSERT INTO `sys_job_log` VALUES (24858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:50:55');
INSERT INTO `sys_job_log` VALUES (24859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:00');
INSERT INTO `sys_job_log` VALUES (24860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:00');
INSERT INTO `sys_job_log` VALUES (24861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:51:05');
INSERT INTO `sys_job_log` VALUES (24862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:51:10');
INSERT INTO `sys_job_log` VALUES (24863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:15');
INSERT INTO `sys_job_log` VALUES (24864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:15');
INSERT INTO `sys_job_log` VALUES (24865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:20');
INSERT INTO `sys_job_log` VALUES (24866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:51:25');
INSERT INTO `sys_job_log` VALUES (24867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:30');
INSERT INTO `sys_job_log` VALUES (24868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:51:30');
INSERT INTO `sys_job_log` VALUES (24869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:51:35');
INSERT INTO `sys_job_log` VALUES (24870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 09:51:40');
INSERT INTO `sys_job_log` VALUES (24871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:45');
INSERT INTO `sys_job_log` VALUES (24872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:51:45');
INSERT INTO `sys_job_log` VALUES (24873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2024-12-27 09:51:50');
INSERT INTO `sys_job_log` VALUES (24874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:51:55');
INSERT INTO `sys_job_log` VALUES (24875, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:52:00');
INSERT INTO `sys_job_log` VALUES (24876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:52:00');
INSERT INTO `sys_job_log` VALUES (24877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:52:05');
INSERT INTO `sys_job_log` VALUES (24878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:52:10');
INSERT INTO `sys_job_log` VALUES (24879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:52:15');
INSERT INTO `sys_job_log` VALUES (24880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:52:15');
INSERT INTO `sys_job_log` VALUES (24881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:52:20');
INSERT INTO `sys_job_log` VALUES (24882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:52:25');
INSERT INTO `sys_job_log` VALUES (24883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:52:30');
INSERT INTO `sys_job_log` VALUES (24884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:52:30');
INSERT INTO `sys_job_log` VALUES (24885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 09:52:35');
INSERT INTO `sys_job_log` VALUES (24886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:52:40');
INSERT INTO `sys_job_log` VALUES (24887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:52:45');
INSERT INTO `sys_job_log` VALUES (24888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 09:52:45');
INSERT INTO `sys_job_log` VALUES (24889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:52:50');
INSERT INTO `sys_job_log` VALUES (24890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:52:55');
INSERT INTO `sys_job_log` VALUES (24891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:53:00');
INSERT INTO `sys_job_log` VALUES (24892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:53:00');
INSERT INTO `sys_job_log` VALUES (24893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:53:05');
INSERT INTO `sys_job_log` VALUES (24894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:53:10');
INSERT INTO `sys_job_log` VALUES (24895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 09:53:15');
INSERT INTO `sys_job_log` VALUES (24896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 09:53:15');
INSERT INTO `sys_job_log` VALUES (24897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:53:20');
INSERT INTO `sys_job_log` VALUES (24898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 09:53:25');
INSERT INTO `sys_job_log` VALUES (24899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 09:53:30');
INSERT INTO `sys_job_log` VALUES (24900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 09:53:30');
INSERT INTO `sys_job_log` VALUES (24901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:53:35');
INSERT INTO `sys_job_log` VALUES (24902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:53:40');
INSERT INTO `sys_job_log` VALUES (24903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:53:45');
INSERT INTO `sys_job_log` VALUES (24904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:53:45');
INSERT INTO `sys_job_log` VALUES (24905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:53:50');
INSERT INTO `sys_job_log` VALUES (24906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:53:55');
INSERT INTO `sys_job_log` VALUES (24907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:54:00');
INSERT INTO `sys_job_log` VALUES (24908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:54:00');
INSERT INTO `sys_job_log` VALUES (24909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:54:05');
INSERT INTO `sys_job_log` VALUES (24910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:54:10');
INSERT INTO `sys_job_log` VALUES (24911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:54:15');
INSERT INTO `sys_job_log` VALUES (24912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:54:15');
INSERT INTO `sys_job_log` VALUES (24913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:54:20');
INSERT INTO `sys_job_log` VALUES (24914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:54:25');
INSERT INTO `sys_job_log` VALUES (24915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 09:54:30');
INSERT INTO `sys_job_log` VALUES (24916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 09:54:30');
INSERT INTO `sys_job_log` VALUES (24917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:54:35');
INSERT INTO `sys_job_log` VALUES (24918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:54:40');
INSERT INTO `sys_job_log` VALUES (24919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 09:54:45');
INSERT INTO `sys_job_log` VALUES (24920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 09:54:45');
INSERT INTO `sys_job_log` VALUES (24921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:54:50');
INSERT INTO `sys_job_log` VALUES (24922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 09:54:55');
INSERT INTO `sys_job_log` VALUES (24923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:55:00');
INSERT INTO `sys_job_log` VALUES (24924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:55:00');
INSERT INTO `sys_job_log` VALUES (24925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:55:05');
INSERT INTO `sys_job_log` VALUES (24926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:55:10');
INSERT INTO `sys_job_log` VALUES (24927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:55:15');
INSERT INTO `sys_job_log` VALUES (24928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:55:15');
INSERT INTO `sys_job_log` VALUES (24929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:55:20');
INSERT INTO `sys_job_log` VALUES (24930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 09:55:25');
INSERT INTO `sys_job_log` VALUES (24931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 09:55:30');
INSERT INTO `sys_job_log` VALUES (24932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 09:55:30');
INSERT INTO `sys_job_log` VALUES (24933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:55:35');
INSERT INTO `sys_job_log` VALUES (24934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:55:40');
INSERT INTO `sys_job_log` VALUES (24935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 09:55:45');
INSERT INTO `sys_job_log` VALUES (24936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 09:55:45');
INSERT INTO `sys_job_log` VALUES (24937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:55:50');
INSERT INTO `sys_job_log` VALUES (24938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 09:56:05');
INSERT INTO `sys_job_log` VALUES (24939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:56:10');
INSERT INTO `sys_job_log` VALUES (24940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:56:15');
INSERT INTO `sys_job_log` VALUES (24941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:56:15');
INSERT INTO `sys_job_log` VALUES (24942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:56:20');
INSERT INTO `sys_job_log` VALUES (24943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:56:25');
INSERT INTO `sys_job_log` VALUES (24944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:56:30');
INSERT INTO `sys_job_log` VALUES (24945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:56:30');
INSERT INTO `sys_job_log` VALUES (24946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:56:35');
INSERT INTO `sys_job_log` VALUES (24947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 09:56:40');
INSERT INTO `sys_job_log` VALUES (24948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:56:45');
INSERT INTO `sys_job_log` VALUES (24949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:56:45');
INSERT INTO `sys_job_log` VALUES (24950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:56:50');
INSERT INTO `sys_job_log` VALUES (24951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:56:55');
INSERT INTO `sys_job_log` VALUES (24952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:57:00');
INSERT INTO `sys_job_log` VALUES (24953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:57:00');
INSERT INTO `sys_job_log` VALUES (24954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:57:05');
INSERT INTO `sys_job_log` VALUES (24955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:57:10');
INSERT INTO `sys_job_log` VALUES (24956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 09:57:15');
INSERT INTO `sys_job_log` VALUES (24957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 09:57:15');
INSERT INTO `sys_job_log` VALUES (24958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:57:20');
INSERT INTO `sys_job_log` VALUES (24959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:57:25');
INSERT INTO `sys_job_log` VALUES (24960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:57:30');
INSERT INTO `sys_job_log` VALUES (24961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:57:30');
INSERT INTO `sys_job_log` VALUES (24962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:57:35');
INSERT INTO `sys_job_log` VALUES (24963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:57:40');
INSERT INTO `sys_job_log` VALUES (24964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:57:45');
INSERT INTO `sys_job_log` VALUES (24965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:57:45');
INSERT INTO `sys_job_log` VALUES (24966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:57:50');
INSERT INTO `sys_job_log` VALUES (24967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:57:55');
INSERT INTO `sys_job_log` VALUES (24968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-27 09:58:00');
INSERT INTO `sys_job_log` VALUES (24969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 09:58:00');
INSERT INTO `sys_job_log` VALUES (24970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:05');
INSERT INTO `sys_job_log` VALUES (24971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:58:10');
INSERT INTO `sys_job_log` VALUES (24972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:58:15');
INSERT INTO `sys_job_log` VALUES (24973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:58:15');
INSERT INTO `sys_job_log` VALUES (24974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:20');
INSERT INTO `sys_job_log` VALUES (24975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:25');
INSERT INTO `sys_job_log` VALUES (24976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:30');
INSERT INTO `sys_job_log` VALUES (24977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:30');
INSERT INTO `sys_job_log` VALUES (24978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:58:35');
INSERT INTO `sys_job_log` VALUES (24979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 09:58:40');
INSERT INTO `sys_job_log` VALUES (24980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:45');
INSERT INTO `sys_job_log` VALUES (24981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:58:45');
INSERT INTO `sys_job_log` VALUES (24982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:58:50');
INSERT INTO `sys_job_log` VALUES (24983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:58:55');
INSERT INTO `sys_job_log` VALUES (24984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 09:59:00');
INSERT INTO `sys_job_log` VALUES (24985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 09:59:00');
INSERT INTO `sys_job_log` VALUES (24986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:59:05');
INSERT INTO `sys_job_log` VALUES (24987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:59:10');
INSERT INTO `sys_job_log` VALUES (24988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:59:15');
INSERT INTO `sys_job_log` VALUES (24989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 09:59:15');
INSERT INTO `sys_job_log` VALUES (24990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 09:59:20');
INSERT INTO `sys_job_log` VALUES (24991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:59:25');
INSERT INTO `sys_job_log` VALUES (24992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 09:59:30');
INSERT INTO `sys_job_log` VALUES (24993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:59:30');
INSERT INTO `sys_job_log` VALUES (24994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 09:59:35');
INSERT INTO `sys_job_log` VALUES (24995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:59:40');
INSERT INTO `sys_job_log` VALUES (24996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 09:59:45');
INSERT INTO `sys_job_log` VALUES (24997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 09:59:45');
INSERT INTO `sys_job_log` VALUES (24998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 10:04:26');
INSERT INTO `sys_job_log` VALUES (24999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:04:30');
INSERT INTO `sys_job_log` VALUES (25000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 10:04:30');
INSERT INTO `sys_job_log` VALUES (25001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:04:35');
INSERT INTO `sys_job_log` VALUES (25002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:04:40');
INSERT INTO `sys_job_log` VALUES (25003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:04:45');
INSERT INTO `sys_job_log` VALUES (25004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:04:45');
INSERT INTO `sys_job_log` VALUES (25005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:04:50');
INSERT INTO `sys_job_log` VALUES (25006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:04:55');
INSERT INTO `sys_job_log` VALUES (25007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:05:00');
INSERT INTO `sys_job_log` VALUES (25008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:05:00');
INSERT INTO `sys_job_log` VALUES (25009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:05:05');
INSERT INTO `sys_job_log` VALUES (25010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:05:10');
INSERT INTO `sys_job_log` VALUES (25011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:05:15');
INSERT INTO `sys_job_log` VALUES (25012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:05:15');
INSERT INTO `sys_job_log` VALUES (25013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:05:20');
INSERT INTO `sys_job_log` VALUES (25014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:05:25');
INSERT INTO `sys_job_log` VALUES (25015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 10:05:30');
INSERT INTO `sys_job_log` VALUES (25016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 10:05:30');
INSERT INTO `sys_job_log` VALUES (25017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:05:35');
INSERT INTO `sys_job_log` VALUES (25018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:05:40');
INSERT INTO `sys_job_log` VALUES (25019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 10:05:45');
INSERT INTO `sys_job_log` VALUES (25020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:05:45');
INSERT INTO `sys_job_log` VALUES (25021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:05:50');
INSERT INTO `sys_job_log` VALUES (25022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:05:55');
INSERT INTO `sys_job_log` VALUES (25023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 10:06:00');
INSERT INTO `sys_job_log` VALUES (25024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 10:06:00');
INSERT INTO `sys_job_log` VALUES (25025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:06:05');
INSERT INTO `sys_job_log` VALUES (25026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:06:10');
INSERT INTO `sys_job_log` VALUES (25027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:06:15');
INSERT INTO `sys_job_log` VALUES (25028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:06:15');
INSERT INTO `sys_job_log` VALUES (25029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:06:20');
INSERT INTO `sys_job_log` VALUES (25030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:06:25');
INSERT INTO `sys_job_log` VALUES (25031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:06:31');
INSERT INTO `sys_job_log` VALUES (25032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:06:31');
INSERT INTO `sys_job_log` VALUES (25033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:06:40');
INSERT INTO `sys_job_log` VALUES (25034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:06:45');
INSERT INTO `sys_job_log` VALUES (25035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:06:45');
INSERT INTO `sys_job_log` VALUES (25036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:06:50');
INSERT INTO `sys_job_log` VALUES (25037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:06:55');
INSERT INTO `sys_job_log` VALUES (25038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:07:00');
INSERT INTO `sys_job_log` VALUES (25039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:07:00');
INSERT INTO `sys_job_log` VALUES (25040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:07:05');
INSERT INTO `sys_job_log` VALUES (25041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:07:10');
INSERT INTO `sys_job_log` VALUES (25042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:07:15');
INSERT INTO `sys_job_log` VALUES (25043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:07:15');
INSERT INTO `sys_job_log` VALUES (25044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:07:20');
INSERT INTO `sys_job_log` VALUES (25045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:07:25');
INSERT INTO `sys_job_log` VALUES (25046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:07:30');
INSERT INTO `sys_job_log` VALUES (25047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:07:30');
INSERT INTO `sys_job_log` VALUES (25048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:07:35');
INSERT INTO `sys_job_log` VALUES (25049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:07:40');
INSERT INTO `sys_job_log` VALUES (25050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:07:45');
INSERT INTO `sys_job_log` VALUES (25051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:07:45');
INSERT INTO `sys_job_log` VALUES (25052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:07:50');
INSERT INTO `sys_job_log` VALUES (25053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:07:55');
INSERT INTO `sys_job_log` VALUES (25054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 10:08:00');
INSERT INTO `sys_job_log` VALUES (25055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 10:08:00');
INSERT INTO `sys_job_log` VALUES (25056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:08:05');
INSERT INTO `sys_job_log` VALUES (25057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:08:10');
INSERT INTO `sys_job_log` VALUES (25058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:08:15');
INSERT INTO `sys_job_log` VALUES (25059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:08:15');
INSERT INTO `sys_job_log` VALUES (25060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:08:20');
INSERT INTO `sys_job_log` VALUES (25061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 10:08:25');
INSERT INTO `sys_job_log` VALUES (25062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 10:08:30');
INSERT INTO `sys_job_log` VALUES (25063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:08:30');
INSERT INTO `sys_job_log` VALUES (25064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:08:35');
INSERT INTO `sys_job_log` VALUES (25065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:08:40');
INSERT INTO `sys_job_log` VALUES (25066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:08:45');
INSERT INTO `sys_job_log` VALUES (25067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:08:45');
INSERT INTO `sys_job_log` VALUES (25068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:08:50');
INSERT INTO `sys_job_log` VALUES (25069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:08:55');
INSERT INTO `sys_job_log` VALUES (25070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:09:00');
INSERT INTO `sys_job_log` VALUES (25071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:09:00');
INSERT INTO `sys_job_log` VALUES (25072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:09:05');
INSERT INTO `sys_job_log` VALUES (25073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:09:10');
INSERT INTO `sys_job_log` VALUES (25074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:09:15');
INSERT INTO `sys_job_log` VALUES (25075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:09:15');
INSERT INTO `sys_job_log` VALUES (25076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:09:20');
INSERT INTO `sys_job_log` VALUES (25077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:09:25');
INSERT INTO `sys_job_log` VALUES (25078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:09:30');
INSERT INTO `sys_job_log` VALUES (25079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:09:30');
INSERT INTO `sys_job_log` VALUES (25080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:09:35');
INSERT INTO `sys_job_log` VALUES (25081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:09:40');
INSERT INTO `sys_job_log` VALUES (25082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:09:45');
INSERT INTO `sys_job_log` VALUES (25083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:09:45');
INSERT INTO `sys_job_log` VALUES (25084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:09:50');
INSERT INTO `sys_job_log` VALUES (25085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:09:55');
INSERT INTO `sys_job_log` VALUES (25086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:10:00');
INSERT INTO `sys_job_log` VALUES (25087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:10:00');
INSERT INTO `sys_job_log` VALUES (25088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:10:05');
INSERT INTO `sys_job_log` VALUES (25089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:10:10');
INSERT INTO `sys_job_log` VALUES (25090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:10:16');
INSERT INTO `sys_job_log` VALUES (25091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:10:16');
INSERT INTO `sys_job_log` VALUES (25092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:10:20');
INSERT INTO `sys_job_log` VALUES (25093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:10:25');
INSERT INTO `sys_job_log` VALUES (25094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:10:30');
INSERT INTO `sys_job_log` VALUES (25095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:10:30');
INSERT INTO `sys_job_log` VALUES (25096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:10:35');
INSERT INTO `sys_job_log` VALUES (25097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:10:40');
INSERT INTO `sys_job_log` VALUES (25098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:10:45');
INSERT INTO `sys_job_log` VALUES (25099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:10:45');
INSERT INTO `sys_job_log` VALUES (25100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:10:50');
INSERT INTO `sys_job_log` VALUES (25101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:10:55');
INSERT INTO `sys_job_log` VALUES (25102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:11:00');
INSERT INTO `sys_job_log` VALUES (25103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:11:00');
INSERT INTO `sys_job_log` VALUES (25104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:11:05');
INSERT INTO `sys_job_log` VALUES (25105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:11:10');
INSERT INTO `sys_job_log` VALUES (25106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:11:15');
INSERT INTO `sys_job_log` VALUES (25107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:11:15');
INSERT INTO `sys_job_log` VALUES (25108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:11:20');
INSERT INTO `sys_job_log` VALUES (25109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:11:25');
INSERT INTO `sys_job_log` VALUES (25110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:11:30');
INSERT INTO `sys_job_log` VALUES (25111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:11:30');
INSERT INTO `sys_job_log` VALUES (25112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:11:35');
INSERT INTO `sys_job_log` VALUES (25113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:11:40');
INSERT INTO `sys_job_log` VALUES (25114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:11:45');
INSERT INTO `sys_job_log` VALUES (25115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:11:45');
INSERT INTO `sys_job_log` VALUES (25116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:11:50');
INSERT INTO `sys_job_log` VALUES (25117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:11:55');
INSERT INTO `sys_job_log` VALUES (25118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:12:00');
INSERT INTO `sys_job_log` VALUES (25119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:12:00');
INSERT INTO `sys_job_log` VALUES (25120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:12:05');
INSERT INTO `sys_job_log` VALUES (25121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2024-12-27 10:12:10');
INSERT INTO `sys_job_log` VALUES (25122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:15');
INSERT INTO `sys_job_log` VALUES (25123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:15');
INSERT INTO `sys_job_log` VALUES (25124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:12:20');
INSERT INTO `sys_job_log` VALUES (25125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:12:25');
INSERT INTO `sys_job_log` VALUES (25126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:12:30');
INSERT INTO `sys_job_log` VALUES (25127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:30');
INSERT INTO `sys_job_log` VALUES (25128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:35');
INSERT INTO `sys_job_log` VALUES (25129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-27 10:12:40');
INSERT INTO `sys_job_log` VALUES (25130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:45');
INSERT INTO `sys_job_log` VALUES (25131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:45');
INSERT INTO `sys_job_log` VALUES (25132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:12:50');
INSERT INTO `sys_job_log` VALUES (25133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:12:55');
INSERT INTO `sys_job_log` VALUES (25134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:13:00');
INSERT INTO `sys_job_log` VALUES (25135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:13:00');
INSERT INTO `sys_job_log` VALUES (25136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:13:05');
INSERT INTO `sys_job_log` VALUES (25137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:13:10');
INSERT INTO `sys_job_log` VALUES (25138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:13:15');
INSERT INTO `sys_job_log` VALUES (25139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:13:15');
INSERT INTO `sys_job_log` VALUES (25140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:13:20');
INSERT INTO `sys_job_log` VALUES (25141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:13:25');
INSERT INTO `sys_job_log` VALUES (25142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:13:30');
INSERT INTO `sys_job_log` VALUES (25143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:13:30');
INSERT INTO `sys_job_log` VALUES (25144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:13:35');
INSERT INTO `sys_job_log` VALUES (25145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:13:40');
INSERT INTO `sys_job_log` VALUES (25146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 10:13:45');
INSERT INTO `sys_job_log` VALUES (25147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:13:45');
INSERT INTO `sys_job_log` VALUES (25148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:13:50');
INSERT INTO `sys_job_log` VALUES (25149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:13:55');
INSERT INTO `sys_job_log` VALUES (25150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:14:00');
INSERT INTO `sys_job_log` VALUES (25151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:14:00');
INSERT INTO `sys_job_log` VALUES (25152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:14:05');
INSERT INTO `sys_job_log` VALUES (25153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:10');
INSERT INTO `sys_job_log` VALUES (25154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:14:15');
INSERT INTO `sys_job_log` VALUES (25155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:14:15');
INSERT INTO `sys_job_log` VALUES (25156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:20');
INSERT INTO `sys_job_log` VALUES (25157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:25');
INSERT INTO `sys_job_log` VALUES (25158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:30');
INSERT INTO `sys_job_log` VALUES (25159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:30');
INSERT INTO `sys_job_log` VALUES (25160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:14:35');
INSERT INTO `sys_job_log` VALUES (25161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:14:40');
INSERT INTO `sys_job_log` VALUES (25162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:14:45');
INSERT INTO `sys_job_log` VALUES (25163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:45');
INSERT INTO `sys_job_log` VALUES (25164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:14:50');
INSERT INTO `sys_job_log` VALUES (25165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:14:55');
INSERT INTO `sys_job_log` VALUES (25166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:15:00');
INSERT INTO `sys_job_log` VALUES (25167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:15:00');
INSERT INTO `sys_job_log` VALUES (25168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:05');
INSERT INTO `sys_job_log` VALUES (25169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:15:10');
INSERT INTO `sys_job_log` VALUES (25170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:15');
INSERT INTO `sys_job_log` VALUES (25171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:15');
INSERT INTO `sys_job_log` VALUES (25172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:20');
INSERT INTO `sys_job_log` VALUES (25173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:25');
INSERT INTO `sys_job_log` VALUES (25174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:15:30');
INSERT INTO `sys_job_log` VALUES (25175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:15:30');
INSERT INTO `sys_job_log` VALUES (25176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:15:35');
INSERT INTO `sys_job_log` VALUES (25177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:15:40');
INSERT INTO `sys_job_log` VALUES (25178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:45');
INSERT INTO `sys_job_log` VALUES (25179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:15:45');
INSERT INTO `sys_job_log` VALUES (25180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:15:50');
INSERT INTO `sys_job_log` VALUES (25181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:15:55');
INSERT INTO `sys_job_log` VALUES (25182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:16:00');
INSERT INTO `sys_job_log` VALUES (25183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 10:16:00');
INSERT INTO `sys_job_log` VALUES (25184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:16:05');
INSERT INTO `sys_job_log` VALUES (25185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:16:10');
INSERT INTO `sys_job_log` VALUES (25186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:16:15');
INSERT INTO `sys_job_log` VALUES (25187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:16:15');
INSERT INTO `sys_job_log` VALUES (25188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:16:20');
INSERT INTO `sys_job_log` VALUES (25189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:16:25');
INSERT INTO `sys_job_log` VALUES (25190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:16:30');
INSERT INTO `sys_job_log` VALUES (25191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:16:30');
INSERT INTO `sys_job_log` VALUES (25192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:16:35');
INSERT INTO `sys_job_log` VALUES (25193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:16:40');
INSERT INTO `sys_job_log` VALUES (25194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:16:45');
INSERT INTO `sys_job_log` VALUES (25195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:16:45');
INSERT INTO `sys_job_log` VALUES (25196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:16:50');
INSERT INTO `sys_job_log` VALUES (25197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:16:55');
INSERT INTO `sys_job_log` VALUES (25198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:17:00');
INSERT INTO `sys_job_log` VALUES (25199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:17:00');
INSERT INTO `sys_job_log` VALUES (25200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:17:05');
INSERT INTO `sys_job_log` VALUES (25201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:17:10');
INSERT INTO `sys_job_log` VALUES (25202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:17:15');
INSERT INTO `sys_job_log` VALUES (25203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:17:15');
INSERT INTO `sys_job_log` VALUES (25204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:17:20');
INSERT INTO `sys_job_log` VALUES (25205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:17:25');
INSERT INTO `sys_job_log` VALUES (25206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:17:30');
INSERT INTO `sys_job_log` VALUES (25207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:17:30');
INSERT INTO `sys_job_log` VALUES (25208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:17:35');
INSERT INTO `sys_job_log` VALUES (25209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:17:40');
INSERT INTO `sys_job_log` VALUES (25210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:17:45');
INSERT INTO `sys_job_log` VALUES (25211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:17:45');
INSERT INTO `sys_job_log` VALUES (25212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:17:50');
INSERT INTO `sys_job_log` VALUES (25213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:17:55');
INSERT INTO `sys_job_log` VALUES (25214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:18:00');
INSERT INTO `sys_job_log` VALUES (25215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:18:00');
INSERT INTO `sys_job_log` VALUES (25216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:18:05');
INSERT INTO `sys_job_log` VALUES (25217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:18:10');
INSERT INTO `sys_job_log` VALUES (25218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 10:18:15');
INSERT INTO `sys_job_log` VALUES (25219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 10:18:15');
INSERT INTO `sys_job_log` VALUES (25220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:18:20');
INSERT INTO `sys_job_log` VALUES (25221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:18:25');
INSERT INTO `sys_job_log` VALUES (25222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:18:30');
INSERT INTO `sys_job_log` VALUES (25223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:18:30');
INSERT INTO `sys_job_log` VALUES (25224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:18:35');
INSERT INTO `sys_job_log` VALUES (25225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:18:40');
INSERT INTO `sys_job_log` VALUES (25226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:18:45');
INSERT INTO `sys_job_log` VALUES (25227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:18:45');
INSERT INTO `sys_job_log` VALUES (25228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:18:50');
INSERT INTO `sys_job_log` VALUES (25229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:18:55');
INSERT INTO `sys_job_log` VALUES (25230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:19:00');
INSERT INTO `sys_job_log` VALUES (25231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:19:00');
INSERT INTO `sys_job_log` VALUES (25232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:19:05');
INSERT INTO `sys_job_log` VALUES (25233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:19:10');
INSERT INTO `sys_job_log` VALUES (25234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:19:15');
INSERT INTO `sys_job_log` VALUES (25235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:19:15');
INSERT INTO `sys_job_log` VALUES (25236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:19:20');
INSERT INTO `sys_job_log` VALUES (25237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:19:25');
INSERT INTO `sys_job_log` VALUES (25238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:19:30');
INSERT INTO `sys_job_log` VALUES (25239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:19:30');
INSERT INTO `sys_job_log` VALUES (25240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:19:35');
INSERT INTO `sys_job_log` VALUES (25241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:19:40');
INSERT INTO `sys_job_log` VALUES (25242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:19:45');
INSERT INTO `sys_job_log` VALUES (25243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:19:45');
INSERT INTO `sys_job_log` VALUES (25244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:19:50');
INSERT INTO `sys_job_log` VALUES (25245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:19:55');
INSERT INTO `sys_job_log` VALUES (25246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:20:00');
INSERT INTO `sys_job_log` VALUES (25247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:20:00');
INSERT INTO `sys_job_log` VALUES (25248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:20:05');
INSERT INTO `sys_job_log` VALUES (25249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:20:10');
INSERT INTO `sys_job_log` VALUES (25250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:20:15');
INSERT INTO `sys_job_log` VALUES (25251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:20:15');
INSERT INTO `sys_job_log` VALUES (25252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:20:20');
INSERT INTO `sys_job_log` VALUES (25253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:20:25');
INSERT INTO `sys_job_log` VALUES (25254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:20:30');
INSERT INTO `sys_job_log` VALUES (25255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:20:30');
INSERT INTO `sys_job_log` VALUES (25256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:20:35');
INSERT INTO `sys_job_log` VALUES (25257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:20:40');
INSERT INTO `sys_job_log` VALUES (25258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:20:45');
INSERT INTO `sys_job_log` VALUES (25259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:20:45');
INSERT INTO `sys_job_log` VALUES (25260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:20:50');
INSERT INTO `sys_job_log` VALUES (25261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:20:55');
INSERT INTO `sys_job_log` VALUES (25262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:21:00');
INSERT INTO `sys_job_log` VALUES (25263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:21:00');
INSERT INTO `sys_job_log` VALUES (25264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:21:05');
INSERT INTO `sys_job_log` VALUES (25265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:21:10');
INSERT INTO `sys_job_log` VALUES (25266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:21:15');
INSERT INTO `sys_job_log` VALUES (25267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:21:15');
INSERT INTO `sys_job_log` VALUES (25268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:21:20');
INSERT INTO `sys_job_log` VALUES (25269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:21:25');
INSERT INTO `sys_job_log` VALUES (25270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:21:30');
INSERT INTO `sys_job_log` VALUES (25271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:21:30');
INSERT INTO `sys_job_log` VALUES (25272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:21:35');
INSERT INTO `sys_job_log` VALUES (25273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:21:40');
INSERT INTO `sys_job_log` VALUES (25274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:21:45');
INSERT INTO `sys_job_log` VALUES (25275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:21:45');
INSERT INTO `sys_job_log` VALUES (25276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 10:21:50');
INSERT INTO `sys_job_log` VALUES (25277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:21:55');
INSERT INTO `sys_job_log` VALUES (25278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:00');
INSERT INTO `sys_job_log` VALUES (25279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:22:00');
INSERT INTO `sys_job_log` VALUES (25280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:05');
INSERT INTO `sys_job_log` VALUES (25281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:22:10');
INSERT INTO `sys_job_log` VALUES (25282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:22:15');
INSERT INTO `sys_job_log` VALUES (25283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:22:15');
INSERT INTO `sys_job_log` VALUES (25284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:22:20');
INSERT INTO `sys_job_log` VALUES (25285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:22:25');
INSERT INTO `sys_job_log` VALUES (25286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:30');
INSERT INTO `sys_job_log` VALUES (25287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:30');
INSERT INTO `sys_job_log` VALUES (25288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:35');
INSERT INTO `sys_job_log` VALUES (25289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:40');
INSERT INTO `sys_job_log` VALUES (25290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:22:45');
INSERT INTO `sys_job_log` VALUES (25291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:22:45');
INSERT INTO `sys_job_log` VALUES (25292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:22:50');
INSERT INTO `sys_job_log` VALUES (25293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:22:55');
INSERT INTO `sys_job_log` VALUES (25294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:23:00');
INSERT INTO `sys_job_log` VALUES (25295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:23:00');
INSERT INTO `sys_job_log` VALUES (25296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:23:05');
INSERT INTO `sys_job_log` VALUES (25297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:23:10');
INSERT INTO `sys_job_log` VALUES (25298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:23:15');
INSERT INTO `sys_job_log` VALUES (25299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:23:15');
INSERT INTO `sys_job_log` VALUES (25300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:23:20');
INSERT INTO `sys_job_log` VALUES (25301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:23:25');
INSERT INTO `sys_job_log` VALUES (25302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:23:30');
INSERT INTO `sys_job_log` VALUES (25303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:23:30');
INSERT INTO `sys_job_log` VALUES (25304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:23:35');
INSERT INTO `sys_job_log` VALUES (25305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:23:40');
INSERT INTO `sys_job_log` VALUES (25306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:23:45');
INSERT INTO `sys_job_log` VALUES (25307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:23:45');
INSERT INTO `sys_job_log` VALUES (25308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:23:50');
INSERT INTO `sys_job_log` VALUES (25309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:23:55');
INSERT INTO `sys_job_log` VALUES (25310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:24:00');
INSERT INTO `sys_job_log` VALUES (25311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:24:00');
INSERT INTO `sys_job_log` VALUES (25312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:24:05');
INSERT INTO `sys_job_log` VALUES (25313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:24:10');
INSERT INTO `sys_job_log` VALUES (25314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:15');
INSERT INTO `sys_job_log` VALUES (25315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:15');
INSERT INTO `sys_job_log` VALUES (25316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:20');
INSERT INTO `sys_job_log` VALUES (25317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:24:25');
INSERT INTO `sys_job_log` VALUES (25318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:30');
INSERT INTO `sys_job_log` VALUES (25319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:30');
INSERT INTO `sys_job_log` VALUES (25320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:24:35');
INSERT INTO `sys_job_log` VALUES (25321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:24:40');
INSERT INTO `sys_job_log` VALUES (25322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:45');
INSERT INTO `sys_job_log` VALUES (25323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:45');
INSERT INTO `sys_job_log` VALUES (25324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:24:50');
INSERT INTO `sys_job_log` VALUES (25325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:24:55');
INSERT INTO `sys_job_log` VALUES (25326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:00');
INSERT INTO `sys_job_log` VALUES (25327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:00');
INSERT INTO `sys_job_log` VALUES (25328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:05');
INSERT INTO `sys_job_log` VALUES (25329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:10');
INSERT INTO `sys_job_log` VALUES (25330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:25:15');
INSERT INTO `sys_job_log` VALUES (25331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:25:15');
INSERT INTO `sys_job_log` VALUES (25332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:25:20');
INSERT INTO `sys_job_log` VALUES (25333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:25');
INSERT INTO `sys_job_log` VALUES (25334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:30');
INSERT INTO `sys_job_log` VALUES (25335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:30');
INSERT INTO `sys_job_log` VALUES (25336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:25:35');
INSERT INTO `sys_job_log` VALUES (25337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:25:40');
INSERT INTO `sys_job_log` VALUES (25338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 10:25:45');
INSERT INTO `sys_job_log` VALUES (25339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:25:45');
INSERT INTO `sys_job_log` VALUES (25340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:25:50');
INSERT INTO `sys_job_log` VALUES (25341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:25:55');
INSERT INTO `sys_job_log` VALUES (25342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:26:00');
INSERT INTO `sys_job_log` VALUES (25343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:26:00');
INSERT INTO `sys_job_log` VALUES (25344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:26:05');
INSERT INTO `sys_job_log` VALUES (25345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:26:10');
INSERT INTO `sys_job_log` VALUES (25346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:26:15');
INSERT INTO `sys_job_log` VALUES (25347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:26:15');
INSERT INTO `sys_job_log` VALUES (25348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:26:20');
INSERT INTO `sys_job_log` VALUES (25349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:26:25');
INSERT INTO `sys_job_log` VALUES (25350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:26:30');
INSERT INTO `sys_job_log` VALUES (25351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:26:30');
INSERT INTO `sys_job_log` VALUES (25352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:26:35');
INSERT INTO `sys_job_log` VALUES (25353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:26:40');
INSERT INTO `sys_job_log` VALUES (25354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:26:45');
INSERT INTO `sys_job_log` VALUES (25355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:26:45');
INSERT INTO `sys_job_log` VALUES (25356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2024-12-27 10:26:48');
INSERT INTO `sys_job_log` VALUES (25357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2024-12-27 10:26:48');
INSERT INTO `sys_job_log` VALUES (25358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:26:48');
INSERT INTO `sys_job_log` VALUES (25359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:26:50');
INSERT INTO `sys_job_log` VALUES (25360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:26:53');
INSERT INTO `sys_job_log` VALUES (25361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:26:55');
INSERT INTO `sys_job_log` VALUES (25362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:26:58');
INSERT INTO `sys_job_log` VALUES (25363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:26:58');
INSERT INTO `sys_job_log` VALUES (25364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:27:00');
INSERT INTO `sys_job_log` VALUES (25365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:27:00');
INSERT INTO `sys_job_log` VALUES (25366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:27:03');
INSERT INTO `sys_job_log` VALUES (25367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:27:05');
INSERT INTO `sys_job_log` VALUES (25368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-27 10:27:08');
INSERT INTO `sys_job_log` VALUES (25369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:27:10');
INSERT INTO `sys_job_log` VALUES (25370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:27:13');
INSERT INTO `sys_job_log` VALUES (25371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:27:13');
INSERT INTO `sys_job_log` VALUES (25372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:27:15');
INSERT INTO `sys_job_log` VALUES (25373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:27:15');
INSERT INTO `sys_job_log` VALUES (25374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:27:18');
INSERT INTO `sys_job_log` VALUES (25375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:27:20');
INSERT INTO `sys_job_log` VALUES (25376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:27:23');
INSERT INTO `sys_job_log` VALUES (25377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:27:25');
INSERT INTO `sys_job_log` VALUES (25378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:27:28');
INSERT INTO `sys_job_log` VALUES (25379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:27:28');
INSERT INTO `sys_job_log` VALUES (25380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:27:30');
INSERT INTO `sys_job_log` VALUES (25381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:27:30');
INSERT INTO `sys_job_log` VALUES (25382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:27:33');
INSERT INTO `sys_job_log` VALUES (25383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:27:35');
INSERT INTO `sys_job_log` VALUES (25384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:27:38');
INSERT INTO `sys_job_log` VALUES (25385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:27:40');
INSERT INTO `sys_job_log` VALUES (25386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 10:27:43');
INSERT INTO `sys_job_log` VALUES (25387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:27:43');
INSERT INTO `sys_job_log` VALUES (25388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:27:45');
INSERT INTO `sys_job_log` VALUES (25389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:27:45');
INSERT INTO `sys_job_log` VALUES (25390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:27:48');
INSERT INTO `sys_job_log` VALUES (25391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:27:50');
INSERT INTO `sys_job_log` VALUES (25392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2024-12-27 10:27:53');
INSERT INTO `sys_job_log` VALUES (25393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:27:55');
INSERT INTO `sys_job_log` VALUES (25394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：132毫秒', '0', '', '2024-12-27 10:27:58');
INSERT INTO `sys_job_log` VALUES (25395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：156毫秒', '0', '', '2024-12-27 10:27:58');
INSERT INTO `sys_job_log` VALUES (25396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:28:00');
INSERT INTO `sys_job_log` VALUES (25397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:28:00');
INSERT INTO `sys_job_log` VALUES (25398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:28:03');
INSERT INTO `sys_job_log` VALUES (25399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:28:05');
INSERT INTO `sys_job_log` VALUES (25400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:28:08');
INSERT INTO `sys_job_log` VALUES (25401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:10');
INSERT INTO `sys_job_log` VALUES (25402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:28:13');
INSERT INTO `sys_job_log` VALUES (25403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:28:13');
INSERT INTO `sys_job_log` VALUES (25404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:15');
INSERT INTO `sys_job_log` VALUES (25405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:15');
INSERT INTO `sys_job_log` VALUES (25406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:28:18');
INSERT INTO `sys_job_log` VALUES (25407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:28:20');
INSERT INTO `sys_job_log` VALUES (25408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:28:23');
INSERT INTO `sys_job_log` VALUES (25409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:25');
INSERT INTO `sys_job_log` VALUES (25410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:28:28');
INSERT INTO `sys_job_log` VALUES (25411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:28:28');
INSERT INTO `sys_job_log` VALUES (25412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:28:30');
INSERT INTO `sys_job_log` VALUES (25413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:28:30');
INSERT INTO `sys_job_log` VALUES (25414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:28:33');
INSERT INTO `sys_job_log` VALUES (25415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:28:35');
INSERT INTO `sys_job_log` VALUES (25416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:28:38');
INSERT INTO `sys_job_log` VALUES (25417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:28:40');
INSERT INTO `sys_job_log` VALUES (25418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 10:28:43');
INSERT INTO `sys_job_log` VALUES (25419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 10:28:43');
INSERT INTO `sys_job_log` VALUES (25420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:45');
INSERT INTO `sys_job_log` VALUES (25421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:45');
INSERT INTO `sys_job_log` VALUES (25422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:28:48');
INSERT INTO `sys_job_log` VALUES (25423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:28:50');
INSERT INTO `sys_job_log` VALUES (25424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:28:53');
INSERT INTO `sys_job_log` VALUES (25425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 10:28:55');
INSERT INTO `sys_job_log` VALUES (25426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:28:58');
INSERT INTO `sys_job_log` VALUES (25427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:28:58');
INSERT INTO `sys_job_log` VALUES (25428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:29:00');
INSERT INTO `sys_job_log` VALUES (25429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:29:00');
INSERT INTO `sys_job_log` VALUES (25430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:29:03');
INSERT INTO `sys_job_log` VALUES (25431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:29:05');
INSERT INTO `sys_job_log` VALUES (25432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:29:08');
INSERT INTO `sys_job_log` VALUES (25433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:29:10');
INSERT INTO `sys_job_log` VALUES (25434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:29:13');
INSERT INTO `sys_job_log` VALUES (25435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 10:29:13');
INSERT INTO `sys_job_log` VALUES (25436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:29:15');
INSERT INTO `sys_job_log` VALUES (25437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:29:15');
INSERT INTO `sys_job_log` VALUES (25438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:29:18');
INSERT INTO `sys_job_log` VALUES (25439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:29:20');
INSERT INTO `sys_job_log` VALUES (25440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:29:23');
INSERT INTO `sys_job_log` VALUES (25441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:29:28');
INSERT INTO `sys_job_log` VALUES (25442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:29:28');
INSERT INTO `sys_job_log` VALUES (25443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:29:33');
INSERT INTO `sys_job_log` VALUES (25444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:29:38');
INSERT INTO `sys_job_log` VALUES (25445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:29:43');
INSERT INTO `sys_job_log` VALUES (25446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:29:43');
INSERT INTO `sys_job_log` VALUES (25447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:29:48');
INSERT INTO `sys_job_log` VALUES (25448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:29:53');
INSERT INTO `sys_job_log` VALUES (25449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:29:58');
INSERT INTO `sys_job_log` VALUES (25450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:29:58');
INSERT INTO `sys_job_log` VALUES (25451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:30:03');
INSERT INTO `sys_job_log` VALUES (25452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 10:30:08');
INSERT INTO `sys_job_log` VALUES (25453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:30:13');
INSERT INTO `sys_job_log` VALUES (25454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:30:13');
INSERT INTO `sys_job_log` VALUES (25455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:30:18');
INSERT INTO `sys_job_log` VALUES (25456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 10:30:23');
INSERT INTO `sys_job_log` VALUES (25457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:30:28');
INSERT INTO `sys_job_log` VALUES (25458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:30:28');
INSERT INTO `sys_job_log` VALUES (25459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 10:30:33');
INSERT INTO `sys_job_log` VALUES (25460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:30:38');
INSERT INTO `sys_job_log` VALUES (25461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:30:43');
INSERT INTO `sys_job_log` VALUES (25462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:30:43');
INSERT INTO `sys_job_log` VALUES (25463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:30:48');
INSERT INTO `sys_job_log` VALUES (25464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:30:53');
INSERT INTO `sys_job_log` VALUES (25465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:30:58');
INSERT INTO `sys_job_log` VALUES (25466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:30:58');
INSERT INTO `sys_job_log` VALUES (25467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:31:03');
INSERT INTO `sys_job_log` VALUES (25468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:31:08');
INSERT INTO `sys_job_log` VALUES (25469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:31:13');
INSERT INTO `sys_job_log` VALUES (25470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:31:13');
INSERT INTO `sys_job_log` VALUES (25471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:31:18');
INSERT INTO `sys_job_log` VALUES (25472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:31:23');
INSERT INTO `sys_job_log` VALUES (25473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:31:28');
INSERT INTO `sys_job_log` VALUES (25474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 10:31:28');
INSERT INTO `sys_job_log` VALUES (25475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:31:33');
INSERT INTO `sys_job_log` VALUES (25476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:31:38');
INSERT INTO `sys_job_log` VALUES (25477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:31:43');
INSERT INTO `sys_job_log` VALUES (25478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:31:43');
INSERT INTO `sys_job_log` VALUES (25479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:31:48');
INSERT INTO `sys_job_log` VALUES (25480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1256毫秒', '0', '', '2024-12-27 10:31:54');
INSERT INTO `sys_job_log` VALUES (25481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:31:58');
INSERT INTO `sys_job_log` VALUES (25482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:31:58');
INSERT INTO `sys_job_log` VALUES (25483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:32:03');
INSERT INTO `sys_job_log` VALUES (25484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:32:08');
INSERT INTO `sys_job_log` VALUES (25485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:32:13');
INSERT INTO `sys_job_log` VALUES (25486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:32:13');
INSERT INTO `sys_job_log` VALUES (25487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:32:18');
INSERT INTO `sys_job_log` VALUES (25488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:32:23');
INSERT INTO `sys_job_log` VALUES (25489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:32:28');
INSERT INTO `sys_job_log` VALUES (25490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:32:28');
INSERT INTO `sys_job_log` VALUES (25491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:32:33');
INSERT INTO `sys_job_log` VALUES (25492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:32:38');
INSERT INTO `sys_job_log` VALUES (25493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:32:43');
INSERT INTO `sys_job_log` VALUES (25494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:32:43');
INSERT INTO `sys_job_log` VALUES (25495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:32:48');
INSERT INTO `sys_job_log` VALUES (25496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:32:53');
INSERT INTO `sys_job_log` VALUES (25497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:32:58');
INSERT INTO `sys_job_log` VALUES (25498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 10:32:58');
INSERT INTO `sys_job_log` VALUES (25499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:33:03');
INSERT INTO `sys_job_log` VALUES (25500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:33:08');
INSERT INTO `sys_job_log` VALUES (25501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:33:13');
INSERT INTO `sys_job_log` VALUES (25502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:33:13');
INSERT INTO `sys_job_log` VALUES (25503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:33:18');
INSERT INTO `sys_job_log` VALUES (25504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:33:23');
INSERT INTO `sys_job_log` VALUES (25505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:33:28');
INSERT INTO `sys_job_log` VALUES (25506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:33:28');
INSERT INTO `sys_job_log` VALUES (25507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:33:33');
INSERT INTO `sys_job_log` VALUES (25508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:33:38');
INSERT INTO `sys_job_log` VALUES (25509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:33:43');
INSERT INTO `sys_job_log` VALUES (25510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:33:43');
INSERT INTO `sys_job_log` VALUES (25511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:33:48');
INSERT INTO `sys_job_log` VALUES (25512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:33:53');
INSERT INTO `sys_job_log` VALUES (25513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:33:58');
INSERT INTO `sys_job_log` VALUES (25514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:33:58');
INSERT INTO `sys_job_log` VALUES (25515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:34:03');
INSERT INTO `sys_job_log` VALUES (25516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:34:08');
INSERT INTO `sys_job_log` VALUES (25517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:34:13');
INSERT INTO `sys_job_log` VALUES (25518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:34:13');
INSERT INTO `sys_job_log` VALUES (25519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:34:18');
INSERT INTO `sys_job_log` VALUES (25520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:34:23');
INSERT INTO `sys_job_log` VALUES (25521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:34:28');
INSERT INTO `sys_job_log` VALUES (25522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:34:28');
INSERT INTO `sys_job_log` VALUES (25523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:34:33');
INSERT INTO `sys_job_log` VALUES (25524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:34:38');
INSERT INTO `sys_job_log` VALUES (25525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:34:43');
INSERT INTO `sys_job_log` VALUES (25526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:34:43');
INSERT INTO `sys_job_log` VALUES (25527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:34:48');
INSERT INTO `sys_job_log` VALUES (25528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:34:53');
INSERT INTO `sys_job_log` VALUES (25529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:34:58');
INSERT INTO `sys_job_log` VALUES (25530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:34:58');
INSERT INTO `sys_job_log` VALUES (25531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:35:03');
INSERT INTO `sys_job_log` VALUES (25532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:35:08');
INSERT INTO `sys_job_log` VALUES (25533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:35:13');
INSERT INTO `sys_job_log` VALUES (25534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:35:13');
INSERT INTO `sys_job_log` VALUES (25535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:35:18');
INSERT INTO `sys_job_log` VALUES (25536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:35:23');
INSERT INTO `sys_job_log` VALUES (25537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:35:28');
INSERT INTO `sys_job_log` VALUES (25538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:35:28');
INSERT INTO `sys_job_log` VALUES (25539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:35:33');
INSERT INTO `sys_job_log` VALUES (25540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:35:38');
INSERT INTO `sys_job_log` VALUES (25541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:35:43');
INSERT INTO `sys_job_log` VALUES (25542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:35:43');
INSERT INTO `sys_job_log` VALUES (25543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:35:48');
INSERT INTO `sys_job_log` VALUES (25544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:35:53');
INSERT INTO `sys_job_log` VALUES (25545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:35:58');
INSERT INTO `sys_job_log` VALUES (25546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:35:58');
INSERT INTO `sys_job_log` VALUES (25547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-27 10:36:03');
INSERT INTO `sys_job_log` VALUES (25548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:36:08');
INSERT INTO `sys_job_log` VALUES (25549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：756毫秒', '0', '', '2024-12-27 10:36:14');
INSERT INTO `sys_job_log` VALUES (25550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：756毫秒', '0', '', '2024-12-27 10:36:14');
INSERT INTO `sys_job_log` VALUES (25551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:36:18');
INSERT INTO `sys_job_log` VALUES (25552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:36:23');
INSERT INTO `sys_job_log` VALUES (25553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:36:28');
INSERT INTO `sys_job_log` VALUES (25554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:36:28');
INSERT INTO `sys_job_log` VALUES (25555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 10:36:33');
INSERT INTO `sys_job_log` VALUES (25556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:36:38');
INSERT INTO `sys_job_log` VALUES (25557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:36:43');
INSERT INTO `sys_job_log` VALUES (25558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:36:43');
INSERT INTO `sys_job_log` VALUES (25559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:36:48');
INSERT INTO `sys_job_log` VALUES (25560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:36:53');
INSERT INTO `sys_job_log` VALUES (25561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:36:58');
INSERT INTO `sys_job_log` VALUES (25562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:36:58');
INSERT INTO `sys_job_log` VALUES (25563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:37:03');
INSERT INTO `sys_job_log` VALUES (25564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:37:08');
INSERT INTO `sys_job_log` VALUES (25565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:37:13');
INSERT INTO `sys_job_log` VALUES (25566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:37:13');
INSERT INTO `sys_job_log` VALUES (25567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:37:18');
INSERT INTO `sys_job_log` VALUES (25568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:37:23');
INSERT INTO `sys_job_log` VALUES (25569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 10:37:28');
INSERT INTO `sys_job_log` VALUES (25570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:37:28');
INSERT INTO `sys_job_log` VALUES (25571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:37:33');
INSERT INTO `sys_job_log` VALUES (25572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:37:38');
INSERT INTO `sys_job_log` VALUES (25573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:37:43');
INSERT INTO `sys_job_log` VALUES (25574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:37:43');
INSERT INTO `sys_job_log` VALUES (25575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:37:48');
INSERT INTO `sys_job_log` VALUES (25576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:37:53');
INSERT INTO `sys_job_log` VALUES (25577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:37:58');
INSERT INTO `sys_job_log` VALUES (25578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:37:58');
INSERT INTO `sys_job_log` VALUES (25579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:38:03');
INSERT INTO `sys_job_log` VALUES (25580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:38:08');
INSERT INTO `sys_job_log` VALUES (25581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 10:38:13');
INSERT INTO `sys_job_log` VALUES (25582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 10:38:13');
INSERT INTO `sys_job_log` VALUES (25583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:38:18');
INSERT INTO `sys_job_log` VALUES (25584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:38:23');
INSERT INTO `sys_job_log` VALUES (25585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:38:28');
INSERT INTO `sys_job_log` VALUES (25586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:38:28');
INSERT INTO `sys_job_log` VALUES (25587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:38:33');
INSERT INTO `sys_job_log` VALUES (25588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:38:38');
INSERT INTO `sys_job_log` VALUES (25589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:38:43');
INSERT INTO `sys_job_log` VALUES (25590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:38:43');
INSERT INTO `sys_job_log` VALUES (25591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:38:48');
INSERT INTO `sys_job_log` VALUES (25592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:38:53');
INSERT INTO `sys_job_log` VALUES (25593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:38:58');
INSERT INTO `sys_job_log` VALUES (25594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 10:38:58');
INSERT INTO `sys_job_log` VALUES (25595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:39:03');
INSERT INTO `sys_job_log` VALUES (25596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 10:39:08');
INSERT INTO `sys_job_log` VALUES (25597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:39:13');
INSERT INTO `sys_job_log` VALUES (25598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 10:39:13');
INSERT INTO `sys_job_log` VALUES (25599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:39:18');
INSERT INTO `sys_job_log` VALUES (25600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:39:23');
INSERT INTO `sys_job_log` VALUES (25601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:39:28');
INSERT INTO `sys_job_log` VALUES (25602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:39:28');
INSERT INTO `sys_job_log` VALUES (25603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:39:33');
INSERT INTO `sys_job_log` VALUES (25604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:39:38');
INSERT INTO `sys_job_log` VALUES (25605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:39:43');
INSERT INTO `sys_job_log` VALUES (25606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:39:43');
INSERT INTO `sys_job_log` VALUES (25607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:39:48');
INSERT INTO `sys_job_log` VALUES (25608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:39:53');
INSERT INTO `sys_job_log` VALUES (25609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:39:58');
INSERT INTO `sys_job_log` VALUES (25610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:39:58');
INSERT INTO `sys_job_log` VALUES (25611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:40:03');
INSERT INTO `sys_job_log` VALUES (25612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:40:08');
INSERT INTO `sys_job_log` VALUES (25613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:40:13');
INSERT INTO `sys_job_log` VALUES (25614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:40:13');
INSERT INTO `sys_job_log` VALUES (25615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:40:18');
INSERT INTO `sys_job_log` VALUES (25616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:40:23');
INSERT INTO `sys_job_log` VALUES (25617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:40:28');
INSERT INTO `sys_job_log` VALUES (25618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:40:28');
INSERT INTO `sys_job_log` VALUES (25619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:40:33');
INSERT INTO `sys_job_log` VALUES (25620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:40:38');
INSERT INTO `sys_job_log` VALUES (25621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:40:43');
INSERT INTO `sys_job_log` VALUES (25622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:40:43');
INSERT INTO `sys_job_log` VALUES (25623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:40:48');
INSERT INTO `sys_job_log` VALUES (25624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:40:53');
INSERT INTO `sys_job_log` VALUES (25625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:40:58');
INSERT INTO `sys_job_log` VALUES (25626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:40:58');
INSERT INTO `sys_job_log` VALUES (25627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:41:03');
INSERT INTO `sys_job_log` VALUES (25628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:41:08');
INSERT INTO `sys_job_log` VALUES (25629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:41:13');
INSERT INTO `sys_job_log` VALUES (25630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:41:13');
INSERT INTO `sys_job_log` VALUES (25631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:41:18');
INSERT INTO `sys_job_log` VALUES (25632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:41:23');
INSERT INTO `sys_job_log` VALUES (25633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 10:41:28');
INSERT INTO `sys_job_log` VALUES (25634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 10:41:28');
INSERT INTO `sys_job_log` VALUES (25635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:41:33');
INSERT INTO `sys_job_log` VALUES (25636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:41:38');
INSERT INTO `sys_job_log` VALUES (25637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:41:43');
INSERT INTO `sys_job_log` VALUES (25638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:41:43');
INSERT INTO `sys_job_log` VALUES (25639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:41:48');
INSERT INTO `sys_job_log` VALUES (25640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:41:53');
INSERT INTO `sys_job_log` VALUES (25641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:41:58');
INSERT INTO `sys_job_log` VALUES (25642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:41:58');
INSERT INTO `sys_job_log` VALUES (25643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:42:03');
INSERT INTO `sys_job_log` VALUES (25644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:42:08');
INSERT INTO `sys_job_log` VALUES (25645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:42:13');
INSERT INTO `sys_job_log` VALUES (25646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:42:13');
INSERT INTO `sys_job_log` VALUES (25647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:42:18');
INSERT INTO `sys_job_log` VALUES (25648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:42:23');
INSERT INTO `sys_job_log` VALUES (25649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:42:28');
INSERT INTO `sys_job_log` VALUES (25650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 10:42:28');
INSERT INTO `sys_job_log` VALUES (25651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:42:33');
INSERT INTO `sys_job_log` VALUES (25652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:42:38');
INSERT INTO `sys_job_log` VALUES (25653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:42:43');
INSERT INTO `sys_job_log` VALUES (25654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:42:43');
INSERT INTO `sys_job_log` VALUES (25655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:42:48');
INSERT INTO `sys_job_log` VALUES (25656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:42:53');
INSERT INTO `sys_job_log` VALUES (25657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:42:58');
INSERT INTO `sys_job_log` VALUES (25658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:42:58');
INSERT INTO `sys_job_log` VALUES (25659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:43:03');
INSERT INTO `sys_job_log` VALUES (25660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:43:08');
INSERT INTO `sys_job_log` VALUES (25661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:43:13');
INSERT INTO `sys_job_log` VALUES (25662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:43:13');
INSERT INTO `sys_job_log` VALUES (25663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:43:18');
INSERT INTO `sys_job_log` VALUES (25664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:43:23');
INSERT INTO `sys_job_log` VALUES (25665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:43:28');
INSERT INTO `sys_job_log` VALUES (25666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:43:28');
INSERT INTO `sys_job_log` VALUES (25667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:43:33');
INSERT INTO `sys_job_log` VALUES (25668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:43:38');
INSERT INTO `sys_job_log` VALUES (25669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:43:43');
INSERT INTO `sys_job_log` VALUES (25670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:43:43');
INSERT INTO `sys_job_log` VALUES (25671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:43:48');
INSERT INTO `sys_job_log` VALUES (25672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:43:53');
INSERT INTO `sys_job_log` VALUES (25673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:43:58');
INSERT INTO `sys_job_log` VALUES (25674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:43:58');
INSERT INTO `sys_job_log` VALUES (25675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:44:03');
INSERT INTO `sys_job_log` VALUES (25676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:44:08');
INSERT INTO `sys_job_log` VALUES (25677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:44:13');
INSERT INTO `sys_job_log` VALUES (25678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:44:13');
INSERT INTO `sys_job_log` VALUES (25679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:44:18');
INSERT INTO `sys_job_log` VALUES (25680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:44:23');
INSERT INTO `sys_job_log` VALUES (25681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:44:28');
INSERT INTO `sys_job_log` VALUES (25682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 10:44:28');
INSERT INTO `sys_job_log` VALUES (25683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:44:33');
INSERT INTO `sys_job_log` VALUES (25684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:44:38');
INSERT INTO `sys_job_log` VALUES (25685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:44:43');
INSERT INTO `sys_job_log` VALUES (25686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:44:43');
INSERT INTO `sys_job_log` VALUES (25687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:44:48');
INSERT INTO `sys_job_log` VALUES (25688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:44:53');
INSERT INTO `sys_job_log` VALUES (25689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:44:58');
INSERT INTO `sys_job_log` VALUES (25690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:44:58');
INSERT INTO `sys_job_log` VALUES (25691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:45:03');
INSERT INTO `sys_job_log` VALUES (25692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:45:08');
INSERT INTO `sys_job_log` VALUES (25693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:45:13');
INSERT INTO `sys_job_log` VALUES (25694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:45:13');
INSERT INTO `sys_job_log` VALUES (25695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:45:18');
INSERT INTO `sys_job_log` VALUES (25696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:45:23');
INSERT INTO `sys_job_log` VALUES (25697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:45:28');
INSERT INTO `sys_job_log` VALUES (25698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:45:28');
INSERT INTO `sys_job_log` VALUES (25699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:45:33');
INSERT INTO `sys_job_log` VALUES (25700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:45:38');
INSERT INTO `sys_job_log` VALUES (25701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:45:43');
INSERT INTO `sys_job_log` VALUES (25702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:45:43');
INSERT INTO `sys_job_log` VALUES (25703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:45:48');
INSERT INTO `sys_job_log` VALUES (25704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:45:53');
INSERT INTO `sys_job_log` VALUES (25705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 10:45:58');
INSERT INTO `sys_job_log` VALUES (25706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:45:58');
INSERT INTO `sys_job_log` VALUES (25707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:46:03');
INSERT INTO `sys_job_log` VALUES (25708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:46:08');
INSERT INTO `sys_job_log` VALUES (25709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 10:46:13');
INSERT INTO `sys_job_log` VALUES (25710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:46:13');
INSERT INTO `sys_job_log` VALUES (25711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:46:18');
INSERT INTO `sys_job_log` VALUES (25712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:46:23');
INSERT INTO `sys_job_log` VALUES (25713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:46:28');
INSERT INTO `sys_job_log` VALUES (25714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 10:46:28');
INSERT INTO `sys_job_log` VALUES (25715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:46:33');
INSERT INTO `sys_job_log` VALUES (25716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:46:38');
INSERT INTO `sys_job_log` VALUES (25717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:46:43');
INSERT INTO `sys_job_log` VALUES (25718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:46:43');
INSERT INTO `sys_job_log` VALUES (25719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:46:48');
INSERT INTO `sys_job_log` VALUES (25720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:46:53');
INSERT INTO `sys_job_log` VALUES (25721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:46:58');
INSERT INTO `sys_job_log` VALUES (25722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:46:58');
INSERT INTO `sys_job_log` VALUES (25723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:03');
INSERT INTO `sys_job_log` VALUES (25724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:47:08');
INSERT INTO `sys_job_log` VALUES (25725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:13');
INSERT INTO `sys_job_log` VALUES (25726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:13');
INSERT INTO `sys_job_log` VALUES (25727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:47:18');
INSERT INTO `sys_job_log` VALUES (25728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:47:23');
INSERT INTO `sys_job_log` VALUES (25729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:28');
INSERT INTO `sys_job_log` VALUES (25730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:28');
INSERT INTO `sys_job_log` VALUES (25731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 10:47:33');
INSERT INTO `sys_job_log` VALUES (25732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:47:38');
INSERT INTO `sys_job_log` VALUES (25733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:43');
INSERT INTO `sys_job_log` VALUES (25734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:47:43');
INSERT INTO `sys_job_log` VALUES (25735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 10:47:48');
INSERT INTO `sys_job_log` VALUES (25736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:47:53');
INSERT INTO `sys_job_log` VALUES (25737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:47:58');
INSERT INTO `sys_job_log` VALUES (25738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:47:58');
INSERT INTO `sys_job_log` VALUES (25739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:48:03');
INSERT INTO `sys_job_log` VALUES (25740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:48:08');
INSERT INTO `sys_job_log` VALUES (25741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:48:13');
INSERT INTO `sys_job_log` VALUES (25742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:48:13');
INSERT INTO `sys_job_log` VALUES (25743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:48:18');
INSERT INTO `sys_job_log` VALUES (25744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:48:23');
INSERT INTO `sys_job_log` VALUES (25745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:48:28');
INSERT INTO `sys_job_log` VALUES (25746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:48:28');
INSERT INTO `sys_job_log` VALUES (25747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:48:33');
INSERT INTO `sys_job_log` VALUES (25748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 10:48:38');
INSERT INTO `sys_job_log` VALUES (25749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:48:43');
INSERT INTO `sys_job_log` VALUES (25750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:48:43');
INSERT INTO `sys_job_log` VALUES (25751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:48:48');
INSERT INTO `sys_job_log` VALUES (25752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:48:53');
INSERT INTO `sys_job_log` VALUES (25753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 10:48:58');
INSERT INTO `sys_job_log` VALUES (25754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 10:48:58');
INSERT INTO `sys_job_log` VALUES (25755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:49:03');
INSERT INTO `sys_job_log` VALUES (25756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:49:08');
INSERT INTO `sys_job_log` VALUES (25757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:49:13');
INSERT INTO `sys_job_log` VALUES (25758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:49:13');
INSERT INTO `sys_job_log` VALUES (25759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:49:18');
INSERT INTO `sys_job_log` VALUES (25760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:49:23');
INSERT INTO `sys_job_log` VALUES (25761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:49:28');
INSERT INTO `sys_job_log` VALUES (25762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:49:28');
INSERT INTO `sys_job_log` VALUES (25763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:49:33');
INSERT INTO `sys_job_log` VALUES (25764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:49:38');
INSERT INTO `sys_job_log` VALUES (25765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:49:43');
INSERT INTO `sys_job_log` VALUES (25766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:49:43');
INSERT INTO `sys_job_log` VALUES (25767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:49:48');
INSERT INTO `sys_job_log` VALUES (25768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:49:53');
INSERT INTO `sys_job_log` VALUES (25769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:49:58');
INSERT INTO `sys_job_log` VALUES (25770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 10:49:58');
INSERT INTO `sys_job_log` VALUES (25771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:50:03');
INSERT INTO `sys_job_log` VALUES (25772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:08');
INSERT INTO `sys_job_log` VALUES (25773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:50:13');
INSERT INTO `sys_job_log` VALUES (25774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:13');
INSERT INTO `sys_job_log` VALUES (25775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:50:18');
INSERT INTO `sys_job_log` VALUES (25776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:23');
INSERT INTO `sys_job_log` VALUES (25777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:28');
INSERT INTO `sys_job_log` VALUES (25778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:50:28');
INSERT INTO `sys_job_log` VALUES (25779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:50:33');
INSERT INTO `sys_job_log` VALUES (25780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:50:38');
INSERT INTO `sys_job_log` VALUES (25781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:50:43');
INSERT INTO `sys_job_log` VALUES (25782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:50:43');
INSERT INTO `sys_job_log` VALUES (25783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:48');
INSERT INTO `sys_job_log` VALUES (25784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:50:53');
INSERT INTO `sys_job_log` VALUES (25785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:58');
INSERT INTO `sys_job_log` VALUES (25786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:50:58');
INSERT INTO `sys_job_log` VALUES (25787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:51:03');
INSERT INTO `sys_job_log` VALUES (25788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:51:08');
INSERT INTO `sys_job_log` VALUES (25789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:51:13');
INSERT INTO `sys_job_log` VALUES (25790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:51:13');
INSERT INTO `sys_job_log` VALUES (25791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:51:18');
INSERT INTO `sys_job_log` VALUES (25792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:51:23');
INSERT INTO `sys_job_log` VALUES (25793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:51:28');
INSERT INTO `sys_job_log` VALUES (25794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:51:28');
INSERT INTO `sys_job_log` VALUES (25795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:51:33');
INSERT INTO `sys_job_log` VALUES (25796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:51:38');
INSERT INTO `sys_job_log` VALUES (25797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 10:51:43');
INSERT INTO `sys_job_log` VALUES (25798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-27 10:51:43');
INSERT INTO `sys_job_log` VALUES (25799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:51:48');
INSERT INTO `sys_job_log` VALUES (25800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:51:53');
INSERT INTO `sys_job_log` VALUES (25801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:51:58');
INSERT INTO `sys_job_log` VALUES (25802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:51:58');
INSERT INTO `sys_job_log` VALUES (25803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:52:03');
INSERT INTO `sys_job_log` VALUES (25804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:52:08');
INSERT INTO `sys_job_log` VALUES (25805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:52:13');
INSERT INTO `sys_job_log` VALUES (25806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:52:13');
INSERT INTO `sys_job_log` VALUES (25807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:52:18');
INSERT INTO `sys_job_log` VALUES (25808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:52:23');
INSERT INTO `sys_job_log` VALUES (25809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:52:28');
INSERT INTO `sys_job_log` VALUES (25810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:52:28');
INSERT INTO `sys_job_log` VALUES (25811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:52:33');
INSERT INTO `sys_job_log` VALUES (25812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:52:38');
INSERT INTO `sys_job_log` VALUES (25813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-27 10:52:43');
INSERT INTO `sys_job_log` VALUES (25814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 10:52:43');
INSERT INTO `sys_job_log` VALUES (25815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:52:48');
INSERT INTO `sys_job_log` VALUES (25816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 10:52:53');
INSERT INTO `sys_job_log` VALUES (25817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 10:52:58');
INSERT INTO `sys_job_log` VALUES (25818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:52:58');
INSERT INTO `sys_job_log` VALUES (25819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:53:03');
INSERT INTO `sys_job_log` VALUES (25820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:53:08');
INSERT INTO `sys_job_log` VALUES (25821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:53:13');
INSERT INTO `sys_job_log` VALUES (25822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:53:13');
INSERT INTO `sys_job_log` VALUES (25823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:53:18');
INSERT INTO `sys_job_log` VALUES (25824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:53:23');
INSERT INTO `sys_job_log` VALUES (25825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:53:28');
INSERT INTO `sys_job_log` VALUES (25826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:53:28');
INSERT INTO `sys_job_log` VALUES (25827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:53:33');
INSERT INTO `sys_job_log` VALUES (25828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:53:38');
INSERT INTO `sys_job_log` VALUES (25829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:53:43');
INSERT INTO `sys_job_log` VALUES (25830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:53:43');
INSERT INTO `sys_job_log` VALUES (25831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:53:48');
INSERT INTO `sys_job_log` VALUES (25832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:53:53');
INSERT INTO `sys_job_log` VALUES (25833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:53:58');
INSERT INTO `sys_job_log` VALUES (25834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:53:58');
INSERT INTO `sys_job_log` VALUES (25835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:54:03');
INSERT INTO `sys_job_log` VALUES (25836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:54:08');
INSERT INTO `sys_job_log` VALUES (25837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:54:13');
INSERT INTO `sys_job_log` VALUES (25838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:54:13');
INSERT INTO `sys_job_log` VALUES (25839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:54:18');
INSERT INTO `sys_job_log` VALUES (25840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:54:23');
INSERT INTO `sys_job_log` VALUES (25841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:54:28');
INSERT INTO `sys_job_log` VALUES (25842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:54:28');
INSERT INTO `sys_job_log` VALUES (25843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:54:33');
INSERT INTO `sys_job_log` VALUES (25844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:54:38');
INSERT INTO `sys_job_log` VALUES (25845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:54:43');
INSERT INTO `sys_job_log` VALUES (25846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:54:43');
INSERT INTO `sys_job_log` VALUES (25847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:54:48');
INSERT INTO `sys_job_log` VALUES (25848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:54:53');
INSERT INTO `sys_job_log` VALUES (25849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:54:58');
INSERT INTO `sys_job_log` VALUES (25850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:54:58');
INSERT INTO `sys_job_log` VALUES (25851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:55:03');
INSERT INTO `sys_job_log` VALUES (25852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:55:08');
INSERT INTO `sys_job_log` VALUES (25853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:55:13');
INSERT INTO `sys_job_log` VALUES (25854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 10:55:13');
INSERT INTO `sys_job_log` VALUES (25855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:55:18');
INSERT INTO `sys_job_log` VALUES (25856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:55:23');
INSERT INTO `sys_job_log` VALUES (25857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 10:55:28');
INSERT INTO `sys_job_log` VALUES (25858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:55:28');
INSERT INTO `sys_job_log` VALUES (25859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:55:33');
INSERT INTO `sys_job_log` VALUES (25860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:55:38');
INSERT INTO `sys_job_log` VALUES (25861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:55:43');
INSERT INTO `sys_job_log` VALUES (25862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:55:43');
INSERT INTO `sys_job_log` VALUES (25863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:55:48');
INSERT INTO `sys_job_log` VALUES (25864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:55:53');
INSERT INTO `sys_job_log` VALUES (25865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:55:58');
INSERT INTO `sys_job_log` VALUES (25866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:55:58');
INSERT INTO `sys_job_log` VALUES (25867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:56:03');
INSERT INTO `sys_job_log` VALUES (25868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:56:08');
INSERT INTO `sys_job_log` VALUES (25869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:56:13');
INSERT INTO `sys_job_log` VALUES (25870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:56:13');
INSERT INTO `sys_job_log` VALUES (25871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:56:18');
INSERT INTO `sys_job_log` VALUES (25872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:56:23');
INSERT INTO `sys_job_log` VALUES (25873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:56:28');
INSERT INTO `sys_job_log` VALUES (25874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:56:28');
INSERT INTO `sys_job_log` VALUES (25875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:56:33');
INSERT INTO `sys_job_log` VALUES (25876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:56:38');
INSERT INTO `sys_job_log` VALUES (25877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:56:43');
INSERT INTO `sys_job_log` VALUES (25878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:56:43');
INSERT INTO `sys_job_log` VALUES (25879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:56:48');
INSERT INTO `sys_job_log` VALUES (25880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 10:56:53');
INSERT INTO `sys_job_log` VALUES (25881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 10:56:58');
INSERT INTO `sys_job_log` VALUES (25882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 10:56:58');
INSERT INTO `sys_job_log` VALUES (25883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:57:03');
INSERT INTO `sys_job_log` VALUES (25884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:57:08');
INSERT INTO `sys_job_log` VALUES (25885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:57:13');
INSERT INTO `sys_job_log` VALUES (25886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:57:13');
INSERT INTO `sys_job_log` VALUES (25887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:57:18');
INSERT INTO `sys_job_log` VALUES (25888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:57:23');
INSERT INTO `sys_job_log` VALUES (25889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 10:57:28');
INSERT INTO `sys_job_log` VALUES (25890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:57:28');
INSERT INTO `sys_job_log` VALUES (25891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:57:33');
INSERT INTO `sys_job_log` VALUES (25892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 10:57:38');
INSERT INTO `sys_job_log` VALUES (25893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:57:43');
INSERT INTO `sys_job_log` VALUES (25894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:57:43');
INSERT INTO `sys_job_log` VALUES (25895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:57:48');
INSERT INTO `sys_job_log` VALUES (25896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:57:53');
INSERT INTO `sys_job_log` VALUES (25897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:57:58');
INSERT INTO `sys_job_log` VALUES (25898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:57:58');
INSERT INTO `sys_job_log` VALUES (25899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:58:03');
INSERT INTO `sys_job_log` VALUES (25900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:58:08');
INSERT INTO `sys_job_log` VALUES (25901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:58:13');
INSERT INTO `sys_job_log` VALUES (25902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:13');
INSERT INTO `sys_job_log` VALUES (25903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:18');
INSERT INTO `sys_job_log` VALUES (25904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 10:58:23');
INSERT INTO `sys_job_log` VALUES (25905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:28');
INSERT INTO `sys_job_log` VALUES (25906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:28');
INSERT INTO `sys_job_log` VALUES (25907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:58:33');
INSERT INTO `sys_job_log` VALUES (25908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:58:38');
INSERT INTO `sys_job_log` VALUES (25909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:43');
INSERT INTO `sys_job_log` VALUES (25910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:43');
INSERT INTO `sys_job_log` VALUES (25911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:58:48');
INSERT INTO `sys_job_log` VALUES (25912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 10:58:53');
INSERT INTO `sys_job_log` VALUES (25913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:58:58');
INSERT INTO `sys_job_log` VALUES (25914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 10:58:58');
INSERT INTO `sys_job_log` VALUES (25915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:59:03');
INSERT INTO `sys_job_log` VALUES (25916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 10:59:08');
INSERT INTO `sys_job_log` VALUES (25917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 10:59:13');
INSERT INTO `sys_job_log` VALUES (25918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 10:59:13');
INSERT INTO `sys_job_log` VALUES (25919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 10:59:18');
INSERT INTO `sys_job_log` VALUES (25920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 10:59:23');
INSERT INTO `sys_job_log` VALUES (25921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:59:28');
INSERT INTO `sys_job_log` VALUES (25922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:59:28');
INSERT INTO `sys_job_log` VALUES (25923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:59:33');
INSERT INTO `sys_job_log` VALUES (25924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 10:59:38');
INSERT INTO `sys_job_log` VALUES (25925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 10:59:43');
INSERT INTO `sys_job_log` VALUES (25926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 10:59:43');
INSERT INTO `sys_job_log` VALUES (25927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 10:59:48');
INSERT INTO `sys_job_log` VALUES (25928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 10:59:53');
INSERT INTO `sys_job_log` VALUES (25929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 10:59:58');
INSERT INTO `sys_job_log` VALUES (25930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 10:59:58');
INSERT INTO `sys_job_log` VALUES (25931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:00:03');
INSERT INTO `sys_job_log` VALUES (25932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:00:08');
INSERT INTO `sys_job_log` VALUES (25933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:00:13');
INSERT INTO `sys_job_log` VALUES (25934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:00:13');
INSERT INTO `sys_job_log` VALUES (25935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:00:18');
INSERT INTO `sys_job_log` VALUES (25936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:00:23');
INSERT INTO `sys_job_log` VALUES (25937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:00:28');
INSERT INTO `sys_job_log` VALUES (25938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:00:28');
INSERT INTO `sys_job_log` VALUES (25939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:00:33');
INSERT INTO `sys_job_log` VALUES (25940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:00:38');
INSERT INTO `sys_job_log` VALUES (25941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:00:43');
INSERT INTO `sys_job_log` VALUES (25942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:00:43');
INSERT INTO `sys_job_log` VALUES (25943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:00:48');
INSERT INTO `sys_job_log` VALUES (25944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:00:53');
INSERT INTO `sys_job_log` VALUES (25945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:00:58');
INSERT INTO `sys_job_log` VALUES (25946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:00:58');
INSERT INTO `sys_job_log` VALUES (25947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:01:03');
INSERT INTO `sys_job_log` VALUES (25948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:01:08');
INSERT INTO `sys_job_log` VALUES (25949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:01:13');
INSERT INTO `sys_job_log` VALUES (25950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:01:13');
INSERT INTO `sys_job_log` VALUES (25951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:01:18');
INSERT INTO `sys_job_log` VALUES (25952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:01:23');
INSERT INTO `sys_job_log` VALUES (25953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 11:01:28');
INSERT INTO `sys_job_log` VALUES (25954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:01:28');
INSERT INTO `sys_job_log` VALUES (25955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:01:33');
INSERT INTO `sys_job_log` VALUES (25956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:01:38');
INSERT INTO `sys_job_log` VALUES (25957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:01:43');
INSERT INTO `sys_job_log` VALUES (25958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:01:43');
INSERT INTO `sys_job_log` VALUES (25959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:01:48');
INSERT INTO `sys_job_log` VALUES (25960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:01:53');
INSERT INTO `sys_job_log` VALUES (25961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:01:58');
INSERT INTO `sys_job_log` VALUES (25962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:01:58');
INSERT INTO `sys_job_log` VALUES (25963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:02:03');
INSERT INTO `sys_job_log` VALUES (25964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:02:08');
INSERT INTO `sys_job_log` VALUES (25965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:02:13');
INSERT INTO `sys_job_log` VALUES (25966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:02:13');
INSERT INTO `sys_job_log` VALUES (25967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:02:18');
INSERT INTO `sys_job_log` VALUES (25968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:02:23');
INSERT INTO `sys_job_log` VALUES (25969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:02:28');
INSERT INTO `sys_job_log` VALUES (25970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:02:28');
INSERT INTO `sys_job_log` VALUES (25971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:02:33');
INSERT INTO `sys_job_log` VALUES (25972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 11:02:38');
INSERT INTO `sys_job_log` VALUES (25973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:02:43');
INSERT INTO `sys_job_log` VALUES (25974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:02:43');
INSERT INTO `sys_job_log` VALUES (25975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:02:48');
INSERT INTO `sys_job_log` VALUES (25976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:02:53');
INSERT INTO `sys_job_log` VALUES (25977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 11:02:58');
INSERT INTO `sys_job_log` VALUES (25978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 11:02:58');
INSERT INTO `sys_job_log` VALUES (25979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:03:03');
INSERT INTO `sys_job_log` VALUES (25980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:03:08');
INSERT INTO `sys_job_log` VALUES (25981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:03:13');
INSERT INTO `sys_job_log` VALUES (25982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:03:13');
INSERT INTO `sys_job_log` VALUES (25983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:03:18');
INSERT INTO `sys_job_log` VALUES (25984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:03:23');
INSERT INTO `sys_job_log` VALUES (25985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:03:28');
INSERT INTO `sys_job_log` VALUES (25986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:03:28');
INSERT INTO `sys_job_log` VALUES (25987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:03:33');
INSERT INTO `sys_job_log` VALUES (25988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:03:38');
INSERT INTO `sys_job_log` VALUES (25989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:03:43');
INSERT INTO `sys_job_log` VALUES (25990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:03:43');
INSERT INTO `sys_job_log` VALUES (25991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:03:48');
INSERT INTO `sys_job_log` VALUES (25992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:03:53');
INSERT INTO `sys_job_log` VALUES (25993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:03:58');
INSERT INTO `sys_job_log` VALUES (25994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:03:58');
INSERT INTO `sys_job_log` VALUES (25995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:04:03');
INSERT INTO `sys_job_log` VALUES (25996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:04:08');
INSERT INTO `sys_job_log` VALUES (25997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:04:13');
INSERT INTO `sys_job_log` VALUES (25998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:04:13');
INSERT INTO `sys_job_log` VALUES (25999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:04:18');
INSERT INTO `sys_job_log` VALUES (26000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:04:23');
INSERT INTO `sys_job_log` VALUES (26001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:04:28');
INSERT INTO `sys_job_log` VALUES (26002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:04:28');
INSERT INTO `sys_job_log` VALUES (26003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 11:04:33');
INSERT INTO `sys_job_log` VALUES (26004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 11:04:38');
INSERT INTO `sys_job_log` VALUES (26005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 11:04:43');
INSERT INTO `sys_job_log` VALUES (26006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 11:04:43');
INSERT INTO `sys_job_log` VALUES (26007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:04:48');
INSERT INTO `sys_job_log` VALUES (26008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:04:53');
INSERT INTO `sys_job_log` VALUES (26009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:04:58');
INSERT INTO `sys_job_log` VALUES (26010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:04:58');
INSERT INTO `sys_job_log` VALUES (26011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:05:03');
INSERT INTO `sys_job_log` VALUES (26012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:05:08');
INSERT INTO `sys_job_log` VALUES (26013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:05:13');
INSERT INTO `sys_job_log` VALUES (26014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:05:13');
INSERT INTO `sys_job_log` VALUES (26015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:05:18');
INSERT INTO `sys_job_log` VALUES (26016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:05:23');
INSERT INTO `sys_job_log` VALUES (26017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:05:28');
INSERT INTO `sys_job_log` VALUES (26018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:05:28');
INSERT INTO `sys_job_log` VALUES (26019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:05:33');
INSERT INTO `sys_job_log` VALUES (26020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:05:38');
INSERT INTO `sys_job_log` VALUES (26021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:05:43');
INSERT INTO `sys_job_log` VALUES (26022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:05:43');
INSERT INTO `sys_job_log` VALUES (26023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:05:48');
INSERT INTO `sys_job_log` VALUES (26024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:05:53');
INSERT INTO `sys_job_log` VALUES (26025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:05:58');
INSERT INTO `sys_job_log` VALUES (26026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:05:58');
INSERT INTO `sys_job_log` VALUES (26027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:06:03');
INSERT INTO `sys_job_log` VALUES (26028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:06:08');
INSERT INTO `sys_job_log` VALUES (26029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:06:13');
INSERT INTO `sys_job_log` VALUES (26030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:06:13');
INSERT INTO `sys_job_log` VALUES (26031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:06:18');
INSERT INTO `sys_job_log` VALUES (26032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:06:23');
INSERT INTO `sys_job_log` VALUES (26033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:06:28');
INSERT INTO `sys_job_log` VALUES (26034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:06:28');
INSERT INTO `sys_job_log` VALUES (26035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:06:33');
INSERT INTO `sys_job_log` VALUES (26036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:06:38');
INSERT INTO `sys_job_log` VALUES (26037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:06:43');
INSERT INTO `sys_job_log` VALUES (26038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:06:43');
INSERT INTO `sys_job_log` VALUES (26039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:06:48');
INSERT INTO `sys_job_log` VALUES (26040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:06:53');
INSERT INTO `sys_job_log` VALUES (26041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 11:06:58');
INSERT INTO `sys_job_log` VALUES (26042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:06:58');
INSERT INTO `sys_job_log` VALUES (26043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:07:03');
INSERT INTO `sys_job_log` VALUES (26044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:07:08');
INSERT INTO `sys_job_log` VALUES (26045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:07:13');
INSERT INTO `sys_job_log` VALUES (26046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:07:13');
INSERT INTO `sys_job_log` VALUES (26047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:07:18');
INSERT INTO `sys_job_log` VALUES (26048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:07:23');
INSERT INTO `sys_job_log` VALUES (26049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:07:28');
INSERT INTO `sys_job_log` VALUES (26050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:07:28');
INSERT INTO `sys_job_log` VALUES (26051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:07:33');
INSERT INTO `sys_job_log` VALUES (26052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:07:38');
INSERT INTO `sys_job_log` VALUES (26053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:07:43');
INSERT INTO `sys_job_log` VALUES (26054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:07:43');
INSERT INTO `sys_job_log` VALUES (26055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:07:48');
INSERT INTO `sys_job_log` VALUES (26056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:07:53');
INSERT INTO `sys_job_log` VALUES (26057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 11:07:58');
INSERT INTO `sys_job_log` VALUES (26058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:07:58');
INSERT INTO `sys_job_log` VALUES (26059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-27 11:08:03');
INSERT INTO `sys_job_log` VALUES (26060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:08:08');
INSERT INTO `sys_job_log` VALUES (26061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:08:13');
INSERT INTO `sys_job_log` VALUES (26062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:08:13');
INSERT INTO `sys_job_log` VALUES (26063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:08:18');
INSERT INTO `sys_job_log` VALUES (26064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:08:23');
INSERT INTO `sys_job_log` VALUES (26065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:08:28');
INSERT INTO `sys_job_log` VALUES (26066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:08:28');
INSERT INTO `sys_job_log` VALUES (26067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:08:33');
INSERT INTO `sys_job_log` VALUES (26068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:08:38');
INSERT INTO `sys_job_log` VALUES (26069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 11:08:43');
INSERT INTO `sys_job_log` VALUES (26070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:08:43');
INSERT INTO `sys_job_log` VALUES (26071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:08:48');
INSERT INTO `sys_job_log` VALUES (26072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:08:53');
INSERT INTO `sys_job_log` VALUES (26073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:08:58');
INSERT INTO `sys_job_log` VALUES (26074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:08:58');
INSERT INTO `sys_job_log` VALUES (26075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:09:03');
INSERT INTO `sys_job_log` VALUES (26076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:09:08');
INSERT INTO `sys_job_log` VALUES (26077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:09:13');
INSERT INTO `sys_job_log` VALUES (26078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 11:09:13');
INSERT INTO `sys_job_log` VALUES (26079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:09:18');
INSERT INTO `sys_job_log` VALUES (26080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:09:23');
INSERT INTO `sys_job_log` VALUES (26081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:09:28');
INSERT INTO `sys_job_log` VALUES (26082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:09:28');
INSERT INTO `sys_job_log` VALUES (26083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:09:33');
INSERT INTO `sys_job_log` VALUES (26084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:09:38');
INSERT INTO `sys_job_log` VALUES (26085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:09:43');
INSERT INTO `sys_job_log` VALUES (26086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:09:43');
INSERT INTO `sys_job_log` VALUES (26087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:09:48');
INSERT INTO `sys_job_log` VALUES (26088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:09:53');
INSERT INTO `sys_job_log` VALUES (26089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 11:09:58');
INSERT INTO `sys_job_log` VALUES (26090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 11:09:58');
INSERT INTO `sys_job_log` VALUES (26091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:10:03');
INSERT INTO `sys_job_log` VALUES (26092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:10:08');
INSERT INTO `sys_job_log` VALUES (26093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:10:13');
INSERT INTO `sys_job_log` VALUES (26094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:10:13');
INSERT INTO `sys_job_log` VALUES (26095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:10:18');
INSERT INTO `sys_job_log` VALUES (26096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:10:23');
INSERT INTO `sys_job_log` VALUES (26097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:10:28');
INSERT INTO `sys_job_log` VALUES (26098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:10:28');
INSERT INTO `sys_job_log` VALUES (26099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:10:33');
INSERT INTO `sys_job_log` VALUES (26100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:10:38');
INSERT INTO `sys_job_log` VALUES (26101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:10:43');
INSERT INTO `sys_job_log` VALUES (26102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:10:43');
INSERT INTO `sys_job_log` VALUES (26103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:10:48');
INSERT INTO `sys_job_log` VALUES (26104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:10:53');
INSERT INTO `sys_job_log` VALUES (26105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:10:58');
INSERT INTO `sys_job_log` VALUES (26106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:10:58');
INSERT INTO `sys_job_log` VALUES (26107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:11:03');
INSERT INTO `sys_job_log` VALUES (26108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:11:08');
INSERT INTO `sys_job_log` VALUES (26109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:13');
INSERT INTO `sys_job_log` VALUES (26110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:11:13');
INSERT INTO `sys_job_log` VALUES (26111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:11:18');
INSERT INTO `sys_job_log` VALUES (26112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:23');
INSERT INTO `sys_job_log` VALUES (26113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:28');
INSERT INTO `sys_job_log` VALUES (26114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:28');
INSERT INTO `sys_job_log` VALUES (26115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:33');
INSERT INTO `sys_job_log` VALUES (26116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:11:38');
INSERT INTO `sys_job_log` VALUES (26117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:11:43');
INSERT INTO `sys_job_log` VALUES (26118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:11:43');
INSERT INTO `sys_job_log` VALUES (26119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:48');
INSERT INTO `sys_job_log` VALUES (26120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:53');
INSERT INTO `sys_job_log` VALUES (26121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:58');
INSERT INTO `sys_job_log` VALUES (26122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:11:58');
INSERT INTO `sys_job_log` VALUES (26123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:12:03');
INSERT INTO `sys_job_log` VALUES (26124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:12:08');
INSERT INTO `sys_job_log` VALUES (26125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:12:13');
INSERT INTO `sys_job_log` VALUES (26126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:12:13');
INSERT INTO `sys_job_log` VALUES (26127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:12:18');
INSERT INTO `sys_job_log` VALUES (26128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:12:23');
INSERT INTO `sys_job_log` VALUES (26129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:12:28');
INSERT INTO `sys_job_log` VALUES (26130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:12:28');
INSERT INTO `sys_job_log` VALUES (26131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 11:12:33');
INSERT INTO `sys_job_log` VALUES (26132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:12:38');
INSERT INTO `sys_job_log` VALUES (26133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:12:43');
INSERT INTO `sys_job_log` VALUES (26134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:12:43');
INSERT INTO `sys_job_log` VALUES (26135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 11:12:48');
INSERT INTO `sys_job_log` VALUES (26136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:12:53');
INSERT INTO `sys_job_log` VALUES (26137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:12:58');
INSERT INTO `sys_job_log` VALUES (26138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:12:58');
INSERT INTO `sys_job_log` VALUES (26139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2024-12-27 11:13:03');
INSERT INTO `sys_job_log` VALUES (26140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：133毫秒', '0', '', '2024-12-27 11:13:08');
INSERT INTO `sys_job_log` VALUES (26141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：229毫秒', '0', '', '2024-12-27 11:13:13');
INSERT INTO `sys_job_log` VALUES (26142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '0', '', '2024-12-27 11:13:13');
INSERT INTO `sys_job_log` VALUES (26143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:13:18');
INSERT INTO `sys_job_log` VALUES (26144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：526毫秒', '0', '', '2024-12-27 11:13:23');
INSERT INTO `sys_job_log` VALUES (26145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 11:13:28');
INSERT INTO `sys_job_log` VALUES (26146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 11:13:28');
INSERT INTO `sys_job_log` VALUES (26147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-27 11:13:33');
INSERT INTO `sys_job_log` VALUES (26148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 11:13:38');
INSERT INTO `sys_job_log` VALUES (26149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-27 11:13:43');
INSERT INTO `sys_job_log` VALUES (26150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-27 11:13:43');
INSERT INTO `sys_job_log` VALUES (26151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：346毫秒', '0', '', '2024-12-27 11:13:48');
INSERT INTO `sys_job_log` VALUES (26152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：132毫秒', '0', '', '2024-12-27 11:13:53');
INSERT INTO `sys_job_log` VALUES (26153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：868毫秒', '0', '', '2024-12-27 11:13:59');
INSERT INTO `sys_job_log` VALUES (26154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：901毫秒', '0', '', '2024-12-27 11:13:59');
INSERT INTO `sys_job_log` VALUES (26155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：630毫秒', '0', '', '2024-12-27 11:14:03');
INSERT INTO `sys_job_log` VALUES (26156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：988毫秒', '0', '', '2024-12-27 11:14:09');
INSERT INTO `sys_job_log` VALUES (26157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：482毫秒', '0', '', '2024-12-27 11:14:13');
INSERT INTO `sys_job_log` VALUES (26158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：489毫秒', '0', '', '2024-12-27 11:14:13');
INSERT INTO `sys_job_log` VALUES (26159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：126毫秒', '0', '', '2024-12-27 11:14:18');
INSERT INTO `sys_job_log` VALUES (26160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-27 11:14:23');
INSERT INTO `sys_job_log` VALUES (26161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：110毫秒', '0', '', '2024-12-27 11:14:28');
INSERT INTO `sys_job_log` VALUES (26162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：203毫秒', '0', '', '2024-12-27 11:14:28');
INSERT INTO `sys_job_log` VALUES (26163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-27 11:14:33');
INSERT INTO `sys_job_log` VALUES (26164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '0', '', '2024-12-27 11:14:38');
INSERT INTO `sys_job_log` VALUES (26165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-27 11:14:43');
INSERT INTO `sys_job_log` VALUES (26166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：174毫秒', '0', '', '2024-12-27 11:14:43');
INSERT INTO `sys_job_log` VALUES (26167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2024-12-27 11:14:48');
INSERT INTO `sys_job_log` VALUES (26168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 11:14:53');
INSERT INTO `sys_job_log` VALUES (26169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 11:14:58');
INSERT INTO `sys_job_log` VALUES (26170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-27 11:14:58');
INSERT INTO `sys_job_log` VALUES (26171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 11:15:03');
INSERT INTO `sys_job_log` VALUES (26172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-27 11:15:08');
INSERT INTO `sys_job_log` VALUES (26173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-27 11:15:13');
INSERT INTO `sys_job_log` VALUES (26174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-27 11:15:13');
INSERT INTO `sys_job_log` VALUES (26175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 11:15:18');
INSERT INTO `sys_job_log` VALUES (26176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-27 11:15:23');
INSERT INTO `sys_job_log` VALUES (26177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-27 11:15:28');
INSERT INTO `sys_job_log` VALUES (26178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-27 11:15:28');
INSERT INTO `sys_job_log` VALUES (26179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2024-12-27 11:15:33');
INSERT INTO `sys_job_log` VALUES (26180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:15:38');
INSERT INTO `sys_job_log` VALUES (26181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:15:43');
INSERT INTO `sys_job_log` VALUES (26182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:15:43');
INSERT INTO `sys_job_log` VALUES (26183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:15:48');
INSERT INTO `sys_job_log` VALUES (26184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:15:53');
INSERT INTO `sys_job_log` VALUES (26185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:15:58');
INSERT INTO `sys_job_log` VALUES (26186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:15:58');
INSERT INTO `sys_job_log` VALUES (26187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 11:16:03');
INSERT INTO `sys_job_log` VALUES (26188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2024-12-27 11:16:08');
INSERT INTO `sys_job_log` VALUES (26189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 11:16:13');
INSERT INTO `sys_job_log` VALUES (26190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 11:16:13');
INSERT INTO `sys_job_log` VALUES (26191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 11:16:18');
INSERT INTO `sys_job_log` VALUES (26192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:16:23');
INSERT INTO `sys_job_log` VALUES (26193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-27 11:16:28');
INSERT INTO `sys_job_log` VALUES (26194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-27 11:16:28');
INSERT INTO `sys_job_log` VALUES (26195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:16:33');
INSERT INTO `sys_job_log` VALUES (26196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-27 11:16:38');
INSERT INTO `sys_job_log` VALUES (26197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:16:43');
INSERT INTO `sys_job_log` VALUES (26198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:16:43');
INSERT INTO `sys_job_log` VALUES (26199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-27 11:16:48');
INSERT INTO `sys_job_log` VALUES (26200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 11:16:53');
INSERT INTO `sys_job_log` VALUES (26201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 11:16:58');
INSERT INTO `sys_job_log` VALUES (26202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2024-12-27 11:16:58');
INSERT INTO `sys_job_log` VALUES (26203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-27 11:17:03');
INSERT INTO `sys_job_log` VALUES (26204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-27 11:17:08');
INSERT INTO `sys_job_log` VALUES (26205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:17:13');
INSERT INTO `sys_job_log` VALUES (26206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:17:13');
INSERT INTO `sys_job_log` VALUES (26207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:17:18');
INSERT INTO `sys_job_log` VALUES (26208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:17:23');
INSERT INTO `sys_job_log` VALUES (26209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-27 11:17:28');
INSERT INTO `sys_job_log` VALUES (26210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-27 11:17:28');
INSERT INTO `sys_job_log` VALUES (26211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 11:17:33');
INSERT INTO `sys_job_log` VALUES (26212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:17:38');
INSERT INTO `sys_job_log` VALUES (26213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:17:43');
INSERT INTO `sys_job_log` VALUES (26214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:17:43');
INSERT INTO `sys_job_log` VALUES (26215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:17:48');
INSERT INTO `sys_job_log` VALUES (26216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:17:53');
INSERT INTO `sys_job_log` VALUES (26217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:17:58');
INSERT INTO `sys_job_log` VALUES (26218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:17:58');
INSERT INTO `sys_job_log` VALUES (26219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:18:03');
INSERT INTO `sys_job_log` VALUES (26220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:18:08');
INSERT INTO `sys_job_log` VALUES (26221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:18:13');
INSERT INTO `sys_job_log` VALUES (26222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:18:13');
INSERT INTO `sys_job_log` VALUES (26223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:18:18');
INSERT INTO `sys_job_log` VALUES (26224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:18:23');
INSERT INTO `sys_job_log` VALUES (26225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:18:28');
INSERT INTO `sys_job_log` VALUES (26226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:18:28');
INSERT INTO `sys_job_log` VALUES (26227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:18:33');
INSERT INTO `sys_job_log` VALUES (26228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:18:38');
INSERT INTO `sys_job_log` VALUES (26229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:18:43');
INSERT INTO `sys_job_log` VALUES (26230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:18:43');
INSERT INTO `sys_job_log` VALUES (26231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:18:48');
INSERT INTO `sys_job_log` VALUES (26232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:18:53');
INSERT INTO `sys_job_log` VALUES (26233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:18:58');
INSERT INTO `sys_job_log` VALUES (26234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:18:58');
INSERT INTO `sys_job_log` VALUES (26235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:19:03');
INSERT INTO `sys_job_log` VALUES (26236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:19:08');
INSERT INTO `sys_job_log` VALUES (26237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:19:13');
INSERT INTO `sys_job_log` VALUES (26238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:19:13');
INSERT INTO `sys_job_log` VALUES (26239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:19:18');
INSERT INTO `sys_job_log` VALUES (26240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:19:23');
INSERT INTO `sys_job_log` VALUES (26241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:19:28');
INSERT INTO `sys_job_log` VALUES (26242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:19:28');
INSERT INTO `sys_job_log` VALUES (26243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:19:33');
INSERT INTO `sys_job_log` VALUES (26244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:19:38');
INSERT INTO `sys_job_log` VALUES (26245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:19:43');
INSERT INTO `sys_job_log` VALUES (26246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:19:43');
INSERT INTO `sys_job_log` VALUES (26247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:19:48');
INSERT INTO `sys_job_log` VALUES (26248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-27 11:19:53');
INSERT INTO `sys_job_log` VALUES (26249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:19:58');
INSERT INTO `sys_job_log` VALUES (26250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:19:58');
INSERT INTO `sys_job_log` VALUES (26251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:20:03');
INSERT INTO `sys_job_log` VALUES (26252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:20:08');
INSERT INTO `sys_job_log` VALUES (26253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:20:13');
INSERT INTO `sys_job_log` VALUES (26254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:20:13');
INSERT INTO `sys_job_log` VALUES (26255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:20:18');
INSERT INTO `sys_job_log` VALUES (26256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:20:23');
INSERT INTO `sys_job_log` VALUES (26257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:20:28');
INSERT INTO `sys_job_log` VALUES (26258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:20:28');
INSERT INTO `sys_job_log` VALUES (26259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:20:33');
INSERT INTO `sys_job_log` VALUES (26260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:20:38');
INSERT INTO `sys_job_log` VALUES (26261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:20:43');
INSERT INTO `sys_job_log` VALUES (26262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 11:20:43');
INSERT INTO `sys_job_log` VALUES (26263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:20:48');
INSERT INTO `sys_job_log` VALUES (26264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:20:53');
INSERT INTO `sys_job_log` VALUES (26265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:20:58');
INSERT INTO `sys_job_log` VALUES (26266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:20:58');
INSERT INTO `sys_job_log` VALUES (26267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:21:03');
INSERT INTO `sys_job_log` VALUES (26268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:21:08');
INSERT INTO `sys_job_log` VALUES (26269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:21:13');
INSERT INTO `sys_job_log` VALUES (26270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:21:13');
INSERT INTO `sys_job_log` VALUES (26271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:21:18');
INSERT INTO `sys_job_log` VALUES (26272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:21:23');
INSERT INTO `sys_job_log` VALUES (26273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:21:28');
INSERT INTO `sys_job_log` VALUES (26274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:21:28');
INSERT INTO `sys_job_log` VALUES (26275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:21:33');
INSERT INTO `sys_job_log` VALUES (26276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:21:38');
INSERT INTO `sys_job_log` VALUES (26277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:21:43');
INSERT INTO `sys_job_log` VALUES (26278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:21:43');
INSERT INTO `sys_job_log` VALUES (26279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:21:48');
INSERT INTO `sys_job_log` VALUES (26280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:21:53');
INSERT INTO `sys_job_log` VALUES (26281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:21:58');
INSERT INTO `sys_job_log` VALUES (26282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:21:58');
INSERT INTO `sys_job_log` VALUES (26283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:22:03');
INSERT INTO `sys_job_log` VALUES (26284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:22:08');
INSERT INTO `sys_job_log` VALUES (26285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:22:13');
INSERT INTO `sys_job_log` VALUES (26286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:22:13');
INSERT INTO `sys_job_log` VALUES (26287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:22:18');
INSERT INTO `sys_job_log` VALUES (26288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:22:23');
INSERT INTO `sys_job_log` VALUES (26289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:22:28');
INSERT INTO `sys_job_log` VALUES (26290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:22:28');
INSERT INTO `sys_job_log` VALUES (26291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:22:33');
INSERT INTO `sys_job_log` VALUES (26292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:22:38');
INSERT INTO `sys_job_log` VALUES (26293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:22:43');
INSERT INTO `sys_job_log` VALUES (26294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:22:43');
INSERT INTO `sys_job_log` VALUES (26295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:22:48');
INSERT INTO `sys_job_log` VALUES (26296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:22:53');
INSERT INTO `sys_job_log` VALUES (26297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:22:58');
INSERT INTO `sys_job_log` VALUES (26298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:22:58');
INSERT INTO `sys_job_log` VALUES (26299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:23:03');
INSERT INTO `sys_job_log` VALUES (26300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:23:08');
INSERT INTO `sys_job_log` VALUES (26301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:23:13');
INSERT INTO `sys_job_log` VALUES (26302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:23:13');
INSERT INTO `sys_job_log` VALUES (26303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:23:18');
INSERT INTO `sys_job_log` VALUES (26304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:23:23');
INSERT INTO `sys_job_log` VALUES (26305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:23:28');
INSERT INTO `sys_job_log` VALUES (26306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 11:23:28');
INSERT INTO `sys_job_log` VALUES (26307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:23:33');
INSERT INTO `sys_job_log` VALUES (26308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:23:38');
INSERT INTO `sys_job_log` VALUES (26309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:23:43');
INSERT INTO `sys_job_log` VALUES (26310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:23:43');
INSERT INTO `sys_job_log` VALUES (26311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:23:48');
INSERT INTO `sys_job_log` VALUES (26312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:23:53');
INSERT INTO `sys_job_log` VALUES (26313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:23:58');
INSERT INTO `sys_job_log` VALUES (26314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:23:58');
INSERT INTO `sys_job_log` VALUES (26315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:24:03');
INSERT INTO `sys_job_log` VALUES (26316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:24:08');
INSERT INTO `sys_job_log` VALUES (26317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:24:13');
INSERT INTO `sys_job_log` VALUES (26318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:24:13');
INSERT INTO `sys_job_log` VALUES (26319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:24:18');
INSERT INTO `sys_job_log` VALUES (26320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:24:23');
INSERT INTO `sys_job_log` VALUES (26321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:24:28');
INSERT INTO `sys_job_log` VALUES (26322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:24:28');
INSERT INTO `sys_job_log` VALUES (26323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:24:33');
INSERT INTO `sys_job_log` VALUES (26324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:24:38');
INSERT INTO `sys_job_log` VALUES (26325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:24:43');
INSERT INTO `sys_job_log` VALUES (26326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:24:43');
INSERT INTO `sys_job_log` VALUES (26327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:24:48');
INSERT INTO `sys_job_log` VALUES (26328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:24:53');
INSERT INTO `sys_job_log` VALUES (26329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:24:58');
INSERT INTO `sys_job_log` VALUES (26330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:24:58');
INSERT INTO `sys_job_log` VALUES (26331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:25:03');
INSERT INTO `sys_job_log` VALUES (26332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:25:08');
INSERT INTO `sys_job_log` VALUES (26333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:25:13');
INSERT INTO `sys_job_log` VALUES (26334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:25:13');
INSERT INTO `sys_job_log` VALUES (26335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:25:18');
INSERT INTO `sys_job_log` VALUES (26336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:25:23');
INSERT INTO `sys_job_log` VALUES (26337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:25:28');
INSERT INTO `sys_job_log` VALUES (26338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:25:28');
INSERT INTO `sys_job_log` VALUES (26339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:25:33');
INSERT INTO `sys_job_log` VALUES (26340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:25:38');
INSERT INTO `sys_job_log` VALUES (26341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:25:43');
INSERT INTO `sys_job_log` VALUES (26342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:25:43');
INSERT INTO `sys_job_log` VALUES (26343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:25:48');
INSERT INTO `sys_job_log` VALUES (26344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:25:53');
INSERT INTO `sys_job_log` VALUES (26345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:25:58');
INSERT INTO `sys_job_log` VALUES (26346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:25:58');
INSERT INTO `sys_job_log` VALUES (26347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:26:03');
INSERT INTO `sys_job_log` VALUES (26348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:26:08');
INSERT INTO `sys_job_log` VALUES (26349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:26:13');
INSERT INTO `sys_job_log` VALUES (26350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:26:13');
INSERT INTO `sys_job_log` VALUES (26351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:26:18');
INSERT INTO `sys_job_log` VALUES (26352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:26:23');
INSERT INTO `sys_job_log` VALUES (26353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:26:28');
INSERT INTO `sys_job_log` VALUES (26354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:26:28');
INSERT INTO `sys_job_log` VALUES (26355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:26:33');
INSERT INTO `sys_job_log` VALUES (26356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:26:38');
INSERT INTO `sys_job_log` VALUES (26357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:26:43');
INSERT INTO `sys_job_log` VALUES (26358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:26:43');
INSERT INTO `sys_job_log` VALUES (26359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:26:48');
INSERT INTO `sys_job_log` VALUES (26360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:26:53');
INSERT INTO `sys_job_log` VALUES (26361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 11:26:58');
INSERT INTO `sys_job_log` VALUES (26362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 11:26:58');
INSERT INTO `sys_job_log` VALUES (26363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:03');
INSERT INTO `sys_job_log` VALUES (26364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:27:08');
INSERT INTO `sys_job_log` VALUES (26365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:27:13');
INSERT INTO `sys_job_log` VALUES (26366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:27:13');
INSERT INTO `sys_job_log` VALUES (26367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:18');
INSERT INTO `sys_job_log` VALUES (26368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:27:23');
INSERT INTO `sys_job_log` VALUES (26369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:28');
INSERT INTO `sys_job_log` VALUES (26370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:28');
INSERT INTO `sys_job_log` VALUES (26371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:27:33');
INSERT INTO `sys_job_log` VALUES (26372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:27:38');
INSERT INTO `sys_job_log` VALUES (26373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:43');
INSERT INTO `sys_job_log` VALUES (26374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:43');
INSERT INTO `sys_job_log` VALUES (26375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:27:48');
INSERT INTO `sys_job_log` VALUES (26376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:27:53');
INSERT INTO `sys_job_log` VALUES (26377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:27:58');
INSERT INTO `sys_job_log` VALUES (26378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:27:58');
INSERT INTO `sys_job_log` VALUES (26379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 11:28:03');
INSERT INTO `sys_job_log` VALUES (26380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:28:08');
INSERT INTO `sys_job_log` VALUES (26381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：111毫秒', '0', '', '2024-12-27 11:33:29');
INSERT INTO `sys_job_log` VALUES (26382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-27 11:33:29');
INSERT INTO `sys_job_log` VALUES (26383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-27 11:33:30');
INSERT INTO `sys_job_log` VALUES (26384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:33:33');
INSERT INTO `sys_job_log` VALUES (26385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:33:38');
INSERT INTO `sys_job_log` VALUES (26386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:33:43');
INSERT INTO `sys_job_log` VALUES (26387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:33:43');
INSERT INTO `sys_job_log` VALUES (26388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:33:48');
INSERT INTO `sys_job_log` VALUES (26389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:33:53');
INSERT INTO `sys_job_log` VALUES (26390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 11:33:58');
INSERT INTO `sys_job_log` VALUES (26391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 11:33:58');
INSERT INTO `sys_job_log` VALUES (26392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:34:03');
INSERT INTO `sys_job_log` VALUES (26393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:34:08');
INSERT INTO `sys_job_log` VALUES (26394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1844毫秒', '0', '', '2024-12-27 11:34:15');
INSERT INTO `sys_job_log` VALUES (26395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1844毫秒', '0', '', '2024-12-27 11:34:15');
INSERT INTO `sys_job_log` VALUES (26396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:34:18');
INSERT INTO `sys_job_log` VALUES (26397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:34:23');
INSERT INTO `sys_job_log` VALUES (26398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:34:28');
INSERT INTO `sys_job_log` VALUES (26399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:34:28');
INSERT INTO `sys_job_log` VALUES (26400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:34:33');
INSERT INTO `sys_job_log` VALUES (26401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:34:38');
INSERT INTO `sys_job_log` VALUES (26402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:34:43');
INSERT INTO `sys_job_log` VALUES (26403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:34:43');
INSERT INTO `sys_job_log` VALUES (26404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:34:48');
INSERT INTO `sys_job_log` VALUES (26405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:34:53');
INSERT INTO `sys_job_log` VALUES (26406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:34:58');
INSERT INTO `sys_job_log` VALUES (26407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:34:58');
INSERT INTO `sys_job_log` VALUES (26408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:35:03');
INSERT INTO `sys_job_log` VALUES (26409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:35:08');
INSERT INTO `sys_job_log` VALUES (26410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:35:13');
INSERT INTO `sys_job_log` VALUES (26411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:35:13');
INSERT INTO `sys_job_log` VALUES (26412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:35:18');
INSERT INTO `sys_job_log` VALUES (26413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:35:23');
INSERT INTO `sys_job_log` VALUES (26414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:35:28');
INSERT INTO `sys_job_log` VALUES (26415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:35:28');
INSERT INTO `sys_job_log` VALUES (26416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:35:33');
INSERT INTO `sys_job_log` VALUES (26417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:35:38');
INSERT INTO `sys_job_log` VALUES (26418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:35:43');
INSERT INTO `sys_job_log` VALUES (26419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:35:43');
INSERT INTO `sys_job_log` VALUES (26420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:35:48');
INSERT INTO `sys_job_log` VALUES (26421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 11:35:53');
INSERT INTO `sys_job_log` VALUES (26422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:35:58');
INSERT INTO `sys_job_log` VALUES (26423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 11:35:58');
INSERT INTO `sys_job_log` VALUES (26424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 11:36:03');
INSERT INTO `sys_job_log` VALUES (26425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:36:08');
INSERT INTO `sys_job_log` VALUES (26426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:36:13');
INSERT INTO `sys_job_log` VALUES (26427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:36:13');
INSERT INTO `sys_job_log` VALUES (26428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:36:18');
INSERT INTO `sys_job_log` VALUES (26429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:36:23');
INSERT INTO `sys_job_log` VALUES (26430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:36:28');
INSERT INTO `sys_job_log` VALUES (26431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:36:28');
INSERT INTO `sys_job_log` VALUES (26432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:36:33');
INSERT INTO `sys_job_log` VALUES (26433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:36:38');
INSERT INTO `sys_job_log` VALUES (26434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:36:43');
INSERT INTO `sys_job_log` VALUES (26435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:36:43');
INSERT INTO `sys_job_log` VALUES (26436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:36:48');
INSERT INTO `sys_job_log` VALUES (26437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:36:53');
INSERT INTO `sys_job_log` VALUES (26438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:36:58');
INSERT INTO `sys_job_log` VALUES (26439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:36:58');
INSERT INTO `sys_job_log` VALUES (26440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:37:03');
INSERT INTO `sys_job_log` VALUES (26441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:37:08');
INSERT INTO `sys_job_log` VALUES (26442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:37:13');
INSERT INTO `sys_job_log` VALUES (26443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:37:13');
INSERT INTO `sys_job_log` VALUES (26444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:37:18');
INSERT INTO `sys_job_log` VALUES (26445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:37:23');
INSERT INTO `sys_job_log` VALUES (26446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:37:28');
INSERT INTO `sys_job_log` VALUES (26447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:37:28');
INSERT INTO `sys_job_log` VALUES (26448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:37:33');
INSERT INTO `sys_job_log` VALUES (26449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:37:38');
INSERT INTO `sys_job_log` VALUES (26450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 11:37:43');
INSERT INTO `sys_job_log` VALUES (26451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-27 11:37:43');
INSERT INTO `sys_job_log` VALUES (26452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:37:48');
INSERT INTO `sys_job_log` VALUES (26453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:37:53');
INSERT INTO `sys_job_log` VALUES (26454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:37:58');
INSERT INTO `sys_job_log` VALUES (26455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:37:58');
INSERT INTO `sys_job_log` VALUES (26456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:38:03');
INSERT INTO `sys_job_log` VALUES (26457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:38:08');
INSERT INTO `sys_job_log` VALUES (26458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 11:38:13');
INSERT INTO `sys_job_log` VALUES (26459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:38:13');
INSERT INTO `sys_job_log` VALUES (26460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:38:18');
INSERT INTO `sys_job_log` VALUES (26461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:38:23');
INSERT INTO `sys_job_log` VALUES (26462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:38:28');
INSERT INTO `sys_job_log` VALUES (26463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:38:28');
INSERT INTO `sys_job_log` VALUES (26464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:38:33');
INSERT INTO `sys_job_log` VALUES (26465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:38:38');
INSERT INTO `sys_job_log` VALUES (26466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:38:43');
INSERT INTO `sys_job_log` VALUES (26467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:38:43');
INSERT INTO `sys_job_log` VALUES (26468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:38:48');
INSERT INTO `sys_job_log` VALUES (26469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:38:53');
INSERT INTO `sys_job_log` VALUES (26470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:38:58');
INSERT INTO `sys_job_log` VALUES (26471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:38:58');
INSERT INTO `sys_job_log` VALUES (26472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:39:03');
INSERT INTO `sys_job_log` VALUES (26473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:39:08');
INSERT INTO `sys_job_log` VALUES (26474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:39:13');
INSERT INTO `sys_job_log` VALUES (26475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:39:13');
INSERT INTO `sys_job_log` VALUES (26476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:39:18');
INSERT INTO `sys_job_log` VALUES (26477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:39:23');
INSERT INTO `sys_job_log` VALUES (26478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:39:28');
INSERT INTO `sys_job_log` VALUES (26479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:39:28');
INSERT INTO `sys_job_log` VALUES (26480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:39:33');
INSERT INTO `sys_job_log` VALUES (26481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:39:38');
INSERT INTO `sys_job_log` VALUES (26482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:39:43');
INSERT INTO `sys_job_log` VALUES (26483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:39:43');
INSERT INTO `sys_job_log` VALUES (26484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:39:48');
INSERT INTO `sys_job_log` VALUES (26485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:39:53');
INSERT INTO `sys_job_log` VALUES (26486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 11:39:58');
INSERT INTO `sys_job_log` VALUES (26487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 11:39:58');
INSERT INTO `sys_job_log` VALUES (26488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:40:03');
INSERT INTO `sys_job_log` VALUES (26489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:40:08');
INSERT INTO `sys_job_log` VALUES (26490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:13');
INSERT INTO `sys_job_log` VALUES (26491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:13');
INSERT INTO `sys_job_log` VALUES (26492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 11:40:18');
INSERT INTO `sys_job_log` VALUES (26493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:40:23');
INSERT INTO `sys_job_log` VALUES (26494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:28');
INSERT INTO `sys_job_log` VALUES (26495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:28');
INSERT INTO `sys_job_log` VALUES (26496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:40:33');
INSERT INTO `sys_job_log` VALUES (26497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:40:38');
INSERT INTO `sys_job_log` VALUES (26498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:43');
INSERT INTO `sys_job_log` VALUES (26499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:43');
INSERT INTO `sys_job_log` VALUES (26500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:40:48');
INSERT INTO `sys_job_log` VALUES (26501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:40:53');
INSERT INTO `sys_job_log` VALUES (26502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:40:58');
INSERT INTO `sys_job_log` VALUES (26503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:40:58');
INSERT INTO `sys_job_log` VALUES (26504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:41:03');
INSERT INTO `sys_job_log` VALUES (26505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:41:08');
INSERT INTO `sys_job_log` VALUES (26506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:41:13');
INSERT INTO `sys_job_log` VALUES (26507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:41:13');
INSERT INTO `sys_job_log` VALUES (26508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:41:18');
INSERT INTO `sys_job_log` VALUES (26509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:41:23');
INSERT INTO `sys_job_log` VALUES (26510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:41:28');
INSERT INTO `sys_job_log` VALUES (26511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:41:28');
INSERT INTO `sys_job_log` VALUES (26512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:41:33');
INSERT INTO `sys_job_log` VALUES (26513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:41:38');
INSERT INTO `sys_job_log` VALUES (26514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 11:41:43');
INSERT INTO `sys_job_log` VALUES (26515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:41:43');
INSERT INTO `sys_job_log` VALUES (26516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:41:48');
INSERT INTO `sys_job_log` VALUES (26517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:41:53');
INSERT INTO `sys_job_log` VALUES (26518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:41:58');
INSERT INTO `sys_job_log` VALUES (26519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:41:58');
INSERT INTO `sys_job_log` VALUES (26520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:42:03');
INSERT INTO `sys_job_log` VALUES (26521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:42:08');
INSERT INTO `sys_job_log` VALUES (26522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:42:13');
INSERT INTO `sys_job_log` VALUES (26523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:42:13');
INSERT INTO `sys_job_log` VALUES (26524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:42:18');
INSERT INTO `sys_job_log` VALUES (26525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:42:23');
INSERT INTO `sys_job_log` VALUES (26526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:42:28');
INSERT INTO `sys_job_log` VALUES (26527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:42:28');
INSERT INTO `sys_job_log` VALUES (26528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:42:33');
INSERT INTO `sys_job_log` VALUES (26529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:42:38');
INSERT INTO `sys_job_log` VALUES (26530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:42:43');
INSERT INTO `sys_job_log` VALUES (26531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:42:43');
INSERT INTO `sys_job_log` VALUES (26532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:42:48');
INSERT INTO `sys_job_log` VALUES (26533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:42:53');
INSERT INTO `sys_job_log` VALUES (26534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:42:58');
INSERT INTO `sys_job_log` VALUES (26535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:42:58');
INSERT INTO `sys_job_log` VALUES (26536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:43:03');
INSERT INTO `sys_job_log` VALUES (26537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:43:08');
INSERT INTO `sys_job_log` VALUES (26538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:43:13');
INSERT INTO `sys_job_log` VALUES (26539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:43:13');
INSERT INTO `sys_job_log` VALUES (26540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:43:18');
INSERT INTO `sys_job_log` VALUES (26541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 11:43:23');
INSERT INTO `sys_job_log` VALUES (26542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:43:28');
INSERT INTO `sys_job_log` VALUES (26543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:43:28');
INSERT INTO `sys_job_log` VALUES (26544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:43:33');
INSERT INTO `sys_job_log` VALUES (26545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:43:38');
INSERT INTO `sys_job_log` VALUES (26546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:43:43');
INSERT INTO `sys_job_log` VALUES (26547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:43:43');
INSERT INTO `sys_job_log` VALUES (26548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:43:48');
INSERT INTO `sys_job_log` VALUES (26549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:43:53');
INSERT INTO `sys_job_log` VALUES (26550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:43:58');
INSERT INTO `sys_job_log` VALUES (26551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:43:58');
INSERT INTO `sys_job_log` VALUES (26552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:44:03');
INSERT INTO `sys_job_log` VALUES (26553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:44:08');
INSERT INTO `sys_job_log` VALUES (26554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:44:13');
INSERT INTO `sys_job_log` VALUES (26555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:44:13');
INSERT INTO `sys_job_log` VALUES (26556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:44:18');
INSERT INTO `sys_job_log` VALUES (26557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:44:23');
INSERT INTO `sys_job_log` VALUES (26558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:44:28');
INSERT INTO `sys_job_log` VALUES (26559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:44:28');
INSERT INTO `sys_job_log` VALUES (26560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:44:33');
INSERT INTO `sys_job_log` VALUES (26561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:44:38');
INSERT INTO `sys_job_log` VALUES (26562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:44:43');
INSERT INTO `sys_job_log` VALUES (26563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:44:43');
INSERT INTO `sys_job_log` VALUES (26564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:44:48');
INSERT INTO `sys_job_log` VALUES (26565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:44:53');
INSERT INTO `sys_job_log` VALUES (26566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:44:58');
INSERT INTO `sys_job_log` VALUES (26567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:44:58');
INSERT INTO `sys_job_log` VALUES (26568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:45:03');
INSERT INTO `sys_job_log` VALUES (26569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:45:08');
INSERT INTO `sys_job_log` VALUES (26570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:45:13');
INSERT INTO `sys_job_log` VALUES (26571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:45:13');
INSERT INTO `sys_job_log` VALUES (26572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:45:18');
INSERT INTO `sys_job_log` VALUES (26573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:45:23');
INSERT INTO `sys_job_log` VALUES (26574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:45:28');
INSERT INTO `sys_job_log` VALUES (26575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:45:28');
INSERT INTO `sys_job_log` VALUES (26576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:45:33');
INSERT INTO `sys_job_log` VALUES (26577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:45:38');
INSERT INTO `sys_job_log` VALUES (26578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:45:43');
INSERT INTO `sys_job_log` VALUES (26579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:45:43');
INSERT INTO `sys_job_log` VALUES (26580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:45:48');
INSERT INTO `sys_job_log` VALUES (26581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:45:53');
INSERT INTO `sys_job_log` VALUES (26582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:45:58');
INSERT INTO `sys_job_log` VALUES (26583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 11:45:58');
INSERT INTO `sys_job_log` VALUES (26584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:46:03');
INSERT INTO `sys_job_log` VALUES (26585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:46:08');
INSERT INTO `sys_job_log` VALUES (26586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:46:13');
INSERT INTO `sys_job_log` VALUES (26587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:46:13');
INSERT INTO `sys_job_log` VALUES (26588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:46:18');
INSERT INTO `sys_job_log` VALUES (26589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:46:23');
INSERT INTO `sys_job_log` VALUES (26590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:46:28');
INSERT INTO `sys_job_log` VALUES (26591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:46:28');
INSERT INTO `sys_job_log` VALUES (26592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:46:33');
INSERT INTO `sys_job_log` VALUES (26593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:46:38');
INSERT INTO `sys_job_log` VALUES (26594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:46:43');
INSERT INTO `sys_job_log` VALUES (26595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:46:43');
INSERT INTO `sys_job_log` VALUES (26596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:46:48');
INSERT INTO `sys_job_log` VALUES (26597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:46:53');
INSERT INTO `sys_job_log` VALUES (26598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:46:58');
INSERT INTO `sys_job_log` VALUES (26599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:46:58');
INSERT INTO `sys_job_log` VALUES (26600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:47:03');
INSERT INTO `sys_job_log` VALUES (26601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:47:08');
INSERT INTO `sys_job_log` VALUES (26602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:47:13');
INSERT INTO `sys_job_log` VALUES (26603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:47:13');
INSERT INTO `sys_job_log` VALUES (26604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 11:47:18');
INSERT INTO `sys_job_log` VALUES (26605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:47:23');
INSERT INTO `sys_job_log` VALUES (26606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:47:28');
INSERT INTO `sys_job_log` VALUES (26607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:47:28');
INSERT INTO `sys_job_log` VALUES (26608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:47:33');
INSERT INTO `sys_job_log` VALUES (26609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:47:38');
INSERT INTO `sys_job_log` VALUES (26610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:47:43');
INSERT INTO `sys_job_log` VALUES (26611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:47:43');
INSERT INTO `sys_job_log` VALUES (26612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:47:48');
INSERT INTO `sys_job_log` VALUES (26613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:47:53');
INSERT INTO `sys_job_log` VALUES (26614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:47:58');
INSERT INTO `sys_job_log` VALUES (26615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:47:58');
INSERT INTO `sys_job_log` VALUES (26616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:48:03');
INSERT INTO `sys_job_log` VALUES (26617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:48:08');
INSERT INTO `sys_job_log` VALUES (26618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:48:13');
INSERT INTO `sys_job_log` VALUES (26619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:48:13');
INSERT INTO `sys_job_log` VALUES (26620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:48:18');
INSERT INTO `sys_job_log` VALUES (26621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:48:23');
INSERT INTO `sys_job_log` VALUES (26622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:48:28');
INSERT INTO `sys_job_log` VALUES (26623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:48:28');
INSERT INTO `sys_job_log` VALUES (26624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 11:48:33');
INSERT INTO `sys_job_log` VALUES (26625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:48:38');
INSERT INTO `sys_job_log` VALUES (26626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:48:43');
INSERT INTO `sys_job_log` VALUES (26627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:48:43');
INSERT INTO `sys_job_log` VALUES (26628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:48:48');
INSERT INTO `sys_job_log` VALUES (26629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:48:53');
INSERT INTO `sys_job_log` VALUES (26630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:48:58');
INSERT INTO `sys_job_log` VALUES (26631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:48:58');
INSERT INTO `sys_job_log` VALUES (26632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:03');
INSERT INTO `sys_job_log` VALUES (26633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:49:08');
INSERT INTO `sys_job_log` VALUES (26634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:49:13');
INSERT INTO `sys_job_log` VALUES (26635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:49:13');
INSERT INTO `sys_job_log` VALUES (26636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:18');
INSERT INTO `sys_job_log` VALUES (26637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:49:23');
INSERT INTO `sys_job_log` VALUES (26638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:49:28');
INSERT INTO `sys_job_log` VALUES (26639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:49:28');
INSERT INTO `sys_job_log` VALUES (26640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:49:33');
INSERT INTO `sys_job_log` VALUES (26641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:38');
INSERT INTO `sys_job_log` VALUES (26642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:43');
INSERT INTO `sys_job_log` VALUES (26643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:43');
INSERT INTO `sys_job_log` VALUES (26644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:49:48');
INSERT INTO `sys_job_log` VALUES (26645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:49:53');
INSERT INTO `sys_job_log` VALUES (26646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:58');
INSERT INTO `sys_job_log` VALUES (26647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:49:58');
INSERT INTO `sys_job_log` VALUES (26648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:03');
INSERT INTO `sys_job_log` VALUES (26649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:08');
INSERT INTO `sys_job_log` VALUES (26650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:50:13');
INSERT INTO `sys_job_log` VALUES (26651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:13');
INSERT INTO `sys_job_log` VALUES (26652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:50:18');
INSERT INTO `sys_job_log` VALUES (26653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:50:23');
INSERT INTO `sys_job_log` VALUES (26654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:28');
INSERT INTO `sys_job_log` VALUES (26655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:28');
INSERT INTO `sys_job_log` VALUES (26656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:50:33');
INSERT INTO `sys_job_log` VALUES (26657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:50:38');
INSERT INTO `sys_job_log` VALUES (26658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:50:43');
INSERT INTO `sys_job_log` VALUES (26659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:50:43');
INSERT INTO `sys_job_log` VALUES (26660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:50:48');
INSERT INTO `sys_job_log` VALUES (26661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:50:53');
INSERT INTO `sys_job_log` VALUES (26662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:58');
INSERT INTO `sys_job_log` VALUES (26663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:50:58');
INSERT INTO `sys_job_log` VALUES (26664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:51:03');
INSERT INTO `sys_job_log` VALUES (26665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:51:08');
INSERT INTO `sys_job_log` VALUES (26666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 11:51:13');
INSERT INTO `sys_job_log` VALUES (26667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:51:13');
INSERT INTO `sys_job_log` VALUES (26668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:51:18');
INSERT INTO `sys_job_log` VALUES (26669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:51:23');
INSERT INTO `sys_job_log` VALUES (26670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:51:28');
INSERT INTO `sys_job_log` VALUES (26671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:51:28');
INSERT INTO `sys_job_log` VALUES (26672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:51:33');
INSERT INTO `sys_job_log` VALUES (26673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:51:38');
INSERT INTO `sys_job_log` VALUES (26674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:51:43');
INSERT INTO `sys_job_log` VALUES (26675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:51:43');
INSERT INTO `sys_job_log` VALUES (26676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:51:48');
INSERT INTO `sys_job_log` VALUES (26677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-27 11:51:53');
INSERT INTO `sys_job_log` VALUES (26678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:51:58');
INSERT INTO `sys_job_log` VALUES (26679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:51:58');
INSERT INTO `sys_job_log` VALUES (26680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 11:52:03');
INSERT INTO `sys_job_log` VALUES (26681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-27 11:52:08');
INSERT INTO `sys_job_log` VALUES (26682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:52:13');
INSERT INTO `sys_job_log` VALUES (26683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:52:13');
INSERT INTO `sys_job_log` VALUES (26684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:52:18');
INSERT INTO `sys_job_log` VALUES (26685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:52:23');
INSERT INTO `sys_job_log` VALUES (26686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:52:28');
INSERT INTO `sys_job_log` VALUES (26687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:52:28');
INSERT INTO `sys_job_log` VALUES (26688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:52:33');
INSERT INTO `sys_job_log` VALUES (26689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:52:38');
INSERT INTO `sys_job_log` VALUES (26690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:52:43');
INSERT INTO `sys_job_log` VALUES (26691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:52:43');
INSERT INTO `sys_job_log` VALUES (26692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 11:52:48');
INSERT INTO `sys_job_log` VALUES (26693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:52:53');
INSERT INTO `sys_job_log` VALUES (26694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:52:58');
INSERT INTO `sys_job_log` VALUES (26695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:52:58');
INSERT INTO `sys_job_log` VALUES (26696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:53:03');
INSERT INTO `sys_job_log` VALUES (26697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:53:08');
INSERT INTO `sys_job_log` VALUES (26698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:53:13');
INSERT INTO `sys_job_log` VALUES (26699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:53:13');
INSERT INTO `sys_job_log` VALUES (26700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:53:18');
INSERT INTO `sys_job_log` VALUES (26701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:53:23');
INSERT INTO `sys_job_log` VALUES (26702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:53:28');
INSERT INTO `sys_job_log` VALUES (26703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:53:28');
INSERT INTO `sys_job_log` VALUES (26704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:53:33');
INSERT INTO `sys_job_log` VALUES (26705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 11:53:38');
INSERT INTO `sys_job_log` VALUES (26706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-27 11:53:43');
INSERT INTO `sys_job_log` VALUES (26707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 11:53:43');
INSERT INTO `sys_job_log` VALUES (26708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:53:48');
INSERT INTO `sys_job_log` VALUES (26709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:53:53');
INSERT INTO `sys_job_log` VALUES (26710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:53:58');
INSERT INTO `sys_job_log` VALUES (26711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:53:58');
INSERT INTO `sys_job_log` VALUES (26712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-27 11:54:03');
INSERT INTO `sys_job_log` VALUES (26713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：410毫秒', '0', '', '2024-12-27 11:54:09');
INSERT INTO `sys_job_log` VALUES (26714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-27 11:54:13');
INSERT INTO `sys_job_log` VALUES (26715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2024-12-27 11:54:13');
INSERT INTO `sys_job_log` VALUES (26716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-27 11:54:18');
INSERT INTO `sys_job_log` VALUES (26717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 11:54:23');
INSERT INTO `sys_job_log` VALUES (26718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:54:28');
INSERT INTO `sys_job_log` VALUES (26719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 11:54:28');
INSERT INTO `sys_job_log` VALUES (26720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:54:33');
INSERT INTO `sys_job_log` VALUES (26721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:54:38');
INSERT INTO `sys_job_log` VALUES (26722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-27 11:54:43');
INSERT INTO `sys_job_log` VALUES (26723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-27 11:54:43');
INSERT INTO `sys_job_log` VALUES (26724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:54:48');
INSERT INTO `sys_job_log` VALUES (26725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2024-12-27 11:54:53');
INSERT INTO `sys_job_log` VALUES (26726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 11:54:58');
INSERT INTO `sys_job_log` VALUES (26727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-27 11:54:58');
INSERT INTO `sys_job_log` VALUES (26728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:55:03');
INSERT INTO `sys_job_log` VALUES (26729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:55:08');
INSERT INTO `sys_job_log` VALUES (26730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 11:55:13');
INSERT INTO `sys_job_log` VALUES (26731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 11:55:13');
INSERT INTO `sys_job_log` VALUES (26732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:55:18');
INSERT INTO `sys_job_log` VALUES (26733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:55:23');
INSERT INTO `sys_job_log` VALUES (26734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:55:28');
INSERT INTO `sys_job_log` VALUES (26735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:55:28');
INSERT INTO `sys_job_log` VALUES (26736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:55:33');
INSERT INTO `sys_job_log` VALUES (26737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:55:38');
INSERT INTO `sys_job_log` VALUES (26738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:55:43');
INSERT INTO `sys_job_log` VALUES (26739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:55:43');
INSERT INTO `sys_job_log` VALUES (26740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:55:48');
INSERT INTO `sys_job_log` VALUES (26741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:55:53');
INSERT INTO `sys_job_log` VALUES (26742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:55:58');
INSERT INTO `sys_job_log` VALUES (26743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:55:58');
INSERT INTO `sys_job_log` VALUES (26744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 11:56:03');
INSERT INTO `sys_job_log` VALUES (26745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 11:56:08');
INSERT INTO `sys_job_log` VALUES (26746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:56:13');
INSERT INTO `sys_job_log` VALUES (26747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:56:13');
INSERT INTO `sys_job_log` VALUES (26748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:56:18');
INSERT INTO `sys_job_log` VALUES (26749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：325毫秒', '0', '', '2024-12-27 11:56:23');
INSERT INTO `sys_job_log` VALUES (26750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 11:56:28');
INSERT INTO `sys_job_log` VALUES (26751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:56:28');
INSERT INTO `sys_job_log` VALUES (26752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:56:33');
INSERT INTO `sys_job_log` VALUES (26753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:56:38');
INSERT INTO `sys_job_log` VALUES (26754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 11:56:43');
INSERT INTO `sys_job_log` VALUES (26755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 11:56:43');
INSERT INTO `sys_job_log` VALUES (26756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:56:48');
INSERT INTO `sys_job_log` VALUES (26757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:56:53');
INSERT INTO `sys_job_log` VALUES (26758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:56:58');
INSERT INTO `sys_job_log` VALUES (26759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 11:56:58');
INSERT INTO `sys_job_log` VALUES (26760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:57:03');
INSERT INTO `sys_job_log` VALUES (26761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 11:57:08');
INSERT INTO `sys_job_log` VALUES (26762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 11:57:13');
INSERT INTO `sys_job_log` VALUES (26763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:57:13');
INSERT INTO `sys_job_log` VALUES (26764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:57:18');
INSERT INTO `sys_job_log` VALUES (26765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:57:23');
INSERT INTO `sys_job_log` VALUES (26766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:57:28');
INSERT INTO `sys_job_log` VALUES (26767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:57:28');
INSERT INTO `sys_job_log` VALUES (26768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:57:33');
INSERT INTO `sys_job_log` VALUES (26769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:57:38');
INSERT INTO `sys_job_log` VALUES (26770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:57:43');
INSERT INTO `sys_job_log` VALUES (26771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 11:57:43');
INSERT INTO `sys_job_log` VALUES (26772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:57:48');
INSERT INTO `sys_job_log` VALUES (26773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:57:53');
INSERT INTO `sys_job_log` VALUES (26774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:57:58');
INSERT INTO `sys_job_log` VALUES (26775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:57:58');
INSERT INTO `sys_job_log` VALUES (26776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:58:03');
INSERT INTO `sys_job_log` VALUES (26777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:58:08');
INSERT INTO `sys_job_log` VALUES (26778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:58:13');
INSERT INTO `sys_job_log` VALUES (26779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:58:13');
INSERT INTO `sys_job_log` VALUES (26780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:58:18');
INSERT INTO `sys_job_log` VALUES (26781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:58:23');
INSERT INTO `sys_job_log` VALUES (26782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 11:58:28');
INSERT INTO `sys_job_log` VALUES (26783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 11:58:28');
INSERT INTO `sys_job_log` VALUES (26784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:58:33');
INSERT INTO `sys_job_log` VALUES (26785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:58:38');
INSERT INTO `sys_job_log` VALUES (26786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 11:58:43');
INSERT INTO `sys_job_log` VALUES (26787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:58:43');
INSERT INTO `sys_job_log` VALUES (26788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:58:48');
INSERT INTO `sys_job_log` VALUES (26789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:58:53');
INSERT INTO `sys_job_log` VALUES (26790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:58:58');
INSERT INTO `sys_job_log` VALUES (26791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 11:58:58');
INSERT INTO `sys_job_log` VALUES (26792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:59:03');
INSERT INTO `sys_job_log` VALUES (26793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:59:08');
INSERT INTO `sys_job_log` VALUES (26794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:59:13');
INSERT INTO `sys_job_log` VALUES (26795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:59:13');
INSERT INTO `sys_job_log` VALUES (26796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 11:59:18');
INSERT INTO `sys_job_log` VALUES (26797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 11:59:23');
INSERT INTO `sys_job_log` VALUES (26798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:59:28');
INSERT INTO `sys_job_log` VALUES (26799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 11:59:28');
INSERT INTO `sys_job_log` VALUES (26800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 11:59:33');
INSERT INTO `sys_job_log` VALUES (26801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 11:59:38');
INSERT INTO `sys_job_log` VALUES (26802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 11:59:43');
INSERT INTO `sys_job_log` VALUES (26803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 11:59:43');
INSERT INTO `sys_job_log` VALUES (26804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 11:59:48');
INSERT INTO `sys_job_log` VALUES (26805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 11:59:53');
INSERT INTO `sys_job_log` VALUES (26806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 11:59:58');
INSERT INTO `sys_job_log` VALUES (26807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 11:59:58');
INSERT INTO `sys_job_log` VALUES (26808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:00:03');
INSERT INTO `sys_job_log` VALUES (26809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:00:08');
INSERT INTO `sys_job_log` VALUES (26810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:00:13');
INSERT INTO `sys_job_log` VALUES (26811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:00:13');
INSERT INTO `sys_job_log` VALUES (26812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:00:18');
INSERT INTO `sys_job_log` VALUES (26813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:00:23');
INSERT INTO `sys_job_log` VALUES (26814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:00:28');
INSERT INTO `sys_job_log` VALUES (26815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:00:28');
INSERT INTO `sys_job_log` VALUES (26816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:00:33');
INSERT INTO `sys_job_log` VALUES (26817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:00:38');
INSERT INTO `sys_job_log` VALUES (26818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:00:43');
INSERT INTO `sys_job_log` VALUES (26819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:00:43');
INSERT INTO `sys_job_log` VALUES (26820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:00:48');
INSERT INTO `sys_job_log` VALUES (26821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:00:53');
INSERT INTO `sys_job_log` VALUES (26822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:00:58');
INSERT INTO `sys_job_log` VALUES (26823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:00:58');
INSERT INTO `sys_job_log` VALUES (26824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:01:03');
INSERT INTO `sys_job_log` VALUES (26825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:01:08');
INSERT INTO `sys_job_log` VALUES (26826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:01:13');
INSERT INTO `sys_job_log` VALUES (26827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:01:13');
INSERT INTO `sys_job_log` VALUES (26828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 12:01:18');
INSERT INTO `sys_job_log` VALUES (26829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:01:23');
INSERT INTO `sys_job_log` VALUES (26830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 12:01:28');
INSERT INTO `sys_job_log` VALUES (26831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:01:28');
INSERT INTO `sys_job_log` VALUES (26832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:01:33');
INSERT INTO `sys_job_log` VALUES (26833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:01:38');
INSERT INTO `sys_job_log` VALUES (26834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:01:43');
INSERT INTO `sys_job_log` VALUES (26835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:01:43');
INSERT INTO `sys_job_log` VALUES (26836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:01:48');
INSERT INTO `sys_job_log` VALUES (26837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:01:53');
INSERT INTO `sys_job_log` VALUES (26838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:01:58');
INSERT INTO `sys_job_log` VALUES (26839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:01:58');
INSERT INTO `sys_job_log` VALUES (26840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:02:03');
INSERT INTO `sys_job_log` VALUES (26841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:02:08');
INSERT INTO `sys_job_log` VALUES (26842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:02:13');
INSERT INTO `sys_job_log` VALUES (26843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:02:13');
INSERT INTO `sys_job_log` VALUES (26844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:02:18');
INSERT INTO `sys_job_log` VALUES (26845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:02:23');
INSERT INTO `sys_job_log` VALUES (26846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:02:28');
INSERT INTO `sys_job_log` VALUES (26847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:02:28');
INSERT INTO `sys_job_log` VALUES (26848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:02:33');
INSERT INTO `sys_job_log` VALUES (26849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:02:38');
INSERT INTO `sys_job_log` VALUES (26850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:02:43');
INSERT INTO `sys_job_log` VALUES (26851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:02:43');
INSERT INTO `sys_job_log` VALUES (26852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:02:48');
INSERT INTO `sys_job_log` VALUES (26853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:02:53');
INSERT INTO `sys_job_log` VALUES (26854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:02:58');
INSERT INTO `sys_job_log` VALUES (26855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:02:58');
INSERT INTO `sys_job_log` VALUES (26856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:03:03');
INSERT INTO `sys_job_log` VALUES (26857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:03:08');
INSERT INTO `sys_job_log` VALUES (26858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:03:13');
INSERT INTO `sys_job_log` VALUES (26859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:03:13');
INSERT INTO `sys_job_log` VALUES (26860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:03:18');
INSERT INTO `sys_job_log` VALUES (26861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:03:23');
INSERT INTO `sys_job_log` VALUES (26862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:03:28');
INSERT INTO `sys_job_log` VALUES (26863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:03:28');
INSERT INTO `sys_job_log` VALUES (26864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:03:33');
INSERT INTO `sys_job_log` VALUES (26865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:03:38');
INSERT INTO `sys_job_log` VALUES (26866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:03:43');
INSERT INTO `sys_job_log` VALUES (26867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:03:43');
INSERT INTO `sys_job_log` VALUES (26868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:03:48');
INSERT INTO `sys_job_log` VALUES (26869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:03:53');
INSERT INTO `sys_job_log` VALUES (26870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:03:58');
INSERT INTO `sys_job_log` VALUES (26871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:03:58');
INSERT INTO `sys_job_log` VALUES (26872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:04:03');
INSERT INTO `sys_job_log` VALUES (26873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:04:08');
INSERT INTO `sys_job_log` VALUES (26874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:04:13');
INSERT INTO `sys_job_log` VALUES (26875, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:04:13');
INSERT INTO `sys_job_log` VALUES (26876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:04:18');
INSERT INTO `sys_job_log` VALUES (26877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:04:23');
INSERT INTO `sys_job_log` VALUES (26878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:04:28');
INSERT INTO `sys_job_log` VALUES (26879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:04:28');
INSERT INTO `sys_job_log` VALUES (26880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:04:33');
INSERT INTO `sys_job_log` VALUES (26881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:04:38');
INSERT INTO `sys_job_log` VALUES (26882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:04:43');
INSERT INTO `sys_job_log` VALUES (26883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:04:43');
INSERT INTO `sys_job_log` VALUES (26884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:04:48');
INSERT INTO `sys_job_log` VALUES (26885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:04:53');
INSERT INTO `sys_job_log` VALUES (26886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:04:58');
INSERT INTO `sys_job_log` VALUES (26887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:04:58');
INSERT INTO `sys_job_log` VALUES (26888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:05:03');
INSERT INTO `sys_job_log` VALUES (26889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:05:08');
INSERT INTO `sys_job_log` VALUES (26890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:05:13');
INSERT INTO `sys_job_log` VALUES (26891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:05:13');
INSERT INTO `sys_job_log` VALUES (26892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:05:18');
INSERT INTO `sys_job_log` VALUES (26893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:05:23');
INSERT INTO `sys_job_log` VALUES (26894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:05:28');
INSERT INTO `sys_job_log` VALUES (26895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:05:28');
INSERT INTO `sys_job_log` VALUES (26896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:05:33');
INSERT INTO `sys_job_log` VALUES (26897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:05:38');
INSERT INTO `sys_job_log` VALUES (26898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:05:43');
INSERT INTO `sys_job_log` VALUES (26899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:05:43');
INSERT INTO `sys_job_log` VALUES (26900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:05:48');
INSERT INTO `sys_job_log` VALUES (26901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:05:53');
INSERT INTO `sys_job_log` VALUES (26902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:05:58');
INSERT INTO `sys_job_log` VALUES (26903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:05:58');
INSERT INTO `sys_job_log` VALUES (26904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:06:03');
INSERT INTO `sys_job_log` VALUES (26905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:06:08');
INSERT INTO `sys_job_log` VALUES (26906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:06:13');
INSERT INTO `sys_job_log` VALUES (26907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:06:13');
INSERT INTO `sys_job_log` VALUES (26908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:06:18');
INSERT INTO `sys_job_log` VALUES (26909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:06:23');
INSERT INTO `sys_job_log` VALUES (26910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:06:28');
INSERT INTO `sys_job_log` VALUES (26911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:06:28');
INSERT INTO `sys_job_log` VALUES (26912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:06:33');
INSERT INTO `sys_job_log` VALUES (26913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:06:38');
INSERT INTO `sys_job_log` VALUES (26914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:06:43');
INSERT INTO `sys_job_log` VALUES (26915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:06:43');
INSERT INTO `sys_job_log` VALUES (26916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:06:48');
INSERT INTO `sys_job_log` VALUES (26917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:06:53');
INSERT INTO `sys_job_log` VALUES (26918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:06:58');
INSERT INTO `sys_job_log` VALUES (26919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:06:58');
INSERT INTO `sys_job_log` VALUES (26920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:07:03');
INSERT INTO `sys_job_log` VALUES (26921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:07:08');
INSERT INTO `sys_job_log` VALUES (26922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:07:13');
INSERT INTO `sys_job_log` VALUES (26923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:07:13');
INSERT INTO `sys_job_log` VALUES (26924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:07:18');
INSERT INTO `sys_job_log` VALUES (26925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:07:23');
INSERT INTO `sys_job_log` VALUES (26926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:07:28');
INSERT INTO `sys_job_log` VALUES (26927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:07:28');
INSERT INTO `sys_job_log` VALUES (26928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:07:33');
INSERT INTO `sys_job_log` VALUES (26929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:07:38');
INSERT INTO `sys_job_log` VALUES (26930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:07:43');
INSERT INTO `sys_job_log` VALUES (26931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:07:43');
INSERT INTO `sys_job_log` VALUES (26932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:07:48');
INSERT INTO `sys_job_log` VALUES (26933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:07:53');
INSERT INTO `sys_job_log` VALUES (26934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:07:58');
INSERT INTO `sys_job_log` VALUES (26935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:07:58');
INSERT INTO `sys_job_log` VALUES (26936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:08:03');
INSERT INTO `sys_job_log` VALUES (26937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:08:08');
INSERT INTO `sys_job_log` VALUES (26938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:08:13');
INSERT INTO `sys_job_log` VALUES (26939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:08:13');
INSERT INTO `sys_job_log` VALUES (26940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:08:18');
INSERT INTO `sys_job_log` VALUES (26941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:08:23');
INSERT INTO `sys_job_log` VALUES (26942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:08:28');
INSERT INTO `sys_job_log` VALUES (26943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:08:28');
INSERT INTO `sys_job_log` VALUES (26944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:08:33');
INSERT INTO `sys_job_log` VALUES (26945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:08:38');
INSERT INTO `sys_job_log` VALUES (26946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:08:43');
INSERT INTO `sys_job_log` VALUES (26947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:08:43');
INSERT INTO `sys_job_log` VALUES (26948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 12:08:48');
INSERT INTO `sys_job_log` VALUES (26949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:08:53');
INSERT INTO `sys_job_log` VALUES (26950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:08:58');
INSERT INTO `sys_job_log` VALUES (26951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:08:58');
INSERT INTO `sys_job_log` VALUES (26952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:09:03');
INSERT INTO `sys_job_log` VALUES (26953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:09:08');
INSERT INTO `sys_job_log` VALUES (26954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:09:13');
INSERT INTO `sys_job_log` VALUES (26955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:09:13');
INSERT INTO `sys_job_log` VALUES (26956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:09:18');
INSERT INTO `sys_job_log` VALUES (26957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:09:23');
INSERT INTO `sys_job_log` VALUES (26958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:09:28');
INSERT INTO `sys_job_log` VALUES (26959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:09:28');
INSERT INTO `sys_job_log` VALUES (26960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:09:33');
INSERT INTO `sys_job_log` VALUES (26961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:09:38');
INSERT INTO `sys_job_log` VALUES (26962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:09:43');
INSERT INTO `sys_job_log` VALUES (26963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:09:43');
INSERT INTO `sys_job_log` VALUES (26964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:09:48');
INSERT INTO `sys_job_log` VALUES (26965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:09:53');
INSERT INTO `sys_job_log` VALUES (26966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:09:58');
INSERT INTO `sys_job_log` VALUES (26967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:09:58');
INSERT INTO `sys_job_log` VALUES (26968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:10:03');
INSERT INTO `sys_job_log` VALUES (26969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:10:08');
INSERT INTO `sys_job_log` VALUES (26970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:10:13');
INSERT INTO `sys_job_log` VALUES (26971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:10:13');
INSERT INTO `sys_job_log` VALUES (26972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:10:18');
INSERT INTO `sys_job_log` VALUES (26973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:10:23');
INSERT INTO `sys_job_log` VALUES (26974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:10:28');
INSERT INTO `sys_job_log` VALUES (26975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:10:28');
INSERT INTO `sys_job_log` VALUES (26976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:10:33');
INSERT INTO `sys_job_log` VALUES (26977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:10:38');
INSERT INTO `sys_job_log` VALUES (26978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:10:43');
INSERT INTO `sys_job_log` VALUES (26979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:10:43');
INSERT INTO `sys_job_log` VALUES (26980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:10:48');
INSERT INTO `sys_job_log` VALUES (26981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:10:53');
INSERT INTO `sys_job_log` VALUES (26982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 12:10:58');
INSERT INTO `sys_job_log` VALUES (26983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:10:58');
INSERT INTO `sys_job_log` VALUES (26984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:11:03');
INSERT INTO `sys_job_log` VALUES (26985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:11:08');
INSERT INTO `sys_job_log` VALUES (26986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:11:13');
INSERT INTO `sys_job_log` VALUES (26987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:11:13');
INSERT INTO `sys_job_log` VALUES (26988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:11:18');
INSERT INTO `sys_job_log` VALUES (26989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:11:23');
INSERT INTO `sys_job_log` VALUES (26990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:11:28');
INSERT INTO `sys_job_log` VALUES (26991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:11:28');
INSERT INTO `sys_job_log` VALUES (26992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:11:30');
INSERT INTO `sys_job_log` VALUES (26993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:11:30');
INSERT INTO `sys_job_log` VALUES (26994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:11:33');
INSERT INTO `sys_job_log` VALUES (26995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:11:35');
INSERT INTO `sys_job_log` VALUES (26996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:11:38');
INSERT INTO `sys_job_log` VALUES (26997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:11:40');
INSERT INTO `sys_job_log` VALUES (26998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:11:43');
INSERT INTO `sys_job_log` VALUES (26999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:11:43');
INSERT INTO `sys_job_log` VALUES (27000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:11:45');
INSERT INTO `sys_job_log` VALUES (27001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 12:11:45');
INSERT INTO `sys_job_log` VALUES (27002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:11:48');
INSERT INTO `sys_job_log` VALUES (27003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 12:11:50');
INSERT INTO `sys_job_log` VALUES (27004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:11:53');
INSERT INTO `sys_job_log` VALUES (27005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-27 12:11:55');
INSERT INTO `sys_job_log` VALUES (27006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:11:58');
INSERT INTO `sys_job_log` VALUES (27007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:11:58');
INSERT INTO `sys_job_log` VALUES (27008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2024-12-27 12:12:00');
INSERT INTO `sys_job_log` VALUES (27009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-27 12:12:00');
INSERT INTO `sys_job_log` VALUES (27010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:12:03');
INSERT INTO `sys_job_log` VALUES (27011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:12:05');
INSERT INTO `sys_job_log` VALUES (27012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:12:08');
INSERT INTO `sys_job_log` VALUES (27013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:12:10');
INSERT INTO `sys_job_log` VALUES (27014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:12:13');
INSERT INTO `sys_job_log` VALUES (27015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:12:13');
INSERT INTO `sys_job_log` VALUES (27016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:12:15');
INSERT INTO `sys_job_log` VALUES (27017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:12:15');
INSERT INTO `sys_job_log` VALUES (27018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:12:18');
INSERT INTO `sys_job_log` VALUES (27019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:12:20');
INSERT INTO `sys_job_log` VALUES (27020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:12:23');
INSERT INTO `sys_job_log` VALUES (27021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:12:25');
INSERT INTO `sys_job_log` VALUES (27022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:12:28');
INSERT INTO `sys_job_log` VALUES (27023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:12:28');
INSERT INTO `sys_job_log` VALUES (27024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:12:30');
INSERT INTO `sys_job_log` VALUES (27025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:12:30');
INSERT INTO `sys_job_log` VALUES (27026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:12:33');
INSERT INTO `sys_job_log` VALUES (27027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:12:35');
INSERT INTO `sys_job_log` VALUES (27028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:12:38');
INSERT INTO `sys_job_log` VALUES (27029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:12:40');
INSERT INTO `sys_job_log` VALUES (27030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:12:43');
INSERT INTO `sys_job_log` VALUES (27031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:12:43');
INSERT INTO `sys_job_log` VALUES (27032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:12:45');
INSERT INTO `sys_job_log` VALUES (27033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:12:45');
INSERT INTO `sys_job_log` VALUES (27034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:12:48');
INSERT INTO `sys_job_log` VALUES (27035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:12:50');
INSERT INTO `sys_job_log` VALUES (27036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:12:53');
INSERT INTO `sys_job_log` VALUES (27037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:12:55');
INSERT INTO `sys_job_log` VALUES (27038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:12:58');
INSERT INTO `sys_job_log` VALUES (27039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:12:58');
INSERT INTO `sys_job_log` VALUES (27040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:13:00');
INSERT INTO `sys_job_log` VALUES (27041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:13:00');
INSERT INTO `sys_job_log` VALUES (27042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:03');
INSERT INTO `sys_job_log` VALUES (27043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:13:05');
INSERT INTO `sys_job_log` VALUES (27044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:13:08');
INSERT INTO `sys_job_log` VALUES (27045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:13:10');
INSERT INTO `sys_job_log` VALUES (27046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:13:13');
INSERT INTO `sys_job_log` VALUES (27047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:13');
INSERT INTO `sys_job_log` VALUES (27048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:15');
INSERT INTO `sys_job_log` VALUES (27049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:15');
INSERT INTO `sys_job_log` VALUES (27050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:13:18');
INSERT INTO `sys_job_log` VALUES (27051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:13:20');
INSERT INTO `sys_job_log` VALUES (27052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:13:23');
INSERT INTO `sys_job_log` VALUES (27053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:13:25');
INSERT INTO `sys_job_log` VALUES (27054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:13:28');
INSERT INTO `sys_job_log` VALUES (27055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:13:28');
INSERT INTO `sys_job_log` VALUES (27056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 12:13:30');
INSERT INTO `sys_job_log` VALUES (27057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:13:30');
INSERT INTO `sys_job_log` VALUES (27058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:13:33');
INSERT INTO `sys_job_log` VALUES (27059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:13:35');
INSERT INTO `sys_job_log` VALUES (27060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:13:38');
INSERT INTO `sys_job_log` VALUES (27061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:13:40');
INSERT INTO `sys_job_log` VALUES (27062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:13:43');
INSERT INTO `sys_job_log` VALUES (27063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:13:43');
INSERT INTO `sys_job_log` VALUES (27064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:45');
INSERT INTO `sys_job_log` VALUES (27065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:13:45');
INSERT INTO `sys_job_log` VALUES (27066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:13:48');
INSERT INTO `sys_job_log` VALUES (27067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:13:50');
INSERT INTO `sys_job_log` VALUES (27068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:53');
INSERT INTO `sys_job_log` VALUES (27069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:13:55');
INSERT INTO `sys_job_log` VALUES (27070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:13:58');
INSERT INTO `sys_job_log` VALUES (27071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:13:58');
INSERT INTO `sys_job_log` VALUES (27072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:14:00');
INSERT INTO `sys_job_log` VALUES (27073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:14:00');
INSERT INTO `sys_job_log` VALUES (27074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:14:03');
INSERT INTO `sys_job_log` VALUES (27075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:14:05');
INSERT INTO `sys_job_log` VALUES (27076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:14:08');
INSERT INTO `sys_job_log` VALUES (27077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 12:14:10');
INSERT INTO `sys_job_log` VALUES (27078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:14:13');
INSERT INTO `sys_job_log` VALUES (27079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:14:13');
INSERT INTO `sys_job_log` VALUES (27080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:14:15');
INSERT INTO `sys_job_log` VALUES (27081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:14:15');
INSERT INTO `sys_job_log` VALUES (27082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:14:18');
INSERT INTO `sys_job_log` VALUES (27083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:14:20');
INSERT INTO `sys_job_log` VALUES (27084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:14:23');
INSERT INTO `sys_job_log` VALUES (27085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:14:25');
INSERT INTO `sys_job_log` VALUES (27086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:14:28');
INSERT INTO `sys_job_log` VALUES (27087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:14:28');
INSERT INTO `sys_job_log` VALUES (27088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:14:30');
INSERT INTO `sys_job_log` VALUES (27089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:14:30');
INSERT INTO `sys_job_log` VALUES (27090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:14:33');
INSERT INTO `sys_job_log` VALUES (27091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:14:35');
INSERT INTO `sys_job_log` VALUES (27092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:14:38');
INSERT INTO `sys_job_log` VALUES (27093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:14:40');
INSERT INTO `sys_job_log` VALUES (27094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:14:43');
INSERT INTO `sys_job_log` VALUES (27095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:14:43');
INSERT INTO `sys_job_log` VALUES (27096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:14:45');
INSERT INTO `sys_job_log` VALUES (27097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:14:45');
INSERT INTO `sys_job_log` VALUES (27098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:14:48');
INSERT INTO `sys_job_log` VALUES (27099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:14:50');
INSERT INTO `sys_job_log` VALUES (27100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:14:53');
INSERT INTO `sys_job_log` VALUES (27101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:14:55');
INSERT INTO `sys_job_log` VALUES (27102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:14:58');
INSERT INTO `sys_job_log` VALUES (27103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:14:58');
INSERT INTO `sys_job_log` VALUES (27104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:15:00');
INSERT INTO `sys_job_log` VALUES (27105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:00');
INSERT INTO `sys_job_log` VALUES (27106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:15:03');
INSERT INTO `sys_job_log` VALUES (27107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:15:05');
INSERT INTO `sys_job_log` VALUES (27108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:15:08');
INSERT INTO `sys_job_log` VALUES (27109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:15:10');
INSERT INTO `sys_job_log` VALUES (27110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:13');
INSERT INTO `sys_job_log` VALUES (27111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:13');
INSERT INTO `sys_job_log` VALUES (27112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:15');
INSERT INTO `sys_job_log` VALUES (27113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:15');
INSERT INTO `sys_job_log` VALUES (27114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:15:18');
INSERT INTO `sys_job_log` VALUES (27115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:15:20');
INSERT INTO `sys_job_log` VALUES (27116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:15:23');
INSERT INTO `sys_job_log` VALUES (27117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:15:25');
INSERT INTO `sys_job_log` VALUES (27118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:15:28');
INSERT INTO `sys_job_log` VALUES (27119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:15:28');
INSERT INTO `sys_job_log` VALUES (27120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:30');
INSERT INTO `sys_job_log` VALUES (27121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:15:30');
INSERT INTO `sys_job_log` VALUES (27122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:33');
INSERT INTO `sys_job_log` VALUES (27123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:35');
INSERT INTO `sys_job_log` VALUES (27124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:15:38');
INSERT INTO `sys_job_log` VALUES (27125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:15:40');
INSERT INTO `sys_job_log` VALUES (27126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:15:43');
INSERT INTO `sys_job_log` VALUES (27127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:15:43');
INSERT INTO `sys_job_log` VALUES (27128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:15:45');
INSERT INTO `sys_job_log` VALUES (27129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:15:45');
INSERT INTO `sys_job_log` VALUES (27130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:15:48');
INSERT INTO `sys_job_log` VALUES (27131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:15:50');
INSERT INTO `sys_job_log` VALUES (27132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:15:53');
INSERT INTO `sys_job_log` VALUES (27133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:15:55');
INSERT INTO `sys_job_log` VALUES (27134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:15:58');
INSERT INTO `sys_job_log` VALUES (27135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:15:58');
INSERT INTO `sys_job_log` VALUES (27136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:16:00');
INSERT INTO `sys_job_log` VALUES (27137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:16:00');
INSERT INTO `sys_job_log` VALUES (27138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:16:03');
INSERT INTO `sys_job_log` VALUES (27139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:16:05');
INSERT INTO `sys_job_log` VALUES (27140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:16:08');
INSERT INTO `sys_job_log` VALUES (27141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:16:10');
INSERT INTO `sys_job_log` VALUES (27142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:16:13');
INSERT INTO `sys_job_log` VALUES (27143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:16:13');
INSERT INTO `sys_job_log` VALUES (27144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 12:16:15');
INSERT INTO `sys_job_log` VALUES (27145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 12:16:15');
INSERT INTO `sys_job_log` VALUES (27146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:16:18');
INSERT INTO `sys_job_log` VALUES (27147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:20');
INSERT INTO `sys_job_log` VALUES (27148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:23');
INSERT INTO `sys_job_log` VALUES (27149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-27 12:16:25');
INSERT INTO `sys_job_log` VALUES (27150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:28');
INSERT INTO `sys_job_log` VALUES (27151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:28');
INSERT INTO `sys_job_log` VALUES (27152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:16:30');
INSERT INTO `sys_job_log` VALUES (27153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:16:30');
INSERT INTO `sys_job_log` VALUES (27154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:16:33');
INSERT INTO `sys_job_log` VALUES (27155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:35');
INSERT INTO `sys_job_log` VALUES (27156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:16:38');
INSERT INTO `sys_job_log` VALUES (27157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:16:40');
INSERT INTO `sys_job_log` VALUES (27158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:16:43');
INSERT INTO `sys_job_log` VALUES (27159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:16:43');
INSERT INTO `sys_job_log` VALUES (27160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:45');
INSERT INTO `sys_job_log` VALUES (27161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:16:45');
INSERT INTO `sys_job_log` VALUES (27162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:16:48');
INSERT INTO `sys_job_log` VALUES (27163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:16:50');
INSERT INTO `sys_job_log` VALUES (27164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:16:53');
INSERT INTO `sys_job_log` VALUES (27165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:16:55');
INSERT INTO `sys_job_log` VALUES (27166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:16:58');
INSERT INTO `sys_job_log` VALUES (27167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:16:58');
INSERT INTO `sys_job_log` VALUES (27168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:17:00');
INSERT INTO `sys_job_log` VALUES (27169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:17:00');
INSERT INTO `sys_job_log` VALUES (27170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:17:03');
INSERT INTO `sys_job_log` VALUES (27171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:17:05');
INSERT INTO `sys_job_log` VALUES (27172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:17:08');
INSERT INTO `sys_job_log` VALUES (27173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:17:10');
INSERT INTO `sys_job_log` VALUES (27174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:17:13');
INSERT INTO `sys_job_log` VALUES (27175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:17:13');
INSERT INTO `sys_job_log` VALUES (27176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 12:17:15');
INSERT INTO `sys_job_log` VALUES (27177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:17:15');
INSERT INTO `sys_job_log` VALUES (27178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:17:18');
INSERT INTO `sys_job_log` VALUES (27179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 12:17:20');
INSERT INTO `sys_job_log` VALUES (27180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:17:23');
INSERT INTO `sys_job_log` VALUES (27181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:17:25');
INSERT INTO `sys_job_log` VALUES (27182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:17:28');
INSERT INTO `sys_job_log` VALUES (27183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:17:28');
INSERT INTO `sys_job_log` VALUES (27184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 12:17:30');
INSERT INTO `sys_job_log` VALUES (27185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:17:30');
INSERT INTO `sys_job_log` VALUES (27186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：365毫秒', '0', '', '2024-12-27 12:17:34');
INSERT INTO `sys_job_log` VALUES (27187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:17:35');
INSERT INTO `sys_job_log` VALUES (27188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:17:38');
INSERT INTO `sys_job_log` VALUES (27189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-27 12:17:40');
INSERT INTO `sys_job_log` VALUES (27190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:17:43');
INSERT INTO `sys_job_log` VALUES (27191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:17:43');
INSERT INTO `sys_job_log` VALUES (27192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:17:45');
INSERT INTO `sys_job_log` VALUES (27193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:17:45');
INSERT INTO `sys_job_log` VALUES (27194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:17:48');
INSERT INTO `sys_job_log` VALUES (27195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-27 12:17:50');
INSERT INTO `sys_job_log` VALUES (27196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:17:53');
INSERT INTO `sys_job_log` VALUES (27197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:17:55');
INSERT INTO `sys_job_log` VALUES (27198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:17:58');
INSERT INTO `sys_job_log` VALUES (27199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:17:58');
INSERT INTO `sys_job_log` VALUES (27200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:18:00');
INSERT INTO `sys_job_log` VALUES (27201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:18:00');
INSERT INTO `sys_job_log` VALUES (27202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:18:03');
INSERT INTO `sys_job_log` VALUES (27203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:18:05');
INSERT INTO `sys_job_log` VALUES (27204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:18:08');
INSERT INTO `sys_job_log` VALUES (27205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:18:10');
INSERT INTO `sys_job_log` VALUES (27206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:18:13');
INSERT INTO `sys_job_log` VALUES (27207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:18:13');
INSERT INTO `sys_job_log` VALUES (27208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:18:15');
INSERT INTO `sys_job_log` VALUES (27209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:18:15');
INSERT INTO `sys_job_log` VALUES (27210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:18:18');
INSERT INTO `sys_job_log` VALUES (27211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:18:20');
INSERT INTO `sys_job_log` VALUES (27212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:18:23');
INSERT INTO `sys_job_log` VALUES (27213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:18:25');
INSERT INTO `sys_job_log` VALUES (27214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:18:28');
INSERT INTO `sys_job_log` VALUES (27215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:18:28');
INSERT INTO `sys_job_log` VALUES (27216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:18:30');
INSERT INTO `sys_job_log` VALUES (27217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:18:30');
INSERT INTO `sys_job_log` VALUES (27218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:18:33');
INSERT INTO `sys_job_log` VALUES (27219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:18:35');
INSERT INTO `sys_job_log` VALUES (27220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:18:38');
INSERT INTO `sys_job_log` VALUES (27221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:18:40');
INSERT INTO `sys_job_log` VALUES (27222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:18:43');
INSERT INTO `sys_job_log` VALUES (27223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:18:43');
INSERT INTO `sys_job_log` VALUES (27224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:18:45');
INSERT INTO `sys_job_log` VALUES (27225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:18:45');
INSERT INTO `sys_job_log` VALUES (27226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:18:48');
INSERT INTO `sys_job_log` VALUES (27227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:18:50');
INSERT INTO `sys_job_log` VALUES (27228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:18:53');
INSERT INTO `sys_job_log` VALUES (27229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:18:55');
INSERT INTO `sys_job_log` VALUES (27230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:18:58');
INSERT INTO `sys_job_log` VALUES (27231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:18:58');
INSERT INTO `sys_job_log` VALUES (27232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:19:00');
INSERT INTO `sys_job_log` VALUES (27233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:19:00');
INSERT INTO `sys_job_log` VALUES (27234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:19:03');
INSERT INTO `sys_job_log` VALUES (27235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:19:05');
INSERT INTO `sys_job_log` VALUES (27236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:19:08');
INSERT INTO `sys_job_log` VALUES (27237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:19:10');
INSERT INTO `sys_job_log` VALUES (27238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:19:13');
INSERT INTO `sys_job_log` VALUES (27239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:19:13');
INSERT INTO `sys_job_log` VALUES (27240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:19:15');
INSERT INTO `sys_job_log` VALUES (27241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:19:15');
INSERT INTO `sys_job_log` VALUES (27242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:19:18');
INSERT INTO `sys_job_log` VALUES (27243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:19:20');
INSERT INTO `sys_job_log` VALUES (27244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：240毫秒', '0', '', '2024-12-27 12:19:23');
INSERT INTO `sys_job_log` VALUES (27245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 12:19:25');
INSERT INTO `sys_job_log` VALUES (27246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-27 12:19:28');
INSERT INTO `sys_job_log` VALUES (27247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-27 12:19:28');
INSERT INTO `sys_job_log` VALUES (27248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:19:30');
INSERT INTO `sys_job_log` VALUES (27249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:19:30');
INSERT INTO `sys_job_log` VALUES (27250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:19:33');
INSERT INTO `sys_job_log` VALUES (27251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:19:35');
INSERT INTO `sys_job_log` VALUES (27252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:19:38');
INSERT INTO `sys_job_log` VALUES (27253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 12:19:40');
INSERT INTO `sys_job_log` VALUES (27254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:19:43');
INSERT INTO `sys_job_log` VALUES (27255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:19:43');
INSERT INTO `sys_job_log` VALUES (27256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:19:45');
INSERT INTO `sys_job_log` VALUES (27257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2024-12-27 12:19:45');
INSERT INTO `sys_job_log` VALUES (27258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:19:48');
INSERT INTO `sys_job_log` VALUES (27259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:19:50');
INSERT INTO `sys_job_log` VALUES (27260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:19:53');
INSERT INTO `sys_job_log` VALUES (27261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:19:55');
INSERT INTO `sys_job_log` VALUES (27262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:19:58');
INSERT INTO `sys_job_log` VALUES (27263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:19:58');
INSERT INTO `sys_job_log` VALUES (27264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:20:00');
INSERT INTO `sys_job_log` VALUES (27265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:20:00');
INSERT INTO `sys_job_log` VALUES (27266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:20:03');
INSERT INTO `sys_job_log` VALUES (27267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:20:05');
INSERT INTO `sys_job_log` VALUES (27268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:08');
INSERT INTO `sys_job_log` VALUES (27269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:20:10');
INSERT INTO `sys_job_log` VALUES (27270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:20:13');
INSERT INTO `sys_job_log` VALUES (27271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:20:13');
INSERT INTO `sys_job_log` VALUES (27272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:20:15');
INSERT INTO `sys_job_log` VALUES (27273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 12:20:15');
INSERT INTO `sys_job_log` VALUES (27274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:20:18');
INSERT INTO `sys_job_log` VALUES (27275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:20');
INSERT INTO `sys_job_log` VALUES (27276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:20:23');
INSERT INTO `sys_job_log` VALUES (27277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:25');
INSERT INTO `sys_job_log` VALUES (27278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:20:28');
INSERT INTO `sys_job_log` VALUES (27279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:20:28');
INSERT INTO `sys_job_log` VALUES (27280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:20:30');
INSERT INTO `sys_job_log` VALUES (27281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:20:30');
INSERT INTO `sys_job_log` VALUES (27282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:20:33');
INSERT INTO `sys_job_log` VALUES (27283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:35');
INSERT INTO `sys_job_log` VALUES (27284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:20:38');
INSERT INTO `sys_job_log` VALUES (27285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:40');
INSERT INTO `sys_job_log` VALUES (27286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:43');
INSERT INTO `sys_job_log` VALUES (27287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:20:43');
INSERT INTO `sys_job_log` VALUES (27288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:20:45');
INSERT INTO `sys_job_log` VALUES (27289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:20:45');
INSERT INTO `sys_job_log` VALUES (27290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:20:48');
INSERT INTO `sys_job_log` VALUES (27291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:20:50');
INSERT INTO `sys_job_log` VALUES (27292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:20:53');
INSERT INTO `sys_job_log` VALUES (27293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:20:55');
INSERT INTO `sys_job_log` VALUES (27294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:20:58');
INSERT INTO `sys_job_log` VALUES (27295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:20:58');
INSERT INTO `sys_job_log` VALUES (27296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:21:00');
INSERT INTO `sys_job_log` VALUES (27297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:21:00');
INSERT INTO `sys_job_log` VALUES (27298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:03');
INSERT INTO `sys_job_log` VALUES (27299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:21:05');
INSERT INTO `sys_job_log` VALUES (27300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:21:08');
INSERT INTO `sys_job_log` VALUES (27301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:21:10');
INSERT INTO `sys_job_log` VALUES (27302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:13');
INSERT INTO `sys_job_log` VALUES (27303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:21:13');
INSERT INTO `sys_job_log` VALUES (27304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:21:15');
INSERT INTO `sys_job_log` VALUES (27305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:15');
INSERT INTO `sys_job_log` VALUES (27306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:21:18');
INSERT INTO `sys_job_log` VALUES (27307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:21:22');
INSERT INTO `sys_job_log` VALUES (27308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:23');
INSERT INTO `sys_job_log` VALUES (27309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:21:25');
INSERT INTO `sys_job_log` VALUES (27310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:21:28');
INSERT INTO `sys_job_log` VALUES (27311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:21:28');
INSERT INTO `sys_job_log` VALUES (27312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:21:30');
INSERT INTO `sys_job_log` VALUES (27313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:21:30');
INSERT INTO `sys_job_log` VALUES (27314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:21:33');
INSERT INTO `sys_job_log` VALUES (27315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:21:35');
INSERT INTO `sys_job_log` VALUES (27316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:21:38');
INSERT INTO `sys_job_log` VALUES (27317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:21:40');
INSERT INTO `sys_job_log` VALUES (27318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:43');
INSERT INTO `sys_job_log` VALUES (27319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:43');
INSERT INTO `sys_job_log` VALUES (27320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:21:45');
INSERT INTO `sys_job_log` VALUES (27321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:21:45');
INSERT INTO `sys_job_log` VALUES (27322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-27 12:21:48');
INSERT INTO `sys_job_log` VALUES (27323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:21:50');
INSERT INTO `sys_job_log` VALUES (27324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:21:53');
INSERT INTO `sys_job_log` VALUES (27325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:21:55');
INSERT INTO `sys_job_log` VALUES (27326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:21:58');
INSERT INTO `sys_job_log` VALUES (27327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:21:58');
INSERT INTO `sys_job_log` VALUES (27328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 12:22:00');
INSERT INTO `sys_job_log` VALUES (27329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 12:22:00');
INSERT INTO `sys_job_log` VALUES (27330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:22:03');
INSERT INTO `sys_job_log` VALUES (27331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:22:05');
INSERT INTO `sys_job_log` VALUES (27332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:22:08');
INSERT INTO `sys_job_log` VALUES (27333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 12:22:10');
INSERT INTO `sys_job_log` VALUES (27334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:22:13');
INSERT INTO `sys_job_log` VALUES (27335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:22:13');
INSERT INTO `sys_job_log` VALUES (27336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:22:15');
INSERT INTO `sys_job_log` VALUES (27337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:22:15');
INSERT INTO `sys_job_log` VALUES (27338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:22:18');
INSERT INTO `sys_job_log` VALUES (27339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:22:20');
INSERT INTO `sys_job_log` VALUES (27340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:22:23');
INSERT INTO `sys_job_log` VALUES (27341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:22:25');
INSERT INTO `sys_job_log` VALUES (27342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:22:28');
INSERT INTO `sys_job_log` VALUES (27343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:22:28');
INSERT INTO `sys_job_log` VALUES (27344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:22:30');
INSERT INTO `sys_job_log` VALUES (27345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:22:30');
INSERT INTO `sys_job_log` VALUES (27346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:22:33');
INSERT INTO `sys_job_log` VALUES (27347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:22:35');
INSERT INTO `sys_job_log` VALUES (27348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:22:38');
INSERT INTO `sys_job_log` VALUES (27349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:22:40');
INSERT INTO `sys_job_log` VALUES (27350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:22:43');
INSERT INTO `sys_job_log` VALUES (27351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:22:43');
INSERT INTO `sys_job_log` VALUES (27352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2024-12-27 12:22:45');
INSERT INTO `sys_job_log` VALUES (27353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:22:45');
INSERT INTO `sys_job_log` VALUES (27354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:22:48');
INSERT INTO `sys_job_log` VALUES (27355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:22:50');
INSERT INTO `sys_job_log` VALUES (27356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:22:53');
INSERT INTO `sys_job_log` VALUES (27357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:22:55');
INSERT INTO `sys_job_log` VALUES (27358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:22:58');
INSERT INTO `sys_job_log` VALUES (27359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:22:58');
INSERT INTO `sys_job_log` VALUES (27360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:23:00');
INSERT INTO `sys_job_log` VALUES (27361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 12:23:00');
INSERT INTO `sys_job_log` VALUES (27362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:23:03');
INSERT INTO `sys_job_log` VALUES (27363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-27 12:23:05');
INSERT INTO `sys_job_log` VALUES (27364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:23:08');
INSERT INTO `sys_job_log` VALUES (27365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:23:10');
INSERT INTO `sys_job_log` VALUES (27366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:23:13');
INSERT INTO `sys_job_log` VALUES (27367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:23:13');
INSERT INTO `sys_job_log` VALUES (27368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:23:15');
INSERT INTO `sys_job_log` VALUES (27369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:23:15');
INSERT INTO `sys_job_log` VALUES (27370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:23:18');
INSERT INTO `sys_job_log` VALUES (27371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:23:20');
INSERT INTO `sys_job_log` VALUES (27372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 12:23:23');
INSERT INTO `sys_job_log` VALUES (27373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:23:25');
INSERT INTO `sys_job_log` VALUES (27374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:23:28');
INSERT INTO `sys_job_log` VALUES (27375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:23:28');
INSERT INTO `sys_job_log` VALUES (27376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 12:23:30');
INSERT INTO `sys_job_log` VALUES (27377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 12:23:30');
INSERT INTO `sys_job_log` VALUES (27378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:23:33');
INSERT INTO `sys_job_log` VALUES (27379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 12:23:35');
INSERT INTO `sys_job_log` VALUES (27380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:23:38');
INSERT INTO `sys_job_log` VALUES (27381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:23:40');
INSERT INTO `sys_job_log` VALUES (27382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:23:43');
INSERT INTO `sys_job_log` VALUES (27383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:23:43');
INSERT INTO `sys_job_log` VALUES (27384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:23:45');
INSERT INTO `sys_job_log` VALUES (27385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:23:45');
INSERT INTO `sys_job_log` VALUES (27386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:23:48');
INSERT INTO `sys_job_log` VALUES (27387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:23:50');
INSERT INTO `sys_job_log` VALUES (27388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:23:53');
INSERT INTO `sys_job_log` VALUES (27389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:23:55');
INSERT INTO `sys_job_log` VALUES (27390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:23:58');
INSERT INTO `sys_job_log` VALUES (27391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 12:23:58');
INSERT INTO `sys_job_log` VALUES (27392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:24:00');
INSERT INTO `sys_job_log` VALUES (27393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:24:00');
INSERT INTO `sys_job_log` VALUES (27394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:24:03');
INSERT INTO `sys_job_log` VALUES (27395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:24:05');
INSERT INTO `sys_job_log` VALUES (27396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:24:08');
INSERT INTO `sys_job_log` VALUES (27397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:24:10');
INSERT INTO `sys_job_log` VALUES (27398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:24:13');
INSERT INTO `sys_job_log` VALUES (27399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:24:13');
INSERT INTO `sys_job_log` VALUES (27400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:24:15');
INSERT INTO `sys_job_log` VALUES (27401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:24:15');
INSERT INTO `sys_job_log` VALUES (27402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:24:18');
INSERT INTO `sys_job_log` VALUES (27403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-27 12:24:20');
INSERT INTO `sys_job_log` VALUES (27404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:24:23');
INSERT INTO `sys_job_log` VALUES (27405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:24:25');
INSERT INTO `sys_job_log` VALUES (27406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2024-12-27 12:24:28');
INSERT INTO `sys_job_log` VALUES (27407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-27 12:24:28');
INSERT INTO `sys_job_log` VALUES (27408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:24:30');
INSERT INTO `sys_job_log` VALUES (27409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2024-12-27 12:24:30');
INSERT INTO `sys_job_log` VALUES (27410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:24:33');
INSERT INTO `sys_job_log` VALUES (27411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:24:35');
INSERT INTO `sys_job_log` VALUES (27412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:24:38');
INSERT INTO `sys_job_log` VALUES (27413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:24:40');
INSERT INTO `sys_job_log` VALUES (27414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:24:43');
INSERT INTO `sys_job_log` VALUES (27415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:24:43');
INSERT INTO `sys_job_log` VALUES (27416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:24:45');
INSERT INTO `sys_job_log` VALUES (27417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:24:45');
INSERT INTO `sys_job_log` VALUES (27418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:24:48');
INSERT INTO `sys_job_log` VALUES (27419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:24:50');
INSERT INTO `sys_job_log` VALUES (27420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:24:53');
INSERT INTO `sys_job_log` VALUES (27421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:24:55');
INSERT INTO `sys_job_log` VALUES (27422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:24:58');
INSERT INTO `sys_job_log` VALUES (27423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:24:58');
INSERT INTO `sys_job_log` VALUES (27424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:25:00');
INSERT INTO `sys_job_log` VALUES (27425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:25:00');
INSERT INTO `sys_job_log` VALUES (27426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:25:03');
INSERT INTO `sys_job_log` VALUES (27427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:25:05');
INSERT INTO `sys_job_log` VALUES (27428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:25:08');
INSERT INTO `sys_job_log` VALUES (27429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:25:10');
INSERT INTO `sys_job_log` VALUES (27430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:25:13');
INSERT INTO `sys_job_log` VALUES (27431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:25:13');
INSERT INTO `sys_job_log` VALUES (27432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:25:15');
INSERT INTO `sys_job_log` VALUES (27433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:25:15');
INSERT INTO `sys_job_log` VALUES (27434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:25:18');
INSERT INTO `sys_job_log` VALUES (27435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:25:20');
INSERT INTO `sys_job_log` VALUES (27436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:25:23');
INSERT INTO `sys_job_log` VALUES (27437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:25:25');
INSERT INTO `sys_job_log` VALUES (27438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:25:28');
INSERT INTO `sys_job_log` VALUES (27439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:25:28');
INSERT INTO `sys_job_log` VALUES (27440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:25:30');
INSERT INTO `sys_job_log` VALUES (27441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:25:30');
INSERT INTO `sys_job_log` VALUES (27442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:25:33');
INSERT INTO `sys_job_log` VALUES (27443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:25:35');
INSERT INTO `sys_job_log` VALUES (27444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:25:38');
INSERT INTO `sys_job_log` VALUES (27445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:25:40');
INSERT INTO `sys_job_log` VALUES (27446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:25:43');
INSERT INTO `sys_job_log` VALUES (27447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:25:43');
INSERT INTO `sys_job_log` VALUES (27448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:25:45');
INSERT INTO `sys_job_log` VALUES (27449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:25:45');
INSERT INTO `sys_job_log` VALUES (27450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:25:48');
INSERT INTO `sys_job_log` VALUES (27451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:25:50');
INSERT INTO `sys_job_log` VALUES (27452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:25:53');
INSERT INTO `sys_job_log` VALUES (27453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:25:55');
INSERT INTO `sys_job_log` VALUES (27454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:25:58');
INSERT INTO `sys_job_log` VALUES (27455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:25:58');
INSERT INTO `sys_job_log` VALUES (27456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:26:00');
INSERT INTO `sys_job_log` VALUES (27457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:26:00');
INSERT INTO `sys_job_log` VALUES (27458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:26:03');
INSERT INTO `sys_job_log` VALUES (27459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:26:05');
INSERT INTO `sys_job_log` VALUES (27460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:26:08');
INSERT INTO `sys_job_log` VALUES (27461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:10');
INSERT INTO `sys_job_log` VALUES (27462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:26:13');
INSERT INTO `sys_job_log` VALUES (27463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:26:13');
INSERT INTO `sys_job_log` VALUES (27464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:15');
INSERT INTO `sys_job_log` VALUES (27465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:15');
INSERT INTO `sys_job_log` VALUES (27466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:26:18');
INSERT INTO `sys_job_log` VALUES (27467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:26:20');
INSERT INTO `sys_job_log` VALUES (27468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:26:23');
INSERT INTO `sys_job_log` VALUES (27469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:26:25');
INSERT INTO `sys_job_log` VALUES (27470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:26:28');
INSERT INTO `sys_job_log` VALUES (27471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:26:28');
INSERT INTO `sys_job_log` VALUES (27472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:26:30');
INSERT INTO `sys_job_log` VALUES (27473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:26:30');
INSERT INTO `sys_job_log` VALUES (27474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:26:33');
INSERT INTO `sys_job_log` VALUES (27475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:35');
INSERT INTO `sys_job_log` VALUES (27476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:26:38');
INSERT INTO `sys_job_log` VALUES (27477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:40');
INSERT INTO `sys_job_log` VALUES (27478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:26:43');
INSERT INTO `sys_job_log` VALUES (27479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:26:43');
INSERT INTO `sys_job_log` VALUES (27480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:45');
INSERT INTO `sys_job_log` VALUES (27481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:26:45');
INSERT INTO `sys_job_log` VALUES (27482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:26:48');
INSERT INTO `sys_job_log` VALUES (27483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:26:50');
INSERT INTO `sys_job_log` VALUES (27484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:26:53');
INSERT INTO `sys_job_log` VALUES (27485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:26:55');
INSERT INTO `sys_job_log` VALUES (27486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-27 12:26:58');
INSERT INTO `sys_job_log` VALUES (27487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 12:26:58');
INSERT INTO `sys_job_log` VALUES (27488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:27:00');
INSERT INTO `sys_job_log` VALUES (27489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:27:00');
INSERT INTO `sys_job_log` VALUES (27490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:27:03');
INSERT INTO `sys_job_log` VALUES (27491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:27:05');
INSERT INTO `sys_job_log` VALUES (27492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:27:08');
INSERT INTO `sys_job_log` VALUES (27493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:27:10');
INSERT INTO `sys_job_log` VALUES (27494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:27:13');
INSERT INTO `sys_job_log` VALUES (27495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:27:13');
INSERT INTO `sys_job_log` VALUES (27496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:27:15');
INSERT INTO `sys_job_log` VALUES (27497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:27:15');
INSERT INTO `sys_job_log` VALUES (27498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:27:18');
INSERT INTO `sys_job_log` VALUES (27499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:27:20');
INSERT INTO `sys_job_log` VALUES (27500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:27:23');
INSERT INTO `sys_job_log` VALUES (27501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:27:25');
INSERT INTO `sys_job_log` VALUES (27502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:27:28');
INSERT INTO `sys_job_log` VALUES (27503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:27:28');
INSERT INTO `sys_job_log` VALUES (27504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:27:30');
INSERT INTO `sys_job_log` VALUES (27505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:27:30');
INSERT INTO `sys_job_log` VALUES (27506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:27:33');
INSERT INTO `sys_job_log` VALUES (27507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:27:35');
INSERT INTO `sys_job_log` VALUES (27508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:27:38');
INSERT INTO `sys_job_log` VALUES (27509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:27:40');
INSERT INTO `sys_job_log` VALUES (27510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:27:43');
INSERT INTO `sys_job_log` VALUES (27511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:27:43');
INSERT INTO `sys_job_log` VALUES (27512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:27:45');
INSERT INTO `sys_job_log` VALUES (27513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:27:45');
INSERT INTO `sys_job_log` VALUES (27514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:27:48');
INSERT INTO `sys_job_log` VALUES (27515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:27:50');
INSERT INTO `sys_job_log` VALUES (27516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:27:53');
INSERT INTO `sys_job_log` VALUES (27517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:27:55');
INSERT INTO `sys_job_log` VALUES (27518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:27:58');
INSERT INTO `sys_job_log` VALUES (27519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:27:58');
INSERT INTO `sys_job_log` VALUES (27520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:28:00');
INSERT INTO `sys_job_log` VALUES (27521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:28:00');
INSERT INTO `sys_job_log` VALUES (27522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:28:03');
INSERT INTO `sys_job_log` VALUES (27523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:28:05');
INSERT INTO `sys_job_log` VALUES (27524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:28:08');
INSERT INTO `sys_job_log` VALUES (27525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:28:10');
INSERT INTO `sys_job_log` VALUES (27526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:28:13');
INSERT INTO `sys_job_log` VALUES (27527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:28:13');
INSERT INTO `sys_job_log` VALUES (27528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:28:15');
INSERT INTO `sys_job_log` VALUES (27529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:28:15');
INSERT INTO `sys_job_log` VALUES (27530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:28:18');
INSERT INTO `sys_job_log` VALUES (27531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:28:20');
INSERT INTO `sys_job_log` VALUES (27532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:28:23');
INSERT INTO `sys_job_log` VALUES (27533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:28:25');
INSERT INTO `sys_job_log` VALUES (27534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:28:28');
INSERT INTO `sys_job_log` VALUES (27535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:28:28');
INSERT INTO `sys_job_log` VALUES (27536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:28:30');
INSERT INTO `sys_job_log` VALUES (27537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:28:30');
INSERT INTO `sys_job_log` VALUES (27538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:28:33');
INSERT INTO `sys_job_log` VALUES (27539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:28:35');
INSERT INTO `sys_job_log` VALUES (27540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:28:38');
INSERT INTO `sys_job_log` VALUES (27541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:28:40');
INSERT INTO `sys_job_log` VALUES (27542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:28:43');
INSERT INTO `sys_job_log` VALUES (27543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:28:43');
INSERT INTO `sys_job_log` VALUES (27544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:28:45');
INSERT INTO `sys_job_log` VALUES (27545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:28:45');
INSERT INTO `sys_job_log` VALUES (27546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:28:48');
INSERT INTO `sys_job_log` VALUES (27547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:28:50');
INSERT INTO `sys_job_log` VALUES (27548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:28:53');
INSERT INTO `sys_job_log` VALUES (27549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:28:55');
INSERT INTO `sys_job_log` VALUES (27550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:28:58');
INSERT INTO `sys_job_log` VALUES (27551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:28:58');
INSERT INTO `sys_job_log` VALUES (27552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:29:00');
INSERT INTO `sys_job_log` VALUES (27553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:29:00');
INSERT INTO `sys_job_log` VALUES (27554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:29:03');
INSERT INTO `sys_job_log` VALUES (27555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:29:05');
INSERT INTO `sys_job_log` VALUES (27556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:29:08');
INSERT INTO `sys_job_log` VALUES (27557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:29:10');
INSERT INTO `sys_job_log` VALUES (27558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:29:13');
INSERT INTO `sys_job_log` VALUES (27559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:29:13');
INSERT INTO `sys_job_log` VALUES (27560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:29:15');
INSERT INTO `sys_job_log` VALUES (27561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:29:15');
INSERT INTO `sys_job_log` VALUES (27562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:29:18');
INSERT INTO `sys_job_log` VALUES (27563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:29:20');
INSERT INTO `sys_job_log` VALUES (27564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:29:23');
INSERT INTO `sys_job_log` VALUES (27565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:29:25');
INSERT INTO `sys_job_log` VALUES (27566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:29:28');
INSERT INTO `sys_job_log` VALUES (27567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:29:28');
INSERT INTO `sys_job_log` VALUES (27568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:29:30');
INSERT INTO `sys_job_log` VALUES (27569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:29:30');
INSERT INTO `sys_job_log` VALUES (27570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:29:33');
INSERT INTO `sys_job_log` VALUES (27571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:29:35');
INSERT INTO `sys_job_log` VALUES (27572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:29:38');
INSERT INTO `sys_job_log` VALUES (27573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:29:40');
INSERT INTO `sys_job_log` VALUES (27574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:29:43');
INSERT INTO `sys_job_log` VALUES (27575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:29:43');
INSERT INTO `sys_job_log` VALUES (27576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:29:45');
INSERT INTO `sys_job_log` VALUES (27577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:29:45');
INSERT INTO `sys_job_log` VALUES (27578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:29:48');
INSERT INTO `sys_job_log` VALUES (27579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:29:50');
INSERT INTO `sys_job_log` VALUES (27580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:29:53');
INSERT INTO `sys_job_log` VALUES (27581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:29:55');
INSERT INTO `sys_job_log` VALUES (27582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:29:58');
INSERT INTO `sys_job_log` VALUES (27583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:29:58');
INSERT INTO `sys_job_log` VALUES (27584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:30:00');
INSERT INTO `sys_job_log` VALUES (27585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:30:00');
INSERT INTO `sys_job_log` VALUES (27586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:30:03');
INSERT INTO `sys_job_log` VALUES (27587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:30:05');
INSERT INTO `sys_job_log` VALUES (27588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:30:08');
INSERT INTO `sys_job_log` VALUES (27589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:30:10');
INSERT INTO `sys_job_log` VALUES (27590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:30:13');
INSERT INTO `sys_job_log` VALUES (27591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:30:13');
INSERT INTO `sys_job_log` VALUES (27592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:30:16');
INSERT INTO `sys_job_log` VALUES (27593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:30:16');
INSERT INTO `sys_job_log` VALUES (27594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:30:18');
INSERT INTO `sys_job_log` VALUES (27595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:30:20');
INSERT INTO `sys_job_log` VALUES (27596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:30:23');
INSERT INTO `sys_job_log` VALUES (27597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:30:25');
INSERT INTO `sys_job_log` VALUES (27598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:30:28');
INSERT INTO `sys_job_log` VALUES (27599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:30:28');
INSERT INTO `sys_job_log` VALUES (27600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:30:30');
INSERT INTO `sys_job_log` VALUES (27601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:30:30');
INSERT INTO `sys_job_log` VALUES (27602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:30:33');
INSERT INTO `sys_job_log` VALUES (27603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:30:35');
INSERT INTO `sys_job_log` VALUES (27604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:30:38');
INSERT INTO `sys_job_log` VALUES (27605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:30:40');
INSERT INTO `sys_job_log` VALUES (27606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:30:43');
INSERT INTO `sys_job_log` VALUES (27607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:30:43');
INSERT INTO `sys_job_log` VALUES (27608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:30:45');
INSERT INTO `sys_job_log` VALUES (27609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:30:45');
INSERT INTO `sys_job_log` VALUES (27610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:30:48');
INSERT INTO `sys_job_log` VALUES (27611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:30:50');
INSERT INTO `sys_job_log` VALUES (27612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:30:53');
INSERT INTO `sys_job_log` VALUES (27613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:30:55');
INSERT INTO `sys_job_log` VALUES (27614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:30:58');
INSERT INTO `sys_job_log` VALUES (27615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:30:58');
INSERT INTO `sys_job_log` VALUES (27616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:31:00');
INSERT INTO `sys_job_log` VALUES (27617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:00');
INSERT INTO `sys_job_log` VALUES (27618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:31:03');
INSERT INTO `sys_job_log` VALUES (27619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:05');
INSERT INTO `sys_job_log` VALUES (27620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:31:08');
INSERT INTO `sys_job_log` VALUES (27621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:31:10');
INSERT INTO `sys_job_log` VALUES (27622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 12:31:13');
INSERT INTO `sys_job_log` VALUES (27623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 12:31:13');
INSERT INTO `sys_job_log` VALUES (27624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:15');
INSERT INTO `sys_job_log` VALUES (27625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:15');
INSERT INTO `sys_job_log` VALUES (27626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:31:18');
INSERT INTO `sys_job_log` VALUES (27627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:20');
INSERT INTO `sys_job_log` VALUES (27628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:23');
INSERT INTO `sys_job_log` VALUES (27629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:25');
INSERT INTO `sys_job_log` VALUES (27630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:31:28');
INSERT INTO `sys_job_log` VALUES (27631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:28');
INSERT INTO `sys_job_log` VALUES (27632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:31:30');
INSERT INTO `sys_job_log` VALUES (27633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:30');
INSERT INTO `sys_job_log` VALUES (27634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:31:33');
INSERT INTO `sys_job_log` VALUES (27635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:35');
INSERT INTO `sys_job_log` VALUES (27636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:31:38');
INSERT INTO `sys_job_log` VALUES (27637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:31:40');
INSERT INTO `sys_job_log` VALUES (27638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:31:43');
INSERT INTO `sys_job_log` VALUES (27639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:31:43');
INSERT INTO `sys_job_log` VALUES (27640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:45');
INSERT INTO `sys_job_log` VALUES (27641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:45');
INSERT INTO `sys_job_log` VALUES (27642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 12:31:48');
INSERT INTO `sys_job_log` VALUES (27643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:31:50');
INSERT INTO `sys_job_log` VALUES (27644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:31:53');
INSERT INTO `sys_job_log` VALUES (27645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 12:31:55');
INSERT INTO `sys_job_log` VALUES (27646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:58');
INSERT INTO `sys_job_log` VALUES (27647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:31:58');
INSERT INTO `sys_job_log` VALUES (27648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:32:00');
INSERT INTO `sys_job_log` VALUES (27649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:32:00');
INSERT INTO `sys_job_log` VALUES (27650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:32:03');
INSERT INTO `sys_job_log` VALUES (27651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:32:05');
INSERT INTO `sys_job_log` VALUES (27652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:32:08');
INSERT INTO `sys_job_log` VALUES (27653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:32:10');
INSERT INTO `sys_job_log` VALUES (27654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:32:13');
INSERT INTO `sys_job_log` VALUES (27655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:32:13');
INSERT INTO `sys_job_log` VALUES (27656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:32:15');
INSERT INTO `sys_job_log` VALUES (27657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:32:15');
INSERT INTO `sys_job_log` VALUES (27658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:32:18');
INSERT INTO `sys_job_log` VALUES (27659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:32:20');
INSERT INTO `sys_job_log` VALUES (27660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:32:23');
INSERT INTO `sys_job_log` VALUES (27661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:32:25');
INSERT INTO `sys_job_log` VALUES (27662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:32:28');
INSERT INTO `sys_job_log` VALUES (27663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:32:28');
INSERT INTO `sys_job_log` VALUES (27664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:32:30');
INSERT INTO `sys_job_log` VALUES (27665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:32:30');
INSERT INTO `sys_job_log` VALUES (27666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:32:33');
INSERT INTO `sys_job_log` VALUES (27667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:32:35');
INSERT INTO `sys_job_log` VALUES (27668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:32:38');
INSERT INTO `sys_job_log` VALUES (27669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:32:40');
INSERT INTO `sys_job_log` VALUES (27670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:32:43');
INSERT INTO `sys_job_log` VALUES (27671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:32:43');
INSERT INTO `sys_job_log` VALUES (27672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:32:45');
INSERT INTO `sys_job_log` VALUES (27673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:32:45');
INSERT INTO `sys_job_log` VALUES (27674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:32:48');
INSERT INTO `sys_job_log` VALUES (27675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:32:50');
INSERT INTO `sys_job_log` VALUES (27676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:32:53');
INSERT INTO `sys_job_log` VALUES (27677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:32:55');
INSERT INTO `sys_job_log` VALUES (27678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:32:58');
INSERT INTO `sys_job_log` VALUES (27679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:32:58');
INSERT INTO `sys_job_log` VALUES (27680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:33:00');
INSERT INTO `sys_job_log` VALUES (27681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:33:00');
INSERT INTO `sys_job_log` VALUES (27682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:33:03');
INSERT INTO `sys_job_log` VALUES (27683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:33:05');
INSERT INTO `sys_job_log` VALUES (27684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:33:08');
INSERT INTO `sys_job_log` VALUES (27685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:33:10');
INSERT INTO `sys_job_log` VALUES (27686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:33:13');
INSERT INTO `sys_job_log` VALUES (27687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:33:13');
INSERT INTO `sys_job_log` VALUES (27688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:33:15');
INSERT INTO `sys_job_log` VALUES (27689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:33:15');
INSERT INTO `sys_job_log` VALUES (27690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:33:18');
INSERT INTO `sys_job_log` VALUES (27691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:33:20');
INSERT INTO `sys_job_log` VALUES (27692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:33:23');
INSERT INTO `sys_job_log` VALUES (27693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:33:25');
INSERT INTO `sys_job_log` VALUES (27694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:33:28');
INSERT INTO `sys_job_log` VALUES (27695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:33:28');
INSERT INTO `sys_job_log` VALUES (27696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:33:30');
INSERT INTO `sys_job_log` VALUES (27697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:33:30');
INSERT INTO `sys_job_log` VALUES (27698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:33:33');
INSERT INTO `sys_job_log` VALUES (27699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:33:35');
INSERT INTO `sys_job_log` VALUES (27700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:33:38');
INSERT INTO `sys_job_log` VALUES (27701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:33:40');
INSERT INTO `sys_job_log` VALUES (27702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:33:43');
INSERT INTO `sys_job_log` VALUES (27703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:33:43');
INSERT INTO `sys_job_log` VALUES (27704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:33:45');
INSERT INTO `sys_job_log` VALUES (27705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:33:45');
INSERT INTO `sys_job_log` VALUES (27706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 12:33:48');
INSERT INTO `sys_job_log` VALUES (27707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:33:50');
INSERT INTO `sys_job_log` VALUES (27708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:33:53');
INSERT INTO `sys_job_log` VALUES (27709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:33:55');
INSERT INTO `sys_job_log` VALUES (27710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 12:33:58');
INSERT INTO `sys_job_log` VALUES (27711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 12:33:58');
INSERT INTO `sys_job_log` VALUES (27712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:34:00');
INSERT INTO `sys_job_log` VALUES (27713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:34:00');
INSERT INTO `sys_job_log` VALUES (27714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:34:03');
INSERT INTO `sys_job_log` VALUES (27715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:34:05');
INSERT INTO `sys_job_log` VALUES (27716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:34:08');
INSERT INTO `sys_job_log` VALUES (27717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:34:10');
INSERT INTO `sys_job_log` VALUES (27718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:34:13');
INSERT INTO `sys_job_log` VALUES (27719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:34:13');
INSERT INTO `sys_job_log` VALUES (27720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:34:15');
INSERT INTO `sys_job_log` VALUES (27721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:34:15');
INSERT INTO `sys_job_log` VALUES (27722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:34:18');
INSERT INTO `sys_job_log` VALUES (27723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:34:20');
INSERT INTO `sys_job_log` VALUES (27724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:34:23');
INSERT INTO `sys_job_log` VALUES (27725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:34:25');
INSERT INTO `sys_job_log` VALUES (27726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:34:28');
INSERT INTO `sys_job_log` VALUES (27727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:34:28');
INSERT INTO `sys_job_log` VALUES (27728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-27 12:34:30');
INSERT INTO `sys_job_log` VALUES (27729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-27 12:34:30');
INSERT INTO `sys_job_log` VALUES (27730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:34:33');
INSERT INTO `sys_job_log` VALUES (27731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 12:34:35');
INSERT INTO `sys_job_log` VALUES (27732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:34:38');
INSERT INTO `sys_job_log` VALUES (27733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:34:40');
INSERT INTO `sys_job_log` VALUES (27734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:34:43');
INSERT INTO `sys_job_log` VALUES (27735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:34:43');
INSERT INTO `sys_job_log` VALUES (27736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:34:45');
INSERT INTO `sys_job_log` VALUES (27737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:34:45');
INSERT INTO `sys_job_log` VALUES (27738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:34:48');
INSERT INTO `sys_job_log` VALUES (27739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:34:50');
INSERT INTO `sys_job_log` VALUES (27740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:34:53');
INSERT INTO `sys_job_log` VALUES (27741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:34:55');
INSERT INTO `sys_job_log` VALUES (27742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:34:58');
INSERT INTO `sys_job_log` VALUES (27743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:34:58');
INSERT INTO `sys_job_log` VALUES (27744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:35:00');
INSERT INTO `sys_job_log` VALUES (27745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:35:00');
INSERT INTO `sys_job_log` VALUES (27746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:35:03');
INSERT INTO `sys_job_log` VALUES (27747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:05');
INSERT INTO `sys_job_log` VALUES (27748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:35:08');
INSERT INTO `sys_job_log` VALUES (27749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:35:10');
INSERT INTO `sys_job_log` VALUES (27750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:35:13');
INSERT INTO `sys_job_log` VALUES (27751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:35:13');
INSERT INTO `sys_job_log` VALUES (27752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:15');
INSERT INTO `sys_job_log` VALUES (27753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:35:15');
INSERT INTO `sys_job_log` VALUES (27754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:35:18');
INSERT INTO `sys_job_log` VALUES (27755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:35:20');
INSERT INTO `sys_job_log` VALUES (27756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:35:23');
INSERT INTO `sys_job_log` VALUES (27757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:25');
INSERT INTO `sys_job_log` VALUES (27758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:35:28');
INSERT INTO `sys_job_log` VALUES (27759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:35:28');
INSERT INTO `sys_job_log` VALUES (27760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:35:30');
INSERT INTO `sys_job_log` VALUES (27761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:30');
INSERT INTO `sys_job_log` VALUES (27762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:35:33');
INSERT INTO `sys_job_log` VALUES (27763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:35');
INSERT INTO `sys_job_log` VALUES (27764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:35:38');
INSERT INTO `sys_job_log` VALUES (27765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:40');
INSERT INTO `sys_job_log` VALUES (27766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:35:43');
INSERT INTO `sys_job_log` VALUES (27767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:35:43');
INSERT INTO `sys_job_log` VALUES (27768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:35:45');
INSERT INTO `sys_job_log` VALUES (27769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:35:45');
INSERT INTO `sys_job_log` VALUES (27770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:35:48');
INSERT INTO `sys_job_log` VALUES (27771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:35:50');
INSERT INTO `sys_job_log` VALUES (27772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:35:53');
INSERT INTO `sys_job_log` VALUES (27773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:35:55');
INSERT INTO `sys_job_log` VALUES (27774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:35:58');
INSERT INTO `sys_job_log` VALUES (27775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:35:58');
INSERT INTO `sys_job_log` VALUES (27776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:36:00');
INSERT INTO `sys_job_log` VALUES (27777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:36:00');
INSERT INTO `sys_job_log` VALUES (27778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:36:03');
INSERT INTO `sys_job_log` VALUES (27779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:05');
INSERT INTO `sys_job_log` VALUES (27780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:36:08');
INSERT INTO `sys_job_log` VALUES (27781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:36:10');
INSERT INTO `sys_job_log` VALUES (27782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:13');
INSERT INTO `sys_job_log` VALUES (27783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:13');
INSERT INTO `sys_job_log` VALUES (27784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:36:15');
INSERT INTO `sys_job_log` VALUES (27785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:36:15');
INSERT INTO `sys_job_log` VALUES (27786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:36:18');
INSERT INTO `sys_job_log` VALUES (27787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:36:20');
INSERT INTO `sys_job_log` VALUES (27788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:36:23');
INSERT INTO `sys_job_log` VALUES (27789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:36:25');
INSERT INTO `sys_job_log` VALUES (27790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:36:28');
INSERT INTO `sys_job_log` VALUES (27791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:36:28');
INSERT INTO `sys_job_log` VALUES (27792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:30');
INSERT INTO `sys_job_log` VALUES (27793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:30');
INSERT INTO `sys_job_log` VALUES (27794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:33');
INSERT INTO `sys_job_log` VALUES (27795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:36:35');
INSERT INTO `sys_job_log` VALUES (27796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:38');
INSERT INTO `sys_job_log` VALUES (27797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:40');
INSERT INTO `sys_job_log` VALUES (27798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:36:43');
INSERT INTO `sys_job_log` VALUES (27799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:36:43');
INSERT INTO `sys_job_log` VALUES (27800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:45');
INSERT INTO `sys_job_log` VALUES (27801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:45');
INSERT INTO `sys_job_log` VALUES (27802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:48');
INSERT INTO `sys_job_log` VALUES (27803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:50');
INSERT INTO `sys_job_log` VALUES (27804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:36:53');
INSERT INTO `sys_job_log` VALUES (27805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:36:55');
INSERT INTO `sys_job_log` VALUES (27806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:36:58');
INSERT INTO `sys_job_log` VALUES (27807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:36:58');
INSERT INTO `sys_job_log` VALUES (27808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:37:00');
INSERT INTO `sys_job_log` VALUES (27809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:37:00');
INSERT INTO `sys_job_log` VALUES (27810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:03');
INSERT INTO `sys_job_log` VALUES (27811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:37:05');
INSERT INTO `sys_job_log` VALUES (27812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:37:08');
INSERT INTO `sys_job_log` VALUES (27813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:37:10');
INSERT INTO `sys_job_log` VALUES (27814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:37:13');
INSERT INTO `sys_job_log` VALUES (27815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:37:13');
INSERT INTO `sys_job_log` VALUES (27816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:37:15');
INSERT INTO `sys_job_log` VALUES (27817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:37:15');
INSERT INTO `sys_job_log` VALUES (27818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:37:18');
INSERT INTO `sys_job_log` VALUES (27819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:37:20');
INSERT INTO `sys_job_log` VALUES (27820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:23');
INSERT INTO `sys_job_log` VALUES (27821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:37:25');
INSERT INTO `sys_job_log` VALUES (27822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:37:28');
INSERT INTO `sys_job_log` VALUES (27823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:37:28');
INSERT INTO `sys_job_log` VALUES (27824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:37:30');
INSERT INTO `sys_job_log` VALUES (27825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:37:30');
INSERT INTO `sys_job_log` VALUES (27826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:37:33');
INSERT INTO `sys_job_log` VALUES (27827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:37:35');
INSERT INTO `sys_job_log` VALUES (27828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:38');
INSERT INTO `sys_job_log` VALUES (27829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:37:40');
INSERT INTO `sys_job_log` VALUES (27830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:37:43');
INSERT INTO `sys_job_log` VALUES (27831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:43');
INSERT INTO `sys_job_log` VALUES (27832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:45');
INSERT INTO `sys_job_log` VALUES (27833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:45');
INSERT INTO `sys_job_log` VALUES (27834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:37:48');
INSERT INTO `sys_job_log` VALUES (27835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:37:50');
INSERT INTO `sys_job_log` VALUES (27836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:37:53');
INSERT INTO `sys_job_log` VALUES (27837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:37:55');
INSERT INTO `sys_job_log` VALUES (27838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:37:58');
INSERT INTO `sys_job_log` VALUES (27839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:37:58');
INSERT INTO `sys_job_log` VALUES (27840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:38:00');
INSERT INTO `sys_job_log` VALUES (27841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:38:00');
INSERT INTO `sys_job_log` VALUES (27842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:38:03');
INSERT INTO `sys_job_log` VALUES (27843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:38:05');
INSERT INTO `sys_job_log` VALUES (27844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:08');
INSERT INTO `sys_job_log` VALUES (27845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:10');
INSERT INTO `sys_job_log` VALUES (27846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 12:38:13');
INSERT INTO `sys_job_log` VALUES (27847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:38:13');
INSERT INTO `sys_job_log` VALUES (27848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:15');
INSERT INTO `sys_job_log` VALUES (27849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:38:15');
INSERT INTO `sys_job_log` VALUES (27850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:38:18');
INSERT INTO `sys_job_log` VALUES (27851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:38:20');
INSERT INTO `sys_job_log` VALUES (27852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:38:23');
INSERT INTO `sys_job_log` VALUES (27853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:38:25');
INSERT INTO `sys_job_log` VALUES (27854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:38:28');
INSERT INTO `sys_job_log` VALUES (27855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:38:28');
INSERT INTO `sys_job_log` VALUES (27856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:30');
INSERT INTO `sys_job_log` VALUES (27857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:30');
INSERT INTO `sys_job_log` VALUES (27858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:33');
INSERT INTO `sys_job_log` VALUES (27859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:38:35');
INSERT INTO `sys_job_log` VALUES (27860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:38:38');
INSERT INTO `sys_job_log` VALUES (27861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:38:40');
INSERT INTO `sys_job_log` VALUES (27862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:38:43');
INSERT INTO `sys_job_log` VALUES (27863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:38:43');
INSERT INTO `sys_job_log` VALUES (27864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:38:45');
INSERT INTO `sys_job_log` VALUES (27865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:38:45');
INSERT INTO `sys_job_log` VALUES (27866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:38:48');
INSERT INTO `sys_job_log` VALUES (27867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:38:50');
INSERT INTO `sys_job_log` VALUES (27868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:38:53');
INSERT INTO `sys_job_log` VALUES (27869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:38:55');
INSERT INTO `sys_job_log` VALUES (27870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:38:58');
INSERT INTO `sys_job_log` VALUES (27871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:38:58');
INSERT INTO `sys_job_log` VALUES (27872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:00');
INSERT INTO `sys_job_log` VALUES (27873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:00');
INSERT INTO `sys_job_log` VALUES (27874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:39:03');
INSERT INTO `sys_job_log` VALUES (27875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:39:05');
INSERT INTO `sys_job_log` VALUES (27876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:39:08');
INSERT INTO `sys_job_log` VALUES (27877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:10');
INSERT INTO `sys_job_log` VALUES (27878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:13');
INSERT INTO `sys_job_log` VALUES (27879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:13');
INSERT INTO `sys_job_log` VALUES (27880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:39:15');
INSERT INTO `sys_job_log` VALUES (27881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:39:15');
INSERT INTO `sys_job_log` VALUES (27882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:39:18');
INSERT INTO `sys_job_log` VALUES (27883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:39:20');
INSERT INTO `sys_job_log` VALUES (27884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:39:23');
INSERT INTO `sys_job_log` VALUES (27885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:25');
INSERT INTO `sys_job_log` VALUES (27886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:28');
INSERT INTO `sys_job_log` VALUES (27887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:28');
INSERT INTO `sys_job_log` VALUES (27888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:30');
INSERT INTO `sys_job_log` VALUES (27889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:30');
INSERT INTO `sys_job_log` VALUES (27890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:39:33');
INSERT INTO `sys_job_log` VALUES (27891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:35');
INSERT INTO `sys_job_log` VALUES (27892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:39:38');
INSERT INTO `sys_job_log` VALUES (27893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:39:40');
INSERT INTO `sys_job_log` VALUES (27894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:39:43');
INSERT INTO `sys_job_log` VALUES (27895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:39:43');
INSERT INTO `sys_job_log` VALUES (27896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:39:45');
INSERT INTO `sys_job_log` VALUES (27897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:39:45');
INSERT INTO `sys_job_log` VALUES (27898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:48');
INSERT INTO `sys_job_log` VALUES (27899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:39:50');
INSERT INTO `sys_job_log` VALUES (27900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:39:53');
INSERT INTO `sys_job_log` VALUES (27901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:39:55');
INSERT INTO `sys_job_log` VALUES (27902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:39:58');
INSERT INTO `sys_job_log` VALUES (27903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:39:58');
INSERT INTO `sys_job_log` VALUES (27904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:40:00');
INSERT INTO `sys_job_log` VALUES (27905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:40:00');
INSERT INTO `sys_job_log` VALUES (27906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:40:03');
INSERT INTO `sys_job_log` VALUES (27907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:40:05');
INSERT INTO `sys_job_log` VALUES (27908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:40:08');
INSERT INTO `sys_job_log` VALUES (27909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:40:10');
INSERT INTO `sys_job_log` VALUES (27910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:40:13');
INSERT INTO `sys_job_log` VALUES (27911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:40:13');
INSERT INTO `sys_job_log` VALUES (27912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:40:15');
INSERT INTO `sys_job_log` VALUES (27913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:40:15');
INSERT INTO `sys_job_log` VALUES (27914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:40:18');
INSERT INTO `sys_job_log` VALUES (27915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:40:20');
INSERT INTO `sys_job_log` VALUES (27916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:40:23');
INSERT INTO `sys_job_log` VALUES (27917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:40:25');
INSERT INTO `sys_job_log` VALUES (27918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:40:28');
INSERT INTO `sys_job_log` VALUES (27919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:40:28');
INSERT INTO `sys_job_log` VALUES (27920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:40:30');
INSERT INTO `sys_job_log` VALUES (27921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:40:30');
INSERT INTO `sys_job_log` VALUES (27922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:40:33');
INSERT INTO `sys_job_log` VALUES (27923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:40:35');
INSERT INTO `sys_job_log` VALUES (27924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:40:38');
INSERT INTO `sys_job_log` VALUES (27925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:40:40');
INSERT INTO `sys_job_log` VALUES (27926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 12:40:43');
INSERT INTO `sys_job_log` VALUES (27927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 12:40:43');
INSERT INTO `sys_job_log` VALUES (27928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:40:45');
INSERT INTO `sys_job_log` VALUES (27929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:40:45');
INSERT INTO `sys_job_log` VALUES (27930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:40:48');
INSERT INTO `sys_job_log` VALUES (27931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:40:50');
INSERT INTO `sys_job_log` VALUES (27932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:40:53');
INSERT INTO `sys_job_log` VALUES (27933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:40:55');
INSERT INTO `sys_job_log` VALUES (27934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:40:58');
INSERT INTO `sys_job_log` VALUES (27935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:40:58');
INSERT INTO `sys_job_log` VALUES (27936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:41:00');
INSERT INTO `sys_job_log` VALUES (27937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:41:00');
INSERT INTO `sys_job_log` VALUES (27938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:03');
INSERT INTO `sys_job_log` VALUES (27939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:41:05');
INSERT INTO `sys_job_log` VALUES (27940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:08');
INSERT INTO `sys_job_log` VALUES (27941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:41:10');
INSERT INTO `sys_job_log` VALUES (27942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:41:13');
INSERT INTO `sys_job_log` VALUES (27943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:41:13');
INSERT INTO `sys_job_log` VALUES (27944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:15');
INSERT INTO `sys_job_log` VALUES (27945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:41:15');
INSERT INTO `sys_job_log` VALUES (27946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:41:18');
INSERT INTO `sys_job_log` VALUES (27947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:41:20');
INSERT INTO `sys_job_log` VALUES (27948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:41:23');
INSERT INTO `sys_job_log` VALUES (27949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:41:25');
INSERT INTO `sys_job_log` VALUES (27950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:41:28');
INSERT INTO `sys_job_log` VALUES (27951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:41:28');
INSERT INTO `sys_job_log` VALUES (27952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:30');
INSERT INTO `sys_job_log` VALUES (27953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:30');
INSERT INTO `sys_job_log` VALUES (27954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:41:33');
INSERT INTO `sys_job_log` VALUES (27955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:41:35');
INSERT INTO `sys_job_log` VALUES (27956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:38');
INSERT INTO `sys_job_log` VALUES (27957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 12:41:40');
INSERT INTO `sys_job_log` VALUES (27958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:41:43');
INSERT INTO `sys_job_log` VALUES (27959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:41:43');
INSERT INTO `sys_job_log` VALUES (27960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:41:45');
INSERT INTO `sys_job_log` VALUES (27961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:41:45');
INSERT INTO `sys_job_log` VALUES (27962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:41:48');
INSERT INTO `sys_job_log` VALUES (27963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:41:50');
INSERT INTO `sys_job_log` VALUES (27964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 12:41:53');
INSERT INTO `sys_job_log` VALUES (27965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:41:55');
INSERT INTO `sys_job_log` VALUES (27966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:41:58');
INSERT INTO `sys_job_log` VALUES (27967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:41:58');
INSERT INTO `sys_job_log` VALUES (27968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:00');
INSERT INTO `sys_job_log` VALUES (27969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:00');
INSERT INTO `sys_job_log` VALUES (27970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:42:03');
INSERT INTO `sys_job_log` VALUES (27971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:05');
INSERT INTO `sys_job_log` VALUES (27972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:42:08');
INSERT INTO `sys_job_log` VALUES (27973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:10');
INSERT INTO `sys_job_log` VALUES (27974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:42:13');
INSERT INTO `sys_job_log` VALUES (27975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:42:13');
INSERT INTO `sys_job_log` VALUES (27976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:42:15');
INSERT INTO `sys_job_log` VALUES (27977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:42:15');
INSERT INTO `sys_job_log` VALUES (27978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:42:18');
INSERT INTO `sys_job_log` VALUES (27979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:42:20');
INSERT INTO `sys_job_log` VALUES (27980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:42:23');
INSERT INTO `sys_job_log` VALUES (27981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:25');
INSERT INTO `sys_job_log` VALUES (27982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:42:28');
INSERT INTO `sys_job_log` VALUES (27983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:42:28');
INSERT INTO `sys_job_log` VALUES (27984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:42:30');
INSERT INTO `sys_job_log` VALUES (27985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:42:30');
INSERT INTO `sys_job_log` VALUES (27986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:42:33');
INSERT INTO `sys_job_log` VALUES (27987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:35');
INSERT INTO `sys_job_log` VALUES (27988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:42:38');
INSERT INTO `sys_job_log` VALUES (27989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:42:40');
INSERT INTO `sys_job_log` VALUES (27990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 12:42:43');
INSERT INTO `sys_job_log` VALUES (27991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 12:42:43');
INSERT INTO `sys_job_log` VALUES (27992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:42:45');
INSERT INTO `sys_job_log` VALUES (27993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:42:45');
INSERT INTO `sys_job_log` VALUES (27994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-27 12:42:48');
INSERT INTO `sys_job_log` VALUES (27995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:42:50');
INSERT INTO `sys_job_log` VALUES (27996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：121毫秒', '0', '', '2024-12-27 12:42:53');
INSERT INTO `sys_job_log` VALUES (27997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:42:55');
INSERT INTO `sys_job_log` VALUES (27998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 12:42:58');
INSERT INTO `sys_job_log` VALUES (27999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-27 12:42:58');
INSERT INTO `sys_job_log` VALUES (28000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:00');
INSERT INTO `sys_job_log` VALUES (28001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:00');
INSERT INTO `sys_job_log` VALUES (28002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:43:03');
INSERT INTO `sys_job_log` VALUES (28003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:43:05');
INSERT INTO `sys_job_log` VALUES (28004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:08');
INSERT INTO `sys_job_log` VALUES (28005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:43:10');
INSERT INTO `sys_job_log` VALUES (28006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:13');
INSERT INTO `sys_job_log` VALUES (28007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:13');
INSERT INTO `sys_job_log` VALUES (28008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:43:15');
INSERT INTO `sys_job_log` VALUES (28009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:43:15');
INSERT INTO `sys_job_log` VALUES (28010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:43:18');
INSERT INTO `sys_job_log` VALUES (28011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:43:20');
INSERT INTO `sys_job_log` VALUES (28012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 12:43:23');
INSERT INTO `sys_job_log` VALUES (28013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:43:25');
INSERT INTO `sys_job_log` VALUES (28014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:43:28');
INSERT INTO `sys_job_log` VALUES (28015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:28');
INSERT INTO `sys_job_log` VALUES (28016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:30');
INSERT INTO `sys_job_log` VALUES (28017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:43:30');
INSERT INTO `sys_job_log` VALUES (28018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 12:43:33');
INSERT INTO `sys_job_log` VALUES (28019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:43:35');
INSERT INTO `sys_job_log` VALUES (28020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:43:38');
INSERT INTO `sys_job_log` VALUES (28021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:43:40');
INSERT INTO `sys_job_log` VALUES (28022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-27 12:43:43');
INSERT INTO `sys_job_log` VALUES (28023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-27 12:43:43');
INSERT INTO `sys_job_log` VALUES (28024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:43:45');
INSERT INTO `sys_job_log` VALUES (28025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:43:45');
INSERT INTO `sys_job_log` VALUES (28026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-27 12:43:48');
INSERT INTO `sys_job_log` VALUES (28027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 12:43:50');
INSERT INTO `sys_job_log` VALUES (28028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:43:53');
INSERT INTO `sys_job_log` VALUES (28029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:43:55');
INSERT INTO `sys_job_log` VALUES (28030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 12:43:58');
INSERT INTO `sys_job_log` VALUES (28031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 12:43:58');
INSERT INTO `sys_job_log` VALUES (28032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:00');
INSERT INTO `sys_job_log` VALUES (28033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:00');
INSERT INTO `sys_job_log` VALUES (28034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:44:03');
INSERT INTO `sys_job_log` VALUES (28035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:05');
INSERT INTO `sys_job_log` VALUES (28036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:44:08');
INSERT INTO `sys_job_log` VALUES (28037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:44:10');
INSERT INTO `sys_job_log` VALUES (28038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-27 12:44:13');
INSERT INTO `sys_job_log` VALUES (28039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-27 12:44:13');
INSERT INTO `sys_job_log` VALUES (28040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:15');
INSERT INTO `sys_job_log` VALUES (28041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:15');
INSERT INTO `sys_job_log` VALUES (28042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:44:18');
INSERT INTO `sys_job_log` VALUES (28043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:44:20');
INSERT INTO `sys_job_log` VALUES (28044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:44:23');
INSERT INTO `sys_job_log` VALUES (28045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:44:25');
INSERT INTO `sys_job_log` VALUES (28046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:44:28');
INSERT INTO `sys_job_log` VALUES (28047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:44:28');
INSERT INTO `sys_job_log` VALUES (28048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:44:30');
INSERT INTO `sys_job_log` VALUES (28049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:44:30');
INSERT INTO `sys_job_log` VALUES (28050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:44:33');
INSERT INTO `sys_job_log` VALUES (28051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:35');
INSERT INTO `sys_job_log` VALUES (28052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:44:38');
INSERT INTO `sys_job_log` VALUES (28053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：126毫秒', '0', '', '2024-12-27 12:44:40');
INSERT INTO `sys_job_log` VALUES (28054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 12:44:43');
INSERT INTO `sys_job_log` VALUES (28055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 12:44:43');
INSERT INTO `sys_job_log` VALUES (28056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:44:45');
INSERT INTO `sys_job_log` VALUES (28057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:44:45');
INSERT INTO `sys_job_log` VALUES (28058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-27 12:44:48');
INSERT INTO `sys_job_log` VALUES (28059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:44:50');
INSERT INTO `sys_job_log` VALUES (28060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:44:53');
INSERT INTO `sys_job_log` VALUES (28061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:44:55');
INSERT INTO `sys_job_log` VALUES (28062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:44:58');
INSERT INTO `sys_job_log` VALUES (28063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:44:58');
INSERT INTO `sys_job_log` VALUES (28064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 12:45:00');
INSERT INTO `sys_job_log` VALUES (28065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 12:45:00');
INSERT INTO `sys_job_log` VALUES (28066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:45:03');
INSERT INTO `sys_job_log` VALUES (28067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:05');
INSERT INTO `sys_job_log` VALUES (28068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:45:08');
INSERT INTO `sys_job_log` VALUES (28069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:10');
INSERT INTO `sys_job_log` VALUES (28070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:45:13');
INSERT INTO `sys_job_log` VALUES (28071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:45:13');
INSERT INTO `sys_job_log` VALUES (28072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:45:15');
INSERT INTO `sys_job_log` VALUES (28073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:45:15');
INSERT INTO `sys_job_log` VALUES (28074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:45:18');
INSERT INTO `sys_job_log` VALUES (28075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:45:20');
INSERT INTO `sys_job_log` VALUES (28076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:45:23');
INSERT INTO `sys_job_log` VALUES (28077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:25');
INSERT INTO `sys_job_log` VALUES (28078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 12:45:28');
INSERT INTO `sys_job_log` VALUES (28079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 12:45:28');
INSERT INTO `sys_job_log` VALUES (28080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:30');
INSERT INTO `sys_job_log` VALUES (28081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:30');
INSERT INTO `sys_job_log` VALUES (28082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:45:33');
INSERT INTO `sys_job_log` VALUES (28083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:45:35');
INSERT INTO `sys_job_log` VALUES (28084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:45:38');
INSERT INTO `sys_job_log` VALUES (28085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:45:40');
INSERT INTO `sys_job_log` VALUES (28086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 12:45:43');
INSERT INTO `sys_job_log` VALUES (28087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-27 12:45:43');
INSERT INTO `sys_job_log` VALUES (28088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:45');
INSERT INTO `sys_job_log` VALUES (28089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:45:45');
INSERT INTO `sys_job_log` VALUES (28090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:45:48');
INSERT INTO `sys_job_log` VALUES (28091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:45:50');
INSERT INTO `sys_job_log` VALUES (28092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:45:53');
INSERT INTO `sys_job_log` VALUES (28093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:45:55');
INSERT INTO `sys_job_log` VALUES (28094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:45:58');
INSERT INTO `sys_job_log` VALUES (28095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:45:58');
INSERT INTO `sys_job_log` VALUES (28096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:46:00');
INSERT INTO `sys_job_log` VALUES (28097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:46:00');
INSERT INTO `sys_job_log` VALUES (28098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 12:46:03');
INSERT INTO `sys_job_log` VALUES (28099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 12:46:05');
INSERT INTO `sys_job_log` VALUES (28100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:46:08');
INSERT INTO `sys_job_log` VALUES (28101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:46:10');
INSERT INTO `sys_job_log` VALUES (28102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:46:13');
INSERT INTO `sys_job_log` VALUES (28103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:46:13');
INSERT INTO `sys_job_log` VALUES (28104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:46:15');
INSERT INTO `sys_job_log` VALUES (28105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:46:15');
INSERT INTO `sys_job_log` VALUES (28106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:46:18');
INSERT INTO `sys_job_log` VALUES (28107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:46:20');
INSERT INTO `sys_job_log` VALUES (28108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:46:23');
INSERT INTO `sys_job_log` VALUES (28109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:46:25');
INSERT INTO `sys_job_log` VALUES (28110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:46:28');
INSERT INTO `sys_job_log` VALUES (28111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:46:28');
INSERT INTO `sys_job_log` VALUES (28112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:46:30');
INSERT INTO `sys_job_log` VALUES (28113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:46:30');
INSERT INTO `sys_job_log` VALUES (28114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:46:33');
INSERT INTO `sys_job_log` VALUES (28115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:46:35');
INSERT INTO `sys_job_log` VALUES (28116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:46:38');
INSERT INTO `sys_job_log` VALUES (28117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:46:40');
INSERT INTO `sys_job_log` VALUES (28118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:46:43');
INSERT INTO `sys_job_log` VALUES (28119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:46:43');
INSERT INTO `sys_job_log` VALUES (28120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 12:46:45');
INSERT INTO `sys_job_log` VALUES (28121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:46:45');
INSERT INTO `sys_job_log` VALUES (28122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:46:48');
INSERT INTO `sys_job_log` VALUES (28123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:46:50');
INSERT INTO `sys_job_log` VALUES (28124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:46:53');
INSERT INTO `sys_job_log` VALUES (28125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:46:55');
INSERT INTO `sys_job_log` VALUES (28126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:46:58');
INSERT INTO `sys_job_log` VALUES (28127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:46:58');
INSERT INTO `sys_job_log` VALUES (28128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:47:00');
INSERT INTO `sys_job_log` VALUES (28129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 12:47:00');
INSERT INTO `sys_job_log` VALUES (28130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:47:03');
INSERT INTO `sys_job_log` VALUES (28131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:05');
INSERT INTO `sys_job_log` VALUES (28132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:47:08');
INSERT INTO `sys_job_log` VALUES (28133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:47:10');
INSERT INTO `sys_job_log` VALUES (28134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:13');
INSERT INTO `sys_job_log` VALUES (28135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:47:13');
INSERT INTO `sys_job_log` VALUES (28136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:47:15');
INSERT INTO `sys_job_log` VALUES (28137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:47:15');
INSERT INTO `sys_job_log` VALUES (28138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1399毫秒', '0', '', '2024-12-27 12:47:19');
INSERT INTO `sys_job_log` VALUES (28139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:47:20');
INSERT INTO `sys_job_log` VALUES (28140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 12:47:23');
INSERT INTO `sys_job_log` VALUES (28141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:25');
INSERT INTO `sys_job_log` VALUES (28142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:28');
INSERT INTO `sys_job_log` VALUES (28143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:47:28');
INSERT INTO `sys_job_log` VALUES (28144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:47:30');
INSERT INTO `sys_job_log` VALUES (28145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:47:30');
INSERT INTO `sys_job_log` VALUES (28146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:47:33');
INSERT INTO `sys_job_log` VALUES (28147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:47:35');
INSERT INTO `sys_job_log` VALUES (28148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:47:38');
INSERT INTO `sys_job_log` VALUES (28149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:47:40');
INSERT INTO `sys_job_log` VALUES (28150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:43');
INSERT INTO `sys_job_log` VALUES (28151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:43');
INSERT INTO `sys_job_log` VALUES (28152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:47:45');
INSERT INTO `sys_job_log` VALUES (28153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:47:45');
INSERT INTO `sys_job_log` VALUES (28154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:47:48');
INSERT INTO `sys_job_log` VALUES (28155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:47:50');
INSERT INTO `sys_job_log` VALUES (28156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:53');
INSERT INTO `sys_job_log` VALUES (28157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:47:55');
INSERT INTO `sys_job_log` VALUES (28158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:47:58');
INSERT INTO `sys_job_log` VALUES (28159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:47:58');
INSERT INTO `sys_job_log` VALUES (28160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:48:00');
INSERT INTO `sys_job_log` VALUES (28161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:48:00');
INSERT INTO `sys_job_log` VALUES (28162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:48:03');
INSERT INTO `sys_job_log` VALUES (28163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:48:05');
INSERT INTO `sys_job_log` VALUES (28164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:48:08');
INSERT INTO `sys_job_log` VALUES (28165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:48:10');
INSERT INTO `sys_job_log` VALUES (28166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:48:13');
INSERT INTO `sys_job_log` VALUES (28167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:48:13');
INSERT INTO `sys_job_log` VALUES (28168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:48:15');
INSERT INTO `sys_job_log` VALUES (28169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:48:15');
INSERT INTO `sys_job_log` VALUES (28170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:48:18');
INSERT INTO `sys_job_log` VALUES (28171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:48:20');
INSERT INTO `sys_job_log` VALUES (28172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:48:23');
INSERT INTO `sys_job_log` VALUES (28173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:48:25');
INSERT INTO `sys_job_log` VALUES (28174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:48:28');
INSERT INTO `sys_job_log` VALUES (28175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:48:28');
INSERT INTO `sys_job_log` VALUES (28176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:48:30');
INSERT INTO `sys_job_log` VALUES (28177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:48:30');
INSERT INTO `sys_job_log` VALUES (28178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:48:33');
INSERT INTO `sys_job_log` VALUES (28179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:48:35');
INSERT INTO `sys_job_log` VALUES (28180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:48:38');
INSERT INTO `sys_job_log` VALUES (28181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:48:40');
INSERT INTO `sys_job_log` VALUES (28182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:48:43');
INSERT INTO `sys_job_log` VALUES (28183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:48:43');
INSERT INTO `sys_job_log` VALUES (28184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:48:45');
INSERT INTO `sys_job_log` VALUES (28185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:48:45');
INSERT INTO `sys_job_log` VALUES (28186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:48:48');
INSERT INTO `sys_job_log` VALUES (28187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:48:50');
INSERT INTO `sys_job_log` VALUES (28188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-27 12:48:53');
INSERT INTO `sys_job_log` VALUES (28189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:48:55');
INSERT INTO `sys_job_log` VALUES (28190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:48:58');
INSERT INTO `sys_job_log` VALUES (28191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:48:58');
INSERT INTO `sys_job_log` VALUES (28192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:49:00');
INSERT INTO `sys_job_log` VALUES (28193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:49:00');
INSERT INTO `sys_job_log` VALUES (28194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:49:03');
INSERT INTO `sys_job_log` VALUES (28195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:05');
INSERT INTO `sys_job_log` VALUES (28196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:08');
INSERT INTO `sys_job_log` VALUES (28197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:49:10');
INSERT INTO `sys_job_log` VALUES (28198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:49:13');
INSERT INTO `sys_job_log` VALUES (28199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:49:13');
INSERT INTO `sys_job_log` VALUES (28200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:49:15');
INSERT INTO `sys_job_log` VALUES (28201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:49:15');
INSERT INTO `sys_job_log` VALUES (28202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:49:18');
INSERT INTO `sys_job_log` VALUES (28203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:49:20');
INSERT INTO `sys_job_log` VALUES (28204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:49:23');
INSERT INTO `sys_job_log` VALUES (28205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:25');
INSERT INTO `sys_job_log` VALUES (28206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:49:28');
INSERT INTO `sys_job_log` VALUES (28207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:49:28');
INSERT INTO `sys_job_log` VALUES (28208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:30');
INSERT INTO `sys_job_log` VALUES (28209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:30');
INSERT INTO `sys_job_log` VALUES (28210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:49:33');
INSERT INTO `sys_job_log` VALUES (28211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:49:35');
INSERT INTO `sys_job_log` VALUES (28212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 12:49:38');
INSERT INTO `sys_job_log` VALUES (28213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:49:40');
INSERT INTO `sys_job_log` VALUES (28214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 12:49:43');
INSERT INTO `sys_job_log` VALUES (28215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:49:43');
INSERT INTO `sys_job_log` VALUES (28216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:45');
INSERT INTO `sys_job_log` VALUES (28217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:45');
INSERT INTO `sys_job_log` VALUES (28218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:49:48');
INSERT INTO `sys_job_log` VALUES (28219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:49:50');
INSERT INTO `sys_job_log` VALUES (28220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:49:53');
INSERT INTO `sys_job_log` VALUES (28221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:49:55');
INSERT INTO `sys_job_log` VALUES (28222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 12:49:58');
INSERT INTO `sys_job_log` VALUES (28223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 12:49:58');
INSERT INTO `sys_job_log` VALUES (28224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:50:00');
INSERT INTO `sys_job_log` VALUES (28225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:50:00');
INSERT INTO `sys_job_log` VALUES (28226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 12:50:03');
INSERT INTO `sys_job_log` VALUES (28227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:50:05');
INSERT INTO `sys_job_log` VALUES (28228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:50:08');
INSERT INTO `sys_job_log` VALUES (28229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:50:10');
INSERT INTO `sys_job_log` VALUES (28230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 12:50:13');
INSERT INTO `sys_job_log` VALUES (28231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 12:50:13');
INSERT INTO `sys_job_log` VALUES (28232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:50:15');
INSERT INTO `sys_job_log` VALUES (28233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:50:15');
INSERT INTO `sys_job_log` VALUES (28234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 12:50:18');
INSERT INTO `sys_job_log` VALUES (28235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:50:20');
INSERT INTO `sys_job_log` VALUES (28236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:50:23');
INSERT INTO `sys_job_log` VALUES (28237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:50:25');
INSERT INTO `sys_job_log` VALUES (28238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:50:28');
INSERT INTO `sys_job_log` VALUES (28239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:50:28');
INSERT INTO `sys_job_log` VALUES (28240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:50:30');
INSERT INTO `sys_job_log` VALUES (28241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:50:30');
INSERT INTO `sys_job_log` VALUES (28242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:50:33');
INSERT INTO `sys_job_log` VALUES (28243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:50:35');
INSERT INTO `sys_job_log` VALUES (28244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:50:38');
INSERT INTO `sys_job_log` VALUES (28245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:50:40');
INSERT INTO `sys_job_log` VALUES (28246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:50:43');
INSERT INTO `sys_job_log` VALUES (28247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:50:43');
INSERT INTO `sys_job_log` VALUES (28248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:50:45');
INSERT INTO `sys_job_log` VALUES (28249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:50:45');
INSERT INTO `sys_job_log` VALUES (28250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:50:48');
INSERT INTO `sys_job_log` VALUES (28251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:50:50');
INSERT INTO `sys_job_log` VALUES (28252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 12:50:53');
INSERT INTO `sys_job_log` VALUES (28253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:50:55');
INSERT INTO `sys_job_log` VALUES (28254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:50:58');
INSERT INTO `sys_job_log` VALUES (28255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:50:58');
INSERT INTO `sys_job_log` VALUES (28256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:51:00');
INSERT INTO `sys_job_log` VALUES (28257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:51:00');
INSERT INTO `sys_job_log` VALUES (28258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:51:03');
INSERT INTO `sys_job_log` VALUES (28259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:51:05');
INSERT INTO `sys_job_log` VALUES (28260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:51:08');
INSERT INTO `sys_job_log` VALUES (28261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:51:10');
INSERT INTO `sys_job_log` VALUES (28262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:51:13');
INSERT INTO `sys_job_log` VALUES (28263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:51:13');
INSERT INTO `sys_job_log` VALUES (28264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:51:15');
INSERT INTO `sys_job_log` VALUES (28265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:51:15');
INSERT INTO `sys_job_log` VALUES (28266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:51:18');
INSERT INTO `sys_job_log` VALUES (28267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:51:20');
INSERT INTO `sys_job_log` VALUES (28268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 12:51:23');
INSERT INTO `sys_job_log` VALUES (28269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:51:25');
INSERT INTO `sys_job_log` VALUES (28270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:51:28');
INSERT INTO `sys_job_log` VALUES (28271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:51:28');
INSERT INTO `sys_job_log` VALUES (28272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:51:30');
INSERT INTO `sys_job_log` VALUES (28273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:51:30');
INSERT INTO `sys_job_log` VALUES (28274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:51:33');
INSERT INTO `sys_job_log` VALUES (28275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:51:35');
INSERT INTO `sys_job_log` VALUES (28276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:51:38');
INSERT INTO `sys_job_log` VALUES (28277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 12:51:40');
INSERT INTO `sys_job_log` VALUES (28278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:51:43');
INSERT INTO `sys_job_log` VALUES (28279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:51:43');
INSERT INTO `sys_job_log` VALUES (28280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:51:45');
INSERT INTO `sys_job_log` VALUES (28281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:51:45');
INSERT INTO `sys_job_log` VALUES (28282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:51:48');
INSERT INTO `sys_job_log` VALUES (28283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:51:50');
INSERT INTO `sys_job_log` VALUES (28284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 12:51:53');
INSERT INTO `sys_job_log` VALUES (28285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2024-12-27 12:51:58');
INSERT INTO `sys_job_log` VALUES (28286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 12:51:58');
INSERT INTO `sys_job_log` VALUES (28287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:52:03');
INSERT INTO `sys_job_log` VALUES (28288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:52:08');
INSERT INTO `sys_job_log` VALUES (28289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:52:13');
INSERT INTO `sys_job_log` VALUES (28290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:52:13');
INSERT INTO `sys_job_log` VALUES (28291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:52:18');
INSERT INTO `sys_job_log` VALUES (28292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:52:23');
INSERT INTO `sys_job_log` VALUES (28293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 12:52:28');
INSERT INTO `sys_job_log` VALUES (28294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 12:52:28');
INSERT INTO `sys_job_log` VALUES (28295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:52:33');
INSERT INTO `sys_job_log` VALUES (28296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:52:38');
INSERT INTO `sys_job_log` VALUES (28297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:52:43');
INSERT INTO `sys_job_log` VALUES (28298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:52:43');
INSERT INTO `sys_job_log` VALUES (28299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:52:48');
INSERT INTO `sys_job_log` VALUES (28300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:52:53');
INSERT INTO `sys_job_log` VALUES (28301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:52:58');
INSERT INTO `sys_job_log` VALUES (28302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:52:58');
INSERT INTO `sys_job_log` VALUES (28303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:53:03');
INSERT INTO `sys_job_log` VALUES (28304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:53:08');
INSERT INTO `sys_job_log` VALUES (28305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:53:13');
INSERT INTO `sys_job_log` VALUES (28306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:53:13');
INSERT INTO `sys_job_log` VALUES (28307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:53:18');
INSERT INTO `sys_job_log` VALUES (28308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:53:23');
INSERT INTO `sys_job_log` VALUES (28309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:53:28');
INSERT INTO `sys_job_log` VALUES (28310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:53:28');
INSERT INTO `sys_job_log` VALUES (28311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:53:33');
INSERT INTO `sys_job_log` VALUES (28312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:53:38');
INSERT INTO `sys_job_log` VALUES (28313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:53:43');
INSERT INTO `sys_job_log` VALUES (28314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:53:43');
INSERT INTO `sys_job_log` VALUES (28315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:53:48');
INSERT INTO `sys_job_log` VALUES (28316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:53:53');
INSERT INTO `sys_job_log` VALUES (28317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:53:58');
INSERT INTO `sys_job_log` VALUES (28318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 12:53:58');
INSERT INTO `sys_job_log` VALUES (28319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:54:03');
INSERT INTO `sys_job_log` VALUES (28320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:54:08');
INSERT INTO `sys_job_log` VALUES (28321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:54:13');
INSERT INTO `sys_job_log` VALUES (28322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:54:13');
INSERT INTO `sys_job_log` VALUES (28323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 12:54:15');
INSERT INTO `sys_job_log` VALUES (28324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 12:54:15');
INSERT INTO `sys_job_log` VALUES (28325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:54:18');
INSERT INTO `sys_job_log` VALUES (28326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:54:20');
INSERT INTO `sys_job_log` VALUES (28327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:54:23');
INSERT INTO `sys_job_log` VALUES (28328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:54:25');
INSERT INTO `sys_job_log` VALUES (28329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:54:28');
INSERT INTO `sys_job_log` VALUES (28330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:54:28');
INSERT INTO `sys_job_log` VALUES (28331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:54:30');
INSERT INTO `sys_job_log` VALUES (28332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:54:30');
INSERT INTO `sys_job_log` VALUES (28333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:54:33');
INSERT INTO `sys_job_log` VALUES (28334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:54:35');
INSERT INTO `sys_job_log` VALUES (28335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:54:38');
INSERT INTO `sys_job_log` VALUES (28336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:54:40');
INSERT INTO `sys_job_log` VALUES (28337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:54:43');
INSERT INTO `sys_job_log` VALUES (28338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:54:43');
INSERT INTO `sys_job_log` VALUES (28339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:54:45');
INSERT INTO `sys_job_log` VALUES (28340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:54:45');
INSERT INTO `sys_job_log` VALUES (28341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:54:48');
INSERT INTO `sys_job_log` VALUES (28342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2024-12-27 12:54:50');
INSERT INTO `sys_job_log` VALUES (28343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:54:53');
INSERT INTO `sys_job_log` VALUES (28344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:54:55');
INSERT INTO `sys_job_log` VALUES (28345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:54:58');
INSERT INTO `sys_job_log` VALUES (28346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:54:58');
INSERT INTO `sys_job_log` VALUES (28347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:55:00');
INSERT INTO `sys_job_log` VALUES (28348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:55:00');
INSERT INTO `sys_job_log` VALUES (28349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:55:03');
INSERT INTO `sys_job_log` VALUES (28350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:55:05');
INSERT INTO `sys_job_log` VALUES (28351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:55:08');
INSERT INTO `sys_job_log` VALUES (28352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:55:10');
INSERT INTO `sys_job_log` VALUES (28353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 12:55:13');
INSERT INTO `sys_job_log` VALUES (28354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 12:55:13');
INSERT INTO `sys_job_log` VALUES (28355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:15');
INSERT INTO `sys_job_log` VALUES (28356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:15');
INSERT INTO `sys_job_log` VALUES (28357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:55:18');
INSERT INTO `sys_job_log` VALUES (28358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:55:20');
INSERT INTO `sys_job_log` VALUES (28359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:55:23');
INSERT INTO `sys_job_log` VALUES (28360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:25');
INSERT INTO `sys_job_log` VALUES (28361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:55:28');
INSERT INTO `sys_job_log` VALUES (28362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:55:28');
INSERT INTO `sys_job_log` VALUES (28363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:55:30');
INSERT INTO `sys_job_log` VALUES (28364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:30');
INSERT INTO `sys_job_log` VALUES (28365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:55:33');
INSERT INTO `sys_job_log` VALUES (28366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:55:35');
INSERT INTO `sys_job_log` VALUES (28367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:55:38');
INSERT INTO `sys_job_log` VALUES (28368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:55:40');
INSERT INTO `sys_job_log` VALUES (28369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:43');
INSERT INTO `sys_job_log` VALUES (28370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:43');
INSERT INTO `sys_job_log` VALUES (28371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:55:45');
INSERT INTO `sys_job_log` VALUES (28372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:55:45');
INSERT INTO `sys_job_log` VALUES (28373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:55:48');
INSERT INTO `sys_job_log` VALUES (28374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:55:50');
INSERT INTO `sys_job_log` VALUES (28375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:55:53');
INSERT INTO `sys_job_log` VALUES (28376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:55:55');
INSERT INTO `sys_job_log` VALUES (28377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:55:58');
INSERT INTO `sys_job_log` VALUES (28378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:55:58');
INSERT INTO `sys_job_log` VALUES (28379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:00');
INSERT INTO `sys_job_log` VALUES (28380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:56:00');
INSERT INTO `sys_job_log` VALUES (28381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:56:03');
INSERT INTO `sys_job_log` VALUES (28382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:05');
INSERT INTO `sys_job_log` VALUES (28383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:56:08');
INSERT INTO `sys_job_log` VALUES (28384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:10');
INSERT INTO `sys_job_log` VALUES (28385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:56:13');
INSERT INTO `sys_job_log` VALUES (28386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:56:13');
INSERT INTO `sys_job_log` VALUES (28387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:15');
INSERT INTO `sys_job_log` VALUES (28388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:15');
INSERT INTO `sys_job_log` VALUES (28389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:56:18');
INSERT INTO `sys_job_log` VALUES (28390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:56:20');
INSERT INTO `sys_job_log` VALUES (28391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:56:23');
INSERT INTO `sys_job_log` VALUES (28392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:56:25');
INSERT INTO `sys_job_log` VALUES (28393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:56:28');
INSERT INTO `sys_job_log` VALUES (28394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:56:28');
INSERT INTO `sys_job_log` VALUES (28395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:56:30');
INSERT INTO `sys_job_log` VALUES (28396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:56:30');
INSERT INTO `sys_job_log` VALUES (28397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:56:33');
INSERT INTO `sys_job_log` VALUES (28398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:56:35');
INSERT INTO `sys_job_log` VALUES (28399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:56:38');
INSERT INTO `sys_job_log` VALUES (28400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:40');
INSERT INTO `sys_job_log` VALUES (28401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:56:43');
INSERT INTO `sys_job_log` VALUES (28402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:56:43');
INSERT INTO `sys_job_log` VALUES (28403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:56:45');
INSERT INTO `sys_job_log` VALUES (28404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 12:56:45');
INSERT INTO `sys_job_log` VALUES (28405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:56:48');
INSERT INTO `sys_job_log` VALUES (28406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:56:50');
INSERT INTO `sys_job_log` VALUES (28407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:56:53');
INSERT INTO `sys_job_log` VALUES (28408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:56:55');
INSERT INTO `sys_job_log` VALUES (28409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 12:56:58');
INSERT INTO `sys_job_log` VALUES (28410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:56:58');
INSERT INTO `sys_job_log` VALUES (28411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 12:57:00');
INSERT INTO `sys_job_log` VALUES (28412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 12:57:00');
INSERT INTO `sys_job_log` VALUES (28413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:57:03');
INSERT INTO `sys_job_log` VALUES (28414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:57:05');
INSERT INTO `sys_job_log` VALUES (28415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:57:08');
INSERT INTO `sys_job_log` VALUES (28416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 12:57:10');
INSERT INTO `sys_job_log` VALUES (28417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:57:13');
INSERT INTO `sys_job_log` VALUES (28418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:57:13');
INSERT INTO `sys_job_log` VALUES (28419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 12:57:15');
INSERT INTO `sys_job_log` VALUES (28420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:57:15');
INSERT INTO `sys_job_log` VALUES (28421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:57:18');
INSERT INTO `sys_job_log` VALUES (28422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:57:20');
INSERT INTO `sys_job_log` VALUES (28423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 12:57:23');
INSERT INTO `sys_job_log` VALUES (28424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:57:25');
INSERT INTO `sys_job_log` VALUES (28425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:57:28');
INSERT INTO `sys_job_log` VALUES (28426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 12:57:28');
INSERT INTO `sys_job_log` VALUES (28427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:57:30');
INSERT INTO `sys_job_log` VALUES (28428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:57:30');
INSERT INTO `sys_job_log` VALUES (28429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:57:33');
INSERT INTO `sys_job_log` VALUES (28430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:57:35');
INSERT INTO `sys_job_log` VALUES (28431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:57:38');
INSERT INTO `sys_job_log` VALUES (28432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:57:40');
INSERT INTO `sys_job_log` VALUES (28433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:57:43');
INSERT INTO `sys_job_log` VALUES (28434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:57:43');
INSERT INTO `sys_job_log` VALUES (28435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:57:45');
INSERT INTO `sys_job_log` VALUES (28436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:57:45');
INSERT INTO `sys_job_log` VALUES (28437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:57:48');
INSERT INTO `sys_job_log` VALUES (28438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:57:50');
INSERT INTO `sys_job_log` VALUES (28439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:57:53');
INSERT INTO `sys_job_log` VALUES (28440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:57:55');
INSERT INTO `sys_job_log` VALUES (28441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 12:57:58');
INSERT INTO `sys_job_log` VALUES (28442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:57:58');
INSERT INTO `sys_job_log` VALUES (28443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:58:00');
INSERT INTO `sys_job_log` VALUES (28444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:58:00');
INSERT INTO `sys_job_log` VALUES (28445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:58:03');
INSERT INTO `sys_job_log` VALUES (28446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:58:05');
INSERT INTO `sys_job_log` VALUES (28447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:58:08');
INSERT INTO `sys_job_log` VALUES (28448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:58:10');
INSERT INTO `sys_job_log` VALUES (28449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:58:13');
INSERT INTO `sys_job_log` VALUES (28450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:58:13');
INSERT INTO `sys_job_log` VALUES (28451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:58:15');
INSERT INTO `sys_job_log` VALUES (28452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:58:15');
INSERT INTO `sys_job_log` VALUES (28453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:58:18');
INSERT INTO `sys_job_log` VALUES (28454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:58:20');
INSERT INTO `sys_job_log` VALUES (28455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:58:23');
INSERT INTO `sys_job_log` VALUES (28456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:58:25');
INSERT INTO `sys_job_log` VALUES (28457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 12:58:28');
INSERT INTO `sys_job_log` VALUES (28458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:58:28');
INSERT INTO `sys_job_log` VALUES (28459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 12:58:30');
INSERT INTO `sys_job_log` VALUES (28460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:58:30');
INSERT INTO `sys_job_log` VALUES (28461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:58:33');
INSERT INTO `sys_job_log` VALUES (28462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:58:35');
INSERT INTO `sys_job_log` VALUES (28463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 12:58:38');
INSERT INTO `sys_job_log` VALUES (28464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:58:40');
INSERT INTO `sys_job_log` VALUES (28465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:58:43');
INSERT INTO `sys_job_log` VALUES (28466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:58:43');
INSERT INTO `sys_job_log` VALUES (28467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:58:45');
INSERT INTO `sys_job_log` VALUES (28468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 12:58:45');
INSERT INTO `sys_job_log` VALUES (28469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:58:48');
INSERT INTO `sys_job_log` VALUES (28470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:58:50');
INSERT INTO `sys_job_log` VALUES (28471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:58:53');
INSERT INTO `sys_job_log` VALUES (28472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:58:55');
INSERT INTO `sys_job_log` VALUES (28473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:58:58');
INSERT INTO `sys_job_log` VALUES (28474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 12:58:58');
INSERT INTO `sys_job_log` VALUES (28475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:59:00');
INSERT INTO `sys_job_log` VALUES (28476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:00');
INSERT INTO `sys_job_log` VALUES (28477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:59:03');
INSERT INTO `sys_job_log` VALUES (28478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 12:59:05');
INSERT INTO `sys_job_log` VALUES (28479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 12:59:08');
INSERT INTO `sys_job_log` VALUES (28480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:59:10');
INSERT INTO `sys_job_log` VALUES (28481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 12:59:13');
INSERT INTO `sys_job_log` VALUES (28482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 12:59:13');
INSERT INTO `sys_job_log` VALUES (28483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:15');
INSERT INTO `sys_job_log` VALUES (28484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:15');
INSERT INTO `sys_job_log` VALUES (28485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:59:18');
INSERT INTO `sys_job_log` VALUES (28486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:59:20');
INSERT INTO `sys_job_log` VALUES (28487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:59:23');
INSERT INTO `sys_job_log` VALUES (28488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 12:59:25');
INSERT INTO `sys_job_log` VALUES (28489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:59:28');
INSERT INTO `sys_job_log` VALUES (28490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:59:28');
INSERT INTO `sys_job_log` VALUES (28491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:30');
INSERT INTO `sys_job_log` VALUES (28492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:30');
INSERT INTO `sys_job_log` VALUES (28493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 12:59:33');
INSERT INTO `sys_job_log` VALUES (28494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 12:59:35');
INSERT INTO `sys_job_log` VALUES (28495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 12:59:38');
INSERT INTO `sys_job_log` VALUES (28496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:59:40');
INSERT INTO `sys_job_log` VALUES (28497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:43');
INSERT INTO `sys_job_log` VALUES (28498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 12:59:43');
INSERT INTO `sys_job_log` VALUES (28499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 12:59:45');
INSERT INTO `sys_job_log` VALUES (28500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 12:59:45');
INSERT INTO `sys_job_log` VALUES (28501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:59:48');
INSERT INTO `sys_job_log` VALUES (28502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 12:59:50');
INSERT INTO `sys_job_log` VALUES (28503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 12:59:53');
INSERT INTO `sys_job_log` VALUES (28504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 12:59:55');
INSERT INTO `sys_job_log` VALUES (28505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 12:59:58');
INSERT INTO `sys_job_log` VALUES (28506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 12:59:58');
INSERT INTO `sys_job_log` VALUES (28507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 13:00:00');
INSERT INTO `sys_job_log` VALUES (28508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 13:00:00');
INSERT INTO `sys_job_log` VALUES (28509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:00:03');
INSERT INTO `sys_job_log` VALUES (28510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:00:05');
INSERT INTO `sys_job_log` VALUES (28511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:00:08');
INSERT INTO `sys_job_log` VALUES (28512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:00:10');
INSERT INTO `sys_job_log` VALUES (28513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:00:13');
INSERT INTO `sys_job_log` VALUES (28514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:00:13');
INSERT INTO `sys_job_log` VALUES (28515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:00:15');
INSERT INTO `sys_job_log` VALUES (28516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:00:15');
INSERT INTO `sys_job_log` VALUES (28517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:00:18');
INSERT INTO `sys_job_log` VALUES (28518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:00:20');
INSERT INTO `sys_job_log` VALUES (28519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:00:23');
INSERT INTO `sys_job_log` VALUES (28520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:00:25');
INSERT INTO `sys_job_log` VALUES (28521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:00:28');
INSERT INTO `sys_job_log` VALUES (28522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:00:28');
INSERT INTO `sys_job_log` VALUES (28523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:00:30');
INSERT INTO `sys_job_log` VALUES (28524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:00:30');
INSERT INTO `sys_job_log` VALUES (28525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:00:33');
INSERT INTO `sys_job_log` VALUES (28526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:00:38');
INSERT INTO `sys_job_log` VALUES (28527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:00:43');
INSERT INTO `sys_job_log` VALUES (28528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:00:43');
INSERT INTO `sys_job_log` VALUES (28529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:00:48');
INSERT INTO `sys_job_log` VALUES (28530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:00:53');
INSERT INTO `sys_job_log` VALUES (28531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:00:58');
INSERT INTO `sys_job_log` VALUES (28532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:00:58');
INSERT INTO `sys_job_log` VALUES (28533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:01:03');
INSERT INTO `sys_job_log` VALUES (28534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:01:08');
INSERT INTO `sys_job_log` VALUES (28535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:01:13');
INSERT INTO `sys_job_log` VALUES (28536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:01:13');
INSERT INTO `sys_job_log` VALUES (28537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:01:18');
INSERT INTO `sys_job_log` VALUES (28538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:01:23');
INSERT INTO `sys_job_log` VALUES (28539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:01:28');
INSERT INTO `sys_job_log` VALUES (28540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:01:28');
INSERT INTO `sys_job_log` VALUES (28541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:01:33');
INSERT INTO `sys_job_log` VALUES (28542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:01:38');
INSERT INTO `sys_job_log` VALUES (28543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:01:43');
INSERT INTO `sys_job_log` VALUES (28544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:01:43');
INSERT INTO `sys_job_log` VALUES (28545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:01:48');
INSERT INTO `sys_job_log` VALUES (28546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:01:53');
INSERT INTO `sys_job_log` VALUES (28547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 13:01:58');
INSERT INTO `sys_job_log` VALUES (28548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 13:01:58');
INSERT INTO `sys_job_log` VALUES (28549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:02:03');
INSERT INTO `sys_job_log` VALUES (28550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:02:08');
INSERT INTO `sys_job_log` VALUES (28551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:02:13');
INSERT INTO `sys_job_log` VALUES (28552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:02:13');
INSERT INTO `sys_job_log` VALUES (28553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:02:18');
INSERT INTO `sys_job_log` VALUES (28554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 13:02:23');
INSERT INTO `sys_job_log` VALUES (28555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:02:28');
INSERT INTO `sys_job_log` VALUES (28556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:02:28');
INSERT INTO `sys_job_log` VALUES (28557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:02:33');
INSERT INTO `sys_job_log` VALUES (28558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:02:38');
INSERT INTO `sys_job_log` VALUES (28559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-27 13:02:43');
INSERT INTO `sys_job_log` VALUES (28560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2024-12-27 13:02:43');
INSERT INTO `sys_job_log` VALUES (28561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:02:48');
INSERT INTO `sys_job_log` VALUES (28562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:02:53');
INSERT INTO `sys_job_log` VALUES (28563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:02:58');
INSERT INTO `sys_job_log` VALUES (28564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:02:58');
INSERT INTO `sys_job_log` VALUES (28565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:03:03');
INSERT INTO `sys_job_log` VALUES (28566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:03:08');
INSERT INTO `sys_job_log` VALUES (28567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:03:13');
INSERT INTO `sys_job_log` VALUES (28568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:03:13');
INSERT INTO `sys_job_log` VALUES (28569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:03:18');
INSERT INTO `sys_job_log` VALUES (28570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:03:23');
INSERT INTO `sys_job_log` VALUES (28571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:03:28');
INSERT INTO `sys_job_log` VALUES (28572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:03:28');
INSERT INTO `sys_job_log` VALUES (28573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:03:33');
INSERT INTO `sys_job_log` VALUES (28574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:03:38');
INSERT INTO `sys_job_log` VALUES (28575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:03:43');
INSERT INTO `sys_job_log` VALUES (28576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:03:43');
INSERT INTO `sys_job_log` VALUES (28577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:03:48');
INSERT INTO `sys_job_log` VALUES (28578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:03:53');
INSERT INTO `sys_job_log` VALUES (28579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:03:58');
INSERT INTO `sys_job_log` VALUES (28580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:03:58');
INSERT INTO `sys_job_log` VALUES (28581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:04:03');
INSERT INTO `sys_job_log` VALUES (28582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:04:08');
INSERT INTO `sys_job_log` VALUES (28583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:04:13');
INSERT INTO `sys_job_log` VALUES (28584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:04:13');
INSERT INTO `sys_job_log` VALUES (28585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:04:18');
INSERT INTO `sys_job_log` VALUES (28586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:04:23');
INSERT INTO `sys_job_log` VALUES (28587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:04:28');
INSERT INTO `sys_job_log` VALUES (28588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:04:28');
INSERT INTO `sys_job_log` VALUES (28589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:04:33');
INSERT INTO `sys_job_log` VALUES (28590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:04:38');
INSERT INTO `sys_job_log` VALUES (28591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:04:43');
INSERT INTO `sys_job_log` VALUES (28592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:04:43');
INSERT INTO `sys_job_log` VALUES (28593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:04:48');
INSERT INTO `sys_job_log` VALUES (28594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:04:53');
INSERT INTO `sys_job_log` VALUES (28595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:04:58');
INSERT INTO `sys_job_log` VALUES (28596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:04:58');
INSERT INTO `sys_job_log` VALUES (28597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:05:03');
INSERT INTO `sys_job_log` VALUES (28598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:05:08');
INSERT INTO `sys_job_log` VALUES (28599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:05:13');
INSERT INTO `sys_job_log` VALUES (28600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:05:13');
INSERT INTO `sys_job_log` VALUES (28601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:05:18');
INSERT INTO `sys_job_log` VALUES (28602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:05:23');
INSERT INTO `sys_job_log` VALUES (28603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:05:28');
INSERT INTO `sys_job_log` VALUES (28604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:05:28');
INSERT INTO `sys_job_log` VALUES (28605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:05:33');
INSERT INTO `sys_job_log` VALUES (28606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:05:38');
INSERT INTO `sys_job_log` VALUES (28607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:05:43');
INSERT INTO `sys_job_log` VALUES (28608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:05:43');
INSERT INTO `sys_job_log` VALUES (28609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:05:48');
INSERT INTO `sys_job_log` VALUES (28610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:05:53');
INSERT INTO `sys_job_log` VALUES (28611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:05:58');
INSERT INTO `sys_job_log` VALUES (28612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:05:58');
INSERT INTO `sys_job_log` VALUES (28613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:06:03');
INSERT INTO `sys_job_log` VALUES (28614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:06:08');
INSERT INTO `sys_job_log` VALUES (28615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:06:13');
INSERT INTO `sys_job_log` VALUES (28616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:06:13');
INSERT INTO `sys_job_log` VALUES (28617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:06:18');
INSERT INTO `sys_job_log` VALUES (28618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:06:23');
INSERT INTO `sys_job_log` VALUES (28619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:06:28');
INSERT INTO `sys_job_log` VALUES (28620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:06:28');
INSERT INTO `sys_job_log` VALUES (28621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:06:33');
INSERT INTO `sys_job_log` VALUES (28622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:06:38');
INSERT INTO `sys_job_log` VALUES (28623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:06:43');
INSERT INTO `sys_job_log` VALUES (28624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:06:43');
INSERT INTO `sys_job_log` VALUES (28625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:06:48');
INSERT INTO `sys_job_log` VALUES (28626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:06:53');
INSERT INTO `sys_job_log` VALUES (28627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:06:58');
INSERT INTO `sys_job_log` VALUES (28628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:06:58');
INSERT INTO `sys_job_log` VALUES (28629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:07:03');
INSERT INTO `sys_job_log` VALUES (28630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:07:08');
INSERT INTO `sys_job_log` VALUES (28631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:07:13');
INSERT INTO `sys_job_log` VALUES (28632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:07:13');
INSERT INTO `sys_job_log` VALUES (28633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:07:18');
INSERT INTO `sys_job_log` VALUES (28634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:07:23');
INSERT INTO `sys_job_log` VALUES (28635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:07:28');
INSERT INTO `sys_job_log` VALUES (28636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:07:28');
INSERT INTO `sys_job_log` VALUES (28637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:07:33');
INSERT INTO `sys_job_log` VALUES (28638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:07:38');
INSERT INTO `sys_job_log` VALUES (28639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:07:43');
INSERT INTO `sys_job_log` VALUES (28640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:07:43');
INSERT INTO `sys_job_log` VALUES (28641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:07:48');
INSERT INTO `sys_job_log` VALUES (28642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:07:53');
INSERT INTO `sys_job_log` VALUES (28643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:07:58');
INSERT INTO `sys_job_log` VALUES (28644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:07:58');
INSERT INTO `sys_job_log` VALUES (28645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:08:03');
INSERT INTO `sys_job_log` VALUES (28646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:08:08');
INSERT INTO `sys_job_log` VALUES (28647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:08:13');
INSERT INTO `sys_job_log` VALUES (28648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:08:13');
INSERT INTO `sys_job_log` VALUES (28649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:08:18');
INSERT INTO `sys_job_log` VALUES (28650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:08:23');
INSERT INTO `sys_job_log` VALUES (28651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:08:28');
INSERT INTO `sys_job_log` VALUES (28652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 13:08:28');
INSERT INTO `sys_job_log` VALUES (28653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:08:33');
INSERT INTO `sys_job_log` VALUES (28654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:08:38');
INSERT INTO `sys_job_log` VALUES (28655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:08:43');
INSERT INTO `sys_job_log` VALUES (28656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:08:43');
INSERT INTO `sys_job_log` VALUES (28657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:08:48');
INSERT INTO `sys_job_log` VALUES (28658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:08:53');
INSERT INTO `sys_job_log` VALUES (28659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:08:58');
INSERT INTO `sys_job_log` VALUES (28660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:08:58');
INSERT INTO `sys_job_log` VALUES (28661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:09:03');
INSERT INTO `sys_job_log` VALUES (28662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:09:08');
INSERT INTO `sys_job_log` VALUES (28663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:09:13');
INSERT INTO `sys_job_log` VALUES (28664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:09:13');
INSERT INTO `sys_job_log` VALUES (28665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:09:18');
INSERT INTO `sys_job_log` VALUES (28666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:09:23');
INSERT INTO `sys_job_log` VALUES (28667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:09:28');
INSERT INTO `sys_job_log` VALUES (28668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:09:28');
INSERT INTO `sys_job_log` VALUES (28669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:09:33');
INSERT INTO `sys_job_log` VALUES (28670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 13:09:38');
INSERT INTO `sys_job_log` VALUES (28671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:09:43');
INSERT INTO `sys_job_log` VALUES (28672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:09:43');
INSERT INTO `sys_job_log` VALUES (28673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:09:48');
INSERT INTO `sys_job_log` VALUES (28674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:09:53');
INSERT INTO `sys_job_log` VALUES (28675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:09:58');
INSERT INTO `sys_job_log` VALUES (28676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:09:58');
INSERT INTO `sys_job_log` VALUES (28677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:10:03');
INSERT INTO `sys_job_log` VALUES (28678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:10:08');
INSERT INTO `sys_job_log` VALUES (28679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:10:13');
INSERT INTO `sys_job_log` VALUES (28680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:10:13');
INSERT INTO `sys_job_log` VALUES (28681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:10:18');
INSERT INTO `sys_job_log` VALUES (28682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:10:23');
INSERT INTO `sys_job_log` VALUES (28683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:10:28');
INSERT INTO `sys_job_log` VALUES (28684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:10:28');
INSERT INTO `sys_job_log` VALUES (28685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:10:33');
INSERT INTO `sys_job_log` VALUES (28686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:10:38');
INSERT INTO `sys_job_log` VALUES (28687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:10:43');
INSERT INTO `sys_job_log` VALUES (28688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:10:43');
INSERT INTO `sys_job_log` VALUES (28689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:10:48');
INSERT INTO `sys_job_log` VALUES (28690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:10:53');
INSERT INTO `sys_job_log` VALUES (28691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:10:58');
INSERT INTO `sys_job_log` VALUES (28692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:10:58');
INSERT INTO `sys_job_log` VALUES (28693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:11:03');
INSERT INTO `sys_job_log` VALUES (28694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:11:08');
INSERT INTO `sys_job_log` VALUES (28695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:11:13');
INSERT INTO `sys_job_log` VALUES (28696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 13:11:13');
INSERT INTO `sys_job_log` VALUES (28697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:11:18');
INSERT INTO `sys_job_log` VALUES (28698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:11:23');
INSERT INTO `sys_job_log` VALUES (28699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:11:28');
INSERT INTO `sys_job_log` VALUES (28700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:11:28');
INSERT INTO `sys_job_log` VALUES (28701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:11:33');
INSERT INTO `sys_job_log` VALUES (28702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:11:38');
INSERT INTO `sys_job_log` VALUES (28703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:11:43');
INSERT INTO `sys_job_log` VALUES (28704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:11:43');
INSERT INTO `sys_job_log` VALUES (28705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:11:48');
INSERT INTO `sys_job_log` VALUES (28706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:11:53');
INSERT INTO `sys_job_log` VALUES (28707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:11:58');
INSERT INTO `sys_job_log` VALUES (28708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:11:58');
INSERT INTO `sys_job_log` VALUES (28709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:12:03');
INSERT INTO `sys_job_log` VALUES (28710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:12:08');
INSERT INTO `sys_job_log` VALUES (28711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:12:13');
INSERT INTO `sys_job_log` VALUES (28712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:12:13');
INSERT INTO `sys_job_log` VALUES (28713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:12:18');
INSERT INTO `sys_job_log` VALUES (28714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:12:23');
INSERT INTO `sys_job_log` VALUES (28715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:12:28');
INSERT INTO `sys_job_log` VALUES (28716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:12:28');
INSERT INTO `sys_job_log` VALUES (28717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:12:33');
INSERT INTO `sys_job_log` VALUES (28718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:12:38');
INSERT INTO `sys_job_log` VALUES (28719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:12:43');
INSERT INTO `sys_job_log` VALUES (28720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:12:43');
INSERT INTO `sys_job_log` VALUES (28721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:12:48');
INSERT INTO `sys_job_log` VALUES (28722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:12:53');
INSERT INTO `sys_job_log` VALUES (28723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 13:12:58');
INSERT INTO `sys_job_log` VALUES (28724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 13:12:58');
INSERT INTO `sys_job_log` VALUES (28725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:13:03');
INSERT INTO `sys_job_log` VALUES (28726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:13:08');
INSERT INTO `sys_job_log` VALUES (28727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:13:13');
INSERT INTO `sys_job_log` VALUES (28728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:13:13');
INSERT INTO `sys_job_log` VALUES (28729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:13:18');
INSERT INTO `sys_job_log` VALUES (28730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:13:23');
INSERT INTO `sys_job_log` VALUES (28731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:13:28');
INSERT INTO `sys_job_log` VALUES (28732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:13:28');
INSERT INTO `sys_job_log` VALUES (28733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:13:33');
INSERT INTO `sys_job_log` VALUES (28734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:13:38');
INSERT INTO `sys_job_log` VALUES (28735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:13:43');
INSERT INTO `sys_job_log` VALUES (28736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:13:43');
INSERT INTO `sys_job_log` VALUES (28737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:13:48');
INSERT INTO `sys_job_log` VALUES (28738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:13:53');
INSERT INTO `sys_job_log` VALUES (28739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:13:58');
INSERT INTO `sys_job_log` VALUES (28740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 13:13:58');
INSERT INTO `sys_job_log` VALUES (28741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:14:03');
INSERT INTO `sys_job_log` VALUES (28742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:14:08');
INSERT INTO `sys_job_log` VALUES (28743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:14:13');
INSERT INTO `sys_job_log` VALUES (28744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:14:13');
INSERT INTO `sys_job_log` VALUES (28745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:14:18');
INSERT INTO `sys_job_log` VALUES (28746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:14:23');
INSERT INTO `sys_job_log` VALUES (28747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 13:14:28');
INSERT INTO `sys_job_log` VALUES (28748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:14:28');
INSERT INTO `sys_job_log` VALUES (28749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:14:33');
INSERT INTO `sys_job_log` VALUES (28750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:14:38');
INSERT INTO `sys_job_log` VALUES (28751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:14:43');
INSERT INTO `sys_job_log` VALUES (28752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:14:43');
INSERT INTO `sys_job_log` VALUES (28753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:14:48');
INSERT INTO `sys_job_log` VALUES (28754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:14:53');
INSERT INTO `sys_job_log` VALUES (28755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:14:58');
INSERT INTO `sys_job_log` VALUES (28756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:14:58');
INSERT INTO `sys_job_log` VALUES (28757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:15:03');
INSERT INTO `sys_job_log` VALUES (28758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:15:08');
INSERT INTO `sys_job_log` VALUES (28759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:15:13');
INSERT INTO `sys_job_log` VALUES (28760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:15:13');
INSERT INTO `sys_job_log` VALUES (28761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:15:18');
INSERT INTO `sys_job_log` VALUES (28762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:15:23');
INSERT INTO `sys_job_log` VALUES (28763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:15:28');
INSERT INTO `sys_job_log` VALUES (28764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:15:28');
INSERT INTO `sys_job_log` VALUES (28765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:15:33');
INSERT INTO `sys_job_log` VALUES (28766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:15:38');
INSERT INTO `sys_job_log` VALUES (28767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:15:43');
INSERT INTO `sys_job_log` VALUES (28768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:15:43');
INSERT INTO `sys_job_log` VALUES (28769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:15:48');
INSERT INTO `sys_job_log` VALUES (28770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:15:53');
INSERT INTO `sys_job_log` VALUES (28771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:15:58');
INSERT INTO `sys_job_log` VALUES (28772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:15:58');
INSERT INTO `sys_job_log` VALUES (28773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:16:03');
INSERT INTO `sys_job_log` VALUES (28774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:16:08');
INSERT INTO `sys_job_log` VALUES (28775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:16:13');
INSERT INTO `sys_job_log` VALUES (28776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:16:13');
INSERT INTO `sys_job_log` VALUES (28777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:16:18');
INSERT INTO `sys_job_log` VALUES (28778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:16:23');
INSERT INTO `sys_job_log` VALUES (28779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:16:28');
INSERT INTO `sys_job_log` VALUES (28780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:16:28');
INSERT INTO `sys_job_log` VALUES (28781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:16:33');
INSERT INTO `sys_job_log` VALUES (28782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 13:16:38');
INSERT INTO `sys_job_log` VALUES (28783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:16:43');
INSERT INTO `sys_job_log` VALUES (28784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:16:43');
INSERT INTO `sys_job_log` VALUES (28785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:16:48');
INSERT INTO `sys_job_log` VALUES (28786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:16:53');
INSERT INTO `sys_job_log` VALUES (28787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 13:16:58');
INSERT INTO `sys_job_log` VALUES (28788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:16:58');
INSERT INTO `sys_job_log` VALUES (28789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:17:03');
INSERT INTO `sys_job_log` VALUES (28790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:17:08');
INSERT INTO `sys_job_log` VALUES (28791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:17:13');
INSERT INTO `sys_job_log` VALUES (28792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:17:13');
INSERT INTO `sys_job_log` VALUES (28793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:17:18');
INSERT INTO `sys_job_log` VALUES (28794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:17:23');
INSERT INTO `sys_job_log` VALUES (28795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:17:28');
INSERT INTO `sys_job_log` VALUES (28796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:17:28');
INSERT INTO `sys_job_log` VALUES (28797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:17:33');
INSERT INTO `sys_job_log` VALUES (28798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:17:38');
INSERT INTO `sys_job_log` VALUES (28799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:17:43');
INSERT INTO `sys_job_log` VALUES (28800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:17:43');
INSERT INTO `sys_job_log` VALUES (28801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:17:48');
INSERT INTO `sys_job_log` VALUES (28802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:17:53');
INSERT INTO `sys_job_log` VALUES (28803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-27 13:17:58');
INSERT INTO `sys_job_log` VALUES (28804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 13:17:58');
INSERT INTO `sys_job_log` VALUES (28805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:18:03');
INSERT INTO `sys_job_log` VALUES (28806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:18:08');
INSERT INTO `sys_job_log` VALUES (28807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:18:13');
INSERT INTO `sys_job_log` VALUES (28808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:18:13');
INSERT INTO `sys_job_log` VALUES (28809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:18:18');
INSERT INTO `sys_job_log` VALUES (28810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:18:23');
INSERT INTO `sys_job_log` VALUES (28811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:18:28');
INSERT INTO `sys_job_log` VALUES (28812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:18:28');
INSERT INTO `sys_job_log` VALUES (28813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-27 13:18:33');
INSERT INTO `sys_job_log` VALUES (28814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:18:38');
INSERT INTO `sys_job_log` VALUES (28815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:18:43');
INSERT INTO `sys_job_log` VALUES (28816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:18:43');
INSERT INTO `sys_job_log` VALUES (28817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:18:48');
INSERT INTO `sys_job_log` VALUES (28818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:18:53');
INSERT INTO `sys_job_log` VALUES (28819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 13:18:58');
INSERT INTO `sys_job_log` VALUES (28820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:18:58');
INSERT INTO `sys_job_log` VALUES (28821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:19:03');
INSERT INTO `sys_job_log` VALUES (28822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:19:08');
INSERT INTO `sys_job_log` VALUES (28823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:19:13');
INSERT INTO `sys_job_log` VALUES (28824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:19:13');
INSERT INTO `sys_job_log` VALUES (28825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:19:18');
INSERT INTO `sys_job_log` VALUES (28826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-27 13:19:23');
INSERT INTO `sys_job_log` VALUES (28827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:19:28');
INSERT INTO `sys_job_log` VALUES (28828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:19:28');
INSERT INTO `sys_job_log` VALUES (28829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:19:33');
INSERT INTO `sys_job_log` VALUES (28830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:19:38');
INSERT INTO `sys_job_log` VALUES (28831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:19:43');
INSERT INTO `sys_job_log` VALUES (28832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:19:43');
INSERT INTO `sys_job_log` VALUES (28833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:19:48');
INSERT INTO `sys_job_log` VALUES (28834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 13:19:53');
INSERT INTO `sys_job_log` VALUES (28835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:19:58');
INSERT INTO `sys_job_log` VALUES (28836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:19:58');
INSERT INTO `sys_job_log` VALUES (28837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:20:03');
INSERT INTO `sys_job_log` VALUES (28838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:20:08');
INSERT INTO `sys_job_log` VALUES (28839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:20:13');
INSERT INTO `sys_job_log` VALUES (28840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:20:13');
INSERT INTO `sys_job_log` VALUES (28841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:20:18');
INSERT INTO `sys_job_log` VALUES (28842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:20:23');
INSERT INTO `sys_job_log` VALUES (28843, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:20:28');
INSERT INTO `sys_job_log` VALUES (28844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:20:28');
INSERT INTO `sys_job_log` VALUES (28845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:20:33');
INSERT INTO `sys_job_log` VALUES (28846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:20:38');
INSERT INTO `sys_job_log` VALUES (28847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:20:43');
INSERT INTO `sys_job_log` VALUES (28848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:20:43');
INSERT INTO `sys_job_log` VALUES (28849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:20:48');
INSERT INTO `sys_job_log` VALUES (28850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:20:53');
INSERT INTO `sys_job_log` VALUES (28851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:20:58');
INSERT INTO `sys_job_log` VALUES (28852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:20:58');
INSERT INTO `sys_job_log` VALUES (28853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:21:03');
INSERT INTO `sys_job_log` VALUES (28854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:21:08');
INSERT INTO `sys_job_log` VALUES (28855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:21:13');
INSERT INTO `sys_job_log` VALUES (28856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:21:13');
INSERT INTO `sys_job_log` VALUES (28857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:21:18');
INSERT INTO `sys_job_log` VALUES (28858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:21:23');
INSERT INTO `sys_job_log` VALUES (28859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:21:28');
INSERT INTO `sys_job_log` VALUES (28860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:21:28');
INSERT INTO `sys_job_log` VALUES (28861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:21:33');
INSERT INTO `sys_job_log` VALUES (28862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:21:38');
INSERT INTO `sys_job_log` VALUES (28863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:21:43');
INSERT INTO `sys_job_log` VALUES (28864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:21:43');
INSERT INTO `sys_job_log` VALUES (28865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:21:48');
INSERT INTO `sys_job_log` VALUES (28866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:21:53');
INSERT INTO `sys_job_log` VALUES (28867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:21:58');
INSERT INTO `sys_job_log` VALUES (28868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:21:58');
INSERT INTO `sys_job_log` VALUES (28869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:22:03');
INSERT INTO `sys_job_log` VALUES (28870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 13:22:08');
INSERT INTO `sys_job_log` VALUES (28871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:22:08');
INSERT INTO `sys_job_log` VALUES (28872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:22:10');
INSERT INTO `sys_job_log` VALUES (28873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:22:13');
INSERT INTO `sys_job_log` VALUES (28874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:22:13');
INSERT INTO `sys_job_log` VALUES (28875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:22:15');
INSERT INTO `sys_job_log` VALUES (28876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:22:15');
INSERT INTO `sys_job_log` VALUES (28877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:22:18');
INSERT INTO `sys_job_log` VALUES (28878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:22:20');
INSERT INTO `sys_job_log` VALUES (28879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:22:23');
INSERT INTO `sys_job_log` VALUES (28880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:22:25');
INSERT INTO `sys_job_log` VALUES (28881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:22:28');
INSERT INTO `sys_job_log` VALUES (28882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:22:28');
INSERT INTO `sys_job_log` VALUES (28883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:22:30');
INSERT INTO `sys_job_log` VALUES (28884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:22:30');
INSERT INTO `sys_job_log` VALUES (28885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:22:33');
INSERT INTO `sys_job_log` VALUES (28886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:22:35');
INSERT INTO `sys_job_log` VALUES (28887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:22:38');
INSERT INTO `sys_job_log` VALUES (28888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:22:40');
INSERT INTO `sys_job_log` VALUES (28889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:22:43');
INSERT INTO `sys_job_log` VALUES (28890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:22:43');
INSERT INTO `sys_job_log` VALUES (28891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:22:45');
INSERT INTO `sys_job_log` VALUES (28892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:22:45');
INSERT INTO `sys_job_log` VALUES (28893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:22:48');
INSERT INTO `sys_job_log` VALUES (28894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:22:50');
INSERT INTO `sys_job_log` VALUES (28895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:22:53');
INSERT INTO `sys_job_log` VALUES (28896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:22:55');
INSERT INTO `sys_job_log` VALUES (28897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:22:58');
INSERT INTO `sys_job_log` VALUES (28898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:22:58');
INSERT INTO `sys_job_log` VALUES (28899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:23:00');
INSERT INTO `sys_job_log` VALUES (28900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:23:00');
INSERT INTO `sys_job_log` VALUES (28901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:23:03');
INSERT INTO `sys_job_log` VALUES (28902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:05');
INSERT INTO `sys_job_log` VALUES (28903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:08');
INSERT INTO `sys_job_log` VALUES (28904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:23:10');
INSERT INTO `sys_job_log` VALUES (28905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:23:13');
INSERT INTO `sys_job_log` VALUES (28906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:23:13');
INSERT INTO `sys_job_log` VALUES (28907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2024-12-27 13:23:15');
INSERT INTO `sys_job_log` VALUES (28908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：104毫秒', '0', '', '2024-12-27 13:23:15');
INSERT INTO `sys_job_log` VALUES (28909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:23:18');
INSERT INTO `sys_job_log` VALUES (28910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:23:20');
INSERT INTO `sys_job_log` VALUES (28911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：245毫秒', '0', '', '2024-12-27 13:23:23');
INSERT INTO `sys_job_log` VALUES (28912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:23:25');
INSERT INTO `sys_job_log` VALUES (28913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:23:28');
INSERT INTO `sys_job_log` VALUES (28914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:23:28');
INSERT INTO `sys_job_log` VALUES (28915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:30');
INSERT INTO `sys_job_log` VALUES (28916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:30');
INSERT INTO `sys_job_log` VALUES (28917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:23:33');
INSERT INTO `sys_job_log` VALUES (28918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:23:35');
INSERT INTO `sys_job_log` VALUES (28919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:23:38');
INSERT INTO `sys_job_log` VALUES (28920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:23:40');
INSERT INTO `sys_job_log` VALUES (28921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:43');
INSERT INTO `sys_job_log` VALUES (28922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:23:43');
INSERT INTO `sys_job_log` VALUES (28923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:45');
INSERT INTO `sys_job_log` VALUES (28924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:23:45');
INSERT INTO `sys_job_log` VALUES (28925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:23:48');
INSERT INTO `sys_job_log` VALUES (28926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:50');
INSERT INTO `sys_job_log` VALUES (28927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 13:23:53');
INSERT INTO `sys_job_log` VALUES (28928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:23:55');
INSERT INTO `sys_job_log` VALUES (28929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:23:58');
INSERT INTO `sys_job_log` VALUES (28930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:23:58');
INSERT INTO `sys_job_log` VALUES (28931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:00');
INSERT INTO `sys_job_log` VALUES (28932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:00');
INSERT INTO `sys_job_log` VALUES (28933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:03');
INSERT INTO `sys_job_log` VALUES (28934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:24:05');
INSERT INTO `sys_job_log` VALUES (28935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:08');
INSERT INTO `sys_job_log` VALUES (28936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:10');
INSERT INTO `sys_job_log` VALUES (28937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:13');
INSERT INTO `sys_job_log` VALUES (28938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:13');
INSERT INTO `sys_job_log` VALUES (28939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:15');
INSERT INTO `sys_job_log` VALUES (28940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:15');
INSERT INTO `sys_job_log` VALUES (28941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:24:18');
INSERT INTO `sys_job_log` VALUES (28942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:24:20');
INSERT INTO `sys_job_log` VALUES (28943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:23');
INSERT INTO `sys_job_log` VALUES (28944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:24:25');
INSERT INTO `sys_job_log` VALUES (28945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:28');
INSERT INTO `sys_job_log` VALUES (28946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:28');
INSERT INTO `sys_job_log` VALUES (28947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:24:30');
INSERT INTO `sys_job_log` VALUES (28948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:24:30');
INSERT INTO `sys_job_log` VALUES (28949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:33');
INSERT INTO `sys_job_log` VALUES (28950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:24:35');
INSERT INTO `sys_job_log` VALUES (28951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:38');
INSERT INTO `sys_job_log` VALUES (28952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:24:40');
INSERT INTO `sys_job_log` VALUES (28953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:24:43');
INSERT INTO `sys_job_log` VALUES (28954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:24:43');
INSERT INTO `sys_job_log` VALUES (28955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:24:45');
INSERT INTO `sys_job_log` VALUES (28956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:24:45');
INSERT INTO `sys_job_log` VALUES (28957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:24:48');
INSERT INTO `sys_job_log` VALUES (28958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:24:50');
INSERT INTO `sys_job_log` VALUES (28959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:24:53');
INSERT INTO `sys_job_log` VALUES (28960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:24:55');
INSERT INTO `sys_job_log` VALUES (28961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-27 13:24:58');
INSERT INTO `sys_job_log` VALUES (28962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-27 13:24:58');
INSERT INTO `sys_job_log` VALUES (28963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:00');
INSERT INTO `sys_job_log` VALUES (28964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:00');
INSERT INTO `sys_job_log` VALUES (28965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:03');
INSERT INTO `sys_job_log` VALUES (28966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:25:05');
INSERT INTO `sys_job_log` VALUES (28967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 13:25:08');
INSERT INTO `sys_job_log` VALUES (28968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:25:10');
INSERT INTO `sys_job_log` VALUES (28969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:13');
INSERT INTO `sys_job_log` VALUES (28970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:13');
INSERT INTO `sys_job_log` VALUES (28971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:25:15');
INSERT INTO `sys_job_log` VALUES (28972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:25:15');
INSERT INTO `sys_job_log` VALUES (28973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:18');
INSERT INTO `sys_job_log` VALUES (28974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 13:25:20');
INSERT INTO `sys_job_log` VALUES (28975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:23');
INSERT INTO `sys_job_log` VALUES (28976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:25');
INSERT INTO `sys_job_log` VALUES (28977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:28');
INSERT INTO `sys_job_log` VALUES (28978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:25:28');
INSERT INTO `sys_job_log` VALUES (28979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:30');
INSERT INTO `sys_job_log` VALUES (28980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:30');
INSERT INTO `sys_job_log` VALUES (28981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:25:33');
INSERT INTO `sys_job_log` VALUES (28982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:35');
INSERT INTO `sys_job_log` VALUES (28983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:38');
INSERT INTO `sys_job_log` VALUES (28984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:25:40');
INSERT INTO `sys_job_log` VALUES (28985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:43');
INSERT INTO `sys_job_log` VALUES (28986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:43');
INSERT INTO `sys_job_log` VALUES (28987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:45');
INSERT INTO `sys_job_log` VALUES (28988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:25:45');
INSERT INTO `sys_job_log` VALUES (28989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:25:48');
INSERT INTO `sys_job_log` VALUES (28990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:50');
INSERT INTO `sys_job_log` VALUES (28991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:25:53');
INSERT INTO `sys_job_log` VALUES (28992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:55');
INSERT INTO `sys_job_log` VALUES (28993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:58');
INSERT INTO `sys_job_log` VALUES (28994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:25:58');
INSERT INTO `sys_job_log` VALUES (28995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:00');
INSERT INTO `sys_job_log` VALUES (28996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:00');
INSERT INTO `sys_job_log` VALUES (28997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:26:03');
INSERT INTO `sys_job_log` VALUES (28998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:26:05');
INSERT INTO `sys_job_log` VALUES (28999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:08');
INSERT INTO `sys_job_log` VALUES (29000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:10');
INSERT INTO `sys_job_log` VALUES (29001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:26:13');
INSERT INTO `sys_job_log` VALUES (29002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:13');
INSERT INTO `sys_job_log` VALUES (29003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:26:15');
INSERT INTO `sys_job_log` VALUES (29004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:26:15');
INSERT INTO `sys_job_log` VALUES (29005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:18');
INSERT INTO `sys_job_log` VALUES (29006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:26:20');
INSERT INTO `sys_job_log` VALUES (29007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:26:23');
INSERT INTO `sys_job_log` VALUES (29008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:26:25');
INSERT INTO `sys_job_log` VALUES (29009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:26:28');
INSERT INTO `sys_job_log` VALUES (29010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:26:28');
INSERT INTO `sys_job_log` VALUES (29011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 13:26:30');
INSERT INTO `sys_job_log` VALUES (29012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:26:30');
INSERT INTO `sys_job_log` VALUES (29013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:26:33');
INSERT INTO `sys_job_log` VALUES (29014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:26:35');
INSERT INTO `sys_job_log` VALUES (29015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:26:38');
INSERT INTO `sys_job_log` VALUES (29016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:26:40');
INSERT INTO `sys_job_log` VALUES (29017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:26:43');
INSERT INTO `sys_job_log` VALUES (29018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:26:43');
INSERT INTO `sys_job_log` VALUES (29019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:26:45');
INSERT INTO `sys_job_log` VALUES (29020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:26:45');
INSERT INTO `sys_job_log` VALUES (29021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:26:48');
INSERT INTO `sys_job_log` VALUES (29022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:26:50');
INSERT INTO `sys_job_log` VALUES (29023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:26:53');
INSERT INTO `sys_job_log` VALUES (29024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:26:55');
INSERT INTO `sys_job_log` VALUES (29025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:26:58');
INSERT INTO `sys_job_log` VALUES (29026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 13:26:58');
INSERT INTO `sys_job_log` VALUES (29027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:27:00');
INSERT INTO `sys_job_log` VALUES (29028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:27:00');
INSERT INTO `sys_job_log` VALUES (29029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:27:03');
INSERT INTO `sys_job_log` VALUES (29030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:27:05');
INSERT INTO `sys_job_log` VALUES (29031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:27:08');
INSERT INTO `sys_job_log` VALUES (29032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:27:10');
INSERT INTO `sys_job_log` VALUES (29033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:27:13');
INSERT INTO `sys_job_log` VALUES (29034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:27:13');
INSERT INTO `sys_job_log` VALUES (29035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:27:15');
INSERT INTO `sys_job_log` VALUES (29036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:27:15');
INSERT INTO `sys_job_log` VALUES (29037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:27:18');
INSERT INTO `sys_job_log` VALUES (29038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:27:20');
INSERT INTO `sys_job_log` VALUES (29039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 13:27:23');
INSERT INTO `sys_job_log` VALUES (29040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:27:25');
INSERT INTO `sys_job_log` VALUES (29041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 13:27:28');
INSERT INTO `sys_job_log` VALUES (29042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:27:28');
INSERT INTO `sys_job_log` VALUES (29043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:27:30');
INSERT INTO `sys_job_log` VALUES (29044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:27:30');
INSERT INTO `sys_job_log` VALUES (29045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:27:33');
INSERT INTO `sys_job_log` VALUES (29046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:27:35');
INSERT INTO `sys_job_log` VALUES (29047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:27:38');
INSERT INTO `sys_job_log` VALUES (29048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:27:40');
INSERT INTO `sys_job_log` VALUES (29049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:27:43');
INSERT INTO `sys_job_log` VALUES (29050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:27:43');
INSERT INTO `sys_job_log` VALUES (29051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:27:45');
INSERT INTO `sys_job_log` VALUES (29052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:27:45');
INSERT INTO `sys_job_log` VALUES (29053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:27:48');
INSERT INTO `sys_job_log` VALUES (29054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:27:50');
INSERT INTO `sys_job_log` VALUES (29055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:27:53');
INSERT INTO `sys_job_log` VALUES (29056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:27:55');
INSERT INTO `sys_job_log` VALUES (29057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:27:58');
INSERT INTO `sys_job_log` VALUES (29058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:27:58');
INSERT INTO `sys_job_log` VALUES (29059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:28:00');
INSERT INTO `sys_job_log` VALUES (29060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:28:00');
INSERT INTO `sys_job_log` VALUES (29061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:28:03');
INSERT INTO `sys_job_log` VALUES (29062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:05');
INSERT INTO `sys_job_log` VALUES (29063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:08');
INSERT INTO `sys_job_log` VALUES (29064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:28:10');
INSERT INTO `sys_job_log` VALUES (29065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:28:13');
INSERT INTO `sys_job_log` VALUES (29066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:28:13');
INSERT INTO `sys_job_log` VALUES (29067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:28:15');
INSERT INTO `sys_job_log` VALUES (29068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:15');
INSERT INTO `sys_job_log` VALUES (29069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:28:18');
INSERT INTO `sys_job_log` VALUES (29070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:28:20');
INSERT INTO `sys_job_log` VALUES (29071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:28:23');
INSERT INTO `sys_job_log` VALUES (29072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:28:25');
INSERT INTO `sys_job_log` VALUES (29073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:28:28');
INSERT INTO `sys_job_log` VALUES (29074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:28:28');
INSERT INTO `sys_job_log` VALUES (29075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:30');
INSERT INTO `sys_job_log` VALUES (29076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:30');
INSERT INTO `sys_job_log` VALUES (29077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:28:33');
INSERT INTO `sys_job_log` VALUES (29078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:28:35');
INSERT INTO `sys_job_log` VALUES (29079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:28:38');
INSERT INTO `sys_job_log` VALUES (29080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:40');
INSERT INTO `sys_job_log` VALUES (29081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:28:43');
INSERT INTO `sys_job_log` VALUES (29082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:43');
INSERT INTO `sys_job_log` VALUES (29083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:28:45');
INSERT INTO `sys_job_log` VALUES (29084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:28:45');
INSERT INTO `sys_job_log` VALUES (29085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:28:48');
INSERT INTO `sys_job_log` VALUES (29086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:28:50');
INSERT INTO `sys_job_log` VALUES (29087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:28:53');
INSERT INTO `sys_job_log` VALUES (29088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:55');
INSERT INTO `sys_job_log` VALUES (29089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:58');
INSERT INTO `sys_job_log` VALUES (29090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:28:58');
INSERT INTO `sys_job_log` VALUES (29091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:00');
INSERT INTO `sys_job_log` VALUES (29092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:00');
INSERT INTO `sys_job_log` VALUES (29093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:29:03');
INSERT INTO `sys_job_log` VALUES (29094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:05');
INSERT INTO `sys_job_log` VALUES (29095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:29:08');
INSERT INTO `sys_job_log` VALUES (29096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:29:10');
INSERT INTO `sys_job_log` VALUES (29097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:29:13');
INSERT INTO `sys_job_log` VALUES (29098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:29:13');
INSERT INTO `sys_job_log` VALUES (29099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:29:15');
INSERT INTO `sys_job_log` VALUES (29100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:29:15');
INSERT INTO `sys_job_log` VALUES (29101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:18');
INSERT INTO `sys_job_log` VALUES (29102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:29:20');
INSERT INTO `sys_job_log` VALUES (29103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:29:23');
INSERT INTO `sys_job_log` VALUES (29104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:29:25');
INSERT INTO `sys_job_log` VALUES (29105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:29:28');
INSERT INTO `sys_job_log` VALUES (29106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:29:28');
INSERT INTO `sys_job_log` VALUES (29107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:29:30');
INSERT INTO `sys_job_log` VALUES (29108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:29:30');
INSERT INTO `sys_job_log` VALUES (29109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 13:29:33');
INSERT INTO `sys_job_log` VALUES (29110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:29:35');
INSERT INTO `sys_job_log` VALUES (29111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:29:38');
INSERT INTO `sys_job_log` VALUES (29112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:29:40');
INSERT INTO `sys_job_log` VALUES (29113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:29:43');
INSERT INTO `sys_job_log` VALUES (29114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:29:43');
INSERT INTO `sys_job_log` VALUES (29115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:45');
INSERT INTO `sys_job_log` VALUES (29116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:45');
INSERT INTO `sys_job_log` VALUES (29117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:29:48');
INSERT INTO `sys_job_log` VALUES (29118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:29:50');
INSERT INTO `sys_job_log` VALUES (29119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:29:53');
INSERT INTO `sys_job_log` VALUES (29120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1841毫秒', '0', '', '2024-12-27 13:29:57');
INSERT INTO `sys_job_log` VALUES (29121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:29:58');
INSERT INTO `sys_job_log` VALUES (29122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:29:58');
INSERT INTO `sys_job_log` VALUES (29123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:30:00');
INSERT INTO `sys_job_log` VALUES (29124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:30:00');
INSERT INTO `sys_job_log` VALUES (29125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:30:03');
INSERT INTO `sys_job_log` VALUES (29126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:30:05');
INSERT INTO `sys_job_log` VALUES (29127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:30:08');
INSERT INTO `sys_job_log` VALUES (29128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:30:10');
INSERT INTO `sys_job_log` VALUES (29129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:30:13');
INSERT INTO `sys_job_log` VALUES (29130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:30:13');
INSERT INTO `sys_job_log` VALUES (29131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:30:15');
INSERT INTO `sys_job_log` VALUES (29132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:30:15');
INSERT INTO `sys_job_log` VALUES (29133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:30:18');
INSERT INTO `sys_job_log` VALUES (29134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:30:20');
INSERT INTO `sys_job_log` VALUES (29135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:30:23');
INSERT INTO `sys_job_log` VALUES (29136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:30:25');
INSERT INTO `sys_job_log` VALUES (29137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:30:28');
INSERT INTO `sys_job_log` VALUES (29138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:30:28');
INSERT INTO `sys_job_log` VALUES (29139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:30:30');
INSERT INTO `sys_job_log` VALUES (29140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:30:30');
INSERT INTO `sys_job_log` VALUES (29141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:30:33');
INSERT INTO `sys_job_log` VALUES (29142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:30:35');
INSERT INTO `sys_job_log` VALUES (29143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:30:38');
INSERT INTO `sys_job_log` VALUES (29144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:30:40');
INSERT INTO `sys_job_log` VALUES (29145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:30:43');
INSERT INTO `sys_job_log` VALUES (29146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:30:43');
INSERT INTO `sys_job_log` VALUES (29147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:30:45');
INSERT INTO `sys_job_log` VALUES (29148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:30:45');
INSERT INTO `sys_job_log` VALUES (29149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:30:48');
INSERT INTO `sys_job_log` VALUES (29150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:30:50');
INSERT INTO `sys_job_log` VALUES (29151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:30:53');
INSERT INTO `sys_job_log` VALUES (29152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:30:55');
INSERT INTO `sys_job_log` VALUES (29153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:30:58');
INSERT INTO `sys_job_log` VALUES (29154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:30:58');
INSERT INTO `sys_job_log` VALUES (29155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:31:00');
INSERT INTO `sys_job_log` VALUES (29156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:31:00');
INSERT INTO `sys_job_log` VALUES (29157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:31:03');
INSERT INTO `sys_job_log` VALUES (29158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:31:05');
INSERT INTO `sys_job_log` VALUES (29159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:31:08');
INSERT INTO `sys_job_log` VALUES (29160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:31:10');
INSERT INTO `sys_job_log` VALUES (29161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:31:13');
INSERT INTO `sys_job_log` VALUES (29162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:13');
INSERT INTO `sys_job_log` VALUES (29163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:31:15');
INSERT INTO `sys_job_log` VALUES (29164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:31:15');
INSERT INTO `sys_job_log` VALUES (29165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:31:18');
INSERT INTO `sys_job_log` VALUES (29166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:31:20');
INSERT INTO `sys_job_log` VALUES (29167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:31:23');
INSERT INTO `sys_job_log` VALUES (29168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:31:25');
INSERT INTO `sys_job_log` VALUES (29169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:28');
INSERT INTO `sys_job_log` VALUES (29170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:28');
INSERT INTO `sys_job_log` VALUES (29171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:31:30');
INSERT INTO `sys_job_log` VALUES (29172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:31:30');
INSERT INTO `sys_job_log` VALUES (29173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:33');
INSERT INTO `sys_job_log` VALUES (29174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:31:35');
INSERT INTO `sys_job_log` VALUES (29175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:31:38');
INSERT INTO `sys_job_log` VALUES (29176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:31:40');
INSERT INTO `sys_job_log` VALUES (29177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:43');
INSERT INTO `sys_job_log` VALUES (29178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:43');
INSERT INTO `sys_job_log` VALUES (29179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:45');
INSERT INTO `sys_job_log` VALUES (29180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:45');
INSERT INTO `sys_job_log` VALUES (29181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:31:48');
INSERT INTO `sys_job_log` VALUES (29182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:31:50');
INSERT INTO `sys_job_log` VALUES (29183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:31:53');
INSERT INTO `sys_job_log` VALUES (29184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:31:55');
INSERT INTO `sys_job_log` VALUES (29185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:31:58');
INSERT INTO `sys_job_log` VALUES (29186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:31:58');
INSERT INTO `sys_job_log` VALUES (29187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:32:00');
INSERT INTO `sys_job_log` VALUES (29188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:32:00');
INSERT INTO `sys_job_log` VALUES (29189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:32:03');
INSERT INTO `sys_job_log` VALUES (29190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:05');
INSERT INTO `sys_job_log` VALUES (29191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:32:08');
INSERT INTO `sys_job_log` VALUES (29192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:10');
INSERT INTO `sys_job_log` VALUES (29193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:32:13');
INSERT INTO `sys_job_log` VALUES (29194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:32:13');
INSERT INTO `sys_job_log` VALUES (29195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 13:32:15');
INSERT INTO `sys_job_log` VALUES (29196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 13:32:15');
INSERT INTO `sys_job_log` VALUES (29197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:32:18');
INSERT INTO `sys_job_log` VALUES (29198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:32:20');
INSERT INTO `sys_job_log` VALUES (29199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:32:23');
INSERT INTO `sys_job_log` VALUES (29200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:32:25');
INSERT INTO `sys_job_log` VALUES (29201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:32:28');
INSERT INTO `sys_job_log` VALUES (29202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:32:28');
INSERT INTO `sys_job_log` VALUES (29203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:30');
INSERT INTO `sys_job_log` VALUES (29204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:30');
INSERT INTO `sys_job_log` VALUES (29205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:33');
INSERT INTO `sys_job_log` VALUES (29206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:32:35');
INSERT INTO `sys_job_log` VALUES (29207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:32:38');
INSERT INTO `sys_job_log` VALUES (29208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:32:40');
INSERT INTO `sys_job_log` VALUES (29209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:32:43');
INSERT INTO `sys_job_log` VALUES (29210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:32:43');
INSERT INTO `sys_job_log` VALUES (29211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:45');
INSERT INTO `sys_job_log` VALUES (29212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:45');
INSERT INTO `sys_job_log` VALUES (29213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:32:48');
INSERT INTO `sys_job_log` VALUES (29214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:32:50');
INSERT INTO `sys_job_log` VALUES (29215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:32:53');
INSERT INTO `sys_job_log` VALUES (29216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:32:55');
INSERT INTO `sys_job_log` VALUES (29217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:32:58');
INSERT INTO `sys_job_log` VALUES (29218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:32:58');
INSERT INTO `sys_job_log` VALUES (29219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:00');
INSERT INTO `sys_job_log` VALUES (29220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:00');
INSERT INTO `sys_job_log` VALUES (29221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:03');
INSERT INTO `sys_job_log` VALUES (29222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:05');
INSERT INTO `sys_job_log` VALUES (29223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:33:08');
INSERT INTO `sys_job_log` VALUES (29224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:33:10');
INSERT INTO `sys_job_log` VALUES (29225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:13');
INSERT INTO `sys_job_log` VALUES (29226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:13');
INSERT INTO `sys_job_log` VALUES (29227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:33:15');
INSERT INTO `sys_job_log` VALUES (29228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:33:15');
INSERT INTO `sys_job_log` VALUES (29229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:33:18');
INSERT INTO `sys_job_log` VALUES (29230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:33:20');
INSERT INTO `sys_job_log` VALUES (29231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:33:23');
INSERT INTO `sys_job_log` VALUES (29232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:33:25');
INSERT INTO `sys_job_log` VALUES (29233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 13:33:28');
INSERT INTO `sys_job_log` VALUES (29234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2024-12-27 13:33:28');
INSERT INTO `sys_job_log` VALUES (29235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:33:30');
INSERT INTO `sys_job_log` VALUES (29236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:33:30');
INSERT INTO `sys_job_log` VALUES (29237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:33:33');
INSERT INTO `sys_job_log` VALUES (29238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:35');
INSERT INTO `sys_job_log` VALUES (29239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:33:38');
INSERT INTO `sys_job_log` VALUES (29240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:33:40');
INSERT INTO `sys_job_log` VALUES (29241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:33:43');
INSERT INTO `sys_job_log` VALUES (29242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:33:43');
INSERT INTO `sys_job_log` VALUES (29243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:45');
INSERT INTO `sys_job_log` VALUES (29244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:33:45');
INSERT INTO `sys_job_log` VALUES (29245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:33:48');
INSERT INTO `sys_job_log` VALUES (29246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:33:50');
INSERT INTO `sys_job_log` VALUES (29247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:33:53');
INSERT INTO `sys_job_log` VALUES (29248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1827毫秒', '0', '', '2024-12-27 13:33:57');
INSERT INTO `sys_job_log` VALUES (29249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:33:58');
INSERT INTO `sys_job_log` VALUES (29250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:33:58');
INSERT INTO `sys_job_log` VALUES (29251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:34:00');
INSERT INTO `sys_job_log` VALUES (29252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:34:00');
INSERT INTO `sys_job_log` VALUES (29253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:34:03');
INSERT INTO `sys_job_log` VALUES (29254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:05');
INSERT INTO `sys_job_log` VALUES (29255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:34:08');
INSERT INTO `sys_job_log` VALUES (29256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:34:10');
INSERT INTO `sys_job_log` VALUES (29257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:13');
INSERT INTO `sys_job_log` VALUES (29258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:13');
INSERT INTO `sys_job_log` VALUES (29259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:15');
INSERT INTO `sys_job_log` VALUES (29260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:15');
INSERT INTO `sys_job_log` VALUES (29261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:34:18');
INSERT INTO `sys_job_log` VALUES (29262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:20');
INSERT INTO `sys_job_log` VALUES (29263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:34:23');
INSERT INTO `sys_job_log` VALUES (29264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:25');
INSERT INTO `sys_job_log` VALUES (29265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:34:28');
INSERT INTO `sys_job_log` VALUES (29266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:34:28');
INSERT INTO `sys_job_log` VALUES (29267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:30');
INSERT INTO `sys_job_log` VALUES (29268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:34:30');
INSERT INTO `sys_job_log` VALUES (29269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:33');
INSERT INTO `sys_job_log` VALUES (29270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:34:35');
INSERT INTO `sys_job_log` VALUES (29271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:34:38');
INSERT INTO `sys_job_log` VALUES (29272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:34:40');
INSERT INTO `sys_job_log` VALUES (29273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:34:43');
INSERT INTO `sys_job_log` VALUES (29274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:34:43');
INSERT INTO `sys_job_log` VALUES (29275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:34:45');
INSERT INTO `sys_job_log` VALUES (29276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:34:45');
INSERT INTO `sys_job_log` VALUES (29277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:34:48');
INSERT INTO `sys_job_log` VALUES (29278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:50');
INSERT INTO `sys_job_log` VALUES (29279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:53');
INSERT INTO `sys_job_log` VALUES (29280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:34:55');
INSERT INTO `sys_job_log` VALUES (29281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:58');
INSERT INTO `sys_job_log` VALUES (29282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:34:58');
INSERT INTO `sys_job_log` VALUES (29283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:35:00');
INSERT INTO `sys_job_log` VALUES (29284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:35:00');
INSERT INTO `sys_job_log` VALUES (29285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:35:03');
INSERT INTO `sys_job_log` VALUES (29286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:35:05');
INSERT INTO `sys_job_log` VALUES (29287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:35:08');
INSERT INTO `sys_job_log` VALUES (29288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:35:10');
INSERT INTO `sys_job_log` VALUES (29289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:35:13');
INSERT INTO `sys_job_log` VALUES (29290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:35:13');
INSERT INTO `sys_job_log` VALUES (29291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:35:15');
INSERT INTO `sys_job_log` VALUES (29292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:35:15');
INSERT INTO `sys_job_log` VALUES (29293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:35:18');
INSERT INTO `sys_job_log` VALUES (29294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:35:20');
INSERT INTO `sys_job_log` VALUES (29295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:35:23');
INSERT INTO `sys_job_log` VALUES (29296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:35:25');
INSERT INTO `sys_job_log` VALUES (29297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:35:28');
INSERT INTO `sys_job_log` VALUES (29298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:35:28');
INSERT INTO `sys_job_log` VALUES (29299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2024-12-27 13:35:30');
INSERT INTO `sys_job_log` VALUES (29300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-27 13:35:30');
INSERT INTO `sys_job_log` VALUES (29301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:35:33');
INSERT INTO `sys_job_log` VALUES (29302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:35:35');
INSERT INTO `sys_job_log` VALUES (29303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:35:38');
INSERT INTO `sys_job_log` VALUES (29304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:35:40');
INSERT INTO `sys_job_log` VALUES (29305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:35:43');
INSERT INTO `sys_job_log` VALUES (29306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:35:43');
INSERT INTO `sys_job_log` VALUES (29307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:35:45');
INSERT INTO `sys_job_log` VALUES (29308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:35:45');
INSERT INTO `sys_job_log` VALUES (29309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:35:48');
INSERT INTO `sys_job_log` VALUES (29310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:35:50');
INSERT INTO `sys_job_log` VALUES (29311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:35:53');
INSERT INTO `sys_job_log` VALUES (29312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 13:35:55');
INSERT INTO `sys_job_log` VALUES (29313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:35:58');
INSERT INTO `sys_job_log` VALUES (29314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:35:58');
INSERT INTO `sys_job_log` VALUES (29315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:36:00');
INSERT INTO `sys_job_log` VALUES (29316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:36:00');
INSERT INTO `sys_job_log` VALUES (29317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:36:03');
INSERT INTO `sys_job_log` VALUES (29318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:36:05');
INSERT INTO `sys_job_log` VALUES (29319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:36:08');
INSERT INTO `sys_job_log` VALUES (29320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:10');
INSERT INTO `sys_job_log` VALUES (29321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:36:13');
INSERT INTO `sys_job_log` VALUES (29322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:13');
INSERT INTO `sys_job_log` VALUES (29323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:15');
INSERT INTO `sys_job_log` VALUES (29324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:15');
INSERT INTO `sys_job_log` VALUES (29325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:36:18');
INSERT INTO `sys_job_log` VALUES (29326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:36:20');
INSERT INTO `sys_job_log` VALUES (29327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:36:23');
INSERT INTO `sys_job_log` VALUES (29328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:36:25');
INSERT INTO `sys_job_log` VALUES (29329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:36:28');
INSERT INTO `sys_job_log` VALUES (29330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:36:28');
INSERT INTO `sys_job_log` VALUES (29331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:36:30');
INSERT INTO `sys_job_log` VALUES (29332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:36:30');
INSERT INTO `sys_job_log` VALUES (29333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:33');
INSERT INTO `sys_job_log` VALUES (29334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:36:35');
INSERT INTO `sys_job_log` VALUES (29335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:36:38');
INSERT INTO `sys_job_log` VALUES (29336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:40');
INSERT INTO `sys_job_log` VALUES (29337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:36:43');
INSERT INTO `sys_job_log` VALUES (29338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:36:43');
INSERT INTO `sys_job_log` VALUES (29339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:36:45');
INSERT INTO `sys_job_log` VALUES (29340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 13:36:45');
INSERT INTO `sys_job_log` VALUES (29341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:48');
INSERT INTO `sys_job_log` VALUES (29342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:36:50');
INSERT INTO `sys_job_log` VALUES (29343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:36:53');
INSERT INTO `sys_job_log` VALUES (29344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:36:55');
INSERT INTO `sys_job_log` VALUES (29345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 13:36:58');
INSERT INTO `sys_job_log` VALUES (29346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 13:36:58');
INSERT INTO `sys_job_log` VALUES (29347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:37:00');
INSERT INTO `sys_job_log` VALUES (29348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:37:00');
INSERT INTO `sys_job_log` VALUES (29349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:37:03');
INSERT INTO `sys_job_log` VALUES (29350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:05');
INSERT INTO `sys_job_log` VALUES (29351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:37:08');
INSERT INTO `sys_job_log` VALUES (29352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:10');
INSERT INTO `sys_job_log` VALUES (29353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:13');
INSERT INTO `sys_job_log` VALUES (29354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:13');
INSERT INTO `sys_job_log` VALUES (29355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:37:15');
INSERT INTO `sys_job_log` VALUES (29356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:37:15');
INSERT INTO `sys_job_log` VALUES (29357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 13:37:18');
INSERT INTO `sys_job_log` VALUES (29358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:37:20');
INSERT INTO `sys_job_log` VALUES (29359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:37:23');
INSERT INTO `sys_job_log` VALUES (29360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:37:25');
INSERT INTO `sys_job_log` VALUES (29361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 13:37:28');
INSERT INTO `sys_job_log` VALUES (29362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 13:37:28');
INSERT INTO `sys_job_log` VALUES (29363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:37:30');
INSERT INTO `sys_job_log` VALUES (29364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:37:30');
INSERT INTO `sys_job_log` VALUES (29365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:37:33');
INSERT INTO `sys_job_log` VALUES (29366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:37:35');
INSERT INTO `sys_job_log` VALUES (29367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:37:38');
INSERT INTO `sys_job_log` VALUES (29368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:40');
INSERT INTO `sys_job_log` VALUES (29369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:37:43');
INSERT INTO `sys_job_log` VALUES (29370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:43');
INSERT INTO `sys_job_log` VALUES (29371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:37:45');
INSERT INTO `sys_job_log` VALUES (29372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:37:45');
INSERT INTO `sys_job_log` VALUES (29373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:37:48');
INSERT INTO `sys_job_log` VALUES (29374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:37:50');
INSERT INTO `sys_job_log` VALUES (29375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:37:53');
INSERT INTO `sys_job_log` VALUES (29376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:37:55');
INSERT INTO `sys_job_log` VALUES (29377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:37:58');
INSERT INTO `sys_job_log` VALUES (29378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:37:58');
INSERT INTO `sys_job_log` VALUES (29379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:00');
INSERT INTO `sys_job_log` VALUES (29380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:00');
INSERT INTO `sys_job_log` VALUES (29381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:38:03');
INSERT INTO `sys_job_log` VALUES (29382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:05');
INSERT INTO `sys_job_log` VALUES (29383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:08');
INSERT INTO `sys_job_log` VALUES (29384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:38:10');
INSERT INTO `sys_job_log` VALUES (29385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:38:13');
INSERT INTO `sys_job_log` VALUES (29386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:38:13');
INSERT INTO `sys_job_log` VALUES (29387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:38:15');
INSERT INTO `sys_job_log` VALUES (29388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:38:15');
INSERT INTO `sys_job_log` VALUES (29389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:38:18');
INSERT INTO `sys_job_log` VALUES (29390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:20');
INSERT INTO `sys_job_log` VALUES (29391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:38:23');
INSERT INTO `sys_job_log` VALUES (29392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:25');
INSERT INTO `sys_job_log` VALUES (29393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 13:38:28');
INSERT INTO `sys_job_log` VALUES (29394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:38:28');
INSERT INTO `sys_job_log` VALUES (29395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:30');
INSERT INTO `sys_job_log` VALUES (29396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:30');
INSERT INTO `sys_job_log` VALUES (29397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:33');
INSERT INTO `sys_job_log` VALUES (29398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:38:35');
INSERT INTO `sys_job_log` VALUES (29399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:38');
INSERT INTO `sys_job_log` VALUES (29400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:38:40');
INSERT INTO `sys_job_log` VALUES (29401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:43');
INSERT INTO `sys_job_log` VALUES (29402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:43');
INSERT INTO `sys_job_log` VALUES (29403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:38:45');
INSERT INTO `sys_job_log` VALUES (29404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:38:45');
INSERT INTO `sys_job_log` VALUES (29405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:38:48');
INSERT INTO `sys_job_log` VALUES (29406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:38:50');
INSERT INTO `sys_job_log` VALUES (29407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:38:53');
INSERT INTO `sys_job_log` VALUES (29408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:38:55');
INSERT INTO `sys_job_log` VALUES (29409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:38:58');
INSERT INTO `sys_job_log` VALUES (29410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:38:58');
INSERT INTO `sys_job_log` VALUES (29411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:39:00');
INSERT INTO `sys_job_log` VALUES (29412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:39:00');
INSERT INTO `sys_job_log` VALUES (29413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:03');
INSERT INTO `sys_job_log` VALUES (29414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:39:05');
INSERT INTO `sys_job_log` VALUES (29415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:39:08');
INSERT INTO `sys_job_log` VALUES (29416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:39:10');
INSERT INTO `sys_job_log` VALUES (29417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:13');
INSERT INTO `sys_job_log` VALUES (29418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:13');
INSERT INTO `sys_job_log` VALUES (29419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 13:39:15');
INSERT INTO `sys_job_log` VALUES (29420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 13:39:15');
INSERT INTO `sys_job_log` VALUES (29421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:39:18');
INSERT INTO `sys_job_log` VALUES (29422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:20');
INSERT INTO `sys_job_log` VALUES (29423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:39:23');
INSERT INTO `sys_job_log` VALUES (29424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:39:25');
INSERT INTO `sys_job_log` VALUES (29425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:39:28');
INSERT INTO `sys_job_log` VALUES (29426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:39:28');
INSERT INTO `sys_job_log` VALUES (29427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:39:30');
INSERT INTO `sys_job_log` VALUES (29428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:39:30');
INSERT INTO `sys_job_log` VALUES (29429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:33');
INSERT INTO `sys_job_log` VALUES (29430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:39:35');
INSERT INTO `sys_job_log` VALUES (29431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:39:38');
INSERT INTO `sys_job_log` VALUES (29432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:39:40');
INSERT INTO `sys_job_log` VALUES (29433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:39:43');
INSERT INTO `sys_job_log` VALUES (29434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:39:43');
INSERT INTO `sys_job_log` VALUES (29435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 13:39:45');
INSERT INTO `sys_job_log` VALUES (29436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 13:39:45');
INSERT INTO `sys_job_log` VALUES (29437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:48');
INSERT INTO `sys_job_log` VALUES (29438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:39:50');
INSERT INTO `sys_job_log` VALUES (29439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:39:53');
INSERT INTO `sys_job_log` VALUES (29440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:39:55');
INSERT INTO `sys_job_log` VALUES (29441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:39:58');
INSERT INTO `sys_job_log` VALUES (29442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:39:58');
INSERT INTO `sys_job_log` VALUES (29443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:40:00');
INSERT INTO `sys_job_log` VALUES (29444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:40:00');
INSERT INTO `sys_job_log` VALUES (29445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:40:03');
INSERT INTO `sys_job_log` VALUES (29446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 13:40:05');
INSERT INTO `sys_job_log` VALUES (29447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:40:08');
INSERT INTO `sys_job_log` VALUES (29448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:40:10');
INSERT INTO `sys_job_log` VALUES (29449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:40:13');
INSERT INTO `sys_job_log` VALUES (29450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:40:13');
INSERT INTO `sys_job_log` VALUES (29451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:40:15');
INSERT INTO `sys_job_log` VALUES (29452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:40:15');
INSERT INTO `sys_job_log` VALUES (29453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:40:18');
INSERT INTO `sys_job_log` VALUES (29454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:40:20');
INSERT INTO `sys_job_log` VALUES (29455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:40:23');
INSERT INTO `sys_job_log` VALUES (29456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:40:25');
INSERT INTO `sys_job_log` VALUES (29457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:40:28');
INSERT INTO `sys_job_log` VALUES (29458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:40:28');
INSERT INTO `sys_job_log` VALUES (29459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:40:30');
INSERT INTO `sys_job_log` VALUES (29460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:40:30');
INSERT INTO `sys_job_log` VALUES (29461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:40:33');
INSERT INTO `sys_job_log` VALUES (29462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:40:35');
INSERT INTO `sys_job_log` VALUES (29463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:40:38');
INSERT INTO `sys_job_log` VALUES (29464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:40:40');
INSERT INTO `sys_job_log` VALUES (29465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:40:43');
INSERT INTO `sys_job_log` VALUES (29466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:40:43');
INSERT INTO `sys_job_log` VALUES (29467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:40:45');
INSERT INTO `sys_job_log` VALUES (29468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:40:45');
INSERT INTO `sys_job_log` VALUES (29469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:40:48');
INSERT INTO `sys_job_log` VALUES (29470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:40:50');
INSERT INTO `sys_job_log` VALUES (29471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:40:53');
INSERT INTO `sys_job_log` VALUES (29472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 13:40:55');
INSERT INTO `sys_job_log` VALUES (29473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:40:58');
INSERT INTO `sys_job_log` VALUES (29474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:40:58');
INSERT INTO `sys_job_log` VALUES (29475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:41:00');
INSERT INTO `sys_job_log` VALUES (29476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:41:00');
INSERT INTO `sys_job_log` VALUES (29477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:41:03');
INSERT INTO `sys_job_log` VALUES (29478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:41:05');
INSERT INTO `sys_job_log` VALUES (29479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:41:08');
INSERT INTO `sys_job_log` VALUES (29480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:41:10');
INSERT INTO `sys_job_log` VALUES (29481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:41:13');
INSERT INTO `sys_job_log` VALUES (29482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:41:13');
INSERT INTO `sys_job_log` VALUES (29483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 13:41:15');
INSERT INTO `sys_job_log` VALUES (29484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 13:41:15');
INSERT INTO `sys_job_log` VALUES (29485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:41:18');
INSERT INTO `sys_job_log` VALUES (29486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 13:41:20');
INSERT INTO `sys_job_log` VALUES (29487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:41:23');
INSERT INTO `sys_job_log` VALUES (29488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:41:25');
INSERT INTO `sys_job_log` VALUES (29489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:41:28');
INSERT INTO `sys_job_log` VALUES (29490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:41:28');
INSERT INTO `sys_job_log` VALUES (29491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:41:30');
INSERT INTO `sys_job_log` VALUES (29492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:41:30');
INSERT INTO `sys_job_log` VALUES (29493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:41:33');
INSERT INTO `sys_job_log` VALUES (29494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:41:35');
INSERT INTO `sys_job_log` VALUES (29495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:41:38');
INSERT INTO `sys_job_log` VALUES (29496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:41:40');
INSERT INTO `sys_job_log` VALUES (29497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:41:43');
INSERT INTO `sys_job_log` VALUES (29498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:41:43');
INSERT INTO `sys_job_log` VALUES (29499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:41:45');
INSERT INTO `sys_job_log` VALUES (29500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:41:45');
INSERT INTO `sys_job_log` VALUES (29501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:41:48');
INSERT INTO `sys_job_log` VALUES (29502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 13:41:50');
INSERT INTO `sys_job_log` VALUES (29503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:41:53');
INSERT INTO `sys_job_log` VALUES (29504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:41:55');
INSERT INTO `sys_job_log` VALUES (29505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 13:41:58');
INSERT INTO `sys_job_log` VALUES (29506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:41:58');
INSERT INTO `sys_job_log` VALUES (29507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:00');
INSERT INTO `sys_job_log` VALUES (29508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:00');
INSERT INTO `sys_job_log` VALUES (29509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:42:03');
INSERT INTO `sys_job_log` VALUES (29510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:42:05');
INSERT INTO `sys_job_log` VALUES (29511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:42:08');
INSERT INTO `sys_job_log` VALUES (29512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:42:10');
INSERT INTO `sys_job_log` VALUES (29513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:42:13');
INSERT INTO `sys_job_log` VALUES (29514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:13');
INSERT INTO `sys_job_log` VALUES (29515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:42:15');
INSERT INTO `sys_job_log` VALUES (29516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:42:15');
INSERT INTO `sys_job_log` VALUES (29517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:18');
INSERT INTO `sys_job_log` VALUES (29518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:42:20');
INSERT INTO `sys_job_log` VALUES (29519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:23');
INSERT INTO `sys_job_log` VALUES (29520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:42:25');
INSERT INTO `sys_job_log` VALUES (29521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:42:28');
INSERT INTO `sys_job_log` VALUES (29522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:42:28');
INSERT INTO `sys_job_log` VALUES (29523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:42:30');
INSERT INTO `sys_job_log` VALUES (29524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:42:30');
INSERT INTO `sys_job_log` VALUES (29525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:33');
INSERT INTO `sys_job_log` VALUES (29526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:42:35');
INSERT INTO `sys_job_log` VALUES (29527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:42:38');
INSERT INTO `sys_job_log` VALUES (29528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:42:40');
INSERT INTO `sys_job_log` VALUES (29529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:42:43');
INSERT INTO `sys_job_log` VALUES (29530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:42:43');
INSERT INTO `sys_job_log` VALUES (29531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:42:45');
INSERT INTO `sys_job_log` VALUES (29532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:42:45');
INSERT INTO `sys_job_log` VALUES (29533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:42:48');
INSERT INTO `sys_job_log` VALUES (29534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:42:50');
INSERT INTO `sys_job_log` VALUES (29535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:42:53');
INSERT INTO `sys_job_log` VALUES (29536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:42:55');
INSERT INTO `sys_job_log` VALUES (29537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:42:58');
INSERT INTO `sys_job_log` VALUES (29538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:42:58');
INSERT INTO `sys_job_log` VALUES (29539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:43:00');
INSERT INTO `sys_job_log` VALUES (29540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:43:00');
INSERT INTO `sys_job_log` VALUES (29541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:43:03');
INSERT INTO `sys_job_log` VALUES (29542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:43:05');
INSERT INTO `sys_job_log` VALUES (29543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:43:08');
INSERT INTO `sys_job_log` VALUES (29544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:43:10');
INSERT INTO `sys_job_log` VALUES (29545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:43:13');
INSERT INTO `sys_job_log` VALUES (29546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:43:13');
INSERT INTO `sys_job_log` VALUES (29547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:43:15');
INSERT INTO `sys_job_log` VALUES (29548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:43:15');
INSERT INTO `sys_job_log` VALUES (29549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:18');
INSERT INTO `sys_job_log` VALUES (29550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:43:20');
INSERT INTO `sys_job_log` VALUES (29551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:43:23');
INSERT INTO `sys_job_log` VALUES (29552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:43:25');
INSERT INTO `sys_job_log` VALUES (29553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:28');
INSERT INTO `sys_job_log` VALUES (29554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:28');
INSERT INTO `sys_job_log` VALUES (29555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:43:30');
INSERT INTO `sys_job_log` VALUES (29556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:43:30');
INSERT INTO `sys_job_log` VALUES (29557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:43:33');
INSERT INTO `sys_job_log` VALUES (29558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:43:35');
INSERT INTO `sys_job_log` VALUES (29559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:43:38');
INSERT INTO `sys_job_log` VALUES (29560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:43:40');
INSERT INTO `sys_job_log` VALUES (29561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:43');
INSERT INTO `sys_job_log` VALUES (29562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:43:43');
INSERT INTO `sys_job_log` VALUES (29563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:45');
INSERT INTO `sys_job_log` VALUES (29564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:45');
INSERT INTO `sys_job_log` VALUES (29565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:43:48');
INSERT INTO `sys_job_log` VALUES (29566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:43:50');
INSERT INTO `sys_job_log` VALUES (29567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:43:53');
INSERT INTO `sys_job_log` VALUES (29568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:43:55');
INSERT INTO `sys_job_log` VALUES (29569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:58');
INSERT INTO `sys_job_log` VALUES (29570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:43:58');
INSERT INTO `sys_job_log` VALUES (29571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:44:00');
INSERT INTO `sys_job_log` VALUES (29572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:44:00');
INSERT INTO `sys_job_log` VALUES (29573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:44:03');
INSERT INTO `sys_job_log` VALUES (29574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:44:05');
INSERT INTO `sys_job_log` VALUES (29575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:44:08');
INSERT INTO `sys_job_log` VALUES (29576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:44:10');
INSERT INTO `sys_job_log` VALUES (29577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:44:13');
INSERT INTO `sys_job_log` VALUES (29578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:44:13');
INSERT INTO `sys_job_log` VALUES (29579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:44:15');
INSERT INTO `sys_job_log` VALUES (29580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:44:15');
INSERT INTO `sys_job_log` VALUES (29581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:18');
INSERT INTO `sys_job_log` VALUES (29582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:20');
INSERT INTO `sys_job_log` VALUES (29583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:23');
INSERT INTO `sys_job_log` VALUES (29584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:25');
INSERT INTO `sys_job_log` VALUES (29585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:44:28');
INSERT INTO `sys_job_log` VALUES (29586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:44:28');
INSERT INTO `sys_job_log` VALUES (29587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:44:30');
INSERT INTO `sys_job_log` VALUES (29588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:44:30');
INSERT INTO `sys_job_log` VALUES (29589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:44:33');
INSERT INTO `sys_job_log` VALUES (29590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:44:35');
INSERT INTO `sys_job_log` VALUES (29591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:38');
INSERT INTO `sys_job_log` VALUES (29592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:44:40');
INSERT INTO `sys_job_log` VALUES (29593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:43');
INSERT INTO `sys_job_log` VALUES (29594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:43');
INSERT INTO `sys_job_log` VALUES (29595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:44:45');
INSERT INTO `sys_job_log` VALUES (29596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:44:45');
INSERT INTO `sys_job_log` VALUES (29597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:44:48');
INSERT INTO `sys_job_log` VALUES (29598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:44:50');
INSERT INTO `sys_job_log` VALUES (29599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:44:53');
INSERT INTO `sys_job_log` VALUES (29600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:44:55');
INSERT INTO `sys_job_log` VALUES (29601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：96毫秒', '0', '', '2024-12-27 13:44:58');
INSERT INTO `sys_job_log` VALUES (29602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-27 13:44:58');
INSERT INTO `sys_job_log` VALUES (29603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:45:00');
INSERT INTO `sys_job_log` VALUES (29604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 13:45:00');
INSERT INTO `sys_job_log` VALUES (29605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:45:03');
INSERT INTO `sys_job_log` VALUES (29606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:45:05');
INSERT INTO `sys_job_log` VALUES (29607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:45:08');
INSERT INTO `sys_job_log` VALUES (29608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:45:10');
INSERT INTO `sys_job_log` VALUES (29609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:45:13');
INSERT INTO `sys_job_log` VALUES (29610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:45:13');
INSERT INTO `sys_job_log` VALUES (29611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:45:15');
INSERT INTO `sys_job_log` VALUES (29612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:45:15');
INSERT INTO `sys_job_log` VALUES (29613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:45:18');
INSERT INTO `sys_job_log` VALUES (29614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:45:20');
INSERT INTO `sys_job_log` VALUES (29615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:23');
INSERT INTO `sys_job_log` VALUES (29616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:45:25');
INSERT INTO `sys_job_log` VALUES (29617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:45:28');
INSERT INTO `sys_job_log` VALUES (29618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:28');
INSERT INTO `sys_job_log` VALUES (29619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:30');
INSERT INTO `sys_job_log` VALUES (29620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:30');
INSERT INTO `sys_job_log` VALUES (29621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:45:33');
INSERT INTO `sys_job_log` VALUES (29622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:45:35');
INSERT INTO `sys_job_log` VALUES (29623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:45:38');
INSERT INTO `sys_job_log` VALUES (29624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2024-12-27 13:45:40');
INSERT INTO `sys_job_log` VALUES (29625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：355毫秒', '0', '', '2024-12-27 13:45:43');
INSERT INTO `sys_job_log` VALUES (29626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1606毫秒', '0', '', '2024-12-27 13:45:44');
INSERT INTO `sys_job_log` VALUES (29627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:45:45');
INSERT INTO `sys_job_log` VALUES (29628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:45:45');
INSERT INTO `sys_job_log` VALUES (29629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 13:45:48');
INSERT INTO `sys_job_log` VALUES (29630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:45:50');
INSERT INTO `sys_job_log` VALUES (29631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:53');
INSERT INTO `sys_job_log` VALUES (29632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:45:55');
INSERT INTO `sys_job_log` VALUES (29633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:58');
INSERT INTO `sys_job_log` VALUES (29634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:45:58');
INSERT INTO `sys_job_log` VALUES (29635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:46:00');
INSERT INTO `sys_job_log` VALUES (29636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:00');
INSERT INTO `sys_job_log` VALUES (29637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:46:03');
INSERT INTO `sys_job_log` VALUES (29638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:46:05');
INSERT INTO `sys_job_log` VALUES (29639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:46:08');
INSERT INTO `sys_job_log` VALUES (29640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:46:10');
INSERT INTO `sys_job_log` VALUES (29641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:13');
INSERT INTO `sys_job_log` VALUES (29642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:13');
INSERT INTO `sys_job_log` VALUES (29643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:15');
INSERT INTO `sys_job_log` VALUES (29644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:15');
INSERT INTO `sys_job_log` VALUES (29645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:46:18');
INSERT INTO `sys_job_log` VALUES (29646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:46:20');
INSERT INTO `sys_job_log` VALUES (29647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:46:23');
INSERT INTO `sys_job_log` VALUES (29648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:25');
INSERT INTO `sys_job_log` VALUES (29649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:46:28');
INSERT INTO `sys_job_log` VALUES (29650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:46:28');
INSERT INTO `sys_job_log` VALUES (29651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:46:30');
INSERT INTO `sys_job_log` VALUES (29652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:30');
INSERT INTO `sys_job_log` VALUES (29653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:46:33');
INSERT INTO `sys_job_log` VALUES (29654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:35');
INSERT INTO `sys_job_log` VALUES (29655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:38');
INSERT INTO `sys_job_log` VALUES (29656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:40');
INSERT INTO `sys_job_log` VALUES (29657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:43');
INSERT INTO `sys_job_log` VALUES (29658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:43');
INSERT INTO `sys_job_log` VALUES (29659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:45');
INSERT INTO `sys_job_log` VALUES (29660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:45');
INSERT INTO `sys_job_log` VALUES (29661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:46:48');
INSERT INTO `sys_job_log` VALUES (29662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:46:50');
INSERT INTO `sys_job_log` VALUES (29663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:46:53');
INSERT INTO `sys_job_log` VALUES (29664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:46:55');
INSERT INTO `sys_job_log` VALUES (29665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:46:58');
INSERT INTO `sys_job_log` VALUES (29666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:46:58');
INSERT INTO `sys_job_log` VALUES (29667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:00');
INSERT INTO `sys_job_log` VALUES (29668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:00');
INSERT INTO `sys_job_log` VALUES (29669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:47:03');
INSERT INTO `sys_job_log` VALUES (29670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:05');
INSERT INTO `sys_job_log` VALUES (29671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:47:08');
INSERT INTO `sys_job_log` VALUES (29672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:47:10');
INSERT INTO `sys_job_log` VALUES (29673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:47:13');
INSERT INTO `sys_job_log` VALUES (29674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:13');
INSERT INTO `sys_job_log` VALUES (29675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:47:15');
INSERT INTO `sys_job_log` VALUES (29676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:47:15');
INSERT INTO `sys_job_log` VALUES (29677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:47:18');
INSERT INTO `sys_job_log` VALUES (29678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:47:20');
INSERT INTO `sys_job_log` VALUES (29679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:23');
INSERT INTO `sys_job_log` VALUES (29680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:47:25');
INSERT INTO `sys_job_log` VALUES (29681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:28');
INSERT INTO `sys_job_log` VALUES (29682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:28');
INSERT INTO `sys_job_log` VALUES (29683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:30');
INSERT INTO `sys_job_log` VALUES (29684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:30');
INSERT INTO `sys_job_log` VALUES (29685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:47:33');
INSERT INTO `sys_job_log` VALUES (29686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:35');
INSERT INTO `sys_job_log` VALUES (29687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:47:38');
INSERT INTO `sys_job_log` VALUES (29688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:47:40');
INSERT INTO `sys_job_log` VALUES (29689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:43');
INSERT INTO `sys_job_log` VALUES (29690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:43');
INSERT INTO `sys_job_log` VALUES (29691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:47:45');
INSERT INTO `sys_job_log` VALUES (29692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:47:45');
INSERT INTO `sys_job_log` VALUES (29693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:47:48');
INSERT INTO `sys_job_log` VALUES (29694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:47:50');
INSERT INTO `sys_job_log` VALUES (29695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:47:53');
INSERT INTO `sys_job_log` VALUES (29696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:47:55');
INSERT INTO `sys_job_log` VALUES (29697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:47:58');
INSERT INTO `sys_job_log` VALUES (29698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:47:58');
INSERT INTO `sys_job_log` VALUES (29699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:48:00');
INSERT INTO `sys_job_log` VALUES (29700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:48:00');
INSERT INTO `sys_job_log` VALUES (29701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:03');
INSERT INTO `sys_job_log` VALUES (29702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:48:05');
INSERT INTO `sys_job_log` VALUES (29703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:08');
INSERT INTO `sys_job_log` VALUES (29704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:48:10');
INSERT INTO `sys_job_log` VALUES (29705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 13:48:13');
INSERT INTO `sys_job_log` VALUES (29706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:48:13');
INSERT INTO `sys_job_log` VALUES (29707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:48:15');
INSERT INTO `sys_job_log` VALUES (29708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 13:48:15');
INSERT INTO `sys_job_log` VALUES (29709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:48:18');
INSERT INTO `sys_job_log` VALUES (29710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:20');
INSERT INTO `sys_job_log` VALUES (29711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:48:23');
INSERT INTO `sys_job_log` VALUES (29712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:48:25');
INSERT INTO `sys_job_log` VALUES (29713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-27 13:48:28');
INSERT INTO `sys_job_log` VALUES (29714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-27 13:48:28');
INSERT INTO `sys_job_log` VALUES (29715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:30');
INSERT INTO `sys_job_log` VALUES (29716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:30');
INSERT INTO `sys_job_log` VALUES (29717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:33');
INSERT INTO `sys_job_log` VALUES (29718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:48:35');
INSERT INTO `sys_job_log` VALUES (29719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:48:38');
INSERT INTO `sys_job_log` VALUES (29720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:40');
INSERT INTO `sys_job_log` VALUES (29721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:43');
INSERT INTO `sys_job_log` VALUES (29722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:43');
INSERT INTO `sys_job_log` VALUES (29723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:45');
INSERT INTO `sys_job_log` VALUES (29724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:45');
INSERT INTO `sys_job_log` VALUES (29725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:48');
INSERT INTO `sys_job_log` VALUES (29726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:48:50');
INSERT INTO `sys_job_log` VALUES (29727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:48:53');
INSERT INTO `sys_job_log` VALUES (29728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:48:55');
INSERT INTO `sys_job_log` VALUES (29729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:58');
INSERT INTO `sys_job_log` VALUES (29730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:48:58');
INSERT INTO `sys_job_log` VALUES (29731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:00');
INSERT INTO `sys_job_log` VALUES (29732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:00');
INSERT INTO `sys_job_log` VALUES (29733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:49:03');
INSERT INTO `sys_job_log` VALUES (29734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:49:05');
INSERT INTO `sys_job_log` VALUES (29735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:49:08');
INSERT INTO `sys_job_log` VALUES (29736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:10');
INSERT INTO `sys_job_log` VALUES (29737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:13');
INSERT INTO `sys_job_log` VALUES (29738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:13');
INSERT INTO `sys_job_log` VALUES (29739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:49:15');
INSERT INTO `sys_job_log` VALUES (29740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:49:15');
INSERT INTO `sys_job_log` VALUES (29741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:49:18');
INSERT INTO `sys_job_log` VALUES (29742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:49:20');
INSERT INTO `sys_job_log` VALUES (29743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:49:23');
INSERT INTO `sys_job_log` VALUES (29744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:49:25');
INSERT INTO `sys_job_log` VALUES (29745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:49:28');
INSERT INTO `sys_job_log` VALUES (29746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:49:28');
INSERT INTO `sys_job_log` VALUES (29747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:49:30');
INSERT INTO `sys_job_log` VALUES (29748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:49:30');
INSERT INTO `sys_job_log` VALUES (29749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:33');
INSERT INTO `sys_job_log` VALUES (29750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 13:49:35');
INSERT INTO `sys_job_log` VALUES (29751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:49:38');
INSERT INTO `sys_job_log` VALUES (29752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:49:40');
INSERT INTO `sys_job_log` VALUES (29753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:49:43');
INSERT INTO `sys_job_log` VALUES (29754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:49:43');
INSERT INTO `sys_job_log` VALUES (29755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:49:45');
INSERT INTO `sys_job_log` VALUES (29756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:49:45');
INSERT INTO `sys_job_log` VALUES (29757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:49:48');
INSERT INTO `sys_job_log` VALUES (29758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:50');
INSERT INTO `sys_job_log` VALUES (29759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:49:53');
INSERT INTO `sys_job_log` VALUES (29760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:49:55');
INSERT INTO `sys_job_log` VALUES (29761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:49:58');
INSERT INTO `sys_job_log` VALUES (29762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:49:58');
INSERT INTO `sys_job_log` VALUES (29763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:50:00');
INSERT INTO `sys_job_log` VALUES (29764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:50:00');
INSERT INTO `sys_job_log` VALUES (29765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:50:03');
INSERT INTO `sys_job_log` VALUES (29766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:50:05');
INSERT INTO `sys_job_log` VALUES (29767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:50:08');
INSERT INTO `sys_job_log` VALUES (29768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:50:10');
INSERT INTO `sys_job_log` VALUES (29769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:50:13');
INSERT INTO `sys_job_log` VALUES (29770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:50:13');
INSERT INTO `sys_job_log` VALUES (29771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:50:15');
INSERT INTO `sys_job_log` VALUES (29772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:50:15');
INSERT INTO `sys_job_log` VALUES (29773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:50:18');
INSERT INTO `sys_job_log` VALUES (29774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:50:20');
INSERT INTO `sys_job_log` VALUES (29775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:50:23');
INSERT INTO `sys_job_log` VALUES (29776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:50:25');
INSERT INTO `sys_job_log` VALUES (29777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:50:28');
INSERT INTO `sys_job_log` VALUES (29778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:50:28');
INSERT INTO `sys_job_log` VALUES (29779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:50:30');
INSERT INTO `sys_job_log` VALUES (29780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:50:30');
INSERT INTO `sys_job_log` VALUES (29781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-27 13:50:33');
INSERT INTO `sys_job_log` VALUES (29782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:50:35');
INSERT INTO `sys_job_log` VALUES (29783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 13:50:38');
INSERT INTO `sys_job_log` VALUES (29784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:50:40');
INSERT INTO `sys_job_log` VALUES (29785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:50:43');
INSERT INTO `sys_job_log` VALUES (29786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:50:43');
INSERT INTO `sys_job_log` VALUES (29787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:50:45');
INSERT INTO `sys_job_log` VALUES (29788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:50:45');
INSERT INTO `sys_job_log` VALUES (29789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:50:48');
INSERT INTO `sys_job_log` VALUES (29790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:50:50');
INSERT INTO `sys_job_log` VALUES (29791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:50:53');
INSERT INTO `sys_job_log` VALUES (29792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:50:55');
INSERT INTO `sys_job_log` VALUES (29793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:50:58');
INSERT INTO `sys_job_log` VALUES (29794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:50:58');
INSERT INTO `sys_job_log` VALUES (29795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:00');
INSERT INTO `sys_job_log` VALUES (29796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:51:00');
INSERT INTO `sys_job_log` VALUES (29797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:51:03');
INSERT INTO `sys_job_log` VALUES (29798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:51:05');
INSERT INTO `sys_job_log` VALUES (29799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:51:08');
INSERT INTO `sys_job_log` VALUES (29800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:10');
INSERT INTO `sys_job_log` VALUES (29801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:13');
INSERT INTO `sys_job_log` VALUES (29802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:13');
INSERT INTO `sys_job_log` VALUES (29803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:15');
INSERT INTO `sys_job_log` VALUES (29804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:15');
INSERT INTO `sys_job_log` VALUES (29805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:51:18');
INSERT INTO `sys_job_log` VALUES (29806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:51:20');
INSERT INTO `sys_job_log` VALUES (29807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:23');
INSERT INTO `sys_job_log` VALUES (29808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:25');
INSERT INTO `sys_job_log` VALUES (29809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:28');
INSERT INTO `sys_job_log` VALUES (29810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:28');
INSERT INTO `sys_job_log` VALUES (29811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:30');
INSERT INTO `sys_job_log` VALUES (29812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:30');
INSERT INTO `sys_job_log` VALUES (29813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:51:33');
INSERT INTO `sys_job_log` VALUES (29814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:35');
INSERT INTO `sys_job_log` VALUES (29815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:51:38');
INSERT INTO `sys_job_log` VALUES (29816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:40');
INSERT INTO `sys_job_log` VALUES (29817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:51:43');
INSERT INTO `sys_job_log` VALUES (29818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:51:43');
INSERT INTO `sys_job_log` VALUES (29819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:51:45');
INSERT INTO `sys_job_log` VALUES (29820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:51:45');
INSERT INTO `sys_job_log` VALUES (29821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:48');
INSERT INTO `sys_job_log` VALUES (29822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:51:50');
INSERT INTO `sys_job_log` VALUES (29823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:51:53');
INSERT INTO `sys_job_log` VALUES (29824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:51:55');
INSERT INTO `sys_job_log` VALUES (29825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:51:58');
INSERT INTO `sys_job_log` VALUES (29826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:51:58');
INSERT INTO `sys_job_log` VALUES (29827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:00');
INSERT INTO `sys_job_log` VALUES (29828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:00');
INSERT INTO `sys_job_log` VALUES (29829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:52:03');
INSERT INTO `sys_job_log` VALUES (29830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:52:05');
INSERT INTO `sys_job_log` VALUES (29831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:52:08');
INSERT INTO `sys_job_log` VALUES (29832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:52:10');
INSERT INTO `sys_job_log` VALUES (29833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:52:13');
INSERT INTO `sys_job_log` VALUES (29834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:52:13');
INSERT INTO `sys_job_log` VALUES (29835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:15');
INSERT INTO `sys_job_log` VALUES (29836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:15');
INSERT INTO `sys_job_log` VALUES (29837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:52:18');
INSERT INTO `sys_job_log` VALUES (29838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:20');
INSERT INTO `sys_job_log` VALUES (29839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:23');
INSERT INTO `sys_job_log` VALUES (29840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:25');
INSERT INTO `sys_job_log` VALUES (29841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:52:28');
INSERT INTO `sys_job_log` VALUES (29842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:52:28');
INSERT INTO `sys_job_log` VALUES (29843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:30');
INSERT INTO `sys_job_log` VALUES (29844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:30');
INSERT INTO `sys_job_log` VALUES (29845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:33');
INSERT INTO `sys_job_log` VALUES (29846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:52:35');
INSERT INTO `sys_job_log` VALUES (29847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:52:38');
INSERT INTO `sys_job_log` VALUES (29848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:40');
INSERT INTO `sys_job_log` VALUES (29849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:52:43');
INSERT INTO `sys_job_log` VALUES (29850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:52:43');
INSERT INTO `sys_job_log` VALUES (29851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:52:45');
INSERT INTO `sys_job_log` VALUES (29852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:52:45');
INSERT INTO `sys_job_log` VALUES (29853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:52:48');
INSERT INTO `sys_job_log` VALUES (29854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:50');
INSERT INTO `sys_job_log` VALUES (29855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:52:53');
INSERT INTO `sys_job_log` VALUES (29856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:52:55');
INSERT INTO `sys_job_log` VALUES (29857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:58');
INSERT INTO `sys_job_log` VALUES (29858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:52:58');
INSERT INTO `sys_job_log` VALUES (29859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:53:00');
INSERT INTO `sys_job_log` VALUES (29860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:53:00');
INSERT INTO `sys_job_log` VALUES (29861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:53:03');
INSERT INTO `sys_job_log` VALUES (29862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:53:05');
INSERT INTO `sys_job_log` VALUES (29863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:53:08');
INSERT INTO `sys_job_log` VALUES (29864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:53:10');
INSERT INTO `sys_job_log` VALUES (29865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:53:13');
INSERT INTO `sys_job_log` VALUES (29866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:53:13');
INSERT INTO `sys_job_log` VALUES (29867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:53:15');
INSERT INTO `sys_job_log` VALUES (29868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:53:15');
INSERT INTO `sys_job_log` VALUES (29869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:53:18');
INSERT INTO `sys_job_log` VALUES (29870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:53:20');
INSERT INTO `sys_job_log` VALUES (29871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:53:23');
INSERT INTO `sys_job_log` VALUES (29872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:53:25');
INSERT INTO `sys_job_log` VALUES (29873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:53:28');
INSERT INTO `sys_job_log` VALUES (29874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:53:28');
INSERT INTO `sys_job_log` VALUES (29875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:53:30');
INSERT INTO `sys_job_log` VALUES (29876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:53:30');
INSERT INTO `sys_job_log` VALUES (29877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:53:33');
INSERT INTO `sys_job_log` VALUES (29878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:53:35');
INSERT INTO `sys_job_log` VALUES (29879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:53:38');
INSERT INTO `sys_job_log` VALUES (29880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:53:40');
INSERT INTO `sys_job_log` VALUES (29881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:53:43');
INSERT INTO `sys_job_log` VALUES (29882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:53:43');
INSERT INTO `sys_job_log` VALUES (29883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:53:45');
INSERT INTO `sys_job_log` VALUES (29884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:53:45');
INSERT INTO `sys_job_log` VALUES (29885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:53:48');
INSERT INTO `sys_job_log` VALUES (29886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:53:50');
INSERT INTO `sys_job_log` VALUES (29887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:53:53');
INSERT INTO `sys_job_log` VALUES (29888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 13:53:55');
INSERT INTO `sys_job_log` VALUES (29889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:53:58');
INSERT INTO `sys_job_log` VALUES (29890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 13:53:58');
INSERT INTO `sys_job_log` VALUES (29891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:00');
INSERT INTO `sys_job_log` VALUES (29892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:00');
INSERT INTO `sys_job_log` VALUES (29893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:54:03');
INSERT INTO `sys_job_log` VALUES (29894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:05');
INSERT INTO `sys_job_log` VALUES (29895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:54:08');
INSERT INTO `sys_job_log` VALUES (29896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:54:10');
INSERT INTO `sys_job_log` VALUES (29897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:54:13');
INSERT INTO `sys_job_log` VALUES (29898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:54:13');
INSERT INTO `sys_job_log` VALUES (29899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:54:15');
INSERT INTO `sys_job_log` VALUES (29900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:54:15');
INSERT INTO `sys_job_log` VALUES (29901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:54:18');
INSERT INTO `sys_job_log` VALUES (29902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:54:20');
INSERT INTO `sys_job_log` VALUES (29903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:54:23');
INSERT INTO `sys_job_log` VALUES (29904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:54:25');
INSERT INTO `sys_job_log` VALUES (29905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:54:28');
INSERT INTO `sys_job_log` VALUES (29906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:54:28');
INSERT INTO `sys_job_log` VALUES (29907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:30');
INSERT INTO `sys_job_log` VALUES (29908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:30');
INSERT INTO `sys_job_log` VALUES (29909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:54:33');
INSERT INTO `sys_job_log` VALUES (29910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:35');
INSERT INTO `sys_job_log` VALUES (29911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:54:38');
INSERT INTO `sys_job_log` VALUES (29912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:54:40');
INSERT INTO `sys_job_log` VALUES (29913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:54:43');
INSERT INTO `sys_job_log` VALUES (29914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:54:43');
INSERT INTO `sys_job_log` VALUES (29915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 13:54:45');
INSERT INTO `sys_job_log` VALUES (29916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:54:45');
INSERT INTO `sys_job_log` VALUES (29917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:54:48');
INSERT INTO `sys_job_log` VALUES (29918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:54:50');
INSERT INTO `sys_job_log` VALUES (29919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:54:53');
INSERT INTO `sys_job_log` VALUES (29920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:54:55');
INSERT INTO `sys_job_log` VALUES (29921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:54:58');
INSERT INTO `sys_job_log` VALUES (29922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:54:58');
INSERT INTO `sys_job_log` VALUES (29923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:55:00');
INSERT INTO `sys_job_log` VALUES (29924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:55:00');
INSERT INTO `sys_job_log` VALUES (29925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:55:03');
INSERT INTO `sys_job_log` VALUES (29926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:55:05');
INSERT INTO `sys_job_log` VALUES (29927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:55:08');
INSERT INTO `sys_job_log` VALUES (29928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:55:10');
INSERT INTO `sys_job_log` VALUES (29929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:55:13');
INSERT INTO `sys_job_log` VALUES (29930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:55:13');
INSERT INTO `sys_job_log` VALUES (29931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:55:15');
INSERT INTO `sys_job_log` VALUES (29932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:55:15');
INSERT INTO `sys_job_log` VALUES (29933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 13:55:18');
INSERT INTO `sys_job_log` VALUES (29934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:55:20');
INSERT INTO `sys_job_log` VALUES (29935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:55:23');
INSERT INTO `sys_job_log` VALUES (29936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:55:25');
INSERT INTO `sys_job_log` VALUES (29937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:55:28');
INSERT INTO `sys_job_log` VALUES (29938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:55:28');
INSERT INTO `sys_job_log` VALUES (29939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:55:30');
INSERT INTO `sys_job_log` VALUES (29940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:55:30');
INSERT INTO `sys_job_log` VALUES (29941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:55:33');
INSERT INTO `sys_job_log` VALUES (29942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:55:35');
INSERT INTO `sys_job_log` VALUES (29943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:55:38');
INSERT INTO `sys_job_log` VALUES (29944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:55:40');
INSERT INTO `sys_job_log` VALUES (29945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:55:43');
INSERT INTO `sys_job_log` VALUES (29946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:55:43');
INSERT INTO `sys_job_log` VALUES (29947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:55:45');
INSERT INTO `sys_job_log` VALUES (29948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 13:55:45');
INSERT INTO `sys_job_log` VALUES (29949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:55:48');
INSERT INTO `sys_job_log` VALUES (29950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：161毫秒', '0', '', '2024-12-27 13:55:50');
INSERT INTO `sys_job_log` VALUES (29951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:55:53');
INSERT INTO `sys_job_log` VALUES (29952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:55:55');
INSERT INTO `sys_job_log` VALUES (29953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:55:58');
INSERT INTO `sys_job_log` VALUES (29954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 13:55:58');
INSERT INTO `sys_job_log` VALUES (29955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:56:00');
INSERT INTO `sys_job_log` VALUES (29956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:56:00');
INSERT INTO `sys_job_log` VALUES (29957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 13:56:03');
INSERT INTO `sys_job_log` VALUES (29958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:56:05');
INSERT INTO `sys_job_log` VALUES (29959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:08');
INSERT INTO `sys_job_log` VALUES (29960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:56:10');
INSERT INTO `sys_job_log` VALUES (29961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:13');
INSERT INTO `sys_job_log` VALUES (29962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:13');
INSERT INTO `sys_job_log` VALUES (29963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 13:56:15');
INSERT INTO `sys_job_log` VALUES (29964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:56:15');
INSERT INTO `sys_job_log` VALUES (29965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:56:18');
INSERT INTO `sys_job_log` VALUES (29966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:20');
INSERT INTO `sys_job_log` VALUES (29967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 13:56:23');
INSERT INTO `sys_job_log` VALUES (29968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:56:25');
INSERT INTO `sys_job_log` VALUES (29969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 13:56:28');
INSERT INTO `sys_job_log` VALUES (29970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:56:28');
INSERT INTO `sys_job_log` VALUES (29971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:56:30');
INSERT INTO `sys_job_log` VALUES (29972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:56:30');
INSERT INTO `sys_job_log` VALUES (29973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 13:56:33');
INSERT INTO `sys_job_log` VALUES (29974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:35');
INSERT INTO `sys_job_log` VALUES (29975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:38');
INSERT INTO `sys_job_log` VALUES (29976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:56:40');
INSERT INTO `sys_job_log` VALUES (29977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:56:43');
INSERT INTO `sys_job_log` VALUES (29978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:56:43');
INSERT INTO `sys_job_log` VALUES (29979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:56:45');
INSERT INTO `sys_job_log` VALUES (29980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:56:45');
INSERT INTO `sys_job_log` VALUES (29981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 13:56:48');
INSERT INTO `sys_job_log` VALUES (29982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:56:50');
INSERT INTO `sys_job_log` VALUES (29983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:56:53');
INSERT INTO `sys_job_log` VALUES (29984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:56:55');
INSERT INTO `sys_job_log` VALUES (29985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:56:58');
INSERT INTO `sys_job_log` VALUES (29986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 13:56:58');
INSERT INTO `sys_job_log` VALUES (29987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:00');
INSERT INTO `sys_job_log` VALUES (29988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:00');
INSERT INTO `sys_job_log` VALUES (29989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:57:03');
INSERT INTO `sys_job_log` VALUES (29990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:57:05');
INSERT INTO `sys_job_log` VALUES (29991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 13:57:08');
INSERT INTO `sys_job_log` VALUES (29992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:10');
INSERT INTO `sys_job_log` VALUES (29993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:15');
INSERT INTO `sys_job_log` VALUES (29994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:15');
INSERT INTO `sys_job_log` VALUES (29995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:57:20');
INSERT INTO `sys_job_log` VALUES (29996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:57:25');
INSERT INTO `sys_job_log` VALUES (29997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:30');
INSERT INTO `sys_job_log` VALUES (29998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:30');
INSERT INTO `sys_job_log` VALUES (29999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:57:35');
INSERT INTO `sys_job_log` VALUES (30000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:57:40');
INSERT INTO `sys_job_log` VALUES (30001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 13:57:45');
INSERT INTO `sys_job_log` VALUES (30002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:57:45');
INSERT INTO `sys_job_log` VALUES (30003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:57:50');
INSERT INTO `sys_job_log` VALUES (30004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:57:55');
INSERT INTO `sys_job_log` VALUES (30005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:58:00');
INSERT INTO `sys_job_log` VALUES (30006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 13:58:00');
INSERT INTO `sys_job_log` VALUES (30007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:58:05');
INSERT INTO `sys_job_log` VALUES (30008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:58:10');
INSERT INTO `sys_job_log` VALUES (30009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:58:15');
INSERT INTO `sys_job_log` VALUES (30010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:58:15');
INSERT INTO `sys_job_log` VALUES (30011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:58:20');
INSERT INTO `sys_job_log` VALUES (30012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:58:25');
INSERT INTO `sys_job_log` VALUES (30013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 13:58:30');
INSERT INTO `sys_job_log` VALUES (30014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:58:30');
INSERT INTO `sys_job_log` VALUES (30015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:58:35');
INSERT INTO `sys_job_log` VALUES (30016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:58:40');
INSERT INTO `sys_job_log` VALUES (30017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:58:45');
INSERT INTO `sys_job_log` VALUES (30018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:58:45');
INSERT INTO `sys_job_log` VALUES (30019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:58:50');
INSERT INTO `sys_job_log` VALUES (30020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 13:58:55');
INSERT INTO `sys_job_log` VALUES (30021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:59:00');
INSERT INTO `sys_job_log` VALUES (30022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:59:00');
INSERT INTO `sys_job_log` VALUES (30023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:59:05');
INSERT INTO `sys_job_log` VALUES (30024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 13:59:10');
INSERT INTO `sys_job_log` VALUES (30025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:59:15');
INSERT INTO `sys_job_log` VALUES (30026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 13:59:15');
INSERT INTO `sys_job_log` VALUES (30027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:59:20');
INSERT INTO `sys_job_log` VALUES (30028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 13:59:25');
INSERT INTO `sys_job_log` VALUES (30029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 13:59:30');
INSERT INTO `sys_job_log` VALUES (30030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:59:30');
INSERT INTO `sys_job_log` VALUES (30031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 13:59:35');
INSERT INTO `sys_job_log` VALUES (30032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 13:59:40');
INSERT INTO `sys_job_log` VALUES (30033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 13:59:45');
INSERT INTO `sys_job_log` VALUES (30034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 13:59:45');
INSERT INTO `sys_job_log` VALUES (30035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 13:59:50');
INSERT INTO `sys_job_log` VALUES (30036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 13:59:55');
INSERT INTO `sys_job_log` VALUES (30037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:00');
INSERT INTO `sys_job_log` VALUES (30038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:00');
INSERT INTO `sys_job_log` VALUES (30039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:05');
INSERT INTO `sys_job_log` VALUES (30040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:00:10');
INSERT INTO `sys_job_log` VALUES (30041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：141235毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 25,642 milliseconds ago. The last packet sent successfully to the server was 25,659 milliseconds ago.\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-sim\\target\\classes\\mapper\\sim\\SimMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.SimMapper.selectSimList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select sim_id,                seat_id,                sim_type,                sim_state,                sim_sn,                sim_num,                last_sent_time,                last_received_time,                create_by,                create_time,                update_by,                update_time,                remark         from sim_sim\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 25,642 milliseconds ago. The last packet sent successfully to the server was 25,659 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from t', '2024-12-27 14:00:11');
INSERT INTO `sys_job_log` VALUES (30042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178408毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.dao.RecoverableDataAccessException: \r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 35,645 milliseconds ago. The last packet sent successfully to the server was 35,661 milliseconds ago.\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-sim\\target\\classes\\mapper\\sim\\SimMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.SimMapper.selectSimList-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select sim_id,                seat_id,                sim_type,                sim_state,                sim_sn,                sim_num,                last_sent_time,                last_received_time,                create_by,                create_time,                update_by,                update_time,                remark         from sim_sim\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 35,645 milliseconds ago. The last packet sent successfully to the server was 35,661 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from t', '2024-12-27 14:00:11');
INSERT INTO `sys_job_log` VALUES (30043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:11');
INSERT INTO `sys_job_log` VALUES (30044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:00:11');
INSERT INTO `sys_job_log` VALUES (30045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 14:00:11');
INSERT INTO `sys_job_log` VALUES (30046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：276毫秒', '0', '', '2024-12-27 14:00:13');
INSERT INTO `sys_job_log` VALUES (30047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：267毫秒', '0', '', '2024-12-27 14:00:13');
INSERT INTO `sys_job_log` VALUES (30048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:00:13');
INSERT INTO `sys_job_log` VALUES (30049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 14:00:13');
INSERT INTO `sys_job_log` VALUES (30050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:15');
INSERT INTO `sys_job_log` VALUES (30051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:00:15');
INSERT INTO `sys_job_log` VALUES (30052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1901毫秒', '0', '', '2024-12-27 14:00:15');
INSERT INTO `sys_job_log` VALUES (30053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1884毫秒', '0', '', '2024-12-27 14:00:15');
INSERT INTO `sys_job_log` VALUES (30054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:00:15');
INSERT INTO `sys_job_log` VALUES (30055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:15');
INSERT INTO `sys_job_log` VALUES (30056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:00:16');
INSERT INTO `sys_job_log` VALUES (30057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1875毫秒', '0', '', '2024-12-27 14:00:17');
INSERT INTO `sys_job_log` VALUES (30058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1823毫秒', '0', '', '2024-12-27 14:00:17');
INSERT INTO `sys_job_log` VALUES (30059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:17');
INSERT INTO `sys_job_log` VALUES (30060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:00:17');
INSERT INTO `sys_job_log` VALUES (30061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1884毫秒', '0', '', '2024-12-27 14:00:19');
INSERT INTO `sys_job_log` VALUES (30062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1905毫秒', '0', '', '2024-12-27 14:00:19');
INSERT INTO `sys_job_log` VALUES (30063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:19');
INSERT INTO `sys_job_log` VALUES (30064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:19');
INSERT INTO `sys_job_log` VALUES (30065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:20');
INSERT INTO `sys_job_log` VALUES (30066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1884毫秒', '0', '', '2024-12-27 14:00:21');
INSERT INTO `sys_job_log` VALUES (30067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1880毫秒', '0', '', '2024-12-27 14:00:21');
INSERT INTO `sys_job_log` VALUES (30068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:21');
INSERT INTO `sys_job_log` VALUES (30069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:21');
INSERT INTO `sys_job_log` VALUES (30070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:21');
INSERT INTO `sys_job_log` VALUES (30071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1849毫秒', '0', '', '2024-12-27 14:00:23');
INSERT INTO `sys_job_log` VALUES (30072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:23');
INSERT INTO `sys_job_log` VALUES (30073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:00:23');
INSERT INTO `sys_job_log` VALUES (30074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:00:24');
INSERT INTO `sys_job_log` VALUES (30075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:24');
INSERT INTO `sys_job_log` VALUES (30076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:25');
INSERT INTO `sys_job_log` VALUES (30077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1688毫秒', '0', '', '2024-12-27 14:00:25');
INSERT INTO `sys_job_log` VALUES (30078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:25');
INSERT INTO `sys_job_log` VALUES (30079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:25');
INSERT INTO `sys_job_log` VALUES (30080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:00:26');
INSERT INTO `sys_job_log` VALUES (30081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1751毫秒', '0', '', '2024-12-27 14:00:27');
INSERT INTO `sys_job_log` VALUES (30082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:27');
INSERT INTO `sys_job_log` VALUES (30083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:27');
INSERT INTO `sys_job_log` VALUES (30084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:28');
INSERT INTO `sys_job_log` VALUES (30085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:00:28');
INSERT INTO `sys_job_log` VALUES (30086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1700毫秒', '0', '', '2024-12-27 14:00:29');
INSERT INTO `sys_job_log` VALUES (30087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:29');
INSERT INTO `sys_job_log` VALUES (30088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:29');
INSERT INTO `sys_job_log` VALUES (30089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:00:30');
INSERT INTO `sys_job_log` VALUES (30090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:30');
INSERT INTO `sys_job_log` VALUES (30091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:00:30');
INSERT INTO `sys_job_log` VALUES (30092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1818毫秒', '0', '', '2024-12-27 14:00:31');
INSERT INTO `sys_job_log` VALUES (30093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:00:31');
INSERT INTO `sys_job_log` VALUES (30094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:00:31');
INSERT INTO `sys_job_log` VALUES (30095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:32');
INSERT INTO `sys_job_log` VALUES (30096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:32');
INSERT INTO `sys_job_log` VALUES (30097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1714毫秒', '0', '', '2024-12-27 14:00:33');
INSERT INTO `sys_job_log` VALUES (30098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:00:33');
INSERT INTO `sys_job_log` VALUES (30099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:00:34');
INSERT INTO `sys_job_log` VALUES (30100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:00:34');
INSERT INTO `sys_job_log` VALUES (30101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:35');
INSERT INTO `sys_job_log` VALUES (30102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:00:35');
INSERT INTO `sys_job_log` VALUES (30103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:40');
INSERT INTO `sys_job_log` VALUES (30104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:00:40');
INSERT INTO `sys_job_log` VALUES (30105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:45');
INSERT INTO `sys_job_log` VALUES (30106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:45');
INSERT INTO `sys_job_log` VALUES (30107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:45');
INSERT INTO `sys_job_log` VALUES (30108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:00:45');
INSERT INTO `sys_job_log` VALUES (30109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:00:50');
INSERT INTO `sys_job_log` VALUES (30110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:00:50');
INSERT INTO `sys_job_log` VALUES (30111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:00:55');
INSERT INTO `sys_job_log` VALUES (30112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:00:55');
INSERT INTO `sys_job_log` VALUES (30113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:01:00');
INSERT INTO `sys_job_log` VALUES (30114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:01:00');
INSERT INTO `sys_job_log` VALUES (30115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 14:01:00');
INSERT INTO `sys_job_log` VALUES (30116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:01:00');
INSERT INTO `sys_job_log` VALUES (30117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:01:05');
INSERT INTO `sys_job_log` VALUES (30118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:01:05');
INSERT INTO `sys_job_log` VALUES (30119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:10');
INSERT INTO `sys_job_log` VALUES (30120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:10');
INSERT INTO `sys_job_log` VALUES (30121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:01:15');
INSERT INTO `sys_job_log` VALUES (30122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:01:15');
INSERT INTO `sys_job_log` VALUES (30123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:15');
INSERT INTO `sys_job_log` VALUES (30124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:15');
INSERT INTO `sys_job_log` VALUES (30125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 14:01:20');
INSERT INTO `sys_job_log` VALUES (30126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:20');
INSERT INTO `sys_job_log` VALUES (30127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:01:25');
INSERT INTO `sys_job_log` VALUES (30128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:25');
INSERT INTO `sys_job_log` VALUES (30129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:01:30');
INSERT INTO `sys_job_log` VALUES (30130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:30');
INSERT INTO `sys_job_log` VALUES (30131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:30');
INSERT INTO `sys_job_log` VALUES (30132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:30');
INSERT INTO `sys_job_log` VALUES (30133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:01:35');
INSERT INTO `sys_job_log` VALUES (30134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:01:35');
INSERT INTO `sys_job_log` VALUES (30135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:01:40');
INSERT INTO `sys_job_log` VALUES (30136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:40');
INSERT INTO `sys_job_log` VALUES (30137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:45');
INSERT INTO `sys_job_log` VALUES (30138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:45');
INSERT INTO `sys_job_log` VALUES (30139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:01:45');
INSERT INTO `sys_job_log` VALUES (30140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:45');
INSERT INTO `sys_job_log` VALUES (30141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:50');
INSERT INTO `sys_job_log` VALUES (30142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:01:50');
INSERT INTO `sys_job_log` VALUES (30143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:55');
INSERT INTO `sys_job_log` VALUES (30144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:01:55');
INSERT INTO `sys_job_log` VALUES (30145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:02:00');
INSERT INTO `sys_job_log` VALUES (30146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:02:00');
INSERT INTO `sys_job_log` VALUES (30147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:00');
INSERT INTO `sys_job_log` VALUES (30148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:00');
INSERT INTO `sys_job_log` VALUES (30149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:02:05');
INSERT INTO `sys_job_log` VALUES (30150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:05');
INSERT INTO `sys_job_log` VALUES (30151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:02:10');
INSERT INTO `sys_job_log` VALUES (30152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:02:10');
INSERT INTO `sys_job_log` VALUES (30153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:15');
INSERT INTO `sys_job_log` VALUES (30154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:02:15');
INSERT INTO `sys_job_log` VALUES (30155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:15');
INSERT INTO `sys_job_log` VALUES (30156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:15');
INSERT INTO `sys_job_log` VALUES (30157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:02:20');
INSERT INTO `sys_job_log` VALUES (30158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:02:20');
INSERT INTO `sys_job_log` VALUES (30159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:25');
INSERT INTO `sys_job_log` VALUES (30160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:25');
INSERT INTO `sys_job_log` VALUES (30161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:02:30');
INSERT INTO `sys_job_log` VALUES (30162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:02:30');
INSERT INTO `sys_job_log` VALUES (30163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:02:30');
INSERT INTO `sys_job_log` VALUES (30164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:02:30');
INSERT INTO `sys_job_log` VALUES (30165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:02:35');
INSERT INTO `sys_job_log` VALUES (30166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:35');
INSERT INTO `sys_job_log` VALUES (30167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:02:40');
INSERT INTO `sys_job_log` VALUES (30168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:40');
INSERT INTO `sys_job_log` VALUES (30169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:02:45');
INSERT INTO `sys_job_log` VALUES (30170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:45');
INSERT INTO `sys_job_log` VALUES (30171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:45');
INSERT INTO `sys_job_log` VALUES (30172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:02:45');
INSERT INTO `sys_job_log` VALUES (30173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:02:50');
INSERT INTO `sys_job_log` VALUES (30174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:02:50');
INSERT INTO `sys_job_log` VALUES (30175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:02:55');
INSERT INTO `sys_job_log` VALUES (30176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:02:55');
INSERT INTO `sys_job_log` VALUES (30177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:00');
INSERT INTO `sys_job_log` VALUES (30178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:00');
INSERT INTO `sys_job_log` VALUES (30179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 14:03:00');
INSERT INTO `sys_job_log` VALUES (30180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:03:00');
INSERT INTO `sys_job_log` VALUES (30181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:03:05');
INSERT INTO `sys_job_log` VALUES (30182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:05');
INSERT INTO `sys_job_log` VALUES (30183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:03:10');
INSERT INTO `sys_job_log` VALUES (30184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:10');
INSERT INTO `sys_job_log` VALUES (30185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:15');
INSERT INTO `sys_job_log` VALUES (30186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:15');
INSERT INTO `sys_job_log` VALUES (30187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 14:03:15');
INSERT INTO `sys_job_log` VALUES (30188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 14:03:15');
INSERT INTO `sys_job_log` VALUES (30189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:20');
INSERT INTO `sys_job_log` VALUES (30190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:20');
INSERT INTO `sys_job_log` VALUES (30191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:03:25');
INSERT INTO `sys_job_log` VALUES (30192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:25');
INSERT INTO `sys_job_log` VALUES (30193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:30');
INSERT INTO `sys_job_log` VALUES (30194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:30');
INSERT INTO `sys_job_log` VALUES (30195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 14:03:30');
INSERT INTO `sys_job_log` VALUES (30196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:03:30');
INSERT INTO `sys_job_log` VALUES (30197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:35');
INSERT INTO `sys_job_log` VALUES (30198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:35');
INSERT INTO `sys_job_log` VALUES (30199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:03:40');
INSERT INTO `sys_job_log` VALUES (30200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:03:40');
INSERT INTO `sys_job_log` VALUES (30201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:03:45');
INSERT INTO `sys_job_log` VALUES (30202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:03:45');
INSERT INTO `sys_job_log` VALUES (30203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:03:45');
INSERT INTO `sys_job_log` VALUES (30204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:03:45');
INSERT INTO `sys_job_log` VALUES (30205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:50');
INSERT INTO `sys_job_log` VALUES (30206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:03:50');
INSERT INTO `sys_job_log` VALUES (30207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:03:55');
INSERT INTO `sys_job_log` VALUES (30208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:03:55');
INSERT INTO `sys_job_log` VALUES (30209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:00');
INSERT INTO `sys_job_log` VALUES (30210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:00');
INSERT INTO `sys_job_log` VALUES (30211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:00');
INSERT INTO `sys_job_log` VALUES (30212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:00');
INSERT INTO `sys_job_log` VALUES (30213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:04:05');
INSERT INTO `sys_job_log` VALUES (30214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:05');
INSERT INTO `sys_job_log` VALUES (30215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:10');
INSERT INTO `sys_job_log` VALUES (30216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:10');
INSERT INTO `sys_job_log` VALUES (30217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:15');
INSERT INTO `sys_job_log` VALUES (30218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:15');
INSERT INTO `sys_job_log` VALUES (30219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:15');
INSERT INTO `sys_job_log` VALUES (30220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:15');
INSERT INTO `sys_job_log` VALUES (30221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:04:20');
INSERT INTO `sys_job_log` VALUES (30222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:20');
INSERT INTO `sys_job_log` VALUES (30223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:04:25');
INSERT INTO `sys_job_log` VALUES (30224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:04:25');
INSERT INTO `sys_job_log` VALUES (30225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：149毫秒', '0', '', '2024-12-27 14:04:30');
INSERT INTO `sys_job_log` VALUES (30226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：148毫秒', '0', '', '2024-12-27 14:04:30');
INSERT INTO `sys_job_log` VALUES (30227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:30');
INSERT INTO `sys_job_log` VALUES (30228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:30');
INSERT INTO `sys_job_log` VALUES (30229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2024-12-27 14:04:35');
INSERT INTO `sys_job_log` VALUES (30230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:04:35');
INSERT INTO `sys_job_log` VALUES (30231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:04:40');
INSERT INTO `sys_job_log` VALUES (30232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:04:40');
INSERT INTO `sys_job_log` VALUES (30233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-27 14:04:45');
INSERT INTO `sys_job_log` VALUES (30234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-27 14:04:45');
INSERT INTO `sys_job_log` VALUES (30235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:45');
INSERT INTO `sys_job_log` VALUES (30236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:04:45');
INSERT INTO `sys_job_log` VALUES (30237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:04:50');
INSERT INTO `sys_job_log` VALUES (30238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:04:50');
INSERT INTO `sys_job_log` VALUES (30239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:55');
INSERT INTO `sys_job_log` VALUES (30240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:04:55');
INSERT INTO `sys_job_log` VALUES (30241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:05:00');
INSERT INTO `sys_job_log` VALUES (30242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:05:00');
INSERT INTO `sys_job_log` VALUES (30243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:05:00');
INSERT INTO `sys_job_log` VALUES (30244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:05:00');
INSERT INTO `sys_job_log` VALUES (30245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:05:05');
INSERT INTO `sys_job_log` VALUES (30246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:05');
INSERT INTO `sys_job_log` VALUES (30247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:05:10');
INSERT INTO `sys_job_log` VALUES (30248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:10');
INSERT INTO `sys_job_log` VALUES (30249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:15');
INSERT INTO `sys_job_log` VALUES (30250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:15');
INSERT INTO `sys_job_log` VALUES (30251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:15');
INSERT INTO `sys_job_log` VALUES (30252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:05:15');
INSERT INTO `sys_job_log` VALUES (30253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 14:05:20');
INSERT INTO `sys_job_log` VALUES (30254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:20');
INSERT INTO `sys_job_log` VALUES (30255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:05:25');
INSERT INTO `sys_job_log` VALUES (30256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:25');
INSERT INTO `sys_job_log` VALUES (30257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:30');
INSERT INTO `sys_job_log` VALUES (30258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:30');
INSERT INTO `sys_job_log` VALUES (30259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:30');
INSERT INTO `sys_job_log` VALUES (30260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:30');
INSERT INTO `sys_job_log` VALUES (30261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:05:35');
INSERT INTO `sys_job_log` VALUES (30262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:05:35');
INSERT INTO `sys_job_log` VALUES (30263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:40');
INSERT INTO `sys_job_log` VALUES (30264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:40');
INSERT INTO `sys_job_log` VALUES (30265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:45');
INSERT INTO `sys_job_log` VALUES (30266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:45');
INSERT INTO `sys_job_log` VALUES (30267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:45');
INSERT INTO `sys_job_log` VALUES (30268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:05:45');
INSERT INTO `sys_job_log` VALUES (30269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:05:50');
INSERT INTO `sys_job_log` VALUES (30270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:05:50');
INSERT INTO `sys_job_log` VALUES (30271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:55');
INSERT INTO `sys_job_log` VALUES (30272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:05:55');
INSERT INTO `sys_job_log` VALUES (30273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 14:06:00');
INSERT INTO `sys_job_log` VALUES (30274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:06:00');
INSERT INTO `sys_job_log` VALUES (30275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-27 14:06:00');
INSERT INTO `sys_job_log` VALUES (30276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-27 14:06:00');
INSERT INTO `sys_job_log` VALUES (30277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:06:05');
INSERT INTO `sys_job_log` VALUES (30278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:06:05');
INSERT INTO `sys_job_log` VALUES (30279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:06:10');
INSERT INTO `sys_job_log` VALUES (30280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:06:10');
INSERT INTO `sys_job_log` VALUES (30281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 14:06:15');
INSERT INTO `sys_job_log` VALUES (30282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 14:06:15');
INSERT INTO `sys_job_log` VALUES (30283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:06:15');
INSERT INTO `sys_job_log` VALUES (30284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:06:15');
INSERT INTO `sys_job_log` VALUES (30285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:06:20');
INSERT INTO `sys_job_log` VALUES (30286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:06:20');
INSERT INTO `sys_job_log` VALUES (30287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:06:25');
INSERT INTO `sys_job_log` VALUES (30288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:06:25');
INSERT INTO `sys_job_log` VALUES (30289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:06:30');
INSERT INTO `sys_job_log` VALUES (30290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:06:30');
INSERT INTO `sys_job_log` VALUES (30291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:06:30');
INSERT INTO `sys_job_log` VALUES (30292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:06:30');
INSERT INTO `sys_job_log` VALUES (30293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:06:35');
INSERT INTO `sys_job_log` VALUES (30294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:06:35');
INSERT INTO `sys_job_log` VALUES (30295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:06:40');
INSERT INTO `sys_job_log` VALUES (30296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:06:40');
INSERT INTO `sys_job_log` VALUES (30297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:06:45');
INSERT INTO `sys_job_log` VALUES (30298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:06:45');
INSERT INTO `sys_job_log` VALUES (30299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:06:45');
INSERT INTO `sys_job_log` VALUES (30300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:06:45');
INSERT INTO `sys_job_log` VALUES (30301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:06:50');
INSERT INTO `sys_job_log` VALUES (30302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:06:50');
INSERT INTO `sys_job_log` VALUES (30303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:06:55');
INSERT INTO `sys_job_log` VALUES (30304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:06:55');
INSERT INTO `sys_job_log` VALUES (30305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:07:00');
INSERT INTO `sys_job_log` VALUES (30306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 14:07:00');
INSERT INTO `sys_job_log` VALUES (30307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:07:00');
INSERT INTO `sys_job_log` VALUES (30308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:00');
INSERT INTO `sys_job_log` VALUES (30309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:07:05');
INSERT INTO `sys_job_log` VALUES (30310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:07:05');
INSERT INTO `sys_job_log` VALUES (30311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:10');
INSERT INTO `sys_job_log` VALUES (30312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:07:10');
INSERT INTO `sys_job_log` VALUES (30313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:15');
INSERT INTO `sys_job_log` VALUES (30314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:15');
INSERT INTO `sys_job_log` VALUES (30315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:07:15');
INSERT INTO `sys_job_log` VALUES (30316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:07:15');
INSERT INTO `sys_job_log` VALUES (30317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:07:20');
INSERT INTO `sys_job_log` VALUES (30318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:25');
INSERT INTO `sys_job_log` VALUES (30319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:07:30');
INSERT INTO `sys_job_log` VALUES (30320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:07:30');
INSERT INTO `sys_job_log` VALUES (30321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:07:35');
INSERT INTO `sys_job_log` VALUES (30322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:40');
INSERT INTO `sys_job_log` VALUES (30323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:07:45');
INSERT INTO `sys_job_log` VALUES (30324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:07:45');
INSERT INTO `sys_job_log` VALUES (30325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:50');
INSERT INTO `sys_job_log` VALUES (30326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:07:55');
INSERT INTO `sys_job_log` VALUES (30327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:08:00');
INSERT INTO `sys_job_log` VALUES (30328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:08:00');
INSERT INTO `sys_job_log` VALUES (30329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:08:05');
INSERT INTO `sys_job_log` VALUES (30330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:08:10');
INSERT INTO `sys_job_log` VALUES (30331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:08:15');
INSERT INTO `sys_job_log` VALUES (30332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:08:15');
INSERT INTO `sys_job_log` VALUES (30333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:08:20');
INSERT INTO `sys_job_log` VALUES (30334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:08:25');
INSERT INTO `sys_job_log` VALUES (30335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:08:30');
INSERT INTO `sys_job_log` VALUES (30336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:08:30');
INSERT INTO `sys_job_log` VALUES (30337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:08:35');
INSERT INTO `sys_job_log` VALUES (30338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:08:40');
INSERT INTO `sys_job_log` VALUES (30339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:08:45');
INSERT INTO `sys_job_log` VALUES (30340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:08:45');
INSERT INTO `sys_job_log` VALUES (30341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:08:50');
INSERT INTO `sys_job_log` VALUES (30342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:08:55');
INSERT INTO `sys_job_log` VALUES (30343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:09:00');
INSERT INTO `sys_job_log` VALUES (30344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:09:00');
INSERT INTO `sys_job_log` VALUES (30345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:09:05');
INSERT INTO `sys_job_log` VALUES (30346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:09:10');
INSERT INTO `sys_job_log` VALUES (30347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:09:15');
INSERT INTO `sys_job_log` VALUES (30348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:09:15');
INSERT INTO `sys_job_log` VALUES (30349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-27 14:09:17');
INSERT INTO `sys_job_log` VALUES (30350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-27 14:09:17');
INSERT INTO `sys_job_log` VALUES (30351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:09:17');
INSERT INTO `sys_job_log` VALUES (30352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:09:20');
INSERT INTO `sys_job_log` VALUES (30353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:09:20');
INSERT INTO `sys_job_log` VALUES (30354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:09:25');
INSERT INTO `sys_job_log` VALUES (30355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:09:25');
INSERT INTO `sys_job_log` VALUES (30356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:09:30');
INSERT INTO `sys_job_log` VALUES (30357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:09:30');
INSERT INTO `sys_job_log` VALUES (30358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:09:30');
INSERT INTO `sys_job_log` VALUES (30359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:09:30');
INSERT INTO `sys_job_log` VALUES (30360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:09:35');
INSERT INTO `sys_job_log` VALUES (30361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:09:35');
INSERT INTO `sys_job_log` VALUES (30362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:09:40');
INSERT INTO `sys_job_log` VALUES (30363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:09:40');
INSERT INTO `sys_job_log` VALUES (30364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:09:45');
INSERT INTO `sys_job_log` VALUES (30365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:09:45');
INSERT INTO `sys_job_log` VALUES (30366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:09:45');
INSERT INTO `sys_job_log` VALUES (30367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:09:45');
INSERT INTO `sys_job_log` VALUES (30368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:09:50');
INSERT INTO `sys_job_log` VALUES (30369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:09:50');
INSERT INTO `sys_job_log` VALUES (30370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:09:55');
INSERT INTO `sys_job_log` VALUES (30371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:09:55');
INSERT INTO `sys_job_log` VALUES (30372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:10:00');
INSERT INTO `sys_job_log` VALUES (30373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 14:10:00');
INSERT INTO `sys_job_log` VALUES (30374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:00');
INSERT INTO `sys_job_log` VALUES (30375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:00');
INSERT INTO `sys_job_log` VALUES (30376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:10:05');
INSERT INTO `sys_job_log` VALUES (30377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:05');
INSERT INTO `sys_job_log` VALUES (30378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:10');
INSERT INTO `sys_job_log` VALUES (30379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:10');
INSERT INTO `sys_job_log` VALUES (30380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:15');
INSERT INTO `sys_job_log` VALUES (30381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:15');
INSERT INTO `sys_job_log` VALUES (30382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:10:15');
INSERT INTO `sys_job_log` VALUES (30383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:15');
INSERT INTO `sys_job_log` VALUES (30384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:20');
INSERT INTO `sys_job_log` VALUES (30385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:10:20');
INSERT INTO `sys_job_log` VALUES (30386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:10:25');
INSERT INTO `sys_job_log` VALUES (30387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:25');
INSERT INTO `sys_job_log` VALUES (30388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:10:30');
INSERT INTO `sys_job_log` VALUES (30389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 14:10:30');
INSERT INTO `sys_job_log` VALUES (30390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:30');
INSERT INTO `sys_job_log` VALUES (30391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:30');
INSERT INTO `sys_job_log` VALUES (30392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:35');
INSERT INTO `sys_job_log` VALUES (30393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:10:35');
INSERT INTO `sys_job_log` VALUES (30394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:10:40');
INSERT INTO `sys_job_log` VALUES (30395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:10:40');
INSERT INTO `sys_job_log` VALUES (30396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:10:45');
INSERT INTO `sys_job_log` VALUES (30397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:10:45');
INSERT INTO `sys_job_log` VALUES (30398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:10:45');
INSERT INTO `sys_job_log` VALUES (30399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:10:45');
INSERT INTO `sys_job_log` VALUES (30400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 14:10:50');
INSERT INTO `sys_job_log` VALUES (30401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:50');
INSERT INTO `sys_job_log` VALUES (30402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-27 14:10:55');
INSERT INTO `sys_job_log` VALUES (30403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:10:55');
INSERT INTO `sys_job_log` VALUES (30404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:11:00');
INSERT INTO `sys_job_log` VALUES (30405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:00');
INSERT INTO `sys_job_log` VALUES (30406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:00');
INSERT INTO `sys_job_log` VALUES (30407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:00');
INSERT INTO `sys_job_log` VALUES (30408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:05');
INSERT INTO `sys_job_log` VALUES (30409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:05');
INSERT INTO `sys_job_log` VALUES (30410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:10');
INSERT INTO `sys_job_log` VALUES (30411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:11:10');
INSERT INTO `sys_job_log` VALUES (30412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:15');
INSERT INTO `sys_job_log` VALUES (30413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:11:15');
INSERT INTO `sys_job_log` VALUES (30414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:11:15');
INSERT INTO `sys_job_log` VALUES (30415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:11:15');
INSERT INTO `sys_job_log` VALUES (30416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:11:20');
INSERT INTO `sys_job_log` VALUES (30417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:11:20');
INSERT INTO `sys_job_log` VALUES (30418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:11:25');
INSERT INTO `sys_job_log` VALUES (30419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:11:25');
INSERT INTO `sys_job_log` VALUES (30420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:30');
INSERT INTO `sys_job_log` VALUES (30421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:30');
INSERT INTO `sys_job_log` VALUES (30422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:30');
INSERT INTO `sys_job_log` VALUES (30423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:30');
INSERT INTO `sys_job_log` VALUES (30424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:35');
INSERT INTO `sys_job_log` VALUES (30425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:11:35');
INSERT INTO `sys_job_log` VALUES (30426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:11:40');
INSERT INTO `sys_job_log` VALUES (30427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:11:40');
INSERT INTO `sys_job_log` VALUES (30428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:45');
INSERT INTO `sys_job_log` VALUES (30429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:45');
INSERT INTO `sys_job_log` VALUES (30430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:11:45');
INSERT INTO `sys_job_log` VALUES (30431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:11:45');
INSERT INTO `sys_job_log` VALUES (30432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:11:50');
INSERT INTO `sys_job_log` VALUES (30433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:11:50');
INSERT INTO `sys_job_log` VALUES (30434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:11:55');
INSERT INTO `sys_job_log` VALUES (30435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:11:55');
INSERT INTO `sys_job_log` VALUES (30436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:12:00');
INSERT INTO `sys_job_log` VALUES (30437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:12:00');
INSERT INTO `sys_job_log` VALUES (30438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:00');
INSERT INTO `sys_job_log` VALUES (30439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:12:00');
INSERT INTO `sys_job_log` VALUES (30440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:05');
INSERT INTO `sys_job_log` VALUES (30441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:12:05');
INSERT INTO `sys_job_log` VALUES (30442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:10');
INSERT INTO `sys_job_log` VALUES (30443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:12:10');
INSERT INTO `sys_job_log` VALUES (30444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:12:15');
INSERT INTO `sys_job_log` VALUES (30445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:12:15');
INSERT INTO `sys_job_log` VALUES (30446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:12:15');
INSERT INTO `sys_job_log` VALUES (30447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:12:15');
INSERT INTO `sys_job_log` VALUES (30448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:12:20');
INSERT INTO `sys_job_log` VALUES (30449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:12:20');
INSERT INTO `sys_job_log` VALUES (30450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:12:25');
INSERT INTO `sys_job_log` VALUES (30451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:12:25');
INSERT INTO `sys_job_log` VALUES (30452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:30');
INSERT INTO `sys_job_log` VALUES (30453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:12:30');
INSERT INTO `sys_job_log` VALUES (30454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:12:30');
INSERT INTO `sys_job_log` VALUES (30455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:12:30');
INSERT INTO `sys_job_log` VALUES (30456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:12:35');
INSERT INTO `sys_job_log` VALUES (30457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:12:35');
INSERT INTO `sys_job_log` VALUES (30458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:40');
INSERT INTO `sys_job_log` VALUES (30459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:12:40');
INSERT INTO `sys_job_log` VALUES (30460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:45');
INSERT INTO `sys_job_log` VALUES (30461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:45');
INSERT INTO `sys_job_log` VALUES (30462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:45');
INSERT INTO `sys_job_log` VALUES (30463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:12:45');
INSERT INTO `sys_job_log` VALUES (30464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:12:50');
INSERT INTO `sys_job_log` VALUES (30465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:12:50');
INSERT INTO `sys_job_log` VALUES (30466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:12:55');
INSERT INTO `sys_job_log` VALUES (30467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:12:55');
INSERT INTO `sys_job_log` VALUES (30468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:00');
INSERT INTO `sys_job_log` VALUES (30469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:00');
INSERT INTO `sys_job_log` VALUES (30470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:00');
INSERT INTO `sys_job_log` VALUES (30471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:00');
INSERT INTO `sys_job_log` VALUES (30472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 14:13:05');
INSERT INTO `sys_job_log` VALUES (30473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:05');
INSERT INTO `sys_job_log` VALUES (30474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:13:10');
INSERT INTO `sys_job_log` VALUES (30475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:13:10');
INSERT INTO `sys_job_log` VALUES (30476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 14:13:15');
INSERT INTO `sys_job_log` VALUES (30477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:13:15');
INSERT INTO `sys_job_log` VALUES (30478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:15');
INSERT INTO `sys_job_log` VALUES (30479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:15');
INSERT INTO `sys_job_log` VALUES (30480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:13:20');
INSERT INTO `sys_job_log` VALUES (30481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:20');
INSERT INTO `sys_job_log` VALUES (30482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:25');
INSERT INTO `sys_job_log` VALUES (30483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:13:25');
INSERT INTO `sys_job_log` VALUES (30484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:13:30');
INSERT INTO `sys_job_log` VALUES (30485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:13:30');
INSERT INTO `sys_job_log` VALUES (30486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:30');
INSERT INTO `sys_job_log` VALUES (30487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:13:30');
INSERT INTO `sys_job_log` VALUES (30488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:35');
INSERT INTO `sys_job_log` VALUES (30489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:13:35');
INSERT INTO `sys_job_log` VALUES (30490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:40');
INSERT INTO `sys_job_log` VALUES (30491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:40');
INSERT INTO `sys_job_log` VALUES (30492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:45');
INSERT INTO `sys_job_log` VALUES (30493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:13:45');
INSERT INTO `sys_job_log` VALUES (30494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:13:45');
INSERT INTO `sys_job_log` VALUES (30495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:45');
INSERT INTO `sys_job_log` VALUES (30496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:13:50');
INSERT INTO `sys_job_log` VALUES (30497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:13:50');
INSERT INTO `sys_job_log` VALUES (30498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:13:55');
INSERT INTO `sys_job_log` VALUES (30499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:13:55');
INSERT INTO `sys_job_log` VALUES (30500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:14:00');
INSERT INTO `sys_job_log` VALUES (30501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:14:00');
INSERT INTO `sys_job_log` VALUES (30502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:14:00');
INSERT INTO `sys_job_log` VALUES (30503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:14:00');
INSERT INTO `sys_job_log` VALUES (30504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:14:05');
INSERT INTO `sys_job_log` VALUES (30505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:14:05');
INSERT INTO `sys_job_log` VALUES (30506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:14:10');
INSERT INTO `sys_job_log` VALUES (30507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:10');
INSERT INTO `sys_job_log` VALUES (30508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:15');
INSERT INTO `sys_job_log` VALUES (30509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:15');
INSERT INTO `sys_job_log` VALUES (30510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:14:15');
INSERT INTO `sys_job_log` VALUES (30511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:14:15');
INSERT INTO `sys_job_log` VALUES (30512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2024-12-27 14:14:20');
INSERT INTO `sys_job_log` VALUES (30513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:14:20');
INSERT INTO `sys_job_log` VALUES (30514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:14:25');
INSERT INTO `sys_job_log` VALUES (30515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:14:25');
INSERT INTO `sys_job_log` VALUES (30516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:14:30');
INSERT INTO `sys_job_log` VALUES (30517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:14:30');
INSERT INTO `sys_job_log` VALUES (30518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:30');
INSERT INTO `sys_job_log` VALUES (30519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:30');
INSERT INTO `sys_job_log` VALUES (30520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:14:35');
INSERT INTO `sys_job_log` VALUES (30521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:35');
INSERT INTO `sys_job_log` VALUES (30522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:14:40');
INSERT INTO `sys_job_log` VALUES (30523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:14:40');
INSERT INTO `sys_job_log` VALUES (30524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:14:45');
INSERT INTO `sys_job_log` VALUES (30525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:14:45');
INSERT INTO `sys_job_log` VALUES (30526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:14:45');
INSERT INTO `sys_job_log` VALUES (30527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:14:45');
INSERT INTO `sys_job_log` VALUES (30528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:14:50');
INSERT INTO `sys_job_log` VALUES (30529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:14:50');
INSERT INTO `sys_job_log` VALUES (30530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:14:55');
INSERT INTO `sys_job_log` VALUES (30531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:14:55');
INSERT INTO `sys_job_log` VALUES (30532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:00');
INSERT INTO `sys_job_log` VALUES (30533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:15:00');
INSERT INTO `sys_job_log` VALUES (30534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:15:00');
INSERT INTO `sys_job_log` VALUES (30535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:15:00');
INSERT INTO `sys_job_log` VALUES (30536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:15:05');
INSERT INTO `sys_job_log` VALUES (30537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:05');
INSERT INTO `sys_job_log` VALUES (30538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 14:15:10');
INSERT INTO `sys_job_log` VALUES (30539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:15:10');
INSERT INTO `sys_job_log` VALUES (30540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：150毫秒', '0', '', '2024-12-27 14:15:15');
INSERT INTO `sys_job_log` VALUES (30541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-27 14:15:15');
INSERT INTO `sys_job_log` VALUES (30542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:15:15');
INSERT INTO `sys_job_log` VALUES (30543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:15:15');
INSERT INTO `sys_job_log` VALUES (30544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:20');
INSERT INTO `sys_job_log` VALUES (30545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:15:20');
INSERT INTO `sys_job_log` VALUES (30546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:15:25');
INSERT INTO `sys_job_log` VALUES (30547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:15:25');
INSERT INTO `sys_job_log` VALUES (30548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:15:30');
INSERT INTO `sys_job_log` VALUES (30549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:15:30');
INSERT INTO `sys_job_log` VALUES (30550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:30');
INSERT INTO `sys_job_log` VALUES (30551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:30');
INSERT INTO `sys_job_log` VALUES (30552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:15:35');
INSERT INTO `sys_job_log` VALUES (30553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:15:35');
INSERT INTO `sys_job_log` VALUES (30554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:15:40');
INSERT INTO `sys_job_log` VALUES (30555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:15:40');
INSERT INTO `sys_job_log` VALUES (30556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:15:45');
INSERT INTO `sys_job_log` VALUES (30557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:45');
INSERT INTO `sys_job_log` VALUES (30558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 14:15:45');
INSERT INTO `sys_job_log` VALUES (30559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:15:45');
INSERT INTO `sys_job_log` VALUES (30560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:15:50');
INSERT INTO `sys_job_log` VALUES (30561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:15:50');
INSERT INTO `sys_job_log` VALUES (30562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:15:55');
INSERT INTO `sys_job_log` VALUES (30563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:15:55');
INSERT INTO `sys_job_log` VALUES (30564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:00');
INSERT INTO `sys_job_log` VALUES (30565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:00');
INSERT INTO `sys_job_log` VALUES (30566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:16:00');
INSERT INTO `sys_job_log` VALUES (30567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:16:00');
INSERT INTO `sys_job_log` VALUES (30568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:16:05');
INSERT INTO `sys_job_log` VALUES (30569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:05');
INSERT INTO `sys_job_log` VALUES (30570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:16:10');
INSERT INTO `sys_job_log` VALUES (30571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-27 14:16:10');
INSERT INTO `sys_job_log` VALUES (30572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:15');
INSERT INTO `sys_job_log` VALUES (30573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:16:15');
INSERT INTO `sys_job_log` VALUES (30574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:16:15');
INSERT INTO `sys_job_log` VALUES (30575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:16:15');
INSERT INTO `sys_job_log` VALUES (30576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:16:20');
INSERT INTO `sys_job_log` VALUES (30577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:16:20');
INSERT INTO `sys_job_log` VALUES (30578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:16:25');
INSERT INTO `sys_job_log` VALUES (30579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:16:25');
INSERT INTO `sys_job_log` VALUES (30580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:30');
INSERT INTO `sys_job_log` VALUES (30581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:30');
INSERT INTO `sys_job_log` VALUES (30582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:16:30');
INSERT INTO `sys_job_log` VALUES (30583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:16:30');
INSERT INTO `sys_job_log` VALUES (30584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:35');
INSERT INTO `sys_job_log` VALUES (30585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:35');
INSERT INTO `sys_job_log` VALUES (30586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:16:40');
INSERT INTO `sys_job_log` VALUES (30587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:16:40');
INSERT INTO `sys_job_log` VALUES (30588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:45');
INSERT INTO `sys_job_log` VALUES (30589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:16:45');
INSERT INTO `sys_job_log` VALUES (30590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:16:45');
INSERT INTO `sys_job_log` VALUES (30591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:16:45');
INSERT INTO `sys_job_log` VALUES (30592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:16:50');
INSERT INTO `sys_job_log` VALUES (30593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:16:50');
INSERT INTO `sys_job_log` VALUES (30594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 14:16:55');
INSERT INTO `sys_job_log` VALUES (30595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:16:55');
INSERT INTO `sys_job_log` VALUES (30596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:00');
INSERT INTO `sys_job_log` VALUES (30597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:00');
INSERT INTO `sys_job_log` VALUES (30598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 14:17:00');
INSERT INTO `sys_job_log` VALUES (30599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 14:17:00');
INSERT INTO `sys_job_log` VALUES (30600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:17:05');
INSERT INTO `sys_job_log` VALUES (30601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:17:05');
INSERT INTO `sys_job_log` VALUES (30602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:17:10');
INSERT INTO `sys_job_log` VALUES (30603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:10');
INSERT INTO `sys_job_log` VALUES (30604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 14:17:15');
INSERT INTO `sys_job_log` VALUES (30605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 14:17:15');
INSERT INTO `sys_job_log` VALUES (30606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:17:15');
INSERT INTO `sys_job_log` VALUES (30607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:17:15');
INSERT INTO `sys_job_log` VALUES (30608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:17:20');
INSERT INTO `sys_job_log` VALUES (30609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:20');
INSERT INTO `sys_job_log` VALUES (30610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:17:25');
INSERT INTO `sys_job_log` VALUES (30611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:25');
INSERT INTO `sys_job_log` VALUES (30612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:17:30');
INSERT INTO `sys_job_log` VALUES (30613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:17:30');
INSERT INTO `sys_job_log` VALUES (30614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:30');
INSERT INTO `sys_job_log` VALUES (30615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:30');
INSERT INTO `sys_job_log` VALUES (30616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:17:35');
INSERT INTO `sys_job_log` VALUES (30617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:35');
INSERT INTO `sys_job_log` VALUES (30618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:17:40');
INSERT INTO `sys_job_log` VALUES (30619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:40');
INSERT INTO `sys_job_log` VALUES (30620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:45');
INSERT INTO `sys_job_log` VALUES (30621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:45');
INSERT INTO `sys_job_log` VALUES (30622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:45');
INSERT INTO `sys_job_log` VALUES (30623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:45');
INSERT INTO `sys_job_log` VALUES (30624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-27 14:17:50');
INSERT INTO `sys_job_log` VALUES (30625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:17:50');
INSERT INTO `sys_job_log` VALUES (30626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:17:55');
INSERT INTO `sys_job_log` VALUES (30627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:17:55');
INSERT INTO `sys_job_log` VALUES (30628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:18:00');
INSERT INTO `sys_job_log` VALUES (30629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:18:00');
INSERT INTO `sys_job_log` VALUES (30630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:18:00');
INSERT INTO `sys_job_log` VALUES (30631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:18:00');
INSERT INTO `sys_job_log` VALUES (30632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:18:05');
INSERT INTO `sys_job_log` VALUES (30633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:18:05');
INSERT INTO `sys_job_log` VALUES (30634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:18:10');
INSERT INTO `sys_job_log` VALUES (30635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:18:10');
INSERT INTO `sys_job_log` VALUES (30636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:18:15');
INSERT INTO `sys_job_log` VALUES (30637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:18:15');
INSERT INTO `sys_job_log` VALUES (30638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:18:15');
INSERT INTO `sys_job_log` VALUES (30639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:18:15');
INSERT INTO `sys_job_log` VALUES (30640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 14:18:20');
INSERT INTO `sys_job_log` VALUES (30641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:18:20');
INSERT INTO `sys_job_log` VALUES (30642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:18:25');
INSERT INTO `sys_job_log` VALUES (30643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:18:25');
INSERT INTO `sys_job_log` VALUES (30644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:18:30');
INSERT INTO `sys_job_log` VALUES (30645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:18:30');
INSERT INTO `sys_job_log` VALUES (30646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:18:30');
INSERT INTO `sys_job_log` VALUES (30647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:18:30');
INSERT INTO `sys_job_log` VALUES (30648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 14:18:35');
INSERT INTO `sys_job_log` VALUES (30649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:18:35');
INSERT INTO `sys_job_log` VALUES (30650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:18:40');
INSERT INTO `sys_job_log` VALUES (30651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:18:40');
INSERT INTO `sys_job_log` VALUES (30652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:18:45');
INSERT INTO `sys_job_log` VALUES (30653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:18:45');
INSERT INTO `sys_job_log` VALUES (30654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:18:45');
INSERT INTO `sys_job_log` VALUES (30655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:18:45');
INSERT INTO `sys_job_log` VALUES (30656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:18:50');
INSERT INTO `sys_job_log` VALUES (30657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:18:50');
INSERT INTO `sys_job_log` VALUES (30658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:18:55');
INSERT INTO `sys_job_log` VALUES (30659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:18:55');
INSERT INTO `sys_job_log` VALUES (30660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:19:00');
INSERT INTO `sys_job_log` VALUES (30661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:19:00');
INSERT INTO `sys_job_log` VALUES (30662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:19:00');
INSERT INTO `sys_job_log` VALUES (30663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:19:00');
INSERT INTO `sys_job_log` VALUES (30664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 14:19:05');
INSERT INTO `sys_job_log` VALUES (30665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:19:05');
INSERT INTO `sys_job_log` VALUES (30666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:19:10');
INSERT INTO `sys_job_log` VALUES (30667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:19:10');
INSERT INTO `sys_job_log` VALUES (30668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:19:15');
INSERT INTO `sys_job_log` VALUES (30669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:19:15');
INSERT INTO `sys_job_log` VALUES (30670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:19:15');
INSERT INTO `sys_job_log` VALUES (30671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:19:15');
INSERT INTO `sys_job_log` VALUES (30672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:19:20');
INSERT INTO `sys_job_log` VALUES (30673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:19:20');
INSERT INTO `sys_job_log` VALUES (30674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:19:25');
INSERT INTO `sys_job_log` VALUES (30675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:19:25');
INSERT INTO `sys_job_log` VALUES (30676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:19:30');
INSERT INTO `sys_job_log` VALUES (30677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 14:19:30');
INSERT INTO `sys_job_log` VALUES (30678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:19:30');
INSERT INTO `sys_job_log` VALUES (30679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:19:30');
INSERT INTO `sys_job_log` VALUES (30680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：119毫秒', '0', '', '2024-12-27 14:19:35');
INSERT INTO `sys_job_log` VALUES (30681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:19:35');
INSERT INTO `sys_job_log` VALUES (30682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:19:40');
INSERT INTO `sys_job_log` VALUES (30683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:19:40');
INSERT INTO `sys_job_log` VALUES (30684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:19:45');
INSERT INTO `sys_job_log` VALUES (30685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:19:45');
INSERT INTO `sys_job_log` VALUES (30686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:19:45');
INSERT INTO `sys_job_log` VALUES (30687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:19:45');
INSERT INTO `sys_job_log` VALUES (30688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:19:50');
INSERT INTO `sys_job_log` VALUES (30689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:19:50');
INSERT INTO `sys_job_log` VALUES (30690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:19:55');
INSERT INTO `sys_job_log` VALUES (30691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:19:55');
INSERT INTO `sys_job_log` VALUES (30692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:20:00');
INSERT INTO `sys_job_log` VALUES (30693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 14:20:00');
INSERT INTO `sys_job_log` VALUES (30694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:20:00');
INSERT INTO `sys_job_log` VALUES (30695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:20:00');
INSERT INTO `sys_job_log` VALUES (30696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:05');
INSERT INTO `sys_job_log` VALUES (30697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:05');
INSERT INTO `sys_job_log` VALUES (30698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:10');
INSERT INTO `sys_job_log` VALUES (30699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:20:10');
INSERT INTO `sys_job_log` VALUES (30700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:20:15');
INSERT INTO `sys_job_log` VALUES (30701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:20:15');
INSERT INTO `sys_job_log` VALUES (30702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:20:15');
INSERT INTO `sys_job_log` VALUES (30703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:20:15');
INSERT INTO `sys_job_log` VALUES (30704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:20');
INSERT INTO `sys_job_log` VALUES (30705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:20:20');
INSERT INTO `sys_job_log` VALUES (30706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:25');
INSERT INTO `sys_job_log` VALUES (30707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:25');
INSERT INTO `sys_job_log` VALUES (30708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-27 14:20:30');
INSERT INTO `sys_job_log` VALUES (30709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-27 14:20:30');
INSERT INTO `sys_job_log` VALUES (30710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:20:30');
INSERT INTO `sys_job_log` VALUES (30711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:20:30');
INSERT INTO `sys_job_log` VALUES (30712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:35');
INSERT INTO `sys_job_log` VALUES (30713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:20:35');
INSERT INTO `sys_job_log` VALUES (30714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:40');
INSERT INTO `sys_job_log` VALUES (30715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:40');
INSERT INTO `sys_job_log` VALUES (30716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:45');
INSERT INTO `sys_job_log` VALUES (30717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:45');
INSERT INTO `sys_job_log` VALUES (30718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:45');
INSERT INTO `sys_job_log` VALUES (30719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:20:45');
INSERT INTO `sys_job_log` VALUES (30720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:50');
INSERT INTO `sys_job_log` VALUES (30721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:20:50');
INSERT INTO `sys_job_log` VALUES (30722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:20:55');
INSERT INTO `sys_job_log` VALUES (30723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:20:55');
INSERT INTO `sys_job_log` VALUES (30724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:00');
INSERT INTO `sys_job_log` VALUES (30725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:00');
INSERT INTO `sys_job_log` VALUES (30726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:21:00');
INSERT INTO `sys_job_log` VALUES (30727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:21:00');
INSERT INTO `sys_job_log` VALUES (30728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:21:05');
INSERT INTO `sys_job_log` VALUES (30729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:21:05');
INSERT INTO `sys_job_log` VALUES (30730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:10');
INSERT INTO `sys_job_log` VALUES (30731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:10');
INSERT INTO `sys_job_log` VALUES (30732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 14:21:15');
INSERT INTO `sys_job_log` VALUES (30733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 14:21:15');
INSERT INTO `sys_job_log` VALUES (30734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:15');
INSERT INTO `sys_job_log` VALUES (30735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:15');
INSERT INTO `sys_job_log` VALUES (30736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:21:20');
INSERT INTO `sys_job_log` VALUES (30737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:21:20');
INSERT INTO `sys_job_log` VALUES (30738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:21:25');
INSERT INTO `sys_job_log` VALUES (30739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:25');
INSERT INTO `sys_job_log` VALUES (30740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:30');
INSERT INTO `sys_job_log` VALUES (30741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:30');
INSERT INTO `sys_job_log` VALUES (30742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:30');
INSERT INTO `sys_job_log` VALUES (30743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:30');
INSERT INTO `sys_job_log` VALUES (30744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:21:35');
INSERT INTO `sys_job_log` VALUES (30745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:21:35');
INSERT INTO `sys_job_log` VALUES (30746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:40');
INSERT INTO `sys_job_log` VALUES (30747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:21:40');
INSERT INTO `sys_job_log` VALUES (30748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:21:45');
INSERT INTO `sys_job_log` VALUES (30749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:21:45');
INSERT INTO `sys_job_log` VALUES (30750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:21:45');
INSERT INTO `sys_job_log` VALUES (30751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:21:45');
INSERT INTO `sys_job_log` VALUES (30752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:21:50');
INSERT INTO `sys_job_log` VALUES (30753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:21:50');
INSERT INTO `sys_job_log` VALUES (30754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:21:55');
INSERT INTO `sys_job_log` VALUES (30755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:21:55');
INSERT INTO `sys_job_log` VALUES (30756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:22:00');
INSERT INTO `sys_job_log` VALUES (30757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:22:00');
INSERT INTO `sys_job_log` VALUES (30758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:22:00');
INSERT INTO `sys_job_log` VALUES (30759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:22:00');
INSERT INTO `sys_job_log` VALUES (30760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:22:05');
INSERT INTO `sys_job_log` VALUES (30761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:22:05');
INSERT INTO `sys_job_log` VALUES (30762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:22:10');
INSERT INTO `sys_job_log` VALUES (30763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:22:10');
INSERT INTO `sys_job_log` VALUES (30764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:22:15');
INSERT INTO `sys_job_log` VALUES (30765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:22:15');
INSERT INTO `sys_job_log` VALUES (30766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:22:15');
INSERT INTO `sys_job_log` VALUES (30767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:22:15');
INSERT INTO `sys_job_log` VALUES (30768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:22:20');
INSERT INTO `sys_job_log` VALUES (30769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:22:20');
INSERT INTO `sys_job_log` VALUES (30770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:22:25');
INSERT INTO `sys_job_log` VALUES (30771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:22:25');
INSERT INTO `sys_job_log` VALUES (30772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:22:30');
INSERT INTO `sys_job_log` VALUES (30773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:22:30');
INSERT INTO `sys_job_log` VALUES (30774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:22:30');
INSERT INTO `sys_job_log` VALUES (30775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:22:30');
INSERT INTO `sys_job_log` VALUES (30776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:22:35');
INSERT INTO `sys_job_log` VALUES (30777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：273毫秒', '0', '', '2024-12-27 14:22:35');
INSERT INTO `sys_job_log` VALUES (30778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:22:40');
INSERT INTO `sys_job_log` VALUES (30779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:22:40');
INSERT INTO `sys_job_log` VALUES (30780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:22:45');
INSERT INTO `sys_job_log` VALUES (30781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:22:45');
INSERT INTO `sys_job_log` VALUES (30782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:22:45');
INSERT INTO `sys_job_log` VALUES (30783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:22:45');
INSERT INTO `sys_job_log` VALUES (30784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:22:50');
INSERT INTO `sys_job_log` VALUES (30785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:22:50');
INSERT INTO `sys_job_log` VALUES (30786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:22:55');
INSERT INTO `sys_job_log` VALUES (30787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:22:55');
INSERT INTO `sys_job_log` VALUES (30788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:23:00');
INSERT INTO `sys_job_log` VALUES (30789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:23:00');
INSERT INTO `sys_job_log` VALUES (30790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:00');
INSERT INTO `sys_job_log` VALUES (30791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:00');
INSERT INTO `sys_job_log` VALUES (30792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:23:05');
INSERT INTO `sys_job_log` VALUES (30793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:23:05');
INSERT INTO `sys_job_log` VALUES (30794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:23:10');
INSERT INTO `sys_job_log` VALUES (30795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:10');
INSERT INTO `sys_job_log` VALUES (30796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:23:15');
INSERT INTO `sys_job_log` VALUES (30797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:23:15');
INSERT INTO `sys_job_log` VALUES (30798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:15');
INSERT INTO `sys_job_log` VALUES (30799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:15');
INSERT INTO `sys_job_log` VALUES (30800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:23:20');
INSERT INTO `sys_job_log` VALUES (30801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:23:20');
INSERT INTO `sys_job_log` VALUES (30802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 14:23:25');
INSERT INTO `sys_job_log` VALUES (30803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:23:25');
INSERT INTO `sys_job_log` VALUES (30804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:23:30');
INSERT INTO `sys_job_log` VALUES (30805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:23:30');
INSERT INTO `sys_job_log` VALUES (30806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:23:30');
INSERT INTO `sys_job_log` VALUES (30807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:30');
INSERT INTO `sys_job_log` VALUES (30808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：138毫秒', '0', '', '2024-12-27 14:23:35');
INSERT INTO `sys_job_log` VALUES (30809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:23:35');
INSERT INTO `sys_job_log` VALUES (30810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:23:40');
INSERT INTO `sys_job_log` VALUES (30811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:23:40');
INSERT INTO `sys_job_log` VALUES (30812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:23:45');
INSERT INTO `sys_job_log` VALUES (30813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:23:45');
INSERT INTO `sys_job_log` VALUES (30814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：186毫秒', '0', '', '2024-12-27 14:23:45');
INSERT INTO `sys_job_log` VALUES (30815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：331毫秒', '0', '', '2024-12-27 14:23:45');
INSERT INTO `sys_job_log` VALUES (30816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-27 14:23:50');
INSERT INTO `sys_job_log` VALUES (30817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:23:50');
INSERT INTO `sys_job_log` VALUES (30818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:23:55');
INSERT INTO `sys_job_log` VALUES (30819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:23:55');
INSERT INTO `sys_job_log` VALUES (30820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-27 14:24:00');
INSERT INTO `sys_job_log` VALUES (30821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2024-12-27 14:24:00');
INSERT INTO `sys_job_log` VALUES (30822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:24:00');
INSERT INTO `sys_job_log` VALUES (30823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:00');
INSERT INTO `sys_job_log` VALUES (30824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2024-12-27 14:24:05');
INSERT INTO `sys_job_log` VALUES (30825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:24:05');
INSERT INTO `sys_job_log` VALUES (30826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2024-12-27 14:24:10');
INSERT INTO `sys_job_log` VALUES (30827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:24:10');
INSERT INTO `sys_job_log` VALUES (30828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:15');
INSERT INTO `sys_job_log` VALUES (30829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:24:15');
INSERT INTO `sys_job_log` VALUES (30830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:24:15');
INSERT INTO `sys_job_log` VALUES (30831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:24:15');
INSERT INTO `sys_job_log` VALUES (30832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:20');
INSERT INTO `sys_job_log` VALUES (30833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:24:20');
INSERT INTO `sys_job_log` VALUES (30834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：121毫秒', '0', '', '2024-12-27 14:24:25');
INSERT INTO `sys_job_log` VALUES (30835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:24:25');
INSERT INTO `sys_job_log` VALUES (30836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:30');
INSERT INTO `sys_job_log` VALUES (30837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:24:30');
INSERT INTO `sys_job_log` VALUES (30838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:24:30');
INSERT INTO `sys_job_log` VALUES (30839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:24:30');
INSERT INTO `sys_job_log` VALUES (30840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:35');
INSERT INTO `sys_job_log` VALUES (30841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：294毫秒', '0', '', '2024-12-27 14:24:35');
INSERT INTO `sys_job_log` VALUES (30842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:40');
INSERT INTO `sys_job_log` VALUES (30843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:40');
INSERT INTO `sys_job_log` VALUES (30844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 14:24:45');
INSERT INTO `sys_job_log` VALUES (30845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 14:24:45');
INSERT INTO `sys_job_log` VALUES (30846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:24:45');
INSERT INTO `sys_job_log` VALUES (30847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:24:45');
INSERT INTO `sys_job_log` VALUES (30848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:24:50');
INSERT INTO `sys_job_log` VALUES (30849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:24:50');
INSERT INTO `sys_job_log` VALUES (30850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 14:24:55');
INSERT INTO `sys_job_log` VALUES (30851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:24:55');
INSERT INTO `sys_job_log` VALUES (30852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:25:00');
INSERT INTO `sys_job_log` VALUES (30853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:25:00');
INSERT INTO `sys_job_log` VALUES (30854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:25:00');
INSERT INTO `sys_job_log` VALUES (30855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:25:00');
INSERT INTO `sys_job_log` VALUES (30856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:05');
INSERT INTO `sys_job_log` VALUES (30857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:05');
INSERT INTO `sys_job_log` VALUES (30858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:25:10');
INSERT INTO `sys_job_log` VALUES (30859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:25:10');
INSERT INTO `sys_job_log` VALUES (30860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 14:25:15');
INSERT INTO `sys_job_log` VALUES (30861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 14:25:15');
INSERT INTO `sys_job_log` VALUES (30862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:15');
INSERT INTO `sys_job_log` VALUES (30863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:15');
INSERT INTO `sys_job_log` VALUES (30864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:25:20');
INSERT INTO `sys_job_log` VALUES (30865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:25:20');
INSERT INTO `sys_job_log` VALUES (30866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:25:25');
INSERT INTO `sys_job_log` VALUES (30867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:25');
INSERT INTO `sys_job_log` VALUES (30868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:25:30');
INSERT INTO `sys_job_log` VALUES (30869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:25:30');
INSERT INTO `sys_job_log` VALUES (30870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:25:30');
INSERT INTO `sys_job_log` VALUES (30871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:25:30');
INSERT INTO `sys_job_log` VALUES (30872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:25:35');
INSERT INTO `sys_job_log` VALUES (30873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:35');
INSERT INTO `sys_job_log` VALUES (30874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:25:40');
INSERT INTO `sys_job_log` VALUES (30875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:25:40');
INSERT INTO `sys_job_log` VALUES (30876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：118毫秒', '0', '', '2024-12-27 14:25:45');
INSERT INTO `sys_job_log` VALUES (30877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2024-12-27 14:25:45');
INSERT INTO `sys_job_log` VALUES (30878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:25:45');
INSERT INTO `sys_job_log` VALUES (30879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:25:45');
INSERT INTO `sys_job_log` VALUES (30880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:25:50');
INSERT INTO `sys_job_log` VALUES (30881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:50');
INSERT INTO `sys_job_log` VALUES (30882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:25:55');
INSERT INTO `sys_job_log` VALUES (30883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:25:55');
INSERT INTO `sys_job_log` VALUES (30884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:00');
INSERT INTO `sys_job_log` VALUES (30885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:26:00');
INSERT INTO `sys_job_log` VALUES (30886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:00');
INSERT INTO `sys_job_log` VALUES (30887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:00');
INSERT INTO `sys_job_log` VALUES (30888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 14:26:05');
INSERT INTO `sys_job_log` VALUES (30889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:26:05');
INSERT INTO `sys_job_log` VALUES (30890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:26:10');
INSERT INTO `sys_job_log` VALUES (30891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:10');
INSERT INTO `sys_job_log` VALUES (30892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2024-12-27 14:26:15');
INSERT INTO `sys_job_log` VALUES (30893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-27 14:26:15');
INSERT INTO `sys_job_log` VALUES (30894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:26:15');
INSERT INTO `sys_job_log` VALUES (30895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:26:15');
INSERT INTO `sys_job_log` VALUES (30896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 14:26:20');
INSERT INTO `sys_job_log` VALUES (30897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：121毫秒', '0', '', '2024-12-27 14:26:20');
INSERT INTO `sys_job_log` VALUES (30898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:26:25');
INSERT INTO `sys_job_log` VALUES (30899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:26:25');
INSERT INTO `sys_job_log` VALUES (30900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:26:30');
INSERT INTO `sys_job_log` VALUES (30901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:26:30');
INSERT INTO `sys_job_log` VALUES (30902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:26:30');
INSERT INTO `sys_job_log` VALUES (30903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:26:30');
INSERT INTO `sys_job_log` VALUES (30904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:26:35');
INSERT INTO `sys_job_log` VALUES (30905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:26:35');
INSERT INTO `sys_job_log` VALUES (30906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：132毫秒', '0', '', '2024-12-27 14:26:40');
INSERT INTO `sys_job_log` VALUES (30907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:26:40');
INSERT INTO `sys_job_log` VALUES (30908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:26:45');
INSERT INTO `sys_job_log` VALUES (30909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:26:45');
INSERT INTO `sys_job_log` VALUES (30910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:26:45');
INSERT INTO `sys_job_log` VALUES (30911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:45');
INSERT INTO `sys_job_log` VALUES (30912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:50');
INSERT INTO `sys_job_log` VALUES (30913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：223毫秒', '0', '', '2024-12-27 14:26:50');
INSERT INTO `sys_job_log` VALUES (30914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:26:55');
INSERT INTO `sys_job_log` VALUES (30915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:26:55');
INSERT INTO `sys_job_log` VALUES (30916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:27:00');
INSERT INTO `sys_job_log` VALUES (30917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:00');
INSERT INTO `sys_job_log` VALUES (30918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:27:00');
INSERT INTO `sys_job_log` VALUES (30919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:27:00');
INSERT INTO `sys_job_log` VALUES (30920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:05');
INSERT INTO `sys_job_log` VALUES (30921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:05');
INSERT INTO `sys_job_log` VALUES (30922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:27:10');
INSERT INTO `sys_job_log` VALUES (30923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:10');
INSERT INTO `sys_job_log` VALUES (30924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:27:15');
INSERT INTO `sys_job_log` VALUES (30925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:27:15');
INSERT INTO `sys_job_log` VALUES (30926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:27:15');
INSERT INTO `sys_job_log` VALUES (30927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:27:15');
INSERT INTO `sys_job_log` VALUES (30928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:20');
INSERT INTO `sys_job_log` VALUES (30929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:27:20');
INSERT INTO `sys_job_log` VALUES (30930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:27:25');
INSERT INTO `sys_job_log` VALUES (30931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:25');
INSERT INTO `sys_job_log` VALUES (30932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:27:30');
INSERT INTO `sys_job_log` VALUES (30933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:27:30');
INSERT INTO `sys_job_log` VALUES (30934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:27:30');
INSERT INTO `sys_job_log` VALUES (30935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:27:30');
INSERT INTO `sys_job_log` VALUES (30936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:35');
INSERT INTO `sys_job_log` VALUES (30937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:27:35');
INSERT INTO `sys_job_log` VALUES (30938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:27:40');
INSERT INTO `sys_job_log` VALUES (30939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:27:40');
INSERT INTO `sys_job_log` VALUES (30940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:45');
INSERT INTO `sys_job_log` VALUES (30941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:45');
INSERT INTO `sys_job_log` VALUES (30942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:27:45');
INSERT INTO `sys_job_log` VALUES (30943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:27:45');
INSERT INTO `sys_job_log` VALUES (30944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:27:50');
INSERT INTO `sys_job_log` VALUES (30945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 14:27:50');
INSERT INTO `sys_job_log` VALUES (30946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:27:55');
INSERT INTO `sys_job_log` VALUES (30947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:27:55');
INSERT INTO `sys_job_log` VALUES (30948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:00');
INSERT INTO `sys_job_log` VALUES (30949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:00');
INSERT INTO `sys_job_log` VALUES (30950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:28:00');
INSERT INTO `sys_job_log` VALUES (30951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:28:00');
INSERT INTO `sys_job_log` VALUES (30952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:28:05');
INSERT INTO `sys_job_log` VALUES (30953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:28:05');
INSERT INTO `sys_job_log` VALUES (30954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:28:10');
INSERT INTO `sys_job_log` VALUES (30955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:28:10');
INSERT INTO `sys_job_log` VALUES (30956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:28:15');
INSERT INTO `sys_job_log` VALUES (30957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:28:15');
INSERT INTO `sys_job_log` VALUES (30958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:15');
INSERT INTO `sys_job_log` VALUES (30959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:15');
INSERT INTO `sys_job_log` VALUES (30960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:20');
INSERT INTO `sys_job_log` VALUES (30961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:28:20');
INSERT INTO `sys_job_log` VALUES (30962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:25');
INSERT INTO `sys_job_log` VALUES (30963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:25');
INSERT INTO `sys_job_log` VALUES (30964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:30');
INSERT INTO `sys_job_log` VALUES (30965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:30');
INSERT INTO `sys_job_log` VALUES (30966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:28:30');
INSERT INTO `sys_job_log` VALUES (30967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:28:30');
INSERT INTO `sys_job_log` VALUES (30968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:35');
INSERT INTO `sys_job_log` VALUES (30969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:28:35');
INSERT INTO `sys_job_log` VALUES (30970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:40');
INSERT INTO `sys_job_log` VALUES (30971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:40');
INSERT INTO `sys_job_log` VALUES (30972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:45');
INSERT INTO `sys_job_log` VALUES (30973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:28:45');
INSERT INTO `sys_job_log` VALUES (30974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:28:45');
INSERT INTO `sys_job_log` VALUES (30975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:28:45');
INSERT INTO `sys_job_log` VALUES (30976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:28:50');
INSERT INTO `sys_job_log` VALUES (30977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:50');
INSERT INTO `sys_job_log` VALUES (30978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:28:55');
INSERT INTO `sys_job_log` VALUES (30979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:28:55');
INSERT INTO `sys_job_log` VALUES (30980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:29:00');
INSERT INTO `sys_job_log` VALUES (30981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:29:00');
INSERT INTO `sys_job_log` VALUES (30982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:29:00');
INSERT INTO `sys_job_log` VALUES (30983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:29:00');
INSERT INTO `sys_job_log` VALUES (30984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:29:05');
INSERT INTO `sys_job_log` VALUES (30985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:29:05');
INSERT INTO `sys_job_log` VALUES (30986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:29:10');
INSERT INTO `sys_job_log` VALUES (30987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:29:10');
INSERT INTO `sys_job_log` VALUES (30988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:29:15');
INSERT INTO `sys_job_log` VALUES (30989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:29:15');
INSERT INTO `sys_job_log` VALUES (30990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:29:15');
INSERT INTO `sys_job_log` VALUES (30991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:29:15');
INSERT INTO `sys_job_log` VALUES (30992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:29:20');
INSERT INTO `sys_job_log` VALUES (30993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:29:20');
INSERT INTO `sys_job_log` VALUES (30994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:29:25');
INSERT INTO `sys_job_log` VALUES (30995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:29:25');
INSERT INTO `sys_job_log` VALUES (30996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:30');
INSERT INTO `sys_job_log` VALUES (30997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:30');
INSERT INTO `sys_job_log` VALUES (30998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:29:30');
INSERT INTO `sys_job_log` VALUES (30999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:29:30');
INSERT INTO `sys_job_log` VALUES (31000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:29:35');
INSERT INTO `sys_job_log` VALUES (31001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:35');
INSERT INTO `sys_job_log` VALUES (31002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 14:29:40');
INSERT INTO `sys_job_log` VALUES (31003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:40');
INSERT INTO `sys_job_log` VALUES (31004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:45');
INSERT INTO `sys_job_log` VALUES (31005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:29:45');
INSERT INTO `sys_job_log` VALUES (31006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:29:45');
INSERT INTO `sys_job_log` VALUES (31007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:29:45');
INSERT INTO `sys_job_log` VALUES (31008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:50');
INSERT INTO `sys_job_log` VALUES (31009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:50');
INSERT INTO `sys_job_log` VALUES (31010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:29:55');
INSERT INTO `sys_job_log` VALUES (31011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:29:55');
INSERT INTO `sys_job_log` VALUES (31012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:30:00');
INSERT INTO `sys_job_log` VALUES (31013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:30:00');
INSERT INTO `sys_job_log` VALUES (31014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:30:00');
INSERT INTO `sys_job_log` VALUES (31015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:30:00');
INSERT INTO `sys_job_log` VALUES (31016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:30:05');
INSERT INTO `sys_job_log` VALUES (31017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:30:05');
INSERT INTO `sys_job_log` VALUES (31018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:10');
INSERT INTO `sys_job_log` VALUES (31019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:30:10');
INSERT INTO `sys_job_log` VALUES (31020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:15');
INSERT INTO `sys_job_log` VALUES (31021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:15');
INSERT INTO `sys_job_log` VALUES (31022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:30:15');
INSERT INTO `sys_job_log` VALUES (31023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:30:15');
INSERT INTO `sys_job_log` VALUES (31024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:30:20');
INSERT INTO `sys_job_log` VALUES (31025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:30:20');
INSERT INTO `sys_job_log` VALUES (31026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:30:25');
INSERT INTO `sys_job_log` VALUES (31027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:25');
INSERT INTO `sys_job_log` VALUES (31028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:30:30');
INSERT INTO `sys_job_log` VALUES (31029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:30:30');
INSERT INTO `sys_job_log` VALUES (31030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:30:30');
INSERT INTO `sys_job_log` VALUES (31031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:30:30');
INSERT INTO `sys_job_log` VALUES (31032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:35');
INSERT INTO `sys_job_log` VALUES (31033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:35');
INSERT INTO `sys_job_log` VALUES (31034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:30:40');
INSERT INTO `sys_job_log` VALUES (31035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:30:40');
INSERT INTO `sys_job_log` VALUES (31036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:30:45');
INSERT INTO `sys_job_log` VALUES (31037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:30:45');
INSERT INTO `sys_job_log` VALUES (31038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:30:45');
INSERT INTO `sys_job_log` VALUES (31039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:30:45');
INSERT INTO `sys_job_log` VALUES (31040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:30:50');
INSERT INTO `sys_job_log` VALUES (31041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:30:50');
INSERT INTO `sys_job_log` VALUES (31042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:30:55');
INSERT INTO `sys_job_log` VALUES (31043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:30:55');
INSERT INTO `sys_job_log` VALUES (31044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:31:00');
INSERT INTO `sys_job_log` VALUES (31045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:00');
INSERT INTO `sys_job_log` VALUES (31046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:00');
INSERT INTO `sys_job_log` VALUES (31047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:00');
INSERT INTO `sys_job_log` VALUES (31048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:31:05');
INSERT INTO `sys_job_log` VALUES (31049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:05');
INSERT INTO `sys_job_log` VALUES (31050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:10');
INSERT INTO `sys_job_log` VALUES (31051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:31:10');
INSERT INTO `sys_job_log` VALUES (31052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:31:15');
INSERT INTO `sys_job_log` VALUES (31053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:31:15');
INSERT INTO `sys_job_log` VALUES (31054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:31:15');
INSERT INTO `sys_job_log` VALUES (31055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:31:15');
INSERT INTO `sys_job_log` VALUES (31056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:31:20');
INSERT INTO `sys_job_log` VALUES (31057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:31:20');
INSERT INTO `sys_job_log` VALUES (31058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:31:25');
INSERT INTO `sys_job_log` VALUES (31059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:25');
INSERT INTO `sys_job_log` VALUES (31060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:31:30');
INSERT INTO `sys_job_log` VALUES (31061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:31:30');
INSERT INTO `sys_job_log` VALUES (31062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:31:30');
INSERT INTO `sys_job_log` VALUES (31063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:31:30');
INSERT INTO `sys_job_log` VALUES (31064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:31:35');
INSERT INTO `sys_job_log` VALUES (31065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:35');
INSERT INTO `sys_job_log` VALUES (31066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:31:40');
INSERT INTO `sys_job_log` VALUES (31067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:40');
INSERT INTO `sys_job_log` VALUES (31068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:45');
INSERT INTO `sys_job_log` VALUES (31069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:31:45');
INSERT INTO `sys_job_log` VALUES (31070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:31:45');
INSERT INTO `sys_job_log` VALUES (31071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:31:45');
INSERT INTO `sys_job_log` VALUES (31072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:31:50');
INSERT INTO `sys_job_log` VALUES (31073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:31:50');
INSERT INTO `sys_job_log` VALUES (31074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:31:55');
INSERT INTO `sys_job_log` VALUES (31075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:31:55');
INSERT INTO `sys_job_log` VALUES (31076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:32:00');
INSERT INTO `sys_job_log` VALUES (31077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:32:00');
INSERT INTO `sys_job_log` VALUES (31078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:00');
INSERT INTO `sys_job_log` VALUES (31079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:00');
INSERT INTO `sys_job_log` VALUES (31080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:32:05');
INSERT INTO `sys_job_log` VALUES (31081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:32:05');
INSERT INTO `sys_job_log` VALUES (31082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:10');
INSERT INTO `sys_job_log` VALUES (31083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:32:10');
INSERT INTO `sys_job_log` VALUES (31084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:32:15');
INSERT INTO `sys_job_log` VALUES (31085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:32:15');
INSERT INTO `sys_job_log` VALUES (31086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:32:15');
INSERT INTO `sys_job_log` VALUES (31087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:32:15');
INSERT INTO `sys_job_log` VALUES (31088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:20');
INSERT INTO `sys_job_log` VALUES (31089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:32:20');
INSERT INTO `sys_job_log` VALUES (31090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:25');
INSERT INTO `sys_job_log` VALUES (31091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:25');
INSERT INTO `sys_job_log` VALUES (31092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:32:30');
INSERT INTO `sys_job_log` VALUES (31093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:32:30');
INSERT INTO `sys_job_log` VALUES (31094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:32:30');
INSERT INTO `sys_job_log` VALUES (31095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:32:30');
INSERT INTO `sys_job_log` VALUES (31096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:32:35');
INSERT INTO `sys_job_log` VALUES (31097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:35');
INSERT INTO `sys_job_log` VALUES (31098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:40');
INSERT INTO `sys_job_log` VALUES (31099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:40');
INSERT INTO `sys_job_log` VALUES (31100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:45');
INSERT INTO `sys_job_log` VALUES (31101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:45');
INSERT INTO `sys_job_log` VALUES (31102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:45');
INSERT INTO `sys_job_log` VALUES (31103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:45');
INSERT INTO `sys_job_log` VALUES (31104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:32:50');
INSERT INTO `sys_job_log` VALUES (31105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:32:50');
INSERT INTO `sys_job_log` VALUES (31106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:32:55');
INSERT INTO `sys_job_log` VALUES (31107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:32:55');
INSERT INTO `sys_job_log` VALUES (31108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:33:00');
INSERT INTO `sys_job_log` VALUES (31109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 14:33:00');
INSERT INTO `sys_job_log` VALUES (31110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:00');
INSERT INTO `sys_job_log` VALUES (31111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:00');
INSERT INTO `sys_job_log` VALUES (31112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:33:05');
INSERT INTO `sys_job_log` VALUES (31113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:33:05');
INSERT INTO `sys_job_log` VALUES (31114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:10');
INSERT INTO `sys_job_log` VALUES (31115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:33:10');
INSERT INTO `sys_job_log` VALUES (31116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:15');
INSERT INTO `sys_job_log` VALUES (31117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:33:15');
INSERT INTO `sys_job_log` VALUES (31118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:15');
INSERT INTO `sys_job_log` VALUES (31119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:15');
INSERT INTO `sys_job_log` VALUES (31120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:33:20');
INSERT INTO `sys_job_log` VALUES (31121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:33:20');
INSERT INTO `sys_job_log` VALUES (31122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:33:25');
INSERT INTO `sys_job_log` VALUES (31123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:33:25');
INSERT INTO `sys_job_log` VALUES (31124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:33:30');
INSERT INTO `sys_job_log` VALUES (31125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:30');
INSERT INTO `sys_job_log` VALUES (31126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:33:30');
INSERT INTO `sys_job_log` VALUES (31127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:30');
INSERT INTO `sys_job_log` VALUES (31128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:35');
INSERT INTO `sys_job_log` VALUES (31129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:35');
INSERT INTO `sys_job_log` VALUES (31130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:33:40');
INSERT INTO `sys_job_log` VALUES (31131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:33:40');
INSERT INTO `sys_job_log` VALUES (31132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:45');
INSERT INTO `sys_job_log` VALUES (31133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:45');
INSERT INTO `sys_job_log` VALUES (31134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:45');
INSERT INTO `sys_job_log` VALUES (31135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:45');
INSERT INTO `sys_job_log` VALUES (31136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:33:50');
INSERT INTO `sys_job_log` VALUES (31137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:33:50');
INSERT INTO `sys_job_log` VALUES (31138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:33:55');
INSERT INTO `sys_job_log` VALUES (31139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:33:55');
INSERT INTO `sys_job_log` VALUES (31140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:34:00');
INSERT INTO `sys_job_log` VALUES (31141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:00');
INSERT INTO `sys_job_log` VALUES (31142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:34:00');
INSERT INTO `sys_job_log` VALUES (31143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:34:00');
INSERT INTO `sys_job_log` VALUES (31144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:34:05');
INSERT INTO `sys_job_log` VALUES (31145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:34:05');
INSERT INTO `sys_job_log` VALUES (31146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:34:10');
INSERT INTO `sys_job_log` VALUES (31147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:34:10');
INSERT INTO `sys_job_log` VALUES (31148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:15');
INSERT INTO `sys_job_log` VALUES (31149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:15');
INSERT INTO `sys_job_log` VALUES (31150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:15');
INSERT INTO `sys_job_log` VALUES (31151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:15');
INSERT INTO `sys_job_log` VALUES (31152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:34:20');
INSERT INTO `sys_job_log` VALUES (31153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:20');
INSERT INTO `sys_job_log` VALUES (31154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:34:25');
INSERT INTO `sys_job_log` VALUES (31155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:25');
INSERT INTO `sys_job_log` VALUES (31156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:34:30');
INSERT INTO `sys_job_log` VALUES (31157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:34:30');
INSERT INTO `sys_job_log` VALUES (31158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:34:30');
INSERT INTO `sys_job_log` VALUES (31159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:34:30');
INSERT INTO `sys_job_log` VALUES (31160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:35');
INSERT INTO `sys_job_log` VALUES (31161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:34:35');
INSERT INTO `sys_job_log` VALUES (31162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:34:40');
INSERT INTO `sys_job_log` VALUES (31163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:40');
INSERT INTO `sys_job_log` VALUES (31164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:34:45');
INSERT INTO `sys_job_log` VALUES (31165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:34:45');
INSERT INTO `sys_job_log` VALUES (31166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:45');
INSERT INTO `sys_job_log` VALUES (31167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:45');
INSERT INTO `sys_job_log` VALUES (31168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:34:50');
INSERT INTO `sys_job_log` VALUES (31169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:34:50');
INSERT INTO `sys_job_log` VALUES (31170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:34:55');
INSERT INTO `sys_job_log` VALUES (31171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 14:34:55');
INSERT INTO `sys_job_log` VALUES (31172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:35:00');
INSERT INTO `sys_job_log` VALUES (31173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:35:00');
INSERT INTO `sys_job_log` VALUES (31174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:00');
INSERT INTO `sys_job_log` VALUES (31175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:00');
INSERT INTO `sys_job_log` VALUES (31176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:35:05');
INSERT INTO `sys_job_log` VALUES (31177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:35:05');
INSERT INTO `sys_job_log` VALUES (31178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:10');
INSERT INTO `sys_job_log` VALUES (31179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:10');
INSERT INTO `sys_job_log` VALUES (31180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:15');
INSERT INTO `sys_job_log` VALUES (31181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:15');
INSERT INTO `sys_job_log` VALUES (31182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:15');
INSERT INTO `sys_job_log` VALUES (31183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:15');
INSERT INTO `sys_job_log` VALUES (31184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:20');
INSERT INTO `sys_job_log` VALUES (31185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:35:20');
INSERT INTO `sys_job_log` VALUES (31186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:25');
INSERT INTO `sys_job_log` VALUES (31187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:35:25');
INSERT INTO `sys_job_log` VALUES (31188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 14:35:30');
INSERT INTO `sys_job_log` VALUES (31189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:35:30');
INSERT INTO `sys_job_log` VALUES (31190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:35:30');
INSERT INTO `sys_job_log` VALUES (31191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:35:30');
INSERT INTO `sys_job_log` VALUES (31192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:35:35');
INSERT INTO `sys_job_log` VALUES (31193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:35:35');
INSERT INTO `sys_job_log` VALUES (31194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:40');
INSERT INTO `sys_job_log` VALUES (31195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:35:40');
INSERT INTO `sys_job_log` VALUES (31196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:45');
INSERT INTO `sys_job_log` VALUES (31197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:45');
INSERT INTO `sys_job_log` VALUES (31198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:45');
INSERT INTO `sys_job_log` VALUES (31199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:45');
INSERT INTO `sys_job_log` VALUES (31200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:50');
INSERT INTO `sys_job_log` VALUES (31201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:35:50');
INSERT INTO `sys_job_log` VALUES (31202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 14:35:55');
INSERT INTO `sys_job_log` VALUES (31203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:35:55');
INSERT INTO `sys_job_log` VALUES (31204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 14:36:00');
INSERT INTO `sys_job_log` VALUES (31205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 14:36:00');
INSERT INTO `sys_job_log` VALUES (31206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:36:00');
INSERT INTO `sys_job_log` VALUES (31207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:36:00');
INSERT INTO `sys_job_log` VALUES (31208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:05');
INSERT INTO `sys_job_log` VALUES (31209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:05');
INSERT INTO `sys_job_log` VALUES (31210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:10');
INSERT INTO `sys_job_log` VALUES (31211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:36:10');
INSERT INTO `sys_job_log` VALUES (31212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:15');
INSERT INTO `sys_job_log` VALUES (31213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:15');
INSERT INTO `sys_job_log` VALUES (31214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:15');
INSERT INTO `sys_job_log` VALUES (31215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:15');
INSERT INTO `sys_job_log` VALUES (31216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:36:20');
INSERT INTO `sys_job_log` VALUES (31217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:20');
INSERT INTO `sys_job_log` VALUES (31218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:25');
INSERT INTO `sys_job_log` VALUES (31219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:36:25');
INSERT INTO `sys_job_log` VALUES (31220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:30');
INSERT INTO `sys_job_log` VALUES (31221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:30');
INSERT INTO `sys_job_log` VALUES (31222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：138毫秒', '0', '', '2024-12-27 14:36:30');
INSERT INTO `sys_job_log` VALUES (31223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：138毫秒', '0', '', '2024-12-27 14:36:30');
INSERT INTO `sys_job_log` VALUES (31224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:35');
INSERT INTO `sys_job_log` VALUES (31225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:35');
INSERT INTO `sys_job_log` VALUES (31226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:40');
INSERT INTO `sys_job_log` VALUES (31227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:36:40');
INSERT INTO `sys_job_log` VALUES (31228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:36:45');
INSERT INTO `sys_job_log` VALUES (31229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:36:45');
INSERT INTO `sys_job_log` VALUES (31230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:45');
INSERT INTO `sys_job_log` VALUES (31231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:45');
INSERT INTO `sys_job_log` VALUES (31232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:36:50');
INSERT INTO `sys_job_log` VALUES (31233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:36:50');
INSERT INTO `sys_job_log` VALUES (31234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:36:55');
INSERT INTO `sys_job_log` VALUES (31235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:36:55');
INSERT INTO `sys_job_log` VALUES (31236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:00');
INSERT INTO `sys_job_log` VALUES (31237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:00');
INSERT INTO `sys_job_log` VALUES (31238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:00');
INSERT INTO `sys_job_log` VALUES (31239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:00');
INSERT INTO `sys_job_log` VALUES (31240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 14:37:05');
INSERT INTO `sys_job_log` VALUES (31241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:37:05');
INSERT INTO `sys_job_log` VALUES (31242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:37:10');
INSERT INTO `sys_job_log` VALUES (31243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:10');
INSERT INTO `sys_job_log` VALUES (31244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 14:37:15');
INSERT INTO `sys_job_log` VALUES (31245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 14:37:15');
INSERT INTO `sys_job_log` VALUES (31246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:15');
INSERT INTO `sys_job_log` VALUES (31247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:37:15');
INSERT INTO `sys_job_log` VALUES (31248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2024-12-27 14:37:20');
INSERT INTO `sys_job_log` VALUES (31249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:20');
INSERT INTO `sys_job_log` VALUES (31250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:37:25');
INSERT INTO `sys_job_log` VALUES (31251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:25');
INSERT INTO `sys_job_log` VALUES (31252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:30');
INSERT INTO `sys_job_log` VALUES (31253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:30');
INSERT INTO `sys_job_log` VALUES (31254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：238毫秒', '0', '', '2024-12-27 14:37:30');
INSERT INTO `sys_job_log` VALUES (31255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '0', '', '2024-12-27 14:37:30');
INSERT INTO `sys_job_log` VALUES (31256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-27 14:37:35');
INSERT INTO `sys_job_log` VALUES (31257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:35');
INSERT INTO `sys_job_log` VALUES (31258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:40');
INSERT INTO `sys_job_log` VALUES (31259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:37:40');
INSERT INTO `sys_job_log` VALUES (31260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:45');
INSERT INTO `sys_job_log` VALUES (31261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:45');
INSERT INTO `sys_job_log` VALUES (31262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:37:45');
INSERT INTO `sys_job_log` VALUES (31263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:37:45');
INSERT INTO `sys_job_log` VALUES (31264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:37:50');
INSERT INTO `sys_job_log` VALUES (31265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:37:50');
INSERT INTO `sys_job_log` VALUES (31266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:37:55');
INSERT INTO `sys_job_log` VALUES (31267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:37:55');
INSERT INTO `sys_job_log` VALUES (31268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:00');
INSERT INTO `sys_job_log` VALUES (31269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:00');
INSERT INTO `sys_job_log` VALUES (31270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:00');
INSERT INTO `sys_job_log` VALUES (31271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:00');
INSERT INTO `sys_job_log` VALUES (31272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:05');
INSERT INTO `sys_job_log` VALUES (31273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:38:05');
INSERT INTO `sys_job_log` VALUES (31274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:38:10');
INSERT INTO `sys_job_log` VALUES (31275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:10');
INSERT INTO `sys_job_log` VALUES (31276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:15');
INSERT INTO `sys_job_log` VALUES (31277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:15');
INSERT INTO `sys_job_log` VALUES (31278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:15');
INSERT INTO `sys_job_log` VALUES (31279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:15');
INSERT INTO `sys_job_log` VALUES (31280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:38:20');
INSERT INTO `sys_job_log` VALUES (31281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:38:20');
INSERT INTO `sys_job_log` VALUES (31282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:25');
INSERT INTO `sys_job_log` VALUES (31283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:38:25');
INSERT INTO `sys_job_log` VALUES (31284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:38:30');
INSERT INTO `sys_job_log` VALUES (31285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:30');
INSERT INTO `sys_job_log` VALUES (31286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:38:30');
INSERT INTO `sys_job_log` VALUES (31287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:38:30');
INSERT INTO `sys_job_log` VALUES (31288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:35');
INSERT INTO `sys_job_log` VALUES (31289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:38:35');
INSERT INTO `sys_job_log` VALUES (31290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:40');
INSERT INTO `sys_job_log` VALUES (31291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:38:40');
INSERT INTO `sys_job_log` VALUES (31292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:45');
INSERT INTO `sys_job_log` VALUES (31293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:38:45');
INSERT INTO `sys_job_log` VALUES (31294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:38:45');
INSERT INTO `sys_job_log` VALUES (31295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:38:45');
INSERT INTO `sys_job_log` VALUES (31296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:38:50');
INSERT INTO `sys_job_log` VALUES (31297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:50');
INSERT INTO `sys_job_log` VALUES (31298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:55');
INSERT INTO `sys_job_log` VALUES (31299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:38:55');
INSERT INTO `sys_job_log` VALUES (31300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:39:00');
INSERT INTO `sys_job_log` VALUES (31301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 14:39:00');
INSERT INTO `sys_job_log` VALUES (31302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:39:00');
INSERT INTO `sys_job_log` VALUES (31303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:39:00');
INSERT INTO `sys_job_log` VALUES (31304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:39:05');
INSERT INTO `sys_job_log` VALUES (31305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:39:05');
INSERT INTO `sys_job_log` VALUES (31306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:10');
INSERT INTO `sys_job_log` VALUES (31307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:39:10');
INSERT INTO `sys_job_log` VALUES (31308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:39:15');
INSERT INTO `sys_job_log` VALUES (31309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:39:15');
INSERT INTO `sys_job_log` VALUES (31310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:15');
INSERT INTO `sys_job_log` VALUES (31311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:15');
INSERT INTO `sys_job_log` VALUES (31312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:39:20');
INSERT INTO `sys_job_log` VALUES (31313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:39:20');
INSERT INTO `sys_job_log` VALUES (31314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:39:25');
INSERT INTO `sys_job_log` VALUES (31315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:39:25');
INSERT INTO `sys_job_log` VALUES (31316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:39:30');
INSERT INTO `sys_job_log` VALUES (31317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:39:30');
INSERT INTO `sys_job_log` VALUES (31318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:39:30');
INSERT INTO `sys_job_log` VALUES (31319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:39:30');
INSERT INTO `sys_job_log` VALUES (31320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:39:35');
INSERT INTO `sys_job_log` VALUES (31321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:39:35');
INSERT INTO `sys_job_log` VALUES (31322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:39:40');
INSERT INTO `sys_job_log` VALUES (31323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:39:40');
INSERT INTO `sys_job_log` VALUES (31324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:45');
INSERT INTO `sys_job_log` VALUES (31325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:45');
INSERT INTO `sys_job_log` VALUES (31326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:39:45');
INSERT INTO `sys_job_log` VALUES (31327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:39:45');
INSERT INTO `sys_job_log` VALUES (31328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:50');
INSERT INTO `sys_job_log` VALUES (31329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:39:50');
INSERT INTO `sys_job_log` VALUES (31330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:39:55');
INSERT INTO `sys_job_log` VALUES (31331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:39:55');
INSERT INTO `sys_job_log` VALUES (31332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:00');
INSERT INTO `sys_job_log` VALUES (31333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:00');
INSERT INTO `sys_job_log` VALUES (31334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:40:00');
INSERT INTO `sys_job_log` VALUES (31335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:40:00');
INSERT INTO `sys_job_log` VALUES (31336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:40:05');
INSERT INTO `sys_job_log` VALUES (31337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:40:05');
INSERT INTO `sys_job_log` VALUES (31338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:40:10');
INSERT INTO `sys_job_log` VALUES (31339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:10');
INSERT INTO `sys_job_log` VALUES (31340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 14:40:15');
INSERT INTO `sys_job_log` VALUES (31341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:40:15');
INSERT INTO `sys_job_log` VALUES (31342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:15');
INSERT INTO `sys_job_log` VALUES (31343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:15');
INSERT INTO `sys_job_log` VALUES (31344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:40:20');
INSERT INTO `sys_job_log` VALUES (31345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:40:20');
INSERT INTO `sys_job_log` VALUES (31346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:40:25');
INSERT INTO `sys_job_log` VALUES (31347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:25');
INSERT INTO `sys_job_log` VALUES (31348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:40:30');
INSERT INTO `sys_job_log` VALUES (31349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:40:30');
INSERT INTO `sys_job_log` VALUES (31350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:30');
INSERT INTO `sys_job_log` VALUES (31351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:40:30');
INSERT INTO `sys_job_log` VALUES (31352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:40:35');
INSERT INTO `sys_job_log` VALUES (31353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:40:35');
INSERT INTO `sys_job_log` VALUES (31354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:40:40');
INSERT INTO `sys_job_log` VALUES (31355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:40:40');
INSERT INTO `sys_job_log` VALUES (31356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:40:45');
INSERT INTO `sys_job_log` VALUES (31357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:40:45');
INSERT INTO `sys_job_log` VALUES (31358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 14:40:45');
INSERT INTO `sys_job_log` VALUES (31359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 14:40:45');
INSERT INTO `sys_job_log` VALUES (31360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:40:50');
INSERT INTO `sys_job_log` VALUES (31361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：640毫秒', '0', '', '2024-12-27 14:40:50');
INSERT INTO `sys_job_log` VALUES (31362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:40:55');
INSERT INTO `sys_job_log` VALUES (31363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:40:55');
INSERT INTO `sys_job_log` VALUES (31364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:00');
INSERT INTO `sys_job_log` VALUES (31365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:00');
INSERT INTO `sys_job_log` VALUES (31366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:00');
INSERT INTO `sys_job_log` VALUES (31367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:00');
INSERT INTO `sys_job_log` VALUES (31368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:05');
INSERT INTO `sys_job_log` VALUES (31369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:41:05');
INSERT INTO `sys_job_log` VALUES (31370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:41:10');
INSERT INTO `sys_job_log` VALUES (31371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:10');
INSERT INTO `sys_job_log` VALUES (31372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:41:15');
INSERT INTO `sys_job_log` VALUES (31373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:41:15');
INSERT INTO `sys_job_log` VALUES (31374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:41:15');
INSERT INTO `sys_job_log` VALUES (31375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:41:15');
INSERT INTO `sys_job_log` VALUES (31376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 14:41:20');
INSERT INTO `sys_job_log` VALUES (31377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:41:20');
INSERT INTO `sys_job_log` VALUES (31378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:25');
INSERT INTO `sys_job_log` VALUES (31379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:25');
INSERT INTO `sys_job_log` VALUES (31380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:30');
INSERT INTO `sys_job_log` VALUES (31381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:30');
INSERT INTO `sys_job_log` VALUES (31382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:41:30');
INSERT INTO `sys_job_log` VALUES (31383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:41:30');
INSERT INTO `sys_job_log` VALUES (31384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:35');
INSERT INTO `sys_job_log` VALUES (31385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2024-12-27 14:41:35');
INSERT INTO `sys_job_log` VALUES (31386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:41:40');
INSERT INTO `sys_job_log` VALUES (31387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:41:40');
INSERT INTO `sys_job_log` VALUES (31388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:45');
INSERT INTO `sys_job_log` VALUES (31389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:45');
INSERT INTO `sys_job_log` VALUES (31390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:45');
INSERT INTO `sys_job_log` VALUES (31391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:41:45');
INSERT INTO `sys_job_log` VALUES (31392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:50');
INSERT INTO `sys_job_log` VALUES (31393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:41:50');
INSERT INTO `sys_job_log` VALUES (31394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 14:41:55');
INSERT INTO `sys_job_log` VALUES (31395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:41:55');
INSERT INTO `sys_job_log` VALUES (31396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:42:00');
INSERT INTO `sys_job_log` VALUES (31397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:42:00');
INSERT INTO `sys_job_log` VALUES (31398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：198毫秒', '0', '', '2024-12-27 14:42:00');
INSERT INTO `sys_job_log` VALUES (31399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：121毫秒', '0', '', '2024-12-27 14:42:00');
INSERT INTO `sys_job_log` VALUES (31400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:42:05');
INSERT INTO `sys_job_log` VALUES (31401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:42:05');
INSERT INTO `sys_job_log` VALUES (31402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:42:10');
INSERT INTO `sys_job_log` VALUES (31403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:42:10');
INSERT INTO `sys_job_log` VALUES (31404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:42:15');
INSERT INTO `sys_job_log` VALUES (31405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:42:15');
INSERT INTO `sys_job_log` VALUES (31406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:42:15');
INSERT INTO `sys_job_log` VALUES (31407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:42:15');
INSERT INTO `sys_job_log` VALUES (31408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:42:20');
INSERT INTO `sys_job_log` VALUES (31409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 14:42:20');
INSERT INTO `sys_job_log` VALUES (31410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:42:25');
INSERT INTO `sys_job_log` VALUES (31411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1868毫秒', '0', '', '2024-12-27 14:42:26');
INSERT INTO `sys_job_log` VALUES (31412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:30');
INSERT INTO `sys_job_log` VALUES (31413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:30');
INSERT INTO `sys_job_log` VALUES (31414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:30');
INSERT INTO `sys_job_log` VALUES (31415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:42:30');
INSERT INTO `sys_job_log` VALUES (31416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:42:35');
INSERT INTO `sys_job_log` VALUES (31417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:42:35');
INSERT INTO `sys_job_log` VALUES (31418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:40');
INSERT INTO `sys_job_log` VALUES (31419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:42:40');
INSERT INTO `sys_job_log` VALUES (31420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:45');
INSERT INTO `sys_job_log` VALUES (31421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:45');
INSERT INTO `sys_job_log` VALUES (31422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:42:45');
INSERT INTO `sys_job_log` VALUES (31423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:42:45');
INSERT INTO `sys_job_log` VALUES (31424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:42:50');
INSERT INTO `sys_job_log` VALUES (31425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:42:50');
INSERT INTO `sys_job_log` VALUES (31426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:42:55');
INSERT INTO `sys_job_log` VALUES (31427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:42:55');
INSERT INTO `sys_job_log` VALUES (31428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 14:43:00');
INSERT INTO `sys_job_log` VALUES (31429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:43:00');
INSERT INTO `sys_job_log` VALUES (31430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:43:00');
INSERT INTO `sys_job_log` VALUES (31431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:00');
INSERT INTO `sys_job_log` VALUES (31432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:43:05');
INSERT INTO `sys_job_log` VALUES (31433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:43:05');
INSERT INTO `sys_job_log` VALUES (31434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:43:10');
INSERT INTO `sys_job_log` VALUES (31435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:43:10');
INSERT INTO `sys_job_log` VALUES (31436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:43:15');
INSERT INTO `sys_job_log` VALUES (31437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:15');
INSERT INTO `sys_job_log` VALUES (31438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:15');
INSERT INTO `sys_job_log` VALUES (31439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:15');
INSERT INTO `sys_job_log` VALUES (31440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:43:20');
INSERT INTO `sys_job_log` VALUES (31441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:43:20');
INSERT INTO `sys_job_log` VALUES (31442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:43:25');
INSERT INTO `sys_job_log` VALUES (31443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:25');
INSERT INTO `sys_job_log` VALUES (31444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:43:30');
INSERT INTO `sys_job_log` VALUES (31445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 14:43:30');
INSERT INTO `sys_job_log` VALUES (31446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:43:30');
INSERT INTO `sys_job_log` VALUES (31447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:43:30');
INSERT INTO `sys_job_log` VALUES (31448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:35');
INSERT INTO `sys_job_log` VALUES (31449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:43:35');
INSERT INTO `sys_job_log` VALUES (31450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:43:40');
INSERT INTO `sys_job_log` VALUES (31451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:43:40');
INSERT INTO `sys_job_log` VALUES (31452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:45');
INSERT INTO `sys_job_log` VALUES (31453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:45');
INSERT INTO `sys_job_log` VALUES (31454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:43:45');
INSERT INTO `sys_job_log` VALUES (31455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:43:45');
INSERT INTO `sys_job_log` VALUES (31456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:43:50');
INSERT INTO `sys_job_log` VALUES (31457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：231毫秒', '0', '', '2024-12-27 14:43:50');
INSERT INTO `sys_job_log` VALUES (31458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:55');
INSERT INTO `sys_job_log` VALUES (31459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:43:55');
INSERT INTO `sys_job_log` VALUES (31460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-27 14:44:00');
INSERT INTO `sys_job_log` VALUES (31461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-27 14:44:00');
INSERT INTO `sys_job_log` VALUES (31462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:44:00');
INSERT INTO `sys_job_log` VALUES (31463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:44:00');
INSERT INTO `sys_job_log` VALUES (31464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:44:05');
INSERT INTO `sys_job_log` VALUES (31465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:44:05');
INSERT INTO `sys_job_log` VALUES (31466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:10');
INSERT INTO `sys_job_log` VALUES (31467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:44:10');
INSERT INTO `sys_job_log` VALUES (31468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:44:15');
INSERT INTO `sys_job_log` VALUES (31469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:15');
INSERT INTO `sys_job_log` VALUES (31470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:15');
INSERT INTO `sys_job_log` VALUES (31471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:44:15');
INSERT INTO `sys_job_log` VALUES (31472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 14:44:20');
INSERT INTO `sys_job_log` VALUES (31473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:44:20');
INSERT INTO `sys_job_log` VALUES (31474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:44:25');
INSERT INTO `sys_job_log` VALUES (31475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:44:25');
INSERT INTO `sys_job_log` VALUES (31476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：172毫秒', '0', '', '2024-12-27 14:44:30');
INSERT INTO `sys_job_log` VALUES (31477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：180毫秒', '0', '', '2024-12-27 14:44:30');
INSERT INTO `sys_job_log` VALUES (31478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:30');
INSERT INTO `sys_job_log` VALUES (31479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:30');
INSERT INTO `sys_job_log` VALUES (31480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:44:35');
INSERT INTO `sys_job_log` VALUES (31481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:44:35');
INSERT INTO `sys_job_log` VALUES (31482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:44:40');
INSERT INTO `sys_job_log` VALUES (31483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:44:40');
INSERT INTO `sys_job_log` VALUES (31484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:45');
INSERT INTO `sys_job_log` VALUES (31485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:45');
INSERT INTO `sys_job_log` VALUES (31486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:44:45');
INSERT INTO `sys_job_log` VALUES (31487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:44:45');
INSERT INTO `sys_job_log` VALUES (31488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:50');
INSERT INTO `sys_job_log` VALUES (31489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:44:50');
INSERT INTO `sys_job_log` VALUES (31490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：122毫秒', '0', '', '2024-12-27 14:44:55');
INSERT INTO `sys_job_log` VALUES (31491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:44:55');
INSERT INTO `sys_job_log` VALUES (31492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 14:45:00');
INSERT INTO `sys_job_log` VALUES (31493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2024-12-27 14:45:00');
INSERT INTO `sys_job_log` VALUES (31494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:45:00');
INSERT INTO `sys_job_log` VALUES (31495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:45:00');
INSERT INTO `sys_job_log` VALUES (31496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:05');
INSERT INTO `sys_job_log` VALUES (31497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:05');
INSERT INTO `sys_job_log` VALUES (31498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:45:10');
INSERT INTO `sys_job_log` VALUES (31499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:45:10');
INSERT INTO `sys_job_log` VALUES (31500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:15');
INSERT INTO `sys_job_log` VALUES (31501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:45:15');
INSERT INTO `sys_job_log` VALUES (31502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:15');
INSERT INTO `sys_job_log` VALUES (31503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:15');
INSERT INTO `sys_job_log` VALUES (31504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:45:20');
INSERT INTO `sys_job_log` VALUES (31505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:45:20');
INSERT INTO `sys_job_log` VALUES (31506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:25');
INSERT INTO `sys_job_log` VALUES (31507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:45:25');
INSERT INTO `sys_job_log` VALUES (31508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:45:30');
INSERT INTO `sys_job_log` VALUES (31509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:45:30');
INSERT INTO `sys_job_log` VALUES (31510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:45:30');
INSERT INTO `sys_job_log` VALUES (31511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:45:30');
INSERT INTO `sys_job_log` VALUES (31512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:45:35');
INSERT INTO `sys_job_log` VALUES (31513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:35');
INSERT INTO `sys_job_log` VALUES (31514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:45:40');
INSERT INTO `sys_job_log` VALUES (31515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:40');
INSERT INTO `sys_job_log` VALUES (31516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:45');
INSERT INTO `sys_job_log` VALUES (31517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:45');
INSERT INTO `sys_job_log` VALUES (31518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:45:45');
INSERT INTO `sys_job_log` VALUES (31519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:45:45');
INSERT INTO `sys_job_log` VALUES (31520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:45:50');
INSERT INTO `sys_job_log` VALUES (31521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:50');
INSERT INTO `sys_job_log` VALUES (31522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:45:55');
INSERT INTO `sys_job_log` VALUES (31523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:45:55');
INSERT INTO `sys_job_log` VALUES (31524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:46:00');
INSERT INTO `sys_job_log` VALUES (31525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 14:46:00');
INSERT INTO `sys_job_log` VALUES (31526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:46:00');
INSERT INTO `sys_job_log` VALUES (31527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:46:00');
INSERT INTO `sys_job_log` VALUES (31528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:46:05');
INSERT INTO `sys_job_log` VALUES (31529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:46:05');
INSERT INTO `sys_job_log` VALUES (31530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:46:10');
INSERT INTO `sys_job_log` VALUES (31531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:46:10');
INSERT INTO `sys_job_log` VALUES (31532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 14:46:15');
INSERT INTO `sys_job_log` VALUES (31533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:46:15');
INSERT INTO `sys_job_log` VALUES (31534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:46:15');
INSERT INTO `sys_job_log` VALUES (31535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:46:15');
INSERT INTO `sys_job_log` VALUES (31536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:46:20');
INSERT INTO `sys_job_log` VALUES (31537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:46:20');
INSERT INTO `sys_job_log` VALUES (31538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:46:25');
INSERT INTO `sys_job_log` VALUES (31539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:46:25');
INSERT INTO `sys_job_log` VALUES (31540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:46:30');
INSERT INTO `sys_job_log` VALUES (31541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:46:30');
INSERT INTO `sys_job_log` VALUES (31542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:46:30');
INSERT INTO `sys_job_log` VALUES (31543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:46:30');
INSERT INTO `sys_job_log` VALUES (31544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:46:35');
INSERT INTO `sys_job_log` VALUES (31545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:46:35');
INSERT INTO `sys_job_log` VALUES (31546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:46:40');
INSERT INTO `sys_job_log` VALUES (31547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 14:46:40');
INSERT INTO `sys_job_log` VALUES (31548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:46:45');
INSERT INTO `sys_job_log` VALUES (31549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:46:45');
INSERT INTO `sys_job_log` VALUES (31550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:46:45');
INSERT INTO `sys_job_log` VALUES (31551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:46:45');
INSERT INTO `sys_job_log` VALUES (31552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-27 14:46:50');
INSERT INTO `sys_job_log` VALUES (31553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:46:50');
INSERT INTO `sys_job_log` VALUES (31554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:46:55');
INSERT INTO `sys_job_log` VALUES (31555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:46:55');
INSERT INTO `sys_job_log` VALUES (31556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：125毫秒', '0', '', '2024-12-27 14:47:00');
INSERT INTO `sys_job_log` VALUES (31557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：127毫秒', '0', '', '2024-12-27 14:47:00');
INSERT INTO `sys_job_log` VALUES (31558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:47:00');
INSERT INTO `sys_job_log` VALUES (31559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:47:00');
INSERT INTO `sys_job_log` VALUES (31560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2024-12-27 14:47:05');
INSERT INTO `sys_job_log` VALUES (31561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:47:05');
INSERT INTO `sys_job_log` VALUES (31562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 14:47:10');
INSERT INTO `sys_job_log` VALUES (31563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:47:10');
INSERT INTO `sys_job_log` VALUES (31564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2024-12-27 14:47:15');
INSERT INTO `sys_job_log` VALUES (31565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-27 14:47:15');
INSERT INTO `sys_job_log` VALUES (31566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:47:15');
INSERT INTO `sys_job_log` VALUES (31567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:47:15');
INSERT INTO `sys_job_log` VALUES (31568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:20');
INSERT INTO `sys_job_log` VALUES (31569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：222毫秒', '0', '', '2024-12-27 14:47:20');
INSERT INTO `sys_job_log` VALUES (31570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:25');
INSERT INTO `sys_job_log` VALUES (31571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:47:25');
INSERT INTO `sys_job_log` VALUES (31572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:47:30');
INSERT INTO `sys_job_log` VALUES (31573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:47:30');
INSERT INTO `sys_job_log` VALUES (31574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:30');
INSERT INTO `sys_job_log` VALUES (31575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:30');
INSERT INTO `sys_job_log` VALUES (31576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-27 14:47:35');
INSERT INTO `sys_job_log` VALUES (31577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:47:35');
INSERT INTO `sys_job_log` VALUES (31578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:47:40');
INSERT INTO `sys_job_log` VALUES (31579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:47:40');
INSERT INTO `sys_job_log` VALUES (31580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:45');
INSERT INTO `sys_job_log` VALUES (31581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:45');
INSERT INTO `sys_job_log` VALUES (31582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:47:45');
INSERT INTO `sys_job_log` VALUES (31583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:47:45');
INSERT INTO `sys_job_log` VALUES (31584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:50');
INSERT INTO `sys_job_log` VALUES (31585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:47:50');
INSERT INTO `sys_job_log` VALUES (31586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:47:55');
INSERT INTO `sys_job_log` VALUES (31587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:47:55');
INSERT INTO `sys_job_log` VALUES (31588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:00');
INSERT INTO `sys_job_log` VALUES (31589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:48:00');
INSERT INTO `sys_job_log` VALUES (31590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:00');
INSERT INTO `sys_job_log` VALUES (31591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:00');
INSERT INTO `sys_job_log` VALUES (31592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:05');
INSERT INTO `sys_job_log` VALUES (31593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:05');
INSERT INTO `sys_job_log` VALUES (31594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:10');
INSERT INTO `sys_job_log` VALUES (31595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:48:10');
INSERT INTO `sys_job_log` VALUES (31596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:48:15');
INSERT INTO `sys_job_log` VALUES (31597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:48:15');
INSERT INTO `sys_job_log` VALUES (31598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:48:15');
INSERT INTO `sys_job_log` VALUES (31599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:15');
INSERT INTO `sys_job_log` VALUES (31600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:48:20');
INSERT INTO `sys_job_log` VALUES (31601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:48:20');
INSERT INTO `sys_job_log` VALUES (31602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:25');
INSERT INTO `sys_job_log` VALUES (31603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:25');
INSERT INTO `sys_job_log` VALUES (31604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:30');
INSERT INTO `sys_job_log` VALUES (31605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:30');
INSERT INTO `sys_job_log` VALUES (31606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:48:30');
INSERT INTO `sys_job_log` VALUES (31607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:48:30');
INSERT INTO `sys_job_log` VALUES (31608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-27 14:48:35');
INSERT INTO `sys_job_log` VALUES (31609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:48:35');
INSERT INTO `sys_job_log` VALUES (31610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:40');
INSERT INTO `sys_job_log` VALUES (31611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:40');
INSERT INTO `sys_job_log` VALUES (31612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:45');
INSERT INTO `sys_job_log` VALUES (31613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:48:45');
INSERT INTO `sys_job_log` VALUES (31614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:48:45');
INSERT INTO `sys_job_log` VALUES (31615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:48:45');
INSERT INTO `sys_job_log` VALUES (31616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-27 14:48:50');
INSERT INTO `sys_job_log` VALUES (31617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:48:50');
INSERT INTO `sys_job_log` VALUES (31618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:48:55');
INSERT INTO `sys_job_log` VALUES (31619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:48:55');
INSERT INTO `sys_job_log` VALUES (31620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:49:00');
INSERT INTO `sys_job_log` VALUES (31621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:49:00');
INSERT INTO `sys_job_log` VALUES (31622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:00');
INSERT INTO `sys_job_log` VALUES (31623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:00');
INSERT INTO `sys_job_log` VALUES (31624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:49:05');
INSERT INTO `sys_job_log` VALUES (31625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:49:05');
INSERT INTO `sys_job_log` VALUES (31626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:49:10');
INSERT INTO `sys_job_log` VALUES (31627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:10');
INSERT INTO `sys_job_log` VALUES (31628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:49:15');
INSERT INTO `sys_job_log` VALUES (31629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:49:15');
INSERT INTO `sys_job_log` VALUES (31630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:49:15');
INSERT INTO `sys_job_log` VALUES (31631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:15');
INSERT INTO `sys_job_log` VALUES (31632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:49:20');
INSERT INTO `sys_job_log` VALUES (31633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:20');
INSERT INTO `sys_job_log` VALUES (31634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:49:25');
INSERT INTO `sys_job_log` VALUES (31635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:49:25');
INSERT INTO `sys_job_log` VALUES (31636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:49:30');
INSERT INTO `sys_job_log` VALUES (31637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:49:30');
INSERT INTO `sys_job_log` VALUES (31638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:30');
INSERT INTO `sys_job_log` VALUES (31639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:30');
INSERT INTO `sys_job_log` VALUES (31640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:49:35');
INSERT INTO `sys_job_log` VALUES (31641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:35');
INSERT INTO `sys_job_log` VALUES (31642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:49:40');
INSERT INTO `sys_job_log` VALUES (31643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:49:40');
INSERT INTO `sys_job_log` VALUES (31644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:49:45');
INSERT INTO `sys_job_log` VALUES (31645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:49:45');
INSERT INTO `sys_job_log` VALUES (31646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:49:45');
INSERT INTO `sys_job_log` VALUES (31647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:49:45');
INSERT INTO `sys_job_log` VALUES (31648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:49:50');
INSERT INTO `sys_job_log` VALUES (31649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:49:50');
INSERT INTO `sys_job_log` VALUES (31650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:49:55');
INSERT INTO `sys_job_log` VALUES (31651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1452毫秒', '0', '', '2024-12-27 14:49:56');
INSERT INTO `sys_job_log` VALUES (31652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:50:00');
INSERT INTO `sys_job_log` VALUES (31653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:50:00');
INSERT INTO `sys_job_log` VALUES (31654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:50:00');
INSERT INTO `sys_job_log` VALUES (31655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:50:00');
INSERT INTO `sys_job_log` VALUES (31656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:05');
INSERT INTO `sys_job_log` VALUES (31657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:50:05');
INSERT INTO `sys_job_log` VALUES (31658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:50:10');
INSERT INTO `sys_job_log` VALUES (31659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:50:10');
INSERT INTO `sys_job_log` VALUES (31660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:15');
INSERT INTO `sys_job_log` VALUES (31661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:15');
INSERT INTO `sys_job_log` VALUES (31662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:50:15');
INSERT INTO `sys_job_log` VALUES (31663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 14:50:15');
INSERT INTO `sys_job_log` VALUES (31664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:50:20');
INSERT INTO `sys_job_log` VALUES (31665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:50:20');
INSERT INTO `sys_job_log` VALUES (31666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:50:25');
INSERT INTO `sys_job_log` VALUES (31667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:50:25');
INSERT INTO `sys_job_log` VALUES (31668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:50:30');
INSERT INTO `sys_job_log` VALUES (31669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:50:30');
INSERT INTO `sys_job_log` VALUES (31670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:50:30');
INSERT INTO `sys_job_log` VALUES (31671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:50:30');
INSERT INTO `sys_job_log` VALUES (31672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:35');
INSERT INTO `sys_job_log` VALUES (31673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:35');
INSERT INTO `sys_job_log` VALUES (31674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:50:40');
INSERT INTO `sys_job_log` VALUES (31675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:50:40');
INSERT INTO `sys_job_log` VALUES (31676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:45');
INSERT INTO `sys_job_log` VALUES (31677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:45');
INSERT INTO `sys_job_log` VALUES (31678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:50:45');
INSERT INTO `sys_job_log` VALUES (31679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:50:45');
INSERT INTO `sys_job_log` VALUES (31680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:50:50');
INSERT INTO `sys_job_log` VALUES (31681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:50:50');
INSERT INTO `sys_job_log` VALUES (31682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:50:55');
INSERT INTO `sys_job_log` VALUES (31683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:50:55');
INSERT INTO `sys_job_log` VALUES (31684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:51:00');
INSERT INTO `sys_job_log` VALUES (31685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:51:00');
INSERT INTO `sys_job_log` VALUES (31686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:51:00');
INSERT INTO `sys_job_log` VALUES (31687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:00');
INSERT INTO `sys_job_log` VALUES (31688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:51:05');
INSERT INTO `sys_job_log` VALUES (31689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:51:05');
INSERT INTO `sys_job_log` VALUES (31690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:51:10');
INSERT INTO `sys_job_log` VALUES (31691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:51:10');
INSERT INTO `sys_job_log` VALUES (31692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2024-12-27 14:51:15');
INSERT INTO `sys_job_log` VALUES (31693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2024-12-27 14:51:15');
INSERT INTO `sys_job_log` VALUES (31694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:51:15');
INSERT INTO `sys_job_log` VALUES (31695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:15');
INSERT INTO `sys_job_log` VALUES (31696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:51:20');
INSERT INTO `sys_job_log` VALUES (31697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:51:20');
INSERT INTO `sys_job_log` VALUES (31698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:51:25');
INSERT INTO `sys_job_log` VALUES (31699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:51:25');
INSERT INTO `sys_job_log` VALUES (31700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:51:30');
INSERT INTO `sys_job_log` VALUES (31701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:51:30');
INSERT INTO `sys_job_log` VALUES (31702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:30');
INSERT INTO `sys_job_log` VALUES (31703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:30');
INSERT INTO `sys_job_log` VALUES (31704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:51:35');
INSERT INTO `sys_job_log` VALUES (31705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:51:35');
INSERT INTO `sys_job_log` VALUES (31706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:51:40');
INSERT INTO `sys_job_log` VALUES (31707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:51:40');
INSERT INTO `sys_job_log` VALUES (31708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:45');
INSERT INTO `sys_job_log` VALUES (31709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:45');
INSERT INTO `sys_job_log` VALUES (31710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:45');
INSERT INTO `sys_job_log` VALUES (31711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:51:45');
INSERT INTO `sys_job_log` VALUES (31712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:51:50');
INSERT INTO `sys_job_log` VALUES (31713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:51:50');
INSERT INTO `sys_job_log` VALUES (31714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:51:55');
INSERT INTO `sys_job_log` VALUES (31715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:51:55');
INSERT INTO `sys_job_log` VALUES (31716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 14:52:00');
INSERT INTO `sys_job_log` VALUES (31717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-27 14:52:00');
INSERT INTO `sys_job_log` VALUES (31718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:52:00');
INSERT INTO `sys_job_log` VALUES (31719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:52:00');
INSERT INTO `sys_job_log` VALUES (31720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:05');
INSERT INTO `sys_job_log` VALUES (31721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:05');
INSERT INTO `sys_job_log` VALUES (31722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2024-12-27 14:52:10');
INSERT INTO `sys_job_log` VALUES (31723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:52:10');
INSERT INTO `sys_job_log` VALUES (31724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:52:15');
INSERT INTO `sys_job_log` VALUES (31725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:52:15');
INSERT INTO `sys_job_log` VALUES (31726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:15');
INSERT INTO `sys_job_log` VALUES (31727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:15');
INSERT INTO `sys_job_log` VALUES (31728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:52:20');
INSERT INTO `sys_job_log` VALUES (31729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:20');
INSERT INTO `sys_job_log` VALUES (31730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-27 14:52:25');
INSERT INTO `sys_job_log` VALUES (31731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:52:25');
INSERT INTO `sys_job_log` VALUES (31732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:52:30');
INSERT INTO `sys_job_log` VALUES (31733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:52:30');
INSERT INTO `sys_job_log` VALUES (31734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:52:30');
INSERT INTO `sys_job_log` VALUES (31735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:52:30');
INSERT INTO `sys_job_log` VALUES (31736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:35');
INSERT INTO `sys_job_log` VALUES (31737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:52:35');
INSERT INTO `sys_job_log` VALUES (31738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:52:40');
INSERT INTO `sys_job_log` VALUES (31739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:52:40');
INSERT INTO `sys_job_log` VALUES (31740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:52:45');
INSERT INTO `sys_job_log` VALUES (31741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:52:45');
INSERT INTO `sys_job_log` VALUES (31742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:52:45');
INSERT INTO `sys_job_log` VALUES (31743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:52:45');
INSERT INTO `sys_job_log` VALUES (31744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:50');
INSERT INTO `sys_job_log` VALUES (31745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:52:50');
INSERT INTO `sys_job_log` VALUES (31746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:52:55');
INSERT INTO `sys_job_log` VALUES (31747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:52:55');
INSERT INTO `sys_job_log` VALUES (31748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:53:00');
INSERT INTO `sys_job_log` VALUES (31749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 14:53:00');
INSERT INTO `sys_job_log` VALUES (31750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:53:00');
INSERT INTO `sys_job_log` VALUES (31751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:53:00');
INSERT INTO `sys_job_log` VALUES (31752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:53:05');
INSERT INTO `sys_job_log` VALUES (31753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:05');
INSERT INTO `sys_job_log` VALUES (31754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:53:10');
INSERT INTO `sys_job_log` VALUES (31755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:10');
INSERT INTO `sys_job_log` VALUES (31756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:53:15');
INSERT INTO `sys_job_log` VALUES (31757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:53:15');
INSERT INTO `sys_job_log` VALUES (31758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:15');
INSERT INTO `sys_job_log` VALUES (31759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:15');
INSERT INTO `sys_job_log` VALUES (31760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:53:20');
INSERT INTO `sys_job_log` VALUES (31761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:53:20');
INSERT INTO `sys_job_log` VALUES (31762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:53:25');
INSERT INTO `sys_job_log` VALUES (31763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:53:25');
INSERT INTO `sys_job_log` VALUES (31764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:53:30');
INSERT INTO `sys_job_log` VALUES (31765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:53:30');
INSERT INTO `sys_job_log` VALUES (31766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:30');
INSERT INTO `sys_job_log` VALUES (31767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:53:30');
INSERT INTO `sys_job_log` VALUES (31768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:53:35');
INSERT INTO `sys_job_log` VALUES (31769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:35');
INSERT INTO `sys_job_log` VALUES (31770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 14:53:40');
INSERT INTO `sys_job_log` VALUES (31771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:40');
INSERT INTO `sys_job_log` VALUES (31772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:53:45');
INSERT INTO `sys_job_log` VALUES (31773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:53:45');
INSERT INTO `sys_job_log` VALUES (31774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:45');
INSERT INTO `sys_job_log` VALUES (31775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:45');
INSERT INTO `sys_job_log` VALUES (31776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:50');
INSERT INTO `sys_job_log` VALUES (31777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:53:50');
INSERT INTO `sys_job_log` VALUES (31778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:53:55');
INSERT INTO `sys_job_log` VALUES (31779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:53:55');
INSERT INTO `sys_job_log` VALUES (31780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:54:00');
INSERT INTO `sys_job_log` VALUES (31781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:54:00');
INSERT INTO `sys_job_log` VALUES (31782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 14:54:00');
INSERT INTO `sys_job_log` VALUES (31783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 14:54:00');
INSERT INTO `sys_job_log` VALUES (31784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 14:54:05');
INSERT INTO `sys_job_log` VALUES (31785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:54:05');
INSERT INTO `sys_job_log` VALUES (31786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:54:10');
INSERT INTO `sys_job_log` VALUES (31787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:54:10');
INSERT INTO `sys_job_log` VALUES (31788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 14:54:15');
INSERT INTO `sys_job_log` VALUES (31789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 14:54:15');
INSERT INTO `sys_job_log` VALUES (31790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:54:15');
INSERT INTO `sys_job_log` VALUES (31791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:54:15');
INSERT INTO `sys_job_log` VALUES (31792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:54:20');
INSERT INTO `sys_job_log` VALUES (31793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:54:20');
INSERT INTO `sys_job_log` VALUES (31794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:54:25');
INSERT INTO `sys_job_log` VALUES (31795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:54:25');
INSERT INTO `sys_job_log` VALUES (31796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:54:30');
INSERT INTO `sys_job_log` VALUES (31797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:54:30');
INSERT INTO `sys_job_log` VALUES (31798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:54:30');
INSERT INTO `sys_job_log` VALUES (31799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:54:30');
INSERT INTO `sys_job_log` VALUES (31800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:54:35');
INSERT INTO `sys_job_log` VALUES (31801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:54:35');
INSERT INTO `sys_job_log` VALUES (31802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:54:40');
INSERT INTO `sys_job_log` VALUES (31803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:54:40');
INSERT INTO `sys_job_log` VALUES (31804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:54:45');
INSERT INTO `sys_job_log` VALUES (31805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:54:45');
INSERT INTO `sys_job_log` VALUES (31806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:54:45');
INSERT INTO `sys_job_log` VALUES (31807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:54:45');
INSERT INTO `sys_job_log` VALUES (31808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:54:50');
INSERT INTO `sys_job_log` VALUES (31809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:54:50');
INSERT INTO `sys_job_log` VALUES (31810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:54:55');
INSERT INTO `sys_job_log` VALUES (31811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:54:55');
INSERT INTO `sys_job_log` VALUES (31812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:00');
INSERT INTO `sys_job_log` VALUES (31813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:00');
INSERT INTO `sys_job_log` VALUES (31814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:55:00');
INSERT INTO `sys_job_log` VALUES (31815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:55:00');
INSERT INTO `sys_job_log` VALUES (31816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:05');
INSERT INTO `sys_job_log` VALUES (31817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:55:05');
INSERT INTO `sys_job_log` VALUES (31818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:55:10');
INSERT INTO `sys_job_log` VALUES (31819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:55:10');
INSERT INTO `sys_job_log` VALUES (31820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:55:15');
INSERT INTO `sys_job_log` VALUES (31821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 14:55:15');
INSERT INTO `sys_job_log` VALUES (31822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:55:15');
INSERT INTO `sys_job_log` VALUES (31823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:55:15');
INSERT INTO `sys_job_log` VALUES (31824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 14:55:20');
INSERT INTO `sys_job_log` VALUES (31825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:20');
INSERT INTO `sys_job_log` VALUES (31826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:55:25');
INSERT INTO `sys_job_log` VALUES (31827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:55:25');
INSERT INTO `sys_job_log` VALUES (31828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:55:30');
INSERT INTO `sys_job_log` VALUES (31829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:55:30');
INSERT INTO `sys_job_log` VALUES (31830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:55:30');
INSERT INTO `sys_job_log` VALUES (31831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:55:30');
INSERT INTO `sys_job_log` VALUES (31832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:55:35');
INSERT INTO `sys_job_log` VALUES (31833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:55:35');
INSERT INTO `sys_job_log` VALUES (31834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:55:40');
INSERT INTO `sys_job_log` VALUES (31835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:40');
INSERT INTO `sys_job_log` VALUES (31836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:45');
INSERT INTO `sys_job_log` VALUES (31837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:55:45');
INSERT INTO `sys_job_log` VALUES (31838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:55:45');
INSERT INTO `sys_job_log` VALUES (31839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:55:45');
INSERT INTO `sys_job_log` VALUES (31840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:55:50');
INSERT INTO `sys_job_log` VALUES (31841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:55:50');
INSERT INTO `sys_job_log` VALUES (31842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:55:55');
INSERT INTO `sys_job_log` VALUES (31843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:55:55');
INSERT INTO `sys_job_log` VALUES (31844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:00');
INSERT INTO `sys_job_log` VALUES (31845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:00');
INSERT INTO `sys_job_log` VALUES (31846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:56:00');
INSERT INTO `sys_job_log` VALUES (31847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:56:00');
INSERT INTO `sys_job_log` VALUES (31848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:05');
INSERT INTO `sys_job_log` VALUES (31849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:56:05');
INSERT INTO `sys_job_log` VALUES (31850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:10');
INSERT INTO `sys_job_log` VALUES (31851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:10');
INSERT INTO `sys_job_log` VALUES (31852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 14:56:15');
INSERT INTO `sys_job_log` VALUES (31853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:56:15');
INSERT INTO `sys_job_log` VALUES (31854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:15');
INSERT INTO `sys_job_log` VALUES (31855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:15');
INSERT INTO `sys_job_log` VALUES (31856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:56:20');
INSERT INTO `sys_job_log` VALUES (31857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:56:20');
INSERT INTO `sys_job_log` VALUES (31858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:56:25');
INSERT INTO `sys_job_log` VALUES (31859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:25');
INSERT INTO `sys_job_log` VALUES (31860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:30');
INSERT INTO `sys_job_log` VALUES (31861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:30');
INSERT INTO `sys_job_log` VALUES (31862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:56:30');
INSERT INTO `sys_job_log` VALUES (31863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:56:30');
INSERT INTO `sys_job_log` VALUES (31864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:56:35');
INSERT INTO `sys_job_log` VALUES (31865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:35');
INSERT INTO `sys_job_log` VALUES (31866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:56:40');
INSERT INTO `sys_job_log` VALUES (31867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:40');
INSERT INTO `sys_job_log` VALUES (31868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:56:45');
INSERT INTO `sys_job_log` VALUES (31869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:56:45');
INSERT INTO `sys_job_log` VALUES (31870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:45');
INSERT INTO `sys_job_log` VALUES (31871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:45');
INSERT INTO `sys_job_log` VALUES (31872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:56:50');
INSERT INTO `sys_job_log` VALUES (31873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 14:56:50');
INSERT INTO `sys_job_log` VALUES (31874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:56:55');
INSERT INTO `sys_job_log` VALUES (31875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:56:55');
INSERT INTO `sys_job_log` VALUES (31876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:00');
INSERT INTO `sys_job_log` VALUES (31877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:00');
INSERT INTO `sys_job_log` VALUES (31878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:00');
INSERT INTO `sys_job_log` VALUES (31879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:00');
INSERT INTO `sys_job_log` VALUES (31880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:57:05');
INSERT INTO `sys_job_log` VALUES (31881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:57:05');
INSERT INTO `sys_job_log` VALUES (31882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:57:10');
INSERT INTO `sys_job_log` VALUES (31883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:57:10');
INSERT INTO `sys_job_log` VALUES (31884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:15');
INSERT INTO `sys_job_log` VALUES (31885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:15');
INSERT INTO `sys_job_log` VALUES (31886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:15');
INSERT INTO `sys_job_log` VALUES (31887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:15');
INSERT INTO `sys_job_log` VALUES (31888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:57:20');
INSERT INTO `sys_job_log` VALUES (31889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:57:20');
INSERT INTO `sys_job_log` VALUES (31890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:57:25');
INSERT INTO `sys_job_log` VALUES (31891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:57:25');
INSERT INTO `sys_job_log` VALUES (31892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:57:30');
INSERT INTO `sys_job_log` VALUES (31893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:57:30');
INSERT INTO `sys_job_log` VALUES (31894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:57:30');
INSERT INTO `sys_job_log` VALUES (31895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:57:30');
INSERT INTO `sys_job_log` VALUES (31896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:57:35');
INSERT INTO `sys_job_log` VALUES (31897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:57:35');
INSERT INTO `sys_job_log` VALUES (31898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 14:57:40');
INSERT INTO `sys_job_log` VALUES (31899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:57:40');
INSERT INTO `sys_job_log` VALUES (31900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 14:57:45');
INSERT INTO `sys_job_log` VALUES (31901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 14:57:45');
INSERT INTO `sys_job_log` VALUES (31902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:57:45');
INSERT INTO `sys_job_log` VALUES (31903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:57:45');
INSERT INTO `sys_job_log` VALUES (31904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 14:57:50');
INSERT INTO `sys_job_log` VALUES (31905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:57:50');
INSERT INTO `sys_job_log` VALUES (31906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:57:55');
INSERT INTO `sys_job_log` VALUES (31907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:57:55');
INSERT INTO `sys_job_log` VALUES (31908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:00');
INSERT INTO `sys_job_log` VALUES (31909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:00');
INSERT INTO `sys_job_log` VALUES (31910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:00');
INSERT INTO `sys_job_log` VALUES (31911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:00');
INSERT INTO `sys_job_log` VALUES (31912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:58:05');
INSERT INTO `sys_job_log` VALUES (31913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:05');
INSERT INTO `sys_job_log` VALUES (31914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:10');
INSERT INTO `sys_job_log` VALUES (31915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:10');
INSERT INTO `sys_job_log` VALUES (31916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:58:15');
INSERT INTO `sys_job_log` VALUES (31917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:58:15');
INSERT INTO `sys_job_log` VALUES (31918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:15');
INSERT INTO `sys_job_log` VALUES (31919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:15');
INSERT INTO `sys_job_log` VALUES (31920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 14:58:20');
INSERT INTO `sys_job_log` VALUES (31921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:20');
INSERT INTO `sys_job_log` VALUES (31922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:25');
INSERT INTO `sys_job_log` VALUES (31923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:58:25');
INSERT INTO `sys_job_log` VALUES (31924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:30');
INSERT INTO `sys_job_log` VALUES (31925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:30');
INSERT INTO `sys_job_log` VALUES (31926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:58:30');
INSERT INTO `sys_job_log` VALUES (31927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 14:58:30');
INSERT INTO `sys_job_log` VALUES (31928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:35');
INSERT INTO `sys_job_log` VALUES (31929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:58:35');
INSERT INTO `sys_job_log` VALUES (31930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 14:58:40');
INSERT INTO `sys_job_log` VALUES (31931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:58:40');
INSERT INTO `sys_job_log` VALUES (31932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:58:45');
INSERT INTO `sys_job_log` VALUES (31933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:58:45');
INSERT INTO `sys_job_log` VALUES (31934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:58:45');
INSERT INTO `sys_job_log` VALUES (31935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 14:58:45');
INSERT INTO `sys_job_log` VALUES (31936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:58:50');
INSERT INTO `sys_job_log` VALUES (31937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:58:50');
INSERT INTO `sys_job_log` VALUES (31938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:58:55');
INSERT INTO `sys_job_log` VALUES (31939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:58:55');
INSERT INTO `sys_job_log` VALUES (31940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 14:59:00');
INSERT INTO `sys_job_log` VALUES (31941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:59:00');
INSERT INTO `sys_job_log` VALUES (31942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:00');
INSERT INTO `sys_job_log` VALUES (31943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:00');
INSERT INTO `sys_job_log` VALUES (31944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:59:05');
INSERT INTO `sys_job_log` VALUES (31945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:59:05');
INSERT INTO `sys_job_log` VALUES (31946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:10');
INSERT INTO `sys_job_log` VALUES (31947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:10');
INSERT INTO `sys_job_log` VALUES (31948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:15');
INSERT INTO `sys_job_log` VALUES (31949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:15');
INSERT INTO `sys_job_log` VALUES (31950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:15');
INSERT INTO `sys_job_log` VALUES (31951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:15');
INSERT INTO `sys_job_log` VALUES (31952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:59:20');
INSERT INTO `sys_job_log` VALUES (31953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:20');
INSERT INTO `sys_job_log` VALUES (31954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 14:59:25');
INSERT INTO `sys_job_log` VALUES (31955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 14:59:25');
INSERT INTO `sys_job_log` VALUES (31956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-27 14:59:30');
INSERT INTO `sys_job_log` VALUES (31957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：112毫秒', '0', '', '2024-12-27 14:59:30');
INSERT INTO `sys_job_log` VALUES (31958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:59:30');
INSERT INTO `sys_job_log` VALUES (31959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 14:59:30');
INSERT INTO `sys_job_log` VALUES (31960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:35');
INSERT INTO `sys_job_log` VALUES (31961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：396毫秒', '0', '', '2024-12-27 14:59:35');
INSERT INTO `sys_job_log` VALUES (31962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 14:59:40');
INSERT INTO `sys_job_log` VALUES (31963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:40');
INSERT INTO `sys_job_log` VALUES (31964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:45');
INSERT INTO `sys_job_log` VALUES (31965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:45');
INSERT INTO `sys_job_log` VALUES (31966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:45');
INSERT INTO `sys_job_log` VALUES (31967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 14:59:45');
INSERT INTO `sys_job_log` VALUES (31968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:50');
INSERT INTO `sys_job_log` VALUES (31969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 14:59:50');
INSERT INTO `sys_job_log` VALUES (31970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 14:59:55');
INSERT INTO `sys_job_log` VALUES (31971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 14:59:55');
INSERT INTO `sys_job_log` VALUES (31972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:00:00');
INSERT INTO `sys_job_log` VALUES (31973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:00:00');
INSERT INTO `sys_job_log` VALUES (31974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:00:00');
INSERT INTO `sys_job_log` VALUES (31975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:00:00');
INSERT INTO `sys_job_log` VALUES (31976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:00:05');
INSERT INTO `sys_job_log` VALUES (31977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:00:05');
INSERT INTO `sys_job_log` VALUES (31978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:00:10');
INSERT INTO `sys_job_log` VALUES (31979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:00:10');
INSERT INTO `sys_job_log` VALUES (31980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 15:00:15');
INSERT INTO `sys_job_log` VALUES (31981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:00:15');
INSERT INTO `sys_job_log` VALUES (31982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:15');
INSERT INTO `sys_job_log` VALUES (31983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:00:15');
INSERT INTO `sys_job_log` VALUES (31984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:00:20');
INSERT INTO `sys_job_log` VALUES (31985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:20');
INSERT INTO `sys_job_log` VALUES (31986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:00:25');
INSERT INTO `sys_job_log` VALUES (31987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:00:25');
INSERT INTO `sys_job_log` VALUES (31988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:00:30');
INSERT INTO `sys_job_log` VALUES (31989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 15:00:30');
INSERT INTO `sys_job_log` VALUES (31990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:30');
INSERT INTO `sys_job_log` VALUES (31991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:30');
INSERT INTO `sys_job_log` VALUES (31992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:00:35');
INSERT INTO `sys_job_log` VALUES (31993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:35');
INSERT INTO `sys_job_log` VALUES (31994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:00:40');
INSERT INTO `sys_job_log` VALUES (31995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:00:40');
INSERT INTO `sys_job_log` VALUES (31996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:45');
INSERT INTO `sys_job_log` VALUES (31997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:45');
INSERT INTO `sys_job_log` VALUES (31998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:45');
INSERT INTO `sys_job_log` VALUES (31999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:00:45');
INSERT INTO `sys_job_log` VALUES (32000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：107毫秒', '0', '', '2024-12-27 15:00:50');
INSERT INTO `sys_job_log` VALUES (32001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:00:50');
INSERT INTO `sys_job_log` VALUES (32002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:00:55');
INSERT INTO `sys_job_log` VALUES (32003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:00:55');
INSERT INTO `sys_job_log` VALUES (32004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:01:00');
INSERT INTO `sys_job_log` VALUES (32005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:01:00');
INSERT INTO `sys_job_log` VALUES (32006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:01:00');
INSERT INTO `sys_job_log` VALUES (32007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:01:00');
INSERT INTO `sys_job_log` VALUES (32008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:01:05');
INSERT INTO `sys_job_log` VALUES (32009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：640毫秒', '0', '', '2024-12-27 15:01:05');
INSERT INTO `sys_job_log` VALUES (32010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-27 15:01:10');
INSERT INTO `sys_job_log` VALUES (32011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:01:10');
INSERT INTO `sys_job_log` VALUES (32012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:01:15');
INSERT INTO `sys_job_log` VALUES (32013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 15:01:15');
INSERT INTO `sys_job_log` VALUES (32014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:15');
INSERT INTO `sys_job_log` VALUES (32015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:15');
INSERT INTO `sys_job_log` VALUES (32016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:01:20');
INSERT INTO `sys_job_log` VALUES (32017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：529毫秒', '0', '', '2024-12-27 15:01:21');
INSERT INTO `sys_job_log` VALUES (32018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 15:01:25');
INSERT INTO `sys_job_log` VALUES (32019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:01:25');
INSERT INTO `sys_job_log` VALUES (32020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:01:30');
INSERT INTO `sys_job_log` VALUES (32021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:01:30');
INSERT INTO `sys_job_log` VALUES (32022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:01:30');
INSERT INTO `sys_job_log` VALUES (32023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:01:30');
INSERT INTO `sys_job_log` VALUES (32024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2024-12-27 15:01:35');
INSERT INTO `sys_job_log` VALUES (32025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:35');
INSERT INTO `sys_job_log` VALUES (32026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:01:40');
INSERT INTO `sys_job_log` VALUES (32027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:40');
INSERT INTO `sys_job_log` VALUES (32028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2024-12-27 15:01:45');
INSERT INTO `sys_job_log` VALUES (32029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-27 15:01:45');
INSERT INTO `sys_job_log` VALUES (32030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:45');
INSERT INTO `sys_job_log` VALUES (32031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:45');
INSERT INTO `sys_job_log` VALUES (32032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:01:50');
INSERT INTO `sys_job_log` VALUES (32033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:01:50');
INSERT INTO `sys_job_log` VALUES (32034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:01:55');
INSERT INTO `sys_job_log` VALUES (32035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:01:55');
INSERT INTO `sys_job_log` VALUES (32036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:02:00');
INSERT INTO `sys_job_log` VALUES (32037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:02:00');
INSERT INTO `sys_job_log` VALUES (32038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:02:00');
INSERT INTO `sys_job_log` VALUES (32039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:02:00');
INSERT INTO `sys_job_log` VALUES (32040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:02:05');
INSERT INTO `sys_job_log` VALUES (32041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:02:05');
INSERT INTO `sys_job_log` VALUES (32042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:02:10');
INSERT INTO `sys_job_log` VALUES (32043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:02:10');
INSERT INTO `sys_job_log` VALUES (32044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 15:02:15');
INSERT INTO `sys_job_log` VALUES (32045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2024-12-27 15:02:15');
INSERT INTO `sys_job_log` VALUES (32046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:02:15');
INSERT INTO `sys_job_log` VALUES (32047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:02:15');
INSERT INTO `sys_job_log` VALUES (32048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:02:20');
INSERT INTO `sys_job_log` VALUES (32049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:02:20');
INSERT INTO `sys_job_log` VALUES (32050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:02:25');
INSERT INTO `sys_job_log` VALUES (32051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:02:25');
INSERT INTO `sys_job_log` VALUES (32052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-27 15:02:30');
INSERT INTO `sys_job_log` VALUES (32053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2024-12-27 15:02:30');
INSERT INTO `sys_job_log` VALUES (32054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:02:30');
INSERT INTO `sys_job_log` VALUES (32055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:02:30');
INSERT INTO `sys_job_log` VALUES (32056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:02:35');
INSERT INTO `sys_job_log` VALUES (32057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:02:35');
INSERT INTO `sys_job_log` VALUES (32058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 15:02:40');
INSERT INTO `sys_job_log` VALUES (32059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:02:40');
INSERT INTO `sys_job_log` VALUES (32060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:02:45');
INSERT INTO `sys_job_log` VALUES (32061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 15:02:45');
INSERT INTO `sys_job_log` VALUES (32062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:02:45');
INSERT INTO `sys_job_log` VALUES (32063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:02:45');
INSERT INTO `sys_job_log` VALUES (32064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:02:50');
INSERT INTO `sys_job_log` VALUES (32065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:02:50');
INSERT INTO `sys_job_log` VALUES (32066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:02:55');
INSERT INTO `sys_job_log` VALUES (32067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:02:55');
INSERT INTO `sys_job_log` VALUES (32068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-27 15:03:00');
INSERT INTO `sys_job_log` VALUES (32069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-27 15:03:00');
INSERT INTO `sys_job_log` VALUES (32070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:03:00');
INSERT INTO `sys_job_log` VALUES (32071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:03:00');
INSERT INTO `sys_job_log` VALUES (32072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-27 15:03:05');
INSERT INTO `sys_job_log` VALUES (32073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:03:05');
INSERT INTO `sys_job_log` VALUES (32074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:03:10');
INSERT INTO `sys_job_log` VALUES (32075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:03:10');
INSERT INTO `sys_job_log` VALUES (32076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 15:03:15');
INSERT INTO `sys_job_log` VALUES (32077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2024-12-27 15:03:15');
INSERT INTO `sys_job_log` VALUES (32078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:03:15');
INSERT INTO `sys_job_log` VALUES (32079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:03:15');
INSERT INTO `sys_job_log` VALUES (32080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:03:20');
INSERT INTO `sys_job_log` VALUES (32081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:03:20');
INSERT INTO `sys_job_log` VALUES (32082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:03:25');
INSERT INTO `sys_job_log` VALUES (32083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:03:25');
INSERT INTO `sys_job_log` VALUES (32084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:03:30');
INSERT INTO `sys_job_log` VALUES (32085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:03:30');
INSERT INTO `sys_job_log` VALUES (32086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:03:30');
INSERT INTO `sys_job_log` VALUES (32087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:03:30');
INSERT INTO `sys_job_log` VALUES (32088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 15:03:35');
INSERT INTO `sys_job_log` VALUES (32089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:03:35');
INSERT INTO `sys_job_log` VALUES (32090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:03:40');
INSERT INTO `sys_job_log` VALUES (32091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:03:40');
INSERT INTO `sys_job_log` VALUES (32092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：126毫秒', '0', '', '2024-12-27 15:03:45');
INSERT INTO `sys_job_log` VALUES (32093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：131毫秒', '0', '', '2024-12-27 15:03:45');
INSERT INTO `sys_job_log` VALUES (32094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:03:45');
INSERT INTO `sys_job_log` VALUES (32095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:03:45');
INSERT INTO `sys_job_log` VALUES (32096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:03:50');
INSERT INTO `sys_job_log` VALUES (32097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:03:50');
INSERT INTO `sys_job_log` VALUES (32098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:03:55');
INSERT INTO `sys_job_log` VALUES (32099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:03:55');
INSERT INTO `sys_job_log` VALUES (32100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:04:00');
INSERT INTO `sys_job_log` VALUES (32101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 15:04:00');
INSERT INTO `sys_job_log` VALUES (32102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:00');
INSERT INTO `sys_job_log` VALUES (32103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:04:00');
INSERT INTO `sys_job_log` VALUES (32104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2024-12-27 15:04:05');
INSERT INTO `sys_job_log` VALUES (32105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:04:05');
INSERT INTO `sys_job_log` VALUES (32106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 15:04:10');
INSERT INTO `sys_job_log` VALUES (32107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:10');
INSERT INTO `sys_job_log` VALUES (32108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:04:15');
INSERT INTO `sys_job_log` VALUES (32109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:04:15');
INSERT INTO `sys_job_log` VALUES (32110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:15');
INSERT INTO `sys_job_log` VALUES (32111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:15');
INSERT INTO `sys_job_log` VALUES (32112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 15:04:20');
INSERT INTO `sys_job_log` VALUES (32113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:20');
INSERT INTO `sys_job_log` VALUES (32114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 15:04:25');
INSERT INTO `sys_job_log` VALUES (32115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:25');
INSERT INTO `sys_job_log` VALUES (32116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 15:04:30');
INSERT INTO `sys_job_log` VALUES (32117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 15:04:30');
INSERT INTO `sys_job_log` VALUES (32118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:04:30');
INSERT INTO `sys_job_log` VALUES (32119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:04:30');
INSERT INTO `sys_job_log` VALUES (32120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:04:35');
INSERT INTO `sys_job_log` VALUES (32121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：374毫秒', '0', '', '2024-12-27 15:04:35');
INSERT INTO `sys_job_log` VALUES (32122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 15:04:40');
INSERT INTO `sys_job_log` VALUES (32123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:04:40');
INSERT INTO `sys_job_log` VALUES (32124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：107毫秒', '0', '', '2024-12-27 15:04:45');
INSERT INTO `sys_job_log` VALUES (32125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2024-12-27 15:04:45');
INSERT INTO `sys_job_log` VALUES (32126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:04:45');
INSERT INTO `sys_job_log` VALUES (32127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:04:45');
INSERT INTO `sys_job_log` VALUES (32128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:04:50');
INSERT INTO `sys_job_log` VALUES (32129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:50');
INSERT INTO `sys_job_log` VALUES (32130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 15:04:55');
INSERT INTO `sys_job_log` VALUES (32131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:04:55');
INSERT INTO `sys_job_log` VALUES (32132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:05:00');
INSERT INTO `sys_job_log` VALUES (32133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:05:00');
INSERT INTO `sys_job_log` VALUES (32134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：326毫秒', '0', '', '2024-12-27 15:05:00');
INSERT INTO `sys_job_log` VALUES (32135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：357毫秒', '0', '', '2024-12-27 15:05:00');
INSERT INTO `sys_job_log` VALUES (32136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:05:05');
INSERT INTO `sys_job_log` VALUES (32137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:05:05');
INSERT INTO `sys_job_log` VALUES (32138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:05:10');
INSERT INTO `sys_job_log` VALUES (32139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:10');
INSERT INTO `sys_job_log` VALUES (32140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:05:15');
INSERT INTO `sys_job_log` VALUES (32141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:05:15');
INSERT INTO `sys_job_log` VALUES (32142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:15');
INSERT INTO `sys_job_log` VALUES (32143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:15');
INSERT INTO `sys_job_log` VALUES (32144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:20');
INSERT INTO `sys_job_log` VALUES (32145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：113毫秒', '0', '', '2024-12-27 15:05:20');
INSERT INTO `sys_job_log` VALUES (32146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 15:05:25');
INSERT INTO `sys_job_log` VALUES (32147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:05:25');
INSERT INTO `sys_job_log` VALUES (32148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 15:05:30');
INSERT INTO `sys_job_log` VALUES (32149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:05:30');
INSERT INTO `sys_job_log` VALUES (32150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:05:30');
INSERT INTO `sys_job_log` VALUES (32151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:30');
INSERT INTO `sys_job_log` VALUES (32152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:05:35');
INSERT INTO `sys_job_log` VALUES (32153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:05:35');
INSERT INTO `sys_job_log` VALUES (32154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:05:40');
INSERT INTO `sys_job_log` VALUES (32155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:40');
INSERT INTO `sys_job_log` VALUES (32156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:05:45');
INSERT INTO `sys_job_log` VALUES (32157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:05:45');
INSERT INTO `sys_job_log` VALUES (32158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:45');
INSERT INTO `sys_job_log` VALUES (32159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:45');
INSERT INTO `sys_job_log` VALUES (32160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:05:50');
INSERT INTO `sys_job_log` VALUES (32161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:05:50');
INSERT INTO `sys_job_log` VALUES (32162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 15:05:55');
INSERT INTO `sys_job_log` VALUES (32163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:05:55');
INSERT INTO `sys_job_log` VALUES (32164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 15:06:00');
INSERT INTO `sys_job_log` VALUES (32165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:06:00');
INSERT INTO `sys_job_log` VALUES (32166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:00');
INSERT INTO `sys_job_log` VALUES (32167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:00');
INSERT INTO `sys_job_log` VALUES (32168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 15:06:05');
INSERT INTO `sys_job_log` VALUES (32169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:06:05');
INSERT INTO `sys_job_log` VALUES (32170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:06:10');
INSERT INTO `sys_job_log` VALUES (32171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:06:10');
INSERT INTO `sys_job_log` VALUES (32172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:06:15');
INSERT INTO `sys_job_log` VALUES (32173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:06:15');
INSERT INTO `sys_job_log` VALUES (32174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:15');
INSERT INTO `sys_job_log` VALUES (32175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:15');
INSERT INTO `sys_job_log` VALUES (32176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:06:20');
INSERT INTO `sys_job_log` VALUES (32177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:06:20');
INSERT INTO `sys_job_log` VALUES (32178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:06:25');
INSERT INTO `sys_job_log` VALUES (32179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:06:25');
INSERT INTO `sys_job_log` VALUES (32180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:06:30');
INSERT INTO `sys_job_log` VALUES (32181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:06:30');
INSERT INTO `sys_job_log` VALUES (32182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:30');
INSERT INTO `sys_job_log` VALUES (32183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:30');
INSERT INTO `sys_job_log` VALUES (32184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:06:35');
INSERT INTO `sys_job_log` VALUES (32185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:06:35');
INSERT INTO `sys_job_log` VALUES (32186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2024-12-27 15:06:40');
INSERT INTO `sys_job_log` VALUES (32187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:06:40');
INSERT INTO `sys_job_log` VALUES (32188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:06:45');
INSERT INTO `sys_job_log` VALUES (32189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 15:06:45');
INSERT INTO `sys_job_log` VALUES (32190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:06:45');
INSERT INTO `sys_job_log` VALUES (32191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:06:45');
INSERT INTO `sys_job_log` VALUES (32192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-27 15:06:50');
INSERT INTO `sys_job_log` VALUES (32193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:06:50');
INSERT INTO `sys_job_log` VALUES (32194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:06:55');
INSERT INTO `sys_job_log` VALUES (32195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:06:55');
INSERT INTO `sys_job_log` VALUES (32196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:07:00');
INSERT INTO `sys_job_log` VALUES (32197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:07:00');
INSERT INTO `sys_job_log` VALUES (32198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:07:00');
INSERT INTO `sys_job_log` VALUES (32199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:07:00');
INSERT INTO `sys_job_log` VALUES (32200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2024-12-27 15:07:05');
INSERT INTO `sys_job_log` VALUES (32201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:05');
INSERT INTO `sys_job_log` VALUES (32202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-27 15:07:10');
INSERT INTO `sys_job_log` VALUES (32203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:07:10');
INSERT INTO `sys_job_log` VALUES (32204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:07:15');
INSERT INTO `sys_job_log` VALUES (32205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:07:15');
INSERT INTO `sys_job_log` VALUES (32206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:15');
INSERT INTO `sys_job_log` VALUES (32207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:15');
INSERT INTO `sys_job_log` VALUES (32208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:07:20');
INSERT INTO `sys_job_log` VALUES (32209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:07:20');
INSERT INTO `sys_job_log` VALUES (32210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:07:25');
INSERT INTO `sys_job_log` VALUES (32211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:07:25');
INSERT INTO `sys_job_log` VALUES (32212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:07:30');
INSERT INTO `sys_job_log` VALUES (32213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:07:30');
INSERT INTO `sys_job_log` VALUES (32214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:07:30');
INSERT INTO `sys_job_log` VALUES (32215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:30');
INSERT INTO `sys_job_log` VALUES (32216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:07:35');
INSERT INTO `sys_job_log` VALUES (32217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:07:35');
INSERT INTO `sys_job_log` VALUES (32218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:07:40');
INSERT INTO `sys_job_log` VALUES (32219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:07:40');
INSERT INTO `sys_job_log` VALUES (32220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 15:07:45');
INSERT INTO `sys_job_log` VALUES (32221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 15:07:45');
INSERT INTO `sys_job_log` VALUES (32222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:45');
INSERT INTO `sys_job_log` VALUES (32223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:07:45');
INSERT INTO `sys_job_log` VALUES (32224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 15:07:50');
INSERT INTO `sys_job_log` VALUES (32225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:50');
INSERT INTO `sys_job_log` VALUES (32226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:07:55');
INSERT INTO `sys_job_log` VALUES (32227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:07:55');
INSERT INTO `sys_job_log` VALUES (32228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:08:00');
INSERT INTO `sys_job_log` VALUES (32229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:00');
INSERT INTO `sys_job_log` VALUES (32230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:00');
INSERT INTO `sys_job_log` VALUES (32231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:00');
INSERT INTO `sys_job_log` VALUES (32232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:05');
INSERT INTO `sys_job_log` VALUES (32233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:05');
INSERT INTO `sys_job_log` VALUES (32234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:08:10');
INSERT INTO `sys_job_log` VALUES (32235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:08:10');
INSERT INTO `sys_job_log` VALUES (32236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:08:15');
INSERT INTO `sys_job_log` VALUES (32237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:08:15');
INSERT INTO `sys_job_log` VALUES (32238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:08:15');
INSERT INTO `sys_job_log` VALUES (32239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:08:15');
INSERT INTO `sys_job_log` VALUES (32240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:08:20');
INSERT INTO `sys_job_log` VALUES (32241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:20');
INSERT INTO `sys_job_log` VALUES (32242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:25');
INSERT INTO `sys_job_log` VALUES (32243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:25');
INSERT INTO `sys_job_log` VALUES (32244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:08:30');
INSERT INTO `sys_job_log` VALUES (32245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:08:30');
INSERT INTO `sys_job_log` VALUES (32246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:08:30');
INSERT INTO `sys_job_log` VALUES (32247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:08:30');
INSERT INTO `sys_job_log` VALUES (32248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:08:35');
INSERT INTO `sys_job_log` VALUES (32249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:35');
INSERT INTO `sys_job_log` VALUES (32250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:08:40');
INSERT INTO `sys_job_log` VALUES (32251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：655毫秒', '0', '', '2024-12-27 15:08:40');
INSERT INTO `sys_job_log` VALUES (32252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-27 15:08:45');
INSERT INTO `sys_job_log` VALUES (32253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2024-12-27 15:08:45');
INSERT INTO `sys_job_log` VALUES (32254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:08:45');
INSERT INTO `sys_job_log` VALUES (32255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:08:45');
INSERT INTO `sys_job_log` VALUES (32256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:08:50');
INSERT INTO `sys_job_log` VALUES (32257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:08:50');
INSERT INTO `sys_job_log` VALUES (32258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:08:55');
INSERT INTO `sys_job_log` VALUES (32259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:08:55');
INSERT INTO `sys_job_log` VALUES (32260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:09:00');
INSERT INTO `sys_job_log` VALUES (32261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:09:00');
INSERT INTO `sys_job_log` VALUES (32262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:09:00');
INSERT INTO `sys_job_log` VALUES (32263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:09:00');
INSERT INTO `sys_job_log` VALUES (32264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:09:05');
INSERT INTO `sys_job_log` VALUES (32265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:09:05');
INSERT INTO `sys_job_log` VALUES (32266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:09:10');
INSERT INTO `sys_job_log` VALUES (32267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:09:10');
INSERT INTO `sys_job_log` VALUES (32268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:09:15');
INSERT INTO `sys_job_log` VALUES (32269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:09:15');
INSERT INTO `sys_job_log` VALUES (32270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:09:15');
INSERT INTO `sys_job_log` VALUES (32271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:09:15');
INSERT INTO `sys_job_log` VALUES (32272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:09:20');
INSERT INTO `sys_job_log` VALUES (32273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:09:20');
INSERT INTO `sys_job_log` VALUES (32274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:09:25');
INSERT INTO `sys_job_log` VALUES (32275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:09:25');
INSERT INTO `sys_job_log` VALUES (32276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:09:30');
INSERT INTO `sys_job_log` VALUES (32277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:09:30');
INSERT INTO `sys_job_log` VALUES (32278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:09:30');
INSERT INTO `sys_job_log` VALUES (32279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:09:30');
INSERT INTO `sys_job_log` VALUES (32280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:09:35');
INSERT INTO `sys_job_log` VALUES (32281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:09:35');
INSERT INTO `sys_job_log` VALUES (32282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:09:40');
INSERT INTO `sys_job_log` VALUES (32283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:09:40');
INSERT INTO `sys_job_log` VALUES (32284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:09:45');
INSERT INTO `sys_job_log` VALUES (32285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-27 15:09:45');
INSERT INTO `sys_job_log` VALUES (32286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:09:45');
INSERT INTO `sys_job_log` VALUES (32287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:09:45');
INSERT INTO `sys_job_log` VALUES (32288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:09:50');
INSERT INTO `sys_job_log` VALUES (32289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:09:50');
INSERT INTO `sys_job_log` VALUES (32290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:09:55');
INSERT INTO `sys_job_log` VALUES (32291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:09:55');
INSERT INTO `sys_job_log` VALUES (32292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2024-12-27 15:10:00');
INSERT INTO `sys_job_log` VALUES (32293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2024-12-27 15:10:00');
INSERT INTO `sys_job_log` VALUES (32294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:00');
INSERT INTO `sys_job_log` VALUES (32295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:00');
INSERT INTO `sys_job_log` VALUES (32296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:10:05');
INSERT INTO `sys_job_log` VALUES (32297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:10:05');
INSERT INTO `sys_job_log` VALUES (32298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:10:10');
INSERT INTO `sys_job_log` VALUES (32299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:10');
INSERT INTO `sys_job_log` VALUES (32300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:10:15');
INSERT INTO `sys_job_log` VALUES (32301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:10:15');
INSERT INTO `sys_job_log` VALUES (32302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:10:15');
INSERT INTO `sys_job_log` VALUES (32303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 15:10:15');
INSERT INTO `sys_job_log` VALUES (32304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:10:20');
INSERT INTO `sys_job_log` VALUES (32305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:10:20');
INSERT INTO `sys_job_log` VALUES (32306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:10:25');
INSERT INTO `sys_job_log` VALUES (32307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:10:25');
INSERT INTO `sys_job_log` VALUES (32308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:10:30');
INSERT INTO `sys_job_log` VALUES (32309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:10:30');
INSERT INTO `sys_job_log` VALUES (32310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:10:30');
INSERT INTO `sys_job_log` VALUES (32311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:10:30');
INSERT INTO `sys_job_log` VALUES (32312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:10:35');
INSERT INTO `sys_job_log` VALUES (32313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:35');
INSERT INTO `sys_job_log` VALUES (32314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:40');
INSERT INTO `sys_job_log` VALUES (32315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:40');
INSERT INTO `sys_job_log` VALUES (32316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:45');
INSERT INTO `sys_job_log` VALUES (32317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:45');
INSERT INTO `sys_job_log` VALUES (32318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:10:45');
INSERT INTO `sys_job_log` VALUES (32319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:10:45');
INSERT INTO `sys_job_log` VALUES (32320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:10:50');
INSERT INTO `sys_job_log` VALUES (32321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:10:50');
INSERT INTO `sys_job_log` VALUES (32322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:10:55');
INSERT INTO `sys_job_log` VALUES (32323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:10:55');
INSERT INTO `sys_job_log` VALUES (32324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:11:00');
INSERT INTO `sys_job_log` VALUES (32325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:11:00');
INSERT INTO `sys_job_log` VALUES (32326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:11:00');
INSERT INTO `sys_job_log` VALUES (32327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:11:00');
INSERT INTO `sys_job_log` VALUES (32328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:11:05');
INSERT INTO `sys_job_log` VALUES (32329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:11:05');
INSERT INTO `sys_job_log` VALUES (32330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:11:10');
INSERT INTO `sys_job_log` VALUES (32331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:11:10');
INSERT INTO `sys_job_log` VALUES (32332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:11:15');
INSERT INTO `sys_job_log` VALUES (32333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:11:15');
INSERT INTO `sys_job_log` VALUES (32334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:11:15');
INSERT INTO `sys_job_log` VALUES (32335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:11:15');
INSERT INTO `sys_job_log` VALUES (32336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:11:20');
INSERT INTO `sys_job_log` VALUES (32337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:11:20');
INSERT INTO `sys_job_log` VALUES (32338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:11:25');
INSERT INTO `sys_job_log` VALUES (32339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:11:25');
INSERT INTO `sys_job_log` VALUES (32340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:11:30');
INSERT INTO `sys_job_log` VALUES (32341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:11:30');
INSERT INTO `sys_job_log` VALUES (32342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:11:30');
INSERT INTO `sys_job_log` VALUES (32343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:11:30');
INSERT INTO `sys_job_log` VALUES (32344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:11:35');
INSERT INTO `sys_job_log` VALUES (32345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:11:35');
INSERT INTO `sys_job_log` VALUES (32346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:11:40');
INSERT INTO `sys_job_log` VALUES (32347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:11:40');
INSERT INTO `sys_job_log` VALUES (32348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:11:45');
INSERT INTO `sys_job_log` VALUES (32349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:11:45');
INSERT INTO `sys_job_log` VALUES (32350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:11:45');
INSERT INTO `sys_job_log` VALUES (32351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:11:45');
INSERT INTO `sys_job_log` VALUES (32352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:11:50');
INSERT INTO `sys_job_log` VALUES (32353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:11:50');
INSERT INTO `sys_job_log` VALUES (32354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:11:55');
INSERT INTO `sys_job_log` VALUES (32355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:11:55');
INSERT INTO `sys_job_log` VALUES (32356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:00');
INSERT INTO `sys_job_log` VALUES (32357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:00');
INSERT INTO `sys_job_log` VALUES (32358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:00');
INSERT INTO `sys_job_log` VALUES (32359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:00');
INSERT INTO `sys_job_log` VALUES (32360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:05');
INSERT INTO `sys_job_log` VALUES (32361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:05');
INSERT INTO `sys_job_log` VALUES (32362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:12:10');
INSERT INTO `sys_job_log` VALUES (32363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:10');
INSERT INTO `sys_job_log` VALUES (32364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:15');
INSERT INTO `sys_job_log` VALUES (32365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:15');
INSERT INTO `sys_job_log` VALUES (32366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:15');
INSERT INTO `sys_job_log` VALUES (32367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:15');
INSERT INTO `sys_job_log` VALUES (32368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:20');
INSERT INTO `sys_job_log` VALUES (32369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:20');
INSERT INTO `sys_job_log` VALUES (32370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:25');
INSERT INTO `sys_job_log` VALUES (32371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:12:25');
INSERT INTO `sys_job_log` VALUES (32372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:30');
INSERT INTO `sys_job_log` VALUES (32373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:30');
INSERT INTO `sys_job_log` VALUES (32374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:30');
INSERT INTO `sys_job_log` VALUES (32375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:30');
INSERT INTO `sys_job_log` VALUES (32376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 15:12:35');
INSERT INTO `sys_job_log` VALUES (32377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:35');
INSERT INTO `sys_job_log` VALUES (32378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:40');
INSERT INTO `sys_job_log` VALUES (32379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:40');
INSERT INTO `sys_job_log` VALUES (32380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:45');
INSERT INTO `sys_job_log` VALUES (32381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:45');
INSERT INTO `sys_job_log` VALUES (32382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:12:45');
INSERT INTO `sys_job_log` VALUES (32383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:12:45');
INSERT INTO `sys_job_log` VALUES (32384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:12:50');
INSERT INTO `sys_job_log` VALUES (32385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:12:50');
INSERT INTO `sys_job_log` VALUES (32386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:12:55');
INSERT INTO `sys_job_log` VALUES (32387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:12:55');
INSERT INTO `sys_job_log` VALUES (32388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:00');
INSERT INTO `sys_job_log` VALUES (32389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:00');
INSERT INTO `sys_job_log` VALUES (32390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:00');
INSERT INTO `sys_job_log` VALUES (32391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:00');
INSERT INTO `sys_job_log` VALUES (32392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:05');
INSERT INTO `sys_job_log` VALUES (32393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:13:05');
INSERT INTO `sys_job_log` VALUES (32394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:10');
INSERT INTO `sys_job_log` VALUES (32395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:13:10');
INSERT INTO `sys_job_log` VALUES (32396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:13:15');
INSERT INTO `sys_job_log` VALUES (32397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:13:15');
INSERT INTO `sys_job_log` VALUES (32398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:13:15');
INSERT INTO `sys_job_log` VALUES (32399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:13:15');
INSERT INTO `sys_job_log` VALUES (32400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:20');
INSERT INTO `sys_job_log` VALUES (32401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:13:20');
INSERT INTO `sys_job_log` VALUES (32402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:13:25');
INSERT INTO `sys_job_log` VALUES (32403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:13:25');
INSERT INTO `sys_job_log` VALUES (32404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:30');
INSERT INTO `sys_job_log` VALUES (32405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:30');
INSERT INTO `sys_job_log` VALUES (32406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:30');
INSERT INTO `sys_job_log` VALUES (32407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:30');
INSERT INTO `sys_job_log` VALUES (32408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:35');
INSERT INTO `sys_job_log` VALUES (32409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:35');
INSERT INTO `sys_job_log` VALUES (32410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:40');
INSERT INTO `sys_job_log` VALUES (32411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:13:40');
INSERT INTO `sys_job_log` VALUES (32412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:45');
INSERT INTO `sys_job_log` VALUES (32413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:45');
INSERT INTO `sys_job_log` VALUES (32414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:45');
INSERT INTO `sys_job_log` VALUES (32415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:45');
INSERT INTO `sys_job_log` VALUES (32416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:13:50');
INSERT INTO `sys_job_log` VALUES (32417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:13:50');
INSERT INTO `sys_job_log` VALUES (32418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:13:55');
INSERT INTO `sys_job_log` VALUES (32419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2024-12-27 15:13:55');
INSERT INTO `sys_job_log` VALUES (32420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:00');
INSERT INTO `sys_job_log` VALUES (32421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:00');
INSERT INTO `sys_job_log` VALUES (32422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:00');
INSERT INTO `sys_job_log` VALUES (32423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:00');
INSERT INTO `sys_job_log` VALUES (32424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:14:05');
INSERT INTO `sys_job_log` VALUES (32425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:14:05');
INSERT INTO `sys_job_log` VALUES (32426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:14:10');
INSERT INTO `sys_job_log` VALUES (32427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:14:10');
INSERT INTO `sys_job_log` VALUES (32428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:14:15');
INSERT INTO `sys_job_log` VALUES (32429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:14:15');
INSERT INTO `sys_job_log` VALUES (32430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:14:15');
INSERT INTO `sys_job_log` VALUES (32431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:14:15');
INSERT INTO `sys_job_log` VALUES (32432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:20');
INSERT INTO `sys_job_log` VALUES (32433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:14:20');
INSERT INTO `sys_job_log` VALUES (32434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:25');
INSERT INTO `sys_job_log` VALUES (32435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:14:25');
INSERT INTO `sys_job_log` VALUES (32436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:14:30');
INSERT INTO `sys_job_log` VALUES (32437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:14:30');
INSERT INTO `sys_job_log` VALUES (32438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:14:30');
INSERT INTO `sys_job_log` VALUES (32439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:14:30');
INSERT INTO `sys_job_log` VALUES (32440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:14:35');
INSERT INTO `sys_job_log` VALUES (32441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:14:35');
INSERT INTO `sys_job_log` VALUES (32442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:14:40');
INSERT INTO `sys_job_log` VALUES (32443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:14:40');
INSERT INTO `sys_job_log` VALUES (32444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:45');
INSERT INTO `sys_job_log` VALUES (32445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:45');
INSERT INTO `sys_job_log` VALUES (32446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:14:45');
INSERT INTO `sys_job_log` VALUES (32447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:45');
INSERT INTO `sys_job_log` VALUES (32448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-27 15:14:50');
INSERT INTO `sys_job_log` VALUES (32449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:14:50');
INSERT INTO `sys_job_log` VALUES (32450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:14:55');
INSERT INTO `sys_job_log` VALUES (32451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:14:55');
INSERT INTO `sys_job_log` VALUES (32452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:00');
INSERT INTO `sys_job_log` VALUES (32453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:00');
INSERT INTO `sys_job_log` VALUES (32454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:15:00');
INSERT INTO `sys_job_log` VALUES (32455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:15:00');
INSERT INTO `sys_job_log` VALUES (32456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:15:05');
INSERT INTO `sys_job_log` VALUES (32457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:05');
INSERT INTO `sys_job_log` VALUES (32458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:10');
INSERT INTO `sys_job_log` VALUES (32459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:15:10');
INSERT INTO `sys_job_log` VALUES (32460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2024-12-27 15:15:15');
INSERT INTO `sys_job_log` VALUES (32461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 15:15:15');
INSERT INTO `sys_job_log` VALUES (32462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:15');
INSERT INTO `sys_job_log` VALUES (32463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:15');
INSERT INTO `sys_job_log` VALUES (32464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:20');
INSERT INTO `sys_job_log` VALUES (32465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:20');
INSERT INTO `sys_job_log` VALUES (32466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:15:25');
INSERT INTO `sys_job_log` VALUES (32467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:15:25');
INSERT INTO `sys_job_log` VALUES (32468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:15:30');
INSERT INTO `sys_job_log` VALUES (32469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:15:30');
INSERT INTO `sys_job_log` VALUES (32470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:15:30');
INSERT INTO `sys_job_log` VALUES (32471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:15:30');
INSERT INTO `sys_job_log` VALUES (32472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:15:35');
INSERT INTO `sys_job_log` VALUES (32473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:15:35');
INSERT INTO `sys_job_log` VALUES (32474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:15:40');
INSERT INTO `sys_job_log` VALUES (32475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:15:40');
INSERT INTO `sys_job_log` VALUES (32476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:45');
INSERT INTO `sys_job_log` VALUES (32477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:45');
INSERT INTO `sys_job_log` VALUES (32478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:45');
INSERT INTO `sys_job_log` VALUES (32479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:45');
INSERT INTO `sys_job_log` VALUES (32480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:15:50');
INSERT INTO `sys_job_log` VALUES (32481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:15:50');
INSERT INTO `sys_job_log` VALUES (32482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:15:55');
INSERT INTO `sys_job_log` VALUES (32483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:15:55');
INSERT INTO `sys_job_log` VALUES (32484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:16:00');
INSERT INTO `sys_job_log` VALUES (32485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:16:00');
INSERT INTO `sys_job_log` VALUES (32486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:16:00');
INSERT INTO `sys_job_log` VALUES (32487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:16:00');
INSERT INTO `sys_job_log` VALUES (32488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:16:05');
INSERT INTO `sys_job_log` VALUES (32489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:16:05');
INSERT INTO `sys_job_log` VALUES (32490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:16:10');
INSERT INTO `sys_job_log` VALUES (32491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:16:10');
INSERT INTO `sys_job_log` VALUES (32492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:15');
INSERT INTO `sys_job_log` VALUES (32493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:15');
INSERT INTO `sys_job_log` VALUES (32494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:15');
INSERT INTO `sys_job_log` VALUES (32495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:15');
INSERT INTO `sys_job_log` VALUES (32496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:16:20');
INSERT INTO `sys_job_log` VALUES (32497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:16:20');
INSERT INTO `sys_job_log` VALUES (32498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:16:25');
INSERT INTO `sys_job_log` VALUES (32499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:25');
INSERT INTO `sys_job_log` VALUES (32500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:16:30');
INSERT INTO `sys_job_log` VALUES (32501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:16:30');
INSERT INTO `sys_job_log` VALUES (32502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:30');
INSERT INTO `sys_job_log` VALUES (32503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:30');
INSERT INTO `sys_job_log` VALUES (32504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:16:35');
INSERT INTO `sys_job_log` VALUES (32505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:16:35');
INSERT INTO `sys_job_log` VALUES (32506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 15:16:40');
INSERT INTO `sys_job_log` VALUES (32507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:16:40');
INSERT INTO `sys_job_log` VALUES (32508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:16:45');
INSERT INTO `sys_job_log` VALUES (32509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:16:45');
INSERT INTO `sys_job_log` VALUES (32510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:16:45');
INSERT INTO `sys_job_log` VALUES (32511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:16:45');
INSERT INTO `sys_job_log` VALUES (32512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:16:50');
INSERT INTO `sys_job_log` VALUES (32513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:16:50');
INSERT INTO `sys_job_log` VALUES (32514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:16:55');
INSERT INTO `sys_job_log` VALUES (32515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:16:55');
INSERT INTO `sys_job_log` VALUES (32516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:17:00');
INSERT INTO `sys_job_log` VALUES (32517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:17:00');
INSERT INTO `sys_job_log` VALUES (32518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:17:00');
INSERT INTO `sys_job_log` VALUES (32519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:17:00');
INSERT INTO `sys_job_log` VALUES (32520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:17:05');
INSERT INTO `sys_job_log` VALUES (32521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:17:05');
INSERT INTO `sys_job_log` VALUES (32522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:17:10');
INSERT INTO `sys_job_log` VALUES (32523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:17:10');
INSERT INTO `sys_job_log` VALUES (32524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:17:15');
INSERT INTO `sys_job_log` VALUES (32525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:17:15');
INSERT INTO `sys_job_log` VALUES (32526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:17:15');
INSERT INTO `sys_job_log` VALUES (32527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:17:15');
INSERT INTO `sys_job_log` VALUES (32528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:17:20');
INSERT INTO `sys_job_log` VALUES (32529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:17:20');
INSERT INTO `sys_job_log` VALUES (32530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:17:25');
INSERT INTO `sys_job_log` VALUES (32531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:17:25');
INSERT INTO `sys_job_log` VALUES (32532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2024-12-27 15:17:30');
INSERT INTO `sys_job_log` VALUES (32533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:17:30');
INSERT INTO `sys_job_log` VALUES (32534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:17:30');
INSERT INTO `sys_job_log` VALUES (32535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2024-12-27 15:17:30');
INSERT INTO `sys_job_log` VALUES (32536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:17:35');
INSERT INTO `sys_job_log` VALUES (32537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：274毫秒', '0', '', '2024-12-27 15:17:35');
INSERT INTO `sys_job_log` VALUES (32538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:17:40');
INSERT INTO `sys_job_log` VALUES (32539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:17:40');
INSERT INTO `sys_job_log` VALUES (32540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 15:17:45');
INSERT INTO `sys_job_log` VALUES (32541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:17:45');
INSERT INTO `sys_job_log` VALUES (32542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:17:45');
INSERT INTO `sys_job_log` VALUES (32543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:17:45');
INSERT INTO `sys_job_log` VALUES (32544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:17:50');
INSERT INTO `sys_job_log` VALUES (32545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:17:50');
INSERT INTO `sys_job_log` VALUES (32546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:17:55');
INSERT INTO `sys_job_log` VALUES (32547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:17:55');
INSERT INTO `sys_job_log` VALUES (32548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:18:00');
INSERT INTO `sys_job_log` VALUES (32549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:18:00');
INSERT INTO `sys_job_log` VALUES (32550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:18:00');
INSERT INTO `sys_job_log` VALUES (32551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:18:00');
INSERT INTO `sys_job_log` VALUES (32552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:18:05');
INSERT INTO `sys_job_log` VALUES (32553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-27 15:18:05');
INSERT INTO `sys_job_log` VALUES (32554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:10');
INSERT INTO `sys_job_log` VALUES (32555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:18:10');
INSERT INTO `sys_job_log` VALUES (32556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:18:15');
INSERT INTO `sys_job_log` VALUES (32557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:18:15');
INSERT INTO `sys_job_log` VALUES (32558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:15');
INSERT INTO `sys_job_log` VALUES (32559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:15');
INSERT INTO `sys_job_log` VALUES (32560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:18:20');
INSERT INTO `sys_job_log` VALUES (32561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:18:20');
INSERT INTO `sys_job_log` VALUES (32562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:25');
INSERT INTO `sys_job_log` VALUES (32563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:18:25');
INSERT INTO `sys_job_log` VALUES (32564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 15:18:30');
INSERT INTO `sys_job_log` VALUES (32565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-27 15:18:30');
INSERT INTO `sys_job_log` VALUES (32566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:30');
INSERT INTO `sys_job_log` VALUES (32567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:30');
INSERT INTO `sys_job_log` VALUES (32568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:18:35');
INSERT INTO `sys_job_log` VALUES (32569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:18:35');
INSERT INTO `sys_job_log` VALUES (32570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:18:40');
INSERT INTO `sys_job_log` VALUES (32571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:18:40');
INSERT INTO `sys_job_log` VALUES (32572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:18:45');
INSERT INTO `sys_job_log` VALUES (32573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 15:18:45');
INSERT INTO `sys_job_log` VALUES (32574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:18:45');
INSERT INTO `sys_job_log` VALUES (32575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 15:18:45');
INSERT INTO `sys_job_log` VALUES (32576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:18:50');
INSERT INTO `sys_job_log` VALUES (32577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:18:50');
INSERT INTO `sys_job_log` VALUES (32578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:18:55');
INSERT INTO `sys_job_log` VALUES (32579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:18:55');
INSERT INTO `sys_job_log` VALUES (32580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:19:00');
INSERT INTO `sys_job_log` VALUES (32581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:19:00');
INSERT INTO `sys_job_log` VALUES (32582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:19:00');
INSERT INTO `sys_job_log` VALUES (32583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:19:00');
INSERT INTO `sys_job_log` VALUES (32584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:19:05');
INSERT INTO `sys_job_log` VALUES (32585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:19:05');
INSERT INTO `sys_job_log` VALUES (32586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:19:10');
INSERT INTO `sys_job_log` VALUES (32587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:19:10');
INSERT INTO `sys_job_log` VALUES (32588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:19:15');
INSERT INTO `sys_job_log` VALUES (32589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:19:15');
INSERT INTO `sys_job_log` VALUES (32590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:15');
INSERT INTO `sys_job_log` VALUES (32591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:19:15');
INSERT INTO `sys_job_log` VALUES (32592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:19:20');
INSERT INTO `sys_job_log` VALUES (32593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:19:20');
INSERT INTO `sys_job_log` VALUES (32594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:19:25');
INSERT INTO `sys_job_log` VALUES (32595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:19:25');
INSERT INTO `sys_job_log` VALUES (32596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2024-12-27 15:19:30');
INSERT INTO `sys_job_log` VALUES (32597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2024-12-27 15:19:30');
INSERT INTO `sys_job_log` VALUES (32598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:30');
INSERT INTO `sys_job_log` VALUES (32599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:30');
INSERT INTO `sys_job_log` VALUES (32600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:19:35');
INSERT INTO `sys_job_log` VALUES (32601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:35');
INSERT INTO `sys_job_log` VALUES (32602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:19:40');
INSERT INTO `sys_job_log` VALUES (32603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:19:40');
INSERT INTO `sys_job_log` VALUES (32604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:19:45');
INSERT INTO `sys_job_log` VALUES (32605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:19:45');
INSERT INTO `sys_job_log` VALUES (32606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:45');
INSERT INTO `sys_job_log` VALUES (32607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:45');
INSERT INTO `sys_job_log` VALUES (32608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:19:50');
INSERT INTO `sys_job_log` VALUES (32609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:19:50');
INSERT INTO `sys_job_log` VALUES (32610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:19:55');
INSERT INTO `sys_job_log` VALUES (32611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:19:55');
INSERT INTO `sys_job_log` VALUES (32612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:20:00');
INSERT INTO `sys_job_log` VALUES (32613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:20:00');
INSERT INTO `sys_job_log` VALUES (32614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:00');
INSERT INTO `sys_job_log` VALUES (32615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:00');
INSERT INTO `sys_job_log` VALUES (32616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:05');
INSERT INTO `sys_job_log` VALUES (32617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:20:05');
INSERT INTO `sys_job_log` VALUES (32618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:20:10');
INSERT INTO `sys_job_log` VALUES (32619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:10');
INSERT INTO `sys_job_log` VALUES (32620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:20:15');
INSERT INTO `sys_job_log` VALUES (32621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:20:15');
INSERT INTO `sys_job_log` VALUES (32622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:20:15');
INSERT INTO `sys_job_log` VALUES (32623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:20:15');
INSERT INTO `sys_job_log` VALUES (32624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:20:20');
INSERT INTO `sys_job_log` VALUES (32625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:20:20');
INSERT INTO `sys_job_log` VALUES (32626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:20:25');
INSERT INTO `sys_job_log` VALUES (32627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:20:25');
INSERT INTO `sys_job_log` VALUES (32628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:20:30');
INSERT INTO `sys_job_log` VALUES (32629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:20:30');
INSERT INTO `sys_job_log` VALUES (32630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:30');
INSERT INTO `sys_job_log` VALUES (32631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:30');
INSERT INTO `sys_job_log` VALUES (32632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:35');
INSERT INTO `sys_job_log` VALUES (32633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:20:35');
INSERT INTO `sys_job_log` VALUES (32634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:20:40');
INSERT INTO `sys_job_log` VALUES (32635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:40');
INSERT INTO `sys_job_log` VALUES (32636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:45');
INSERT INTO `sys_job_log` VALUES (32637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:45');
INSERT INTO `sys_job_log` VALUES (32638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:20:45');
INSERT INTO `sys_job_log` VALUES (32639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:20:45');
INSERT INTO `sys_job_log` VALUES (32640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:50');
INSERT INTO `sys_job_log` VALUES (32641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:20:50');
INSERT INTO `sys_job_log` VALUES (32642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:20:55');
INSERT INTO `sys_job_log` VALUES (32643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:20:55');
INSERT INTO `sys_job_log` VALUES (32644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:00');
INSERT INTO `sys_job_log` VALUES (32645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:00');
INSERT INTO `sys_job_log` VALUES (32646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:21:00');
INSERT INTO `sys_job_log` VALUES (32647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:00');
INSERT INTO `sys_job_log` VALUES (32648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:21:05');
INSERT INTO `sys_job_log` VALUES (32649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:05');
INSERT INTO `sys_job_log` VALUES (32650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:21:10');
INSERT INTO `sys_job_log` VALUES (32651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:21:10');
INSERT INTO `sys_job_log` VALUES (32652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:21:15');
INSERT INTO `sys_job_log` VALUES (32653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:15');
INSERT INTO `sys_job_log` VALUES (32654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:15');
INSERT INTO `sys_job_log` VALUES (32655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:15');
INSERT INTO `sys_job_log` VALUES (32656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:20');
INSERT INTO `sys_job_log` VALUES (32657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:20');
INSERT INTO `sys_job_log` VALUES (32658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:21:25');
INSERT INTO `sys_job_log` VALUES (32659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:25');
INSERT INTO `sys_job_log` VALUES (32660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:21:30');
INSERT INTO `sys_job_log` VALUES (32661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:21:30');
INSERT INTO `sys_job_log` VALUES (32662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:30');
INSERT INTO `sys_job_log` VALUES (32663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:30');
INSERT INTO `sys_job_log` VALUES (32664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:35');
INSERT INTO `sys_job_log` VALUES (32665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:21:35');
INSERT INTO `sys_job_log` VALUES (32666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:40');
INSERT INTO `sys_job_log` VALUES (32667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:21:40');
INSERT INTO `sys_job_log` VALUES (32668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:45');
INSERT INTO `sys_job_log` VALUES (32669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:45');
INSERT INTO `sys_job_log` VALUES (32670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:45');
INSERT INTO `sys_job_log` VALUES (32671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:21:45');
INSERT INTO `sys_job_log` VALUES (32672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:21:50');
INSERT INTO `sys_job_log` VALUES (32673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:21:50');
INSERT INTO `sys_job_log` VALUES (32674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:21:55');
INSERT INTO `sys_job_log` VALUES (32675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:21:55');
INSERT INTO `sys_job_log` VALUES (32676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:22:00');
INSERT INTO `sys_job_log` VALUES (32677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:22:00');
INSERT INTO `sys_job_log` VALUES (32678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:00');
INSERT INTO `sys_job_log` VALUES (32679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:00');
INSERT INTO `sys_job_log` VALUES (32680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:05');
INSERT INTO `sys_job_log` VALUES (32681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:05');
INSERT INTO `sys_job_log` VALUES (32682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:10');
INSERT INTO `sys_job_log` VALUES (32683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:22:10');
INSERT INTO `sys_job_log` VALUES (32684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:15');
INSERT INTO `sys_job_log` VALUES (32685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:15');
INSERT INTO `sys_job_log` VALUES (32686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:15');
INSERT INTO `sys_job_log` VALUES (32687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:15');
INSERT INTO `sys_job_log` VALUES (32688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:22:20');
INSERT INTO `sys_job_log` VALUES (32689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:22:20');
INSERT INTO `sys_job_log` VALUES (32690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:25');
INSERT INTO `sys_job_log` VALUES (32691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:25');
INSERT INTO `sys_job_log` VALUES (32692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2024-12-27 15:22:30');
INSERT INTO `sys_job_log` VALUES (32693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-27 15:22:30');
INSERT INTO `sys_job_log` VALUES (32694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:30');
INSERT INTO `sys_job_log` VALUES (32695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:30');
INSERT INTO `sys_job_log` VALUES (32696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:22:35');
INSERT INTO `sys_job_log` VALUES (32697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:22:35');
INSERT INTO `sys_job_log` VALUES (32698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:40');
INSERT INTO `sys_job_log` VALUES (32699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:40');
INSERT INTO `sys_job_log` VALUES (32700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:22:45');
INSERT INTO `sys_job_log` VALUES (32701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:22:45');
INSERT INTO `sys_job_log` VALUES (32702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:45');
INSERT INTO `sys_job_log` VALUES (32703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:22:45');
INSERT INTO `sys_job_log` VALUES (32704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:22:50');
INSERT INTO `sys_job_log` VALUES (32705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:50');
INSERT INTO `sys_job_log` VALUES (32706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:22:55');
INSERT INTO `sys_job_log` VALUES (32707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:22:55');
INSERT INTO `sys_job_log` VALUES (32708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:00');
INSERT INTO `sys_job_log` VALUES (32709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:00');
INSERT INTO `sys_job_log` VALUES (32710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:23:00');
INSERT INTO `sys_job_log` VALUES (32711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:00');
INSERT INTO `sys_job_log` VALUES (32712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:05');
INSERT INTO `sys_job_log` VALUES (32713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:05');
INSERT INTO `sys_job_log` VALUES (32714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:10');
INSERT INTO `sys_job_log` VALUES (32715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:23:10');
INSERT INTO `sys_job_log` VALUES (32716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:23:15');
INSERT INTO `sys_job_log` VALUES (32717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:23:15');
INSERT INTO `sys_job_log` VALUES (32718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:23:15');
INSERT INTO `sys_job_log` VALUES (32719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:23:15');
INSERT INTO `sys_job_log` VALUES (32720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:20');
INSERT INTO `sys_job_log` VALUES (32721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:20');
INSERT INTO `sys_job_log` VALUES (32722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:25');
INSERT INTO `sys_job_log` VALUES (32723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:25');
INSERT INTO `sys_job_log` VALUES (32724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:30');
INSERT INTO `sys_job_log` VALUES (32725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:30');
INSERT INTO `sys_job_log` VALUES (32726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:30');
INSERT INTO `sys_job_log` VALUES (32727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:30');
INSERT INTO `sys_job_log` VALUES (32728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:23:35');
INSERT INTO `sys_job_log` VALUES (32729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:35');
INSERT INTO `sys_job_log` VALUES (32730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:40');
INSERT INTO `sys_job_log` VALUES (32731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:40');
INSERT INTO `sys_job_log` VALUES (32732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 15:23:45');
INSERT INTO `sys_job_log` VALUES (32733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2024-12-27 15:23:45');
INSERT INTO `sys_job_log` VALUES (32734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:45');
INSERT INTO `sys_job_log` VALUES (32735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:23:45');
INSERT INTO `sys_job_log` VALUES (32736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:23:50');
INSERT INTO `sys_job_log` VALUES (32737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:23:50');
INSERT INTO `sys_job_log` VALUES (32738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:23:55');
INSERT INTO `sys_job_log` VALUES (32739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:23:55');
INSERT INTO `sys_job_log` VALUES (32740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:00');
INSERT INTO `sys_job_log` VALUES (32741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:00');
INSERT INTO `sys_job_log` VALUES (32742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:24:00');
INSERT INTO `sys_job_log` VALUES (32743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:24:00');
INSERT INTO `sys_job_log` VALUES (32744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:24:05');
INSERT INTO `sys_job_log` VALUES (32745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:24:05');
INSERT INTO `sys_job_log` VALUES (32746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:10');
INSERT INTO `sys_job_log` VALUES (32747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:10');
INSERT INTO `sys_job_log` VALUES (32748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:15');
INSERT INTO `sys_job_log` VALUES (32749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:15');
INSERT INTO `sys_job_log` VALUES (32750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:24:15');
INSERT INTO `sys_job_log` VALUES (32751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:24:15');
INSERT INTO `sys_job_log` VALUES (32752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:20');
INSERT INTO `sys_job_log` VALUES (32753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:24:20');
INSERT INTO `sys_job_log` VALUES (32754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:24:25');
INSERT INTO `sys_job_log` VALUES (32755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:25');
INSERT INTO `sys_job_log` VALUES (32756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:30');
INSERT INTO `sys_job_log` VALUES (32757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:30');
INSERT INTO `sys_job_log` VALUES (32758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:24:30');
INSERT INTO `sys_job_log` VALUES (32759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:24:30');
INSERT INTO `sys_job_log` VALUES (32760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:24:35');
INSERT INTO `sys_job_log` VALUES (32761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:35');
INSERT INTO `sys_job_log` VALUES (32762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:40');
INSERT INTO `sys_job_log` VALUES (32763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:24:40');
INSERT INTO `sys_job_log` VALUES (32764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:45');
INSERT INTO `sys_job_log` VALUES (32765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:45');
INSERT INTO `sys_job_log` VALUES (32766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:24:45');
INSERT INTO `sys_job_log` VALUES (32767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:24:45');
INSERT INTO `sys_job_log` VALUES (32768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:24:50');
INSERT INTO `sys_job_log` VALUES (32769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:24:50');
INSERT INTO `sys_job_log` VALUES (32770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:24:55');
INSERT INTO `sys_job_log` VALUES (32771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:24:55');
INSERT INTO `sys_job_log` VALUES (32772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:25:00');
INSERT INTO `sys_job_log` VALUES (32773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:25:00');
INSERT INTO `sys_job_log` VALUES (32774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:25:00');
INSERT INTO `sys_job_log` VALUES (32775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:25:00');
INSERT INTO `sys_job_log` VALUES (32776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:25:05');
INSERT INTO `sys_job_log` VALUES (32777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:05');
INSERT INTO `sys_job_log` VALUES (32778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:25:10');
INSERT INTO `sys_job_log` VALUES (32779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:25:10');
INSERT INTO `sys_job_log` VALUES (32780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:25:15');
INSERT INTO `sys_job_log` VALUES (32781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:25:15');
INSERT INTO `sys_job_log` VALUES (32782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:15');
INSERT INTO `sys_job_log` VALUES (32783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:15');
INSERT INTO `sys_job_log` VALUES (32784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:25:20');
INSERT INTO `sys_job_log` VALUES (32785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:20');
INSERT INTO `sys_job_log` VALUES (32786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:25');
INSERT INTO `sys_job_log` VALUES (32787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:25');
INSERT INTO `sys_job_log` VALUES (32788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:25:30');
INSERT INTO `sys_job_log` VALUES (32789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:25:30');
INSERT INTO `sys_job_log` VALUES (32790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-27 15:25:30');
INSERT INTO `sys_job_log` VALUES (32791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2024-12-27 15:25:30');
INSERT INTO `sys_job_log` VALUES (32792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:35');
INSERT INTO `sys_job_log` VALUES (32793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:25:35');
INSERT INTO `sys_job_log` VALUES (32794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:25:40');
INSERT INTO `sys_job_log` VALUES (32795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:25:40');
INSERT INTO `sys_job_log` VALUES (32796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:25:45');
INSERT INTO `sys_job_log` VALUES (32797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:25:45');
INSERT INTO `sys_job_log` VALUES (32798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:25:45');
INSERT INTO `sys_job_log` VALUES (32799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:25:45');
INSERT INTO `sys_job_log` VALUES (32800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:25:50');
INSERT INTO `sys_job_log` VALUES (32801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:25:50');
INSERT INTO `sys_job_log` VALUES (32802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:25:55');
INSERT INTO `sys_job_log` VALUES (32803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:25:55');
INSERT INTO `sys_job_log` VALUES (32804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:26:00');
INSERT INTO `sys_job_log` VALUES (32805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:26:00');
INSERT INTO `sys_job_log` VALUES (32806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:00');
INSERT INTO `sys_job_log` VALUES (32807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:00');
INSERT INTO `sys_job_log` VALUES (32808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:26:05');
INSERT INTO `sys_job_log` VALUES (32809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:26:05');
INSERT INTO `sys_job_log` VALUES (32810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:10');
INSERT INTO `sys_job_log` VALUES (32811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:26:10');
INSERT INTO `sys_job_log` VALUES (32812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:15');
INSERT INTO `sys_job_log` VALUES (32813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:15');
INSERT INTO `sys_job_log` VALUES (32814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:26:15');
INSERT INTO `sys_job_log` VALUES (32815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:26:15');
INSERT INTO `sys_job_log` VALUES (32816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:26:20');
INSERT INTO `sys_job_log` VALUES (32817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:26:20');
INSERT INTO `sys_job_log` VALUES (32818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:26:25');
INSERT INTO `sys_job_log` VALUES (32819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:26:25');
INSERT INTO `sys_job_log` VALUES (32820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:30');
INSERT INTO `sys_job_log` VALUES (32821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:30');
INSERT INTO `sys_job_log` VALUES (32822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:30');
INSERT INTO `sys_job_log` VALUES (32823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:30');
INSERT INTO `sys_job_log` VALUES (32824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:26:35');
INSERT INTO `sys_job_log` VALUES (32825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:26:35');
INSERT INTO `sys_job_log` VALUES (32826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:26:40');
INSERT INTO `sys_job_log` VALUES (32827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:26:40');
INSERT INTO `sys_job_log` VALUES (32828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:26:45');
INSERT INTO `sys_job_log` VALUES (32829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:26:45');
INSERT INTO `sys_job_log` VALUES (32830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:26:45');
INSERT INTO `sys_job_log` VALUES (32831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:26:45');
INSERT INTO `sys_job_log` VALUES (32832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:26:50');
INSERT INTO `sys_job_log` VALUES (32833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:26:50');
INSERT INTO `sys_job_log` VALUES (32834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：219毫秒', '0', '', '2024-12-27 15:26:55');
INSERT INTO `sys_job_log` VALUES (32835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:26:55');
INSERT INTO `sys_job_log` VALUES (32836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:27:00');
INSERT INTO `sys_job_log` VALUES (32837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:27:00');
INSERT INTO `sys_job_log` VALUES (32838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:27:00');
INSERT INTO `sys_job_log` VALUES (32839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:27:00');
INSERT INTO `sys_job_log` VALUES (32840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:27:05');
INSERT INTO `sys_job_log` VALUES (32841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:05');
INSERT INTO `sys_job_log` VALUES (32842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:10');
INSERT INTO `sys_job_log` VALUES (32843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:10');
INSERT INTO `sys_job_log` VALUES (32844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 15:27:15');
INSERT INTO `sys_job_log` VALUES (32845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-27 15:27:15');
INSERT INTO `sys_job_log` VALUES (32846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:15');
INSERT INTO `sys_job_log` VALUES (32847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:15');
INSERT INTO `sys_job_log` VALUES (32848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:20');
INSERT INTO `sys_job_log` VALUES (32849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:20');
INSERT INTO `sys_job_log` VALUES (32850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:25');
INSERT INTO `sys_job_log` VALUES (32851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:27:25');
INSERT INTO `sys_job_log` VALUES (32852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:30');
INSERT INTO `sys_job_log` VALUES (32853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:30');
INSERT INTO `sys_job_log` VALUES (32854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:30');
INSERT INTO `sys_job_log` VALUES (32855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:30');
INSERT INTO `sys_job_log` VALUES (32856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:35');
INSERT INTO `sys_job_log` VALUES (32857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:35');
INSERT INTO `sys_job_log` VALUES (32858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:27:40');
INSERT INTO `sys_job_log` VALUES (32859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:27:40');
INSERT INTO `sys_job_log` VALUES (32860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:27:45');
INSERT INTO `sys_job_log` VALUES (32861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:27:45');
INSERT INTO `sys_job_log` VALUES (32862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:27:45');
INSERT INTO `sys_job_log` VALUES (32863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:27:45');
INSERT INTO `sys_job_log` VALUES (32864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:27:50');
INSERT INTO `sys_job_log` VALUES (32865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:27:50');
INSERT INTO `sys_job_log` VALUES (32866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:55');
INSERT INTO `sys_job_log` VALUES (32867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:27:55');
INSERT INTO `sys_job_log` VALUES (32868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:28:00');
INSERT INTO `sys_job_log` VALUES (32869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:28:00');
INSERT INTO `sys_job_log` VALUES (32870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:28:00');
INSERT INTO `sys_job_log` VALUES (32871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:28:00');
INSERT INTO `sys_job_log` VALUES (32872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:28:05');
INSERT INTO `sys_job_log` VALUES (32873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:28:05');
INSERT INTO `sys_job_log` VALUES (32874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:28:10');
INSERT INTO `sys_job_log` VALUES (32875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:28:10');
INSERT INTO `sys_job_log` VALUES (32876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:28:15');
INSERT INTO `sys_job_log` VALUES (32877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:28:15');
INSERT INTO `sys_job_log` VALUES (32878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2024-12-27 15:28:15');
INSERT INTO `sys_job_log` VALUES (32879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：122毫秒', '0', '', '2024-12-27 15:28:15');
INSERT INTO `sys_job_log` VALUES (32880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:28:20');
INSERT INTO `sys_job_log` VALUES (32881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:28:20');
INSERT INTO `sys_job_log` VALUES (32882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:28:25');
INSERT INTO `sys_job_log` VALUES (32883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:28:25');
INSERT INTO `sys_job_log` VALUES (32884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:28:30');
INSERT INTO `sys_job_log` VALUES (32885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:28:30');
INSERT INTO `sys_job_log` VALUES (32886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:28:30');
INSERT INTO `sys_job_log` VALUES (32887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:28:30');
INSERT INTO `sys_job_log` VALUES (32888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:28:35');
INSERT INTO `sys_job_log` VALUES (32889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:28:35');
INSERT INTO `sys_job_log` VALUES (32890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:28:40');
INSERT INTO `sys_job_log` VALUES (32891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:28:40');
INSERT INTO `sys_job_log` VALUES (32892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:28:45');
INSERT INTO `sys_job_log` VALUES (32893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:28:45');
INSERT INTO `sys_job_log` VALUES (32894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:28:45');
INSERT INTO `sys_job_log` VALUES (32895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:28:45');
INSERT INTO `sys_job_log` VALUES (32896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:28:50');
INSERT INTO `sys_job_log` VALUES (32897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:28:50');
INSERT INTO `sys_job_log` VALUES (32898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:28:55');
INSERT INTO `sys_job_log` VALUES (32899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:28:55');
INSERT INTO `sys_job_log` VALUES (32900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:00');
INSERT INTO `sys_job_log` VALUES (32901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:00');
INSERT INTO `sys_job_log` VALUES (32902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:00');
INSERT INTO `sys_job_log` VALUES (32903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:29:00');
INSERT INTO `sys_job_log` VALUES (32904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2024-12-27 15:29:05');
INSERT INTO `sys_job_log` VALUES (32905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:29:05');
INSERT INTO `sys_job_log` VALUES (32906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:29:10');
INSERT INTO `sys_job_log` VALUES (32907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:29:10');
INSERT INTO `sys_job_log` VALUES (32908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:15');
INSERT INTO `sys_job_log` VALUES (32909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:15');
INSERT INTO `sys_job_log` VALUES (32910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:29:15');
INSERT INTO `sys_job_log` VALUES (32911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:29:15');
INSERT INTO `sys_job_log` VALUES (32912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:29:20');
INSERT INTO `sys_job_log` VALUES (32913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:29:20');
INSERT INTO `sys_job_log` VALUES (32914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:29:25');
INSERT INTO `sys_job_log` VALUES (32915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:29:25');
INSERT INTO `sys_job_log` VALUES (32916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:29:30');
INSERT INTO `sys_job_log` VALUES (32917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:29:30');
INSERT INTO `sys_job_log` VALUES (32918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:29:30');
INSERT INTO `sys_job_log` VALUES (32919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:29:30');
INSERT INTO `sys_job_log` VALUES (32920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:29:35');
INSERT INTO `sys_job_log` VALUES (32921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:29:35');
INSERT INTO `sys_job_log` VALUES (32922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:29:40');
INSERT INTO `sys_job_log` VALUES (32923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:40');
INSERT INTO `sys_job_log` VALUES (32924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:29:45');
INSERT INTO `sys_job_log` VALUES (32925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:29:45');
INSERT INTO `sys_job_log` VALUES (32926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:45');
INSERT INTO `sys_job_log` VALUES (32927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:45');
INSERT INTO `sys_job_log` VALUES (32928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-27 15:29:50');
INSERT INTO `sys_job_log` VALUES (32929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:29:50');
INSERT INTO `sys_job_log` VALUES (32930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:29:55');
INSERT INTO `sys_job_log` VALUES (32931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:29:55');
INSERT INTO `sys_job_log` VALUES (32932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:30:00');
INSERT INTO `sys_job_log` VALUES (32933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:30:00');
INSERT INTO `sys_job_log` VALUES (32934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:30:00');
INSERT INTO `sys_job_log` VALUES (32935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:30:00');
INSERT INTO `sys_job_log` VALUES (32936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:30:05');
INSERT INTO `sys_job_log` VALUES (32937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:05');
INSERT INTO `sys_job_log` VALUES (32938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:10');
INSERT INTO `sys_job_log` VALUES (32939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:30:10');
INSERT INTO `sys_job_log` VALUES (32940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:15');
INSERT INTO `sys_job_log` VALUES (32941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:15');
INSERT INTO `sys_job_log` VALUES (32942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:30:15');
INSERT INTO `sys_job_log` VALUES (32943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:30:15');
INSERT INTO `sys_job_log` VALUES (32944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-27 15:30:20');
INSERT INTO `sys_job_log` VALUES (32945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:20');
INSERT INTO `sys_job_log` VALUES (32946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:25');
INSERT INTO `sys_job_log` VALUES (32947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:30:25');
INSERT INTO `sys_job_log` VALUES (32948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:30');
INSERT INTO `sys_job_log` VALUES (32949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:30');
INSERT INTO `sys_job_log` VALUES (32950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:30:30');
INSERT INTO `sys_job_log` VALUES (32951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:30');
INSERT INTO `sys_job_log` VALUES (32952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:30:35');
INSERT INTO `sys_job_log` VALUES (32953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:35');
INSERT INTO `sys_job_log` VALUES (32954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:40');
INSERT INTO `sys_job_log` VALUES (32955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:30:40');
INSERT INTO `sys_job_log` VALUES (32956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 15:30:45');
INSERT INTO `sys_job_log` VALUES (32957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:30:45');
INSERT INTO `sys_job_log` VALUES (32958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:30:45');
INSERT INTO `sys_job_log` VALUES (32959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:30:45');
INSERT INTO `sys_job_log` VALUES (32960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:50');
INSERT INTO `sys_job_log` VALUES (32961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:30:50');
INSERT INTO `sys_job_log` VALUES (32962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:30:55');
INSERT INTO `sys_job_log` VALUES (32963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:30:55');
INSERT INTO `sys_job_log` VALUES (32964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:31:00');
INSERT INTO `sys_job_log` VALUES (32965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:31:00');
INSERT INTO `sys_job_log` VALUES (32966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:31:00');
INSERT INTO `sys_job_log` VALUES (32967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:31:00');
INSERT INTO `sys_job_log` VALUES (32968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:31:05');
INSERT INTO `sys_job_log` VALUES (32969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:31:05');
INSERT INTO `sys_job_log` VALUES (32970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:31:10');
INSERT INTO `sys_job_log` VALUES (32971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:31:10');
INSERT INTO `sys_job_log` VALUES (32972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:31:15');
INSERT INTO `sys_job_log` VALUES (32973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:31:15');
INSERT INTO `sys_job_log` VALUES (32974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:31:15');
INSERT INTO `sys_job_log` VALUES (32975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:31:15');
INSERT INTO `sys_job_log` VALUES (32976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:31:20');
INSERT INTO `sys_job_log` VALUES (32977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:31:20');
INSERT INTO `sys_job_log` VALUES (32978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:31:25');
INSERT INTO `sys_job_log` VALUES (32979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:31:25');
INSERT INTO `sys_job_log` VALUES (32980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:31:30');
INSERT INTO `sys_job_log` VALUES (32981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:31:30');
INSERT INTO `sys_job_log` VALUES (32982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:31:30');
INSERT INTO `sys_job_log` VALUES (32983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:31:30');
INSERT INTO `sys_job_log` VALUES (32984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:31:35');
INSERT INTO `sys_job_log` VALUES (32985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:31:35');
INSERT INTO `sys_job_log` VALUES (32986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:31:40');
INSERT INTO `sys_job_log` VALUES (32987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:31:40');
INSERT INTO `sys_job_log` VALUES (32988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：178毫秒', '0', '', '2024-12-27 15:31:45');
INSERT INTO `sys_job_log` VALUES (32989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：178毫秒', '0', '', '2024-12-27 15:31:45');
INSERT INTO `sys_job_log` VALUES (32990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:31:45');
INSERT INTO `sys_job_log` VALUES (32991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:31:45');
INSERT INTO `sys_job_log` VALUES (32992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:31:50');
INSERT INTO `sys_job_log` VALUES (32993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:31:50');
INSERT INTO `sys_job_log` VALUES (32994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:31:55');
INSERT INTO `sys_job_log` VALUES (32995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:31:55');
INSERT INTO `sys_job_log` VALUES (32996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:32:00');
INSERT INTO `sys_job_log` VALUES (32997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 15:32:00');
INSERT INTO `sys_job_log` VALUES (32998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:00');
INSERT INTO `sys_job_log` VALUES (32999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:00');
INSERT INTO `sys_job_log` VALUES (33000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:32:05');
INSERT INTO `sys_job_log` VALUES (33001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:05');
INSERT INTO `sys_job_log` VALUES (33002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：87毫秒', '0', '', '2024-12-27 15:32:10');
INSERT INTO `sys_job_log` VALUES (33003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:32:10');
INSERT INTO `sys_job_log` VALUES (33004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:15');
INSERT INTO `sys_job_log` VALUES (33005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:15');
INSERT INTO `sys_job_log` VALUES (33006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:15');
INSERT INTO `sys_job_log` VALUES (33007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:15');
INSERT INTO `sys_job_log` VALUES (33008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:20');
INSERT INTO `sys_job_log` VALUES (33009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:32:20');
INSERT INTO `sys_job_log` VALUES (33010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:32:25');
INSERT INTO `sys_job_log` VALUES (33011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:32:25');
INSERT INTO `sys_job_log` VALUES (33012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:30');
INSERT INTO `sys_job_log` VALUES (33013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:30');
INSERT INTO `sys_job_log` VALUES (33014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:32:30');
INSERT INTO `sys_job_log` VALUES (33015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:30');
INSERT INTO `sys_job_log` VALUES (33016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:35');
INSERT INTO `sys_job_log` VALUES (33017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:32:35');
INSERT INTO `sys_job_log` VALUES (33018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:40');
INSERT INTO `sys_job_log` VALUES (33019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:32:40');
INSERT INTO `sys_job_log` VALUES (33020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:45');
INSERT INTO `sys_job_log` VALUES (33021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:45');
INSERT INTO `sys_job_log` VALUES (33022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：360毫秒', '0', '', '2024-12-27 15:32:45');
INSERT INTO `sys_job_log` VALUES (33023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1824毫秒', '0', '', '2024-12-27 15:32:46');
INSERT INTO `sys_job_log` VALUES (33024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:32:50');
INSERT INTO `sys_job_log` VALUES (33025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:32:50');
INSERT INTO `sys_job_log` VALUES (33026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：255毫秒', '0', '', '2024-12-27 15:32:55');
INSERT INTO `sys_job_log` VALUES (33027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:32:55');
INSERT INTO `sys_job_log` VALUES (33028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:00');
INSERT INTO `sys_job_log` VALUES (33029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:00');
INSERT INTO `sys_job_log` VALUES (33030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:33:00');
INSERT INTO `sys_job_log` VALUES (33031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:33:00');
INSERT INTO `sys_job_log` VALUES (33032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:05');
INSERT INTO `sys_job_log` VALUES (33033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:33:05');
INSERT INTO `sys_job_log` VALUES (33034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:33:10');
INSERT INTO `sys_job_log` VALUES (33035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:33:10');
INSERT INTO `sys_job_log` VALUES (33036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:33:15');
INSERT INTO `sys_job_log` VALUES (33037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:33:15');
INSERT INTO `sys_job_log` VALUES (33038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:33:15');
INSERT INTO `sys_job_log` VALUES (33039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:33:15');
INSERT INTO `sys_job_log` VALUES (33040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:33:20');
INSERT INTO `sys_job_log` VALUES (33041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:20');
INSERT INTO `sys_job_log` VALUES (33042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 15:33:25');
INSERT INTO `sys_job_log` VALUES (33043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:33:25');
INSERT INTO `sys_job_log` VALUES (33044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:33:30');
INSERT INTO `sys_job_log` VALUES (33045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:33:30');
INSERT INTO `sys_job_log` VALUES (33046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:33:30');
INSERT INTO `sys_job_log` VALUES (33047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:33:30');
INSERT INTO `sys_job_log` VALUES (33048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:35');
INSERT INTO `sys_job_log` VALUES (33049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:33:35');
INSERT INTO `sys_job_log` VALUES (33050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:33:40');
INSERT INTO `sys_job_log` VALUES (33051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:33:40');
INSERT INTO `sys_job_log` VALUES (33052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:33:45');
INSERT INTO `sys_job_log` VALUES (33053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:33:45');
INSERT INTO `sys_job_log` VALUES (33054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:45');
INSERT INTO `sys_job_log` VALUES (33055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:33:45');
INSERT INTO `sys_job_log` VALUES (33056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2024-12-27 15:33:50');
INSERT INTO `sys_job_log` VALUES (33057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:33:50');
INSERT INTO `sys_job_log` VALUES (33058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:33:55');
INSERT INTO `sys_job_log` VALUES (33059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：279毫秒', '0', '', '2024-12-27 15:33:55');
INSERT INTO `sys_job_log` VALUES (33060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:00');
INSERT INTO `sys_job_log` VALUES (33061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:00');
INSERT INTO `sys_job_log` VALUES (33062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:34:00');
INSERT INTO `sys_job_log` VALUES (33063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:34:00');
INSERT INTO `sys_job_log` VALUES (33064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:34:05');
INSERT INTO `sys_job_log` VALUES (33065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:34:05');
INSERT INTO `sys_job_log` VALUES (33066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:34:10');
INSERT INTO `sys_job_log` VALUES (33067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:34:10');
INSERT INTO `sys_job_log` VALUES (33068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:34:15');
INSERT INTO `sys_job_log` VALUES (33069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:34:15');
INSERT INTO `sys_job_log` VALUES (33070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:34:15');
INSERT INTO `sys_job_log` VALUES (33071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:34:15');
INSERT INTO `sys_job_log` VALUES (33072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:20');
INSERT INTO `sys_job_log` VALUES (33073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:34:20');
INSERT INTO `sys_job_log` VALUES (33074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:34:25');
INSERT INTO `sys_job_log` VALUES (33075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:25');
INSERT INTO `sys_job_log` VALUES (33076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:30');
INSERT INTO `sys_job_log` VALUES (33077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:30');
INSERT INTO `sys_job_log` VALUES (33078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:34:30');
INSERT INTO `sys_job_log` VALUES (33079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:30');
INSERT INTO `sys_job_log` VALUES (33080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:34:35');
INSERT INTO `sys_job_log` VALUES (33081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:34:35');
INSERT INTO `sys_job_log` VALUES (33082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:34:40');
INSERT INTO `sys_job_log` VALUES (33083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:34:40');
INSERT INTO `sys_job_log` VALUES (33084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:34:45');
INSERT INTO `sys_job_log` VALUES (33085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:34:45');
INSERT INTO `sys_job_log` VALUES (33086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：368毫秒', '0', '', '2024-12-27 15:34:45');
INSERT INTO `sys_job_log` VALUES (33087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1859毫秒', '0', '', '2024-12-27 15:34:46');
INSERT INTO `sys_job_log` VALUES (33088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:34:50');
INSERT INTO `sys_job_log` VALUES (33089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:34:50');
INSERT INTO `sys_job_log` VALUES (33090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:34:55');
INSERT INTO `sys_job_log` VALUES (33091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:34:55');
INSERT INTO `sys_job_log` VALUES (33092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:35:00');
INSERT INTO `sys_job_log` VALUES (33093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 15:35:00');
INSERT INTO `sys_job_log` VALUES (33094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:35:00');
INSERT INTO `sys_job_log` VALUES (33095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:35:00');
INSERT INTO `sys_job_log` VALUES (33096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:35:05');
INSERT INTO `sys_job_log` VALUES (33097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:35:05');
INSERT INTO `sys_job_log` VALUES (33098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:10');
INSERT INTO `sys_job_log` VALUES (33099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:35:10');
INSERT INTO `sys_job_log` VALUES (33100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：252毫秒', '0', '', '2024-12-27 15:35:15');
INSERT INTO `sys_job_log` VALUES (33101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：251毫秒', '0', '', '2024-12-27 15:35:15');
INSERT INTO `sys_job_log` VALUES (33102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:35:15');
INSERT INTO `sys_job_log` VALUES (33103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:35:15');
INSERT INTO `sys_job_log` VALUES (33104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:35:20');
INSERT INTO `sys_job_log` VALUES (33105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:35:20');
INSERT INTO `sys_job_log` VALUES (33106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:35:25');
INSERT INTO `sys_job_log` VALUES (33107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:35:25');
INSERT INTO `sys_job_log` VALUES (33108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:30');
INSERT INTO `sys_job_log` VALUES (33109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:30');
INSERT INTO `sys_job_log` VALUES (33110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:30');
INSERT INTO `sys_job_log` VALUES (33111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:30');
INSERT INTO `sys_job_log` VALUES (33112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：267毫秒', '0', '', '2024-12-27 15:35:35');
INSERT INTO `sys_job_log` VALUES (33113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:35:35');
INSERT INTO `sys_job_log` VALUES (33114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:40');
INSERT INTO `sys_job_log` VALUES (33115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 15:35:40');
INSERT INTO `sys_job_log` VALUES (33116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:35:45');
INSERT INTO `sys_job_log` VALUES (33117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:35:45');
INSERT INTO `sys_job_log` VALUES (33118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:45');
INSERT INTO `sys_job_log` VALUES (33119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:35:45');
INSERT INTO `sys_job_log` VALUES (33120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:35:50');
INSERT INTO `sys_job_log` VALUES (33121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:35:50');
INSERT INTO `sys_job_log` VALUES (33122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:35:55');
INSERT INTO `sys_job_log` VALUES (33123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:35:55');
INSERT INTO `sys_job_log` VALUES (33124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:36:00');
INSERT INTO `sys_job_log` VALUES (33125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:36:00');
INSERT INTO `sys_job_log` VALUES (33126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:36:00');
INSERT INTO `sys_job_log` VALUES (33127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:36:00');
INSERT INTO `sys_job_log` VALUES (33128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:36:05');
INSERT INTO `sys_job_log` VALUES (33129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:36:05');
INSERT INTO `sys_job_log` VALUES (33130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:10');
INSERT INTO `sys_job_log` VALUES (33131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:36:10');
INSERT INTO `sys_job_log` VALUES (33132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:36:15');
INSERT INTO `sys_job_log` VALUES (33133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:36:15');
INSERT INTO `sys_job_log` VALUES (33134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:36:15');
INSERT INTO `sys_job_log` VALUES (33135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:36:15');
INSERT INTO `sys_job_log` VALUES (33136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:36:20');
INSERT INTO `sys_job_log` VALUES (33137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:20');
INSERT INTO `sys_job_log` VALUES (33138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:36:25');
INSERT INTO `sys_job_log` VALUES (33139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:25');
INSERT INTO `sys_job_log` VALUES (33140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:36:30');
INSERT INTO `sys_job_log` VALUES (33141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:36:30');
INSERT INTO `sys_job_log` VALUES (33142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:30');
INSERT INTO `sys_job_log` VALUES (33143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:30');
INSERT INTO `sys_job_log` VALUES (33144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:36:35');
INSERT INTO `sys_job_log` VALUES (33145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:36:35');
INSERT INTO `sys_job_log` VALUES (33146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:40');
INSERT INTO `sys_job_log` VALUES (33147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:36:40');
INSERT INTO `sys_job_log` VALUES (33148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:36:45');
INSERT INTO `sys_job_log` VALUES (33149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:36:45');
INSERT INTO `sys_job_log` VALUES (33150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 15:36:45');
INSERT INTO `sys_job_log` VALUES (33151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:36:45');
INSERT INTO `sys_job_log` VALUES (33152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:36:50');
INSERT INTO `sys_job_log` VALUES (33153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:36:55');
INSERT INTO `sys_job_log` VALUES (33154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:37:00');
INSERT INTO `sys_job_log` VALUES (33155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:37:00');
INSERT INTO `sys_job_log` VALUES (33156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 15:37:00');
INSERT INTO `sys_job_log` VALUES (33157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:37:00');
INSERT INTO `sys_job_log` VALUES (33158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:37:05');
INSERT INTO `sys_job_log` VALUES (33159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:37:05');
INSERT INTO `sys_job_log` VALUES (33160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:37:10');
INSERT INTO `sys_job_log` VALUES (33161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:37:10');
INSERT INTO `sys_job_log` VALUES (33162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:37:15');
INSERT INTO `sys_job_log` VALUES (33163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:37:15');
INSERT INTO `sys_job_log` VALUES (33164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:37:15');
INSERT INTO `sys_job_log` VALUES (33165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:37:15');
INSERT INTO `sys_job_log` VALUES (33166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:37:20');
INSERT INTO `sys_job_log` VALUES (33167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:37:20');
INSERT INTO `sys_job_log` VALUES (33168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:37:25');
INSERT INTO `sys_job_log` VALUES (33169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:37:25');
INSERT INTO `sys_job_log` VALUES (33170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:37:30');
INSERT INTO `sys_job_log` VALUES (33171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:37:30');
INSERT INTO `sys_job_log` VALUES (33172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:37:30');
INSERT INTO `sys_job_log` VALUES (33173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1841毫秒', '0', '', '2024-12-27 15:37:32');
INSERT INTO `sys_job_log` VALUES (33174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:37:35');
INSERT INTO `sys_job_log` VALUES (33175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：394毫秒', '0', '', '2024-12-27 15:37:35');
INSERT INTO `sys_job_log` VALUES (33176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:37:40');
INSERT INTO `sys_job_log` VALUES (33177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：279毫秒', '0', '', '2024-12-27 15:37:40');
INSERT INTO `sys_job_log` VALUES (33178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:37:45');
INSERT INTO `sys_job_log` VALUES (33179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:37:45');
INSERT INTO `sys_job_log` VALUES (33180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：354毫秒', '0', '', '2024-12-27 15:37:45');
INSERT INTO `sys_job_log` VALUES (33181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1860毫秒', '0', '', '2024-12-27 15:37:46');
INSERT INTO `sys_job_log` VALUES (33182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:37:50');
INSERT INTO `sys_job_log` VALUES (33183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:37:50');
INSERT INTO `sys_job_log` VALUES (33184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：122毫秒', '0', '', '2024-12-27 15:37:55');
INSERT INTO `sys_job_log` VALUES (33185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:37:55');
INSERT INTO `sys_job_log` VALUES (33186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:00');
INSERT INTO `sys_job_log` VALUES (33187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:00');
INSERT INTO `sys_job_log` VALUES (33188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:00');
INSERT INTO `sys_job_log` VALUES (33189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:00');
INSERT INTO `sys_job_log` VALUES (33190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2024-12-27 15:38:05');
INSERT INTO `sys_job_log` VALUES (33191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:05');
INSERT INTO `sys_job_log` VALUES (33192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:10');
INSERT INTO `sys_job_log` VALUES (33193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：314毫秒', '0', '', '2024-12-27 15:38:10');
INSERT INTO `sys_job_log` VALUES (33194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:38:15');
INSERT INTO `sys_job_log` VALUES (33195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:38:15');
INSERT INTO `sys_job_log` VALUES (33196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:38:15');
INSERT INTO `sys_job_log` VALUES (33197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:15');
INSERT INTO `sys_job_log` VALUES (33198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:20');
INSERT INTO `sys_job_log` VALUES (33199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:38:20');
INSERT INTO `sys_job_log` VALUES (33200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:38:25');
INSERT INTO `sys_job_log` VALUES (33201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：122毫秒', '0', '', '2024-12-27 15:38:25');
INSERT INTO `sys_job_log` VALUES (33202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:30');
INSERT INTO `sys_job_log` VALUES (33203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:30');
INSERT INTO `sys_job_log` VALUES (33204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:30');
INSERT INTO `sys_job_log` VALUES (33205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:30');
INSERT INTO `sys_job_log` VALUES (33206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:35');
INSERT INTO `sys_job_log` VALUES (33207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:38:35');
INSERT INTO `sys_job_log` VALUES (33208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:38:40');
INSERT INTO `sys_job_log` VALUES (33209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:38:40');
INSERT INTO `sys_job_log` VALUES (33210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2024-12-27 15:38:45');
INSERT INTO `sys_job_log` VALUES (33211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2024-12-27 15:38:45');
INSERT INTO `sys_job_log` VALUES (33212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:38:45');
INSERT INTO `sys_job_log` VALUES (33213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:38:45');
INSERT INTO `sys_job_log` VALUES (33214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:38:50');
INSERT INTO `sys_job_log` VALUES (33215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2024-12-27 15:38:50');
INSERT INTO `sys_job_log` VALUES (33216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:38:55');
INSERT INTO `sys_job_log` VALUES (33217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:38:55');
INSERT INTO `sys_job_log` VALUES (33218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:39:00');
INSERT INTO `sys_job_log` VALUES (33219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:39:00');
INSERT INTO `sys_job_log` VALUES (33220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:39:00');
INSERT INTO `sys_job_log` VALUES (33221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 15:39:00');
INSERT INTO `sys_job_log` VALUES (33222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:39:05');
INSERT INTO `sys_job_log` VALUES (33223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:39:05');
INSERT INTO `sys_job_log` VALUES (33224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:39:10');
INSERT INTO `sys_job_log` VALUES (33225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:39:10');
INSERT INTO `sys_job_log` VALUES (33226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:39:15');
INSERT INTO `sys_job_log` VALUES (33227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:39:15');
INSERT INTO `sys_job_log` VALUES (33228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:39:15');
INSERT INTO `sys_job_log` VALUES (33229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:39:15');
INSERT INTO `sys_job_log` VALUES (33230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:39:20');
INSERT INTO `sys_job_log` VALUES (33231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:39:20');
INSERT INTO `sys_job_log` VALUES (33232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:39:25');
INSERT INTO `sys_job_log` VALUES (33233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:39:25');
INSERT INTO `sys_job_log` VALUES (33234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2024-12-27 15:39:30');
INSERT INTO `sys_job_log` VALUES (33235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2024-12-27 15:39:30');
INSERT INTO `sys_job_log` VALUES (33236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:39:30');
INSERT INTO `sys_job_log` VALUES (33237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:39:30');
INSERT INTO `sys_job_log` VALUES (33238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:39:35');
INSERT INTO `sys_job_log` VALUES (33239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:39:40');
INSERT INTO `sys_job_log` VALUES (33240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:39:41');
INSERT INTO `sys_job_log` VALUES (33241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:39:45');
INSERT INTO `sys_job_log` VALUES (33242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:39:45');
INSERT INTO `sys_job_log` VALUES (33243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:39:45');
INSERT INTO `sys_job_log` VALUES (33244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:39:45');
INSERT INTO `sys_job_log` VALUES (33245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:39:50');
INSERT INTO `sys_job_log` VALUES (33246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:39:50');
INSERT INTO `sys_job_log` VALUES (33247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:39:55');
INSERT INTO `sys_job_log` VALUES (33248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:39:55');
INSERT INTO `sys_job_log` VALUES (33249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:40:00');
INSERT INTO `sys_job_log` VALUES (33250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:40:00');
INSERT INTO `sys_job_log` VALUES (33251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:00');
INSERT INTO `sys_job_log` VALUES (33252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:40:00');
INSERT INTO `sys_job_log` VALUES (33253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:40:05');
INSERT INTO `sys_job_log` VALUES (33254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:40:05');
INSERT INTO `sys_job_log` VALUES (33255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:40:10');
INSERT INTO `sys_job_log` VALUES (33256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:40:10');
INSERT INTO `sys_job_log` VALUES (33257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:15');
INSERT INTO `sys_job_log` VALUES (33258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:15');
INSERT INTO `sys_job_log` VALUES (33259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:40:15');
INSERT INTO `sys_job_log` VALUES (33260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:40:15');
INSERT INTO `sys_job_log` VALUES (33261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:40:20');
INSERT INTO `sys_job_log` VALUES (33262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:20');
INSERT INTO `sys_job_log` VALUES (33263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:40:25');
INSERT INTO `sys_job_log` VALUES (33264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:25');
INSERT INTO `sys_job_log` VALUES (33265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:40:30');
INSERT INTO `sys_job_log` VALUES (33266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:40:30');
INSERT INTO `sys_job_log` VALUES (33267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:40:30');
INSERT INTO `sys_job_log` VALUES (33268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:40:30');
INSERT INTO `sys_job_log` VALUES (33269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:40:35');
INSERT INTO `sys_job_log` VALUES (33270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:40:35');
INSERT INTO `sys_job_log` VALUES (33271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:40');
INSERT INTO `sys_job_log` VALUES (33272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:40:40');
INSERT INTO `sys_job_log` VALUES (33273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:40:45');
INSERT INTO `sys_job_log` VALUES (33274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:40:45');
INSERT INTO `sys_job_log` VALUES (33275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:40:45');
INSERT INTO `sys_job_log` VALUES (33276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:45');
INSERT INTO `sys_job_log` VALUES (33277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:40:50');
INSERT INTO `sys_job_log` VALUES (33278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:40:50');
INSERT INTO `sys_job_log` VALUES (33279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:40:55');
INSERT INTO `sys_job_log` VALUES (33280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:40:55');
INSERT INTO `sys_job_log` VALUES (33281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:41:00');
INSERT INTO `sys_job_log` VALUES (33282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 15:41:00');
INSERT INTO `sys_job_log` VALUES (33283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:41:00');
INSERT INTO `sys_job_log` VALUES (33284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 15:41:00');
INSERT INTO `sys_job_log` VALUES (33285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:41:05');
INSERT INTO `sys_job_log` VALUES (33286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 15:41:05');
INSERT INTO `sys_job_log` VALUES (33287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:41:10');
INSERT INTO `sys_job_log` VALUES (33288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:41:10');
INSERT INTO `sys_job_log` VALUES (33289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:41:15');
INSERT INTO `sys_job_log` VALUES (33290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:41:15');
INSERT INTO `sys_job_log` VALUES (33291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:41:15');
INSERT INTO `sys_job_log` VALUES (33292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:41:15');
INSERT INTO `sys_job_log` VALUES (33293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:41:20');
INSERT INTO `sys_job_log` VALUES (33294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:41:20');
INSERT INTO `sys_job_log` VALUES (33295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:41:25');
INSERT INTO `sys_job_log` VALUES (33296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:41:25');
INSERT INTO `sys_job_log` VALUES (33297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:41:30');
INSERT INTO `sys_job_log` VALUES (33298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:41:30');
INSERT INTO `sys_job_log` VALUES (33299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:41:30');
INSERT INTO `sys_job_log` VALUES (33300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:41:30');
INSERT INTO `sys_job_log` VALUES (33301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:41:35');
INSERT INTO `sys_job_log` VALUES (33302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:41:35');
INSERT INTO `sys_job_log` VALUES (33303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:41:40');
INSERT INTO `sys_job_log` VALUES (33304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:41:40');
INSERT INTO `sys_job_log` VALUES (33305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:41:45');
INSERT INTO `sys_job_log` VALUES (33306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:41:45');
INSERT INTO `sys_job_log` VALUES (33307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:41:45');
INSERT INTO `sys_job_log` VALUES (33308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:41:45');
INSERT INTO `sys_job_log` VALUES (33309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:41:50');
INSERT INTO `sys_job_log` VALUES (33310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:41:50');
INSERT INTO `sys_job_log` VALUES (33311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:41:55');
INSERT INTO `sys_job_log` VALUES (33312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:41:55');
INSERT INTO `sys_job_log` VALUES (33313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:42:00');
INSERT INTO `sys_job_log` VALUES (33314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:42:00');
INSERT INTO `sys_job_log` VALUES (33315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:42:00');
INSERT INTO `sys_job_log` VALUES (33316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:42:00');
INSERT INTO `sys_job_log` VALUES (33317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:42:05');
INSERT INTO `sys_job_log` VALUES (33318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:42:05');
INSERT INTO `sys_job_log` VALUES (33319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:42:10');
INSERT INTO `sys_job_log` VALUES (33320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:42:10');
INSERT INTO `sys_job_log` VALUES (33321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:42:15');
INSERT INTO `sys_job_log` VALUES (33322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:42:15');
INSERT INTO `sys_job_log` VALUES (33323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:42:15');
INSERT INTO `sys_job_log` VALUES (33324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:42:15');
INSERT INTO `sys_job_log` VALUES (33325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:42:20');
INSERT INTO `sys_job_log` VALUES (33326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:42:20');
INSERT INTO `sys_job_log` VALUES (33327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:42:25');
INSERT INTO `sys_job_log` VALUES (33328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:42:25');
INSERT INTO `sys_job_log` VALUES (33329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:42:30');
INSERT INTO `sys_job_log` VALUES (33330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:42:30');
INSERT INTO `sys_job_log` VALUES (33331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 15:42:30');
INSERT INTO `sys_job_log` VALUES (33332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:42:30');
INSERT INTO `sys_job_log` VALUES (33333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:42:35');
INSERT INTO `sys_job_log` VALUES (33334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:42:35');
INSERT INTO `sys_job_log` VALUES (33335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:42:40');
INSERT INTO `sys_job_log` VALUES (33336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:42:40');
INSERT INTO `sys_job_log` VALUES (33337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:42:45');
INSERT INTO `sys_job_log` VALUES (33338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:42:45');
INSERT INTO `sys_job_log` VALUES (33339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:42:45');
INSERT INTO `sys_job_log` VALUES (33340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:42:45');
INSERT INTO `sys_job_log` VALUES (33341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:42:50');
INSERT INTO `sys_job_log` VALUES (33342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:42:50');
INSERT INTO `sys_job_log` VALUES (33343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:42:55');
INSERT INTO `sys_job_log` VALUES (33344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:42:55');
INSERT INTO `sys_job_log` VALUES (33345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:00');
INSERT INTO `sys_job_log` VALUES (33346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:00');
INSERT INTO `sys_job_log` VALUES (33347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:00');
INSERT INTO `sys_job_log` VALUES (33348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 15:43:00');
INSERT INTO `sys_job_log` VALUES (33349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:43:05');
INSERT INTO `sys_job_log` VALUES (33350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:43:05');
INSERT INTO `sys_job_log` VALUES (33351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:43:10');
INSERT INTO `sys_job_log` VALUES (33352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:43:10');
INSERT INTO `sys_job_log` VALUES (33353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:43:15');
INSERT INTO `sys_job_log` VALUES (33354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:43:15');
INSERT INTO `sys_job_log` VALUES (33355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:43:15');
INSERT INTO `sys_job_log` VALUES (33356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:43:15');
INSERT INTO `sys_job_log` VALUES (33357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:20');
INSERT INTO `sys_job_log` VALUES (33358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:43:20');
INSERT INTO `sys_job_log` VALUES (33359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:43:25');
INSERT INTO `sys_job_log` VALUES (33360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:43:25');
INSERT INTO `sys_job_log` VALUES (33361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 15:43:30');
INSERT INTO `sys_job_log` VALUES (33362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 15:43:30');
INSERT INTO `sys_job_log` VALUES (33363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:43:30');
INSERT INTO `sys_job_log` VALUES (33364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:43:30');
INSERT INTO `sys_job_log` VALUES (33365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:43:35');
INSERT INTO `sys_job_log` VALUES (33366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:43:35');
INSERT INTO `sys_job_log` VALUES (33367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:40');
INSERT INTO `sys_job_log` VALUES (33368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:43:40');
INSERT INTO `sys_job_log` VALUES (33369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:45');
INSERT INTO `sys_job_log` VALUES (33370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:45');
INSERT INTO `sys_job_log` VALUES (33371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:43:45');
INSERT INTO `sys_job_log` VALUES (33372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 15:43:45');
INSERT INTO `sys_job_log` VALUES (33373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:50');
INSERT INTO `sys_job_log` VALUES (33374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:43:50');
INSERT INTO `sys_job_log` VALUES (33375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:55');
INSERT INTO `sys_job_log` VALUES (33376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:43:55');
INSERT INTO `sys_job_log` VALUES (33377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:44:00');
INSERT INTO `sys_job_log` VALUES (33378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:44:00');
INSERT INTO `sys_job_log` VALUES (33379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:44:00');
INSERT INTO `sys_job_log` VALUES (33380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:44:00');
INSERT INTO `sys_job_log` VALUES (33381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:44:05');
INSERT INTO `sys_job_log` VALUES (33382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:44:05');
INSERT INTO `sys_job_log` VALUES (33383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:44:10');
INSERT INTO `sys_job_log` VALUES (33384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:44:10');
INSERT INTO `sys_job_log` VALUES (33385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:44:15');
INSERT INTO `sys_job_log` VALUES (33386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:44:15');
INSERT INTO `sys_job_log` VALUES (33387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:44:15');
INSERT INTO `sys_job_log` VALUES (33388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:44:15');
INSERT INTO `sys_job_log` VALUES (33389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:44:20');
INSERT INTO `sys_job_log` VALUES (33390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:20');
INSERT INTO `sys_job_log` VALUES (33391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:25');
INSERT INTO `sys_job_log` VALUES (33392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:44:25');
INSERT INTO `sys_job_log` VALUES (33393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:30');
INSERT INTO `sys_job_log` VALUES (33394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:30');
INSERT INTO `sys_job_log` VALUES (33395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:44:30');
INSERT INTO `sys_job_log` VALUES (33396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:30');
INSERT INTO `sys_job_log` VALUES (33397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:35');
INSERT INTO `sys_job_log` VALUES (33398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:44:35');
INSERT INTO `sys_job_log` VALUES (33399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:40');
INSERT INTO `sys_job_log` VALUES (33400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:44:40');
INSERT INTO `sys_job_log` VALUES (33401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:44:45');
INSERT INTO `sys_job_log` VALUES (33402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:44:45');
INSERT INTO `sys_job_log` VALUES (33403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:44:45');
INSERT INTO `sys_job_log` VALUES (33404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:44:45');
INSERT INTO `sys_job_log` VALUES (33405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:44:50');
INSERT INTO `sys_job_log` VALUES (33406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 15:44:50');
INSERT INTO `sys_job_log` VALUES (33407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:44:55');
INSERT INTO `sys_job_log` VALUES (33408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:44:55');
INSERT INTO `sys_job_log` VALUES (33409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:45:00');
INSERT INTO `sys_job_log` VALUES (33410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:45:00');
INSERT INTO `sys_job_log` VALUES (33411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:00');
INSERT INTO `sys_job_log` VALUES (33412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 15:45:00');
INSERT INTO `sys_job_log` VALUES (33413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:45:05');
INSERT INTO `sys_job_log` VALUES (33414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:05');
INSERT INTO `sys_job_log` VALUES (33415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:10');
INSERT INTO `sys_job_log` VALUES (33416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:45:10');
INSERT INTO `sys_job_log` VALUES (33417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:45:15');
INSERT INTO `sys_job_log` VALUES (33418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:45:15');
INSERT INTO `sys_job_log` VALUES (33419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:15');
INSERT INTO `sys_job_log` VALUES (33420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:15');
INSERT INTO `sys_job_log` VALUES (33421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:45:20');
INSERT INTO `sys_job_log` VALUES (33422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:45:20');
INSERT INTO `sys_job_log` VALUES (33423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:25');
INSERT INTO `sys_job_log` VALUES (33424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:25');
INSERT INTO `sys_job_log` VALUES (33425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:30');
INSERT INTO `sys_job_log` VALUES (33426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:30');
INSERT INTO `sys_job_log` VALUES (33427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:30');
INSERT INTO `sys_job_log` VALUES (33428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:45:30');
INSERT INTO `sys_job_log` VALUES (33429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:45:35');
INSERT INTO `sys_job_log` VALUES (33430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:35');
INSERT INTO `sys_job_log` VALUES (33431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：194毫秒', '0', '', '2024-12-27 15:45:40');
INSERT INTO `sys_job_log` VALUES (33432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:40');
INSERT INTO `sys_job_log` VALUES (33433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:45:45');
INSERT INTO `sys_job_log` VALUES (33434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:45:45');
INSERT INTO `sys_job_log` VALUES (33435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:45');
INSERT INTO `sys_job_log` VALUES (33436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:45:45');
INSERT INTO `sys_job_log` VALUES (33437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:45:50');
INSERT INTO `sys_job_log` VALUES (33438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:45:50');
INSERT INTO `sys_job_log` VALUES (33439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:45:55');
INSERT INTO `sys_job_log` VALUES (33440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:45:55');
INSERT INTO `sys_job_log` VALUES (33441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:46:00');
INSERT INTO `sys_job_log` VALUES (33442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:46:00');
INSERT INTO `sys_job_log` VALUES (33443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:00');
INSERT INTO `sys_job_log` VALUES (33444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:00');
INSERT INTO `sys_job_log` VALUES (33445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:46:05');
INSERT INTO `sys_job_log` VALUES (33446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:46:05');
INSERT INTO `sys_job_log` VALUES (33447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:46:10');
INSERT INTO `sys_job_log` VALUES (33448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:46:10');
INSERT INTO `sys_job_log` VALUES (33449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:46:15');
INSERT INTO `sys_job_log` VALUES (33450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:46:15');
INSERT INTO `sys_job_log` VALUES (33451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:46:15');
INSERT INTO `sys_job_log` VALUES (33452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:46:15');
INSERT INTO `sys_job_log` VALUES (33453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:20');
INSERT INTO `sys_job_log` VALUES (33454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:46:20');
INSERT INTO `sys_job_log` VALUES (33455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:25');
INSERT INTO `sys_job_log` VALUES (33456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:46:25');
INSERT INTO `sys_job_log` VALUES (33457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:46:30');
INSERT INTO `sys_job_log` VALUES (33458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:46:30');
INSERT INTO `sys_job_log` VALUES (33459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:46:30');
INSERT INTO `sys_job_log` VALUES (33460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:30');
INSERT INTO `sys_job_log` VALUES (33461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:46:35');
INSERT INTO `sys_job_log` VALUES (33462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:46:35');
INSERT INTO `sys_job_log` VALUES (33463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:46:40');
INSERT INTO `sys_job_log` VALUES (33464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:46:40');
INSERT INTO `sys_job_log` VALUES (33465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 15:46:45');
INSERT INTO `sys_job_log` VALUES (33466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:46:45');
INSERT INTO `sys_job_log` VALUES (33467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:46:45');
INSERT INTO `sys_job_log` VALUES (33468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:45');
INSERT INTO `sys_job_log` VALUES (33469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:46:50');
INSERT INTO `sys_job_log` VALUES (33470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:46:50');
INSERT INTO `sys_job_log` VALUES (33471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:46:55');
INSERT INTO `sys_job_log` VALUES (33472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:46:55');
INSERT INTO `sys_job_log` VALUES (33473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:47:00');
INSERT INTO `sys_job_log` VALUES (33474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:47:00');
INSERT INTO `sys_job_log` VALUES (33475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 15:47:00');
INSERT INTO `sys_job_log` VALUES (33476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 15:47:00');
INSERT INTO `sys_job_log` VALUES (33477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:47:05');
INSERT INTO `sys_job_log` VALUES (33478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:47:05');
INSERT INTO `sys_job_log` VALUES (33479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2024-12-27 15:47:10');
INSERT INTO `sys_job_log` VALUES (33480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:47:10');
INSERT INTO `sys_job_log` VALUES (33481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:47:15');
INSERT INTO `sys_job_log` VALUES (33482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:47:15');
INSERT INTO `sys_job_log` VALUES (33483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 15:47:15');
INSERT INTO `sys_job_log` VALUES (33484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:47:15');
INSERT INTO `sys_job_log` VALUES (33485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:47:20');
INSERT INTO `sys_job_log` VALUES (33486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:47:20');
INSERT INTO `sys_job_log` VALUES (33487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:47:25');
INSERT INTO `sys_job_log` VALUES (33488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：345毫秒', '0', '', '2024-12-27 15:47:25');
INSERT INTO `sys_job_log` VALUES (33489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:47:30');
INSERT INTO `sys_job_log` VALUES (33490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:47:30');
INSERT INTO `sys_job_log` VALUES (33491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:47:35');
INSERT INTO `sys_job_log` VALUES (33492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:47:37');
INSERT INTO `sys_job_log` VALUES (33493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:47:40');
INSERT INTO `sys_job_log` VALUES (33494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:47:40');
INSERT INTO `sys_job_log` VALUES (33495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2024-12-27 15:47:45');
INSERT INTO `sys_job_log` VALUES (33496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2024-12-27 15:47:45');
INSERT INTO `sys_job_log` VALUES (33497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：364毫秒', '0', '', '2024-12-27 15:47:46');
INSERT INTO `sys_job_log` VALUES (33498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1840毫秒', '0', '', '2024-12-27 15:47:46');
INSERT INTO `sys_job_log` VALUES (33499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:47:50');
INSERT INTO `sys_job_log` VALUES (33500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:47:50');
INSERT INTO `sys_job_log` VALUES (33501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:47:55');
INSERT INTO `sys_job_log` VALUES (33502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 15:47:55');
INSERT INTO `sys_job_log` VALUES (33503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:00');
INSERT INTO `sys_job_log` VALUES (33504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:00');
INSERT INTO `sys_job_log` VALUES (33505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:48:00');
INSERT INTO `sys_job_log` VALUES (33506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:00');
INSERT INTO `sys_job_log` VALUES (33507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:48:05');
INSERT INTO `sys_job_log` VALUES (33508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:05');
INSERT INTO `sys_job_log` VALUES (33509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:10');
INSERT INTO `sys_job_log` VALUES (33510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:10');
INSERT INTO `sys_job_log` VALUES (33511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:15');
INSERT INTO `sys_job_log` VALUES (33512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:15');
INSERT INTO `sys_job_log` VALUES (33513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:48:15');
INSERT INTO `sys_job_log` VALUES (33514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:48:15');
INSERT INTO `sys_job_log` VALUES (33515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:20');
INSERT INTO `sys_job_log` VALUES (33516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:48:20');
INSERT INTO `sys_job_log` VALUES (33517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:48:25');
INSERT INTO `sys_job_log` VALUES (33518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:48:25');
INSERT INTO `sys_job_log` VALUES (33519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:30');
INSERT INTO `sys_job_log` VALUES (33520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:48:30');
INSERT INTO `sys_job_log` VALUES (33521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:48:30');
INSERT INTO `sys_job_log` VALUES (33522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:48:30');
INSERT INTO `sys_job_log` VALUES (33523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 15:48:35');
INSERT INTO `sys_job_log` VALUES (33524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-27 15:48:35');
INSERT INTO `sys_job_log` VALUES (33525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:48:40');
INSERT INTO `sys_job_log` VALUES (33526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:48:40');
INSERT INTO `sys_job_log` VALUES (33527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:48:45');
INSERT INTO `sys_job_log` VALUES (33528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:48:45');
INSERT INTO `sys_job_log` VALUES (33529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:48:45');
INSERT INTO `sys_job_log` VALUES (33530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 15:48:45');
INSERT INTO `sys_job_log` VALUES (33531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:48:50');
INSERT INTO `sys_job_log` VALUES (33532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:48:50');
INSERT INTO `sys_job_log` VALUES (33533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:48:55');
INSERT INTO `sys_job_log` VALUES (33534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:48:55');
INSERT INTO `sys_job_log` VALUES (33535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:49:00');
INSERT INTO `sys_job_log` VALUES (33536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:49:00');
INSERT INTO `sys_job_log` VALUES (33537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:49:00');
INSERT INTO `sys_job_log` VALUES (33538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:49:00');
INSERT INTO `sys_job_log` VALUES (33539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:49:05');
INSERT INTO `sys_job_log` VALUES (33540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:49:05');
INSERT INTO `sys_job_log` VALUES (33541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:49:10');
INSERT INTO `sys_job_log` VALUES (33542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:49:10');
INSERT INTO `sys_job_log` VALUES (33543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:49:15');
INSERT INTO `sys_job_log` VALUES (33544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:49:15');
INSERT INTO `sys_job_log` VALUES (33545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 15:49:15');
INSERT INTO `sys_job_log` VALUES (33546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 15:49:15');
INSERT INTO `sys_job_log` VALUES (33547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:49:20');
INSERT INTO `sys_job_log` VALUES (33548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:49:20');
INSERT INTO `sys_job_log` VALUES (33549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:49:25');
INSERT INTO `sys_job_log` VALUES (33550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:49:25');
INSERT INTO `sys_job_log` VALUES (33551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:49:30');
INSERT INTO `sys_job_log` VALUES (33552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:49:30');
INSERT INTO `sys_job_log` VALUES (33553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:49:30');
INSERT INTO `sys_job_log` VALUES (33554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:49:30');
INSERT INTO `sys_job_log` VALUES (33555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:49:35');
INSERT INTO `sys_job_log` VALUES (33556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:49:35');
INSERT INTO `sys_job_log` VALUES (33557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:49:40');
INSERT INTO `sys_job_log` VALUES (33558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:49:40');
INSERT INTO `sys_job_log` VALUES (33559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:49:45');
INSERT INTO `sys_job_log` VALUES (33560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:49:45');
INSERT INTO `sys_job_log` VALUES (33561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:49:45');
INSERT INTO `sys_job_log` VALUES (33562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:49:45');
INSERT INTO `sys_job_log` VALUES (33563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:49:50');
INSERT INTO `sys_job_log` VALUES (33564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:49:50');
INSERT INTO `sys_job_log` VALUES (33565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:49:55');
INSERT INTO `sys_job_log` VALUES (33566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:49:55');
INSERT INTO `sys_job_log` VALUES (33567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:50:00');
INSERT INTO `sys_job_log` VALUES (33568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:50:00');
INSERT INTO `sys_job_log` VALUES (33569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:50:00');
INSERT INTO `sys_job_log` VALUES (33570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:50:00');
INSERT INTO `sys_job_log` VALUES (33571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:05');
INSERT INTO `sys_job_log` VALUES (33572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:50:05');
INSERT INTO `sys_job_log` VALUES (33573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2024-12-27 15:50:10');
INSERT INTO `sys_job_log` VALUES (33574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:50:10');
INSERT INTO `sys_job_log` VALUES (33575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:50:15');
INSERT INTO `sys_job_log` VALUES (33576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:50:15');
INSERT INTO `sys_job_log` VALUES (33577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：564毫秒', '0', '', '2024-12-27 15:50:15');
INSERT INTO `sys_job_log` VALUES (33578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：565毫秒', '0', '', '2024-12-27 15:50:15');
INSERT INTO `sys_job_log` VALUES (33579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:20');
INSERT INTO `sys_job_log` VALUES (33580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:50:20');
INSERT INTO `sys_job_log` VALUES (33581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:50:25');
INSERT INTO `sys_job_log` VALUES (33582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:30');
INSERT INTO `sys_job_log` VALUES (33583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:30');
INSERT INTO `sys_job_log` VALUES (33584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 15:50:31');
INSERT INTO `sys_job_log` VALUES (33585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:50:31');
INSERT INTO `sys_job_log` VALUES (33586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '0', '', '2024-12-27 15:50:35');
INSERT INTO `sys_job_log` VALUES (33587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:50:35');
INSERT INTO `sys_job_log` VALUES (33588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:40');
INSERT INTO `sys_job_log` VALUES (33589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:40');
INSERT INTO `sys_job_log` VALUES (33590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:45');
INSERT INTO `sys_job_log` VALUES (33591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:45');
INSERT INTO `sys_job_log` VALUES (33592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:45');
INSERT INTO `sys_job_log` VALUES (33593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:50:45');
INSERT INTO `sys_job_log` VALUES (33594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:50:50');
INSERT INTO `sys_job_log` VALUES (33595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:50:50');
INSERT INTO `sys_job_log` VALUES (33596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:50:55');
INSERT INTO `sys_job_log` VALUES (33597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:50:55');
INSERT INTO `sys_job_log` VALUES (33598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:51:00');
INSERT INTO `sys_job_log` VALUES (33599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:00');
INSERT INTO `sys_job_log` VALUES (33600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:51:00');
INSERT INTO `sys_job_log` VALUES (33601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:51:00');
INSERT INTO `sys_job_log` VALUES (33602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:05');
INSERT INTO `sys_job_log` VALUES (33603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:51:05');
INSERT INTO `sys_job_log` VALUES (33604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:51:10');
INSERT INTO `sys_job_log` VALUES (33605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:51:10');
INSERT INTO `sys_job_log` VALUES (33606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:51:15');
INSERT INTO `sys_job_log` VALUES (33607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:51:15');
INSERT INTO `sys_job_log` VALUES (33608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:51:15');
INSERT INTO `sys_job_log` VALUES (33609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:51:15');
INSERT INTO `sys_job_log` VALUES (33610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:51:20');
INSERT INTO `sys_job_log` VALUES (33611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:20');
INSERT INTO `sys_job_log` VALUES (33612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:25');
INSERT INTO `sys_job_log` VALUES (33613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:51:25');
INSERT INTO `sys_job_log` VALUES (33614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:30');
INSERT INTO `sys_job_log` VALUES (33615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:30');
INSERT INTO `sys_job_log` VALUES (33616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:51:30');
INSERT INTO `sys_job_log` VALUES (33617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:51:30');
INSERT INTO `sys_job_log` VALUES (33618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:51:35');
INSERT INTO `sys_job_log` VALUES (33619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:35');
INSERT INTO `sys_job_log` VALUES (33620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:40');
INSERT INTO `sys_job_log` VALUES (33621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:51:40');
INSERT INTO `sys_job_log` VALUES (33622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:51:45');
INSERT INTO `sys_job_log` VALUES (33623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:51:45');
INSERT INTO `sys_job_log` VALUES (33624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:51:45');
INSERT INTO `sys_job_log` VALUES (33625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:51:45');
INSERT INTO `sys_job_log` VALUES (33626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:50');
INSERT INTO `sys_job_log` VALUES (33627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:51:50');
INSERT INTO `sys_job_log` VALUES (33628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:51:55');
INSERT INTO `sys_job_log` VALUES (33629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:51:55');
INSERT INTO `sys_job_log` VALUES (33630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:52:00');
INSERT INTO `sys_job_log` VALUES (33631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:52:00');
INSERT INTO `sys_job_log` VALUES (33632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:00');
INSERT INTO `sys_job_log` VALUES (33633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:00');
INSERT INTO `sys_job_log` VALUES (33634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:05');
INSERT INTO `sys_job_log` VALUES (33635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:05');
INSERT INTO `sys_job_log` VALUES (33636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:52:10');
INSERT INTO `sys_job_log` VALUES (33637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:10');
INSERT INTO `sys_job_log` VALUES (33638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:15');
INSERT INTO `sys_job_log` VALUES (33639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:15');
INSERT INTO `sys_job_log` VALUES (33640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:15');
INSERT INTO `sys_job_log` VALUES (33641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:15');
INSERT INTO `sys_job_log` VALUES (33642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:20');
INSERT INTO `sys_job_log` VALUES (33643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:52:20');
INSERT INTO `sys_job_log` VALUES (33644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:25');
INSERT INTO `sys_job_log` VALUES (33645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:25');
INSERT INTO `sys_job_log` VALUES (33646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:52:30');
INSERT INTO `sys_job_log` VALUES (33647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 15:52:30');
INSERT INTO `sys_job_log` VALUES (33648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:52:30');
INSERT INTO `sys_job_log` VALUES (33649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:52:30');
INSERT INTO `sys_job_log` VALUES (33650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:35');
INSERT INTO `sys_job_log` VALUES (33651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:52:35');
INSERT INTO `sys_job_log` VALUES (33652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:52:40');
INSERT INTO `sys_job_log` VALUES (33653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:40');
INSERT INTO `sys_job_log` VALUES (33654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:45');
INSERT INTO `sys_job_log` VALUES (33655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:52:45');
INSERT INTO `sys_job_log` VALUES (33656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:52:45');
INSERT INTO `sys_job_log` VALUES (33657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 15:52:45');
INSERT INTO `sys_job_log` VALUES (33658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:52:50');
INSERT INTO `sys_job_log` VALUES (33659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:52:50');
INSERT INTO `sys_job_log` VALUES (33660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:52:55');
INSERT INTO `sys_job_log` VALUES (33661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:52:55');
INSERT INTO `sys_job_log` VALUES (33662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:00');
INSERT INTO `sys_job_log` VALUES (33663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:53:00');
INSERT INTO `sys_job_log` VALUES (33664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:53:00');
INSERT INTO `sys_job_log` VALUES (33665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:53:00');
INSERT INTO `sys_job_log` VALUES (33666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:53:05');
INSERT INTO `sys_job_log` VALUES (33667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:53:05');
INSERT INTO `sys_job_log` VALUES (33668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:53:10');
INSERT INTO `sys_job_log` VALUES (33669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:53:10');
INSERT INTO `sys_job_log` VALUES (33670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:53:15');
INSERT INTO `sys_job_log` VALUES (33671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:53:15');
INSERT INTO `sys_job_log` VALUES (33672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:20');
INSERT INTO `sys_job_log` VALUES (33673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:53:25');
INSERT INTO `sys_job_log` VALUES (33674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 15:53:26');
INSERT INTO `sys_job_log` VALUES (33675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:30');
INSERT INTO `sys_job_log` VALUES (33676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:53:30');
INSERT INTO `sys_job_log` VALUES (33677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:53:30');
INSERT INTO `sys_job_log` VALUES (33678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:30');
INSERT INTO `sys_job_log` VALUES (33679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:53:35');
INSERT INTO `sys_job_log` VALUES (33680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:35');
INSERT INTO `sys_job_log` VALUES (33681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:40');
INSERT INTO `sys_job_log` VALUES (33682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:53:40');
INSERT INTO `sys_job_log` VALUES (33683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:53:45');
INSERT INTO `sys_job_log` VALUES (33684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:53:45');
INSERT INTO `sys_job_log` VALUES (33685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:53:45');
INSERT INTO `sys_job_log` VALUES (33686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:53:45');
INSERT INTO `sys_job_log` VALUES (33687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:53:50');
INSERT INTO `sys_job_log` VALUES (33688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:53:50');
INSERT INTO `sys_job_log` VALUES (33689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:53:55');
INSERT INTO `sys_job_log` VALUES (33690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:53:55');
INSERT INTO `sys_job_log` VALUES (33691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：219毫秒', '0', '', '2024-12-27 15:54:00');
INSERT INTO `sys_job_log` VALUES (33692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：219毫秒', '0', '', '2024-12-27 15:54:00');
INSERT INTO `sys_job_log` VALUES (33693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:54:00');
INSERT INTO `sys_job_log` VALUES (33694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:54:00');
INSERT INTO `sys_job_log` VALUES (33695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:54:05');
INSERT INTO `sys_job_log` VALUES (33696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:54:05');
INSERT INTO `sys_job_log` VALUES (33697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:54:10');
INSERT INTO `sys_job_log` VALUES (33698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:54:10');
INSERT INTO `sys_job_log` VALUES (33699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:15');
INSERT INTO `sys_job_log` VALUES (33700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:15');
INSERT INTO `sys_job_log` VALUES (33701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 15:54:15');
INSERT INTO `sys_job_log` VALUES (33702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:54:15');
INSERT INTO `sys_job_log` VALUES (33703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:54:20');
INSERT INTO `sys_job_log` VALUES (33704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:54:20');
INSERT INTO `sys_job_log` VALUES (33705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:54:25');
INSERT INTO `sys_job_log` VALUES (33706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:25');
INSERT INTO `sys_job_log` VALUES (33707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:30');
INSERT INTO `sys_job_log` VALUES (33708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:30');
INSERT INTO `sys_job_log` VALUES (33709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:54:30');
INSERT INTO `sys_job_log` VALUES (33710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:54:30');
INSERT INTO `sys_job_log` VALUES (33711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:54:35');
INSERT INTO `sys_job_log` VALUES (33712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:54:35');
INSERT INTO `sys_job_log` VALUES (33713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:40');
INSERT INTO `sys_job_log` VALUES (33714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:54:40');
INSERT INTO `sys_job_log` VALUES (33715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:54:45');
INSERT INTO `sys_job_log` VALUES (33716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:54:45');
INSERT INTO `sys_job_log` VALUES (33717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:54:45');
INSERT INTO `sys_job_log` VALUES (33718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:54:45');
INSERT INTO `sys_job_log` VALUES (33719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:54:50');
INSERT INTO `sys_job_log` VALUES (33720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:54:50');
INSERT INTO `sys_job_log` VALUES (33721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:54:55');
INSERT INTO `sys_job_log` VALUES (33722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:54:55');
INSERT INTO `sys_job_log` VALUES (33723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:00');
INSERT INTO `sys_job_log` VALUES (33724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:00');
INSERT INTO `sys_job_log` VALUES (33725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:55:00');
INSERT INTO `sys_job_log` VALUES (33726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:00');
INSERT INTO `sys_job_log` VALUES (33727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:55:05');
INSERT INTO `sys_job_log` VALUES (33728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:55:05');
INSERT INTO `sys_job_log` VALUES (33729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:10');
INSERT INTO `sys_job_log` VALUES (33730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:55:10');
INSERT INTO `sys_job_log` VALUES (33731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:55:15');
INSERT INTO `sys_job_log` VALUES (33732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:55:15');
INSERT INTO `sys_job_log` VALUES (33733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:55:15');
INSERT INTO `sys_job_log` VALUES (33734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:15');
INSERT INTO `sys_job_log` VALUES (33735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:55:20');
INSERT INTO `sys_job_log` VALUES (33736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:55:20');
INSERT INTO `sys_job_log` VALUES (33737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:55:25');
INSERT INTO `sys_job_log` VALUES (33738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:55:25');
INSERT INTO `sys_job_log` VALUES (33739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:30');
INSERT INTO `sys_job_log` VALUES (33740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:30');
INSERT INTO `sys_job_log` VALUES (33741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:55:30');
INSERT INTO `sys_job_log` VALUES (33742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 15:55:30');
INSERT INTO `sys_job_log` VALUES (33743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:55:35');
INSERT INTO `sys_job_log` VALUES (33744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:55:35');
INSERT INTO `sys_job_log` VALUES (33745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:55:40');
INSERT INTO `sys_job_log` VALUES (33746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 15:55:40');
INSERT INTO `sys_job_log` VALUES (33747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:45');
INSERT INTO `sys_job_log` VALUES (33748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:45');
INSERT INTO `sys_job_log` VALUES (33749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:55:45');
INSERT INTO `sys_job_log` VALUES (33750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:55:45');
INSERT INTO `sys_job_log` VALUES (33751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:55:50');
INSERT INTO `sys_job_log` VALUES (33752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:55:50');
INSERT INTO `sys_job_log` VALUES (33753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:55:55');
INSERT INTO `sys_job_log` VALUES (33754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 15:55:55');
INSERT INTO `sys_job_log` VALUES (33755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:56:00');
INSERT INTO `sys_job_log` VALUES (33756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:56:00');
INSERT INTO `sys_job_log` VALUES (33757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:56:00');
INSERT INTO `sys_job_log` VALUES (33758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:56:00');
INSERT INTO `sys_job_log` VALUES (33759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:56:05');
INSERT INTO `sys_job_log` VALUES (33760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:56:05');
INSERT INTO `sys_job_log` VALUES (33761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:56:10');
INSERT INTO `sys_job_log` VALUES (33762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:56:10');
INSERT INTO `sys_job_log` VALUES (33763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:56:15');
INSERT INTO `sys_job_log` VALUES (33764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 15:56:15');
INSERT INTO `sys_job_log` VALUES (33765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：483毫秒', '0', '', '2024-12-27 15:56:16');
INSERT INTO `sys_job_log` VALUES (33766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2024-12-27 15:56:17');
INSERT INTO `sys_job_log` VALUES (33767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:56:20');
INSERT INTO `sys_job_log` VALUES (33768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：368毫秒', '0', '', '2024-12-27 15:56:20');
INSERT INTO `sys_job_log` VALUES (33769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2024-12-27 15:56:25');
INSERT INTO `sys_job_log` VALUES (33770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:56:25');
INSERT INTO `sys_job_log` VALUES (33771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:56:30');
INSERT INTO `sys_job_log` VALUES (33772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:56:30');
INSERT INTO `sys_job_log` VALUES (33773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2024-12-27 15:56:30');
INSERT INTO `sys_job_log` VALUES (33774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2024-12-27 15:56:31');
INSERT INTO `sys_job_log` VALUES (33775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:56:35');
INSERT INTO `sys_job_log` VALUES (33776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:56:35');
INSERT INTO `sys_job_log` VALUES (33777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2024-12-27 15:56:40');
INSERT INTO `sys_job_log` VALUES (33778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:56:40');
INSERT INTO `sys_job_log` VALUES (33779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:56:45');
INSERT INTO `sys_job_log` VALUES (33780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 15:56:45');
INSERT INTO `sys_job_log` VALUES (33781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:56:45');
INSERT INTO `sys_job_log` VALUES (33782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:56:45');
INSERT INTO `sys_job_log` VALUES (33783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 15:56:50');
INSERT INTO `sys_job_log` VALUES (33784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:56:50');
INSERT INTO `sys_job_log` VALUES (33785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:56:55');
INSERT INTO `sys_job_log` VALUES (33786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:56:55');
INSERT INTO `sys_job_log` VALUES (33787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:57:00');
INSERT INTO `sys_job_log` VALUES (33788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:57:00');
INSERT INTO `sys_job_log` VALUES (33789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:57:00');
INSERT INTO `sys_job_log` VALUES (33790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:57:00');
INSERT INTO `sys_job_log` VALUES (33791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:57:05');
INSERT INTO `sys_job_log` VALUES (33792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:57:05');
INSERT INTO `sys_job_log` VALUES (33793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:57:10');
INSERT INTO `sys_job_log` VALUES (33794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2024-12-27 15:57:10');
INSERT INTO `sys_job_log` VALUES (33795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 15:57:15');
INSERT INTO `sys_job_log` VALUES (33796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 15:57:15');
INSERT INTO `sys_job_log` VALUES (33797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:57:15');
INSERT INTO `sys_job_log` VALUES (33798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:57:15');
INSERT INTO `sys_job_log` VALUES (33799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 15:57:20');
INSERT INTO `sys_job_log` VALUES (33800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 15:57:20');
INSERT INTO `sys_job_log` VALUES (33801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:57:25');
INSERT INTO `sys_job_log` VALUES (33802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:57:25');
INSERT INTO `sys_job_log` VALUES (33803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2024-12-27 15:57:30');
INSERT INTO `sys_job_log` VALUES (33804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 15:57:30');
INSERT INTO `sys_job_log` VALUES (33805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:57:30');
INSERT INTO `sys_job_log` VALUES (33806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:57:30');
INSERT INTO `sys_job_log` VALUES (33807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:57:35');
INSERT INTO `sys_job_log` VALUES (33808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2024-12-27 15:57:35');
INSERT INTO `sys_job_log` VALUES (33809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:57:40');
INSERT INTO `sys_job_log` VALUES (33810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:57:40');
INSERT INTO `sys_job_log` VALUES (33811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:57:45');
INSERT INTO `sys_job_log` VALUES (33812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 15:57:45');
INSERT INTO `sys_job_log` VALUES (33813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：342毫秒', '0', '', '2024-12-27 15:57:45');
INSERT INTO `sys_job_log` VALUES (33814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：342毫秒', '0', '', '2024-12-27 15:57:45');
INSERT INTO `sys_job_log` VALUES (33815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:57:50');
INSERT INTO `sys_job_log` VALUES (33816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:57:50');
INSERT INTO `sys_job_log` VALUES (33817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:57:55');
INSERT INTO `sys_job_log` VALUES (33818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:57:55');
INSERT INTO `sys_job_log` VALUES (33819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:58:00');
INSERT INTO `sys_job_log` VALUES (33820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 15:58:00');
INSERT INTO `sys_job_log` VALUES (33821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:58:00');
INSERT INTO `sys_job_log` VALUES (33822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:58:00');
INSERT INTO `sys_job_log` VALUES (33823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:58:05');
INSERT INTO `sys_job_log` VALUES (33824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2024-12-27 15:58:05');
INSERT INTO `sys_job_log` VALUES (33825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:58:10');
INSERT INTO `sys_job_log` VALUES (33826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 15:58:10');
INSERT INTO `sys_job_log` VALUES (33827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:58:15');
INSERT INTO `sys_job_log` VALUES (33828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:58:15');
INSERT INTO `sys_job_log` VALUES (33829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:58:15');
INSERT INTO `sys_job_log` VALUES (33830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:58:15');
INSERT INTO `sys_job_log` VALUES (33831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 15:58:20');
INSERT INTO `sys_job_log` VALUES (33832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:58:20');
INSERT INTO `sys_job_log` VALUES (33833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 15:58:25');
INSERT INTO `sys_job_log` VALUES (33834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:58:25');
INSERT INTO `sys_job_log` VALUES (33835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:58:30');
INSERT INTO `sys_job_log` VALUES (33836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:58:30');
INSERT INTO `sys_job_log` VALUES (33837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 15:58:32');
INSERT INTO `sys_job_log` VALUES (33838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 15:58:32');
INSERT INTO `sys_job_log` VALUES (33839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:58:35');
INSERT INTO `sys_job_log` VALUES (33840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:58:40');
INSERT INTO `sys_job_log` VALUES (33841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:58:40');
INSERT INTO `sys_job_log` VALUES (33842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:58:45');
INSERT INTO `sys_job_log` VALUES (33843, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:58:45');
INSERT INTO `sys_job_log` VALUES (33844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：129毫秒', '0', '', '2024-12-27 15:58:45');
INSERT INTO `sys_job_log` VALUES (33845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2024-12-27 15:58:45');
INSERT INTO `sys_job_log` VALUES (33846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:58:50');
INSERT INTO `sys_job_log` VALUES (33847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:58:50');
INSERT INTO `sys_job_log` VALUES (33848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:58:55');
INSERT INTO `sys_job_log` VALUES (33849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:58:55');
INSERT INTO `sys_job_log` VALUES (33850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 15:59:00');
INSERT INTO `sys_job_log` VALUES (33851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 15:59:00');
INSERT INTO `sys_job_log` VALUES (33852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 15:59:00');
INSERT INTO `sys_job_log` VALUES (33853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:59:00');
INSERT INTO `sys_job_log` VALUES (33854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:59:05');
INSERT INTO `sys_job_log` VALUES (33855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 15:59:05');
INSERT INTO `sys_job_log` VALUES (33856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:59:10');
INSERT INTO `sys_job_log` VALUES (33857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:59:10');
INSERT INTO `sys_job_log` VALUES (33858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 15:59:15');
INSERT INTO `sys_job_log` VALUES (33859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:59:15');
INSERT INTO `sys_job_log` VALUES (33860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:59:15');
INSERT INTO `sys_job_log` VALUES (33861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 15:59:15');
INSERT INTO `sys_job_log` VALUES (33862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:59:20');
INSERT INTO `sys_job_log` VALUES (33863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 15:59:20');
INSERT INTO `sys_job_log` VALUES (33864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:59:25');
INSERT INTO `sys_job_log` VALUES (33865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 15:59:25');
INSERT INTO `sys_job_log` VALUES (33866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:59:30');
INSERT INTO `sys_job_log` VALUES (33867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:59:30');
INSERT INTO `sys_job_log` VALUES (33868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1835毫秒', '0', '', '2024-12-27 15:59:31');
INSERT INTO `sys_job_log` VALUES (33869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1835毫秒', '0', '', '2024-12-27 15:59:31');
INSERT INTO `sys_job_log` VALUES (33870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 15:59:35');
INSERT INTO `sys_job_log` VALUES (33871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:59:35');
INSERT INTO `sys_job_log` VALUES (33872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:59:40');
INSERT INTO `sys_job_log` VALUES (33873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:59:40');
INSERT INTO `sys_job_log` VALUES (33874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 15:59:45');
INSERT INTO `sys_job_log` VALUES (33875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 15:59:45');
INSERT INTO `sys_job_log` VALUES (33876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 15:59:45');
INSERT INTO `sys_job_log` VALUES (33877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 15:59:45');
INSERT INTO `sys_job_log` VALUES (33878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 15:59:50');
INSERT INTO `sys_job_log` VALUES (33879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 15:59:50');
INSERT INTO `sys_job_log` VALUES (33880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 15:59:55');
INSERT INTO `sys_job_log` VALUES (33881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2024-12-27 15:59:55');
INSERT INTO `sys_job_log` VALUES (33882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:00:00');
INSERT INTO `sys_job_log` VALUES (33883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:00:00');
INSERT INTO `sys_job_log` VALUES (33884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 16:00:00');
INSERT INTO `sys_job_log` VALUES (33885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-27 16:00:00');
INSERT INTO `sys_job_log` VALUES (33886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:00:05');
INSERT INTO `sys_job_log` VALUES (33887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 16:00:05');
INSERT INTO `sys_job_log` VALUES (33888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:00:10');
INSERT INTO `sys_job_log` VALUES (33889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:00:10');
INSERT INTO `sys_job_log` VALUES (33890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:15');
INSERT INTO `sys_job_log` VALUES (33891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:15');
INSERT INTO `sys_job_log` VALUES (33892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:00:15');
INSERT INTO `sys_job_log` VALUES (33893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:15');
INSERT INTO `sys_job_log` VALUES (33894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:00:20');
INSERT INTO `sys_job_log` VALUES (33895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:00:20');
INSERT INTO `sys_job_log` VALUES (33896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:00:25');
INSERT INTO `sys_job_log` VALUES (33897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:25');
INSERT INTO `sys_job_log` VALUES (33898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:00:30');
INSERT INTO `sys_job_log` VALUES (33899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:00:30');
INSERT INTO `sys_job_log` VALUES (33900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:30');
INSERT INTO `sys_job_log` VALUES (33901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:30');
INSERT INTO `sys_job_log` VALUES (33902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:35');
INSERT INTO `sys_job_log` VALUES (33903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:35');
INSERT INTO `sys_job_log` VALUES (33904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:00:40');
INSERT INTO `sys_job_log` VALUES (33905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:00:40');
INSERT INTO `sys_job_log` VALUES (33906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:00:45');
INSERT INTO `sys_job_log` VALUES (33907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:00:45');
INSERT INTO `sys_job_log` VALUES (33908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:00:50');
INSERT INTO `sys_job_log` VALUES (33909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 16:00:52');
INSERT INTO `sys_job_log` VALUES (33910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:00:55');
INSERT INTO `sys_job_log` VALUES (33911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 16:00:55');
INSERT INTO `sys_job_log` VALUES (33912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:01:00');
INSERT INTO `sys_job_log` VALUES (33913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:01:00');
INSERT INTO `sys_job_log` VALUES (33914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2024-12-27 16:01:00');
INSERT INTO `sys_job_log` VALUES (33915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2024-12-27 16:01:00');
INSERT INTO `sys_job_log` VALUES (33916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:01:05');
INSERT INTO `sys_job_log` VALUES (33917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:01:05');
INSERT INTO `sys_job_log` VALUES (33918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:01:10');
INSERT INTO `sys_job_log` VALUES (33919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:01:10');
INSERT INTO `sys_job_log` VALUES (33920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:01:15');
INSERT INTO `sys_job_log` VALUES (33921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:01:15');
INSERT INTO `sys_job_log` VALUES (33922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 16:01:15');
INSERT INTO `sys_job_log` VALUES (33923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:15');
INSERT INTO `sys_job_log` VALUES (33924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:20');
INSERT INTO `sys_job_log` VALUES (33925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:20');
INSERT INTO `sys_job_log` VALUES (33926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:01:25');
INSERT INTO `sys_job_log` VALUES (33927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:01:25');
INSERT INTO `sys_job_log` VALUES (33928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:30');
INSERT INTO `sys_job_log` VALUES (33929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:30');
INSERT INTO `sys_job_log` VALUES (33930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:01:30');
INSERT INTO `sys_job_log` VALUES (33931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:01:30');
INSERT INTO `sys_job_log` VALUES (33932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:01:35');
INSERT INTO `sys_job_log` VALUES (33933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:01:35');
INSERT INTO `sys_job_log` VALUES (33934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:01:40');
INSERT INTO `sys_job_log` VALUES (33935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:01:40');
INSERT INTO `sys_job_log` VALUES (33936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:01:45');
INSERT INTO `sys_job_log` VALUES (33937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:01:45');
INSERT INTO `sys_job_log` VALUES (33938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:45');
INSERT INTO `sys_job_log` VALUES (33939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:01:45');
INSERT INTO `sys_job_log` VALUES (33940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:01:50');
INSERT INTO `sys_job_log` VALUES (33941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:01:50');
INSERT INTO `sys_job_log` VALUES (33942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:01:55');
INSERT INTO `sys_job_log` VALUES (33943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:01:55');
INSERT INTO `sys_job_log` VALUES (33944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:02:00');
INSERT INTO `sys_job_log` VALUES (33945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 16:02:00');
INSERT INTO `sys_job_log` VALUES (33946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:00');
INSERT INTO `sys_job_log` VALUES (33947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:00');
INSERT INTO `sys_job_log` VALUES (33948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:02:05');
INSERT INTO `sys_job_log` VALUES (33949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:02:05');
INSERT INTO `sys_job_log` VALUES (33950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:02:10');
INSERT INTO `sys_job_log` VALUES (33951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:02:10');
INSERT INTO `sys_job_log` VALUES (33952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:02:15');
INSERT INTO `sys_job_log` VALUES (33953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:02:15');
INSERT INTO `sys_job_log` VALUES (33954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:02:15');
INSERT INTO `sys_job_log` VALUES (33955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:02:15');
INSERT INTO `sys_job_log` VALUES (33956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:02:20');
INSERT INTO `sys_job_log` VALUES (33957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:02:20');
INSERT INTO `sys_job_log` VALUES (33958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 16:02:25');
INSERT INTO `sys_job_log` VALUES (33959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:02:25');
INSERT INTO `sys_job_log` VALUES (33960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:02:30');
INSERT INTO `sys_job_log` VALUES (33961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 16:02:30');
INSERT INTO `sys_job_log` VALUES (33962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:30');
INSERT INTO `sys_job_log` VALUES (33963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:30');
INSERT INTO `sys_job_log` VALUES (33964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:02:35');
INSERT INTO `sys_job_log` VALUES (33965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:35');
INSERT INTO `sys_job_log` VALUES (33966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:40');
INSERT INTO `sys_job_log` VALUES (33967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:02:40');
INSERT INTO `sys_job_log` VALUES (33968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:45');
INSERT INTO `sys_job_log` VALUES (33969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:02:45');
INSERT INTO `sys_job_log` VALUES (33970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:02:45');
INSERT INTO `sys_job_log` VALUES (33971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:02:45');
INSERT INTO `sys_job_log` VALUES (33972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:02:50');
INSERT INTO `sys_job_log` VALUES (33973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:02:50');
INSERT INTO `sys_job_log` VALUES (33974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:02:55');
INSERT INTO `sys_job_log` VALUES (33975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:02:55');
INSERT INTO `sys_job_log` VALUES (33976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:03:00');
INSERT INTO `sys_job_log` VALUES (33977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:03:00');
INSERT INTO `sys_job_log` VALUES (33978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 16:03:00');
INSERT INTO `sys_job_log` VALUES (33979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:03:00');
INSERT INTO `sys_job_log` VALUES (33980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2024-12-27 16:03:05');
INSERT INTO `sys_job_log` VALUES (33981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:03:05');
INSERT INTO `sys_job_log` VALUES (33982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:03:10');
INSERT INTO `sys_job_log` VALUES (33983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1837毫秒', '0', '', '2024-12-27 16:03:11');
INSERT INTO `sys_job_log` VALUES (33984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:03:15');
INSERT INTO `sys_job_log` VALUES (33985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:03:15');
INSERT INTO `sys_job_log` VALUES (33986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 16:03:15');
INSERT INTO `sys_job_log` VALUES (33987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 16:03:15');
INSERT INTO `sys_job_log` VALUES (33988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:03:20');
INSERT INTO `sys_job_log` VALUES (33989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:03:20');
INSERT INTO `sys_job_log` VALUES (33990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:03:25');
INSERT INTO `sys_job_log` VALUES (33991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:03:25');
INSERT INTO `sys_job_log` VALUES (33992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:03:30');
INSERT INTO `sys_job_log` VALUES (33993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:03:30');
INSERT INTO `sys_job_log` VALUES (33994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:03:30');
INSERT INTO `sys_job_log` VALUES (33995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:03:30');
INSERT INTO `sys_job_log` VALUES (33996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:03:35');
INSERT INTO `sys_job_log` VALUES (33997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:03:35');
INSERT INTO `sys_job_log` VALUES (33998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:03:40');
INSERT INTO `sys_job_log` VALUES (33999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:03:40');
INSERT INTO `sys_job_log` VALUES (34000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:03:45');
INSERT INTO `sys_job_log` VALUES (34001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:03:45');
INSERT INTO `sys_job_log` VALUES (34002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2024-12-27 16:03:45');
INSERT INTO `sys_job_log` VALUES (34003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 16:03:45');
INSERT INTO `sys_job_log` VALUES (34004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:03:50');
INSERT INTO `sys_job_log` VALUES (34005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2024-12-27 16:03:50');
INSERT INTO `sys_job_log` VALUES (34006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:03:55');
INSERT INTO `sys_job_log` VALUES (34007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:03:55');
INSERT INTO `sys_job_log` VALUES (34008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:04:00');
INSERT INTO `sys_job_log` VALUES (34009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:04:00');
INSERT INTO `sys_job_log` VALUES (34010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:00');
INSERT INTO `sys_job_log` VALUES (34011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:00');
INSERT INTO `sys_job_log` VALUES (34012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:04:05');
INSERT INTO `sys_job_log` VALUES (34013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:04:05');
INSERT INTO `sys_job_log` VALUES (34014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:04:10');
INSERT INTO `sys_job_log` VALUES (34015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:10');
INSERT INTO `sys_job_log` VALUES (34016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:04:15');
INSERT INTO `sys_job_log` VALUES (34017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:04:15');
INSERT INTO `sys_job_log` VALUES (34018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:15');
INSERT INTO `sys_job_log` VALUES (34019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:15');
INSERT INTO `sys_job_log` VALUES (34020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:04:20');
INSERT INTO `sys_job_log` VALUES (34021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:04:20');
INSERT INTO `sys_job_log` VALUES (34022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:04:25');
INSERT INTO `sys_job_log` VALUES (34023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:04:25');
INSERT INTO `sys_job_log` VALUES (34024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:04:30');
INSERT INTO `sys_job_log` VALUES (34025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:04:30');
INSERT INTO `sys_job_log` VALUES (34026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:30');
INSERT INTO `sys_job_log` VALUES (34027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:30');
INSERT INTO `sys_job_log` VALUES (34028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:04:35');
INSERT INTO `sys_job_log` VALUES (34029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 16:04:35');
INSERT INTO `sys_job_log` VALUES (34030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:04:40');
INSERT INTO `sys_job_log` VALUES (34031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:04:40');
INSERT INTO `sys_job_log` VALUES (34032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:04:45');
INSERT INTO `sys_job_log` VALUES (34033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:04:45');
INSERT INTO `sys_job_log` VALUES (34034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:45');
INSERT INTO `sys_job_log` VALUES (34035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:04:45');
INSERT INTO `sys_job_log` VALUES (34036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:04:50');
INSERT INTO `sys_job_log` VALUES (34037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:04:50');
INSERT INTO `sys_job_log` VALUES (34038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:04:55');
INSERT INTO `sys_job_log` VALUES (34039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:04:55');
INSERT INTO `sys_job_log` VALUES (34040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:00');
INSERT INTO `sys_job_log` VALUES (34041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:00');
INSERT INTO `sys_job_log` VALUES (34042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:05:00');
INSERT INTO `sys_job_log` VALUES (34043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-27 16:05:00');
INSERT INTO `sys_job_log` VALUES (34044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:05:05');
INSERT INTO `sys_job_log` VALUES (34045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:05:05');
INSERT INTO `sys_job_log` VALUES (34046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:05:10');
INSERT INTO `sys_job_log` VALUES (34047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2024-12-27 16:05:10');
INSERT INTO `sys_job_log` VALUES (34048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:15');
INSERT INTO `sys_job_log` VALUES (34049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:15');
INSERT INTO `sys_job_log` VALUES (34050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:15');
INSERT INTO `sys_job_log` VALUES (34051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:15');
INSERT INTO `sys_job_log` VALUES (34052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:05:20');
INSERT INTO `sys_job_log` VALUES (34053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:05:20');
INSERT INTO `sys_job_log` VALUES (34054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:05:25');
INSERT INTO `sys_job_log` VALUES (34055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:05:25');
INSERT INTO `sys_job_log` VALUES (34056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:05:30');
INSERT INTO `sys_job_log` VALUES (34057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:05:30');
INSERT INTO `sys_job_log` VALUES (34058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:05:30');
INSERT INTO `sys_job_log` VALUES (34059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 16:05:30');
INSERT INTO `sys_job_log` VALUES (34060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:05:35');
INSERT INTO `sys_job_log` VALUES (34061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:35');
INSERT INTO `sys_job_log` VALUES (34062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2024-12-27 16:05:40');
INSERT INTO `sys_job_log` VALUES (34063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:40');
INSERT INTO `sys_job_log` VALUES (34064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:05:45');
INSERT INTO `sys_job_log` VALUES (34065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:05:45');
INSERT INTO `sys_job_log` VALUES (34066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:05:45');
INSERT INTO `sys_job_log` VALUES (34067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:05:45');
INSERT INTO `sys_job_log` VALUES (34068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 16:05:50');
INSERT INTO `sys_job_log` VALUES (34069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:05:50');
INSERT INTO `sys_job_log` VALUES (34070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:05:55');
INSERT INTO `sys_job_log` VALUES (34071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:05:55');
INSERT INTO `sys_job_log` VALUES (34072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:06:00');
INSERT INTO `sys_job_log` VALUES (34073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:06:00');
INSERT INTO `sys_job_log` VALUES (34074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:06:00');
INSERT INTO `sys_job_log` VALUES (34075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:06:00');
INSERT INTO `sys_job_log` VALUES (34076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:06:05');
INSERT INTO `sys_job_log` VALUES (34077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:06:05');
INSERT INTO `sys_job_log` VALUES (34078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:06:10');
INSERT INTO `sys_job_log` VALUES (34079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:06:10');
INSERT INTO `sys_job_log` VALUES (34080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:06:15');
INSERT INTO `sys_job_log` VALUES (34081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:06:15');
INSERT INTO `sys_job_log` VALUES (34082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：78毫秒', '0', '', '2024-12-27 16:06:15');
INSERT INTO `sys_job_log` VALUES (34083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2024-12-27 16:06:15');
INSERT INTO `sys_job_log` VALUES (34084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:06:20');
INSERT INTO `sys_job_log` VALUES (34085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:06:20');
INSERT INTO `sys_job_log` VALUES (34086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:06:25');
INSERT INTO `sys_job_log` VALUES (34087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:06:25');
INSERT INTO `sys_job_log` VALUES (34088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:06:30');
INSERT INTO `sys_job_log` VALUES (34089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:06:30');
INSERT INTO `sys_job_log` VALUES (34090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:06:30');
INSERT INTO `sys_job_log` VALUES (34091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:06:30');
INSERT INTO `sys_job_log` VALUES (34092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:06:35');
INSERT INTO `sys_job_log` VALUES (34093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：343毫秒', '0', '', '2024-12-27 16:06:35');
INSERT INTO `sys_job_log` VALUES (34094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：176毫秒', '0', '', '2024-12-27 16:06:40');
INSERT INTO `sys_job_log` VALUES (34095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:06:40');
INSERT INTO `sys_job_log` VALUES (34096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:06:45');
INSERT INTO `sys_job_log` VALUES (34097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:06:45');
INSERT INTO `sys_job_log` VALUES (34098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:06:45');
INSERT INTO `sys_job_log` VALUES (34099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 16:06:45');
INSERT INTO `sys_job_log` VALUES (34100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:06:50');
INSERT INTO `sys_job_log` VALUES (34101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:06:50');
INSERT INTO `sys_job_log` VALUES (34102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:06:55');
INSERT INTO `sys_job_log` VALUES (34103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:06:55');
INSERT INTO `sys_job_log` VALUES (34104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:00');
INSERT INTO `sys_job_log` VALUES (34105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:00');
INSERT INTO `sys_job_log` VALUES (34106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:07:00');
INSERT INTO `sys_job_log` VALUES (34107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:07:00');
INSERT INTO `sys_job_log` VALUES (34108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:05');
INSERT INTO `sys_job_log` VALUES (34109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：351毫秒', '0', '', '2024-12-27 16:07:05');
INSERT INTO `sys_job_log` VALUES (34110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:07:10');
INSERT INTO `sys_job_log` VALUES (34111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:07:10');
INSERT INTO `sys_job_log` VALUES (34112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:07:15');
INSERT INTO `sys_job_log` VALUES (34113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:07:15');
INSERT INTO `sys_job_log` VALUES (34114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:07:15');
INSERT INTO `sys_job_log` VALUES (34115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:07:15');
INSERT INTO `sys_job_log` VALUES (34116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:07:20');
INSERT INTO `sys_job_log` VALUES (34117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:07:20');
INSERT INTO `sys_job_log` VALUES (34118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:25');
INSERT INTO `sys_job_log` VALUES (34119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:07:25');
INSERT INTO `sys_job_log` VALUES (34120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:07:30');
INSERT INTO `sys_job_log` VALUES (34121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:07:30');
INSERT INTO `sys_job_log` VALUES (34122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:30');
INSERT INTO `sys_job_log` VALUES (34123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:30');
INSERT INTO `sys_job_log` VALUES (34124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：172毫秒', '0', '', '2024-12-27 16:07:35');
INSERT INTO `sys_job_log` VALUES (34125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2024-12-27 16:07:35');
INSERT INTO `sys_job_log` VALUES (34126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '0', '', '2024-12-27 16:07:40');
INSERT INTO `sys_job_log` VALUES (34127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:07:40');
INSERT INTO `sys_job_log` VALUES (34128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:07:45');
INSERT INTO `sys_job_log` VALUES (34129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:07:45');
INSERT INTO `sys_job_log` VALUES (34130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:07:45');
INSERT INTO `sys_job_log` VALUES (34131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:07:45');
INSERT INTO `sys_job_log` VALUES (34132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:07:50');
INSERT INTO `sys_job_log` VALUES (34133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 16:07:50');
INSERT INTO `sys_job_log` VALUES (34134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:07:55');
INSERT INTO `sys_job_log` VALUES (34135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:07:55');
INSERT INTO `sys_job_log` VALUES (34136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:08:00');
INSERT INTO `sys_job_log` VALUES (34137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:08:00');
INSERT INTO `sys_job_log` VALUES (34138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：633毫秒', '0', '', '2024-12-27 16:08:00');
INSERT INTO `sys_job_log` VALUES (34139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：633毫秒', '0', '', '2024-12-27 16:08:00');
INSERT INTO `sys_job_log` VALUES (34140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:08:05');
INSERT INTO `sys_job_log` VALUES (34141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:08:05');
INSERT INTO `sys_job_log` VALUES (34142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:08:10');
INSERT INTO `sys_job_log` VALUES (34143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:08:10');
INSERT INTO `sys_job_log` VALUES (34144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 16:08:15');
INSERT INTO `sys_job_log` VALUES (34145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:08:15');
INSERT INTO `sys_job_log` VALUES (34146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:08:15');
INSERT INTO `sys_job_log` VALUES (34147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 16:08:15');
INSERT INTO `sys_job_log` VALUES (34148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:08:20');
INSERT INTO `sys_job_log` VALUES (34149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:08:20');
INSERT INTO `sys_job_log` VALUES (34150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:08:25');
INSERT INTO `sys_job_log` VALUES (34151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:08:25');
INSERT INTO `sys_job_log` VALUES (34152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:08:30');
INSERT INTO `sys_job_log` VALUES (34153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:08:30');
INSERT INTO `sys_job_log` VALUES (34154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:08:30');
INSERT INTO `sys_job_log` VALUES (34155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:08:30');
INSERT INTO `sys_job_log` VALUES (34156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:08:35');
INSERT INTO `sys_job_log` VALUES (34157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:08:35');
INSERT INTO `sys_job_log` VALUES (34158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2100毫秒', '0', '', '2024-12-27 16:08:42');
INSERT INTO `sys_job_log` VALUES (34159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:08:45');
INSERT INTO `sys_job_log` VALUES (34160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:08:45');
INSERT INTO `sys_job_log` VALUES (34161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:08:45');
INSERT INTO `sys_job_log` VALUES (34162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:08:45');
INSERT INTO `sys_job_log` VALUES (34163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:08:50');
INSERT INTO `sys_job_log` VALUES (34164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:08:50');
INSERT INTO `sys_job_log` VALUES (34165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:08:55');
INSERT INTO `sys_job_log` VALUES (34166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2024-12-27 16:08:55');
INSERT INTO `sys_job_log` VALUES (34167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:09:00');
INSERT INTO `sys_job_log` VALUES (34168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:09:00');
INSERT INTO `sys_job_log` VALUES (34169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:09:00');
INSERT INTO `sys_job_log` VALUES (34170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:09:00');
INSERT INTO `sys_job_log` VALUES (34171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:09:05');
INSERT INTO `sys_job_log` VALUES (34172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:09:05');
INSERT INTO `sys_job_log` VALUES (34173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:09:10');
INSERT INTO `sys_job_log` VALUES (34174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:09:10');
INSERT INTO `sys_job_log` VALUES (34175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:09:15');
INSERT INTO `sys_job_log` VALUES (34176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:09:15');
INSERT INTO `sys_job_log` VALUES (34177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:09:15');
INSERT INTO `sys_job_log` VALUES (34178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:09:15');
INSERT INTO `sys_job_log` VALUES (34179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:09:20');
INSERT INTO `sys_job_log` VALUES (34180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:09:20');
INSERT INTO `sys_job_log` VALUES (34181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:09:25');
INSERT INTO `sys_job_log` VALUES (34182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:09:25');
INSERT INTO `sys_job_log` VALUES (34183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:09:30');
INSERT INTO `sys_job_log` VALUES (34184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:09:30');
INSERT INTO `sys_job_log` VALUES (34185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:09:30');
INSERT INTO `sys_job_log` VALUES (34186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:09:30');
INSERT INTO `sys_job_log` VALUES (34187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 16:09:35');
INSERT INTO `sys_job_log` VALUES (34188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:09:35');
INSERT INTO `sys_job_log` VALUES (34189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:09:40');
INSERT INTO `sys_job_log` VALUES (34190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4328毫秒', '0', '', '2024-12-27 16:09:44');
INSERT INTO `sys_job_log` VALUES (34191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：135毫秒', '0', '', '2024-12-27 16:09:45');
INSERT INTO `sys_job_log` VALUES (34192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2024-12-27 16:09:45');
INSERT INTO `sys_job_log` VALUES (34193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:09:45');
INSERT INTO `sys_job_log` VALUES (34194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:09:45');
INSERT INTO `sys_job_log` VALUES (34195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:09:50');
INSERT INTO `sys_job_log` VALUES (34196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:09:52');
INSERT INTO `sys_job_log` VALUES (34197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：229毫秒', '0', '', '2024-12-27 16:09:55');
INSERT INTO `sys_job_log` VALUES (34198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:09:55');
INSERT INTO `sys_job_log` VALUES (34199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:10:00');
INSERT INTO `sys_job_log` VALUES (34200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:10:00');
INSERT INTO `sys_job_log` VALUES (34201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:10:00');
INSERT INTO `sys_job_log` VALUES (34202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:10:00');
INSERT INTO `sys_job_log` VALUES (34203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:10:05');
INSERT INTO `sys_job_log` VALUES (34204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:10:05');
INSERT INTO `sys_job_log` VALUES (34205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:10:10');
INSERT INTO `sys_job_log` VALUES (34206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:10:10');
INSERT INTO `sys_job_log` VALUES (34207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:10:15');
INSERT INTO `sys_job_log` VALUES (34208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:10:15');
INSERT INTO `sys_job_log` VALUES (34209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-27 16:10:16');
INSERT INTO `sys_job_log` VALUES (34210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2024-12-27 16:10:16');
INSERT INTO `sys_job_log` VALUES (34211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:10:20');
INSERT INTO `sys_job_log` VALUES (34212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:10:21');
INSERT INTO `sys_job_log` VALUES (34213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:10:25');
INSERT INTO `sys_job_log` VALUES (34214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:25');
INSERT INTO `sys_job_log` VALUES (34215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:30');
INSERT INTO `sys_job_log` VALUES (34216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:10:30');
INSERT INTO `sys_job_log` VALUES (34217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:30');
INSERT INTO `sys_job_log` VALUES (34218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:10:30');
INSERT INTO `sys_job_log` VALUES (34219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:35');
INSERT INTO `sys_job_log` VALUES (34220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 16:10:35');
INSERT INTO `sys_job_log` VALUES (34221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:10:40');
INSERT INTO `sys_job_log` VALUES (34222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:10:40');
INSERT INTO `sys_job_log` VALUES (34223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:10:45');
INSERT INTO `sys_job_log` VALUES (34224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:10:45');
INSERT INTO `sys_job_log` VALUES (34225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:45');
INSERT INTO `sys_job_log` VALUES (34226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:45');
INSERT INTO `sys_job_log` VALUES (34227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:10:50');
INSERT INTO `sys_job_log` VALUES (34228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:10:50');
INSERT INTO `sys_job_log` VALUES (34229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:10:55');
INSERT INTO `sys_job_log` VALUES (34230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:10:55');
INSERT INTO `sys_job_log` VALUES (34231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:00');
INSERT INTO `sys_job_log` VALUES (34232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:00');
INSERT INTO `sys_job_log` VALUES (34233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 16:11:00');
INSERT INTO `sys_job_log` VALUES (34234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 16:11:00');
INSERT INTO `sys_job_log` VALUES (34235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:11:05');
INSERT INTO `sys_job_log` VALUES (34236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:11:05');
INSERT INTO `sys_job_log` VALUES (34237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:11:10');
INSERT INTO `sys_job_log` VALUES (34238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:11:10');
INSERT INTO `sys_job_log` VALUES (34239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:15');
INSERT INTO `sys_job_log` VALUES (34240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:15');
INSERT INTO `sys_job_log` VALUES (34241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:15');
INSERT INTO `sys_job_log` VALUES (34242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:11:15');
INSERT INTO `sys_job_log` VALUES (34243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:11:20');
INSERT INTO `sys_job_log` VALUES (34244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:20');
INSERT INTO `sys_job_log` VALUES (34245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:11:25');
INSERT INTO `sys_job_log` VALUES (34246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:11:25');
INSERT INTO `sys_job_log` VALUES (34247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:11:30');
INSERT INTO `sys_job_log` VALUES (34248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:11:30');
INSERT INTO `sys_job_log` VALUES (34249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:11:30');
INSERT INTO `sys_job_log` VALUES (34250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:11:30');
INSERT INTO `sys_job_log` VALUES (34251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:11:35');
INSERT INTO `sys_job_log` VALUES (34252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:11:35');
INSERT INTO `sys_job_log` VALUES (34253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:11:40');
INSERT INTO `sys_job_log` VALUES (34254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:11:40');
INSERT INTO `sys_job_log` VALUES (34255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:11:45');
INSERT INTO `sys_job_log` VALUES (34256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:11:45');
INSERT INTO `sys_job_log` VALUES (34257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:11:45');
INSERT INTO `sys_job_log` VALUES (34258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:11:45');
INSERT INTO `sys_job_log` VALUES (34259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:11:50');
INSERT INTO `sys_job_log` VALUES (34260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1833毫秒', '0', '', '2024-12-27 16:11:51');
INSERT INTO `sys_job_log` VALUES (34261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:11:55');
INSERT INTO `sys_job_log` VALUES (34262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:11:55');
INSERT INTO `sys_job_log` VALUES (34263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:12:00');
INSERT INTO `sys_job_log` VALUES (34264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:12:00');
INSERT INTO `sys_job_log` VALUES (34265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:12:00');
INSERT INTO `sys_job_log` VALUES (34266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:12:00');
INSERT INTO `sys_job_log` VALUES (34267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:12:05');
INSERT INTO `sys_job_log` VALUES (34268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:12:05');
INSERT INTO `sys_job_log` VALUES (34269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:12:10');
INSERT INTO `sys_job_log` VALUES (34270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:12:10');
INSERT INTO `sys_job_log` VALUES (34271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:12:15');
INSERT INTO `sys_job_log` VALUES (34272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:12:15');
INSERT INTO `sys_job_log` VALUES (34273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:12:15');
INSERT INTO `sys_job_log` VALUES (34274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:12:15');
INSERT INTO `sys_job_log` VALUES (34275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:12:20');
INSERT INTO `sys_job_log` VALUES (34276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:12:20');
INSERT INTO `sys_job_log` VALUES (34277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:12:25');
INSERT INTO `sys_job_log` VALUES (34278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2024-12-27 16:12:25');
INSERT INTO `sys_job_log` VALUES (34279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:12:30');
INSERT INTO `sys_job_log` VALUES (34280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:12:30');
INSERT INTO `sys_job_log` VALUES (34281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:12:30');
INSERT INTO `sys_job_log` VALUES (34282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 16:12:30');
INSERT INTO `sys_job_log` VALUES (34283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:12:35');
INSERT INTO `sys_job_log` VALUES (34284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:12:35');
INSERT INTO `sys_job_log` VALUES (34285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:12:40');
INSERT INTO `sys_job_log` VALUES (34286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:12:40');
INSERT INTO `sys_job_log` VALUES (34287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:12:45');
INSERT INTO `sys_job_log` VALUES (34288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:12:45');
INSERT INTO `sys_job_log` VALUES (34289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:12:45');
INSERT INTO `sys_job_log` VALUES (34290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:12:45');
INSERT INTO `sys_job_log` VALUES (34291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:12:50');
INSERT INTO `sys_job_log` VALUES (34292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:12:50');
INSERT INTO `sys_job_log` VALUES (34293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:12:55');
INSERT INTO `sys_job_log` VALUES (34294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:12:55');
INSERT INTO `sys_job_log` VALUES (34295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:00');
INSERT INTO `sys_job_log` VALUES (34296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:00');
INSERT INTO `sys_job_log` VALUES (34297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:00');
INSERT INTO `sys_job_log` VALUES (34298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:00');
INSERT INTO `sys_job_log` VALUES (34299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:05');
INSERT INTO `sys_job_log` VALUES (34300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:13:05');
INSERT INTO `sys_job_log` VALUES (34301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:10');
INSERT INTO `sys_job_log` VALUES (34302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:13:10');
INSERT INTO `sys_job_log` VALUES (34303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:15');
INSERT INTO `sys_job_log` VALUES (34304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:15');
INSERT INTO `sys_job_log` VALUES (34305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:15');
INSERT INTO `sys_job_log` VALUES (34306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:15');
INSERT INTO `sys_job_log` VALUES (34307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:13:20');
INSERT INTO `sys_job_log` VALUES (34308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:13:20');
INSERT INTO `sys_job_log` VALUES (34309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：315毫秒', '0', '', '2024-12-27 16:13:25');
INSERT INTO `sys_job_log` VALUES (34310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:13:25');
INSERT INTO `sys_job_log` VALUES (34311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:30');
INSERT INTO `sys_job_log` VALUES (34312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:30');
INSERT INTO `sys_job_log` VALUES (34313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:13:30');
INSERT INTO `sys_job_log` VALUES (34314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:13:30');
INSERT INTO `sys_job_log` VALUES (34315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:13:35');
INSERT INTO `sys_job_log` VALUES (34316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:35');
INSERT INTO `sys_job_log` VALUES (34317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:13:40');
INSERT INTO `sys_job_log` VALUES (34318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:13:40');
INSERT INTO `sys_job_log` VALUES (34319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:45');
INSERT INTO `sys_job_log` VALUES (34320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:45');
INSERT INTO `sys_job_log` VALUES (34321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:13:45');
INSERT INTO `sys_job_log` VALUES (34322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:13:45');
INSERT INTO `sys_job_log` VALUES (34323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:13:50');
INSERT INTO `sys_job_log` VALUES (34324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:13:55');
INSERT INTO `sys_job_log` VALUES (34325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:14:00');
INSERT INTO `sys_job_log` VALUES (34326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:14:00');
INSERT INTO `sys_job_log` VALUES (34327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2024-12-27 16:14:00');
INSERT INTO `sys_job_log` VALUES (34328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：77毫秒', '0', '', '2024-12-27 16:14:00');
INSERT INTO `sys_job_log` VALUES (34329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:14:05');
INSERT INTO `sys_job_log` VALUES (34330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2024-12-27 16:14:05');
INSERT INTO `sys_job_log` VALUES (34331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:14:10');
INSERT INTO `sys_job_log` VALUES (34332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:14:10');
INSERT INTO `sys_job_log` VALUES (34333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2024-12-27 16:14:15');
INSERT INTO `sys_job_log` VALUES (34334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：110毫秒', '0', '', '2024-12-27 16:14:15');
INSERT INTO `sys_job_log` VALUES (34335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2024-12-27 16:14:15');
INSERT INTO `sys_job_log` VALUES (34336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：167毫秒', '0', '', '2024-12-27 16:14:15');
INSERT INTO `sys_job_log` VALUES (34337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-27 16:14:20');
INSERT INTO `sys_job_log` VALUES (34338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：673毫秒', '0', '', '2024-12-27 16:14:25');
INSERT INTO `sys_job_log` VALUES (34339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:14:27');
INSERT INTO `sys_job_log` VALUES (34340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:14:30');
INSERT INTO `sys_job_log` VALUES (34341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:14:30');
INSERT INTO `sys_job_log` VALUES (34342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:14:30');
INSERT INTO `sys_job_log` VALUES (34343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:14:30');
INSERT INTO `sys_job_log` VALUES (34344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:14:35');
INSERT INTO `sys_job_log` VALUES (34345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:14:35');
INSERT INTO `sys_job_log` VALUES (34346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:14:40');
INSERT INTO `sys_job_log` VALUES (34347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:14:40');
INSERT INTO `sys_job_log` VALUES (34348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:14:45');
INSERT INTO `sys_job_log` VALUES (34349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:14:45');
INSERT INTO `sys_job_log` VALUES (34350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 16:14:45');
INSERT INTO `sys_job_log` VALUES (34351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:14:45');
INSERT INTO `sys_job_log` VALUES (34352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:14:50');
INSERT INTO `sys_job_log` VALUES (34353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:14:50');
INSERT INTO `sys_job_log` VALUES (34354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:14:55');
INSERT INTO `sys_job_log` VALUES (34355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：330毫秒', '0', '', '2024-12-27 16:14:55');
INSERT INTO `sys_job_log` VALUES (34356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2024-12-27 16:15:00');
INSERT INTO `sys_job_log` VALUES (34357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 16:15:00');
INSERT INTO `sys_job_log` VALUES (34358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:15:00');
INSERT INTO `sys_job_log` VALUES (34359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 16:15:00');
INSERT INTO `sys_job_log` VALUES (34360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:15:05');
INSERT INTO `sys_job_log` VALUES (34361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:15:05');
INSERT INTO `sys_job_log` VALUES (34362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:15:10');
INSERT INTO `sys_job_log` VALUES (34363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2024-12-27 16:15:10');
INSERT INTO `sys_job_log` VALUES (34364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:15:15');
INSERT INTO `sys_job_log` VALUES (34365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:15:15');
INSERT INTO `sys_job_log` VALUES (34366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：112毫秒', '0', '', '2024-12-27 16:15:15');
INSERT INTO `sys_job_log` VALUES (34367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：112毫秒', '0', '', '2024-12-27 16:15:15');
INSERT INTO `sys_job_log` VALUES (34368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:15:20');
INSERT INTO `sys_job_log` VALUES (34369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:15:20');
INSERT INTO `sys_job_log` VALUES (34370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:15:25');
INSERT INTO `sys_job_log` VALUES (34371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:15:25');
INSERT INTO `sys_job_log` VALUES (34372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:15:30');
INSERT INTO `sys_job_log` VALUES (34373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:15:30');
INSERT INTO `sys_job_log` VALUES (34374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:15:30');
INSERT INTO `sys_job_log` VALUES (34375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 16:15:30');
INSERT INTO `sys_job_log` VALUES (34376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:15:35');
INSERT INTO `sys_job_log` VALUES (34377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:15:35');
INSERT INTO `sys_job_log` VALUES (34378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:15:40');
INSERT INTO `sys_job_log` VALUES (34379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 16:15:40');
INSERT INTO `sys_job_log` VALUES (34380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:15:45');
INSERT INTO `sys_job_log` VALUES (34381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:15:45');
INSERT INTO `sys_job_log` VALUES (34382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:15:45');
INSERT INTO `sys_job_log` VALUES (34383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:15:45');
INSERT INTO `sys_job_log` VALUES (34384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:15:50');
INSERT INTO `sys_job_log` VALUES (34385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:15:50');
INSERT INTO `sys_job_log` VALUES (34386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:15:55');
INSERT INTO `sys_job_log` VALUES (34387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:15:55');
INSERT INTO `sys_job_log` VALUES (34388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:16:00');
INSERT INTO `sys_job_log` VALUES (34389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:16:00');
INSERT INTO `sys_job_log` VALUES (34390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:16:00');
INSERT INTO `sys_job_log` VALUES (34391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 16:16:00');
INSERT INTO `sys_job_log` VALUES (34392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:16:05');
INSERT INTO `sys_job_log` VALUES (34393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:16:05');
INSERT INTO `sys_job_log` VALUES (34394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:16:10');
INSERT INTO `sys_job_log` VALUES (34395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:16:10');
INSERT INTO `sys_job_log` VALUES (34396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:16:15');
INSERT INTO `sys_job_log` VALUES (34397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:16:15');
INSERT INTO `sys_job_log` VALUES (34398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:16:15');
INSERT INTO `sys_job_log` VALUES (34399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:16:15');
INSERT INTO `sys_job_log` VALUES (34400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:16:20');
INSERT INTO `sys_job_log` VALUES (34401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:16:20');
INSERT INTO `sys_job_log` VALUES (34402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:16:25');
INSERT INTO `sys_job_log` VALUES (34403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:16:25');
INSERT INTO `sys_job_log` VALUES (34404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:16:30');
INSERT INTO `sys_job_log` VALUES (34405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:16:30');
INSERT INTO `sys_job_log` VALUES (34406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:16:30');
INSERT INTO `sys_job_log` VALUES (34407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:16:30');
INSERT INTO `sys_job_log` VALUES (34408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:16:35');
INSERT INTO `sys_job_log` VALUES (34409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:16:35');
INSERT INTO `sys_job_log` VALUES (34410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:16:40');
INSERT INTO `sys_job_log` VALUES (34411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:16:40');
INSERT INTO `sys_job_log` VALUES (34412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:16:45');
INSERT INTO `sys_job_log` VALUES (34413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:16:45');
INSERT INTO `sys_job_log` VALUES (34414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2024-12-27 16:16:45');
INSERT INTO `sys_job_log` VALUES (34415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2024-12-27 16:16:45');
INSERT INTO `sys_job_log` VALUES (34416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:16:50');
INSERT INTO `sys_job_log` VALUES (34417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:16:50');
INSERT INTO `sys_job_log` VALUES (34418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:16:55');
INSERT INTO `sys_job_log` VALUES (34419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:16:55');
INSERT INTO `sys_job_log` VALUES (34420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:00');
INSERT INTO `sys_job_log` VALUES (34421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:00');
INSERT INTO `sys_job_log` VALUES (34422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:17:00');
INSERT INTO `sys_job_log` VALUES (34423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:17:00');
INSERT INTO `sys_job_log` VALUES (34424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:17:05');
INSERT INTO `sys_job_log` VALUES (34425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:17:05');
INSERT INTO `sys_job_log` VALUES (34426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:10');
INSERT INTO `sys_job_log` VALUES (34427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:17:10');
INSERT INTO `sys_job_log` VALUES (34428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:17:15');
INSERT INTO `sys_job_log` VALUES (34429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:17:15');
INSERT INTO `sys_job_log` VALUES (34430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:17:20');
INSERT INTO `sys_job_log` VALUES (34431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:17:25');
INSERT INTO `sys_job_log` VALUES (34432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2024-12-27 16:17:26');
INSERT INTO `sys_job_log` VALUES (34433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:30');
INSERT INTO `sys_job_log` VALUES (34434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:17:30');
INSERT INTO `sys_job_log` VALUES (34435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:30');
INSERT INTO `sys_job_log` VALUES (34436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:17:30');
INSERT INTO `sys_job_log` VALUES (34437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:17:35');
INSERT INTO `sys_job_log` VALUES (34438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:35');
INSERT INTO `sys_job_log` VALUES (34439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:17:40');
INSERT INTO `sys_job_log` VALUES (34440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:17:40');
INSERT INTO `sys_job_log` VALUES (34441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:45');
INSERT INTO `sys_job_log` VALUES (34442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:17:45');
INSERT INTO `sys_job_log` VALUES (34443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 16:17:45');
INSERT INTO `sys_job_log` VALUES (34444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:17:45');
INSERT INTO `sys_job_log` VALUES (34445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:17:50');
INSERT INTO `sys_job_log` VALUES (34446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:17:50');
INSERT INTO `sys_job_log` VALUES (34447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:17:55');
INSERT INTO `sys_job_log` VALUES (34448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:17:55');
INSERT INTO `sys_job_log` VALUES (34449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:18:00');
INSERT INTO `sys_job_log` VALUES (34450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:00');
INSERT INTO `sys_job_log` VALUES (34451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:18:00');
INSERT INTO `sys_job_log` VALUES (34452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:18:00');
INSERT INTO `sys_job_log` VALUES (34453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:05');
INSERT INTO `sys_job_log` VALUES (34454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2024-12-27 16:18:05');
INSERT INTO `sys_job_log` VALUES (34455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:10');
INSERT INTO `sys_job_log` VALUES (34456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:10');
INSERT INTO `sys_job_log` VALUES (34457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:18:15');
INSERT INTO `sys_job_log` VALUES (34458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:18:15');
INSERT INTO `sys_job_log` VALUES (34459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2024-12-27 16:18:15');
INSERT INTO `sys_job_log` VALUES (34460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:18:15');
INSERT INTO `sys_job_log` VALUES (34461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:18:20');
INSERT INTO `sys_job_log` VALUES (34462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:18:20');
INSERT INTO `sys_job_log` VALUES (34463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:25');
INSERT INTO `sys_job_log` VALUES (34464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:18:25');
INSERT INTO `sys_job_log` VALUES (34465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:18:30');
INSERT INTO `sys_job_log` VALUES (34466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:30');
INSERT INTO `sys_job_log` VALUES (34467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:18:30');
INSERT INTO `sys_job_log` VALUES (34468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:18:30');
INSERT INTO `sys_job_log` VALUES (34469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 16:18:35');
INSERT INTO `sys_job_log` VALUES (34470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:18:35');
INSERT INTO `sys_job_log` VALUES (34471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:18:40');
INSERT INTO `sys_job_log` VALUES (34472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:18:40');
INSERT INTO `sys_job_log` VALUES (34473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:18:45');
INSERT INTO `sys_job_log` VALUES (34474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:18:45');
INSERT INTO `sys_job_log` VALUES (34475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:18:45');
INSERT INTO `sys_job_log` VALUES (34476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:18:45');
INSERT INTO `sys_job_log` VALUES (34477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:18:50');
INSERT INTO `sys_job_log` VALUES (34478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:18:50');
INSERT INTO `sys_job_log` VALUES (34479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:18:55');
INSERT INTO `sys_job_log` VALUES (34480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:18:55');
INSERT INTO `sys_job_log` VALUES (34481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:19:00');
INSERT INTO `sys_job_log` VALUES (34482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:19:00');
INSERT INTO `sys_job_log` VALUES (34483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:19:00');
INSERT INTO `sys_job_log` VALUES (34484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:19:00');
INSERT INTO `sys_job_log` VALUES (34485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:19:05');
INSERT INTO `sys_job_log` VALUES (34486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：212毫秒', '0', '', '2024-12-27 16:19:05');
INSERT INTO `sys_job_log` VALUES (34487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:19:10');
INSERT INTO `sys_job_log` VALUES (34488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:19:10');
INSERT INTO `sys_job_log` VALUES (34489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:19:15');
INSERT INTO `sys_job_log` VALUES (34490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:19:15');
INSERT INTO `sys_job_log` VALUES (34491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2024-12-27 16:19:15');
INSERT INTO `sys_job_log` VALUES (34492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：88毫秒', '0', '', '2024-12-27 16:19:15');
INSERT INTO `sys_job_log` VALUES (34493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:19:20');
INSERT INTO `sys_job_log` VALUES (34494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 16:19:20');
INSERT INTO `sys_job_log` VALUES (34495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:19:25');
INSERT INTO `sys_job_log` VALUES (34496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:19:30');
INSERT INTO `sys_job_log` VALUES (34497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:19:30');
INSERT INTO `sys_job_log` VALUES (34498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：108毫秒', '0', '', '2024-12-27 16:19:33');
INSERT INTO `sys_job_log` VALUES (34499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2024-12-27 16:19:33');
INSERT INTO `sys_job_log` VALUES (34500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:19:35');
INSERT INTO `sys_job_log` VALUES (34501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:19:35');
INSERT INTO `sys_job_log` VALUES (34502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:19:40');
INSERT INTO `sys_job_log` VALUES (34503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:19:40');
INSERT INTO `sys_job_log` VALUES (34504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:19:45');
INSERT INTO `sys_job_log` VALUES (34505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:19:45');
INSERT INTO `sys_job_log` VALUES (34506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:19:45');
INSERT INTO `sys_job_log` VALUES (34507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:19:45');
INSERT INTO `sys_job_log` VALUES (34508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:19:50');
INSERT INTO `sys_job_log` VALUES (34509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:19:50');
INSERT INTO `sys_job_log` VALUES (34510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:19:55');
INSERT INTO `sys_job_log` VALUES (34511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:19:55');
INSERT INTO `sys_job_log` VALUES (34512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 16:20:00');
INSERT INTO `sys_job_log` VALUES (34513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:20:00');
INSERT INTO `sys_job_log` VALUES (34514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:20:00');
INSERT INTO `sys_job_log` VALUES (34515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 16:20:00');
INSERT INTO `sys_job_log` VALUES (34516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:20:05');
INSERT INTO `sys_job_log` VALUES (34517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 16:20:05');
INSERT INTO `sys_job_log` VALUES (34518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:20:10');
INSERT INTO `sys_job_log` VALUES (34519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:20:10');
INSERT INTO `sys_job_log` VALUES (34520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:20:15');
INSERT INTO `sys_job_log` VALUES (34521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:20:15');
INSERT INTO `sys_job_log` VALUES (34522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:20:15');
INSERT INTO `sys_job_log` VALUES (34523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:20:15');
INSERT INTO `sys_job_log` VALUES (34524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:20:20');
INSERT INTO `sys_job_log` VALUES (34525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:20:20');
INSERT INTO `sys_job_log` VALUES (34526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:20:25');
INSERT INTO `sys_job_log` VALUES (34527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:20:25');
INSERT INTO `sys_job_log` VALUES (34528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:20:30');
INSERT INTO `sys_job_log` VALUES (34529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:20:30');
INSERT INTO `sys_job_log` VALUES (34530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:20:35');
INSERT INTO `sys_job_log` VALUES (34531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:20:40');
INSERT INTO `sys_job_log` VALUES (34532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:20:45');
INSERT INTO `sys_job_log` VALUES (34533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:20:45');
INSERT INTO `sys_job_log` VALUES (34534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:20:50');
INSERT INTO `sys_job_log` VALUES (34535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:20:55');
INSERT INTO `sys_job_log` VALUES (34536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:21:00');
INSERT INTO `sys_job_log` VALUES (34537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:21:00');
INSERT INTO `sys_job_log` VALUES (34538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:21:05');
INSERT INTO `sys_job_log` VALUES (34539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:21:10');
INSERT INTO `sys_job_log` VALUES (34540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 16:21:15');
INSERT INTO `sys_job_log` VALUES (34541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 16:21:15');
INSERT INTO `sys_job_log` VALUES (34542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:21:20');
INSERT INTO `sys_job_log` VALUES (34543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:21:25');
INSERT INTO `sys_job_log` VALUES (34544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:21:30');
INSERT INTO `sys_job_log` VALUES (34545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:21:30');
INSERT INTO `sys_job_log` VALUES (34546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:21:35');
INSERT INTO `sys_job_log` VALUES (34547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:21:40');
INSERT INTO `sys_job_log` VALUES (34548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:21:45');
INSERT INTO `sys_job_log` VALUES (34549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:21:45');
INSERT INTO `sys_job_log` VALUES (34550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:21:50');
INSERT INTO `sys_job_log` VALUES (34551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:21:55');
INSERT INTO `sys_job_log` VALUES (34552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:22:00');
INSERT INTO `sys_job_log` VALUES (34553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:22:00');
INSERT INTO `sys_job_log` VALUES (34554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:22:05');
INSERT INTO `sys_job_log` VALUES (34555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:22:10');
INSERT INTO `sys_job_log` VALUES (34556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:22:15');
INSERT INTO `sys_job_log` VALUES (34557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 16:22:15');
INSERT INTO `sys_job_log` VALUES (34558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:22:20');
INSERT INTO `sys_job_log` VALUES (34559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:22:25');
INSERT INTO `sys_job_log` VALUES (34560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:22:30');
INSERT INTO `sys_job_log` VALUES (34561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:22:30');
INSERT INTO `sys_job_log` VALUES (34562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:22:35');
INSERT INTO `sys_job_log` VALUES (34563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:22:40');
INSERT INTO `sys_job_log` VALUES (34564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:22:45');
INSERT INTO `sys_job_log` VALUES (34565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:22:45');
INSERT INTO `sys_job_log` VALUES (34566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:22:50');
INSERT INTO `sys_job_log` VALUES (34567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:22:55');
INSERT INTO `sys_job_log` VALUES (34568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:23:00');
INSERT INTO `sys_job_log` VALUES (34569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:23:00');
INSERT INTO `sys_job_log` VALUES (34570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:23:05');
INSERT INTO `sys_job_log` VALUES (34571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:23:10');
INSERT INTO `sys_job_log` VALUES (34572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:23:15');
INSERT INTO `sys_job_log` VALUES (34573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:23:15');
INSERT INTO `sys_job_log` VALUES (34574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:23:20');
INSERT INTO `sys_job_log` VALUES (34575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:23:25');
INSERT INTO `sys_job_log` VALUES (34576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:23:30');
INSERT INTO `sys_job_log` VALUES (34577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:23:30');
INSERT INTO `sys_job_log` VALUES (34578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:23:35');
INSERT INTO `sys_job_log` VALUES (34579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:23:40');
INSERT INTO `sys_job_log` VALUES (34580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:23:45');
INSERT INTO `sys_job_log` VALUES (34581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:23:45');
INSERT INTO `sys_job_log` VALUES (34582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:23:50');
INSERT INTO `sys_job_log` VALUES (34583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:23:55');
INSERT INTO `sys_job_log` VALUES (34584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:24:00');
INSERT INTO `sys_job_log` VALUES (34585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:24:00');
INSERT INTO `sys_job_log` VALUES (34586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:24:05');
INSERT INTO `sys_job_log` VALUES (34587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:24:10');
INSERT INTO `sys_job_log` VALUES (34588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:24:15');
INSERT INTO `sys_job_log` VALUES (34589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:24:15');
INSERT INTO `sys_job_log` VALUES (34590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:24:20');
INSERT INTO `sys_job_log` VALUES (34591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:24:25');
INSERT INTO `sys_job_log` VALUES (34592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:24:30');
INSERT INTO `sys_job_log` VALUES (34593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:24:30');
INSERT INTO `sys_job_log` VALUES (34594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:24:35');
INSERT INTO `sys_job_log` VALUES (34595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:24:40');
INSERT INTO `sys_job_log` VALUES (34596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:24:45');
INSERT INTO `sys_job_log` VALUES (34597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:24:45');
INSERT INTO `sys_job_log` VALUES (34598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:24:50');
INSERT INTO `sys_job_log` VALUES (34599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:24:55');
INSERT INTO `sys_job_log` VALUES (34600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 16:25:00');
INSERT INTO `sys_job_log` VALUES (34601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:25:00');
INSERT INTO `sys_job_log` VALUES (34602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:25:05');
INSERT INTO `sys_job_log` VALUES (34603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:25:10');
INSERT INTO `sys_job_log` VALUES (34604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:25:15');
INSERT INTO `sys_job_log` VALUES (34605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:25:15');
INSERT INTO `sys_job_log` VALUES (34606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:25:20');
INSERT INTO `sys_job_log` VALUES (34607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:25:25');
INSERT INTO `sys_job_log` VALUES (34608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:25:30');
INSERT INTO `sys_job_log` VALUES (34609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:25:30');
INSERT INTO `sys_job_log` VALUES (34610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:25:35');
INSERT INTO `sys_job_log` VALUES (34611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:25:40');
INSERT INTO `sys_job_log` VALUES (34612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:25:45');
INSERT INTO `sys_job_log` VALUES (34613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:25:45');
INSERT INTO `sys_job_log` VALUES (34614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:25:50');
INSERT INTO `sys_job_log` VALUES (34615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:25:55');
INSERT INTO `sys_job_log` VALUES (34616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:26:00');
INSERT INTO `sys_job_log` VALUES (34617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:26:00');
INSERT INTO `sys_job_log` VALUES (34618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:05');
INSERT INTO `sys_job_log` VALUES (34619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:26:10');
INSERT INTO `sys_job_log` VALUES (34620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:26:15');
INSERT INTO `sys_job_log` VALUES (34621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:26:15');
INSERT INTO `sys_job_log` VALUES (34622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:20');
INSERT INTO `sys_job_log` VALUES (34623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:26:25');
INSERT INTO `sys_job_log` VALUES (34624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:26:30');
INSERT INTO `sys_job_log` VALUES (34625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:26:30');
INSERT INTO `sys_job_log` VALUES (34626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:26:35');
INSERT INTO `sys_job_log` VALUES (34627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:40');
INSERT INTO `sys_job_log` VALUES (34628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:45');
INSERT INTO `sys_job_log` VALUES (34629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:45');
INSERT INTO `sys_job_log` VALUES (34630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:50');
INSERT INTO `sys_job_log` VALUES (34631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:26:55');
INSERT INTO `sys_job_log` VALUES (34632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:27:00');
INSERT INTO `sys_job_log` VALUES (34633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:27:00');
INSERT INTO `sys_job_log` VALUES (34634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:27:05');
INSERT INTO `sys_job_log` VALUES (34635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:27:10');
INSERT INTO `sys_job_log` VALUES (34636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:27:15');
INSERT INTO `sys_job_log` VALUES (34637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:27:15');
INSERT INTO `sys_job_log` VALUES (34638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:27:20');
INSERT INTO `sys_job_log` VALUES (34639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:27:25');
INSERT INTO `sys_job_log` VALUES (34640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:27:30');
INSERT INTO `sys_job_log` VALUES (34641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:27:30');
INSERT INTO `sys_job_log` VALUES (34642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:27:35');
INSERT INTO `sys_job_log` VALUES (34643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:27:40');
INSERT INTO `sys_job_log` VALUES (34644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:27:45');
INSERT INTO `sys_job_log` VALUES (34645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:27:45');
INSERT INTO `sys_job_log` VALUES (34646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:27:50');
INSERT INTO `sys_job_log` VALUES (34647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:27:55');
INSERT INTO `sys_job_log` VALUES (34648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:28:00');
INSERT INTO `sys_job_log` VALUES (34649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:28:00');
INSERT INTO `sys_job_log` VALUES (34650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:28:05');
INSERT INTO `sys_job_log` VALUES (34651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:28:10');
INSERT INTO `sys_job_log` VALUES (34652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:28:15');
INSERT INTO `sys_job_log` VALUES (34653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:28:15');
INSERT INTO `sys_job_log` VALUES (34654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:28:20');
INSERT INTO `sys_job_log` VALUES (34655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:28:25');
INSERT INTO `sys_job_log` VALUES (34656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:28:30');
INSERT INTO `sys_job_log` VALUES (34657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:28:30');
INSERT INTO `sys_job_log` VALUES (34658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:28:35');
INSERT INTO `sys_job_log` VALUES (34659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:28:40');
INSERT INTO `sys_job_log` VALUES (34660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:28:45');
INSERT INTO `sys_job_log` VALUES (34661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:28:45');
INSERT INTO `sys_job_log` VALUES (34662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:28:50');
INSERT INTO `sys_job_log` VALUES (34663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:28:55');
INSERT INTO `sys_job_log` VALUES (34664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:29:00');
INSERT INTO `sys_job_log` VALUES (34665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:29:00');
INSERT INTO `sys_job_log` VALUES (34666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:29:05');
INSERT INTO `sys_job_log` VALUES (34667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:29:10');
INSERT INTO `sys_job_log` VALUES (34668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 16:29:15');
INSERT INTO `sys_job_log` VALUES (34669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:29:15');
INSERT INTO `sys_job_log` VALUES (34670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:29:20');
INSERT INTO `sys_job_log` VALUES (34671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:29:25');
INSERT INTO `sys_job_log` VALUES (34672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:29:30');
INSERT INTO `sys_job_log` VALUES (34673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:29:30');
INSERT INTO `sys_job_log` VALUES (34674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:29:35');
INSERT INTO `sys_job_log` VALUES (34675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:29:40');
INSERT INTO `sys_job_log` VALUES (34676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:29:45');
INSERT INTO `sys_job_log` VALUES (34677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:29:45');
INSERT INTO `sys_job_log` VALUES (34678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:29:50');
INSERT INTO `sys_job_log` VALUES (34679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:29:55');
INSERT INTO `sys_job_log` VALUES (34680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:30:00');
INSERT INTO `sys_job_log` VALUES (34681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:30:00');
INSERT INTO `sys_job_log` VALUES (34682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:30:05');
INSERT INTO `sys_job_log` VALUES (34683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:30:10');
INSERT INTO `sys_job_log` VALUES (34684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:30:15');
INSERT INTO `sys_job_log` VALUES (34685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:30:15');
INSERT INTO `sys_job_log` VALUES (34686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:30:20');
INSERT INTO `sys_job_log` VALUES (34687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:30:25');
INSERT INTO `sys_job_log` VALUES (34688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:30:30');
INSERT INTO `sys_job_log` VALUES (34689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:30:30');
INSERT INTO `sys_job_log` VALUES (34690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:30:35');
INSERT INTO `sys_job_log` VALUES (34691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:30:40');
INSERT INTO `sys_job_log` VALUES (34692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:30:45');
INSERT INTO `sys_job_log` VALUES (34693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:30:45');
INSERT INTO `sys_job_log` VALUES (34694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:30:50');
INSERT INTO `sys_job_log` VALUES (34695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:30:55');
INSERT INTO `sys_job_log` VALUES (34696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:31:00');
INSERT INTO `sys_job_log` VALUES (34697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:31:00');
INSERT INTO `sys_job_log` VALUES (34698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:31:05');
INSERT INTO `sys_job_log` VALUES (34699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:31:10');
INSERT INTO `sys_job_log` VALUES (34700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:31:15');
INSERT INTO `sys_job_log` VALUES (34701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:31:15');
INSERT INTO `sys_job_log` VALUES (34702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:31:20');
INSERT INTO `sys_job_log` VALUES (34703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:31:25');
INSERT INTO `sys_job_log` VALUES (34704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:31:30');
INSERT INTO `sys_job_log` VALUES (34705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:31:30');
INSERT INTO `sys_job_log` VALUES (34706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2278毫秒', '0', '', '2024-12-27 16:31:37');
INSERT INTO `sys_job_log` VALUES (34707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:31:40');
INSERT INTO `sys_job_log` VALUES (34708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:31:45');
INSERT INTO `sys_job_log` VALUES (34709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:31:45');
INSERT INTO `sys_job_log` VALUES (34710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:31:50');
INSERT INTO `sys_job_log` VALUES (34711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:31:55');
INSERT INTO `sys_job_log` VALUES (34712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:32:00');
INSERT INTO `sys_job_log` VALUES (34713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:32:00');
INSERT INTO `sys_job_log` VALUES (34714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:32:05');
INSERT INTO `sys_job_log` VALUES (34715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:32:10');
INSERT INTO `sys_job_log` VALUES (34716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:32:15');
INSERT INTO `sys_job_log` VALUES (34717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:32:15');
INSERT INTO `sys_job_log` VALUES (34718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:32:20');
INSERT INTO `sys_job_log` VALUES (34719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:32:25');
INSERT INTO `sys_job_log` VALUES (34720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:32:30');
INSERT INTO `sys_job_log` VALUES (34721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 16:32:30');
INSERT INTO `sys_job_log` VALUES (34722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:32:35');
INSERT INTO `sys_job_log` VALUES (34723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-27 16:32:40');
INSERT INTO `sys_job_log` VALUES (34724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2024-12-27 16:32:45');
INSERT INTO `sys_job_log` VALUES (34725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-27 16:32:45');
INSERT INTO `sys_job_log` VALUES (34726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-27 16:32:50');
INSERT INTO `sys_job_log` VALUES (34727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2024-12-27 16:32:55');
INSERT INTO `sys_job_log` VALUES (34728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:33:00');
INSERT INTO `sys_job_log` VALUES (34729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:00');
INSERT INTO `sys_job_log` VALUES (34730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 16:33:05');
INSERT INTO `sys_job_log` VALUES (34731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:10');
INSERT INTO `sys_job_log` VALUES (34732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:15');
INSERT INTO `sys_job_log` VALUES (34733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:15');
INSERT INTO `sys_job_log` VALUES (34734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:33:20');
INSERT INTO `sys_job_log` VALUES (34735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:25');
INSERT INTO `sys_job_log` VALUES (34736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:33:30');
INSERT INTO `sys_job_log` VALUES (34737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:33:30');
INSERT INTO `sys_job_log` VALUES (34738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:35');
INSERT INTO `sys_job_log` VALUES (34739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:40');
INSERT INTO `sys_job_log` VALUES (34740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:33:45');
INSERT INTO `sys_job_log` VALUES (34741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:33:45');
INSERT INTO `sys_job_log` VALUES (34742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:33:50');
INSERT INTO `sys_job_log` VALUES (34743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:33:55');
INSERT INTO `sys_job_log` VALUES (34744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:34:00');
INSERT INTO `sys_job_log` VALUES (34745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:34:00');
INSERT INTO `sys_job_log` VALUES (34746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:34:05');
INSERT INTO `sys_job_log` VALUES (34747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:34:10');
INSERT INTO `sys_job_log` VALUES (34748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：272毫秒', '0', '', '2024-12-27 16:34:15');
INSERT INTO `sys_job_log` VALUES (34749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：272毫秒', '0', '', '2024-12-27 16:34:15');
INSERT INTO `sys_job_log` VALUES (34750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：112毫秒', '0', '', '2024-12-27 16:34:20');
INSERT INTO `sys_job_log` VALUES (34751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:34:25');
INSERT INTO `sys_job_log` VALUES (34752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:34:30');
INSERT INTO `sys_job_log` VALUES (34753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:34:30');
INSERT INTO `sys_job_log` VALUES (34754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:34:35');
INSERT INTO `sys_job_log` VALUES (34755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:34:40');
INSERT INTO `sys_job_log` VALUES (34756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:34:45');
INSERT INTO `sys_job_log` VALUES (34757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:34:45');
INSERT INTO `sys_job_log` VALUES (34758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:34:50');
INSERT INTO `sys_job_log` VALUES (34759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:34:55');
INSERT INTO `sys_job_log` VALUES (34760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:35:00');
INSERT INTO `sys_job_log` VALUES (34761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:35:00');
INSERT INTO `sys_job_log` VALUES (34762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:35:05');
INSERT INTO `sys_job_log` VALUES (34763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2024-12-27 16:35:10');
INSERT INTO `sys_job_log` VALUES (34764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:35:15');
INSERT INTO `sys_job_log` VALUES (34765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:35:15');
INSERT INTO `sys_job_log` VALUES (34766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:35:20');
INSERT INTO `sys_job_log` VALUES (34767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:35:25');
INSERT INTO `sys_job_log` VALUES (34768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：211毫秒', '0', '', '2024-12-27 16:35:30');
INSERT INTO `sys_job_log` VALUES (34769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：211毫秒', '0', '', '2024-12-27 16:35:30');
INSERT INTO `sys_job_log` VALUES (34770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：193毫秒', '0', '', '2024-12-27 16:35:35');
INSERT INTO `sys_job_log` VALUES (34771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:35:40');
INSERT INTO `sys_job_log` VALUES (34772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:35:45');
INSERT INTO `sys_job_log` VALUES (34773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:35:45');
INSERT INTO `sys_job_log` VALUES (34774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:35:50');
INSERT INTO `sys_job_log` VALUES (34775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:35:55');
INSERT INTO `sys_job_log` VALUES (34776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:36:00');
INSERT INTO `sys_job_log` VALUES (34777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:36:00');
INSERT INTO `sys_job_log` VALUES (34778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:36:05');
INSERT INTO `sys_job_log` VALUES (34779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:36:10');
INSERT INTO `sys_job_log` VALUES (34780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:36:15');
INSERT INTO `sys_job_log` VALUES (34781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:36:15');
INSERT INTO `sys_job_log` VALUES (34782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:36:20');
INSERT INTO `sys_job_log` VALUES (34783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:36:25');
INSERT INTO `sys_job_log` VALUES (34784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:36:30');
INSERT INTO `sys_job_log` VALUES (34785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:36:30');
INSERT INTO `sys_job_log` VALUES (34786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:36:35');
INSERT INTO `sys_job_log` VALUES (34787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:36:40');
INSERT INTO `sys_job_log` VALUES (34788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:36:45');
INSERT INTO `sys_job_log` VALUES (34789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:36:45');
INSERT INTO `sys_job_log` VALUES (34790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:36:50');
INSERT INTO `sys_job_log` VALUES (34791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:36:55');
INSERT INTO `sys_job_log` VALUES (34792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 16:37:00');
INSERT INTO `sys_job_log` VALUES (34793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2024-12-27 16:37:00');
INSERT INTO `sys_job_log` VALUES (34794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:37:05');
INSERT INTO `sys_job_log` VALUES (34795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:37:10');
INSERT INTO `sys_job_log` VALUES (34796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：354毫秒', '0', '', '2024-12-27 16:37:15');
INSERT INTO `sys_job_log` VALUES (34797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1828毫秒', '0', '', '2024-12-27 16:37:16');
INSERT INTO `sys_job_log` VALUES (34798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:37:20');
INSERT INTO `sys_job_log` VALUES (34799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:37:25');
INSERT INTO `sys_job_log` VALUES (34800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:37:30');
INSERT INTO `sys_job_log` VALUES (34801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:37:30');
INSERT INTO `sys_job_log` VALUES (34802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:37:35');
INSERT INTO `sys_job_log` VALUES (34803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:37:40');
INSERT INTO `sys_job_log` VALUES (34804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 16:37:45');
INSERT INTO `sys_job_log` VALUES (34805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:37:45');
INSERT INTO `sys_job_log` VALUES (34806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:37:50');
INSERT INTO `sys_job_log` VALUES (34807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:37:55');
INSERT INTO `sys_job_log` VALUES (34808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:38:00');
INSERT INTO `sys_job_log` VALUES (34809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:38:00');
INSERT INTO `sys_job_log` VALUES (34810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:38:05');
INSERT INTO `sys_job_log` VALUES (34811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:38:10');
INSERT INTO `sys_job_log` VALUES (34812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:38:15');
INSERT INTO `sys_job_log` VALUES (34813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:38:15');
INSERT INTO `sys_job_log` VALUES (34814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:38:20');
INSERT INTO `sys_job_log` VALUES (34815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:38:25');
INSERT INTO `sys_job_log` VALUES (34816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:38:30');
INSERT INTO `sys_job_log` VALUES (34817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:38:30');
INSERT INTO `sys_job_log` VALUES (34818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:38:35');
INSERT INTO `sys_job_log` VALUES (34819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:38:40');
INSERT INTO `sys_job_log` VALUES (34820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:38:45');
INSERT INTO `sys_job_log` VALUES (34821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:38:45');
INSERT INTO `sys_job_log` VALUES (34822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:38:50');
INSERT INTO `sys_job_log` VALUES (34823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:38:55');
INSERT INTO `sys_job_log` VALUES (34824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:39:00');
INSERT INTO `sys_job_log` VALUES (34825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:39:00');
INSERT INTO `sys_job_log` VALUES (34826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:39:05');
INSERT INTO `sys_job_log` VALUES (34827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:39:10');
INSERT INTO `sys_job_log` VALUES (34828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:39:15');
INSERT INTO `sys_job_log` VALUES (34829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:39:15');
INSERT INTO `sys_job_log` VALUES (34830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:39:20');
INSERT INTO `sys_job_log` VALUES (34831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2024-12-27 16:39:25');
INSERT INTO `sys_job_log` VALUES (34832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:39:30');
INSERT INTO `sys_job_log` VALUES (34833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:39:30');
INSERT INTO `sys_job_log` VALUES (34834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2024-12-27 16:39:35');
INSERT INTO `sys_job_log` VALUES (34835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:39:40');
INSERT INTO `sys_job_log` VALUES (34836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:39:45');
INSERT INTO `sys_job_log` VALUES (34837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:39:45');
INSERT INTO `sys_job_log` VALUES (34838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:39:50');
INSERT INTO `sys_job_log` VALUES (34839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:39:55');
INSERT INTO `sys_job_log` VALUES (34840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:40:00');
INSERT INTO `sys_job_log` VALUES (34841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:40:00');
INSERT INTO `sys_job_log` VALUES (34842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:40:05');
INSERT INTO `sys_job_log` VALUES (34843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:40:10');
INSERT INTO `sys_job_log` VALUES (34844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:40:15');
INSERT INTO `sys_job_log` VALUES (34845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:40:15');
INSERT INTO `sys_job_log` VALUES (34846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:40:20');
INSERT INTO `sys_job_log` VALUES (34847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:40:25');
INSERT INTO `sys_job_log` VALUES (34848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:40:30');
INSERT INTO `sys_job_log` VALUES (34849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:40:30');
INSERT INTO `sys_job_log` VALUES (34850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:40:35');
INSERT INTO `sys_job_log` VALUES (34851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:40:40');
INSERT INTO `sys_job_log` VALUES (34852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2024-12-27 16:40:45');
INSERT INTO `sys_job_log` VALUES (34853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:40:45');
INSERT INTO `sys_job_log` VALUES (34854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:40:50');
INSERT INTO `sys_job_log` VALUES (34855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:40:55');
INSERT INTO `sys_job_log` VALUES (34856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:41:00');
INSERT INTO `sys_job_log` VALUES (34857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:41:00');
INSERT INTO `sys_job_log` VALUES (34858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 16:41:05');
INSERT INTO `sys_job_log` VALUES (34859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:41:10');
INSERT INTO `sys_job_log` VALUES (34860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:41:15');
INSERT INTO `sys_job_log` VALUES (34861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:41:15');
INSERT INTO `sys_job_log` VALUES (34862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:41:20');
INSERT INTO `sys_job_log` VALUES (34863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:41:25');
INSERT INTO `sys_job_log` VALUES (34864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:41:30');
INSERT INTO `sys_job_log` VALUES (34865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:41:30');
INSERT INTO `sys_job_log` VALUES (34866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:41:35');
INSERT INTO `sys_job_log` VALUES (34867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:41:40');
INSERT INTO `sys_job_log` VALUES (34868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:41:45');
INSERT INTO `sys_job_log` VALUES (34869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:41:45');
INSERT INTO `sys_job_log` VALUES (34870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:41:50');
INSERT INTO `sys_job_log` VALUES (34871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:41:55');
INSERT INTO `sys_job_log` VALUES (34872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:42:00');
INSERT INTO `sys_job_log` VALUES (34873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:42:00');
INSERT INTO `sys_job_log` VALUES (34874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:42:05');
INSERT INTO `sys_job_log` VALUES (34875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:42:10');
INSERT INTO `sys_job_log` VALUES (34876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:42:15');
INSERT INTO `sys_job_log` VALUES (34877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:42:15');
INSERT INTO `sys_job_log` VALUES (34878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:42:20');
INSERT INTO `sys_job_log` VALUES (34879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:42:25');
INSERT INTO `sys_job_log` VALUES (34880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:42:30');
INSERT INTO `sys_job_log` VALUES (34881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:42:30');
INSERT INTO `sys_job_log` VALUES (34882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:42:35');
INSERT INTO `sys_job_log` VALUES (34883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:42:40');
INSERT INTO `sys_job_log` VALUES (34884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2024-12-27 16:42:45');
INSERT INTO `sys_job_log` VALUES (34885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2024-12-27 16:42:45');
INSERT INTO `sys_job_log` VALUES (34886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:42:50');
INSERT INTO `sys_job_log` VALUES (34887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:42:55');
INSERT INTO `sys_job_log` VALUES (34888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-27 16:43:00');
INSERT INTO `sys_job_log` VALUES (34889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2024-12-27 16:43:00');
INSERT INTO `sys_job_log` VALUES (34890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:43:05');
INSERT INTO `sys_job_log` VALUES (34891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:43:10');
INSERT INTO `sys_job_log` VALUES (34892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:43:15');
INSERT INTO `sys_job_log` VALUES (34893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:43:15');
INSERT INTO `sys_job_log` VALUES (34894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:43:20');
INSERT INTO `sys_job_log` VALUES (34895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:43:25');
INSERT INTO `sys_job_log` VALUES (34896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:43:30');
INSERT INTO `sys_job_log` VALUES (34897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:43:30');
INSERT INTO `sys_job_log` VALUES (34898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:43:35');
INSERT INTO `sys_job_log` VALUES (34899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:43:40');
INSERT INTO `sys_job_log` VALUES (34900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:43:45');
INSERT INTO `sys_job_log` VALUES (34901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:43:45');
INSERT INTO `sys_job_log` VALUES (34902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 16:43:50');
INSERT INTO `sys_job_log` VALUES (34903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:43:55');
INSERT INTO `sys_job_log` VALUES (34904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:44:00');
INSERT INTO `sys_job_log` VALUES (34905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 16:44:00');
INSERT INTO `sys_job_log` VALUES (34906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:44:05');
INSERT INTO `sys_job_log` VALUES (34907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 16:44:10');
INSERT INTO `sys_job_log` VALUES (34908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:44:15');
INSERT INTO `sys_job_log` VALUES (34909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:44:15');
INSERT INTO `sys_job_log` VALUES (34910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:44:20');
INSERT INTO `sys_job_log` VALUES (34911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:44:25');
INSERT INTO `sys_job_log` VALUES (34912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:44:30');
INSERT INTO `sys_job_log` VALUES (34913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:44:30');
INSERT INTO `sys_job_log` VALUES (34914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:44:35');
INSERT INTO `sys_job_log` VALUES (34915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:44:40');
INSERT INTO `sys_job_log` VALUES (34916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:44:45');
INSERT INTO `sys_job_log` VALUES (34917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:44:45');
INSERT INTO `sys_job_log` VALUES (34918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:44:50');
INSERT INTO `sys_job_log` VALUES (34919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:44:55');
INSERT INTO `sys_job_log` VALUES (34920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:45:00');
INSERT INTO `sys_job_log` VALUES (34921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:45:00');
INSERT INTO `sys_job_log` VALUES (34922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:45:05');
INSERT INTO `sys_job_log` VALUES (34923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:45:10');
INSERT INTO `sys_job_log` VALUES (34924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:45:15');
INSERT INTO `sys_job_log` VALUES (34925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:45:15');
INSERT INTO `sys_job_log` VALUES (34926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:45:20');
INSERT INTO `sys_job_log` VALUES (34927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:45:25');
INSERT INTO `sys_job_log` VALUES (34928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:45:30');
INSERT INTO `sys_job_log` VALUES (34929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:45:30');
INSERT INTO `sys_job_log` VALUES (34930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:45:35');
INSERT INTO `sys_job_log` VALUES (34931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:45:40');
INSERT INTO `sys_job_log` VALUES (34932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:45:45');
INSERT INTO `sys_job_log` VALUES (34933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:45:45');
INSERT INTO `sys_job_log` VALUES (34934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:45:50');
INSERT INTO `sys_job_log` VALUES (34935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:45:55');
INSERT INTO `sys_job_log` VALUES (34936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:46:00');
INSERT INTO `sys_job_log` VALUES (34937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:46:00');
INSERT INTO `sys_job_log` VALUES (34938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:46:05');
INSERT INTO `sys_job_log` VALUES (34939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:46:10');
INSERT INTO `sys_job_log` VALUES (34940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:46:15');
INSERT INTO `sys_job_log` VALUES (34941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:46:15');
INSERT INTO `sys_job_log` VALUES (34942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:46:20');
INSERT INTO `sys_job_log` VALUES (34943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:46:25');
INSERT INTO `sys_job_log` VALUES (34944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:46:30');
INSERT INTO `sys_job_log` VALUES (34945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:46:30');
INSERT INTO `sys_job_log` VALUES (34946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:46:35');
INSERT INTO `sys_job_log` VALUES (34947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:46:40');
INSERT INTO `sys_job_log` VALUES (34948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:46:45');
INSERT INTO `sys_job_log` VALUES (34949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:46:45');
INSERT INTO `sys_job_log` VALUES (34950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:46:50');
INSERT INTO `sys_job_log` VALUES (34951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:46:55');
INSERT INTO `sys_job_log` VALUES (34952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:47:00');
INSERT INTO `sys_job_log` VALUES (34953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:47:00');
INSERT INTO `sys_job_log` VALUES (34954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:47:05');
INSERT INTO `sys_job_log` VALUES (34955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:47:10');
INSERT INTO `sys_job_log` VALUES (34956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:47:15');
INSERT INTO `sys_job_log` VALUES (34957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:47:15');
INSERT INTO `sys_job_log` VALUES (34958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:47:20');
INSERT INTO `sys_job_log` VALUES (34959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:47:25');
INSERT INTO `sys_job_log` VALUES (34960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:47:30');
INSERT INTO `sys_job_log` VALUES (34961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:47:30');
INSERT INTO `sys_job_log` VALUES (34962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:47:35');
INSERT INTO `sys_job_log` VALUES (34963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:47:40');
INSERT INTO `sys_job_log` VALUES (34964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:47:45');
INSERT INTO `sys_job_log` VALUES (34965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 16:47:45');
INSERT INTO `sys_job_log` VALUES (34966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:47:50');
INSERT INTO `sys_job_log` VALUES (34967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:47:55');
INSERT INTO `sys_job_log` VALUES (34968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:48:00');
INSERT INTO `sys_job_log` VALUES (34969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:48:00');
INSERT INTO `sys_job_log` VALUES (34970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:48:05');
INSERT INTO `sys_job_log` VALUES (34971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:48:10');
INSERT INTO `sys_job_log` VALUES (34972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:48:15');
INSERT INTO `sys_job_log` VALUES (34973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:48:15');
INSERT INTO `sys_job_log` VALUES (34974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:48:20');
INSERT INTO `sys_job_log` VALUES (34975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:48:25');
INSERT INTO `sys_job_log` VALUES (34976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:48:30');
INSERT INTO `sys_job_log` VALUES (34977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:48:30');
INSERT INTO `sys_job_log` VALUES (34978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:48:35');
INSERT INTO `sys_job_log` VALUES (34979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 16:48:40');
INSERT INTO `sys_job_log` VALUES (34980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:48:45');
INSERT INTO `sys_job_log` VALUES (34981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:48:45');
INSERT INTO `sys_job_log` VALUES (34982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:48:50');
INSERT INTO `sys_job_log` VALUES (34983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:48:55');
INSERT INTO `sys_job_log` VALUES (34984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:49:00');
INSERT INTO `sys_job_log` VALUES (34985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:49:00');
INSERT INTO `sys_job_log` VALUES (34986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:49:05');
INSERT INTO `sys_job_log` VALUES (34987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:49:10');
INSERT INTO `sys_job_log` VALUES (34988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:49:15');
INSERT INTO `sys_job_log` VALUES (34989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:49:15');
INSERT INTO `sys_job_log` VALUES (34990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:49:20');
INSERT INTO `sys_job_log` VALUES (34991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:49:25');
INSERT INTO `sys_job_log` VALUES (34992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:49:30');
INSERT INTO `sys_job_log` VALUES (34993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:49:30');
INSERT INTO `sys_job_log` VALUES (34994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:49:35');
INSERT INTO `sys_job_log` VALUES (34995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:49:40');
INSERT INTO `sys_job_log` VALUES (34996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:49:45');
INSERT INTO `sys_job_log` VALUES (34997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 16:49:45');
INSERT INTO `sys_job_log` VALUES (34998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:49:50');
INSERT INTO `sys_job_log` VALUES (34999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:49:55');
INSERT INTO `sys_job_log` VALUES (35000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2024-12-27 16:50:00');
INSERT INTO `sys_job_log` VALUES (35001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2024-12-27 16:50:00');
INSERT INTO `sys_job_log` VALUES (35002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:50:05');
INSERT INTO `sys_job_log` VALUES (35003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:50:10');
INSERT INTO `sys_job_log` VALUES (35004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:50:15');
INSERT INTO `sys_job_log` VALUES (35005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:50:15');
INSERT INTO `sys_job_log` VALUES (35006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:50:20');
INSERT INTO `sys_job_log` VALUES (35007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:50:25');
INSERT INTO `sys_job_log` VALUES (35008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 16:50:30');
INSERT INTO `sys_job_log` VALUES (35009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:50:30');
INSERT INTO `sys_job_log` VALUES (35010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:50:35');
INSERT INTO `sys_job_log` VALUES (35011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:50:40');
INSERT INTO `sys_job_log` VALUES (35012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:50:45');
INSERT INTO `sys_job_log` VALUES (35013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:50:45');
INSERT INTO `sys_job_log` VALUES (35014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:50:50');
INSERT INTO `sys_job_log` VALUES (35015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:50:55');
INSERT INTO `sys_job_log` VALUES (35016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:51:00');
INSERT INTO `sys_job_log` VALUES (35017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:51:00');
INSERT INTO `sys_job_log` VALUES (35018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:51:05');
INSERT INTO `sys_job_log` VALUES (35019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:51:10');
INSERT INTO `sys_job_log` VALUES (35020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:51:15');
INSERT INTO `sys_job_log` VALUES (35021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:51:15');
INSERT INTO `sys_job_log` VALUES (35022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2024-12-27 16:51:20');
INSERT INTO `sys_job_log` VALUES (35023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:51:25');
INSERT INTO `sys_job_log` VALUES (35024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:51:30');
INSERT INTO `sys_job_log` VALUES (35025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:51:30');
INSERT INTO `sys_job_log` VALUES (35026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:51:35');
INSERT INTO `sys_job_log` VALUES (35027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:51:40');
INSERT INTO `sys_job_log` VALUES (35028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:51:45');
INSERT INTO `sys_job_log` VALUES (35029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:51:45');
INSERT INTO `sys_job_log` VALUES (35030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:51:50');
INSERT INTO `sys_job_log` VALUES (35031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:51:55');
INSERT INTO `sys_job_log` VALUES (35032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:52:00');
INSERT INTO `sys_job_log` VALUES (35033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:52:00');
INSERT INTO `sys_job_log` VALUES (35034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:52:05');
INSERT INTO `sys_job_log` VALUES (35035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:52:10');
INSERT INTO `sys_job_log` VALUES (35036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:52:15');
INSERT INTO `sys_job_log` VALUES (35037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:52:15');
INSERT INTO `sys_job_log` VALUES (35038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:52:20');
INSERT INTO `sys_job_log` VALUES (35039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 16:52:25');
INSERT INTO `sys_job_log` VALUES (35040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:52:30');
INSERT INTO `sys_job_log` VALUES (35041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:52:30');
INSERT INTO `sys_job_log` VALUES (35042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:52:35');
INSERT INTO `sys_job_log` VALUES (35043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:52:40');
INSERT INTO `sys_job_log` VALUES (35044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:52:45');
INSERT INTO `sys_job_log` VALUES (35045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:52:45');
INSERT INTO `sys_job_log` VALUES (35046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:52:50');
INSERT INTO `sys_job_log` VALUES (35047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:52:55');
INSERT INTO `sys_job_log` VALUES (35048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:53:00');
INSERT INTO `sys_job_log` VALUES (35049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:53:00');
INSERT INTO `sys_job_log` VALUES (35050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:53:05');
INSERT INTO `sys_job_log` VALUES (35051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 16:53:10');
INSERT INTO `sys_job_log` VALUES (35052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:53:15');
INSERT INTO `sys_job_log` VALUES (35053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:53:15');
INSERT INTO `sys_job_log` VALUES (35054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:53:20');
INSERT INTO `sys_job_log` VALUES (35055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:53:25');
INSERT INTO `sys_job_log` VALUES (35056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 16:53:30');
INSERT INTO `sys_job_log` VALUES (35057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:53:30');
INSERT INTO `sys_job_log` VALUES (35058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 16:53:35');
INSERT INTO `sys_job_log` VALUES (35059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:53:40');
INSERT INTO `sys_job_log` VALUES (35060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 16:53:45');
INSERT INTO `sys_job_log` VALUES (35061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 16:53:45');
INSERT INTO `sys_job_log` VALUES (35062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:53:50');
INSERT INTO `sys_job_log` VALUES (35063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:53:55');
INSERT INTO `sys_job_log` VALUES (35064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:54:00');
INSERT INTO `sys_job_log` VALUES (35065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:54:00');
INSERT INTO `sys_job_log` VALUES (35066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:54:05');
INSERT INTO `sys_job_log` VALUES (35067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2024-12-27 16:54:10');
INSERT INTO `sys_job_log` VALUES (35068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:54:15');
INSERT INTO `sys_job_log` VALUES (35069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:54:15');
INSERT INTO `sys_job_log` VALUES (35070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:54:20');
INSERT INTO `sys_job_log` VALUES (35071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:54:25');
INSERT INTO `sys_job_log` VALUES (35072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:54:30');
INSERT INTO `sys_job_log` VALUES (35073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:54:30');
INSERT INTO `sys_job_log` VALUES (35074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:54:35');
INSERT INTO `sys_job_log` VALUES (35075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:54:40');
INSERT INTO `sys_job_log` VALUES (35076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:54:45');
INSERT INTO `sys_job_log` VALUES (35077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 16:54:45');
INSERT INTO `sys_job_log` VALUES (35078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 16:54:50');
INSERT INTO `sys_job_log` VALUES (35079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:54:55');
INSERT INTO `sys_job_log` VALUES (35080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:55:00');
INSERT INTO `sys_job_log` VALUES (35081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:55:00');
INSERT INTO `sys_job_log` VALUES (35082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:55:05');
INSERT INTO `sys_job_log` VALUES (35083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:55:10');
INSERT INTO `sys_job_log` VALUES (35084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:55:15');
INSERT INTO `sys_job_log` VALUES (35085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:55:15');
INSERT INTO `sys_job_log` VALUES (35086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:55:20');
INSERT INTO `sys_job_log` VALUES (35087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:55:25');
INSERT INTO `sys_job_log` VALUES (35088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 16:55:30');
INSERT INTO `sys_job_log` VALUES (35089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:55:30');
INSERT INTO `sys_job_log` VALUES (35090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:55:35');
INSERT INTO `sys_job_log` VALUES (35091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:55:40');
INSERT INTO `sys_job_log` VALUES (35092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:55:45');
INSERT INTO `sys_job_log` VALUES (35093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:55:45');
INSERT INTO `sys_job_log` VALUES (35094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:55:50');
INSERT INTO `sys_job_log` VALUES (35095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:55:55');
INSERT INTO `sys_job_log` VALUES (35096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 16:56:00');
INSERT INTO `sys_job_log` VALUES (35097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 16:56:00');
INSERT INTO `sys_job_log` VALUES (35098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:56:05');
INSERT INTO `sys_job_log` VALUES (35099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：557毫秒', '0', '', '2024-12-27 16:56:11');
INSERT INTO `sys_job_log` VALUES (35100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:56:15');
INSERT INTO `sys_job_log` VALUES (35101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:56:15');
INSERT INTO `sys_job_log` VALUES (35102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:56:20');
INSERT INTO `sys_job_log` VALUES (35103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 16:56:25');
INSERT INTO `sys_job_log` VALUES (35104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 16:56:30');
INSERT INTO `sys_job_log` VALUES (35105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:56:30');
INSERT INTO `sys_job_log` VALUES (35106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:56:35');
INSERT INTO `sys_job_log` VALUES (35107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:56:40');
INSERT INTO `sys_job_log` VALUES (35108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:56:45');
INSERT INTO `sys_job_log` VALUES (35109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:56:45');
INSERT INTO `sys_job_log` VALUES (35110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:56:50');
INSERT INTO `sys_job_log` VALUES (35111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:56:55');
INSERT INTO `sys_job_log` VALUES (35112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:57:00');
INSERT INTO `sys_job_log` VALUES (35113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:57:00');
INSERT INTO `sys_job_log` VALUES (35114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:57:05');
INSERT INTO `sys_job_log` VALUES (35115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 16:57:10');
INSERT INTO `sys_job_log` VALUES (35116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:15');
INSERT INTO `sys_job_log` VALUES (35117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:15');
INSERT INTO `sys_job_log` VALUES (35118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:57:20');
INSERT INTO `sys_job_log` VALUES (35119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:57:25');
INSERT INTO `sys_job_log` VALUES (35120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:30');
INSERT INTO `sys_job_log` VALUES (35121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:30');
INSERT INTO `sys_job_log` VALUES (35122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 16:57:35');
INSERT INTO `sys_job_log` VALUES (35123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:57:40');
INSERT INTO `sys_job_log` VALUES (35124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:45');
INSERT INTO `sys_job_log` VALUES (35125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:45');
INSERT INTO `sys_job_log` VALUES (35126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:57:50');
INSERT INTO `sys_job_log` VALUES (35127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:57:55');
INSERT INTO `sys_job_log` VALUES (35128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:58:00');
INSERT INTO `sys_job_log` VALUES (35129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:58:00');
INSERT INTO `sys_job_log` VALUES (35130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:58:05');
INSERT INTO `sys_job_log` VALUES (35131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2024-12-27 16:58:10');
INSERT INTO `sys_job_log` VALUES (35132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:58:15');
INSERT INTO `sys_job_log` VALUES (35133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:58:15');
INSERT INTO `sys_job_log` VALUES (35134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:58:20');
INSERT INTO `sys_job_log` VALUES (35135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:58:25');
INSERT INTO `sys_job_log` VALUES (35136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 16:58:30');
INSERT INTO `sys_job_log` VALUES (35137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:58:30');
INSERT INTO `sys_job_log` VALUES (35138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:58:35');
INSERT INTO `sys_job_log` VALUES (35139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:58:40');
INSERT INTO `sys_job_log` VALUES (35140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 16:58:45');
INSERT INTO `sys_job_log` VALUES (35141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 16:58:45');
INSERT INTO `sys_job_log` VALUES (35142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:58:50');
INSERT INTO `sys_job_log` VALUES (35143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1832毫秒', '0', '', '2024-12-27 16:58:56');
INSERT INTO `sys_job_log` VALUES (35144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:00');
INSERT INTO `sys_job_log` VALUES (35145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:00');
INSERT INTO `sys_job_log` VALUES (35146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:05');
INSERT INTO `sys_job_log` VALUES (35147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 16:59:10');
INSERT INTO `sys_job_log` VALUES (35148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:15');
INSERT INTO `sys_job_log` VALUES (35149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:59:15');
INSERT INTO `sys_job_log` VALUES (35150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 16:59:20');
INSERT INTO `sys_job_log` VALUES (35151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:59:25');
INSERT INTO `sys_job_log` VALUES (35152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:30');
INSERT INTO `sys_job_log` VALUES (35153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:30');
INSERT INTO `sys_job_log` VALUES (35154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 16:59:35');
INSERT INTO `sys_job_log` VALUES (35155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:59:40');
INSERT INTO `sys_job_log` VALUES (35156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 16:59:45');
INSERT INTO `sys_job_log` VALUES (35157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 16:59:45');
INSERT INTO `sys_job_log` VALUES (35158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 16:59:50');
INSERT INTO `sys_job_log` VALUES (35159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 16:59:55');
INSERT INTO `sys_job_log` VALUES (35160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 17:00:00');
INSERT INTO `sys_job_log` VALUES (35161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2024-12-27 17:00:00');
INSERT INTO `sys_job_log` VALUES (35162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:00:05');
INSERT INTO `sys_job_log` VALUES (35163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:00:10');
INSERT INTO `sys_job_log` VALUES (35164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:00:15');
INSERT INTO `sys_job_log` VALUES (35165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 17:00:15');
INSERT INTO `sys_job_log` VALUES (35166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2129毫秒', '0', '', '2024-12-27 17:00:22');
INSERT INTO `sys_job_log` VALUES (35167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:00:25');
INSERT INTO `sys_job_log` VALUES (35168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:00:30');
INSERT INTO `sys_job_log` VALUES (35169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:00:30');
INSERT INTO `sys_job_log` VALUES (35170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:00:35');
INSERT INTO `sys_job_log` VALUES (35171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:00:40');
INSERT INTO `sys_job_log` VALUES (35172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:00:45');
INSERT INTO `sys_job_log` VALUES (35173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:00:45');
INSERT INTO `sys_job_log` VALUES (35174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 17:00:50');
INSERT INTO `sys_job_log` VALUES (35175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:00:55');
INSERT INTO `sys_job_log` VALUES (35176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:01:00');
INSERT INTO `sys_job_log` VALUES (35177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:01:00');
INSERT INTO `sys_job_log` VALUES (35178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:01:05');
INSERT INTO `sys_job_log` VALUES (35179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:01:10');
INSERT INTO `sys_job_log` VALUES (35180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:01:15');
INSERT INTO `sys_job_log` VALUES (35181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:01:15');
INSERT INTO `sys_job_log` VALUES (35182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:01:20');
INSERT INTO `sys_job_log` VALUES (35183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:01:25');
INSERT INTO `sys_job_log` VALUES (35184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:01:30');
INSERT INTO `sys_job_log` VALUES (35185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:01:30');
INSERT INTO `sys_job_log` VALUES (35186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:01:35');
INSERT INTO `sys_job_log` VALUES (35187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:01:40');
INSERT INTO `sys_job_log` VALUES (35188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:01:45');
INSERT INTO `sys_job_log` VALUES (35189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:01:45');
INSERT INTO `sys_job_log` VALUES (35190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:01:50');
INSERT INTO `sys_job_log` VALUES (35191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:01:55');
INSERT INTO `sys_job_log` VALUES (35192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:02:00');
INSERT INTO `sys_job_log` VALUES (35193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:02:00');
INSERT INTO `sys_job_log` VALUES (35194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:02:05');
INSERT INTO `sys_job_log` VALUES (35195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:02:10');
INSERT INTO `sys_job_log` VALUES (35196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:02:15');
INSERT INTO `sys_job_log` VALUES (35197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:02:15');
INSERT INTO `sys_job_log` VALUES (35198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:02:20');
INSERT INTO `sys_job_log` VALUES (35199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:02:25');
INSERT INTO `sys_job_log` VALUES (35200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:02:30');
INSERT INTO `sys_job_log` VALUES (35201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:02:30');
INSERT INTO `sys_job_log` VALUES (35202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:02:35');
INSERT INTO `sys_job_log` VALUES (35203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 17:02:40');
INSERT INTO `sys_job_log` VALUES (35204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:02:45');
INSERT INTO `sys_job_log` VALUES (35205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:02:45');
INSERT INTO `sys_job_log` VALUES (35206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:02:50');
INSERT INTO `sys_job_log` VALUES (35207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:02:55');
INSERT INTO `sys_job_log` VALUES (35208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:03:00');
INSERT INTO `sys_job_log` VALUES (35209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:03:00');
INSERT INTO `sys_job_log` VALUES (35210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:03:05');
INSERT INTO `sys_job_log` VALUES (35211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:03:10');
INSERT INTO `sys_job_log` VALUES (35212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:03:15');
INSERT INTO `sys_job_log` VALUES (35213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:03:15');
INSERT INTO `sys_job_log` VALUES (35214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:03:20');
INSERT INTO `sys_job_log` VALUES (35215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:03:25');
INSERT INTO `sys_job_log` VALUES (35216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:03:30');
INSERT INTO `sys_job_log` VALUES (35217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:03:30');
INSERT INTO `sys_job_log` VALUES (35218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:03:35');
INSERT INTO `sys_job_log` VALUES (35219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:03:40');
INSERT INTO `sys_job_log` VALUES (35220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:03:45');
INSERT INTO `sys_job_log` VALUES (35221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:03:45');
INSERT INTO `sys_job_log` VALUES (35222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:03:50');
INSERT INTO `sys_job_log` VALUES (35223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:03:55');
INSERT INTO `sys_job_log` VALUES (35224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:04:00');
INSERT INTO `sys_job_log` VALUES (35225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:04:00');
INSERT INTO `sys_job_log` VALUES (35226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:04:05');
INSERT INTO `sys_job_log` VALUES (35227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:04:10');
INSERT INTO `sys_job_log` VALUES (35228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:04:15');
INSERT INTO `sys_job_log` VALUES (35229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 17:04:15');
INSERT INTO `sys_job_log` VALUES (35230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:04:20');
INSERT INTO `sys_job_log` VALUES (35231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:04:25');
INSERT INTO `sys_job_log` VALUES (35232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:04:30');
INSERT INTO `sys_job_log` VALUES (35233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:04:30');
INSERT INTO `sys_job_log` VALUES (35234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:04:35');
INSERT INTO `sys_job_log` VALUES (35235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:04:40');
INSERT INTO `sys_job_log` VALUES (35236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:04:45');
INSERT INTO `sys_job_log` VALUES (35237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:04:45');
INSERT INTO `sys_job_log` VALUES (35238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:04:50');
INSERT INTO `sys_job_log` VALUES (35239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:04:55');
INSERT INTO `sys_job_log` VALUES (35240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:05:00');
INSERT INTO `sys_job_log` VALUES (35241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:05:00');
INSERT INTO `sys_job_log` VALUES (35242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:05:05');
INSERT INTO `sys_job_log` VALUES (35243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:05:10');
INSERT INTO `sys_job_log` VALUES (35244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:05:15');
INSERT INTO `sys_job_log` VALUES (35245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:05:15');
INSERT INTO `sys_job_log` VALUES (35246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:05:20');
INSERT INTO `sys_job_log` VALUES (35247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:05:25');
INSERT INTO `sys_job_log` VALUES (35248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:05:30');
INSERT INTO `sys_job_log` VALUES (35249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:05:30');
INSERT INTO `sys_job_log` VALUES (35250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:05:35');
INSERT INTO `sys_job_log` VALUES (35251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:05:40');
INSERT INTO `sys_job_log` VALUES (35252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:05:45');
INSERT INTO `sys_job_log` VALUES (35253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:05:45');
INSERT INTO `sys_job_log` VALUES (35254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:05:50');
INSERT INTO `sys_job_log` VALUES (35255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:05:55');
INSERT INTO `sys_job_log` VALUES (35256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 17:06:00');
INSERT INTO `sys_job_log` VALUES (35257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:06:00');
INSERT INTO `sys_job_log` VALUES (35258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:06:05');
INSERT INTO `sys_job_log` VALUES (35259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:06:10');
INSERT INTO `sys_job_log` VALUES (35260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:06:15');
INSERT INTO `sys_job_log` VALUES (35261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:06:15');
INSERT INTO `sys_job_log` VALUES (35262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:06:20');
INSERT INTO `sys_job_log` VALUES (35263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:06:25');
INSERT INTO `sys_job_log` VALUES (35264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:06:30');
INSERT INTO `sys_job_log` VALUES (35265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:06:30');
INSERT INTO `sys_job_log` VALUES (35266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:06:35');
INSERT INTO `sys_job_log` VALUES (35267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:06:40');
INSERT INTO `sys_job_log` VALUES (35268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:06:45');
INSERT INTO `sys_job_log` VALUES (35269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:06:45');
INSERT INTO `sys_job_log` VALUES (35270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:06:50');
INSERT INTO `sys_job_log` VALUES (35271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:06:55');
INSERT INTO `sys_job_log` VALUES (35272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:07:00');
INSERT INTO `sys_job_log` VALUES (35273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:07:00');
INSERT INTO `sys_job_log` VALUES (35274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:07:05');
INSERT INTO `sys_job_log` VALUES (35275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:07:10');
INSERT INTO `sys_job_log` VALUES (35276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:07:15');
INSERT INTO `sys_job_log` VALUES (35277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:07:15');
INSERT INTO `sys_job_log` VALUES (35278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:07:20');
INSERT INTO `sys_job_log` VALUES (35279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:07:25');
INSERT INTO `sys_job_log` VALUES (35280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:07:30');
INSERT INTO `sys_job_log` VALUES (35281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:07:30');
INSERT INTO `sys_job_log` VALUES (35282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:07:35');
INSERT INTO `sys_job_log` VALUES (35283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:07:40');
INSERT INTO `sys_job_log` VALUES (35284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:07:45');
INSERT INTO `sys_job_log` VALUES (35285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:07:45');
INSERT INTO `sys_job_log` VALUES (35286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:07:50');
INSERT INTO `sys_job_log` VALUES (35287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2024-12-27 17:07:55');
INSERT INTO `sys_job_log` VALUES (35288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:08:00');
INSERT INTO `sys_job_log` VALUES (35289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:08:00');
INSERT INTO `sys_job_log` VALUES (35290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:08:05');
INSERT INTO `sys_job_log` VALUES (35291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:08:10');
INSERT INTO `sys_job_log` VALUES (35292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2024-12-27 17:08:15');
INSERT INTO `sys_job_log` VALUES (35293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:08:15');
INSERT INTO `sys_job_log` VALUES (35294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:08:20');
INSERT INTO `sys_job_log` VALUES (35295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:08:25');
INSERT INTO `sys_job_log` VALUES (35296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:08:30');
INSERT INTO `sys_job_log` VALUES (35297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:08:30');
INSERT INTO `sys_job_log` VALUES (35298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:08:35');
INSERT INTO `sys_job_log` VALUES (35299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:08:40');
INSERT INTO `sys_job_log` VALUES (35300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:08:45');
INSERT INTO `sys_job_log` VALUES (35301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:08:45');
INSERT INTO `sys_job_log` VALUES (35302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:08:50');
INSERT INTO `sys_job_log` VALUES (35303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-27 17:08:55');
INSERT INTO `sys_job_log` VALUES (35304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:09:00');
INSERT INTO `sys_job_log` VALUES (35305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:09:00');
INSERT INTO `sys_job_log` VALUES (35306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:09:05');
INSERT INTO `sys_job_log` VALUES (35307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:09:10');
INSERT INTO `sys_job_log` VALUES (35308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:09:15');
INSERT INTO `sys_job_log` VALUES (35309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:09:15');
INSERT INTO `sys_job_log` VALUES (35310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:09:20');
INSERT INTO `sys_job_log` VALUES (35311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:09:25');
INSERT INTO `sys_job_log` VALUES (35312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:09:30');
INSERT INTO `sys_job_log` VALUES (35313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:09:30');
INSERT INTO `sys_job_log` VALUES (35314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:09:35');
INSERT INTO `sys_job_log` VALUES (35315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:09:40');
INSERT INTO `sys_job_log` VALUES (35316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:09:45');
INSERT INTO `sys_job_log` VALUES (35317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:09:45');
INSERT INTO `sys_job_log` VALUES (35318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:09:50');
INSERT INTO `sys_job_log` VALUES (35319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:09:55');
INSERT INTO `sys_job_log` VALUES (35320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:00');
INSERT INTO `sys_job_log` VALUES (35321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:00');
INSERT INTO `sys_job_log` VALUES (35322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:05');
INSERT INTO `sys_job_log` VALUES (35323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:10:10');
INSERT INTO `sys_job_log` VALUES (35324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:10:15');
INSERT INTO `sys_job_log` VALUES (35325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:10:15');
INSERT INTO `sys_job_log` VALUES (35326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:20');
INSERT INTO `sys_job_log` VALUES (35327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:25');
INSERT INTO `sys_job_log` VALUES (35328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:10:30');
INSERT INTO `sys_job_log` VALUES (35329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1824毫秒', '0', '', '2024-12-27 17:10:31');
INSERT INTO `sys_job_log` VALUES (35330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:35');
INSERT INTO `sys_job_log` VALUES (35331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:10:40');
INSERT INTO `sys_job_log` VALUES (35332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2024-12-27 17:10:45');
INSERT INTO `sys_job_log` VALUES (35333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2024-12-27 17:10:45');
INSERT INTO `sys_job_log` VALUES (35334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:10:50');
INSERT INTO `sys_job_log` VALUES (35335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:10:55');
INSERT INTO `sys_job_log` VALUES (35336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:00');
INSERT INTO `sys_job_log` VALUES (35337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:00');
INSERT INTO `sys_job_log` VALUES (35338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:11:05');
INSERT INTO `sys_job_log` VALUES (35339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:10');
INSERT INTO `sys_job_log` VALUES (35340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:15');
INSERT INTO `sys_job_log` VALUES (35341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:15');
INSERT INTO `sys_job_log` VALUES (35342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:11:20');
INSERT INTO `sys_job_log` VALUES (35343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:11:25');
INSERT INTO `sys_job_log` VALUES (35344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:11:30');
INSERT INTO `sys_job_log` VALUES (35345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:11:30');
INSERT INTO `sys_job_log` VALUES (35346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:11:35');
INSERT INTO `sys_job_log` VALUES (35347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2024-12-27 17:11:40');
INSERT INTO `sys_job_log` VALUES (35348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:45');
INSERT INTO `sys_job_log` VALUES (35349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:11:45');
INSERT INTO `sys_job_log` VALUES (35350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:11:50');
INSERT INTO `sys_job_log` VALUES (35351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:11:55');
INSERT INTO `sys_job_log` VALUES (35352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:12:00');
INSERT INTO `sys_job_log` VALUES (35353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:12:00');
INSERT INTO `sys_job_log` VALUES (35354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:12:05');
INSERT INTO `sys_job_log` VALUES (35355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:12:10');
INSERT INTO `sys_job_log` VALUES (35356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:12:15');
INSERT INTO `sys_job_log` VALUES (35357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:12:15');
INSERT INTO `sys_job_log` VALUES (35358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:12:20');
INSERT INTO `sys_job_log` VALUES (35359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:12:25');
INSERT INTO `sys_job_log` VALUES (35360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:12:30');
INSERT INTO `sys_job_log` VALUES (35361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:12:30');
INSERT INTO `sys_job_log` VALUES (35362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:12:35');
INSERT INTO `sys_job_log` VALUES (35363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2024-12-27 17:12:40');
INSERT INTO `sys_job_log` VALUES (35364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 17:12:45');
INSERT INTO `sys_job_log` VALUES (35365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 17:12:45');
INSERT INTO `sys_job_log` VALUES (35366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2024-12-27 17:12:50');
INSERT INTO `sys_job_log` VALUES (35367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-27 17:12:55');
INSERT INTO `sys_job_log` VALUES (35368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 17:13:00');
INSERT INTO `sys_job_log` VALUES (35369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 17:13:00');
INSERT INTO `sys_job_log` VALUES (35370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2024-12-27 17:13:05');
INSERT INTO `sys_job_log` VALUES (35371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:13:10');
INSERT INTO `sys_job_log` VALUES (35372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:13:15');
INSERT INTO `sys_job_log` VALUES (35373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:13:15');
INSERT INTO `sys_job_log` VALUES (35374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:13:20');
INSERT INTO `sys_job_log` VALUES (35375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:13:25');
INSERT INTO `sys_job_log` VALUES (35376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:13:30');
INSERT INTO `sys_job_log` VALUES (35377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:13:30');
INSERT INTO `sys_job_log` VALUES (35378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:13:35');
INSERT INTO `sys_job_log` VALUES (35379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:13:40');
INSERT INTO `sys_job_log` VALUES (35380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:13:45');
INSERT INTO `sys_job_log` VALUES (35381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:13:45');
INSERT INTO `sys_job_log` VALUES (35382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:13:50');
INSERT INTO `sys_job_log` VALUES (35383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：542毫秒', '0', '', '2024-12-27 17:13:55');
INSERT INTO `sys_job_log` VALUES (35384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:14:00');
INSERT INTO `sys_job_log` VALUES (35385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:14:00');
INSERT INTO `sys_job_log` VALUES (35386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:14:05');
INSERT INTO `sys_job_log` VALUES (35387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:14:10');
INSERT INTO `sys_job_log` VALUES (35388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:14:15');
INSERT INTO `sys_job_log` VALUES (35389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:14:15');
INSERT INTO `sys_job_log` VALUES (35390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:14:20');
INSERT INTO `sys_job_log` VALUES (35391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:14:25');
INSERT INTO `sys_job_log` VALUES (35392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:14:30');
INSERT INTO `sys_job_log` VALUES (35393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:14:30');
INSERT INTO `sys_job_log` VALUES (35394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:14:35');
INSERT INTO `sys_job_log` VALUES (35395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:14:40');
INSERT INTO `sys_job_log` VALUES (35396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:14:45');
INSERT INTO `sys_job_log` VALUES (35397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:14:45');
INSERT INTO `sys_job_log` VALUES (35398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:14:50');
INSERT INTO `sys_job_log` VALUES (35399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:14:55');
INSERT INTO `sys_job_log` VALUES (35400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:15:00');
INSERT INTO `sys_job_log` VALUES (35401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:15:00');
INSERT INTO `sys_job_log` VALUES (35402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:15:05');
INSERT INTO `sys_job_log` VALUES (35403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:15:10');
INSERT INTO `sys_job_log` VALUES (35404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:15:15');
INSERT INTO `sys_job_log` VALUES (35405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:15:15');
INSERT INTO `sys_job_log` VALUES (35406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:15:20');
INSERT INTO `sys_job_log` VALUES (35407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:15:25');
INSERT INTO `sys_job_log` VALUES (35408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:15:30');
INSERT INTO `sys_job_log` VALUES (35409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:15:30');
INSERT INTO `sys_job_log` VALUES (35410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:15:35');
INSERT INTO `sys_job_log` VALUES (35411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:15:40');
INSERT INTO `sys_job_log` VALUES (35412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:15:45');
INSERT INTO `sys_job_log` VALUES (35413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:15:45');
INSERT INTO `sys_job_log` VALUES (35414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:15:50');
INSERT INTO `sys_job_log` VALUES (35415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：127毫秒', '0', '', '2024-12-27 17:15:55');
INSERT INTO `sys_job_log` VALUES (35416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2024-12-27 17:16:00');
INSERT INTO `sys_job_log` VALUES (35417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2024-12-27 17:16:00');
INSERT INTO `sys_job_log` VALUES (35418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 17:16:05');
INSERT INTO `sys_job_log` VALUES (35419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:16:10');
INSERT INTO `sys_job_log` VALUES (35420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:16:15');
INSERT INTO `sys_job_log` VALUES (35421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 17:16:15');
INSERT INTO `sys_job_log` VALUES (35422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:16:20');
INSERT INTO `sys_job_log` VALUES (35423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:16:25');
INSERT INTO `sys_job_log` VALUES (35424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:16:30');
INSERT INTO `sys_job_log` VALUES (35425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:16:30');
INSERT INTO `sys_job_log` VALUES (35426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:16:35');
INSERT INTO `sys_job_log` VALUES (35427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:16:40');
INSERT INTO `sys_job_log` VALUES (35428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:16:45');
INSERT INTO `sys_job_log` VALUES (35429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:16:45');
INSERT INTO `sys_job_log` VALUES (35430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:16:50');
INSERT INTO `sys_job_log` VALUES (35431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:16:55');
INSERT INTO `sys_job_log` VALUES (35432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:17:00');
INSERT INTO `sys_job_log` VALUES (35433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:17:00');
INSERT INTO `sys_job_log` VALUES (35434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:17:05');
INSERT INTO `sys_job_log` VALUES (35435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:17:10');
INSERT INTO `sys_job_log` VALUES (35436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:17:15');
INSERT INTO `sys_job_log` VALUES (35437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:17:15');
INSERT INTO `sys_job_log` VALUES (35438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:17:20');
INSERT INTO `sys_job_log` VALUES (35439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:17:25');
INSERT INTO `sys_job_log` VALUES (35440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:17:30');
INSERT INTO `sys_job_log` VALUES (35441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:17:30');
INSERT INTO `sys_job_log` VALUES (35442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:17:35');
INSERT INTO `sys_job_log` VALUES (35443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:17:40');
INSERT INTO `sys_job_log` VALUES (35444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:17:45');
INSERT INTO `sys_job_log` VALUES (35445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:17:45');
INSERT INTO `sys_job_log` VALUES (35446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:17:50');
INSERT INTO `sys_job_log` VALUES (35447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:17:55');
INSERT INTO `sys_job_log` VALUES (35448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:18:00');
INSERT INTO `sys_job_log` VALUES (35449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:18:00');
INSERT INTO `sys_job_log` VALUES (35450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:18:05');
INSERT INTO `sys_job_log` VALUES (35451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:18:10');
INSERT INTO `sys_job_log` VALUES (35452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:18:15');
INSERT INTO `sys_job_log` VALUES (35453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:18:15');
INSERT INTO `sys_job_log` VALUES (35454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:18:20');
INSERT INTO `sys_job_log` VALUES (35455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:18:25');
INSERT INTO `sys_job_log` VALUES (35456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:18:30');
INSERT INTO `sys_job_log` VALUES (35457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:18:30');
INSERT INTO `sys_job_log` VALUES (35458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:18:35');
INSERT INTO `sys_job_log` VALUES (35459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:18:40');
INSERT INTO `sys_job_log` VALUES (35460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:18:45');
INSERT INTO `sys_job_log` VALUES (35461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:18:45');
INSERT INTO `sys_job_log` VALUES (35462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:18:50');
INSERT INTO `sys_job_log` VALUES (35463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:18:55');
INSERT INTO `sys_job_log` VALUES (35464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2024-12-27 17:19:00');
INSERT INTO `sys_job_log` VALUES (35465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2024-12-27 17:19:00');
INSERT INTO `sys_job_log` VALUES (35466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:19:05');
INSERT INTO `sys_job_log` VALUES (35467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:19:10');
INSERT INTO `sys_job_log` VALUES (35468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:19:15');
INSERT INTO `sys_job_log` VALUES (35469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:19:15');
INSERT INTO `sys_job_log` VALUES (35470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:19:20');
INSERT INTO `sys_job_log` VALUES (35471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:19:25');
INSERT INTO `sys_job_log` VALUES (35472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:19:30');
INSERT INTO `sys_job_log` VALUES (35473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:19:30');
INSERT INTO `sys_job_log` VALUES (35474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:19:35');
INSERT INTO `sys_job_log` VALUES (35475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:19:40');
INSERT INTO `sys_job_log` VALUES (35476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:19:45');
INSERT INTO `sys_job_log` VALUES (35477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:19:45');
INSERT INTO `sys_job_log` VALUES (35478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:19:50');
INSERT INTO `sys_job_log` VALUES (35479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:19:55');
INSERT INTO `sys_job_log` VALUES (35480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:20:00');
INSERT INTO `sys_job_log` VALUES (35481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:20:00');
INSERT INTO `sys_job_log` VALUES (35482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:20:05');
INSERT INTO `sys_job_log` VALUES (35483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:20:10');
INSERT INTO `sys_job_log` VALUES (35484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:20:15');
INSERT INTO `sys_job_log` VALUES (35485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:20:15');
INSERT INTO `sys_job_log` VALUES (35486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:20:20');
INSERT INTO `sys_job_log` VALUES (35487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:20:25');
INSERT INTO `sys_job_log` VALUES (35488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:20:30');
INSERT INTO `sys_job_log` VALUES (35489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:20:30');
INSERT INTO `sys_job_log` VALUES (35490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:20:35');
INSERT INTO `sys_job_log` VALUES (35491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:20:40');
INSERT INTO `sys_job_log` VALUES (35492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:20:45');
INSERT INTO `sys_job_log` VALUES (35493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:20:45');
INSERT INTO `sys_job_log` VALUES (35494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:20:50');
INSERT INTO `sys_job_log` VALUES (35495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:20:55');
INSERT INTO `sys_job_log` VALUES (35496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:21:00');
INSERT INTO `sys_job_log` VALUES (35497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:21:00');
INSERT INTO `sys_job_log` VALUES (35498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:05');
INSERT INTO `sys_job_log` VALUES (35499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:10');
INSERT INTO `sys_job_log` VALUES (35500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:15');
INSERT INTO `sys_job_log` VALUES (35501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:15');
INSERT INTO `sys_job_log` VALUES (35502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:20');
INSERT INTO `sys_job_log` VALUES (35503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:21:25');
INSERT INTO `sys_job_log` VALUES (35504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:30');
INSERT INTO `sys_job_log` VALUES (35505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:30');
INSERT INTO `sys_job_log` VALUES (35506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:21:35');
INSERT INTO `sys_job_log` VALUES (35507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:40');
INSERT INTO `sys_job_log` VALUES (35508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:21:45');
INSERT INTO `sys_job_log` VALUES (35509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:21:45');
INSERT INTO `sys_job_log` VALUES (35510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 17:21:50');
INSERT INTO `sys_job_log` VALUES (35511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:21:55');
INSERT INTO `sys_job_log` VALUES (35512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:22:00');
INSERT INTO `sys_job_log` VALUES (35513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:22:00');
INSERT INTO `sys_job_log` VALUES (35514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:05');
INSERT INTO `sys_job_log` VALUES (35515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:22:10');
INSERT INTO `sys_job_log` VALUES (35516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:15');
INSERT INTO `sys_job_log` VALUES (35517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:22:15');
INSERT INTO `sys_job_log` VALUES (35518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:20');
INSERT INTO `sys_job_log` VALUES (35519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 17:22:25');
INSERT INTO `sys_job_log` VALUES (35520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:30');
INSERT INTO `sys_job_log` VALUES (35521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:30');
INSERT INTO `sys_job_log` VALUES (35522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:22:35');
INSERT INTO `sys_job_log` VALUES (35523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:22:40');
INSERT INTO `sys_job_log` VALUES (35524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:45');
INSERT INTO `sys_job_log` VALUES (35525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:22:45');
INSERT INTO `sys_job_log` VALUES (35526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:22:50');
INSERT INTO `sys_job_log` VALUES (35527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:22:55');
INSERT INTO `sys_job_log` VALUES (35528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:23:00');
INSERT INTO `sys_job_log` VALUES (35529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:23:00');
INSERT INTO `sys_job_log` VALUES (35530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:23:05');
INSERT INTO `sys_job_log` VALUES (35531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:23:10');
INSERT INTO `sys_job_log` VALUES (35532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:23:15');
INSERT INTO `sys_job_log` VALUES (35533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:23:15');
INSERT INTO `sys_job_log` VALUES (35534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:23:20');
INSERT INTO `sys_job_log` VALUES (35535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:23:25');
INSERT INTO `sys_job_log` VALUES (35536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:23:30');
INSERT INTO `sys_job_log` VALUES (35537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:23:30');
INSERT INTO `sys_job_log` VALUES (35538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:23:35');
INSERT INTO `sys_job_log` VALUES (35539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:23:40');
INSERT INTO `sys_job_log` VALUES (35540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:23:45');
INSERT INTO `sys_job_log` VALUES (35541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:23:45');
INSERT INTO `sys_job_log` VALUES (35542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:23:50');
INSERT INTO `sys_job_log` VALUES (35543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:23:55');
INSERT INTO `sys_job_log` VALUES (35544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:24:00');
INSERT INTO `sys_job_log` VALUES (35545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:24:00');
INSERT INTO `sys_job_log` VALUES (35546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 17:24:05');
INSERT INTO `sys_job_log` VALUES (35547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:24:10');
INSERT INTO `sys_job_log` VALUES (35548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:24:15');
INSERT INTO `sys_job_log` VALUES (35549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:24:15');
INSERT INTO `sys_job_log` VALUES (35550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:24:20');
INSERT INTO `sys_job_log` VALUES (35551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:24:25');
INSERT INTO `sys_job_log` VALUES (35552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:24:30');
INSERT INTO `sys_job_log` VALUES (35553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:24:30');
INSERT INTO `sys_job_log` VALUES (35554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:24:35');
INSERT INTO `sys_job_log` VALUES (35555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:24:40');
INSERT INTO `sys_job_log` VALUES (35556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:24:45');
INSERT INTO `sys_job_log` VALUES (35557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:24:45');
INSERT INTO `sys_job_log` VALUES (35558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:24:50');
INSERT INTO `sys_job_log` VALUES (35559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:24:55');
INSERT INTO `sys_job_log` VALUES (35560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 17:25:00');
INSERT INTO `sys_job_log` VALUES (35561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:25:00');
INSERT INTO `sys_job_log` VALUES (35562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:25:05');
INSERT INTO `sys_job_log` VALUES (35563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:25:10');
INSERT INTO `sys_job_log` VALUES (35564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:25:15');
INSERT INTO `sys_job_log` VALUES (35565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:25:15');
INSERT INTO `sys_job_log` VALUES (35566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:25:20');
INSERT INTO `sys_job_log` VALUES (35567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:25:25');
INSERT INTO `sys_job_log` VALUES (35568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:25:30');
INSERT INTO `sys_job_log` VALUES (35569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:25:30');
INSERT INTO `sys_job_log` VALUES (35570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:25:35');
INSERT INTO `sys_job_log` VALUES (35571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 17:25:40');
INSERT INTO `sys_job_log` VALUES (35572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:25:45');
INSERT INTO `sys_job_log` VALUES (35573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:25:45');
INSERT INTO `sys_job_log` VALUES (35574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:25:50');
INSERT INTO `sys_job_log` VALUES (35575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:25:55');
INSERT INTO `sys_job_log` VALUES (35576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:26:00');
INSERT INTO `sys_job_log` VALUES (35577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:26:00');
INSERT INTO `sys_job_log` VALUES (35578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:26:05');
INSERT INTO `sys_job_log` VALUES (35579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:26:10');
INSERT INTO `sys_job_log` VALUES (35580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:15');
INSERT INTO `sys_job_log` VALUES (35581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:15');
INSERT INTO `sys_job_log` VALUES (35582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:20');
INSERT INTO `sys_job_log` VALUES (35583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:26:25');
INSERT INTO `sys_job_log` VALUES (35584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:30');
INSERT INTO `sys_job_log` VALUES (35585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:30');
INSERT INTO `sys_job_log` VALUES (35586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:26:35');
INSERT INTO `sys_job_log` VALUES (35587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:40');
INSERT INTO `sys_job_log` VALUES (35588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:45');
INSERT INTO `sys_job_log` VALUES (35589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:26:45');
INSERT INTO `sys_job_log` VALUES (35590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:50');
INSERT INTO `sys_job_log` VALUES (35591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:26:55');
INSERT INTO `sys_job_log` VALUES (35592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:27:00');
INSERT INTO `sys_job_log` VALUES (35593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:27:00');
INSERT INTO `sys_job_log` VALUES (35594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:27:05');
INSERT INTO `sys_job_log` VALUES (35595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:27:10');
INSERT INTO `sys_job_log` VALUES (35596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:15');
INSERT INTO `sys_job_log` VALUES (35597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:15');
INSERT INTO `sys_job_log` VALUES (35598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:27:20');
INSERT INTO `sys_job_log` VALUES (35599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:25');
INSERT INTO `sys_job_log` VALUES (35600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:30');
INSERT INTO `sys_job_log` VALUES (35601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:30');
INSERT INTO `sys_job_log` VALUES (35602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 17:27:35');
INSERT INTO `sys_job_log` VALUES (35603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:27:40');
INSERT INTO `sys_job_log` VALUES (35604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:45');
INSERT INTO `sys_job_log` VALUES (35605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:45');
INSERT INTO `sys_job_log` VALUES (35606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:27:50');
INSERT INTO `sys_job_log` VALUES (35607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 17:27:55');
INSERT INTO `sys_job_log` VALUES (35608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:00');
INSERT INTO `sys_job_log` VALUES (35609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:00');
INSERT INTO `sys_job_log` VALUES (35610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:05');
INSERT INTO `sys_job_log` VALUES (35611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:10');
INSERT INTO `sys_job_log` VALUES (35612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:15');
INSERT INTO `sys_job_log` VALUES (35613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:15');
INSERT INTO `sys_job_log` VALUES (35614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:28:20');
INSERT INTO `sys_job_log` VALUES (35615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:28:25');
INSERT INTO `sys_job_log` VALUES (35616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:28:30');
INSERT INTO `sys_job_log` VALUES (35617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:28:30');
INSERT INTO `sys_job_log` VALUES (35618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:28:35');
INSERT INTO `sys_job_log` VALUES (35619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:40');
INSERT INTO `sys_job_log` VALUES (35620, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:28:45');
INSERT INTO `sys_job_log` VALUES (35621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:28:45');
INSERT INTO `sys_job_log` VALUES (35622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:28:50');
INSERT INTO `sys_job_log` VALUES (35623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:28:55');
INSERT INTO `sys_job_log` VALUES (35624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:29:00');
INSERT INTO `sys_job_log` VALUES (35625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:29:00');
INSERT INTO `sys_job_log` VALUES (35626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:29:05');
INSERT INTO `sys_job_log` VALUES (35627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:29:10');
INSERT INTO `sys_job_log` VALUES (35628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:29:15');
INSERT INTO `sys_job_log` VALUES (35629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:29:15');
INSERT INTO `sys_job_log` VALUES (35630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:29:20');
INSERT INTO `sys_job_log` VALUES (35631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:29:25');
INSERT INTO `sys_job_log` VALUES (35632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:29:30');
INSERT INTO `sys_job_log` VALUES (35633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:29:30');
INSERT INTO `sys_job_log` VALUES (35634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:29:35');
INSERT INTO `sys_job_log` VALUES (35635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:29:40');
INSERT INTO `sys_job_log` VALUES (35636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:29:45');
INSERT INTO `sys_job_log` VALUES (35637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:29:45');
INSERT INTO `sys_job_log` VALUES (35638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:29:50');
INSERT INTO `sys_job_log` VALUES (35639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:29:55');
INSERT INTO `sys_job_log` VALUES (35640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:00');
INSERT INTO `sys_job_log` VALUES (35641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:00');
INSERT INTO `sys_job_log` VALUES (35642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:30:05');
INSERT INTO `sys_job_log` VALUES (35643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:30:10');
INSERT INTO `sys_job_log` VALUES (35644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:30:15');
INSERT INTO `sys_job_log` VALUES (35645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:15');
INSERT INTO `sys_job_log` VALUES (35646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:30:20');
INSERT INTO `sys_job_log` VALUES (35647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:30:25');
INSERT INTO `sys_job_log` VALUES (35648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:30');
INSERT INTO `sys_job_log` VALUES (35649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:30');
INSERT INTO `sys_job_log` VALUES (35650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:35');
INSERT INTO `sys_job_log` VALUES (35651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:30:40');
INSERT INTO `sys_job_log` VALUES (35652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：338毫秒', '0', '', '2024-12-27 17:30:45');
INSERT INTO `sys_job_log` VALUES (35653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：338毫秒', '0', '', '2024-12-27 17:30:45');
INSERT INTO `sys_job_log` VALUES (35654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:30:50');
INSERT INTO `sys_job_log` VALUES (35655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:30:55');
INSERT INTO `sys_job_log` VALUES (35656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:00');
INSERT INTO `sys_job_log` VALUES (35657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:00');
INSERT INTO `sys_job_log` VALUES (35658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:31:05');
INSERT INTO `sys_job_log` VALUES (35659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:31:10');
INSERT INTO `sys_job_log` VALUES (35660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:15');
INSERT INTO `sys_job_log` VALUES (35661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:15');
INSERT INTO `sys_job_log` VALUES (35662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:31:20');
INSERT INTO `sys_job_log` VALUES (35663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:31:25');
INSERT INTO `sys_job_log` VALUES (35664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:30');
INSERT INTO `sys_job_log` VALUES (35665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:30');
INSERT INTO `sys_job_log` VALUES (35666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:31:35');
INSERT INTO `sys_job_log` VALUES (35667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:40');
INSERT INTO `sys_job_log` VALUES (35668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:31:45');
INSERT INTO `sys_job_log` VALUES (35669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:31:45');
INSERT INTO `sys_job_log` VALUES (35670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:31:50');
INSERT INTO `sys_job_log` VALUES (35671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:31:55');
INSERT INTO `sys_job_log` VALUES (35672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:32:00');
INSERT INTO `sys_job_log` VALUES (35673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:32:00');
INSERT INTO `sys_job_log` VALUES (35674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:32:05');
INSERT INTO `sys_job_log` VALUES (35675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:32:10');
INSERT INTO `sys_job_log` VALUES (35676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 17:32:15');
INSERT INTO `sys_job_log` VALUES (35677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:32:15');
INSERT INTO `sys_job_log` VALUES (35678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:32:20');
INSERT INTO `sys_job_log` VALUES (35679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:32:25');
INSERT INTO `sys_job_log` VALUES (35680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:32:30');
INSERT INTO `sys_job_log` VALUES (35681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:32:30');
INSERT INTO `sys_job_log` VALUES (35682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:32:35');
INSERT INTO `sys_job_log` VALUES (35683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:32:40');
INSERT INTO `sys_job_log` VALUES (35684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:32:45');
INSERT INTO `sys_job_log` VALUES (35685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:32:45');
INSERT INTO `sys_job_log` VALUES (35686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:32:50');
INSERT INTO `sys_job_log` VALUES (35687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:32:55');
INSERT INTO `sys_job_log` VALUES (35688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:33:00');
INSERT INTO `sys_job_log` VALUES (35689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:33:00');
INSERT INTO `sys_job_log` VALUES (35690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:33:05');
INSERT INTO `sys_job_log` VALUES (35691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:33:10');
INSERT INTO `sys_job_log` VALUES (35692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:33:15');
INSERT INTO `sys_job_log` VALUES (35693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2024-12-27 17:33:15');
INSERT INTO `sys_job_log` VALUES (35694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:33:20');
INSERT INTO `sys_job_log` VALUES (35695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:33:25');
INSERT INTO `sys_job_log` VALUES (35696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:33:30');
INSERT INTO `sys_job_log` VALUES (35697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:33:30');
INSERT INTO `sys_job_log` VALUES (35698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:33:35');
INSERT INTO `sys_job_log` VALUES (35699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:33:40');
INSERT INTO `sys_job_log` VALUES (35700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:33:45');
INSERT INTO `sys_job_log` VALUES (35701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:33:45');
INSERT INTO `sys_job_log` VALUES (35702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:33:50');
INSERT INTO `sys_job_log` VALUES (35703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:33:55');
INSERT INTO `sys_job_log` VALUES (35704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:34:00');
INSERT INTO `sys_job_log` VALUES (35705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:34:00');
INSERT INTO `sys_job_log` VALUES (35706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:34:05');
INSERT INTO `sys_job_log` VALUES (35707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:34:10');
INSERT INTO `sys_job_log` VALUES (35708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:34:15');
INSERT INTO `sys_job_log` VALUES (35709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:34:15');
INSERT INTO `sys_job_log` VALUES (35710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:34:20');
INSERT INTO `sys_job_log` VALUES (35711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:34:25');
INSERT INTO `sys_job_log` VALUES (35712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:34:30');
INSERT INTO `sys_job_log` VALUES (35713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:34:30');
INSERT INTO `sys_job_log` VALUES (35714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:34:35');
INSERT INTO `sys_job_log` VALUES (35715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:34:40');
INSERT INTO `sys_job_log` VALUES (35716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:34:45');
INSERT INTO `sys_job_log` VALUES (35717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:34:45');
INSERT INTO `sys_job_log` VALUES (35718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:34:50');
INSERT INTO `sys_job_log` VALUES (35719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:34:55');
INSERT INTO `sys_job_log` VALUES (35720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:35:00');
INSERT INTO `sys_job_log` VALUES (35721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:35:00');
INSERT INTO `sys_job_log` VALUES (35722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:35:05');
INSERT INTO `sys_job_log` VALUES (35723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:35:10');
INSERT INTO `sys_job_log` VALUES (35724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:35:15');
INSERT INTO `sys_job_log` VALUES (35725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:35:15');
INSERT INTO `sys_job_log` VALUES (35726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:35:20');
INSERT INTO `sys_job_log` VALUES (35727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:35:25');
INSERT INTO `sys_job_log` VALUES (35728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:35:30');
INSERT INTO `sys_job_log` VALUES (35729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:35:30');
INSERT INTO `sys_job_log` VALUES (35730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:35:35');
INSERT INTO `sys_job_log` VALUES (35731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:35:40');
INSERT INTO `sys_job_log` VALUES (35732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:35:45');
INSERT INTO `sys_job_log` VALUES (35733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:35:45');
INSERT INTO `sys_job_log` VALUES (35734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:35:50');
INSERT INTO `sys_job_log` VALUES (35735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:35:55');
INSERT INTO `sys_job_log` VALUES (35736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:00');
INSERT INTO `sys_job_log` VALUES (35737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:36:00');
INSERT INTO `sys_job_log` VALUES (35738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:36:05');
INSERT INTO `sys_job_log` VALUES (35739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:10');
INSERT INTO `sys_job_log` VALUES (35740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:15');
INSERT INTO `sys_job_log` VALUES (35741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:15');
INSERT INTO `sys_job_log` VALUES (35742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:36:20');
INSERT INTO `sys_job_log` VALUES (35743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:25');
INSERT INTO `sys_job_log` VALUES (35744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:36:30');
INSERT INTO `sys_job_log` VALUES (35745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:36:30');
INSERT INTO `sys_job_log` VALUES (35746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:36:35');
INSERT INTO `sys_job_log` VALUES (35747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:36:40');
INSERT INTO `sys_job_log` VALUES (35748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:36:45');
INSERT INTO `sys_job_log` VALUES (35749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:36:45');
INSERT INTO `sys_job_log` VALUES (35750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:50');
INSERT INTO `sys_job_log` VALUES (35751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:36:55');
INSERT INTO `sys_job_log` VALUES (35752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:37:00');
INSERT INTO `sys_job_log` VALUES (35753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:37:00');
INSERT INTO `sys_job_log` VALUES (35754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:37:05');
INSERT INTO `sys_job_log` VALUES (35755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:37:10');
INSERT INTO `sys_job_log` VALUES (35756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:37:15');
INSERT INTO `sys_job_log` VALUES (35757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:37:15');
INSERT INTO `sys_job_log` VALUES (35758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:37:20');
INSERT INTO `sys_job_log` VALUES (35759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 17:37:25');
INSERT INTO `sys_job_log` VALUES (35760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:37:30');
INSERT INTO `sys_job_log` VALUES (35761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:37:30');
INSERT INTO `sys_job_log` VALUES (35762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:37:35');
INSERT INTO `sys_job_log` VALUES (35763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:37:40');
INSERT INTO `sys_job_log` VALUES (35764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:37:45');
INSERT INTO `sys_job_log` VALUES (35765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:37:45');
INSERT INTO `sys_job_log` VALUES (35766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:37:50');
INSERT INTO `sys_job_log` VALUES (35767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:37:55');
INSERT INTO `sys_job_log` VALUES (35768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:38:00');
INSERT INTO `sys_job_log` VALUES (35769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:38:00');
INSERT INTO `sys_job_log` VALUES (35770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:38:05');
INSERT INTO `sys_job_log` VALUES (35771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:38:10');
INSERT INTO `sys_job_log` VALUES (35772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:38:15');
INSERT INTO `sys_job_log` VALUES (35773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:38:15');
INSERT INTO `sys_job_log` VALUES (35774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:38:20');
INSERT INTO `sys_job_log` VALUES (35775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:38:25');
INSERT INTO `sys_job_log` VALUES (35776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:38:30');
INSERT INTO `sys_job_log` VALUES (35777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:38:30');
INSERT INTO `sys_job_log` VALUES (35778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:38:35');
INSERT INTO `sys_job_log` VALUES (35779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:38:40');
INSERT INTO `sys_job_log` VALUES (35780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:38:45');
INSERT INTO `sys_job_log` VALUES (35781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:38:45');
INSERT INTO `sys_job_log` VALUES (35782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:38:50');
INSERT INTO `sys_job_log` VALUES (35783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:38:55');
INSERT INTO `sys_job_log` VALUES (35784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:00');
INSERT INTO `sys_job_log` VALUES (35785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:00');
INSERT INTO `sys_job_log` VALUES (35786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:05');
INSERT INTO `sys_job_log` VALUES (35787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:39:10');
INSERT INTO `sys_job_log` VALUES (35788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:39:15');
INSERT INTO `sys_job_log` VALUES (35789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:15');
INSERT INTO `sys_job_log` VALUES (35790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:39:20');
INSERT INTO `sys_job_log` VALUES (35791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:25');
INSERT INTO `sys_job_log` VALUES (35792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:30');
INSERT INTO `sys_job_log` VALUES (35793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:30');
INSERT INTO `sys_job_log` VALUES (35794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:35');
INSERT INTO `sys_job_log` VALUES (35795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:39:40');
INSERT INTO `sys_job_log` VALUES (35796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:39:45');
INSERT INTO `sys_job_log` VALUES (35797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:39:45');
INSERT INTO `sys_job_log` VALUES (35798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:39:50');
INSERT INTO `sys_job_log` VALUES (35799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 17:39:55');
INSERT INTO `sys_job_log` VALUES (35800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:40:00');
INSERT INTO `sys_job_log` VALUES (35801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:40:00');
INSERT INTO `sys_job_log` VALUES (35802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:40:05');
INSERT INTO `sys_job_log` VALUES (35803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:40:10');
INSERT INTO `sys_job_log` VALUES (35804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:40:15');
INSERT INTO `sys_job_log` VALUES (35805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:40:15');
INSERT INTO `sys_job_log` VALUES (35806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:40:20');
INSERT INTO `sys_job_log` VALUES (35807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:40:25');
INSERT INTO `sys_job_log` VALUES (35808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:40:30');
INSERT INTO `sys_job_log` VALUES (35809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:40:30');
INSERT INTO `sys_job_log` VALUES (35810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:40:35');
INSERT INTO `sys_job_log` VALUES (35811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:40:40');
INSERT INTO `sys_job_log` VALUES (35812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:40:45');
INSERT INTO `sys_job_log` VALUES (35813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:40:45');
INSERT INTO `sys_job_log` VALUES (35814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:40:50');
INSERT INTO `sys_job_log` VALUES (35815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:40:55');
INSERT INTO `sys_job_log` VALUES (35816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:41:00');
INSERT INTO `sys_job_log` VALUES (35817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:41:00');
INSERT INTO `sys_job_log` VALUES (35818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:41:05');
INSERT INTO `sys_job_log` VALUES (35819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:41:10');
INSERT INTO `sys_job_log` VALUES (35820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:41:15');
INSERT INTO `sys_job_log` VALUES (35821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:41:15');
INSERT INTO `sys_job_log` VALUES (35822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:41:20');
INSERT INTO `sys_job_log` VALUES (35823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:41:25');
INSERT INTO `sys_job_log` VALUES (35824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:41:30');
INSERT INTO `sys_job_log` VALUES (35825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:41:30');
INSERT INTO `sys_job_log` VALUES (35826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:41:35');
INSERT INTO `sys_job_log` VALUES (35827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:41:40');
INSERT INTO `sys_job_log` VALUES (35828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:41:45');
INSERT INTO `sys_job_log` VALUES (35829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:41:45');
INSERT INTO `sys_job_log` VALUES (35830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:41:50');
INSERT INTO `sys_job_log` VALUES (35831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:41:55');
INSERT INTO `sys_job_log` VALUES (35832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:42:00');
INSERT INTO `sys_job_log` VALUES (35833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:42:00');
INSERT INTO `sys_job_log` VALUES (35834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:42:05');
INSERT INTO `sys_job_log` VALUES (35835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:42:10');
INSERT INTO `sys_job_log` VALUES (35836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:15');
INSERT INTO `sys_job_log` VALUES (35837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:15');
INSERT INTO `sys_job_log` VALUES (35838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:20');
INSERT INTO `sys_job_log` VALUES (35839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:25');
INSERT INTO `sys_job_log` VALUES (35840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:42:30');
INSERT INTO `sys_job_log` VALUES (35841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:42:30');
INSERT INTO `sys_job_log` VALUES (35842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:35');
INSERT INTO `sys_job_log` VALUES (35843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:42:40');
INSERT INTO `sys_job_log` VALUES (35844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:45');
INSERT INTO `sys_job_log` VALUES (35845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:42:45');
INSERT INTO `sys_job_log` VALUES (35846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:42:50');
INSERT INTO `sys_job_log` VALUES (35847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:42:55');
INSERT INTO `sys_job_log` VALUES (35848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:43:00');
INSERT INTO `sys_job_log` VALUES (35849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:43:00');
INSERT INTO `sys_job_log` VALUES (35850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:43:05');
INSERT INTO `sys_job_log` VALUES (35851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:43:10');
INSERT INTO `sys_job_log` VALUES (35852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:43:15');
INSERT INTO `sys_job_log` VALUES (35853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:43:15');
INSERT INTO `sys_job_log` VALUES (35854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:43:20');
INSERT INTO `sys_job_log` VALUES (35855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:43:25');
INSERT INTO `sys_job_log` VALUES (35856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:43:30');
INSERT INTO `sys_job_log` VALUES (35857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:43:30');
INSERT INTO `sys_job_log` VALUES (35858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:43:35');
INSERT INTO `sys_job_log` VALUES (35859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:43:40');
INSERT INTO `sys_job_log` VALUES (35860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:43:45');
INSERT INTO `sys_job_log` VALUES (35861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:43:45');
INSERT INTO `sys_job_log` VALUES (35862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:43:50');
INSERT INTO `sys_job_log` VALUES (35863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:43:55');
INSERT INTO `sys_job_log` VALUES (35864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:00');
INSERT INTO `sys_job_log` VALUES (35865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:00');
INSERT INTO `sys_job_log` VALUES (35866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:44:05');
INSERT INTO `sys_job_log` VALUES (35867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:44:10');
INSERT INTO `sys_job_log` VALUES (35868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:44:15');
INSERT INTO `sys_job_log` VALUES (35869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:44:15');
INSERT INTO `sys_job_log` VALUES (35870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:44:20');
INSERT INTO `sys_job_log` VALUES (35871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:44:25');
INSERT INTO `sys_job_log` VALUES (35872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:30');
INSERT INTO `sys_job_log` VALUES (35873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:30');
INSERT INTO `sys_job_log` VALUES (35874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:44:35');
INSERT INTO `sys_job_log` VALUES (35875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:44:40');
INSERT INTO `sys_job_log` VALUES (35876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:45');
INSERT INTO `sys_job_log` VALUES (35877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:45');
INSERT INTO `sys_job_log` VALUES (35878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:44:50');
INSERT INTO `sys_job_log` VALUES (35879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:44:55');
INSERT INTO `sys_job_log` VALUES (35880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:00');
INSERT INTO `sys_job_log` VALUES (35881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:00');
INSERT INTO `sys_job_log` VALUES (35882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:45:05');
INSERT INTO `sys_job_log` VALUES (35883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:45:10');
INSERT INTO `sys_job_log` VALUES (35884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:15');
INSERT INTO `sys_job_log` VALUES (35885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:45:15');
INSERT INTO `sys_job_log` VALUES (35886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:20');
INSERT INTO `sys_job_log` VALUES (35887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:45:25');
INSERT INTO `sys_job_log` VALUES (35888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:45:30');
INSERT INTO `sys_job_log` VALUES (35889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:45:30');
INSERT INTO `sys_job_log` VALUES (35890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:45:35');
INSERT INTO `sys_job_log` VALUES (35891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:40');
INSERT INTO `sys_job_log` VALUES (35892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:45');
INSERT INTO `sys_job_log` VALUES (35893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:45');
INSERT INTO `sys_job_log` VALUES (35894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:45:50');
INSERT INTO `sys_job_log` VALUES (35895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:45:55');
INSERT INTO `sys_job_log` VALUES (35896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:46:00');
INSERT INTO `sys_job_log` VALUES (35897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:46:00');
INSERT INTO `sys_job_log` VALUES (35898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:46:05');
INSERT INTO `sys_job_log` VALUES (35899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:46:10');
INSERT INTO `sys_job_log` VALUES (35900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:46:15');
INSERT INTO `sys_job_log` VALUES (35901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:46:15');
INSERT INTO `sys_job_log` VALUES (35902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:46:20');
INSERT INTO `sys_job_log` VALUES (35903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:46:25');
INSERT INTO `sys_job_log` VALUES (35904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:46:30');
INSERT INTO `sys_job_log` VALUES (35905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:46:30');
INSERT INTO `sys_job_log` VALUES (35906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:46:35');
INSERT INTO `sys_job_log` VALUES (35907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:46:40');
INSERT INTO `sys_job_log` VALUES (35908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:46:45');
INSERT INTO `sys_job_log` VALUES (35909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:46:45');
INSERT INTO `sys_job_log` VALUES (35910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：356毫秒', '0', '', '2024-12-27 17:46:50');
INSERT INTO `sys_job_log` VALUES (35911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:46:55');
INSERT INTO `sys_job_log` VALUES (35912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:47:00');
INSERT INTO `sys_job_log` VALUES (35913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:47:00');
INSERT INTO `sys_job_log` VALUES (35914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:47:05');
INSERT INTO `sys_job_log` VALUES (35915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:47:10');
INSERT INTO `sys_job_log` VALUES (35916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:47:15');
INSERT INTO `sys_job_log` VALUES (35917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:47:15');
INSERT INTO `sys_job_log` VALUES (35918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:47:20');
INSERT INTO `sys_job_log` VALUES (35919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:47:25');
INSERT INTO `sys_job_log` VALUES (35920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2024-12-27 17:47:30');
INSERT INTO `sys_job_log` VALUES (35921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:47:30');
INSERT INTO `sys_job_log` VALUES (35922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:47:35');
INSERT INTO `sys_job_log` VALUES (35923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:47:40');
INSERT INTO `sys_job_log` VALUES (35924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:47:45');
INSERT INTO `sys_job_log` VALUES (35925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:47:45');
INSERT INTO `sys_job_log` VALUES (35926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:47:50');
INSERT INTO `sys_job_log` VALUES (35927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:47:55');
INSERT INTO `sys_job_log` VALUES (35928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:48:00');
INSERT INTO `sys_job_log` VALUES (35929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:48:00');
INSERT INTO `sys_job_log` VALUES (35930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:48:05');
INSERT INTO `sys_job_log` VALUES (35931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:48:10');
INSERT INTO `sys_job_log` VALUES (35932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:48:15');
INSERT INTO `sys_job_log` VALUES (35933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:48:15');
INSERT INTO `sys_job_log` VALUES (35934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:48:20');
INSERT INTO `sys_job_log` VALUES (35935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:48:25');
INSERT INTO `sys_job_log` VALUES (35936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:48:30');
INSERT INTO `sys_job_log` VALUES (35937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:48:30');
INSERT INTO `sys_job_log` VALUES (35938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:48:35');
INSERT INTO `sys_job_log` VALUES (35939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:48:40');
INSERT INTO `sys_job_log` VALUES (35940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:48:45');
INSERT INTO `sys_job_log` VALUES (35941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:48:45');
INSERT INTO `sys_job_log` VALUES (35942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:48:50');
INSERT INTO `sys_job_log` VALUES (35943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:48:55');
INSERT INTO `sys_job_log` VALUES (35944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:00');
INSERT INTO `sys_job_log` VALUES (35945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:00');
INSERT INTO `sys_job_log` VALUES (35946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:05');
INSERT INTO `sys_job_log` VALUES (35947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:10');
INSERT INTO `sys_job_log` VALUES (35948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:49:15');
INSERT INTO `sys_job_log` VALUES (35949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:49:15');
INSERT INTO `sys_job_log` VALUES (35950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:49:20');
INSERT INTO `sys_job_log` VALUES (35951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:25');
INSERT INTO `sys_job_log` VALUES (35952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:49:30');
INSERT INTO `sys_job_log` VALUES (35953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:49:30');
INSERT INTO `sys_job_log` VALUES (35954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:35');
INSERT INTO `sys_job_log` VALUES (35955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:40');
INSERT INTO `sys_job_log` VALUES (35956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:45');
INSERT INTO `sys_job_log` VALUES (35957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:49:45');
INSERT INTO `sys_job_log` VALUES (35958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:49:50');
INSERT INTO `sys_job_log` VALUES (35959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:49:55');
INSERT INTO `sys_job_log` VALUES (35960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:50:00');
INSERT INTO `sys_job_log` VALUES (35961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:50:00');
INSERT INTO `sys_job_log` VALUES (35962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:50:05');
INSERT INTO `sys_job_log` VALUES (35963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:50:10');
INSERT INTO `sys_job_log` VALUES (35964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:50:15');
INSERT INTO `sys_job_log` VALUES (35965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:50:15');
INSERT INTO `sys_job_log` VALUES (35966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:50:20');
INSERT INTO `sys_job_log` VALUES (35967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:50:25');
INSERT INTO `sys_job_log` VALUES (35968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:50:30');
INSERT INTO `sys_job_log` VALUES (35969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:50:30');
INSERT INTO `sys_job_log` VALUES (35970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:50:35');
INSERT INTO `sys_job_log` VALUES (35971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:50:40');
INSERT INTO `sys_job_log` VALUES (35972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:50:45');
INSERT INTO `sys_job_log` VALUES (35973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:50:45');
INSERT INTO `sys_job_log` VALUES (35974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:50:50');
INSERT INTO `sys_job_log` VALUES (35975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:50:55');
INSERT INTO `sys_job_log` VALUES (35976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:51:00');
INSERT INTO `sys_job_log` VALUES (35977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:51:00');
INSERT INTO `sys_job_log` VALUES (35978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:51:05');
INSERT INTO `sys_job_log` VALUES (35979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:51:10');
INSERT INTO `sys_job_log` VALUES (35980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:51:15');
INSERT INTO `sys_job_log` VALUES (35981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 17:51:15');
INSERT INTO `sys_job_log` VALUES (35982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:51:20');
INSERT INTO `sys_job_log` VALUES (35983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:51:25');
INSERT INTO `sys_job_log` VALUES (35984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2216毫秒', '0', '', '2024-12-27 17:51:32');
INSERT INTO `sys_job_log` VALUES (35985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2216毫秒', '0', '', '2024-12-27 17:51:32');
INSERT INTO `sys_job_log` VALUES (35986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:51:35');
INSERT INTO `sys_job_log` VALUES (35987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:51:40');
INSERT INTO `sys_job_log` VALUES (35988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2024-12-27 17:51:45');
INSERT INTO `sys_job_log` VALUES (35989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:51:45');
INSERT INTO `sys_job_log` VALUES (35990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:51:50');
INSERT INTO `sys_job_log` VALUES (35991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:51:55');
INSERT INTO `sys_job_log` VALUES (35992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:52:00');
INSERT INTO `sys_job_log` VALUES (35993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:52:00');
INSERT INTO `sys_job_log` VALUES (35994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 17:52:05');
INSERT INTO `sys_job_log` VALUES (35995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 17:52:10');
INSERT INTO `sys_job_log` VALUES (35996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:52:15');
INSERT INTO `sys_job_log` VALUES (35997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:52:15');
INSERT INTO `sys_job_log` VALUES (35998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:52:20');
INSERT INTO `sys_job_log` VALUES (35999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2024-12-27 17:52:25');
INSERT INTO `sys_job_log` VALUES (36000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:52:30');
INSERT INTO `sys_job_log` VALUES (36001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 17:52:30');
INSERT INTO `sys_job_log` VALUES (36002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:52:35');
INSERT INTO `sys_job_log` VALUES (36003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:52:40');
INSERT INTO `sys_job_log` VALUES (36004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:52:45');
INSERT INTO `sys_job_log` VALUES (36005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:52:45');
INSERT INTO `sys_job_log` VALUES (36006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:52:50');
INSERT INTO `sys_job_log` VALUES (36007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:52:55');
INSERT INTO `sys_job_log` VALUES (36008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2024-12-27 17:53:00');
INSERT INTO `sys_job_log` VALUES (36009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 17:53:00');
INSERT INTO `sys_job_log` VALUES (36010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:53:05');
INSERT INTO `sys_job_log` VALUES (36011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:53:10');
INSERT INTO `sys_job_log` VALUES (36012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:53:15');
INSERT INTO `sys_job_log` VALUES (36013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:53:15');
INSERT INTO `sys_job_log` VALUES (36014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 17:53:20');
INSERT INTO `sys_job_log` VALUES (36015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:53:25');
INSERT INTO `sys_job_log` VALUES (36016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:53:30');
INSERT INTO `sys_job_log` VALUES (36017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:53:30');
INSERT INTO `sys_job_log` VALUES (36018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2024-12-27 17:53:35');
INSERT INTO `sys_job_log` VALUES (36019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:53:40');
INSERT INTO `sys_job_log` VALUES (36020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:53:45');
INSERT INTO `sys_job_log` VALUES (36021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:53:45');
INSERT INTO `sys_job_log` VALUES (36022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:53:50');
INSERT INTO `sys_job_log` VALUES (36023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:53:55');
INSERT INTO `sys_job_log` VALUES (36024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:54:00');
INSERT INTO `sys_job_log` VALUES (36025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:54:00');
INSERT INTO `sys_job_log` VALUES (36026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:54:05');
INSERT INTO `sys_job_log` VALUES (36027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:54:10');
INSERT INTO `sys_job_log` VALUES (36028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:54:15');
INSERT INTO `sys_job_log` VALUES (36029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:54:15');
INSERT INTO `sys_job_log` VALUES (36030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:54:20');
INSERT INTO `sys_job_log` VALUES (36031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:54:25');
INSERT INTO `sys_job_log` VALUES (36032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:54:30');
INSERT INTO `sys_job_log` VALUES (36033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:54:30');
INSERT INTO `sys_job_log` VALUES (36034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:54:35');
INSERT INTO `sys_job_log` VALUES (36035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:54:40');
INSERT INTO `sys_job_log` VALUES (36036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:54:45');
INSERT INTO `sys_job_log` VALUES (36037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:54:45');
INSERT INTO `sys_job_log` VALUES (36038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:54:50');
INSERT INTO `sys_job_log` VALUES (36039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2024-12-27 17:54:55');
INSERT INTO `sys_job_log` VALUES (36040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:55:00');
INSERT INTO `sys_job_log` VALUES (36041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:55:00');
INSERT INTO `sys_job_log` VALUES (36042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:55:05');
INSERT INTO `sys_job_log` VALUES (36043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:55:10');
INSERT INTO `sys_job_log` VALUES (36044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:55:15');
INSERT INTO `sys_job_log` VALUES (36045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:55:15');
INSERT INTO `sys_job_log` VALUES (36046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:55:20');
INSERT INTO `sys_job_log` VALUES (36047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:55:25');
INSERT INTO `sys_job_log` VALUES (36048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 17:55:30');
INSERT INTO `sys_job_log` VALUES (36049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 17:55:30');
INSERT INTO `sys_job_log` VALUES (36050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:55:35');
INSERT INTO `sys_job_log` VALUES (36051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:55:40');
INSERT INTO `sys_job_log` VALUES (36052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:55:45');
INSERT INTO `sys_job_log` VALUES (36053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:55:45');
INSERT INTO `sys_job_log` VALUES (36054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:55:50');
INSERT INTO `sys_job_log` VALUES (36055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:55:55');
INSERT INTO `sys_job_log` VALUES (36056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2024-12-27 17:56:00');
INSERT INTO `sys_job_log` VALUES (36057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 17:56:00');
INSERT INTO `sys_job_log` VALUES (36058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 17:56:05');
INSERT INTO `sys_job_log` VALUES (36059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:56:10');
INSERT INTO `sys_job_log` VALUES (36060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:56:15');
INSERT INTO `sys_job_log` VALUES (36061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:56:15');
INSERT INTO `sys_job_log` VALUES (36062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:56:20');
INSERT INTO `sys_job_log` VALUES (36063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:56:25');
INSERT INTO `sys_job_log` VALUES (36064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:56:30');
INSERT INTO `sys_job_log` VALUES (36065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:56:30');
INSERT INTO `sys_job_log` VALUES (36066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:56:35');
INSERT INTO `sys_job_log` VALUES (36067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:56:40');
INSERT INTO `sys_job_log` VALUES (36068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:56:45');
INSERT INTO `sys_job_log` VALUES (36069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:56:45');
INSERT INTO `sys_job_log` VALUES (36070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:56:50');
INSERT INTO `sys_job_log` VALUES (36071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:56:55');
INSERT INTO `sys_job_log` VALUES (36072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:57:00');
INSERT INTO `sys_job_log` VALUES (36073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:57:00');
INSERT INTO `sys_job_log` VALUES (36074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:57:05');
INSERT INTO `sys_job_log` VALUES (36075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:57:10');
INSERT INTO `sys_job_log` VALUES (36076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:57:15');
INSERT INTO `sys_job_log` VALUES (36077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:57:15');
INSERT INTO `sys_job_log` VALUES (36078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:57:20');
INSERT INTO `sys_job_log` VALUES (36079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:57:25');
INSERT INTO `sys_job_log` VALUES (36080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:57:30');
INSERT INTO `sys_job_log` VALUES (36081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:57:30');
INSERT INTO `sys_job_log` VALUES (36082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:57:35');
INSERT INTO `sys_job_log` VALUES (36083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:57:40');
INSERT INTO `sys_job_log` VALUES (36084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 17:57:45');
INSERT INTO `sys_job_log` VALUES (36085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 17:57:45');
INSERT INTO `sys_job_log` VALUES (36086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:57:50');
INSERT INTO `sys_job_log` VALUES (36087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:57:55');
INSERT INTO `sys_job_log` VALUES (36088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 17:58:00');
INSERT INTO `sys_job_log` VALUES (36089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 17:58:00');
INSERT INTO `sys_job_log` VALUES (36090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:58:05');
INSERT INTO `sys_job_log` VALUES (36091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:58:10');
INSERT INTO `sys_job_log` VALUES (36092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 17:58:15');
INSERT INTO `sys_job_log` VALUES (36093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:58:15');
INSERT INTO `sys_job_log` VALUES (36094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:58:20');
INSERT INTO `sys_job_log` VALUES (36095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 17:58:25');
INSERT INTO `sys_job_log` VALUES (36096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:58:30');
INSERT INTO `sys_job_log` VALUES (36097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 17:58:30');
INSERT INTO `sys_job_log` VALUES (36098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:58:35');
INSERT INTO `sys_job_log` VALUES (36099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:58:40');
INSERT INTO `sys_job_log` VALUES (36100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:58:45');
INSERT INTO `sys_job_log` VALUES (36101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2024-12-27 17:58:45');
INSERT INTO `sys_job_log` VALUES (36102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:58:50');
INSERT INTO `sys_job_log` VALUES (36103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:58:55');
INSERT INTO `sys_job_log` VALUES (36104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:59:00');
INSERT INTO `sys_job_log` VALUES (36105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 17:59:00');
INSERT INTO `sys_job_log` VALUES (36106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:59:05');
INSERT INTO `sys_job_log` VALUES (36107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 17:59:10');
INSERT INTO `sys_job_log` VALUES (36108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 17:59:15');
INSERT INTO `sys_job_log` VALUES (36109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:59:15');
INSERT INTO `sys_job_log` VALUES (36110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 17:59:20');
INSERT INTO `sys_job_log` VALUES (36111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 17:59:25');
INSERT INTO `sys_job_log` VALUES (36112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:59:30');
INSERT INTO `sys_job_log` VALUES (36113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 17:59:30');
INSERT INTO `sys_job_log` VALUES (36114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:59:35');
INSERT INTO `sys_job_log` VALUES (36115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:59:40');
INSERT INTO `sys_job_log` VALUES (36116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 17:59:45');
INSERT INTO `sys_job_log` VALUES (36117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 17:59:45');
INSERT INTO `sys_job_log` VALUES (36118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:59:50');
INSERT INTO `sys_job_log` VALUES (36119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 17:59:55');
INSERT INTO `sys_job_log` VALUES (36120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:00:00');
INSERT INTO `sys_job_log` VALUES (36121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 18:00:00');
INSERT INTO `sys_job_log` VALUES (36122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 18:00:05');
INSERT INTO `sys_job_log` VALUES (36123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 18:00:10');
INSERT INTO `sys_job_log` VALUES (36124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 18:00:15');
INSERT INTO `sys_job_log` VALUES (36125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 18:00:15');
INSERT INTO `sys_job_log` VALUES (36126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 18:00:20');
INSERT INTO `sys_job_log` VALUES (36127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:00:25');
INSERT INTO `sys_job_log` VALUES (36128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:00:30');
INSERT INTO `sys_job_log` VALUES (36129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2024-12-27 18:00:30');
INSERT INTO `sys_job_log` VALUES (36130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:00:35');
INSERT INTO `sys_job_log` VALUES (36131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:00:40');
INSERT INTO `sys_job_log` VALUES (36132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 18:00:45');
INSERT INTO `sys_job_log` VALUES (36133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:00:45');
INSERT INTO `sys_job_log` VALUES (36134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:00:50');
INSERT INTO `sys_job_log` VALUES (36135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:00:55');
INSERT INTO `sys_job_log` VALUES (36136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 18:01:00');
INSERT INTO `sys_job_log` VALUES (36137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:01:00');
INSERT INTO `sys_job_log` VALUES (36138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2024-12-27 18:01:05');
INSERT INTO `sys_job_log` VALUES (36139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:01:10');
INSERT INTO `sys_job_log` VALUES (36140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 18:01:15');
INSERT INTO `sys_job_log` VALUES (36141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 18:01:15');
INSERT INTO `sys_job_log` VALUES (36142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:01:20');
INSERT INTO `sys_job_log` VALUES (36143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:01:25');
INSERT INTO `sys_job_log` VALUES (36144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:01:30');
INSERT INTO `sys_job_log` VALUES (36145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 18:01:30');
INSERT INTO `sys_job_log` VALUES (36146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 18:01:35');
INSERT INTO `sys_job_log` VALUES (36147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 18:01:40');
INSERT INTO `sys_job_log` VALUES (36148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:01:45');
INSERT INTO `sys_job_log` VALUES (36149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 18:01:45');
INSERT INTO `sys_job_log` VALUES (36150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:01:50');
INSERT INTO `sys_job_log` VALUES (36151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 18:01:55');
INSERT INTO `sys_job_log` VALUES (36152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:00');
INSERT INTO `sys_job_log` VALUES (36153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:00');
INSERT INTO `sys_job_log` VALUES (36154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:02:05');
INSERT INTO `sys_job_log` VALUES (36155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:10');
INSERT INTO `sys_job_log` VALUES (36156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 18:02:15');
INSERT INTO `sys_job_log` VALUES (36157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 18:02:15');
INSERT INTO `sys_job_log` VALUES (36158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:02:20');
INSERT INTO `sys_job_log` VALUES (36159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2024-12-27 18:02:25');
INSERT INTO `sys_job_log` VALUES (36160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2024-12-27 18:02:30');
INSERT INTO `sys_job_log` VALUES (36161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 18:02:30');
INSERT INTO `sys_job_log` VALUES (36162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:02:35');
INSERT INTO `sys_job_log` VALUES (36163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:40');
INSERT INTO `sys_job_log` VALUES (36164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:45');
INSERT INTO `sys_job_log` VALUES (36165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:45');
INSERT INTO `sys_job_log` VALUES (36166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:02:50');
INSERT INTO `sys_job_log` VALUES (36167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:02:55');
INSERT INTO `sys_job_log` VALUES (36168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2024-12-27 18:03:00');
INSERT INTO `sys_job_log` VALUES (36169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:03:00');
INSERT INTO `sys_job_log` VALUES (36170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:03:05');
INSERT INTO `sys_job_log` VALUES (36171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2024-12-27 18:03:10');
INSERT INTO `sys_job_log` VALUES (36172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 18:03:15');
INSERT INTO `sys_job_log` VALUES (36173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 18:03:15');
INSERT INTO `sys_job_log` VALUES (36174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:03:20');
INSERT INTO `sys_job_log` VALUES (36175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:03:25');
INSERT INTO `sys_job_log` VALUES (36176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 18:03:30');
INSERT INTO `sys_job_log` VALUES (36177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 18:03:30');
INSERT INTO `sys_job_log` VALUES (36178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:03:35');
INSERT INTO `sys_job_log` VALUES (36179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 18:03:40');
INSERT INTO `sys_job_log` VALUES (36180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:03:45');
INSERT INTO `sys_job_log` VALUES (36181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 18:03:45');
INSERT INTO `sys_job_log` VALUES (36182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:03:50');
INSERT INTO `sys_job_log` VALUES (36183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2024-12-27 18:03:55');
INSERT INTO `sys_job_log` VALUES (36184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2024-12-27 18:04:00');
INSERT INTO `sys_job_log` VALUES (36185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2024-12-27 18:04:00');
INSERT INTO `sys_job_log` VALUES (36186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:04:05');
INSERT INTO `sys_job_log` VALUES (36187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2024-12-27 18:04:10');
INSERT INTO `sys_job_log` VALUES (36188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:04:15');
INSERT INTO `sys_job_log` VALUES (36189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2024-12-27 18:04:15');
INSERT INTO `sys_job_log` VALUES (36190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:04:20');
INSERT INTO `sys_job_log` VALUES (36191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2024-12-27 18:04:25');
INSERT INTO `sys_job_log` VALUES (36192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2024-12-27 18:04:30');
INSERT INTO `sys_job_log` VALUES (36193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2024-12-27 18:04:30');
INSERT INTO `sys_job_log` VALUES (36194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:04:35');
INSERT INTO `sys_job_log` VALUES (36195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2024-12-27 18:04:40');
INSERT INTO `sys_job_log` VALUES (36196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2024-12-27 18:04:45');
INSERT INTO `sys_job_log` VALUES (36197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2024-12-27 18:04:45');
INSERT INTO `sys_job_log` VALUES (36198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:04:50');
INSERT INTO `sys_job_log` VALUES (36199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:04:55');
INSERT INTO `sys_job_log` VALUES (36200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2024-12-27 18:05:00');
INSERT INTO `sys_job_log` VALUES (36201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2024-12-27 18:05:00');
INSERT INTO `sys_job_log` VALUES (36202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2024-12-27 18:05:05');
INSERT INTO `sys_job_log` VALUES (36203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:05:10');
INSERT INTO `sys_job_log` VALUES (36204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2024-12-27 18:05:15');
INSERT INTO `sys_job_log` VALUES (36205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2024-12-27 18:05:15');
INSERT INTO `sys_job_log` VALUES (36206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2024-12-27 18:05:20');
INSERT INTO `sys_job_log` VALUES (36207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1319毫秒', '0', '', '2024-12-31 15:48:18');
INSERT INTO `sys_job_log` VALUES (36208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2024-12-31 15:48:18');
INSERT INTO `sys_job_log` VALUES (36209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 15:48:18');
INSERT INTO `sys_job_log` VALUES (36210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 15:48:18');
INSERT INTO `sys_job_log` VALUES (36211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 15:48:18');
INSERT INTO `sys_job_log` VALUES (36212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-31 15:48:19');
INSERT INTO `sys_job_log` VALUES (36213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 15:48:20');
INSERT INTO `sys_job_log` VALUES (36214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 15:48:25');
INSERT INTO `sys_job_log` VALUES (36215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 15:48:30');
INSERT INTO `sys_job_log` VALUES (36216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2024-12-31 15:48:31');
INSERT INTO `sys_job_log` VALUES (36217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 15:48:35');
INSERT INTO `sys_job_log` VALUES (36218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:48:40');
INSERT INTO `sys_job_log` VALUES (36219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:48:45');
INSERT INTO `sys_job_log` VALUES (36220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2024-12-31 15:48:46');
INSERT INTO `sys_job_log` VALUES (36221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:48:50');
INSERT INTO `sys_job_log` VALUES (36222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:48:55');
INSERT INTO `sys_job_log` VALUES (36223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:49:00');
INSERT INTO `sys_job_log` VALUES (36224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-31 15:49:01');
INSERT INTO `sys_job_log` VALUES (36225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:49:05');
INSERT INTO `sys_job_log` VALUES (36226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:49:10');
INSERT INTO `sys_job_log` VALUES (36227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:49:15');
INSERT INTO `sys_job_log` VALUES (36228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2024-12-31 15:49:16');
INSERT INTO `sys_job_log` VALUES (36229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:49:20');
INSERT INTO `sys_job_log` VALUES (36230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:49:25');
INSERT INTO `sys_job_log` VALUES (36231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:49:30');
INSERT INTO `sys_job_log` VALUES (36232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-31 15:49:31');
INSERT INTO `sys_job_log` VALUES (36233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:49:35');
INSERT INTO `sys_job_log` VALUES (36234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 15:49:40');
INSERT INTO `sys_job_log` VALUES (36235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:49:45');
INSERT INTO `sys_job_log` VALUES (36236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2024-12-31 15:49:46');
INSERT INTO `sys_job_log` VALUES (36237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:49:50');
INSERT INTO `sys_job_log` VALUES (36238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:49:55');
INSERT INTO `sys_job_log` VALUES (36239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 15:50:00');
INSERT INTO `sys_job_log` VALUES (36240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-31 15:50:01');
INSERT INTO `sys_job_log` VALUES (36241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:50:05');
INSERT INTO `sys_job_log` VALUES (36242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:50:10');
INSERT INTO `sys_job_log` VALUES (36243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:50:15');
INSERT INTO `sys_job_log` VALUES (36244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2024-12-31 15:50:16');
INSERT INTO `sys_job_log` VALUES (36245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:50:20');
INSERT INTO `sys_job_log` VALUES (36246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:50:25');
INSERT INTO `sys_job_log` VALUES (36247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:50:30');
INSERT INTO `sys_job_log` VALUES (36248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-31 15:50:31');
INSERT INTO `sys_job_log` VALUES (36249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:50:35');
INSERT INTO `sys_job_log` VALUES (36250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:50:40');
INSERT INTO `sys_job_log` VALUES (36251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 15:50:45');
INSERT INTO `sys_job_log` VALUES (36252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-31 15:50:46');
INSERT INTO `sys_job_log` VALUES (36253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 15:50:50');
INSERT INTO `sys_job_log` VALUES (36254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:50:55');
INSERT INTO `sys_job_log` VALUES (36255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:51:00');
INSERT INTO `sys_job_log` VALUES (36256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1141毫秒', '0', '', '2024-12-31 15:51:01');
INSERT INTO `sys_job_log` VALUES (36257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:51:05');
INSERT INTO `sys_job_log` VALUES (36258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:51:10');
INSERT INTO `sys_job_log` VALUES (36259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:51:15');
INSERT INTO `sys_job_log` VALUES (36260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2928毫秒', '0', '', '2024-12-31 15:51:18');
INSERT INTO `sys_job_log` VALUES (36261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 15:51:20');
INSERT INTO `sys_job_log` VALUES (36262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:51:25');
INSERT INTO `sys_job_log` VALUES (36263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 15:51:30');
INSERT INTO `sys_job_log` VALUES (36264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1982毫秒', '0', '', '2024-12-31 15:51:32');
INSERT INTO `sys_job_log` VALUES (36265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 15:51:35');
INSERT INTO `sys_job_log` VALUES (36266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:51:40');
INSERT INTO `sys_job_log` VALUES (36267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 15:51:45');
INSERT INTO `sys_job_log` VALUES (36268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3075毫秒', '0', '', '2024-12-31 15:51:48');
INSERT INTO `sys_job_log` VALUES (36269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 15:51:50');
INSERT INTO `sys_job_log` VALUES (36270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 15:51:55');
INSERT INTO `sys_job_log` VALUES (36271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:52:00');
INSERT INTO `sys_job_log` VALUES (36272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3953毫秒', '0', '', '2024-12-31 15:52:04');
INSERT INTO `sys_job_log` VALUES (36273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 15:52:05');
INSERT INTO `sys_job_log` VALUES (36274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 15:52:10');
INSERT INTO `sys_job_log` VALUES (36275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 15:52:15');
INSERT INTO `sys_job_log` VALUES (36276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2029毫秒', '0', '', '2024-12-31 15:52:17');
INSERT INTO `sys_job_log` VALUES (36277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 15:52:20');
INSERT INTO `sys_job_log` VALUES (36278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:52:25');
INSERT INTO `sys_job_log` VALUES (36279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:52:30');
INSERT INTO `sys_job_log` VALUES (36280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1298毫秒', '0', '', '2024-12-31 15:52:32');
INSERT INTO `sys_job_log` VALUES (36281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:52:35');
INSERT INTO `sys_job_log` VALUES (36282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 15:52:40');
INSERT INTO `sys_job_log` VALUES (36283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-31 15:52:45');
INSERT INTO `sys_job_log` VALUES (36284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1158毫秒', '0', '', '2024-12-31 15:52:46');
INSERT INTO `sys_job_log` VALUES (36285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:52:50');
INSERT INTO `sys_job_log` VALUES (36286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 15:52:55');
INSERT INTO `sys_job_log` VALUES (36287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:53:00');
INSERT INTO `sys_job_log` VALUES (36288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2024-12-31 15:53:01');
INSERT INTO `sys_job_log` VALUES (36289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 15:53:05');
INSERT INTO `sys_job_log` VALUES (36290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 15:53:10');
INSERT INTO `sys_job_log` VALUES (36291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 15:53:15');
INSERT INTO `sys_job_log` VALUES (36292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-31 15:53:16');
INSERT INTO `sys_job_log` VALUES (36293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:53:20');
INSERT INTO `sys_job_log` VALUES (36294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 15:53:25');
INSERT INTO `sys_job_log` VALUES (36295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-31 15:53:30');
INSERT INTO `sys_job_log` VALUES (36296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2024-12-31 15:53:31');
INSERT INTO `sys_job_log` VALUES (36297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27毫秒', '0', '', '2024-12-31 15:53:35');
INSERT INTO `sys_job_log` VALUES (36298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:53:40');
INSERT INTO `sys_job_log` VALUES (36299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 15:53:45');
INSERT INTO `sys_job_log` VALUES (36300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1262毫秒', '0', '', '2024-12-31 15:53:46');
INSERT INTO `sys_job_log` VALUES (36301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:53:50');
INSERT INTO `sys_job_log` VALUES (36302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:53:55');
INSERT INTO `sys_job_log` VALUES (36303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 15:54:00');
INSERT INTO `sys_job_log` VALUES (36304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1296毫秒', '0', '', '2024-12-31 15:54:02');
INSERT INTO `sys_job_log` VALUES (36305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-31 15:54:05');
INSERT INTO `sys_job_log` VALUES (36306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 15:54:10');
INSERT INTO `sys_job_log` VALUES (36307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:54:15');
INSERT INTO `sys_job_log` VALUES (36308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1204毫秒', '0', '', '2024-12-31 15:54:16');
INSERT INTO `sys_job_log` VALUES (36309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:54:20');
INSERT INTO `sys_job_log` VALUES (36310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:54:25');
INSERT INTO `sys_job_log` VALUES (36311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:54:30');
INSERT INTO `sys_job_log` VALUES (36312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1167毫秒', '0', '', '2024-12-31 15:54:31');
INSERT INTO `sys_job_log` VALUES (36313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:54:35');
INSERT INTO `sys_job_log` VALUES (36314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:54:40');
INSERT INTO `sys_job_log` VALUES (36315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:54:45');
INSERT INTO `sys_job_log` VALUES (36316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1151毫秒', '0', '', '2024-12-31 15:54:46');
INSERT INTO `sys_job_log` VALUES (36317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:54:50');
INSERT INTO `sys_job_log` VALUES (36318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:54:55');
INSERT INTO `sys_job_log` VALUES (36319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:55:00');
INSERT INTO `sys_job_log` VALUES (36320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-31 15:55:01');
INSERT INTO `sys_job_log` VALUES (36321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:55:05');
INSERT INTO `sys_job_log` VALUES (36322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2024-12-31 15:55:10');
INSERT INTO `sys_job_log` VALUES (36323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:55:15');
INSERT INTO `sys_job_log` VALUES (36324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2024-12-31 15:55:16');
INSERT INTO `sys_job_log` VALUES (36325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 15:55:20');
INSERT INTO `sys_job_log` VALUES (36326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:55:25');
INSERT INTO `sys_job_log` VALUES (36327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:55:30');
INSERT INTO `sys_job_log` VALUES (36328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1159毫秒', '0', '', '2024-12-31 15:55:31');
INSERT INTO `sys_job_log` VALUES (36329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:55:35');
INSERT INTO `sys_job_log` VALUES (36330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:55:40');
INSERT INTO `sys_job_log` VALUES (36331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 15:55:45');
INSERT INTO `sys_job_log` VALUES (36332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-31 15:55:46');
INSERT INTO `sys_job_log` VALUES (36333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 15:55:50');
INSERT INTO `sys_job_log` VALUES (36334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 15:55:55');
INSERT INTO `sys_job_log` VALUES (36335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:56:00');
INSERT INTO `sys_job_log` VALUES (36336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1207毫秒', '0', '', '2024-12-31 15:56:01');
INSERT INTO `sys_job_log` VALUES (36337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:56:05');
INSERT INTO `sys_job_log` VALUES (36338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:56:10');
INSERT INTO `sys_job_log` VALUES (36339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 15:56:15');
INSERT INTO `sys_job_log` VALUES (36340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-31 15:56:16');
INSERT INTO `sys_job_log` VALUES (36341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 15:56:20');
INSERT INTO `sys_job_log` VALUES (36342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 15:56:25');
INSERT INTO `sys_job_log` VALUES (36343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2271毫秒', '0', '', '2024-12-31 15:56:32');
INSERT INTO `sys_job_log` VALUES (36344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1330毫秒', '0', '', '2024-12-31 15:56:47');
INSERT INTO `sys_job_log` VALUES (36345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19656毫秒', '0', '', '2024-12-31 15:56:50');
INSERT INTO `sys_job_log` VALUES (36346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1922毫秒', '0', '', '2024-12-31 15:57:02');
INSERT INTO `sys_job_log` VALUES (36347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18069毫秒', '0', '', '2024-12-31 15:57:08');
INSERT INTO `sys_job_log` VALUES (36348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1777毫秒', '0', '', '2024-12-31 15:57:17');
INSERT INTO `sys_job_log` VALUES (36349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17831毫秒', '0', '', '2024-12-31 15:57:26');
INSERT INTO `sys_job_log` VALUES (36350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2231毫秒', '0', '', '2024-12-31 15:57:32');
INSERT INTO `sys_job_log` VALUES (36351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17677毫秒', '0', '', '2024-12-31 15:57:43');
INSERT INTO `sys_job_log` VALUES (36352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1596毫秒', '0', '', '2024-12-31 15:57:47');
INSERT INTO `sys_job_log` VALUES (36353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17677毫秒', '0', '', '2024-12-31 15:58:01');
INSERT INTO `sys_job_log` VALUES (36354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2085毫秒', '0', '', '2024-12-31 15:58:02');
INSERT INTO `sys_job_log` VALUES (36355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1564毫秒', '0', '', '2024-12-31 15:58:17');
INSERT INTO `sys_job_log` VALUES (36356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18876毫秒', '0', '', '2024-12-31 15:58:20');
INSERT INTO `sys_job_log` VALUES (36357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2043毫秒', '0', '', '2024-12-31 15:58:32');
INSERT INTO `sys_job_log` VALUES (36358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17677毫秒', '0', '', '2024-12-31 15:58:38');
INSERT INTO `sys_job_log` VALUES (36359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1390毫秒', '0', '', '2024-12-31 15:58:47');
INSERT INTO `sys_job_log` VALUES (36360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17669毫秒', '0', '', '2024-12-31 15:58:55');
INSERT INTO `sys_job_log` VALUES (36361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1879毫秒', '0', '', '2024-12-31 15:59:02');
INSERT INTO `sys_job_log` VALUES (36362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17678毫秒', '0', '', '2024-12-31 15:59:13');
INSERT INTO `sys_job_log` VALUES (36363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1363毫秒', '0', '', '2024-12-31 15:59:17');
INSERT INTO `sys_job_log` VALUES (36364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17787毫秒', '0', '', '2024-12-31 15:59:31');
INSERT INTO `sys_job_log` VALUES (36365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1835毫秒', '0', '', '2024-12-31 15:59:32');
INSERT INTO `sys_job_log` VALUES (36366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1210毫秒', '0', '', '2024-12-31 15:59:46');
INSERT INTO `sys_job_log` VALUES (36367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18871毫秒', '0', '', '2024-12-31 15:59:50');
INSERT INTO `sys_job_log` VALUES (36368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1877毫秒', '0', '', '2024-12-31 16:00:02');
INSERT INTO `sys_job_log` VALUES (36369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17866毫秒', '0', '', '2024-12-31 16:00:08');
INSERT INTO `sys_job_log` VALUES (36370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1544毫秒', '0', '', '2024-12-31 16:00:17');
INSERT INTO `sys_job_log` VALUES (36371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17962毫秒', '0', '', '2024-12-31 16:00:26');
INSERT INTO `sys_job_log` VALUES (36372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2200毫秒', '0', '', '2024-12-31 16:00:32');
INSERT INTO `sys_job_log` VALUES (36373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17967毫秒', '0', '', '2024-12-31 16:00:44');
INSERT INTO `sys_job_log` VALUES (36374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1905毫秒', '0', '', '2024-12-31 16:00:47');
INSERT INTO `sys_job_log` VALUES (36375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1246毫秒', '0', '', '2024-12-31 16:01:01');
INSERT INTO `sys_job_log` VALUES (36376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18851毫秒', '0', '', '2024-12-31 16:01:03');
INSERT INTO `sys_job_log` VALUES (36377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1727毫秒', '0', '', '2024-12-31 16:01:17');
INSERT INTO `sys_job_log` VALUES (36378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17666毫秒', '0', '', '2024-12-31 16:01:20');
INSERT INTO `sys_job_log` VALUES (36379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1287毫秒', '0', '', '2024-12-31 16:01:31');
INSERT INTO `sys_job_log` VALUES (36380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17864毫秒', '0', '', '2024-12-31 16:01:38');
INSERT INTO `sys_job_log` VALUES (36381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1761毫秒', '0', '', '2024-12-31 16:01:47');
INSERT INTO `sys_job_log` VALUES (36382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17658毫秒', '0', '', '2024-12-31 16:01:56');
INSERT INTO `sys_job_log` VALUES (36383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2024-12-31 16:02:01');
INSERT INTO `sys_job_log` VALUES (36384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17689毫秒', '0', '', '2024-12-31 16:02:14');
INSERT INTO `sys_job_log` VALUES (36385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1726毫秒', '0', '', '2024-12-31 16:02:17');
INSERT INTO `sys_job_log` VALUES (36386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1308毫秒', '0', '', '2024-12-31 16:02:32');
INSERT INTO `sys_job_log` VALUES (36387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19098毫秒', '0', '', '2024-12-31 16:02:33');
INSERT INTO `sys_job_log` VALUES (36388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2165毫秒', '0', '', '2024-12-31 16:02:47');
INSERT INTO `sys_job_log` VALUES (36389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18028毫秒', '0', '', '2024-12-31 16:02:51');
INSERT INTO `sys_job_log` VALUES (36390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1532毫秒', '0', '', '2024-12-31 16:03:02');
INSERT INTO `sys_job_log` VALUES (36391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17676毫秒', '0', '', '2024-12-31 16:03:08');
INSERT INTO `sys_job_log` VALUES (36392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2123毫秒', '0', '', '2024-12-31 16:03:17');
INSERT INTO `sys_job_log` VALUES (36393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18290毫秒', '0', '', '2024-12-31 16:03:27');
INSERT INTO `sys_job_log` VALUES (36394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2195毫秒', '0', '', '2024-12-31 16:03:32');
INSERT INTO `sys_job_log` VALUES (36395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17839毫秒', '0', '', '2024-12-31 16:03:45');
INSERT INTO `sys_job_log` VALUES (36396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1556毫秒', '0', '', '2024-12-31 16:03:47');
INSERT INTO `sys_job_log` VALUES (36397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2031毫秒', '0', '', '2024-12-31 16:04:02');
INSERT INTO `sys_job_log` VALUES (36398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18781毫秒', '0', '', '2024-12-31 16:04:03');
INSERT INTO `sys_job_log` VALUES (36399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1402毫秒', '0', '', '2024-12-31 16:04:17');
INSERT INTO `sys_job_log` VALUES (36400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17676毫秒', '0', '', '2024-12-31 16:04:21');
INSERT INTO `sys_job_log` VALUES (36401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1969毫秒', '0', '', '2024-12-31 16:04:32');
INSERT INTO `sys_job_log` VALUES (36402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17759毫秒', '0', '', '2024-12-31 16:04:39');
INSERT INTO `sys_job_log` VALUES (36403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1763毫秒', '0', '', '2024-12-31 16:04:47');
INSERT INTO `sys_job_log` VALUES (36404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18067毫秒', '0', '', '2024-12-31 16:04:57');
INSERT INTO `sys_job_log` VALUES (36405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1228毫秒', '0', '', '2024-12-31 16:05:01');
INSERT INTO `sys_job_log` VALUES (36406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18898毫秒', '0', '', '2024-12-31 16:05:16');
INSERT INTO `sys_job_log` VALUES (36407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1713毫秒', '0', '', '2024-12-31 16:05:17');
INSERT INTO `sys_job_log` VALUES (36408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1282毫秒', '0', '', '2024-12-31 16:05:31');
INSERT INTO `sys_job_log` VALUES (36409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18941毫秒', '0', '', '2024-12-31 16:05:35');
INSERT INTO `sys_job_log` VALUES (36410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1729毫秒', '0', '', '2024-12-31 16:05:47');
INSERT INTO `sys_job_log` VALUES (36411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17777毫秒', '0', '', '2024-12-31 16:05:53');
INSERT INTO `sys_job_log` VALUES (36412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-31 16:06:01');
INSERT INTO `sys_job_log` VALUES (36413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17681毫秒', '0', '', '2024-12-31 16:06:10');
INSERT INTO `sys_job_log` VALUES (36414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1690毫秒', '0', '', '2024-12-31 16:06:17');
INSERT INTO `sys_job_log` VALUES (36415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17672毫秒', '0', '', '2024-12-31 16:06:28');
INSERT INTO `sys_job_log` VALUES (36416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2166毫秒', '0', '', '2024-12-31 16:06:32');
INSERT INTO `sys_job_log` VALUES (36417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17766毫秒', '0', '', '2024-12-31 16:06:46');
INSERT INTO `sys_job_log` VALUES (36418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1631毫秒', '0', '', '2024-12-31 16:06:47');
INSERT INTO `sys_job_log` VALUES (36419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2120毫秒', '0', '', '2024-12-31 16:07:02');
INSERT INTO `sys_job_log` VALUES (36420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18781毫秒', '0', '', '2024-12-31 16:07:05');
INSERT INTO `sys_job_log` VALUES (36421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1489毫秒', '0', '', '2024-12-31 16:07:17');
INSERT INTO `sys_job_log` VALUES (36422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1135毫秒', '0', '', '2024-12-31 16:10:01');
INSERT INTO `sys_job_log` VALUES (36423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2136毫秒', '0', '', '2024-12-31 16:10:02');
INSERT INTO `sys_job_log` VALUES (36424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2063毫秒', '0', '', '2024-12-31 16:10:17');
INSERT INTO `sys_job_log` VALUES (36425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17751毫秒', '0', '', '2024-12-31 16:10:23');
INSERT INTO `sys_job_log` VALUES (36426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2024-12-31 16:10:32');
INSERT INTO `sys_job_log` VALUES (36427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17927毫秒', '0', '', '2024-12-31 16:10:41');
INSERT INTO `sys_job_log` VALUES (36428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1327毫秒', '0', '', '2024-12-31 16:10:47');
INSERT INTO `sys_job_log` VALUES (36429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17731毫秒', '0', '', '2024-12-31 16:10:59');
INSERT INTO `sys_job_log` VALUES (36430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1786毫秒', '0', '', '2024-12-31 16:11:02');
INSERT INTO `sys_job_log` VALUES (36431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2024-12-31 16:11:16');
INSERT INTO `sys_job_log` VALUES (36432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18778毫秒', '0', '', '2024-12-31 16:11:17');
INSERT INTO `sys_job_log` VALUES (36433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1649毫秒', '0', '', '2024-12-31 16:11:32');
INSERT INTO `sys_job_log` VALUES (36434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17695毫秒', '0', '', '2024-12-31 16:11:35');
INSERT INTO `sys_job_log` VALUES (36435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-31 16:11:46');
INSERT INTO `sys_job_log` VALUES (36436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18043毫秒', '0', '', '2024-12-31 16:11:53');
INSERT INTO `sys_job_log` VALUES (36437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2024-12-31 16:12:02');
INSERT INTO `sys_job_log` VALUES (36438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17663毫秒', '0', '', '2024-12-31 16:12:11');
INSERT INTO `sys_job_log` VALUES (36439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1347毫秒', '0', '', '2024-12-31 16:12:17');
INSERT INTO `sys_job_log` VALUES (36440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17779毫秒', '0', '', '2024-12-31 16:12:29');
INSERT INTO `sys_job_log` VALUES (36441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1816毫秒', '0', '', '2024-12-31 16:12:32');
INSERT INTO `sys_job_log` VALUES (36442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1187毫秒', '0', '', '2024-12-31 16:12:46');
INSERT INTO `sys_job_log` VALUES (36443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18764毫秒', '0', '', '2024-12-31 16:12:47');
INSERT INTO `sys_job_log` VALUES (36444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1663毫秒', '0', '', '2024-12-31 16:13:02');
INSERT INTO `sys_job_log` VALUES (36445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19403毫秒', '0', '', '2024-12-31 16:13:07');
INSERT INTO `sys_job_log` VALUES (36446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1121毫秒', '0', '', '2024-12-31 16:16:46');
INSERT INTO `sys_job_log` VALUES (36447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2122毫秒', '0', '', '2024-12-31 16:16:47');
INSERT INTO `sys_job_log` VALUES (36448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1405毫秒', '0', '', '2024-12-31 16:17:02');
INSERT INTO `sys_job_log` VALUES (36449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16490毫秒', '0', '', '2024-12-31 16:17:07');
INSERT INTO `sys_job_log` VALUES (36450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1736毫秒', '0', '', '2024-12-31 16:17:17');
INSERT INTO `sys_job_log` VALUES (36451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16361毫秒', '0', '', '2024-12-31 16:17:23');
INSERT INTO `sys_job_log` VALUES (36452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2024-12-31 16:17:31');
INSERT INTO `sys_job_log` VALUES (36453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16445毫秒', '0', '', '2024-12-31 16:17:40');
INSERT INTO `sys_job_log` VALUES (36454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1569毫秒', '0', '', '2024-12-31 16:17:47');
INSERT INTO `sys_job_log` VALUES (36455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16441毫秒', '0', '', '2024-12-31 16:17:56');
INSERT INTO `sys_job_log` VALUES (36456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1975毫秒', '0', '', '2024-12-31 16:18:02');
INSERT INTO `sys_job_log` VALUES (36457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16393毫秒', '0', '', '2024-12-31 16:18:12');
INSERT INTO `sys_job_log` VALUES (36458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1499毫秒', '0', '', '2024-12-31 16:18:17');
INSERT INTO `sys_job_log` VALUES (36459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17545毫秒', '0', '', '2024-12-31 16:18:30');
INSERT INTO `sys_job_log` VALUES (36460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1980毫秒', '0', '', '2024-12-31 16:18:32');
INSERT INTO `sys_job_log` VALUES (36461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1345毫秒', '0', '', '2024-12-31 16:18:47');
INSERT INTO `sys_job_log` VALUES (36462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18776毫秒', '0', '', '2024-12-31 16:18:49');
INSERT INTO `sys_job_log` VALUES (36463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1809毫秒', '0', '', '2024-12-31 16:19:02');
INSERT INTO `sys_job_log` VALUES (36464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 16:19:06');
INSERT INTO `sys_job_log` VALUES (36465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1293毫秒', '0', '', '2024-12-31 16:19:17');
INSERT INTO `sys_job_log` VALUES (36466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17777毫秒', '0', '', '2024-12-31 16:19:24');
INSERT INTO `sys_job_log` VALUES (36467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1755毫秒', '0', '', '2024-12-31 16:19:32');
INSERT INTO `sys_job_log` VALUES (36468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17681毫秒', '0', '', '2024-12-31 16:19:42');
INSERT INTO `sys_job_log` VALUES (36469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2300毫秒', '0', '', '2024-12-31 16:19:48');
INSERT INTO `sys_job_log` VALUES (36470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17660毫秒', '0', '', '2024-12-31 16:20:00');
INSERT INTO `sys_job_log` VALUES (36471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1597毫秒', '0', '', '2024-12-31 16:20:02');
INSERT INTO `sys_job_log` VALUES (36472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2081毫秒', '0', '', '2024-12-31 16:20:17');
INSERT INTO `sys_job_log` VALUES (36473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18788毫秒', '0', '', '2024-12-31 16:20:18');
INSERT INTO `sys_job_log` VALUES (36474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1440毫秒', '0', '', '2024-12-31 16:20:32');
INSERT INTO `sys_job_log` VALUES (36475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17679毫秒', '0', '', '2024-12-31 16:20:36');
INSERT INTO `sys_job_log` VALUES (36476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2024-12-31 16:20:47');
INSERT INTO `sys_job_log` VALUES (36477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17767毫秒', '0', '', '2024-12-31 16:20:54');
INSERT INTO `sys_job_log` VALUES (36478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1382毫秒', '0', '', '2024-12-31 16:21:02');
INSERT INTO `sys_job_log` VALUES (36479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17781毫秒', '0', '', '2024-12-31 16:21:12');
INSERT INTO `sys_job_log` VALUES (36480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1968毫秒', '0', '', '2024-12-31 16:21:17');
INSERT INTO `sys_job_log` VALUES (36481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17868毫秒', '0', '', '2024-12-31 16:21:30');
INSERT INTO `sys_job_log` VALUES (36482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1539毫秒', '0', '', '2024-12-31 16:21:32');
INSERT INTO `sys_job_log` VALUES (36483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2010毫秒', '0', '', '2024-12-31 16:21:47');
INSERT INTO `sys_job_log` VALUES (36484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18768毫秒', '0', '', '2024-12-31 16:21:48');
INSERT INTO `sys_job_log` VALUES (36485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1378毫秒', '0', '', '2024-12-31 16:22:02');
INSERT INTO `sys_job_log` VALUES (36486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17667毫秒', '0', '', '2024-12-31 16:22:06');
INSERT INTO `sys_job_log` VALUES (36487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1862毫秒', '0', '', '2024-12-31 16:22:17');
INSERT INTO `sys_job_log` VALUES (36488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 16:22:24');
INSERT INTO `sys_job_log` VALUES (36489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1231毫秒', '0', '', '2024-12-31 16:22:31');
INSERT INTO `sys_job_log` VALUES (36490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17676毫秒', '0', '', '2024-12-31 16:22:41');
INSERT INTO `sys_job_log` VALUES (36491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1709毫秒', '0', '', '2024-12-31 16:22:47');
INSERT INTO `sys_job_log` VALUES (36492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 16:22:59');
INSERT INTO `sys_job_log` VALUES (36493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2187毫秒', '0', '', '2024-12-31 16:23:02');
INSERT INTO `sys_job_log` VALUES (36494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1553毫秒', '0', '', '2024-12-31 16:23:17');
INSERT INTO `sys_job_log` VALUES (36495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18780毫秒', '0', '', '2024-12-31 16:23:18');
INSERT INTO `sys_job_log` VALUES (36496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2036毫秒', '0', '', '2024-12-31 16:23:32');
INSERT INTO `sys_job_log` VALUES (36497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17688毫秒', '0', '', '2024-12-31 16:23:36');
INSERT INTO `sys_job_log` VALUES (36498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1491毫秒', '0', '', '2024-12-31 16:23:47');
INSERT INTO `sys_job_log` VALUES (36499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17789毫秒', '0', '', '2024-12-31 16:23:53');
INSERT INTO `sys_job_log` VALUES (36500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1962毫秒', '0', '', '2024-12-31 16:24:02');
INSERT INTO `sys_job_log` VALUES (36501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17650毫秒', '0', '', '2024-12-31 16:24:11');
INSERT INTO `sys_job_log` VALUES (36502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1346毫秒', '0', '', '2024-12-31 16:24:17');
INSERT INTO `sys_job_log` VALUES (36503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17773毫秒', '0', '', '2024-12-31 16:24:29');
INSERT INTO `sys_job_log` VALUES (36504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1921毫秒', '0', '', '2024-12-31 16:24:32');
INSERT INTO `sys_job_log` VALUES (36505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1304毫秒', '0', '', '2024-12-31 16:24:47');
INSERT INTO `sys_job_log` VALUES (36506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18778毫秒', '0', '', '2024-12-31 16:24:48');
INSERT INTO `sys_job_log` VALUES (36507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1764毫秒', '0', '', '2024-12-31 16:25:02');
INSERT INTO `sys_job_log` VALUES (36508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17677毫秒', '0', '', '2024-12-31 16:25:05');
INSERT INTO `sys_job_log` VALUES (36509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2234毫秒', '0', '', '2024-12-31 16:25:17');
INSERT INTO `sys_job_log` VALUES (36510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18475毫秒', '0', '', '2024-12-31 16:25:24');
INSERT INTO `sys_job_log` VALUES (36511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1305毫秒', '0', '', '2024-12-31 16:25:32');
INSERT INTO `sys_job_log` VALUES (36512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17744毫秒', '0', '', '2024-12-31 16:25:42');
INSERT INTO `sys_job_log` VALUES (36513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1888毫秒', '0', '', '2024-12-31 16:25:47');
INSERT INTO `sys_job_log` VALUES (36514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17706毫秒', '0', '', '2024-12-31 16:25:59');
INSERT INTO `sys_job_log` VALUES (36515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1259毫秒', '0', '', '2024-12-31 16:26:01');
INSERT INTO `sys_job_log` VALUES (36516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1828毫秒', '0', '', '2024-12-31 16:26:17');
INSERT INTO `sys_job_log` VALUES (36517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18881毫秒', '0', '', '2024-12-31 16:26:18');
INSERT INTO `sys_job_log` VALUES (36518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2024-12-31 16:26:31');
INSERT INTO `sys_job_log` VALUES (36519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17666毫秒', '0', '', '2024-12-31 16:26:36');
INSERT INTO `sys_job_log` VALUES (36520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1670毫秒', '0', '', '2024-12-31 16:26:47');
INSERT INTO `sys_job_log` VALUES (36521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17775毫秒', '0', '', '2024-12-31 16:26:54');
INSERT INTO `sys_job_log` VALUES (36522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1158毫秒', '0', '', '2024-12-31 16:27:01');
INSERT INTO `sys_job_log` VALUES (36523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 16:27:11');
INSERT INTO `sys_job_log` VALUES (36524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1620毫秒', '0', '', '2024-12-31 16:27:17');
INSERT INTO `sys_job_log` VALUES (36525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17782毫秒', '0', '', '2024-12-31 16:27:29');
INSERT INTO `sys_job_log` VALUES (36526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2197毫秒', '0', '', '2024-12-31 16:27:32');
INSERT INTO `sys_job_log` VALUES (36527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1961毫秒', '0', '', '2024-12-31 16:27:47');
INSERT INTO `sys_job_log` VALUES (36528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19176毫秒', '0', '', '2024-12-31 16:27:48');
INSERT INTO `sys_job_log` VALUES (36529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1332毫秒', '0', '', '2024-12-31 16:28:02');
INSERT INTO `sys_job_log` VALUES (36530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17669毫秒', '0', '', '2024-12-31 16:28:06');
INSERT INTO `sys_job_log` VALUES (36531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1818毫秒', '0', '', '2024-12-31 16:28:17');
INSERT INTO `sys_job_log` VALUES (36532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17873毫秒', '0', '', '2024-12-31 16:28:24');
INSERT INTO `sys_job_log` VALUES (36533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1381毫秒', '0', '', '2024-12-31 16:28:32');
INSERT INTO `sys_job_log` VALUES (36534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18278毫秒', '0', '', '2024-12-31 16:28:42');
INSERT INTO `sys_job_log` VALUES (36535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1364毫秒', '0', '', '2024-12-31 16:28:47');
INSERT INTO `sys_job_log` VALUES (36536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17677毫秒', '0', '', '2024-12-31 16:29:00');
INSERT INTO `sys_job_log` VALUES (36537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1834毫秒', '0', '', '2024-12-31 16:29:02');
INSERT INTO `sys_job_log` VALUES (36538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1601毫秒', '0', '', '2024-12-31 16:29:17');
INSERT INTO `sys_job_log` VALUES (36539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19176毫秒', '0', '', '2024-12-31 16:29:19');
INSERT INTO `sys_job_log` VALUES (36540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2077毫秒', '0', '', '2024-12-31 16:29:32');
INSERT INTO `sys_job_log` VALUES (36541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 16:29:37');
INSERT INTO `sys_job_log` VALUES (36542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1543毫秒', '0', '', '2024-12-31 16:29:47');
INSERT INTO `sys_job_log` VALUES (36543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17761毫秒', '0', '', '2024-12-31 16:29:55');
INSERT INTO `sys_job_log` VALUES (36544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2024毫秒', '0', '', '2024-12-31 16:30:02');
INSERT INTO `sys_job_log` VALUES (36545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17669毫秒', '0', '', '2024-12-31 16:30:12');
INSERT INTO `sys_job_log` VALUES (36546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1392毫秒', '0', '', '2024-12-31 16:30:17');
INSERT INTO `sys_job_log` VALUES (36547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17693毫秒', '0', '', '2024-12-31 16:30:30');
INSERT INTO `sys_job_log` VALUES (36548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1979毫秒', '0', '', '2024-12-31 16:30:32');
INSERT INTO `sys_job_log` VALUES (36549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1434毫秒', '0', '', '2024-12-31 16:30:47');
INSERT INTO `sys_job_log` VALUES (36550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18971毫秒', '0', '', '2024-12-31 16:30:49');
INSERT INTO `sys_job_log` VALUES (36551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2024-12-31 16:31:01');
INSERT INTO `sys_job_log` VALUES (36552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17963毫秒', '0', '', '2024-12-31 16:31:07');
INSERT INTO `sys_job_log` VALUES (36553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3294毫秒', '0', '', '2024-12-31 16:31:19');
INSERT INTO `sys_job_log` VALUES (36554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18312毫秒', '0', '', '2024-12-31 16:31:25');
INSERT INTO `sys_job_log` VALUES (36555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1685毫秒', '0', '', '2024-12-31 16:31:32');
INSERT INTO `sys_job_log` VALUES (36556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17740毫秒', '0', '', '2024-12-31 16:31:43');
INSERT INTO `sys_job_log` VALUES (36557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2024-12-31 16:31:46');
INSERT INTO `sys_job_log` VALUES (36558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17783毫秒', '0', '', '2024-12-31 16:32:01');
INSERT INTO `sys_job_log` VALUES (36559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1603毫秒', '0', '', '2024-12-31 16:32:02');
INSERT INTO `sys_job_log` VALUES (36560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2086毫秒', '0', '', '2024-12-31 16:32:17');
INSERT INTO `sys_job_log` VALUES (36561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18756毫秒', '0', '', '2024-12-31 16:32:20');
INSERT INTO `sys_job_log` VALUES (36562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1465毫秒', '0', '', '2024-12-31 16:32:32');
INSERT INTO `sys_job_log` VALUES (36563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 16:32:37');
INSERT INTO `sys_job_log` VALUES (36564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1917毫秒', '0', '', '2024-12-31 16:32:47');
INSERT INTO `sys_job_log` VALUES (36565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17676毫秒', '0', '', '2024-12-31 16:32:55');
INSERT INTO `sys_job_log` VALUES (36566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1293毫秒', '0', '', '2024-12-31 16:33:02');
INSERT INTO `sys_job_log` VALUES (36567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17670毫秒', '0', '', '2024-12-31 16:33:13');
INSERT INTO `sys_job_log` VALUES (36568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1780毫秒', '0', '', '2024-12-31 16:33:17');
INSERT INTO `sys_job_log` VALUES (36569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 16:33:30');
INSERT INTO `sys_job_log` VALUES (36570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1142毫秒', '0', '', '2024-12-31 16:33:31');
INSERT INTO `sys_job_log` VALUES (36571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1615毫秒', '0', '', '2024-12-31 16:33:47');
INSERT INTO `sys_job_log` VALUES (36572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2099毫秒', '0', '', '2024-12-31 16:34:02');
INSERT INTO `sys_job_log` VALUES (36573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34261毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:05');
INSERT INTO `sys_job_log` VALUES (36614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:06');
INSERT INTO `sys_job_log` VALUES (36655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:07');
INSERT INTO `sys_job_log` VALUES (36702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:08');
INSERT INTO `sys_job_log` VALUES (36725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:10');
INSERT INTO `sys_job_log` VALUES (36726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:15');
INSERT INTO `sys_job_log` VALUES (36727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1156毫秒', '0', '', '2024-12-31 16:34:16');
INSERT INTO `sys_job_log` VALUES (36728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:20');
INSERT INTO `sys_job_log` VALUES (36729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:34:25');
INSERT INTO `sys_job_log` VALUES (36730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:34:30');
INSERT INTO `sys_job_log` VALUES (36731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-31 16:34:31');
INSERT INTO `sys_job_log` VALUES (36732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:34:35');
INSERT INTO `sys_job_log` VALUES (36733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:40');
INSERT INTO `sys_job_log` VALUES (36734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:34:45');
INSERT INTO `sys_job_log` VALUES (36735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1098毫秒', '0', '', '2024-12-31 16:34:46');
INSERT INTO `sys_job_log` VALUES (36736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:34:50');
INSERT INTO `sys_job_log` VALUES (36737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:34:55');
INSERT INTO `sys_job_log` VALUES (36738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:35:00');
INSERT INTO `sys_job_log` VALUES (36739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2024-12-31 16:35:01');
INSERT INTO `sys_job_log` VALUES (36740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:35:05');
INSERT INTO `sys_job_log` VALUES (36741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:35:10');
INSERT INTO `sys_job_log` VALUES (36742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:35:15');
INSERT INTO `sys_job_log` VALUES (36743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-31 16:35:16');
INSERT INTO `sys_job_log` VALUES (36744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:35:20');
INSERT INTO `sys_job_log` VALUES (36745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:35:25');
INSERT INTO `sys_job_log` VALUES (36746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 16:35:30');
INSERT INTO `sys_job_log` VALUES (36747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1124毫秒', '0', '', '2024-12-31 16:35:31');
INSERT INTO `sys_job_log` VALUES (36748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:35:35');
INSERT INTO `sys_job_log` VALUES (36749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:35:40');
INSERT INTO `sys_job_log` VALUES (36750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2024-12-31 16:38:34');
INSERT INTO `sys_job_log` VALUES (36751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2154毫秒', '0', '', '2024-12-31 16:38:35');
INSERT INTO `sys_job_log` VALUES (36752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:38:35');
INSERT INTO `sys_job_log` VALUES (36753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:38:40');
INSERT INTO `sys_job_log` VALUES (36754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 16:38:45');
INSERT INTO `sys_job_log` VALUES (36755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1053毫秒', '0', '', '2024-12-31 16:38:46');
INSERT INTO `sys_job_log` VALUES (36756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:38:50');
INSERT INTO `sys_job_log` VALUES (36757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:38:55');
INSERT INTO `sys_job_log` VALUES (36758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 16:39:00');
INSERT INTO `sys_job_log` VALUES (36759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1071毫秒', '0', '', '2024-12-31 16:39:01');
INSERT INTO `sys_job_log` VALUES (36760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1202毫秒', '0', '', '2024-12-31 16:39:06');
INSERT INTO `sys_job_log` VALUES (36761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:39:10');
INSERT INTO `sys_job_log` VALUES (36762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:39:15');
INSERT INTO `sys_job_log` VALUES (36763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2352毫秒', '0', '', '2024-12-31 16:39:18');
INSERT INTO `sys_job_log` VALUES (36764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:39:20');
INSERT INTO `sys_job_log` VALUES (36765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:39:25');
INSERT INTO `sys_job_log` VALUES (36766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:39:30');
INSERT INTO `sys_job_log` VALUES (36767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4153毫秒', '0', '', '2024-12-31 16:39:34');
INSERT INTO `sys_job_log` VALUES (36768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:39:35');
INSERT INTO `sys_job_log` VALUES (36769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-31 16:39:40');
INSERT INTO `sys_job_log` VALUES (36770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:39:45');
INSERT INTO `sys_job_log` VALUES (36771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2604毫秒', '0', '', '2024-12-31 16:39:48');
INSERT INTO `sys_job_log` VALUES (36772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:39:50');
INSERT INTO `sys_job_log` VALUES (36773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:39:55');
INSERT INTO `sys_job_log` VALUES (36774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-31 16:40:00');
INSERT INTO `sys_job_log` VALUES (36775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1653毫秒', '0', '', '2024-12-31 16:40:02');
INSERT INTO `sys_job_log` VALUES (36776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:40:05');
INSERT INTO `sys_job_log` VALUES (36777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:40:10');
INSERT INTO `sys_job_log` VALUES (36778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:40:15');
INSERT INTO `sys_job_log` VALUES (36779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2536毫秒', '0', '', '2024-12-31 16:40:18');
INSERT INTO `sys_job_log` VALUES (36780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:40:20');
INSERT INTO `sys_job_log` VALUES (36781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:40:25');
INSERT INTO `sys_job_log` VALUES (36782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 16:40:30');
INSERT INTO `sys_job_log` VALUES (36783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1216毫秒', '0', '', '2024-12-31 16:40:31');
INSERT INTO `sys_job_log` VALUES (36784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:40:35');
INSERT INTO `sys_job_log` VALUES (36785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:40:40');
INSERT INTO `sys_job_log` VALUES (36786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:40:45');
INSERT INTO `sys_job_log` VALUES (36787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1181毫秒', '0', '', '2024-12-31 16:40:46');
INSERT INTO `sys_job_log` VALUES (36788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-31 16:40:50');
INSERT INTO `sys_job_log` VALUES (36789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:40:55');
INSERT INTO `sys_job_log` VALUES (36790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2024-12-31 16:41:00');
INSERT INTO `sys_job_log` VALUES (36791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1160毫秒', '0', '', '2024-12-31 16:41:01');
INSERT INTO `sys_job_log` VALUES (36792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:41:05');
INSERT INTO `sys_job_log` VALUES (36793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:41:10');
INSERT INTO `sys_job_log` VALUES (36794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:41:15');
INSERT INTO `sys_job_log` VALUES (36795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1125毫秒', '0', '', '2024-12-31 16:41:16');
INSERT INTO `sys_job_log` VALUES (36796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 16:41:20');
INSERT INTO `sys_job_log` VALUES (36797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:41:25');
INSERT INTO `sys_job_log` VALUES (36798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:41:30');
INSERT INTO `sys_job_log` VALUES (36799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1211毫秒', '0', '', '2024-12-31 16:41:31');
INSERT INTO `sys_job_log` VALUES (36800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:41:35');
INSERT INTO `sys_job_log` VALUES (36801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:41:40');
INSERT INTO `sys_job_log` VALUES (36802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:41:45');
INSERT INTO `sys_job_log` VALUES (36803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1172毫秒', '0', '', '2024-12-31 16:41:46');
INSERT INTO `sys_job_log` VALUES (36804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:41:50');
INSERT INTO `sys_job_log` VALUES (36805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:41:55');
INSERT INTO `sys_job_log` VALUES (36806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:42:00');
INSERT INTO `sys_job_log` VALUES (36807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-31 16:42:01');
INSERT INTO `sys_job_log` VALUES (36808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:42:05');
INSERT INTO `sys_job_log` VALUES (36809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:42:10');
INSERT INTO `sys_job_log` VALUES (36810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:42:15');
INSERT INTO `sys_job_log` VALUES (36811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1243毫秒', '0', '', '2024-12-31 16:42:16');
INSERT INTO `sys_job_log` VALUES (36812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:42:20');
INSERT INTO `sys_job_log` VALUES (36813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-31 16:42:25');
INSERT INTO `sys_job_log` VALUES (36814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:42:30');
INSERT INTO `sys_job_log` VALUES (36815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1180毫秒', '0', '', '2024-12-31 16:42:31');
INSERT INTO `sys_job_log` VALUES (36816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2083毫秒', '0', '', '2024-12-31 16:42:47');
INSERT INTO `sys_job_log` VALUES (36817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20550毫秒', '0', '', '2024-12-31 16:42:56');
INSERT INTO `sys_job_log` VALUES (36818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1253毫秒', '0', '', '2024-12-31 16:50:04');
INSERT INTO `sys_job_log` VALUES (36819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2355毫秒', '0', '', '2024-12-31 16:50:05');
INSERT INTO `sys_job_log` VALUES (36820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1444毫秒', '0', '', '2024-12-31 16:50:17');
INSERT INTO `sys_job_log` VALUES (36821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18294毫秒', '0', '', '2024-12-31 16:50:24');
INSERT INTO `sys_job_log` VALUES (36822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-31 16:50:31');
INSERT INTO `sys_job_log` VALUES (36823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18153毫秒', '0', '', '2024-12-31 16:50:42');
INSERT INTO `sys_job_log` VALUES (36824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1984毫秒', '0', '', '2024-12-31 16:50:47');
INSERT INTO `sys_job_log` VALUES (36825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17663毫秒', '0', '', '2024-12-31 16:50:59');
INSERT INTO `sys_job_log` VALUES (36826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1356毫秒', '0', '', '2024-12-31 16:51:02');
INSERT INTO `sys_job_log` VALUES (36827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1840毫秒', '0', '', '2024-12-31 16:51:17');
INSERT INTO `sys_job_log` VALUES (36828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18777毫秒', '0', '', '2024-12-31 16:51:18');
INSERT INTO `sys_job_log` VALUES (36829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1307毫秒', '0', '', '2024-12-31 16:51:32');
INSERT INTO `sys_job_log` VALUES (36830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17772毫秒', '0', '', '2024-12-31 16:51:36');
INSERT INTO `sys_job_log` VALUES (36831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1790毫秒', '0', '', '2024-12-31 16:51:47');
INSERT INTO `sys_job_log` VALUES (36832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 16:51:54');
INSERT INTO `sys_job_log` VALUES (36833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2024-12-31 16:52:01');
INSERT INTO `sys_job_log` VALUES (36834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17672毫秒', '0', '', '2024-12-31 16:52:11');
INSERT INTO `sys_job_log` VALUES (36835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1622毫秒', '0', '', '2024-12-31 16:52:17');
INSERT INTO `sys_job_log` VALUES (36836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 16:52:29');
INSERT INTO `sys_job_log` VALUES (36837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2099毫秒', '0', '', '2024-12-31 16:52:32');
INSERT INTO `sys_job_log` VALUES (36838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1453毫秒', '0', '', '2024-12-31 16:52:47');
INSERT INTO `sys_job_log` VALUES (36839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24305毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:53');
INSERT INTO `sys_job_log` VALUES (36850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:52:54');
INSERT INTO `sys_job_log` VALUES (36865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:52:55');
INSERT INTO `sys_job_log` VALUES (36866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:53:00');
INSERT INTO `sys_job_log` VALUES (36867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1949毫秒', '0', '', '2024-12-31 16:53:02');
INSERT INTO `sys_job_log` VALUES (36868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:53:05');
INSERT INTO `sys_job_log` VALUES (36869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:53:10');
INSERT INTO `sys_job_log` VALUES (36870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:53:15');
INSERT INTO `sys_job_log` VALUES (36871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2024-12-31 16:53:16');
INSERT INTO `sys_job_log` VALUES (36872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:53:20');
INSERT INTO `sys_job_log` VALUES (36873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:53:25');
INSERT INTO `sys_job_log` VALUES (36874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:53:30');
INSERT INTO `sys_job_log` VALUES (36875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1216毫秒', '0', '', '2024-12-31 16:54:43');
INSERT INTO `sys_job_log` VALUES (36876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2024-12-31 16:54:45');
INSERT INTO `sys_job_log` VALUES (36877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2024-12-31 16:54:46');
INSERT INTO `sys_job_log` VALUES (36878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:54:50');
INSERT INTO `sys_job_log` VALUES (36879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:54:55');
INSERT INTO `sys_job_log` VALUES (36880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:55:00');
INSERT INTO `sys_job_log` VALUES (36881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2024-12-31 16:55:01');
INSERT INTO `sys_job_log` VALUES (36882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:55:05');
INSERT INTO `sys_job_log` VALUES (36883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:55:10');
INSERT INTO `sys_job_log` VALUES (36884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:55:15');
INSERT INTO `sys_job_log` VALUES (36885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2024-12-31 16:55:16');
INSERT INTO `sys_job_log` VALUES (36886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:55:20');
INSERT INTO `sys_job_log` VALUES (36887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:55:25');
INSERT INTO `sys_job_log` VALUES (36888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:55:30');
INSERT INTO `sys_job_log` VALUES (36889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2024-12-31 16:55:31');
INSERT INTO `sys_job_log` VALUES (36890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:55:35');
INSERT INTO `sys_job_log` VALUES (36891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:55:40');
INSERT INTO `sys_job_log` VALUES (36892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:55:45');
INSERT INTO `sys_job_log` VALUES (36893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1146毫秒', '0', '', '2024-12-31 16:55:46');
INSERT INTO `sys_job_log` VALUES (36894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:55:50');
INSERT INTO `sys_job_log` VALUES (36895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:55:55');
INSERT INTO `sys_job_log` VALUES (36896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:56:00');
INSERT INTO `sys_job_log` VALUES (36897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3432毫秒', '0', '', '2024-12-31 16:56:04');
INSERT INTO `sys_job_log` VALUES (36898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:56:05');
INSERT INTO `sys_job_log` VALUES (36899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:56:10');
INSERT INTO `sys_job_log` VALUES (36900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:56:15');
INSERT INTO `sys_job_log` VALUES (36901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2789毫秒', '0', '', '2024-12-31 16:56:18');
INSERT INTO `sys_job_log` VALUES (36902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:56:20');
INSERT INTO `sys_job_log` VALUES (36903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:56:25');
INSERT INTO `sys_job_log` VALUES (36904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:56:30');
INSERT INTO `sys_job_log` VALUES (36905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2181毫秒', '0', '', '2024-12-31 16:56:32');
INSERT INTO `sys_job_log` VALUES (36906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:56:35');
INSERT INTO `sys_job_log` VALUES (36907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:56:40');
INSERT INTO `sys_job_log` VALUES (36908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:56:45');
INSERT INTO `sys_job_log` VALUES (36909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3258毫秒', '0', '', '2024-12-31 16:56:48');
INSERT INTO `sys_job_log` VALUES (36910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:56:50');
INSERT INTO `sys_job_log` VALUES (36911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:56:55');
INSERT INTO `sys_job_log` VALUES (36912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:57:00');
INSERT INTO `sys_job_log` VALUES (36913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3119毫秒', '0', '', '2024-12-31 16:57:03');
INSERT INTO `sys_job_log` VALUES (36914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:57:05');
INSERT INTO `sys_job_log` VALUES (36915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:57:10');
INSERT INTO `sys_job_log` VALUES (36916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:57:15');
INSERT INTO `sys_job_log` VALUES (36917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-31 16:57:16');
INSERT INTO `sys_job_log` VALUES (36918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:57:20');
INSERT INTO `sys_job_log` VALUES (36919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 16:57:25');
INSERT INTO `sys_job_log` VALUES (36920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 16:57:30');
INSERT INTO `sys_job_log` VALUES (36921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1162毫秒', '0', '', '2024-12-31 16:57:31');
INSERT INTO `sys_job_log` VALUES (36922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:57:35');
INSERT INTO `sys_job_log` VALUES (36923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:57:40');
INSERT INTO `sys_job_log` VALUES (36924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 16:57:45');
INSERT INTO `sys_job_log` VALUES (36925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-31 16:57:46');
INSERT INTO `sys_job_log` VALUES (36926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:57:50');
INSERT INTO `sys_job_log` VALUES (36927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:57:55');
INSERT INTO `sys_job_log` VALUES (36928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 16:58:00');
INSERT INTO `sys_job_log` VALUES (36929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2024-12-31 16:58:01');
INSERT INTO `sys_job_log` VALUES (36930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:58:05');
INSERT INTO `sys_job_log` VALUES (36931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:58:10');
INSERT INTO `sys_job_log` VALUES (36932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:58:15');
INSERT INTO `sys_job_log` VALUES (36933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3593毫秒', '0', '', '2024-12-31 16:58:19');
INSERT INTO `sys_job_log` VALUES (36934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 16:58:20');
INSERT INTO `sys_job_log` VALUES (36935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:58:25');
INSERT INTO `sys_job_log` VALUES (36936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 16:58:30');
INSERT INTO `sys_job_log` VALUES (36937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4662毫秒', '0', '', '2024-12-31 16:58:35');
INSERT INTO `sys_job_log` VALUES (36938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:58:35');
INSERT INTO `sys_job_log` VALUES (36939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:58:40');
INSERT INTO `sys_job_log` VALUES (36940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:58:45');
INSERT INTO `sys_job_log` VALUES (36941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2423毫秒', '0', '', '2024-12-31 16:58:48');
INSERT INTO `sys_job_log` VALUES (36942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 16:58:50');
INSERT INTO `sys_job_log` VALUES (36943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:58:55');
INSERT INTO `sys_job_log` VALUES (36944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:59:00');
INSERT INTO `sys_job_log` VALUES (36945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1385毫秒', '0', '', '2024-12-31 16:59:02');
INSERT INTO `sys_job_log` VALUES (36946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 16:59:05');
INSERT INTO `sys_job_log` VALUES (36947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 16:59:10');
INSERT INTO `sys_job_log` VALUES (36948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:59:15');
INSERT INTO `sys_job_log` VALUES (36949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2472毫秒', '0', '', '2024-12-31 16:59:18');
INSERT INTO `sys_job_log` VALUES (36950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:59:20');
INSERT INTO `sys_job_log` VALUES (36951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 16:59:25');
INSERT INTO `sys_job_log` VALUES (36952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 16:59:30');
INSERT INTO `sys_job_log` VALUES (36953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1122毫秒', '0', '', '2024-12-31 16:59:31');
INSERT INTO `sys_job_log` VALUES (36954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2220毫秒', '0', '', '2024-12-31 16:59:47');
INSERT INTO `sys_job_log` VALUES (36955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17738毫秒', '0', '', '2024-12-31 16:59:53');
INSERT INTO `sys_job_log` VALUES (36956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1685毫秒', '0', '', '2024-12-31 17:00:02');
INSERT INTO `sys_job_log` VALUES (36957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17761毫秒', '0', '', '2024-12-31 17:00:11');
INSERT INTO `sys_job_log` VALUES (36958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2168毫秒', '0', '', '2024-12-31 17:00:17');
INSERT INTO `sys_job_log` VALUES (36959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:00:28');
INSERT INTO `sys_job_log` VALUES (36960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1532毫秒', '0', '', '2024-12-31 17:00:32');
INSERT INTO `sys_job_log` VALUES (36961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17665毫秒', '0', '', '2024-12-31 17:00:46');
INSERT INTO `sys_job_log` VALUES (36962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2005毫秒', '0', '', '2024-12-31 17:00:47');
INSERT INTO `sys_job_log` VALUES (36963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1376毫秒', '0', '', '2024-12-31 17:01:02');
INSERT INTO `sys_job_log` VALUES (36964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18781毫秒', '0', '', '2024-12-31 17:01:05');
INSERT INTO `sys_job_log` VALUES (36965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1854毫秒', '0', '', '2024-12-31 17:01:17');
INSERT INTO `sys_job_log` VALUES (36966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:01:23');
INSERT INTO `sys_job_log` VALUES (36967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2024-12-31 17:01:31');
INSERT INTO `sys_job_log` VALUES (36968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:01:40');
INSERT INTO `sys_job_log` VALUES (36969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1797毫秒', '0', '', '2024-12-31 17:01:47');
INSERT INTO `sys_job_log` VALUES (36970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1279毫秒', '0', '', '2024-12-31 17:07:58');
INSERT INTO `sys_job_log` VALUES (36971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1125毫秒', '0', '', '2024-12-31 17:08:01');
INSERT INTO `sys_job_log` VALUES (36972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1405毫秒', '0', '', '2024-12-31 17:08:17');
INSERT INTO `sys_job_log` VALUES (36973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19707毫秒', '0', '', '2024-12-31 17:08:20');
INSERT INTO `sys_job_log` VALUES (36974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1483毫秒', '0', '', '2024-12-31 17:08:32');
INSERT INTO `sys_job_log` VALUES (36975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18373毫秒', '0', '', '2024-12-31 17:08:38');
INSERT INTO `sys_job_log` VALUES (36976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1945毫秒', '0', '', '2024-12-31 17:08:47');
INSERT INTO `sys_job_log` VALUES (36977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:08:56');
INSERT INTO `sys_job_log` VALUES (36978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1312毫秒', '0', '', '2024-12-31 17:09:02');
INSERT INTO `sys_job_log` VALUES (36979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17665毫秒', '0', '', '2024-12-31 17:09:14');
INSERT INTO `sys_job_log` VALUES (36980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1790毫秒', '0', '', '2024-12-31 17:09:17');
INSERT INTO `sys_job_log` VALUES (36981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-31 17:09:31');
INSERT INTO `sys_job_log` VALUES (36982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18783毫秒', '0', '', '2024-12-31 17:09:33');
INSERT INTO `sys_job_log` VALUES (36983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2024-12-31 17:09:47');
INSERT INTO `sys_job_log` VALUES (36984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18072毫秒', '0', '', '2024-12-31 17:09:51');
INSERT INTO `sys_job_log` VALUES (36985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1394毫秒', '0', '', '2024-12-31 17:10:02');
INSERT INTO `sys_job_log` VALUES (36986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17793毫秒', '0', '', '2024-12-31 17:10:08');
INSERT INTO `sys_job_log` VALUES (36987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2086毫秒', '0', '', '2024-12-31 17:10:17');
INSERT INTO `sys_job_log` VALUES (36988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17844毫秒', '0', '', '2024-12-31 17:10:26');
INSERT INTO `sys_job_log` VALUES (36989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1553毫秒', '0', '', '2024-12-31 17:10:32');
INSERT INTO `sys_job_log` VALUES (36990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17667毫秒', '0', '', '2024-12-31 17:10:44');
INSERT INTO `sys_job_log` VALUES (36991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2019毫秒', '0', '', '2024-12-31 17:10:47');
INSERT INTO `sys_job_log` VALUES (36992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1501毫秒', '0', '', '2024-12-31 17:11:02');
INSERT INTO `sys_job_log` VALUES (36993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18902毫秒', '0', '', '2024-12-31 17:11:03');
INSERT INTO `sys_job_log` VALUES (36994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2179毫秒', '0', '', '2024-12-31 17:11:17');
INSERT INTO `sys_job_log` VALUES (36995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17840毫秒', '0', '', '2024-12-31 17:11:21');
INSERT INTO `sys_job_log` VALUES (36996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1543毫秒', '0', '', '2024-12-31 17:11:32');
INSERT INTO `sys_job_log` VALUES (36997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17672毫秒', '0', '', '2024-12-31 17:11:38');
INSERT INTO `sys_job_log` VALUES (36998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2019毫秒', '0', '', '2024-12-31 17:11:47');
INSERT INTO `sys_job_log` VALUES (36999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17669毫秒', '0', '', '2024-12-31 17:11:56');
INSERT INTO `sys_job_log` VALUES (37000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1379毫秒', '0', '', '2024-12-31 17:12:02');
INSERT INTO `sys_job_log` VALUES (37001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17682毫秒', '0', '', '2024-12-31 17:12:14');
INSERT INTO `sys_job_log` VALUES (37002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1854毫秒', '0', '', '2024-12-31 17:12:17');
INSERT INTO `sys_job_log` VALUES (37003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1248毫秒', '0', '', '2024-12-31 17:12:31');
INSERT INTO `sys_job_log` VALUES (37004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18809毫秒', '0', '', '2024-12-31 17:12:33');
INSERT INTO `sys_job_log` VALUES (37005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1900毫秒', '0', '', '2024-12-31 17:12:47');
INSERT INTO `sys_job_log` VALUES (37006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17841毫秒', '0', '', '2024-12-31 17:12:50');
INSERT INTO `sys_job_log` VALUES (37007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1276毫秒', '0', '', '2024-12-31 17:13:02');
INSERT INTO `sys_job_log` VALUES (37008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17660毫秒', '0', '', '2024-12-31 17:13:08');
INSERT INTO `sys_job_log` VALUES (37009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2024-12-31 17:13:17');
INSERT INTO `sys_job_log` VALUES (37010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18074毫秒', '0', '', '2024-12-31 17:13:26');
INSERT INTO `sys_job_log` VALUES (37011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1633毫秒', '0', '', '2024-12-31 17:13:32');
INSERT INTO `sys_job_log` VALUES (37012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17736毫秒', '0', '', '2024-12-31 17:13:44');
INSERT INTO `sys_job_log` VALUES (37013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2095毫秒', '0', '', '2024-12-31 17:13:47');
INSERT INTO `sys_job_log` VALUES (37014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1477毫秒', '0', '', '2024-12-31 17:14:02');
INSERT INTO `sys_job_log` VALUES (37015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18794毫秒', '0', '', '2024-12-31 17:14:03');
INSERT INTO `sys_job_log` VALUES (37016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1356毫秒', '0', '', '2024-12-31 17:14:17');
INSERT INTO `sys_job_log` VALUES (37017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18175毫秒', '0', '', '2024-12-31 17:14:21');
INSERT INTO `sys_job_log` VALUES (37018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2130毫秒', '0', '', '2024-12-31 17:14:32');
INSERT INTO `sys_job_log` VALUES (37019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18157毫秒', '0', '', '2024-12-31 17:14:39');
INSERT INTO `sys_job_log` VALUES (37020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1902毫秒', '0', '', '2024-12-31 17:14:47');
INSERT INTO `sys_job_log` VALUES (37021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17842毫秒', '0', '', '2024-12-31 17:14:57');
INSERT INTO `sys_job_log` VALUES (37022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1252毫秒', '0', '', '2024-12-31 17:15:02');
INSERT INTO `sys_job_log` VALUES (37023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17668毫秒', '0', '', '2024-12-31 17:15:15');
INSERT INTO `sys_job_log` VALUES (37024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1730毫秒', '0', '', '2024-12-31 17:15:17');
INSERT INTO `sys_job_log` VALUES (37025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1515毫秒', '0', '', '2024-12-31 17:15:32');
INSERT INTO `sys_job_log` VALUES (37026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19286毫秒', '0', '', '2024-12-31 17:15:34');
INSERT INTO `sys_job_log` VALUES (37027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2188毫秒', '0', '', '2024-12-31 17:15:47');
INSERT INTO `sys_job_log` VALUES (37028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17757毫秒', '0', '', '2024-12-31 17:15:52');
INSERT INTO `sys_job_log` VALUES (37029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1548毫秒', '0', '', '2024-12-31 17:16:02');
INSERT INTO `sys_job_log` VALUES (37030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2024-12-31 17:16:10');
INSERT INTO `sys_job_log` VALUES (37031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2042毫秒', '0', '', '2024-12-31 17:16:17');
INSERT INTO `sys_job_log` VALUES (37032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17682毫秒', '0', '', '2024-12-31 17:16:27');
INSERT INTO `sys_job_log` VALUES (37033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1500毫秒', '0', '', '2024-12-31 17:16:32');
INSERT INTO `sys_job_log` VALUES (37034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17742毫秒', '0', '', '2024-12-31 17:16:45');
INSERT INTO `sys_job_log` VALUES (37035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1969毫秒', '0', '', '2024-12-31 17:16:47');
INSERT INTO `sys_job_log` VALUES (37036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1893毫秒', '0', '', '2024-12-31 17:17:02');
INSERT INTO `sys_job_log` VALUES (37037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19198毫秒', '0', '', '2024-12-31 17:17:04');
INSERT INTO `sys_job_log` VALUES (37038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1518毫秒', '0', '', '2024-12-31 17:17:17');
INSERT INTO `sys_job_log` VALUES (37039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18043毫秒', '0', '', '2024-12-31 17:17:22');
INSERT INTO `sys_job_log` VALUES (37040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2024-12-31 17:17:32');
INSERT INTO `sys_job_log` VALUES (37041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:17:40');
INSERT INTO `sys_job_log` VALUES (37042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1355毫秒', '0', '', '2024-12-31 17:17:47');
INSERT INTO `sys_job_log` VALUES (37043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:17:58');
INSERT INTO `sys_job_log` VALUES (37044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1850毫秒', '0', '', '2024-12-31 17:18:02');
INSERT INTO `sys_job_log` VALUES (37045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17682毫秒', '0', '', '2024-12-31 17:18:15');
INSERT INTO `sys_job_log` VALUES (37046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1419毫秒', '0', '', '2024-12-31 17:18:17');
INSERT INTO `sys_job_log` VALUES (37047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1698毫秒', '0', '', '2024-12-31 17:18:32');
INSERT INTO `sys_job_log` VALUES (37048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18767毫秒', '0', '', '2024-12-31 17:18:34');
INSERT INTO `sys_job_log` VALUES (37049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1357毫秒', '0', '', '2024-12-31 17:18:47');
INSERT INTO `sys_job_log` VALUES (37050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17974毫秒', '0', '', '2024-12-31 17:18:52');
INSERT INTO `sys_job_log` VALUES (37051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1833毫秒', '0', '', '2024-12-31 17:19:02');
INSERT INTO `sys_job_log` VALUES (37052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:19:10');
INSERT INTO `sys_job_log` VALUES (37053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1396毫秒', '0', '', '2024-12-31 17:19:17');
INSERT INTO `sys_job_log` VALUES (37054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17871毫秒', '0', '', '2024-12-31 17:19:28');
INSERT INTO `sys_job_log` VALUES (37055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1985毫秒', '0', '', '2024-12-31 17:19:32');
INSERT INTO `sys_job_log` VALUES (37056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17953毫秒', '0', '', '2024-12-31 17:19:46');
INSERT INTO `sys_job_log` VALUES (37057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1550毫秒', '0', '', '2024-12-31 17:19:47');
INSERT INTO `sys_job_log` VALUES (37058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2024毫秒', '0', '', '2024-12-31 17:20:02');
INSERT INTO `sys_job_log` VALUES (37059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18772毫秒', '0', '', '2024-12-31 17:20:04');
INSERT INTO `sys_job_log` VALUES (37060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1401毫秒', '0', '', '2024-12-31 17:20:17');
INSERT INTO `sys_job_log` VALUES (37061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17681毫秒', '0', '', '2024-12-31 17:20:22');
INSERT INTO `sys_job_log` VALUES (37062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1879毫秒', '0', '', '2024-12-31 17:20:32');
INSERT INTO `sys_job_log` VALUES (37063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17669毫秒', '0', '', '2024-12-31 17:20:40');
INSERT INTO `sys_job_log` VALUES (37064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2024-12-31 17:20:46');
INSERT INTO `sys_job_log` VALUES (37065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18374毫秒', '0', '', '2024-12-31 17:20:58');
INSERT INTO `sys_job_log` VALUES (37066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1319毫秒', '0', '', '2024-12-31 17:21:02');
INSERT INTO `sys_job_log` VALUES (37067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:21:16');
INSERT INTO `sys_job_log` VALUES (37068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1780毫秒', '0', '', '2024-12-31 17:21:17');
INSERT INTO `sys_job_log` VALUES (37069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-31 17:21:31');
INSERT INTO `sys_job_log` VALUES (37070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18782毫秒', '0', '', '2024-12-31 17:21:35');
INSERT INTO `sys_job_log` VALUES (37071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1744毫秒', '0', '', '2024-12-31 17:21:47');
INSERT INTO `sys_job_log` VALUES (37072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17895毫秒', '0', '', '2024-12-31 17:21:53');
INSERT INTO `sys_job_log` VALUES (37073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1416毫秒', '0', '', '2024-12-31 17:22:02');
INSERT INTO `sys_job_log` VALUES (37074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17842毫秒', '0', '', '2024-12-31 17:22:10');
INSERT INTO `sys_job_log` VALUES (37075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1895毫秒', '0', '', '2024-12-31 17:22:17');
INSERT INTO `sys_job_log` VALUES (37076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18483毫秒', '0', '', '2024-12-31 17:22:29');
INSERT INTO `sys_job_log` VALUES (37077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3269毫秒', '0', '', '2024-12-31 17:22:34');
INSERT INTO `sys_job_log` VALUES (37078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1531毫秒', '0', '', '2024-12-31 17:22:47');
INSERT INTO `sys_job_log` VALUES (37079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18869毫秒', '0', '', '2024-12-31 17:22:48');
INSERT INTO `sys_job_log` VALUES (37080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2107毫秒', '0', '', '2024-12-31 17:23:02');
INSERT INTO `sys_job_log` VALUES (37081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17773毫秒', '0', '', '2024-12-31 17:23:06');
INSERT INTO `sys_job_log` VALUES (37082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1468毫秒', '0', '', '2024-12-31 17:23:17');
INSERT INTO `sys_job_log` VALUES (37083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17670毫秒', '0', '', '2024-12-31 17:23:23');
INSERT INTO `sys_job_log` VALUES (37084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1975毫秒', '0', '', '2024-12-31 17:23:32');
INSERT INTO `sys_job_log` VALUES (37085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17899毫秒', '0', '', '2024-12-31 17:23:41');
INSERT INTO `sys_job_log` VALUES (37086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1635毫秒', '0', '', '2024-12-31 17:23:47');
INSERT INTO `sys_job_log` VALUES (37087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17862毫秒', '0', '', '2024-12-31 17:23:59');
INSERT INTO `sys_job_log` VALUES (37088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-31 17:24:01');
INSERT INTO `sys_job_log` VALUES (37089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1659毫秒', '0', '', '2024-12-31 17:24:17');
INSERT INTO `sys_job_log` VALUES (37090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18849毫秒', '0', '', '2024-12-31 17:24:18');
INSERT INTO `sys_job_log` VALUES (37091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2136毫秒', '0', '', '2024-12-31 17:24:32');
INSERT INTO `sys_job_log` VALUES (37092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:24:36');
INSERT INTO `sys_job_log` VALUES (37093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1514毫秒', '0', '', '2024-12-31 17:24:47');
INSERT INTO `sys_job_log` VALUES (37094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 17:24:53');
INSERT INTO `sys_job_log` VALUES (37095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1980毫秒', '0', '', '2024-12-31 17:25:02');
INSERT INTO `sys_job_log` VALUES (37096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17676毫秒', '0', '', '2024-12-31 17:25:11');
INSERT INTO `sys_job_log` VALUES (37097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1450毫秒', '0', '', '2024-12-31 17:25:17');
INSERT INTO `sys_job_log` VALUES (37098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17752毫秒', '0', '', '2024-12-31 17:25:29');
INSERT INTO `sys_job_log` VALUES (37099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1938毫秒', '0', '', '2024-12-31 17:25:32');
INSERT INTO `sys_job_log` VALUES (37100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1302毫秒', '0', '', '2024-12-31 17:25:47');
INSERT INTO `sys_job_log` VALUES (37101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18797毫秒', '0', '', '2024-12-31 17:25:48');
INSERT INTO `sys_job_log` VALUES (37102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1772毫秒', '0', '', '2024-12-31 17:26:02');
INSERT INTO `sys_job_log` VALUES (37103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17656毫秒', '0', '', '2024-12-31 17:26:05');
INSERT INTO `sys_job_log` VALUES (37104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2257毫秒', '0', '', '2024-12-31 17:26:18');
INSERT INTO `sys_job_log` VALUES (37105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17798毫秒', '0', '', '2024-12-31 17:26:23');
INSERT INTO `sys_job_log` VALUES (37106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1812毫秒', '0', '', '2024-12-31 17:26:32');
INSERT INTO `sys_job_log` VALUES (37107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17743毫秒', '0', '', '2024-12-31 17:26:41');
INSERT INTO `sys_job_log` VALUES (37108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1195毫秒', '0', '', '2024-12-31 17:26:46');
INSERT INTO `sys_job_log` VALUES (37109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17667毫秒', '0', '', '2024-12-31 17:26:59');
INSERT INTO `sys_job_log` VALUES (37110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1662毫秒', '0', '', '2024-12-31 17:27:02');
INSERT INTO `sys_job_log` VALUES (37111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:27:16');
INSERT INTO `sys_job_log` VALUES (37112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2137毫秒', '0', '', '2024-12-31 17:27:17');
INSERT INTO `sys_job_log` VALUES (37113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1514毫秒', '0', '', '2024-12-31 17:27:32');
INSERT INTO `sys_job_log` VALUES (37114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18779毫秒', '0', '', '2024-12-31 17:27:35');
INSERT INTO `sys_job_log` VALUES (37115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1989毫秒', '0', '', '2024-12-31 17:27:47');
INSERT INTO `sys_job_log` VALUES (37116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17672毫秒', '0', '', '2024-12-31 17:27:53');
INSERT INTO `sys_job_log` VALUES (37117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1363毫秒', '0', '', '2024-12-31 17:28:02');
INSERT INTO `sys_job_log` VALUES (37118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 17:28:10');
INSERT INTO `sys_job_log` VALUES (37119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1829毫秒', '0', '', '2024-12-31 17:28:17');
INSERT INTO `sys_job_log` VALUES (37120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:28:28');
INSERT INTO `sys_job_log` VALUES (37121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1197毫秒', '0', '', '2024-12-31 17:28:31');
INSERT INTO `sys_job_log` VALUES (37122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:28:46');
INSERT INTO `sys_job_log` VALUES (37123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1673毫秒', '0', '', '2024-12-31 17:28:47');
INSERT INTO `sys_job_log` VALUES (37124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2161毫秒', '0', '', '2024-12-31 17:29:02');
INSERT INTO `sys_job_log` VALUES (37125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18774毫秒', '0', '', '2024-12-31 17:29:05');
INSERT INTO `sys_job_log` VALUES (37126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1517毫秒', '0', '', '2024-12-31 17:29:17');
INSERT INTO `sys_job_log` VALUES (37127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17678毫秒', '0', '', '2024-12-31 17:29:22');
INSERT INTO `sys_job_log` VALUES (37128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2024-12-31 17:29:32');
INSERT INTO `sys_job_log` VALUES (37129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:29:40');
INSERT INTO `sys_job_log` VALUES (37130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1452毫秒', '0', '', '2024-12-31 17:29:47');
INSERT INTO `sys_job_log` VALUES (37131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17778毫秒', '0', '', '2024-12-31 17:29:58');
INSERT INTO `sys_job_log` VALUES (37132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1945毫秒', '0', '', '2024-12-31 17:30:02');
INSERT INTO `sys_job_log` VALUES (37133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17663毫秒', '0', '', '2024-12-31 17:30:15');
INSERT INTO `sys_job_log` VALUES (37134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1310毫秒', '0', '', '2024-12-31 17:30:17');
INSERT INTO `sys_job_log` VALUES (37135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1796毫秒', '0', '', '2024-12-31 17:30:32');
INSERT INTO `sys_job_log` VALUES (37136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18779毫秒', '0', '', '2024-12-31 17:30:34');
INSERT INTO `sys_job_log` VALUES (37137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1155毫秒', '0', '', '2024-12-31 17:30:46');
INSERT INTO `sys_job_log` VALUES (37138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:30:52');
INSERT INTO `sys_job_log` VALUES (37139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1633毫秒', '0', '', '2024-12-31 17:31:02');
INSERT INTO `sys_job_log` VALUES (37140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:31:10');
INSERT INTO `sys_job_log` VALUES (37141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2113毫秒', '0', '', '2024-12-31 17:31:17');
INSERT INTO `sys_job_log` VALUES (37142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17676毫秒', '0', '', '2024-12-31 17:31:27');
INSERT INTO `sys_job_log` VALUES (37143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1480毫秒', '0', '', '2024-12-31 17:31:32');
INSERT INTO `sys_job_log` VALUES (37144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17792毫秒', '0', '', '2024-12-31 17:31:45');
INSERT INTO `sys_job_log` VALUES (37145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2166毫秒', '0', '', '2024-12-31 17:31:47');
INSERT INTO `sys_job_log` VALUES (37146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1542毫秒', '0', '', '2024-12-31 17:32:02');
INSERT INTO `sys_job_log` VALUES (37147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18851毫秒', '0', '', '2024-12-31 17:32:04');
INSERT INTO `sys_job_log` VALUES (37148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1992毫秒', '0', '', '2024-12-31 17:32:17');
INSERT INTO `sys_job_log` VALUES (37149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:32:22');
INSERT INTO `sys_job_log` VALUES (37150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1370毫秒', '0', '', '2024-12-31 17:32:32');
INSERT INTO `sys_job_log` VALUES (37151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17668毫秒', '0', '', '2024-12-31 17:32:39');
INSERT INTO `sys_job_log` VALUES (37152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1851毫秒', '0', '', '2024-12-31 17:32:47');
INSERT INTO `sys_job_log` VALUES (37153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17668毫秒', '0', '', '2024-12-31 17:32:57');
INSERT INTO `sys_job_log` VALUES (37154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2024-12-31 17:33:01');
INSERT INTO `sys_job_log` VALUES (37155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:33:15');
INSERT INTO `sys_job_log` VALUES (37156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1690毫秒', '0', '', '2024-12-31 17:33:17');
INSERT INTO `sys_job_log` VALUES (37157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2162毫秒', '0', '', '2024-12-31 17:33:32');
INSERT INTO `sys_job_log` VALUES (37158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18776毫秒', '0', '', '2024-12-31 17:33:34');
INSERT INTO `sys_job_log` VALUES (37159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1534毫秒', '0', '', '2024-12-31 17:33:47');
INSERT INTO `sys_job_log` VALUES (37160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:33:51');
INSERT INTO `sys_job_log` VALUES (37161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2004毫秒', '0', '', '2024-12-31 17:34:02');
INSERT INTO `sys_job_log` VALUES (37162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17679毫秒', '0', '', '2024-12-31 17:34:09');
INSERT INTO `sys_job_log` VALUES (37163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1392毫秒', '0', '', '2024-12-31 17:34:17');
INSERT INTO `sys_job_log` VALUES (37164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:34:27');
INSERT INTO `sys_job_log` VALUES (37165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1870毫秒', '0', '', '2024-12-31 17:34:32');
INSERT INTO `sys_job_log` VALUES (37166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17667毫秒', '0', '', '2024-12-31 17:34:44');
INSERT INTO `sys_job_log` VALUES (37167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1224毫秒', '0', '', '2024-12-31 17:34:46');
INSERT INTO `sys_job_log` VALUES (37168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1702毫秒', '0', '', '2024-12-31 17:35:02');
INSERT INTO `sys_job_log` VALUES (37169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18778毫秒', '0', '', '2024-12-31 17:35:03');
INSERT INTO `sys_job_log` VALUES (37170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2173毫秒', '0', '', '2024-12-31 17:35:17');
INSERT INTO `sys_job_log` VALUES (37171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:35:21');
INSERT INTO `sys_job_log` VALUES (37172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1544毫秒', '0', '', '2024-12-31 17:35:32');
INSERT INTO `sys_job_log` VALUES (37173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17682毫秒', '0', '', '2024-12-31 17:35:38');
INSERT INTO `sys_job_log` VALUES (37174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2025毫秒', '0', '', '2024-12-31 17:35:47');
INSERT INTO `sys_job_log` VALUES (37175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17690毫秒', '0', '', '2024-12-31 17:35:56');
INSERT INTO `sys_job_log` VALUES (37176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1512毫秒', '0', '', '2024-12-31 17:36:02');
INSERT INTO `sys_job_log` VALUES (37177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17740毫秒', '0', '', '2024-12-31 17:36:14');
INSERT INTO `sys_job_log` VALUES (37178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1964毫秒', '0', '', '2024-12-31 17:36:17');
INSERT INTO `sys_job_log` VALUES (37179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1335毫秒', '0', '', '2024-12-31 17:36:32');
INSERT INTO `sys_job_log` VALUES (37180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18788毫秒', '0', '', '2024-12-31 17:36:33');
INSERT INTO `sys_job_log` VALUES (37181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1813毫秒', '0', '', '2024-12-31 17:36:47');
INSERT INTO `sys_job_log` VALUES (37182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17661毫秒', '0', '', '2024-12-31 17:36:50');
INSERT INTO `sys_job_log` VALUES (37183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1193毫秒', '0', '', '2024-12-31 17:37:01');
INSERT INTO `sys_job_log` VALUES (37184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17675毫秒', '0', '', '2024-12-31 17:37:08');
INSERT INTO `sys_job_log` VALUES (37185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1658毫秒', '0', '', '2024-12-31 17:37:17');
INSERT INTO `sys_job_log` VALUES (37186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 17:37:26');
INSERT INTO `sys_job_log` VALUES (37187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2132毫秒', '0', '', '2024-12-31 17:37:32');
INSERT INTO `sys_job_log` VALUES (37188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17710毫秒', '0', '', '2024-12-31 17:37:43');
INSERT INTO `sys_job_log` VALUES (37189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1623毫秒', '0', '', '2024-12-31 17:37:47');
INSERT INTO `sys_job_log` VALUES (37190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1880毫秒', '0', '', '2024-12-31 17:38:02');
INSERT INTO `sys_job_log` VALUES (37191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19750毫秒', '0', '', '2024-12-31 17:38:03');
INSERT INTO `sys_job_log` VALUES (37192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1255毫秒', '0', '', '2024-12-31 17:38:17');
INSERT INTO `sys_job_log` VALUES (37193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17671毫秒', '0', '', '2024-12-31 17:38:21');
INSERT INTO `sys_job_log` VALUES (37194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1724毫秒', '0', '', '2024-12-31 17:38:32');
INSERT INTO `sys_job_log` VALUES (37195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17778毫秒', '0', '', '2024-12-31 17:38:39');
INSERT INTO `sys_job_log` VALUES (37196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2024-12-31 17:38:46');
INSERT INTO `sys_job_log` VALUES (37197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17662毫秒', '0', '', '2024-12-31 17:38:56');
INSERT INTO `sys_job_log` VALUES (37198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1680毫秒', '0', '', '2024-12-31 17:39:02');
INSERT INTO `sys_job_log` VALUES (37199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17674毫秒', '0', '', '2024-12-31 17:39:14');
INSERT INTO `sys_job_log` VALUES (37200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2149毫秒', '0', '', '2024-12-31 17:39:17');
INSERT INTO `sys_job_log` VALUES (37201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1511毫秒', '0', '', '2024-12-31 17:39:32');
INSERT INTO `sys_job_log` VALUES (37202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18784毫秒', '0', '', '2024-12-31 17:39:33');
INSERT INTO `sys_job_log` VALUES (37203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1977毫秒', '0', '', '2024-12-31 17:39:47');
INSERT INTO `sys_job_log` VALUES (37204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17672毫秒', '0', '', '2024-12-31 17:39:51');
INSERT INTO `sys_job_log` VALUES (37205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1456毫秒', '0', '', '2024-12-31 17:40:02');
INSERT INTO `sys_job_log` VALUES (37206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17763毫秒', '0', '', '2024-12-31 17:40:08');
INSERT INTO `sys_job_log` VALUES (37207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1937毫秒', '0', '', '2024-12-31 17:40:17');
INSERT INTO `sys_job_log` VALUES (37208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:40:26');
INSERT INTO `sys_job_log` VALUES (37209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1312毫秒', '0', '', '2024-12-31 17:40:32');
INSERT INTO `sys_job_log` VALUES (37210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17778毫秒', '0', '', '2024-12-31 17:40:44');
INSERT INTO `sys_job_log` VALUES (37211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1888毫秒', '0', '', '2024-12-31 17:40:47');
INSERT INTO `sys_job_log` VALUES (37212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1255毫秒', '0', '', '2024-12-31 17:41:02');
INSERT INTO `sys_job_log` VALUES (37213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18778毫秒', '0', '', '2024-12-31 17:41:03');
INSERT INTO `sys_job_log` VALUES (37214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1720毫秒', '0', '', '2024-12-31 17:41:17');
INSERT INTO `sys_job_log` VALUES (37215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18798毫秒', '0', '', '2024-12-31 17:41:21');
INSERT INTO `sys_job_log` VALUES (37216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:21');
INSERT INTO `sys_job_log` VALUES (37217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:22');
INSERT INTO `sys_job_log` VALUES (37247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:41:23');
INSERT INTO `sys_job_log` VALUES (37293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:24');
INSERT INTO `sys_job_log` VALUES (37345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:25');
INSERT INTO `sys_job_log` VALUES (37381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:26');
INSERT INTO `sys_job_log` VALUES (37415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:27');
INSERT INTO `sys_job_log` VALUES (37445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:28');
INSERT INTO `sys_job_log` VALUES (37475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:29');
INSERT INTO `sys_job_log` VALUES (37506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:30');
INSERT INTO `sys_job_log` VALUES (37507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:30');
INSERT INTO `sys_job_log` VALUES (37508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2216毫秒', '0', '', '2024-12-31 17:41:32');
INSERT INTO `sys_job_log` VALUES (37509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:35');
INSERT INTO `sys_job_log` VALUES (37510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:41:40');
INSERT INTO `sys_job_log` VALUES (37511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:45');
INSERT INTO `sys_job_log` VALUES (37512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2024-12-31 17:41:46');
INSERT INTO `sys_job_log` VALUES (37513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 17:41:50');
INSERT INTO `sys_job_log` VALUES (37514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 17:41:55');
INSERT INTO `sys_job_log` VALUES (37515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 17:42:00');
INSERT INTO `sys_job_log` VALUES (37516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2024-12-31 17:42:01');
INSERT INTO `sys_job_log` VALUES (37517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 17:42:05');
INSERT INTO `sys_job_log` VALUES (37518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1247毫秒', '0', '', '2024-12-31 17:45:09');
INSERT INTO `sys_job_log` VALUES (37519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:45:10');
INSERT INTO `sys_job_log` VALUES (37520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2024-12-31 17:45:15');
INSERT INTO `sys_job_log` VALUES (37521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2024-12-31 17:45:16');
INSERT INTO `sys_job_log` VALUES (37522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:45:20');
INSERT INTO `sys_job_log` VALUES (37523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:45:25');
INSERT INTO `sys_job_log` VALUES (37524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:45:30');
INSERT INTO `sys_job_log` VALUES (37525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2476毫秒', '0', '', '2024-12-31 17:45:33');
INSERT INTO `sys_job_log` VALUES (37526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:45:35');
INSERT INTO `sys_job_log` VALUES (37527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:45:40');
INSERT INTO `sys_job_log` VALUES (37528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:45:45');
INSERT INTO `sys_job_log` VALUES (37529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3758毫秒', '0', '', '2024-12-31 17:45:49');
INSERT INTO `sys_job_log` VALUES (37530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:45:50');
INSERT INTO `sys_job_log` VALUES (37531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 17:45:55');
INSERT INTO `sys_job_log` VALUES (37532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 17:46:00');
INSERT INTO `sys_job_log` VALUES (37533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4836毫秒', '0', '', '2024-12-31 17:46:05');
INSERT INTO `sys_job_log` VALUES (37534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:46:05');
INSERT INTO `sys_job_log` VALUES (37535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:46:10');
INSERT INTO `sys_job_log` VALUES (37536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:46:15');
INSERT INTO `sys_job_log` VALUES (37537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2892毫秒', '0', '', '2024-12-31 17:46:18');
INSERT INTO `sys_job_log` VALUES (37538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:46:20');
INSERT INTO `sys_job_log` VALUES (37539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:46:25');
INSERT INTO `sys_job_log` VALUES (37540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:46:30');
INSERT INTO `sys_job_log` VALUES (37541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2270毫秒', '0', '', '2024-12-31 17:46:33');
INSERT INTO `sys_job_log` VALUES (37542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:46:35');
INSERT INTO `sys_job_log` VALUES (37543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:46:40');
INSERT INTO `sys_job_log` VALUES (37544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:46:45');
INSERT INTO `sys_job_log` VALUES (37545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1134毫秒', '0', '', '2024-12-31 17:46:46');
INSERT INTO `sys_job_log` VALUES (37546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 17:46:50');
INSERT INTO `sys_job_log` VALUES (37547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 17:46:55');
INSERT INTO `sys_job_log` VALUES (37548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:47:00');
INSERT INTO `sys_job_log` VALUES (37549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1114毫秒', '0', '', '2024-12-31 17:47:01');
INSERT INTO `sys_job_log` VALUES (37550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 17:47:05');
INSERT INTO `sys_job_log` VALUES (37551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 17:47:10');
INSERT INTO `sys_job_log` VALUES (37552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2184毫秒', '0', '', '2024-12-31 17:47:17');
INSERT INTO `sys_job_log` VALUES (37553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1553毫秒', '0', '', '2024-12-31 17:47:32');
INSERT INTO `sys_job_log` VALUES (37554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18764毫秒', '0', '', '2024-12-31 17:47:34');
INSERT INTO `sys_job_log` VALUES (37555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2031毫秒', '0', '', '2024-12-31 17:47:47');
INSERT INTO `sys_job_log` VALUES (37556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17678毫秒', '0', '', '2024-12-31 17:47:52');
INSERT INTO `sys_job_log` VALUES (37557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1390毫秒', '0', '', '2024-12-31 17:48:02');
INSERT INTO `sys_job_log` VALUES (37558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1122毫秒', '0', '', '2024-12-31 17:50:46');
INSERT INTO `sys_job_log` VALUES (37559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2123毫秒', '0', '', '2024-12-31 17:50:47');
INSERT INTO `sys_job_log` VALUES (37560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2107毫秒', '0', '', '2024-12-31 17:51:02');
INSERT INTO `sys_job_log` VALUES (37561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17622毫秒', '0', '', '2024-12-31 17:51:08');
INSERT INTO `sys_job_log` VALUES (37562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1674毫秒', '0', '', '2024-12-31 17:51:17');
INSERT INTO `sys_job_log` VALUES (37563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17853毫秒', '0', '', '2024-12-31 17:51:26');
INSERT INTO `sys_job_log` VALUES (37564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2125毫秒', '0', '', '2024-12-31 17:51:32');
INSERT INTO `sys_job_log` VALUES (37565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17673毫秒', '0', '', '2024-12-31 17:51:43');
INSERT INTO `sys_job_log` VALUES (37566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1590毫秒', '0', '', '2024-12-31 17:51:47');
INSERT INTO `sys_job_log` VALUES (37567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17904毫秒', '0', '', '2024-12-31 17:52:01');
INSERT INTO `sys_job_log` VALUES (37568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2168毫秒', '0', '', '2024-12-31 17:52:02');
INSERT INTO `sys_job_log` VALUES (37569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1642毫秒', '0', '', '2024-12-31 17:52:17');
INSERT INTO `sys_job_log` VALUES (37570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18860毫秒', '0', '', '2024-12-31 17:52:20');
INSERT INTO `sys_job_log` VALUES (37571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2024-12-31 17:52:31');
INSERT INTO `sys_job_log` VALUES (37572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17737毫秒', '0', '', '2024-12-31 17:52:38');
INSERT INTO `sys_job_log` VALUES (37573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1578毫秒', '0', '', '2024-12-31 17:52:47');
INSERT INTO `sys_job_log` VALUES (37574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2024-12-31 17:52:56');
INSERT INTO `sys_job_log` VALUES (37575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2064毫秒', '0', '', '2024-12-31 17:53:02');
INSERT INTO `sys_job_log` VALUES (37576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17668毫秒', '0', '', '2024-12-31 17:53:13');
INSERT INTO `sys_job_log` VALUES (37577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1557毫秒', '0', '', '2024-12-31 17:53:17');
INSERT INTO `sys_job_log` VALUES (37578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1118毫秒', '0', '', '2024-12-31 18:00:03');
INSERT INTO `sys_job_log` VALUES (37579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2119毫秒', '0', '', '2024-12-31 18:00:04');
INSERT INTO `sys_job_log` VALUES (37580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1353毫秒', '0', '', '2024-12-31 18:00:17');
INSERT INTO `sys_job_log` VALUES (37581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16517毫秒', '0', '', '2024-12-31 18:00:22');
INSERT INTO `sys_job_log` VALUES (37582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2024-12-31 18:00:32');
INSERT INTO `sys_job_log` VALUES (37583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16537毫秒', '0', '', '2024-12-31 18:00:38');
INSERT INTO `sys_job_log` VALUES (37584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1632毫秒', '0', '', '2024-12-31 18:00:47');
INSERT INTO `sys_job_log` VALUES (37585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17381毫秒', '0', '', '2024-12-31 18:00:56');
INSERT INTO `sys_job_log` VALUES (37586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2107毫秒', '0', '', '2024-12-31 18:01:02');
INSERT INTO `sys_job_log` VALUES (37587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17667毫秒', '0', '', '2024-12-31 18:01:13');
INSERT INTO `sys_job_log` VALUES (37588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1472毫秒', '0', '', '2024-12-31 18:01:17');
INSERT INTO `sys_job_log` VALUES (37589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1268毫秒', '0', '', '2024-12-31 18:01:37');
INSERT INTO `sys_job_log` VALUES (37590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1932毫秒', '0', '', '2024-12-31 18:01:47');
INSERT INTO `sys_job_log` VALUES (37591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17978毫秒', '0', '', '2024-12-31 18:01:58');
INSERT INTO `sys_job_log` VALUES (37592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1294毫秒', '0', '', '2024-12-31 18:02:02');
INSERT INTO `sys_job_log` VALUES (37593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1764毫秒', '0', '', '2024-12-31 18:02:17');
INSERT INTO `sys_job_log` VALUES (37594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33172毫秒', '0', '', '2024-12-31 18:02:31');
INSERT INTO `sys_job_log` VALUES (37595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2024-12-31 18:02:31');
INSERT INTO `sys_job_log` VALUES (37596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：19毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 18:02:32');
INSERT INTO `sys_job_log` VALUES (37604, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3362毫秒', '0', '', '2024-12-31 18:02:34');
INSERT INTO `sys_job_log` VALUES (37605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1269毫秒', '0', '', '2024-12-31 18:03:57');
INSERT INTO `sys_job_log` VALUES (37606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 18:04:00');
INSERT INTO `sys_job_log` VALUES (37607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1171毫秒', '0', '', '2024-12-31 18:04:01');
INSERT INTO `sys_job_log` VALUES (37608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 18:04:05');
INSERT INTO `sys_job_log` VALUES (37609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 18:04:10');
INSERT INTO `sys_job_log` VALUES (37610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 18:04:15');
INSERT INTO `sys_job_log` VALUES (37611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1159毫秒', '0', '', '2024-12-31 18:04:16');
INSERT INTO `sys_job_log` VALUES (37612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 18:04:20');
INSERT INTO `sys_job_log` VALUES (37613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 18:04:25');
INSERT INTO `sys_job_log` VALUES (37614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 18:04:30');
INSERT INTO `sys_job_log` VALUES (37615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3416毫秒', '0', '', '2024-12-31 18:04:34');
INSERT INTO `sys_job_log` VALUES (37616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 18:04:35');
INSERT INTO `sys_job_log` VALUES (37617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2024-12-31 18:04:40');
INSERT INTO `sys_job_log` VALUES (37618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 18:04:45');
INSERT INTO `sys_job_log` VALUES (37619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3398毫秒', '0', '', '2024-12-31 18:04:49');
INSERT INTO `sys_job_log` VALUES (37620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2024-12-31 18:04:50');
INSERT INTO `sys_job_log` VALUES (37621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2024-12-31 18:04:55');
INSERT INTO `sys_job_log` VALUES (37622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2024-12-31 18:05:00');
INSERT INTO `sys_job_log` VALUES (37623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2959毫秒', '0', '', '2024-12-31 18:05:03');
INSERT INTO `sys_job_log` VALUES (37624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2024-12-31 18:05:05');
INSERT INTO `sys_job_log` VALUES (37625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 18:05:10');
INSERT INTO `sys_job_log` VALUES (37626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2024-12-31 18:05:15');
INSERT INTO `sys_job_log` VALUES (37627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2356毫秒', '0', '', '2024-12-31 18:05:18');
INSERT INTO `sys_job_log` VALUES (37628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 18:05:20');
INSERT INTO `sys_job_log` VALUES (37629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:05:25');
INSERT INTO `sys_job_log` VALUES (37630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:05:30');
INSERT INTO `sys_job_log` VALUES (37631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2885毫秒', '0', '', '2024-12-31 18:05:33');
INSERT INTO `sys_job_log` VALUES (37632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 18:05:35');
INSERT INTO `sys_job_log` VALUES (37633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2024-12-31 18:05:40');
INSERT INTO `sys_job_log` VALUES (37634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:05:45');
INSERT INTO `sys_job_log` VALUES (37635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2300毫秒', '0', '', '2024-12-31 18:05:48');
INSERT INTO `sys_job_log` VALUES (37636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:05:50');
INSERT INTO `sys_job_log` VALUES (37637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2024-12-31 18:05:55');
INSERT INTO `sys_job_log` VALUES (37638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14毫秒', '0', '', '2024-12-31 18:06:00');
INSERT INTO `sys_job_log` VALUES (37639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1165毫秒', '0', '', '2024-12-31 18:06:01');
INSERT INTO `sys_job_log` VALUES (37640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2024-12-31 18:06:05');
INSERT INTO `sys_job_log` VALUES (37641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1724毫秒', '0', '', '2024-12-31 18:06:17');
INSERT INTO `sys_job_log` VALUES (37642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17777毫秒', '0', '', '2024-12-31 18:06:28');
INSERT INTO `sys_job_log` VALUES (37643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2201毫秒', '0', '', '2024-12-31 18:06:32');
INSERT INTO `sys_job_log` VALUES (37644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17784毫秒', '0', '', '2024-12-31 18:06:46');
INSERT INTO `sys_job_log` VALUES (37645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1670毫秒', '0', '', '2024-12-31 18:06:47');
INSERT INTO `sys_job_log` VALUES (37646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1143毫秒', '0', '', '2024-12-31 18:07:01');
INSERT INTO `sys_job_log` VALUES (37647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18865毫秒', '0', '', '2024-12-31 18:07:05');
INSERT INTO `sys_job_log` VALUES (37648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1169毫秒', '0', '', '2024-12-31 18:10:34');
INSERT INTO `sys_job_log` VALUES (37649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2170毫秒', '0', '', '2024-12-31 18:10:35');
INSERT INTO `sys_job_log` VALUES (37650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1426毫秒', '0', '', '2024-12-31 18:10:47');
INSERT INTO `sys_job_log` VALUES (37651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16581毫秒', '0', '', '2024-12-31 18:10:52');
INSERT INTO `sys_job_log` VALUES (37652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2024-12-31 18:11:01');
INSERT INTO `sys_job_log` VALUES (37653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17269毫秒', '0', '', '2024-12-31 18:11:09');
INSERT INTO `sys_job_log` VALUES (37654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1815毫秒', '0', '', '2024-12-31 18:11:17');
INSERT INTO `sys_job_log` VALUES (37655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17845毫秒', '0', '', '2024-12-31 18:11:27');
INSERT INTO `sys_job_log` VALUES (37656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1159毫秒', '0', '', '2024-12-31 18:11:31');
INSERT INTO `sys_job_log` VALUES (37657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17662毫秒', '0', '', '2024-12-31 18:11:45');
INSERT INTO `sys_job_log` VALUES (37658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1631毫秒', '0', '', '2024-12-31 18:11:47');
INSERT INTO `sys_job_log` VALUES (37659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2124毫秒', '0', '', '2024-12-31 18:12:02');
INSERT INTO `sys_job_log` VALUES (37660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18820毫秒', '0', '', '2024-12-31 18:12:04');
INSERT INTO `sys_job_log` VALUES (37661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1693毫秒', '0', '', '2024-12-31 18:12:17');
INSERT INTO `sys_job_log` VALUES (37662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17951毫秒', '0', '', '2024-12-31 18:12:22');
INSERT INTO `sys_job_log` VALUES (37663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1345毫秒', '0', '', '2024-12-31 18:12:32');
INSERT INTO `sys_job_log` VALUES (37664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17841毫秒', '0', '', '2024-12-31 18:12:39');
INSERT INTO `sys_job_log` VALUES (37665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1825毫秒', '0', '', '2024-12-31 18:12:47');
INSERT INTO `sys_job_log` VALUES (37666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17658毫秒', '0', '', '2024-12-31 18:12:57');
INSERT INTO `sys_job_log` VALUES (37667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1412毫秒', '0', '', '2024-12-31 18:13:02');
INSERT INTO `sys_job_log` VALUES (37668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17891毫秒', '0', '', '2024-12-31 18:13:15');
INSERT INTO `sys_job_log` VALUES (37669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1971毫秒', '0', '', '2024-12-31 18:13:17');
INSERT INTO `sys_job_log` VALUES (37670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1352毫秒', '0', '', '2024-12-31 18:13:32');
INSERT INTO `sys_job_log` VALUES (37671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18857毫秒', '0', '', '2024-12-31 18:13:34');
INSERT INTO `sys_job_log` VALUES (37672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1916毫秒', '0', '', '2024-12-31 18:13:47');
INSERT INTO `sys_job_log` VALUES (37673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17765毫秒', '0', '', '2024-12-31 18:13:52');
INSERT INTO `sys_job_log` VALUES (37674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1296毫秒', '0', '', '2024-12-31 18:14:02');
INSERT INTO `sys_job_log` VALUES (37675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17669毫秒', '0', '', '2024-12-31 18:14:09');
INSERT INTO `sys_job_log` VALUES (37676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2288毫秒', '0', '', '2024-12-31 18:14:18');
INSERT INTO `sys_job_log` VALUES (37677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18294毫秒', '0', '', '2024-12-31 18:14:28');
INSERT INTO `sys_job_log` VALUES (37678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1830毫秒', '0', '', '2024-12-31 18:14:32');
INSERT INTO `sys_job_log` VALUES (37679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17837毫秒', '0', '', '2024-12-31 18:14:45');
INSERT INTO `sys_job_log` VALUES (37680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1327毫秒', '0', '', '2024-12-31 18:14:47');
INSERT INTO `sys_job_log` VALUES (37681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-01 11:39:49');
INSERT INTO `sys_job_log` VALUES (37682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2025-01-01 11:39:49');
INSERT INTO `sys_job_log` VALUES (37683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:39:49');
INSERT INTO `sys_job_log` VALUES (37684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:39:53');
INSERT INTO `sys_job_log` VALUES (37685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:39:58');
INSERT INTO `sys_job_log` VALUES (37686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:39:58');
INSERT INTO `sys_job_log` VALUES (37687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:40:03');
INSERT INTO `sys_job_log` VALUES (37688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:40:08');
INSERT INTO `sys_job_log` VALUES (37689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:40:13');
INSERT INTO `sys_job_log` VALUES (37690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:40:13');
INSERT INTO `sys_job_log` VALUES (37691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:40:18');
INSERT INTO `sys_job_log` VALUES (37692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:40:23');
INSERT INTO `sys_job_log` VALUES (37693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:40:28');
INSERT INTO `sys_job_log` VALUES (37694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:40:28');
INSERT INTO `sys_job_log` VALUES (37695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:40:33');
INSERT INTO `sys_job_log` VALUES (37696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:40:38');
INSERT INTO `sys_job_log` VALUES (37697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:40:43');
INSERT INTO `sys_job_log` VALUES (37698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:40:43');
INSERT INTO `sys_job_log` VALUES (37699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:40:48');
INSERT INTO `sys_job_log` VALUES (37700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:40:53');
INSERT INTO `sys_job_log` VALUES (37701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:40:58');
INSERT INTO `sys_job_log` VALUES (37702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:40:58');
INSERT INTO `sys_job_log` VALUES (37703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 11:41:03');
INSERT INTO `sys_job_log` VALUES (37704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:08');
INSERT INTO `sys_job_log` VALUES (37705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:13');
INSERT INTO `sys_job_log` VALUES (37706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:13');
INSERT INTO `sys_job_log` VALUES (37707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:18');
INSERT INTO `sys_job_log` VALUES (37708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:41:23');
INSERT INTO `sys_job_log` VALUES (37709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:41:28');
INSERT INTO `sys_job_log` VALUES (37710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:41:28');
INSERT INTO `sys_job_log` VALUES (37711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:41:33');
INSERT INTO `sys_job_log` VALUES (37712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:41:38');
INSERT INTO `sys_job_log` VALUES (37713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:43');
INSERT INTO `sys_job_log` VALUES (37714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:43');
INSERT INTO `sys_job_log` VALUES (37715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:41:48');
INSERT INTO `sys_job_log` VALUES (37716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 11:41:53');
INSERT INTO `sys_job_log` VALUES (37717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:41:58');
INSERT INTO `sys_job_log` VALUES (37718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:41:58');
INSERT INTO `sys_job_log` VALUES (37719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:42:03');
INSERT INTO `sys_job_log` VALUES (37720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 11:42:08');
INSERT INTO `sys_job_log` VALUES (37721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:42:13');
INSERT INTO `sys_job_log` VALUES (37722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:42:13');
INSERT INTO `sys_job_log` VALUES (37723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:42:18');
INSERT INTO `sys_job_log` VALUES (37724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:42:23');
INSERT INTO `sys_job_log` VALUES (37725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:42:28');
INSERT INTO `sys_job_log` VALUES (37726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:42:28');
INSERT INTO `sys_job_log` VALUES (37727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:42:33');
INSERT INTO `sys_job_log` VALUES (37728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:42:38');
INSERT INTO `sys_job_log` VALUES (37729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:42:43');
INSERT INTO `sys_job_log` VALUES (37730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:42:43');
INSERT INTO `sys_job_log` VALUES (37731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:42:48');
INSERT INTO `sys_job_log` VALUES (37732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:42:53');
INSERT INTO `sys_job_log` VALUES (37733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:42:58');
INSERT INTO `sys_job_log` VALUES (37734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:42:58');
INSERT INTO `sys_job_log` VALUES (37735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:43:03');
INSERT INTO `sys_job_log` VALUES (37736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2025-01-01 11:43:08');
INSERT INTO `sys_job_log` VALUES (37737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:43:13');
INSERT INTO `sys_job_log` VALUES (37738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:43:13');
INSERT INTO `sys_job_log` VALUES (37739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 11:43:18');
INSERT INTO `sys_job_log` VALUES (37740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:43:23');
INSERT INTO `sys_job_log` VALUES (37741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 11:43:28');
INSERT INTO `sys_job_log` VALUES (37742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:43:28');
INSERT INTO `sys_job_log` VALUES (37743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:43:33');
INSERT INTO `sys_job_log` VALUES (37744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:43:38');
INSERT INTO `sys_job_log` VALUES (37745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:43:43');
INSERT INTO `sys_job_log` VALUES (37746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:43:43');
INSERT INTO `sys_job_log` VALUES (37747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:43:48');
INSERT INTO `sys_job_log` VALUES (37748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:43:53');
INSERT INTO `sys_job_log` VALUES (37749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:43:58');
INSERT INTO `sys_job_log` VALUES (37750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:43:58');
INSERT INTO `sys_job_log` VALUES (37751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:44:03');
INSERT INTO `sys_job_log` VALUES (37752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:44:08');
INSERT INTO `sys_job_log` VALUES (37753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:44:13');
INSERT INTO `sys_job_log` VALUES (37754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:44:13');
INSERT INTO `sys_job_log` VALUES (37755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:44:18');
INSERT INTO `sys_job_log` VALUES (37756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:44:23');
INSERT INTO `sys_job_log` VALUES (37757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 11:44:28');
INSERT INTO `sys_job_log` VALUES (37758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 11:44:28');
INSERT INTO `sys_job_log` VALUES (37759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:44:33');
INSERT INTO `sys_job_log` VALUES (37760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:44:38');
INSERT INTO `sys_job_log` VALUES (37761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:44:43');
INSERT INTO `sys_job_log` VALUES (37762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 11:44:43');
INSERT INTO `sys_job_log` VALUES (37763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:44:48');
INSERT INTO `sys_job_log` VALUES (37764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:44:53');
INSERT INTO `sys_job_log` VALUES (37765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:44:58');
INSERT INTO `sys_job_log` VALUES (37766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:44:58');
INSERT INTO `sys_job_log` VALUES (37767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:45:03');
INSERT INTO `sys_job_log` VALUES (37768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:45:08');
INSERT INTO `sys_job_log` VALUES (37769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:45:13');
INSERT INTO `sys_job_log` VALUES (37770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:45:13');
INSERT INTO `sys_job_log` VALUES (37771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:45:18');
INSERT INTO `sys_job_log` VALUES (37772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:45:23');
INSERT INTO `sys_job_log` VALUES (37773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:45:28');
INSERT INTO `sys_job_log` VALUES (37774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:45:28');
INSERT INTO `sys_job_log` VALUES (37775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:45:33');
INSERT INTO `sys_job_log` VALUES (37776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:45:38');
INSERT INTO `sys_job_log` VALUES (37777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:45:43');
INSERT INTO `sys_job_log` VALUES (37778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:45:43');
INSERT INTO `sys_job_log` VALUES (37779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:45:48');
INSERT INTO `sys_job_log` VALUES (37780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:45:53');
INSERT INTO `sys_job_log` VALUES (37781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 11:45:58');
INSERT INTO `sys_job_log` VALUES (37782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 11:45:58');
INSERT INTO `sys_job_log` VALUES (37783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:46:03');
INSERT INTO `sys_job_log` VALUES (37784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 11:46:08');
INSERT INTO `sys_job_log` VALUES (37785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 11:46:13');
INSERT INTO `sys_job_log` VALUES (37786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:46:13');
INSERT INTO `sys_job_log` VALUES (37787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:46:18');
INSERT INTO `sys_job_log` VALUES (37788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:46:23');
INSERT INTO `sys_job_log` VALUES (37789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:46:28');
INSERT INTO `sys_job_log` VALUES (37790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:46:28');
INSERT INTO `sys_job_log` VALUES (37791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 11:46:33');
INSERT INTO `sys_job_log` VALUES (37792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:46:38');
INSERT INTO `sys_job_log` VALUES (37793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:46:43');
INSERT INTO `sys_job_log` VALUES (37794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:46:43');
INSERT INTO `sys_job_log` VALUES (37795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:46:48');
INSERT INTO `sys_job_log` VALUES (37796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:46:53');
INSERT INTO `sys_job_log` VALUES (37797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:46:58');
INSERT INTO `sys_job_log` VALUES (37798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:46:58');
INSERT INTO `sys_job_log` VALUES (37799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:47:03');
INSERT INTO `sys_job_log` VALUES (37800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:47:08');
INSERT INTO `sys_job_log` VALUES (37801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:47:13');
INSERT INTO `sys_job_log` VALUES (37802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:47:13');
INSERT INTO `sys_job_log` VALUES (37803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:47:18');
INSERT INTO `sys_job_log` VALUES (37804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:47:23');
INSERT INTO `sys_job_log` VALUES (37805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:47:28');
INSERT INTO `sys_job_log` VALUES (37806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 11:47:28');
INSERT INTO `sys_job_log` VALUES (37807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:47:33');
INSERT INTO `sys_job_log` VALUES (37808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:47:38');
INSERT INTO `sys_job_log` VALUES (37809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:47:43');
INSERT INTO `sys_job_log` VALUES (37810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:47:43');
INSERT INTO `sys_job_log` VALUES (37811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:47:48');
INSERT INTO `sys_job_log` VALUES (37812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:47:53');
INSERT INTO `sys_job_log` VALUES (37813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:47:58');
INSERT INTO `sys_job_log` VALUES (37814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:47:58');
INSERT INTO `sys_job_log` VALUES (37815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:48:03');
INSERT INTO `sys_job_log` VALUES (37816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:48:08');
INSERT INTO `sys_job_log` VALUES (37817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:48:13');
INSERT INTO `sys_job_log` VALUES (37818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:48:13');
INSERT INTO `sys_job_log` VALUES (37819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 11:48:18');
INSERT INTO `sys_job_log` VALUES (37820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:48:23');
INSERT INTO `sys_job_log` VALUES (37821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:48:28');
INSERT INTO `sys_job_log` VALUES (37822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:48:28');
INSERT INTO `sys_job_log` VALUES (37823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:48:33');
INSERT INTO `sys_job_log` VALUES (37824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:48:38');
INSERT INTO `sys_job_log` VALUES (37825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:48:43');
INSERT INTO `sys_job_log` VALUES (37826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:48:43');
INSERT INTO `sys_job_log` VALUES (37827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:48:48');
INSERT INTO `sys_job_log` VALUES (37828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:48:53');
INSERT INTO `sys_job_log` VALUES (37829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:48:58');
INSERT INTO `sys_job_log` VALUES (37830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:48:58');
INSERT INTO `sys_job_log` VALUES (37831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:49:03');
INSERT INTO `sys_job_log` VALUES (37832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:49:08');
INSERT INTO `sys_job_log` VALUES (37833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:49:13');
INSERT INTO `sys_job_log` VALUES (37834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:49:13');
INSERT INTO `sys_job_log` VALUES (37835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 11:49:18');
INSERT INTO `sys_job_log` VALUES (37836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:49:23');
INSERT INTO `sys_job_log` VALUES (37837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:49:28');
INSERT INTO `sys_job_log` VALUES (37838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:49:28');
INSERT INTO `sys_job_log` VALUES (37839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:49:33');
INSERT INTO `sys_job_log` VALUES (37840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:49:38');
INSERT INTO `sys_job_log` VALUES (37841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:49:43');
INSERT INTO `sys_job_log` VALUES (37842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:49:43');
INSERT INTO `sys_job_log` VALUES (37843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:49:48');
INSERT INTO `sys_job_log` VALUES (37844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 11:49:53');
INSERT INTO `sys_job_log` VALUES (37845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 11:49:58');
INSERT INTO `sys_job_log` VALUES (37846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 11:49:58');
INSERT INTO `sys_job_log` VALUES (37847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:50:03');
INSERT INTO `sys_job_log` VALUES (37848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:50:08');
INSERT INTO `sys_job_log` VALUES (37849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:50:13');
INSERT INTO `sys_job_log` VALUES (37850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 11:50:13');
INSERT INTO `sys_job_log` VALUES (37851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:50:18');
INSERT INTO `sys_job_log` VALUES (37852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:50:23');
INSERT INTO `sys_job_log` VALUES (37853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:50:28');
INSERT INTO `sys_job_log` VALUES (37854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:50:28');
INSERT INTO `sys_job_log` VALUES (37855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:50:33');
INSERT INTO `sys_job_log` VALUES (37856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:50:38');
INSERT INTO `sys_job_log` VALUES (37857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:50:43');
INSERT INTO `sys_job_log` VALUES (37858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:50:43');
INSERT INTO `sys_job_log` VALUES (37859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:50:48');
INSERT INTO `sys_job_log` VALUES (37860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:50:53');
INSERT INTO `sys_job_log` VALUES (37861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:50:58');
INSERT INTO `sys_job_log` VALUES (37862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:50:58');
INSERT INTO `sys_job_log` VALUES (37863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:51:03');
INSERT INTO `sys_job_log` VALUES (37864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:51:08');
INSERT INTO `sys_job_log` VALUES (37865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:51:13');
INSERT INTO `sys_job_log` VALUES (37866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:51:13');
INSERT INTO `sys_job_log` VALUES (37867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:51:18');
INSERT INTO `sys_job_log` VALUES (37868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:51:23');
INSERT INTO `sys_job_log` VALUES (37869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:51:28');
INSERT INTO `sys_job_log` VALUES (37870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:51:28');
INSERT INTO `sys_job_log` VALUES (37871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:51:33');
INSERT INTO `sys_job_log` VALUES (37872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 11:51:38');
INSERT INTO `sys_job_log` VALUES (37873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:51:43');
INSERT INTO `sys_job_log` VALUES (37874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:51:43');
INSERT INTO `sys_job_log` VALUES (37875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:51:48');
INSERT INTO `sys_job_log` VALUES (37876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:51:53');
INSERT INTO `sys_job_log` VALUES (37877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:51:58');
INSERT INTO `sys_job_log` VALUES (37878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:51:58');
INSERT INTO `sys_job_log` VALUES (37879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:52:03');
INSERT INTO `sys_job_log` VALUES (37880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:52:08');
INSERT INTO `sys_job_log` VALUES (37881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:52:13');
INSERT INTO `sys_job_log` VALUES (37882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:52:13');
INSERT INTO `sys_job_log` VALUES (37883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:52:18');
INSERT INTO `sys_job_log` VALUES (37884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:52:23');
INSERT INTO `sys_job_log` VALUES (37885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:52:28');
INSERT INTO `sys_job_log` VALUES (37886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:52:28');
INSERT INTO `sys_job_log` VALUES (37887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:52:33');
INSERT INTO `sys_job_log` VALUES (37888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:52:38');
INSERT INTO `sys_job_log` VALUES (37889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:52:43');
INSERT INTO `sys_job_log` VALUES (37890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:52:43');
INSERT INTO `sys_job_log` VALUES (37891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:52:48');
INSERT INTO `sys_job_log` VALUES (37892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:52:53');
INSERT INTO `sys_job_log` VALUES (37893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:52:58');
INSERT INTO `sys_job_log` VALUES (37894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:52:58');
INSERT INTO `sys_job_log` VALUES (37895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:53:03');
INSERT INTO `sys_job_log` VALUES (37896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:53:08');
INSERT INTO `sys_job_log` VALUES (37897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 11:53:13');
INSERT INTO `sys_job_log` VALUES (37898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 11:53:13');
INSERT INTO `sys_job_log` VALUES (37899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:53:18');
INSERT INTO `sys_job_log` VALUES (37900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:53:23');
INSERT INTO `sys_job_log` VALUES (37901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:53:28');
INSERT INTO `sys_job_log` VALUES (37902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:53:28');
INSERT INTO `sys_job_log` VALUES (37903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:53:33');
INSERT INTO `sys_job_log` VALUES (37904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:53:38');
INSERT INTO `sys_job_log` VALUES (37905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:53:43');
INSERT INTO `sys_job_log` VALUES (37906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 11:53:43');
INSERT INTO `sys_job_log` VALUES (37907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:53:48');
INSERT INTO `sys_job_log` VALUES (37908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:53:53');
INSERT INTO `sys_job_log` VALUES (37909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:53:58');
INSERT INTO `sys_job_log` VALUES (37910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:53:58');
INSERT INTO `sys_job_log` VALUES (37911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:54:03');
INSERT INTO `sys_job_log` VALUES (37912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:54:08');
INSERT INTO `sys_job_log` VALUES (37913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:54:13');
INSERT INTO `sys_job_log` VALUES (37914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:54:13');
INSERT INTO `sys_job_log` VALUES (37915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:54:18');
INSERT INTO `sys_job_log` VALUES (37916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 11:54:23');
INSERT INTO `sys_job_log` VALUES (37917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:54:28');
INSERT INTO `sys_job_log` VALUES (37918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:54:28');
INSERT INTO `sys_job_log` VALUES (37919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 11:54:33');
INSERT INTO `sys_job_log` VALUES (37920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:54:38');
INSERT INTO `sys_job_log` VALUES (37921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:54:43');
INSERT INTO `sys_job_log` VALUES (37922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:54:43');
INSERT INTO `sys_job_log` VALUES (37923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:54:48');
INSERT INTO `sys_job_log` VALUES (37924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 11:54:53');
INSERT INTO `sys_job_log` VALUES (37925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:54:58');
INSERT INTO `sys_job_log` VALUES (37926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:54:58');
INSERT INTO `sys_job_log` VALUES (37927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 11:55:03');
INSERT INTO `sys_job_log` VALUES (37928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:55:08');
INSERT INTO `sys_job_log` VALUES (37929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 11:55:13');
INSERT INTO `sys_job_log` VALUES (37930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 11:55:13');
INSERT INTO `sys_job_log` VALUES (37931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:55:18');
INSERT INTO `sys_job_log` VALUES (37932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:55:23');
INSERT INTO `sys_job_log` VALUES (37933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:55:28');
INSERT INTO `sys_job_log` VALUES (37934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:55:28');
INSERT INTO `sys_job_log` VALUES (37935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:55:33');
INSERT INTO `sys_job_log` VALUES (37936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 11:55:38');
INSERT INTO `sys_job_log` VALUES (37937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 11:55:43');
INSERT INTO `sys_job_log` VALUES (37938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:55:43');
INSERT INTO `sys_job_log` VALUES (37939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:55:48');
INSERT INTO `sys_job_log` VALUES (37940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 11:55:53');
INSERT INTO `sys_job_log` VALUES (37941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:55:58');
INSERT INTO `sys_job_log` VALUES (37942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 11:55:58');
INSERT INTO `sys_job_log` VALUES (37943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:56:03');
INSERT INTO `sys_job_log` VALUES (37944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-01 11:56:08');
INSERT INTO `sys_job_log` VALUES (37945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:56:13');
INSERT INTO `sys_job_log` VALUES (37946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:56:13');
INSERT INTO `sys_job_log` VALUES (37947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:56:18');
INSERT INTO `sys_job_log` VALUES (37948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:56:23');
INSERT INTO `sys_job_log` VALUES (37949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:56:28');
INSERT INTO `sys_job_log` VALUES (37950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:56:28');
INSERT INTO `sys_job_log` VALUES (37951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:56:33');
INSERT INTO `sys_job_log` VALUES (37952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:56:38');
INSERT INTO `sys_job_log` VALUES (37953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 11:56:43');
INSERT INTO `sys_job_log` VALUES (37954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 11:56:43');
INSERT INTO `sys_job_log` VALUES (37955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:56:48');
INSERT INTO `sys_job_log` VALUES (37956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 11:56:53');
INSERT INTO `sys_job_log` VALUES (37957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:56:58');
INSERT INTO `sys_job_log` VALUES (37958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:56:58');
INSERT INTO `sys_job_log` VALUES (37959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:57:03');
INSERT INTO `sys_job_log` VALUES (37960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:57:08');
INSERT INTO `sys_job_log` VALUES (37961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:57:13');
INSERT INTO `sys_job_log` VALUES (37962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:57:13');
INSERT INTO `sys_job_log` VALUES (37963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:57:18');
INSERT INTO `sys_job_log` VALUES (37964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:57:23');
INSERT INTO `sys_job_log` VALUES (37965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:57:28');
INSERT INTO `sys_job_log` VALUES (37966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 11:57:28');
INSERT INTO `sys_job_log` VALUES (37967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:57:33');
INSERT INTO `sys_job_log` VALUES (37968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:57:38');
INSERT INTO `sys_job_log` VALUES (37969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:57:43');
INSERT INTO `sys_job_log` VALUES (37970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:57:43');
INSERT INTO `sys_job_log` VALUES (37971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:57:48');
INSERT INTO `sys_job_log` VALUES (37972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:57:53');
INSERT INTO `sys_job_log` VALUES (37973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:57:58');
INSERT INTO `sys_job_log` VALUES (37974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:57:58');
INSERT INTO `sys_job_log` VALUES (37975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:58:03');
INSERT INTO `sys_job_log` VALUES (37976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:58:08');
INSERT INTO `sys_job_log` VALUES (37977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 11:58:13');
INSERT INTO `sys_job_log` VALUES (37978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:58:13');
INSERT INTO `sys_job_log` VALUES (37979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:58:18');
INSERT INTO `sys_job_log` VALUES (37980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:58:23');
INSERT INTO `sys_job_log` VALUES (37981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 11:58:28');
INSERT INTO `sys_job_log` VALUES (37982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 11:58:28');
INSERT INTO `sys_job_log` VALUES (37983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 11:58:33');
INSERT INTO `sys_job_log` VALUES (37984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 11:58:38');
INSERT INTO `sys_job_log` VALUES (37985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:58:43');
INSERT INTO `sys_job_log` VALUES (37986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 11:58:43');
INSERT INTO `sys_job_log` VALUES (37987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:58:48');
INSERT INTO `sys_job_log` VALUES (37988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:58:53');
INSERT INTO `sys_job_log` VALUES (37989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:58:58');
INSERT INTO `sys_job_log` VALUES (37990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 11:58:58');
INSERT INTO `sys_job_log` VALUES (37991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:59:03');
INSERT INTO `sys_job_log` VALUES (37992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 11:59:08');
INSERT INTO `sys_job_log` VALUES (37993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 11:59:13');
INSERT INTO `sys_job_log` VALUES (37994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 11:59:13');
INSERT INTO `sys_job_log` VALUES (37995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:59:18');
INSERT INTO `sys_job_log` VALUES (37996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:59:23');
INSERT INTO `sys_job_log` VALUES (37997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:59:28');
INSERT INTO `sys_job_log` VALUES (37998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:59:28');
INSERT INTO `sys_job_log` VALUES (37999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 11:59:33');
INSERT INTO `sys_job_log` VALUES (38000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 11:59:38');
INSERT INTO `sys_job_log` VALUES (38001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:59:43');
INSERT INTO `sys_job_log` VALUES (38002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 11:59:43');
INSERT INTO `sys_job_log` VALUES (38003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 11:59:48');
INSERT INTO `sys_job_log` VALUES (38004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 11:59:53');
INSERT INTO `sys_job_log` VALUES (38005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 11:59:58');
INSERT INTO `sys_job_log` VALUES (38006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 11:59:58');
INSERT INTO `sys_job_log` VALUES (38007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:00:03');
INSERT INTO `sys_job_log` VALUES (38008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:00:08');
INSERT INTO `sys_job_log` VALUES (38009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:00:13');
INSERT INTO `sys_job_log` VALUES (38010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:00:13');
INSERT INTO `sys_job_log` VALUES (38011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:00:18');
INSERT INTO `sys_job_log` VALUES (38012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:23');
INSERT INTO `sys_job_log` VALUES (38013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:28');
INSERT INTO `sys_job_log` VALUES (38014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:28');
INSERT INTO `sys_job_log` VALUES (38015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:00:33');
INSERT INTO `sys_job_log` VALUES (38016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:00:38');
INSERT INTO `sys_job_log` VALUES (38017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:00:43');
INSERT INTO `sys_job_log` VALUES (38018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:00:43');
INSERT INTO `sys_job_log` VALUES (38019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:48');
INSERT INTO `sys_job_log` VALUES (38020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:53');
INSERT INTO `sys_job_log` VALUES (38021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:58');
INSERT INTO `sys_job_log` VALUES (38022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:00:58');
INSERT INTO `sys_job_log` VALUES (38023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:01:03');
INSERT INTO `sys_job_log` VALUES (38024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:01:08');
INSERT INTO `sys_job_log` VALUES (38025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:01:13');
INSERT INTO `sys_job_log` VALUES (38026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:01:13');
INSERT INTO `sys_job_log` VALUES (38027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:01:18');
INSERT INTO `sys_job_log` VALUES (38028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:01:23');
INSERT INTO `sys_job_log` VALUES (38029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:01:28');
INSERT INTO `sys_job_log` VALUES (38030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:01:28');
INSERT INTO `sys_job_log` VALUES (38031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:01:33');
INSERT INTO `sys_job_log` VALUES (38032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:01:38');
INSERT INTO `sys_job_log` VALUES (38033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:01:43');
INSERT INTO `sys_job_log` VALUES (38034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:01:43');
INSERT INTO `sys_job_log` VALUES (38035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:01:48');
INSERT INTO `sys_job_log` VALUES (38036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:01:53');
INSERT INTO `sys_job_log` VALUES (38037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:01:58');
INSERT INTO `sys_job_log` VALUES (38038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:01:58');
INSERT INTO `sys_job_log` VALUES (38039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:02:03');
INSERT INTO `sys_job_log` VALUES (38040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:02:08');
INSERT INTO `sys_job_log` VALUES (38041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:02:13');
INSERT INTO `sys_job_log` VALUES (38042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:02:13');
INSERT INTO `sys_job_log` VALUES (38043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:02:18');
INSERT INTO `sys_job_log` VALUES (38044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:02:23');
INSERT INTO `sys_job_log` VALUES (38045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:02:28');
INSERT INTO `sys_job_log` VALUES (38046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:02:28');
INSERT INTO `sys_job_log` VALUES (38047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:02:33');
INSERT INTO `sys_job_log` VALUES (38048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:02:38');
INSERT INTO `sys_job_log` VALUES (38049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:02:43');
INSERT INTO `sys_job_log` VALUES (38050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:02:43');
INSERT INTO `sys_job_log` VALUES (38051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:02:48');
INSERT INTO `sys_job_log` VALUES (38052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:02:53');
INSERT INTO `sys_job_log` VALUES (38053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 12:02:58');
INSERT INTO `sys_job_log` VALUES (38054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 12:02:58');
INSERT INTO `sys_job_log` VALUES (38055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:03:03');
INSERT INTO `sys_job_log` VALUES (38056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:03:08');
INSERT INTO `sys_job_log` VALUES (38057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:03:13');
INSERT INTO `sys_job_log` VALUES (38058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:03:13');
INSERT INTO `sys_job_log` VALUES (38059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:03:18');
INSERT INTO `sys_job_log` VALUES (38060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 12:03:23');
INSERT INTO `sys_job_log` VALUES (38061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:03:28');
INSERT INTO `sys_job_log` VALUES (38062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:03:28');
INSERT INTO `sys_job_log` VALUES (38063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:03:33');
INSERT INTO `sys_job_log` VALUES (38064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:03:38');
INSERT INTO `sys_job_log` VALUES (38065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 12:03:43');
INSERT INTO `sys_job_log` VALUES (38066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 12:03:43');
INSERT INTO `sys_job_log` VALUES (38067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:03:48');
INSERT INTO `sys_job_log` VALUES (38068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:03:53');
INSERT INTO `sys_job_log` VALUES (38069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 12:03:58');
INSERT INTO `sys_job_log` VALUES (38070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-01 12:03:58');
INSERT INTO `sys_job_log` VALUES (38071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:04:03');
INSERT INTO `sys_job_log` VALUES (38072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:04:08');
INSERT INTO `sys_job_log` VALUES (38073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:04:13');
INSERT INTO `sys_job_log` VALUES (38074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:04:13');
INSERT INTO `sys_job_log` VALUES (38075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:04:18');
INSERT INTO `sys_job_log` VALUES (38076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:04:23');
INSERT INTO `sys_job_log` VALUES (38077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:04:28');
INSERT INTO `sys_job_log` VALUES (38078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:04:28');
INSERT INTO `sys_job_log` VALUES (38079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:04:33');
INSERT INTO `sys_job_log` VALUES (38080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:04:38');
INSERT INTO `sys_job_log` VALUES (38081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:04:43');
INSERT INTO `sys_job_log` VALUES (38082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:04:43');
INSERT INTO `sys_job_log` VALUES (38083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:04:48');
INSERT INTO `sys_job_log` VALUES (38084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:04:53');
INSERT INTO `sys_job_log` VALUES (38085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:04:58');
INSERT INTO `sys_job_log` VALUES (38086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:04:58');
INSERT INTO `sys_job_log` VALUES (38087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:05:03');
INSERT INTO `sys_job_log` VALUES (38088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:05:08');
INSERT INTO `sys_job_log` VALUES (38089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:05:13');
INSERT INTO `sys_job_log` VALUES (38090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:05:13');
INSERT INTO `sys_job_log` VALUES (38091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:05:18');
INSERT INTO `sys_job_log` VALUES (38092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:05:23');
INSERT INTO `sys_job_log` VALUES (38093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:05:28');
INSERT INTO `sys_job_log` VALUES (38094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:05:28');
INSERT INTO `sys_job_log` VALUES (38095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:05:33');
INSERT INTO `sys_job_log` VALUES (38096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:05:38');
INSERT INTO `sys_job_log` VALUES (38097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:05:43');
INSERT INTO `sys_job_log` VALUES (38098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:05:43');
INSERT INTO `sys_job_log` VALUES (38099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:05:48');
INSERT INTO `sys_job_log` VALUES (38100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:05:53');
INSERT INTO `sys_job_log` VALUES (38101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:05:58');
INSERT INTO `sys_job_log` VALUES (38102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:05:58');
INSERT INTO `sys_job_log` VALUES (38103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:06:03');
INSERT INTO `sys_job_log` VALUES (38104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:06:08');
INSERT INTO `sys_job_log` VALUES (38105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:06:13');
INSERT INTO `sys_job_log` VALUES (38106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:06:13');
INSERT INTO `sys_job_log` VALUES (38107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:06:18');
INSERT INTO `sys_job_log` VALUES (38108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:06:23');
INSERT INTO `sys_job_log` VALUES (38109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:06:28');
INSERT INTO `sys_job_log` VALUES (38110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:06:28');
INSERT INTO `sys_job_log` VALUES (38111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:06:33');
INSERT INTO `sys_job_log` VALUES (38112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:06:38');
INSERT INTO `sys_job_log` VALUES (38113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:06:43');
INSERT INTO `sys_job_log` VALUES (38114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:06:43');
INSERT INTO `sys_job_log` VALUES (38115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:06:48');
INSERT INTO `sys_job_log` VALUES (38116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:06:53');
INSERT INTO `sys_job_log` VALUES (38117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:06:58');
INSERT INTO `sys_job_log` VALUES (38118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:06:58');
INSERT INTO `sys_job_log` VALUES (38119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:07:03');
INSERT INTO `sys_job_log` VALUES (38120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:07:08');
INSERT INTO `sys_job_log` VALUES (38121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:07:13');
INSERT INTO `sys_job_log` VALUES (38122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:07:13');
INSERT INTO `sys_job_log` VALUES (38123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:07:18');
INSERT INTO `sys_job_log` VALUES (38124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:07:23');
INSERT INTO `sys_job_log` VALUES (38125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:07:28');
INSERT INTO `sys_job_log` VALUES (38126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:07:28');
INSERT INTO `sys_job_log` VALUES (38127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:07:33');
INSERT INTO `sys_job_log` VALUES (38128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:07:38');
INSERT INTO `sys_job_log` VALUES (38129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:07:43');
INSERT INTO `sys_job_log` VALUES (38130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:07:43');
INSERT INTO `sys_job_log` VALUES (38131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:07:48');
INSERT INTO `sys_job_log` VALUES (38132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:07:53');
INSERT INTO `sys_job_log` VALUES (38133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:07:58');
INSERT INTO `sys_job_log` VALUES (38134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:07:58');
INSERT INTO `sys_job_log` VALUES (38135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:08:03');
INSERT INTO `sys_job_log` VALUES (38136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:08:08');
INSERT INTO `sys_job_log` VALUES (38137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:08:13');
INSERT INTO `sys_job_log` VALUES (38138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:08:13');
INSERT INTO `sys_job_log` VALUES (38139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 12:08:18');
INSERT INTO `sys_job_log` VALUES (38140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:08:23');
INSERT INTO `sys_job_log` VALUES (38141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:08:28');
INSERT INTO `sys_job_log` VALUES (38142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:08:28');
INSERT INTO `sys_job_log` VALUES (38143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:08:33');
INSERT INTO `sys_job_log` VALUES (38144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:08:38');
INSERT INTO `sys_job_log` VALUES (38145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:08:43');
INSERT INTO `sys_job_log` VALUES (38146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:08:43');
INSERT INTO `sys_job_log` VALUES (38147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:08:48');
INSERT INTO `sys_job_log` VALUES (38148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:08:53');
INSERT INTO `sys_job_log` VALUES (38149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:08:58');
INSERT INTO `sys_job_log` VALUES (38150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:08:58');
INSERT INTO `sys_job_log` VALUES (38151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:09:03');
INSERT INTO `sys_job_log` VALUES (38152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:09:08');
INSERT INTO `sys_job_log` VALUES (38153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:09:13');
INSERT INTO `sys_job_log` VALUES (38154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:09:13');
INSERT INTO `sys_job_log` VALUES (38155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:09:18');
INSERT INTO `sys_job_log` VALUES (38156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:09:23');
INSERT INTO `sys_job_log` VALUES (38157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:09:28');
INSERT INTO `sys_job_log` VALUES (38158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:09:28');
INSERT INTO `sys_job_log` VALUES (38159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:09:33');
INSERT INTO `sys_job_log` VALUES (38160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:09:38');
INSERT INTO `sys_job_log` VALUES (38161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:09:43');
INSERT INTO `sys_job_log` VALUES (38162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:09:43');
INSERT INTO `sys_job_log` VALUES (38163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:09:48');
INSERT INTO `sys_job_log` VALUES (38164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:09:53');
INSERT INTO `sys_job_log` VALUES (38165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:09:58');
INSERT INTO `sys_job_log` VALUES (38166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:09:58');
INSERT INTO `sys_job_log` VALUES (38167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:10:03');
INSERT INTO `sys_job_log` VALUES (38168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:10:08');
INSERT INTO `sys_job_log` VALUES (38169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:10:13');
INSERT INTO `sys_job_log` VALUES (38170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:10:13');
INSERT INTO `sys_job_log` VALUES (38171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:10:18');
INSERT INTO `sys_job_log` VALUES (38172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:10:23');
INSERT INTO `sys_job_log` VALUES (38173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:10:28');
INSERT INTO `sys_job_log` VALUES (38174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:10:28');
INSERT INTO `sys_job_log` VALUES (38175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:10:33');
INSERT INTO `sys_job_log` VALUES (38176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:10:38');
INSERT INTO `sys_job_log` VALUES (38177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:10:43');
INSERT INTO `sys_job_log` VALUES (38178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 12:10:43');
INSERT INTO `sys_job_log` VALUES (38179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:10:48');
INSERT INTO `sys_job_log` VALUES (38180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:10:53');
INSERT INTO `sys_job_log` VALUES (38181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:10:58');
INSERT INTO `sys_job_log` VALUES (38182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:10:58');
INSERT INTO `sys_job_log` VALUES (38183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:11:03');
INSERT INTO `sys_job_log` VALUES (38184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:11:08');
INSERT INTO `sys_job_log` VALUES (38185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:11:13');
INSERT INTO `sys_job_log` VALUES (38186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:11:13');
INSERT INTO `sys_job_log` VALUES (38187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:11:18');
INSERT INTO `sys_job_log` VALUES (38188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:11:23');
INSERT INTO `sys_job_log` VALUES (38189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:11:28');
INSERT INTO `sys_job_log` VALUES (38190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:11:28');
INSERT INTO `sys_job_log` VALUES (38191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:11:33');
INSERT INTO `sys_job_log` VALUES (38192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:11:38');
INSERT INTO `sys_job_log` VALUES (38193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:11:43');
INSERT INTO `sys_job_log` VALUES (38194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:11:43');
INSERT INTO `sys_job_log` VALUES (38195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:11:48');
INSERT INTO `sys_job_log` VALUES (38196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:11:53');
INSERT INTO `sys_job_log` VALUES (38197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:11:58');
INSERT INTO `sys_job_log` VALUES (38198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:11:58');
INSERT INTO `sys_job_log` VALUES (38199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:12:03');
INSERT INTO `sys_job_log` VALUES (38200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:12:08');
INSERT INTO `sys_job_log` VALUES (38201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:12:13');
INSERT INTO `sys_job_log` VALUES (38202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:12:13');
INSERT INTO `sys_job_log` VALUES (38203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:12:18');
INSERT INTO `sys_job_log` VALUES (38204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:12:23');
INSERT INTO `sys_job_log` VALUES (38205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 12:12:28');
INSERT INTO `sys_job_log` VALUES (38206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 12:12:28');
INSERT INTO `sys_job_log` VALUES (38207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:12:33');
INSERT INTO `sys_job_log` VALUES (38208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:12:38');
INSERT INTO `sys_job_log` VALUES (38209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:12:43');
INSERT INTO `sys_job_log` VALUES (38210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:12:43');
INSERT INTO `sys_job_log` VALUES (38211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:12:48');
INSERT INTO `sys_job_log` VALUES (38212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:12:53');
INSERT INTO `sys_job_log` VALUES (38213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:12:58');
INSERT INTO `sys_job_log` VALUES (38214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:12:58');
INSERT INTO `sys_job_log` VALUES (38215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:13:03');
INSERT INTO `sys_job_log` VALUES (38216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:13:08');
INSERT INTO `sys_job_log` VALUES (38217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:13:13');
INSERT INTO `sys_job_log` VALUES (38218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:13:13');
INSERT INTO `sys_job_log` VALUES (38219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:13:18');
INSERT INTO `sys_job_log` VALUES (38220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:13:23');
INSERT INTO `sys_job_log` VALUES (38221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 12:13:28');
INSERT INTO `sys_job_log` VALUES (38222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 12:13:28');
INSERT INTO `sys_job_log` VALUES (38223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:13:33');
INSERT INTO `sys_job_log` VALUES (38224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:13:38');
INSERT INTO `sys_job_log` VALUES (38225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:13:43');
INSERT INTO `sys_job_log` VALUES (38226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 12:13:43');
INSERT INTO `sys_job_log` VALUES (38227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:13:48');
INSERT INTO `sys_job_log` VALUES (38228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:13:53');
INSERT INTO `sys_job_log` VALUES (38229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:13:58');
INSERT INTO `sys_job_log` VALUES (38230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:13:58');
INSERT INTO `sys_job_log` VALUES (38231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:14:03');
INSERT INTO `sys_job_log` VALUES (38232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:14:08');
INSERT INTO `sys_job_log` VALUES (38233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:14:13');
INSERT INTO `sys_job_log` VALUES (38234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:14:13');
INSERT INTO `sys_job_log` VALUES (38235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:14:18');
INSERT INTO `sys_job_log` VALUES (38236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:14:23');
INSERT INTO `sys_job_log` VALUES (38237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:14:28');
INSERT INTO `sys_job_log` VALUES (38238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:14:28');
INSERT INTO `sys_job_log` VALUES (38239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:14:33');
INSERT INTO `sys_job_log` VALUES (38240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:14:38');
INSERT INTO `sys_job_log` VALUES (38241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:14:43');
INSERT INTO `sys_job_log` VALUES (38242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:14:43');
INSERT INTO `sys_job_log` VALUES (38243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:14:48');
INSERT INTO `sys_job_log` VALUES (38244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:14:53');
INSERT INTO `sys_job_log` VALUES (38245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:14:58');
INSERT INTO `sys_job_log` VALUES (38246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:14:58');
INSERT INTO `sys_job_log` VALUES (38247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:15:03');
INSERT INTO `sys_job_log` VALUES (38248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:15:08');
INSERT INTO `sys_job_log` VALUES (38249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:15:13');
INSERT INTO `sys_job_log` VALUES (38250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:15:13');
INSERT INTO `sys_job_log` VALUES (38251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:15:18');
INSERT INTO `sys_job_log` VALUES (38252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:15:23');
INSERT INTO `sys_job_log` VALUES (38253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:15:28');
INSERT INTO `sys_job_log` VALUES (38254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:15:28');
INSERT INTO `sys_job_log` VALUES (38255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:15:33');
INSERT INTO `sys_job_log` VALUES (38256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:15:38');
INSERT INTO `sys_job_log` VALUES (38257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:15:43');
INSERT INTO `sys_job_log` VALUES (38258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:15:43');
INSERT INTO `sys_job_log` VALUES (38259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:15:48');
INSERT INTO `sys_job_log` VALUES (38260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:15:53');
INSERT INTO `sys_job_log` VALUES (38261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:15:58');
INSERT INTO `sys_job_log` VALUES (38262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 12:15:58');
INSERT INTO `sys_job_log` VALUES (38263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:16:03');
INSERT INTO `sys_job_log` VALUES (38264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:16:08');
INSERT INTO `sys_job_log` VALUES (38265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:16:13');
INSERT INTO `sys_job_log` VALUES (38266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:16:13');
INSERT INTO `sys_job_log` VALUES (38267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:16:18');
INSERT INTO `sys_job_log` VALUES (38268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:16:23');
INSERT INTO `sys_job_log` VALUES (38269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:16:28');
INSERT INTO `sys_job_log` VALUES (38270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:16:28');
INSERT INTO `sys_job_log` VALUES (38271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:16:33');
INSERT INTO `sys_job_log` VALUES (38272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:16:38');
INSERT INTO `sys_job_log` VALUES (38273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:16:43');
INSERT INTO `sys_job_log` VALUES (38274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:16:43');
INSERT INTO `sys_job_log` VALUES (38275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:16:48');
INSERT INTO `sys_job_log` VALUES (38276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:16:53');
INSERT INTO `sys_job_log` VALUES (38277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:16:58');
INSERT INTO `sys_job_log` VALUES (38278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 12:16:58');
INSERT INTO `sys_job_log` VALUES (38279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:17:03');
INSERT INTO `sys_job_log` VALUES (38280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:17:08');
INSERT INTO `sys_job_log` VALUES (38281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:17:13');
INSERT INTO `sys_job_log` VALUES (38282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:17:13');
INSERT INTO `sys_job_log` VALUES (38283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:17:18');
INSERT INTO `sys_job_log` VALUES (38284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:17:23');
INSERT INTO `sys_job_log` VALUES (38285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:17:28');
INSERT INTO `sys_job_log` VALUES (38286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 12:17:28');
INSERT INTO `sys_job_log` VALUES (38287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:17:33');
INSERT INTO `sys_job_log` VALUES (38288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:17:38');
INSERT INTO `sys_job_log` VALUES (38289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 12:17:43');
INSERT INTO `sys_job_log` VALUES (38290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 12:17:43');
INSERT INTO `sys_job_log` VALUES (38291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:17:48');
INSERT INTO `sys_job_log` VALUES (38292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:17:53');
INSERT INTO `sys_job_log` VALUES (38293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:17:58');
INSERT INTO `sys_job_log` VALUES (38294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:17:58');
INSERT INTO `sys_job_log` VALUES (38295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:18:03');
INSERT INTO `sys_job_log` VALUES (38296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:18:08');
INSERT INTO `sys_job_log` VALUES (38297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:18:13');
INSERT INTO `sys_job_log` VALUES (38298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:18:13');
INSERT INTO `sys_job_log` VALUES (38299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:18');
INSERT INTO `sys_job_log` VALUES (38300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:18:23');
INSERT INTO `sys_job_log` VALUES (38301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:28');
INSERT INTO `sys_job_log` VALUES (38302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:28');
INSERT INTO `sys_job_log` VALUES (38303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:18:33');
INSERT INTO `sys_job_log` VALUES (38304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:18:38');
INSERT INTO `sys_job_log` VALUES (38305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:18:43');
INSERT INTO `sys_job_log` VALUES (38306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:43');
INSERT INTO `sys_job_log` VALUES (38307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:18:48');
INSERT INTO `sys_job_log` VALUES (38308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:53');
INSERT INTO `sys_job_log` VALUES (38309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:58');
INSERT INTO `sys_job_log` VALUES (38310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:18:58');
INSERT INTO `sys_job_log` VALUES (38311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:19:03');
INSERT INTO `sys_job_log` VALUES (38312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:19:08');
INSERT INTO `sys_job_log` VALUES (38313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:19:13');
INSERT INTO `sys_job_log` VALUES (38314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:19:13');
INSERT INTO `sys_job_log` VALUES (38315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:19:18');
INSERT INTO `sys_job_log` VALUES (38316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:19:23');
INSERT INTO `sys_job_log` VALUES (38317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:19:28');
INSERT INTO `sys_job_log` VALUES (38318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:19:28');
INSERT INTO `sys_job_log` VALUES (38319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:19:33');
INSERT INTO `sys_job_log` VALUES (38320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 12:19:38');
INSERT INTO `sys_job_log` VALUES (38321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:19:43');
INSERT INTO `sys_job_log` VALUES (38322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:19:43');
INSERT INTO `sys_job_log` VALUES (38323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:19:48');
INSERT INTO `sys_job_log` VALUES (38324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:19:53');
INSERT INTO `sys_job_log` VALUES (38325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:19:58');
INSERT INTO `sys_job_log` VALUES (38326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:19:58');
INSERT INTO `sys_job_log` VALUES (38327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:20:03');
INSERT INTO `sys_job_log` VALUES (38328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:20:08');
INSERT INTO `sys_job_log` VALUES (38329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:20:13');
INSERT INTO `sys_job_log` VALUES (38330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:20:13');
INSERT INTO `sys_job_log` VALUES (38331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:20:18');
INSERT INTO `sys_job_log` VALUES (38332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:20:23');
INSERT INTO `sys_job_log` VALUES (38333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:20:28');
INSERT INTO `sys_job_log` VALUES (38334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:20:28');
INSERT INTO `sys_job_log` VALUES (38335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:20:33');
INSERT INTO `sys_job_log` VALUES (38336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:20:38');
INSERT INTO `sys_job_log` VALUES (38337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:20:43');
INSERT INTO `sys_job_log` VALUES (38338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:20:43');
INSERT INTO `sys_job_log` VALUES (38339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:20:48');
INSERT INTO `sys_job_log` VALUES (38340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:20:53');
INSERT INTO `sys_job_log` VALUES (38341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:20:58');
INSERT INTO `sys_job_log` VALUES (38342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:20:58');
INSERT INTO `sys_job_log` VALUES (38343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:21:03');
INSERT INTO `sys_job_log` VALUES (38344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:21:08');
INSERT INTO `sys_job_log` VALUES (38345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:21:13');
INSERT INTO `sys_job_log` VALUES (38346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:21:13');
INSERT INTO `sys_job_log` VALUES (38347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:21:18');
INSERT INTO `sys_job_log` VALUES (38348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:21:23');
INSERT INTO `sys_job_log` VALUES (38349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:21:28');
INSERT INTO `sys_job_log` VALUES (38350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:21:28');
INSERT INTO `sys_job_log` VALUES (38351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:21:33');
INSERT INTO `sys_job_log` VALUES (38352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:21:38');
INSERT INTO `sys_job_log` VALUES (38353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:21:43');
INSERT INTO `sys_job_log` VALUES (38354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 12:21:43');
INSERT INTO `sys_job_log` VALUES (38355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:21:48');
INSERT INTO `sys_job_log` VALUES (38356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:21:53');
INSERT INTO `sys_job_log` VALUES (38357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:21:58');
INSERT INTO `sys_job_log` VALUES (38358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:21:58');
INSERT INTO `sys_job_log` VALUES (38359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:22:03');
INSERT INTO `sys_job_log` VALUES (38360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:22:08');
INSERT INTO `sys_job_log` VALUES (38361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:22:13');
INSERT INTO `sys_job_log` VALUES (38362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:22:13');
INSERT INTO `sys_job_log` VALUES (38363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:22:18');
INSERT INTO `sys_job_log` VALUES (38364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:22:23');
INSERT INTO `sys_job_log` VALUES (38365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 12:22:28');
INSERT INTO `sys_job_log` VALUES (38366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 12:22:28');
INSERT INTO `sys_job_log` VALUES (38367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 12:22:33');
INSERT INTO `sys_job_log` VALUES (38368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:22:38');
INSERT INTO `sys_job_log` VALUES (38369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:22:43');
INSERT INTO `sys_job_log` VALUES (38370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:22:43');
INSERT INTO `sys_job_log` VALUES (38371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:22:48');
INSERT INTO `sys_job_log` VALUES (38372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:22:53');
INSERT INTO `sys_job_log` VALUES (38373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:22:58');
INSERT INTO `sys_job_log` VALUES (38374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:22:58');
INSERT INTO `sys_job_log` VALUES (38375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:23:03');
INSERT INTO `sys_job_log` VALUES (38376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:23:08');
INSERT INTO `sys_job_log` VALUES (38377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:23:13');
INSERT INTO `sys_job_log` VALUES (38378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:23:13');
INSERT INTO `sys_job_log` VALUES (38379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:23:18');
INSERT INTO `sys_job_log` VALUES (38380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:23:23');
INSERT INTO `sys_job_log` VALUES (38381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:23:28');
INSERT INTO `sys_job_log` VALUES (38382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:23:28');
INSERT INTO `sys_job_log` VALUES (38383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:23:33');
INSERT INTO `sys_job_log` VALUES (38384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:23:38');
INSERT INTO `sys_job_log` VALUES (38385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:23:43');
INSERT INTO `sys_job_log` VALUES (38386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:23:43');
INSERT INTO `sys_job_log` VALUES (38387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:23:48');
INSERT INTO `sys_job_log` VALUES (38388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:23:53');
INSERT INTO `sys_job_log` VALUES (38389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:23:58');
INSERT INTO `sys_job_log` VALUES (38390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:23:58');
INSERT INTO `sys_job_log` VALUES (38391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:24:03');
INSERT INTO `sys_job_log` VALUES (38392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:24:08');
INSERT INTO `sys_job_log` VALUES (38393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:24:13');
INSERT INTO `sys_job_log` VALUES (38394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:24:13');
INSERT INTO `sys_job_log` VALUES (38395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:24:18');
INSERT INTO `sys_job_log` VALUES (38396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:24:23');
INSERT INTO `sys_job_log` VALUES (38397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:24:28');
INSERT INTO `sys_job_log` VALUES (38398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:24:28');
INSERT INTO `sys_job_log` VALUES (38399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:24:33');
INSERT INTO `sys_job_log` VALUES (38400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:24:38');
INSERT INTO `sys_job_log` VALUES (38401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:24:43');
INSERT INTO `sys_job_log` VALUES (38402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:24:43');
INSERT INTO `sys_job_log` VALUES (38403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:24:48');
INSERT INTO `sys_job_log` VALUES (38404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:24:53');
INSERT INTO `sys_job_log` VALUES (38405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:24:58');
INSERT INTO `sys_job_log` VALUES (38406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:24:58');
INSERT INTO `sys_job_log` VALUES (38407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:03');
INSERT INTO `sys_job_log` VALUES (38408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:08');
INSERT INTO `sys_job_log` VALUES (38409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:13');
INSERT INTO `sys_job_log` VALUES (38410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:13');
INSERT INTO `sys_job_log` VALUES (38411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:25:18');
INSERT INTO `sys_job_log` VALUES (38412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:25:23');
INSERT INTO `sys_job_log` VALUES (38413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:25:28');
INSERT INTO `sys_job_log` VALUES (38414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:28');
INSERT INTO `sys_job_log` VALUES (38415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:25:33');
INSERT INTO `sys_job_log` VALUES (38416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:25:38');
INSERT INTO `sys_job_log` VALUES (38417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:43');
INSERT INTO `sys_job_log` VALUES (38418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:43');
INSERT INTO `sys_job_log` VALUES (38419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:25:48');
INSERT INTO `sys_job_log` VALUES (38420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:25:53');
INSERT INTO `sys_job_log` VALUES (38421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:58');
INSERT INTO `sys_job_log` VALUES (38422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:25:58');
INSERT INTO `sys_job_log` VALUES (38423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:26:03');
INSERT INTO `sys_job_log` VALUES (38424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:26:08');
INSERT INTO `sys_job_log` VALUES (38425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:26:13');
INSERT INTO `sys_job_log` VALUES (38426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:26:13');
INSERT INTO `sys_job_log` VALUES (38427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:26:18');
INSERT INTO `sys_job_log` VALUES (38428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:26:23');
INSERT INTO `sys_job_log` VALUES (38429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:26:28');
INSERT INTO `sys_job_log` VALUES (38430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:26:28');
INSERT INTO `sys_job_log` VALUES (38431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:26:33');
INSERT INTO `sys_job_log` VALUES (38432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:26:38');
INSERT INTO `sys_job_log` VALUES (38433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:26:43');
INSERT INTO `sys_job_log` VALUES (38434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:26:43');
INSERT INTO `sys_job_log` VALUES (38435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:26:48');
INSERT INTO `sys_job_log` VALUES (38436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:26:53');
INSERT INTO `sys_job_log` VALUES (38437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:26:58');
INSERT INTO `sys_job_log` VALUES (38438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:26:58');
INSERT INTO `sys_job_log` VALUES (38439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:27:03');
INSERT INTO `sys_job_log` VALUES (38440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:27:08');
INSERT INTO `sys_job_log` VALUES (38441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:27:13');
INSERT INTO `sys_job_log` VALUES (38442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 12:27:13');
INSERT INTO `sys_job_log` VALUES (38443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:27:18');
INSERT INTO `sys_job_log` VALUES (38444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:27:23');
INSERT INTO `sys_job_log` VALUES (38445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:27:28');
INSERT INTO `sys_job_log` VALUES (38446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 12:27:28');
INSERT INTO `sys_job_log` VALUES (38447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:27:33');
INSERT INTO `sys_job_log` VALUES (38448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:27:38');
INSERT INTO `sys_job_log` VALUES (38449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:27:43');
INSERT INTO `sys_job_log` VALUES (38450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:27:43');
INSERT INTO `sys_job_log` VALUES (38451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:27:48');
INSERT INTO `sys_job_log` VALUES (38452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:27:53');
INSERT INTO `sys_job_log` VALUES (38453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:27:58');
INSERT INTO `sys_job_log` VALUES (38454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 12:27:58');
INSERT INTO `sys_job_log` VALUES (38455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:28:03');
INSERT INTO `sys_job_log` VALUES (38456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:28:08');
INSERT INTO `sys_job_log` VALUES (38457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:28:13');
INSERT INTO `sys_job_log` VALUES (38458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:28:13');
INSERT INTO `sys_job_log` VALUES (38459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:28:18');
INSERT INTO `sys_job_log` VALUES (38460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:28:23');
INSERT INTO `sys_job_log` VALUES (38461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 12:28:28');
INSERT INTO `sys_job_log` VALUES (38462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 12:28:28');
INSERT INTO `sys_job_log` VALUES (38463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:28:33');
INSERT INTO `sys_job_log` VALUES (38464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:28:38');
INSERT INTO `sys_job_log` VALUES (38465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:28:43');
INSERT INTO `sys_job_log` VALUES (38466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:28:43');
INSERT INTO `sys_job_log` VALUES (38467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:28:48');
INSERT INTO `sys_job_log` VALUES (38468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:28:53');
INSERT INTO `sys_job_log` VALUES (38469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:28:58');
INSERT INTO `sys_job_log` VALUES (38470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 12:28:58');
INSERT INTO `sys_job_log` VALUES (38471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:29:03');
INSERT INTO `sys_job_log` VALUES (38472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:29:08');
INSERT INTO `sys_job_log` VALUES (38473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:29:13');
INSERT INTO `sys_job_log` VALUES (38474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:29:13');
INSERT INTO `sys_job_log` VALUES (38475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:29:18');
INSERT INTO `sys_job_log` VALUES (38476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:29:23');
INSERT INTO `sys_job_log` VALUES (38477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:29:28');
INSERT INTO `sys_job_log` VALUES (38478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:29:28');
INSERT INTO `sys_job_log` VALUES (38479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:29:35');
INSERT INTO `sys_job_log` VALUES (38480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:29:40');
INSERT INTO `sys_job_log` VALUES (38481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:29:45');
INSERT INTO `sys_job_log` VALUES (38482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:29:45');
INSERT INTO `sys_job_log` VALUES (38483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:29:50');
INSERT INTO `sys_job_log` VALUES (38484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:29:55');
INSERT INTO `sys_job_log` VALUES (38485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:30:00');
INSERT INTO `sys_job_log` VALUES (38486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:30:00');
INSERT INTO `sys_job_log` VALUES (38487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:30:05');
INSERT INTO `sys_job_log` VALUES (38488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:30:10');
INSERT INTO `sys_job_log` VALUES (38489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:30:15');
INSERT INTO `sys_job_log` VALUES (38490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:30:15');
INSERT INTO `sys_job_log` VALUES (38491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:30:20');
INSERT INTO `sys_job_log` VALUES (38492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:30:25');
INSERT INTO `sys_job_log` VALUES (38493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:30:30');
INSERT INTO `sys_job_log` VALUES (38494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:30:30');
INSERT INTO `sys_job_log` VALUES (38495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:30:35');
INSERT INTO `sys_job_log` VALUES (38496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:30:40');
INSERT INTO `sys_job_log` VALUES (38497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:30:45');
INSERT INTO `sys_job_log` VALUES (38498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:30:45');
INSERT INTO `sys_job_log` VALUES (38499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:30:50');
INSERT INTO `sys_job_log` VALUES (38500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:30:55');
INSERT INTO `sys_job_log` VALUES (38501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:31:00');
INSERT INTO `sys_job_log` VALUES (38502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:31:00');
INSERT INTO `sys_job_log` VALUES (38503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:31:05');
INSERT INTO `sys_job_log` VALUES (38504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:31:10');
INSERT INTO `sys_job_log` VALUES (38505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:31:15');
INSERT INTO `sys_job_log` VALUES (38506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:31:15');
INSERT INTO `sys_job_log` VALUES (38507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:31:20');
INSERT INTO `sys_job_log` VALUES (38508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 12:31:25');
INSERT INTO `sys_job_log` VALUES (38509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:31:30');
INSERT INTO `sys_job_log` VALUES (38510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:31:30');
INSERT INTO `sys_job_log` VALUES (38511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:31:35');
INSERT INTO `sys_job_log` VALUES (38512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:31:40');
INSERT INTO `sys_job_log` VALUES (38513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:31:45');
INSERT INTO `sys_job_log` VALUES (38514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 12:31:45');
INSERT INTO `sys_job_log` VALUES (38515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:31:50');
INSERT INTO `sys_job_log` VALUES (38516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 12:31:55');
INSERT INTO `sys_job_log` VALUES (38517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:32:00');
INSERT INTO `sys_job_log` VALUES (38518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:32:00');
INSERT INTO `sys_job_log` VALUES (38519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 12:32:05');
INSERT INTO `sys_job_log` VALUES (38520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:32:10');
INSERT INTO `sys_job_log` VALUES (38521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:32:15');
INSERT INTO `sys_job_log` VALUES (38522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:32:15');
INSERT INTO `sys_job_log` VALUES (38523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:32:20');
INSERT INTO `sys_job_log` VALUES (38524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:32:25');
INSERT INTO `sys_job_log` VALUES (38525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:32:30');
INSERT INTO `sys_job_log` VALUES (38526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:32:30');
INSERT INTO `sys_job_log` VALUES (38527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：323毫秒', '0', '', '2025-01-01 12:32:35');
INSERT INTO `sys_job_log` VALUES (38528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:32:40');
INSERT INTO `sys_job_log` VALUES (38529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:32:45');
INSERT INTO `sys_job_log` VALUES (38530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:32:45');
INSERT INTO `sys_job_log` VALUES (38531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:32:50');
INSERT INTO `sys_job_log` VALUES (38532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:32:55');
INSERT INTO `sys_job_log` VALUES (38533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:33:00');
INSERT INTO `sys_job_log` VALUES (38534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:33:00');
INSERT INTO `sys_job_log` VALUES (38535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:33:05');
INSERT INTO `sys_job_log` VALUES (38536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:33:10');
INSERT INTO `sys_job_log` VALUES (38537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:33:15');
INSERT INTO `sys_job_log` VALUES (38538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:33:15');
INSERT INTO `sys_job_log` VALUES (38539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:33:20');
INSERT INTO `sys_job_log` VALUES (38540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:33:25');
INSERT INTO `sys_job_log` VALUES (38541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:33:30');
INSERT INTO `sys_job_log` VALUES (38542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:33:30');
INSERT INTO `sys_job_log` VALUES (38543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:33:35');
INSERT INTO `sys_job_log` VALUES (38544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 12:33:40');
INSERT INTO `sys_job_log` VALUES (38545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 12:33:45');
INSERT INTO `sys_job_log` VALUES (38546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 12:33:45');
INSERT INTO `sys_job_log` VALUES (38547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:33:50');
INSERT INTO `sys_job_log` VALUES (38548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:33:55');
INSERT INTO `sys_job_log` VALUES (38549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:34:00');
INSERT INTO `sys_job_log` VALUES (38550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:34:00');
INSERT INTO `sys_job_log` VALUES (38551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:34:05');
INSERT INTO `sys_job_log` VALUES (38552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:34:10');
INSERT INTO `sys_job_log` VALUES (38553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 12:34:15');
INSERT INTO `sys_job_log` VALUES (38554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:34:15');
INSERT INTO `sys_job_log` VALUES (38555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 12:34:20');
INSERT INTO `sys_job_log` VALUES (38556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:34:25');
INSERT INTO `sys_job_log` VALUES (38557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:34:30');
INSERT INTO `sys_job_log` VALUES (38558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:34:30');
INSERT INTO `sys_job_log` VALUES (38559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:34:35');
INSERT INTO `sys_job_log` VALUES (38560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:34:40');
INSERT INTO `sys_job_log` VALUES (38561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:34:45');
INSERT INTO `sys_job_log` VALUES (38562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:34:45');
INSERT INTO `sys_job_log` VALUES (38563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:34:50');
INSERT INTO `sys_job_log` VALUES (38564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:34:55');
INSERT INTO `sys_job_log` VALUES (38565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:35:00');
INSERT INTO `sys_job_log` VALUES (38566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:35:00');
INSERT INTO `sys_job_log` VALUES (38567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:35:05');
INSERT INTO `sys_job_log` VALUES (38568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:35:10');
INSERT INTO `sys_job_log` VALUES (38569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:35:15');
INSERT INTO `sys_job_log` VALUES (38570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:35:15');
INSERT INTO `sys_job_log` VALUES (38571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:35:20');
INSERT INTO `sys_job_log` VALUES (38572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:35:25');
INSERT INTO `sys_job_log` VALUES (38573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:35:30');
INSERT INTO `sys_job_log` VALUES (38574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:35:30');
INSERT INTO `sys_job_log` VALUES (38575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:35:35');
INSERT INTO `sys_job_log` VALUES (38576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:35:40');
INSERT INTO `sys_job_log` VALUES (38577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:35:45');
INSERT INTO `sys_job_log` VALUES (38578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:35:45');
INSERT INTO `sys_job_log` VALUES (38579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:35:50');
INSERT INTO `sys_job_log` VALUES (38580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:35:55');
INSERT INTO `sys_job_log` VALUES (38581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:36:00');
INSERT INTO `sys_job_log` VALUES (38582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:36:00');
INSERT INTO `sys_job_log` VALUES (38583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:36:05');
INSERT INTO `sys_job_log` VALUES (38584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:36:10');
INSERT INTO `sys_job_log` VALUES (38585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:36:15');
INSERT INTO `sys_job_log` VALUES (38586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 12:36:15');
INSERT INTO `sys_job_log` VALUES (38587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:36:20');
INSERT INTO `sys_job_log` VALUES (38588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:36:25');
INSERT INTO `sys_job_log` VALUES (38589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:36:30');
INSERT INTO `sys_job_log` VALUES (38590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:36:30');
INSERT INTO `sys_job_log` VALUES (38591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:36:35');
INSERT INTO `sys_job_log` VALUES (38592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:36:40');
INSERT INTO `sys_job_log` VALUES (38593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:36:45');
INSERT INTO `sys_job_log` VALUES (38594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:36:45');
INSERT INTO `sys_job_log` VALUES (38595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:36:50');
INSERT INTO `sys_job_log` VALUES (38596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:36:55');
INSERT INTO `sys_job_log` VALUES (38597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:37:00');
INSERT INTO `sys_job_log` VALUES (38598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:37:00');
INSERT INTO `sys_job_log` VALUES (38599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:37:05');
INSERT INTO `sys_job_log` VALUES (38600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:37:10');
INSERT INTO `sys_job_log` VALUES (38601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:37:15');
INSERT INTO `sys_job_log` VALUES (38602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:37:15');
INSERT INTO `sys_job_log` VALUES (38603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:37:20');
INSERT INTO `sys_job_log` VALUES (38604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:37:25');
INSERT INTO `sys_job_log` VALUES (38605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:37:30');
INSERT INTO `sys_job_log` VALUES (38606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:37:30');
INSERT INTO `sys_job_log` VALUES (38607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:37:35');
INSERT INTO `sys_job_log` VALUES (38608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:37:40');
INSERT INTO `sys_job_log` VALUES (38609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:37:45');
INSERT INTO `sys_job_log` VALUES (38610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:37:45');
INSERT INTO `sys_job_log` VALUES (38611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:37:50');
INSERT INTO `sys_job_log` VALUES (38612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:37:55');
INSERT INTO `sys_job_log` VALUES (38613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:38:00');
INSERT INTO `sys_job_log` VALUES (38614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:38:00');
INSERT INTO `sys_job_log` VALUES (38615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:38:05');
INSERT INTO `sys_job_log` VALUES (38616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:38:10');
INSERT INTO `sys_job_log` VALUES (38617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:38:15');
INSERT INTO `sys_job_log` VALUES (38618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 12:38:15');
INSERT INTO `sys_job_log` VALUES (38619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:38:20');
INSERT INTO `sys_job_log` VALUES (38620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:38:25');
INSERT INTO `sys_job_log` VALUES (38621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:38:30');
INSERT INTO `sys_job_log` VALUES (38622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:38:30');
INSERT INTO `sys_job_log` VALUES (38623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:38:35');
INSERT INTO `sys_job_log` VALUES (38624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:38:40');
INSERT INTO `sys_job_log` VALUES (38625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:38:45');
INSERT INTO `sys_job_log` VALUES (38626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:38:45');
INSERT INTO `sys_job_log` VALUES (38627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:38:50');
INSERT INTO `sys_job_log` VALUES (38628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:38:55');
INSERT INTO `sys_job_log` VALUES (38629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:39:00');
INSERT INTO `sys_job_log` VALUES (38630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:39:00');
INSERT INTO `sys_job_log` VALUES (38631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:39:05');
INSERT INTO `sys_job_log` VALUES (38632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 12:39:10');
INSERT INTO `sys_job_log` VALUES (38633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:39:15');
INSERT INTO `sys_job_log` VALUES (38634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:39:15');
INSERT INTO `sys_job_log` VALUES (38635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:39:20');
INSERT INTO `sys_job_log` VALUES (38636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:39:25');
INSERT INTO `sys_job_log` VALUES (38637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:39:30');
INSERT INTO `sys_job_log` VALUES (38638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:39:30');
INSERT INTO `sys_job_log` VALUES (38639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:39:35');
INSERT INTO `sys_job_log` VALUES (38640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:39:40');
INSERT INTO `sys_job_log` VALUES (38641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:39:45');
INSERT INTO `sys_job_log` VALUES (38642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:39:45');
INSERT INTO `sys_job_log` VALUES (38643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 12:39:50');
INSERT INTO `sys_job_log` VALUES (38644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:39:55');
INSERT INTO `sys_job_log` VALUES (38645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:40:00');
INSERT INTO `sys_job_log` VALUES (38646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:40:00');
INSERT INTO `sys_job_log` VALUES (38647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:05');
INSERT INTO `sys_job_log` VALUES (38648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:10');
INSERT INTO `sys_job_log` VALUES (38649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:15');
INSERT INTO `sys_job_log` VALUES (38650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:15');
INSERT INTO `sys_job_log` VALUES (38651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:40:20');
INSERT INTO `sys_job_log` VALUES (38652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:40:25');
INSERT INTO `sys_job_log` VALUES (38653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:40:30');
INSERT INTO `sys_job_log` VALUES (38654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:40:30');
INSERT INTO `sys_job_log` VALUES (38655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:35');
INSERT INTO `sys_job_log` VALUES (38656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:40:40');
INSERT INTO `sys_job_log` VALUES (38657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:45');
INSERT INTO `sys_job_log` VALUES (38658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:40:45');
INSERT INTO `sys_job_log` VALUES (38659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:40:50');
INSERT INTO `sys_job_log` VALUES (38660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:40:55');
INSERT INTO `sys_job_log` VALUES (38661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:41:00');
INSERT INTO `sys_job_log` VALUES (38662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:41:00');
INSERT INTO `sys_job_log` VALUES (38663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:41:05');
INSERT INTO `sys_job_log` VALUES (38664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-01 12:41:10');
INSERT INTO `sys_job_log` VALUES (38665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:41:15');
INSERT INTO `sys_job_log` VALUES (38666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:41:15');
INSERT INTO `sys_job_log` VALUES (38667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:41:20');
INSERT INTO `sys_job_log` VALUES (38668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:41:25');
INSERT INTO `sys_job_log` VALUES (38669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:41:30');
INSERT INTO `sys_job_log` VALUES (38670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:41:30');
INSERT INTO `sys_job_log` VALUES (38671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:41:35');
INSERT INTO `sys_job_log` VALUES (38672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:41:40');
INSERT INTO `sys_job_log` VALUES (38673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:41:45');
INSERT INTO `sys_job_log` VALUES (38674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:41:45');
INSERT INTO `sys_job_log` VALUES (38675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:41:50');
INSERT INTO `sys_job_log` VALUES (38676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:41:55');
INSERT INTO `sys_job_log` VALUES (38677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:42:00');
INSERT INTO `sys_job_log` VALUES (38678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:42:00');
INSERT INTO `sys_job_log` VALUES (38679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:42:05');
INSERT INTO `sys_job_log` VALUES (38680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:42:10');
INSERT INTO `sys_job_log` VALUES (38681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:42:15');
INSERT INTO `sys_job_log` VALUES (38682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:42:15');
INSERT INTO `sys_job_log` VALUES (38683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:42:20');
INSERT INTO `sys_job_log` VALUES (38684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:42:25');
INSERT INTO `sys_job_log` VALUES (38685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:42:30');
INSERT INTO `sys_job_log` VALUES (38686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:42:30');
INSERT INTO `sys_job_log` VALUES (38687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:42:35');
INSERT INTO `sys_job_log` VALUES (38688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:42:40');
INSERT INTO `sys_job_log` VALUES (38689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:42:45');
INSERT INTO `sys_job_log` VALUES (38690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:42:45');
INSERT INTO `sys_job_log` VALUES (38691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:42:50');
INSERT INTO `sys_job_log` VALUES (38692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:42:55');
INSERT INTO `sys_job_log` VALUES (38693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:43:00');
INSERT INTO `sys_job_log` VALUES (38694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:43:00');
INSERT INTO `sys_job_log` VALUES (38695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:43:05');
INSERT INTO `sys_job_log` VALUES (38696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:43:10');
INSERT INTO `sys_job_log` VALUES (38697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:43:15');
INSERT INTO `sys_job_log` VALUES (38698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:43:15');
INSERT INTO `sys_job_log` VALUES (38699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:43:20');
INSERT INTO `sys_job_log` VALUES (38700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:43:25');
INSERT INTO `sys_job_log` VALUES (38701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:43:30');
INSERT INTO `sys_job_log` VALUES (38702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:43:30');
INSERT INTO `sys_job_log` VALUES (38703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:43:35');
INSERT INTO `sys_job_log` VALUES (38704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:43:40');
INSERT INTO `sys_job_log` VALUES (38705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:43:45');
INSERT INTO `sys_job_log` VALUES (38706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:43:45');
INSERT INTO `sys_job_log` VALUES (38707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 12:43:50');
INSERT INTO `sys_job_log` VALUES (38708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:43:55');
INSERT INTO `sys_job_log` VALUES (38709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:44:00');
INSERT INTO `sys_job_log` VALUES (38710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:44:00');
INSERT INTO `sys_job_log` VALUES (38711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:44:05');
INSERT INTO `sys_job_log` VALUES (38712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:44:10');
INSERT INTO `sys_job_log` VALUES (38713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:44:15');
INSERT INTO `sys_job_log` VALUES (38714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:44:15');
INSERT INTO `sys_job_log` VALUES (38715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:44:20');
INSERT INTO `sys_job_log` VALUES (38716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:44:25');
INSERT INTO `sys_job_log` VALUES (38717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:44:30');
INSERT INTO `sys_job_log` VALUES (38718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:44:30');
INSERT INTO `sys_job_log` VALUES (38719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:44:35');
INSERT INTO `sys_job_log` VALUES (38720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:44:40');
INSERT INTO `sys_job_log` VALUES (38721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:44:45');
INSERT INTO `sys_job_log` VALUES (38722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:44:45');
INSERT INTO `sys_job_log` VALUES (38723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:44:50');
INSERT INTO `sys_job_log` VALUES (38724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:44:55');
INSERT INTO `sys_job_log` VALUES (38725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:45:00');
INSERT INTO `sys_job_log` VALUES (38726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:45:00');
INSERT INTO `sys_job_log` VALUES (38727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:05');
INSERT INTO `sys_job_log` VALUES (38728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:10');
INSERT INTO `sys_job_log` VALUES (38729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:15');
INSERT INTO `sys_job_log` VALUES (38730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:15');
INSERT INTO `sys_job_log` VALUES (38731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:45:20');
INSERT INTO `sys_job_log` VALUES (38732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:45:25');
INSERT INTO `sys_job_log` VALUES (38733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:45:30');
INSERT INTO `sys_job_log` VALUES (38734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:45:30');
INSERT INTO `sys_job_log` VALUES (38735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:45:35');
INSERT INTO `sys_job_log` VALUES (38736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:45:40');
INSERT INTO `sys_job_log` VALUES (38737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:45');
INSERT INTO `sys_job_log` VALUES (38738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:45');
INSERT INTO `sys_job_log` VALUES (38739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:50');
INSERT INTO `sys_job_log` VALUES (38740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:45:55');
INSERT INTO `sys_job_log` VALUES (38741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:46:00');
INSERT INTO `sys_job_log` VALUES (38742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:46:00');
INSERT INTO `sys_job_log` VALUES (38743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:46:05');
INSERT INTO `sys_job_log` VALUES (38744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:46:10');
INSERT INTO `sys_job_log` VALUES (38745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 12:46:15');
INSERT INTO `sys_job_log` VALUES (38746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 12:46:15');
INSERT INTO `sys_job_log` VALUES (38747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:46:20');
INSERT INTO `sys_job_log` VALUES (38748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:46:25');
INSERT INTO `sys_job_log` VALUES (38749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:46:30');
INSERT INTO `sys_job_log` VALUES (38750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:46:30');
INSERT INTO `sys_job_log` VALUES (38751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:46:35');
INSERT INTO `sys_job_log` VALUES (38752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:46:40');
INSERT INTO `sys_job_log` VALUES (38753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:46:45');
INSERT INTO `sys_job_log` VALUES (38754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:46:45');
INSERT INTO `sys_job_log` VALUES (38755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:46:50');
INSERT INTO `sys_job_log` VALUES (38756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:46:55');
INSERT INTO `sys_job_log` VALUES (38757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:47:00');
INSERT INTO `sys_job_log` VALUES (38758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:47:00');
INSERT INTO `sys_job_log` VALUES (38759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:47:05');
INSERT INTO `sys_job_log` VALUES (38760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:10');
INSERT INTO `sys_job_log` VALUES (38761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:15');
INSERT INTO `sys_job_log` VALUES (38762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:15');
INSERT INTO `sys_job_log` VALUES (38763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:47:20');
INSERT INTO `sys_job_log` VALUES (38764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:47:25');
INSERT INTO `sys_job_log` VALUES (38765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:30');
INSERT INTO `sys_job_log` VALUES (38766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:30');
INSERT INTO `sys_job_log` VALUES (38767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:47:35');
INSERT INTO `sys_job_log` VALUES (38768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:47:40');
INSERT INTO `sys_job_log` VALUES (38769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:45');
INSERT INTO `sys_job_log` VALUES (38770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:47:45');
INSERT INTO `sys_job_log` VALUES (38771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:47:50');
INSERT INTO `sys_job_log` VALUES (38772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:47:55');
INSERT INTO `sys_job_log` VALUES (38773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:48:00');
INSERT INTO `sys_job_log` VALUES (38774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:48:00');
INSERT INTO `sys_job_log` VALUES (38775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:48:05');
INSERT INTO `sys_job_log` VALUES (38776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:48:10');
INSERT INTO `sys_job_log` VALUES (38777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:48:15');
INSERT INTO `sys_job_log` VALUES (38778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:48:15');
INSERT INTO `sys_job_log` VALUES (38779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:48:20');
INSERT INTO `sys_job_log` VALUES (38780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:48:25');
INSERT INTO `sys_job_log` VALUES (38781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:48:30');
INSERT INTO `sys_job_log` VALUES (38782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:48:30');
INSERT INTO `sys_job_log` VALUES (38783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:48:35');
INSERT INTO `sys_job_log` VALUES (38784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:48:40');
INSERT INTO `sys_job_log` VALUES (38785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:48:45');
INSERT INTO `sys_job_log` VALUES (38786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:48:45');
INSERT INTO `sys_job_log` VALUES (38787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:48:50');
INSERT INTO `sys_job_log` VALUES (38788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:48:55');
INSERT INTO `sys_job_log` VALUES (38789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:49:00');
INSERT INTO `sys_job_log` VALUES (38790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:49:00');
INSERT INTO `sys_job_log` VALUES (38791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:49:05');
INSERT INTO `sys_job_log` VALUES (38792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:49:10');
INSERT INTO `sys_job_log` VALUES (38793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:49:15');
INSERT INTO `sys_job_log` VALUES (38794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:49:15');
INSERT INTO `sys_job_log` VALUES (38795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:49:20');
INSERT INTO `sys_job_log` VALUES (38796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:49:25');
INSERT INTO `sys_job_log` VALUES (38797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:49:30');
INSERT INTO `sys_job_log` VALUES (38798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:49:30');
INSERT INTO `sys_job_log` VALUES (38799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:49:35');
INSERT INTO `sys_job_log` VALUES (38800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:49:40');
INSERT INTO `sys_job_log` VALUES (38801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:49:45');
INSERT INTO `sys_job_log` VALUES (38802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:49:45');
INSERT INTO `sys_job_log` VALUES (38803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:49:50');
INSERT INTO `sys_job_log` VALUES (38804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:49:55');
INSERT INTO `sys_job_log` VALUES (38805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:50:00');
INSERT INTO `sys_job_log` VALUES (38806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:50:00');
INSERT INTO `sys_job_log` VALUES (38807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:50:05');
INSERT INTO `sys_job_log` VALUES (38808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:50:10');
INSERT INTO `sys_job_log` VALUES (38809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:50:15');
INSERT INTO `sys_job_log` VALUES (38810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:50:15');
INSERT INTO `sys_job_log` VALUES (38811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:50:20');
INSERT INTO `sys_job_log` VALUES (38812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:50:25');
INSERT INTO `sys_job_log` VALUES (38813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:50:30');
INSERT INTO `sys_job_log` VALUES (38814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:50:30');
INSERT INTO `sys_job_log` VALUES (38815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:50:35');
INSERT INTO `sys_job_log` VALUES (38816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:50:40');
INSERT INTO `sys_job_log` VALUES (38817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:50:45');
INSERT INTO `sys_job_log` VALUES (38818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:50:45');
INSERT INTO `sys_job_log` VALUES (38819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:50:50');
INSERT INTO `sys_job_log` VALUES (38820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:50:55');
INSERT INTO `sys_job_log` VALUES (38821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:51:00');
INSERT INTO `sys_job_log` VALUES (38822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:51:00');
INSERT INTO `sys_job_log` VALUES (38823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:51:05');
INSERT INTO `sys_job_log` VALUES (38824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 12:51:10');
INSERT INTO `sys_job_log` VALUES (38825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:51:15');
INSERT INTO `sys_job_log` VALUES (38826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:51:15');
INSERT INTO `sys_job_log` VALUES (38827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:51:20');
INSERT INTO `sys_job_log` VALUES (38828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 12:51:25');
INSERT INTO `sys_job_log` VALUES (38829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:51:30');
INSERT INTO `sys_job_log` VALUES (38830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:51:30');
INSERT INTO `sys_job_log` VALUES (38831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:51:35');
INSERT INTO `sys_job_log` VALUES (38832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:51:40');
INSERT INTO `sys_job_log` VALUES (38833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 12:51:45');
INSERT INTO `sys_job_log` VALUES (38834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 12:51:45');
INSERT INTO `sys_job_log` VALUES (38835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:51:50');
INSERT INTO `sys_job_log` VALUES (38836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:51:55');
INSERT INTO `sys_job_log` VALUES (38837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:52:00');
INSERT INTO `sys_job_log` VALUES (38838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:52:00');
INSERT INTO `sys_job_log` VALUES (38839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:52:05');
INSERT INTO `sys_job_log` VALUES (38840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:52:10');
INSERT INTO `sys_job_log` VALUES (38841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:52:15');
INSERT INTO `sys_job_log` VALUES (38842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:52:15');
INSERT INTO `sys_job_log` VALUES (38843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:52:20');
INSERT INTO `sys_job_log` VALUES (38844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:52:25');
INSERT INTO `sys_job_log` VALUES (38845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:52:30');
INSERT INTO `sys_job_log` VALUES (38846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:52:30');
INSERT INTO `sys_job_log` VALUES (38847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:52:35');
INSERT INTO `sys_job_log` VALUES (38848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:52:40');
INSERT INTO `sys_job_log` VALUES (38849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:52:45');
INSERT INTO `sys_job_log` VALUES (38850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:52:45');
INSERT INTO `sys_job_log` VALUES (38851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:52:50');
INSERT INTO `sys_job_log` VALUES (38852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:52:55');
INSERT INTO `sys_job_log` VALUES (38853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:53:00');
INSERT INTO `sys_job_log` VALUES (38854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:53:00');
INSERT INTO `sys_job_log` VALUES (38855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:53:05');
INSERT INTO `sys_job_log` VALUES (38856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:53:10');
INSERT INTO `sys_job_log` VALUES (38857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:53:15');
INSERT INTO `sys_job_log` VALUES (38858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:53:15');
INSERT INTO `sys_job_log` VALUES (38859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:53:20');
INSERT INTO `sys_job_log` VALUES (38860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:53:25');
INSERT INTO `sys_job_log` VALUES (38861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:53:30');
INSERT INTO `sys_job_log` VALUES (38862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:53:30');
INSERT INTO `sys_job_log` VALUES (38863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 12:53:35');
INSERT INTO `sys_job_log` VALUES (38864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:53:40');
INSERT INTO `sys_job_log` VALUES (38865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:53:45');
INSERT INTO `sys_job_log` VALUES (38866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:53:45');
INSERT INTO `sys_job_log` VALUES (38867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:53:50');
INSERT INTO `sys_job_log` VALUES (38868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:53:55');
INSERT INTO `sys_job_log` VALUES (38869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:54:00');
INSERT INTO `sys_job_log` VALUES (38870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:54:00');
INSERT INTO `sys_job_log` VALUES (38871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:54:05');
INSERT INTO `sys_job_log` VALUES (38872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:54:10');
INSERT INTO `sys_job_log` VALUES (38873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:54:15');
INSERT INTO `sys_job_log` VALUES (38874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:54:15');
INSERT INTO `sys_job_log` VALUES (38875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 12:54:20');
INSERT INTO `sys_job_log` VALUES (38876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:54:25');
INSERT INTO `sys_job_log` VALUES (38877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:54:30');
INSERT INTO `sys_job_log` VALUES (38878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:54:30');
INSERT INTO `sys_job_log` VALUES (38879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:54:35');
INSERT INTO `sys_job_log` VALUES (38880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:54:40');
INSERT INTO `sys_job_log` VALUES (38881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:54:45');
INSERT INTO `sys_job_log` VALUES (38882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:54:45');
INSERT INTO `sys_job_log` VALUES (38883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 12:54:50');
INSERT INTO `sys_job_log` VALUES (38884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:54:55');
INSERT INTO `sys_job_log` VALUES (38885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:55:00');
INSERT INTO `sys_job_log` VALUES (38886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:55:00');
INSERT INTO `sys_job_log` VALUES (38887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:55:05');
INSERT INTO `sys_job_log` VALUES (38888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:55:10');
INSERT INTO `sys_job_log` VALUES (38889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:55:15');
INSERT INTO `sys_job_log` VALUES (38890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:55:15');
INSERT INTO `sys_job_log` VALUES (38891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:55:20');
INSERT INTO `sys_job_log` VALUES (38892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:55:25');
INSERT INTO `sys_job_log` VALUES (38893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:55:30');
INSERT INTO `sys_job_log` VALUES (38894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 12:55:30');
INSERT INTO `sys_job_log` VALUES (38895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:55:35');
INSERT INTO `sys_job_log` VALUES (38896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:55:40');
INSERT INTO `sys_job_log` VALUES (38897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:55:45');
INSERT INTO `sys_job_log` VALUES (38898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:55:45');
INSERT INTO `sys_job_log` VALUES (38899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 12:55:50');
INSERT INTO `sys_job_log` VALUES (38900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:55:55');
INSERT INTO `sys_job_log` VALUES (38901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:56:00');
INSERT INTO `sys_job_log` VALUES (38902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:56:00');
INSERT INTO `sys_job_log` VALUES (38903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:56:05');
INSERT INTO `sys_job_log` VALUES (38904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:56:10');
INSERT INTO `sys_job_log` VALUES (38905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:56:15');
INSERT INTO `sys_job_log` VALUES (38906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:56:15');
INSERT INTO `sys_job_log` VALUES (38907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:56:20');
INSERT INTO `sys_job_log` VALUES (38908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:56:25');
INSERT INTO `sys_job_log` VALUES (38909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:56:30');
INSERT INTO `sys_job_log` VALUES (38910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:56:30');
INSERT INTO `sys_job_log` VALUES (38911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:56:35');
INSERT INTO `sys_job_log` VALUES (38912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:56:40');
INSERT INTO `sys_job_log` VALUES (38913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:56:45');
INSERT INTO `sys_job_log` VALUES (38914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:56:45');
INSERT INTO `sys_job_log` VALUES (38915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:56:50');
INSERT INTO `sys_job_log` VALUES (38916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:56:55');
INSERT INTO `sys_job_log` VALUES (38917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:00');
INSERT INTO `sys_job_log` VALUES (38918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:00');
INSERT INTO `sys_job_log` VALUES (38919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:57:05');
INSERT INTO `sys_job_log` VALUES (38920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:57:10');
INSERT INTO `sys_job_log` VALUES (38921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:15');
INSERT INTO `sys_job_log` VALUES (38922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:15');
INSERT INTO `sys_job_log` VALUES (38923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:57:20');
INSERT INTO `sys_job_log` VALUES (38924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:57:25');
INSERT INTO `sys_job_log` VALUES (38925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:30');
INSERT INTO `sys_job_log` VALUES (38926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:30');
INSERT INTO `sys_job_log` VALUES (38927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:57:35');
INSERT INTO `sys_job_log` VALUES (38928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:40');
INSERT INTO `sys_job_log` VALUES (38929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 12:57:45');
INSERT INTO `sys_job_log` VALUES (38930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 12:57:45');
INSERT INTO `sys_job_log` VALUES (38931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:57:50');
INSERT INTO `sys_job_log` VALUES (38932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 12:57:55');
INSERT INTO `sys_job_log` VALUES (38933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 12:58:00');
INSERT INTO `sys_job_log` VALUES (38934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:58:00');
INSERT INTO `sys_job_log` VALUES (38935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 12:58:05');
INSERT INTO `sys_job_log` VALUES (38936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:58:10');
INSERT INTO `sys_job_log` VALUES (38937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:58:15');
INSERT INTO `sys_job_log` VALUES (38938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:58:15');
INSERT INTO `sys_job_log` VALUES (38939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:58:20');
INSERT INTO `sys_job_log` VALUES (38940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:58:25');
INSERT INTO `sys_job_log` VALUES (38941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 12:58:30');
INSERT INTO `sys_job_log` VALUES (38942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:58:30');
INSERT INTO `sys_job_log` VALUES (38943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 12:58:35');
INSERT INTO `sys_job_log` VALUES (38944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:58:40');
INSERT INTO `sys_job_log` VALUES (38945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 12:58:45');
INSERT INTO `sys_job_log` VALUES (38946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 12:58:45');
INSERT INTO `sys_job_log` VALUES (38947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:58:50');
INSERT INTO `sys_job_log` VALUES (38948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:58:55');
INSERT INTO `sys_job_log` VALUES (38949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 12:59:00');
INSERT INTO `sys_job_log` VALUES (38950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 12:59:00');
INSERT INTO `sys_job_log` VALUES (38951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 12:59:05');
INSERT INTO `sys_job_log` VALUES (38952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 12:59:10');
INSERT INTO `sys_job_log` VALUES (38953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:15');
INSERT INTO `sys_job_log` VALUES (38954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:15');
INSERT INTO `sys_job_log` VALUES (38955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:20');
INSERT INTO `sys_job_log` VALUES (38956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:59:25');
INSERT INTO `sys_job_log` VALUES (38957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 12:59:30');
INSERT INTO `sys_job_log` VALUES (38958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 12:59:30');
INSERT INTO `sys_job_log` VALUES (38959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:59:35');
INSERT INTO `sys_job_log` VALUES (38960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 12:59:40');
INSERT INTO `sys_job_log` VALUES (38961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:45');
INSERT INTO `sys_job_log` VALUES (38962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:45');
INSERT INTO `sys_job_log` VALUES (38963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:50');
INSERT INTO `sys_job_log` VALUES (38964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 12:59:55');
INSERT INTO `sys_job_log` VALUES (38965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:00:00');
INSERT INTO `sys_job_log` VALUES (38966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:00:00');
INSERT INTO `sys_job_log` VALUES (38967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:00:05');
INSERT INTO `sys_job_log` VALUES (38968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:00:10');
INSERT INTO `sys_job_log` VALUES (38969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:00:15');
INSERT INTO `sys_job_log` VALUES (38970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:00:15');
INSERT INTO `sys_job_log` VALUES (38971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:00:20');
INSERT INTO `sys_job_log` VALUES (38972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:00:25');
INSERT INTO `sys_job_log` VALUES (38973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:00:30');
INSERT INTO `sys_job_log` VALUES (38974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:00:30');
INSERT INTO `sys_job_log` VALUES (38975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:00:35');
INSERT INTO `sys_job_log` VALUES (38976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:00:40');
INSERT INTO `sys_job_log` VALUES (38977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:00:45');
INSERT INTO `sys_job_log` VALUES (38978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:00:45');
INSERT INTO `sys_job_log` VALUES (38979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:00:50');
INSERT INTO `sys_job_log` VALUES (38980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:00:55');
INSERT INTO `sys_job_log` VALUES (38981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:01:00');
INSERT INTO `sys_job_log` VALUES (38982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:01:00');
INSERT INTO `sys_job_log` VALUES (38983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:01:05');
INSERT INTO `sys_job_log` VALUES (38984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:01:10');
INSERT INTO `sys_job_log` VALUES (38985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:01:15');
INSERT INTO `sys_job_log` VALUES (38986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:01:15');
INSERT INTO `sys_job_log` VALUES (38987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:01:20');
INSERT INTO `sys_job_log` VALUES (38988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 13:01:25');
INSERT INTO `sys_job_log` VALUES (38989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:01:30');
INSERT INTO `sys_job_log` VALUES (38990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:01:30');
INSERT INTO `sys_job_log` VALUES (38991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:01:35');
INSERT INTO `sys_job_log` VALUES (38992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:01:40');
INSERT INTO `sys_job_log` VALUES (38993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:01:45');
INSERT INTO `sys_job_log` VALUES (38994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:01:45');
INSERT INTO `sys_job_log` VALUES (38995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:01:50');
INSERT INTO `sys_job_log` VALUES (38996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:01:55');
INSERT INTO `sys_job_log` VALUES (38997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 13:02:00');
INSERT INTO `sys_job_log` VALUES (38998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:02:00');
INSERT INTO `sys_job_log` VALUES (38999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:02:05');
INSERT INTO `sys_job_log` VALUES (39000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:02:10');
INSERT INTO `sys_job_log` VALUES (39001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:02:15');
INSERT INTO `sys_job_log` VALUES (39002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:02:15');
INSERT INTO `sys_job_log` VALUES (39003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:02:20');
INSERT INTO `sys_job_log` VALUES (39004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:02:25');
INSERT INTO `sys_job_log` VALUES (39005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:02:30');
INSERT INTO `sys_job_log` VALUES (39006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:02:30');
INSERT INTO `sys_job_log` VALUES (39007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:02:35');
INSERT INTO `sys_job_log` VALUES (39008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:02:40');
INSERT INTO `sys_job_log` VALUES (39009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:02:45');
INSERT INTO `sys_job_log` VALUES (39010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:02:45');
INSERT INTO `sys_job_log` VALUES (39011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:02:50');
INSERT INTO `sys_job_log` VALUES (39012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:02:55');
INSERT INTO `sys_job_log` VALUES (39013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:03:00');
INSERT INTO `sys_job_log` VALUES (39014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:03:00');
INSERT INTO `sys_job_log` VALUES (39015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:03:05');
INSERT INTO `sys_job_log` VALUES (39016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:03:10');
INSERT INTO `sys_job_log` VALUES (39017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:03:15');
INSERT INTO `sys_job_log` VALUES (39018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:03:15');
INSERT INTO `sys_job_log` VALUES (39019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:03:20');
INSERT INTO `sys_job_log` VALUES (39020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:03:25');
INSERT INTO `sys_job_log` VALUES (39021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:03:30');
INSERT INTO `sys_job_log` VALUES (39022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:03:30');
INSERT INTO `sys_job_log` VALUES (39023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:03:35');
INSERT INTO `sys_job_log` VALUES (39024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:03:40');
INSERT INTO `sys_job_log` VALUES (39025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:03:45');
INSERT INTO `sys_job_log` VALUES (39026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:03:45');
INSERT INTO `sys_job_log` VALUES (39027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:03:50');
INSERT INTO `sys_job_log` VALUES (39028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:03:55');
INSERT INTO `sys_job_log` VALUES (39029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:04:00');
INSERT INTO `sys_job_log` VALUES (39030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:04:00');
INSERT INTO `sys_job_log` VALUES (39031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:04:05');
INSERT INTO `sys_job_log` VALUES (39032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:04:10');
INSERT INTO `sys_job_log` VALUES (39033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:04:15');
INSERT INTO `sys_job_log` VALUES (39034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:04:15');
INSERT INTO `sys_job_log` VALUES (39035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:04:20');
INSERT INTO `sys_job_log` VALUES (39036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:04:25');
INSERT INTO `sys_job_log` VALUES (39037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:04:30');
INSERT INTO `sys_job_log` VALUES (39038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:04:30');
INSERT INTO `sys_job_log` VALUES (39039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:04:35');
INSERT INTO `sys_job_log` VALUES (39040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:04:40');
INSERT INTO `sys_job_log` VALUES (39041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:04:45');
INSERT INTO `sys_job_log` VALUES (39042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:04:45');
INSERT INTO `sys_job_log` VALUES (39043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:04:50');
INSERT INTO `sys_job_log` VALUES (39044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:04:55');
INSERT INTO `sys_job_log` VALUES (39045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:05:00');
INSERT INTO `sys_job_log` VALUES (39046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:05:00');
INSERT INTO `sys_job_log` VALUES (39047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:05:05');
INSERT INTO `sys_job_log` VALUES (39048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:05:10');
INSERT INTO `sys_job_log` VALUES (39049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 13:05:15');
INSERT INTO `sys_job_log` VALUES (39050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 13:05:15');
INSERT INTO `sys_job_log` VALUES (39051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:05:20');
INSERT INTO `sys_job_log` VALUES (39052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:05:25');
INSERT INTO `sys_job_log` VALUES (39053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:05:30');
INSERT INTO `sys_job_log` VALUES (39054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:05:30');
INSERT INTO `sys_job_log` VALUES (39055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:05:35');
INSERT INTO `sys_job_log` VALUES (39056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:05:40');
INSERT INTO `sys_job_log` VALUES (39057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:05:45');
INSERT INTO `sys_job_log` VALUES (39058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:05:45');
INSERT INTO `sys_job_log` VALUES (39059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:05:50');
INSERT INTO `sys_job_log` VALUES (39060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:05:55');
INSERT INTO `sys_job_log` VALUES (39061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:06:00');
INSERT INTO `sys_job_log` VALUES (39062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:06:00');
INSERT INTO `sys_job_log` VALUES (39063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:06:05');
INSERT INTO `sys_job_log` VALUES (39064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:06:10');
INSERT INTO `sys_job_log` VALUES (39065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:06:15');
INSERT INTO `sys_job_log` VALUES (39066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:06:15');
INSERT INTO `sys_job_log` VALUES (39067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:06:20');
INSERT INTO `sys_job_log` VALUES (39068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:06:25');
INSERT INTO `sys_job_log` VALUES (39069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:06:30');
INSERT INTO `sys_job_log` VALUES (39070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:06:30');
INSERT INTO `sys_job_log` VALUES (39071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:06:35');
INSERT INTO `sys_job_log` VALUES (39072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:06:40');
INSERT INTO `sys_job_log` VALUES (39073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:06:45');
INSERT INTO `sys_job_log` VALUES (39074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:06:45');
INSERT INTO `sys_job_log` VALUES (39075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:06:50');
INSERT INTO `sys_job_log` VALUES (39076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:06:55');
INSERT INTO `sys_job_log` VALUES (39077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:07:00');
INSERT INTO `sys_job_log` VALUES (39078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:07:00');
INSERT INTO `sys_job_log` VALUES (39079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:07:05');
INSERT INTO `sys_job_log` VALUES (39080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:07:10');
INSERT INTO `sys_job_log` VALUES (39081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:07:15');
INSERT INTO `sys_job_log` VALUES (39082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:07:15');
INSERT INTO `sys_job_log` VALUES (39083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:07:20');
INSERT INTO `sys_job_log` VALUES (39084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:07:25');
INSERT INTO `sys_job_log` VALUES (39085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:07:30');
INSERT INTO `sys_job_log` VALUES (39086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:07:30');
INSERT INTO `sys_job_log` VALUES (39087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 13:07:35');
INSERT INTO `sys_job_log` VALUES (39088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:07:40');
INSERT INTO `sys_job_log` VALUES (39089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:07:45');
INSERT INTO `sys_job_log` VALUES (39090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:07:45');
INSERT INTO `sys_job_log` VALUES (39091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:07:50');
INSERT INTO `sys_job_log` VALUES (39092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:07:55');
INSERT INTO `sys_job_log` VALUES (39093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:08:00');
INSERT INTO `sys_job_log` VALUES (39094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:08:00');
INSERT INTO `sys_job_log` VALUES (39095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:08:05');
INSERT INTO `sys_job_log` VALUES (39096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:08:10');
INSERT INTO `sys_job_log` VALUES (39097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:08:15');
INSERT INTO `sys_job_log` VALUES (39098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:08:15');
INSERT INTO `sys_job_log` VALUES (39099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:08:20');
INSERT INTO `sys_job_log` VALUES (39100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:08:25');
INSERT INTO `sys_job_log` VALUES (39101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:08:30');
INSERT INTO `sys_job_log` VALUES (39102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:08:30');
INSERT INTO `sys_job_log` VALUES (39103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 13:08:35');
INSERT INTO `sys_job_log` VALUES (39104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:08:40');
INSERT INTO `sys_job_log` VALUES (39105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:08:45');
INSERT INTO `sys_job_log` VALUES (39106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:08:45');
INSERT INTO `sys_job_log` VALUES (39107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:08:50');
INSERT INTO `sys_job_log` VALUES (39108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:08:55');
INSERT INTO `sys_job_log` VALUES (39109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:00');
INSERT INTO `sys_job_log` VALUES (39110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:09:00');
INSERT INTO `sys_job_log` VALUES (39111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:05');
INSERT INTO `sys_job_log` VALUES (39112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:09:10');
INSERT INTO `sys_job_log` VALUES (39113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:15');
INSERT INTO `sys_job_log` VALUES (39114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:15');
INSERT INTO `sys_job_log` VALUES (39115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:09:20');
INSERT INTO `sys_job_log` VALUES (39116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:09:25');
INSERT INTO `sys_job_log` VALUES (39117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:30');
INSERT INTO `sys_job_log` VALUES (39118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:09:30');
INSERT INTO `sys_job_log` VALUES (39119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:09:35');
INSERT INTO `sys_job_log` VALUES (39120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:09:40');
INSERT INTO `sys_job_log` VALUES (39121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:45');
INSERT INTO `sys_job_log` VALUES (39122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:45');
INSERT INTO `sys_job_log` VALUES (39123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:09:50');
INSERT INTO `sys_job_log` VALUES (39124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:09:55');
INSERT INTO `sys_job_log` VALUES (39125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:10:00');
INSERT INTO `sys_job_log` VALUES (39126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:10:00');
INSERT INTO `sys_job_log` VALUES (39127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:10:05');
INSERT INTO `sys_job_log` VALUES (39128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:10:10');
INSERT INTO `sys_job_log` VALUES (39129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:10:15');
INSERT INTO `sys_job_log` VALUES (39130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:10:15');
INSERT INTO `sys_job_log` VALUES (39131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:10:20');
INSERT INTO `sys_job_log` VALUES (39132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:10:25');
INSERT INTO `sys_job_log` VALUES (39133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:10:30');
INSERT INTO `sys_job_log` VALUES (39134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:10:30');
INSERT INTO `sys_job_log` VALUES (39135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:10:35');
INSERT INTO `sys_job_log` VALUES (39136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:10:40');
INSERT INTO `sys_job_log` VALUES (39137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:10:45');
INSERT INTO `sys_job_log` VALUES (39138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:10:45');
INSERT INTO `sys_job_log` VALUES (39139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:10:50');
INSERT INTO `sys_job_log` VALUES (39140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:10:55');
INSERT INTO `sys_job_log` VALUES (39141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:11:00');
INSERT INTO `sys_job_log` VALUES (39142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:11:00');
INSERT INTO `sys_job_log` VALUES (39143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:11:05');
INSERT INTO `sys_job_log` VALUES (39144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:11:10');
INSERT INTO `sys_job_log` VALUES (39145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:11:15');
INSERT INTO `sys_job_log` VALUES (39146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:11:15');
INSERT INTO `sys_job_log` VALUES (39147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:11:20');
INSERT INTO `sys_job_log` VALUES (39148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:11:25');
INSERT INTO `sys_job_log` VALUES (39149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:11:30');
INSERT INTO `sys_job_log` VALUES (39150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:11:30');
INSERT INTO `sys_job_log` VALUES (39151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:11:35');
INSERT INTO `sys_job_log` VALUES (39152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:11:40');
INSERT INTO `sys_job_log` VALUES (39153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:11:45');
INSERT INTO `sys_job_log` VALUES (39154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:11:45');
INSERT INTO `sys_job_log` VALUES (39155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:11:50');
INSERT INTO `sys_job_log` VALUES (39156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:11:55');
INSERT INTO `sys_job_log` VALUES (39157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:12:00');
INSERT INTO `sys_job_log` VALUES (39158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:12:00');
INSERT INTO `sys_job_log` VALUES (39159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:12:05');
INSERT INTO `sys_job_log` VALUES (39160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:12:10');
INSERT INTO `sys_job_log` VALUES (39161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:12:15');
INSERT INTO `sys_job_log` VALUES (39162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:12:15');
INSERT INTO `sys_job_log` VALUES (39163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:12:20');
INSERT INTO `sys_job_log` VALUES (39164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:12:25');
INSERT INTO `sys_job_log` VALUES (39165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 13:12:30');
INSERT INTO `sys_job_log` VALUES (39166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-01 13:12:30');
INSERT INTO `sys_job_log` VALUES (39167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:12:35');
INSERT INTO `sys_job_log` VALUES (39168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:12:40');
INSERT INTO `sys_job_log` VALUES (39169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:12:45');
INSERT INTO `sys_job_log` VALUES (39170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:12:45');
INSERT INTO `sys_job_log` VALUES (39171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:12:50');
INSERT INTO `sys_job_log` VALUES (39172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:12:55');
INSERT INTO `sys_job_log` VALUES (39173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:13:00');
INSERT INTO `sys_job_log` VALUES (39174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:13:00');
INSERT INTO `sys_job_log` VALUES (39175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:13:05');
INSERT INTO `sys_job_log` VALUES (39176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:13:10');
INSERT INTO `sys_job_log` VALUES (39177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:13:15');
INSERT INTO `sys_job_log` VALUES (39178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:13:15');
INSERT INTO `sys_job_log` VALUES (39179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:13:20');
INSERT INTO `sys_job_log` VALUES (39180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:13:25');
INSERT INTO `sys_job_log` VALUES (39181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:13:30');
INSERT INTO `sys_job_log` VALUES (39182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:13:30');
INSERT INTO `sys_job_log` VALUES (39183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:13:35');
INSERT INTO `sys_job_log` VALUES (39184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:13:40');
INSERT INTO `sys_job_log` VALUES (39185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:13:45');
INSERT INTO `sys_job_log` VALUES (39186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:13:45');
INSERT INTO `sys_job_log` VALUES (39187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:13:50');
INSERT INTO `sys_job_log` VALUES (39188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:13:55');
INSERT INTO `sys_job_log` VALUES (39189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:14:00');
INSERT INTO `sys_job_log` VALUES (39190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:14:00');
INSERT INTO `sys_job_log` VALUES (39191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:14:05');
INSERT INTO `sys_job_log` VALUES (39192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:14:10');
INSERT INTO `sys_job_log` VALUES (39193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:14:15');
INSERT INTO `sys_job_log` VALUES (39194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:14:15');
INSERT INTO `sys_job_log` VALUES (39195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:14:20');
INSERT INTO `sys_job_log` VALUES (39196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:14:25');
INSERT INTO `sys_job_log` VALUES (39197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:14:30');
INSERT INTO `sys_job_log` VALUES (39198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:14:30');
INSERT INTO `sys_job_log` VALUES (39199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:14:35');
INSERT INTO `sys_job_log` VALUES (39200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:14:40');
INSERT INTO `sys_job_log` VALUES (39201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:14:45');
INSERT INTO `sys_job_log` VALUES (39202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:14:45');
INSERT INTO `sys_job_log` VALUES (39203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:14:50');
INSERT INTO `sys_job_log` VALUES (39204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:14:55');
INSERT INTO `sys_job_log` VALUES (39205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:15:00');
INSERT INTO `sys_job_log` VALUES (39206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:15:00');
INSERT INTO `sys_job_log` VALUES (39207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:15:05');
INSERT INTO `sys_job_log` VALUES (39208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:15:10');
INSERT INTO `sys_job_log` VALUES (39209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:15:15');
INSERT INTO `sys_job_log` VALUES (39210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:15:15');
INSERT INTO `sys_job_log` VALUES (39211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:15:20');
INSERT INTO `sys_job_log` VALUES (39212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:15:25');
INSERT INTO `sys_job_log` VALUES (39213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:15:30');
INSERT INTO `sys_job_log` VALUES (39214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:15:30');
INSERT INTO `sys_job_log` VALUES (39215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:15:35');
INSERT INTO `sys_job_log` VALUES (39216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:15:40');
INSERT INTO `sys_job_log` VALUES (39217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 13:15:45');
INSERT INTO `sys_job_log` VALUES (39218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:15:45');
INSERT INTO `sys_job_log` VALUES (39219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:15:50');
INSERT INTO `sys_job_log` VALUES (39220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:15:55');
INSERT INTO `sys_job_log` VALUES (39221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 13:16:00');
INSERT INTO `sys_job_log` VALUES (39222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 13:16:00');
INSERT INTO `sys_job_log` VALUES (39223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:16:05');
INSERT INTO `sys_job_log` VALUES (39224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:16:10');
INSERT INTO `sys_job_log` VALUES (39225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:16:15');
INSERT INTO `sys_job_log` VALUES (39226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:16:15');
INSERT INTO `sys_job_log` VALUES (39227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:16:20');
INSERT INTO `sys_job_log` VALUES (39228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:16:25');
INSERT INTO `sys_job_log` VALUES (39229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:16:30');
INSERT INTO `sys_job_log` VALUES (39230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:16:30');
INSERT INTO `sys_job_log` VALUES (39231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:16:35');
INSERT INTO `sys_job_log` VALUES (39232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:16:40');
INSERT INTO `sys_job_log` VALUES (39233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:16:45');
INSERT INTO `sys_job_log` VALUES (39234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:16:45');
INSERT INTO `sys_job_log` VALUES (39235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:16:50');
INSERT INTO `sys_job_log` VALUES (39236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:16:55');
INSERT INTO `sys_job_log` VALUES (39237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:17:00');
INSERT INTO `sys_job_log` VALUES (39238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:17:00');
INSERT INTO `sys_job_log` VALUES (39239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:17:05');
INSERT INTO `sys_job_log` VALUES (39240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:17:10');
INSERT INTO `sys_job_log` VALUES (39241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:17:15');
INSERT INTO `sys_job_log` VALUES (39242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:17:15');
INSERT INTO `sys_job_log` VALUES (39243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:17:20');
INSERT INTO `sys_job_log` VALUES (39244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:17:25');
INSERT INTO `sys_job_log` VALUES (39245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:17:30');
INSERT INTO `sys_job_log` VALUES (39246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:17:30');
INSERT INTO `sys_job_log` VALUES (39247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:17:35');
INSERT INTO `sys_job_log` VALUES (39248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:17:40');
INSERT INTO `sys_job_log` VALUES (39249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:17:45');
INSERT INTO `sys_job_log` VALUES (39250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:17:45');
INSERT INTO `sys_job_log` VALUES (39251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 13:17:50');
INSERT INTO `sys_job_log` VALUES (39252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:17:55');
INSERT INTO `sys_job_log` VALUES (39253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:18:00');
INSERT INTO `sys_job_log` VALUES (39254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:18:00');
INSERT INTO `sys_job_log` VALUES (39255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:18:05');
INSERT INTO `sys_job_log` VALUES (39256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:18:10');
INSERT INTO `sys_job_log` VALUES (39257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:18:15');
INSERT INTO `sys_job_log` VALUES (39258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:18:15');
INSERT INTO `sys_job_log` VALUES (39259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:18:20');
INSERT INTO `sys_job_log` VALUES (39260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:18:25');
INSERT INTO `sys_job_log` VALUES (39261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:18:30');
INSERT INTO `sys_job_log` VALUES (39262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:18:30');
INSERT INTO `sys_job_log` VALUES (39263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:18:35');
INSERT INTO `sys_job_log` VALUES (39264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:18:40');
INSERT INTO `sys_job_log` VALUES (39265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:18:45');
INSERT INTO `sys_job_log` VALUES (39266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:18:45');
INSERT INTO `sys_job_log` VALUES (39267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:18:50');
INSERT INTO `sys_job_log` VALUES (39268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:18:55');
INSERT INTO `sys_job_log` VALUES (39269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 13:19:00');
INSERT INTO `sys_job_log` VALUES (39270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:19:00');
INSERT INTO `sys_job_log` VALUES (39271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:19:05');
INSERT INTO `sys_job_log` VALUES (39272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:19:10');
INSERT INTO `sys_job_log` VALUES (39273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:19:15');
INSERT INTO `sys_job_log` VALUES (39274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:19:15');
INSERT INTO `sys_job_log` VALUES (39275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:19:20');
INSERT INTO `sys_job_log` VALUES (39276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:19:25');
INSERT INTO `sys_job_log` VALUES (39277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:19:30');
INSERT INTO `sys_job_log` VALUES (39278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:19:30');
INSERT INTO `sys_job_log` VALUES (39279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:19:35');
INSERT INTO `sys_job_log` VALUES (39280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:19:40');
INSERT INTO `sys_job_log` VALUES (39281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:19:45');
INSERT INTO `sys_job_log` VALUES (39282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:19:45');
INSERT INTO `sys_job_log` VALUES (39283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:19:50');
INSERT INTO `sys_job_log` VALUES (39284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:19:55');
INSERT INTO `sys_job_log` VALUES (39285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:20:00');
INSERT INTO `sys_job_log` VALUES (39286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:20:00');
INSERT INTO `sys_job_log` VALUES (39287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:20:05');
INSERT INTO `sys_job_log` VALUES (39288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:20:10');
INSERT INTO `sys_job_log` VALUES (39289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:20:15');
INSERT INTO `sys_job_log` VALUES (39290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 13:20:15');
INSERT INTO `sys_job_log` VALUES (39291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:20:20');
INSERT INTO `sys_job_log` VALUES (39292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:20:25');
INSERT INTO `sys_job_log` VALUES (39293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:20:30');
INSERT INTO `sys_job_log` VALUES (39294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:20:30');
INSERT INTO `sys_job_log` VALUES (39295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:20:35');
INSERT INTO `sys_job_log` VALUES (39296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:20:40');
INSERT INTO `sys_job_log` VALUES (39297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:20:45');
INSERT INTO `sys_job_log` VALUES (39298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 13:20:45');
INSERT INTO `sys_job_log` VALUES (39299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:20:50');
INSERT INTO `sys_job_log` VALUES (39300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:20:55');
INSERT INTO `sys_job_log` VALUES (39301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:21:00');
INSERT INTO `sys_job_log` VALUES (39302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:21:00');
INSERT INTO `sys_job_log` VALUES (39303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:21:05');
INSERT INTO `sys_job_log` VALUES (39304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:21:10');
INSERT INTO `sys_job_log` VALUES (39305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:21:15');
INSERT INTO `sys_job_log` VALUES (39306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:21:15');
INSERT INTO `sys_job_log` VALUES (39307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:21:20');
INSERT INTO `sys_job_log` VALUES (39308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:21:25');
INSERT INTO `sys_job_log` VALUES (39309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:21:30');
INSERT INTO `sys_job_log` VALUES (39310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:21:30');
INSERT INTO `sys_job_log` VALUES (39311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:21:35');
INSERT INTO `sys_job_log` VALUES (39312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:21:40');
INSERT INTO `sys_job_log` VALUES (39313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:21:45');
INSERT INTO `sys_job_log` VALUES (39314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:21:45');
INSERT INTO `sys_job_log` VALUES (39315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:21:50');
INSERT INTO `sys_job_log` VALUES (39316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:21:55');
INSERT INTO `sys_job_log` VALUES (39317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:22:00');
INSERT INTO `sys_job_log` VALUES (39318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:22:00');
INSERT INTO `sys_job_log` VALUES (39319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:22:05');
INSERT INTO `sys_job_log` VALUES (39320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:22:10');
INSERT INTO `sys_job_log` VALUES (39321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:22:15');
INSERT INTO `sys_job_log` VALUES (39322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:22:15');
INSERT INTO `sys_job_log` VALUES (39323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:22:20');
INSERT INTO `sys_job_log` VALUES (39324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:22:25');
INSERT INTO `sys_job_log` VALUES (39325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:22:30');
INSERT INTO `sys_job_log` VALUES (39326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:22:30');
INSERT INTO `sys_job_log` VALUES (39327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:22:35');
INSERT INTO `sys_job_log` VALUES (39328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:22:40');
INSERT INTO `sys_job_log` VALUES (39329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 13:22:45');
INSERT INTO `sys_job_log` VALUES (39330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 13:22:45');
INSERT INTO `sys_job_log` VALUES (39331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:22:50');
INSERT INTO `sys_job_log` VALUES (39332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:22:55');
INSERT INTO `sys_job_log` VALUES (39333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:23:00');
INSERT INTO `sys_job_log` VALUES (39334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:23:00');
INSERT INTO `sys_job_log` VALUES (39335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:23:05');
INSERT INTO `sys_job_log` VALUES (39336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:23:10');
INSERT INTO `sys_job_log` VALUES (39337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:23:15');
INSERT INTO `sys_job_log` VALUES (39338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:23:15');
INSERT INTO `sys_job_log` VALUES (39339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:23:20');
INSERT INTO `sys_job_log` VALUES (39340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:23:25');
INSERT INTO `sys_job_log` VALUES (39341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:23:30');
INSERT INTO `sys_job_log` VALUES (39342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:23:30');
INSERT INTO `sys_job_log` VALUES (39343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:23:35');
INSERT INTO `sys_job_log` VALUES (39344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:23:40');
INSERT INTO `sys_job_log` VALUES (39345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:23:45');
INSERT INTO `sys_job_log` VALUES (39346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:23:45');
INSERT INTO `sys_job_log` VALUES (39347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:23:50');
INSERT INTO `sys_job_log` VALUES (39348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:23:55');
INSERT INTO `sys_job_log` VALUES (39349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:24:00');
INSERT INTO `sys_job_log` VALUES (39350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:24:00');
INSERT INTO `sys_job_log` VALUES (39351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:24:05');
INSERT INTO `sys_job_log` VALUES (39352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:24:10');
INSERT INTO `sys_job_log` VALUES (39353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：89毫秒', '0', '', '2025-01-01 13:24:15');
INSERT INTO `sys_job_log` VALUES (39354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-01 13:24:15');
INSERT INTO `sys_job_log` VALUES (39355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:24:20');
INSERT INTO `sys_job_log` VALUES (39356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:24:25');
INSERT INTO `sys_job_log` VALUES (39357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:24:30');
INSERT INTO `sys_job_log` VALUES (39358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:24:30');
INSERT INTO `sys_job_log` VALUES (39359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:24:35');
INSERT INTO `sys_job_log` VALUES (39360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:24:40');
INSERT INTO `sys_job_log` VALUES (39361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:24:45');
INSERT INTO `sys_job_log` VALUES (39362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:24:45');
INSERT INTO `sys_job_log` VALUES (39363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:24:50');
INSERT INTO `sys_job_log` VALUES (39364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:24:55');
INSERT INTO `sys_job_log` VALUES (39365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:25:00');
INSERT INTO `sys_job_log` VALUES (39366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:25:00');
INSERT INTO `sys_job_log` VALUES (39367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:25:05');
INSERT INTO `sys_job_log` VALUES (39368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:25:10');
INSERT INTO `sys_job_log` VALUES (39369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:25:15');
INSERT INTO `sys_job_log` VALUES (39370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:25:15');
INSERT INTO `sys_job_log` VALUES (39371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:25:20');
INSERT INTO `sys_job_log` VALUES (39372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:25:25');
INSERT INTO `sys_job_log` VALUES (39373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:25:30');
INSERT INTO `sys_job_log` VALUES (39374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:25:30');
INSERT INTO `sys_job_log` VALUES (39375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:25:35');
INSERT INTO `sys_job_log` VALUES (39376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:25:40');
INSERT INTO `sys_job_log` VALUES (39377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:25:45');
INSERT INTO `sys_job_log` VALUES (39378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:25:45');
INSERT INTO `sys_job_log` VALUES (39379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:25:50');
INSERT INTO `sys_job_log` VALUES (39380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:25:55');
INSERT INTO `sys_job_log` VALUES (39381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:26:00');
INSERT INTO `sys_job_log` VALUES (39382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:26:00');
INSERT INTO `sys_job_log` VALUES (39383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:26:05');
INSERT INTO `sys_job_log` VALUES (39384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:26:10');
INSERT INTO `sys_job_log` VALUES (39385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:26:15');
INSERT INTO `sys_job_log` VALUES (39386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:26:15');
INSERT INTO `sys_job_log` VALUES (39387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:26:20');
INSERT INTO `sys_job_log` VALUES (39388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:26:25');
INSERT INTO `sys_job_log` VALUES (39389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:26:30');
INSERT INTO `sys_job_log` VALUES (39390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:26:30');
INSERT INTO `sys_job_log` VALUES (39391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:26:35');
INSERT INTO `sys_job_log` VALUES (39392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:26:40');
INSERT INTO `sys_job_log` VALUES (39393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:26:45');
INSERT INTO `sys_job_log` VALUES (39394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:26:45');
INSERT INTO `sys_job_log` VALUES (39395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:26:50');
INSERT INTO `sys_job_log` VALUES (39396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 13:26:55');
INSERT INTO `sys_job_log` VALUES (39397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:27:00');
INSERT INTO `sys_job_log` VALUES (39398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:27:00');
INSERT INTO `sys_job_log` VALUES (39399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:27:05');
INSERT INTO `sys_job_log` VALUES (39400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:27:10');
INSERT INTO `sys_job_log` VALUES (39401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:27:15');
INSERT INTO `sys_job_log` VALUES (39402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:27:15');
INSERT INTO `sys_job_log` VALUES (39403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:27:20');
INSERT INTO `sys_job_log` VALUES (39404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 13:27:25');
INSERT INTO `sys_job_log` VALUES (39405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:27:30');
INSERT INTO `sys_job_log` VALUES (39406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:27:30');
INSERT INTO `sys_job_log` VALUES (39407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 13:27:35');
INSERT INTO `sys_job_log` VALUES (39408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 13:27:40');
INSERT INTO `sys_job_log` VALUES (39409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:27:45');
INSERT INTO `sys_job_log` VALUES (39410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:27:45');
INSERT INTO `sys_job_log` VALUES (39411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:27:50');
INSERT INTO `sys_job_log` VALUES (39412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:27:55');
INSERT INTO `sys_job_log` VALUES (39413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2025-01-01 13:28:00');
INSERT INTO `sys_job_log` VALUES (39414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：175毫秒', '0', '', '2025-01-01 13:28:00');
INSERT INTO `sys_job_log` VALUES (39415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:28:05');
INSERT INTO `sys_job_log` VALUES (39416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:28:10');
INSERT INTO `sys_job_log` VALUES (39417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:28:15');
INSERT INTO `sys_job_log` VALUES (39418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 13:28:15');
INSERT INTO `sys_job_log` VALUES (39419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:28:20');
INSERT INTO `sys_job_log` VALUES (39420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:28:25');
INSERT INTO `sys_job_log` VALUES (39421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:28:30');
INSERT INTO `sys_job_log` VALUES (39422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:28:30');
INSERT INTO `sys_job_log` VALUES (39423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:28:35');
INSERT INTO `sys_job_log` VALUES (39424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:28:40');
INSERT INTO `sys_job_log` VALUES (39425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:28:45');
INSERT INTO `sys_job_log` VALUES (39426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:28:45');
INSERT INTO `sys_job_log` VALUES (39427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:28:50');
INSERT INTO `sys_job_log` VALUES (39428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:28:55');
INSERT INTO `sys_job_log` VALUES (39429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:00');
INSERT INTO `sys_job_log` VALUES (39430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:00');
INSERT INTO `sys_job_log` VALUES (39431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:29:05');
INSERT INTO `sys_job_log` VALUES (39432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:29:10');
INSERT INTO `sys_job_log` VALUES (39433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:15');
INSERT INTO `sys_job_log` VALUES (39434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:15');
INSERT INTO `sys_job_log` VALUES (39435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:29:20');
INSERT INTO `sys_job_log` VALUES (39436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:25');
INSERT INTO `sys_job_log` VALUES (39437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:30');
INSERT INTO `sys_job_log` VALUES (39438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:29:30');
INSERT INTO `sys_job_log` VALUES (39439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:29:35');
INSERT INTO `sys_job_log` VALUES (39440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:29:40');
INSERT INTO `sys_job_log` VALUES (39441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:29:45');
INSERT INTO `sys_job_log` VALUES (39442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:29:45');
INSERT INTO `sys_job_log` VALUES (39443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:29:50');
INSERT INTO `sys_job_log` VALUES (39444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:29:55');
INSERT INTO `sys_job_log` VALUES (39445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:30:00');
INSERT INTO `sys_job_log` VALUES (39446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:30:00');
INSERT INTO `sys_job_log` VALUES (39447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:30:05');
INSERT INTO `sys_job_log` VALUES (39448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:30:10');
INSERT INTO `sys_job_log` VALUES (39449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:30:15');
INSERT INTO `sys_job_log` VALUES (39450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:30:15');
INSERT INTO `sys_job_log` VALUES (39451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:30:20');
INSERT INTO `sys_job_log` VALUES (39452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:30:25');
INSERT INTO `sys_job_log` VALUES (39453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:30:30');
INSERT INTO `sys_job_log` VALUES (39454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 13:30:30');
INSERT INTO `sys_job_log` VALUES (39455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:30:35');
INSERT INTO `sys_job_log` VALUES (39456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:30:40');
INSERT INTO `sys_job_log` VALUES (39457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:30:45');
INSERT INTO `sys_job_log` VALUES (39458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:30:45');
INSERT INTO `sys_job_log` VALUES (39459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:30:50');
INSERT INTO `sys_job_log` VALUES (39460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:30:55');
INSERT INTO `sys_job_log` VALUES (39461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：604毫秒', '0', '', '2025-01-01 13:31:00');
INSERT INTO `sys_job_log` VALUES (39462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：593毫秒', '0', '', '2025-01-01 13:31:00');
INSERT INTO `sys_job_log` VALUES (39463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:31:05');
INSERT INTO `sys_job_log` VALUES (39464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:31:10');
INSERT INTO `sys_job_log` VALUES (39465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:31:15');
INSERT INTO `sys_job_log` VALUES (39466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:31:15');
INSERT INTO `sys_job_log` VALUES (39467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:31:20');
INSERT INTO `sys_job_log` VALUES (39468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:31:25');
INSERT INTO `sys_job_log` VALUES (39469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:31:30');
INSERT INTO `sys_job_log` VALUES (39470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:31:30');
INSERT INTO `sys_job_log` VALUES (39471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:31:35');
INSERT INTO `sys_job_log` VALUES (39472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:31:40');
INSERT INTO `sys_job_log` VALUES (39473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-01 13:31:45');
INSERT INTO `sys_job_log` VALUES (39474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 13:31:45');
INSERT INTO `sys_job_log` VALUES (39475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:31:50');
INSERT INTO `sys_job_log` VALUES (39476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:31:55');
INSERT INTO `sys_job_log` VALUES (39477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 13:32:00');
INSERT INTO `sys_job_log` VALUES (39478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:32:00');
INSERT INTO `sys_job_log` VALUES (39479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:32:05');
INSERT INTO `sys_job_log` VALUES (39480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 13:32:10');
INSERT INTO `sys_job_log` VALUES (39481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-01 13:32:15');
INSERT INTO `sys_job_log` VALUES (39482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2025-01-01 13:32:15');
INSERT INTO `sys_job_log` VALUES (39483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:32:20');
INSERT INTO `sys_job_log` VALUES (39484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:32:25');
INSERT INTO `sys_job_log` VALUES (39485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:32:30');
INSERT INTO `sys_job_log` VALUES (39486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:32:30');
INSERT INTO `sys_job_log` VALUES (39487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:32:35');
INSERT INTO `sys_job_log` VALUES (39488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:32:40');
INSERT INTO `sys_job_log` VALUES (39489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:32:45');
INSERT INTO `sys_job_log` VALUES (39490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:32:45');
INSERT INTO `sys_job_log` VALUES (39491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:32:50');
INSERT INTO `sys_job_log` VALUES (39492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:32:55');
INSERT INTO `sys_job_log` VALUES (39493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:33:00');
INSERT INTO `sys_job_log` VALUES (39494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:33:00');
INSERT INTO `sys_job_log` VALUES (39495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:33:05');
INSERT INTO `sys_job_log` VALUES (39496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:33:10');
INSERT INTO `sys_job_log` VALUES (39497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:33:15');
INSERT INTO `sys_job_log` VALUES (39498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:33:15');
INSERT INTO `sys_job_log` VALUES (39499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:33:20');
INSERT INTO `sys_job_log` VALUES (39500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:33:25');
INSERT INTO `sys_job_log` VALUES (39501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:33:30');
INSERT INTO `sys_job_log` VALUES (39502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:33:30');
INSERT INTO `sys_job_log` VALUES (39503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:33:35');
INSERT INTO `sys_job_log` VALUES (39504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:33:40');
INSERT INTO `sys_job_log` VALUES (39505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 13:33:45');
INSERT INTO `sys_job_log` VALUES (39506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 13:33:45');
INSERT INTO `sys_job_log` VALUES (39507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:33:50');
INSERT INTO `sys_job_log` VALUES (39508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:33:55');
INSERT INTO `sys_job_log` VALUES (39509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:34:00');
INSERT INTO `sys_job_log` VALUES (39510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:34:00');
INSERT INTO `sys_job_log` VALUES (39511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:34:05');
INSERT INTO `sys_job_log` VALUES (39512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 13:34:10');
INSERT INTO `sys_job_log` VALUES (39513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:34:15');
INSERT INTO `sys_job_log` VALUES (39514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:34:15');
INSERT INTO `sys_job_log` VALUES (39515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:34:20');
INSERT INTO `sys_job_log` VALUES (39516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:34:25');
INSERT INTO `sys_job_log` VALUES (39517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:34:30');
INSERT INTO `sys_job_log` VALUES (39518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:34:30');
INSERT INTO `sys_job_log` VALUES (39519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:34:35');
INSERT INTO `sys_job_log` VALUES (39520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:34:40');
INSERT INTO `sys_job_log` VALUES (39521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:34:45');
INSERT INTO `sys_job_log` VALUES (39522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:34:45');
INSERT INTO `sys_job_log` VALUES (39523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-01 13:34:50');
INSERT INTO `sys_job_log` VALUES (39524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:34:55');
INSERT INTO `sys_job_log` VALUES (39525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:35:00');
INSERT INTO `sys_job_log` VALUES (39526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:35:00');
INSERT INTO `sys_job_log` VALUES (39527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:35:05');
INSERT INTO `sys_job_log` VALUES (39528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:35:10');
INSERT INTO `sys_job_log` VALUES (39529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:35:15');
INSERT INTO `sys_job_log` VALUES (39530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:35:15');
INSERT INTO `sys_job_log` VALUES (39531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:35:20');
INSERT INTO `sys_job_log` VALUES (39532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 13:35:25');
INSERT INTO `sys_job_log` VALUES (39533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 13:35:30');
INSERT INTO `sys_job_log` VALUES (39534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 13:35:30');
INSERT INTO `sys_job_log` VALUES (39535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:35:35');
INSERT INTO `sys_job_log` VALUES (39536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:35:40');
INSERT INTO `sys_job_log` VALUES (39537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:35:45');
INSERT INTO `sys_job_log` VALUES (39538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:35:45');
INSERT INTO `sys_job_log` VALUES (39539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:35:50');
INSERT INTO `sys_job_log` VALUES (39540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:35:55');
INSERT INTO `sys_job_log` VALUES (39541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：544毫秒', '0', '', '2025-01-01 13:36:00');
INSERT INTO `sys_job_log` VALUES (39542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：544毫秒', '0', '', '2025-01-01 13:36:00');
INSERT INTO `sys_job_log` VALUES (39543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:36:05');
INSERT INTO `sys_job_log` VALUES (39544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:36:10');
INSERT INTO `sys_job_log` VALUES (39545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:36:15');
INSERT INTO `sys_job_log` VALUES (39546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:36:15');
INSERT INTO `sys_job_log` VALUES (39547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:36:20');
INSERT INTO `sys_job_log` VALUES (39548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:36:25');
INSERT INTO `sys_job_log` VALUES (39549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:36:30');
INSERT INTO `sys_job_log` VALUES (39550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:36:30');
INSERT INTO `sys_job_log` VALUES (39551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 13:36:35');
INSERT INTO `sys_job_log` VALUES (39552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:36:40');
INSERT INTO `sys_job_log` VALUES (39553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:36:45');
INSERT INTO `sys_job_log` VALUES (39554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:36:45');
INSERT INTO `sys_job_log` VALUES (39555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:36:50');
INSERT INTO `sys_job_log` VALUES (39556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:36:55');
INSERT INTO `sys_job_log` VALUES (39557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:37:00');
INSERT INTO `sys_job_log` VALUES (39558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:37:00');
INSERT INTO `sys_job_log` VALUES (39559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:37:05');
INSERT INTO `sys_job_log` VALUES (39560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:37:10');
INSERT INTO `sys_job_log` VALUES (39561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:37:15');
INSERT INTO `sys_job_log` VALUES (39562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:37:15');
INSERT INTO `sys_job_log` VALUES (39563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:37:20');
INSERT INTO `sys_job_log` VALUES (39564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:37:25');
INSERT INTO `sys_job_log` VALUES (39565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 13:37:30');
INSERT INTO `sys_job_log` VALUES (39566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-01 13:37:30');
INSERT INTO `sys_job_log` VALUES (39567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:37:35');
INSERT INTO `sys_job_log` VALUES (39568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:37:40');
INSERT INTO `sys_job_log` VALUES (39569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:37:45');
INSERT INTO `sys_job_log` VALUES (39570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:37:45');
INSERT INTO `sys_job_log` VALUES (39571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:37:50');
INSERT INTO `sys_job_log` VALUES (39572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:37:55');
INSERT INTO `sys_job_log` VALUES (39573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2025-01-01 13:38:00');
INSERT INTO `sys_job_log` VALUES (39574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 13:38:00');
INSERT INTO `sys_job_log` VALUES (39575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:38:05');
INSERT INTO `sys_job_log` VALUES (39576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:38:10');
INSERT INTO `sys_job_log` VALUES (39577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:38:15');
INSERT INTO `sys_job_log` VALUES (39578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:38:15');
INSERT INTO `sys_job_log` VALUES (39579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:38:20');
INSERT INTO `sys_job_log` VALUES (39580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:38:25');
INSERT INTO `sys_job_log` VALUES (39581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:38:30');
INSERT INTO `sys_job_log` VALUES (39582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:38:30');
INSERT INTO `sys_job_log` VALUES (39583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:38:35');
INSERT INTO `sys_job_log` VALUES (39584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:38:40');
INSERT INTO `sys_job_log` VALUES (39585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:38:45');
INSERT INTO `sys_job_log` VALUES (39586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:38:45');
INSERT INTO `sys_job_log` VALUES (39587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:38:50');
INSERT INTO `sys_job_log` VALUES (39588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:38:55');
INSERT INTO `sys_job_log` VALUES (39589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:39:00');
INSERT INTO `sys_job_log` VALUES (39590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:39:00');
INSERT INTO `sys_job_log` VALUES (39591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:39:05');
INSERT INTO `sys_job_log` VALUES (39592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:39:10');
INSERT INTO `sys_job_log` VALUES (39593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:39:15');
INSERT INTO `sys_job_log` VALUES (39594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:39:15');
INSERT INTO `sys_job_log` VALUES (39595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:39:20');
INSERT INTO `sys_job_log` VALUES (39596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:39:25');
INSERT INTO `sys_job_log` VALUES (39597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:39:30');
INSERT INTO `sys_job_log` VALUES (39598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:39:30');
INSERT INTO `sys_job_log` VALUES (39599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:39:35');
INSERT INTO `sys_job_log` VALUES (39600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:39:40');
INSERT INTO `sys_job_log` VALUES (39601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:39:45');
INSERT INTO `sys_job_log` VALUES (39602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:39:45');
INSERT INTO `sys_job_log` VALUES (39603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:39:50');
INSERT INTO `sys_job_log` VALUES (39604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:39:55');
INSERT INTO `sys_job_log` VALUES (39605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:40:00');
INSERT INTO `sys_job_log` VALUES (39606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:40:00');
INSERT INTO `sys_job_log` VALUES (39607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:40:05');
INSERT INTO `sys_job_log` VALUES (39608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:40:10');
INSERT INTO `sys_job_log` VALUES (39609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:40:15');
INSERT INTO `sys_job_log` VALUES (39610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:40:15');
INSERT INTO `sys_job_log` VALUES (39611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:40:20');
INSERT INTO `sys_job_log` VALUES (39612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:40:25');
INSERT INTO `sys_job_log` VALUES (39613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:40:30');
INSERT INTO `sys_job_log` VALUES (39614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:40:30');
INSERT INTO `sys_job_log` VALUES (39615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:40:35');
INSERT INTO `sys_job_log` VALUES (39616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:40:40');
INSERT INTO `sys_job_log` VALUES (39617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:40:45');
INSERT INTO `sys_job_log` VALUES (39618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:40:45');
INSERT INTO `sys_job_log` VALUES (39619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:40:50');
INSERT INTO `sys_job_log` VALUES (39620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:40:55');
INSERT INTO `sys_job_log` VALUES (39621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:41:00');
INSERT INTO `sys_job_log` VALUES (39622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:41:00');
INSERT INTO `sys_job_log` VALUES (39623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:05');
INSERT INTO `sys_job_log` VALUES (39624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:10');
INSERT INTO `sys_job_log` VALUES (39625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:15');
INSERT INTO `sys_job_log` VALUES (39626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:15');
INSERT INTO `sys_job_log` VALUES (39627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:41:20');
INSERT INTO `sys_job_log` VALUES (39628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:25');
INSERT INTO `sys_job_log` VALUES (39629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:41:30');
INSERT INTO `sys_job_log` VALUES (39630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:41:30');
INSERT INTO `sys_job_log` VALUES (39631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:41:35');
INSERT INTO `sys_job_log` VALUES (39632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:41:40');
INSERT INTO `sys_job_log` VALUES (39633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:45');
INSERT INTO `sys_job_log` VALUES (39634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:41:45');
INSERT INTO `sys_job_log` VALUES (39635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:41:50');
INSERT INTO `sys_job_log` VALUES (39636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:41:55');
INSERT INTO `sys_job_log` VALUES (39637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:42:00');
INSERT INTO `sys_job_log` VALUES (39638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:42:00');
INSERT INTO `sys_job_log` VALUES (39639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:42:05');
INSERT INTO `sys_job_log` VALUES (39640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 13:42:10');
INSERT INTO `sys_job_log` VALUES (39641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:42:15');
INSERT INTO `sys_job_log` VALUES (39642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:42:15');
INSERT INTO `sys_job_log` VALUES (39643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:42:20');
INSERT INTO `sys_job_log` VALUES (39644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:42:25');
INSERT INTO `sys_job_log` VALUES (39645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:42:30');
INSERT INTO `sys_job_log` VALUES (39646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:42:30');
INSERT INTO `sys_job_log` VALUES (39647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:42:35');
INSERT INTO `sys_job_log` VALUES (39648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2025-01-01 13:42:40');
INSERT INTO `sys_job_log` VALUES (39649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:42:45');
INSERT INTO `sys_job_log` VALUES (39650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:42:45');
INSERT INTO `sys_job_log` VALUES (39651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:42:50');
INSERT INTO `sys_job_log` VALUES (39652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:42:55');
INSERT INTO `sys_job_log` VALUES (39653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:43:00');
INSERT INTO `sys_job_log` VALUES (39654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:43:00');
INSERT INTO `sys_job_log` VALUES (39655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:43:05');
INSERT INTO `sys_job_log` VALUES (39656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:43:10');
INSERT INTO `sys_job_log` VALUES (39657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:43:15');
INSERT INTO `sys_job_log` VALUES (39658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:43:15');
INSERT INTO `sys_job_log` VALUES (39659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:43:20');
INSERT INTO `sys_job_log` VALUES (39660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:43:25');
INSERT INTO `sys_job_log` VALUES (39661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:43:30');
INSERT INTO `sys_job_log` VALUES (39662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:43:30');
INSERT INTO `sys_job_log` VALUES (39663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:43:35');
INSERT INTO `sys_job_log` VALUES (39664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:43:40');
INSERT INTO `sys_job_log` VALUES (39665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:43:45');
INSERT INTO `sys_job_log` VALUES (39666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:43:45');
INSERT INTO `sys_job_log` VALUES (39667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:43:50');
INSERT INTO `sys_job_log` VALUES (39668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:43:55');
INSERT INTO `sys_job_log` VALUES (39669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:00');
INSERT INTO `sys_job_log` VALUES (39670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:00');
INSERT INTO `sys_job_log` VALUES (39671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:44:05');
INSERT INTO `sys_job_log` VALUES (39672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:44:10');
INSERT INTO `sys_job_log` VALUES (39673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:44:15');
INSERT INTO `sys_job_log` VALUES (39674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:44:15');
INSERT INTO `sys_job_log` VALUES (39675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:44:20');
INSERT INTO `sys_job_log` VALUES (39676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:44:25');
INSERT INTO `sys_job_log` VALUES (39677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:30');
INSERT INTO `sys_job_log` VALUES (39678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:30');
INSERT INTO `sys_job_log` VALUES (39679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:44:35');
INSERT INTO `sys_job_log` VALUES (39680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:44:40');
INSERT INTO `sys_job_log` VALUES (39681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:45');
INSERT INTO `sys_job_log` VALUES (39682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:45');
INSERT INTO `sys_job_log` VALUES (39683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:44:50');
INSERT INTO `sys_job_log` VALUES (39684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:44:55');
INSERT INTO `sys_job_log` VALUES (39685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:45:00');
INSERT INTO `sys_job_log` VALUES (39686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:45:00');
INSERT INTO `sys_job_log` VALUES (39687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:45:05');
INSERT INTO `sys_job_log` VALUES (39688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 13:45:10');
INSERT INTO `sys_job_log` VALUES (39689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:45:15');
INSERT INTO `sys_job_log` VALUES (39690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:45:15');
INSERT INTO `sys_job_log` VALUES (39691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:45:20');
INSERT INTO `sys_job_log` VALUES (39692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:45:25');
INSERT INTO `sys_job_log` VALUES (39693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:45:30');
INSERT INTO `sys_job_log` VALUES (39694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:45:30');
INSERT INTO `sys_job_log` VALUES (39695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:45:35');
INSERT INTO `sys_job_log` VALUES (39696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 13:45:40');
INSERT INTO `sys_job_log` VALUES (39697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:45:45');
INSERT INTO `sys_job_log` VALUES (39698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:45:45');
INSERT INTO `sys_job_log` VALUES (39699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:45:50');
INSERT INTO `sys_job_log` VALUES (39700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:45:55');
INSERT INTO `sys_job_log` VALUES (39701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:46:00');
INSERT INTO `sys_job_log` VALUES (39702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:46:00');
INSERT INTO `sys_job_log` VALUES (39703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:46:05');
INSERT INTO `sys_job_log` VALUES (39704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:46:10');
INSERT INTO `sys_job_log` VALUES (39705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:46:15');
INSERT INTO `sys_job_log` VALUES (39706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:46:15');
INSERT INTO `sys_job_log` VALUES (39707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:46:20');
INSERT INTO `sys_job_log` VALUES (39708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:46:25');
INSERT INTO `sys_job_log` VALUES (39709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:46:30');
INSERT INTO `sys_job_log` VALUES (39710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:46:30');
INSERT INTO `sys_job_log` VALUES (39711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:46:35');
INSERT INTO `sys_job_log` VALUES (39712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:46:40');
INSERT INTO `sys_job_log` VALUES (39713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:46:45');
INSERT INTO `sys_job_log` VALUES (39714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:46:45');
INSERT INTO `sys_job_log` VALUES (39715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:46:50');
INSERT INTO `sys_job_log` VALUES (39716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:46:55');
INSERT INTO `sys_job_log` VALUES (39717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:47:00');
INSERT INTO `sys_job_log` VALUES (39718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:47:00');
INSERT INTO `sys_job_log` VALUES (39719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:47:05');
INSERT INTO `sys_job_log` VALUES (39720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:47:10');
INSERT INTO `sys_job_log` VALUES (39721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:47:15');
INSERT INTO `sys_job_log` VALUES (39722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:47:15');
INSERT INTO `sys_job_log` VALUES (39723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:47:20');
INSERT INTO `sys_job_log` VALUES (39724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:47:25');
INSERT INTO `sys_job_log` VALUES (39725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:47:30');
INSERT INTO `sys_job_log` VALUES (39726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:47:30');
INSERT INTO `sys_job_log` VALUES (39727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:47:35');
INSERT INTO `sys_job_log` VALUES (39728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:47:40');
INSERT INTO `sys_job_log` VALUES (39729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:47:45');
INSERT INTO `sys_job_log` VALUES (39730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:47:45');
INSERT INTO `sys_job_log` VALUES (39731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:47:50');
INSERT INTO `sys_job_log` VALUES (39732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:47:55');
INSERT INTO `sys_job_log` VALUES (39733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:48:00');
INSERT INTO `sys_job_log` VALUES (39734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 13:48:00');
INSERT INTO `sys_job_log` VALUES (39735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:48:05');
INSERT INTO `sys_job_log` VALUES (39736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:48:10');
INSERT INTO `sys_job_log` VALUES (39737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:48:15');
INSERT INTO `sys_job_log` VALUES (39738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:48:15');
INSERT INTO `sys_job_log` VALUES (39739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:48:20');
INSERT INTO `sys_job_log` VALUES (39740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:48:25');
INSERT INTO `sys_job_log` VALUES (39741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:48:30');
INSERT INTO `sys_job_log` VALUES (39742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:48:30');
INSERT INTO `sys_job_log` VALUES (39743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:48:35');
INSERT INTO `sys_job_log` VALUES (39744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:48:40');
INSERT INTO `sys_job_log` VALUES (39745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:48:45');
INSERT INTO `sys_job_log` VALUES (39746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:48:45');
INSERT INTO `sys_job_log` VALUES (39747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:48:50');
INSERT INTO `sys_job_log` VALUES (39748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:48:55');
INSERT INTO `sys_job_log` VALUES (39749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:49:00');
INSERT INTO `sys_job_log` VALUES (39750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:49:00');
INSERT INTO `sys_job_log` VALUES (39751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:49:05');
INSERT INTO `sys_job_log` VALUES (39752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:49:10');
INSERT INTO `sys_job_log` VALUES (39753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:49:15');
INSERT INTO `sys_job_log` VALUES (39754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:49:15');
INSERT INTO `sys_job_log` VALUES (39755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:49:20');
INSERT INTO `sys_job_log` VALUES (39756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:49:25');
INSERT INTO `sys_job_log` VALUES (39757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:49:30');
INSERT INTO `sys_job_log` VALUES (39758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:49:30');
INSERT INTO `sys_job_log` VALUES (39759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:49:35');
INSERT INTO `sys_job_log` VALUES (39760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:49:40');
INSERT INTO `sys_job_log` VALUES (39761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:49:45');
INSERT INTO `sys_job_log` VALUES (39762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:49:45');
INSERT INTO `sys_job_log` VALUES (39763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:49:50');
INSERT INTO `sys_job_log` VALUES (39764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:49:55');
INSERT INTO `sys_job_log` VALUES (39765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:50:00');
INSERT INTO `sys_job_log` VALUES (39766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:50:00');
INSERT INTO `sys_job_log` VALUES (39767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:50:05');
INSERT INTO `sys_job_log` VALUES (39768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:50:10');
INSERT INTO `sys_job_log` VALUES (39769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:50:15');
INSERT INTO `sys_job_log` VALUES (39770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:50:15');
INSERT INTO `sys_job_log` VALUES (39771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:50:20');
INSERT INTO `sys_job_log` VALUES (39772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:50:25');
INSERT INTO `sys_job_log` VALUES (39773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:50:30');
INSERT INTO `sys_job_log` VALUES (39774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:50:30');
INSERT INTO `sys_job_log` VALUES (39775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:50:35');
INSERT INTO `sys_job_log` VALUES (39776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:50:40');
INSERT INTO `sys_job_log` VALUES (39777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:50:45');
INSERT INTO `sys_job_log` VALUES (39778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:50:45');
INSERT INTO `sys_job_log` VALUES (39779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:50:50');
INSERT INTO `sys_job_log` VALUES (39780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:50:55');
INSERT INTO `sys_job_log` VALUES (39781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:51:00');
INSERT INTO `sys_job_log` VALUES (39782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:51:00');
INSERT INTO `sys_job_log` VALUES (39783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:51:05');
INSERT INTO `sys_job_log` VALUES (39784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:10');
INSERT INTO `sys_job_log` VALUES (39785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:51:15');
INSERT INTO `sys_job_log` VALUES (39786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:15');
INSERT INTO `sys_job_log` VALUES (39787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:51:20');
INSERT INTO `sys_job_log` VALUES (39788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:51:25');
INSERT INTO `sys_job_log` VALUES (39789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:30');
INSERT INTO `sys_job_log` VALUES (39790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:30');
INSERT INTO `sys_job_log` VALUES (39791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:51:35');
INSERT INTO `sys_job_log` VALUES (39792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:51:40');
INSERT INTO `sys_job_log` VALUES (39793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:45');
INSERT INTO `sys_job_log` VALUES (39794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:45');
INSERT INTO `sys_job_log` VALUES (39795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:51:50');
INSERT INTO `sys_job_log` VALUES (39796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:51:55');
INSERT INTO `sys_job_log` VALUES (39797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:52:00');
INSERT INTO `sys_job_log` VALUES (39798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:52:00');
INSERT INTO `sys_job_log` VALUES (39799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:52:05');
INSERT INTO `sys_job_log` VALUES (39800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:10');
INSERT INTO `sys_job_log` VALUES (39801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:52:15');
INSERT INTO `sys_job_log` VALUES (39802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 13:52:15');
INSERT INTO `sys_job_log` VALUES (39803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:52:20');
INSERT INTO `sys_job_log` VALUES (39804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:52:25');
INSERT INTO `sys_job_log` VALUES (39805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:30');
INSERT INTO `sys_job_log` VALUES (39806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:30');
INSERT INTO `sys_job_log` VALUES (39807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:35');
INSERT INTO `sys_job_log` VALUES (39808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:52:40');
INSERT INTO `sys_job_log` VALUES (39809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:45');
INSERT INTO `sys_job_log` VALUES (39810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:45');
INSERT INTO `sys_job_log` VALUES (39811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:50');
INSERT INTO `sys_job_log` VALUES (39812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:52:55');
INSERT INTO `sys_job_log` VALUES (39813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:53:00');
INSERT INTO `sys_job_log` VALUES (39814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:53:00');
INSERT INTO `sys_job_log` VALUES (39815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:53:05');
INSERT INTO `sys_job_log` VALUES (39816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:53:10');
INSERT INTO `sys_job_log` VALUES (39817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:53:15');
INSERT INTO `sys_job_log` VALUES (39818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:53:15');
INSERT INTO `sys_job_log` VALUES (39819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:53:20');
INSERT INTO `sys_job_log` VALUES (39820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:53:25');
INSERT INTO `sys_job_log` VALUES (39821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:53:30');
INSERT INTO `sys_job_log` VALUES (39822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:53:30');
INSERT INTO `sys_job_log` VALUES (39823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:53:35');
INSERT INTO `sys_job_log` VALUES (39824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:53:40');
INSERT INTO `sys_job_log` VALUES (39825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:53:45');
INSERT INTO `sys_job_log` VALUES (39826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:53:45');
INSERT INTO `sys_job_log` VALUES (39827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:53:50');
INSERT INTO `sys_job_log` VALUES (39828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:53:55');
INSERT INTO `sys_job_log` VALUES (39829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 13:54:00');
INSERT INTO `sys_job_log` VALUES (39830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 13:54:00');
INSERT INTO `sys_job_log` VALUES (39831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:54:05');
INSERT INTO `sys_job_log` VALUES (39832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:54:10');
INSERT INTO `sys_job_log` VALUES (39833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:54:15');
INSERT INTO `sys_job_log` VALUES (39834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:54:15');
INSERT INTO `sys_job_log` VALUES (39835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:54:20');
INSERT INTO `sys_job_log` VALUES (39836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 13:54:25');
INSERT INTO `sys_job_log` VALUES (39837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:54:30');
INSERT INTO `sys_job_log` VALUES (39838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:54:30');
INSERT INTO `sys_job_log` VALUES (39839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:54:35');
INSERT INTO `sys_job_log` VALUES (39840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:54:40');
INSERT INTO `sys_job_log` VALUES (39841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:54:45');
INSERT INTO `sys_job_log` VALUES (39842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:54:45');
INSERT INTO `sys_job_log` VALUES (39843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:54:50');
INSERT INTO `sys_job_log` VALUES (39844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:54:55');
INSERT INTO `sys_job_log` VALUES (39845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 13:55:00');
INSERT INTO `sys_job_log` VALUES (39846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:55:00');
INSERT INTO `sys_job_log` VALUES (39847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 13:55:05');
INSERT INTO `sys_job_log` VALUES (39848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:55:10');
INSERT INTO `sys_job_log` VALUES (39849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:55:15');
INSERT INTO `sys_job_log` VALUES (39850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:55:15');
INSERT INTO `sys_job_log` VALUES (39851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:55:20');
INSERT INTO `sys_job_log` VALUES (39852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:55:25');
INSERT INTO `sys_job_log` VALUES (39853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:55:30');
INSERT INTO `sys_job_log` VALUES (39854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:55:30');
INSERT INTO `sys_job_log` VALUES (39855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 13:55:35');
INSERT INTO `sys_job_log` VALUES (39856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:55:40');
INSERT INTO `sys_job_log` VALUES (39857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:55:45');
INSERT INTO `sys_job_log` VALUES (39858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:55:45');
INSERT INTO `sys_job_log` VALUES (39859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:55:50');
INSERT INTO `sys_job_log` VALUES (39860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:55:55');
INSERT INTO `sys_job_log` VALUES (39861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:56:00');
INSERT INTO `sys_job_log` VALUES (39862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:56:00');
INSERT INTO `sys_job_log` VALUES (39863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:56:05');
INSERT INTO `sys_job_log` VALUES (39864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:56:10');
INSERT INTO `sys_job_log` VALUES (39865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:56:15');
INSERT INTO `sys_job_log` VALUES (39866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:56:15');
INSERT INTO `sys_job_log` VALUES (39867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:56:20');
INSERT INTO `sys_job_log` VALUES (39868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:56:25');
INSERT INTO `sys_job_log` VALUES (39869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 13:56:30');
INSERT INTO `sys_job_log` VALUES (39870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:56:30');
INSERT INTO `sys_job_log` VALUES (39871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:56:35');
INSERT INTO `sys_job_log` VALUES (39872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:56:40');
INSERT INTO `sys_job_log` VALUES (39873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:56:45');
INSERT INTO `sys_job_log` VALUES (39874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:56:45');
INSERT INTO `sys_job_log` VALUES (39875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:56:50');
INSERT INTO `sys_job_log` VALUES (39876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 13:56:55');
INSERT INTO `sys_job_log` VALUES (39877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:57:00');
INSERT INTO `sys_job_log` VALUES (39878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:57:00');
INSERT INTO `sys_job_log` VALUES (39879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:57:05');
INSERT INTO `sys_job_log` VALUES (39880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:57:10');
INSERT INTO `sys_job_log` VALUES (39881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:57:15');
INSERT INTO `sys_job_log` VALUES (39882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:57:15');
INSERT INTO `sys_job_log` VALUES (39883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:57:20');
INSERT INTO `sys_job_log` VALUES (39884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 13:57:25');
INSERT INTO `sys_job_log` VALUES (39885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:57:30');
INSERT INTO `sys_job_log` VALUES (39886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:57:30');
INSERT INTO `sys_job_log` VALUES (39887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:57:35');
INSERT INTO `sys_job_log` VALUES (39888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:57:40');
INSERT INTO `sys_job_log` VALUES (39889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:57:45');
INSERT INTO `sys_job_log` VALUES (39890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:57:45');
INSERT INTO `sys_job_log` VALUES (39891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:57:50');
INSERT INTO `sys_job_log` VALUES (39892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:57:55');
INSERT INTO `sys_job_log` VALUES (39893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:58:00');
INSERT INTO `sys_job_log` VALUES (39894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:58:00');
INSERT INTO `sys_job_log` VALUES (39895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:58:05');
INSERT INTO `sys_job_log` VALUES (39896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:58:10');
INSERT INTO `sys_job_log` VALUES (39897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:58:15');
INSERT INTO `sys_job_log` VALUES (39898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:58:15');
INSERT INTO `sys_job_log` VALUES (39899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:58:20');
INSERT INTO `sys_job_log` VALUES (39900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:58:25');
INSERT INTO `sys_job_log` VALUES (39901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 13:58:30');
INSERT INTO `sys_job_log` VALUES (39902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:58:30');
INSERT INTO `sys_job_log` VALUES (39903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:58:35');
INSERT INTO `sys_job_log` VALUES (39904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:58:40');
INSERT INTO `sys_job_log` VALUES (39905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:58:45');
INSERT INTO `sys_job_log` VALUES (39906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 13:58:45');
INSERT INTO `sys_job_log` VALUES (39907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:58:50');
INSERT INTO `sys_job_log` VALUES (39908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:58:55');
INSERT INTO `sys_job_log` VALUES (39909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:59:00');
INSERT INTO `sys_job_log` VALUES (39910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:59:00');
INSERT INTO `sys_job_log` VALUES (39911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 13:59:05');
INSERT INTO `sys_job_log` VALUES (39912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 13:59:10');
INSERT INTO `sys_job_log` VALUES (39913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 13:59:15');
INSERT INTO `sys_job_log` VALUES (39914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 13:59:15');
INSERT INTO `sys_job_log` VALUES (39915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 13:59:20');
INSERT INTO `sys_job_log` VALUES (39916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:59:25');
INSERT INTO `sys_job_log` VALUES (39917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 13:59:30');
INSERT INTO `sys_job_log` VALUES (39918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 13:59:30');
INSERT INTO `sys_job_log` VALUES (39919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 13:59:35');
INSERT INTO `sys_job_log` VALUES (39920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-01 13:59:40');
INSERT INTO `sys_job_log` VALUES (39921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 13:59:45');
INSERT INTO `sys_job_log` VALUES (39922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 13:59:45');
INSERT INTO `sys_job_log` VALUES (39923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 13:59:50');
INSERT INTO `sys_job_log` VALUES (39924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 13:59:55');
INSERT INTO `sys_job_log` VALUES (39925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:00:00');
INSERT INTO `sys_job_log` VALUES (39926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:00:00');
INSERT INTO `sys_job_log` VALUES (39927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:00:05');
INSERT INTO `sys_job_log` VALUES (39928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:00:10');
INSERT INTO `sys_job_log` VALUES (39929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-01 14:00:15');
INSERT INTO `sys_job_log` VALUES (39930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2025-01-01 14:00:15');
INSERT INTO `sys_job_log` VALUES (39931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:00:20');
INSERT INTO `sys_job_log` VALUES (39932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:00:25');
INSERT INTO `sys_job_log` VALUES (39933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:00:30');
INSERT INTO `sys_job_log` VALUES (39934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:00:30');
INSERT INTO `sys_job_log` VALUES (39935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:00:35');
INSERT INTO `sys_job_log` VALUES (39936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:00:40');
INSERT INTO `sys_job_log` VALUES (39937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:00:45');
INSERT INTO `sys_job_log` VALUES (39938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:00:45');
INSERT INTO `sys_job_log` VALUES (39939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:00:50');
INSERT INTO `sys_job_log` VALUES (39940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:00:55');
INSERT INTO `sys_job_log` VALUES (39941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:01:00');
INSERT INTO `sys_job_log` VALUES (39942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:01:00');
INSERT INTO `sys_job_log` VALUES (39943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:01:05');
INSERT INTO `sys_job_log` VALUES (39944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:01:10');
INSERT INTO `sys_job_log` VALUES (39945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:01:15');
INSERT INTO `sys_job_log` VALUES (39946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:01:15');
INSERT INTO `sys_job_log` VALUES (39947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:01:20');
INSERT INTO `sys_job_log` VALUES (39948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:01:25');
INSERT INTO `sys_job_log` VALUES (39949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:01:30');
INSERT INTO `sys_job_log` VALUES (39950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:01:30');
INSERT INTO `sys_job_log` VALUES (39951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:01:35');
INSERT INTO `sys_job_log` VALUES (39952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:01:40');
INSERT INTO `sys_job_log` VALUES (39953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:01:45');
INSERT INTO `sys_job_log` VALUES (39954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:01:45');
INSERT INTO `sys_job_log` VALUES (39955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 14:01:50');
INSERT INTO `sys_job_log` VALUES (39956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:01:55');
INSERT INTO `sys_job_log` VALUES (39957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:02:00');
INSERT INTO `sys_job_log` VALUES (39958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:02:00');
INSERT INTO `sys_job_log` VALUES (39959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:02:05');
INSERT INTO `sys_job_log` VALUES (39960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:02:10');
INSERT INTO `sys_job_log` VALUES (39961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:02:15');
INSERT INTO `sys_job_log` VALUES (39962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:02:15');
INSERT INTO `sys_job_log` VALUES (39963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:02:20');
INSERT INTO `sys_job_log` VALUES (39964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:02:25');
INSERT INTO `sys_job_log` VALUES (39965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:02:30');
INSERT INTO `sys_job_log` VALUES (39966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:02:30');
INSERT INTO `sys_job_log` VALUES (39967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:02:35');
INSERT INTO `sys_job_log` VALUES (39968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:02:40');
INSERT INTO `sys_job_log` VALUES (39969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:02:45');
INSERT INTO `sys_job_log` VALUES (39970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:02:45');
INSERT INTO `sys_job_log` VALUES (39971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:02:50');
INSERT INTO `sys_job_log` VALUES (39972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:02:55');
INSERT INTO `sys_job_log` VALUES (39973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:03:00');
INSERT INTO `sys_job_log` VALUES (39974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:03:00');
INSERT INTO `sys_job_log` VALUES (39975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:03:05');
INSERT INTO `sys_job_log` VALUES (39976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:03:10');
INSERT INTO `sys_job_log` VALUES (39977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:03:15');
INSERT INTO `sys_job_log` VALUES (39978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:03:15');
INSERT INTO `sys_job_log` VALUES (39979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:03:20');
INSERT INTO `sys_job_log` VALUES (39980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:03:25');
INSERT INTO `sys_job_log` VALUES (39981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:03:30');
INSERT INTO `sys_job_log` VALUES (39982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:03:30');
INSERT INTO `sys_job_log` VALUES (39983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:03:35');
INSERT INTO `sys_job_log` VALUES (39984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:03:40');
INSERT INTO `sys_job_log` VALUES (39985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:03:45');
INSERT INTO `sys_job_log` VALUES (39986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:03:45');
INSERT INTO `sys_job_log` VALUES (39987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:03:50');
INSERT INTO `sys_job_log` VALUES (39988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:03:55');
INSERT INTO `sys_job_log` VALUES (39989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:04:00');
INSERT INTO `sys_job_log` VALUES (39990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:04:00');
INSERT INTO `sys_job_log` VALUES (39991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:04:05');
INSERT INTO `sys_job_log` VALUES (39992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:04:10');
INSERT INTO `sys_job_log` VALUES (39993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:04:15');
INSERT INTO `sys_job_log` VALUES (39994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:04:15');
INSERT INTO `sys_job_log` VALUES (39995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 14:04:20');
INSERT INTO `sys_job_log` VALUES (39996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:04:25');
INSERT INTO `sys_job_log` VALUES (39997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:04:30');
INSERT INTO `sys_job_log` VALUES (39998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:04:30');
INSERT INTO `sys_job_log` VALUES (39999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:04:35');
INSERT INTO `sys_job_log` VALUES (40000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:04:40');
INSERT INTO `sys_job_log` VALUES (40001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:04:45');
INSERT INTO `sys_job_log` VALUES (40002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:04:45');
INSERT INTO `sys_job_log` VALUES (40003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:04:50');
INSERT INTO `sys_job_log` VALUES (40004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:04:55');
INSERT INTO `sys_job_log` VALUES (40005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:05:00');
INSERT INTO `sys_job_log` VALUES (40006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:05:00');
INSERT INTO `sys_job_log` VALUES (40007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:05:05');
INSERT INTO `sys_job_log` VALUES (40008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:05:10');
INSERT INTO `sys_job_log` VALUES (40009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:05:15');
INSERT INTO `sys_job_log` VALUES (40010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:05:15');
INSERT INTO `sys_job_log` VALUES (40011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 14:05:20');
INSERT INTO `sys_job_log` VALUES (40012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:05:25');
INSERT INTO `sys_job_log` VALUES (40013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:05:30');
INSERT INTO `sys_job_log` VALUES (40014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:05:30');
INSERT INTO `sys_job_log` VALUES (40015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 14:05:35');
INSERT INTO `sys_job_log` VALUES (40016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:05:40');
INSERT INTO `sys_job_log` VALUES (40017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:05:45');
INSERT INTO `sys_job_log` VALUES (40018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:05:45');
INSERT INTO `sys_job_log` VALUES (40019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:05:50');
INSERT INTO `sys_job_log` VALUES (40020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:05:55');
INSERT INTO `sys_job_log` VALUES (40021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:06:00');
INSERT INTO `sys_job_log` VALUES (40022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:06:00');
INSERT INTO `sys_job_log` VALUES (40023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:06:05');
INSERT INTO `sys_job_log` VALUES (40024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:06:10');
INSERT INTO `sys_job_log` VALUES (40025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:06:15');
INSERT INTO `sys_job_log` VALUES (40026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:06:15');
INSERT INTO `sys_job_log` VALUES (40027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:06:20');
INSERT INTO `sys_job_log` VALUES (40028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:06:25');
INSERT INTO `sys_job_log` VALUES (40029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:06:30');
INSERT INTO `sys_job_log` VALUES (40030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:06:30');
INSERT INTO `sys_job_log` VALUES (40031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:06:35');
INSERT INTO `sys_job_log` VALUES (40032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:06:40');
INSERT INTO `sys_job_log` VALUES (40033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:06:45');
INSERT INTO `sys_job_log` VALUES (40034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:06:45');
INSERT INTO `sys_job_log` VALUES (40035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:06:50');
INSERT INTO `sys_job_log` VALUES (40036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:06:55');
INSERT INTO `sys_job_log` VALUES (40037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 14:07:00');
INSERT INTO `sys_job_log` VALUES (40038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:07:00');
INSERT INTO `sys_job_log` VALUES (40039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:07:05');
INSERT INTO `sys_job_log` VALUES (40040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:07:10');
INSERT INTO `sys_job_log` VALUES (40041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:07:15');
INSERT INTO `sys_job_log` VALUES (40042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:07:15');
INSERT INTO `sys_job_log` VALUES (40043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:07:20');
INSERT INTO `sys_job_log` VALUES (40044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:07:25');
INSERT INTO `sys_job_log` VALUES (40045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:07:30');
INSERT INTO `sys_job_log` VALUES (40046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:07:30');
INSERT INTO `sys_job_log` VALUES (40047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 14:07:35');
INSERT INTO `sys_job_log` VALUES (40048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:07:40');
INSERT INTO `sys_job_log` VALUES (40049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:07:45');
INSERT INTO `sys_job_log` VALUES (40050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:07:45');
INSERT INTO `sys_job_log` VALUES (40051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 14:07:50');
INSERT INTO `sys_job_log` VALUES (40052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:07:55');
INSERT INTO `sys_job_log` VALUES (40053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:08:00');
INSERT INTO `sys_job_log` VALUES (40054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:08:00');
INSERT INTO `sys_job_log` VALUES (40055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:08:05');
INSERT INTO `sys_job_log` VALUES (40056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:08:10');
INSERT INTO `sys_job_log` VALUES (40057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:08:15');
INSERT INTO `sys_job_log` VALUES (40058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:08:15');
INSERT INTO `sys_job_log` VALUES (40059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:08:20');
INSERT INTO `sys_job_log` VALUES (40060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:08:25');
INSERT INTO `sys_job_log` VALUES (40061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:08:30');
INSERT INTO `sys_job_log` VALUES (40062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:08:30');
INSERT INTO `sys_job_log` VALUES (40063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:08:35');
INSERT INTO `sys_job_log` VALUES (40064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:08:40');
INSERT INTO `sys_job_log` VALUES (40065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:08:45');
INSERT INTO `sys_job_log` VALUES (40066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:08:45');
INSERT INTO `sys_job_log` VALUES (40067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 14:08:50');
INSERT INTO `sys_job_log` VALUES (40068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:08:55');
INSERT INTO `sys_job_log` VALUES (40069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:09:00');
INSERT INTO `sys_job_log` VALUES (40070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:09:00');
INSERT INTO `sys_job_log` VALUES (40071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:09:05');
INSERT INTO `sys_job_log` VALUES (40072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:09:10');
INSERT INTO `sys_job_log` VALUES (40073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:09:15');
INSERT INTO `sys_job_log` VALUES (40074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:09:15');
INSERT INTO `sys_job_log` VALUES (40075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:09:20');
INSERT INTO `sys_job_log` VALUES (40076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:09:25');
INSERT INTO `sys_job_log` VALUES (40077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:09:30');
INSERT INTO `sys_job_log` VALUES (40078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:09:30');
INSERT INTO `sys_job_log` VALUES (40079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:09:35');
INSERT INTO `sys_job_log` VALUES (40080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:09:40');
INSERT INTO `sys_job_log` VALUES (40081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:09:45');
INSERT INTO `sys_job_log` VALUES (40082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:09:45');
INSERT INTO `sys_job_log` VALUES (40083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 14:09:50');
INSERT INTO `sys_job_log` VALUES (40084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:09:55');
INSERT INTO `sys_job_log` VALUES (40085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:10:00');
INSERT INTO `sys_job_log` VALUES (40086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:10:00');
INSERT INTO `sys_job_log` VALUES (40087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:10:05');
INSERT INTO `sys_job_log` VALUES (40088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:10:10');
INSERT INTO `sys_job_log` VALUES (40089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:10:15');
INSERT INTO `sys_job_log` VALUES (40090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:10:15');
INSERT INTO `sys_job_log` VALUES (40091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:10:20');
INSERT INTO `sys_job_log` VALUES (40092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:10:25');
INSERT INTO `sys_job_log` VALUES (40093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:10:30');
INSERT INTO `sys_job_log` VALUES (40094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:10:30');
INSERT INTO `sys_job_log` VALUES (40095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:10:35');
INSERT INTO `sys_job_log` VALUES (40096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:10:40');
INSERT INTO `sys_job_log` VALUES (40097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:10:45');
INSERT INTO `sys_job_log` VALUES (40098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:10:45');
INSERT INTO `sys_job_log` VALUES (40099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:10:50');
INSERT INTO `sys_job_log` VALUES (40100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:10:55');
INSERT INTO `sys_job_log` VALUES (40101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:11:00');
INSERT INTO `sys_job_log` VALUES (40102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:11:00');
INSERT INTO `sys_job_log` VALUES (40103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 14:11:05');
INSERT INTO `sys_job_log` VALUES (40104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:11:10');
INSERT INTO `sys_job_log` VALUES (40105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:11:15');
INSERT INTO `sys_job_log` VALUES (40106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:11:15');
INSERT INTO `sys_job_log` VALUES (40107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:11:20');
INSERT INTO `sys_job_log` VALUES (40108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:11:25');
INSERT INTO `sys_job_log` VALUES (40109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:11:30');
INSERT INTO `sys_job_log` VALUES (40110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:11:30');
INSERT INTO `sys_job_log` VALUES (40111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:11:35');
INSERT INTO `sys_job_log` VALUES (40112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:11:40');
INSERT INTO `sys_job_log` VALUES (40113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:11:45');
INSERT INTO `sys_job_log` VALUES (40114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:11:45');
INSERT INTO `sys_job_log` VALUES (40115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:11:50');
INSERT INTO `sys_job_log` VALUES (40116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:11:55');
INSERT INTO `sys_job_log` VALUES (40117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:12:00');
INSERT INTO `sys_job_log` VALUES (40118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:12:00');
INSERT INTO `sys_job_log` VALUES (40119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:12:05');
INSERT INTO `sys_job_log` VALUES (40120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:12:10');
INSERT INTO `sys_job_log` VALUES (40121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:12:15');
INSERT INTO `sys_job_log` VALUES (40122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:12:15');
INSERT INTO `sys_job_log` VALUES (40123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:12:20');
INSERT INTO `sys_job_log` VALUES (40124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:12:25');
INSERT INTO `sys_job_log` VALUES (40125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:12:30');
INSERT INTO `sys_job_log` VALUES (40126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:12:30');
INSERT INTO `sys_job_log` VALUES (40127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:12:35');
INSERT INTO `sys_job_log` VALUES (40128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:12:40');
INSERT INTO `sys_job_log` VALUES (40129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:12:45');
INSERT INTO `sys_job_log` VALUES (40130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:12:45');
INSERT INTO `sys_job_log` VALUES (40131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:12:50');
INSERT INTO `sys_job_log` VALUES (40132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:12:55');
INSERT INTO `sys_job_log` VALUES (40133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:13:00');
INSERT INTO `sys_job_log` VALUES (40134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:13:00');
INSERT INTO `sys_job_log` VALUES (40135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:13:05');
INSERT INTO `sys_job_log` VALUES (40136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:13:10');
INSERT INTO `sys_job_log` VALUES (40137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:13:15');
INSERT INTO `sys_job_log` VALUES (40138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:13:15');
INSERT INTO `sys_job_log` VALUES (40139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:13:20');
INSERT INTO `sys_job_log` VALUES (40140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:13:25');
INSERT INTO `sys_job_log` VALUES (40141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:13:30');
INSERT INTO `sys_job_log` VALUES (40142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:13:30');
INSERT INTO `sys_job_log` VALUES (40143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:13:35');
INSERT INTO `sys_job_log` VALUES (40144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:13:40');
INSERT INTO `sys_job_log` VALUES (40145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:13:45');
INSERT INTO `sys_job_log` VALUES (40146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:13:45');
INSERT INTO `sys_job_log` VALUES (40147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:13:50');
INSERT INTO `sys_job_log` VALUES (40148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:13:55');
INSERT INTO `sys_job_log` VALUES (40149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:14:00');
INSERT INTO `sys_job_log` VALUES (40150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:14:00');
INSERT INTO `sys_job_log` VALUES (40151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:14:05');
INSERT INTO `sys_job_log` VALUES (40152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:14:10');
INSERT INTO `sys_job_log` VALUES (40153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:14:15');
INSERT INTO `sys_job_log` VALUES (40154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:14:15');
INSERT INTO `sys_job_log` VALUES (40155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:14:20');
INSERT INTO `sys_job_log` VALUES (40156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:14:25');
INSERT INTO `sys_job_log` VALUES (40157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:14:30');
INSERT INTO `sys_job_log` VALUES (40158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:14:30');
INSERT INTO `sys_job_log` VALUES (40159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:14:35');
INSERT INTO `sys_job_log` VALUES (40160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:14:40');
INSERT INTO `sys_job_log` VALUES (40161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2025-01-01 14:14:45');
INSERT INTO `sys_job_log` VALUES (40162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2025-01-01 14:14:45');
INSERT INTO `sys_job_log` VALUES (40163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:14:50');
INSERT INTO `sys_job_log` VALUES (40164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:14:55');
INSERT INTO `sys_job_log` VALUES (40165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:15:00');
INSERT INTO `sys_job_log` VALUES (40166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:15:00');
INSERT INTO `sys_job_log` VALUES (40167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:15:05');
INSERT INTO `sys_job_log` VALUES (40168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:15:10');
INSERT INTO `sys_job_log` VALUES (40169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:15:15');
INSERT INTO `sys_job_log` VALUES (40170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:15:15');
INSERT INTO `sys_job_log` VALUES (40171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2025-01-01 14:15:20');
INSERT INTO `sys_job_log` VALUES (40172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:15:25');
INSERT INTO `sys_job_log` VALUES (40173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:15:30');
INSERT INTO `sys_job_log` VALUES (40174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:15:30');
INSERT INTO `sys_job_log` VALUES (40175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2025-01-01 14:15:35');
INSERT INTO `sys_job_log` VALUES (40176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:15:40');
INSERT INTO `sys_job_log` VALUES (40177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:15:45');
INSERT INTO `sys_job_log` VALUES (40178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:15:45');
INSERT INTO `sys_job_log` VALUES (40179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 14:15:50');
INSERT INTO `sys_job_log` VALUES (40180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 14:15:55');
INSERT INTO `sys_job_log` VALUES (40181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:16:00');
INSERT INTO `sys_job_log` VALUES (40182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:16:00');
INSERT INTO `sys_job_log` VALUES (40183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:16:05');
INSERT INTO `sys_job_log` VALUES (40184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:16:10');
INSERT INTO `sys_job_log` VALUES (40185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:16:15');
INSERT INTO `sys_job_log` VALUES (40186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:16:15');
INSERT INTO `sys_job_log` VALUES (40187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:16:20');
INSERT INTO `sys_job_log` VALUES (40188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:16:25');
INSERT INTO `sys_job_log` VALUES (40189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:16:30');
INSERT INTO `sys_job_log` VALUES (40190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:16:30');
INSERT INTO `sys_job_log` VALUES (40191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:16:35');
INSERT INTO `sys_job_log` VALUES (40192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:16:40');
INSERT INTO `sys_job_log` VALUES (40193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:16:45');
INSERT INTO `sys_job_log` VALUES (40194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:16:45');
INSERT INTO `sys_job_log` VALUES (40195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:16:50');
INSERT INTO `sys_job_log` VALUES (40196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:16:55');
INSERT INTO `sys_job_log` VALUES (40197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2025-01-01 14:17:00');
INSERT INTO `sys_job_log` VALUES (40198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-01 14:17:00');
INSERT INTO `sys_job_log` VALUES (40199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:17:05');
INSERT INTO `sys_job_log` VALUES (40200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:17:10');
INSERT INTO `sys_job_log` VALUES (40201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:17:15');
INSERT INTO `sys_job_log` VALUES (40202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:17:15');
INSERT INTO `sys_job_log` VALUES (40203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:17:20');
INSERT INTO `sys_job_log` VALUES (40204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:17:25');
INSERT INTO `sys_job_log` VALUES (40205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:17:30');
INSERT INTO `sys_job_log` VALUES (40206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:17:30');
INSERT INTO `sys_job_log` VALUES (40207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:17:35');
INSERT INTO `sys_job_log` VALUES (40208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:17:40');
INSERT INTO `sys_job_log` VALUES (40209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:17:45');
INSERT INTO `sys_job_log` VALUES (40210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:17:45');
INSERT INTO `sys_job_log` VALUES (40211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:17:50');
INSERT INTO `sys_job_log` VALUES (40212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:17:55');
INSERT INTO `sys_job_log` VALUES (40213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:18:00');
INSERT INTO `sys_job_log` VALUES (40214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:18:00');
INSERT INTO `sys_job_log` VALUES (40215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:18:05');
INSERT INTO `sys_job_log` VALUES (40216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:18:10');
INSERT INTO `sys_job_log` VALUES (40217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:18:15');
INSERT INTO `sys_job_log` VALUES (40218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:18:15');
INSERT INTO `sys_job_log` VALUES (40219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:18:20');
INSERT INTO `sys_job_log` VALUES (40220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:18:25');
INSERT INTO `sys_job_log` VALUES (40221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:18:30');
INSERT INTO `sys_job_log` VALUES (40222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:18:30');
INSERT INTO `sys_job_log` VALUES (40223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:18:35');
INSERT INTO `sys_job_log` VALUES (40224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:18:40');
INSERT INTO `sys_job_log` VALUES (40225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:18:45');
INSERT INTO `sys_job_log` VALUES (40226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:18:45');
INSERT INTO `sys_job_log` VALUES (40227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:18:50');
INSERT INTO `sys_job_log` VALUES (40228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:18:55');
INSERT INTO `sys_job_log` VALUES (40229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:19:00');
INSERT INTO `sys_job_log` VALUES (40230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:19:00');
INSERT INTO `sys_job_log` VALUES (40231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:19:05');
INSERT INTO `sys_job_log` VALUES (40232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:19:10');
INSERT INTO `sys_job_log` VALUES (40233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2025-01-01 14:19:15');
INSERT INTO `sys_job_log` VALUES (40234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：145毫秒', '0', '', '2025-01-01 14:19:15');
INSERT INTO `sys_job_log` VALUES (40235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:19:20');
INSERT INTO `sys_job_log` VALUES (40236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:19:25');
INSERT INTO `sys_job_log` VALUES (40237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:19:30');
INSERT INTO `sys_job_log` VALUES (40238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:19:30');
INSERT INTO `sys_job_log` VALUES (40239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:19:35');
INSERT INTO `sys_job_log` VALUES (40240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:19:40');
INSERT INTO `sys_job_log` VALUES (40241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:19:45');
INSERT INTO `sys_job_log` VALUES (40242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:19:45');
INSERT INTO `sys_job_log` VALUES (40243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:19:50');
INSERT INTO `sys_job_log` VALUES (40244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:19:55');
INSERT INTO `sys_job_log` VALUES (40245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:20:00');
INSERT INTO `sys_job_log` VALUES (40246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:20:00');
INSERT INTO `sys_job_log` VALUES (40247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:20:05');
INSERT INTO `sys_job_log` VALUES (40248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 14:20:10');
INSERT INTO `sys_job_log` VALUES (40249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:20:15');
INSERT INTO `sys_job_log` VALUES (40250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:20:15');
INSERT INTO `sys_job_log` VALUES (40251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:20:20');
INSERT INTO `sys_job_log` VALUES (40252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:20:25');
INSERT INTO `sys_job_log` VALUES (40253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:20:30');
INSERT INTO `sys_job_log` VALUES (40254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:20:30');
INSERT INTO `sys_job_log` VALUES (40255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:20:35');
INSERT INTO `sys_job_log` VALUES (40256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:20:40');
INSERT INTO `sys_job_log` VALUES (40257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:20:45');
INSERT INTO `sys_job_log` VALUES (40258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:20:45');
INSERT INTO `sys_job_log` VALUES (40259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:20:50');
INSERT INTO `sys_job_log` VALUES (40260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:20:55');
INSERT INTO `sys_job_log` VALUES (40261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:21:00');
INSERT INTO `sys_job_log` VALUES (40262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:21:00');
INSERT INTO `sys_job_log` VALUES (40263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:21:05');
INSERT INTO `sys_job_log` VALUES (40264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:21:10');
INSERT INTO `sys_job_log` VALUES (40265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:21:15');
INSERT INTO `sys_job_log` VALUES (40266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:21:15');
INSERT INTO `sys_job_log` VALUES (40267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:21:20');
INSERT INTO `sys_job_log` VALUES (40268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:21:25');
INSERT INTO `sys_job_log` VALUES (40269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:21:30');
INSERT INTO `sys_job_log` VALUES (40270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:21:30');
INSERT INTO `sys_job_log` VALUES (40271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:21:35');
INSERT INTO `sys_job_log` VALUES (40272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:21:40');
INSERT INTO `sys_job_log` VALUES (40273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:21:45');
INSERT INTO `sys_job_log` VALUES (40274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:21:45');
INSERT INTO `sys_job_log` VALUES (40275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:21:50');
INSERT INTO `sys_job_log` VALUES (40276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:21:55');
INSERT INTO `sys_job_log` VALUES (40277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:22:00');
INSERT INTO `sys_job_log` VALUES (40278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 14:22:00');
INSERT INTO `sys_job_log` VALUES (40279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 14:22:05');
INSERT INTO `sys_job_log` VALUES (40280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:22:10');
INSERT INTO `sys_job_log` VALUES (40281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:22:15');
INSERT INTO `sys_job_log` VALUES (40282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:22:15');
INSERT INTO `sys_job_log` VALUES (40283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:22:20');
INSERT INTO `sys_job_log` VALUES (40284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:22:25');
INSERT INTO `sys_job_log` VALUES (40285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:22:30');
INSERT INTO `sys_job_log` VALUES (40286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:22:30');
INSERT INTO `sys_job_log` VALUES (40287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 14:22:35');
INSERT INTO `sys_job_log` VALUES (40288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:22:40');
INSERT INTO `sys_job_log` VALUES (40289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:22:45');
INSERT INTO `sys_job_log` VALUES (40290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:22:45');
INSERT INTO `sys_job_log` VALUES (40291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:22:50');
INSERT INTO `sys_job_log` VALUES (40292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:22:55');
INSERT INTO `sys_job_log` VALUES (40293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:23:00');
INSERT INTO `sys_job_log` VALUES (40294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:23:00');
INSERT INTO `sys_job_log` VALUES (40295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:23:05');
INSERT INTO `sys_job_log` VALUES (40296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:23:10');
INSERT INTO `sys_job_log` VALUES (40297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:23:15');
INSERT INTO `sys_job_log` VALUES (40298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:23:15');
INSERT INTO `sys_job_log` VALUES (40299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:23:20');
INSERT INTO `sys_job_log` VALUES (40300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:23:25');
INSERT INTO `sys_job_log` VALUES (40301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:23:30');
INSERT INTO `sys_job_log` VALUES (40302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:23:30');
INSERT INTO `sys_job_log` VALUES (40303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:23:35');
INSERT INTO `sys_job_log` VALUES (40304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:23:40');
INSERT INTO `sys_job_log` VALUES (40305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:23:45');
INSERT INTO `sys_job_log` VALUES (40306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:23:45');
INSERT INTO `sys_job_log` VALUES (40307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:23:50');
INSERT INTO `sys_job_log` VALUES (40308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:23:55');
INSERT INTO `sys_job_log` VALUES (40309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:24:00');
INSERT INTO `sys_job_log` VALUES (40310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:24:00');
INSERT INTO `sys_job_log` VALUES (40311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:24:05');
INSERT INTO `sys_job_log` VALUES (40312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:24:10');
INSERT INTO `sys_job_log` VALUES (40313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:24:15');
INSERT INTO `sys_job_log` VALUES (40314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:24:15');
INSERT INTO `sys_job_log` VALUES (40315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:24:20');
INSERT INTO `sys_job_log` VALUES (40316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:24:25');
INSERT INTO `sys_job_log` VALUES (40317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:24:30');
INSERT INTO `sys_job_log` VALUES (40318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:24:30');
INSERT INTO `sys_job_log` VALUES (40319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:24:35');
INSERT INTO `sys_job_log` VALUES (40320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:24:40');
INSERT INTO `sys_job_log` VALUES (40321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:24:45');
INSERT INTO `sys_job_log` VALUES (40322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:24:45');
INSERT INTO `sys_job_log` VALUES (40323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:24:50');
INSERT INTO `sys_job_log` VALUES (40324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:24:55');
INSERT INTO `sys_job_log` VALUES (40325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:25:00');
INSERT INTO `sys_job_log` VALUES (40326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:25:00');
INSERT INTO `sys_job_log` VALUES (40327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:25:05');
INSERT INTO `sys_job_log` VALUES (40328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:25:10');
INSERT INTO `sys_job_log` VALUES (40329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:25:15');
INSERT INTO `sys_job_log` VALUES (40330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:25:15');
INSERT INTO `sys_job_log` VALUES (40331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:25:20');
INSERT INTO `sys_job_log` VALUES (40332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:25:25');
INSERT INTO `sys_job_log` VALUES (40333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:25:30');
INSERT INTO `sys_job_log` VALUES (40334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:25:30');
INSERT INTO `sys_job_log` VALUES (40335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:25:35');
INSERT INTO `sys_job_log` VALUES (40336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:25:40');
INSERT INTO `sys_job_log` VALUES (40337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:25:45');
INSERT INTO `sys_job_log` VALUES (40338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:25:45');
INSERT INTO `sys_job_log` VALUES (40339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:25:50');
INSERT INTO `sys_job_log` VALUES (40340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:25:55');
INSERT INTO `sys_job_log` VALUES (40341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:26:00');
INSERT INTO `sys_job_log` VALUES (40342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:26:00');
INSERT INTO `sys_job_log` VALUES (40343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:26:05');
INSERT INTO `sys_job_log` VALUES (40344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:26:10');
INSERT INTO `sys_job_log` VALUES (40345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2025-01-01 14:26:15');
INSERT INTO `sys_job_log` VALUES (40346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2025-01-01 14:26:15');
INSERT INTO `sys_job_log` VALUES (40347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:26:20');
INSERT INTO `sys_job_log` VALUES (40348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:26:25');
INSERT INTO `sys_job_log` VALUES (40349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 14:26:30');
INSERT INTO `sys_job_log` VALUES (40350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 14:26:30');
INSERT INTO `sys_job_log` VALUES (40351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:26:35');
INSERT INTO `sys_job_log` VALUES (40352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:26:40');
INSERT INTO `sys_job_log` VALUES (40353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:26:45');
INSERT INTO `sys_job_log` VALUES (40354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:26:45');
INSERT INTO `sys_job_log` VALUES (40355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:26:50');
INSERT INTO `sys_job_log` VALUES (40356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:26:55');
INSERT INTO `sys_job_log` VALUES (40357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:27:00');
INSERT INTO `sys_job_log` VALUES (40358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:27:00');
INSERT INTO `sys_job_log` VALUES (40359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:27:05');
INSERT INTO `sys_job_log` VALUES (40360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:27:10');
INSERT INTO `sys_job_log` VALUES (40361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:27:15');
INSERT INTO `sys_job_log` VALUES (40362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:27:15');
INSERT INTO `sys_job_log` VALUES (40363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:27:20');
INSERT INTO `sys_job_log` VALUES (40364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:27:25');
INSERT INTO `sys_job_log` VALUES (40365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:27:30');
INSERT INTO `sys_job_log` VALUES (40366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:27:30');
INSERT INTO `sys_job_log` VALUES (40367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:27:35');
INSERT INTO `sys_job_log` VALUES (40368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:27:40');
INSERT INTO `sys_job_log` VALUES (40369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:27:45');
INSERT INTO `sys_job_log` VALUES (40370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:27:45');
INSERT INTO `sys_job_log` VALUES (40371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:27:50');
INSERT INTO `sys_job_log` VALUES (40372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:27:55');
INSERT INTO `sys_job_log` VALUES (40373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:28:00');
INSERT INTO `sys_job_log` VALUES (40374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:28:00');
INSERT INTO `sys_job_log` VALUES (40375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:28:05');
INSERT INTO `sys_job_log` VALUES (40376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:28:10');
INSERT INTO `sys_job_log` VALUES (40377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:28:15');
INSERT INTO `sys_job_log` VALUES (40378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:28:15');
INSERT INTO `sys_job_log` VALUES (40379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:28:20');
INSERT INTO `sys_job_log` VALUES (40380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-01 14:28:25');
INSERT INTO `sys_job_log` VALUES (40381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:28:30');
INSERT INTO `sys_job_log` VALUES (40382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:28:30');
INSERT INTO `sys_job_log` VALUES (40383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:28:35');
INSERT INTO `sys_job_log` VALUES (40384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:28:40');
INSERT INTO `sys_job_log` VALUES (40385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:28:45');
INSERT INTO `sys_job_log` VALUES (40386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:28:45');
INSERT INTO `sys_job_log` VALUES (40387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:28:50');
INSERT INTO `sys_job_log` VALUES (40388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:28:55');
INSERT INTO `sys_job_log` VALUES (40389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 14:29:00');
INSERT INTO `sys_job_log` VALUES (40390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:29:00');
INSERT INTO `sys_job_log` VALUES (40391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:29:05');
INSERT INTO `sys_job_log` VALUES (40392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:29:10');
INSERT INTO `sys_job_log` VALUES (40393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:29:15');
INSERT INTO `sys_job_log` VALUES (40394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:29:15');
INSERT INTO `sys_job_log` VALUES (40395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:29:20');
INSERT INTO `sys_job_log` VALUES (40396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 14:29:25');
INSERT INTO `sys_job_log` VALUES (40397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:29:30');
INSERT INTO `sys_job_log` VALUES (40398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:29:30');
INSERT INTO `sys_job_log` VALUES (40399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:29:35');
INSERT INTO `sys_job_log` VALUES (40400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:29:40');
INSERT INTO `sys_job_log` VALUES (40401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:29:45');
INSERT INTO `sys_job_log` VALUES (40402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:29:45');
INSERT INTO `sys_job_log` VALUES (40403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:29:50');
INSERT INTO `sys_job_log` VALUES (40404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:29:55');
INSERT INTO `sys_job_log` VALUES (40405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:30:00');
INSERT INTO `sys_job_log` VALUES (40406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:30:00');
INSERT INTO `sys_job_log` VALUES (40407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:30:05');
INSERT INTO `sys_job_log` VALUES (40408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:30:10');
INSERT INTO `sys_job_log` VALUES (40409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:30:15');
INSERT INTO `sys_job_log` VALUES (40410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:30:15');
INSERT INTO `sys_job_log` VALUES (40411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:30:20');
INSERT INTO `sys_job_log` VALUES (40412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:30:25');
INSERT INTO `sys_job_log` VALUES (40413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:30:30');
INSERT INTO `sys_job_log` VALUES (40414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:30:30');
INSERT INTO `sys_job_log` VALUES (40415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:30:35');
INSERT INTO `sys_job_log` VALUES (40416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:30:40');
INSERT INTO `sys_job_log` VALUES (40417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:30:45');
INSERT INTO `sys_job_log` VALUES (40418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:30:45');
INSERT INTO `sys_job_log` VALUES (40419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:30:50');
INSERT INTO `sys_job_log` VALUES (40420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:30:55');
INSERT INTO `sys_job_log` VALUES (40421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 14:31:00');
INSERT INTO `sys_job_log` VALUES (40422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:31:00');
INSERT INTO `sys_job_log` VALUES (40423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:31:05');
INSERT INTO `sys_job_log` VALUES (40424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:31:10');
INSERT INTO `sys_job_log` VALUES (40425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:31:15');
INSERT INTO `sys_job_log` VALUES (40426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:31:15');
INSERT INTO `sys_job_log` VALUES (40427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:31:20');
INSERT INTO `sys_job_log` VALUES (40428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:31:25');
INSERT INTO `sys_job_log` VALUES (40429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:31:30');
INSERT INTO `sys_job_log` VALUES (40430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:31:30');
INSERT INTO `sys_job_log` VALUES (40431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:31:35');
INSERT INTO `sys_job_log` VALUES (40432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:31:40');
INSERT INTO `sys_job_log` VALUES (40433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:31:45');
INSERT INTO `sys_job_log` VALUES (40434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:31:45');
INSERT INTO `sys_job_log` VALUES (40435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:31:50');
INSERT INTO `sys_job_log` VALUES (40436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:31:55');
INSERT INTO `sys_job_log` VALUES (40437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:00');
INSERT INTO `sys_job_log` VALUES (40438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:00');
INSERT INTO `sys_job_log` VALUES (40439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:32:05');
INSERT INTO `sys_job_log` VALUES (40440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:32:10');
INSERT INTO `sys_job_log` VALUES (40441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:15');
INSERT INTO `sys_job_log` VALUES (40442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:15');
INSERT INTO `sys_job_log` VALUES (40443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:20');
INSERT INTO `sys_job_log` VALUES (40444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:25');
INSERT INTO `sys_job_log` VALUES (40445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:32:30');
INSERT INTO `sys_job_log` VALUES (40446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:32:30');
INSERT INTO `sys_job_log` VALUES (40447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:32:35');
INSERT INTO `sys_job_log` VALUES (40448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:32:40');
INSERT INTO `sys_job_log` VALUES (40449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:32:45');
INSERT INTO `sys_job_log` VALUES (40450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:32:45');
INSERT INTO `sys_job_log` VALUES (40451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:32:50');
INSERT INTO `sys_job_log` VALUES (40452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:32:55');
INSERT INTO `sys_job_log` VALUES (40453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 14:33:00');
INSERT INTO `sys_job_log` VALUES (40454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 14:33:00');
INSERT INTO `sys_job_log` VALUES (40455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 14:33:05');
INSERT INTO `sys_job_log` VALUES (40456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 14:33:10');
INSERT INTO `sys_job_log` VALUES (40457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-01 14:33:15');
INSERT INTO `sys_job_log` VALUES (40458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2025-01-01 14:33:15');
INSERT INTO `sys_job_log` VALUES (40459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:33:20');
INSERT INTO `sys_job_log` VALUES (40460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:33:25');
INSERT INTO `sys_job_log` VALUES (40461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:33:30');
INSERT INTO `sys_job_log` VALUES (40462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:33:30');
INSERT INTO `sys_job_log` VALUES (40463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:33:35');
INSERT INTO `sys_job_log` VALUES (40464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:33:40');
INSERT INTO `sys_job_log` VALUES (40465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:33:45');
INSERT INTO `sys_job_log` VALUES (40466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:33:45');
INSERT INTO `sys_job_log` VALUES (40467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:33:50');
INSERT INTO `sys_job_log` VALUES (40468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2025-01-01 14:33:55');
INSERT INTO `sys_job_log` VALUES (40469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:34:00');
INSERT INTO `sys_job_log` VALUES (40470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:34:00');
INSERT INTO `sys_job_log` VALUES (40471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:34:05');
INSERT INTO `sys_job_log` VALUES (40472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:34:10');
INSERT INTO `sys_job_log` VALUES (40473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:34:15');
INSERT INTO `sys_job_log` VALUES (40474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:34:15');
INSERT INTO `sys_job_log` VALUES (40475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:34:20');
INSERT INTO `sys_job_log` VALUES (40476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:34:25');
INSERT INTO `sys_job_log` VALUES (40477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:34:30');
INSERT INTO `sys_job_log` VALUES (40478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:34:30');
INSERT INTO `sys_job_log` VALUES (40479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:34:35');
INSERT INTO `sys_job_log` VALUES (40480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:34:40');
INSERT INTO `sys_job_log` VALUES (40481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:34:45');
INSERT INTO `sys_job_log` VALUES (40482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:34:45');
INSERT INTO `sys_job_log` VALUES (40483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:34:50');
INSERT INTO `sys_job_log` VALUES (40484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:34:55');
INSERT INTO `sys_job_log` VALUES (40485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:35:00');
INSERT INTO `sys_job_log` VALUES (40486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:35:00');
INSERT INTO `sys_job_log` VALUES (40487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:35:05');
INSERT INTO `sys_job_log` VALUES (40488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:35:10');
INSERT INTO `sys_job_log` VALUES (40489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:35:15');
INSERT INTO `sys_job_log` VALUES (40490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 14:35:15');
INSERT INTO `sys_job_log` VALUES (40491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:35:20');
INSERT INTO `sys_job_log` VALUES (40492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:35:25');
INSERT INTO `sys_job_log` VALUES (40493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:35:30');
INSERT INTO `sys_job_log` VALUES (40494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:35:30');
INSERT INTO `sys_job_log` VALUES (40495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:35:35');
INSERT INTO `sys_job_log` VALUES (40496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:35:40');
INSERT INTO `sys_job_log` VALUES (40497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:35:45');
INSERT INTO `sys_job_log` VALUES (40498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:35:45');
INSERT INTO `sys_job_log` VALUES (40499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1875毫秒', '0', '', '2025-01-01 14:35:51');
INSERT INTO `sys_job_log` VALUES (40500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:35:55');
INSERT INTO `sys_job_log` VALUES (40501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:36:00');
INSERT INTO `sys_job_log` VALUES (40502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:36:00');
INSERT INTO `sys_job_log` VALUES (40503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:36:05');
INSERT INTO `sys_job_log` VALUES (40504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:36:10');
INSERT INTO `sys_job_log` VALUES (40505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:36:15');
INSERT INTO `sys_job_log` VALUES (40506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:36:15');
INSERT INTO `sys_job_log` VALUES (40507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:36:20');
INSERT INTO `sys_job_log` VALUES (40508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:36:25');
INSERT INTO `sys_job_log` VALUES (40509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:36:30');
INSERT INTO `sys_job_log` VALUES (40510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:36:30');
INSERT INTO `sys_job_log` VALUES (40511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:36:35');
INSERT INTO `sys_job_log` VALUES (40512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 14:36:40');
INSERT INTO `sys_job_log` VALUES (40513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:36:45');
INSERT INTO `sys_job_log` VALUES (40514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:36:45');
INSERT INTO `sys_job_log` VALUES (40515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:36:50');
INSERT INTO `sys_job_log` VALUES (40516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:36:55');
INSERT INTO `sys_job_log` VALUES (40517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:37:00');
INSERT INTO `sys_job_log` VALUES (40518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:37:00');
INSERT INTO `sys_job_log` VALUES (40519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:37:05');
INSERT INTO `sys_job_log` VALUES (40520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:37:10');
INSERT INTO `sys_job_log` VALUES (40521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 14:37:15');
INSERT INTO `sys_job_log` VALUES (40522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:37:15');
INSERT INTO `sys_job_log` VALUES (40523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:37:20');
INSERT INTO `sys_job_log` VALUES (40524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:37:25');
INSERT INTO `sys_job_log` VALUES (40525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:37:30');
INSERT INTO `sys_job_log` VALUES (40526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:37:30');
INSERT INTO `sys_job_log` VALUES (40527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:37:35');
INSERT INTO `sys_job_log` VALUES (40528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:37:40');
INSERT INTO `sys_job_log` VALUES (40529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:37:45');
INSERT INTO `sys_job_log` VALUES (40530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:37:45');
INSERT INTO `sys_job_log` VALUES (40531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:37:50');
INSERT INTO `sys_job_log` VALUES (40532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:37:55');
INSERT INTO `sys_job_log` VALUES (40533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:38:00');
INSERT INTO `sys_job_log` VALUES (40534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:38:00');
INSERT INTO `sys_job_log` VALUES (40535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:38:05');
INSERT INTO `sys_job_log` VALUES (40536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:38:10');
INSERT INTO `sys_job_log` VALUES (40537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:38:15');
INSERT INTO `sys_job_log` VALUES (40538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:38:15');
INSERT INTO `sys_job_log` VALUES (40539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:38:20');
INSERT INTO `sys_job_log` VALUES (40540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:38:25');
INSERT INTO `sys_job_log` VALUES (40541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:38:30');
INSERT INTO `sys_job_log` VALUES (40542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:38:30');
INSERT INTO `sys_job_log` VALUES (40543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:38:35');
INSERT INTO `sys_job_log` VALUES (40544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:38:40');
INSERT INTO `sys_job_log` VALUES (40545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:38:45');
INSERT INTO `sys_job_log` VALUES (40546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:38:45');
INSERT INTO `sys_job_log` VALUES (40547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:38:50');
INSERT INTO `sys_job_log` VALUES (40548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:38:55');
INSERT INTO `sys_job_log` VALUES (40549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:39:00');
INSERT INTO `sys_job_log` VALUES (40550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:39:00');
INSERT INTO `sys_job_log` VALUES (40551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:39:05');
INSERT INTO `sys_job_log` VALUES (40552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 14:39:10');
INSERT INTO `sys_job_log` VALUES (40553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:39:15');
INSERT INTO `sys_job_log` VALUES (40554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:39:15');
INSERT INTO `sys_job_log` VALUES (40555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:39:20');
INSERT INTO `sys_job_log` VALUES (40556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:39:25');
INSERT INTO `sys_job_log` VALUES (40557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:39:30');
INSERT INTO `sys_job_log` VALUES (40558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:39:30');
INSERT INTO `sys_job_log` VALUES (40559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:39:35');
INSERT INTO `sys_job_log` VALUES (40560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:39:40');
INSERT INTO `sys_job_log` VALUES (40561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:39:45');
INSERT INTO `sys_job_log` VALUES (40562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:39:45');
INSERT INTO `sys_job_log` VALUES (40563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:39:50');
INSERT INTO `sys_job_log` VALUES (40564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:39:55');
INSERT INTO `sys_job_log` VALUES (40565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:40:00');
INSERT INTO `sys_job_log` VALUES (40566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:40:00');
INSERT INTO `sys_job_log` VALUES (40567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:40:05');
INSERT INTO `sys_job_log` VALUES (40568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:40:10');
INSERT INTO `sys_job_log` VALUES (40569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:40:15');
INSERT INTO `sys_job_log` VALUES (40570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:40:15');
INSERT INTO `sys_job_log` VALUES (40571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:40:20');
INSERT INTO `sys_job_log` VALUES (40572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:40:25');
INSERT INTO `sys_job_log` VALUES (40573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:40:30');
INSERT INTO `sys_job_log` VALUES (40574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:40:30');
INSERT INTO `sys_job_log` VALUES (40575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:40:35');
INSERT INTO `sys_job_log` VALUES (40576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:40:40');
INSERT INTO `sys_job_log` VALUES (40577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2025-01-01 14:40:45');
INSERT INTO `sys_job_log` VALUES (40578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2025-01-01 14:40:45');
INSERT INTO `sys_job_log` VALUES (40579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 14:40:50');
INSERT INTO `sys_job_log` VALUES (40580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-01 14:40:55');
INSERT INTO `sys_job_log` VALUES (40581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：86毫秒', '0', '', '2025-01-01 14:41:00');
INSERT INTO `sys_job_log` VALUES (40582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-01 14:41:00');
INSERT INTO `sys_job_log` VALUES (40583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:41:05');
INSERT INTO `sys_job_log` VALUES (40584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:41:10');
INSERT INTO `sys_job_log` VALUES (40585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:41:15');
INSERT INTO `sys_job_log` VALUES (40586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:41:15');
INSERT INTO `sys_job_log` VALUES (40587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:41:20');
INSERT INTO `sys_job_log` VALUES (40588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:41:25');
INSERT INTO `sys_job_log` VALUES (40589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:41:30');
INSERT INTO `sys_job_log` VALUES (40590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:41:30');
INSERT INTO `sys_job_log` VALUES (40591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:41:35');
INSERT INTO `sys_job_log` VALUES (40592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:41:40');
INSERT INTO `sys_job_log` VALUES (40593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:41:45');
INSERT INTO `sys_job_log` VALUES (40594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:41:45');
INSERT INTO `sys_job_log` VALUES (40595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:41:50');
INSERT INTO `sys_job_log` VALUES (40596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:41:55');
INSERT INTO `sys_job_log` VALUES (40597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2025-01-01 14:42:00');
INSERT INTO `sys_job_log` VALUES (40598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-01 14:42:00');
INSERT INTO `sys_job_log` VALUES (40599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:42:05');
INSERT INTO `sys_job_log` VALUES (40600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:42:10');
INSERT INTO `sys_job_log` VALUES (40601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:42:15');
INSERT INTO `sys_job_log` VALUES (40602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:42:15');
INSERT INTO `sys_job_log` VALUES (40603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:42:20');
INSERT INTO `sys_job_log` VALUES (40604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:42:25');
INSERT INTO `sys_job_log` VALUES (40605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 14:42:30');
INSERT INTO `sys_job_log` VALUES (40606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 14:42:30');
INSERT INTO `sys_job_log` VALUES (40607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:42:35');
INSERT INTO `sys_job_log` VALUES (40608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:42:40');
INSERT INTO `sys_job_log` VALUES (40609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:42:45');
INSERT INTO `sys_job_log` VALUES (40610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:42:45');
INSERT INTO `sys_job_log` VALUES (40611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:42:50');
INSERT INTO `sys_job_log` VALUES (40612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:42:55');
INSERT INTO `sys_job_log` VALUES (40613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:43:00');
INSERT INTO `sys_job_log` VALUES (40614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:43:00');
INSERT INTO `sys_job_log` VALUES (40615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:43:05');
INSERT INTO `sys_job_log` VALUES (40616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:43:10');
INSERT INTO `sys_job_log` VALUES (40617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:43:15');
INSERT INTO `sys_job_log` VALUES (40618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:43:15');
INSERT INTO `sys_job_log` VALUES (40619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:43:20');
INSERT INTO `sys_job_log` VALUES (40620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:43:25');
INSERT INTO `sys_job_log` VALUES (40621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:43:30');
INSERT INTO `sys_job_log` VALUES (40622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:43:30');
INSERT INTO `sys_job_log` VALUES (40623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:43:35');
INSERT INTO `sys_job_log` VALUES (40624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:43:40');
INSERT INTO `sys_job_log` VALUES (40625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:43:45');
INSERT INTO `sys_job_log` VALUES (40626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:43:45');
INSERT INTO `sys_job_log` VALUES (40627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:43:50');
INSERT INTO `sys_job_log` VALUES (40628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:43:55');
INSERT INTO `sys_job_log` VALUES (40629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:00');
INSERT INTO `sys_job_log` VALUES (40630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:00');
INSERT INTO `sys_job_log` VALUES (40631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:44:05');
INSERT INTO `sys_job_log` VALUES (40632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:44:10');
INSERT INTO `sys_job_log` VALUES (40633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:44:15');
INSERT INTO `sys_job_log` VALUES (40634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:15');
INSERT INTO `sys_job_log` VALUES (40635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:20');
INSERT INTO `sys_job_log` VALUES (40636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:44:25');
INSERT INTO `sys_job_log` VALUES (40637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:30');
INSERT INTO `sys_job_log` VALUES (40638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:30');
INSERT INTO `sys_job_log` VALUES (40639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:35');
INSERT INTO `sys_job_log` VALUES (40640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:44:40');
INSERT INTO `sys_job_log` VALUES (40641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:45');
INSERT INTO `sys_job_log` VALUES (40642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:44:45');
INSERT INTO `sys_job_log` VALUES (40643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:44:50');
INSERT INTO `sys_job_log` VALUES (40644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:44:55');
INSERT INTO `sys_job_log` VALUES (40645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:45:00');
INSERT INTO `sys_job_log` VALUES (40646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:45:00');
INSERT INTO `sys_job_log` VALUES (40647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:45:05');
INSERT INTO `sys_job_log` VALUES (40648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:45:10');
INSERT INTO `sys_job_log` VALUES (40649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:45:15');
INSERT INTO `sys_job_log` VALUES (40650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:45:15');
INSERT INTO `sys_job_log` VALUES (40651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:45:20');
INSERT INTO `sys_job_log` VALUES (40652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:45:25');
INSERT INTO `sys_job_log` VALUES (40653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:45:30');
INSERT INTO `sys_job_log` VALUES (40654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:45:30');
INSERT INTO `sys_job_log` VALUES (40655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:45:35');
INSERT INTO `sys_job_log` VALUES (40656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:45:40');
INSERT INTO `sys_job_log` VALUES (40657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:45:45');
INSERT INTO `sys_job_log` VALUES (40658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:45:45');
INSERT INTO `sys_job_log` VALUES (40659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:45:50');
INSERT INTO `sys_job_log` VALUES (40660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:45:55');
INSERT INTO `sys_job_log` VALUES (40661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:46:00');
INSERT INTO `sys_job_log` VALUES (40662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:46:00');
INSERT INTO `sys_job_log` VALUES (40663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:46:05');
INSERT INTO `sys_job_log` VALUES (40664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:46:10');
INSERT INTO `sys_job_log` VALUES (40665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:46:15');
INSERT INTO `sys_job_log` VALUES (40666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:46:15');
INSERT INTO `sys_job_log` VALUES (40667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-01 14:46:20');
INSERT INTO `sys_job_log` VALUES (40668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:46:25');
INSERT INTO `sys_job_log` VALUES (40669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:46:30');
INSERT INTO `sys_job_log` VALUES (40670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:46:30');
INSERT INTO `sys_job_log` VALUES (40671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:46:35');
INSERT INTO `sys_job_log` VALUES (40672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:46:40');
INSERT INTO `sys_job_log` VALUES (40673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:46:45');
INSERT INTO `sys_job_log` VALUES (40674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:46:45');
INSERT INTO `sys_job_log` VALUES (40675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:46:50');
INSERT INTO `sys_job_log` VALUES (40676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 14:46:55');
INSERT INTO `sys_job_log` VALUES (40677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:47:00');
INSERT INTO `sys_job_log` VALUES (40678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:47:00');
INSERT INTO `sys_job_log` VALUES (40679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:47:05');
INSERT INTO `sys_job_log` VALUES (40680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 14:47:10');
INSERT INTO `sys_job_log` VALUES (40681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:47:15');
INSERT INTO `sys_job_log` VALUES (40682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:47:15');
INSERT INTO `sys_job_log` VALUES (40683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:47:20');
INSERT INTO `sys_job_log` VALUES (40684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:47:25');
INSERT INTO `sys_job_log` VALUES (40685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:47:30');
INSERT INTO `sys_job_log` VALUES (40686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:47:30');
INSERT INTO `sys_job_log` VALUES (40687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:47:35');
INSERT INTO `sys_job_log` VALUES (40688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:47:40');
INSERT INTO `sys_job_log` VALUES (40689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:47:45');
INSERT INTO `sys_job_log` VALUES (40690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:47:45');
INSERT INTO `sys_job_log` VALUES (40691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:47:50');
INSERT INTO `sys_job_log` VALUES (40692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:47:55');
INSERT INTO `sys_job_log` VALUES (40693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:00');
INSERT INTO `sys_job_log` VALUES (40694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:00');
INSERT INTO `sys_job_log` VALUES (40695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:48:05');
INSERT INTO `sys_job_log` VALUES (40696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 14:48:10');
INSERT INTO `sys_job_log` VALUES (40697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:15');
INSERT INTO `sys_job_log` VALUES (40698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:15');
INSERT INTO `sys_job_log` VALUES (40699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:48:20');
INSERT INTO `sys_job_log` VALUES (40700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:48:25');
INSERT INTO `sys_job_log` VALUES (40701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:30');
INSERT INTO `sys_job_log` VALUES (40702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:48:30');
INSERT INTO `sys_job_log` VALUES (40703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:48:35');
INSERT INTO `sys_job_log` VALUES (40704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:40');
INSERT INTO `sys_job_log` VALUES (40705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:45');
INSERT INTO `sys_job_log` VALUES (40706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:48:45');
INSERT INTO `sys_job_log` VALUES (40707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:48:50');
INSERT INTO `sys_job_log` VALUES (40708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:48:55');
INSERT INTO `sys_job_log` VALUES (40709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:00');
INSERT INTO `sys_job_log` VALUES (40710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:00');
INSERT INTO `sys_job_log` VALUES (40711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:05');
INSERT INTO `sys_job_log` VALUES (40712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 14:49:10');
INSERT INTO `sys_job_log` VALUES (40713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:49:15');
INSERT INTO `sys_job_log` VALUES (40714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:49:15');
INSERT INTO `sys_job_log` VALUES (40715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:20');
INSERT INTO `sys_job_log` VALUES (40716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:25');
INSERT INTO `sys_job_log` VALUES (40717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:49:30');
INSERT INTO `sys_job_log` VALUES (40718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:49:30');
INSERT INTO `sys_job_log` VALUES (40719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:49:35');
INSERT INTO `sys_job_log` VALUES (40720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:49:40');
INSERT INTO `sys_job_log` VALUES (40721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:45');
INSERT INTO `sys_job_log` VALUES (40722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:49:45');
INSERT INTO `sys_job_log` VALUES (40723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:49:50');
INSERT INTO `sys_job_log` VALUES (40724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:49:55');
INSERT INTO `sys_job_log` VALUES (40725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:50:00');
INSERT INTO `sys_job_log` VALUES (40726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:50:00');
INSERT INTO `sys_job_log` VALUES (40727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:50:05');
INSERT INTO `sys_job_log` VALUES (40728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:50:10');
INSERT INTO `sys_job_log` VALUES (40729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 14:50:15');
INSERT INTO `sys_job_log` VALUES (40730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:50:15');
INSERT INTO `sys_job_log` VALUES (40731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:50:20');
INSERT INTO `sys_job_log` VALUES (40732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:50:25');
INSERT INTO `sys_job_log` VALUES (40733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:50:30');
INSERT INTO `sys_job_log` VALUES (40734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:50:30');
INSERT INTO `sys_job_log` VALUES (40735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:50:35');
INSERT INTO `sys_job_log` VALUES (40736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:50:40');
INSERT INTO `sys_job_log` VALUES (40737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:50:45');
INSERT INTO `sys_job_log` VALUES (40738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:50:45');
INSERT INTO `sys_job_log` VALUES (40739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:50:50');
INSERT INTO `sys_job_log` VALUES (40740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:50:55');
INSERT INTO `sys_job_log` VALUES (40741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:51:00');
INSERT INTO `sys_job_log` VALUES (40742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:51:00');
INSERT INTO `sys_job_log` VALUES (40743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:51:05');
INSERT INTO `sys_job_log` VALUES (40744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:51:10');
INSERT INTO `sys_job_log` VALUES (40745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:51:15');
INSERT INTO `sys_job_log` VALUES (40746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:51:15');
INSERT INTO `sys_job_log` VALUES (40747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:51:20');
INSERT INTO `sys_job_log` VALUES (40748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:51:25');
INSERT INTO `sys_job_log` VALUES (40749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 14:51:30');
INSERT INTO `sys_job_log` VALUES (40750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 14:51:30');
INSERT INTO `sys_job_log` VALUES (40751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:51:35');
INSERT INTO `sys_job_log` VALUES (40752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:51:40');
INSERT INTO `sys_job_log` VALUES (40753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:51:45');
INSERT INTO `sys_job_log` VALUES (40754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 14:51:45');
INSERT INTO `sys_job_log` VALUES (40755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:51:50');
INSERT INTO `sys_job_log` VALUES (40756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:51:55');
INSERT INTO `sys_job_log` VALUES (40757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:52:00');
INSERT INTO `sys_job_log` VALUES (40758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:52:00');
INSERT INTO `sys_job_log` VALUES (40759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:52:05');
INSERT INTO `sys_job_log` VALUES (40760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:52:10');
INSERT INTO `sys_job_log` VALUES (40761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:52:15');
INSERT INTO `sys_job_log` VALUES (40762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:52:15');
INSERT INTO `sys_job_log` VALUES (40763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:52:20');
INSERT INTO `sys_job_log` VALUES (40764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:52:25');
INSERT INTO `sys_job_log` VALUES (40765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:52:30');
INSERT INTO `sys_job_log` VALUES (40766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:52:30');
INSERT INTO `sys_job_log` VALUES (40767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:52:35');
INSERT INTO `sys_job_log` VALUES (40768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:52:40');
INSERT INTO `sys_job_log` VALUES (40769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:52:45');
INSERT INTO `sys_job_log` VALUES (40770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:52:45');
INSERT INTO `sys_job_log` VALUES (40771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:52:50');
INSERT INTO `sys_job_log` VALUES (40772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:52:55');
INSERT INTO `sys_job_log` VALUES (40773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:53:00');
INSERT INTO `sys_job_log` VALUES (40774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:53:00');
INSERT INTO `sys_job_log` VALUES (40775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:53:05');
INSERT INTO `sys_job_log` VALUES (40776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:53:10');
INSERT INTO `sys_job_log` VALUES (40777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:53:15');
INSERT INTO `sys_job_log` VALUES (40778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:53:15');
INSERT INTO `sys_job_log` VALUES (40779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:53:20');
INSERT INTO `sys_job_log` VALUES (40780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:53:25');
INSERT INTO `sys_job_log` VALUES (40781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:53:30');
INSERT INTO `sys_job_log` VALUES (40782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 14:53:30');
INSERT INTO `sys_job_log` VALUES (40783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:53:35');
INSERT INTO `sys_job_log` VALUES (40784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:53:40');
INSERT INTO `sys_job_log` VALUES (40785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:53:45');
INSERT INTO `sys_job_log` VALUES (40786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:53:45');
INSERT INTO `sys_job_log` VALUES (40787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:53:50');
INSERT INTO `sys_job_log` VALUES (40788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:53:55');
INSERT INTO `sys_job_log` VALUES (40789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:54:00');
INSERT INTO `sys_job_log` VALUES (40790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:54:00');
INSERT INTO `sys_job_log` VALUES (40791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:54:05');
INSERT INTO `sys_job_log` VALUES (40792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 14:54:10');
INSERT INTO `sys_job_log` VALUES (40793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:54:15');
INSERT INTO `sys_job_log` VALUES (40794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:54:15');
INSERT INTO `sys_job_log` VALUES (40795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:54:20');
INSERT INTO `sys_job_log` VALUES (40796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:54:25');
INSERT INTO `sys_job_log` VALUES (40797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:54:30');
INSERT INTO `sys_job_log` VALUES (40798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:54:30');
INSERT INTO `sys_job_log` VALUES (40799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:54:35');
INSERT INTO `sys_job_log` VALUES (40800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:54:40');
INSERT INTO `sys_job_log` VALUES (40801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:54:45');
INSERT INTO `sys_job_log` VALUES (40802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:54:45');
INSERT INTO `sys_job_log` VALUES (40803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:54:50');
INSERT INTO `sys_job_log` VALUES (40804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:54:55');
INSERT INTO `sys_job_log` VALUES (40805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:55:00');
INSERT INTO `sys_job_log` VALUES (40806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:55:00');
INSERT INTO `sys_job_log` VALUES (40807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 14:55:05');
INSERT INTO `sys_job_log` VALUES (40808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:55:10');
INSERT INTO `sys_job_log` VALUES (40809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 14:55:15');
INSERT INTO `sys_job_log` VALUES (40810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 14:55:15');
INSERT INTO `sys_job_log` VALUES (40811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:55:20');
INSERT INTO `sys_job_log` VALUES (40812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:55:25');
INSERT INTO `sys_job_log` VALUES (40813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 14:55:30');
INSERT INTO `sys_job_log` VALUES (40814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:55:30');
INSERT INTO `sys_job_log` VALUES (40815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:55:35');
INSERT INTO `sys_job_log` VALUES (40816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:55:40');
INSERT INTO `sys_job_log` VALUES (40817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:55:45');
INSERT INTO `sys_job_log` VALUES (40818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:55:45');
INSERT INTO `sys_job_log` VALUES (40819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:55:50');
INSERT INTO `sys_job_log` VALUES (40820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:55:55');
INSERT INTO `sys_job_log` VALUES (40821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:56:00');
INSERT INTO `sys_job_log` VALUES (40822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:56:00');
INSERT INTO `sys_job_log` VALUES (40823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:56:05');
INSERT INTO `sys_job_log` VALUES (40824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:56:10');
INSERT INTO `sys_job_log` VALUES (40825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:56:15');
INSERT INTO `sys_job_log` VALUES (40826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:56:15');
INSERT INTO `sys_job_log` VALUES (40827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:56:20');
INSERT INTO `sys_job_log` VALUES (40828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:56:25');
INSERT INTO `sys_job_log` VALUES (40829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:56:30');
INSERT INTO `sys_job_log` VALUES (40830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:56:30');
INSERT INTO `sys_job_log` VALUES (40831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:56:35');
INSERT INTO `sys_job_log` VALUES (40832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:56:40');
INSERT INTO `sys_job_log` VALUES (40833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:56:45');
INSERT INTO `sys_job_log` VALUES (40834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:56:45');
INSERT INTO `sys_job_log` VALUES (40835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 14:56:50');
INSERT INTO `sys_job_log` VALUES (40836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:56:55');
INSERT INTO `sys_job_log` VALUES (40837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 14:57:00');
INSERT INTO `sys_job_log` VALUES (40838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：78毫秒', '0', '', '2025-01-01 14:57:00');
INSERT INTO `sys_job_log` VALUES (40839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:05');
INSERT INTO `sys_job_log` VALUES (40840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:57:10');
INSERT INTO `sys_job_log` VALUES (40841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:15');
INSERT INTO `sys_job_log` VALUES (40842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:15');
INSERT INTO `sys_job_log` VALUES (40843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:20');
INSERT INTO `sys_job_log` VALUES (40844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:25');
INSERT INTO `sys_job_log` VALUES (40845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:57:30');
INSERT INTO `sys_job_log` VALUES (40846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:57:30');
INSERT INTO `sys_job_log` VALUES (40847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:57:35');
INSERT INTO `sys_job_log` VALUES (40848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:40');
INSERT INTO `sys_job_log` VALUES (40849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:45');
INSERT INTO `sys_job_log` VALUES (40850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:45');
INSERT INTO `sys_job_log` VALUES (40851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:57:50');
INSERT INTO `sys_job_log` VALUES (40852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:57:55');
INSERT INTO `sys_job_log` VALUES (40853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 14:58:00');
INSERT INTO `sys_job_log` VALUES (40854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 14:58:00');
INSERT INTO `sys_job_log` VALUES (40855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 14:58:05');
INSERT INTO `sys_job_log` VALUES (40856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:58:10');
INSERT INTO `sys_job_log` VALUES (40857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：681毫秒', '0', '', '2025-01-01 14:58:15');
INSERT INTO `sys_job_log` VALUES (40858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：828毫秒', '0', '', '2025-01-01 14:58:15');
INSERT INTO `sys_job_log` VALUES (40859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：302毫秒', '0', '', '2025-01-01 14:58:20');
INSERT INTO `sys_job_log` VALUES (40860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:58:25');
INSERT INTO `sys_job_log` VALUES (40861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:58:30');
INSERT INTO `sys_job_log` VALUES (40862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:58:30');
INSERT INTO `sys_job_log` VALUES (40863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:58:35');
INSERT INTO `sys_job_log` VALUES (40864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:58:40');
INSERT INTO `sys_job_log` VALUES (40865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:58:45');
INSERT INTO `sys_job_log` VALUES (40866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:58:45');
INSERT INTO `sys_job_log` VALUES (40867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 14:58:50');
INSERT INTO `sys_job_log` VALUES (40868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 14:58:55');
INSERT INTO `sys_job_log` VALUES (40869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2025-01-01 14:59:00');
INSERT INTO `sys_job_log` VALUES (40870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 14:59:00');
INSERT INTO `sys_job_log` VALUES (40871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：97毫秒', '0', '', '2025-01-01 14:59:05');
INSERT INTO `sys_job_log` VALUES (40872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2025-01-01 14:59:10');
INSERT INTO `sys_job_log` VALUES (40873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 14:59:15');
INSERT INTO `sys_job_log` VALUES (40874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:59:15');
INSERT INTO `sys_job_log` VALUES (40875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 14:59:20');
INSERT INTO `sys_job_log` VALUES (40876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:59:25');
INSERT INTO `sys_job_log` VALUES (40877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 14:59:30');
INSERT INTO `sys_job_log` VALUES (40878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 14:59:30');
INSERT INTO `sys_job_log` VALUES (40879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 14:59:35');
INSERT INTO `sys_job_log` VALUES (40880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:59:40');
INSERT INTO `sys_job_log` VALUES (40881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:59:45');
INSERT INTO `sys_job_log` VALUES (40882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 14:59:45');
INSERT INTO `sys_job_log` VALUES (40883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 14:59:50');
INSERT INTO `sys_job_log` VALUES (40884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 14:59:55');
INSERT INTO `sys_job_log` VALUES (40885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:00:00');
INSERT INTO `sys_job_log` VALUES (40886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:00:00');
INSERT INTO `sys_job_log` VALUES (40887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:00:05');
INSERT INTO `sys_job_log` VALUES (40888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:00:10');
INSERT INTO `sys_job_log` VALUES (40889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:00:15');
INSERT INTO `sys_job_log` VALUES (40890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:00:15');
INSERT INTO `sys_job_log` VALUES (40891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:00:20');
INSERT INTO `sys_job_log` VALUES (40892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:00:25');
INSERT INTO `sys_job_log` VALUES (40893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:00:30');
INSERT INTO `sys_job_log` VALUES (40894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:00:30');
INSERT INTO `sys_job_log` VALUES (40895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:00:35');
INSERT INTO `sys_job_log` VALUES (40896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:00:40');
INSERT INTO `sys_job_log` VALUES (40897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:00:45');
INSERT INTO `sys_job_log` VALUES (40898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:00:45');
INSERT INTO `sys_job_log` VALUES (40899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:00:50');
INSERT INTO `sys_job_log` VALUES (40900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:00:55');
INSERT INTO `sys_job_log` VALUES (40901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:01:00');
INSERT INTO `sys_job_log` VALUES (40902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:01:00');
INSERT INTO `sys_job_log` VALUES (40903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:01:05');
INSERT INTO `sys_job_log` VALUES (40904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:01:10');
INSERT INTO `sys_job_log` VALUES (40905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-01 15:01:15');
INSERT INTO `sys_job_log` VALUES (40906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 15:01:15');
INSERT INTO `sys_job_log` VALUES (40907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:01:20');
INSERT INTO `sys_job_log` VALUES (40908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:01:25');
INSERT INTO `sys_job_log` VALUES (40909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:01:30');
INSERT INTO `sys_job_log` VALUES (40910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:01:30');
INSERT INTO `sys_job_log` VALUES (40911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:01:35');
INSERT INTO `sys_job_log` VALUES (40912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:01:40');
INSERT INTO `sys_job_log` VALUES (40913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:01:45');
INSERT INTO `sys_job_log` VALUES (40914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:01:45');
INSERT INTO `sys_job_log` VALUES (40915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:01:50');
INSERT INTO `sys_job_log` VALUES (40916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:01:55');
INSERT INTO `sys_job_log` VALUES (40917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 15:02:00');
INSERT INTO `sys_job_log` VALUES (40918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 15:02:00');
INSERT INTO `sys_job_log` VALUES (40919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:02:05');
INSERT INTO `sys_job_log` VALUES (40920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:02:10');
INSERT INTO `sys_job_log` VALUES (40921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:02:15');
INSERT INTO `sys_job_log` VALUES (40922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:02:15');
INSERT INTO `sys_job_log` VALUES (40923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:02:20');
INSERT INTO `sys_job_log` VALUES (40924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:02:25');
INSERT INTO `sys_job_log` VALUES (40925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:02:30');
INSERT INTO `sys_job_log` VALUES (40926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:02:30');
INSERT INTO `sys_job_log` VALUES (40927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:02:35');
INSERT INTO `sys_job_log` VALUES (40928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:02:40');
INSERT INTO `sys_job_log` VALUES (40929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:02:45');
INSERT INTO `sys_job_log` VALUES (40930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:02:45');
INSERT INTO `sys_job_log` VALUES (40931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:02:50');
INSERT INTO `sys_job_log` VALUES (40932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:02:55');
INSERT INTO `sys_job_log` VALUES (40933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:03:00');
INSERT INTO `sys_job_log` VALUES (40934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 15:03:00');
INSERT INTO `sys_job_log` VALUES (40935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:03:05');
INSERT INTO `sys_job_log` VALUES (40936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:03:10');
INSERT INTO `sys_job_log` VALUES (40937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:03:15');
INSERT INTO `sys_job_log` VALUES (40938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:03:15');
INSERT INTO `sys_job_log` VALUES (40939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:03:20');
INSERT INTO `sys_job_log` VALUES (40940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:03:25');
INSERT INTO `sys_job_log` VALUES (40941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:03:30');
INSERT INTO `sys_job_log` VALUES (40942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:03:30');
INSERT INTO `sys_job_log` VALUES (40943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:03:35');
INSERT INTO `sys_job_log` VALUES (40944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:03:40');
INSERT INTO `sys_job_log` VALUES (40945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:03:45');
INSERT INTO `sys_job_log` VALUES (40946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:03:45');
INSERT INTO `sys_job_log` VALUES (40947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:03:50');
INSERT INTO `sys_job_log` VALUES (40948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:03:55');
INSERT INTO `sys_job_log` VALUES (40949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 15:04:00');
INSERT INTO `sys_job_log` VALUES (40950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 15:04:00');
INSERT INTO `sys_job_log` VALUES (40951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:04:05');
INSERT INTO `sys_job_log` VALUES (40952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:04:10');
INSERT INTO `sys_job_log` VALUES (40953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:04:15');
INSERT INTO `sys_job_log` VALUES (40954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:04:15');
INSERT INTO `sys_job_log` VALUES (40955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:04:20');
INSERT INTO `sys_job_log` VALUES (40956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:04:25');
INSERT INTO `sys_job_log` VALUES (40957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:04:30');
INSERT INTO `sys_job_log` VALUES (40958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:04:30');
INSERT INTO `sys_job_log` VALUES (40959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:04:35');
INSERT INTO `sys_job_log` VALUES (40960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:04:40');
INSERT INTO `sys_job_log` VALUES (40961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:04:45');
INSERT INTO `sys_job_log` VALUES (40962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:04:45');
INSERT INTO `sys_job_log` VALUES (40963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:04:50');
INSERT INTO `sys_job_log` VALUES (40964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:04:55');
INSERT INTO `sys_job_log` VALUES (40965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:05:00');
INSERT INTO `sys_job_log` VALUES (40966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:05:00');
INSERT INTO `sys_job_log` VALUES (40967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:05:05');
INSERT INTO `sys_job_log` VALUES (40968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:05:10');
INSERT INTO `sys_job_log` VALUES (40969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:05:15');
INSERT INTO `sys_job_log` VALUES (40970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:05:15');
INSERT INTO `sys_job_log` VALUES (40971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:05:20');
INSERT INTO `sys_job_log` VALUES (40972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:05:25');
INSERT INTO `sys_job_log` VALUES (40973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:05:30');
INSERT INTO `sys_job_log` VALUES (40974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 15:05:30');
INSERT INTO `sys_job_log` VALUES (40975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:05:35');
INSERT INTO `sys_job_log` VALUES (40976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:05:40');
INSERT INTO `sys_job_log` VALUES (40977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 15:05:45');
INSERT INTO `sys_job_log` VALUES (40978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:05:45');
INSERT INTO `sys_job_log` VALUES (40979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:05:50');
INSERT INTO `sys_job_log` VALUES (40980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:05:55');
INSERT INTO `sys_job_log` VALUES (40981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:06:00');
INSERT INTO `sys_job_log` VALUES (40982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:06:00');
INSERT INTO `sys_job_log` VALUES (40983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:06:05');
INSERT INTO `sys_job_log` VALUES (40984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:06:10');
INSERT INTO `sys_job_log` VALUES (40985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:06:15');
INSERT INTO `sys_job_log` VALUES (40986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:06:15');
INSERT INTO `sys_job_log` VALUES (40987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:06:20');
INSERT INTO `sys_job_log` VALUES (40988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:06:25');
INSERT INTO `sys_job_log` VALUES (40989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:06:30');
INSERT INTO `sys_job_log` VALUES (40990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:06:30');
INSERT INTO `sys_job_log` VALUES (40991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:06:35');
INSERT INTO `sys_job_log` VALUES (40992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:06:40');
INSERT INTO `sys_job_log` VALUES (40993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:06:45');
INSERT INTO `sys_job_log` VALUES (40994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:06:45');
INSERT INTO `sys_job_log` VALUES (40995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:06:50');
INSERT INTO `sys_job_log` VALUES (40996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:06:55');
INSERT INTO `sys_job_log` VALUES (40997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:07:00');
INSERT INTO `sys_job_log` VALUES (40998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:07:00');
INSERT INTO `sys_job_log` VALUES (40999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:07:05');
INSERT INTO `sys_job_log` VALUES (41000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:07:10');
INSERT INTO `sys_job_log` VALUES (41001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:07:15');
INSERT INTO `sys_job_log` VALUES (41002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:07:15');
INSERT INTO `sys_job_log` VALUES (41003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:07:20');
INSERT INTO `sys_job_log` VALUES (41004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:07:25');
INSERT INTO `sys_job_log` VALUES (41005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:07:30');
INSERT INTO `sys_job_log` VALUES (41006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:07:30');
INSERT INTO `sys_job_log` VALUES (41007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:07:35');
INSERT INTO `sys_job_log` VALUES (41008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:07:40');
INSERT INTO `sys_job_log` VALUES (41009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:07:45');
INSERT INTO `sys_job_log` VALUES (41010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:07:45');
INSERT INTO `sys_job_log` VALUES (41011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:07:50');
INSERT INTO `sys_job_log` VALUES (41012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:07:55');
INSERT INTO `sys_job_log` VALUES (41013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:08:00');
INSERT INTO `sys_job_log` VALUES (41014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:08:00');
INSERT INTO `sys_job_log` VALUES (41015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:08:05');
INSERT INTO `sys_job_log` VALUES (41016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:08:10');
INSERT INTO `sys_job_log` VALUES (41017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:08:15');
INSERT INTO `sys_job_log` VALUES (41018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:08:15');
INSERT INTO `sys_job_log` VALUES (41019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:08:20');
INSERT INTO `sys_job_log` VALUES (41020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:08:25');
INSERT INTO `sys_job_log` VALUES (41021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:08:30');
INSERT INTO `sys_job_log` VALUES (41022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:08:30');
INSERT INTO `sys_job_log` VALUES (41023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:08:35');
INSERT INTO `sys_job_log` VALUES (41024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:08:40');
INSERT INTO `sys_job_log` VALUES (41025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:08:45');
INSERT INTO `sys_job_log` VALUES (41026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:08:45');
INSERT INTO `sys_job_log` VALUES (41027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:08:50');
INSERT INTO `sys_job_log` VALUES (41028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:08:55');
INSERT INTO `sys_job_log` VALUES (41029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:09:00');
INSERT INTO `sys_job_log` VALUES (41030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:09:00');
INSERT INTO `sys_job_log` VALUES (41031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:09:05');
INSERT INTO `sys_job_log` VALUES (41032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:09:10');
INSERT INTO `sys_job_log` VALUES (41033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:09:15');
INSERT INTO `sys_job_log` VALUES (41034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:09:15');
INSERT INTO `sys_job_log` VALUES (41035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:09:20');
INSERT INTO `sys_job_log` VALUES (41036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:09:25');
INSERT INTO `sys_job_log` VALUES (41037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:09:30');
INSERT INTO `sys_job_log` VALUES (41038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:09:30');
INSERT INTO `sys_job_log` VALUES (41039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:09:35');
INSERT INTO `sys_job_log` VALUES (41040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:09:40');
INSERT INTO `sys_job_log` VALUES (41041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:09:45');
INSERT INTO `sys_job_log` VALUES (41042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:09:45');
INSERT INTO `sys_job_log` VALUES (41043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:09:50');
INSERT INTO `sys_job_log` VALUES (41044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:09:55');
INSERT INTO `sys_job_log` VALUES (41045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:10:00');
INSERT INTO `sys_job_log` VALUES (41046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:10:00');
INSERT INTO `sys_job_log` VALUES (41047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:10:05');
INSERT INTO `sys_job_log` VALUES (41048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:10:10');
INSERT INTO `sys_job_log` VALUES (41049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:10:15');
INSERT INTO `sys_job_log` VALUES (41050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:10:15');
INSERT INTO `sys_job_log` VALUES (41051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:10:20');
INSERT INTO `sys_job_log` VALUES (41052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:10:25');
INSERT INTO `sys_job_log` VALUES (41053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:10:30');
INSERT INTO `sys_job_log` VALUES (41054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:10:30');
INSERT INTO `sys_job_log` VALUES (41055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:10:35');
INSERT INTO `sys_job_log` VALUES (41056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:10:40');
INSERT INTO `sys_job_log` VALUES (41057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:10:45');
INSERT INTO `sys_job_log` VALUES (41058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:10:45');
INSERT INTO `sys_job_log` VALUES (41059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:10:50');
INSERT INTO `sys_job_log` VALUES (41060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:10:55');
INSERT INTO `sys_job_log` VALUES (41061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:11:00');
INSERT INTO `sys_job_log` VALUES (41062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:11:00');
INSERT INTO `sys_job_log` VALUES (41063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:11:05');
INSERT INTO `sys_job_log` VALUES (41064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:11:10');
INSERT INTO `sys_job_log` VALUES (41065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:11:15');
INSERT INTO `sys_job_log` VALUES (41066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:11:15');
INSERT INTO `sys_job_log` VALUES (41067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:11:20');
INSERT INTO `sys_job_log` VALUES (41068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:11:25');
INSERT INTO `sys_job_log` VALUES (41069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:11:30');
INSERT INTO `sys_job_log` VALUES (41070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:11:30');
INSERT INTO `sys_job_log` VALUES (41071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:11:35');
INSERT INTO `sys_job_log` VALUES (41072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:11:40');
INSERT INTO `sys_job_log` VALUES (41073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:11:45');
INSERT INTO `sys_job_log` VALUES (41074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:11:45');
INSERT INTO `sys_job_log` VALUES (41075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:11:50');
INSERT INTO `sys_job_log` VALUES (41076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:11:55');
INSERT INTO `sys_job_log` VALUES (41077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:12:00');
INSERT INTO `sys_job_log` VALUES (41078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:12:00');
INSERT INTO `sys_job_log` VALUES (41079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:12:05');
INSERT INTO `sys_job_log` VALUES (41080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:12:10');
INSERT INTO `sys_job_log` VALUES (41081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:12:15');
INSERT INTO `sys_job_log` VALUES (41082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:12:15');
INSERT INTO `sys_job_log` VALUES (41083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 15:12:20');
INSERT INTO `sys_job_log` VALUES (41084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:12:25');
INSERT INTO `sys_job_log` VALUES (41085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 15:12:30');
INSERT INTO `sys_job_log` VALUES (41086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2025-01-01 15:12:30');
INSERT INTO `sys_job_log` VALUES (41087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:12:35');
INSERT INTO `sys_job_log` VALUES (41088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 15:12:40');
INSERT INTO `sys_job_log` VALUES (41089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 15:12:45');
INSERT INTO `sys_job_log` VALUES (41090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:12:45');
INSERT INTO `sys_job_log` VALUES (41091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:12:50');
INSERT INTO `sys_job_log` VALUES (41092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:12:55');
INSERT INTO `sys_job_log` VALUES (41093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:13:00');
INSERT INTO `sys_job_log` VALUES (41094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:13:00');
INSERT INTO `sys_job_log` VALUES (41095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:13:05');
INSERT INTO `sys_job_log` VALUES (41096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:13:10');
INSERT INTO `sys_job_log` VALUES (41097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:13:15');
INSERT INTO `sys_job_log` VALUES (41098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:13:15');
INSERT INTO `sys_job_log` VALUES (41099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:13:20');
INSERT INTO `sys_job_log` VALUES (41100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:13:25');
INSERT INTO `sys_job_log` VALUES (41101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:13:30');
INSERT INTO `sys_job_log` VALUES (41102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:13:30');
INSERT INTO `sys_job_log` VALUES (41103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:13:35');
INSERT INTO `sys_job_log` VALUES (41104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:13:40');
INSERT INTO `sys_job_log` VALUES (41105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:13:45');
INSERT INTO `sys_job_log` VALUES (41106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:13:45');
INSERT INTO `sys_job_log` VALUES (41107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：119毫秒', '0', '', '2025-01-01 15:13:50');
INSERT INTO `sys_job_log` VALUES (41108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-01 15:13:55');
INSERT INTO `sys_job_log` VALUES (41109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:14:00');
INSERT INTO `sys_job_log` VALUES (41110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:14:00');
INSERT INTO `sys_job_log` VALUES (41111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:14:05');
INSERT INTO `sys_job_log` VALUES (41112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:14:10');
INSERT INTO `sys_job_log` VALUES (41113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 15:14:15');
INSERT INTO `sys_job_log` VALUES (41114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:14:15');
INSERT INTO `sys_job_log` VALUES (41115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:14:20');
INSERT INTO `sys_job_log` VALUES (41116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:14:25');
INSERT INTO `sys_job_log` VALUES (41117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:14:30');
INSERT INTO `sys_job_log` VALUES (41118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:14:30');
INSERT INTO `sys_job_log` VALUES (41119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:14:35');
INSERT INTO `sys_job_log` VALUES (41120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:14:40');
INSERT INTO `sys_job_log` VALUES (41121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:14:45');
INSERT INTO `sys_job_log` VALUES (41122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:14:45');
INSERT INTO `sys_job_log` VALUES (41123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 15:14:50');
INSERT INTO `sys_job_log` VALUES (41124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:14:55');
INSERT INTO `sys_job_log` VALUES (41125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:15:00');
INSERT INTO `sys_job_log` VALUES (41126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:15:00');
INSERT INTO `sys_job_log` VALUES (41127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:15:05');
INSERT INTO `sys_job_log` VALUES (41128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:15:10');
INSERT INTO `sys_job_log` VALUES (41129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:15:15');
INSERT INTO `sys_job_log` VALUES (41130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:15:15');
INSERT INTO `sys_job_log` VALUES (41131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:15:20');
INSERT INTO `sys_job_log` VALUES (41132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:15:25');
INSERT INTO `sys_job_log` VALUES (41133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:15:30');
INSERT INTO `sys_job_log` VALUES (41134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:15:30');
INSERT INTO `sys_job_log` VALUES (41135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:15:35');
INSERT INTO `sys_job_log` VALUES (41136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:15:40');
INSERT INTO `sys_job_log` VALUES (41137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:15:45');
INSERT INTO `sys_job_log` VALUES (41138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:15:45');
INSERT INTO `sys_job_log` VALUES (41139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:15:50');
INSERT INTO `sys_job_log` VALUES (41140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:15:55');
INSERT INTO `sys_job_log` VALUES (41141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:16:00');
INSERT INTO `sys_job_log` VALUES (41142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:16:00');
INSERT INTO `sys_job_log` VALUES (41143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:16:05');
INSERT INTO `sys_job_log` VALUES (41144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:16:10');
INSERT INTO `sys_job_log` VALUES (41145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:16:15');
INSERT INTO `sys_job_log` VALUES (41146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:16:15');
INSERT INTO `sys_job_log` VALUES (41147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:16:20');
INSERT INTO `sys_job_log` VALUES (41148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:16:25');
INSERT INTO `sys_job_log` VALUES (41149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:16:30');
INSERT INTO `sys_job_log` VALUES (41150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:16:30');
INSERT INTO `sys_job_log` VALUES (41151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:16:35');
INSERT INTO `sys_job_log` VALUES (41152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:16:40');
INSERT INTO `sys_job_log` VALUES (41153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:16:45');
INSERT INTO `sys_job_log` VALUES (41154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:16:45');
INSERT INTO `sys_job_log` VALUES (41155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:16:50');
INSERT INTO `sys_job_log` VALUES (41156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:16:55');
INSERT INTO `sys_job_log` VALUES (41157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:17:00');
INSERT INTO `sys_job_log` VALUES (41158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 15:17:00');
INSERT INTO `sys_job_log` VALUES (41159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:17:05');
INSERT INTO `sys_job_log` VALUES (41160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:17:10');
INSERT INTO `sys_job_log` VALUES (41161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 15:17:15');
INSERT INTO `sys_job_log` VALUES (41162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 15:17:15');
INSERT INTO `sys_job_log` VALUES (41163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:17:20');
INSERT INTO `sys_job_log` VALUES (41164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:17:25');
INSERT INTO `sys_job_log` VALUES (41165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:17:30');
INSERT INTO `sys_job_log` VALUES (41166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:17:30');
INSERT INTO `sys_job_log` VALUES (41167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:17:35');
INSERT INTO `sys_job_log` VALUES (41168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:17:40');
INSERT INTO `sys_job_log` VALUES (41169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 15:17:45');
INSERT INTO `sys_job_log` VALUES (41170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 15:17:45');
INSERT INTO `sys_job_log` VALUES (41171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:17:50');
INSERT INTO `sys_job_log` VALUES (41172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:17:55');
INSERT INTO `sys_job_log` VALUES (41173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:18:00');
INSERT INTO `sys_job_log` VALUES (41174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:18:00');
INSERT INTO `sys_job_log` VALUES (41175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:18:05');
INSERT INTO `sys_job_log` VALUES (41176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:18:10');
INSERT INTO `sys_job_log` VALUES (41177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:18:15');
INSERT INTO `sys_job_log` VALUES (41178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:18:15');
INSERT INTO `sys_job_log` VALUES (41179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:18:20');
INSERT INTO `sys_job_log` VALUES (41180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:18:25');
INSERT INTO `sys_job_log` VALUES (41181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:18:30');
INSERT INTO `sys_job_log` VALUES (41182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:18:30');
INSERT INTO `sys_job_log` VALUES (41183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:18:35');
INSERT INTO `sys_job_log` VALUES (41184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 15:18:40');
INSERT INTO `sys_job_log` VALUES (41185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:18:45');
INSERT INTO `sys_job_log` VALUES (41186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:18:45');
INSERT INTO `sys_job_log` VALUES (41187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:18:50');
INSERT INTO `sys_job_log` VALUES (41188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:18:55');
INSERT INTO `sys_job_log` VALUES (41189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:19:00');
INSERT INTO `sys_job_log` VALUES (41190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:19:00');
INSERT INTO `sys_job_log` VALUES (41191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:19:05');
INSERT INTO `sys_job_log` VALUES (41192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:19:10');
INSERT INTO `sys_job_log` VALUES (41193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:19:15');
INSERT INTO `sys_job_log` VALUES (41194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:19:15');
INSERT INTO `sys_job_log` VALUES (41195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:19:20');
INSERT INTO `sys_job_log` VALUES (41196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:19:25');
INSERT INTO `sys_job_log` VALUES (41197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:19:30');
INSERT INTO `sys_job_log` VALUES (41198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:19:30');
INSERT INTO `sys_job_log` VALUES (41199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:19:35');
INSERT INTO `sys_job_log` VALUES (41200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:19:40');
INSERT INTO `sys_job_log` VALUES (41201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:19:45');
INSERT INTO `sys_job_log` VALUES (41202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:19:45');
INSERT INTO `sys_job_log` VALUES (41203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:19:50');
INSERT INTO `sys_job_log` VALUES (41204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:19:55');
INSERT INTO `sys_job_log` VALUES (41205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:20:00');
INSERT INTO `sys_job_log` VALUES (41206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:20:00');
INSERT INTO `sys_job_log` VALUES (41207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:20:05');
INSERT INTO `sys_job_log` VALUES (41208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:20:10');
INSERT INTO `sys_job_log` VALUES (41209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:20:15');
INSERT INTO `sys_job_log` VALUES (41210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:20:15');
INSERT INTO `sys_job_log` VALUES (41211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:20:20');
INSERT INTO `sys_job_log` VALUES (41212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2025-01-01 15:20:25');
INSERT INTO `sys_job_log` VALUES (41213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:20:30');
INSERT INTO `sys_job_log` VALUES (41214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:20:30');
INSERT INTO `sys_job_log` VALUES (41215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:20:35');
INSERT INTO `sys_job_log` VALUES (41216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:20:40');
INSERT INTO `sys_job_log` VALUES (41217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:20:45');
INSERT INTO `sys_job_log` VALUES (41218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:20:45');
INSERT INTO `sys_job_log` VALUES (41219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 15:20:50');
INSERT INTO `sys_job_log` VALUES (41220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-01 15:20:55');
INSERT INTO `sys_job_log` VALUES (41221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:21:00');
INSERT INTO `sys_job_log` VALUES (41222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:21:00');
INSERT INTO `sys_job_log` VALUES (41223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-01 15:21:05');
INSERT INTO `sys_job_log` VALUES (41224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:21:10');
INSERT INTO `sys_job_log` VALUES (41225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 15:21:15');
INSERT INTO `sys_job_log` VALUES (41226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:21:15');
INSERT INTO `sys_job_log` VALUES (41227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:21:20');
INSERT INTO `sys_job_log` VALUES (41228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:21:25');
INSERT INTO `sys_job_log` VALUES (41229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:21:30');
INSERT INTO `sys_job_log` VALUES (41230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:21:30');
INSERT INTO `sys_job_log` VALUES (41231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:21:35');
INSERT INTO `sys_job_log` VALUES (41232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:21:40');
INSERT INTO `sys_job_log` VALUES (41233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:21:45');
INSERT INTO `sys_job_log` VALUES (41234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:21:45');
INSERT INTO `sys_job_log` VALUES (41235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:21:50');
INSERT INTO `sys_job_log` VALUES (41236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:21:55');
INSERT INTO `sys_job_log` VALUES (41237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:22:00');
INSERT INTO `sys_job_log` VALUES (41238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:22:00');
INSERT INTO `sys_job_log` VALUES (41239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 15:22:05');
INSERT INTO `sys_job_log` VALUES (41240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:22:10');
INSERT INTO `sys_job_log` VALUES (41241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:22:15');
INSERT INTO `sys_job_log` VALUES (41242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:22:15');
INSERT INTO `sys_job_log` VALUES (41243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:22:20');
INSERT INTO `sys_job_log` VALUES (41244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:22:25');
INSERT INTO `sys_job_log` VALUES (41245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 15:22:30');
INSERT INTO `sys_job_log` VALUES (41246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 15:22:30');
INSERT INTO `sys_job_log` VALUES (41247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:22:35');
INSERT INTO `sys_job_log` VALUES (41248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:22:40');
INSERT INTO `sys_job_log` VALUES (41249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:22:45');
INSERT INTO `sys_job_log` VALUES (41250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:22:45');
INSERT INTO `sys_job_log` VALUES (41251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:22:50');
INSERT INTO `sys_job_log` VALUES (41252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:22:55');
INSERT INTO `sys_job_log` VALUES (41253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:23:00');
INSERT INTO `sys_job_log` VALUES (41254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:23:00');
INSERT INTO `sys_job_log` VALUES (41255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-01 15:23:05');
INSERT INTO `sys_job_log` VALUES (41256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:23:10');
INSERT INTO `sys_job_log` VALUES (41257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-01 15:23:15');
INSERT INTO `sys_job_log` VALUES (41258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2025-01-01 15:23:15');
INSERT INTO `sys_job_log` VALUES (41259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:23:20');
INSERT INTO `sys_job_log` VALUES (41260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 15:23:25');
INSERT INTO `sys_job_log` VALUES (41261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 15:23:30');
INSERT INTO `sys_job_log` VALUES (41262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 15:23:30');
INSERT INTO `sys_job_log` VALUES (41263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:23:35');
INSERT INTO `sys_job_log` VALUES (41264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:23:40');
INSERT INTO `sys_job_log` VALUES (41265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:23:45');
INSERT INTO `sys_job_log` VALUES (41266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:23:45');
INSERT INTO `sys_job_log` VALUES (41267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 15:23:50');
INSERT INTO `sys_job_log` VALUES (41268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:23:55');
INSERT INTO `sys_job_log` VALUES (41269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:24:00');
INSERT INTO `sys_job_log` VALUES (41270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:24:00');
INSERT INTO `sys_job_log` VALUES (41271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:24:05');
INSERT INTO `sys_job_log` VALUES (41272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:24:10');
INSERT INTO `sys_job_log` VALUES (41273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:24:15');
INSERT INTO `sys_job_log` VALUES (41274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:24:15');
INSERT INTO `sys_job_log` VALUES (41275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:24:20');
INSERT INTO `sys_job_log` VALUES (41276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:24:25');
INSERT INTO `sys_job_log` VALUES (41277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:24:30');
INSERT INTO `sys_job_log` VALUES (41278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:24:30');
INSERT INTO `sys_job_log` VALUES (41279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:24:35');
INSERT INTO `sys_job_log` VALUES (41280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 15:24:40');
INSERT INTO `sys_job_log` VALUES (41281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 15:24:45');
INSERT INTO `sys_job_log` VALUES (41282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 15:24:45');
INSERT INTO `sys_job_log` VALUES (41283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:24:50');
INSERT INTO `sys_job_log` VALUES (41284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:24:55');
INSERT INTO `sys_job_log` VALUES (41285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:25:00');
INSERT INTO `sys_job_log` VALUES (41286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:25:00');
INSERT INTO `sys_job_log` VALUES (41287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:25:05');
INSERT INTO `sys_job_log` VALUES (41288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:25:10');
INSERT INTO `sys_job_log` VALUES (41289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-01 15:25:15');
INSERT INTO `sys_job_log` VALUES (41290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2025-01-01 15:25:15');
INSERT INTO `sys_job_log` VALUES (41291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:25:20');
INSERT INTO `sys_job_log` VALUES (41292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:25:25');
INSERT INTO `sys_job_log` VALUES (41293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:25:30');
INSERT INTO `sys_job_log` VALUES (41294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:25:30');
INSERT INTO `sys_job_log` VALUES (41295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:25:35');
INSERT INTO `sys_job_log` VALUES (41296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:25:40');
INSERT INTO `sys_job_log` VALUES (41297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:25:45');
INSERT INTO `sys_job_log` VALUES (41298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:25:45');
INSERT INTO `sys_job_log` VALUES (41299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:25:50');
INSERT INTO `sys_job_log` VALUES (41300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:25:55');
INSERT INTO `sys_job_log` VALUES (41301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:26:00');
INSERT INTO `sys_job_log` VALUES (41302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:26:00');
INSERT INTO `sys_job_log` VALUES (41303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:26:05');
INSERT INTO `sys_job_log` VALUES (41304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:26:10');
INSERT INTO `sys_job_log` VALUES (41305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:26:15');
INSERT INTO `sys_job_log` VALUES (41306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:26:15');
INSERT INTO `sys_job_log` VALUES (41307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:26:20');
INSERT INTO `sys_job_log` VALUES (41308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:26:25');
INSERT INTO `sys_job_log` VALUES (41309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:26:30');
INSERT INTO `sys_job_log` VALUES (41310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:26:30');
INSERT INTO `sys_job_log` VALUES (41311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:26:35');
INSERT INTO `sys_job_log` VALUES (41312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:26:40');
INSERT INTO `sys_job_log` VALUES (41313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:26:45');
INSERT INTO `sys_job_log` VALUES (41314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:26:45');
INSERT INTO `sys_job_log` VALUES (41315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:26:50');
INSERT INTO `sys_job_log` VALUES (41316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:26:55');
INSERT INTO `sys_job_log` VALUES (41317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:27:00');
INSERT INTO `sys_job_log` VALUES (41318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:27:00');
INSERT INTO `sys_job_log` VALUES (41319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:27:05');
INSERT INTO `sys_job_log` VALUES (41320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:27:10');
INSERT INTO `sys_job_log` VALUES (41321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:27:15');
INSERT INTO `sys_job_log` VALUES (41322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:27:15');
INSERT INTO `sys_job_log` VALUES (41323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：188毫秒', '0', '', '2025-01-01 15:27:20');
INSERT INTO `sys_job_log` VALUES (41324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:27:25');
INSERT INTO `sys_job_log` VALUES (41325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:27:30');
INSERT INTO `sys_job_log` VALUES (41326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:27:30');
INSERT INTO `sys_job_log` VALUES (41327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:27:35');
INSERT INTO `sys_job_log` VALUES (41328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:27:40');
INSERT INTO `sys_job_log` VALUES (41329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:27:45');
INSERT INTO `sys_job_log` VALUES (41330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:27:45');
INSERT INTO `sys_job_log` VALUES (41331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:27:50');
INSERT INTO `sys_job_log` VALUES (41332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:27:55');
INSERT INTO `sys_job_log` VALUES (41333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:28:00');
INSERT INTO `sys_job_log` VALUES (41334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:28:00');
INSERT INTO `sys_job_log` VALUES (41335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:28:05');
INSERT INTO `sys_job_log` VALUES (41336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:28:10');
INSERT INTO `sys_job_log` VALUES (41337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:28:15');
INSERT INTO `sys_job_log` VALUES (41338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:28:15');
INSERT INTO `sys_job_log` VALUES (41339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:28:20');
INSERT INTO `sys_job_log` VALUES (41340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:28:25');
INSERT INTO `sys_job_log` VALUES (41341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:28:30');
INSERT INTO `sys_job_log` VALUES (41342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:28:30');
INSERT INTO `sys_job_log` VALUES (41343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:28:35');
INSERT INTO `sys_job_log` VALUES (41344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:28:40');
INSERT INTO `sys_job_log` VALUES (41345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:28:45');
INSERT INTO `sys_job_log` VALUES (41346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:28:45');
INSERT INTO `sys_job_log` VALUES (41347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:28:50');
INSERT INTO `sys_job_log` VALUES (41348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:28:55');
INSERT INTO `sys_job_log` VALUES (41349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:29:00');
INSERT INTO `sys_job_log` VALUES (41350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:29:00');
INSERT INTO `sys_job_log` VALUES (41351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:29:05');
INSERT INTO `sys_job_log` VALUES (41352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:29:10');
INSERT INTO `sys_job_log` VALUES (41353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:29:15');
INSERT INTO `sys_job_log` VALUES (41354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:29:15');
INSERT INTO `sys_job_log` VALUES (41355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:29:20');
INSERT INTO `sys_job_log` VALUES (41356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:29:25');
INSERT INTO `sys_job_log` VALUES (41357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:29:30');
INSERT INTO `sys_job_log` VALUES (41358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:29:30');
INSERT INTO `sys_job_log` VALUES (41359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:29:35');
INSERT INTO `sys_job_log` VALUES (41360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:29:40');
INSERT INTO `sys_job_log` VALUES (41361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 15:29:45');
INSERT INTO `sys_job_log` VALUES (41362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2025-01-01 15:29:45');
INSERT INTO `sys_job_log` VALUES (41363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:29:50');
INSERT INTO `sys_job_log` VALUES (41364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:29:55');
INSERT INTO `sys_job_log` VALUES (41365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:30:00');
INSERT INTO `sys_job_log` VALUES (41366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:30:00');
INSERT INTO `sys_job_log` VALUES (41367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:30:05');
INSERT INTO `sys_job_log` VALUES (41368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:30:10');
INSERT INTO `sys_job_log` VALUES (41369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:30:15');
INSERT INTO `sys_job_log` VALUES (41370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:30:15');
INSERT INTO `sys_job_log` VALUES (41371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:30:20');
INSERT INTO `sys_job_log` VALUES (41372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:30:25');
INSERT INTO `sys_job_log` VALUES (41373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:30:30');
INSERT INTO `sys_job_log` VALUES (41374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:30:30');
INSERT INTO `sys_job_log` VALUES (41375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:30:35');
INSERT INTO `sys_job_log` VALUES (41376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:30:40');
INSERT INTO `sys_job_log` VALUES (41377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:30:45');
INSERT INTO `sys_job_log` VALUES (41378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:30:45');
INSERT INTO `sys_job_log` VALUES (41379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:30:50');
INSERT INTO `sys_job_log` VALUES (41380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:30:55');
INSERT INTO `sys_job_log` VALUES (41381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:31:00');
INSERT INTO `sys_job_log` VALUES (41382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:31:00');
INSERT INTO `sys_job_log` VALUES (41383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-01 15:31:05');
INSERT INTO `sys_job_log` VALUES (41384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:31:10');
INSERT INTO `sys_job_log` VALUES (41385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:31:15');
INSERT INTO `sys_job_log` VALUES (41386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:31:15');
INSERT INTO `sys_job_log` VALUES (41387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:31:20');
INSERT INTO `sys_job_log` VALUES (41388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:31:25');
INSERT INTO `sys_job_log` VALUES (41389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:31:30');
INSERT INTO `sys_job_log` VALUES (41390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:31:30');
INSERT INTO `sys_job_log` VALUES (41391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:31:35');
INSERT INTO `sys_job_log` VALUES (41392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:31:40');
INSERT INTO `sys_job_log` VALUES (41393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:31:45');
INSERT INTO `sys_job_log` VALUES (41394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:31:45');
INSERT INTO `sys_job_log` VALUES (41395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:31:50');
INSERT INTO `sys_job_log` VALUES (41396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:31:55');
INSERT INTO `sys_job_log` VALUES (41397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:32:00');
INSERT INTO `sys_job_log` VALUES (41398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:32:00');
INSERT INTO `sys_job_log` VALUES (41399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:32:05');
INSERT INTO `sys_job_log` VALUES (41400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:32:10');
INSERT INTO `sys_job_log` VALUES (41401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:32:15');
INSERT INTO `sys_job_log` VALUES (41402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:32:15');
INSERT INTO `sys_job_log` VALUES (41403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:32:20');
INSERT INTO `sys_job_log` VALUES (41404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:32:25');
INSERT INTO `sys_job_log` VALUES (41405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:32:30');
INSERT INTO `sys_job_log` VALUES (41406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:32:30');
INSERT INTO `sys_job_log` VALUES (41407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:32:35');
INSERT INTO `sys_job_log` VALUES (41408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:32:40');
INSERT INTO `sys_job_log` VALUES (41409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:32:45');
INSERT INTO `sys_job_log` VALUES (41410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:32:45');
INSERT INTO `sys_job_log` VALUES (41411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:32:50');
INSERT INTO `sys_job_log` VALUES (41412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:32:55');
INSERT INTO `sys_job_log` VALUES (41413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:33:00');
INSERT INTO `sys_job_log` VALUES (41414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:33:00');
INSERT INTO `sys_job_log` VALUES (41415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:33:05');
INSERT INTO `sys_job_log` VALUES (41416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 15:33:10');
INSERT INTO `sys_job_log` VALUES (41417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:33:15');
INSERT INTO `sys_job_log` VALUES (41418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:33:15');
INSERT INTO `sys_job_log` VALUES (41419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:33:20');
INSERT INTO `sys_job_log` VALUES (41420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:33:25');
INSERT INTO `sys_job_log` VALUES (41421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:33:30');
INSERT INTO `sys_job_log` VALUES (41422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:33:30');
INSERT INTO `sys_job_log` VALUES (41423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:33:35');
INSERT INTO `sys_job_log` VALUES (41424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:33:40');
INSERT INTO `sys_job_log` VALUES (41425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:33:45');
INSERT INTO `sys_job_log` VALUES (41426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:33:45');
INSERT INTO `sys_job_log` VALUES (41427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:33:50');
INSERT INTO `sys_job_log` VALUES (41428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:33:55');
INSERT INTO `sys_job_log` VALUES (41429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:34:00');
INSERT INTO `sys_job_log` VALUES (41430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:34:00');
INSERT INTO `sys_job_log` VALUES (41431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:34:05');
INSERT INTO `sys_job_log` VALUES (41432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2025-01-01 15:34:10');
INSERT INTO `sys_job_log` VALUES (41433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:34:15');
INSERT INTO `sys_job_log` VALUES (41434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:34:15');
INSERT INTO `sys_job_log` VALUES (41435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:34:20');
INSERT INTO `sys_job_log` VALUES (41436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 15:34:25');
INSERT INTO `sys_job_log` VALUES (41437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:34:30');
INSERT INTO `sys_job_log` VALUES (41438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:34:30');
INSERT INTO `sys_job_log` VALUES (41439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:34:35');
INSERT INTO `sys_job_log` VALUES (41440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:34:40');
INSERT INTO `sys_job_log` VALUES (41441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:34:45');
INSERT INTO `sys_job_log` VALUES (41442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:34:45');
INSERT INTO `sys_job_log` VALUES (41443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:34:50');
INSERT INTO `sys_job_log` VALUES (41444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:34:55');
INSERT INTO `sys_job_log` VALUES (41445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:35:00');
INSERT INTO `sys_job_log` VALUES (41446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:35:00');
INSERT INTO `sys_job_log` VALUES (41447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:35:05');
INSERT INTO `sys_job_log` VALUES (41448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:35:10');
INSERT INTO `sys_job_log` VALUES (41449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:35:15');
INSERT INTO `sys_job_log` VALUES (41450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:35:15');
INSERT INTO `sys_job_log` VALUES (41451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:35:20');
INSERT INTO `sys_job_log` VALUES (41452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:35:25');
INSERT INTO `sys_job_log` VALUES (41453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:35:30');
INSERT INTO `sys_job_log` VALUES (41454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:35:30');
INSERT INTO `sys_job_log` VALUES (41455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:35:35');
INSERT INTO `sys_job_log` VALUES (41456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:35:40');
INSERT INTO `sys_job_log` VALUES (41457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:35:45');
INSERT INTO `sys_job_log` VALUES (41458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:35:45');
INSERT INTO `sys_job_log` VALUES (41459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:35:50');
INSERT INTO `sys_job_log` VALUES (41460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:35:55');
INSERT INTO `sys_job_log` VALUES (41461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:36:00');
INSERT INTO `sys_job_log` VALUES (41462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:36:00');
INSERT INTO `sys_job_log` VALUES (41463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:36:05');
INSERT INTO `sys_job_log` VALUES (41464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:36:10');
INSERT INTO `sys_job_log` VALUES (41465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:36:15');
INSERT INTO `sys_job_log` VALUES (41466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:36:15');
INSERT INTO `sys_job_log` VALUES (41467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:36:20');
INSERT INTO `sys_job_log` VALUES (41468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:36:25');
INSERT INTO `sys_job_log` VALUES (41469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:36:30');
INSERT INTO `sys_job_log` VALUES (41470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:36:30');
INSERT INTO `sys_job_log` VALUES (41471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:36:35');
INSERT INTO `sys_job_log` VALUES (41472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:36:40');
INSERT INTO `sys_job_log` VALUES (41473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:36:45');
INSERT INTO `sys_job_log` VALUES (41474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:36:45');
INSERT INTO `sys_job_log` VALUES (41475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:36:50');
INSERT INTO `sys_job_log` VALUES (41476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:36:55');
INSERT INTO `sys_job_log` VALUES (41477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:37:00');
INSERT INTO `sys_job_log` VALUES (41478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:37:00');
INSERT INTO `sys_job_log` VALUES (41479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:37:05');
INSERT INTO `sys_job_log` VALUES (41480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:37:10');
INSERT INTO `sys_job_log` VALUES (41481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:37:15');
INSERT INTO `sys_job_log` VALUES (41482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:37:15');
INSERT INTO `sys_job_log` VALUES (41483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:37:20');
INSERT INTO `sys_job_log` VALUES (41484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:37:25');
INSERT INTO `sys_job_log` VALUES (41485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:37:30');
INSERT INTO `sys_job_log` VALUES (41486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:37:30');
INSERT INTO `sys_job_log` VALUES (41487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:37:35');
INSERT INTO `sys_job_log` VALUES (41488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:37:40');
INSERT INTO `sys_job_log` VALUES (41489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:37:45');
INSERT INTO `sys_job_log` VALUES (41490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:37:45');
INSERT INTO `sys_job_log` VALUES (41491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:37:50');
INSERT INTO `sys_job_log` VALUES (41492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:37:55');
INSERT INTO `sys_job_log` VALUES (41493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:38:00');
INSERT INTO `sys_job_log` VALUES (41494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:38:00');
INSERT INTO `sys_job_log` VALUES (41495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:38:05');
INSERT INTO `sys_job_log` VALUES (41496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:38:10');
INSERT INTO `sys_job_log` VALUES (41497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:38:15');
INSERT INTO `sys_job_log` VALUES (41498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:38:15');
INSERT INTO `sys_job_log` VALUES (41499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:38:20');
INSERT INTO `sys_job_log` VALUES (41500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:38:25');
INSERT INTO `sys_job_log` VALUES (41501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 15:38:30');
INSERT INTO `sys_job_log` VALUES (41502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 15:38:30');
INSERT INTO `sys_job_log` VALUES (41503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:38:35');
INSERT INTO `sys_job_log` VALUES (41504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:38:40');
INSERT INTO `sys_job_log` VALUES (41505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:38:45');
INSERT INTO `sys_job_log` VALUES (41506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:38:45');
INSERT INTO `sys_job_log` VALUES (41507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:38:50');
INSERT INTO `sys_job_log` VALUES (41508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:38:55');
INSERT INTO `sys_job_log` VALUES (41509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:39:00');
INSERT INTO `sys_job_log` VALUES (41510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:39:00');
INSERT INTO `sys_job_log` VALUES (41511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:39:05');
INSERT INTO `sys_job_log` VALUES (41512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:39:10');
INSERT INTO `sys_job_log` VALUES (41513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:39:15');
INSERT INTO `sys_job_log` VALUES (41514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:39:15');
INSERT INTO `sys_job_log` VALUES (41515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:39:20');
INSERT INTO `sys_job_log` VALUES (41516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:39:25');
INSERT INTO `sys_job_log` VALUES (41517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:39:30');
INSERT INTO `sys_job_log` VALUES (41518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:39:30');
INSERT INTO `sys_job_log` VALUES (41519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:39:35');
INSERT INTO `sys_job_log` VALUES (41520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:39:40');
INSERT INTO `sys_job_log` VALUES (41521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:39:45');
INSERT INTO `sys_job_log` VALUES (41522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:39:45');
INSERT INTO `sys_job_log` VALUES (41523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:39:50');
INSERT INTO `sys_job_log` VALUES (41524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:39:55');
INSERT INTO `sys_job_log` VALUES (41525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 15:40:00');
INSERT INTO `sys_job_log` VALUES (41526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 15:40:00');
INSERT INTO `sys_job_log` VALUES (41527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:40:05');
INSERT INTO `sys_job_log` VALUES (41528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:40:10');
INSERT INTO `sys_job_log` VALUES (41529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:40:15');
INSERT INTO `sys_job_log` VALUES (41530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:40:15');
INSERT INTO `sys_job_log` VALUES (41531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:40:20');
INSERT INTO `sys_job_log` VALUES (41532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:40:25');
INSERT INTO `sys_job_log` VALUES (41533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:40:30');
INSERT INTO `sys_job_log` VALUES (41534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:40:30');
INSERT INTO `sys_job_log` VALUES (41535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:40:35');
INSERT INTO `sys_job_log` VALUES (41536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:40:40');
INSERT INTO `sys_job_log` VALUES (41537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:40:45');
INSERT INTO `sys_job_log` VALUES (41538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:40:45');
INSERT INTO `sys_job_log` VALUES (41539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:40:50');
INSERT INTO `sys_job_log` VALUES (41540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:40:55');
INSERT INTO `sys_job_log` VALUES (41541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:41:00');
INSERT INTO `sys_job_log` VALUES (41542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:41:00');
INSERT INTO `sys_job_log` VALUES (41543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:41:05');
INSERT INTO `sys_job_log` VALUES (41544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:41:10');
INSERT INTO `sys_job_log` VALUES (41545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:41:15');
INSERT INTO `sys_job_log` VALUES (41546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:41:15');
INSERT INTO `sys_job_log` VALUES (41547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:41:20');
INSERT INTO `sys_job_log` VALUES (41548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:41:25');
INSERT INTO `sys_job_log` VALUES (41549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:41:30');
INSERT INTO `sys_job_log` VALUES (41550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:41:30');
INSERT INTO `sys_job_log` VALUES (41551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:41:35');
INSERT INTO `sys_job_log` VALUES (41552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:41:40');
INSERT INTO `sys_job_log` VALUES (41553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:41:45');
INSERT INTO `sys_job_log` VALUES (41554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:41:45');
INSERT INTO `sys_job_log` VALUES (41555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 15:41:50');
INSERT INTO `sys_job_log` VALUES (41556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:41:55');
INSERT INTO `sys_job_log` VALUES (41557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:42:00');
INSERT INTO `sys_job_log` VALUES (41558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:42:00');
INSERT INTO `sys_job_log` VALUES (41559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 15:42:05');
INSERT INTO `sys_job_log` VALUES (41560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:42:10');
INSERT INTO `sys_job_log` VALUES (41561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:42:15');
INSERT INTO `sys_job_log` VALUES (41562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:42:15');
INSERT INTO `sys_job_log` VALUES (41563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:42:20');
INSERT INTO `sys_job_log` VALUES (41564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:42:25');
INSERT INTO `sys_job_log` VALUES (41565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:42:30');
INSERT INTO `sys_job_log` VALUES (41566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:42:30');
INSERT INTO `sys_job_log` VALUES (41567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:42:35');
INSERT INTO `sys_job_log` VALUES (41568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:42:40');
INSERT INTO `sys_job_log` VALUES (41569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:42:45');
INSERT INTO `sys_job_log` VALUES (41570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:42:45');
INSERT INTO `sys_job_log` VALUES (41571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:42:50');
INSERT INTO `sys_job_log` VALUES (41572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:42:55');
INSERT INTO `sys_job_log` VALUES (41573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:43:00');
INSERT INTO `sys_job_log` VALUES (41574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:43:00');
INSERT INTO `sys_job_log` VALUES (41575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:43:05');
INSERT INTO `sys_job_log` VALUES (41576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 15:43:10');
INSERT INTO `sys_job_log` VALUES (41577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:43:15');
INSERT INTO `sys_job_log` VALUES (41578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:43:15');
INSERT INTO `sys_job_log` VALUES (41579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:43:20');
INSERT INTO `sys_job_log` VALUES (41580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:43:25');
INSERT INTO `sys_job_log` VALUES (41581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:43:30');
INSERT INTO `sys_job_log` VALUES (41582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:43:30');
INSERT INTO `sys_job_log` VALUES (41583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:43:35');
INSERT INTO `sys_job_log` VALUES (41584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:43:40');
INSERT INTO `sys_job_log` VALUES (41585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:43:45');
INSERT INTO `sys_job_log` VALUES (41586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:43:45');
INSERT INTO `sys_job_log` VALUES (41587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:43:50');
INSERT INTO `sys_job_log` VALUES (41588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:43:55');
INSERT INTO `sys_job_log` VALUES (41589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:00');
INSERT INTO `sys_job_log` VALUES (41590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:00');
INSERT INTO `sys_job_log` VALUES (41591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:44:05');
INSERT INTO `sys_job_log` VALUES (41592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:44:10');
INSERT INTO `sys_job_log` VALUES (41593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:44:15');
INSERT INTO `sys_job_log` VALUES (41594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:44:15');
INSERT INTO `sys_job_log` VALUES (41595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:44:20');
INSERT INTO `sys_job_log` VALUES (41596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:44:25');
INSERT INTO `sys_job_log` VALUES (41597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:30');
INSERT INTO `sys_job_log` VALUES (41598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:30');
INSERT INTO `sys_job_log` VALUES (41599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:35');
INSERT INTO `sys_job_log` VALUES (41600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:44:40');
INSERT INTO `sys_job_log` VALUES (41601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:45');
INSERT INTO `sys_job_log` VALUES (41602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:44:45');
INSERT INTO `sys_job_log` VALUES (41603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:44:50');
INSERT INTO `sys_job_log` VALUES (41604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:44:55');
INSERT INTO `sys_job_log` VALUES (41605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:45:00');
INSERT INTO `sys_job_log` VALUES (41606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:45:00');
INSERT INTO `sys_job_log` VALUES (41607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:45:05');
INSERT INTO `sys_job_log` VALUES (41608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:45:10');
INSERT INTO `sys_job_log` VALUES (41609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:45:15');
INSERT INTO `sys_job_log` VALUES (41610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:45:15');
INSERT INTO `sys_job_log` VALUES (41611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:45:20');
INSERT INTO `sys_job_log` VALUES (41612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:45:25');
INSERT INTO `sys_job_log` VALUES (41613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:45:30');
INSERT INTO `sys_job_log` VALUES (41614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:45:30');
INSERT INTO `sys_job_log` VALUES (41615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:45:35');
INSERT INTO `sys_job_log` VALUES (41616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:45:40');
INSERT INTO `sys_job_log` VALUES (41617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:45:45');
INSERT INTO `sys_job_log` VALUES (41618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:45:45');
INSERT INTO `sys_job_log` VALUES (41619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:45:50');
INSERT INTO `sys_job_log` VALUES (41620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:45:55');
INSERT INTO `sys_job_log` VALUES (41621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:46:00');
INSERT INTO `sys_job_log` VALUES (41622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:46:00');
INSERT INTO `sys_job_log` VALUES (41623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:46:05');
INSERT INTO `sys_job_log` VALUES (41624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:46:10');
INSERT INTO `sys_job_log` VALUES (41625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:46:15');
INSERT INTO `sys_job_log` VALUES (41626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:46:15');
INSERT INTO `sys_job_log` VALUES (41627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:46:20');
INSERT INTO `sys_job_log` VALUES (41628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:46:25');
INSERT INTO `sys_job_log` VALUES (41629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:46:30');
INSERT INTO `sys_job_log` VALUES (41630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:46:30');
INSERT INTO `sys_job_log` VALUES (41631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:46:35');
INSERT INTO `sys_job_log` VALUES (41632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:46:40');
INSERT INTO `sys_job_log` VALUES (41633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:46:45');
INSERT INTO `sys_job_log` VALUES (41634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:46:45');
INSERT INTO `sys_job_log` VALUES (41635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:46:50');
INSERT INTO `sys_job_log` VALUES (41636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:46:55');
INSERT INTO `sys_job_log` VALUES (41637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:47:00');
INSERT INTO `sys_job_log` VALUES (41638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:47:00');
INSERT INTO `sys_job_log` VALUES (41639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:47:05');
INSERT INTO `sys_job_log` VALUES (41640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:47:10');
INSERT INTO `sys_job_log` VALUES (41641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:47:15');
INSERT INTO `sys_job_log` VALUES (41642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:47:15');
INSERT INTO `sys_job_log` VALUES (41643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:47:20');
INSERT INTO `sys_job_log` VALUES (41644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:47:25');
INSERT INTO `sys_job_log` VALUES (41645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:47:30');
INSERT INTO `sys_job_log` VALUES (41646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:47:30');
INSERT INTO `sys_job_log` VALUES (41647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:47:35');
INSERT INTO `sys_job_log` VALUES (41648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:47:40');
INSERT INTO `sys_job_log` VALUES (41649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:47:45');
INSERT INTO `sys_job_log` VALUES (41650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:47:45');
INSERT INTO `sys_job_log` VALUES (41651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:47:50');
INSERT INTO `sys_job_log` VALUES (41652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:47:55');
INSERT INTO `sys_job_log` VALUES (41653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:48:00');
INSERT INTO `sys_job_log` VALUES (41654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:48:00');
INSERT INTO `sys_job_log` VALUES (41655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:48:05');
INSERT INTO `sys_job_log` VALUES (41656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:48:10');
INSERT INTO `sys_job_log` VALUES (41657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:48:15');
INSERT INTO `sys_job_log` VALUES (41658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:48:15');
INSERT INTO `sys_job_log` VALUES (41659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:48:20');
INSERT INTO `sys_job_log` VALUES (41660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:48:25');
INSERT INTO `sys_job_log` VALUES (41661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:48:30');
INSERT INTO `sys_job_log` VALUES (41662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:48:30');
INSERT INTO `sys_job_log` VALUES (41663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:48:35');
INSERT INTO `sys_job_log` VALUES (41664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:48:40');
INSERT INTO `sys_job_log` VALUES (41665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:48:45');
INSERT INTO `sys_job_log` VALUES (41666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:48:45');
INSERT INTO `sys_job_log` VALUES (41667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:48:50');
INSERT INTO `sys_job_log` VALUES (41668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:48:55');
INSERT INTO `sys_job_log` VALUES (41669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:49:00');
INSERT INTO `sys_job_log` VALUES (41670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:49:00');
INSERT INTO `sys_job_log` VALUES (41671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:49:05');
INSERT INTO `sys_job_log` VALUES (41672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:49:10');
INSERT INTO `sys_job_log` VALUES (41673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:49:15');
INSERT INTO `sys_job_log` VALUES (41674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:49:15');
INSERT INTO `sys_job_log` VALUES (41675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:49:20');
INSERT INTO `sys_job_log` VALUES (41676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:49:25');
INSERT INTO `sys_job_log` VALUES (41677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:49:30');
INSERT INTO `sys_job_log` VALUES (41678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:49:30');
INSERT INTO `sys_job_log` VALUES (41679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:49:35');
INSERT INTO `sys_job_log` VALUES (41680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:49:40');
INSERT INTO `sys_job_log` VALUES (41681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:49:45');
INSERT INTO `sys_job_log` VALUES (41682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:49:45');
INSERT INTO `sys_job_log` VALUES (41683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:49:50');
INSERT INTO `sys_job_log` VALUES (41684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:49:55');
INSERT INTO `sys_job_log` VALUES (41685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:50:00');
INSERT INTO `sys_job_log` VALUES (41686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:50:00');
INSERT INTO `sys_job_log` VALUES (41687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:50:05');
INSERT INTO `sys_job_log` VALUES (41688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:50:10');
INSERT INTO `sys_job_log` VALUES (41689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:50:15');
INSERT INTO `sys_job_log` VALUES (41690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:50:15');
INSERT INTO `sys_job_log` VALUES (41691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:50:20');
INSERT INTO `sys_job_log` VALUES (41692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:50:25');
INSERT INTO `sys_job_log` VALUES (41693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 15:50:30');
INSERT INTO `sys_job_log` VALUES (41694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:50:30');
INSERT INTO `sys_job_log` VALUES (41695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:50:35');
INSERT INTO `sys_job_log` VALUES (41696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:50:40');
INSERT INTO `sys_job_log` VALUES (41697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:50:45');
INSERT INTO `sys_job_log` VALUES (41698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:50:45');
INSERT INTO `sys_job_log` VALUES (41699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:50:50');
INSERT INTO `sys_job_log` VALUES (41700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:50:55');
INSERT INTO `sys_job_log` VALUES (41701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:51:00');
INSERT INTO `sys_job_log` VALUES (41702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:51:00');
INSERT INTO `sys_job_log` VALUES (41703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:51:05');
INSERT INTO `sys_job_log` VALUES (41704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:51:10');
INSERT INTO `sys_job_log` VALUES (41705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:51:15');
INSERT INTO `sys_job_log` VALUES (41706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:51:15');
INSERT INTO `sys_job_log` VALUES (41707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:51:20');
INSERT INTO `sys_job_log` VALUES (41708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:51:25');
INSERT INTO `sys_job_log` VALUES (41709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:51:30');
INSERT INTO `sys_job_log` VALUES (41710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:51:30');
INSERT INTO `sys_job_log` VALUES (41711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:51:35');
INSERT INTO `sys_job_log` VALUES (41712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:51:40');
INSERT INTO `sys_job_log` VALUES (41713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:51:45');
INSERT INTO `sys_job_log` VALUES (41714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:51:45');
INSERT INTO `sys_job_log` VALUES (41715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:51:50');
INSERT INTO `sys_job_log` VALUES (41716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:51:55');
INSERT INTO `sys_job_log` VALUES (41717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:52:00');
INSERT INTO `sys_job_log` VALUES (41718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:52:00');
INSERT INTO `sys_job_log` VALUES (41719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:52:05');
INSERT INTO `sys_job_log` VALUES (41720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:52:10');
INSERT INTO `sys_job_log` VALUES (41721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:52:15');
INSERT INTO `sys_job_log` VALUES (41722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:52:15');
INSERT INTO `sys_job_log` VALUES (41723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:52:20');
INSERT INTO `sys_job_log` VALUES (41724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:52:25');
INSERT INTO `sys_job_log` VALUES (41725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:52:30');
INSERT INTO `sys_job_log` VALUES (41726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:52:30');
INSERT INTO `sys_job_log` VALUES (41727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:52:35');
INSERT INTO `sys_job_log` VALUES (41728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:52:40');
INSERT INTO `sys_job_log` VALUES (41729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:52:45');
INSERT INTO `sys_job_log` VALUES (41730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:52:45');
INSERT INTO `sys_job_log` VALUES (41731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:52:50');
INSERT INTO `sys_job_log` VALUES (41732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:52:55');
INSERT INTO `sys_job_log` VALUES (41733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:53:00');
INSERT INTO `sys_job_log` VALUES (41734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 15:53:00');
INSERT INTO `sys_job_log` VALUES (41735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:53:05');
INSERT INTO `sys_job_log` VALUES (41736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:53:10');
INSERT INTO `sys_job_log` VALUES (41737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:53:15');
INSERT INTO `sys_job_log` VALUES (41738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:53:15');
INSERT INTO `sys_job_log` VALUES (41739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:53:20');
INSERT INTO `sys_job_log` VALUES (41740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:53:25');
INSERT INTO `sys_job_log` VALUES (41741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:53:30');
INSERT INTO `sys_job_log` VALUES (41742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:53:30');
INSERT INTO `sys_job_log` VALUES (41743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:53:35');
INSERT INTO `sys_job_log` VALUES (41744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:53:40');
INSERT INTO `sys_job_log` VALUES (41745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:53:45');
INSERT INTO `sys_job_log` VALUES (41746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:53:45');
INSERT INTO `sys_job_log` VALUES (41747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:53:50');
INSERT INTO `sys_job_log` VALUES (41748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:53:55');
INSERT INTO `sys_job_log` VALUES (41749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:54:00');
INSERT INTO `sys_job_log` VALUES (41750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:54:00');
INSERT INTO `sys_job_log` VALUES (41751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:54:05');
INSERT INTO `sys_job_log` VALUES (41752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:54:10');
INSERT INTO `sys_job_log` VALUES (41753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 15:54:15');
INSERT INTO `sys_job_log` VALUES (41754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:54:15');
INSERT INTO `sys_job_log` VALUES (41755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:54:20');
INSERT INTO `sys_job_log` VALUES (41756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:54:25');
INSERT INTO `sys_job_log` VALUES (41757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:54:30');
INSERT INTO `sys_job_log` VALUES (41758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:54:30');
INSERT INTO `sys_job_log` VALUES (41759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:54:35');
INSERT INTO `sys_job_log` VALUES (41760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 15:54:40');
INSERT INTO `sys_job_log` VALUES (41761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:54:45');
INSERT INTO `sys_job_log` VALUES (41762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:54:45');
INSERT INTO `sys_job_log` VALUES (41763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:54:50');
INSERT INTO `sys_job_log` VALUES (41764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:54:55');
INSERT INTO `sys_job_log` VALUES (41765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:55:00');
INSERT INTO `sys_job_log` VALUES (41766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:55:00');
INSERT INTO `sys_job_log` VALUES (41767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:55:05');
INSERT INTO `sys_job_log` VALUES (41768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:55:10');
INSERT INTO `sys_job_log` VALUES (41769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:55:15');
INSERT INTO `sys_job_log` VALUES (41770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:55:15');
INSERT INTO `sys_job_log` VALUES (41771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:55:20');
INSERT INTO `sys_job_log` VALUES (41772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:55:25');
INSERT INTO `sys_job_log` VALUES (41773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:55:30');
INSERT INTO `sys_job_log` VALUES (41774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:55:30');
INSERT INTO `sys_job_log` VALUES (41775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:55:35');
INSERT INTO `sys_job_log` VALUES (41776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:55:40');
INSERT INTO `sys_job_log` VALUES (41777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:55:45');
INSERT INTO `sys_job_log` VALUES (41778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:55:45');
INSERT INTO `sys_job_log` VALUES (41779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:55:50');
INSERT INTO `sys_job_log` VALUES (41780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:55:55');
INSERT INTO `sys_job_log` VALUES (41781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:56:00');
INSERT INTO `sys_job_log` VALUES (41782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:56:00');
INSERT INTO `sys_job_log` VALUES (41783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:56:05');
INSERT INTO `sys_job_log` VALUES (41784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:56:10');
INSERT INTO `sys_job_log` VALUES (41785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:56:15');
INSERT INTO `sys_job_log` VALUES (41786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 15:56:15');
INSERT INTO `sys_job_log` VALUES (41787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:56:20');
INSERT INTO `sys_job_log` VALUES (41788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:56:25');
INSERT INTO `sys_job_log` VALUES (41789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:56:30');
INSERT INTO `sys_job_log` VALUES (41790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:56:30');
INSERT INTO `sys_job_log` VALUES (41791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:56:35');
INSERT INTO `sys_job_log` VALUES (41792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 15:56:40');
INSERT INTO `sys_job_log` VALUES (41793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 15:56:45');
INSERT INTO `sys_job_log` VALUES (41794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 15:56:45');
INSERT INTO `sys_job_log` VALUES (41795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:56:50');
INSERT INTO `sys_job_log` VALUES (41796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:56:55');
INSERT INTO `sys_job_log` VALUES (41797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:57:00');
INSERT INTO `sys_job_log` VALUES (41798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:57:00');
INSERT INTO `sys_job_log` VALUES (41799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:57:05');
INSERT INTO `sys_job_log` VALUES (41800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 15:57:10');
INSERT INTO `sys_job_log` VALUES (41801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 15:57:15');
INSERT INTO `sys_job_log` VALUES (41802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:57:15');
INSERT INTO `sys_job_log` VALUES (41803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:57:20');
INSERT INTO `sys_job_log` VALUES (41804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:57:25');
INSERT INTO `sys_job_log` VALUES (41805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:57:30');
INSERT INTO `sys_job_log` VALUES (41806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:57:30');
INSERT INTO `sys_job_log` VALUES (41807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:57:35');
INSERT INTO `sys_job_log` VALUES (41808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:57:40');
INSERT INTO `sys_job_log` VALUES (41809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:57:45');
INSERT INTO `sys_job_log` VALUES (41810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:57:45');
INSERT INTO `sys_job_log` VALUES (41811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:57:50');
INSERT INTO `sys_job_log` VALUES (41812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:57:55');
INSERT INTO `sys_job_log` VALUES (41813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:58:00');
INSERT INTO `sys_job_log` VALUES (41814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:58:00');
INSERT INTO `sys_job_log` VALUES (41815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:58:05');
INSERT INTO `sys_job_log` VALUES (41816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:58:10');
INSERT INTO `sys_job_log` VALUES (41817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:58:15');
INSERT INTO `sys_job_log` VALUES (41818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:58:15');
INSERT INTO `sys_job_log` VALUES (41819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:58:20');
INSERT INTO `sys_job_log` VALUES (41820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 15:58:25');
INSERT INTO `sys_job_log` VALUES (41821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:58:30');
INSERT INTO `sys_job_log` VALUES (41822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:58:30');
INSERT INTO `sys_job_log` VALUES (41823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:58:35');
INSERT INTO `sys_job_log` VALUES (41824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:58:40');
INSERT INTO `sys_job_log` VALUES (41825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:58:45');
INSERT INTO `sys_job_log` VALUES (41826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:58:45');
INSERT INTO `sys_job_log` VALUES (41827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:58:50');
INSERT INTO `sys_job_log` VALUES (41828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:58:55');
INSERT INTO `sys_job_log` VALUES (41829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 15:59:00');
INSERT INTO `sys_job_log` VALUES (41830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 15:59:00');
INSERT INTO `sys_job_log` VALUES (41831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:59:05');
INSERT INTO `sys_job_log` VALUES (41832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:59:10');
INSERT INTO `sys_job_log` VALUES (41833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 15:59:15');
INSERT INTO `sys_job_log` VALUES (41834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 15:59:15');
INSERT INTO `sys_job_log` VALUES (41835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:59:20');
INSERT INTO `sys_job_log` VALUES (41836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 15:59:25');
INSERT INTO `sys_job_log` VALUES (41837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 15:59:30');
INSERT INTO `sys_job_log` VALUES (41838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:59:30');
INSERT INTO `sys_job_log` VALUES (41839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 15:59:35');
INSERT INTO `sys_job_log` VALUES (41840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:59:40');
INSERT INTO `sys_job_log` VALUES (41841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 15:59:45');
INSERT INTO `sys_job_log` VALUES (41842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 15:59:45');
INSERT INTO `sys_job_log` VALUES (41843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 15:59:50');
INSERT INTO `sys_job_log` VALUES (41844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 15:59:55');
INSERT INTO `sys_job_log` VALUES (41845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:00:00');
INSERT INTO `sys_job_log` VALUES (41846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:00:00');
INSERT INTO `sys_job_log` VALUES (41847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:00:05');
INSERT INTO `sys_job_log` VALUES (41848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 16:00:10');
INSERT INTO `sys_job_log` VALUES (41849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:00:15');
INSERT INTO `sys_job_log` VALUES (41850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:00:15');
INSERT INTO `sys_job_log` VALUES (41851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:00:20');
INSERT INTO `sys_job_log` VALUES (41852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:00:25');
INSERT INTO `sys_job_log` VALUES (41853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:00:30');
INSERT INTO `sys_job_log` VALUES (41854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:00:30');
INSERT INTO `sys_job_log` VALUES (41855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:00:35');
INSERT INTO `sys_job_log` VALUES (41856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:00:40');
INSERT INTO `sys_job_log` VALUES (41857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:00:45');
INSERT INTO `sys_job_log` VALUES (41858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:00:45');
INSERT INTO `sys_job_log` VALUES (41859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 16:00:50');
INSERT INTO `sys_job_log` VALUES (41860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:00:55');
INSERT INTO `sys_job_log` VALUES (41861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:01:00');
INSERT INTO `sys_job_log` VALUES (41862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:01:00');
INSERT INTO `sys_job_log` VALUES (41863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:01:05');
INSERT INTO `sys_job_log` VALUES (41864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:01:10');
INSERT INTO `sys_job_log` VALUES (41865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:01:15');
INSERT INTO `sys_job_log` VALUES (41866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:01:15');
INSERT INTO `sys_job_log` VALUES (41867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:01:20');
INSERT INTO `sys_job_log` VALUES (41868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:01:25');
INSERT INTO `sys_job_log` VALUES (41869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:01:30');
INSERT INTO `sys_job_log` VALUES (41870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:01:30');
INSERT INTO `sys_job_log` VALUES (41871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:01:35');
INSERT INTO `sys_job_log` VALUES (41872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:01:40');
INSERT INTO `sys_job_log` VALUES (41873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:01:45');
INSERT INTO `sys_job_log` VALUES (41874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:01:45');
INSERT INTO `sys_job_log` VALUES (41875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:01:50');
INSERT INTO `sys_job_log` VALUES (41876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:01:55');
INSERT INTO `sys_job_log` VALUES (41877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:02:00');
INSERT INTO `sys_job_log` VALUES (41878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:02:00');
INSERT INTO `sys_job_log` VALUES (41879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:02:05');
INSERT INTO `sys_job_log` VALUES (41880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:02:10');
INSERT INTO `sys_job_log` VALUES (41881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:02:15');
INSERT INTO `sys_job_log` VALUES (41882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:02:15');
INSERT INTO `sys_job_log` VALUES (41883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:02:20');
INSERT INTO `sys_job_log` VALUES (41884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 16:02:25');
INSERT INTO `sys_job_log` VALUES (41885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:02:30');
INSERT INTO `sys_job_log` VALUES (41886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:02:30');
INSERT INTO `sys_job_log` VALUES (41887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:02:35');
INSERT INTO `sys_job_log` VALUES (41888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:02:40');
INSERT INTO `sys_job_log` VALUES (41889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:02:45');
INSERT INTO `sys_job_log` VALUES (41890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:02:45');
INSERT INTO `sys_job_log` VALUES (41891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:02:50');
INSERT INTO `sys_job_log` VALUES (41892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:02:55');
INSERT INTO `sys_job_log` VALUES (41893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:03:00');
INSERT INTO `sys_job_log` VALUES (41894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:03:00');
INSERT INTO `sys_job_log` VALUES (41895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:03:05');
INSERT INTO `sys_job_log` VALUES (41896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:03:10');
INSERT INTO `sys_job_log` VALUES (41897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:03:15');
INSERT INTO `sys_job_log` VALUES (41898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:03:15');
INSERT INTO `sys_job_log` VALUES (41899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:03:20');
INSERT INTO `sys_job_log` VALUES (41900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：342毫秒', '0', '', '2025-01-01 16:03:25');
INSERT INTO `sys_job_log` VALUES (41901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:03:30');
INSERT INTO `sys_job_log` VALUES (41902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:03:30');
INSERT INTO `sys_job_log` VALUES (41903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:03:35');
INSERT INTO `sys_job_log` VALUES (41904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:03:40');
INSERT INTO `sys_job_log` VALUES (41905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2025-01-01 16:03:45');
INSERT INTO `sys_job_log` VALUES (41906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-01 16:03:45');
INSERT INTO `sys_job_log` VALUES (41907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:03:50');
INSERT INTO `sys_job_log` VALUES (41908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:03:55');
INSERT INTO `sys_job_log` VALUES (41909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:04:00');
INSERT INTO `sys_job_log` VALUES (41910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:04:00');
INSERT INTO `sys_job_log` VALUES (41911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:04:05');
INSERT INTO `sys_job_log` VALUES (41912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 16:04:10');
INSERT INTO `sys_job_log` VALUES (41913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:04:15');
INSERT INTO `sys_job_log` VALUES (41914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:04:15');
INSERT INTO `sys_job_log` VALUES (41915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:04:20');
INSERT INTO `sys_job_log` VALUES (41916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:04:25');
INSERT INTO `sys_job_log` VALUES (41917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:04:30');
INSERT INTO `sys_job_log` VALUES (41918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:04:30');
INSERT INTO `sys_job_log` VALUES (41919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:04:35');
INSERT INTO `sys_job_log` VALUES (41920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:04:40');
INSERT INTO `sys_job_log` VALUES (41921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:04:45');
INSERT INTO `sys_job_log` VALUES (41922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:04:45');
INSERT INTO `sys_job_log` VALUES (41923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:04:50');
INSERT INTO `sys_job_log` VALUES (41924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:04:55');
INSERT INTO `sys_job_log` VALUES (41925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:05:00');
INSERT INTO `sys_job_log` VALUES (41926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:05:00');
INSERT INTO `sys_job_log` VALUES (41927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:05:05');
INSERT INTO `sys_job_log` VALUES (41928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:10');
INSERT INTO `sys_job_log` VALUES (41929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:15');
INSERT INTO `sys_job_log` VALUES (41930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:15');
INSERT INTO `sys_job_log` VALUES (41931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:05:20');
INSERT INTO `sys_job_log` VALUES (41932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:05:25');
INSERT INTO `sys_job_log` VALUES (41933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:30');
INSERT INTO `sys_job_log` VALUES (41934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:30');
INSERT INTO `sys_job_log` VALUES (41935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:05:35');
INSERT INTO `sys_job_log` VALUES (41936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:05:40');
INSERT INTO `sys_job_log` VALUES (41937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:45');
INSERT INTO `sys_job_log` VALUES (41938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:05:45');
INSERT INTO `sys_job_log` VALUES (41939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:05:50');
INSERT INTO `sys_job_log` VALUES (41940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 16:05:55');
INSERT INTO `sys_job_log` VALUES (41941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 16:06:00');
INSERT INTO `sys_job_log` VALUES (41942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:06:00');
INSERT INTO `sys_job_log` VALUES (41943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:06:05');
INSERT INTO `sys_job_log` VALUES (41944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:06:10');
INSERT INTO `sys_job_log` VALUES (41945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:06:15');
INSERT INTO `sys_job_log` VALUES (41946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:06:15');
INSERT INTO `sys_job_log` VALUES (41947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:06:20');
INSERT INTO `sys_job_log` VALUES (41948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:06:25');
INSERT INTO `sys_job_log` VALUES (41949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:06:30');
INSERT INTO `sys_job_log` VALUES (41950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:06:30');
INSERT INTO `sys_job_log` VALUES (41951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:06:35');
INSERT INTO `sys_job_log` VALUES (41952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:06:40');
INSERT INTO `sys_job_log` VALUES (41953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:06:45');
INSERT INTO `sys_job_log` VALUES (41954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:06:45');
INSERT INTO `sys_job_log` VALUES (41955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:06:50');
INSERT INTO `sys_job_log` VALUES (41956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:06:55');
INSERT INTO `sys_job_log` VALUES (41957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:07:00');
INSERT INTO `sys_job_log` VALUES (41958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:07:00');
INSERT INTO `sys_job_log` VALUES (41959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:07:05');
INSERT INTO `sys_job_log` VALUES (41960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 16:07:10');
INSERT INTO `sys_job_log` VALUES (41961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:07:15');
INSERT INTO `sys_job_log` VALUES (41962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:07:15');
INSERT INTO `sys_job_log` VALUES (41963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:07:20');
INSERT INTO `sys_job_log` VALUES (41964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:07:25');
INSERT INTO `sys_job_log` VALUES (41965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 16:07:30');
INSERT INTO `sys_job_log` VALUES (41966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 16:07:30');
INSERT INTO `sys_job_log` VALUES (41967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 16:07:35');
INSERT INTO `sys_job_log` VALUES (41968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:07:40');
INSERT INTO `sys_job_log` VALUES (41969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:07:45');
INSERT INTO `sys_job_log` VALUES (41970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 16:07:45');
INSERT INTO `sys_job_log` VALUES (41971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:07:50');
INSERT INTO `sys_job_log` VALUES (41972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:07:55');
INSERT INTO `sys_job_log` VALUES (41973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:08:00');
INSERT INTO `sys_job_log` VALUES (41974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:08:00');
INSERT INTO `sys_job_log` VALUES (41975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:08:05');
INSERT INTO `sys_job_log` VALUES (41976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:08:10');
INSERT INTO `sys_job_log` VALUES (41977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:08:15');
INSERT INTO `sys_job_log` VALUES (41978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:08:15');
INSERT INTO `sys_job_log` VALUES (41979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:08:20');
INSERT INTO `sys_job_log` VALUES (41980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:08:25');
INSERT INTO `sys_job_log` VALUES (41981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:08:30');
INSERT INTO `sys_job_log` VALUES (41982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:08:30');
INSERT INTO `sys_job_log` VALUES (41983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:08:35');
INSERT INTO `sys_job_log` VALUES (41984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:08:40');
INSERT INTO `sys_job_log` VALUES (41985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:08:45');
INSERT INTO `sys_job_log` VALUES (41986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:08:45');
INSERT INTO `sys_job_log` VALUES (41987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:08:50');
INSERT INTO `sys_job_log` VALUES (41988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:08:55');
INSERT INTO `sys_job_log` VALUES (41989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:09:00');
INSERT INTO `sys_job_log` VALUES (41990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:09:00');
INSERT INTO `sys_job_log` VALUES (41991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:09:05');
INSERT INTO `sys_job_log` VALUES (41992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:09:10');
INSERT INTO `sys_job_log` VALUES (41993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:09:15');
INSERT INTO `sys_job_log` VALUES (41994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:09:15');
INSERT INTO `sys_job_log` VALUES (41995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:09:20');
INSERT INTO `sys_job_log` VALUES (41996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:09:25');
INSERT INTO `sys_job_log` VALUES (41997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:09:30');
INSERT INTO `sys_job_log` VALUES (41998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:09:30');
INSERT INTO `sys_job_log` VALUES (41999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:09:35');
INSERT INTO `sys_job_log` VALUES (42000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:09:40');
INSERT INTO `sys_job_log` VALUES (42001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:09:45');
INSERT INTO `sys_job_log` VALUES (42002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:09:45');
INSERT INTO `sys_job_log` VALUES (42003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:09:50');
INSERT INTO `sys_job_log` VALUES (42004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:09:55');
INSERT INTO `sys_job_log` VALUES (42005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:10:00');
INSERT INTO `sys_job_log` VALUES (42006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:10:00');
INSERT INTO `sys_job_log` VALUES (42007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:10:05');
INSERT INTO `sys_job_log` VALUES (42008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:10:10');
INSERT INTO `sys_job_log` VALUES (42009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:10:15');
INSERT INTO `sys_job_log` VALUES (42010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:10:15');
INSERT INTO `sys_job_log` VALUES (42011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:10:20');
INSERT INTO `sys_job_log` VALUES (42012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:10:25');
INSERT INTO `sys_job_log` VALUES (42013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:10:30');
INSERT INTO `sys_job_log` VALUES (42014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:10:30');
INSERT INTO `sys_job_log` VALUES (42015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:10:35');
INSERT INTO `sys_job_log` VALUES (42016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:10:40');
INSERT INTO `sys_job_log` VALUES (42017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:10:45');
INSERT INTO `sys_job_log` VALUES (42018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:10:45');
INSERT INTO `sys_job_log` VALUES (42019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:10:50');
INSERT INTO `sys_job_log` VALUES (42020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:10:55');
INSERT INTO `sys_job_log` VALUES (42021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:11:00');
INSERT INTO `sys_job_log` VALUES (42022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:11:00');
INSERT INTO `sys_job_log` VALUES (42023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:11:05');
INSERT INTO `sys_job_log` VALUES (42024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:11:10');
INSERT INTO `sys_job_log` VALUES (42025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:11:15');
INSERT INTO `sys_job_log` VALUES (42026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:11:15');
INSERT INTO `sys_job_log` VALUES (42027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:11:20');
INSERT INTO `sys_job_log` VALUES (42028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:11:25');
INSERT INTO `sys_job_log` VALUES (42029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:11:30');
INSERT INTO `sys_job_log` VALUES (42030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:11:30');
INSERT INTO `sys_job_log` VALUES (42031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:11:35');
INSERT INTO `sys_job_log` VALUES (42032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:11:40');
INSERT INTO `sys_job_log` VALUES (42033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 16:11:45');
INSERT INTO `sys_job_log` VALUES (42034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 16:11:45');
INSERT INTO `sys_job_log` VALUES (42035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:11:50');
INSERT INTO `sys_job_log` VALUES (42036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:11:55');
INSERT INTO `sys_job_log` VALUES (42037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：146毫秒', '0', '', '2025-01-01 16:12:00');
INSERT INTO `sys_job_log` VALUES (42038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：152毫秒', '0', '', '2025-01-01 16:12:00');
INSERT INTO `sys_job_log` VALUES (42039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:12:05');
INSERT INTO `sys_job_log` VALUES (42040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:12:10');
INSERT INTO `sys_job_log` VALUES (42041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:12:15');
INSERT INTO `sys_job_log` VALUES (42042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:12:15');
INSERT INTO `sys_job_log` VALUES (42043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:12:20');
INSERT INTO `sys_job_log` VALUES (42044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:12:25');
INSERT INTO `sys_job_log` VALUES (42045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:12:30');
INSERT INTO `sys_job_log` VALUES (42046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:12:30');
INSERT INTO `sys_job_log` VALUES (42047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:12:35');
INSERT INTO `sys_job_log` VALUES (42048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:12:40');
INSERT INTO `sys_job_log` VALUES (42049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:12:45');
INSERT INTO `sys_job_log` VALUES (42050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:12:45');
INSERT INTO `sys_job_log` VALUES (42051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:12:50');
INSERT INTO `sys_job_log` VALUES (42052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:12:55');
INSERT INTO `sys_job_log` VALUES (42053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:13:00');
INSERT INTO `sys_job_log` VALUES (42054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:13:00');
INSERT INTO `sys_job_log` VALUES (42055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:13:05');
INSERT INTO `sys_job_log` VALUES (42056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:13:10');
INSERT INTO `sys_job_log` VALUES (42057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:13:15');
INSERT INTO `sys_job_log` VALUES (42058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:13:15');
INSERT INTO `sys_job_log` VALUES (42059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:13:20');
INSERT INTO `sys_job_log` VALUES (42060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:13:25');
INSERT INTO `sys_job_log` VALUES (42061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:13:30');
INSERT INTO `sys_job_log` VALUES (42062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:13:30');
INSERT INTO `sys_job_log` VALUES (42063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:13:35');
INSERT INTO `sys_job_log` VALUES (42064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:13:40');
INSERT INTO `sys_job_log` VALUES (42065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:13:45');
INSERT INTO `sys_job_log` VALUES (42066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:13:45');
INSERT INTO `sys_job_log` VALUES (42067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:13:50');
INSERT INTO `sys_job_log` VALUES (42068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:13:55');
INSERT INTO `sys_job_log` VALUES (42069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:14:00');
INSERT INTO `sys_job_log` VALUES (42070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:14:00');
INSERT INTO `sys_job_log` VALUES (42071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:14:05');
INSERT INTO `sys_job_log` VALUES (42072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:14:10');
INSERT INTO `sys_job_log` VALUES (42073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:14:15');
INSERT INTO `sys_job_log` VALUES (42074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:14:15');
INSERT INTO `sys_job_log` VALUES (42075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:14:20');
INSERT INTO `sys_job_log` VALUES (42076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:14:25');
INSERT INTO `sys_job_log` VALUES (42077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:14:30');
INSERT INTO `sys_job_log` VALUES (42078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:14:30');
INSERT INTO `sys_job_log` VALUES (42079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:14:35');
INSERT INTO `sys_job_log` VALUES (42080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:14:40');
INSERT INTO `sys_job_log` VALUES (42081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:14:45');
INSERT INTO `sys_job_log` VALUES (42082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:14:45');
INSERT INTO `sys_job_log` VALUES (42083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:14:50');
INSERT INTO `sys_job_log` VALUES (42084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:14:55');
INSERT INTO `sys_job_log` VALUES (42085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:15:00');
INSERT INTO `sys_job_log` VALUES (42086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:15:00');
INSERT INTO `sys_job_log` VALUES (42087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:15:05');
INSERT INTO `sys_job_log` VALUES (42088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:15:10');
INSERT INTO `sys_job_log` VALUES (42089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:15:15');
INSERT INTO `sys_job_log` VALUES (42090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:15:15');
INSERT INTO `sys_job_log` VALUES (42091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:15:20');
INSERT INTO `sys_job_log` VALUES (42092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:15:25');
INSERT INTO `sys_job_log` VALUES (42093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:15:30');
INSERT INTO `sys_job_log` VALUES (42094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:15:30');
INSERT INTO `sys_job_log` VALUES (42095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:15:35');
INSERT INTO `sys_job_log` VALUES (42096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:15:40');
INSERT INTO `sys_job_log` VALUES (42097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:15:45');
INSERT INTO `sys_job_log` VALUES (42098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:15:45');
INSERT INTO `sys_job_log` VALUES (42099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:15:50');
INSERT INTO `sys_job_log` VALUES (42100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:15:55');
INSERT INTO `sys_job_log` VALUES (42101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:16:00');
INSERT INTO `sys_job_log` VALUES (42102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:16:00');
INSERT INTO `sys_job_log` VALUES (42103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:16:05');
INSERT INTO `sys_job_log` VALUES (42104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:16:10');
INSERT INTO `sys_job_log` VALUES (42105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:16:15');
INSERT INTO `sys_job_log` VALUES (42106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:16:15');
INSERT INTO `sys_job_log` VALUES (42107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:16:20');
INSERT INTO `sys_job_log` VALUES (42108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 16:16:25');
INSERT INTO `sys_job_log` VALUES (42109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:16:30');
INSERT INTO `sys_job_log` VALUES (42110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 16:16:30');
INSERT INTO `sys_job_log` VALUES (42111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:16:35');
INSERT INTO `sys_job_log` VALUES (42112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:16:40');
INSERT INTO `sys_job_log` VALUES (42113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:16:45');
INSERT INTO `sys_job_log` VALUES (42114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:16:45');
INSERT INTO `sys_job_log` VALUES (42115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:16:50');
INSERT INTO `sys_job_log` VALUES (42116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:16:55');
INSERT INTO `sys_job_log` VALUES (42117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:17:00');
INSERT INTO `sys_job_log` VALUES (42118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:17:00');
INSERT INTO `sys_job_log` VALUES (42119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:17:05');
INSERT INTO `sys_job_log` VALUES (42120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:17:10');
INSERT INTO `sys_job_log` VALUES (42121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:17:15');
INSERT INTO `sys_job_log` VALUES (42122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:17:15');
INSERT INTO `sys_job_log` VALUES (42123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:17:20');
INSERT INTO `sys_job_log` VALUES (42124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:17:25');
INSERT INTO `sys_job_log` VALUES (42125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:17:30');
INSERT INTO `sys_job_log` VALUES (42126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:17:30');
INSERT INTO `sys_job_log` VALUES (42127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:17:35');
INSERT INTO `sys_job_log` VALUES (42128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:17:40');
INSERT INTO `sys_job_log` VALUES (42129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:17:45');
INSERT INTO `sys_job_log` VALUES (42130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:17:45');
INSERT INTO `sys_job_log` VALUES (42131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:17:50');
INSERT INTO `sys_job_log` VALUES (42132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:17:55');
INSERT INTO `sys_job_log` VALUES (42133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:18:00');
INSERT INTO `sys_job_log` VALUES (42134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:18:00');
INSERT INTO `sys_job_log` VALUES (42135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:18:05');
INSERT INTO `sys_job_log` VALUES (42136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:18:10');
INSERT INTO `sys_job_log` VALUES (42137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:18:15');
INSERT INTO `sys_job_log` VALUES (42138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 16:18:15');
INSERT INTO `sys_job_log` VALUES (42139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:18:20');
INSERT INTO `sys_job_log` VALUES (42140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:18:25');
INSERT INTO `sys_job_log` VALUES (42141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:18:30');
INSERT INTO `sys_job_log` VALUES (42142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:18:30');
INSERT INTO `sys_job_log` VALUES (42143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:18:35');
INSERT INTO `sys_job_log` VALUES (42144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:18:40');
INSERT INTO `sys_job_log` VALUES (42145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:18:45');
INSERT INTO `sys_job_log` VALUES (42146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:18:45');
INSERT INTO `sys_job_log` VALUES (42147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:18:50');
INSERT INTO `sys_job_log` VALUES (42148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:18:55');
INSERT INTO `sys_job_log` VALUES (42149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:19:00');
INSERT INTO `sys_job_log` VALUES (42150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:19:00');
INSERT INTO `sys_job_log` VALUES (42151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:19:05');
INSERT INTO `sys_job_log` VALUES (42152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:19:10');
INSERT INTO `sys_job_log` VALUES (42153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:19:15');
INSERT INTO `sys_job_log` VALUES (42154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:19:15');
INSERT INTO `sys_job_log` VALUES (42155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:19:20');
INSERT INTO `sys_job_log` VALUES (42156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:19:25');
INSERT INTO `sys_job_log` VALUES (42157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:19:30');
INSERT INTO `sys_job_log` VALUES (42158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:19:30');
INSERT INTO `sys_job_log` VALUES (42159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:19:35');
INSERT INTO `sys_job_log` VALUES (42160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:19:40');
INSERT INTO `sys_job_log` VALUES (42161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 16:19:45');
INSERT INTO `sys_job_log` VALUES (42162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 16:19:45');
INSERT INTO `sys_job_log` VALUES (42163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 16:19:50');
INSERT INTO `sys_job_log` VALUES (42164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:19:55');
INSERT INTO `sys_job_log` VALUES (42165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:00');
INSERT INTO `sys_job_log` VALUES (42166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:20:00');
INSERT INTO `sys_job_log` VALUES (42167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:20:05');
INSERT INTO `sys_job_log` VALUES (42168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:10');
INSERT INTO `sys_job_log` VALUES (42169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:15');
INSERT INTO `sys_job_log` VALUES (42170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:15');
INSERT INTO `sys_job_log` VALUES (42171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:20');
INSERT INTO `sys_job_log` VALUES (42172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:20:25');
INSERT INTO `sys_job_log` VALUES (42173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 16:20:30');
INSERT INTO `sys_job_log` VALUES (42174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 16:20:30');
INSERT INTO `sys_job_log` VALUES (42175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:20:35');
INSERT INTO `sys_job_log` VALUES (42176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:20:40');
INSERT INTO `sys_job_log` VALUES (42177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:45');
INSERT INTO `sys_job_log` VALUES (42178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:20:45');
INSERT INTO `sys_job_log` VALUES (42179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:20:50');
INSERT INTO `sys_job_log` VALUES (42180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:20:55');
INSERT INTO `sys_job_log` VALUES (42181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:21:00');
INSERT INTO `sys_job_log` VALUES (42182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:21:00');
INSERT INTO `sys_job_log` VALUES (42183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:21:05');
INSERT INTO `sys_job_log` VALUES (42184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:21:10');
INSERT INTO `sys_job_log` VALUES (42185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:21:15');
INSERT INTO `sys_job_log` VALUES (42186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:21:15');
INSERT INTO `sys_job_log` VALUES (42187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:21:20');
INSERT INTO `sys_job_log` VALUES (42188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:21:25');
INSERT INTO `sys_job_log` VALUES (42189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:21:30');
INSERT INTO `sys_job_log` VALUES (42190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:21:30');
INSERT INTO `sys_job_log` VALUES (42191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:21:35');
INSERT INTO `sys_job_log` VALUES (42192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:21:40');
INSERT INTO `sys_job_log` VALUES (42193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:21:45');
INSERT INTO `sys_job_log` VALUES (42194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:21:45');
INSERT INTO `sys_job_log` VALUES (42195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:21:50');
INSERT INTO `sys_job_log` VALUES (42196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:21:55');
INSERT INTO `sys_job_log` VALUES (42197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:22:00');
INSERT INTO `sys_job_log` VALUES (42198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:22:00');
INSERT INTO `sys_job_log` VALUES (42199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:22:05');
INSERT INTO `sys_job_log` VALUES (42200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:22:10');
INSERT INTO `sys_job_log` VALUES (42201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:22:15');
INSERT INTO `sys_job_log` VALUES (42202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:22:15');
INSERT INTO `sys_job_log` VALUES (42203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:22:20');
INSERT INTO `sys_job_log` VALUES (42204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:22:25');
INSERT INTO `sys_job_log` VALUES (42205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:22:30');
INSERT INTO `sys_job_log` VALUES (42206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:22:30');
INSERT INTO `sys_job_log` VALUES (42207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:22:35');
INSERT INTO `sys_job_log` VALUES (42208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:22:40');
INSERT INTO `sys_job_log` VALUES (42209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:22:45');
INSERT INTO `sys_job_log` VALUES (42210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:22:45');
INSERT INTO `sys_job_log` VALUES (42211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:22:50');
INSERT INTO `sys_job_log` VALUES (42212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:22:55');
INSERT INTO `sys_job_log` VALUES (42213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:23:00');
INSERT INTO `sys_job_log` VALUES (42214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:23:00');
INSERT INTO `sys_job_log` VALUES (42215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:23:05');
INSERT INTO `sys_job_log` VALUES (42216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:23:10');
INSERT INTO `sys_job_log` VALUES (42217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:23:15');
INSERT INTO `sys_job_log` VALUES (42218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:23:15');
INSERT INTO `sys_job_log` VALUES (42219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:23:20');
INSERT INTO `sys_job_log` VALUES (42220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 16:23:25');
INSERT INTO `sys_job_log` VALUES (42221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:23:30');
INSERT INTO `sys_job_log` VALUES (42222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:23:30');
INSERT INTO `sys_job_log` VALUES (42223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:23:35');
INSERT INTO `sys_job_log` VALUES (42224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:23:40');
INSERT INTO `sys_job_log` VALUES (42225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:23:45');
INSERT INTO `sys_job_log` VALUES (42226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:23:45');
INSERT INTO `sys_job_log` VALUES (42227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:23:50');
INSERT INTO `sys_job_log` VALUES (42228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:23:55');
INSERT INTO `sys_job_log` VALUES (42229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:24:00');
INSERT INTO `sys_job_log` VALUES (42230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:24:00');
INSERT INTO `sys_job_log` VALUES (42231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:24:05');
INSERT INTO `sys_job_log` VALUES (42232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:24:10');
INSERT INTO `sys_job_log` VALUES (42233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:24:15');
INSERT INTO `sys_job_log` VALUES (42234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:24:15');
INSERT INTO `sys_job_log` VALUES (42235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:24:20');
INSERT INTO `sys_job_log` VALUES (42236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:24:25');
INSERT INTO `sys_job_log` VALUES (42237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:24:30');
INSERT INTO `sys_job_log` VALUES (42238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:24:30');
INSERT INTO `sys_job_log` VALUES (42239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:24:35');
INSERT INTO `sys_job_log` VALUES (42240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:24:40');
INSERT INTO `sys_job_log` VALUES (42241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:24:45');
INSERT INTO `sys_job_log` VALUES (42242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:24:45');
INSERT INTO `sys_job_log` VALUES (42243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:24:50');
INSERT INTO `sys_job_log` VALUES (42244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:24:55');
INSERT INTO `sys_job_log` VALUES (42245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:25:00');
INSERT INTO `sys_job_log` VALUES (42246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:25:00');
INSERT INTO `sys_job_log` VALUES (42247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:25:05');
INSERT INTO `sys_job_log` VALUES (42248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:25:10');
INSERT INTO `sys_job_log` VALUES (42249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:25:15');
INSERT INTO `sys_job_log` VALUES (42250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:25:15');
INSERT INTO `sys_job_log` VALUES (42251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:25:20');
INSERT INTO `sys_job_log` VALUES (42252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:25:25');
INSERT INTO `sys_job_log` VALUES (42253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:25:30');
INSERT INTO `sys_job_log` VALUES (42254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:25:30');
INSERT INTO `sys_job_log` VALUES (42255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:25:35');
INSERT INTO `sys_job_log` VALUES (42256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:25:40');
INSERT INTO `sys_job_log` VALUES (42257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:25:45');
INSERT INTO `sys_job_log` VALUES (42258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:25:45');
INSERT INTO `sys_job_log` VALUES (42259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:25:50');
INSERT INTO `sys_job_log` VALUES (42260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:25:55');
INSERT INTO `sys_job_log` VALUES (42261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:26:00');
INSERT INTO `sys_job_log` VALUES (42262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:26:00');
INSERT INTO `sys_job_log` VALUES (42263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:26:05');
INSERT INTO `sys_job_log` VALUES (42264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:26:10');
INSERT INTO `sys_job_log` VALUES (42265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:26:15');
INSERT INTO `sys_job_log` VALUES (42266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:26:15');
INSERT INTO `sys_job_log` VALUES (42267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:26:20');
INSERT INTO `sys_job_log` VALUES (42268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:26:25');
INSERT INTO `sys_job_log` VALUES (42269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:26:30');
INSERT INTO `sys_job_log` VALUES (42270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:26:30');
INSERT INTO `sys_job_log` VALUES (42271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:26:35');
INSERT INTO `sys_job_log` VALUES (42272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:26:40');
INSERT INTO `sys_job_log` VALUES (42273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:26:45');
INSERT INTO `sys_job_log` VALUES (42274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:26:45');
INSERT INTO `sys_job_log` VALUES (42275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:26:50');
INSERT INTO `sys_job_log` VALUES (42276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:26:55');
INSERT INTO `sys_job_log` VALUES (42277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:00');
INSERT INTO `sys_job_log` VALUES (42278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:00');
INSERT INTO `sys_job_log` VALUES (42279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:27:05');
INSERT INTO `sys_job_log` VALUES (42280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:27:10');
INSERT INTO `sys_job_log` VALUES (42281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:15');
INSERT INTO `sys_job_log` VALUES (42282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:15');
INSERT INTO `sys_job_log` VALUES (42283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:27:20');
INSERT INTO `sys_job_log` VALUES (42284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:25');
INSERT INTO `sys_job_log` VALUES (42285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:30');
INSERT INTO `sys_job_log` VALUES (42286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:30');
INSERT INTO `sys_job_log` VALUES (42287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:27:35');
INSERT INTO `sys_job_log` VALUES (42288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 16:27:40');
INSERT INTO `sys_job_log` VALUES (42289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:27:45');
INSERT INTO `sys_job_log` VALUES (42290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:27:45');
INSERT INTO `sys_job_log` VALUES (42291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:27:50');
INSERT INTO `sys_job_log` VALUES (42292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:27:55');
INSERT INTO `sys_job_log` VALUES (42293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:28:00');
INSERT INTO `sys_job_log` VALUES (42294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:28:00');
INSERT INTO `sys_job_log` VALUES (42295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:28:05');
INSERT INTO `sys_job_log` VALUES (42296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:28:10');
INSERT INTO `sys_job_log` VALUES (42297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:28:15');
INSERT INTO `sys_job_log` VALUES (42298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:28:15');
INSERT INTO `sys_job_log` VALUES (42299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:28:20');
INSERT INTO `sys_job_log` VALUES (42300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:28:25');
INSERT INTO `sys_job_log` VALUES (42301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:28:30');
INSERT INTO `sys_job_log` VALUES (42302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:28:30');
INSERT INTO `sys_job_log` VALUES (42303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:28:35');
INSERT INTO `sys_job_log` VALUES (42304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:28:40');
INSERT INTO `sys_job_log` VALUES (42305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:28:45');
INSERT INTO `sys_job_log` VALUES (42306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:28:45');
INSERT INTO `sys_job_log` VALUES (42307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:28:50');
INSERT INTO `sys_job_log` VALUES (42308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:28:55');
INSERT INTO `sys_job_log` VALUES (42309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:29:00');
INSERT INTO `sys_job_log` VALUES (42310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:29:00');
INSERT INTO `sys_job_log` VALUES (42311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:29:05');
INSERT INTO `sys_job_log` VALUES (42312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:29:10');
INSERT INTO `sys_job_log` VALUES (42313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:29:15');
INSERT INTO `sys_job_log` VALUES (42314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:29:15');
INSERT INTO `sys_job_log` VALUES (42315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:29:20');
INSERT INTO `sys_job_log` VALUES (42316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:29:25');
INSERT INTO `sys_job_log` VALUES (42317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:29:30');
INSERT INTO `sys_job_log` VALUES (42318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:29:30');
INSERT INTO `sys_job_log` VALUES (42319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:29:35');
INSERT INTO `sys_job_log` VALUES (42320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:29:40');
INSERT INTO `sys_job_log` VALUES (42321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:29:45');
INSERT INTO `sys_job_log` VALUES (42322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:29:45');
INSERT INTO `sys_job_log` VALUES (42323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:29:50');
INSERT INTO `sys_job_log` VALUES (42324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:29:55');
INSERT INTO `sys_job_log` VALUES (42325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 16:30:00');
INSERT INTO `sys_job_log` VALUES (42326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 16:30:00');
INSERT INTO `sys_job_log` VALUES (42327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:30:05');
INSERT INTO `sys_job_log` VALUES (42328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:30:10');
INSERT INTO `sys_job_log` VALUES (42329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:30:15');
INSERT INTO `sys_job_log` VALUES (42330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:30:15');
INSERT INTO `sys_job_log` VALUES (42331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:30:20');
INSERT INTO `sys_job_log` VALUES (42332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:30:25');
INSERT INTO `sys_job_log` VALUES (42333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:30:30');
INSERT INTO `sys_job_log` VALUES (42334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:30:30');
INSERT INTO `sys_job_log` VALUES (42335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:30:35');
INSERT INTO `sys_job_log` VALUES (42336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:30:40');
INSERT INTO `sys_job_log` VALUES (42337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:30:45');
INSERT INTO `sys_job_log` VALUES (42338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:30:45');
INSERT INTO `sys_job_log` VALUES (42339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 16:30:50');
INSERT INTO `sys_job_log` VALUES (42340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:30:55');
INSERT INTO `sys_job_log` VALUES (42341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:31:00');
INSERT INTO `sys_job_log` VALUES (42342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:31:00');
INSERT INTO `sys_job_log` VALUES (42343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:31:05');
INSERT INTO `sys_job_log` VALUES (42344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:31:10');
INSERT INTO `sys_job_log` VALUES (42345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:31:15');
INSERT INTO `sys_job_log` VALUES (42346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:31:15');
INSERT INTO `sys_job_log` VALUES (42347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2025-01-01 16:31:20');
INSERT INTO `sys_job_log` VALUES (42348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:31:25');
INSERT INTO `sys_job_log` VALUES (42349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:31:30');
INSERT INTO `sys_job_log` VALUES (42350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 16:31:30');
INSERT INTO `sys_job_log` VALUES (42351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:31:35');
INSERT INTO `sys_job_log` VALUES (42352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:31:40');
INSERT INTO `sys_job_log` VALUES (42353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:31:45');
INSERT INTO `sys_job_log` VALUES (42354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:31:45');
INSERT INTO `sys_job_log` VALUES (42355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:31:50');
INSERT INTO `sys_job_log` VALUES (42356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:31:55');
INSERT INTO `sys_job_log` VALUES (42357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:32:00');
INSERT INTO `sys_job_log` VALUES (42358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:32:00');
INSERT INTO `sys_job_log` VALUES (42359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:32:05');
INSERT INTO `sys_job_log` VALUES (42360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:32:10');
INSERT INTO `sys_job_log` VALUES (42361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:32:15');
INSERT INTO `sys_job_log` VALUES (42362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:32:15');
INSERT INTO `sys_job_log` VALUES (42363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:32:20');
INSERT INTO `sys_job_log` VALUES (42364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:32:25');
INSERT INTO `sys_job_log` VALUES (42365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:32:30');
INSERT INTO `sys_job_log` VALUES (42366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:32:30');
INSERT INTO `sys_job_log` VALUES (42367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2025-01-01 16:32:35');
INSERT INTO `sys_job_log` VALUES (42368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:32:40');
INSERT INTO `sys_job_log` VALUES (42369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:32:45');
INSERT INTO `sys_job_log` VALUES (42370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:32:45');
INSERT INTO `sys_job_log` VALUES (42371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:32:50');
INSERT INTO `sys_job_log` VALUES (42372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:32:55');
INSERT INTO `sys_job_log` VALUES (42373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:33:00');
INSERT INTO `sys_job_log` VALUES (42374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:33:00');
INSERT INTO `sys_job_log` VALUES (42375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:33:05');
INSERT INTO `sys_job_log` VALUES (42376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:33:10');
INSERT INTO `sys_job_log` VALUES (42377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:33:15');
INSERT INTO `sys_job_log` VALUES (42378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:33:15');
INSERT INTO `sys_job_log` VALUES (42379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2025-01-01 16:33:20');
INSERT INTO `sys_job_log` VALUES (42380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：343毫秒', '0', '', '2025-01-01 16:33:25');
INSERT INTO `sys_job_log` VALUES (42381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2025-01-01 16:33:30');
INSERT INTO `sys_job_log` VALUES (42382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 16:33:30');
INSERT INTO `sys_job_log` VALUES (42383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 16:33:35');
INSERT INTO `sys_job_log` VALUES (42384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:33:40');
INSERT INTO `sys_job_log` VALUES (42385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:33:45');
INSERT INTO `sys_job_log` VALUES (42386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:33:45');
INSERT INTO `sys_job_log` VALUES (42387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:33:50');
INSERT INTO `sys_job_log` VALUES (42388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:33:55');
INSERT INTO `sys_job_log` VALUES (42389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:34:00');
INSERT INTO `sys_job_log` VALUES (42390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:34:00');
INSERT INTO `sys_job_log` VALUES (42391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:34:05');
INSERT INTO `sys_job_log` VALUES (42392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:34:10');
INSERT INTO `sys_job_log` VALUES (42393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 16:34:15');
INSERT INTO `sys_job_log` VALUES (42394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2025-01-01 16:34:15');
INSERT INTO `sys_job_log` VALUES (42395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:34:20');
INSERT INTO `sys_job_log` VALUES (42396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2025-01-01 16:34:25');
INSERT INTO `sys_job_log` VALUES (42397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:34:30');
INSERT INTO `sys_job_log` VALUES (42398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:34:30');
INSERT INTO `sys_job_log` VALUES (42399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:34:35');
INSERT INTO `sys_job_log` VALUES (42400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:34:40');
INSERT INTO `sys_job_log` VALUES (42401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:34:45');
INSERT INTO `sys_job_log` VALUES (42402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:34:45');
INSERT INTO `sys_job_log` VALUES (42403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:34:50');
INSERT INTO `sys_job_log` VALUES (42404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:34:55');
INSERT INTO `sys_job_log` VALUES (42405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:35:00');
INSERT INTO `sys_job_log` VALUES (42406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:35:00');
INSERT INTO `sys_job_log` VALUES (42407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:35:05');
INSERT INTO `sys_job_log` VALUES (42408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:35:10');
INSERT INTO `sys_job_log` VALUES (42409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:35:15');
INSERT INTO `sys_job_log` VALUES (42410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:35:15');
INSERT INTO `sys_job_log` VALUES (42411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:35:20');
INSERT INTO `sys_job_log` VALUES (42412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:35:25');
INSERT INTO `sys_job_log` VALUES (42413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:35:30');
INSERT INTO `sys_job_log` VALUES (42414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:35:30');
INSERT INTO `sys_job_log` VALUES (42415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:35:35');
INSERT INTO `sys_job_log` VALUES (42416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:35:40');
INSERT INTO `sys_job_log` VALUES (42417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:35:45');
INSERT INTO `sys_job_log` VALUES (42418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:35:45');
INSERT INTO `sys_job_log` VALUES (42419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:35:50');
INSERT INTO `sys_job_log` VALUES (42420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:35:55');
INSERT INTO `sys_job_log` VALUES (42421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:36:00');
INSERT INTO `sys_job_log` VALUES (42422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 16:36:00');
INSERT INTO `sys_job_log` VALUES (42423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:36:05');
INSERT INTO `sys_job_log` VALUES (42424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:36:10');
INSERT INTO `sys_job_log` VALUES (42425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:36:15');
INSERT INTO `sys_job_log` VALUES (42426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:36:15');
INSERT INTO `sys_job_log` VALUES (42427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:36:20');
INSERT INTO `sys_job_log` VALUES (42428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:36:25');
INSERT INTO `sys_job_log` VALUES (42429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:36:30');
INSERT INTO `sys_job_log` VALUES (42430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:36:30');
INSERT INTO `sys_job_log` VALUES (42431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:36:35');
INSERT INTO `sys_job_log` VALUES (42432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:36:40');
INSERT INTO `sys_job_log` VALUES (42433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:36:45');
INSERT INTO `sys_job_log` VALUES (42434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:36:45');
INSERT INTO `sys_job_log` VALUES (42435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:36:50');
INSERT INTO `sys_job_log` VALUES (42436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:36:55');
INSERT INTO `sys_job_log` VALUES (42437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 16:37:00');
INSERT INTO `sys_job_log` VALUES (42438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 16:37:00');
INSERT INTO `sys_job_log` VALUES (42439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:37:05');
INSERT INTO `sys_job_log` VALUES (42440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:37:10');
INSERT INTO `sys_job_log` VALUES (42441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:37:15');
INSERT INTO `sys_job_log` VALUES (42442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:37:15');
INSERT INTO `sys_job_log` VALUES (42443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:37:20');
INSERT INTO `sys_job_log` VALUES (42444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:37:25');
INSERT INTO `sys_job_log` VALUES (42445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:37:30');
INSERT INTO `sys_job_log` VALUES (42446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:37:30');
INSERT INTO `sys_job_log` VALUES (42447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:37:35');
INSERT INTO `sys_job_log` VALUES (42448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:37:40');
INSERT INTO `sys_job_log` VALUES (42449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:37:45');
INSERT INTO `sys_job_log` VALUES (42450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:37:45');
INSERT INTO `sys_job_log` VALUES (42451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:37:50');
INSERT INTO `sys_job_log` VALUES (42452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:37:55');
INSERT INTO `sys_job_log` VALUES (42453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:38:00');
INSERT INTO `sys_job_log` VALUES (42454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:38:00');
INSERT INTO `sys_job_log` VALUES (42455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:38:05');
INSERT INTO `sys_job_log` VALUES (42456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:38:10');
INSERT INTO `sys_job_log` VALUES (42457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:38:15');
INSERT INTO `sys_job_log` VALUES (42458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:38:15');
INSERT INTO `sys_job_log` VALUES (42459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:38:20');
INSERT INTO `sys_job_log` VALUES (42460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:38:25');
INSERT INTO `sys_job_log` VALUES (42461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:38:30');
INSERT INTO `sys_job_log` VALUES (42462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:38:30');
INSERT INTO `sys_job_log` VALUES (42463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:38:35');
INSERT INTO `sys_job_log` VALUES (42464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:38:40');
INSERT INTO `sys_job_log` VALUES (42465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:38:45');
INSERT INTO `sys_job_log` VALUES (42466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 16:38:45');
INSERT INTO `sys_job_log` VALUES (42467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:38:50');
INSERT INTO `sys_job_log` VALUES (42468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:38:55');
INSERT INTO `sys_job_log` VALUES (42469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:39:00');
INSERT INTO `sys_job_log` VALUES (42470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 16:39:00');
INSERT INTO `sys_job_log` VALUES (42471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:39:05');
INSERT INTO `sys_job_log` VALUES (42472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:39:10');
INSERT INTO `sys_job_log` VALUES (42473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:39:15');
INSERT INTO `sys_job_log` VALUES (42474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:39:15');
INSERT INTO `sys_job_log` VALUES (42475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:39:20');
INSERT INTO `sys_job_log` VALUES (42476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:39:25');
INSERT INTO `sys_job_log` VALUES (42477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:39:30');
INSERT INTO `sys_job_log` VALUES (42478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:39:30');
INSERT INTO `sys_job_log` VALUES (42479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:39:35');
INSERT INTO `sys_job_log` VALUES (42480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:39:40');
INSERT INTO `sys_job_log` VALUES (42481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:39:45');
INSERT INTO `sys_job_log` VALUES (42482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:39:45');
INSERT INTO `sys_job_log` VALUES (42483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:39:50');
INSERT INTO `sys_job_log` VALUES (42484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:39:55');
INSERT INTO `sys_job_log` VALUES (42485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:40:00');
INSERT INTO `sys_job_log` VALUES (42486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:40:00');
INSERT INTO `sys_job_log` VALUES (42487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:40:05');
INSERT INTO `sys_job_log` VALUES (42488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:40:10');
INSERT INTO `sys_job_log` VALUES (42489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:40:15');
INSERT INTO `sys_job_log` VALUES (42490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:40:15');
INSERT INTO `sys_job_log` VALUES (42491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:40:20');
INSERT INTO `sys_job_log` VALUES (42492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:40:25');
INSERT INTO `sys_job_log` VALUES (42493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:40:30');
INSERT INTO `sys_job_log` VALUES (42494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:40:30');
INSERT INTO `sys_job_log` VALUES (42495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:40:35');
INSERT INTO `sys_job_log` VALUES (42496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:40:40');
INSERT INTO `sys_job_log` VALUES (42497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:40:45');
INSERT INTO `sys_job_log` VALUES (42498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:40:45');
INSERT INTO `sys_job_log` VALUES (42499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:40:50');
INSERT INTO `sys_job_log` VALUES (42500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:40:55');
INSERT INTO `sys_job_log` VALUES (42501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 16:41:00');
INSERT INTO `sys_job_log` VALUES (42502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 16:41:00');
INSERT INTO `sys_job_log` VALUES (42503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:41:05');
INSERT INTO `sys_job_log` VALUES (42504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:41:10');
INSERT INTO `sys_job_log` VALUES (42505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:41:15');
INSERT INTO `sys_job_log` VALUES (42506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:41:15');
INSERT INTO `sys_job_log` VALUES (42507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:41:20');
INSERT INTO `sys_job_log` VALUES (42508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:41:25');
INSERT INTO `sys_job_log` VALUES (42509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:41:30');
INSERT INTO `sys_job_log` VALUES (42510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:41:30');
INSERT INTO `sys_job_log` VALUES (42511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:41:35');
INSERT INTO `sys_job_log` VALUES (42512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:41:40');
INSERT INTO `sys_job_log` VALUES (42513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:41:45');
INSERT INTO `sys_job_log` VALUES (42514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:41:45');
INSERT INTO `sys_job_log` VALUES (42515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:41:50');
INSERT INTO `sys_job_log` VALUES (42516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:41:55');
INSERT INTO `sys_job_log` VALUES (42517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:42:00');
INSERT INTO `sys_job_log` VALUES (42518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:42:00');
INSERT INTO `sys_job_log` VALUES (42519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:42:05');
INSERT INTO `sys_job_log` VALUES (42520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:42:10');
INSERT INTO `sys_job_log` VALUES (42521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:42:15');
INSERT INTO `sys_job_log` VALUES (42522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:42:15');
INSERT INTO `sys_job_log` VALUES (42523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:42:20');
INSERT INTO `sys_job_log` VALUES (42524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:42:25');
INSERT INTO `sys_job_log` VALUES (42525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:42:30');
INSERT INTO `sys_job_log` VALUES (42526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:42:30');
INSERT INTO `sys_job_log` VALUES (42527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:42:35');
INSERT INTO `sys_job_log` VALUES (42528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:42:40');
INSERT INTO `sys_job_log` VALUES (42529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:42:45');
INSERT INTO `sys_job_log` VALUES (42530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:42:45');
INSERT INTO `sys_job_log` VALUES (42531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:42:50');
INSERT INTO `sys_job_log` VALUES (42532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:42:55');
INSERT INTO `sys_job_log` VALUES (42533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:00');
INSERT INTO `sys_job_log` VALUES (42534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:00');
INSERT INTO `sys_job_log` VALUES (42535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:43:05');
INSERT INTO `sys_job_log` VALUES (42536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:43:10');
INSERT INTO `sys_job_log` VALUES (42537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 16:43:15');
INSERT INTO `sys_job_log` VALUES (42538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:43:15');
INSERT INTO `sys_job_log` VALUES (42539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:43:20');
INSERT INTO `sys_job_log` VALUES (42540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:43:25');
INSERT INTO `sys_job_log` VALUES (42541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:30');
INSERT INTO `sys_job_log` VALUES (42542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:30');
INSERT INTO `sys_job_log` VALUES (42543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:43:35');
INSERT INTO `sys_job_log` VALUES (42544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:40');
INSERT INTO `sys_job_log` VALUES (42545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:45');
INSERT INTO `sys_job_log` VALUES (42546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:45');
INSERT INTO `sys_job_log` VALUES (42547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:43:50');
INSERT INTO `sys_job_log` VALUES (42548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:43:55');
INSERT INTO `sys_job_log` VALUES (42549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:44:00');
INSERT INTO `sys_job_log` VALUES (42550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:44:00');
INSERT INTO `sys_job_log` VALUES (42551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:44:05');
INSERT INTO `sys_job_log` VALUES (42552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:44:10');
INSERT INTO `sys_job_log` VALUES (42553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:44:15');
INSERT INTO `sys_job_log` VALUES (42554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:44:15');
INSERT INTO `sys_job_log` VALUES (42555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:44:20');
INSERT INTO `sys_job_log` VALUES (42556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:44:25');
INSERT INTO `sys_job_log` VALUES (42557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:44:30');
INSERT INTO `sys_job_log` VALUES (42558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:44:30');
INSERT INTO `sys_job_log` VALUES (42559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:44:35');
INSERT INTO `sys_job_log` VALUES (42560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:44:40');
INSERT INTO `sys_job_log` VALUES (42561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:44:45');
INSERT INTO `sys_job_log` VALUES (42562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:44:45');
INSERT INTO `sys_job_log` VALUES (42563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:44:50');
INSERT INTO `sys_job_log` VALUES (42564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 16:44:55');
INSERT INTO `sys_job_log` VALUES (42565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:45:00');
INSERT INTO `sys_job_log` VALUES (42566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:45:00');
INSERT INTO `sys_job_log` VALUES (42567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:45:05');
INSERT INTO `sys_job_log` VALUES (42568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:45:10');
INSERT INTO `sys_job_log` VALUES (42569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:45:15');
INSERT INTO `sys_job_log` VALUES (42570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:45:15');
INSERT INTO `sys_job_log` VALUES (42571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:45:20');
INSERT INTO `sys_job_log` VALUES (42572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:45:25');
INSERT INTO `sys_job_log` VALUES (42573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:45:30');
INSERT INTO `sys_job_log` VALUES (42574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:45:30');
INSERT INTO `sys_job_log` VALUES (42575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:45:35');
INSERT INTO `sys_job_log` VALUES (42576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:45:40');
INSERT INTO `sys_job_log` VALUES (42577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:45:45');
INSERT INTO `sys_job_log` VALUES (42578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:45:45');
INSERT INTO `sys_job_log` VALUES (42579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:45:50');
INSERT INTO `sys_job_log` VALUES (42580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:45:55');
INSERT INTO `sys_job_log` VALUES (42581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:46:00');
INSERT INTO `sys_job_log` VALUES (42582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:46:00');
INSERT INTO `sys_job_log` VALUES (42583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:46:05');
INSERT INTO `sys_job_log` VALUES (42584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:46:10');
INSERT INTO `sys_job_log` VALUES (42585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:46:15');
INSERT INTO `sys_job_log` VALUES (42586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:46:15');
INSERT INTO `sys_job_log` VALUES (42587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:46:20');
INSERT INTO `sys_job_log` VALUES (42588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:46:25');
INSERT INTO `sys_job_log` VALUES (42589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:46:30');
INSERT INTO `sys_job_log` VALUES (42590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:46:30');
INSERT INTO `sys_job_log` VALUES (42591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:46:35');
INSERT INTO `sys_job_log` VALUES (42592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:46:40');
INSERT INTO `sys_job_log` VALUES (42593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:46:45');
INSERT INTO `sys_job_log` VALUES (42594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:46:45');
INSERT INTO `sys_job_log` VALUES (42595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:46:50');
INSERT INTO `sys_job_log` VALUES (42596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:46:55');
INSERT INTO `sys_job_log` VALUES (42597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:47:00');
INSERT INTO `sys_job_log` VALUES (42598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:47:00');
INSERT INTO `sys_job_log` VALUES (42599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:47:05');
INSERT INTO `sys_job_log` VALUES (42600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:47:10');
INSERT INTO `sys_job_log` VALUES (42601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:47:15');
INSERT INTO `sys_job_log` VALUES (42602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:47:15');
INSERT INTO `sys_job_log` VALUES (42603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:47:20');
INSERT INTO `sys_job_log` VALUES (42604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:47:25');
INSERT INTO `sys_job_log` VALUES (42605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:47:30');
INSERT INTO `sys_job_log` VALUES (42606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:47:30');
INSERT INTO `sys_job_log` VALUES (42607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:47:35');
INSERT INTO `sys_job_log` VALUES (42608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:47:40');
INSERT INTO `sys_job_log` VALUES (42609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:47:45');
INSERT INTO `sys_job_log` VALUES (42610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:47:45');
INSERT INTO `sys_job_log` VALUES (42611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:47:50');
INSERT INTO `sys_job_log` VALUES (42612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:47:55');
INSERT INTO `sys_job_log` VALUES (42613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:48:00');
INSERT INTO `sys_job_log` VALUES (42614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:48:00');
INSERT INTO `sys_job_log` VALUES (42615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:48:05');
INSERT INTO `sys_job_log` VALUES (42616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:48:10');
INSERT INTO `sys_job_log` VALUES (42617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:48:15');
INSERT INTO `sys_job_log` VALUES (42618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:48:15');
INSERT INTO `sys_job_log` VALUES (42619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:48:20');
INSERT INTO `sys_job_log` VALUES (42620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:48:25');
INSERT INTO `sys_job_log` VALUES (42621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:48:30');
INSERT INTO `sys_job_log` VALUES (42622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:48:30');
INSERT INTO `sys_job_log` VALUES (42623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:48:35');
INSERT INTO `sys_job_log` VALUES (42624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:48:40');
INSERT INTO `sys_job_log` VALUES (42625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:48:45');
INSERT INTO `sys_job_log` VALUES (42626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:48:45');
INSERT INTO `sys_job_log` VALUES (42627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:48:50');
INSERT INTO `sys_job_log` VALUES (42628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:48:55');
INSERT INTO `sys_job_log` VALUES (42629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:49:00');
INSERT INTO `sys_job_log` VALUES (42630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:00');
INSERT INTO `sys_job_log` VALUES (42631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:05');
INSERT INTO `sys_job_log` VALUES (42632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:49:10');
INSERT INTO `sys_job_log` VALUES (42633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:15');
INSERT INTO `sys_job_log` VALUES (42634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:15');
INSERT INTO `sys_job_log` VALUES (42635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 16:49:20');
INSERT INTO `sys_job_log` VALUES (42636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:49:25');
INSERT INTO `sys_job_log` VALUES (42637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:30');
INSERT INTO `sys_job_log` VALUES (42638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:30');
INSERT INTO `sys_job_log` VALUES (42639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:35');
INSERT INTO `sys_job_log` VALUES (42640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:49:40');
INSERT INTO `sys_job_log` VALUES (42641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:49:45');
INSERT INTO `sys_job_log` VALUES (42642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:49:45');
INSERT INTO `sys_job_log` VALUES (42643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:49:50');
INSERT INTO `sys_job_log` VALUES (42644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:49:55');
INSERT INTO `sys_job_log` VALUES (42645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 16:50:00');
INSERT INTO `sys_job_log` VALUES (42646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:50:00');
INSERT INTO `sys_job_log` VALUES (42647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:50:05');
INSERT INTO `sys_job_log` VALUES (42648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:50:10');
INSERT INTO `sys_job_log` VALUES (42649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:50:15');
INSERT INTO `sys_job_log` VALUES (42650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:50:15');
INSERT INTO `sys_job_log` VALUES (42651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:50:20');
INSERT INTO `sys_job_log` VALUES (42652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:50:25');
INSERT INTO `sys_job_log` VALUES (42653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:50:30');
INSERT INTO `sys_job_log` VALUES (42654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:50:30');
INSERT INTO `sys_job_log` VALUES (42655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:50:35');
INSERT INTO `sys_job_log` VALUES (42656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:50:40');
INSERT INTO `sys_job_log` VALUES (42657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:50:45');
INSERT INTO `sys_job_log` VALUES (42658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 16:50:45');
INSERT INTO `sys_job_log` VALUES (42659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:50:50');
INSERT INTO `sys_job_log` VALUES (42660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:50:55');
INSERT INTO `sys_job_log` VALUES (42661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:51:00');
INSERT INTO `sys_job_log` VALUES (42662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:51:00');
INSERT INTO `sys_job_log` VALUES (42663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:51:05');
INSERT INTO `sys_job_log` VALUES (42664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:51:10');
INSERT INTO `sys_job_log` VALUES (42665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:51:15');
INSERT INTO `sys_job_log` VALUES (42666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:51:15');
INSERT INTO `sys_job_log` VALUES (42667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:51:20');
INSERT INTO `sys_job_log` VALUES (42668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:51:25');
INSERT INTO `sys_job_log` VALUES (42669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:51:30');
INSERT INTO `sys_job_log` VALUES (42670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:51:30');
INSERT INTO `sys_job_log` VALUES (42671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:51:35');
INSERT INTO `sys_job_log` VALUES (42672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:51:40');
INSERT INTO `sys_job_log` VALUES (42673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:51:45');
INSERT INTO `sys_job_log` VALUES (42674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:51:45');
INSERT INTO `sys_job_log` VALUES (42675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:51:50');
INSERT INTO `sys_job_log` VALUES (42676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:51:55');
INSERT INTO `sys_job_log` VALUES (42677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 16:52:00');
INSERT INTO `sys_job_log` VALUES (42678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:52:00');
INSERT INTO `sys_job_log` VALUES (42679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2216毫秒', '0', '', '2025-01-01 16:52:07');
INSERT INTO `sys_job_log` VALUES (42680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:52:10');
INSERT INTO `sys_job_log` VALUES (42681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:52:15');
INSERT INTO `sys_job_log` VALUES (42682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:52:15');
INSERT INTO `sys_job_log` VALUES (42683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:52:20');
INSERT INTO `sys_job_log` VALUES (42684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:52:25');
INSERT INTO `sys_job_log` VALUES (42685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:52:30');
INSERT INTO `sys_job_log` VALUES (42686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:52:30');
INSERT INTO `sys_job_log` VALUES (42687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:52:35');
INSERT INTO `sys_job_log` VALUES (42688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:52:40');
INSERT INTO `sys_job_log` VALUES (42689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:52:45');
INSERT INTO `sys_job_log` VALUES (42690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:52:45');
INSERT INTO `sys_job_log` VALUES (42691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-01 16:52:50');
INSERT INTO `sys_job_log` VALUES (42692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:52:55');
INSERT INTO `sys_job_log` VALUES (42693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-01 16:53:00');
INSERT INTO `sys_job_log` VALUES (42694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 16:53:00');
INSERT INTO `sys_job_log` VALUES (42695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:53:05');
INSERT INTO `sys_job_log` VALUES (42696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:53:10');
INSERT INTO `sys_job_log` VALUES (42697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:53:15');
INSERT INTO `sys_job_log` VALUES (42698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:53:15');
INSERT INTO `sys_job_log` VALUES (42699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:53:20');
INSERT INTO `sys_job_log` VALUES (42700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 16:53:25');
INSERT INTO `sys_job_log` VALUES (42701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:53:30');
INSERT INTO `sys_job_log` VALUES (42702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:53:30');
INSERT INTO `sys_job_log` VALUES (42703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:53:35');
INSERT INTO `sys_job_log` VALUES (42704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:53:40');
INSERT INTO `sys_job_log` VALUES (42705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 16:53:45');
INSERT INTO `sys_job_log` VALUES (42706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:53:45');
INSERT INTO `sys_job_log` VALUES (42707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:53:50');
INSERT INTO `sys_job_log` VALUES (42708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:53:55');
INSERT INTO `sys_job_log` VALUES (42709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:54:00');
INSERT INTO `sys_job_log` VALUES (42710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:54:00');
INSERT INTO `sys_job_log` VALUES (42711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:54:05');
INSERT INTO `sys_job_log` VALUES (42712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:54:10');
INSERT INTO `sys_job_log` VALUES (42713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:54:15');
INSERT INTO `sys_job_log` VALUES (42714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:54:15');
INSERT INTO `sys_job_log` VALUES (42715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:54:20');
INSERT INTO `sys_job_log` VALUES (42716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:54:25');
INSERT INTO `sys_job_log` VALUES (42717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:54:30');
INSERT INTO `sys_job_log` VALUES (42718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:54:30');
INSERT INTO `sys_job_log` VALUES (42719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:54:35');
INSERT INTO `sys_job_log` VALUES (42720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:54:40');
INSERT INTO `sys_job_log` VALUES (42721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:54:45');
INSERT INTO `sys_job_log` VALUES (42722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:54:45');
INSERT INTO `sys_job_log` VALUES (42723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:54:50');
INSERT INTO `sys_job_log` VALUES (42724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:54:55');
INSERT INTO `sys_job_log` VALUES (42725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:55:00');
INSERT INTO `sys_job_log` VALUES (42726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:55:00');
INSERT INTO `sys_job_log` VALUES (42727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:55:05');
INSERT INTO `sys_job_log` VALUES (42728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:55:10');
INSERT INTO `sys_job_log` VALUES (42729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 16:55:15');
INSERT INTO `sys_job_log` VALUES (42730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:55:15');
INSERT INTO `sys_job_log` VALUES (42731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:55:20');
INSERT INTO `sys_job_log` VALUES (42732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:55:25');
INSERT INTO `sys_job_log` VALUES (42733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-01 16:55:30');
INSERT INTO `sys_job_log` VALUES (42734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：74毫秒', '0', '', '2025-01-01 16:55:30');
INSERT INTO `sys_job_log` VALUES (42735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:55:35');
INSERT INTO `sys_job_log` VALUES (42736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:55:40');
INSERT INTO `sys_job_log` VALUES (42737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：107毫秒', '0', '', '2025-01-01 16:55:45');
INSERT INTO `sys_job_log` VALUES (42738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：107毫秒', '0', '', '2025-01-01 16:55:45');
INSERT INTO `sys_job_log` VALUES (42739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:55:50');
INSERT INTO `sys_job_log` VALUES (42740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 16:55:55');
INSERT INTO `sys_job_log` VALUES (42741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:00');
INSERT INTO `sys_job_log` VALUES (42742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:00');
INSERT INTO `sys_job_log` VALUES (42743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:05');
INSERT INTO `sys_job_log` VALUES (42744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 16:56:10');
INSERT INTO `sys_job_log` VALUES (42745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:56:15');
INSERT INTO `sys_job_log` VALUES (42746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:56:15');
INSERT INTO `sys_job_log` VALUES (42747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:56:20');
INSERT INTO `sys_job_log` VALUES (42748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:25');
INSERT INTO `sys_job_log` VALUES (42749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:30');
INSERT INTO `sys_job_log` VALUES (42750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:30');
INSERT INTO `sys_job_log` VALUES (42751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:56:35');
INSERT INTO `sys_job_log` VALUES (42752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:56:40');
INSERT INTO `sys_job_log` VALUES (42753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 16:56:45');
INSERT INTO `sys_job_log` VALUES (42754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 16:56:45');
INSERT INTO `sys_job_log` VALUES (42755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:56:50');
INSERT INTO `sys_job_log` VALUES (42756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:56:55');
INSERT INTO `sys_job_log` VALUES (42757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 16:57:00');
INSERT INTO `sys_job_log` VALUES (42758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:57:00');
INSERT INTO `sys_job_log` VALUES (42759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:57:05');
INSERT INTO `sys_job_log` VALUES (42760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:57:10');
INSERT INTO `sys_job_log` VALUES (42761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 16:57:15');
INSERT INTO `sys_job_log` VALUES (42762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 16:57:15');
INSERT INTO `sys_job_log` VALUES (42763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:57:20');
INSERT INTO `sys_job_log` VALUES (42764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:57:25');
INSERT INTO `sys_job_log` VALUES (42765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:57:30');
INSERT INTO `sys_job_log` VALUES (42766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:57:30');
INSERT INTO `sys_job_log` VALUES (42767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 16:57:35');
INSERT INTO `sys_job_log` VALUES (42768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:57:40');
INSERT INTO `sys_job_log` VALUES (42769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:57:45');
INSERT INTO `sys_job_log` VALUES (42770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:57:45');
INSERT INTO `sys_job_log` VALUES (42771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 16:57:50');
INSERT INTO `sys_job_log` VALUES (42772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:57:55');
INSERT INTO `sys_job_log` VALUES (42773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 16:58:00');
INSERT INTO `sys_job_log` VALUES (42774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 16:58:00');
INSERT INTO `sys_job_log` VALUES (42775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:58:05');
INSERT INTO `sys_job_log` VALUES (42776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-01 16:58:10');
INSERT INTO `sys_job_log` VALUES (42777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:58:15');
INSERT INTO `sys_job_log` VALUES (42778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:58:15');
INSERT INTO `sys_job_log` VALUES (42779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:58:20');
INSERT INTO `sys_job_log` VALUES (42780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:58:25');
INSERT INTO `sys_job_log` VALUES (42781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 16:58:30');
INSERT INTO `sys_job_log` VALUES (42782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:58:30');
INSERT INTO `sys_job_log` VALUES (42783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:58:35');
INSERT INTO `sys_job_log` VALUES (42784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:58:40');
INSERT INTO `sys_job_log` VALUES (42785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:58:45');
INSERT INTO `sys_job_log` VALUES (42786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:58:45');
INSERT INTO `sys_job_log` VALUES (42787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:58:50');
INSERT INTO `sys_job_log` VALUES (42788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:58:55');
INSERT INTO `sys_job_log` VALUES (42789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 16:59:00');
INSERT INTO `sys_job_log` VALUES (42790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 16:59:00');
INSERT INTO `sys_job_log` VALUES (42791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:59:05');
INSERT INTO `sys_job_log` VALUES (42792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 16:59:10');
INSERT INTO `sys_job_log` VALUES (42793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 16:59:15');
INSERT INTO `sys_job_log` VALUES (42794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 16:59:15');
INSERT INTO `sys_job_log` VALUES (42795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:59:20');
INSERT INTO `sys_job_log` VALUES (42796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:59:25');
INSERT INTO `sys_job_log` VALUES (42797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 16:59:30');
INSERT INTO `sys_job_log` VALUES (42798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 16:59:30');
INSERT INTO `sys_job_log` VALUES (42799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 16:59:35');
INSERT INTO `sys_job_log` VALUES (42800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:59:40');
INSERT INTO `sys_job_log` VALUES (42801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：82毫秒', '0', '', '2025-01-01 16:59:45');
INSERT INTO `sys_job_log` VALUES (42802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2025-01-01 16:59:45');
INSERT INTO `sys_job_log` VALUES (42803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 16:59:50');
INSERT INTO `sys_job_log` VALUES (42804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 16:59:55');
INSERT INTO `sys_job_log` VALUES (42805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:00');
INSERT INTO `sys_job_log` VALUES (42806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:00');
INSERT INTO `sys_job_log` VALUES (42807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:05');
INSERT INTO `sys_job_log` VALUES (42808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 17:00:10');
INSERT INTO `sys_job_log` VALUES (42809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:00:15');
INSERT INTO `sys_job_log` VALUES (42810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:00:15');
INSERT INTO `sys_job_log` VALUES (42811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:20');
INSERT INTO `sys_job_log` VALUES (42812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:25');
INSERT INTO `sys_job_log` VALUES (42813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:00:30');
INSERT INTO `sys_job_log` VALUES (42814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:30');
INSERT INTO `sys_job_log` VALUES (42815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:00:35');
INSERT INTO `sys_job_log` VALUES (42816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:40');
INSERT INTO `sys_job_log` VALUES (42817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:45');
INSERT INTO `sys_job_log` VALUES (42818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:45');
INSERT INTO `sys_job_log` VALUES (42819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:00:50');
INSERT INTO `sys_job_log` VALUES (42820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:00:55');
INSERT INTO `sys_job_log` VALUES (42821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:01:00');
INSERT INTO `sys_job_log` VALUES (42822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:01:00');
INSERT INTO `sys_job_log` VALUES (42823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:01:05');
INSERT INTO `sys_job_log` VALUES (42824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:01:10');
INSERT INTO `sys_job_log` VALUES (42825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:01:15');
INSERT INTO `sys_job_log` VALUES (42826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:01:15');
INSERT INTO `sys_job_log` VALUES (42827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:01:20');
INSERT INTO `sys_job_log` VALUES (42828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:01:25');
INSERT INTO `sys_job_log` VALUES (42829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:01:30');
INSERT INTO `sys_job_log` VALUES (42830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:01:30');
INSERT INTO `sys_job_log` VALUES (42831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:01:35');
INSERT INTO `sys_job_log` VALUES (42832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:01:40');
INSERT INTO `sys_job_log` VALUES (42833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:01:45');
INSERT INTO `sys_job_log` VALUES (42834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:01:45');
INSERT INTO `sys_job_log` VALUES (42835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:01:50');
INSERT INTO `sys_job_log` VALUES (42836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:01:55');
INSERT INTO `sys_job_log` VALUES (42837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 17:02:00');
INSERT INTO `sys_job_log` VALUES (42838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:02:00');
INSERT INTO `sys_job_log` VALUES (42839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:02:05');
INSERT INTO `sys_job_log` VALUES (42840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:02:10');
INSERT INTO `sys_job_log` VALUES (42841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:02:15');
INSERT INTO `sys_job_log` VALUES (42842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:02:15');
INSERT INTO `sys_job_log` VALUES (42843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:02:20');
INSERT INTO `sys_job_log` VALUES (42844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:02:25');
INSERT INTO `sys_job_log` VALUES (42845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:02:30');
INSERT INTO `sys_job_log` VALUES (42846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:02:30');
INSERT INTO `sys_job_log` VALUES (42847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 17:02:35');
INSERT INTO `sys_job_log` VALUES (42848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:02:40');
INSERT INTO `sys_job_log` VALUES (42849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:02:45');
INSERT INTO `sys_job_log` VALUES (42850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:02:45');
INSERT INTO `sys_job_log` VALUES (42851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:02:50');
INSERT INTO `sys_job_log` VALUES (42852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:02:55');
INSERT INTO `sys_job_log` VALUES (42853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:03:00');
INSERT INTO `sys_job_log` VALUES (42854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:03:00');
INSERT INTO `sys_job_log` VALUES (42855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:03:05');
INSERT INTO `sys_job_log` VALUES (42856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:03:10');
INSERT INTO `sys_job_log` VALUES (42857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:03:15');
INSERT INTO `sys_job_log` VALUES (42858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:03:15');
INSERT INTO `sys_job_log` VALUES (42859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:03:20');
INSERT INTO `sys_job_log` VALUES (42860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:03:25');
INSERT INTO `sys_job_log` VALUES (42861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:03:30');
INSERT INTO `sys_job_log` VALUES (42862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:03:30');
INSERT INTO `sys_job_log` VALUES (42863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:03:35');
INSERT INTO `sys_job_log` VALUES (42864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:03:40');
INSERT INTO `sys_job_log` VALUES (42865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:03:45');
INSERT INTO `sys_job_log` VALUES (42866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:03:45');
INSERT INTO `sys_job_log` VALUES (42867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:03:50');
INSERT INTO `sys_job_log` VALUES (42868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:03:55');
INSERT INTO `sys_job_log` VALUES (42869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:04:00');
INSERT INTO `sys_job_log` VALUES (42870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:04:00');
INSERT INTO `sys_job_log` VALUES (42871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:04:05');
INSERT INTO `sys_job_log` VALUES (42872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:04:10');
INSERT INTO `sys_job_log` VALUES (42873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:04:15');
INSERT INTO `sys_job_log` VALUES (42874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:04:15');
INSERT INTO `sys_job_log` VALUES (42875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:04:20');
INSERT INTO `sys_job_log` VALUES (42876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:04:25');
INSERT INTO `sys_job_log` VALUES (42877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:04:30');
INSERT INTO `sys_job_log` VALUES (42878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:04:30');
INSERT INTO `sys_job_log` VALUES (42879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:04:35');
INSERT INTO `sys_job_log` VALUES (42880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:04:40');
INSERT INTO `sys_job_log` VALUES (42881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:04:45');
INSERT INTO `sys_job_log` VALUES (42882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:04:45');
INSERT INTO `sys_job_log` VALUES (42883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 17:04:50');
INSERT INTO `sys_job_log` VALUES (42884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:04:55');
INSERT INTO `sys_job_log` VALUES (42885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:05:00');
INSERT INTO `sys_job_log` VALUES (42886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:05:00');
INSERT INTO `sys_job_log` VALUES (42887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 17:05:05');
INSERT INTO `sys_job_log` VALUES (42888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:05:10');
INSERT INTO `sys_job_log` VALUES (42889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:05:15');
INSERT INTO `sys_job_log` VALUES (42890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:05:15');
INSERT INTO `sys_job_log` VALUES (42891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:05:20');
INSERT INTO `sys_job_log` VALUES (42892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:05:25');
INSERT INTO `sys_job_log` VALUES (42893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:05:30');
INSERT INTO `sys_job_log` VALUES (42894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:05:30');
INSERT INTO `sys_job_log` VALUES (42895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:05:35');
INSERT INTO `sys_job_log` VALUES (42896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:05:40');
INSERT INTO `sys_job_log` VALUES (42897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:05:45');
INSERT INTO `sys_job_log` VALUES (42898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:05:45');
INSERT INTO `sys_job_log` VALUES (42899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:05:50');
INSERT INTO `sys_job_log` VALUES (42900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:05:55');
INSERT INTO `sys_job_log` VALUES (42901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-01 17:06:00');
INSERT INTO `sys_job_log` VALUES (42902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2025-01-01 17:06:00');
INSERT INTO `sys_job_log` VALUES (42903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:06:05');
INSERT INTO `sys_job_log` VALUES (42904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:06:10');
INSERT INTO `sys_job_log` VALUES (42905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:06:15');
INSERT INTO `sys_job_log` VALUES (42906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:06:15');
INSERT INTO `sys_job_log` VALUES (42907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:06:20');
INSERT INTO `sys_job_log` VALUES (42908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:06:25');
INSERT INTO `sys_job_log` VALUES (42909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:06:30');
INSERT INTO `sys_job_log` VALUES (42910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:06:30');
INSERT INTO `sys_job_log` VALUES (42911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:06:35');
INSERT INTO `sys_job_log` VALUES (42912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:06:40');
INSERT INTO `sys_job_log` VALUES (42913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:06:45');
INSERT INTO `sys_job_log` VALUES (42914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:06:45');
INSERT INTO `sys_job_log` VALUES (42915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:06:50');
INSERT INTO `sys_job_log` VALUES (42916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:06:55');
INSERT INTO `sys_job_log` VALUES (42917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:07:00');
INSERT INTO `sys_job_log` VALUES (42918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:07:00');
INSERT INTO `sys_job_log` VALUES (42919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:07:05');
INSERT INTO `sys_job_log` VALUES (42920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:07:10');
INSERT INTO `sys_job_log` VALUES (42921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:07:15');
INSERT INTO `sys_job_log` VALUES (42922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:07:15');
INSERT INTO `sys_job_log` VALUES (42923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:07:20');
INSERT INTO `sys_job_log` VALUES (42924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 17:07:25');
INSERT INTO `sys_job_log` VALUES (42925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 17:07:30');
INSERT INTO `sys_job_log` VALUES (42926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 17:07:30');
INSERT INTO `sys_job_log` VALUES (42927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-01 17:07:35');
INSERT INTO `sys_job_log` VALUES (42928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:07:40');
INSERT INTO `sys_job_log` VALUES (42929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:07:45');
INSERT INTO `sys_job_log` VALUES (42930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:07:45');
INSERT INTO `sys_job_log` VALUES (42931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:07:50');
INSERT INTO `sys_job_log` VALUES (42932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:07:55');
INSERT INTO `sys_job_log` VALUES (42933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:00');
INSERT INTO `sys_job_log` VALUES (42934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:00');
INSERT INTO `sys_job_log` VALUES (42935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:08:05');
INSERT INTO `sys_job_log` VALUES (42936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:10');
INSERT INTO `sys_job_log` VALUES (42937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:08:15');
INSERT INTO `sys_job_log` VALUES (42938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:08:15');
INSERT INTO `sys_job_log` VALUES (42939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:08:20');
INSERT INTO `sys_job_log` VALUES (42940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:08:25');
INSERT INTO `sys_job_log` VALUES (42941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:30');
INSERT INTO `sys_job_log` VALUES (42942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:30');
INSERT INTO `sys_job_log` VALUES (42943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:35');
INSERT INTO `sys_job_log` VALUES (42944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:08:40');
INSERT INTO `sys_job_log` VALUES (42945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:45');
INSERT INTO `sys_job_log` VALUES (42946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:08:45');
INSERT INTO `sys_job_log` VALUES (42947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:08:50');
INSERT INTO `sys_job_log` VALUES (42948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:08:55');
INSERT INTO `sys_job_log` VALUES (42949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:09:00');
INSERT INTO `sys_job_log` VALUES (42950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:09:00');
INSERT INTO `sys_job_log` VALUES (42951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:09:05');
INSERT INTO `sys_job_log` VALUES (42952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:09:10');
INSERT INTO `sys_job_log` VALUES (42953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:09:15');
INSERT INTO `sys_job_log` VALUES (42954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:09:15');
INSERT INTO `sys_job_log` VALUES (42955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:09:20');
INSERT INTO `sys_job_log` VALUES (42956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:09:25');
INSERT INTO `sys_job_log` VALUES (42957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:09:30');
INSERT INTO `sys_job_log` VALUES (42958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:09:30');
INSERT INTO `sys_job_log` VALUES (42959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:09:35');
INSERT INTO `sys_job_log` VALUES (42960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:09:40');
INSERT INTO `sys_job_log` VALUES (42961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:09:45');
INSERT INTO `sys_job_log` VALUES (42962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:09:45');
INSERT INTO `sys_job_log` VALUES (42963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:09:50');
INSERT INTO `sys_job_log` VALUES (42964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:09:55');
INSERT INTO `sys_job_log` VALUES (42965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:10:00');
INSERT INTO `sys_job_log` VALUES (42966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:10:00');
INSERT INTO `sys_job_log` VALUES (42967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:10:05');
INSERT INTO `sys_job_log` VALUES (42968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:10:10');
INSERT INTO `sys_job_log` VALUES (42969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:10:15');
INSERT INTO `sys_job_log` VALUES (42970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:10:15');
INSERT INTO `sys_job_log` VALUES (42971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:10:20');
INSERT INTO `sys_job_log` VALUES (42972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:10:25');
INSERT INTO `sys_job_log` VALUES (42973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:10:30');
INSERT INTO `sys_job_log` VALUES (42974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:10:30');
INSERT INTO `sys_job_log` VALUES (42975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:10:35');
INSERT INTO `sys_job_log` VALUES (42976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:10:40');
INSERT INTO `sys_job_log` VALUES (42977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:10:45');
INSERT INTO `sys_job_log` VALUES (42978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:10:45');
INSERT INTO `sys_job_log` VALUES (42979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:10:50');
INSERT INTO `sys_job_log` VALUES (42980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:10:55');
INSERT INTO `sys_job_log` VALUES (42981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:11:00');
INSERT INTO `sys_job_log` VALUES (42982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:11:00');
INSERT INTO `sys_job_log` VALUES (42983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:05');
INSERT INTO `sys_job_log` VALUES (42984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:11:10');
INSERT INTO `sys_job_log` VALUES (42985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:15');
INSERT INTO `sys_job_log` VALUES (42986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:15');
INSERT INTO `sys_job_log` VALUES (42987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:11:20');
INSERT INTO `sys_job_log` VALUES (42988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:25');
INSERT INTO `sys_job_log` VALUES (42989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:30');
INSERT INTO `sys_job_log` VALUES (42990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:30');
INSERT INTO `sys_job_log` VALUES (42991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:11:35');
INSERT INTO `sys_job_log` VALUES (42992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:11:40');
INSERT INTO `sys_job_log` VALUES (42993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:11:45');
INSERT INTO `sys_job_log` VALUES (42994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:11:45');
INSERT INTO `sys_job_log` VALUES (42995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:11:50');
INSERT INTO `sys_job_log` VALUES (42996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:11:55');
INSERT INTO `sys_job_log` VALUES (42997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:12:00');
INSERT INTO `sys_job_log` VALUES (42998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:12:00');
INSERT INTO `sys_job_log` VALUES (42999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:12:05');
INSERT INTO `sys_job_log` VALUES (43000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:12:10');
INSERT INTO `sys_job_log` VALUES (43001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:12:15');
INSERT INTO `sys_job_log` VALUES (43002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:12:15');
INSERT INTO `sys_job_log` VALUES (43003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:12:20');
INSERT INTO `sys_job_log` VALUES (43004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:12:25');
INSERT INTO `sys_job_log` VALUES (43005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:12:30');
INSERT INTO `sys_job_log` VALUES (43006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:12:30');
INSERT INTO `sys_job_log` VALUES (43007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:12:35');
INSERT INTO `sys_job_log` VALUES (43008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:12:40');
INSERT INTO `sys_job_log` VALUES (43009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 17:12:45');
INSERT INTO `sys_job_log` VALUES (43010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 17:12:45');
INSERT INTO `sys_job_log` VALUES (43011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 17:12:50');
INSERT INTO `sys_job_log` VALUES (43012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:12:55');
INSERT INTO `sys_job_log` VALUES (43013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 17:13:00');
INSERT INTO `sys_job_log` VALUES (43014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 17:13:00');
INSERT INTO `sys_job_log` VALUES (43015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:13:05');
INSERT INTO `sys_job_log` VALUES (43016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:13:10');
INSERT INTO `sys_job_log` VALUES (43017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:13:15');
INSERT INTO `sys_job_log` VALUES (43018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:13:15');
INSERT INTO `sys_job_log` VALUES (43019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:13:20');
INSERT INTO `sys_job_log` VALUES (43020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:13:25');
INSERT INTO `sys_job_log` VALUES (43021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:13:30');
INSERT INTO `sys_job_log` VALUES (43022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:13:30');
INSERT INTO `sys_job_log` VALUES (43023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:13:35');
INSERT INTO `sys_job_log` VALUES (43024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：137毫秒', '0', '', '2025-01-01 17:13:40');
INSERT INTO `sys_job_log` VALUES (43025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:13:45');
INSERT INTO `sys_job_log` VALUES (43026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:13:45');
INSERT INTO `sys_job_log` VALUES (43027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:13:50');
INSERT INTO `sys_job_log` VALUES (43028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:13:55');
INSERT INTO `sys_job_log` VALUES (43029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:14:00');
INSERT INTO `sys_job_log` VALUES (43030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:14:00');
INSERT INTO `sys_job_log` VALUES (43031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:14:05');
INSERT INTO `sys_job_log` VALUES (43032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:14:10');
INSERT INTO `sys_job_log` VALUES (43033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-01 17:14:15');
INSERT INTO `sys_job_log` VALUES (43034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：106毫秒', '0', '', '2025-01-01 17:14:15');
INSERT INTO `sys_job_log` VALUES (43035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:14:20');
INSERT INTO `sys_job_log` VALUES (43036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:14:25');
INSERT INTO `sys_job_log` VALUES (43037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 17:14:30');
INSERT INTO `sys_job_log` VALUES (43038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:14:30');
INSERT INTO `sys_job_log` VALUES (43039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:14:35');
INSERT INTO `sys_job_log` VALUES (43040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:14:40');
INSERT INTO `sys_job_log` VALUES (43041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:14:45');
INSERT INTO `sys_job_log` VALUES (43042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:14:45');
INSERT INTO `sys_job_log` VALUES (43043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:14:50');
INSERT INTO `sys_job_log` VALUES (43044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:14:55');
INSERT INTO `sys_job_log` VALUES (43045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:15:00');
INSERT INTO `sys_job_log` VALUES (43046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:15:00');
INSERT INTO `sys_job_log` VALUES (43047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:15:05');
INSERT INTO `sys_job_log` VALUES (43048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:15:10');
INSERT INTO `sys_job_log` VALUES (43049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:15:15');
INSERT INTO `sys_job_log` VALUES (43050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:15:15');
INSERT INTO `sys_job_log` VALUES (43051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:15:20');
INSERT INTO `sys_job_log` VALUES (43052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:15:25');
INSERT INTO `sys_job_log` VALUES (43053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:15:30');
INSERT INTO `sys_job_log` VALUES (43054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:15:30');
INSERT INTO `sys_job_log` VALUES (43055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:15:35');
INSERT INTO `sys_job_log` VALUES (43056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:15:40');
INSERT INTO `sys_job_log` VALUES (43057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:15:45');
INSERT INTO `sys_job_log` VALUES (43058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:15:45');
INSERT INTO `sys_job_log` VALUES (43059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:15:50');
INSERT INTO `sys_job_log` VALUES (43060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:15:55');
INSERT INTO `sys_job_log` VALUES (43061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:16:00');
INSERT INTO `sys_job_log` VALUES (43062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:16:00');
INSERT INTO `sys_job_log` VALUES (43063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:16:05');
INSERT INTO `sys_job_log` VALUES (43064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:16:10');
INSERT INTO `sys_job_log` VALUES (43065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:16:15');
INSERT INTO `sys_job_log` VALUES (43066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:16:15');
INSERT INTO `sys_job_log` VALUES (43067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:16:20');
INSERT INTO `sys_job_log` VALUES (43068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:16:25');
INSERT INTO `sys_job_log` VALUES (43069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:16:30');
INSERT INTO `sys_job_log` VALUES (43070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:16:30');
INSERT INTO `sys_job_log` VALUES (43071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:16:35');
INSERT INTO `sys_job_log` VALUES (43072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:16:40');
INSERT INTO `sys_job_log` VALUES (43073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:16:45');
INSERT INTO `sys_job_log` VALUES (43074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:16:45');
INSERT INTO `sys_job_log` VALUES (43075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:16:50');
INSERT INTO `sys_job_log` VALUES (43076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:16:55');
INSERT INTO `sys_job_log` VALUES (43077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:17:00');
INSERT INTO `sys_job_log` VALUES (43078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:17:00');
INSERT INTO `sys_job_log` VALUES (43079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:17:05');
INSERT INTO `sys_job_log` VALUES (43080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:17:10');
INSERT INTO `sys_job_log` VALUES (43081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:17:15');
INSERT INTO `sys_job_log` VALUES (43082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:17:15');
INSERT INTO `sys_job_log` VALUES (43083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:17:20');
INSERT INTO `sys_job_log` VALUES (43084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:17:25');
INSERT INTO `sys_job_log` VALUES (43085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:17:30');
INSERT INTO `sys_job_log` VALUES (43086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:17:30');
INSERT INTO `sys_job_log` VALUES (43087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 17:17:35');
INSERT INTO `sys_job_log` VALUES (43088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:17:40');
INSERT INTO `sys_job_log` VALUES (43089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:17:45');
INSERT INTO `sys_job_log` VALUES (43090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:17:45');
INSERT INTO `sys_job_log` VALUES (43091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:17:50');
INSERT INTO `sys_job_log` VALUES (43092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:17:55');
INSERT INTO `sys_job_log` VALUES (43093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:18:00');
INSERT INTO `sys_job_log` VALUES (43094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:18:00');
INSERT INTO `sys_job_log` VALUES (43095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:18:05');
INSERT INTO `sys_job_log` VALUES (43096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:18:10');
INSERT INTO `sys_job_log` VALUES (43097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:18:15');
INSERT INTO `sys_job_log` VALUES (43098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 17:18:15');
INSERT INTO `sys_job_log` VALUES (43099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:18:20');
INSERT INTO `sys_job_log` VALUES (43100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:18:25');
INSERT INTO `sys_job_log` VALUES (43101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:18:30');
INSERT INTO `sys_job_log` VALUES (43102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:18:30');
INSERT INTO `sys_job_log` VALUES (43103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:18:35');
INSERT INTO `sys_job_log` VALUES (43104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:18:40');
INSERT INTO `sys_job_log` VALUES (43105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:18:45');
INSERT INTO `sys_job_log` VALUES (43106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:18:45');
INSERT INTO `sys_job_log` VALUES (43107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:18:50');
INSERT INTO `sys_job_log` VALUES (43108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:18:55');
INSERT INTO `sys_job_log` VALUES (43109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:19:00');
INSERT INTO `sys_job_log` VALUES (43110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:19:00');
INSERT INTO `sys_job_log` VALUES (43111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2025-01-01 17:19:05');
INSERT INTO `sys_job_log` VALUES (43112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:19:10');
INSERT INTO `sys_job_log` VALUES (43113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2025-01-01 17:19:15');
INSERT INTO `sys_job_log` VALUES (43114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：298毫秒', '0', '', '2025-01-01 17:19:15');
INSERT INTO `sys_job_log` VALUES (43115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:19:20');
INSERT INTO `sys_job_log` VALUES (43116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:19:25');
INSERT INTO `sys_job_log` VALUES (43117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:19:30');
INSERT INTO `sys_job_log` VALUES (43118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:19:30');
INSERT INTO `sys_job_log` VALUES (43119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:19:35');
INSERT INTO `sys_job_log` VALUES (43120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:19:40');
INSERT INTO `sys_job_log` VALUES (43121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:19:45');
INSERT INTO `sys_job_log` VALUES (43122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:19:45');
INSERT INTO `sys_job_log` VALUES (43123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:19:50');
INSERT INTO `sys_job_log` VALUES (43124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:19:55');
INSERT INTO `sys_job_log` VALUES (43125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:20:00');
INSERT INTO `sys_job_log` VALUES (43126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:20:00');
INSERT INTO `sys_job_log` VALUES (43127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:20:05');
INSERT INTO `sys_job_log` VALUES (43128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:20:10');
INSERT INTO `sys_job_log` VALUES (43129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:20:15');
INSERT INTO `sys_job_log` VALUES (43130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:20:15');
INSERT INTO `sys_job_log` VALUES (43131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:20:20');
INSERT INTO `sys_job_log` VALUES (43132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:20:25');
INSERT INTO `sys_job_log` VALUES (43133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:20:30');
INSERT INTO `sys_job_log` VALUES (43134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:20:30');
INSERT INTO `sys_job_log` VALUES (43135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:20:35');
INSERT INTO `sys_job_log` VALUES (43136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:20:40');
INSERT INTO `sys_job_log` VALUES (43137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:20:45');
INSERT INTO `sys_job_log` VALUES (43138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:20:45');
INSERT INTO `sys_job_log` VALUES (43139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:20:50');
INSERT INTO `sys_job_log` VALUES (43140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:20:55');
INSERT INTO `sys_job_log` VALUES (43141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:00');
INSERT INTO `sys_job_log` VALUES (43142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:00');
INSERT INTO `sys_job_log` VALUES (43143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:21:05');
INSERT INTO `sys_job_log` VALUES (43144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:10');
INSERT INTO `sys_job_log` VALUES (43145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:21:15');
INSERT INTO `sys_job_log` VALUES (43146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:21:15');
INSERT INTO `sys_job_log` VALUES (43147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:21:20');
INSERT INTO `sys_job_log` VALUES (43148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:21:25');
INSERT INTO `sys_job_log` VALUES (43149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:21:30');
INSERT INTO `sys_job_log` VALUES (43150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:21:30');
INSERT INTO `sys_job_log` VALUES (43151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:35');
INSERT INTO `sys_job_log` VALUES (43152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:40');
INSERT INTO `sys_job_log` VALUES (43153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:45');
INSERT INTO `sys_job_log` VALUES (43154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:21:45');
INSERT INTO `sys_job_log` VALUES (43155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:21:50');
INSERT INTO `sys_job_log` VALUES (43156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:21:55');
INSERT INTO `sys_job_log` VALUES (43157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:22:00');
INSERT INTO `sys_job_log` VALUES (43158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:22:00');
INSERT INTO `sys_job_log` VALUES (43159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:22:05');
INSERT INTO `sys_job_log` VALUES (43160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:22:10');
INSERT INTO `sys_job_log` VALUES (43161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:22:15');
INSERT INTO `sys_job_log` VALUES (43162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:22:15');
INSERT INTO `sys_job_log` VALUES (43163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:22:20');
INSERT INTO `sys_job_log` VALUES (43164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:22:25');
INSERT INTO `sys_job_log` VALUES (43165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:22:30');
INSERT INTO `sys_job_log` VALUES (43166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:22:30');
INSERT INTO `sys_job_log` VALUES (43167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:22:35');
INSERT INTO `sys_job_log` VALUES (43168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:22:40');
INSERT INTO `sys_job_log` VALUES (43169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:22:45');
INSERT INTO `sys_job_log` VALUES (43170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:22:45');
INSERT INTO `sys_job_log` VALUES (43171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:22:50');
INSERT INTO `sys_job_log` VALUES (43172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:22:55');
INSERT INTO `sys_job_log` VALUES (43173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:23:00');
INSERT INTO `sys_job_log` VALUES (43174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:23:00');
INSERT INTO `sys_job_log` VALUES (43175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:23:05');
INSERT INTO `sys_job_log` VALUES (43176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:23:10');
INSERT INTO `sys_job_log` VALUES (43177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:23:15');
INSERT INTO `sys_job_log` VALUES (43178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:23:15');
INSERT INTO `sys_job_log` VALUES (43179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:23:20');
INSERT INTO `sys_job_log` VALUES (43180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:23:25');
INSERT INTO `sys_job_log` VALUES (43181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:23:30');
INSERT INTO `sys_job_log` VALUES (43182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:23:30');
INSERT INTO `sys_job_log` VALUES (43183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:23:35');
INSERT INTO `sys_job_log` VALUES (43184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:23:40');
INSERT INTO `sys_job_log` VALUES (43185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:23:45');
INSERT INTO `sys_job_log` VALUES (43186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:23:45');
INSERT INTO `sys_job_log` VALUES (43187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:23:50');
INSERT INTO `sys_job_log` VALUES (43188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:23:55');
INSERT INTO `sys_job_log` VALUES (43189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:24:00');
INSERT INTO `sys_job_log` VALUES (43190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 17:24:00');
INSERT INTO `sys_job_log` VALUES (43191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:24:05');
INSERT INTO `sys_job_log` VALUES (43192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：125毫秒', '0', '', '2025-01-01 17:24:10');
INSERT INTO `sys_job_log` VALUES (43193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:24:15');
INSERT INTO `sys_job_log` VALUES (43194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:24:15');
INSERT INTO `sys_job_log` VALUES (43195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:24:20');
INSERT INTO `sys_job_log` VALUES (43196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:24:25');
INSERT INTO `sys_job_log` VALUES (43197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:24:30');
INSERT INTO `sys_job_log` VALUES (43198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:24:30');
INSERT INTO `sys_job_log` VALUES (43199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:24:35');
INSERT INTO `sys_job_log` VALUES (43200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:24:40');
INSERT INTO `sys_job_log` VALUES (43201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:24:45');
INSERT INTO `sys_job_log` VALUES (43202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:24:45');
INSERT INTO `sys_job_log` VALUES (43203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:24:50');
INSERT INTO `sys_job_log` VALUES (43204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:24:55');
INSERT INTO `sys_job_log` VALUES (43205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:25:00');
INSERT INTO `sys_job_log` VALUES (43206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:25:00');
INSERT INTO `sys_job_log` VALUES (43207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:25:05');
INSERT INTO `sys_job_log` VALUES (43208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:25:10');
INSERT INTO `sys_job_log` VALUES (43209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:25:15');
INSERT INTO `sys_job_log` VALUES (43210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:25:15');
INSERT INTO `sys_job_log` VALUES (43211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:25:20');
INSERT INTO `sys_job_log` VALUES (43212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:25:25');
INSERT INTO `sys_job_log` VALUES (43213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:25:30');
INSERT INTO `sys_job_log` VALUES (43214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:25:30');
INSERT INTO `sys_job_log` VALUES (43215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:25:35');
INSERT INTO `sys_job_log` VALUES (43216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:25:40');
INSERT INTO `sys_job_log` VALUES (43217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:25:45');
INSERT INTO `sys_job_log` VALUES (43218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:25:45');
INSERT INTO `sys_job_log` VALUES (43219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 17:25:50');
INSERT INTO `sys_job_log` VALUES (43220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2025-01-01 17:25:55');
INSERT INTO `sys_job_log` VALUES (43221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:26:00');
INSERT INTO `sys_job_log` VALUES (43222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:26:00');
INSERT INTO `sys_job_log` VALUES (43223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:26:05');
INSERT INTO `sys_job_log` VALUES (43224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 17:26:10');
INSERT INTO `sys_job_log` VALUES (43225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:26:15');
INSERT INTO `sys_job_log` VALUES (43226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:26:15');
INSERT INTO `sys_job_log` VALUES (43227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:26:20');
INSERT INTO `sys_job_log` VALUES (43228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:26:25');
INSERT INTO `sys_job_log` VALUES (43229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:26:30');
INSERT INTO `sys_job_log` VALUES (43230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:26:30');
INSERT INTO `sys_job_log` VALUES (43231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:26:35');
INSERT INTO `sys_job_log` VALUES (43232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:26:40');
INSERT INTO `sys_job_log` VALUES (43233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:26:45');
INSERT INTO `sys_job_log` VALUES (43234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:26:45');
INSERT INTO `sys_job_log` VALUES (43235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:26:50');
INSERT INTO `sys_job_log` VALUES (43236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:26:55');
INSERT INTO `sys_job_log` VALUES (43237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:27:00');
INSERT INTO `sys_job_log` VALUES (43238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:27:00');
INSERT INTO `sys_job_log` VALUES (43239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:27:05');
INSERT INTO `sys_job_log` VALUES (43240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:27:10');
INSERT INTO `sys_job_log` VALUES (43241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:27:15');
INSERT INTO `sys_job_log` VALUES (43242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:27:15');
INSERT INTO `sys_job_log` VALUES (43243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:27:20');
INSERT INTO `sys_job_log` VALUES (43244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:27:25');
INSERT INTO `sys_job_log` VALUES (43245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:27:30');
INSERT INTO `sys_job_log` VALUES (43246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:27:30');
INSERT INTO `sys_job_log` VALUES (43247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:27:35');
INSERT INTO `sys_job_log` VALUES (43248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:27:40');
INSERT INTO `sys_job_log` VALUES (43249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:27:45');
INSERT INTO `sys_job_log` VALUES (43250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:27:45');
INSERT INTO `sys_job_log` VALUES (43251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:27:50');
INSERT INTO `sys_job_log` VALUES (43252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 17:27:55');
INSERT INTO `sys_job_log` VALUES (43253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:28:00');
INSERT INTO `sys_job_log` VALUES (43254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:28:00');
INSERT INTO `sys_job_log` VALUES (43255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:28:05');
INSERT INTO `sys_job_log` VALUES (43256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:28:10');
INSERT INTO `sys_job_log` VALUES (43257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:28:15');
INSERT INTO `sys_job_log` VALUES (43258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:28:15');
INSERT INTO `sys_job_log` VALUES (43259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:28:20');
INSERT INTO `sys_job_log` VALUES (43260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:28:25');
INSERT INTO `sys_job_log` VALUES (43261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:28:30');
INSERT INTO `sys_job_log` VALUES (43262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:28:30');
INSERT INTO `sys_job_log` VALUES (43263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:28:35');
INSERT INTO `sys_job_log` VALUES (43264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:28:40');
INSERT INTO `sys_job_log` VALUES (43265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:28:45');
INSERT INTO `sys_job_log` VALUES (43266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:28:45');
INSERT INTO `sys_job_log` VALUES (43267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:28:50');
INSERT INTO `sys_job_log` VALUES (43268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:28:55');
INSERT INTO `sys_job_log` VALUES (43269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:00');
INSERT INTO `sys_job_log` VALUES (43270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:00');
INSERT INTO `sys_job_log` VALUES (43271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:29:05');
INSERT INTO `sys_job_log` VALUES (43272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:29:10');
INSERT INTO `sys_job_log` VALUES (43273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:15');
INSERT INTO `sys_job_log` VALUES (43274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:15');
INSERT INTO `sys_job_log` VALUES (43275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:29:20');
INSERT INTO `sys_job_log` VALUES (43276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:29:25');
INSERT INTO `sys_job_log` VALUES (43277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:30');
INSERT INTO `sys_job_log` VALUES (43278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:30');
INSERT INTO `sys_job_log` VALUES (43279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:29:35');
INSERT INTO `sys_job_log` VALUES (43280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:29:40');
INSERT INTO `sys_job_log` VALUES (43281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 17:29:45');
INSERT INTO `sys_job_log` VALUES (43282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 17:29:45');
INSERT INTO `sys_job_log` VALUES (43283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:29:50');
INSERT INTO `sys_job_log` VALUES (43284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:29:55');
INSERT INTO `sys_job_log` VALUES (43285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:30:00');
INSERT INTO `sys_job_log` VALUES (43286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:30:00');
INSERT INTO `sys_job_log` VALUES (43287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:30:05');
INSERT INTO `sys_job_log` VALUES (43288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:30:10');
INSERT INTO `sys_job_log` VALUES (43289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:30:15');
INSERT INTO `sys_job_log` VALUES (43290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:30:15');
INSERT INTO `sys_job_log` VALUES (43291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:30:20');
INSERT INTO `sys_job_log` VALUES (43292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:30:25');
INSERT INTO `sys_job_log` VALUES (43293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:30:30');
INSERT INTO `sys_job_log` VALUES (43294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:30:30');
INSERT INTO `sys_job_log` VALUES (43295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:30:35');
INSERT INTO `sys_job_log` VALUES (43296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:30:40');
INSERT INTO `sys_job_log` VALUES (43297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 17:30:45');
INSERT INTO `sys_job_log` VALUES (43298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 17:30:45');
INSERT INTO `sys_job_log` VALUES (43299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:30:50');
INSERT INTO `sys_job_log` VALUES (43300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:30:55');
INSERT INTO `sys_job_log` VALUES (43301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:00');
INSERT INTO `sys_job_log` VALUES (43302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:00');
INSERT INTO `sys_job_log` VALUES (43303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:31:05');
INSERT INTO `sys_job_log` VALUES (43304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:10');
INSERT INTO `sys_job_log` VALUES (43305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:15');
INSERT INTO `sys_job_log` VALUES (43306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:15');
INSERT INTO `sys_job_log` VALUES (43307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:20');
INSERT INTO `sys_job_log` VALUES (43308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:31:25');
INSERT INTO `sys_job_log` VALUES (43309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:30');
INSERT INTO `sys_job_log` VALUES (43310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:30');
INSERT INTO `sys_job_log` VALUES (43311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:31:35');
INSERT INTO `sys_job_log` VALUES (43312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:31:40');
INSERT INTO `sys_job_log` VALUES (43313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:31:45');
INSERT INTO `sys_job_log` VALUES (43314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 17:31:45');
INSERT INTO `sys_job_log` VALUES (43315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:31:50');
INSERT INTO `sys_job_log` VALUES (43316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:31:55');
INSERT INTO `sys_job_log` VALUES (43317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:32:00');
INSERT INTO `sys_job_log` VALUES (43318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:32:00');
INSERT INTO `sys_job_log` VALUES (43319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:32:05');
INSERT INTO `sys_job_log` VALUES (43320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:32:10');
INSERT INTO `sys_job_log` VALUES (43321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:32:15');
INSERT INTO `sys_job_log` VALUES (43322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 17:32:15');
INSERT INTO `sys_job_log` VALUES (43323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:32:20');
INSERT INTO `sys_job_log` VALUES (43324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-01 17:32:25');
INSERT INTO `sys_job_log` VALUES (43325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2025-01-01 17:32:30');
INSERT INTO `sys_job_log` VALUES (43326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 17:32:30');
INSERT INTO `sys_job_log` VALUES (43327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 17:32:35');
INSERT INTO `sys_job_log` VALUES (43328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:32:40');
INSERT INTO `sys_job_log` VALUES (43329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:32:45');
INSERT INTO `sys_job_log` VALUES (43330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:32:45');
INSERT INTO `sys_job_log` VALUES (43331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:32:50');
INSERT INTO `sys_job_log` VALUES (43332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:32:55');
INSERT INTO `sys_job_log` VALUES (43333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:33:00');
INSERT INTO `sys_job_log` VALUES (43334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:33:00');
INSERT INTO `sys_job_log` VALUES (43335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:33:05');
INSERT INTO `sys_job_log` VALUES (43336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:33:10');
INSERT INTO `sys_job_log` VALUES (43337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:33:15');
INSERT INTO `sys_job_log` VALUES (43338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:33:15');
INSERT INTO `sys_job_log` VALUES (43339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:33:20');
INSERT INTO `sys_job_log` VALUES (43340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:33:25');
INSERT INTO `sys_job_log` VALUES (43341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:33:30');
INSERT INTO `sys_job_log` VALUES (43342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:33:30');
INSERT INTO `sys_job_log` VALUES (43343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:33:35');
INSERT INTO `sys_job_log` VALUES (43344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:33:40');
INSERT INTO `sys_job_log` VALUES (43345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 17:33:45');
INSERT INTO `sys_job_log` VALUES (43346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:33:45');
INSERT INTO `sys_job_log` VALUES (43347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:33:50');
INSERT INTO `sys_job_log` VALUES (43348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:33:55');
INSERT INTO `sys_job_log` VALUES (43349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:34:00');
INSERT INTO `sys_job_log` VALUES (43350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:34:00');
INSERT INTO `sys_job_log` VALUES (43351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:34:05');
INSERT INTO `sys_job_log` VALUES (43352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:34:10');
INSERT INTO `sys_job_log` VALUES (43353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:34:15');
INSERT INTO `sys_job_log` VALUES (43354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:34:15');
INSERT INTO `sys_job_log` VALUES (43355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 17:34:20');
INSERT INTO `sys_job_log` VALUES (43356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:34:25');
INSERT INTO `sys_job_log` VALUES (43357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:34:30');
INSERT INTO `sys_job_log` VALUES (43358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:34:30');
INSERT INTO `sys_job_log` VALUES (43359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:34:35');
INSERT INTO `sys_job_log` VALUES (43360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:34:40');
INSERT INTO `sys_job_log` VALUES (43361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:34:45');
INSERT INTO `sys_job_log` VALUES (43362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:34:45');
INSERT INTO `sys_job_log` VALUES (43363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:34:50');
INSERT INTO `sys_job_log` VALUES (43364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:34:55');
INSERT INTO `sys_job_log` VALUES (43365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 17:35:00');
INSERT INTO `sys_job_log` VALUES (43366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 17:35:00');
INSERT INTO `sys_job_log` VALUES (43367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:35:05');
INSERT INTO `sys_job_log` VALUES (43368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:35:10');
INSERT INTO `sys_job_log` VALUES (43369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:35:15');
INSERT INTO `sys_job_log` VALUES (43370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:35:15');
INSERT INTO `sys_job_log` VALUES (43371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:35:20');
INSERT INTO `sys_job_log` VALUES (43372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2025-01-01 17:35:25');
INSERT INTO `sys_job_log` VALUES (43373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:35:30');
INSERT INTO `sys_job_log` VALUES (43374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:35:30');
INSERT INTO `sys_job_log` VALUES (43375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:35:35');
INSERT INTO `sys_job_log` VALUES (43376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 17:35:40');
INSERT INTO `sys_job_log` VALUES (43377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:35:45');
INSERT INTO `sys_job_log` VALUES (43378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:35:45');
INSERT INTO `sys_job_log` VALUES (43379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:35:50');
INSERT INTO `sys_job_log` VALUES (43380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:35:55');
INSERT INTO `sys_job_log` VALUES (43381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:36:00');
INSERT INTO `sys_job_log` VALUES (43382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:36:00');
INSERT INTO `sys_job_log` VALUES (43383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:36:05');
INSERT INTO `sys_job_log` VALUES (43384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:36:10');
INSERT INTO `sys_job_log` VALUES (43385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:36:15');
INSERT INTO `sys_job_log` VALUES (43386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:36:15');
INSERT INTO `sys_job_log` VALUES (43387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:36:20');
INSERT INTO `sys_job_log` VALUES (43388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:36:25');
INSERT INTO `sys_job_log` VALUES (43389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:36:30');
INSERT INTO `sys_job_log` VALUES (43390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:36:30');
INSERT INTO `sys_job_log` VALUES (43391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:36:35');
INSERT INTO `sys_job_log` VALUES (43392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:36:40');
INSERT INTO `sys_job_log` VALUES (43393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:36:45');
INSERT INTO `sys_job_log` VALUES (43394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:36:45');
INSERT INTO `sys_job_log` VALUES (43395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:36:50');
INSERT INTO `sys_job_log` VALUES (43396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:36:55');
INSERT INTO `sys_job_log` VALUES (43397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:37:00');
INSERT INTO `sys_job_log` VALUES (43398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 17:37:00');
INSERT INTO `sys_job_log` VALUES (43399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:37:05');
INSERT INTO `sys_job_log` VALUES (43400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:10');
INSERT INTO `sys_job_log` VALUES (43401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:15');
INSERT INTO `sys_job_log` VALUES (43402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:15');
INSERT INTO `sys_job_log` VALUES (43403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:37:20');
INSERT INTO `sys_job_log` VALUES (43404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:37:25');
INSERT INTO `sys_job_log` VALUES (43405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:30');
INSERT INTO `sys_job_log` VALUES (43406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:30');
INSERT INTO `sys_job_log` VALUES (43407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:37:35');
INSERT INTO `sys_job_log` VALUES (43408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:37:40');
INSERT INTO `sys_job_log` VALUES (43409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:45');
INSERT INTO `sys_job_log` VALUES (43410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:37:45');
INSERT INTO `sys_job_log` VALUES (43411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:37:50');
INSERT INTO `sys_job_log` VALUES (43412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:37:55');
INSERT INTO `sys_job_log` VALUES (43413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:38:00');
INSERT INTO `sys_job_log` VALUES (43414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:38:00');
INSERT INTO `sys_job_log` VALUES (43415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 17:38:05');
INSERT INTO `sys_job_log` VALUES (43416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:38:10');
INSERT INTO `sys_job_log` VALUES (43417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:38:15');
INSERT INTO `sys_job_log` VALUES (43418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:38:15');
INSERT INTO `sys_job_log` VALUES (43419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:38:20');
INSERT INTO `sys_job_log` VALUES (43420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:38:25');
INSERT INTO `sys_job_log` VALUES (43421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:38:30');
INSERT INTO `sys_job_log` VALUES (43422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:38:30');
INSERT INTO `sys_job_log` VALUES (43423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:38:35');
INSERT INTO `sys_job_log` VALUES (43424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:38:40');
INSERT INTO `sys_job_log` VALUES (43425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:38:45');
INSERT INTO `sys_job_log` VALUES (43426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:38:45');
INSERT INTO `sys_job_log` VALUES (43427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:38:50');
INSERT INTO `sys_job_log` VALUES (43428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:38:55');
INSERT INTO `sys_job_log` VALUES (43429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:00');
INSERT INTO `sys_job_log` VALUES (43430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:39:00');
INSERT INTO `sys_job_log` VALUES (43431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:39:05');
INSERT INTO `sys_job_log` VALUES (43432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:39:10');
INSERT INTO `sys_job_log` VALUES (43433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:15');
INSERT INTO `sys_job_log` VALUES (43434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:15');
INSERT INTO `sys_job_log` VALUES (43435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:20');
INSERT INTO `sys_job_log` VALUES (43436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:39:25');
INSERT INTO `sys_job_log` VALUES (43437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:30');
INSERT INTO `sys_job_log` VALUES (43438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:30');
INSERT INTO `sys_job_log` VALUES (43439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:35');
INSERT INTO `sys_job_log` VALUES (43440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:40');
INSERT INTO `sys_job_log` VALUES (43441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:39:45');
INSERT INTO `sys_job_log` VALUES (43442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:39:45');
INSERT INTO `sys_job_log` VALUES (43443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:39:50');
INSERT INTO `sys_job_log` VALUES (43444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:39:55');
INSERT INTO `sys_job_log` VALUES (43445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:40:00');
INSERT INTO `sys_job_log` VALUES (43446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:40:00');
INSERT INTO `sys_job_log` VALUES (43447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:40:05');
INSERT INTO `sys_job_log` VALUES (43448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:40:10');
INSERT INTO `sys_job_log` VALUES (43449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:40:15');
INSERT INTO `sys_job_log` VALUES (43450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:40:15');
INSERT INTO `sys_job_log` VALUES (43451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:40:20');
INSERT INTO `sys_job_log` VALUES (43452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:40:25');
INSERT INTO `sys_job_log` VALUES (43453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:40:30');
INSERT INTO `sys_job_log` VALUES (43454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:40:30');
INSERT INTO `sys_job_log` VALUES (43455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:40:35');
INSERT INTO `sys_job_log` VALUES (43456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:40:40');
INSERT INTO `sys_job_log` VALUES (43457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:40:45');
INSERT INTO `sys_job_log` VALUES (43458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:40:45');
INSERT INTO `sys_job_log` VALUES (43459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:40:50');
INSERT INTO `sys_job_log` VALUES (43460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:40:55');
INSERT INTO `sys_job_log` VALUES (43461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:41:00');
INSERT INTO `sys_job_log` VALUES (43462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:41:00');
INSERT INTO `sys_job_log` VALUES (43463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:41:05');
INSERT INTO `sys_job_log` VALUES (43464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:41:10');
INSERT INTO `sys_job_log` VALUES (43465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:41:15');
INSERT INTO `sys_job_log` VALUES (43466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:41:15');
INSERT INTO `sys_job_log` VALUES (43467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:41:20');
INSERT INTO `sys_job_log` VALUES (43468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:41:25');
INSERT INTO `sys_job_log` VALUES (43469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:41:30');
INSERT INTO `sys_job_log` VALUES (43470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:41:30');
INSERT INTO `sys_job_log` VALUES (43471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:41:35');
INSERT INTO `sys_job_log` VALUES (43472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:41:40');
INSERT INTO `sys_job_log` VALUES (43473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:41:45');
INSERT INTO `sys_job_log` VALUES (43474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:41:45');
INSERT INTO `sys_job_log` VALUES (43475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:41:50');
INSERT INTO `sys_job_log` VALUES (43476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:41:55');
INSERT INTO `sys_job_log` VALUES (43477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:42:00');
INSERT INTO `sys_job_log` VALUES (43478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:42:00');
INSERT INTO `sys_job_log` VALUES (43479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:42:05');
INSERT INTO `sys_job_log` VALUES (43480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:42:10');
INSERT INTO `sys_job_log` VALUES (43481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 17:42:15');
INSERT INTO `sys_job_log` VALUES (43482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 17:42:15');
INSERT INTO `sys_job_log` VALUES (43483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:42:20');
INSERT INTO `sys_job_log` VALUES (43484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:42:25');
INSERT INTO `sys_job_log` VALUES (43485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:42:30');
INSERT INTO `sys_job_log` VALUES (43486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:42:30');
INSERT INTO `sys_job_log` VALUES (43487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:42:35');
INSERT INTO `sys_job_log` VALUES (43488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:42:40');
INSERT INTO `sys_job_log` VALUES (43489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:42:45');
INSERT INTO `sys_job_log` VALUES (43490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:42:45');
INSERT INTO `sys_job_log` VALUES (43491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:42:50');
INSERT INTO `sys_job_log` VALUES (43492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:42:55');
INSERT INTO `sys_job_log` VALUES (43493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:00');
INSERT INTO `sys_job_log` VALUES (43494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:00');
INSERT INTO `sys_job_log` VALUES (43495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:43:05');
INSERT INTO `sys_job_log` VALUES (43496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:43:10');
INSERT INTO `sys_job_log` VALUES (43497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:15');
INSERT INTO `sys_job_log` VALUES (43498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:15');
INSERT INTO `sys_job_log` VALUES (43499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:20');
INSERT INTO `sys_job_log` VALUES (43500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:43:25');
INSERT INTO `sys_job_log` VALUES (43501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:30');
INSERT INTO `sys_job_log` VALUES (43502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:43:30');
INSERT INTO `sys_job_log` VALUES (43503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:43:35');
INSERT INTO `sys_job_log` VALUES (43504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:43:40');
INSERT INTO `sys_job_log` VALUES (43505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:43:45');
INSERT INTO `sys_job_log` VALUES (43506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:43:45');
INSERT INTO `sys_job_log` VALUES (43507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:43:50');
INSERT INTO `sys_job_log` VALUES (43508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:43:55');
INSERT INTO `sys_job_log` VALUES (43509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 17:44:00');
INSERT INTO `sys_job_log` VALUES (43510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:44:00');
INSERT INTO `sys_job_log` VALUES (43511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:44:05');
INSERT INTO `sys_job_log` VALUES (43512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:44:10');
INSERT INTO `sys_job_log` VALUES (43513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 17:44:15');
INSERT INTO `sys_job_log` VALUES (43514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 17:44:15');
INSERT INTO `sys_job_log` VALUES (43515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:44:20');
INSERT INTO `sys_job_log` VALUES (43516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:44:25');
INSERT INTO `sys_job_log` VALUES (43517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:44:30');
INSERT INTO `sys_job_log` VALUES (43518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:44:30');
INSERT INTO `sys_job_log` VALUES (43519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:44:35');
INSERT INTO `sys_job_log` VALUES (43520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:44:40');
INSERT INTO `sys_job_log` VALUES (43521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:44:45');
INSERT INTO `sys_job_log` VALUES (43522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 17:44:45');
INSERT INTO `sys_job_log` VALUES (43523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:44:50');
INSERT INTO `sys_job_log` VALUES (43524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:44:55');
INSERT INTO `sys_job_log` VALUES (43525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:00');
INSERT INTO `sys_job_log` VALUES (43526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:00');
INSERT INTO `sys_job_log` VALUES (43527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:45:05');
INSERT INTO `sys_job_log` VALUES (43528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:45:10');
INSERT INTO `sys_job_log` VALUES (43529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:15');
INSERT INTO `sys_job_log` VALUES (43530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:15');
INSERT INTO `sys_job_log` VALUES (43531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:45:20');
INSERT INTO `sys_job_log` VALUES (43532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:45:25');
INSERT INTO `sys_job_log` VALUES (43533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:45:30');
INSERT INTO `sys_job_log` VALUES (43534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:45:30');
INSERT INTO `sys_job_log` VALUES (43535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:45:35');
INSERT INTO `sys_job_log` VALUES (43536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:45:40');
INSERT INTO `sys_job_log` VALUES (43537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:45');
INSERT INTO `sys_job_log` VALUES (43538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:45');
INSERT INTO `sys_job_log` VALUES (43539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:45:50');
INSERT INTO `sys_job_log` VALUES (43540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:45:55');
INSERT INTO `sys_job_log` VALUES (43541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:46:00');
INSERT INTO `sys_job_log` VALUES (43542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:46:00');
INSERT INTO `sys_job_log` VALUES (43543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:46:05');
INSERT INTO `sys_job_log` VALUES (43544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:46:10');
INSERT INTO `sys_job_log` VALUES (43545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:46:15');
INSERT INTO `sys_job_log` VALUES (43546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:46:15');
INSERT INTO `sys_job_log` VALUES (43547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:46:20');
INSERT INTO `sys_job_log` VALUES (43548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:46:25');
INSERT INTO `sys_job_log` VALUES (43549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:46:30');
INSERT INTO `sys_job_log` VALUES (43550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:46:30');
INSERT INTO `sys_job_log` VALUES (43551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:46:35');
INSERT INTO `sys_job_log` VALUES (43552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:46:40');
INSERT INTO `sys_job_log` VALUES (43553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:46:45');
INSERT INTO `sys_job_log` VALUES (43554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:46:45');
INSERT INTO `sys_job_log` VALUES (43555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:46:50');
INSERT INTO `sys_job_log` VALUES (43556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:46:55');
INSERT INTO `sys_job_log` VALUES (43557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:47:00');
INSERT INTO `sys_job_log` VALUES (43558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:47:00');
INSERT INTO `sys_job_log` VALUES (43559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:47:05');
INSERT INTO `sys_job_log` VALUES (43560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:47:10');
INSERT INTO `sys_job_log` VALUES (43561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:47:15');
INSERT INTO `sys_job_log` VALUES (43562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:47:15');
INSERT INTO `sys_job_log` VALUES (43563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:47:20');
INSERT INTO `sys_job_log` VALUES (43564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:47:25');
INSERT INTO `sys_job_log` VALUES (43565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:47:30');
INSERT INTO `sys_job_log` VALUES (43566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:47:30');
INSERT INTO `sys_job_log` VALUES (43567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:47:35');
INSERT INTO `sys_job_log` VALUES (43568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:47:40');
INSERT INTO `sys_job_log` VALUES (43569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:47:45');
INSERT INTO `sys_job_log` VALUES (43570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:47:45');
INSERT INTO `sys_job_log` VALUES (43571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:47:50');
INSERT INTO `sys_job_log` VALUES (43572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:47:55');
INSERT INTO `sys_job_log` VALUES (43573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:48:00');
INSERT INTO `sys_job_log` VALUES (43574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:48:00');
INSERT INTO `sys_job_log` VALUES (43575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:48:05');
INSERT INTO `sys_job_log` VALUES (43576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:48:10');
INSERT INTO `sys_job_log` VALUES (43577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:48:15');
INSERT INTO `sys_job_log` VALUES (43578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 17:48:15');
INSERT INTO `sys_job_log` VALUES (43579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:48:20');
INSERT INTO `sys_job_log` VALUES (43580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:48:25');
INSERT INTO `sys_job_log` VALUES (43581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:48:30');
INSERT INTO `sys_job_log` VALUES (43582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:48:30');
INSERT INTO `sys_job_log` VALUES (43583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:48:35');
INSERT INTO `sys_job_log` VALUES (43584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:48:40');
INSERT INTO `sys_job_log` VALUES (43585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:48:45');
INSERT INTO `sys_job_log` VALUES (43586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:48:45');
INSERT INTO `sys_job_log` VALUES (43587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:48:50');
INSERT INTO `sys_job_log` VALUES (43588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:48:55');
INSERT INTO `sys_job_log` VALUES (43589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:49:00');
INSERT INTO `sys_job_log` VALUES (43590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:49:00');
INSERT INTO `sys_job_log` VALUES (43591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:49:05');
INSERT INTO `sys_job_log` VALUES (43592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:49:10');
INSERT INTO `sys_job_log` VALUES (43593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:49:15');
INSERT INTO `sys_job_log` VALUES (43594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:49:15');
INSERT INTO `sys_job_log` VALUES (43595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:49:20');
INSERT INTO `sys_job_log` VALUES (43596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:49:25');
INSERT INTO `sys_job_log` VALUES (43597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:49:30');
INSERT INTO `sys_job_log` VALUES (43598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:49:30');
INSERT INTO `sys_job_log` VALUES (43599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:49:35');
INSERT INTO `sys_job_log` VALUES (43600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:49:40');
INSERT INTO `sys_job_log` VALUES (43601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:49:45');
INSERT INTO `sys_job_log` VALUES (43602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:49:45');
INSERT INTO `sys_job_log` VALUES (43603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:49:50');
INSERT INTO `sys_job_log` VALUES (43604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:49:55');
INSERT INTO `sys_job_log` VALUES (43605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:00');
INSERT INTO `sys_job_log` VALUES (43606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:00');
INSERT INTO `sys_job_log` VALUES (43607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:50:05');
INSERT INTO `sys_job_log` VALUES (43608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:50:10');
INSERT INTO `sys_job_log` VALUES (43609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:15');
INSERT INTO `sys_job_log` VALUES (43610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:15');
INSERT INTO `sys_job_log` VALUES (43611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 17:50:20');
INSERT INTO `sys_job_log` VALUES (43612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:25');
INSERT INTO `sys_job_log` VALUES (43613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:50:30');
INSERT INTO `sys_job_log` VALUES (43614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:50:30');
INSERT INTO `sys_job_log` VALUES (43615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:50:35');
INSERT INTO `sys_job_log` VALUES (43616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:40');
INSERT INTO `sys_job_log` VALUES (43617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:50:45');
INSERT INTO `sys_job_log` VALUES (43618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:50:45');
INSERT INTO `sys_job_log` VALUES (43619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:50:50');
INSERT INTO `sys_job_log` VALUES (43620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:50:55');
INSERT INTO `sys_job_log` VALUES (43621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:51:00');
INSERT INTO `sys_job_log` VALUES (43622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:51:00');
INSERT INTO `sys_job_log` VALUES (43623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:51:05');
INSERT INTO `sys_job_log` VALUES (43624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:51:10');
INSERT INTO `sys_job_log` VALUES (43625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:51:15');
INSERT INTO `sys_job_log` VALUES (43626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:51:15');
INSERT INTO `sys_job_log` VALUES (43627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:51:20');
INSERT INTO `sys_job_log` VALUES (43628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:51:25');
INSERT INTO `sys_job_log` VALUES (43629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:51:30');
INSERT INTO `sys_job_log` VALUES (43630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:51:30');
INSERT INTO `sys_job_log` VALUES (43631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:51:35');
INSERT INTO `sys_job_log` VALUES (43632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:51:40');
INSERT INTO `sys_job_log` VALUES (43633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:51:45');
INSERT INTO `sys_job_log` VALUES (43634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:51:45');
INSERT INTO `sys_job_log` VALUES (43635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:51:50');
INSERT INTO `sys_job_log` VALUES (43636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:51:55');
INSERT INTO `sys_job_log` VALUES (43637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:52:00');
INSERT INTO `sys_job_log` VALUES (43638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:52:00');
INSERT INTO `sys_job_log` VALUES (43639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:52:05');
INSERT INTO `sys_job_log` VALUES (43640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:52:10');
INSERT INTO `sys_job_log` VALUES (43641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:52:15');
INSERT INTO `sys_job_log` VALUES (43642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:52:15');
INSERT INTO `sys_job_log` VALUES (43643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:52:20');
INSERT INTO `sys_job_log` VALUES (43644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:52:25');
INSERT INTO `sys_job_log` VALUES (43645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:52:30');
INSERT INTO `sys_job_log` VALUES (43646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:52:30');
INSERT INTO `sys_job_log` VALUES (43647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:52:35');
INSERT INTO `sys_job_log` VALUES (43648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:52:40');
INSERT INTO `sys_job_log` VALUES (43649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:52:45');
INSERT INTO `sys_job_log` VALUES (43650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:52:45');
INSERT INTO `sys_job_log` VALUES (43651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:52:50');
INSERT INTO `sys_job_log` VALUES (43652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:52:55');
INSERT INTO `sys_job_log` VALUES (43653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:53:00');
INSERT INTO `sys_job_log` VALUES (43654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:53:00');
INSERT INTO `sys_job_log` VALUES (43655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:53:05');
INSERT INTO `sys_job_log` VALUES (43656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:53:10');
INSERT INTO `sys_job_log` VALUES (43657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:53:15');
INSERT INTO `sys_job_log` VALUES (43658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:53:15');
INSERT INTO `sys_job_log` VALUES (43659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:53:20');
INSERT INTO `sys_job_log` VALUES (43660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:53:25');
INSERT INTO `sys_job_log` VALUES (43661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:53:30');
INSERT INTO `sys_job_log` VALUES (43662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:53:30');
INSERT INTO `sys_job_log` VALUES (43663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:53:35');
INSERT INTO `sys_job_log` VALUES (43664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:53:40');
INSERT INTO `sys_job_log` VALUES (43665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:53:45');
INSERT INTO `sys_job_log` VALUES (43666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:53:45');
INSERT INTO `sys_job_log` VALUES (43667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:53:50');
INSERT INTO `sys_job_log` VALUES (43668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:53:55');
INSERT INTO `sys_job_log` VALUES (43669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:54:00');
INSERT INTO `sys_job_log` VALUES (43670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:54:00');
INSERT INTO `sys_job_log` VALUES (43671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:54:05');
INSERT INTO `sys_job_log` VALUES (43672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 17:54:10');
INSERT INTO `sys_job_log` VALUES (43673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:54:15');
INSERT INTO `sys_job_log` VALUES (43674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 17:54:15');
INSERT INTO `sys_job_log` VALUES (43675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:54:20');
INSERT INTO `sys_job_log` VALUES (43676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:54:25');
INSERT INTO `sys_job_log` VALUES (43677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:54:30');
INSERT INTO `sys_job_log` VALUES (43678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:54:30');
INSERT INTO `sys_job_log` VALUES (43679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 17:54:35');
INSERT INTO `sys_job_log` VALUES (43680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:54:40');
INSERT INTO `sys_job_log` VALUES (43681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:54:45');
INSERT INTO `sys_job_log` VALUES (43682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:54:45');
INSERT INTO `sys_job_log` VALUES (43683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:54:50');
INSERT INTO `sys_job_log` VALUES (43684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:54:55');
INSERT INTO `sys_job_log` VALUES (43685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:55:00');
INSERT INTO `sys_job_log` VALUES (43686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:55:00');
INSERT INTO `sys_job_log` VALUES (43687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:05');
INSERT INTO `sys_job_log` VALUES (43688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:55:10');
INSERT INTO `sys_job_log` VALUES (43689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:15');
INSERT INTO `sys_job_log` VALUES (43690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:15');
INSERT INTO `sys_job_log` VALUES (43691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:20');
INSERT INTO `sys_job_log` VALUES (43692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 17:55:25');
INSERT INTO `sys_job_log` VALUES (43693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1580毫秒', '0', '', '2025-01-01 17:55:31');
INSERT INTO `sys_job_log` VALUES (43694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1580毫秒', '0', '', '2025-01-01 17:55:31');
INSERT INTO `sys_job_log` VALUES (43695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:55:35');
INSERT INTO `sys_job_log` VALUES (43696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:40');
INSERT INTO `sys_job_log` VALUES (43697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:45');
INSERT INTO `sys_job_log` VALUES (43698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:55:45');
INSERT INTO `sys_job_log` VALUES (43699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:55:50');
INSERT INTO `sys_job_log` VALUES (43700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:55:55');
INSERT INTO `sys_job_log` VALUES (43701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 17:56:00');
INSERT INTO `sys_job_log` VALUES (43702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:56:00');
INSERT INTO `sys_job_log` VALUES (43703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:56:05');
INSERT INTO `sys_job_log` VALUES (43704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:56:10');
INSERT INTO `sys_job_log` VALUES (43705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:56:15');
INSERT INTO `sys_job_log` VALUES (43706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:56:15');
INSERT INTO `sys_job_log` VALUES (43707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:56:20');
INSERT INTO `sys_job_log` VALUES (43708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:56:25');
INSERT INTO `sys_job_log` VALUES (43709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:56:30');
INSERT INTO `sys_job_log` VALUES (43710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:56:30');
INSERT INTO `sys_job_log` VALUES (43711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:56:35');
INSERT INTO `sys_job_log` VALUES (43712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:56:40');
INSERT INTO `sys_job_log` VALUES (43713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:56:45');
INSERT INTO `sys_job_log` VALUES (43714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:56:45');
INSERT INTO `sys_job_log` VALUES (43715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 17:56:50');
INSERT INTO `sys_job_log` VALUES (43716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:56:55');
INSERT INTO `sys_job_log` VALUES (43717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:57:00');
INSERT INTO `sys_job_log` VALUES (43718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:57:00');
INSERT INTO `sys_job_log` VALUES (43719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:57:05');
INSERT INTO `sys_job_log` VALUES (43720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:57:10');
INSERT INTO `sys_job_log` VALUES (43721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:57:15');
INSERT INTO `sys_job_log` VALUES (43722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:57:15');
INSERT INTO `sys_job_log` VALUES (43723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:57:20');
INSERT INTO `sys_job_log` VALUES (43724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:57:25');
INSERT INTO `sys_job_log` VALUES (43725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:57:30');
INSERT INTO `sys_job_log` VALUES (43726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:57:30');
INSERT INTO `sys_job_log` VALUES (43727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 17:57:35');
INSERT INTO `sys_job_log` VALUES (43728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:57:40');
INSERT INTO `sys_job_log` VALUES (43729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 17:57:45');
INSERT INTO `sys_job_log` VALUES (43730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:57:45');
INSERT INTO `sys_job_log` VALUES (43731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:57:50');
INSERT INTO `sys_job_log` VALUES (43732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:57:55');
INSERT INTO `sys_job_log` VALUES (43733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:58:00');
INSERT INTO `sys_job_log` VALUES (43734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:58:00');
INSERT INTO `sys_job_log` VALUES (43735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:58:05');
INSERT INTO `sys_job_log` VALUES (43736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:58:10');
INSERT INTO `sys_job_log` VALUES (43737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:58:15');
INSERT INTO `sys_job_log` VALUES (43738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:58:15');
INSERT INTO `sys_job_log` VALUES (43739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 17:58:20');
INSERT INTO `sys_job_log` VALUES (43740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 17:58:25');
INSERT INTO `sys_job_log` VALUES (43741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:58:30');
INSERT INTO `sys_job_log` VALUES (43742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 17:58:30');
INSERT INTO `sys_job_log` VALUES (43743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:58:35');
INSERT INTO `sys_job_log` VALUES (43744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:58:40');
INSERT INTO `sys_job_log` VALUES (43745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:58:45');
INSERT INTO `sys_job_log` VALUES (43746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 17:58:45');
INSERT INTO `sys_job_log` VALUES (43747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:58:50');
INSERT INTO `sys_job_log` VALUES (43748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 17:58:55');
INSERT INTO `sys_job_log` VALUES (43749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 17:59:00');
INSERT INTO `sys_job_log` VALUES (43750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 17:59:00');
INSERT INTO `sys_job_log` VALUES (43751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:59:05');
INSERT INTO `sys_job_log` VALUES (43752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:59:10');
INSERT INTO `sys_job_log` VALUES (43753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 17:59:15');
INSERT INTO `sys_job_log` VALUES (43754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 17:59:15');
INSERT INTO `sys_job_log` VALUES (43755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 17:59:20');
INSERT INTO `sys_job_log` VALUES (43756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:59:25');
INSERT INTO `sys_job_log` VALUES (43757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:59:30');
INSERT INTO `sys_job_log` VALUES (43758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:59:30');
INSERT INTO `sys_job_log` VALUES (43759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:59:35');
INSERT INTO `sys_job_log` VALUES (43760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 17:59:40');
INSERT INTO `sys_job_log` VALUES (43761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 17:59:45');
INSERT INTO `sys_job_log` VALUES (43762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 17:59:45');
INSERT INTO `sys_job_log` VALUES (43763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:59:50');
INSERT INTO `sys_job_log` VALUES (43764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 17:59:55');
INSERT INTO `sys_job_log` VALUES (43765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:00:00');
INSERT INTO `sys_job_log` VALUES (43766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:00:00');
INSERT INTO `sys_job_log` VALUES (43767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:00:05');
INSERT INTO `sys_job_log` VALUES (43768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:00:10');
INSERT INTO `sys_job_log` VALUES (43769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:00:15');
INSERT INTO `sys_job_log` VALUES (43770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:00:15');
INSERT INTO `sys_job_log` VALUES (43771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:00:20');
INSERT INTO `sys_job_log` VALUES (43772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:00:25');
INSERT INTO `sys_job_log` VALUES (43773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:00:30');
INSERT INTO `sys_job_log` VALUES (43774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:00:30');
INSERT INTO `sys_job_log` VALUES (43775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:00:35');
INSERT INTO `sys_job_log` VALUES (43776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:00:40');
INSERT INTO `sys_job_log` VALUES (43777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:00:45');
INSERT INTO `sys_job_log` VALUES (43778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:00:45');
INSERT INTO `sys_job_log` VALUES (43779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:00:50');
INSERT INTO `sys_job_log` VALUES (43780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:00:55');
INSERT INTO `sys_job_log` VALUES (43781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:01:00');
INSERT INTO `sys_job_log` VALUES (43782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:01:00');
INSERT INTO `sys_job_log` VALUES (43783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:01:05');
INSERT INTO `sys_job_log` VALUES (43784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:01:10');
INSERT INTO `sys_job_log` VALUES (43785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:01:15');
INSERT INTO `sys_job_log` VALUES (43786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:01:15');
INSERT INTO `sys_job_log` VALUES (43787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:01:20');
INSERT INTO `sys_job_log` VALUES (43788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:01:25');
INSERT INTO `sys_job_log` VALUES (43789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:01:30');
INSERT INTO `sys_job_log` VALUES (43790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:01:30');
INSERT INTO `sys_job_log` VALUES (43791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:01:35');
INSERT INTO `sys_job_log` VALUES (43792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:01:40');
INSERT INTO `sys_job_log` VALUES (43793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:01:45');
INSERT INTO `sys_job_log` VALUES (43794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:01:45');
INSERT INTO `sys_job_log` VALUES (43795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:01:50');
INSERT INTO `sys_job_log` VALUES (43796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:01:55');
INSERT INTO `sys_job_log` VALUES (43797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:02:00');
INSERT INTO `sys_job_log` VALUES (43798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:02:00');
INSERT INTO `sys_job_log` VALUES (43799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:02:05');
INSERT INTO `sys_job_log` VALUES (43800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:02:10');
INSERT INTO `sys_job_log` VALUES (43801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:02:15');
INSERT INTO `sys_job_log` VALUES (43802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:02:15');
INSERT INTO `sys_job_log` VALUES (43803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:02:20');
INSERT INTO `sys_job_log` VALUES (43804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:02:25');
INSERT INTO `sys_job_log` VALUES (43805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:02:30');
INSERT INTO `sys_job_log` VALUES (43806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:02:30');
INSERT INTO `sys_job_log` VALUES (43807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:02:35');
INSERT INTO `sys_job_log` VALUES (43808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:02:40');
INSERT INTO `sys_job_log` VALUES (43809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:02:45');
INSERT INTO `sys_job_log` VALUES (43810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:02:45');
INSERT INTO `sys_job_log` VALUES (43811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 18:02:50');
INSERT INTO `sys_job_log` VALUES (43812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:02:55');
INSERT INTO `sys_job_log` VALUES (43813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:03:00');
INSERT INTO `sys_job_log` VALUES (43814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:03:00');
INSERT INTO `sys_job_log` VALUES (43815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:03:05');
INSERT INTO `sys_job_log` VALUES (43816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:03:10');
INSERT INTO `sys_job_log` VALUES (43817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:03:15');
INSERT INTO `sys_job_log` VALUES (43818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:03:15');
INSERT INTO `sys_job_log` VALUES (43819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:03:20');
INSERT INTO `sys_job_log` VALUES (43820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:03:25');
INSERT INTO `sys_job_log` VALUES (43821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:03:30');
INSERT INTO `sys_job_log` VALUES (43822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:03:30');
INSERT INTO `sys_job_log` VALUES (43823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:03:35');
INSERT INTO `sys_job_log` VALUES (43824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:03:40');
INSERT INTO `sys_job_log` VALUES (43825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:03:45');
INSERT INTO `sys_job_log` VALUES (43826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:03:45');
INSERT INTO `sys_job_log` VALUES (43827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:03:50');
INSERT INTO `sys_job_log` VALUES (43828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:03:55');
INSERT INTO `sys_job_log` VALUES (43829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:04:00');
INSERT INTO `sys_job_log` VALUES (43830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:04:00');
INSERT INTO `sys_job_log` VALUES (43831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:04:05');
INSERT INTO `sys_job_log` VALUES (43832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:04:10');
INSERT INTO `sys_job_log` VALUES (43833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 18:04:15');
INSERT INTO `sys_job_log` VALUES (43834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 18:04:15');
INSERT INTO `sys_job_log` VALUES (43835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:04:20');
INSERT INTO `sys_job_log` VALUES (43836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:04:25');
INSERT INTO `sys_job_log` VALUES (43837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:04:30');
INSERT INTO `sys_job_log` VALUES (43838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:04:30');
INSERT INTO `sys_job_log` VALUES (43839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:04:35');
INSERT INTO `sys_job_log` VALUES (43840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:04:40');
INSERT INTO `sys_job_log` VALUES (43841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:04:45');
INSERT INTO `sys_job_log` VALUES (43842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:04:45');
INSERT INTO `sys_job_log` VALUES (43843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:04:50');
INSERT INTO `sys_job_log` VALUES (43844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 18:04:55');
INSERT INTO `sys_job_log` VALUES (43845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:05:00');
INSERT INTO `sys_job_log` VALUES (43846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:05:00');
INSERT INTO `sys_job_log` VALUES (43847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:05:05');
INSERT INTO `sys_job_log` VALUES (43848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:05:10');
INSERT INTO `sys_job_log` VALUES (43849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:05:15');
INSERT INTO `sys_job_log` VALUES (43850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:05:15');
INSERT INTO `sys_job_log` VALUES (43851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:05:20');
INSERT INTO `sys_job_log` VALUES (43852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:05:25');
INSERT INTO `sys_job_log` VALUES (43853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:05:30');
INSERT INTO `sys_job_log` VALUES (43854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:05:30');
INSERT INTO `sys_job_log` VALUES (43855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:05:35');
INSERT INTO `sys_job_log` VALUES (43856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:05:40');
INSERT INTO `sys_job_log` VALUES (43857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:05:45');
INSERT INTO `sys_job_log` VALUES (43858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:05:45');
INSERT INTO `sys_job_log` VALUES (43859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:05:50');
INSERT INTO `sys_job_log` VALUES (43860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:05:55');
INSERT INTO `sys_job_log` VALUES (43861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:06:00');
INSERT INTO `sys_job_log` VALUES (43862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:06:00');
INSERT INTO `sys_job_log` VALUES (43863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 18:06:05');
INSERT INTO `sys_job_log` VALUES (43864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:06:10');
INSERT INTO `sys_job_log` VALUES (43865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:06:15');
INSERT INTO `sys_job_log` VALUES (43866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:06:15');
INSERT INTO `sys_job_log` VALUES (43867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:06:20');
INSERT INTO `sys_job_log` VALUES (43868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:06:25');
INSERT INTO `sys_job_log` VALUES (43869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:06:30');
INSERT INTO `sys_job_log` VALUES (43870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:06:30');
INSERT INTO `sys_job_log` VALUES (43871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:06:35');
INSERT INTO `sys_job_log` VALUES (43872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:06:40');
INSERT INTO `sys_job_log` VALUES (43873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:06:45');
INSERT INTO `sys_job_log` VALUES (43874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:06:45');
INSERT INTO `sys_job_log` VALUES (43875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:06:50');
INSERT INTO `sys_job_log` VALUES (43876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:06:55');
INSERT INTO `sys_job_log` VALUES (43877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:07:00');
INSERT INTO `sys_job_log` VALUES (43878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:07:00');
INSERT INTO `sys_job_log` VALUES (43879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:07:05');
INSERT INTO `sys_job_log` VALUES (43880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:07:10');
INSERT INTO `sys_job_log` VALUES (43881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:07:15');
INSERT INTO `sys_job_log` VALUES (43882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:07:15');
INSERT INTO `sys_job_log` VALUES (43883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:07:20');
INSERT INTO `sys_job_log` VALUES (43884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:07:25');
INSERT INTO `sys_job_log` VALUES (43885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:07:30');
INSERT INTO `sys_job_log` VALUES (43886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:07:30');
INSERT INTO `sys_job_log` VALUES (43887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:07:35');
INSERT INTO `sys_job_log` VALUES (43888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:07:40');
INSERT INTO `sys_job_log` VALUES (43889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:07:45');
INSERT INTO `sys_job_log` VALUES (43890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:07:45');
INSERT INTO `sys_job_log` VALUES (43891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:07:50');
INSERT INTO `sys_job_log` VALUES (43892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:07:55');
INSERT INTO `sys_job_log` VALUES (43893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:08:00');
INSERT INTO `sys_job_log` VALUES (43894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:08:00');
INSERT INTO `sys_job_log` VALUES (43895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:08:05');
INSERT INTO `sys_job_log` VALUES (43896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:08:10');
INSERT INTO `sys_job_log` VALUES (43897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:08:15');
INSERT INTO `sys_job_log` VALUES (43898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:08:15');
INSERT INTO `sys_job_log` VALUES (43899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:08:20');
INSERT INTO `sys_job_log` VALUES (43900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:08:25');
INSERT INTO `sys_job_log` VALUES (43901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:08:30');
INSERT INTO `sys_job_log` VALUES (43902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:08:30');
INSERT INTO `sys_job_log` VALUES (43903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:08:35');
INSERT INTO `sys_job_log` VALUES (43904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:08:40');
INSERT INTO `sys_job_log` VALUES (43905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:08:45');
INSERT INTO `sys_job_log` VALUES (43906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:08:45');
INSERT INTO `sys_job_log` VALUES (43907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:08:50');
INSERT INTO `sys_job_log` VALUES (43908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:08:55');
INSERT INTO `sys_job_log` VALUES (43909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:09:00');
INSERT INTO `sys_job_log` VALUES (43910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:09:00');
INSERT INTO `sys_job_log` VALUES (43911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:09:05');
INSERT INTO `sys_job_log` VALUES (43912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:09:10');
INSERT INTO `sys_job_log` VALUES (43913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:09:15');
INSERT INTO `sys_job_log` VALUES (43914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:09:15');
INSERT INTO `sys_job_log` VALUES (43915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:09:20');
INSERT INTO `sys_job_log` VALUES (43916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:09:25');
INSERT INTO `sys_job_log` VALUES (43917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:09:30');
INSERT INTO `sys_job_log` VALUES (43918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:09:30');
INSERT INTO `sys_job_log` VALUES (43919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:09:35');
INSERT INTO `sys_job_log` VALUES (43920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:09:40');
INSERT INTO `sys_job_log` VALUES (43921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:09:45');
INSERT INTO `sys_job_log` VALUES (43922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:09:45');
INSERT INTO `sys_job_log` VALUES (43923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:09:50');
INSERT INTO `sys_job_log` VALUES (43924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 18:09:55');
INSERT INTO `sys_job_log` VALUES (43925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:10:00');
INSERT INTO `sys_job_log` VALUES (43926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:10:00');
INSERT INTO `sys_job_log` VALUES (43927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:10:05');
INSERT INTO `sys_job_log` VALUES (43928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:10:10');
INSERT INTO `sys_job_log` VALUES (43929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:10:15');
INSERT INTO `sys_job_log` VALUES (43930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:10:15');
INSERT INTO `sys_job_log` VALUES (43931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:10:20');
INSERT INTO `sys_job_log` VALUES (43932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:10:25');
INSERT INTO `sys_job_log` VALUES (43933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:10:30');
INSERT INTO `sys_job_log` VALUES (43934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:10:30');
INSERT INTO `sys_job_log` VALUES (43935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:10:35');
INSERT INTO `sys_job_log` VALUES (43936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:10:40');
INSERT INTO `sys_job_log` VALUES (43937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:10:45');
INSERT INTO `sys_job_log` VALUES (43938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:10:45');
INSERT INTO `sys_job_log` VALUES (43939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:10:50');
INSERT INTO `sys_job_log` VALUES (43940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:10:55');
INSERT INTO `sys_job_log` VALUES (43941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:11:00');
INSERT INTO `sys_job_log` VALUES (43942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:11:00');
INSERT INTO `sys_job_log` VALUES (43943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:11:05');
INSERT INTO `sys_job_log` VALUES (43944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:11:10');
INSERT INTO `sys_job_log` VALUES (43945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:11:15');
INSERT INTO `sys_job_log` VALUES (43946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:11:15');
INSERT INTO `sys_job_log` VALUES (43947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:11:20');
INSERT INTO `sys_job_log` VALUES (43948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:11:25');
INSERT INTO `sys_job_log` VALUES (43949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:11:30');
INSERT INTO `sys_job_log` VALUES (43950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:11:30');
INSERT INTO `sys_job_log` VALUES (43951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:11:35');
INSERT INTO `sys_job_log` VALUES (43952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:11:40');
INSERT INTO `sys_job_log` VALUES (43953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:11:45');
INSERT INTO `sys_job_log` VALUES (43954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:11:45');
INSERT INTO `sys_job_log` VALUES (43955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:11:50');
INSERT INTO `sys_job_log` VALUES (43956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:11:55');
INSERT INTO `sys_job_log` VALUES (43957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:12:00');
INSERT INTO `sys_job_log` VALUES (43958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:12:00');
INSERT INTO `sys_job_log` VALUES (43959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:12:05');
INSERT INTO `sys_job_log` VALUES (43960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:12:10');
INSERT INTO `sys_job_log` VALUES (43961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:12:15');
INSERT INTO `sys_job_log` VALUES (43962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:12:15');
INSERT INTO `sys_job_log` VALUES (43963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:12:20');
INSERT INTO `sys_job_log` VALUES (43964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2025-01-01 18:12:25');
INSERT INTO `sys_job_log` VALUES (43965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:12:30');
INSERT INTO `sys_job_log` VALUES (43966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:12:30');
INSERT INTO `sys_job_log` VALUES (43967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:12:35');
INSERT INTO `sys_job_log` VALUES (43968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:12:40');
INSERT INTO `sys_job_log` VALUES (43969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:12:45');
INSERT INTO `sys_job_log` VALUES (43970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:12:45');
INSERT INTO `sys_job_log` VALUES (43971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:12:50');
INSERT INTO `sys_job_log` VALUES (43972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:12:55');
INSERT INTO `sys_job_log` VALUES (43973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:13:00');
INSERT INTO `sys_job_log` VALUES (43974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 18:13:00');
INSERT INTO `sys_job_log` VALUES (43975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:13:05');
INSERT INTO `sys_job_log` VALUES (43976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:13:10');
INSERT INTO `sys_job_log` VALUES (43977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:13:15');
INSERT INTO `sys_job_log` VALUES (43978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:13:15');
INSERT INTO `sys_job_log` VALUES (43979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:13:20');
INSERT INTO `sys_job_log` VALUES (43980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:13:25');
INSERT INTO `sys_job_log` VALUES (43981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:13:30');
INSERT INTO `sys_job_log` VALUES (43982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:13:30');
INSERT INTO `sys_job_log` VALUES (43983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:13:35');
INSERT INTO `sys_job_log` VALUES (43984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:13:40');
INSERT INTO `sys_job_log` VALUES (43985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:13:45');
INSERT INTO `sys_job_log` VALUES (43986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:13:45');
INSERT INTO `sys_job_log` VALUES (43987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:13:50');
INSERT INTO `sys_job_log` VALUES (43988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:13:55');
INSERT INTO `sys_job_log` VALUES (43989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:14:00');
INSERT INTO `sys_job_log` VALUES (43990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:14:00');
INSERT INTO `sys_job_log` VALUES (43991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:14:05');
INSERT INTO `sys_job_log` VALUES (43992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:14:10');
INSERT INTO `sys_job_log` VALUES (43993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:14:15');
INSERT INTO `sys_job_log` VALUES (43994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:14:15');
INSERT INTO `sys_job_log` VALUES (43995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:14:20');
INSERT INTO `sys_job_log` VALUES (43996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:14:25');
INSERT INTO `sys_job_log` VALUES (43997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:14:30');
INSERT INTO `sys_job_log` VALUES (43998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:14:30');
INSERT INTO `sys_job_log` VALUES (43999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:14:35');
INSERT INTO `sys_job_log` VALUES (44000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:14:40');
INSERT INTO `sys_job_log` VALUES (44001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:14:45');
INSERT INTO `sys_job_log` VALUES (44002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:14:45');
INSERT INTO `sys_job_log` VALUES (44003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:14:50');
INSERT INTO `sys_job_log` VALUES (44004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:14:55');
INSERT INTO `sys_job_log` VALUES (44005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:15:00');
INSERT INTO `sys_job_log` VALUES (44006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:15:00');
INSERT INTO `sys_job_log` VALUES (44007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:15:05');
INSERT INTO `sys_job_log` VALUES (44008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:15:10');
INSERT INTO `sys_job_log` VALUES (44009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:15:15');
INSERT INTO `sys_job_log` VALUES (44010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:15:15');
INSERT INTO `sys_job_log` VALUES (44011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:15:20');
INSERT INTO `sys_job_log` VALUES (44012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:15:25');
INSERT INTO `sys_job_log` VALUES (44013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:15:30');
INSERT INTO `sys_job_log` VALUES (44014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:15:30');
INSERT INTO `sys_job_log` VALUES (44015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 18:15:35');
INSERT INTO `sys_job_log` VALUES (44016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:15:40');
INSERT INTO `sys_job_log` VALUES (44017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 18:15:45');
INSERT INTO `sys_job_log` VALUES (44018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2025-01-01 18:15:45');
INSERT INTO `sys_job_log` VALUES (44019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:15:50');
INSERT INTO `sys_job_log` VALUES (44020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:15:55');
INSERT INTO `sys_job_log` VALUES (44021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:16:00');
INSERT INTO `sys_job_log` VALUES (44022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:16:00');
INSERT INTO `sys_job_log` VALUES (44023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:16:05');
INSERT INTO `sys_job_log` VALUES (44024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:16:10');
INSERT INTO `sys_job_log` VALUES (44025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:16:15');
INSERT INTO `sys_job_log` VALUES (44026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:16:15');
INSERT INTO `sys_job_log` VALUES (44027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:16:20');
INSERT INTO `sys_job_log` VALUES (44028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:16:25');
INSERT INTO `sys_job_log` VALUES (44029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 18:16:30');
INSERT INTO `sys_job_log` VALUES (44030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 18:16:30');
INSERT INTO `sys_job_log` VALUES (44031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:16:35');
INSERT INTO `sys_job_log` VALUES (44032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:16:40');
INSERT INTO `sys_job_log` VALUES (44033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:16:45');
INSERT INTO `sys_job_log` VALUES (44034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:16:45');
INSERT INTO `sys_job_log` VALUES (44035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:16:50');
INSERT INTO `sys_job_log` VALUES (44036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:16:55');
INSERT INTO `sys_job_log` VALUES (44037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:17:00');
INSERT INTO `sys_job_log` VALUES (44038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:17:00');
INSERT INTO `sys_job_log` VALUES (44039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:17:05');
INSERT INTO `sys_job_log` VALUES (44040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:17:10');
INSERT INTO `sys_job_log` VALUES (44041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:17:15');
INSERT INTO `sys_job_log` VALUES (44042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:17:15');
INSERT INTO `sys_job_log` VALUES (44043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:17:20');
INSERT INTO `sys_job_log` VALUES (44044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:17:25');
INSERT INTO `sys_job_log` VALUES (44045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:17:30');
INSERT INTO `sys_job_log` VALUES (44046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 18:17:30');
INSERT INTO `sys_job_log` VALUES (44047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:17:35');
INSERT INTO `sys_job_log` VALUES (44048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:17:40');
INSERT INTO `sys_job_log` VALUES (44049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:17:45');
INSERT INTO `sys_job_log` VALUES (44050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:17:45');
INSERT INTO `sys_job_log` VALUES (44051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:17:50');
INSERT INTO `sys_job_log` VALUES (44052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:17:55');
INSERT INTO `sys_job_log` VALUES (44053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:18:00');
INSERT INTO `sys_job_log` VALUES (44054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:18:00');
INSERT INTO `sys_job_log` VALUES (44055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:18:05');
INSERT INTO `sys_job_log` VALUES (44056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:18:10');
INSERT INTO `sys_job_log` VALUES (44057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:18:15');
INSERT INTO `sys_job_log` VALUES (44058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:18:15');
INSERT INTO `sys_job_log` VALUES (44059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:18:20');
INSERT INTO `sys_job_log` VALUES (44060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:18:25');
INSERT INTO `sys_job_log` VALUES (44061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:18:30');
INSERT INTO `sys_job_log` VALUES (44062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:18:30');
INSERT INTO `sys_job_log` VALUES (44063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:18:35');
INSERT INTO `sys_job_log` VALUES (44064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:18:40');
INSERT INTO `sys_job_log` VALUES (44065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:18:45');
INSERT INTO `sys_job_log` VALUES (44066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:18:45');
INSERT INTO `sys_job_log` VALUES (44067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:18:50');
INSERT INTO `sys_job_log` VALUES (44068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:18:55');
INSERT INTO `sys_job_log` VALUES (44069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 18:19:00');
INSERT INTO `sys_job_log` VALUES (44070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 18:19:00');
INSERT INTO `sys_job_log` VALUES (44071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:19:05');
INSERT INTO `sys_job_log` VALUES (44072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:19:10');
INSERT INTO `sys_job_log` VALUES (44073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:19:15');
INSERT INTO `sys_job_log` VALUES (44074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:19:15');
INSERT INTO `sys_job_log` VALUES (44075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:19:20');
INSERT INTO `sys_job_log` VALUES (44076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:19:25');
INSERT INTO `sys_job_log` VALUES (44077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:19:30');
INSERT INTO `sys_job_log` VALUES (44078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:19:30');
INSERT INTO `sys_job_log` VALUES (44079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:19:35');
INSERT INTO `sys_job_log` VALUES (44080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:19:40');
INSERT INTO `sys_job_log` VALUES (44081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:19:45');
INSERT INTO `sys_job_log` VALUES (44082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:19:45');
INSERT INTO `sys_job_log` VALUES (44083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:19:50');
INSERT INTO `sys_job_log` VALUES (44084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:19:55');
INSERT INTO `sys_job_log` VALUES (44085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:20:00');
INSERT INTO `sys_job_log` VALUES (44086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:20:00');
INSERT INTO `sys_job_log` VALUES (44087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:20:05');
INSERT INTO `sys_job_log` VALUES (44088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:20:10');
INSERT INTO `sys_job_log` VALUES (44089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:20:15');
INSERT INTO `sys_job_log` VALUES (44090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:20:15');
INSERT INTO `sys_job_log` VALUES (44091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:20:20');
INSERT INTO `sys_job_log` VALUES (44092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:20:25');
INSERT INTO `sys_job_log` VALUES (44093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:20:30');
INSERT INTO `sys_job_log` VALUES (44094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:20:30');
INSERT INTO `sys_job_log` VALUES (44095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:20:35');
INSERT INTO `sys_job_log` VALUES (44096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:20:40');
INSERT INTO `sys_job_log` VALUES (44097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:20:45');
INSERT INTO `sys_job_log` VALUES (44098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:20:45');
INSERT INTO `sys_job_log` VALUES (44099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:20:50');
INSERT INTO `sys_job_log` VALUES (44100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:20:55');
INSERT INTO `sys_job_log` VALUES (44101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 18:21:00');
INSERT INTO `sys_job_log` VALUES (44102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 18:21:00');
INSERT INTO `sys_job_log` VALUES (44103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:21:05');
INSERT INTO `sys_job_log` VALUES (44104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:21:10');
INSERT INTO `sys_job_log` VALUES (44105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:21:15');
INSERT INTO `sys_job_log` VALUES (44106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:21:15');
INSERT INTO `sys_job_log` VALUES (44107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:21:20');
INSERT INTO `sys_job_log` VALUES (44108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:21:25');
INSERT INTO `sys_job_log` VALUES (44109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:21:30');
INSERT INTO `sys_job_log` VALUES (44110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:21:30');
INSERT INTO `sys_job_log` VALUES (44111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:21:35');
INSERT INTO `sys_job_log` VALUES (44112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:21:40');
INSERT INTO `sys_job_log` VALUES (44113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:21:45');
INSERT INTO `sys_job_log` VALUES (44114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:21:45');
INSERT INTO `sys_job_log` VALUES (44115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:21:50');
INSERT INTO `sys_job_log` VALUES (44116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:21:55');
INSERT INTO `sys_job_log` VALUES (44117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:00');
INSERT INTO `sys_job_log` VALUES (44118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:00');
INSERT INTO `sys_job_log` VALUES (44119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:22:05');
INSERT INTO `sys_job_log` VALUES (44120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:22:10');
INSERT INTO `sys_job_log` VALUES (44121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:22:15');
INSERT INTO `sys_job_log` VALUES (44122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:22:15');
INSERT INTO `sys_job_log` VALUES (44123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:20');
INSERT INTO `sys_job_log` VALUES (44124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:22:25');
INSERT INTO `sys_job_log` VALUES (44125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:30');
INSERT INTO `sys_job_log` VALUES (44126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:30');
INSERT INTO `sys_job_log` VALUES (44127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:35');
INSERT INTO `sys_job_log` VALUES (44128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:22:40');
INSERT INTO `sys_job_log` VALUES (44129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:22:45');
INSERT INTO `sys_job_log` VALUES (44130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:22:45');
INSERT INTO `sys_job_log` VALUES (44131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:22:50');
INSERT INTO `sys_job_log` VALUES (44132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:22:55');
INSERT INTO `sys_job_log` VALUES (44133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:23:00');
INSERT INTO `sys_job_log` VALUES (44134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 18:23:00');
INSERT INTO `sys_job_log` VALUES (44135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:23:05');
INSERT INTO `sys_job_log` VALUES (44136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:23:10');
INSERT INTO `sys_job_log` VALUES (44137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:23:15');
INSERT INTO `sys_job_log` VALUES (44138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:23:15');
INSERT INTO `sys_job_log` VALUES (44139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:23:20');
INSERT INTO `sys_job_log` VALUES (44140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:23:25');
INSERT INTO `sys_job_log` VALUES (44141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:23:30');
INSERT INTO `sys_job_log` VALUES (44142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:23:30');
INSERT INTO `sys_job_log` VALUES (44143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:23:35');
INSERT INTO `sys_job_log` VALUES (44144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:23:40');
INSERT INTO `sys_job_log` VALUES (44145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:23:45');
INSERT INTO `sys_job_log` VALUES (44146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:23:45');
INSERT INTO `sys_job_log` VALUES (44147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2025-01-01 18:23:50');
INSERT INTO `sys_job_log` VALUES (44148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:23:55');
INSERT INTO `sys_job_log` VALUES (44149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:24:00');
INSERT INTO `sys_job_log` VALUES (44150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:24:00');
INSERT INTO `sys_job_log` VALUES (44151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:24:05');
INSERT INTO `sys_job_log` VALUES (44152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:24:10');
INSERT INTO `sys_job_log` VALUES (44153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:24:15');
INSERT INTO `sys_job_log` VALUES (44154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:24:15');
INSERT INTO `sys_job_log` VALUES (44155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:24:20');
INSERT INTO `sys_job_log` VALUES (44156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 18:24:25');
INSERT INTO `sys_job_log` VALUES (44157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:24:30');
INSERT INTO `sys_job_log` VALUES (44158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:24:30');
INSERT INTO `sys_job_log` VALUES (44159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:24:35');
INSERT INTO `sys_job_log` VALUES (44160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:24:40');
INSERT INTO `sys_job_log` VALUES (44161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 18:24:45');
INSERT INTO `sys_job_log` VALUES (44162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 18:24:45');
INSERT INTO `sys_job_log` VALUES (44163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2025-01-01 18:24:50');
INSERT INTO `sys_job_log` VALUES (44164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:24:55');
INSERT INTO `sys_job_log` VALUES (44165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:25:00');
INSERT INTO `sys_job_log` VALUES (44166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:25:00');
INSERT INTO `sys_job_log` VALUES (44167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:25:05');
INSERT INTO `sys_job_log` VALUES (44168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:25:10');
INSERT INTO `sys_job_log` VALUES (44169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:25:15');
INSERT INTO `sys_job_log` VALUES (44170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:25:15');
INSERT INTO `sys_job_log` VALUES (44171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:25:20');
INSERT INTO `sys_job_log` VALUES (44172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:25:25');
INSERT INTO `sys_job_log` VALUES (44173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:25:30');
INSERT INTO `sys_job_log` VALUES (44174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:25:30');
INSERT INTO `sys_job_log` VALUES (44175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:25:35');
INSERT INTO `sys_job_log` VALUES (44176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:25:40');
INSERT INTO `sys_job_log` VALUES (44177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:25:45');
INSERT INTO `sys_job_log` VALUES (44178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:25:45');
INSERT INTO `sys_job_log` VALUES (44179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:25:50');
INSERT INTO `sys_job_log` VALUES (44180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:25:55');
INSERT INTO `sys_job_log` VALUES (44181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:26:00');
INSERT INTO `sys_job_log` VALUES (44182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:26:00');
INSERT INTO `sys_job_log` VALUES (44183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:26:05');
INSERT INTO `sys_job_log` VALUES (44184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:26:10');
INSERT INTO `sys_job_log` VALUES (44185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:26:15');
INSERT INTO `sys_job_log` VALUES (44186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 18:26:15');
INSERT INTO `sys_job_log` VALUES (44187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:26:20');
INSERT INTO `sys_job_log` VALUES (44188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:26:25');
INSERT INTO `sys_job_log` VALUES (44189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:26:30');
INSERT INTO `sys_job_log` VALUES (44190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:26:30');
INSERT INTO `sys_job_log` VALUES (44191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:26:35');
INSERT INTO `sys_job_log` VALUES (44192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:26:40');
INSERT INTO `sys_job_log` VALUES (44193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:26:45');
INSERT INTO `sys_job_log` VALUES (44194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:26:45');
INSERT INTO `sys_job_log` VALUES (44195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:26:50');
INSERT INTO `sys_job_log` VALUES (44196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:26:55');
INSERT INTO `sys_job_log` VALUES (44197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:27:00');
INSERT INTO `sys_job_log` VALUES (44198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:27:00');
INSERT INTO `sys_job_log` VALUES (44199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:27:05');
INSERT INTO `sys_job_log` VALUES (44200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:27:10');
INSERT INTO `sys_job_log` VALUES (44201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 18:27:15');
INSERT INTO `sys_job_log` VALUES (44202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 18:27:15');
INSERT INTO `sys_job_log` VALUES (44203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:27:20');
INSERT INTO `sys_job_log` VALUES (44204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:27:25');
INSERT INTO `sys_job_log` VALUES (44205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:27:30');
INSERT INTO `sys_job_log` VALUES (44206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:27:30');
INSERT INTO `sys_job_log` VALUES (44207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:27:35');
INSERT INTO `sys_job_log` VALUES (44208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:27:40');
INSERT INTO `sys_job_log` VALUES (44209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 18:27:45');
INSERT INTO `sys_job_log` VALUES (44210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 18:27:45');
INSERT INTO `sys_job_log` VALUES (44211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:27:50');
INSERT INTO `sys_job_log` VALUES (44212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 18:27:55');
INSERT INTO `sys_job_log` VALUES (44213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:28:00');
INSERT INTO `sys_job_log` VALUES (44214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:00');
INSERT INTO `sys_job_log` VALUES (44215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:28:05');
INSERT INTO `sys_job_log` VALUES (44216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:28:10');
INSERT INTO `sys_job_log` VALUES (44217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:15');
INSERT INTO `sys_job_log` VALUES (44218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:15');
INSERT INTO `sys_job_log` VALUES (44219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:28:20');
INSERT INTO `sys_job_log` VALUES (44220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:28:25');
INSERT INTO `sys_job_log` VALUES (44221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:30');
INSERT INTO `sys_job_log` VALUES (44222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:30');
INSERT INTO `sys_job_log` VALUES (44223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:28:35');
INSERT INTO `sys_job_log` VALUES (44224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:28:40');
INSERT INTO `sys_job_log` VALUES (44225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:45');
INSERT INTO `sys_job_log` VALUES (44226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:45');
INSERT INTO `sys_job_log` VALUES (44227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:28:50');
INSERT INTO `sys_job_log` VALUES (44228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:28:55');
INSERT INTO `sys_job_log` VALUES (44229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:29:00');
INSERT INTO `sys_job_log` VALUES (44230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:29:00');
INSERT INTO `sys_job_log` VALUES (44231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:29:05');
INSERT INTO `sys_job_log` VALUES (44232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:29:10');
INSERT INTO `sys_job_log` VALUES (44233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:29:15');
INSERT INTO `sys_job_log` VALUES (44234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:29:15');
INSERT INTO `sys_job_log` VALUES (44235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:29:20');
INSERT INTO `sys_job_log` VALUES (44236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:29:25');
INSERT INTO `sys_job_log` VALUES (44237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:29:30');
INSERT INTO `sys_job_log` VALUES (44238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:29:30');
INSERT INTO `sys_job_log` VALUES (44239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:29:35');
INSERT INTO `sys_job_log` VALUES (44240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:29:40');
INSERT INTO `sys_job_log` VALUES (44241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:29:45');
INSERT INTO `sys_job_log` VALUES (44242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:29:45');
INSERT INTO `sys_job_log` VALUES (44243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:29:50');
INSERT INTO `sys_job_log` VALUES (44244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:29:55');
INSERT INTO `sys_job_log` VALUES (44245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:00');
INSERT INTO `sys_job_log` VALUES (44246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:30:00');
INSERT INTO `sys_job_log` VALUES (44247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:05');
INSERT INTO `sys_job_log` VALUES (44248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:10');
INSERT INTO `sys_job_log` VALUES (44249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:30:15');
INSERT INTO `sys_job_log` VALUES (44250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:30:15');
INSERT INTO `sys_job_log` VALUES (44251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:30:20');
INSERT INTO `sys_job_log` VALUES (44252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:30:25');
INSERT INTO `sys_job_log` VALUES (44253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:30:30');
INSERT INTO `sys_job_log` VALUES (44254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:30:30');
INSERT INTO `sys_job_log` VALUES (44255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:30:35');
INSERT INTO `sys_job_log` VALUES (44256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:40');
INSERT INTO `sys_job_log` VALUES (44257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:45');
INSERT INTO `sys_job_log` VALUES (44258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:45');
INSERT INTO `sys_job_log` VALUES (44259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 18:30:50');
INSERT INTO `sys_job_log` VALUES (44260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:30:55');
INSERT INTO `sys_job_log` VALUES (44261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:00');
INSERT INTO `sys_job_log` VALUES (44262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:31:00');
INSERT INTO `sys_job_log` VALUES (44263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:05');
INSERT INTO `sys_job_log` VALUES (44264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:10');
INSERT INTO `sys_job_log` VALUES (44265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:15');
INSERT INTO `sys_job_log` VALUES (44266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:15');
INSERT INTO `sys_job_log` VALUES (44267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:20');
INSERT INTO `sys_job_log` VALUES (44268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:25');
INSERT INTO `sys_job_log` VALUES (44269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:31:30');
INSERT INTO `sys_job_log` VALUES (44270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:31:30');
INSERT INTO `sys_job_log` VALUES (44271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:31:35');
INSERT INTO `sys_job_log` VALUES (44272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:31:40');
INSERT INTO `sys_job_log` VALUES (44273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:31:45');
INSERT INTO `sys_job_log` VALUES (44274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:31:45');
INSERT INTO `sys_job_log` VALUES (44275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:31:50');
INSERT INTO `sys_job_log` VALUES (44276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:31:55');
INSERT INTO `sys_job_log` VALUES (44277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:32:00');
INSERT INTO `sys_job_log` VALUES (44278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:32:00');
INSERT INTO `sys_job_log` VALUES (44279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:32:05');
INSERT INTO `sys_job_log` VALUES (44280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 18:32:10');
INSERT INTO `sys_job_log` VALUES (44281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:32:15');
INSERT INTO `sys_job_log` VALUES (44282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:32:15');
INSERT INTO `sys_job_log` VALUES (44283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:32:20');
INSERT INTO `sys_job_log` VALUES (44284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:32:25');
INSERT INTO `sys_job_log` VALUES (44285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:32:30');
INSERT INTO `sys_job_log` VALUES (44286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:32:30');
INSERT INTO `sys_job_log` VALUES (44287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:32:35');
INSERT INTO `sys_job_log` VALUES (44288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:32:40');
INSERT INTO `sys_job_log` VALUES (44289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:32:45');
INSERT INTO `sys_job_log` VALUES (44290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:32:45');
INSERT INTO `sys_job_log` VALUES (44291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:32:50');
INSERT INTO `sys_job_log` VALUES (44292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:32:55');
INSERT INTO `sys_job_log` VALUES (44293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:33:00');
INSERT INTO `sys_job_log` VALUES (44294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:33:00');
INSERT INTO `sys_job_log` VALUES (44295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:33:05');
INSERT INTO `sys_job_log` VALUES (44296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:33:10');
INSERT INTO `sys_job_log` VALUES (44297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:33:15');
INSERT INTO `sys_job_log` VALUES (44298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:33:15');
INSERT INTO `sys_job_log` VALUES (44299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 18:33:20');
INSERT INTO `sys_job_log` VALUES (44300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:33:25');
INSERT INTO `sys_job_log` VALUES (44301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:33:30');
INSERT INTO `sys_job_log` VALUES (44302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:33:30');
INSERT INTO `sys_job_log` VALUES (44303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:33:35');
INSERT INTO `sys_job_log` VALUES (44304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:33:40');
INSERT INTO `sys_job_log` VALUES (44305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:33:45');
INSERT INTO `sys_job_log` VALUES (44306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:33:45');
INSERT INTO `sys_job_log` VALUES (44307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:33:50');
INSERT INTO `sys_job_log` VALUES (44308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:33:55');
INSERT INTO `sys_job_log` VALUES (44309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:34:00');
INSERT INTO `sys_job_log` VALUES (44310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:34:00');
INSERT INTO `sys_job_log` VALUES (44311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:34:05');
INSERT INTO `sys_job_log` VALUES (44312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:34:10');
INSERT INTO `sys_job_log` VALUES (44313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:34:15');
INSERT INTO `sys_job_log` VALUES (44314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:34:15');
INSERT INTO `sys_job_log` VALUES (44315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:34:20');
INSERT INTO `sys_job_log` VALUES (44316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:34:25');
INSERT INTO `sys_job_log` VALUES (44317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 18:34:30');
INSERT INTO `sys_job_log` VALUES (44318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 18:34:30');
INSERT INTO `sys_job_log` VALUES (44319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:34:35');
INSERT INTO `sys_job_log` VALUES (44320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:34:40');
INSERT INTO `sys_job_log` VALUES (44321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:34:45');
INSERT INTO `sys_job_log` VALUES (44322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:34:45');
INSERT INTO `sys_job_log` VALUES (44323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:34:50');
INSERT INTO `sys_job_log` VALUES (44324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:34:55');
INSERT INTO `sys_job_log` VALUES (44325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:35:00');
INSERT INTO `sys_job_log` VALUES (44326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:35:00');
INSERT INTO `sys_job_log` VALUES (44327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:35:05');
INSERT INTO `sys_job_log` VALUES (44328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:35:10');
INSERT INTO `sys_job_log` VALUES (44329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:35:15');
INSERT INTO `sys_job_log` VALUES (44330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:35:15');
INSERT INTO `sys_job_log` VALUES (44331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:35:20');
INSERT INTO `sys_job_log` VALUES (44332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:35:25');
INSERT INTO `sys_job_log` VALUES (44333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 18:35:30');
INSERT INTO `sys_job_log` VALUES (44334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 18:35:30');
INSERT INTO `sys_job_log` VALUES (44335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 18:35:35');
INSERT INTO `sys_job_log` VALUES (44336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:35:40');
INSERT INTO `sys_job_log` VALUES (44337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:35:45');
INSERT INTO `sys_job_log` VALUES (44338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:35:45');
INSERT INTO `sys_job_log` VALUES (44339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:35:50');
INSERT INTO `sys_job_log` VALUES (44340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:35:55');
INSERT INTO `sys_job_log` VALUES (44341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:36:00');
INSERT INTO `sys_job_log` VALUES (44342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:36:00');
INSERT INTO `sys_job_log` VALUES (44343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:36:05');
INSERT INTO `sys_job_log` VALUES (44344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:36:10');
INSERT INTO `sys_job_log` VALUES (44345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:36:15');
INSERT INTO `sys_job_log` VALUES (44346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:36:15');
INSERT INTO `sys_job_log` VALUES (44347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:36:20');
INSERT INTO `sys_job_log` VALUES (44348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:36:25');
INSERT INTO `sys_job_log` VALUES (44349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:36:30');
INSERT INTO `sys_job_log` VALUES (44350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 18:36:30');
INSERT INTO `sys_job_log` VALUES (44351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:36:35');
INSERT INTO `sys_job_log` VALUES (44352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:36:40');
INSERT INTO `sys_job_log` VALUES (44353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:36:45');
INSERT INTO `sys_job_log` VALUES (44354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:36:45');
INSERT INTO `sys_job_log` VALUES (44355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:36:50');
INSERT INTO `sys_job_log` VALUES (44356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:36:55');
INSERT INTO `sys_job_log` VALUES (44357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:37:00');
INSERT INTO `sys_job_log` VALUES (44358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:37:00');
INSERT INTO `sys_job_log` VALUES (44359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:37:05');
INSERT INTO `sys_job_log` VALUES (44360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:37:10');
INSERT INTO `sys_job_log` VALUES (44361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:37:15');
INSERT INTO `sys_job_log` VALUES (44362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:37:15');
INSERT INTO `sys_job_log` VALUES (44363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:37:20');
INSERT INTO `sys_job_log` VALUES (44364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 18:37:25');
INSERT INTO `sys_job_log` VALUES (44365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:37:30');
INSERT INTO `sys_job_log` VALUES (44366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:37:30');
INSERT INTO `sys_job_log` VALUES (44367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:37:35');
INSERT INTO `sys_job_log` VALUES (44368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-01 18:37:40');
INSERT INTO `sys_job_log` VALUES (44369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:37:45');
INSERT INTO `sys_job_log` VALUES (44370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:37:45');
INSERT INTO `sys_job_log` VALUES (44371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:37:50');
INSERT INTO `sys_job_log` VALUES (44372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:37:55');
INSERT INTO `sys_job_log` VALUES (44373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:00');
INSERT INTO `sys_job_log` VALUES (44374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:00');
INSERT INTO `sys_job_log` VALUES (44375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:38:05');
INSERT INTO `sys_job_log` VALUES (44376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:10');
INSERT INTO `sys_job_log` VALUES (44377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:38:15');
INSERT INTO `sys_job_log` VALUES (44378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:38:15');
INSERT INTO `sys_job_log` VALUES (44379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:38:20');
INSERT INTO `sys_job_log` VALUES (44380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:25');
INSERT INTO `sys_job_log` VALUES (44381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:30');
INSERT INTO `sys_job_log` VALUES (44382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:30');
INSERT INTO `sys_job_log` VALUES (44383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:38:35');
INSERT INTO `sys_job_log` VALUES (44384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:38:40');
INSERT INTO `sys_job_log` VALUES (44385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:38:45');
INSERT INTO `sys_job_log` VALUES (44386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:38:45');
INSERT INTO `sys_job_log` VALUES (44387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:38:50');
INSERT INTO `sys_job_log` VALUES (44388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:38:55');
INSERT INTO `sys_job_log` VALUES (44389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:39:00');
INSERT INTO `sys_job_log` VALUES (44390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:39:00');
INSERT INTO `sys_job_log` VALUES (44391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:39:05');
INSERT INTO `sys_job_log` VALUES (44392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:39:10');
INSERT INTO `sys_job_log` VALUES (44393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:39:15');
INSERT INTO `sys_job_log` VALUES (44394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:39:15');
INSERT INTO `sys_job_log` VALUES (44395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:39:20');
INSERT INTO `sys_job_log` VALUES (44396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:39:25');
INSERT INTO `sys_job_log` VALUES (44397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:39:30');
INSERT INTO `sys_job_log` VALUES (44398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:39:30');
INSERT INTO `sys_job_log` VALUES (44399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:39:35');
INSERT INTO `sys_job_log` VALUES (44400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:39:40');
INSERT INTO `sys_job_log` VALUES (44401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:39:45');
INSERT INTO `sys_job_log` VALUES (44402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:39:45');
INSERT INTO `sys_job_log` VALUES (44403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:39:50');
INSERT INTO `sys_job_log` VALUES (44404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:39:55');
INSERT INTO `sys_job_log` VALUES (44405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:40:00');
INSERT INTO `sys_job_log` VALUES (44406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:40:00');
INSERT INTO `sys_job_log` VALUES (44407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:40:05');
INSERT INTO `sys_job_log` VALUES (44408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:40:10');
INSERT INTO `sys_job_log` VALUES (44409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:40:15');
INSERT INTO `sys_job_log` VALUES (44410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:40:15');
INSERT INTO `sys_job_log` VALUES (44411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:40:20');
INSERT INTO `sys_job_log` VALUES (44412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:40:25');
INSERT INTO `sys_job_log` VALUES (44413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:40:30');
INSERT INTO `sys_job_log` VALUES (44414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:40:30');
INSERT INTO `sys_job_log` VALUES (44415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:40:35');
INSERT INTO `sys_job_log` VALUES (44416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:40:40');
INSERT INTO `sys_job_log` VALUES (44417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:40:45');
INSERT INTO `sys_job_log` VALUES (44418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:40:45');
INSERT INTO `sys_job_log` VALUES (44419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:40:50');
INSERT INTO `sys_job_log` VALUES (44420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:40:55');
INSERT INTO `sys_job_log` VALUES (44421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:41:00');
INSERT INTO `sys_job_log` VALUES (44422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:41:00');
INSERT INTO `sys_job_log` VALUES (44423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:41:05');
INSERT INTO `sys_job_log` VALUES (44424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:41:10');
INSERT INTO `sys_job_log` VALUES (44425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:41:15');
INSERT INTO `sys_job_log` VALUES (44426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:41:15');
INSERT INTO `sys_job_log` VALUES (44427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:41:20');
INSERT INTO `sys_job_log` VALUES (44428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2025-01-01 18:41:25');
INSERT INTO `sys_job_log` VALUES (44429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:41:30');
INSERT INTO `sys_job_log` VALUES (44430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:41:30');
INSERT INTO `sys_job_log` VALUES (44431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:41:35');
INSERT INTO `sys_job_log` VALUES (44432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:41:40');
INSERT INTO `sys_job_log` VALUES (44433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:41:45');
INSERT INTO `sys_job_log` VALUES (44434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:41:45');
INSERT INTO `sys_job_log` VALUES (44435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:41:50');
INSERT INTO `sys_job_log` VALUES (44436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:41:55');
INSERT INTO `sys_job_log` VALUES (44437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 18:42:00');
INSERT INTO `sys_job_log` VALUES (44438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 18:42:00');
INSERT INTO `sys_job_log` VALUES (44439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:05');
INSERT INTO `sys_job_log` VALUES (44440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:10');
INSERT INTO `sys_job_log` VALUES (44441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：87毫秒', '0', '', '2025-01-01 18:42:15');
INSERT INTO `sys_job_log` VALUES (44442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：107毫秒', '0', '', '2025-01-01 18:42:15');
INSERT INTO `sys_job_log` VALUES (44443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:42:20');
INSERT INTO `sys_job_log` VALUES (44444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:42:25');
INSERT INTO `sys_job_log` VALUES (44445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:30');
INSERT INTO `sys_job_log` VALUES (44446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:30');
INSERT INTO `sys_job_log` VALUES (44447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:42:35');
INSERT INTO `sys_job_log` VALUES (44448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:42:40');
INSERT INTO `sys_job_log` VALUES (44449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:45');
INSERT INTO `sys_job_log` VALUES (44450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:45');
INSERT INTO `sys_job_log` VALUES (44451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:42:50');
INSERT INTO `sys_job_log` VALUES (44452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:42:55');
INSERT INTO `sys_job_log` VALUES (44453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:43:00');
INSERT INTO `sys_job_log` VALUES (44454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:43:00');
INSERT INTO `sys_job_log` VALUES (44455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:43:05');
INSERT INTO `sys_job_log` VALUES (44456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:43:10');
INSERT INTO `sys_job_log` VALUES (44457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:43:15');
INSERT INTO `sys_job_log` VALUES (44458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:43:15');
INSERT INTO `sys_job_log` VALUES (44459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:43:20');
INSERT INTO `sys_job_log` VALUES (44460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:43:25');
INSERT INTO `sys_job_log` VALUES (44461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:43:30');
INSERT INTO `sys_job_log` VALUES (44462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:43:30');
INSERT INTO `sys_job_log` VALUES (44463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:43:35');
INSERT INTO `sys_job_log` VALUES (44464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:43:40');
INSERT INTO `sys_job_log` VALUES (44465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:43:45');
INSERT INTO `sys_job_log` VALUES (44466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:43:45');
INSERT INTO `sys_job_log` VALUES (44467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:43:50');
INSERT INTO `sys_job_log` VALUES (44468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:43:55');
INSERT INTO `sys_job_log` VALUES (44469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 18:44:00');
INSERT INTO `sys_job_log` VALUES (44470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:44:00');
INSERT INTO `sys_job_log` VALUES (44471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:44:05');
INSERT INTO `sys_job_log` VALUES (44472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:44:10');
INSERT INTO `sys_job_log` VALUES (44473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:44:15');
INSERT INTO `sys_job_log` VALUES (44474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:44:15');
INSERT INTO `sys_job_log` VALUES (44475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:44:20');
INSERT INTO `sys_job_log` VALUES (44476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:44:25');
INSERT INTO `sys_job_log` VALUES (44477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:44:30');
INSERT INTO `sys_job_log` VALUES (44478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:44:30');
INSERT INTO `sys_job_log` VALUES (44479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:44:35');
INSERT INTO `sys_job_log` VALUES (44480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:44:40');
INSERT INTO `sys_job_log` VALUES (44481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:44:45');
INSERT INTO `sys_job_log` VALUES (44482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:44:45');
INSERT INTO `sys_job_log` VALUES (44483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:44:50');
INSERT INTO `sys_job_log` VALUES (44484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:44:55');
INSERT INTO `sys_job_log` VALUES (44485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:45:00');
INSERT INTO `sys_job_log` VALUES (44486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:45:00');
INSERT INTO `sys_job_log` VALUES (44487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:45:05');
INSERT INTO `sys_job_log` VALUES (44488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:45:10');
INSERT INTO `sys_job_log` VALUES (44489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:45:15');
INSERT INTO `sys_job_log` VALUES (44490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:45:15');
INSERT INTO `sys_job_log` VALUES (44491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2025-01-01 18:45:20');
INSERT INTO `sys_job_log` VALUES (44492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:45:25');
INSERT INTO `sys_job_log` VALUES (44493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:45:30');
INSERT INTO `sys_job_log` VALUES (44494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:45:30');
INSERT INTO `sys_job_log` VALUES (44495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:45:35');
INSERT INTO `sys_job_log` VALUES (44496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:45:40');
INSERT INTO `sys_job_log` VALUES (44497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:45:45');
INSERT INTO `sys_job_log` VALUES (44498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:45:45');
INSERT INTO `sys_job_log` VALUES (44499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:45:50');
INSERT INTO `sys_job_log` VALUES (44500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:45:55');
INSERT INTO `sys_job_log` VALUES (44501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:46:00');
INSERT INTO `sys_job_log` VALUES (44502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:46:00');
INSERT INTO `sys_job_log` VALUES (44503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:46:05');
INSERT INTO `sys_job_log` VALUES (44504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:46:10');
INSERT INTO `sys_job_log` VALUES (44505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:46:15');
INSERT INTO `sys_job_log` VALUES (44506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:46:15');
INSERT INTO `sys_job_log` VALUES (44507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:46:20');
INSERT INTO `sys_job_log` VALUES (44508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:46:25');
INSERT INTO `sys_job_log` VALUES (44509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:46:30');
INSERT INTO `sys_job_log` VALUES (44510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:46:30');
INSERT INTO `sys_job_log` VALUES (44511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:46:35');
INSERT INTO `sys_job_log` VALUES (44512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:46:40');
INSERT INTO `sys_job_log` VALUES (44513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2025-01-01 18:46:45');
INSERT INTO `sys_job_log` VALUES (44514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-01 18:46:45');
INSERT INTO `sys_job_log` VALUES (44515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:46:50');
INSERT INTO `sys_job_log` VALUES (44516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:46:55');
INSERT INTO `sys_job_log` VALUES (44517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:00');
INSERT INTO `sys_job_log` VALUES (44518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:00');
INSERT INTO `sys_job_log` VALUES (44519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:47:05');
INSERT INTO `sys_job_log` VALUES (44520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:47:10');
INSERT INTO `sys_job_log` VALUES (44521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:15');
INSERT INTO `sys_job_log` VALUES (44522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:15');
INSERT INTO `sys_job_log` VALUES (44523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:47:20');
INSERT INTO `sys_job_log` VALUES (44524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:47:25');
INSERT INTO `sys_job_log` VALUES (44525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:47:30');
INSERT INTO `sys_job_log` VALUES (44526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:47:30');
INSERT INTO `sys_job_log` VALUES (44527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:35');
INSERT INTO `sys_job_log` VALUES (44528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:47:40');
INSERT INTO `sys_job_log` VALUES (44529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:47:45');
INSERT INTO `sys_job_log` VALUES (44530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:47:45');
INSERT INTO `sys_job_log` VALUES (44531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:50');
INSERT INTO `sys_job_log` VALUES (44532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:47:55');
INSERT INTO `sys_job_log` VALUES (44533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:48:00');
INSERT INTO `sys_job_log` VALUES (44534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:48:00');
INSERT INTO `sys_job_log` VALUES (44535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:48:05');
INSERT INTO `sys_job_log` VALUES (44536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:48:10');
INSERT INTO `sys_job_log` VALUES (44537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:48:15');
INSERT INTO `sys_job_log` VALUES (44538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:48:15');
INSERT INTO `sys_job_log` VALUES (44539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:48:20');
INSERT INTO `sys_job_log` VALUES (44540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:48:25');
INSERT INTO `sys_job_log` VALUES (44541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:48:30');
INSERT INTO `sys_job_log` VALUES (44542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:48:30');
INSERT INTO `sys_job_log` VALUES (44543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:48:35');
INSERT INTO `sys_job_log` VALUES (44544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:48:40');
INSERT INTO `sys_job_log` VALUES (44545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:48:45');
INSERT INTO `sys_job_log` VALUES (44546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:48:45');
INSERT INTO `sys_job_log` VALUES (44547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 18:48:50');
INSERT INTO `sys_job_log` VALUES (44548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2025-01-01 18:48:55');
INSERT INTO `sys_job_log` VALUES (44549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 18:49:00');
INSERT INTO `sys_job_log` VALUES (44550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 18:49:00');
INSERT INTO `sys_job_log` VALUES (44551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:49:05');
INSERT INTO `sys_job_log` VALUES (44552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:49:10');
INSERT INTO `sys_job_log` VALUES (44553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:49:15');
INSERT INTO `sys_job_log` VALUES (44554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:49:15');
INSERT INTO `sys_job_log` VALUES (44555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:49:20');
INSERT INTO `sys_job_log` VALUES (44556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-01 18:49:25');
INSERT INTO `sys_job_log` VALUES (44557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:49:30');
INSERT INTO `sys_job_log` VALUES (44558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:49:30');
INSERT INTO `sys_job_log` VALUES (44559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:49:35');
INSERT INTO `sys_job_log` VALUES (44560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:49:40');
INSERT INTO `sys_job_log` VALUES (44561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:49:45');
INSERT INTO `sys_job_log` VALUES (44562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:49:45');
INSERT INTO `sys_job_log` VALUES (44563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:49:50');
INSERT INTO `sys_job_log` VALUES (44564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:49:55');
INSERT INTO `sys_job_log` VALUES (44565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:50:00');
INSERT INTO `sys_job_log` VALUES (44566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:50:00');
INSERT INTO `sys_job_log` VALUES (44567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:50:05');
INSERT INTO `sys_job_log` VALUES (44568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 18:50:10');
INSERT INTO `sys_job_log` VALUES (44569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:50:15');
INSERT INTO `sys_job_log` VALUES (44570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:50:15');
INSERT INTO `sys_job_log` VALUES (44571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:50:20');
INSERT INTO `sys_job_log` VALUES (44572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:50:25');
INSERT INTO `sys_job_log` VALUES (44573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:50:30');
INSERT INTO `sys_job_log` VALUES (44574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:50:30');
INSERT INTO `sys_job_log` VALUES (44575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:50:35');
INSERT INTO `sys_job_log` VALUES (44576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:50:40');
INSERT INTO `sys_job_log` VALUES (44577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:50:45');
INSERT INTO `sys_job_log` VALUES (44578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:50:45');
INSERT INTO `sys_job_log` VALUES (44579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:50:50');
INSERT INTO `sys_job_log` VALUES (44580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:50:55');
INSERT INTO `sys_job_log` VALUES (44581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:51:00');
INSERT INTO `sys_job_log` VALUES (44582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:51:00');
INSERT INTO `sys_job_log` VALUES (44583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:51:05');
INSERT INTO `sys_job_log` VALUES (44584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:51:10');
INSERT INTO `sys_job_log` VALUES (44585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:51:15');
INSERT INTO `sys_job_log` VALUES (44586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:51:15');
INSERT INTO `sys_job_log` VALUES (44587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 18:51:20');
INSERT INTO `sys_job_log` VALUES (44588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:51:25');
INSERT INTO `sys_job_log` VALUES (44589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:51:30');
INSERT INTO `sys_job_log` VALUES (44590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:51:30');
INSERT INTO `sys_job_log` VALUES (44591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 18:51:35');
INSERT INTO `sys_job_log` VALUES (44592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:51:40');
INSERT INTO `sys_job_log` VALUES (44593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:51:45');
INSERT INTO `sys_job_log` VALUES (44594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:51:45');
INSERT INTO `sys_job_log` VALUES (44595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:51:50');
INSERT INTO `sys_job_log` VALUES (44596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:51:55');
INSERT INTO `sys_job_log` VALUES (44597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:52:00');
INSERT INTO `sys_job_log` VALUES (44598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:52:00');
INSERT INTO `sys_job_log` VALUES (44599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 18:52:05');
INSERT INTO `sys_job_log` VALUES (44600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:52:10');
INSERT INTO `sys_job_log` VALUES (44601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:52:15');
INSERT INTO `sys_job_log` VALUES (44602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:52:15');
INSERT INTO `sys_job_log` VALUES (44603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:52:20');
INSERT INTO `sys_job_log` VALUES (44604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:52:25');
INSERT INTO `sys_job_log` VALUES (44605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:52:30');
INSERT INTO `sys_job_log` VALUES (44606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:52:30');
INSERT INTO `sys_job_log` VALUES (44607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:52:35');
INSERT INTO `sys_job_log` VALUES (44608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:52:40');
INSERT INTO `sys_job_log` VALUES (44609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:52:45');
INSERT INTO `sys_job_log` VALUES (44610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:52:45');
INSERT INTO `sys_job_log` VALUES (44611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:52:50');
INSERT INTO `sys_job_log` VALUES (44612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:52:55');
INSERT INTO `sys_job_log` VALUES (44613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:53:00');
INSERT INTO `sys_job_log` VALUES (44614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:53:00');
INSERT INTO `sys_job_log` VALUES (44615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:53:05');
INSERT INTO `sys_job_log` VALUES (44616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 18:53:10');
INSERT INTO `sys_job_log` VALUES (44617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-01 18:53:15');
INSERT INTO `sys_job_log` VALUES (44618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2025-01-01 18:53:15');
INSERT INTO `sys_job_log` VALUES (44619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:53:20');
INSERT INTO `sys_job_log` VALUES (44620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:53:25');
INSERT INTO `sys_job_log` VALUES (44621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:53:30');
INSERT INTO `sys_job_log` VALUES (44622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:53:30');
INSERT INTO `sys_job_log` VALUES (44623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:53:35');
INSERT INTO `sys_job_log` VALUES (44624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:53:40');
INSERT INTO `sys_job_log` VALUES (44625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:53:45');
INSERT INTO `sys_job_log` VALUES (44626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:53:45');
INSERT INTO `sys_job_log` VALUES (44627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:53:50');
INSERT INTO `sys_job_log` VALUES (44628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-01 18:53:55');
INSERT INTO `sys_job_log` VALUES (44629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:00');
INSERT INTO `sys_job_log` VALUES (44630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:00');
INSERT INTO `sys_job_log` VALUES (44631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:54:05');
INSERT INTO `sys_job_log` VALUES (44632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 18:54:10');
INSERT INTO `sys_job_log` VALUES (44633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:15');
INSERT INTO `sys_job_log` VALUES (44634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:15');
INSERT INTO `sys_job_log` VALUES (44635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2025-01-01 18:54:20');
INSERT INTO `sys_job_log` VALUES (44636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:25');
INSERT INTO `sys_job_log` VALUES (44637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 18:54:30');
INSERT INTO `sys_job_log` VALUES (44638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:30');
INSERT INTO `sys_job_log` VALUES (44639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:54:35');
INSERT INTO `sys_job_log` VALUES (44640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:54:40');
INSERT INTO `sys_job_log` VALUES (44641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:54:45');
INSERT INTO `sys_job_log` VALUES (44642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:54:45');
INSERT INTO `sys_job_log` VALUES (44643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：91毫秒', '0', '', '2025-01-01 18:54:50');
INSERT INTO `sys_job_log` VALUES (44644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:54:55');
INSERT INTO `sys_job_log` VALUES (44645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:55:00');
INSERT INTO `sys_job_log` VALUES (44646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:55:00');
INSERT INTO `sys_job_log` VALUES (44647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 18:55:05');
INSERT INTO `sys_job_log` VALUES (44648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:55:10');
INSERT INTO `sys_job_log` VALUES (44649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:55:15');
INSERT INTO `sys_job_log` VALUES (44650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:55:15');
INSERT INTO `sys_job_log` VALUES (44651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:55:20');
INSERT INTO `sys_job_log` VALUES (44652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:55:25');
INSERT INTO `sys_job_log` VALUES (44653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 18:55:30');
INSERT INTO `sys_job_log` VALUES (44654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 18:55:30');
INSERT INTO `sys_job_log` VALUES (44655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:55:35');
INSERT INTO `sys_job_log` VALUES (44656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-01 18:55:40');
INSERT INTO `sys_job_log` VALUES (44657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:55:45');
INSERT INTO `sys_job_log` VALUES (44658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:55:45');
INSERT INTO `sys_job_log` VALUES (44659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:55:50');
INSERT INTO `sys_job_log` VALUES (44660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:55:55');
INSERT INTO `sys_job_log` VALUES (44661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:56:00');
INSERT INTO `sys_job_log` VALUES (44662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:56:00');
INSERT INTO `sys_job_log` VALUES (44663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:56:05');
INSERT INTO `sys_job_log` VALUES (44664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:56:10');
INSERT INTO `sys_job_log` VALUES (44665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：664毫秒', '0', '', '2025-01-01 18:56:15');
INSERT INTO `sys_job_log` VALUES (44666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：664毫秒', '0', '', '2025-01-01 18:56:15');
INSERT INTO `sys_job_log` VALUES (44667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:56:20');
INSERT INTO `sys_job_log` VALUES (44668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:56:25');
INSERT INTO `sys_job_log` VALUES (44669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:56:30');
INSERT INTO `sys_job_log` VALUES (44670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 18:56:30');
INSERT INTO `sys_job_log` VALUES (44671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:56:35');
INSERT INTO `sys_job_log` VALUES (44672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:56:40');
INSERT INTO `sys_job_log` VALUES (44673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:56:45');
INSERT INTO `sys_job_log` VALUES (44674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1796毫秒', '0', '', '2025-01-01 18:56:46');
INSERT INTO `sys_job_log` VALUES (44675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:56:50');
INSERT INTO `sys_job_log` VALUES (44676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:56:55');
INSERT INTO `sys_job_log` VALUES (44677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:57:00');
INSERT INTO `sys_job_log` VALUES (44678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:57:00');
INSERT INTO `sys_job_log` VALUES (44679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:57:05');
INSERT INTO `sys_job_log` VALUES (44680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:57:10');
INSERT INTO `sys_job_log` VALUES (44681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:57:15');
INSERT INTO `sys_job_log` VALUES (44682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:57:15');
INSERT INTO `sys_job_log` VALUES (44683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:57:20');
INSERT INTO `sys_job_log` VALUES (44684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 18:57:25');
INSERT INTO `sys_job_log` VALUES (44685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:57:30');
INSERT INTO `sys_job_log` VALUES (44686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 18:57:30');
INSERT INTO `sys_job_log` VALUES (44687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:57:35');
INSERT INTO `sys_job_log` VALUES (44688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:57:40');
INSERT INTO `sys_job_log` VALUES (44689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 18:57:45');
INSERT INTO `sys_job_log` VALUES (44690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 18:57:45');
INSERT INTO `sys_job_log` VALUES (44691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:57:50');
INSERT INTO `sys_job_log` VALUES (44692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:57:55');
INSERT INTO `sys_job_log` VALUES (44693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 18:58:00');
INSERT INTO `sys_job_log` VALUES (44694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:58:00');
INSERT INTO `sys_job_log` VALUES (44695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:58:05');
INSERT INTO `sys_job_log` VALUES (44696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:58:10');
INSERT INTO `sys_job_log` VALUES (44697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 18:58:15');
INSERT INTO `sys_job_log` VALUES (44698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:58:15');
INSERT INTO `sys_job_log` VALUES (44699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 18:58:20');
INSERT INTO `sys_job_log` VALUES (44700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:58:25');
INSERT INTO `sys_job_log` VALUES (44701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 18:58:30');
INSERT INTO `sys_job_log` VALUES (44702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:58:30');
INSERT INTO `sys_job_log` VALUES (44703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 18:58:35');
INSERT INTO `sys_job_log` VALUES (44704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:58:40');
INSERT INTO `sys_job_log` VALUES (44705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:58:45');
INSERT INTO `sys_job_log` VALUES (44706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:58:45');
INSERT INTO `sys_job_log` VALUES (44707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:58:50');
INSERT INTO `sys_job_log` VALUES (44708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:58:55');
INSERT INTO `sys_job_log` VALUES (44709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:59:00');
INSERT INTO `sys_job_log` VALUES (44710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:59:00');
INSERT INTO `sys_job_log` VALUES (44711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 18:59:05');
INSERT INTO `sys_job_log` VALUES (44712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2025-01-01 18:59:10');
INSERT INTO `sys_job_log` VALUES (44713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2025-01-01 18:59:15');
INSERT INTO `sys_job_log` VALUES (44714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2025-01-01 18:59:15');
INSERT INTO `sys_job_log` VALUES (44715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：192毫秒', '0', '', '2025-01-01 18:59:20');
INSERT INTO `sys_job_log` VALUES (44716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 18:59:25');
INSERT INTO `sys_job_log` VALUES (44717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 18:59:30');
INSERT INTO `sys_job_log` VALUES (44718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 18:59:30');
INSERT INTO `sys_job_log` VALUES (44719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:59:35');
INSERT INTO `sys_job_log` VALUES (44720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 18:59:40');
INSERT INTO `sys_job_log` VALUES (44721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 18:59:45');
INSERT INTO `sys_job_log` VALUES (44722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 18:59:45');
INSERT INTO `sys_job_log` VALUES (44723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:59:50');
INSERT INTO `sys_job_log` VALUES (44724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 18:59:55');
INSERT INTO `sys_job_log` VALUES (44725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:00:00');
INSERT INTO `sys_job_log` VALUES (44726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:00:00');
INSERT INTO `sys_job_log` VALUES (44727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:00:05');
INSERT INTO `sys_job_log` VALUES (44728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:00:10');
INSERT INTO `sys_job_log` VALUES (44729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:00:15');
INSERT INTO `sys_job_log` VALUES (44730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:00:15');
INSERT INTO `sys_job_log` VALUES (44731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:00:20');
INSERT INTO `sys_job_log` VALUES (44732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:00:25');
INSERT INTO `sys_job_log` VALUES (44733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:00:30');
INSERT INTO `sys_job_log` VALUES (44734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:00:30');
INSERT INTO `sys_job_log` VALUES (44735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:00:35');
INSERT INTO `sys_job_log` VALUES (44736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:00:40');
INSERT INTO `sys_job_log` VALUES (44737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:00:45');
INSERT INTO `sys_job_log` VALUES (44738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:00:45');
INSERT INTO `sys_job_log` VALUES (44739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:00:50');
INSERT INTO `sys_job_log` VALUES (44740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:00:55');
INSERT INTO `sys_job_log` VALUES (44741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:01:00');
INSERT INTO `sys_job_log` VALUES (44742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:01:00');
INSERT INTO `sys_job_log` VALUES (44743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:01:05');
INSERT INTO `sys_job_log` VALUES (44744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:01:10');
INSERT INTO `sys_job_log` VALUES (44745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:01:15');
INSERT INTO `sys_job_log` VALUES (44746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:01:15');
INSERT INTO `sys_job_log` VALUES (44747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:01:20');
INSERT INTO `sys_job_log` VALUES (44748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:01:25');
INSERT INTO `sys_job_log` VALUES (44749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:01:30');
INSERT INTO `sys_job_log` VALUES (44750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:01:30');
INSERT INTO `sys_job_log` VALUES (44751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:01:35');
INSERT INTO `sys_job_log` VALUES (44752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:01:40');
INSERT INTO `sys_job_log` VALUES (44753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:01:45');
INSERT INTO `sys_job_log` VALUES (44754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:01:45');
INSERT INTO `sys_job_log` VALUES (44755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:01:50');
INSERT INTO `sys_job_log` VALUES (44756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：237毫秒', '0', '', '2025-01-01 19:01:55');
INSERT INTO `sys_job_log` VALUES (44757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:00');
INSERT INTO `sys_job_log` VALUES (44758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:00');
INSERT INTO `sys_job_log` VALUES (44759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:02:05');
INSERT INTO `sys_job_log` VALUES (44760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:10');
INSERT INTO `sys_job_log` VALUES (44761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:02:15');
INSERT INTO `sys_job_log` VALUES (44762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:02:15');
INSERT INTO `sys_job_log` VALUES (44763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 19:02:20');
INSERT INTO `sys_job_log` VALUES (44764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:25');
INSERT INTO `sys_job_log` VALUES (44765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：114毫秒', '0', '', '2025-01-01 19:02:30');
INSERT INTO `sys_job_log` VALUES (44766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：112毫秒', '0', '', '2025-01-01 19:02:30');
INSERT INTO `sys_job_log` VALUES (44767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:02:35');
INSERT INTO `sys_job_log` VALUES (44768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:40');
INSERT INTO `sys_job_log` VALUES (44769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 19:02:45');
INSERT INTO `sys_job_log` VALUES (44770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:02:45');
INSERT INTO `sys_job_log` VALUES (44771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:50');
INSERT INTO `sys_job_log` VALUES (44772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:02:55');
INSERT INTO `sys_job_log` VALUES (44773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:03:00');
INSERT INTO `sys_job_log` VALUES (44774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:03:00');
INSERT INTO `sys_job_log` VALUES (44775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:03:05');
INSERT INTO `sys_job_log` VALUES (44776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:03:10');
INSERT INTO `sys_job_log` VALUES (44777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:03:15');
INSERT INTO `sys_job_log` VALUES (44778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:03:15');
INSERT INTO `sys_job_log` VALUES (44779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:03:20');
INSERT INTO `sys_job_log` VALUES (44780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:03:25');
INSERT INTO `sys_job_log` VALUES (44781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 19:03:30');
INSERT INTO `sys_job_log` VALUES (44782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:03:30');
INSERT INTO `sys_job_log` VALUES (44783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:03:35');
INSERT INTO `sys_job_log` VALUES (44784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:03:40');
INSERT INTO `sys_job_log` VALUES (44785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:03:45');
INSERT INTO `sys_job_log` VALUES (44786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:03:45');
INSERT INTO `sys_job_log` VALUES (44787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-01 19:03:50');
INSERT INTO `sys_job_log` VALUES (44788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:03:55');
INSERT INTO `sys_job_log` VALUES (44789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:04:00');
INSERT INTO `sys_job_log` VALUES (44790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:04:00');
INSERT INTO `sys_job_log` VALUES (44791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:04:05');
INSERT INTO `sys_job_log` VALUES (44792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:04:10');
INSERT INTO `sys_job_log` VALUES (44793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:04:15');
INSERT INTO `sys_job_log` VALUES (44794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:04:15');
INSERT INTO `sys_job_log` VALUES (44795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:04:20');
INSERT INTO `sys_job_log` VALUES (44796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:04:25');
INSERT INTO `sys_job_log` VALUES (44797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:04:30');
INSERT INTO `sys_job_log` VALUES (44798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:04:30');
INSERT INTO `sys_job_log` VALUES (44799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:04:35');
INSERT INTO `sys_job_log` VALUES (44800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 19:04:40');
INSERT INTO `sys_job_log` VALUES (44801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:04:45');
INSERT INTO `sys_job_log` VALUES (44802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:04:45');
INSERT INTO `sys_job_log` VALUES (44803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:04:50');
INSERT INTO `sys_job_log` VALUES (44804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:04:55');
INSERT INTO `sys_job_log` VALUES (44805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:05:00');
INSERT INTO `sys_job_log` VALUES (44806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:05:00');
INSERT INTO `sys_job_log` VALUES (44807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:05:05');
INSERT INTO `sys_job_log` VALUES (44808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:05:10');
INSERT INTO `sys_job_log` VALUES (44809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:05:15');
INSERT INTO `sys_job_log` VALUES (44810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:05:15');
INSERT INTO `sys_job_log` VALUES (44811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:05:20');
INSERT INTO `sys_job_log` VALUES (44812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:05:25');
INSERT INTO `sys_job_log` VALUES (44813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:05:30');
INSERT INTO `sys_job_log` VALUES (44814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:05:30');
INSERT INTO `sys_job_log` VALUES (44815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 19:05:35');
INSERT INTO `sys_job_log` VALUES (44816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:05:40');
INSERT INTO `sys_job_log` VALUES (44817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:05:45');
INSERT INTO `sys_job_log` VALUES (44818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:05:45');
INSERT INTO `sys_job_log` VALUES (44819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-01 19:05:50');
INSERT INTO `sys_job_log` VALUES (44820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:05:55');
INSERT INTO `sys_job_log` VALUES (44821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:06:00');
INSERT INTO `sys_job_log` VALUES (44822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:06:00');
INSERT INTO `sys_job_log` VALUES (44823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:06:05');
INSERT INTO `sys_job_log` VALUES (44824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:06:10');
INSERT INTO `sys_job_log` VALUES (44825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:06:15');
INSERT INTO `sys_job_log` VALUES (44826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:06:15');
INSERT INTO `sys_job_log` VALUES (44827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:06:20');
INSERT INTO `sys_job_log` VALUES (44828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:06:25');
INSERT INTO `sys_job_log` VALUES (44829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-01 19:06:30');
INSERT INTO `sys_job_log` VALUES (44830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2025-01-01 19:06:30');
INSERT INTO `sys_job_log` VALUES (44831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:06:35');
INSERT INTO `sys_job_log` VALUES (44832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:06:40');
INSERT INTO `sys_job_log` VALUES (44833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:06:45');
INSERT INTO `sys_job_log` VALUES (44834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 19:06:45');
INSERT INTO `sys_job_log` VALUES (44835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-01 19:06:50');
INSERT INTO `sys_job_log` VALUES (44836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:06:55');
INSERT INTO `sys_job_log` VALUES (44837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:07:00');
INSERT INTO `sys_job_log` VALUES (44838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:07:00');
INSERT INTO `sys_job_log` VALUES (44839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:07:05');
INSERT INTO `sys_job_log` VALUES (44840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:07:10');
INSERT INTO `sys_job_log` VALUES (44841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:07:15');
INSERT INTO `sys_job_log` VALUES (44842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:07:15');
INSERT INTO `sys_job_log` VALUES (44843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:07:20');
INSERT INTO `sys_job_log` VALUES (44844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:07:25');
INSERT INTO `sys_job_log` VALUES (44845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:07:30');
INSERT INTO `sys_job_log` VALUES (44846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:07:30');
INSERT INTO `sys_job_log` VALUES (44847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:07:35');
INSERT INTO `sys_job_log` VALUES (44848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:07:40');
INSERT INTO `sys_job_log` VALUES (44849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:07:45');
INSERT INTO `sys_job_log` VALUES (44850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:07:45');
INSERT INTO `sys_job_log` VALUES (44851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:07:50');
INSERT INTO `sys_job_log` VALUES (44852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:07:55');
INSERT INTO `sys_job_log` VALUES (44853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:08:00');
INSERT INTO `sys_job_log` VALUES (44854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:08:00');
INSERT INTO `sys_job_log` VALUES (44855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:08:05');
INSERT INTO `sys_job_log` VALUES (44856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:08:10');
INSERT INTO `sys_job_log` VALUES (44857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:08:15');
INSERT INTO `sys_job_log` VALUES (44858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:08:15');
INSERT INTO `sys_job_log` VALUES (44859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:08:20');
INSERT INTO `sys_job_log` VALUES (44860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:08:25');
INSERT INTO `sys_job_log` VALUES (44861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:08:30');
INSERT INTO `sys_job_log` VALUES (44862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:08:30');
INSERT INTO `sys_job_log` VALUES (44863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:08:35');
INSERT INTO `sys_job_log` VALUES (44864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:08:40');
INSERT INTO `sys_job_log` VALUES (44865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 19:08:45');
INSERT INTO `sys_job_log` VALUES (44866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:08:45');
INSERT INTO `sys_job_log` VALUES (44867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:08:50');
INSERT INTO `sys_job_log` VALUES (44868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:08:55');
INSERT INTO `sys_job_log` VALUES (44869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:09:00');
INSERT INTO `sys_job_log` VALUES (44870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:09:00');
INSERT INTO `sys_job_log` VALUES (44871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:09:05');
INSERT INTO `sys_job_log` VALUES (44872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:09:10');
INSERT INTO `sys_job_log` VALUES (44873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:09:15');
INSERT INTO `sys_job_log` VALUES (44874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:09:15');
INSERT INTO `sys_job_log` VALUES (44875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:09:20');
INSERT INTO `sys_job_log` VALUES (44876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:09:25');
INSERT INTO `sys_job_log` VALUES (44877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:09:30');
INSERT INTO `sys_job_log` VALUES (44878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:09:30');
INSERT INTO `sys_job_log` VALUES (44879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:09:35');
INSERT INTO `sys_job_log` VALUES (44880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:09:40');
INSERT INTO `sys_job_log` VALUES (44881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:09:45');
INSERT INTO `sys_job_log` VALUES (44882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:09:45');
INSERT INTO `sys_job_log` VALUES (44883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:09:50');
INSERT INTO `sys_job_log` VALUES (44884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:09:55');
INSERT INTO `sys_job_log` VALUES (44885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 19:10:00');
INSERT INTO `sys_job_log` VALUES (44886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:10:00');
INSERT INTO `sys_job_log` VALUES (44887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:10:05');
INSERT INTO `sys_job_log` VALUES (44888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1792毫秒', '0', '', '2025-01-01 19:10:11');
INSERT INTO `sys_job_log` VALUES (44889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:10:15');
INSERT INTO `sys_job_log` VALUES (44890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:10:15');
INSERT INTO `sys_job_log` VALUES (44891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:10:20');
INSERT INTO `sys_job_log` VALUES (44892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:10:25');
INSERT INTO `sys_job_log` VALUES (44893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:10:30');
INSERT INTO `sys_job_log` VALUES (44894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:10:30');
INSERT INTO `sys_job_log` VALUES (44895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:10:35');
INSERT INTO `sys_job_log` VALUES (44896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:10:40');
INSERT INTO `sys_job_log` VALUES (44897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:10:45');
INSERT INTO `sys_job_log` VALUES (44898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:10:45');
INSERT INTO `sys_job_log` VALUES (44899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:10:50');
INSERT INTO `sys_job_log` VALUES (44900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:10:55');
INSERT INTO `sys_job_log` VALUES (44901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:11:00');
INSERT INTO `sys_job_log` VALUES (44902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1794毫秒', '0', '', '2025-01-01 19:11:01');
INSERT INTO `sys_job_log` VALUES (44903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:11:05');
INSERT INTO `sys_job_log` VALUES (44904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:11:10');
INSERT INTO `sys_job_log` VALUES (44905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:11:15');
INSERT INTO `sys_job_log` VALUES (44906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:11:15');
INSERT INTO `sys_job_log` VALUES (44907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:11:20');
INSERT INTO `sys_job_log` VALUES (44908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:11:25');
INSERT INTO `sys_job_log` VALUES (44909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:11:30');
INSERT INTO `sys_job_log` VALUES (44910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:11:30');
INSERT INTO `sys_job_log` VALUES (44911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 19:11:35');
INSERT INTO `sys_job_log` VALUES (44912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:11:40');
INSERT INTO `sys_job_log` VALUES (44913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：342毫秒', '0', '', '2025-01-01 19:11:45');
INSERT INTO `sys_job_log` VALUES (44914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：342毫秒', '0', '', '2025-01-01 19:11:45');
INSERT INTO `sys_job_log` VALUES (44915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:11:50');
INSERT INTO `sys_job_log` VALUES (44916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:11:55');
INSERT INTO `sys_job_log` VALUES (44917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:12:00');
INSERT INTO `sys_job_log` VALUES (44918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 19:12:00');
INSERT INTO `sys_job_log` VALUES (44919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:12:05');
INSERT INTO `sys_job_log` VALUES (44920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:12:10');
INSERT INTO `sys_job_log` VALUES (44921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:12:15');
INSERT INTO `sys_job_log` VALUES (44922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:12:15');
INSERT INTO `sys_job_log` VALUES (44923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:12:20');
INSERT INTO `sys_job_log` VALUES (44924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:12:25');
INSERT INTO `sys_job_log` VALUES (44925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:12:30');
INSERT INTO `sys_job_log` VALUES (44926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:12:30');
INSERT INTO `sys_job_log` VALUES (44927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:12:35');
INSERT INTO `sys_job_log` VALUES (44928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:12:40');
INSERT INTO `sys_job_log` VALUES (44929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:12:45');
INSERT INTO `sys_job_log` VALUES (44930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:12:45');
INSERT INTO `sys_job_log` VALUES (44931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:12:50');
INSERT INTO `sys_job_log` VALUES (44932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:12:55');
INSERT INTO `sys_job_log` VALUES (44933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:13:00');
INSERT INTO `sys_job_log` VALUES (44934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:13:00');
INSERT INTO `sys_job_log` VALUES (44935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:13:05');
INSERT INTO `sys_job_log` VALUES (44936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:13:10');
INSERT INTO `sys_job_log` VALUES (44937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:13:15');
INSERT INTO `sys_job_log` VALUES (44938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:13:15');
INSERT INTO `sys_job_log` VALUES (44939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:13:20');
INSERT INTO `sys_job_log` VALUES (44940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:13:25');
INSERT INTO `sys_job_log` VALUES (44941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:13:30');
INSERT INTO `sys_job_log` VALUES (44942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:13:30');
INSERT INTO `sys_job_log` VALUES (44943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:13:35');
INSERT INTO `sys_job_log` VALUES (44944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 19:13:40');
INSERT INTO `sys_job_log` VALUES (44945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:13:45');
INSERT INTO `sys_job_log` VALUES (44946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 19:13:45');
INSERT INTO `sys_job_log` VALUES (44947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:13:50');
INSERT INTO `sys_job_log` VALUES (44948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:13:55');
INSERT INTO `sys_job_log` VALUES (44949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:14:00');
INSERT INTO `sys_job_log` VALUES (44950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:14:00');
INSERT INTO `sys_job_log` VALUES (44951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:14:05');
INSERT INTO `sys_job_log` VALUES (44952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:14:10');
INSERT INTO `sys_job_log` VALUES (44953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:14:15');
INSERT INTO `sys_job_log` VALUES (44954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:14:15');
INSERT INTO `sys_job_log` VALUES (44955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:14:20');
INSERT INTO `sys_job_log` VALUES (44956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:14:25');
INSERT INTO `sys_job_log` VALUES (44957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2025-01-01 19:14:30');
INSERT INTO `sys_job_log` VALUES (44958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2025-01-01 19:14:30');
INSERT INTO `sys_job_log` VALUES (44959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:14:35');
INSERT INTO `sys_job_log` VALUES (44960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:14:40');
INSERT INTO `sys_job_log` VALUES (44961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:14:45');
INSERT INTO `sys_job_log` VALUES (44962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:14:45');
INSERT INTO `sys_job_log` VALUES (44963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:14:50');
INSERT INTO `sys_job_log` VALUES (44964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:14:55');
INSERT INTO `sys_job_log` VALUES (44965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 19:15:00');
INSERT INTO `sys_job_log` VALUES (44966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:15:00');
INSERT INTO `sys_job_log` VALUES (44967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 19:15:05');
INSERT INTO `sys_job_log` VALUES (44968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:15:10');
INSERT INTO `sys_job_log` VALUES (44969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:15:15');
INSERT INTO `sys_job_log` VALUES (44970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:15:15');
INSERT INTO `sys_job_log` VALUES (44971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:15:20');
INSERT INTO `sys_job_log` VALUES (44972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:15:25');
INSERT INTO `sys_job_log` VALUES (44973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:15:30');
INSERT INTO `sys_job_log` VALUES (44974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:15:30');
INSERT INTO `sys_job_log` VALUES (44975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:15:35');
INSERT INTO `sys_job_log` VALUES (44976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:15:40');
INSERT INTO `sys_job_log` VALUES (44977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:15:45');
INSERT INTO `sys_job_log` VALUES (44978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:15:45');
INSERT INTO `sys_job_log` VALUES (44979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:15:50');
INSERT INTO `sys_job_log` VALUES (44980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:15:55');
INSERT INTO `sys_job_log` VALUES (44981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:16:00');
INSERT INTO `sys_job_log` VALUES (44982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:16:00');
INSERT INTO `sys_job_log` VALUES (44983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:16:05');
INSERT INTO `sys_job_log` VALUES (44984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2025-01-01 19:16:10');
INSERT INTO `sys_job_log` VALUES (44985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:16:15');
INSERT INTO `sys_job_log` VALUES (44986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:16:15');
INSERT INTO `sys_job_log` VALUES (44987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:16:20');
INSERT INTO `sys_job_log` VALUES (44988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:16:25');
INSERT INTO `sys_job_log` VALUES (44989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:16:30');
INSERT INTO `sys_job_log` VALUES (44990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:16:30');
INSERT INTO `sys_job_log` VALUES (44991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-01 19:16:35');
INSERT INTO `sys_job_log` VALUES (44992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:16:40');
INSERT INTO `sys_job_log` VALUES (44993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:16:45');
INSERT INTO `sys_job_log` VALUES (44994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:16:45');
INSERT INTO `sys_job_log` VALUES (44995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:16:50');
INSERT INTO `sys_job_log` VALUES (44996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:16:55');
INSERT INTO `sys_job_log` VALUES (44997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 19:17:00');
INSERT INTO `sys_job_log` VALUES (44998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:17:00');
INSERT INTO `sys_job_log` VALUES (44999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:17:05');
INSERT INTO `sys_job_log` VALUES (45000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:17:10');
INSERT INTO `sys_job_log` VALUES (45001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:17:15');
INSERT INTO `sys_job_log` VALUES (45002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:17:15');
INSERT INTO `sys_job_log` VALUES (45003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:17:20');
INSERT INTO `sys_job_log` VALUES (45004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:17:25');
INSERT INTO `sys_job_log` VALUES (45005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:17:30');
INSERT INTO `sys_job_log` VALUES (45006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:17:30');
INSERT INTO `sys_job_log` VALUES (45007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:17:35');
INSERT INTO `sys_job_log` VALUES (45008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:17:40');
INSERT INTO `sys_job_log` VALUES (45009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:17:45');
INSERT INTO `sys_job_log` VALUES (45010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:17:45');
INSERT INTO `sys_job_log` VALUES (45011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:17:50');
INSERT INTO `sys_job_log` VALUES (45012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:17:55');
INSERT INTO `sys_job_log` VALUES (45013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:18:00');
INSERT INTO `sys_job_log` VALUES (45014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:18:00');
INSERT INTO `sys_job_log` VALUES (45015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:18:05');
INSERT INTO `sys_job_log` VALUES (45016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:18:10');
INSERT INTO `sys_job_log` VALUES (45017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:18:15');
INSERT INTO `sys_job_log` VALUES (45018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:18:15');
INSERT INTO `sys_job_log` VALUES (45019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:18:20');
INSERT INTO `sys_job_log` VALUES (45020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:18:25');
INSERT INTO `sys_job_log` VALUES (45021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 19:18:30');
INSERT INTO `sys_job_log` VALUES (45022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:18:30');
INSERT INTO `sys_job_log` VALUES (45023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:18:35');
INSERT INTO `sys_job_log` VALUES (45024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:18:40');
INSERT INTO `sys_job_log` VALUES (45025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:18:45');
INSERT INTO `sys_job_log` VALUES (45026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:18:45');
INSERT INTO `sys_job_log` VALUES (45027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:18:50');
INSERT INTO `sys_job_log` VALUES (45028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:18:55');
INSERT INTO `sys_job_log` VALUES (45029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:19:00');
INSERT INTO `sys_job_log` VALUES (45030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:19:00');
INSERT INTO `sys_job_log` VALUES (45031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:19:05');
INSERT INTO `sys_job_log` VALUES (45032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:19:10');
INSERT INTO `sys_job_log` VALUES (45033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:19:15');
INSERT INTO `sys_job_log` VALUES (45034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:19:15');
INSERT INTO `sys_job_log` VALUES (45035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:19:20');
INSERT INTO `sys_job_log` VALUES (45036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:19:25');
INSERT INTO `sys_job_log` VALUES (45037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:19:30');
INSERT INTO `sys_job_log` VALUES (45038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:19:30');
INSERT INTO `sys_job_log` VALUES (45039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:19:35');
INSERT INTO `sys_job_log` VALUES (45040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:19:40');
INSERT INTO `sys_job_log` VALUES (45041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：346毫秒', '0', '', '2025-01-01 19:19:45');
INSERT INTO `sys_job_log` VALUES (45042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：345毫秒', '0', '', '2025-01-01 19:19:45');
INSERT INTO `sys_job_log` VALUES (45043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:19:50');
INSERT INTO `sys_job_log` VALUES (45044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:19:55');
INSERT INTO `sys_job_log` VALUES (45045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:20:00');
INSERT INTO `sys_job_log` VALUES (45046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:20:00');
INSERT INTO `sys_job_log` VALUES (45047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:20:05');
INSERT INTO `sys_job_log` VALUES (45048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:20:10');
INSERT INTO `sys_job_log` VALUES (45049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:20:15');
INSERT INTO `sys_job_log` VALUES (45050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:20:15');
INSERT INTO `sys_job_log` VALUES (45051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:20:20');
INSERT INTO `sys_job_log` VALUES (45052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:20:25');
INSERT INTO `sys_job_log` VALUES (45053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:20:30');
INSERT INTO `sys_job_log` VALUES (45054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:20:30');
INSERT INTO `sys_job_log` VALUES (45055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:20:35');
INSERT INTO `sys_job_log` VALUES (45056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:20:40');
INSERT INTO `sys_job_log` VALUES (45057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:20:45');
INSERT INTO `sys_job_log` VALUES (45058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:20:45');
INSERT INTO `sys_job_log` VALUES (45059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:20:50');
INSERT INTO `sys_job_log` VALUES (45060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 19:20:55');
INSERT INTO `sys_job_log` VALUES (45061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:21:00');
INSERT INTO `sys_job_log` VALUES (45062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:21:00');
INSERT INTO `sys_job_log` VALUES (45063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:21:05');
INSERT INTO `sys_job_log` VALUES (45064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:21:10');
INSERT INTO `sys_job_log` VALUES (45065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:21:15');
INSERT INTO `sys_job_log` VALUES (45066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:21:15');
INSERT INTO `sys_job_log` VALUES (45067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:21:20');
INSERT INTO `sys_job_log` VALUES (45068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:21:25');
INSERT INTO `sys_job_log` VALUES (45069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:21:30');
INSERT INTO `sys_job_log` VALUES (45070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:21:30');
INSERT INTO `sys_job_log` VALUES (45071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-01 19:21:35');
INSERT INTO `sys_job_log` VALUES (45072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:21:40');
INSERT INTO `sys_job_log` VALUES (45073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:21:45');
INSERT INTO `sys_job_log` VALUES (45074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:21:45');
INSERT INTO `sys_job_log` VALUES (45075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:21:50');
INSERT INTO `sys_job_log` VALUES (45076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:21:55');
INSERT INTO `sys_job_log` VALUES (45077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:22:00');
INSERT INTO `sys_job_log` VALUES (45078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:22:00');
INSERT INTO `sys_job_log` VALUES (45079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-01 19:22:05');
INSERT INTO `sys_job_log` VALUES (45080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:22:10');
INSERT INTO `sys_job_log` VALUES (45081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:22:15');
INSERT INTO `sys_job_log` VALUES (45082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:22:15');
INSERT INTO `sys_job_log` VALUES (45083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:22:20');
INSERT INTO `sys_job_log` VALUES (45084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:22:25');
INSERT INTO `sys_job_log` VALUES (45085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:22:30');
INSERT INTO `sys_job_log` VALUES (45086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:22:30');
INSERT INTO `sys_job_log` VALUES (45087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:22:35');
INSERT INTO `sys_job_log` VALUES (45088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:22:40');
INSERT INTO `sys_job_log` VALUES (45089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:22:45');
INSERT INTO `sys_job_log` VALUES (45090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:22:45');
INSERT INTO `sys_job_log` VALUES (45091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:22:50');
INSERT INTO `sys_job_log` VALUES (45092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:22:55');
INSERT INTO `sys_job_log` VALUES (45093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:23:00');
INSERT INTO `sys_job_log` VALUES (45094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:23:00');
INSERT INTO `sys_job_log` VALUES (45095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:23:05');
INSERT INTO `sys_job_log` VALUES (45096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:23:10');
INSERT INTO `sys_job_log` VALUES (45097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:23:15');
INSERT INTO `sys_job_log` VALUES (45098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:23:15');
INSERT INTO `sys_job_log` VALUES (45099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:23:20');
INSERT INTO `sys_job_log` VALUES (45100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:23:25');
INSERT INTO `sys_job_log` VALUES (45101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:23:30');
INSERT INTO `sys_job_log` VALUES (45102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:23:30');
INSERT INTO `sys_job_log` VALUES (45103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:23:35');
INSERT INTO `sys_job_log` VALUES (45104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:23:40');
INSERT INTO `sys_job_log` VALUES (45105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:23:45');
INSERT INTO `sys_job_log` VALUES (45106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:23:45');
INSERT INTO `sys_job_log` VALUES (45107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:23:50');
INSERT INTO `sys_job_log` VALUES (45108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:23:55');
INSERT INTO `sys_job_log` VALUES (45109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:24:00');
INSERT INTO `sys_job_log` VALUES (45110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:24:00');
INSERT INTO `sys_job_log` VALUES (45111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:24:05');
INSERT INTO `sys_job_log` VALUES (45112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:24:10');
INSERT INTO `sys_job_log` VALUES (45113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 19:24:15');
INSERT INTO `sys_job_log` VALUES (45114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 19:24:15');
INSERT INTO `sys_job_log` VALUES (45115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:24:20');
INSERT INTO `sys_job_log` VALUES (45116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:24:25');
INSERT INTO `sys_job_log` VALUES (45117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:24:30');
INSERT INTO `sys_job_log` VALUES (45118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 19:24:30');
INSERT INTO `sys_job_log` VALUES (45119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:24:35');
INSERT INTO `sys_job_log` VALUES (45120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:24:40');
INSERT INTO `sys_job_log` VALUES (45121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：116毫秒', '0', '', '2025-01-01 19:24:45');
INSERT INTO `sys_job_log` VALUES (45122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：219毫秒', '0', '', '2025-01-01 19:24:45');
INSERT INTO `sys_job_log` VALUES (45123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-01 19:24:50');
INSERT INTO `sys_job_log` VALUES (45124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:24:55');
INSERT INTO `sys_job_log` VALUES (45125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:25:00');
INSERT INTO `sys_job_log` VALUES (45126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:25:00');
INSERT INTO `sys_job_log` VALUES (45127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2025-01-01 19:25:05');
INSERT INTO `sys_job_log` VALUES (45128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:25:10');
INSERT INTO `sys_job_log` VALUES (45129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:25:15');
INSERT INTO `sys_job_log` VALUES (45130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:25:15');
INSERT INTO `sys_job_log` VALUES (45131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:25:20');
INSERT INTO `sys_job_log` VALUES (45132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:25:25');
INSERT INTO `sys_job_log` VALUES (45133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:25:30');
INSERT INTO `sys_job_log` VALUES (45134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:25:30');
INSERT INTO `sys_job_log` VALUES (45135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:25:35');
INSERT INTO `sys_job_log` VALUES (45136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:25:40');
INSERT INTO `sys_job_log` VALUES (45137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:25:45');
INSERT INTO `sys_job_log` VALUES (45138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:25:45');
INSERT INTO `sys_job_log` VALUES (45139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:25:50');
INSERT INTO `sys_job_log` VALUES (45140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:25:55');
INSERT INTO `sys_job_log` VALUES (45141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:26:00');
INSERT INTO `sys_job_log` VALUES (45142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 19:26:00');
INSERT INTO `sys_job_log` VALUES (45143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:26:05');
INSERT INTO `sys_job_log` VALUES (45144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:26:10');
INSERT INTO `sys_job_log` VALUES (45145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:26:15');
INSERT INTO `sys_job_log` VALUES (45146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:26:15');
INSERT INTO `sys_job_log` VALUES (45147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:26:20');
INSERT INTO `sys_job_log` VALUES (45148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:26:25');
INSERT INTO `sys_job_log` VALUES (45149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:26:30');
INSERT INTO `sys_job_log` VALUES (45150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:26:30');
INSERT INTO `sys_job_log` VALUES (45151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:26:35');
INSERT INTO `sys_job_log` VALUES (45152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:26:40');
INSERT INTO `sys_job_log` VALUES (45153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:26:45');
INSERT INTO `sys_job_log` VALUES (45154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:26:45');
INSERT INTO `sys_job_log` VALUES (45155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:26:50');
INSERT INTO `sys_job_log` VALUES (45156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:26:55');
INSERT INTO `sys_job_log` VALUES (45157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:27:00');
INSERT INTO `sys_job_log` VALUES (45158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:27:00');
INSERT INTO `sys_job_log` VALUES (45159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:27:05');
INSERT INTO `sys_job_log` VALUES (45160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:27:10');
INSERT INTO `sys_job_log` VALUES (45161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 19:27:15');
INSERT INTO `sys_job_log` VALUES (45162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 19:27:15');
INSERT INTO `sys_job_log` VALUES (45163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 19:27:20');
INSERT INTO `sys_job_log` VALUES (45164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 19:27:25');
INSERT INTO `sys_job_log` VALUES (45165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:27:30');
INSERT INTO `sys_job_log` VALUES (45166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:27:30');
INSERT INTO `sys_job_log` VALUES (45167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:27:35');
INSERT INTO `sys_job_log` VALUES (45168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:27:40');
INSERT INTO `sys_job_log` VALUES (45169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:27:45');
INSERT INTO `sys_job_log` VALUES (45170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:27:45');
INSERT INTO `sys_job_log` VALUES (45171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:27:50');
INSERT INTO `sys_job_log` VALUES (45172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:27:55');
INSERT INTO `sys_job_log` VALUES (45173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 19:28:00');
INSERT INTO `sys_job_log` VALUES (45174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:28:00');
INSERT INTO `sys_job_log` VALUES (45175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:28:05');
INSERT INTO `sys_job_log` VALUES (45176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:28:10');
INSERT INTO `sys_job_log` VALUES (45177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 19:28:15');
INSERT INTO `sys_job_log` VALUES (45178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:28:15');
INSERT INTO `sys_job_log` VALUES (45179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:28:20');
INSERT INTO `sys_job_log` VALUES (45180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:28:25');
INSERT INTO `sys_job_log` VALUES (45181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:28:30');
INSERT INTO `sys_job_log` VALUES (45182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:28:30');
INSERT INTO `sys_job_log` VALUES (45183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:28:35');
INSERT INTO `sys_job_log` VALUES (45184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:28:40');
INSERT INTO `sys_job_log` VALUES (45185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:28:45');
INSERT INTO `sys_job_log` VALUES (45186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:28:45');
INSERT INTO `sys_job_log` VALUES (45187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:28:50');
INSERT INTO `sys_job_log` VALUES (45188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:28:55');
INSERT INTO `sys_job_log` VALUES (45189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:29:00');
INSERT INTO `sys_job_log` VALUES (45190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:29:00');
INSERT INTO `sys_job_log` VALUES (45191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:29:05');
INSERT INTO `sys_job_log` VALUES (45192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:29:10');
INSERT INTO `sys_job_log` VALUES (45193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:29:15');
INSERT INTO `sys_job_log` VALUES (45194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:29:15');
INSERT INTO `sys_job_log` VALUES (45195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:29:20');
INSERT INTO `sys_job_log` VALUES (45196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:29:25');
INSERT INTO `sys_job_log` VALUES (45197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:29:30');
INSERT INTO `sys_job_log` VALUES (45198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:29:30');
INSERT INTO `sys_job_log` VALUES (45199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:29:35');
INSERT INTO `sys_job_log` VALUES (45200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:29:40');
INSERT INTO `sys_job_log` VALUES (45201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:29:45');
INSERT INTO `sys_job_log` VALUES (45202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:29:45');
INSERT INTO `sys_job_log` VALUES (45203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:29:50');
INSERT INTO `sys_job_log` VALUES (45204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:29:55');
INSERT INTO `sys_job_log` VALUES (45205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 19:30:00');
INSERT INTO `sys_job_log` VALUES (45206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 19:30:00');
INSERT INTO `sys_job_log` VALUES (45207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:30:05');
INSERT INTO `sys_job_log` VALUES (45208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:30:10');
INSERT INTO `sys_job_log` VALUES (45209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:30:15');
INSERT INTO `sys_job_log` VALUES (45210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:30:15');
INSERT INTO `sys_job_log` VALUES (45211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:30:20');
INSERT INTO `sys_job_log` VALUES (45212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:30:25');
INSERT INTO `sys_job_log` VALUES (45213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:30:30');
INSERT INTO `sys_job_log` VALUES (45214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:30:30');
INSERT INTO `sys_job_log` VALUES (45215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:30:35');
INSERT INTO `sys_job_log` VALUES (45216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:30:40');
INSERT INTO `sys_job_log` VALUES (45217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:30:45');
INSERT INTO `sys_job_log` VALUES (45218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:30:45');
INSERT INTO `sys_job_log` VALUES (45219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:30:50');
INSERT INTO `sys_job_log` VALUES (45220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:30:55');
INSERT INTO `sys_job_log` VALUES (45221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:31:00');
INSERT INTO `sys_job_log` VALUES (45222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:31:00');
INSERT INTO `sys_job_log` VALUES (45223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:31:05');
INSERT INTO `sys_job_log` VALUES (45224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:31:10');
INSERT INTO `sys_job_log` VALUES (45225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:31:15');
INSERT INTO `sys_job_log` VALUES (45226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:31:15');
INSERT INTO `sys_job_log` VALUES (45227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:31:20');
INSERT INTO `sys_job_log` VALUES (45228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:31:25');
INSERT INTO `sys_job_log` VALUES (45229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:31:30');
INSERT INTO `sys_job_log` VALUES (45230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:31:30');
INSERT INTO `sys_job_log` VALUES (45231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:31:35');
INSERT INTO `sys_job_log` VALUES (45232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:31:40');
INSERT INTO `sys_job_log` VALUES (45233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:31:45');
INSERT INTO `sys_job_log` VALUES (45234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:31:45');
INSERT INTO `sys_job_log` VALUES (45235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:31:50');
INSERT INTO `sys_job_log` VALUES (45236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:31:55');
INSERT INTO `sys_job_log` VALUES (45237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:32:00');
INSERT INTO `sys_job_log` VALUES (45238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:32:00');
INSERT INTO `sys_job_log` VALUES (45239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:32:05');
INSERT INTO `sys_job_log` VALUES (45240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:32:10');
INSERT INTO `sys_job_log` VALUES (45241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:32:15');
INSERT INTO `sys_job_log` VALUES (45242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:32:15');
INSERT INTO `sys_job_log` VALUES (45243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:32:20');
INSERT INTO `sys_job_log` VALUES (45244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:32:25');
INSERT INTO `sys_job_log` VALUES (45245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:32:30');
INSERT INTO `sys_job_log` VALUES (45246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:32:30');
INSERT INTO `sys_job_log` VALUES (45247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:32:35');
INSERT INTO `sys_job_log` VALUES (45248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:32:40');
INSERT INTO `sys_job_log` VALUES (45249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:32:45');
INSERT INTO `sys_job_log` VALUES (45250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:32:45');
INSERT INTO `sys_job_log` VALUES (45251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:32:50');
INSERT INTO `sys_job_log` VALUES (45252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:32:55');
INSERT INTO `sys_job_log` VALUES (45253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:33:00');
INSERT INTO `sys_job_log` VALUES (45254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:33:00');
INSERT INTO `sys_job_log` VALUES (45255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-01 19:33:05');
INSERT INTO `sys_job_log` VALUES (45256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 19:33:10');
INSERT INTO `sys_job_log` VALUES (45257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:33:15');
INSERT INTO `sys_job_log` VALUES (45258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:33:15');
INSERT INTO `sys_job_log` VALUES (45259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:33:20');
INSERT INTO `sys_job_log` VALUES (45260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:33:25');
INSERT INTO `sys_job_log` VALUES (45261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:33:30');
INSERT INTO `sys_job_log` VALUES (45262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:33:30');
INSERT INTO `sys_job_log` VALUES (45263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:33:35');
INSERT INTO `sys_job_log` VALUES (45264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:33:40');
INSERT INTO `sys_job_log` VALUES (45265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:33:45');
INSERT INTO `sys_job_log` VALUES (45266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:33:45');
INSERT INTO `sys_job_log` VALUES (45267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:33:50');
INSERT INTO `sys_job_log` VALUES (45268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:33:55');
INSERT INTO `sys_job_log` VALUES (45269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:34:00');
INSERT INTO `sys_job_log` VALUES (45270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:34:00');
INSERT INTO `sys_job_log` VALUES (45271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:34:05');
INSERT INTO `sys_job_log` VALUES (45272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 19:34:10');
INSERT INTO `sys_job_log` VALUES (45273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 19:34:15');
INSERT INTO `sys_job_log` VALUES (45274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:34:15');
INSERT INTO `sys_job_log` VALUES (45275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:34:20');
INSERT INTO `sys_job_log` VALUES (45276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:34:25');
INSERT INTO `sys_job_log` VALUES (45277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:34:30');
INSERT INTO `sys_job_log` VALUES (45278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:34:30');
INSERT INTO `sys_job_log` VALUES (45279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:34:35');
INSERT INTO `sys_job_log` VALUES (45280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:34:40');
INSERT INTO `sys_job_log` VALUES (45281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:34:45');
INSERT INTO `sys_job_log` VALUES (45282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:34:45');
INSERT INTO `sys_job_log` VALUES (45283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:34:50');
INSERT INTO `sys_job_log` VALUES (45284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:34:55');
INSERT INTO `sys_job_log` VALUES (45285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:35:00');
INSERT INTO `sys_job_log` VALUES (45286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:35:00');
INSERT INTO `sys_job_log` VALUES (45287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:35:05');
INSERT INTO `sys_job_log` VALUES (45288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:35:10');
INSERT INTO `sys_job_log` VALUES (45289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:35:15');
INSERT INTO `sys_job_log` VALUES (45290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:35:15');
INSERT INTO `sys_job_log` VALUES (45291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:35:20');
INSERT INTO `sys_job_log` VALUES (45292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:35:25');
INSERT INTO `sys_job_log` VALUES (45293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:35:30');
INSERT INTO `sys_job_log` VALUES (45294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:35:30');
INSERT INTO `sys_job_log` VALUES (45295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:35:35');
INSERT INTO `sys_job_log` VALUES (45296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:35:40');
INSERT INTO `sys_job_log` VALUES (45297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:35:45');
INSERT INTO `sys_job_log` VALUES (45298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:35:45');
INSERT INTO `sys_job_log` VALUES (45299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:35:50');
INSERT INTO `sys_job_log` VALUES (45300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:35:55');
INSERT INTO `sys_job_log` VALUES (45301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:36:00');
INSERT INTO `sys_job_log` VALUES (45302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:36:00');
INSERT INTO `sys_job_log` VALUES (45303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:36:05');
INSERT INTO `sys_job_log` VALUES (45304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:36:10');
INSERT INTO `sys_job_log` VALUES (45305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:36:15');
INSERT INTO `sys_job_log` VALUES (45306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:36:15');
INSERT INTO `sys_job_log` VALUES (45307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:36:20');
INSERT INTO `sys_job_log` VALUES (45308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:36:25');
INSERT INTO `sys_job_log` VALUES (45309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:36:30');
INSERT INTO `sys_job_log` VALUES (45310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:36:30');
INSERT INTO `sys_job_log` VALUES (45311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:36:35');
INSERT INTO `sys_job_log` VALUES (45312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:36:40');
INSERT INTO `sys_job_log` VALUES (45313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:36:45');
INSERT INTO `sys_job_log` VALUES (45314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1817毫秒', '0', '', '2025-01-01 19:36:46');
INSERT INTO `sys_job_log` VALUES (45315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:36:50');
INSERT INTO `sys_job_log` VALUES (45316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:36:55');
INSERT INTO `sys_job_log` VALUES (45317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2025-01-01 19:37:00');
INSERT INTO `sys_job_log` VALUES (45318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：92毫秒', '0', '', '2025-01-01 19:37:00');
INSERT INTO `sys_job_log` VALUES (45319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:37:05');
INSERT INTO `sys_job_log` VALUES (45320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:37:10');
INSERT INTO `sys_job_log` VALUES (45321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:37:15');
INSERT INTO `sys_job_log` VALUES (45322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:37:15');
INSERT INTO `sys_job_log` VALUES (45323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:37:20');
INSERT INTO `sys_job_log` VALUES (45324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:37:25');
INSERT INTO `sys_job_log` VALUES (45325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:37:30');
INSERT INTO `sys_job_log` VALUES (45326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:37:30');
INSERT INTO `sys_job_log` VALUES (45327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:37:35');
INSERT INTO `sys_job_log` VALUES (45328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:37:40');
INSERT INTO `sys_job_log` VALUES (45329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:37:45');
INSERT INTO `sys_job_log` VALUES (45330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:37:45');
INSERT INTO `sys_job_log` VALUES (45331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:37:50');
INSERT INTO `sys_job_log` VALUES (45332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:37:55');
INSERT INTO `sys_job_log` VALUES (45333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:38:00');
INSERT INTO `sys_job_log` VALUES (45334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:38:00');
INSERT INTO `sys_job_log` VALUES (45335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:38:05');
INSERT INTO `sys_job_log` VALUES (45336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:38:10');
INSERT INTO `sys_job_log` VALUES (45337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 19:38:15');
INSERT INTO `sys_job_log` VALUES (45338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 19:38:15');
INSERT INTO `sys_job_log` VALUES (45339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:38:20');
INSERT INTO `sys_job_log` VALUES (45340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:38:25');
INSERT INTO `sys_job_log` VALUES (45341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 19:38:30');
INSERT INTO `sys_job_log` VALUES (45342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:38:30');
INSERT INTO `sys_job_log` VALUES (45343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:38:35');
INSERT INTO `sys_job_log` VALUES (45344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:38:40');
INSERT INTO `sys_job_log` VALUES (45345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 19:38:45');
INSERT INTO `sys_job_log` VALUES (45346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2025-01-01 19:38:45');
INSERT INTO `sys_job_log` VALUES (45347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:38:50');
INSERT INTO `sys_job_log` VALUES (45348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:38:55');
INSERT INTO `sys_job_log` VALUES (45349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:39:00');
INSERT INTO `sys_job_log` VALUES (45350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:39:00');
INSERT INTO `sys_job_log` VALUES (45351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:39:05');
INSERT INTO `sys_job_log` VALUES (45352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:39:10');
INSERT INTO `sys_job_log` VALUES (45353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:39:15');
INSERT INTO `sys_job_log` VALUES (45354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:39:15');
INSERT INTO `sys_job_log` VALUES (45355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:39:20');
INSERT INTO `sys_job_log` VALUES (45356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:39:25');
INSERT INTO `sys_job_log` VALUES (45357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:39:30');
INSERT INTO `sys_job_log` VALUES (45358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:39:30');
INSERT INTO `sys_job_log` VALUES (45359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:39:35');
INSERT INTO `sys_job_log` VALUES (45360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:39:40');
INSERT INTO `sys_job_log` VALUES (45361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:39:45');
INSERT INTO `sys_job_log` VALUES (45362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:39:45');
INSERT INTO `sys_job_log` VALUES (45363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:39:50');
INSERT INTO `sys_job_log` VALUES (45364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:39:55');
INSERT INTO `sys_job_log` VALUES (45365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-01 19:40:00');
INSERT INTO `sys_job_log` VALUES (45366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:40:00');
INSERT INTO `sys_job_log` VALUES (45367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:40:05');
INSERT INTO `sys_job_log` VALUES (45368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:40:10');
INSERT INTO `sys_job_log` VALUES (45369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:40:15');
INSERT INTO `sys_job_log` VALUES (45370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:40:15');
INSERT INTO `sys_job_log` VALUES (45371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:40:20');
INSERT INTO `sys_job_log` VALUES (45372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:40:25');
INSERT INTO `sys_job_log` VALUES (45373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:40:30');
INSERT INTO `sys_job_log` VALUES (45374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:40:30');
INSERT INTO `sys_job_log` VALUES (45375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:40:35');
INSERT INTO `sys_job_log` VALUES (45376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:40:40');
INSERT INTO `sys_job_log` VALUES (45377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:40:45');
INSERT INTO `sys_job_log` VALUES (45378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:40:45');
INSERT INTO `sys_job_log` VALUES (45379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:40:50');
INSERT INTO `sys_job_log` VALUES (45380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:40:55');
INSERT INTO `sys_job_log` VALUES (45381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:41:00');
INSERT INTO `sys_job_log` VALUES (45382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:41:00');
INSERT INTO `sys_job_log` VALUES (45383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:41:05');
INSERT INTO `sys_job_log` VALUES (45384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:41:10');
INSERT INTO `sys_job_log` VALUES (45385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:41:15');
INSERT INTO `sys_job_log` VALUES (45386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:41:15');
INSERT INTO `sys_job_log` VALUES (45387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:41:20');
INSERT INTO `sys_job_log` VALUES (45388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:41:25');
INSERT INTO `sys_job_log` VALUES (45389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:41:30');
INSERT INTO `sys_job_log` VALUES (45390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:41:30');
INSERT INTO `sys_job_log` VALUES (45391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:41:35');
INSERT INTO `sys_job_log` VALUES (45392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:41:40');
INSERT INTO `sys_job_log` VALUES (45393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 19:41:45');
INSERT INTO `sys_job_log` VALUES (45394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 19:41:45');
INSERT INTO `sys_job_log` VALUES (45395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:41:50');
INSERT INTO `sys_job_log` VALUES (45396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:41:55');
INSERT INTO `sys_job_log` VALUES (45397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:42:00');
INSERT INTO `sys_job_log` VALUES (45398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:42:00');
INSERT INTO `sys_job_log` VALUES (45399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:42:05');
INSERT INTO `sys_job_log` VALUES (45400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:42:10');
INSERT INTO `sys_job_log` VALUES (45401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:42:15');
INSERT INTO `sys_job_log` VALUES (45402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:42:15');
INSERT INTO `sys_job_log` VALUES (45403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:42:20');
INSERT INTO `sys_job_log` VALUES (45404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1774毫秒', '0', '', '2025-01-01 19:42:26');
INSERT INTO `sys_job_log` VALUES (45405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:42:30');
INSERT INTO `sys_job_log` VALUES (45406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 19:42:30');
INSERT INTO `sys_job_log` VALUES (45407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:42:35');
INSERT INTO `sys_job_log` VALUES (45408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:42:40');
INSERT INTO `sys_job_log` VALUES (45409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:42:45');
INSERT INTO `sys_job_log` VALUES (45410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:42:45');
INSERT INTO `sys_job_log` VALUES (45411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 19:42:50');
INSERT INTO `sys_job_log` VALUES (45412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:42:55');
INSERT INTO `sys_job_log` VALUES (45413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 19:43:00');
INSERT INTO `sys_job_log` VALUES (45414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:43:00');
INSERT INTO `sys_job_log` VALUES (45415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:43:05');
INSERT INTO `sys_job_log` VALUES (45416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:43:10');
INSERT INTO `sys_job_log` VALUES (45417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 19:43:15');
INSERT INTO `sys_job_log` VALUES (45418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:43:15');
INSERT INTO `sys_job_log` VALUES (45419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:43:20');
INSERT INTO `sys_job_log` VALUES (45420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:43:25');
INSERT INTO `sys_job_log` VALUES (45421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:43:30');
INSERT INTO `sys_job_log` VALUES (45422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 19:43:30');
INSERT INTO `sys_job_log` VALUES (45423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:43:35');
INSERT INTO `sys_job_log` VALUES (45424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:43:40');
INSERT INTO `sys_job_log` VALUES (45425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:43:45');
INSERT INTO `sys_job_log` VALUES (45426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:43:45');
INSERT INTO `sys_job_log` VALUES (45427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:43:50');
INSERT INTO `sys_job_log` VALUES (45428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:43:55');
INSERT INTO `sys_job_log` VALUES (45429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:44:00');
INSERT INTO `sys_job_log` VALUES (45430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:44:00');
INSERT INTO `sys_job_log` VALUES (45431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:44:05');
INSERT INTO `sys_job_log` VALUES (45432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:44:10');
INSERT INTO `sys_job_log` VALUES (45433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 19:44:15');
INSERT INTO `sys_job_log` VALUES (45434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:44:15');
INSERT INTO `sys_job_log` VALUES (45435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:44:20');
INSERT INTO `sys_job_log` VALUES (45436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 19:44:25');
INSERT INTO `sys_job_log` VALUES (45437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:44:30');
INSERT INTO `sys_job_log` VALUES (45438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:44:30');
INSERT INTO `sys_job_log` VALUES (45439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:44:35');
INSERT INTO `sys_job_log` VALUES (45440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:44:40');
INSERT INTO `sys_job_log` VALUES (45441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 19:44:45');
INSERT INTO `sys_job_log` VALUES (45442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:44:45');
INSERT INTO `sys_job_log` VALUES (45443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:44:50');
INSERT INTO `sys_job_log` VALUES (45444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:44:55');
INSERT INTO `sys_job_log` VALUES (45445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:45:00');
INSERT INTO `sys_job_log` VALUES (45446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:45:00');
INSERT INTO `sys_job_log` VALUES (45447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:45:05');
INSERT INTO `sys_job_log` VALUES (45448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:45:10');
INSERT INTO `sys_job_log` VALUES (45449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:45:15');
INSERT INTO `sys_job_log` VALUES (45450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:45:15');
INSERT INTO `sys_job_log` VALUES (45451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:45:20');
INSERT INTO `sys_job_log` VALUES (45452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:45:25');
INSERT INTO `sys_job_log` VALUES (45453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:45:30');
INSERT INTO `sys_job_log` VALUES (45454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:45:30');
INSERT INTO `sys_job_log` VALUES (45455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:45:35');
INSERT INTO `sys_job_log` VALUES (45456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:45:40');
INSERT INTO `sys_job_log` VALUES (45457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:45:45');
INSERT INTO `sys_job_log` VALUES (45458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:45:45');
INSERT INTO `sys_job_log` VALUES (45459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:45:50');
INSERT INTO `sys_job_log` VALUES (45460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:45:55');
INSERT INTO `sys_job_log` VALUES (45461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:46:00');
INSERT INTO `sys_job_log` VALUES (45462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:46:00');
INSERT INTO `sys_job_log` VALUES (45463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:46:05');
INSERT INTO `sys_job_log` VALUES (45464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:46:10');
INSERT INTO `sys_job_log` VALUES (45465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:46:15');
INSERT INTO `sys_job_log` VALUES (45466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:46:15');
INSERT INTO `sys_job_log` VALUES (45467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:46:20');
INSERT INTO `sys_job_log` VALUES (45468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:46:25');
INSERT INTO `sys_job_log` VALUES (45469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:46:30');
INSERT INTO `sys_job_log` VALUES (45470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:46:30');
INSERT INTO `sys_job_log` VALUES (45471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:46:35');
INSERT INTO `sys_job_log` VALUES (45472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:46:40');
INSERT INTO `sys_job_log` VALUES (45473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:46:45');
INSERT INTO `sys_job_log` VALUES (45474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:46:45');
INSERT INTO `sys_job_log` VALUES (45475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:46:50');
INSERT INTO `sys_job_log` VALUES (45476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:46:55');
INSERT INTO `sys_job_log` VALUES (45477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:47:00');
INSERT INTO `sys_job_log` VALUES (45478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:47:00');
INSERT INTO `sys_job_log` VALUES (45479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-01 19:47:05');
INSERT INTO `sys_job_log` VALUES (45480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:47:10');
INSERT INTO `sys_job_log` VALUES (45481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:47:15');
INSERT INTO `sys_job_log` VALUES (45482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:47:15');
INSERT INTO `sys_job_log` VALUES (45483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:47:20');
INSERT INTO `sys_job_log` VALUES (45484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:47:25');
INSERT INTO `sys_job_log` VALUES (45485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:47:30');
INSERT INTO `sys_job_log` VALUES (45486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:47:30');
INSERT INTO `sys_job_log` VALUES (45487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:47:35');
INSERT INTO `sys_job_log` VALUES (45488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:47:40');
INSERT INTO `sys_job_log` VALUES (45489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:47:45');
INSERT INTO `sys_job_log` VALUES (45490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:47:45');
INSERT INTO `sys_job_log` VALUES (45491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:47:50');
INSERT INTO `sys_job_log` VALUES (45492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:47:55');
INSERT INTO `sys_job_log` VALUES (45493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:48:00');
INSERT INTO `sys_job_log` VALUES (45494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:48:00');
INSERT INTO `sys_job_log` VALUES (45495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:48:05');
INSERT INTO `sys_job_log` VALUES (45496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:48:10');
INSERT INTO `sys_job_log` VALUES (45497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:48:15');
INSERT INTO `sys_job_log` VALUES (45498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:48:15');
INSERT INTO `sys_job_log` VALUES (45499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:48:20');
INSERT INTO `sys_job_log` VALUES (45500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:48:25');
INSERT INTO `sys_job_log` VALUES (45501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:48:30');
INSERT INTO `sys_job_log` VALUES (45502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:48:30');
INSERT INTO `sys_job_log` VALUES (45503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:48:35');
INSERT INTO `sys_job_log` VALUES (45504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:48:40');
INSERT INTO `sys_job_log` VALUES (45505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：239毫秒', '0', '', '2025-01-01 19:48:45');
INSERT INTO `sys_job_log` VALUES (45506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：247毫秒', '0', '', '2025-01-01 19:48:45');
INSERT INTO `sys_job_log` VALUES (45507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:48:50');
INSERT INTO `sys_job_log` VALUES (45508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:48:55');
INSERT INTO `sys_job_log` VALUES (45509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:49:00');
INSERT INTO `sys_job_log` VALUES (45510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:49:00');
INSERT INTO `sys_job_log` VALUES (45511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:49:05');
INSERT INTO `sys_job_log` VALUES (45512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:49:10');
INSERT INTO `sys_job_log` VALUES (45513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:49:15');
INSERT INTO `sys_job_log` VALUES (45514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:49:15');
INSERT INTO `sys_job_log` VALUES (45515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:49:20');
INSERT INTO `sys_job_log` VALUES (45516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:49:25');
INSERT INTO `sys_job_log` VALUES (45517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:49:30');
INSERT INTO `sys_job_log` VALUES (45518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:49:30');
INSERT INTO `sys_job_log` VALUES (45519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:49:35');
INSERT INTO `sys_job_log` VALUES (45520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:49:40');
INSERT INTO `sys_job_log` VALUES (45521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:49:45');
INSERT INTO `sys_job_log` VALUES (45522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 19:49:45');
INSERT INTO `sys_job_log` VALUES (45523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:49:50');
INSERT INTO `sys_job_log` VALUES (45524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:49:55');
INSERT INTO `sys_job_log` VALUES (45525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:50:00');
INSERT INTO `sys_job_log` VALUES (45526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:50:00');
INSERT INTO `sys_job_log` VALUES (45527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:50:05');
INSERT INTO `sys_job_log` VALUES (45528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 19:50:10');
INSERT INTO `sys_job_log` VALUES (45529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:50:15');
INSERT INTO `sys_job_log` VALUES (45530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:50:15');
INSERT INTO `sys_job_log` VALUES (45531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1796毫秒', '0', '', '2025-01-01 19:50:21');
INSERT INTO `sys_job_log` VALUES (45532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:50:25');
INSERT INTO `sys_job_log` VALUES (45533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:50:30');
INSERT INTO `sys_job_log` VALUES (45534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:50:30');
INSERT INTO `sys_job_log` VALUES (45535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:50:35');
INSERT INTO `sys_job_log` VALUES (45536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:50:40');
INSERT INTO `sys_job_log` VALUES (45537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:50:45');
INSERT INTO `sys_job_log` VALUES (45538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:50:45');
INSERT INTO `sys_job_log` VALUES (45539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 19:50:50');
INSERT INTO `sys_job_log` VALUES (45540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:50:55');
INSERT INTO `sys_job_log` VALUES (45541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:51:00');
INSERT INTO `sys_job_log` VALUES (45542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:51:00');
INSERT INTO `sys_job_log` VALUES (45543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:51:05');
INSERT INTO `sys_job_log` VALUES (45544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:51:10');
INSERT INTO `sys_job_log` VALUES (45545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:51:15');
INSERT INTO `sys_job_log` VALUES (45546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:51:15');
INSERT INTO `sys_job_log` VALUES (45547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:51:20');
INSERT INTO `sys_job_log` VALUES (45548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:51:25');
INSERT INTO `sys_job_log` VALUES (45549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:51:30');
INSERT INTO `sys_job_log` VALUES (45550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:51:30');
INSERT INTO `sys_job_log` VALUES (45551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:51:35');
INSERT INTO `sys_job_log` VALUES (45552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 19:51:40');
INSERT INTO `sys_job_log` VALUES (45553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:51:45');
INSERT INTO `sys_job_log` VALUES (45554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:51:45');
INSERT INTO `sys_job_log` VALUES (45555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:51:50');
INSERT INTO `sys_job_log` VALUES (45556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:51:55');
INSERT INTO `sys_job_log` VALUES (45557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:52:00');
INSERT INTO `sys_job_log` VALUES (45558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:52:00');
INSERT INTO `sys_job_log` VALUES (45559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:52:05');
INSERT INTO `sys_job_log` VALUES (45560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 19:52:10');
INSERT INTO `sys_job_log` VALUES (45561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:52:15');
INSERT INTO `sys_job_log` VALUES (45562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 19:52:15');
INSERT INTO `sys_job_log` VALUES (45563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:52:20');
INSERT INTO `sys_job_log` VALUES (45564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:52:25');
INSERT INTO `sys_job_log` VALUES (45565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:52:30');
INSERT INTO `sys_job_log` VALUES (45566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:52:30');
INSERT INTO `sys_job_log` VALUES (45567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:52:35');
INSERT INTO `sys_job_log` VALUES (45568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:52:40');
INSERT INTO `sys_job_log` VALUES (45569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:52:45');
INSERT INTO `sys_job_log` VALUES (45570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:52:45');
INSERT INTO `sys_job_log` VALUES (45571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:52:50');
INSERT INTO `sys_job_log` VALUES (45572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:52:55');
INSERT INTO `sys_job_log` VALUES (45573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:53:00');
INSERT INTO `sys_job_log` VALUES (45574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:53:00');
INSERT INTO `sys_job_log` VALUES (45575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:53:05');
INSERT INTO `sys_job_log` VALUES (45576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:53:10');
INSERT INTO `sys_job_log` VALUES (45577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:53:15');
INSERT INTO `sys_job_log` VALUES (45578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:53:15');
INSERT INTO `sys_job_log` VALUES (45579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:53:20');
INSERT INTO `sys_job_log` VALUES (45580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:53:25');
INSERT INTO `sys_job_log` VALUES (45581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:53:30');
INSERT INTO `sys_job_log` VALUES (45582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:53:30');
INSERT INTO `sys_job_log` VALUES (45583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:53:35');
INSERT INTO `sys_job_log` VALUES (45584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:53:40');
INSERT INTO `sys_job_log` VALUES (45585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:53:45');
INSERT INTO `sys_job_log` VALUES (45586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:53:45');
INSERT INTO `sys_job_log` VALUES (45587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:53:50');
INSERT INTO `sys_job_log` VALUES (45588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:53:55');
INSERT INTO `sys_job_log` VALUES (45589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-01 19:54:00');
INSERT INTO `sys_job_log` VALUES (45590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2025-01-01 19:54:00');
INSERT INTO `sys_job_log` VALUES (45591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:54:05');
INSERT INTO `sys_job_log` VALUES (45592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1818毫秒', '0', '', '2025-01-01 19:54:11');
INSERT INTO `sys_job_log` VALUES (45593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 19:54:15');
INSERT INTO `sys_job_log` VALUES (45594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:54:15');
INSERT INTO `sys_job_log` VALUES (45595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:54:20');
INSERT INTO `sys_job_log` VALUES (45596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:54:25');
INSERT INTO `sys_job_log` VALUES (45597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 19:54:30');
INSERT INTO `sys_job_log` VALUES (45598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:54:30');
INSERT INTO `sys_job_log` VALUES (45599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:54:35');
INSERT INTO `sys_job_log` VALUES (45600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:54:40');
INSERT INTO `sys_job_log` VALUES (45601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：238毫秒', '0', '', '2025-01-01 19:54:45');
INSERT INTO `sys_job_log` VALUES (45602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：238毫秒', '0', '', '2025-01-01 19:54:45');
INSERT INTO `sys_job_log` VALUES (45603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：265毫秒', '0', '', '2025-01-01 19:54:50');
INSERT INTO `sys_job_log` VALUES (45604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:54:55');
INSERT INTO `sys_job_log` VALUES (45605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2025-01-01 19:55:00');
INSERT INTO `sys_job_log` VALUES (45606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：117毫秒', '0', '', '2025-01-01 19:55:00');
INSERT INTO `sys_job_log` VALUES (45607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：216毫秒', '0', '', '2025-01-01 19:55:05');
INSERT INTO `sys_job_log` VALUES (45608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:55:10');
INSERT INTO `sys_job_log` VALUES (45609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：175毫秒', '0', '', '2025-01-01 19:55:15');
INSERT INTO `sys_job_log` VALUES (45610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：175毫秒', '0', '', '2025-01-01 19:55:15');
INSERT INTO `sys_job_log` VALUES (45611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：335毫秒', '0', '', '2025-01-01 19:55:20');
INSERT INTO `sys_job_log` VALUES (45612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:55:25');
INSERT INTO `sys_job_log` VALUES (45613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：228毫秒', '0', '', '2025-01-01 19:55:30');
INSERT INTO `sys_job_log` VALUES (45614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：226毫秒', '0', '', '2025-01-01 19:55:30');
INSERT INTO `sys_job_log` VALUES (45615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：146毫秒', '0', '', '2025-01-01 19:55:35');
INSERT INTO `sys_job_log` VALUES (45616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:55:40');
INSERT INTO `sys_job_log` VALUES (45617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:55:45');
INSERT INTO `sys_job_log` VALUES (45618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:55:45');
INSERT INTO `sys_job_log` VALUES (45619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:55:50');
INSERT INTO `sys_job_log` VALUES (45620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：202毫秒', '0', '', '2025-01-01 19:55:55');
INSERT INTO `sys_job_log` VALUES (45621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '0', '', '2025-01-01 19:56:00');
INSERT INTO `sys_job_log` VALUES (45622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：277毫秒', '0', '', '2025-01-01 19:56:00');
INSERT INTO `sys_job_log` VALUES (45623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:56:05');
INSERT INTO `sys_job_log` VALUES (45624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:56:10');
INSERT INTO `sys_job_log` VALUES (45625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:56:15');
INSERT INTO `sys_job_log` VALUES (45626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 19:56:15');
INSERT INTO `sys_job_log` VALUES (45627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:56:20');
INSERT INTO `sys_job_log` VALUES (45628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:56:25');
INSERT INTO `sys_job_log` VALUES (45629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '0', '', '2025-01-01 19:56:30');
INSERT INTO `sys_job_log` VALUES (45630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：265毫秒', '0', '', '2025-01-01 19:56:30');
INSERT INTO `sys_job_log` VALUES (45631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：532毫秒', '0', '', '2025-01-01 19:56:35');
INSERT INTO `sys_job_log` VALUES (45632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:56:40');
INSERT INTO `sys_job_log` VALUES (45633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 19:56:45');
INSERT INTO `sys_job_log` VALUES (45634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:56:45');
INSERT INTO `sys_job_log` VALUES (45635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:56:50');
INSERT INTO `sys_job_log` VALUES (45636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:56:55');
INSERT INTO `sys_job_log` VALUES (45637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 19:57:00');
INSERT INTO `sys_job_log` VALUES (45638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:57:00');
INSERT INTO `sys_job_log` VALUES (45639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:57:05');
INSERT INTO `sys_job_log` VALUES (45640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:57:10');
INSERT INTO `sys_job_log` VALUES (45641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:57:15');
INSERT INTO `sys_job_log` VALUES (45642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:57:15');
INSERT INTO `sys_job_log` VALUES (45643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:57:20');
INSERT INTO `sys_job_log` VALUES (45644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:57:25');
INSERT INTO `sys_job_log` VALUES (45645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:57:30');
INSERT INTO `sys_job_log` VALUES (45646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:57:30');
INSERT INTO `sys_job_log` VALUES (45647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:57:35');
INSERT INTO `sys_job_log` VALUES (45648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:57:40');
INSERT INTO `sys_job_log` VALUES (45649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 19:57:45');
INSERT INTO `sys_job_log` VALUES (45650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:57:45');
INSERT INTO `sys_job_log` VALUES (45651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 19:57:50');
INSERT INTO `sys_job_log` VALUES (45652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 19:57:55');
INSERT INTO `sys_job_log` VALUES (45653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 19:58:00');
INSERT INTO `sys_job_log` VALUES (45654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 19:58:00');
INSERT INTO `sys_job_log` VALUES (45655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:58:05');
INSERT INTO `sys_job_log` VALUES (45656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:58:10');
INSERT INTO `sys_job_log` VALUES (45657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:58:15');
INSERT INTO `sys_job_log` VALUES (45658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:58:15');
INSERT INTO `sys_job_log` VALUES (45659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:58:20');
INSERT INTO `sys_job_log` VALUES (45660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:58:25');
INSERT INTO `sys_job_log` VALUES (45661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:58:30');
INSERT INTO `sys_job_log` VALUES (45662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 19:58:30');
INSERT INTO `sys_job_log` VALUES (45663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 19:58:35');
INSERT INTO `sys_job_log` VALUES (45664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:58:40');
INSERT INTO `sys_job_log` VALUES (45665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:58:45');
INSERT INTO `sys_job_log` VALUES (45666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 19:58:45');
INSERT INTO `sys_job_log` VALUES (45667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 19:58:50');
INSERT INTO `sys_job_log` VALUES (45668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 19:58:55');
INSERT INTO `sys_job_log` VALUES (45669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 19:59:00');
INSERT INTO `sys_job_log` VALUES (45670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 19:59:00');
INSERT INTO `sys_job_log` VALUES (45671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 19:59:05');
INSERT INTO `sys_job_log` VALUES (45672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 19:59:10');
INSERT INTO `sys_job_log` VALUES (45673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 19:59:15');
INSERT INTO `sys_job_log` VALUES (45674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 19:59:15');
INSERT INTO `sys_job_log` VALUES (45675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 19:59:20');
INSERT INTO `sys_job_log` VALUES (45676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 19:59:25');
INSERT INTO `sys_job_log` VALUES (45677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 19:59:30');
INSERT INTO `sys_job_log` VALUES (45678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 19:59:30');
INSERT INTO `sys_job_log` VALUES (45679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 19:59:35');
INSERT INTO `sys_job_log` VALUES (45680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 19:59:40');
INSERT INTO `sys_job_log` VALUES (45681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 19:59:45');
INSERT INTO `sys_job_log` VALUES (45682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 19:59:45');
INSERT INTO `sys_job_log` VALUES (45683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 19:59:50');
INSERT INTO `sys_job_log` VALUES (45684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 19:59:55');
INSERT INTO `sys_job_log` VALUES (45685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:00:00');
INSERT INTO `sys_job_log` VALUES (45686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:00:00');
INSERT INTO `sys_job_log` VALUES (45687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:00:05');
INSERT INTO `sys_job_log` VALUES (45688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:00:10');
INSERT INTO `sys_job_log` VALUES (45689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 20:00:15');
INSERT INTO `sys_job_log` VALUES (45690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:00:15');
INSERT INTO `sys_job_log` VALUES (45691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:00:20');
INSERT INTO `sys_job_log` VALUES (45692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:00:25');
INSERT INTO `sys_job_log` VALUES (45693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:00:30');
INSERT INTO `sys_job_log` VALUES (45694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:00:30');
INSERT INTO `sys_job_log` VALUES (45695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:00:35');
INSERT INTO `sys_job_log` VALUES (45696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:00:40');
INSERT INTO `sys_job_log` VALUES (45697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:00:45');
INSERT INTO `sys_job_log` VALUES (45698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-01 20:00:45');
INSERT INTO `sys_job_log` VALUES (45699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:00:50');
INSERT INTO `sys_job_log` VALUES (45700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:00:55');
INSERT INTO `sys_job_log` VALUES (45701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:01:00');
INSERT INTO `sys_job_log` VALUES (45702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 20:01:00');
INSERT INTO `sys_job_log` VALUES (45703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:01:05');
INSERT INTO `sys_job_log` VALUES (45704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:01:10');
INSERT INTO `sys_job_log` VALUES (45705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 20:01:15');
INSERT INTO `sys_job_log` VALUES (45706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:01:15');
INSERT INTO `sys_job_log` VALUES (45707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:01:20');
INSERT INTO `sys_job_log` VALUES (45708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:01:25');
INSERT INTO `sys_job_log` VALUES (45709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:01:30');
INSERT INTO `sys_job_log` VALUES (45710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:01:30');
INSERT INTO `sys_job_log` VALUES (45711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:01:35');
INSERT INTO `sys_job_log` VALUES (45712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:01:40');
INSERT INTO `sys_job_log` VALUES (45713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 20:01:45');
INSERT INTO `sys_job_log` VALUES (45714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:01:45');
INSERT INTO `sys_job_log` VALUES (45715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:01:50');
INSERT INTO `sys_job_log` VALUES (45716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:01:55');
INSERT INTO `sys_job_log` VALUES (45717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:02:00');
INSERT INTO `sys_job_log` VALUES (45718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:02:00');
INSERT INTO `sys_job_log` VALUES (45719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:02:05');
INSERT INTO `sys_job_log` VALUES (45720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:02:10');
INSERT INTO `sys_job_log` VALUES (45721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:02:15');
INSERT INTO `sys_job_log` VALUES (45722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 20:02:15');
INSERT INTO `sys_job_log` VALUES (45723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 20:02:20');
INSERT INTO `sys_job_log` VALUES (45724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:02:25');
INSERT INTO `sys_job_log` VALUES (45725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:02:30');
INSERT INTO `sys_job_log` VALUES (45726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:02:30');
INSERT INTO `sys_job_log` VALUES (45727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:02:35');
INSERT INTO `sys_job_log` VALUES (45728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:02:40');
INSERT INTO `sys_job_log` VALUES (45729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 20:02:45');
INSERT INTO `sys_job_log` VALUES (45730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:02:45');
INSERT INTO `sys_job_log` VALUES (45731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:02:50');
INSERT INTO `sys_job_log` VALUES (45732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:02:55');
INSERT INTO `sys_job_log` VALUES (45733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:03:00');
INSERT INTO `sys_job_log` VALUES (45734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 20:03:00');
INSERT INTO `sys_job_log` VALUES (45735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1833毫秒', '0', '', '2025-01-01 20:03:06');
INSERT INTO `sys_job_log` VALUES (45736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:03:10');
INSERT INTO `sys_job_log` VALUES (45737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:03:15');
INSERT INTO `sys_job_log` VALUES (45738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:03:15');
INSERT INTO `sys_job_log` VALUES (45739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:03:20');
INSERT INTO `sys_job_log` VALUES (45740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:03:25');
INSERT INTO `sys_job_log` VALUES (45741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-01 20:03:30');
INSERT INTO `sys_job_log` VALUES (45742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:03:30');
INSERT INTO `sys_job_log` VALUES (45743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:03:35');
INSERT INTO `sys_job_log` VALUES (45744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:03:40');
INSERT INTO `sys_job_log` VALUES (45745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:03:45');
INSERT INTO `sys_job_log` VALUES (45746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 20:03:45');
INSERT INTO `sys_job_log` VALUES (45747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:03:50');
INSERT INTO `sys_job_log` VALUES (45748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:03:55');
INSERT INTO `sys_job_log` VALUES (45749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:04:00');
INSERT INTO `sys_job_log` VALUES (45750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 20:04:00');
INSERT INTO `sys_job_log` VALUES (45751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:04:05');
INSERT INTO `sys_job_log` VALUES (45752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:04:10');
INSERT INTO `sys_job_log` VALUES (45753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-01 20:04:15');
INSERT INTO `sys_job_log` VALUES (45754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:04:15');
INSERT INTO `sys_job_log` VALUES (45755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:04:20');
INSERT INTO `sys_job_log` VALUES (45756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:04:25');
INSERT INTO `sys_job_log` VALUES (45757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2025-01-01 20:04:30');
INSERT INTO `sys_job_log` VALUES (45758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:04:30');
INSERT INTO `sys_job_log` VALUES (45759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:04:35');
INSERT INTO `sys_job_log` VALUES (45760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:04:40');
INSERT INTO `sys_job_log` VALUES (45761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 20:04:45');
INSERT INTO `sys_job_log` VALUES (45762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:04:45');
INSERT INTO `sys_job_log` VALUES (45763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:04:50');
INSERT INTO `sys_job_log` VALUES (45764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:04:55');
INSERT INTO `sys_job_log` VALUES (45765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1082毫秒', '0', '', '2025-01-01 20:05:01');
INSERT INTO `sys_job_log` VALUES (45766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1081毫秒', '0', '', '2025-01-01 20:05:01');
INSERT INTO `sys_job_log` VALUES (45767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:05:05');
INSERT INTO `sys_job_log` VALUES (45768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:05:10');
INSERT INTO `sys_job_log` VALUES (45769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 20:05:15');
INSERT INTO `sys_job_log` VALUES (45770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2025-01-01 20:05:15');
INSERT INTO `sys_job_log` VALUES (45771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:05:20');
INSERT INTO `sys_job_log` VALUES (45772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:05:25');
INSERT INTO `sys_job_log` VALUES (45773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-01 20:05:30');
INSERT INTO `sys_job_log` VALUES (45774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:05:30');
INSERT INTO `sys_job_log` VALUES (45775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:05:35');
INSERT INTO `sys_job_log` VALUES (45776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:05:40');
INSERT INTO `sys_job_log` VALUES (45777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-01 20:05:45');
INSERT INTO `sys_job_log` VALUES (45778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2025-01-01 20:05:45');
INSERT INTO `sys_job_log` VALUES (45779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-01 20:05:50');
INSERT INTO `sys_job_log` VALUES (45780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-01 20:05:55');
INSERT INTO `sys_job_log` VALUES (45781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:06:00');
INSERT INTO `sys_job_log` VALUES (45782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-01 20:06:00');
INSERT INTO `sys_job_log` VALUES (45783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:06:05');
INSERT INTO `sys_job_log` VALUES (45784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:06:10');
INSERT INTO `sys_job_log` VALUES (45785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2025-01-01 20:06:15');
INSERT INTO `sys_job_log` VALUES (45786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 20:06:15');
INSERT INTO `sys_job_log` VALUES (45787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:06:20');
INSERT INTO `sys_job_log` VALUES (45788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:06:25');
INSERT INTO `sys_job_log` VALUES (45789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:06:30');
INSERT INTO `sys_job_log` VALUES (45790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:06:30');
INSERT INTO `sys_job_log` VALUES (45791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:06:35');
INSERT INTO `sys_job_log` VALUES (45792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:06:40');
INSERT INTO `sys_job_log` VALUES (45793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-01 20:06:45');
INSERT INTO `sys_job_log` VALUES (45794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:06:45');
INSERT INTO `sys_job_log` VALUES (45795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:06:50');
INSERT INTO `sys_job_log` VALUES (45796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:06:55');
INSERT INTO `sys_job_log` VALUES (45797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:07:00');
INSERT INTO `sys_job_log` VALUES (45798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 20:07:00');
INSERT INTO `sys_job_log` VALUES (45799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:07:05');
INSERT INTO `sys_job_log` VALUES (45800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:07:10');
INSERT INTO `sys_job_log` VALUES (45801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:07:15');
INSERT INTO `sys_job_log` VALUES (45802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:07:15');
INSERT INTO `sys_job_log` VALUES (45803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:07:20');
INSERT INTO `sys_job_log` VALUES (45804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:07:25');
INSERT INTO `sys_job_log` VALUES (45805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 20:07:30');
INSERT INTO `sys_job_log` VALUES (45806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:07:30');
INSERT INTO `sys_job_log` VALUES (45807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:07:35');
INSERT INTO `sys_job_log` VALUES (45808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 20:07:40');
INSERT INTO `sys_job_log` VALUES (45809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 20:07:45');
INSERT INTO `sys_job_log` VALUES (45810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:07:45');
INSERT INTO `sys_job_log` VALUES (45811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:07:50');
INSERT INTO `sys_job_log` VALUES (45812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:07:55');
INSERT INTO `sys_job_log` VALUES (45813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2025-01-01 20:08:00');
INSERT INTO `sys_job_log` VALUES (45814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 20:08:00');
INSERT INTO `sys_job_log` VALUES (45815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:08:05');
INSERT INTO `sys_job_log` VALUES (45816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 20:08:10');
INSERT INTO `sys_job_log` VALUES (45817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 20:08:15');
INSERT INTO `sys_job_log` VALUES (45818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:08:15');
INSERT INTO `sys_job_log` VALUES (45819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:08:20');
INSERT INTO `sys_job_log` VALUES (45820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:08:25');
INSERT INTO `sys_job_log` VALUES (45821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2025-01-01 20:08:30');
INSERT INTO `sys_job_log` VALUES (45822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 20:08:30');
INSERT INTO `sys_job_log` VALUES (45823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 20:08:35');
INSERT INTO `sys_job_log` VALUES (45824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:08:40');
INSERT INTO `sys_job_log` VALUES (45825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-01 20:08:45');
INSERT INTO `sys_job_log` VALUES (45826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:08:45');
INSERT INTO `sys_job_log` VALUES (45827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:08:50');
INSERT INTO `sys_job_log` VALUES (45828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:08:55');
INSERT INTO `sys_job_log` VALUES (45829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 20:09:00');
INSERT INTO `sys_job_log` VALUES (45830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:09:00');
INSERT INTO `sys_job_log` VALUES (45831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:09:05');
INSERT INTO `sys_job_log` VALUES (45832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:09:10');
INSERT INTO `sys_job_log` VALUES (45833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-01 20:09:15');
INSERT INTO `sys_job_log` VALUES (45834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2025-01-01 20:09:15');
INSERT INTO `sys_job_log` VALUES (45835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:09:20');
INSERT INTO `sys_job_log` VALUES (45836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:09:25');
INSERT INTO `sys_job_log` VALUES (45837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:09:30');
INSERT INTO `sys_job_log` VALUES (45838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 20:09:30');
INSERT INTO `sys_job_log` VALUES (45839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:09:35');
INSERT INTO `sys_job_log` VALUES (45840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:09:40');
INSERT INTO `sys_job_log` VALUES (45841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:09:45');
INSERT INTO `sys_job_log` VALUES (45842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:09:45');
INSERT INTO `sys_job_log` VALUES (45843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 20:09:50');
INSERT INTO `sys_job_log` VALUES (45844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:09:55');
INSERT INTO `sys_job_log` VALUES (45845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 20:10:00');
INSERT INTO `sys_job_log` VALUES (45846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:10:00');
INSERT INTO `sys_job_log` VALUES (45847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:10:05');
INSERT INTO `sys_job_log` VALUES (45848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:10:10');
INSERT INTO `sys_job_log` VALUES (45849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:10:15');
INSERT INTO `sys_job_log` VALUES (45850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 20:10:15');
INSERT INTO `sys_job_log` VALUES (45851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:10:20');
INSERT INTO `sys_job_log` VALUES (45852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:10:25');
INSERT INTO `sys_job_log` VALUES (45853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 20:10:30');
INSERT INTO `sys_job_log` VALUES (45854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:10:30');
INSERT INTO `sys_job_log` VALUES (45855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:10:35');
INSERT INTO `sys_job_log` VALUES (45856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:10:40');
INSERT INTO `sys_job_log` VALUES (45857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 20:10:45');
INSERT INTO `sys_job_log` VALUES (45858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:10:45');
INSERT INTO `sys_job_log` VALUES (45859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:10:50');
INSERT INTO `sys_job_log` VALUES (45860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:10:55');
INSERT INTO `sys_job_log` VALUES (45861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 20:11:00');
INSERT INTO `sys_job_log` VALUES (45862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:11:00');
INSERT INTO `sys_job_log` VALUES (45863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:11:05');
INSERT INTO `sys_job_log` VALUES (45864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-01 20:11:10');
INSERT INTO `sys_job_log` VALUES (45865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-01 20:11:15');
INSERT INTO `sys_job_log` VALUES (45866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2025-01-01 20:11:15');
INSERT INTO `sys_job_log` VALUES (45867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:11:20');
INSERT INTO `sys_job_log` VALUES (45868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:11:25');
INSERT INTO `sys_job_log` VALUES (45869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:11:30');
INSERT INTO `sys_job_log` VALUES (45870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-01 20:11:30');
INSERT INTO `sys_job_log` VALUES (45871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:11:35');
INSERT INTO `sys_job_log` VALUES (45872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:11:40');
INSERT INTO `sys_job_log` VALUES (45873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:11:45');
INSERT INTO `sys_job_log` VALUES (45874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 20:11:45');
INSERT INTO `sys_job_log` VALUES (45875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:11:50');
INSERT INTO `sys_job_log` VALUES (45876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:11:55');
INSERT INTO `sys_job_log` VALUES (45877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:12:00');
INSERT INTO `sys_job_log` VALUES (45878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 20:12:00');
INSERT INTO `sys_job_log` VALUES (45879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-01 20:12:05');
INSERT INTO `sys_job_log` VALUES (45880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:12:10');
INSERT INTO `sys_job_log` VALUES (45881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 20:12:15');
INSERT INTO `sys_job_log` VALUES (45882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:12:15');
INSERT INTO `sys_job_log` VALUES (45883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:12:20');
INSERT INTO `sys_job_log` VALUES (45884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:12:25');
INSERT INTO `sys_job_log` VALUES (45885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-01 20:12:30');
INSERT INTO `sys_job_log` VALUES (45886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:12:30');
INSERT INTO `sys_job_log` VALUES (45887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:12:35');
INSERT INTO `sys_job_log` VALUES (45888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 20:12:40');
INSERT INTO `sys_job_log` VALUES (45889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 20:12:45');
INSERT INTO `sys_job_log` VALUES (45890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:12:45');
INSERT INTO `sys_job_log` VALUES (45891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:12:50');
INSERT INTO `sys_job_log` VALUES (45892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:12:55');
INSERT INTO `sys_job_log` VALUES (45893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:13:00');
INSERT INTO `sys_job_log` VALUES (45894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-01 20:13:00');
INSERT INTO `sys_job_log` VALUES (45895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:13:05');
INSERT INTO `sys_job_log` VALUES (45896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:13:10');
INSERT INTO `sys_job_log` VALUES (45897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:13:15');
INSERT INTO `sys_job_log` VALUES (45898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-01 20:13:15');
INSERT INTO `sys_job_log` VALUES (45899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 20:13:20');
INSERT INTO `sys_job_log` VALUES (45900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:13:25');
INSERT INTO `sys_job_log` VALUES (45901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 20:13:30');
INSERT INTO `sys_job_log` VALUES (45902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:13:30');
INSERT INTO `sys_job_log` VALUES (45903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-01 20:13:35');
INSERT INTO `sys_job_log` VALUES (45904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:13:40');
INSERT INTO `sys_job_log` VALUES (45905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:13:45');
INSERT INTO `sys_job_log` VALUES (45906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:13:45');
INSERT INTO `sys_job_log` VALUES (45907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:13:50');
INSERT INTO `sys_job_log` VALUES (45908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 20:13:55');
INSERT INTO `sys_job_log` VALUES (45909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-01 20:14:00');
INSERT INTO `sys_job_log` VALUES (45910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:14:00');
INSERT INTO `sys_job_log` VALUES (45911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:14:05');
INSERT INTO `sys_job_log` VALUES (45912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:14:10');
INSERT INTO `sys_job_log` VALUES (45913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:14:15');
INSERT INTO `sys_job_log` VALUES (45914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:14:15');
INSERT INTO `sys_job_log` VALUES (45915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:14:20');
INSERT INTO `sys_job_log` VALUES (45916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:14:25');
INSERT INTO `sys_job_log` VALUES (45917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 20:14:30');
INSERT INTO `sys_job_log` VALUES (45918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:14:30');
INSERT INTO `sys_job_log` VALUES (45919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:14:35');
INSERT INTO `sys_job_log` VALUES (45920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:14:40');
INSERT INTO `sys_job_log` VALUES (45921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:14:45');
INSERT INTO `sys_job_log` VALUES (45922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 20:14:45');
INSERT INTO `sys_job_log` VALUES (45923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:14:50');
INSERT INTO `sys_job_log` VALUES (45924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:14:55');
INSERT INTO `sys_job_log` VALUES (45925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:15:00');
INSERT INTO `sys_job_log` VALUES (45926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:15:00');
INSERT INTO `sys_job_log` VALUES (45927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:15:05');
INSERT INTO `sys_job_log` VALUES (45928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:15:10');
INSERT INTO `sys_job_log` VALUES (45929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-01 20:15:15');
INSERT INTO `sys_job_log` VALUES (45930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:15:15');
INSERT INTO `sys_job_log` VALUES (45931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:15:20');
INSERT INTO `sys_job_log` VALUES (45932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:15:25');
INSERT INTO `sys_job_log` VALUES (45933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:15:30');
INSERT INTO `sys_job_log` VALUES (45934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 20:15:30');
INSERT INTO `sys_job_log` VALUES (45935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:15:35');
INSERT INTO `sys_job_log` VALUES (45936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:15:40');
INSERT INTO `sys_job_log` VALUES (45937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:15:45');
INSERT INTO `sys_job_log` VALUES (45938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:15:45');
INSERT INTO `sys_job_log` VALUES (45939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:15:50');
INSERT INTO `sys_job_log` VALUES (45940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:15:55');
INSERT INTO `sys_job_log` VALUES (45941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:16:00');
INSERT INTO `sys_job_log` VALUES (45942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:16:00');
INSERT INTO `sys_job_log` VALUES (45943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:16:05');
INSERT INTO `sys_job_log` VALUES (45944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:16:10');
INSERT INTO `sys_job_log` VALUES (45945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:16:15');
INSERT INTO `sys_job_log` VALUES (45946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:16:15');
INSERT INTO `sys_job_log` VALUES (45947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:16:20');
INSERT INTO `sys_job_log` VALUES (45948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:16:25');
INSERT INTO `sys_job_log` VALUES (45949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:16:30');
INSERT INTO `sys_job_log` VALUES (45950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:16:30');
INSERT INTO `sys_job_log` VALUES (45951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:16:35');
INSERT INTO `sys_job_log` VALUES (45952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:16:40');
INSERT INTO `sys_job_log` VALUES (45953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:16:45');
INSERT INTO `sys_job_log` VALUES (45954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:16:45');
INSERT INTO `sys_job_log` VALUES (45955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:16:50');
INSERT INTO `sys_job_log` VALUES (45956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:16:55');
INSERT INTO `sys_job_log` VALUES (45957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1829毫秒', '0', '', '2025-01-01 20:17:01');
INSERT INTO `sys_job_log` VALUES (45958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1829毫秒', '0', '', '2025-01-01 20:17:01');
INSERT INTO `sys_job_log` VALUES (45959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:17:05');
INSERT INTO `sys_job_log` VALUES (45960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:17:10');
INSERT INTO `sys_job_log` VALUES (45961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:17:15');
INSERT INTO `sys_job_log` VALUES (45962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:17:15');
INSERT INTO `sys_job_log` VALUES (45963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:17:20');
INSERT INTO `sys_job_log` VALUES (45964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 20:17:25');
INSERT INTO `sys_job_log` VALUES (45965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:17:30');
INSERT INTO `sys_job_log` VALUES (45966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:17:30');
INSERT INTO `sys_job_log` VALUES (45967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:17:35');
INSERT INTO `sys_job_log` VALUES (45968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:17:40');
INSERT INTO `sys_job_log` VALUES (45969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:17:45');
INSERT INTO `sys_job_log` VALUES (45970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:17:45');
INSERT INTO `sys_job_log` VALUES (45971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:17:50');
INSERT INTO `sys_job_log` VALUES (45972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:17:55');
INSERT INTO `sys_job_log` VALUES (45973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:18:00');
INSERT INTO `sys_job_log` VALUES (45974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:18:00');
INSERT INTO `sys_job_log` VALUES (45975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:18:05');
INSERT INTO `sys_job_log` VALUES (45976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:18:10');
INSERT INTO `sys_job_log` VALUES (45977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 20:18:15');
INSERT INTO `sys_job_log` VALUES (45978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1825毫秒', '0', '', '2025-01-01 20:18:16');
INSERT INTO `sys_job_log` VALUES (45979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:18:20');
INSERT INTO `sys_job_log` VALUES (45980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:18:25');
INSERT INTO `sys_job_log` VALUES (45981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:18:30');
INSERT INTO `sys_job_log` VALUES (45982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:18:30');
INSERT INTO `sys_job_log` VALUES (45983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:18:35');
INSERT INTO `sys_job_log` VALUES (45984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:18:40');
INSERT INTO `sys_job_log` VALUES (45985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:18:45');
INSERT INTO `sys_job_log` VALUES (45986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:18:45');
INSERT INTO `sys_job_log` VALUES (45987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:18:50');
INSERT INTO `sys_job_log` VALUES (45988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:18:55');
INSERT INTO `sys_job_log` VALUES (45989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:19:00');
INSERT INTO `sys_job_log` VALUES (45990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:19:00');
INSERT INTO `sys_job_log` VALUES (45991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:19:05');
INSERT INTO `sys_job_log` VALUES (45992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:19:10');
INSERT INTO `sys_job_log` VALUES (45993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:19:15');
INSERT INTO `sys_job_log` VALUES (45994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:19:15');
INSERT INTO `sys_job_log` VALUES (45995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:19:20');
INSERT INTO `sys_job_log` VALUES (45996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:19:25');
INSERT INTO `sys_job_log` VALUES (45997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:19:30');
INSERT INTO `sys_job_log` VALUES (45998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:19:30');
INSERT INTO `sys_job_log` VALUES (45999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:19:35');
INSERT INTO `sys_job_log` VALUES (46000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:19:40');
INSERT INTO `sys_job_log` VALUES (46001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:19:45');
INSERT INTO `sys_job_log` VALUES (46002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:19:45');
INSERT INTO `sys_job_log` VALUES (46003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:19:50');
INSERT INTO `sys_job_log` VALUES (46004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:19:55');
INSERT INTO `sys_job_log` VALUES (46005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:20:00');
INSERT INTO `sys_job_log` VALUES (46006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:20:00');
INSERT INTO `sys_job_log` VALUES (46007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:20:05');
INSERT INTO `sys_job_log` VALUES (46008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:20:10');
INSERT INTO `sys_job_log` VALUES (46009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:20:15');
INSERT INTO `sys_job_log` VALUES (46010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:20:15');
INSERT INTO `sys_job_log` VALUES (46011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:20:20');
INSERT INTO `sys_job_log` VALUES (46012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:20:25');
INSERT INTO `sys_job_log` VALUES (46013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:20:30');
INSERT INTO `sys_job_log` VALUES (46014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:20:30');
INSERT INTO `sys_job_log` VALUES (46015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:20:35');
INSERT INTO `sys_job_log` VALUES (46016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:20:40');
INSERT INTO `sys_job_log` VALUES (46017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:20:45');
INSERT INTO `sys_job_log` VALUES (46018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:20:45');
INSERT INTO `sys_job_log` VALUES (46019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1817毫秒', '0', '', '2025-01-01 20:20:51');
INSERT INTO `sys_job_log` VALUES (46020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:20:55');
INSERT INTO `sys_job_log` VALUES (46021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:21:00');
INSERT INTO `sys_job_log` VALUES (46022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:21:00');
INSERT INTO `sys_job_log` VALUES (46023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:21:05');
INSERT INTO `sys_job_log` VALUES (46024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:21:10');
INSERT INTO `sys_job_log` VALUES (46025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:21:15');
INSERT INTO `sys_job_log` VALUES (46026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 20:21:15');
INSERT INTO `sys_job_log` VALUES (46027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:21:20');
INSERT INTO `sys_job_log` VALUES (46028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:21:25');
INSERT INTO `sys_job_log` VALUES (46029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:21:30');
INSERT INTO `sys_job_log` VALUES (46030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:21:30');
INSERT INTO `sys_job_log` VALUES (46031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:21:35');
INSERT INTO `sys_job_log` VALUES (46032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:21:40');
INSERT INTO `sys_job_log` VALUES (46033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 20:21:45');
INSERT INTO `sys_job_log` VALUES (46034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:21:45');
INSERT INTO `sys_job_log` VALUES (46035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:21:50');
INSERT INTO `sys_job_log` VALUES (46036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:21:55');
INSERT INTO `sys_job_log` VALUES (46037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:22:00');
INSERT INTO `sys_job_log` VALUES (46038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:22:00');
INSERT INTO `sys_job_log` VALUES (46039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:22:05');
INSERT INTO `sys_job_log` VALUES (46040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:22:10');
INSERT INTO `sys_job_log` VALUES (46041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:22:15');
INSERT INTO `sys_job_log` VALUES (46042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:22:15');
INSERT INTO `sys_job_log` VALUES (46043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:22:20');
INSERT INTO `sys_job_log` VALUES (46044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:22:25');
INSERT INTO `sys_job_log` VALUES (46045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:22:30');
INSERT INTO `sys_job_log` VALUES (46046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:22:30');
INSERT INTO `sys_job_log` VALUES (46047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:22:35');
INSERT INTO `sys_job_log` VALUES (46048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:22:40');
INSERT INTO `sys_job_log` VALUES (46049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:22:45');
INSERT INTO `sys_job_log` VALUES (46050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:22:45');
INSERT INTO `sys_job_log` VALUES (46051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:22:50');
INSERT INTO `sys_job_log` VALUES (46052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:22:55');
INSERT INTO `sys_job_log` VALUES (46053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:23:00');
INSERT INTO `sys_job_log` VALUES (46054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:23:00');
INSERT INTO `sys_job_log` VALUES (46055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1801毫秒', '0', '', '2025-01-01 20:23:06');
INSERT INTO `sys_job_log` VALUES (46056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:23:10');
INSERT INTO `sys_job_log` VALUES (46057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:23:15');
INSERT INTO `sys_job_log` VALUES (46058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:23:15');
INSERT INTO `sys_job_log` VALUES (46059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1828毫秒', '0', '', '2025-01-01 20:23:21');
INSERT INTO `sys_job_log` VALUES (46060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:23:25');
INSERT INTO `sys_job_log` VALUES (46061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:23:30');
INSERT INTO `sys_job_log` VALUES (46062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:23:30');
INSERT INTO `sys_job_log` VALUES (46063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:23:35');
INSERT INTO `sys_job_log` VALUES (46064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:23:40');
INSERT INTO `sys_job_log` VALUES (46065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:23:45');
INSERT INTO `sys_job_log` VALUES (46066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:23:45');
INSERT INTO `sys_job_log` VALUES (46067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:23:50');
INSERT INTO `sys_job_log` VALUES (46068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:23:55');
INSERT INTO `sys_job_log` VALUES (46069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 20:24:00');
INSERT INTO `sys_job_log` VALUES (46070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:24:00');
INSERT INTO `sys_job_log` VALUES (46071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:24:05');
INSERT INTO `sys_job_log` VALUES (46072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:24:10');
INSERT INTO `sys_job_log` VALUES (46073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:24:15');
INSERT INTO `sys_job_log` VALUES (46074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:24:15');
INSERT INTO `sys_job_log` VALUES (46075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:24:20');
INSERT INTO `sys_job_log` VALUES (46076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:24:25');
INSERT INTO `sys_job_log` VALUES (46077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-01 20:24:30');
INSERT INTO `sys_job_log` VALUES (46078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:24:30');
INSERT INTO `sys_job_log` VALUES (46079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:24:35');
INSERT INTO `sys_job_log` VALUES (46080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:24:40');
INSERT INTO `sys_job_log` VALUES (46081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:24:45');
INSERT INTO `sys_job_log` VALUES (46082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:24:45');
INSERT INTO `sys_job_log` VALUES (46083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:24:50');
INSERT INTO `sys_job_log` VALUES (46084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:24:55');
INSERT INTO `sys_job_log` VALUES (46085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:25:00');
INSERT INTO `sys_job_log` VALUES (46086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:25:00');
INSERT INTO `sys_job_log` VALUES (46087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:25:05');
INSERT INTO `sys_job_log` VALUES (46088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:25:10');
INSERT INTO `sys_job_log` VALUES (46089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:25:15');
INSERT INTO `sys_job_log` VALUES (46090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:25:15');
INSERT INTO `sys_job_log` VALUES (46091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:25:20');
INSERT INTO `sys_job_log` VALUES (46092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:25:25');
INSERT INTO `sys_job_log` VALUES (46093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:25:30');
INSERT INTO `sys_job_log` VALUES (46094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:25:30');
INSERT INTO `sys_job_log` VALUES (46095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:25:35');
INSERT INTO `sys_job_log` VALUES (46096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:25:40');
INSERT INTO `sys_job_log` VALUES (46097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:25:45');
INSERT INTO `sys_job_log` VALUES (46098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:25:45');
INSERT INTO `sys_job_log` VALUES (46099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:25:50');
INSERT INTO `sys_job_log` VALUES (46100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:25:55');
INSERT INTO `sys_job_log` VALUES (46101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:26:00');
INSERT INTO `sys_job_log` VALUES (46102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:26:00');
INSERT INTO `sys_job_log` VALUES (46103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:26:05');
INSERT INTO `sys_job_log` VALUES (46104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:26:10');
INSERT INTO `sys_job_log` VALUES (46105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:26:15');
INSERT INTO `sys_job_log` VALUES (46106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:26:15');
INSERT INTO `sys_job_log` VALUES (46107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:26:20');
INSERT INTO `sys_job_log` VALUES (46108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:26:25');
INSERT INTO `sys_job_log` VALUES (46109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:26:30');
INSERT INTO `sys_job_log` VALUES (46110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:26:30');
INSERT INTO `sys_job_log` VALUES (46111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:26:35');
INSERT INTO `sys_job_log` VALUES (46112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:26:40');
INSERT INTO `sys_job_log` VALUES (46113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:26:45');
INSERT INTO `sys_job_log` VALUES (46114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:26:45');
INSERT INTO `sys_job_log` VALUES (46115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:26:50');
INSERT INTO `sys_job_log` VALUES (46116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:26:55');
INSERT INTO `sys_job_log` VALUES (46117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:27:00');
INSERT INTO `sys_job_log` VALUES (46118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:27:00');
INSERT INTO `sys_job_log` VALUES (46119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:27:05');
INSERT INTO `sys_job_log` VALUES (46120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:27:10');
INSERT INTO `sys_job_log` VALUES (46121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:27:15');
INSERT INTO `sys_job_log` VALUES (46122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:27:15');
INSERT INTO `sys_job_log` VALUES (46123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:27:20');
INSERT INTO `sys_job_log` VALUES (46124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:27:25');
INSERT INTO `sys_job_log` VALUES (46125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:27:30');
INSERT INTO `sys_job_log` VALUES (46126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:27:30');
INSERT INTO `sys_job_log` VALUES (46127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:27:35');
INSERT INTO `sys_job_log` VALUES (46128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:27:40');
INSERT INTO `sys_job_log` VALUES (46129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:27:45');
INSERT INTO `sys_job_log` VALUES (46130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:27:45');
INSERT INTO `sys_job_log` VALUES (46131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:27:50');
INSERT INTO `sys_job_log` VALUES (46132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:27:55');
INSERT INTO `sys_job_log` VALUES (46133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:28:00');
INSERT INTO `sys_job_log` VALUES (46134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:28:00');
INSERT INTO `sys_job_log` VALUES (46135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1796毫秒', '0', '', '2025-01-01 20:28:06');
INSERT INTO `sys_job_log` VALUES (46136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:28:10');
INSERT INTO `sys_job_log` VALUES (46137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:28:15');
INSERT INTO `sys_job_log` VALUES (46138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:28:15');
INSERT INTO `sys_job_log` VALUES (46139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:28:20');
INSERT INTO `sys_job_log` VALUES (46140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:28:25');
INSERT INTO `sys_job_log` VALUES (46141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:28:30');
INSERT INTO `sys_job_log` VALUES (46142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:28:30');
INSERT INTO `sys_job_log` VALUES (46143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:28:35');
INSERT INTO `sys_job_log` VALUES (46144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:28:40');
INSERT INTO `sys_job_log` VALUES (46145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:28:45');
INSERT INTO `sys_job_log` VALUES (46146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:28:45');
INSERT INTO `sys_job_log` VALUES (46147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:28:50');
INSERT INTO `sys_job_log` VALUES (46148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:28:55');
INSERT INTO `sys_job_log` VALUES (46149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:29:00');
INSERT INTO `sys_job_log` VALUES (46150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:29:00');
INSERT INTO `sys_job_log` VALUES (46151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:29:05');
INSERT INTO `sys_job_log` VALUES (46152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:29:10');
INSERT INTO `sys_job_log` VALUES (46153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:29:15');
INSERT INTO `sys_job_log` VALUES (46154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:29:15');
INSERT INTO `sys_job_log` VALUES (46155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:29:20');
INSERT INTO `sys_job_log` VALUES (46156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:29:25');
INSERT INTO `sys_job_log` VALUES (46157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:29:30');
INSERT INTO `sys_job_log` VALUES (46158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:29:30');
INSERT INTO `sys_job_log` VALUES (46159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:29:35');
INSERT INTO `sys_job_log` VALUES (46160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:29:40');
INSERT INTO `sys_job_log` VALUES (46161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:29:45');
INSERT INTO `sys_job_log` VALUES (46162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:29:45');
INSERT INTO `sys_job_log` VALUES (46163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:29:50');
INSERT INTO `sys_job_log` VALUES (46164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:29:55');
INSERT INTO `sys_job_log` VALUES (46165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:30:00');
INSERT INTO `sys_job_log` VALUES (46166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:30:00');
INSERT INTO `sys_job_log` VALUES (46167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:30:05');
INSERT INTO `sys_job_log` VALUES (46168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:30:10');
INSERT INTO `sys_job_log` VALUES (46169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:30:15');
INSERT INTO `sys_job_log` VALUES (46170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:30:15');
INSERT INTO `sys_job_log` VALUES (46171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:30:20');
INSERT INTO `sys_job_log` VALUES (46172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:30:25');
INSERT INTO `sys_job_log` VALUES (46173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:30:30');
INSERT INTO `sys_job_log` VALUES (46174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:30:30');
INSERT INTO `sys_job_log` VALUES (46175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:30:35');
INSERT INTO `sys_job_log` VALUES (46176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:30:40');
INSERT INTO `sys_job_log` VALUES (46177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:30:45');
INSERT INTO `sys_job_log` VALUES (46178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:30:45');
INSERT INTO `sys_job_log` VALUES (46179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:30:50');
INSERT INTO `sys_job_log` VALUES (46180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:30:55');
INSERT INTO `sys_job_log` VALUES (46181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:31:00');
INSERT INTO `sys_job_log` VALUES (46182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:31:00');
INSERT INTO `sys_job_log` VALUES (46183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:31:05');
INSERT INTO `sys_job_log` VALUES (46184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:31:10');
INSERT INTO `sys_job_log` VALUES (46185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:31:15');
INSERT INTO `sys_job_log` VALUES (46186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:31:15');
INSERT INTO `sys_job_log` VALUES (46187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:31:20');
INSERT INTO `sys_job_log` VALUES (46188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:31:25');
INSERT INTO `sys_job_log` VALUES (46189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 20:31:30');
INSERT INTO `sys_job_log` VALUES (46190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 20:31:30');
INSERT INTO `sys_job_log` VALUES (46191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:31:35');
INSERT INTO `sys_job_log` VALUES (46192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:31:40');
INSERT INTO `sys_job_log` VALUES (46193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 20:31:45');
INSERT INTO `sys_job_log` VALUES (46194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:31:45');
INSERT INTO `sys_job_log` VALUES (46195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:31:50');
INSERT INTO `sys_job_log` VALUES (46196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:31:55');
INSERT INTO `sys_job_log` VALUES (46197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:32:00');
INSERT INTO `sys_job_log` VALUES (46198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:32:00');
INSERT INTO `sys_job_log` VALUES (46199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1833毫秒', '0', '', '2025-01-01 20:32:06');
INSERT INTO `sys_job_log` VALUES (46200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:32:10');
INSERT INTO `sys_job_log` VALUES (46201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:32:15');
INSERT INTO `sys_job_log` VALUES (46202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:32:15');
INSERT INTO `sys_job_log` VALUES (46203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:32:20');
INSERT INTO `sys_job_log` VALUES (46204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:32:25');
INSERT INTO `sys_job_log` VALUES (46205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:32:30');
INSERT INTO `sys_job_log` VALUES (46206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:32:30');
INSERT INTO `sys_job_log` VALUES (46207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:32:35');
INSERT INTO `sys_job_log` VALUES (46208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:32:40');
INSERT INTO `sys_job_log` VALUES (46209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:32:45');
INSERT INTO `sys_job_log` VALUES (46210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:32:45');
INSERT INTO `sys_job_log` VALUES (46211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:32:50');
INSERT INTO `sys_job_log` VALUES (46212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:32:55');
INSERT INTO `sys_job_log` VALUES (46213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:33:00');
INSERT INTO `sys_job_log` VALUES (46214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:33:00');
INSERT INTO `sys_job_log` VALUES (46215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:33:05');
INSERT INTO `sys_job_log` VALUES (46216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:33:10');
INSERT INTO `sys_job_log` VALUES (46217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:33:15');
INSERT INTO `sys_job_log` VALUES (46218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:33:15');
INSERT INTO `sys_job_log` VALUES (46219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:33:20');
INSERT INTO `sys_job_log` VALUES (46220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:33:25');
INSERT INTO `sys_job_log` VALUES (46221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:33:30');
INSERT INTO `sys_job_log` VALUES (46222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:33:30');
INSERT INTO `sys_job_log` VALUES (46223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:33:35');
INSERT INTO `sys_job_log` VALUES (46224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:33:40');
INSERT INTO `sys_job_log` VALUES (46225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:33:45');
INSERT INTO `sys_job_log` VALUES (46226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:33:45');
INSERT INTO `sys_job_log` VALUES (46227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:33:50');
INSERT INTO `sys_job_log` VALUES (46228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:33:55');
INSERT INTO `sys_job_log` VALUES (46229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:34:00');
INSERT INTO `sys_job_log` VALUES (46230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:34:00');
INSERT INTO `sys_job_log` VALUES (46231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:34:05');
INSERT INTO `sys_job_log` VALUES (46232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 20:34:10');
INSERT INTO `sys_job_log` VALUES (46233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:34:15');
INSERT INTO `sys_job_log` VALUES (46234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:34:15');
INSERT INTO `sys_job_log` VALUES (46235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 20:34:20');
INSERT INTO `sys_job_log` VALUES (46236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:34:25');
INSERT INTO `sys_job_log` VALUES (46237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:34:30');
INSERT INTO `sys_job_log` VALUES (46238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:34:30');
INSERT INTO `sys_job_log` VALUES (46239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:34:35');
INSERT INTO `sys_job_log` VALUES (46240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:34:40');
INSERT INTO `sys_job_log` VALUES (46241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 20:34:45');
INSERT INTO `sys_job_log` VALUES (46242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:34:45');
INSERT INTO `sys_job_log` VALUES (46243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:34:50');
INSERT INTO `sys_job_log` VALUES (46244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:34:55');
INSERT INTO `sys_job_log` VALUES (46245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:35:00');
INSERT INTO `sys_job_log` VALUES (46246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:35:00');
INSERT INTO `sys_job_log` VALUES (46247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:35:05');
INSERT INTO `sys_job_log` VALUES (46248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:35:10');
INSERT INTO `sys_job_log` VALUES (46249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 20:35:15');
INSERT INTO `sys_job_log` VALUES (46250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:35:15');
INSERT INTO `sys_job_log` VALUES (46251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:35:20');
INSERT INTO `sys_job_log` VALUES (46252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:35:25');
INSERT INTO `sys_job_log` VALUES (46253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:35:30');
INSERT INTO `sys_job_log` VALUES (46254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:35:30');
INSERT INTO `sys_job_log` VALUES (46255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:35:35');
INSERT INTO `sys_job_log` VALUES (46256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:35:40');
INSERT INTO `sys_job_log` VALUES (46257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 20:35:45');
INSERT INTO `sys_job_log` VALUES (46258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:35:45');
INSERT INTO `sys_job_log` VALUES (46259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:35:50');
INSERT INTO `sys_job_log` VALUES (46260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:35:55');
INSERT INTO `sys_job_log` VALUES (46261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:36:00');
INSERT INTO `sys_job_log` VALUES (46262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:36:00');
INSERT INTO `sys_job_log` VALUES (46263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:36:05');
INSERT INTO `sys_job_log` VALUES (46264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:36:10');
INSERT INTO `sys_job_log` VALUES (46265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:36:15');
INSERT INTO `sys_job_log` VALUES (46266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-01 20:36:15');
INSERT INTO `sys_job_log` VALUES (46267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:36:20');
INSERT INTO `sys_job_log` VALUES (46268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:36:25');
INSERT INTO `sys_job_log` VALUES (46269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 20:36:30');
INSERT INTO `sys_job_log` VALUES (46270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:36:30');
INSERT INTO `sys_job_log` VALUES (46271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:36:35');
INSERT INTO `sys_job_log` VALUES (46272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:36:40');
INSERT INTO `sys_job_log` VALUES (46273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:36:45');
INSERT INTO `sys_job_log` VALUES (46274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:36:45');
INSERT INTO `sys_job_log` VALUES (46275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:36:50');
INSERT INTO `sys_job_log` VALUES (46276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:36:55');
INSERT INTO `sys_job_log` VALUES (46277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:37:00');
INSERT INTO `sys_job_log` VALUES (46278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:37:00');
INSERT INTO `sys_job_log` VALUES (46279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:37:05');
INSERT INTO `sys_job_log` VALUES (46280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:37:10');
INSERT INTO `sys_job_log` VALUES (46281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:37:15');
INSERT INTO `sys_job_log` VALUES (46282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:37:15');
INSERT INTO `sys_job_log` VALUES (46283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:37:20');
INSERT INTO `sys_job_log` VALUES (46284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:37:25');
INSERT INTO `sys_job_log` VALUES (46285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:37:30');
INSERT INTO `sys_job_log` VALUES (46286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:37:30');
INSERT INTO `sys_job_log` VALUES (46287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:37:35');
INSERT INTO `sys_job_log` VALUES (46288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:37:40');
INSERT INTO `sys_job_log` VALUES (46289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:37:45');
INSERT INTO `sys_job_log` VALUES (46290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:37:45');
INSERT INTO `sys_job_log` VALUES (46291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:37:50');
INSERT INTO `sys_job_log` VALUES (46292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:37:55');
INSERT INTO `sys_job_log` VALUES (46293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:38:00');
INSERT INTO `sys_job_log` VALUES (46294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:38:00');
INSERT INTO `sys_job_log` VALUES (46295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:38:05');
INSERT INTO `sys_job_log` VALUES (46296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:38:10');
INSERT INTO `sys_job_log` VALUES (46297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:38:15');
INSERT INTO `sys_job_log` VALUES (46298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:38:15');
INSERT INTO `sys_job_log` VALUES (46299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:38:20');
INSERT INTO `sys_job_log` VALUES (46300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:38:25');
INSERT INTO `sys_job_log` VALUES (46301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:38:30');
INSERT INTO `sys_job_log` VALUES (46302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:38:30');
INSERT INTO `sys_job_log` VALUES (46303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:38:35');
INSERT INTO `sys_job_log` VALUES (46304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:38:40');
INSERT INTO `sys_job_log` VALUES (46305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:38:45');
INSERT INTO `sys_job_log` VALUES (46306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:38:45');
INSERT INTO `sys_job_log` VALUES (46307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:38:50');
INSERT INTO `sys_job_log` VALUES (46308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:38:55');
INSERT INTO `sys_job_log` VALUES (46309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:39:00');
INSERT INTO `sys_job_log` VALUES (46310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:39:00');
INSERT INTO `sys_job_log` VALUES (46311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:39:05');
INSERT INTO `sys_job_log` VALUES (46312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:39:10');
INSERT INTO `sys_job_log` VALUES (46313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:39:15');
INSERT INTO `sys_job_log` VALUES (46314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:39:15');
INSERT INTO `sys_job_log` VALUES (46315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:39:20');
INSERT INTO `sys_job_log` VALUES (46316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:39:25');
INSERT INTO `sys_job_log` VALUES (46317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:39:30');
INSERT INTO `sys_job_log` VALUES (46318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:39:30');
INSERT INTO `sys_job_log` VALUES (46319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:39:35');
INSERT INTO `sys_job_log` VALUES (46320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:39:40');
INSERT INTO `sys_job_log` VALUES (46321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:39:45');
INSERT INTO `sys_job_log` VALUES (46322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:39:45');
INSERT INTO `sys_job_log` VALUES (46323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:39:50');
INSERT INTO `sys_job_log` VALUES (46324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:39:55');
INSERT INTO `sys_job_log` VALUES (46325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:40:00');
INSERT INTO `sys_job_log` VALUES (46326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:40:00');
INSERT INTO `sys_job_log` VALUES (46327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:40:05');
INSERT INTO `sys_job_log` VALUES (46328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:40:10');
INSERT INTO `sys_job_log` VALUES (46329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:40:15');
INSERT INTO `sys_job_log` VALUES (46330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:40:15');
INSERT INTO `sys_job_log` VALUES (46331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:40:20');
INSERT INTO `sys_job_log` VALUES (46332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:40:25');
INSERT INTO `sys_job_log` VALUES (46333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:40:30');
INSERT INTO `sys_job_log` VALUES (46334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:40:30');
INSERT INTO `sys_job_log` VALUES (46335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:40:35');
INSERT INTO `sys_job_log` VALUES (46336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:40:40');
INSERT INTO `sys_job_log` VALUES (46337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:40:45');
INSERT INTO `sys_job_log` VALUES (46338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:40:45');
INSERT INTO `sys_job_log` VALUES (46339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:40:50');
INSERT INTO `sys_job_log` VALUES (46340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:40:55');
INSERT INTO `sys_job_log` VALUES (46341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:41:00');
INSERT INTO `sys_job_log` VALUES (46342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:41:00');
INSERT INTO `sys_job_log` VALUES (46343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:41:05');
INSERT INTO `sys_job_log` VALUES (46344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1835毫秒', '0', '', '2025-01-01 20:41:11');
INSERT INTO `sys_job_log` VALUES (46345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:41:15');
INSERT INTO `sys_job_log` VALUES (46346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:41:15');
INSERT INTO `sys_job_log` VALUES (46347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:41:20');
INSERT INTO `sys_job_log` VALUES (46348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:41:25');
INSERT INTO `sys_job_log` VALUES (46349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:41:30');
INSERT INTO `sys_job_log` VALUES (46350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:41:30');
INSERT INTO `sys_job_log` VALUES (46351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 20:41:35');
INSERT INTO `sys_job_log` VALUES (46352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:41:40');
INSERT INTO `sys_job_log` VALUES (46353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:41:45');
INSERT INTO `sys_job_log` VALUES (46354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:41:45');
INSERT INTO `sys_job_log` VALUES (46355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:41:50');
INSERT INTO `sys_job_log` VALUES (46356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:41:55');
INSERT INTO `sys_job_log` VALUES (46357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:42:00');
INSERT INTO `sys_job_log` VALUES (46358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:42:00');
INSERT INTO `sys_job_log` VALUES (46359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:42:05');
INSERT INTO `sys_job_log` VALUES (46360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:42:10');
INSERT INTO `sys_job_log` VALUES (46361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:42:15');
INSERT INTO `sys_job_log` VALUES (46362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 20:42:15');
INSERT INTO `sys_job_log` VALUES (46363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:42:20');
INSERT INTO `sys_job_log` VALUES (46364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:42:25');
INSERT INTO `sys_job_log` VALUES (46365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:42:30');
INSERT INTO `sys_job_log` VALUES (46366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:42:30');
INSERT INTO `sys_job_log` VALUES (46367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:42:35');
INSERT INTO `sys_job_log` VALUES (46368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:42:40');
INSERT INTO `sys_job_log` VALUES (46369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:42:45');
INSERT INTO `sys_job_log` VALUES (46370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:42:45');
INSERT INTO `sys_job_log` VALUES (46371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:42:50');
INSERT INTO `sys_job_log` VALUES (46372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:42:55');
INSERT INTO `sys_job_log` VALUES (46373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:43:00');
INSERT INTO `sys_job_log` VALUES (46374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:43:00');
INSERT INTO `sys_job_log` VALUES (46375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:43:05');
INSERT INTO `sys_job_log` VALUES (46376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:43:10');
INSERT INTO `sys_job_log` VALUES (46377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:43:15');
INSERT INTO `sys_job_log` VALUES (46378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:43:15');
INSERT INTO `sys_job_log` VALUES (46379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:43:20');
INSERT INTO `sys_job_log` VALUES (46380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:43:25');
INSERT INTO `sys_job_log` VALUES (46381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:43:30');
INSERT INTO `sys_job_log` VALUES (46382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:43:30');
INSERT INTO `sys_job_log` VALUES (46383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:43:35');
INSERT INTO `sys_job_log` VALUES (46384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:43:40');
INSERT INTO `sys_job_log` VALUES (46385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:43:45');
INSERT INTO `sys_job_log` VALUES (46386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:43:45');
INSERT INTO `sys_job_log` VALUES (46387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:43:50');
INSERT INTO `sys_job_log` VALUES (46388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:43:55');
INSERT INTO `sys_job_log` VALUES (46389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:44:00');
INSERT INTO `sys_job_log` VALUES (46390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:44:00');
INSERT INTO `sys_job_log` VALUES (46391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:44:05');
INSERT INTO `sys_job_log` VALUES (46392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:44:10');
INSERT INTO `sys_job_log` VALUES (46393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:44:15');
INSERT INTO `sys_job_log` VALUES (46394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 20:44:15');
INSERT INTO `sys_job_log` VALUES (46395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:44:20');
INSERT INTO `sys_job_log` VALUES (46396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:44:25');
INSERT INTO `sys_job_log` VALUES (46397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:44:30');
INSERT INTO `sys_job_log` VALUES (46398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:44:30');
INSERT INTO `sys_job_log` VALUES (46399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:44:35');
INSERT INTO `sys_job_log` VALUES (46400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:44:40');
INSERT INTO `sys_job_log` VALUES (46401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:44:45');
INSERT INTO `sys_job_log` VALUES (46402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:44:45');
INSERT INTO `sys_job_log` VALUES (46403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:44:50');
INSERT INTO `sys_job_log` VALUES (46404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:44:55');
INSERT INTO `sys_job_log` VALUES (46405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:45:00');
INSERT INTO `sys_job_log` VALUES (46406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:45:00');
INSERT INTO `sys_job_log` VALUES (46407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:45:05');
INSERT INTO `sys_job_log` VALUES (46408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:45:10');
INSERT INTO `sys_job_log` VALUES (46409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 20:45:15');
INSERT INTO `sys_job_log` VALUES (46410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:45:15');
INSERT INTO `sys_job_log` VALUES (46411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:45:20');
INSERT INTO `sys_job_log` VALUES (46412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:45:25');
INSERT INTO `sys_job_log` VALUES (46413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 20:45:30');
INSERT INTO `sys_job_log` VALUES (46414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 20:45:30');
INSERT INTO `sys_job_log` VALUES (46415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:45:35');
INSERT INTO `sys_job_log` VALUES (46416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:45:40');
INSERT INTO `sys_job_log` VALUES (46417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:45:45');
INSERT INTO `sys_job_log` VALUES (46418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:45:45');
INSERT INTO `sys_job_log` VALUES (46419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:45:50');
INSERT INTO `sys_job_log` VALUES (46420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:45:55');
INSERT INTO `sys_job_log` VALUES (46421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:46:00');
INSERT INTO `sys_job_log` VALUES (46422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:46:00');
INSERT INTO `sys_job_log` VALUES (46423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:46:05');
INSERT INTO `sys_job_log` VALUES (46424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:46:10');
INSERT INTO `sys_job_log` VALUES (46425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:46:15');
INSERT INTO `sys_job_log` VALUES (46426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:46:15');
INSERT INTO `sys_job_log` VALUES (46427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:46:20');
INSERT INTO `sys_job_log` VALUES (46428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:46:25');
INSERT INTO `sys_job_log` VALUES (46429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:46:30');
INSERT INTO `sys_job_log` VALUES (46430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:46:30');
INSERT INTO `sys_job_log` VALUES (46431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:46:35');
INSERT INTO `sys_job_log` VALUES (46432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:46:40');
INSERT INTO `sys_job_log` VALUES (46433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:46:45');
INSERT INTO `sys_job_log` VALUES (46434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:46:45');
INSERT INTO `sys_job_log` VALUES (46435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:46:50');
INSERT INTO `sys_job_log` VALUES (46436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:46:55');
INSERT INTO `sys_job_log` VALUES (46437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:47:00');
INSERT INTO `sys_job_log` VALUES (46438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:47:00');
INSERT INTO `sys_job_log` VALUES (46439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:47:05');
INSERT INTO `sys_job_log` VALUES (46440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:47:10');
INSERT INTO `sys_job_log` VALUES (46441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:47:15');
INSERT INTO `sys_job_log` VALUES (46442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:47:15');
INSERT INTO `sys_job_log` VALUES (46443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:47:20');
INSERT INTO `sys_job_log` VALUES (46444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:47:25');
INSERT INTO `sys_job_log` VALUES (46445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:47:30');
INSERT INTO `sys_job_log` VALUES (46446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 20:47:30');
INSERT INTO `sys_job_log` VALUES (46447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:47:35');
INSERT INTO `sys_job_log` VALUES (46448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:47:40');
INSERT INTO `sys_job_log` VALUES (46449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:47:45');
INSERT INTO `sys_job_log` VALUES (46450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:47:45');
INSERT INTO `sys_job_log` VALUES (46451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:47:50');
INSERT INTO `sys_job_log` VALUES (46452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:47:55');
INSERT INTO `sys_job_log` VALUES (46453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:48:00');
INSERT INTO `sys_job_log` VALUES (46454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:48:00');
INSERT INTO `sys_job_log` VALUES (46455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:48:05');
INSERT INTO `sys_job_log` VALUES (46456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:48:10');
INSERT INTO `sys_job_log` VALUES (46457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 20:48:15');
INSERT INTO `sys_job_log` VALUES (46458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:48:15');
INSERT INTO `sys_job_log` VALUES (46459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:48:20');
INSERT INTO `sys_job_log` VALUES (46460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:48:25');
INSERT INTO `sys_job_log` VALUES (46461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:48:30');
INSERT INTO `sys_job_log` VALUES (46462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:48:30');
INSERT INTO `sys_job_log` VALUES (46463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:48:35');
INSERT INTO `sys_job_log` VALUES (46464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:48:40');
INSERT INTO `sys_job_log` VALUES (46465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 20:48:45');
INSERT INTO `sys_job_log` VALUES (46466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:48:45');
INSERT INTO `sys_job_log` VALUES (46467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:48:50');
INSERT INTO `sys_job_log` VALUES (46468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:48:55');
INSERT INTO `sys_job_log` VALUES (46469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:49:00');
INSERT INTO `sys_job_log` VALUES (46470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:49:00');
INSERT INTO `sys_job_log` VALUES (46471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-01 20:49:05');
INSERT INTO `sys_job_log` VALUES (46472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:49:10');
INSERT INTO `sys_job_log` VALUES (46473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:49:15');
INSERT INTO `sys_job_log` VALUES (46474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:49:15');
INSERT INTO `sys_job_log` VALUES (46475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:49:20');
INSERT INTO `sys_job_log` VALUES (46476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:49:25');
INSERT INTO `sys_job_log` VALUES (46477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:49:30');
INSERT INTO `sys_job_log` VALUES (46478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:49:30');
INSERT INTO `sys_job_log` VALUES (46479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:49:35');
INSERT INTO `sys_job_log` VALUES (46480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:49:40');
INSERT INTO `sys_job_log` VALUES (46481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:49:45');
INSERT INTO `sys_job_log` VALUES (46482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:49:45');
INSERT INTO `sys_job_log` VALUES (46483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:49:50');
INSERT INTO `sys_job_log` VALUES (46484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:49:55');
INSERT INTO `sys_job_log` VALUES (46485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:50:00');
INSERT INTO `sys_job_log` VALUES (46486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 20:50:00');
INSERT INTO `sys_job_log` VALUES (46487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:50:05');
INSERT INTO `sys_job_log` VALUES (46488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:50:10');
INSERT INTO `sys_job_log` VALUES (46489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:50:15');
INSERT INTO `sys_job_log` VALUES (46490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:50:15');
INSERT INTO `sys_job_log` VALUES (46491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:50:20');
INSERT INTO `sys_job_log` VALUES (46492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:50:25');
INSERT INTO `sys_job_log` VALUES (46493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:50:30');
INSERT INTO `sys_job_log` VALUES (46494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:50:30');
INSERT INTO `sys_job_log` VALUES (46495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:50:35');
INSERT INTO `sys_job_log` VALUES (46496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:50:40');
INSERT INTO `sys_job_log` VALUES (46497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:50:45');
INSERT INTO `sys_job_log` VALUES (46498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:50:45');
INSERT INTO `sys_job_log` VALUES (46499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:50:50');
INSERT INTO `sys_job_log` VALUES (46500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-01 20:50:55');
INSERT INTO `sys_job_log` VALUES (46501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:51:00');
INSERT INTO `sys_job_log` VALUES (46502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:51:00');
INSERT INTO `sys_job_log` VALUES (46503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 20:51:05');
INSERT INTO `sys_job_log` VALUES (46504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 20:51:10');
INSERT INTO `sys_job_log` VALUES (46505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-01 20:51:15');
INSERT INTO `sys_job_log` VALUES (46506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 20:51:15');
INSERT INTO `sys_job_log` VALUES (46507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:51:20');
INSERT INTO `sys_job_log` VALUES (46508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:51:25');
INSERT INTO `sys_job_log` VALUES (46509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:51:30');
INSERT INTO `sys_job_log` VALUES (46510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:51:30');
INSERT INTO `sys_job_log` VALUES (46511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:51:35');
INSERT INTO `sys_job_log` VALUES (46512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:51:40');
INSERT INTO `sys_job_log` VALUES (46513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:51:45');
INSERT INTO `sys_job_log` VALUES (46514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1825毫秒', '0', '', '2025-01-01 20:51:46');
INSERT INTO `sys_job_log` VALUES (46515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:51:50');
INSERT INTO `sys_job_log` VALUES (46516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:51:55');
INSERT INTO `sys_job_log` VALUES (46517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:52:00');
INSERT INTO `sys_job_log` VALUES (46518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:52:00');
INSERT INTO `sys_job_log` VALUES (46519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:52:05');
INSERT INTO `sys_job_log` VALUES (46520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:52:10');
INSERT INTO `sys_job_log` VALUES (46521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:52:15');
INSERT INTO `sys_job_log` VALUES (46522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:52:15');
INSERT INTO `sys_job_log` VALUES (46523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:52:20');
INSERT INTO `sys_job_log` VALUES (46524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:52:25');
INSERT INTO `sys_job_log` VALUES (46525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 20:52:30');
INSERT INTO `sys_job_log` VALUES (46526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:52:30');
INSERT INTO `sys_job_log` VALUES (46527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:52:35');
INSERT INTO `sys_job_log` VALUES (46528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-01 20:52:40');
INSERT INTO `sys_job_log` VALUES (46529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 20:52:45');
INSERT INTO `sys_job_log` VALUES (46530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:52:45');
INSERT INTO `sys_job_log` VALUES (46531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:52:50');
INSERT INTO `sys_job_log` VALUES (46532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:52:55');
INSERT INTO `sys_job_log` VALUES (46533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:53:00');
INSERT INTO `sys_job_log` VALUES (46534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:53:00');
INSERT INTO `sys_job_log` VALUES (46535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:53:05');
INSERT INTO `sys_job_log` VALUES (46536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:53:10');
INSERT INTO `sys_job_log` VALUES (46537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:53:15');
INSERT INTO `sys_job_log` VALUES (46538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:53:15');
INSERT INTO `sys_job_log` VALUES (46539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 20:53:20');
INSERT INTO `sys_job_log` VALUES (46540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:53:25');
INSERT INTO `sys_job_log` VALUES (46541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:53:30');
INSERT INTO `sys_job_log` VALUES (46542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:53:30');
INSERT INTO `sys_job_log` VALUES (46543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:53:35');
INSERT INTO `sys_job_log` VALUES (46544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:53:40');
INSERT INTO `sys_job_log` VALUES (46545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:53:45');
INSERT INTO `sys_job_log` VALUES (46546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:53:45');
INSERT INTO `sys_job_log` VALUES (46547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:53:50');
INSERT INTO `sys_job_log` VALUES (46548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:53:55');
INSERT INTO `sys_job_log` VALUES (46549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:54:00');
INSERT INTO `sys_job_log` VALUES (46550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:54:00');
INSERT INTO `sys_job_log` VALUES (46551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:54:05');
INSERT INTO `sys_job_log` VALUES (46552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:54:10');
INSERT INTO `sys_job_log` VALUES (46553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:54:15');
INSERT INTO `sys_job_log` VALUES (46554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:54:15');
INSERT INTO `sys_job_log` VALUES (46555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:54:20');
INSERT INTO `sys_job_log` VALUES (46556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:54:25');
INSERT INTO `sys_job_log` VALUES (46557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:54:30');
INSERT INTO `sys_job_log` VALUES (46558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:54:30');
INSERT INTO `sys_job_log` VALUES (46559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:54:35');
INSERT INTO `sys_job_log` VALUES (46560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:54:40');
INSERT INTO `sys_job_log` VALUES (46561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:54:45');
INSERT INTO `sys_job_log` VALUES (46562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:54:45');
INSERT INTO `sys_job_log` VALUES (46563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:54:50');
INSERT INTO `sys_job_log` VALUES (46564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 20:54:55');
INSERT INTO `sys_job_log` VALUES (46565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:55:00');
INSERT INTO `sys_job_log` VALUES (46566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:55:00');
INSERT INTO `sys_job_log` VALUES (46567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:55:05');
INSERT INTO `sys_job_log` VALUES (46568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:55:10');
INSERT INTO `sys_job_log` VALUES (46569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:55:15');
INSERT INTO `sys_job_log` VALUES (46570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 20:55:15');
INSERT INTO `sys_job_log` VALUES (46571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:55:20');
INSERT INTO `sys_job_log` VALUES (46572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:55:25');
INSERT INTO `sys_job_log` VALUES (46573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:55:30');
INSERT INTO `sys_job_log` VALUES (46574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:55:30');
INSERT INTO `sys_job_log` VALUES (46575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:55:35');
INSERT INTO `sys_job_log` VALUES (46576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:55:40');
INSERT INTO `sys_job_log` VALUES (46577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:55:45');
INSERT INTO `sys_job_log` VALUES (46578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:55:45');
INSERT INTO `sys_job_log` VALUES (46579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:55:50');
INSERT INTO `sys_job_log` VALUES (46580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:55:55');
INSERT INTO `sys_job_log` VALUES (46581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:56:00');
INSERT INTO `sys_job_log` VALUES (46582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:56:00');
INSERT INTO `sys_job_log` VALUES (46583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 20:56:05');
INSERT INTO `sys_job_log` VALUES (46584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:56:10');
INSERT INTO `sys_job_log` VALUES (46585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:56:15');
INSERT INTO `sys_job_log` VALUES (46586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:56:15');
INSERT INTO `sys_job_log` VALUES (46587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:56:20');
INSERT INTO `sys_job_log` VALUES (46588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:56:25');
INSERT INTO `sys_job_log` VALUES (46589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:56:30');
INSERT INTO `sys_job_log` VALUES (46590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:56:30');
INSERT INTO `sys_job_log` VALUES (46591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:56:35');
INSERT INTO `sys_job_log` VALUES (46592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:56:40');
INSERT INTO `sys_job_log` VALUES (46593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 20:56:45');
INSERT INTO `sys_job_log` VALUES (46594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:56:45');
INSERT INTO `sys_job_log` VALUES (46595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 20:56:50');
INSERT INTO `sys_job_log` VALUES (46596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:56:55');
INSERT INTO `sys_job_log` VALUES (46597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 20:57:00');
INSERT INTO `sys_job_log` VALUES (46598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:57:00');
INSERT INTO `sys_job_log` VALUES (46599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:57:05');
INSERT INTO `sys_job_log` VALUES (46600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:57:10');
INSERT INTO `sys_job_log` VALUES (46601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:57:15');
INSERT INTO `sys_job_log` VALUES (46602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:57:15');
INSERT INTO `sys_job_log` VALUES (46603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:57:20');
INSERT INTO `sys_job_log` VALUES (46604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:57:25');
INSERT INTO `sys_job_log` VALUES (46605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:57:30');
INSERT INTO `sys_job_log` VALUES (46606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:57:30');
INSERT INTO `sys_job_log` VALUES (46607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:57:35');
INSERT INTO `sys_job_log` VALUES (46608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:57:40');
INSERT INTO `sys_job_log` VALUES (46609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 20:57:45');
INSERT INTO `sys_job_log` VALUES (46610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:57:45');
INSERT INTO `sys_job_log` VALUES (46611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:57:50');
INSERT INTO `sys_job_log` VALUES (46612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 20:57:55');
INSERT INTO `sys_job_log` VALUES (46613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:58:00');
INSERT INTO `sys_job_log` VALUES (46614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:58:00');
INSERT INTO `sys_job_log` VALUES (46615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 20:58:05');
INSERT INTO `sys_job_log` VALUES (46616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:58:10');
INSERT INTO `sys_job_log` VALUES (46617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 20:58:15');
INSERT INTO `sys_job_log` VALUES (46618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:58:15');
INSERT INTO `sys_job_log` VALUES (46619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:58:20');
INSERT INTO `sys_job_log` VALUES (46620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 20:58:25');
INSERT INTO `sys_job_log` VALUES (46621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:58:30');
INSERT INTO `sys_job_log` VALUES (46622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:58:30');
INSERT INTO `sys_job_log` VALUES (46623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 20:58:35');
INSERT INTO `sys_job_log` VALUES (46624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:58:40');
INSERT INTO `sys_job_log` VALUES (46625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 20:58:45');
INSERT INTO `sys_job_log` VALUES (46626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:58:45');
INSERT INTO `sys_job_log` VALUES (46627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:58:50');
INSERT INTO `sys_job_log` VALUES (46628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:58:55');
INSERT INTO `sys_job_log` VALUES (46629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 20:59:00');
INSERT INTO `sys_job_log` VALUES (46630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:59:00');
INSERT INTO `sys_job_log` VALUES (46631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:59:05');
INSERT INTO `sys_job_log` VALUES (46632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 20:59:10');
INSERT INTO `sys_job_log` VALUES (46633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 20:59:15');
INSERT INTO `sys_job_log` VALUES (46634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 20:59:15');
INSERT INTO `sys_job_log` VALUES (46635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:59:20');
INSERT INTO `sys_job_log` VALUES (46636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:59:25');
INSERT INTO `sys_job_log` VALUES (46637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 20:59:30');
INSERT INTO `sys_job_log` VALUES (46638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 20:59:30');
INSERT INTO `sys_job_log` VALUES (46639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 20:59:35');
INSERT INTO `sys_job_log` VALUES (46640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 20:59:40');
INSERT INTO `sys_job_log` VALUES (46641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 20:59:45');
INSERT INTO `sys_job_log` VALUES (46642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 20:59:45');
INSERT INTO `sys_job_log` VALUES (46643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 20:59:50');
INSERT INTO `sys_job_log` VALUES (46644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 20:59:55');
INSERT INTO `sys_job_log` VALUES (46645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:00:00');
INSERT INTO `sys_job_log` VALUES (46646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:00:00');
INSERT INTO `sys_job_log` VALUES (46647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:00:05');
INSERT INTO `sys_job_log` VALUES (46648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:00:10');
INSERT INTO `sys_job_log` VALUES (46649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:00:15');
INSERT INTO `sys_job_log` VALUES (46650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:00:15');
INSERT INTO `sys_job_log` VALUES (46651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:00:20');
INSERT INTO `sys_job_log` VALUES (46652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:00:25');
INSERT INTO `sys_job_log` VALUES (46653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:00:30');
INSERT INTO `sys_job_log` VALUES (46654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:00:30');
INSERT INTO `sys_job_log` VALUES (46655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:00:35');
INSERT INTO `sys_job_log` VALUES (46656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:00:40');
INSERT INTO `sys_job_log` VALUES (46657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:00:45');
INSERT INTO `sys_job_log` VALUES (46658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:00:45');
INSERT INTO `sys_job_log` VALUES (46659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:00:50');
INSERT INTO `sys_job_log` VALUES (46660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:00:55');
INSERT INTO `sys_job_log` VALUES (46661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:01:00');
INSERT INTO `sys_job_log` VALUES (46662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:01:00');
INSERT INTO `sys_job_log` VALUES (46663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:01:05');
INSERT INTO `sys_job_log` VALUES (46664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:01:10');
INSERT INTO `sys_job_log` VALUES (46665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:01:15');
INSERT INTO `sys_job_log` VALUES (46666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:01:15');
INSERT INTO `sys_job_log` VALUES (46667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:01:20');
INSERT INTO `sys_job_log` VALUES (46668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:01:25');
INSERT INTO `sys_job_log` VALUES (46669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:01:30');
INSERT INTO `sys_job_log` VALUES (46670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:01:30');
INSERT INTO `sys_job_log` VALUES (46671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:01:35');
INSERT INTO `sys_job_log` VALUES (46672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:01:40');
INSERT INTO `sys_job_log` VALUES (46673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:01:45');
INSERT INTO `sys_job_log` VALUES (46674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:01:45');
INSERT INTO `sys_job_log` VALUES (46675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:01:50');
INSERT INTO `sys_job_log` VALUES (46676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:01:55');
INSERT INTO `sys_job_log` VALUES (46677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:02:00');
INSERT INTO `sys_job_log` VALUES (46678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:02:00');
INSERT INTO `sys_job_log` VALUES (46679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:02:05');
INSERT INTO `sys_job_log` VALUES (46680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:02:10');
INSERT INTO `sys_job_log` VALUES (46681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:02:15');
INSERT INTO `sys_job_log` VALUES (46682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:02:15');
INSERT INTO `sys_job_log` VALUES (46683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:02:20');
INSERT INTO `sys_job_log` VALUES (46684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:02:25');
INSERT INTO `sys_job_log` VALUES (46685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:02:30');
INSERT INTO `sys_job_log` VALUES (46686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:02:30');
INSERT INTO `sys_job_log` VALUES (46687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:02:35');
INSERT INTO `sys_job_log` VALUES (46688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:02:40');
INSERT INTO `sys_job_log` VALUES (46689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 21:02:45');
INSERT INTO `sys_job_log` VALUES (46690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 21:02:45');
INSERT INTO `sys_job_log` VALUES (46691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:02:50');
INSERT INTO `sys_job_log` VALUES (46692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:02:55');
INSERT INTO `sys_job_log` VALUES (46693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 21:03:00');
INSERT INTO `sys_job_log` VALUES (46694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 21:03:00');
INSERT INTO `sys_job_log` VALUES (46695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:03:05');
INSERT INTO `sys_job_log` VALUES (46696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:03:10');
INSERT INTO `sys_job_log` VALUES (46697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:03:15');
INSERT INTO `sys_job_log` VALUES (46698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 21:03:15');
INSERT INTO `sys_job_log` VALUES (46699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:03:20');
INSERT INTO `sys_job_log` VALUES (46700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:03:25');
INSERT INTO `sys_job_log` VALUES (46701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:03:30');
INSERT INTO `sys_job_log` VALUES (46702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:03:30');
INSERT INTO `sys_job_log` VALUES (46703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:03:35');
INSERT INTO `sys_job_log` VALUES (46704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:03:40');
INSERT INTO `sys_job_log` VALUES (46705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:03:45');
INSERT INTO `sys_job_log` VALUES (46706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:03:45');
INSERT INTO `sys_job_log` VALUES (46707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:03:50');
INSERT INTO `sys_job_log` VALUES (46708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:03:55');
INSERT INTO `sys_job_log` VALUES (46709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:04:00');
INSERT INTO `sys_job_log` VALUES (46710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:04:00');
INSERT INTO `sys_job_log` VALUES (46711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:04:05');
INSERT INTO `sys_job_log` VALUES (46712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:04:10');
INSERT INTO `sys_job_log` VALUES (46713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:04:15');
INSERT INTO `sys_job_log` VALUES (46714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:04:15');
INSERT INTO `sys_job_log` VALUES (46715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:04:20');
INSERT INTO `sys_job_log` VALUES (46716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:04:25');
INSERT INTO `sys_job_log` VALUES (46717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:04:30');
INSERT INTO `sys_job_log` VALUES (46718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 21:04:30');
INSERT INTO `sys_job_log` VALUES (46719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:04:35');
INSERT INTO `sys_job_log` VALUES (46720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:04:40');
INSERT INTO `sys_job_log` VALUES (46721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:04:45');
INSERT INTO `sys_job_log` VALUES (46722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:04:45');
INSERT INTO `sys_job_log` VALUES (46723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:04:50');
INSERT INTO `sys_job_log` VALUES (46724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:04:55');
INSERT INTO `sys_job_log` VALUES (46725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:05:00');
INSERT INTO `sys_job_log` VALUES (46726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:05:00');
INSERT INTO `sys_job_log` VALUES (46727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:05:05');
INSERT INTO `sys_job_log` VALUES (46728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:05:10');
INSERT INTO `sys_job_log` VALUES (46729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:05:15');
INSERT INTO `sys_job_log` VALUES (46730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:05:15');
INSERT INTO `sys_job_log` VALUES (46731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:05:20');
INSERT INTO `sys_job_log` VALUES (46732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3166毫秒', '0', '', '2025-01-01 21:05:28');
INSERT INTO `sys_job_log` VALUES (46733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:05:30');
INSERT INTO `sys_job_log` VALUES (46734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:05:30');
INSERT INTO `sys_job_log` VALUES (46735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:05:35');
INSERT INTO `sys_job_log` VALUES (46736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:05:40');
INSERT INTO `sys_job_log` VALUES (46737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:05:45');
INSERT INTO `sys_job_log` VALUES (46738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:05:45');
INSERT INTO `sys_job_log` VALUES (46739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:05:50');
INSERT INTO `sys_job_log` VALUES (46740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:05:55');
INSERT INTO `sys_job_log` VALUES (46741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:06:00');
INSERT INTO `sys_job_log` VALUES (46742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 21:06:00');
INSERT INTO `sys_job_log` VALUES (46743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:06:05');
INSERT INTO `sys_job_log` VALUES (46744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:06:10');
INSERT INTO `sys_job_log` VALUES (46745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:06:15');
INSERT INTO `sys_job_log` VALUES (46746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:06:15');
INSERT INTO `sys_job_log` VALUES (46747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:06:20');
INSERT INTO `sys_job_log` VALUES (46748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:06:25');
INSERT INTO `sys_job_log` VALUES (46749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 21:06:30');
INSERT INTO `sys_job_log` VALUES (46750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:06:30');
INSERT INTO `sys_job_log` VALUES (46751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:06:35');
INSERT INTO `sys_job_log` VALUES (46752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:06:40');
INSERT INTO `sys_job_log` VALUES (46753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:06:45');
INSERT INTO `sys_job_log` VALUES (46754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:06:45');
INSERT INTO `sys_job_log` VALUES (46755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:06:50');
INSERT INTO `sys_job_log` VALUES (46756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:06:55');
INSERT INTO `sys_job_log` VALUES (46757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:07:00');
INSERT INTO `sys_job_log` VALUES (46758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:07:00');
INSERT INTO `sys_job_log` VALUES (46759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 21:07:05');
INSERT INTO `sys_job_log` VALUES (46760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:07:10');
INSERT INTO `sys_job_log` VALUES (46761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:07:15');
INSERT INTO `sys_job_log` VALUES (46762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:07:15');
INSERT INTO `sys_job_log` VALUES (46763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:07:20');
INSERT INTO `sys_job_log` VALUES (46764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:07:25');
INSERT INTO `sys_job_log` VALUES (46765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:07:30');
INSERT INTO `sys_job_log` VALUES (46766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:07:30');
INSERT INTO `sys_job_log` VALUES (46767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:07:35');
INSERT INTO `sys_job_log` VALUES (46768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:07:40');
INSERT INTO `sys_job_log` VALUES (46769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:07:45');
INSERT INTO `sys_job_log` VALUES (46770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 21:07:45');
INSERT INTO `sys_job_log` VALUES (46771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:07:50');
INSERT INTO `sys_job_log` VALUES (46772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:07:55');
INSERT INTO `sys_job_log` VALUES (46773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:08:00');
INSERT INTO `sys_job_log` VALUES (46774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:08:00');
INSERT INTO `sys_job_log` VALUES (46775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:08:05');
INSERT INTO `sys_job_log` VALUES (46776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:08:10');
INSERT INTO `sys_job_log` VALUES (46777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:08:15');
INSERT INTO `sys_job_log` VALUES (46778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:08:15');
INSERT INTO `sys_job_log` VALUES (46779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:08:20');
INSERT INTO `sys_job_log` VALUES (46780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:08:25');
INSERT INTO `sys_job_log` VALUES (46781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:08:30');
INSERT INTO `sys_job_log` VALUES (46782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:08:30');
INSERT INTO `sys_job_log` VALUES (46783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:08:35');
INSERT INTO `sys_job_log` VALUES (46784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:08:40');
INSERT INTO `sys_job_log` VALUES (46785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:08:45');
INSERT INTO `sys_job_log` VALUES (46786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:08:45');
INSERT INTO `sys_job_log` VALUES (46787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:08:50');
INSERT INTO `sys_job_log` VALUES (46788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:08:55');
INSERT INTO `sys_job_log` VALUES (46789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:09:00');
INSERT INTO `sys_job_log` VALUES (46790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 21:09:00');
INSERT INTO `sys_job_log` VALUES (46791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:09:05');
INSERT INTO `sys_job_log` VALUES (46792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:09:10');
INSERT INTO `sys_job_log` VALUES (46793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:09:15');
INSERT INTO `sys_job_log` VALUES (46794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:09:15');
INSERT INTO `sys_job_log` VALUES (46795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:09:20');
INSERT INTO `sys_job_log` VALUES (46796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:09:25');
INSERT INTO `sys_job_log` VALUES (46797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 21:09:30');
INSERT INTO `sys_job_log` VALUES (46798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:09:30');
INSERT INTO `sys_job_log` VALUES (46799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:09:35');
INSERT INTO `sys_job_log` VALUES (46800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:09:40');
INSERT INTO `sys_job_log` VALUES (46801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:09:45');
INSERT INTO `sys_job_log` VALUES (46802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:09:45');
INSERT INTO `sys_job_log` VALUES (46803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:09:50');
INSERT INTO `sys_job_log` VALUES (46804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:09:55');
INSERT INTO `sys_job_log` VALUES (46805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:10:00');
INSERT INTO `sys_job_log` VALUES (46806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:10:00');
INSERT INTO `sys_job_log` VALUES (46807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:10:05');
INSERT INTO `sys_job_log` VALUES (46808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:10:10');
INSERT INTO `sys_job_log` VALUES (46809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:10:15');
INSERT INTO `sys_job_log` VALUES (46810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:10:15');
INSERT INTO `sys_job_log` VALUES (46811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:10:20');
INSERT INTO `sys_job_log` VALUES (46812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:10:25');
INSERT INTO `sys_job_log` VALUES (46813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:10:30');
INSERT INTO `sys_job_log` VALUES (46814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:10:30');
INSERT INTO `sys_job_log` VALUES (46815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:10:35');
INSERT INTO `sys_job_log` VALUES (46816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:10:40');
INSERT INTO `sys_job_log` VALUES (46817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:10:45');
INSERT INTO `sys_job_log` VALUES (46818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:10:45');
INSERT INTO `sys_job_log` VALUES (46819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:10:50');
INSERT INTO `sys_job_log` VALUES (46820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:10:55');
INSERT INTO `sys_job_log` VALUES (46821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:11:00');
INSERT INTO `sys_job_log` VALUES (46822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1804毫秒', '0', '', '2025-01-01 21:11:01');
INSERT INTO `sys_job_log` VALUES (46823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:11:05');
INSERT INTO `sys_job_log` VALUES (46824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1800毫秒', '0', '', '2025-01-01 21:11:11');
INSERT INTO `sys_job_log` VALUES (46825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:11:15');
INSERT INTO `sys_job_log` VALUES (46826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:11:15');
INSERT INTO `sys_job_log` VALUES (46827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:11:20');
INSERT INTO `sys_job_log` VALUES (46828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:11:25');
INSERT INTO `sys_job_log` VALUES (46829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:11:30');
INSERT INTO `sys_job_log` VALUES (46830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:11:30');
INSERT INTO `sys_job_log` VALUES (46831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:11:35');
INSERT INTO `sys_job_log` VALUES (46832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:11:40');
INSERT INTO `sys_job_log` VALUES (46833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 21:11:45');
INSERT INTO `sys_job_log` VALUES (46834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 21:11:45');
INSERT INTO `sys_job_log` VALUES (46835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:11:50');
INSERT INTO `sys_job_log` VALUES (46836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:11:55');
INSERT INTO `sys_job_log` VALUES (46837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:12:00');
INSERT INTO `sys_job_log` VALUES (46838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:12:00');
INSERT INTO `sys_job_log` VALUES (46839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1812毫秒', '0', '', '2025-01-01 21:12:06');
INSERT INTO `sys_job_log` VALUES (46840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:12:10');
INSERT INTO `sys_job_log` VALUES (46841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:12:15');
INSERT INTO `sys_job_log` VALUES (46842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:12:15');
INSERT INTO `sys_job_log` VALUES (46843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:12:20');
INSERT INTO `sys_job_log` VALUES (46844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:12:25');
INSERT INTO `sys_job_log` VALUES (46845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:12:30');
INSERT INTO `sys_job_log` VALUES (46846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:12:30');
INSERT INTO `sys_job_log` VALUES (46847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:12:35');
INSERT INTO `sys_job_log` VALUES (46848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:12:40');
INSERT INTO `sys_job_log` VALUES (46849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:12:45');
INSERT INTO `sys_job_log` VALUES (46850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:12:45');
INSERT INTO `sys_job_log` VALUES (46851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:12:50');
INSERT INTO `sys_job_log` VALUES (46852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:12:55');
INSERT INTO `sys_job_log` VALUES (46853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:13:00');
INSERT INTO `sys_job_log` VALUES (46854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:13:00');
INSERT INTO `sys_job_log` VALUES (46855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:13:05');
INSERT INTO `sys_job_log` VALUES (46856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:13:10');
INSERT INTO `sys_job_log` VALUES (46857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:13:15');
INSERT INTO `sys_job_log` VALUES (46858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:13:15');
INSERT INTO `sys_job_log` VALUES (46859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:13:20');
INSERT INTO `sys_job_log` VALUES (46860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:13:25');
INSERT INTO `sys_job_log` VALUES (46861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:13:30');
INSERT INTO `sys_job_log` VALUES (46862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:13:30');
INSERT INTO `sys_job_log` VALUES (46863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:13:35');
INSERT INTO `sys_job_log` VALUES (46864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:13:40');
INSERT INTO `sys_job_log` VALUES (46865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 21:13:45');
INSERT INTO `sys_job_log` VALUES (46866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:13:45');
INSERT INTO `sys_job_log` VALUES (46867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:13:50');
INSERT INTO `sys_job_log` VALUES (46868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:13:55');
INSERT INTO `sys_job_log` VALUES (46869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:14:00');
INSERT INTO `sys_job_log` VALUES (46870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:14:00');
INSERT INTO `sys_job_log` VALUES (46871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:14:05');
INSERT INTO `sys_job_log` VALUES (46872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:14:10');
INSERT INTO `sys_job_log` VALUES (46873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:14:15');
INSERT INTO `sys_job_log` VALUES (46874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:14:15');
INSERT INTO `sys_job_log` VALUES (46875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:14:20');
INSERT INTO `sys_job_log` VALUES (46876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:14:25');
INSERT INTO `sys_job_log` VALUES (46877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:14:30');
INSERT INTO `sys_job_log` VALUES (46878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:14:30');
INSERT INTO `sys_job_log` VALUES (46879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:14:35');
INSERT INTO `sys_job_log` VALUES (46880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:14:40');
INSERT INTO `sys_job_log` VALUES (46881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:14:45');
INSERT INTO `sys_job_log` VALUES (46882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 21:14:45');
INSERT INTO `sys_job_log` VALUES (46883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:14:50');
INSERT INTO `sys_job_log` VALUES (46884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:14:55');
INSERT INTO `sys_job_log` VALUES (46885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:15:00');
INSERT INTO `sys_job_log` VALUES (46886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:15:00');
INSERT INTO `sys_job_log` VALUES (46887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:15:05');
INSERT INTO `sys_job_log` VALUES (46888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:15:10');
INSERT INTO `sys_job_log` VALUES (46889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:15:15');
INSERT INTO `sys_job_log` VALUES (46890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:15:15');
INSERT INTO `sys_job_log` VALUES (46891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:15:20');
INSERT INTO `sys_job_log` VALUES (46892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:15:25');
INSERT INTO `sys_job_log` VALUES (46893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:15:30');
INSERT INTO `sys_job_log` VALUES (46894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:15:30');
INSERT INTO `sys_job_log` VALUES (46895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:15:35');
INSERT INTO `sys_job_log` VALUES (46896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:15:40');
INSERT INTO `sys_job_log` VALUES (46897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:15:45');
INSERT INTO `sys_job_log` VALUES (46898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:15:45');
INSERT INTO `sys_job_log` VALUES (46899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:15:50');
INSERT INTO `sys_job_log` VALUES (46900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:15:55');
INSERT INTO `sys_job_log` VALUES (46901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:16:00');
INSERT INTO `sys_job_log` VALUES (46902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:16:00');
INSERT INTO `sys_job_log` VALUES (46903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:16:05');
INSERT INTO `sys_job_log` VALUES (46904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:16:10');
INSERT INTO `sys_job_log` VALUES (46905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 21:16:15');
INSERT INTO `sys_job_log` VALUES (46906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 21:16:15');
INSERT INTO `sys_job_log` VALUES (46907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:16:20');
INSERT INTO `sys_job_log` VALUES (46908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:16:25');
INSERT INTO `sys_job_log` VALUES (46909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:16:30');
INSERT INTO `sys_job_log` VALUES (46910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:16:30');
INSERT INTO `sys_job_log` VALUES (46911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:16:35');
INSERT INTO `sys_job_log` VALUES (46912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:16:40');
INSERT INTO `sys_job_log` VALUES (46913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:16:45');
INSERT INTO `sys_job_log` VALUES (46914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:16:45');
INSERT INTO `sys_job_log` VALUES (46915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:16:50');
INSERT INTO `sys_job_log` VALUES (46916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:16:55');
INSERT INTO `sys_job_log` VALUES (46917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:17:00');
INSERT INTO `sys_job_log` VALUES (46918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:17:00');
INSERT INTO `sys_job_log` VALUES (46919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:17:05');
INSERT INTO `sys_job_log` VALUES (46920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:17:10');
INSERT INTO `sys_job_log` VALUES (46921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:17:15');
INSERT INTO `sys_job_log` VALUES (46922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:17:15');
INSERT INTO `sys_job_log` VALUES (46923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:17:20');
INSERT INTO `sys_job_log` VALUES (46924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:17:25');
INSERT INTO `sys_job_log` VALUES (46925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:17:30');
INSERT INTO `sys_job_log` VALUES (46926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:17:30');
INSERT INTO `sys_job_log` VALUES (46927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:17:35');
INSERT INTO `sys_job_log` VALUES (46928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:17:40');
INSERT INTO `sys_job_log` VALUES (46929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-01 21:17:45');
INSERT INTO `sys_job_log` VALUES (46930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-01 21:17:45');
INSERT INTO `sys_job_log` VALUES (46931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:17:50');
INSERT INTO `sys_job_log` VALUES (46932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:17:55');
INSERT INTO `sys_job_log` VALUES (46933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:18:00');
INSERT INTO `sys_job_log` VALUES (46934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:18:00');
INSERT INTO `sys_job_log` VALUES (46935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:18:05');
INSERT INTO `sys_job_log` VALUES (46936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:18:10');
INSERT INTO `sys_job_log` VALUES (46937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:18:15');
INSERT INTO `sys_job_log` VALUES (46938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:18:15');
INSERT INTO `sys_job_log` VALUES (46939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:18:20');
INSERT INTO `sys_job_log` VALUES (46940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:18:25');
INSERT INTO `sys_job_log` VALUES (46941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:18:30');
INSERT INTO `sys_job_log` VALUES (46942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:18:30');
INSERT INTO `sys_job_log` VALUES (46943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-01 21:18:35');
INSERT INTO `sys_job_log` VALUES (46944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 21:18:40');
INSERT INTO `sys_job_log` VALUES (46945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 21:18:45');
INSERT INTO `sys_job_log` VALUES (46946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:18:45');
INSERT INTO `sys_job_log` VALUES (46947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:18:50');
INSERT INTO `sys_job_log` VALUES (46948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:18:55');
INSERT INTO `sys_job_log` VALUES (46949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:19:00');
INSERT INTO `sys_job_log` VALUES (46950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:19:00');
INSERT INTO `sys_job_log` VALUES (46951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:19:05');
INSERT INTO `sys_job_log` VALUES (46952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:19:10');
INSERT INTO `sys_job_log` VALUES (46953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:19:15');
INSERT INTO `sys_job_log` VALUES (46954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 21:19:15');
INSERT INTO `sys_job_log` VALUES (46955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:19:20');
INSERT INTO `sys_job_log` VALUES (46956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:19:25');
INSERT INTO `sys_job_log` VALUES (46957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 21:19:30');
INSERT INTO `sys_job_log` VALUES (46958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:19:30');
INSERT INTO `sys_job_log` VALUES (46959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:19:35');
INSERT INTO `sys_job_log` VALUES (46960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:19:40');
INSERT INTO `sys_job_log` VALUES (46961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:19:45');
INSERT INTO `sys_job_log` VALUES (46962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 21:19:45');
INSERT INTO `sys_job_log` VALUES (46963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:19:50');
INSERT INTO `sys_job_log` VALUES (46964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:19:55');
INSERT INTO `sys_job_log` VALUES (46965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:20:00');
INSERT INTO `sys_job_log` VALUES (46966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:20:00');
INSERT INTO `sys_job_log` VALUES (46967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:20:05');
INSERT INTO `sys_job_log` VALUES (46968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:20:10');
INSERT INTO `sys_job_log` VALUES (46969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:20:15');
INSERT INTO `sys_job_log` VALUES (46970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:20:15');
INSERT INTO `sys_job_log` VALUES (46971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:20:20');
INSERT INTO `sys_job_log` VALUES (46972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:20:25');
INSERT INTO `sys_job_log` VALUES (46973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:20:30');
INSERT INTO `sys_job_log` VALUES (46974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:20:30');
INSERT INTO `sys_job_log` VALUES (46975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:20:35');
INSERT INTO `sys_job_log` VALUES (46976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:20:40');
INSERT INTO `sys_job_log` VALUES (46977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:20:45');
INSERT INTO `sys_job_log` VALUES (46978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:20:45');
INSERT INTO `sys_job_log` VALUES (46979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:20:50');
INSERT INTO `sys_job_log` VALUES (46980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:20:55');
INSERT INTO `sys_job_log` VALUES (46981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:21:00');
INSERT INTO `sys_job_log` VALUES (46982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:21:00');
INSERT INTO `sys_job_log` VALUES (46983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 21:21:05');
INSERT INTO `sys_job_log` VALUES (46984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:21:10');
INSERT INTO `sys_job_log` VALUES (46985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:21:15');
INSERT INTO `sys_job_log` VALUES (46986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:21:15');
INSERT INTO `sys_job_log` VALUES (46987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:21:20');
INSERT INTO `sys_job_log` VALUES (46988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:21:25');
INSERT INTO `sys_job_log` VALUES (46989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 21:21:30');
INSERT INTO `sys_job_log` VALUES (46990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 21:21:30');
INSERT INTO `sys_job_log` VALUES (46991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:21:35');
INSERT INTO `sys_job_log` VALUES (46992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:21:40');
INSERT INTO `sys_job_log` VALUES (46993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 21:21:45');
INSERT INTO `sys_job_log` VALUES (46994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:21:45');
INSERT INTO `sys_job_log` VALUES (46995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:21:50');
INSERT INTO `sys_job_log` VALUES (46996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:21:55');
INSERT INTO `sys_job_log` VALUES (46997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:22:00');
INSERT INTO `sys_job_log` VALUES (46998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:22:00');
INSERT INTO `sys_job_log` VALUES (46999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:22:05');
INSERT INTO `sys_job_log` VALUES (47000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:22:10');
INSERT INTO `sys_job_log` VALUES (47001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:22:15');
INSERT INTO `sys_job_log` VALUES (47002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:22:15');
INSERT INTO `sys_job_log` VALUES (47003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:22:20');
INSERT INTO `sys_job_log` VALUES (47004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:22:25');
INSERT INTO `sys_job_log` VALUES (47005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:22:30');
INSERT INTO `sys_job_log` VALUES (47006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:22:30');
INSERT INTO `sys_job_log` VALUES (47007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:22:35');
INSERT INTO `sys_job_log` VALUES (47008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:22:40');
INSERT INTO `sys_job_log` VALUES (47009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:22:45');
INSERT INTO `sys_job_log` VALUES (47010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:22:45');
INSERT INTO `sys_job_log` VALUES (47011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:22:50');
INSERT INTO `sys_job_log` VALUES (47012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:22:55');
INSERT INTO `sys_job_log` VALUES (47013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:23:00');
INSERT INTO `sys_job_log` VALUES (47014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:23:00');
INSERT INTO `sys_job_log` VALUES (47015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:23:05');
INSERT INTO `sys_job_log` VALUES (47016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:23:10');
INSERT INTO `sys_job_log` VALUES (47017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:23:15');
INSERT INTO `sys_job_log` VALUES (47018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:23:15');
INSERT INTO `sys_job_log` VALUES (47019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:23:20');
INSERT INTO `sys_job_log` VALUES (47020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:23:25');
INSERT INTO `sys_job_log` VALUES (47021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:23:30');
INSERT INTO `sys_job_log` VALUES (47022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:23:30');
INSERT INTO `sys_job_log` VALUES (47023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:23:35');
INSERT INTO `sys_job_log` VALUES (47024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:23:40');
INSERT INTO `sys_job_log` VALUES (47025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:23:45');
INSERT INTO `sys_job_log` VALUES (47026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:23:45');
INSERT INTO `sys_job_log` VALUES (47027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:23:50');
INSERT INTO `sys_job_log` VALUES (47028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:23:55');
INSERT INTO `sys_job_log` VALUES (47029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:24:00');
INSERT INTO `sys_job_log` VALUES (47030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 21:24:00');
INSERT INTO `sys_job_log` VALUES (47031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:24:05');
INSERT INTO `sys_job_log` VALUES (47032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:24:10');
INSERT INTO `sys_job_log` VALUES (47033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-01 21:24:15');
INSERT INTO `sys_job_log` VALUES (47034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:24:15');
INSERT INTO `sys_job_log` VALUES (47035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:24:20');
INSERT INTO `sys_job_log` VALUES (47036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:24:25');
INSERT INTO `sys_job_log` VALUES (47037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 21:24:30');
INSERT INTO `sys_job_log` VALUES (47038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:24:30');
INSERT INTO `sys_job_log` VALUES (47039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:24:35');
INSERT INTO `sys_job_log` VALUES (47040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:24:40');
INSERT INTO `sys_job_log` VALUES (47041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:24:45');
INSERT INTO `sys_job_log` VALUES (47042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:24:45');
INSERT INTO `sys_job_log` VALUES (47043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:24:50');
INSERT INTO `sys_job_log` VALUES (47044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:24:55');
INSERT INTO `sys_job_log` VALUES (47045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:25:00');
INSERT INTO `sys_job_log` VALUES (47046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:25:00');
INSERT INTO `sys_job_log` VALUES (47047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:25:05');
INSERT INTO `sys_job_log` VALUES (47048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:25:10');
INSERT INTO `sys_job_log` VALUES (47049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 21:25:15');
INSERT INTO `sys_job_log` VALUES (47050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:25:15');
INSERT INTO `sys_job_log` VALUES (47051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:25:20');
INSERT INTO `sys_job_log` VALUES (47052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:25:25');
INSERT INTO `sys_job_log` VALUES (47053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:25:30');
INSERT INTO `sys_job_log` VALUES (47054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:25:30');
INSERT INTO `sys_job_log` VALUES (47055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:25:35');
INSERT INTO `sys_job_log` VALUES (47056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:25:40');
INSERT INTO `sys_job_log` VALUES (47057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 21:25:45');
INSERT INTO `sys_job_log` VALUES (47058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 21:25:45');
INSERT INTO `sys_job_log` VALUES (47059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:25:50');
INSERT INTO `sys_job_log` VALUES (47060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 21:25:55');
INSERT INTO `sys_job_log` VALUES (47061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:26:00');
INSERT INTO `sys_job_log` VALUES (47062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:26:00');
INSERT INTO `sys_job_log` VALUES (47063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:26:05');
INSERT INTO `sys_job_log` VALUES (47064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:26:10');
INSERT INTO `sys_job_log` VALUES (47065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:26:15');
INSERT INTO `sys_job_log` VALUES (47066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:26:15');
INSERT INTO `sys_job_log` VALUES (47067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:26:20');
INSERT INTO `sys_job_log` VALUES (47068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:26:25');
INSERT INTO `sys_job_log` VALUES (47069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:26:30');
INSERT INTO `sys_job_log` VALUES (47070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:26:30');
INSERT INTO `sys_job_log` VALUES (47071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:26:35');
INSERT INTO `sys_job_log` VALUES (47072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:26:40');
INSERT INTO `sys_job_log` VALUES (47073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:26:45');
INSERT INTO `sys_job_log` VALUES (47074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:26:45');
INSERT INTO `sys_job_log` VALUES (47075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:26:50');
INSERT INTO `sys_job_log` VALUES (47076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:26:55');
INSERT INTO `sys_job_log` VALUES (47077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:27:00');
INSERT INTO `sys_job_log` VALUES (47078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:27:00');
INSERT INTO `sys_job_log` VALUES (47079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:27:05');
INSERT INTO `sys_job_log` VALUES (47080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:27:10');
INSERT INTO `sys_job_log` VALUES (47081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:27:15');
INSERT INTO `sys_job_log` VALUES (47082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:27:15');
INSERT INTO `sys_job_log` VALUES (47083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:27:20');
INSERT INTO `sys_job_log` VALUES (47084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:27:25');
INSERT INTO `sys_job_log` VALUES (47085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:27:30');
INSERT INTO `sys_job_log` VALUES (47086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:27:30');
INSERT INTO `sys_job_log` VALUES (47087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:27:35');
INSERT INTO `sys_job_log` VALUES (47088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:27:40');
INSERT INTO `sys_job_log` VALUES (47089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:27:45');
INSERT INTO `sys_job_log` VALUES (47090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:27:45');
INSERT INTO `sys_job_log` VALUES (47091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:27:50');
INSERT INTO `sys_job_log` VALUES (47092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:27:55');
INSERT INTO `sys_job_log` VALUES (47093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:28:00');
INSERT INTO `sys_job_log` VALUES (47094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:28:00');
INSERT INTO `sys_job_log` VALUES (47095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:28:05');
INSERT INTO `sys_job_log` VALUES (47096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:28:10');
INSERT INTO `sys_job_log` VALUES (47097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:28:15');
INSERT INTO `sys_job_log` VALUES (47098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:28:15');
INSERT INTO `sys_job_log` VALUES (47099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:28:20');
INSERT INTO `sys_job_log` VALUES (47100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:28:25');
INSERT INTO `sys_job_log` VALUES (47101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:28:30');
INSERT INTO `sys_job_log` VALUES (47102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:28:30');
INSERT INTO `sys_job_log` VALUES (47103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 21:28:35');
INSERT INTO `sys_job_log` VALUES (47104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:28:40');
INSERT INTO `sys_job_log` VALUES (47105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:28:45');
INSERT INTO `sys_job_log` VALUES (47106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:28:45');
INSERT INTO `sys_job_log` VALUES (47107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:28:50');
INSERT INTO `sys_job_log` VALUES (47108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:28:55');
INSERT INTO `sys_job_log` VALUES (47109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:29:00');
INSERT INTO `sys_job_log` VALUES (47110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:29:00');
INSERT INTO `sys_job_log` VALUES (47111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:29:05');
INSERT INTO `sys_job_log` VALUES (47112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:29:10');
INSERT INTO `sys_job_log` VALUES (47113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:29:15');
INSERT INTO `sys_job_log` VALUES (47114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:29:15');
INSERT INTO `sys_job_log` VALUES (47115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:29:20');
INSERT INTO `sys_job_log` VALUES (47116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:29:25');
INSERT INTO `sys_job_log` VALUES (47117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:29:30');
INSERT INTO `sys_job_log` VALUES (47118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:29:30');
INSERT INTO `sys_job_log` VALUES (47119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:29:35');
INSERT INTO `sys_job_log` VALUES (47120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:29:40');
INSERT INTO `sys_job_log` VALUES (47121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 21:29:45');
INSERT INTO `sys_job_log` VALUES (47122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 21:29:45');
INSERT INTO `sys_job_log` VALUES (47123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:29:50');
INSERT INTO `sys_job_log` VALUES (47124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:29:55');
INSERT INTO `sys_job_log` VALUES (47125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:30:00');
INSERT INTO `sys_job_log` VALUES (47126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:30:00');
INSERT INTO `sys_job_log` VALUES (47127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:30:05');
INSERT INTO `sys_job_log` VALUES (47128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:30:10');
INSERT INTO `sys_job_log` VALUES (47129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:30:15');
INSERT INTO `sys_job_log` VALUES (47130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 21:30:15');
INSERT INTO `sys_job_log` VALUES (47131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:30:20');
INSERT INTO `sys_job_log` VALUES (47132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:30:25');
INSERT INTO `sys_job_log` VALUES (47133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:30:30');
INSERT INTO `sys_job_log` VALUES (47134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:30:30');
INSERT INTO `sys_job_log` VALUES (47135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:30:35');
INSERT INTO `sys_job_log` VALUES (47136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:30:40');
INSERT INTO `sys_job_log` VALUES (47137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:30:45');
INSERT INTO `sys_job_log` VALUES (47138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:30:45');
INSERT INTO `sys_job_log` VALUES (47139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:30:50');
INSERT INTO `sys_job_log` VALUES (47140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:30:55');
INSERT INTO `sys_job_log` VALUES (47141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:31:00');
INSERT INTO `sys_job_log` VALUES (47142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:31:00');
INSERT INTO `sys_job_log` VALUES (47143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:31:05');
INSERT INTO `sys_job_log` VALUES (47144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:31:10');
INSERT INTO `sys_job_log` VALUES (47145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:31:15');
INSERT INTO `sys_job_log` VALUES (47146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:31:15');
INSERT INTO `sys_job_log` VALUES (47147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:31:20');
INSERT INTO `sys_job_log` VALUES (47148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:31:25');
INSERT INTO `sys_job_log` VALUES (47149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:31:30');
INSERT INTO `sys_job_log` VALUES (47150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:31:30');
INSERT INTO `sys_job_log` VALUES (47151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:31:35');
INSERT INTO `sys_job_log` VALUES (47152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:31:40');
INSERT INTO `sys_job_log` VALUES (47153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:31:45');
INSERT INTO `sys_job_log` VALUES (47154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:31:45');
INSERT INTO `sys_job_log` VALUES (47155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:31:50');
INSERT INTO `sys_job_log` VALUES (47156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:31:55');
INSERT INTO `sys_job_log` VALUES (47157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:32:00');
INSERT INTO `sys_job_log` VALUES (47158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:32:00');
INSERT INTO `sys_job_log` VALUES (47159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:32:05');
INSERT INTO `sys_job_log` VALUES (47160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:32:10');
INSERT INTO `sys_job_log` VALUES (47161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:32:15');
INSERT INTO `sys_job_log` VALUES (47162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:32:15');
INSERT INTO `sys_job_log` VALUES (47163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:32:20');
INSERT INTO `sys_job_log` VALUES (47164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:32:25');
INSERT INTO `sys_job_log` VALUES (47165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:32:30');
INSERT INTO `sys_job_log` VALUES (47166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:32:30');
INSERT INTO `sys_job_log` VALUES (47167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:32:35');
INSERT INTO `sys_job_log` VALUES (47168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:32:40');
INSERT INTO `sys_job_log` VALUES (47169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:32:45');
INSERT INTO `sys_job_log` VALUES (47170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:32:45');
INSERT INTO `sys_job_log` VALUES (47171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:32:50');
INSERT INTO `sys_job_log` VALUES (47172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:32:55');
INSERT INTO `sys_job_log` VALUES (47173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 21:33:00');
INSERT INTO `sys_job_log` VALUES (47174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 21:33:00');
INSERT INTO `sys_job_log` VALUES (47175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:33:05');
INSERT INTO `sys_job_log` VALUES (47176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:33:10');
INSERT INTO `sys_job_log` VALUES (47177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:33:15');
INSERT INTO `sys_job_log` VALUES (47178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:33:15');
INSERT INTO `sys_job_log` VALUES (47179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:33:20');
INSERT INTO `sys_job_log` VALUES (47180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:33:25');
INSERT INTO `sys_job_log` VALUES (47181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:33:30');
INSERT INTO `sys_job_log` VALUES (47182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 21:33:30');
INSERT INTO `sys_job_log` VALUES (47183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:33:35');
INSERT INTO `sys_job_log` VALUES (47184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:33:40');
INSERT INTO `sys_job_log` VALUES (47185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 21:33:45');
INSERT INTO `sys_job_log` VALUES (47186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 21:33:45');
INSERT INTO `sys_job_log` VALUES (47187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:33:50');
INSERT INTO `sys_job_log` VALUES (47188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:33:55');
INSERT INTO `sys_job_log` VALUES (47189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:34:00');
INSERT INTO `sys_job_log` VALUES (47190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:34:00');
INSERT INTO `sys_job_log` VALUES (47191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:34:05');
INSERT INTO `sys_job_log` VALUES (47192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:34:10');
INSERT INTO `sys_job_log` VALUES (47193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:34:15');
INSERT INTO `sys_job_log` VALUES (47194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:34:15');
INSERT INTO `sys_job_log` VALUES (47195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:34:20');
INSERT INTO `sys_job_log` VALUES (47196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:34:25');
INSERT INTO `sys_job_log` VALUES (47197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:34:30');
INSERT INTO `sys_job_log` VALUES (47198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:34:30');
INSERT INTO `sys_job_log` VALUES (47199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:34:35');
INSERT INTO `sys_job_log` VALUES (47200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:34:40');
INSERT INTO `sys_job_log` VALUES (47201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:34:45');
INSERT INTO `sys_job_log` VALUES (47202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:34:45');
INSERT INTO `sys_job_log` VALUES (47203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:34:50');
INSERT INTO `sys_job_log` VALUES (47204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:34:55');
INSERT INTO `sys_job_log` VALUES (47205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:35:00');
INSERT INTO `sys_job_log` VALUES (47206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:35:00');
INSERT INTO `sys_job_log` VALUES (47207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:35:05');
INSERT INTO `sys_job_log` VALUES (47208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:35:10');
INSERT INTO `sys_job_log` VALUES (47209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:35:15');
INSERT INTO `sys_job_log` VALUES (47210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:35:15');
INSERT INTO `sys_job_log` VALUES (47211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:35:20');
INSERT INTO `sys_job_log` VALUES (47212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:35:25');
INSERT INTO `sys_job_log` VALUES (47213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:35:30');
INSERT INTO `sys_job_log` VALUES (47214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:35:30');
INSERT INTO `sys_job_log` VALUES (47215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:35:35');
INSERT INTO `sys_job_log` VALUES (47216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:35:40');
INSERT INTO `sys_job_log` VALUES (47217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:35:45');
INSERT INTO `sys_job_log` VALUES (47218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:35:45');
INSERT INTO `sys_job_log` VALUES (47219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:35:50');
INSERT INTO `sys_job_log` VALUES (47220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:35:55');
INSERT INTO `sys_job_log` VALUES (47221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:36:00');
INSERT INTO `sys_job_log` VALUES (47222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:36:00');
INSERT INTO `sys_job_log` VALUES (47223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:36:05');
INSERT INTO `sys_job_log` VALUES (47224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:36:10');
INSERT INTO `sys_job_log` VALUES (47225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:36:15');
INSERT INTO `sys_job_log` VALUES (47226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:36:15');
INSERT INTO `sys_job_log` VALUES (47227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:36:20');
INSERT INTO `sys_job_log` VALUES (47228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:36:25');
INSERT INTO `sys_job_log` VALUES (47229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:36:30');
INSERT INTO `sys_job_log` VALUES (47230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:36:30');
INSERT INTO `sys_job_log` VALUES (47231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:36:35');
INSERT INTO `sys_job_log` VALUES (47232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:36:40');
INSERT INTO `sys_job_log` VALUES (47233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:36:45');
INSERT INTO `sys_job_log` VALUES (47234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:36:45');
INSERT INTO `sys_job_log` VALUES (47235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:36:50');
INSERT INTO `sys_job_log` VALUES (47236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:36:55');
INSERT INTO `sys_job_log` VALUES (47237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:37:00');
INSERT INTO `sys_job_log` VALUES (47238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:37:00');
INSERT INTO `sys_job_log` VALUES (47239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:37:05');
INSERT INTO `sys_job_log` VALUES (47240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:37:10');
INSERT INTO `sys_job_log` VALUES (47241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:37:15');
INSERT INTO `sys_job_log` VALUES (47242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:37:15');
INSERT INTO `sys_job_log` VALUES (47243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:37:20');
INSERT INTO `sys_job_log` VALUES (47244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:37:25');
INSERT INTO `sys_job_log` VALUES (47245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 21:37:30');
INSERT INTO `sys_job_log` VALUES (47246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:37:30');
INSERT INTO `sys_job_log` VALUES (47247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:37:35');
INSERT INTO `sys_job_log` VALUES (47248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:37:40');
INSERT INTO `sys_job_log` VALUES (47249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:37:45');
INSERT INTO `sys_job_log` VALUES (47250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:37:45');
INSERT INTO `sys_job_log` VALUES (47251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:37:50');
INSERT INTO `sys_job_log` VALUES (47252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:37:55');
INSERT INTO `sys_job_log` VALUES (47253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:38:00');
INSERT INTO `sys_job_log` VALUES (47254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:38:00');
INSERT INTO `sys_job_log` VALUES (47255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:05');
INSERT INTO `sys_job_log` VALUES (47256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:38:10');
INSERT INTO `sys_job_log` VALUES (47257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:15');
INSERT INTO `sys_job_log` VALUES (47258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:15');
INSERT INTO `sys_job_log` VALUES (47259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:38:20');
INSERT INTO `sys_job_log` VALUES (47260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:25');
INSERT INTO `sys_job_log` VALUES (47261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:38:30');
INSERT INTO `sys_job_log` VALUES (47262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:38:30');
INSERT INTO `sys_job_log` VALUES (47263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:35');
INSERT INTO `sys_job_log` VALUES (47264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:38:40');
INSERT INTO `sys_job_log` VALUES (47265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:45');
INSERT INTO `sys_job_log` VALUES (47266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:38:45');
INSERT INTO `sys_job_log` VALUES (47267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:38:50');
INSERT INTO `sys_job_log` VALUES (47268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:38:55');
INSERT INTO `sys_job_log` VALUES (47269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:39:00');
INSERT INTO `sys_job_log` VALUES (47270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:39:00');
INSERT INTO `sys_job_log` VALUES (47271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:39:05');
INSERT INTO `sys_job_log` VALUES (47272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:39:10');
INSERT INTO `sys_job_log` VALUES (47273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:39:15');
INSERT INTO `sys_job_log` VALUES (47274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:39:15');
INSERT INTO `sys_job_log` VALUES (47275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:39:20');
INSERT INTO `sys_job_log` VALUES (47276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:39:25');
INSERT INTO `sys_job_log` VALUES (47277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:39:30');
INSERT INTO `sys_job_log` VALUES (47278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:39:30');
INSERT INTO `sys_job_log` VALUES (47279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:39:35');
INSERT INTO `sys_job_log` VALUES (47280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:39:40');
INSERT INTO `sys_job_log` VALUES (47281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:39:45');
INSERT INTO `sys_job_log` VALUES (47282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:39:45');
INSERT INTO `sys_job_log` VALUES (47283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:39:50');
INSERT INTO `sys_job_log` VALUES (47284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:39:55');
INSERT INTO `sys_job_log` VALUES (47285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 21:40:00');
INSERT INTO `sys_job_log` VALUES (47286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:40:00');
INSERT INTO `sys_job_log` VALUES (47287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:40:05');
INSERT INTO `sys_job_log` VALUES (47288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:40:10');
INSERT INTO `sys_job_log` VALUES (47289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:40:15');
INSERT INTO `sys_job_log` VALUES (47290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:40:15');
INSERT INTO `sys_job_log` VALUES (47291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:40:20');
INSERT INTO `sys_job_log` VALUES (47292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:40:25');
INSERT INTO `sys_job_log` VALUES (47293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:40:30');
INSERT INTO `sys_job_log` VALUES (47294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:40:30');
INSERT INTO `sys_job_log` VALUES (47295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:40:35');
INSERT INTO `sys_job_log` VALUES (47296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:40:40');
INSERT INTO `sys_job_log` VALUES (47297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:40:45');
INSERT INTO `sys_job_log` VALUES (47298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:40:45');
INSERT INTO `sys_job_log` VALUES (47299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:40:50');
INSERT INTO `sys_job_log` VALUES (47300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:40:55');
INSERT INTO `sys_job_log` VALUES (47301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:41:00');
INSERT INTO `sys_job_log` VALUES (47302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:41:00');
INSERT INTO `sys_job_log` VALUES (47303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:41:05');
INSERT INTO `sys_job_log` VALUES (47304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1802毫秒', '0', '', '2025-01-01 21:41:11');
INSERT INTO `sys_job_log` VALUES (47305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:41:15');
INSERT INTO `sys_job_log` VALUES (47306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:41:15');
INSERT INTO `sys_job_log` VALUES (47307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:41:20');
INSERT INTO `sys_job_log` VALUES (47308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:41:25');
INSERT INTO `sys_job_log` VALUES (47309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:41:30');
INSERT INTO `sys_job_log` VALUES (47310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:41:30');
INSERT INTO `sys_job_log` VALUES (47311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:41:35');
INSERT INTO `sys_job_log` VALUES (47312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:41:40');
INSERT INTO `sys_job_log` VALUES (47313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:41:45');
INSERT INTO `sys_job_log` VALUES (47314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:41:45');
INSERT INTO `sys_job_log` VALUES (47315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:41:50');
INSERT INTO `sys_job_log` VALUES (47316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:41:55');
INSERT INTO `sys_job_log` VALUES (47317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 21:42:00');
INSERT INTO `sys_job_log` VALUES (47318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:42:00');
INSERT INTO `sys_job_log` VALUES (47319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:42:05');
INSERT INTO `sys_job_log` VALUES (47320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:42:10');
INSERT INTO `sys_job_log` VALUES (47321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:42:15');
INSERT INTO `sys_job_log` VALUES (47322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:42:15');
INSERT INTO `sys_job_log` VALUES (47323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:42:20');
INSERT INTO `sys_job_log` VALUES (47324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:42:25');
INSERT INTO `sys_job_log` VALUES (47325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:42:30');
INSERT INTO `sys_job_log` VALUES (47326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:42:30');
INSERT INTO `sys_job_log` VALUES (47327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:42:35');
INSERT INTO `sys_job_log` VALUES (47328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:42:40');
INSERT INTO `sys_job_log` VALUES (47329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:42:45');
INSERT INTO `sys_job_log` VALUES (47330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:42:45');
INSERT INTO `sys_job_log` VALUES (47331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:42:50');
INSERT INTO `sys_job_log` VALUES (47332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:42:55');
INSERT INTO `sys_job_log` VALUES (47333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:43:00');
INSERT INTO `sys_job_log` VALUES (47334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:43:00');
INSERT INTO `sys_job_log` VALUES (47335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:43:05');
INSERT INTO `sys_job_log` VALUES (47336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:43:10');
INSERT INTO `sys_job_log` VALUES (47337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:43:15');
INSERT INTO `sys_job_log` VALUES (47338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:43:15');
INSERT INTO `sys_job_log` VALUES (47339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:43:20');
INSERT INTO `sys_job_log` VALUES (47340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:43:25');
INSERT INTO `sys_job_log` VALUES (47341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:43:30');
INSERT INTO `sys_job_log` VALUES (47342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:43:30');
INSERT INTO `sys_job_log` VALUES (47343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:43:35');
INSERT INTO `sys_job_log` VALUES (47344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:43:40');
INSERT INTO `sys_job_log` VALUES (47345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:43:45');
INSERT INTO `sys_job_log` VALUES (47346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:43:45');
INSERT INTO `sys_job_log` VALUES (47347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:43:50');
INSERT INTO `sys_job_log` VALUES (47348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:43:55');
INSERT INTO `sys_job_log` VALUES (47349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:44:00');
INSERT INTO `sys_job_log` VALUES (47350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:44:00');
INSERT INTO `sys_job_log` VALUES (47351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:44:05');
INSERT INTO `sys_job_log` VALUES (47352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:44:10');
INSERT INTO `sys_job_log` VALUES (47353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:44:15');
INSERT INTO `sys_job_log` VALUES (47354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:44:15');
INSERT INTO `sys_job_log` VALUES (47355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:44:20');
INSERT INTO `sys_job_log` VALUES (47356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:44:25');
INSERT INTO `sys_job_log` VALUES (47357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:44:30');
INSERT INTO `sys_job_log` VALUES (47358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:44:30');
INSERT INTO `sys_job_log` VALUES (47359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:44:35');
INSERT INTO `sys_job_log` VALUES (47360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:44:40');
INSERT INTO `sys_job_log` VALUES (47361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:44:45');
INSERT INTO `sys_job_log` VALUES (47362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:44:45');
INSERT INTO `sys_job_log` VALUES (47363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:44:50');
INSERT INTO `sys_job_log` VALUES (47364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:44:55');
INSERT INTO `sys_job_log` VALUES (47365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:45:00');
INSERT INTO `sys_job_log` VALUES (47366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:45:00');
INSERT INTO `sys_job_log` VALUES (47367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:45:05');
INSERT INTO `sys_job_log` VALUES (47368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:45:10');
INSERT INTO `sys_job_log` VALUES (47369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:45:15');
INSERT INTO `sys_job_log` VALUES (47370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:45:15');
INSERT INTO `sys_job_log` VALUES (47371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:45:20');
INSERT INTO `sys_job_log` VALUES (47372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:45:25');
INSERT INTO `sys_job_log` VALUES (47373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:45:30');
INSERT INTO `sys_job_log` VALUES (47374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:45:30');
INSERT INTO `sys_job_log` VALUES (47375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:45:35');
INSERT INTO `sys_job_log` VALUES (47376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:45:40');
INSERT INTO `sys_job_log` VALUES (47377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:45:45');
INSERT INTO `sys_job_log` VALUES (47378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:45:45');
INSERT INTO `sys_job_log` VALUES (47379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:45:50');
INSERT INTO `sys_job_log` VALUES (47380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:45:55');
INSERT INTO `sys_job_log` VALUES (47381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:46:00');
INSERT INTO `sys_job_log` VALUES (47382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:46:00');
INSERT INTO `sys_job_log` VALUES (47383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:46:05');
INSERT INTO `sys_job_log` VALUES (47384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:46:10');
INSERT INTO `sys_job_log` VALUES (47385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:46:15');
INSERT INTO `sys_job_log` VALUES (47386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:46:15');
INSERT INTO `sys_job_log` VALUES (47387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:46:20');
INSERT INTO `sys_job_log` VALUES (47388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:46:25');
INSERT INTO `sys_job_log` VALUES (47389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:46:30');
INSERT INTO `sys_job_log` VALUES (47390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:46:30');
INSERT INTO `sys_job_log` VALUES (47391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:46:35');
INSERT INTO `sys_job_log` VALUES (47392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:46:40');
INSERT INTO `sys_job_log` VALUES (47393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:46:45');
INSERT INTO `sys_job_log` VALUES (47394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:46:45');
INSERT INTO `sys_job_log` VALUES (47395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:46:50');
INSERT INTO `sys_job_log` VALUES (47396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:46:55');
INSERT INTO `sys_job_log` VALUES (47397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:47:00');
INSERT INTO `sys_job_log` VALUES (47398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:47:00');
INSERT INTO `sys_job_log` VALUES (47399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:47:05');
INSERT INTO `sys_job_log` VALUES (47400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 21:47:10');
INSERT INTO `sys_job_log` VALUES (47401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:47:15');
INSERT INTO `sys_job_log` VALUES (47402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:47:15');
INSERT INTO `sys_job_log` VALUES (47403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:47:20');
INSERT INTO `sys_job_log` VALUES (47404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:47:25');
INSERT INTO `sys_job_log` VALUES (47405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:47:30');
INSERT INTO `sys_job_log` VALUES (47406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:47:30');
INSERT INTO `sys_job_log` VALUES (47407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:47:35');
INSERT INTO `sys_job_log` VALUES (47408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:47:40');
INSERT INTO `sys_job_log` VALUES (47409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:47:45');
INSERT INTO `sys_job_log` VALUES (47410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:47:45');
INSERT INTO `sys_job_log` VALUES (47411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:47:50');
INSERT INTO `sys_job_log` VALUES (47412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:47:55');
INSERT INTO `sys_job_log` VALUES (47413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:48:00');
INSERT INTO `sys_job_log` VALUES (47414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:48:00');
INSERT INTO `sys_job_log` VALUES (47415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:48:05');
INSERT INTO `sys_job_log` VALUES (47416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:48:10');
INSERT INTO `sys_job_log` VALUES (47417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:48:15');
INSERT INTO `sys_job_log` VALUES (47418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:48:15');
INSERT INTO `sys_job_log` VALUES (47419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:48:20');
INSERT INTO `sys_job_log` VALUES (47420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:48:25');
INSERT INTO `sys_job_log` VALUES (47421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:48:30');
INSERT INTO `sys_job_log` VALUES (47422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:48:30');
INSERT INTO `sys_job_log` VALUES (47423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:48:35');
INSERT INTO `sys_job_log` VALUES (47424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:48:40');
INSERT INTO `sys_job_log` VALUES (47425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:48:45');
INSERT INTO `sys_job_log` VALUES (47426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:48:45');
INSERT INTO `sys_job_log` VALUES (47427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:48:50');
INSERT INTO `sys_job_log` VALUES (47428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:48:55');
INSERT INTO `sys_job_log` VALUES (47429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 21:49:00');
INSERT INTO `sys_job_log` VALUES (47430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 21:49:00');
INSERT INTO `sys_job_log` VALUES (47431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:49:05');
INSERT INTO `sys_job_log` VALUES (47432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:49:10');
INSERT INTO `sys_job_log` VALUES (47433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:49:15');
INSERT INTO `sys_job_log` VALUES (47434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:49:15');
INSERT INTO `sys_job_log` VALUES (47435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:49:20');
INSERT INTO `sys_job_log` VALUES (47436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:49:25');
INSERT INTO `sys_job_log` VALUES (47437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:49:30');
INSERT INTO `sys_job_log` VALUES (47438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:49:30');
INSERT INTO `sys_job_log` VALUES (47439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:49:35');
INSERT INTO `sys_job_log` VALUES (47440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:49:40');
INSERT INTO `sys_job_log` VALUES (47441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:49:45');
INSERT INTO `sys_job_log` VALUES (47442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:49:45');
INSERT INTO `sys_job_log` VALUES (47443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:49:50');
INSERT INTO `sys_job_log` VALUES (47444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:49:55');
INSERT INTO `sys_job_log` VALUES (47445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:50:00');
INSERT INTO `sys_job_log` VALUES (47446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:50:00');
INSERT INTO `sys_job_log` VALUES (47447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:50:05');
INSERT INTO `sys_job_log` VALUES (47448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:50:10');
INSERT INTO `sys_job_log` VALUES (47449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:50:15');
INSERT INTO `sys_job_log` VALUES (47450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:50:15');
INSERT INTO `sys_job_log` VALUES (47451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:50:20');
INSERT INTO `sys_job_log` VALUES (47452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:50:25');
INSERT INTO `sys_job_log` VALUES (47453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:50:30');
INSERT INTO `sys_job_log` VALUES (47454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:50:30');
INSERT INTO `sys_job_log` VALUES (47455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:50:35');
INSERT INTO `sys_job_log` VALUES (47456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:50:40');
INSERT INTO `sys_job_log` VALUES (47457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:50:45');
INSERT INTO `sys_job_log` VALUES (47458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:50:45');
INSERT INTO `sys_job_log` VALUES (47459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:50:50');
INSERT INTO `sys_job_log` VALUES (47460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:50:55');
INSERT INTO `sys_job_log` VALUES (47461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:51:00');
INSERT INTO `sys_job_log` VALUES (47462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:51:00');
INSERT INTO `sys_job_log` VALUES (47463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:51:05');
INSERT INTO `sys_job_log` VALUES (47464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:51:10');
INSERT INTO `sys_job_log` VALUES (47465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:51:15');
INSERT INTO `sys_job_log` VALUES (47466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:51:15');
INSERT INTO `sys_job_log` VALUES (47467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:51:20');
INSERT INTO `sys_job_log` VALUES (47468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:51:25');
INSERT INTO `sys_job_log` VALUES (47469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:51:30');
INSERT INTO `sys_job_log` VALUES (47470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:51:30');
INSERT INTO `sys_job_log` VALUES (47471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:51:35');
INSERT INTO `sys_job_log` VALUES (47472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:51:40');
INSERT INTO `sys_job_log` VALUES (47473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:51:45');
INSERT INTO `sys_job_log` VALUES (47474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:51:45');
INSERT INTO `sys_job_log` VALUES (47475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:51:50');
INSERT INTO `sys_job_log` VALUES (47476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:51:55');
INSERT INTO `sys_job_log` VALUES (47477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:52:00');
INSERT INTO `sys_job_log` VALUES (47478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:52:00');
INSERT INTO `sys_job_log` VALUES (47479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:52:05');
INSERT INTO `sys_job_log` VALUES (47480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:52:10');
INSERT INTO `sys_job_log` VALUES (47481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:52:15');
INSERT INTO `sys_job_log` VALUES (47482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:52:15');
INSERT INTO `sys_job_log` VALUES (47483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:52:20');
INSERT INTO `sys_job_log` VALUES (47484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:52:25');
INSERT INTO `sys_job_log` VALUES (47485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:52:30');
INSERT INTO `sys_job_log` VALUES (47486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:52:30');
INSERT INTO `sys_job_log` VALUES (47487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:52:35');
INSERT INTO `sys_job_log` VALUES (47488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:52:40');
INSERT INTO `sys_job_log` VALUES (47489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:52:45');
INSERT INTO `sys_job_log` VALUES (47490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:52:45');
INSERT INTO `sys_job_log` VALUES (47491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:52:50');
INSERT INTO `sys_job_log` VALUES (47492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:52:55');
INSERT INTO `sys_job_log` VALUES (47493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:53:00');
INSERT INTO `sys_job_log` VALUES (47494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:53:00');
INSERT INTO `sys_job_log` VALUES (47495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:53:05');
INSERT INTO `sys_job_log` VALUES (47496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:53:10');
INSERT INTO `sys_job_log` VALUES (47497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:53:15');
INSERT INTO `sys_job_log` VALUES (47498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:53:15');
INSERT INTO `sys_job_log` VALUES (47499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:53:20');
INSERT INTO `sys_job_log` VALUES (47500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:53:25');
INSERT INTO `sys_job_log` VALUES (47501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:53:30');
INSERT INTO `sys_job_log` VALUES (47502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:53:30');
INSERT INTO `sys_job_log` VALUES (47503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:53:35');
INSERT INTO `sys_job_log` VALUES (47504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:53:40');
INSERT INTO `sys_job_log` VALUES (47505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:53:45');
INSERT INTO `sys_job_log` VALUES (47506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:53:45');
INSERT INTO `sys_job_log` VALUES (47507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:53:50');
INSERT INTO `sys_job_log` VALUES (47508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:53:55');
INSERT INTO `sys_job_log` VALUES (47509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:54:00');
INSERT INTO `sys_job_log` VALUES (47510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:54:00');
INSERT INTO `sys_job_log` VALUES (47511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:54:05');
INSERT INTO `sys_job_log` VALUES (47512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:54:10');
INSERT INTO `sys_job_log` VALUES (47513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:54:15');
INSERT INTO `sys_job_log` VALUES (47514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:54:15');
INSERT INTO `sys_job_log` VALUES (47515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:54:20');
INSERT INTO `sys_job_log` VALUES (47516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:54:25');
INSERT INTO `sys_job_log` VALUES (47517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:54:30');
INSERT INTO `sys_job_log` VALUES (47518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:54:30');
INSERT INTO `sys_job_log` VALUES (47519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:54:35');
INSERT INTO `sys_job_log` VALUES (47520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:54:40');
INSERT INTO `sys_job_log` VALUES (47521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:54:45');
INSERT INTO `sys_job_log` VALUES (47522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 21:54:45');
INSERT INTO `sys_job_log` VALUES (47523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:54:50');
INSERT INTO `sys_job_log` VALUES (47524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:54:55');
INSERT INTO `sys_job_log` VALUES (47525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 21:55:00');
INSERT INTO `sys_job_log` VALUES (47526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 21:55:00');
INSERT INTO `sys_job_log` VALUES (47527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:55:05');
INSERT INTO `sys_job_log` VALUES (47528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:55:10');
INSERT INTO `sys_job_log` VALUES (47529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:55:15');
INSERT INTO `sys_job_log` VALUES (47530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:55:15');
INSERT INTO `sys_job_log` VALUES (47531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:55:20');
INSERT INTO `sys_job_log` VALUES (47532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:55:25');
INSERT INTO `sys_job_log` VALUES (47533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:55:30');
INSERT INTO `sys_job_log` VALUES (47534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:55:30');
INSERT INTO `sys_job_log` VALUES (47535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:55:35');
INSERT INTO `sys_job_log` VALUES (47536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:55:40');
INSERT INTO `sys_job_log` VALUES (47537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:55:45');
INSERT INTO `sys_job_log` VALUES (47538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:55:45');
INSERT INTO `sys_job_log` VALUES (47539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:55:50');
INSERT INTO `sys_job_log` VALUES (47540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:55:55');
INSERT INTO `sys_job_log` VALUES (47541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:56:00');
INSERT INTO `sys_job_log` VALUES (47542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:56:00');
INSERT INTO `sys_job_log` VALUES (47543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:56:05');
INSERT INTO `sys_job_log` VALUES (47544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:56:10');
INSERT INTO `sys_job_log` VALUES (47545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:56:15');
INSERT INTO `sys_job_log` VALUES (47546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:56:15');
INSERT INTO `sys_job_log` VALUES (47547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:56:20');
INSERT INTO `sys_job_log` VALUES (47548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:56:25');
INSERT INTO `sys_job_log` VALUES (47549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:56:30');
INSERT INTO `sys_job_log` VALUES (47550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:56:30');
INSERT INTO `sys_job_log` VALUES (47551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:56:35');
INSERT INTO `sys_job_log` VALUES (47552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:56:40');
INSERT INTO `sys_job_log` VALUES (47553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:56:45');
INSERT INTO `sys_job_log` VALUES (47554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:56:45');
INSERT INTO `sys_job_log` VALUES (47555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:56:50');
INSERT INTO `sys_job_log` VALUES (47556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:56:55');
INSERT INTO `sys_job_log` VALUES (47557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:57:00');
INSERT INTO `sys_job_log` VALUES (47558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:57:00');
INSERT INTO `sys_job_log` VALUES (47559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:57:05');
INSERT INTO `sys_job_log` VALUES (47560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 21:57:10');
INSERT INTO `sys_job_log` VALUES (47561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:57:15');
INSERT INTO `sys_job_log` VALUES (47562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:57:15');
INSERT INTO `sys_job_log` VALUES (47563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:57:20');
INSERT INTO `sys_job_log` VALUES (47564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:57:25');
INSERT INTO `sys_job_log` VALUES (47565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:57:30');
INSERT INTO `sys_job_log` VALUES (47566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:57:30');
INSERT INTO `sys_job_log` VALUES (47567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:57:35');
INSERT INTO `sys_job_log` VALUES (47568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:57:40');
INSERT INTO `sys_job_log` VALUES (47569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 21:57:45');
INSERT INTO `sys_job_log` VALUES (47570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:57:45');
INSERT INTO `sys_job_log` VALUES (47571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:57:50');
INSERT INTO `sys_job_log` VALUES (47572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:57:55');
INSERT INTO `sys_job_log` VALUES (47573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:58:00');
INSERT INTO `sys_job_log` VALUES (47574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 21:58:00');
INSERT INTO `sys_job_log` VALUES (47575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:58:05');
INSERT INTO `sys_job_log` VALUES (47576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:58:10');
INSERT INTO `sys_job_log` VALUES (47577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:58:15');
INSERT INTO `sys_job_log` VALUES (47578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:58:15');
INSERT INTO `sys_job_log` VALUES (47579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:58:20');
INSERT INTO `sys_job_log` VALUES (47580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:58:25');
INSERT INTO `sys_job_log` VALUES (47581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:58:30');
INSERT INTO `sys_job_log` VALUES (47582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:58:30');
INSERT INTO `sys_job_log` VALUES (47583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:58:35');
INSERT INTO `sys_job_log` VALUES (47584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:58:40');
INSERT INTO `sys_job_log` VALUES (47585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 21:58:45');
INSERT INTO `sys_job_log` VALUES (47586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 21:58:45');
INSERT INTO `sys_job_log` VALUES (47587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:58:50');
INSERT INTO `sys_job_log` VALUES (47588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 21:58:55');
INSERT INTO `sys_job_log` VALUES (47589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 21:59:00');
INSERT INTO `sys_job_log` VALUES (47590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 21:59:00');
INSERT INTO `sys_job_log` VALUES (47591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:59:05');
INSERT INTO `sys_job_log` VALUES (47592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:59:10');
INSERT INTO `sys_job_log` VALUES (47593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 21:59:15');
INSERT INTO `sys_job_log` VALUES (47594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:59:15');
INSERT INTO `sys_job_log` VALUES (47595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 21:59:20');
INSERT INTO `sys_job_log` VALUES (47596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:59:25');
INSERT INTO `sys_job_log` VALUES (47597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:59:30');
INSERT INTO `sys_job_log` VALUES (47598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 21:59:30');
INSERT INTO `sys_job_log` VALUES (47599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 21:59:35');
INSERT INTO `sys_job_log` VALUES (47600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:59:40');
INSERT INTO `sys_job_log` VALUES (47601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 21:59:45');
INSERT INTO `sys_job_log` VALUES (47602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 21:59:45');
INSERT INTO `sys_job_log` VALUES (47603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 21:59:50');
INSERT INTO `sys_job_log` VALUES (47604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 21:59:55');
INSERT INTO `sys_job_log` VALUES (47605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 22:00:00');
INSERT INTO `sys_job_log` VALUES (47606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 22:00:00');
INSERT INTO `sys_job_log` VALUES (47607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:00:05');
INSERT INTO `sys_job_log` VALUES (47608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:00:10');
INSERT INTO `sys_job_log` VALUES (47609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:00:15');
INSERT INTO `sys_job_log` VALUES (47610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 22:00:15');
INSERT INTO `sys_job_log` VALUES (47611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:00:20');
INSERT INTO `sys_job_log` VALUES (47612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:00:25');
INSERT INTO `sys_job_log` VALUES (47613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:00:30');
INSERT INTO `sys_job_log` VALUES (47614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:00:30');
INSERT INTO `sys_job_log` VALUES (47615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:00:35');
INSERT INTO `sys_job_log` VALUES (47616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:00:40');
INSERT INTO `sys_job_log` VALUES (47617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:00:45');
INSERT INTO `sys_job_log` VALUES (47618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:00:45');
INSERT INTO `sys_job_log` VALUES (47619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:00:50');
INSERT INTO `sys_job_log` VALUES (47620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:00:55');
INSERT INTO `sys_job_log` VALUES (47621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:01:00');
INSERT INTO `sys_job_log` VALUES (47622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:01:00');
INSERT INTO `sys_job_log` VALUES (47623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:01:05');
INSERT INTO `sys_job_log` VALUES (47624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:01:10');
INSERT INTO `sys_job_log` VALUES (47625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:01:15');
INSERT INTO `sys_job_log` VALUES (47626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:01:15');
INSERT INTO `sys_job_log` VALUES (47627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 22:01:20');
INSERT INTO `sys_job_log` VALUES (47628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:01:25');
INSERT INTO `sys_job_log` VALUES (47629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:01:30');
INSERT INTO `sys_job_log` VALUES (47630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:01:30');
INSERT INTO `sys_job_log` VALUES (47631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:01:35');
INSERT INTO `sys_job_log` VALUES (47632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:01:40');
INSERT INTO `sys_job_log` VALUES (47633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:01:45');
INSERT INTO `sys_job_log` VALUES (47634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:01:45');
INSERT INTO `sys_job_log` VALUES (47635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:01:50');
INSERT INTO `sys_job_log` VALUES (47636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:01:55');
INSERT INTO `sys_job_log` VALUES (47637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:02:00');
INSERT INTO `sys_job_log` VALUES (47638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:02:00');
INSERT INTO `sys_job_log` VALUES (47639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:02:05');
INSERT INTO `sys_job_log` VALUES (47640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:02:10');
INSERT INTO `sys_job_log` VALUES (47641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:02:15');
INSERT INTO `sys_job_log` VALUES (47642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:02:15');
INSERT INTO `sys_job_log` VALUES (47643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:02:20');
INSERT INTO `sys_job_log` VALUES (47644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:02:25');
INSERT INTO `sys_job_log` VALUES (47645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:02:30');
INSERT INTO `sys_job_log` VALUES (47646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:02:30');
INSERT INTO `sys_job_log` VALUES (47647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:02:35');
INSERT INTO `sys_job_log` VALUES (47648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:02:40');
INSERT INTO `sys_job_log` VALUES (47649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:02:45');
INSERT INTO `sys_job_log` VALUES (47650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:02:45');
INSERT INTO `sys_job_log` VALUES (47651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:02:50');
INSERT INTO `sys_job_log` VALUES (47652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:02:55');
INSERT INTO `sys_job_log` VALUES (47653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:03:00');
INSERT INTO `sys_job_log` VALUES (47654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:03:00');
INSERT INTO `sys_job_log` VALUES (47655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:03:05');
INSERT INTO `sys_job_log` VALUES (47656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:03:10');
INSERT INTO `sys_job_log` VALUES (47657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 22:03:15');
INSERT INTO `sys_job_log` VALUES (47658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 22:03:15');
INSERT INTO `sys_job_log` VALUES (47659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:03:20');
INSERT INTO `sys_job_log` VALUES (47660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:03:25');
INSERT INTO `sys_job_log` VALUES (47661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:03:30');
INSERT INTO `sys_job_log` VALUES (47662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:03:30');
INSERT INTO `sys_job_log` VALUES (47663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:03:35');
INSERT INTO `sys_job_log` VALUES (47664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:03:40');
INSERT INTO `sys_job_log` VALUES (47665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:03:45');
INSERT INTO `sys_job_log` VALUES (47666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:03:45');
INSERT INTO `sys_job_log` VALUES (47667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:03:50');
INSERT INTO `sys_job_log` VALUES (47668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:03:55');
INSERT INTO `sys_job_log` VALUES (47669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:04:00');
INSERT INTO `sys_job_log` VALUES (47670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:04:00');
INSERT INTO `sys_job_log` VALUES (47671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:04:05');
INSERT INTO `sys_job_log` VALUES (47672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:04:10');
INSERT INTO `sys_job_log` VALUES (47673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:04:15');
INSERT INTO `sys_job_log` VALUES (47674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:04:15');
INSERT INTO `sys_job_log` VALUES (47675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:04:20');
INSERT INTO `sys_job_log` VALUES (47676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:04:25');
INSERT INTO `sys_job_log` VALUES (47677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:04:30');
INSERT INTO `sys_job_log` VALUES (47678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:04:30');
INSERT INTO `sys_job_log` VALUES (47679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:04:35');
INSERT INTO `sys_job_log` VALUES (47680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:04:40');
INSERT INTO `sys_job_log` VALUES (47681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:04:45');
INSERT INTO `sys_job_log` VALUES (47682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:04:45');
INSERT INTO `sys_job_log` VALUES (47683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:04:50');
INSERT INTO `sys_job_log` VALUES (47684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:04:55');
INSERT INTO `sys_job_log` VALUES (47685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 22:05:00');
INSERT INTO `sys_job_log` VALUES (47686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:05:00');
INSERT INTO `sys_job_log` VALUES (47687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:05:05');
INSERT INTO `sys_job_log` VALUES (47688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:05:10');
INSERT INTO `sys_job_log` VALUES (47689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:05:15');
INSERT INTO `sys_job_log` VALUES (47690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:05:15');
INSERT INTO `sys_job_log` VALUES (47691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:05:20');
INSERT INTO `sys_job_log` VALUES (47692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:05:25');
INSERT INTO `sys_job_log` VALUES (47693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:05:30');
INSERT INTO `sys_job_log` VALUES (47694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 22:05:30');
INSERT INTO `sys_job_log` VALUES (47695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:05:35');
INSERT INTO `sys_job_log` VALUES (47696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:05:40');
INSERT INTO `sys_job_log` VALUES (47697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:05:45');
INSERT INTO `sys_job_log` VALUES (47698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:05:45');
INSERT INTO `sys_job_log` VALUES (47699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:05:50');
INSERT INTO `sys_job_log` VALUES (47700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:05:55');
INSERT INTO `sys_job_log` VALUES (47701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-01 22:06:00');
INSERT INTO `sys_job_log` VALUES (47702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-01 22:06:00');
INSERT INTO `sys_job_log` VALUES (47703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:06:05');
INSERT INTO `sys_job_log` VALUES (47704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:06:10');
INSERT INTO `sys_job_log` VALUES (47705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:06:15');
INSERT INTO `sys_job_log` VALUES (47706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:06:15');
INSERT INTO `sys_job_log` VALUES (47707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:06:20');
INSERT INTO `sys_job_log` VALUES (47708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:06:25');
INSERT INTO `sys_job_log` VALUES (47709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:06:30');
INSERT INTO `sys_job_log` VALUES (47710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:06:30');
INSERT INTO `sys_job_log` VALUES (47711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:06:35');
INSERT INTO `sys_job_log` VALUES (47712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:06:40');
INSERT INTO `sys_job_log` VALUES (47713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:06:45');
INSERT INTO `sys_job_log` VALUES (47714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:06:45');
INSERT INTO `sys_job_log` VALUES (47715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:06:50');
INSERT INTO `sys_job_log` VALUES (47716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:06:55');
INSERT INTO `sys_job_log` VALUES (47717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:07:00');
INSERT INTO `sys_job_log` VALUES (47718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:07:00');
INSERT INTO `sys_job_log` VALUES (47719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:07:05');
INSERT INTO `sys_job_log` VALUES (47720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:07:10');
INSERT INTO `sys_job_log` VALUES (47721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:07:15');
INSERT INTO `sys_job_log` VALUES (47722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:07:15');
INSERT INTO `sys_job_log` VALUES (47723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:07:20');
INSERT INTO `sys_job_log` VALUES (47724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:07:25');
INSERT INTO `sys_job_log` VALUES (47725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:07:30');
INSERT INTO `sys_job_log` VALUES (47726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:07:30');
INSERT INTO `sys_job_log` VALUES (47727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:07:35');
INSERT INTO `sys_job_log` VALUES (47728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:07:40');
INSERT INTO `sys_job_log` VALUES (47729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:07:45');
INSERT INTO `sys_job_log` VALUES (47730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:07:45');
INSERT INTO `sys_job_log` VALUES (47731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:07:50');
INSERT INTO `sys_job_log` VALUES (47732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:07:55');
INSERT INTO `sys_job_log` VALUES (47733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:08:00');
INSERT INTO `sys_job_log` VALUES (47734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:08:00');
INSERT INTO `sys_job_log` VALUES (47735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:08:05');
INSERT INTO `sys_job_log` VALUES (47736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:08:10');
INSERT INTO `sys_job_log` VALUES (47737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:08:15');
INSERT INTO `sys_job_log` VALUES (47738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:08:15');
INSERT INTO `sys_job_log` VALUES (47739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:08:20');
INSERT INTO `sys_job_log` VALUES (47740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:08:25');
INSERT INTO `sys_job_log` VALUES (47741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:08:30');
INSERT INTO `sys_job_log` VALUES (47742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:08:30');
INSERT INTO `sys_job_log` VALUES (47743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:08:35');
INSERT INTO `sys_job_log` VALUES (47744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:08:40');
INSERT INTO `sys_job_log` VALUES (47745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:08:45');
INSERT INTO `sys_job_log` VALUES (47746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:08:45');
INSERT INTO `sys_job_log` VALUES (47747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:08:50');
INSERT INTO `sys_job_log` VALUES (47748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:08:55');
INSERT INTO `sys_job_log` VALUES (47749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:09:00');
INSERT INTO `sys_job_log` VALUES (47750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:09:00');
INSERT INTO `sys_job_log` VALUES (47751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:09:05');
INSERT INTO `sys_job_log` VALUES (47752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:09:10');
INSERT INTO `sys_job_log` VALUES (47753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 22:09:15');
INSERT INTO `sys_job_log` VALUES (47754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 22:09:15');
INSERT INTO `sys_job_log` VALUES (47755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:09:20');
INSERT INTO `sys_job_log` VALUES (47756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:09:25');
INSERT INTO `sys_job_log` VALUES (47757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:09:30');
INSERT INTO `sys_job_log` VALUES (47758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:09:30');
INSERT INTO `sys_job_log` VALUES (47759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:09:35');
INSERT INTO `sys_job_log` VALUES (47760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:09:40');
INSERT INTO `sys_job_log` VALUES (47761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:09:45');
INSERT INTO `sys_job_log` VALUES (47762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:09:45');
INSERT INTO `sys_job_log` VALUES (47763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:09:50');
INSERT INTO `sys_job_log` VALUES (47764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:09:55');
INSERT INTO `sys_job_log` VALUES (47765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:10:00');
INSERT INTO `sys_job_log` VALUES (47766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:10:00');
INSERT INTO `sys_job_log` VALUES (47767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:10:05');
INSERT INTO `sys_job_log` VALUES (47768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:10:10');
INSERT INTO `sys_job_log` VALUES (47769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:10:15');
INSERT INTO `sys_job_log` VALUES (47770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:10:15');
INSERT INTO `sys_job_log` VALUES (47771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:10:20');
INSERT INTO `sys_job_log` VALUES (47772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:10:25');
INSERT INTO `sys_job_log` VALUES (47773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:10:30');
INSERT INTO `sys_job_log` VALUES (47774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:10:30');
INSERT INTO `sys_job_log` VALUES (47775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:10:35');
INSERT INTO `sys_job_log` VALUES (47776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:10:40');
INSERT INTO `sys_job_log` VALUES (47777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:10:45');
INSERT INTO `sys_job_log` VALUES (47778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 22:10:45');
INSERT INTO `sys_job_log` VALUES (47779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 22:10:50');
INSERT INTO `sys_job_log` VALUES (47780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:10:55');
INSERT INTO `sys_job_log` VALUES (47781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:11:00');
INSERT INTO `sys_job_log` VALUES (47782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:11:00');
INSERT INTO `sys_job_log` VALUES (47783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:05');
INSERT INTO `sys_job_log` VALUES (47784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:11:10');
INSERT INTO `sys_job_log` VALUES (47785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:15');
INSERT INTO `sys_job_log` VALUES (47786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:15');
INSERT INTO `sys_job_log` VALUES (47787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:11:20');
INSERT INTO `sys_job_log` VALUES (47788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:25');
INSERT INTO `sys_job_log` VALUES (47789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:11:30');
INSERT INTO `sys_job_log` VALUES (47790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:11:30');
INSERT INTO `sys_job_log` VALUES (47791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:11:35');
INSERT INTO `sys_job_log` VALUES (47792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:11:40');
INSERT INTO `sys_job_log` VALUES (47793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:45');
INSERT INTO `sys_job_log` VALUES (47794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:45');
INSERT INTO `sys_job_log` VALUES (47795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:11:50');
INSERT INTO `sys_job_log` VALUES (47796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:11:55');
INSERT INTO `sys_job_log` VALUES (47797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:12:00');
INSERT INTO `sys_job_log` VALUES (47798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:12:00');
INSERT INTO `sys_job_log` VALUES (47799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:12:05');
INSERT INTO `sys_job_log` VALUES (47800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:12:10');
INSERT INTO `sys_job_log` VALUES (47801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:12:15');
INSERT INTO `sys_job_log` VALUES (47802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:12:15');
INSERT INTO `sys_job_log` VALUES (47803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:12:20');
INSERT INTO `sys_job_log` VALUES (47804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:12:25');
INSERT INTO `sys_job_log` VALUES (47805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:12:30');
INSERT INTO `sys_job_log` VALUES (47806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:12:30');
INSERT INTO `sys_job_log` VALUES (47807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:12:35');
INSERT INTO `sys_job_log` VALUES (47808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:12:40');
INSERT INTO `sys_job_log` VALUES (47809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 22:12:45');
INSERT INTO `sys_job_log` VALUES (47810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 22:12:45');
INSERT INTO `sys_job_log` VALUES (47811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:12:50');
INSERT INTO `sys_job_log` VALUES (47812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:12:55');
INSERT INTO `sys_job_log` VALUES (47813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 22:13:00');
INSERT INTO `sys_job_log` VALUES (47814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:13:00');
INSERT INTO `sys_job_log` VALUES (47815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:13:05');
INSERT INTO `sys_job_log` VALUES (47816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:13:10');
INSERT INTO `sys_job_log` VALUES (47817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:13:15');
INSERT INTO `sys_job_log` VALUES (47818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:13:15');
INSERT INTO `sys_job_log` VALUES (47819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:13:20');
INSERT INTO `sys_job_log` VALUES (47820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:13:25');
INSERT INTO `sys_job_log` VALUES (47821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:13:30');
INSERT INTO `sys_job_log` VALUES (47822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:13:30');
INSERT INTO `sys_job_log` VALUES (47823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:13:35');
INSERT INTO `sys_job_log` VALUES (47824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:13:40');
INSERT INTO `sys_job_log` VALUES (47825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:13:45');
INSERT INTO `sys_job_log` VALUES (47826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:13:45');
INSERT INTO `sys_job_log` VALUES (47827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:13:50');
INSERT INTO `sys_job_log` VALUES (47828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:13:55');
INSERT INTO `sys_job_log` VALUES (47829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:14:00');
INSERT INTO `sys_job_log` VALUES (47830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:14:00');
INSERT INTO `sys_job_log` VALUES (47831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:14:05');
INSERT INTO `sys_job_log` VALUES (47832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:14:10');
INSERT INTO `sys_job_log` VALUES (47833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:14:15');
INSERT INTO `sys_job_log` VALUES (47834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:14:15');
INSERT INTO `sys_job_log` VALUES (47835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:14:20');
INSERT INTO `sys_job_log` VALUES (47836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:14:25');
INSERT INTO `sys_job_log` VALUES (47837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 22:14:30');
INSERT INTO `sys_job_log` VALUES (47838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 22:14:30');
INSERT INTO `sys_job_log` VALUES (47839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:14:35');
INSERT INTO `sys_job_log` VALUES (47840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:14:40');
INSERT INTO `sys_job_log` VALUES (47841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:14:45');
INSERT INTO `sys_job_log` VALUES (47842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:14:45');
INSERT INTO `sys_job_log` VALUES (47843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:14:50');
INSERT INTO `sys_job_log` VALUES (47844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:14:55');
INSERT INTO `sys_job_log` VALUES (47845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:15:00');
INSERT INTO `sys_job_log` VALUES (47846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:15:00');
INSERT INTO `sys_job_log` VALUES (47847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:15:05');
INSERT INTO `sys_job_log` VALUES (47848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:15:10');
INSERT INTO `sys_job_log` VALUES (47849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:15:15');
INSERT INTO `sys_job_log` VALUES (47850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:15:15');
INSERT INTO `sys_job_log` VALUES (47851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:15:20');
INSERT INTO `sys_job_log` VALUES (47852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:15:25');
INSERT INTO `sys_job_log` VALUES (47853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:15:30');
INSERT INTO `sys_job_log` VALUES (47854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:15:30');
INSERT INTO `sys_job_log` VALUES (47855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:15:35');
INSERT INTO `sys_job_log` VALUES (47856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:15:40');
INSERT INTO `sys_job_log` VALUES (47857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:15:45');
INSERT INTO `sys_job_log` VALUES (47858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:15:45');
INSERT INTO `sys_job_log` VALUES (47859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:15:50');
INSERT INTO `sys_job_log` VALUES (47860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:15:55');
INSERT INTO `sys_job_log` VALUES (47861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:16:00');
INSERT INTO `sys_job_log` VALUES (47862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:16:00');
INSERT INTO `sys_job_log` VALUES (47863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:16:05');
INSERT INTO `sys_job_log` VALUES (47864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:16:10');
INSERT INTO `sys_job_log` VALUES (47865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:16:15');
INSERT INTO `sys_job_log` VALUES (47866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:16:15');
INSERT INTO `sys_job_log` VALUES (47867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:16:20');
INSERT INTO `sys_job_log` VALUES (47868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:16:25');
INSERT INTO `sys_job_log` VALUES (47869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:16:30');
INSERT INTO `sys_job_log` VALUES (47870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:16:30');
INSERT INTO `sys_job_log` VALUES (47871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:16:35');
INSERT INTO `sys_job_log` VALUES (47872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:16:40');
INSERT INTO `sys_job_log` VALUES (47873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:16:45');
INSERT INTO `sys_job_log` VALUES (47874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:16:45');
INSERT INTO `sys_job_log` VALUES (47875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:16:50');
INSERT INTO `sys_job_log` VALUES (47876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:16:55');
INSERT INTO `sys_job_log` VALUES (47877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:17:00');
INSERT INTO `sys_job_log` VALUES (47878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:17:00');
INSERT INTO `sys_job_log` VALUES (47879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:17:05');
INSERT INTO `sys_job_log` VALUES (47880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:17:10');
INSERT INTO `sys_job_log` VALUES (47881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:17:15');
INSERT INTO `sys_job_log` VALUES (47882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:17:15');
INSERT INTO `sys_job_log` VALUES (47883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:17:20');
INSERT INTO `sys_job_log` VALUES (47884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:17:25');
INSERT INTO `sys_job_log` VALUES (47885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:17:30');
INSERT INTO `sys_job_log` VALUES (47886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:17:30');
INSERT INTO `sys_job_log` VALUES (47887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:17:35');
INSERT INTO `sys_job_log` VALUES (47888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:17:40');
INSERT INTO `sys_job_log` VALUES (47889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:17:45');
INSERT INTO `sys_job_log` VALUES (47890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:17:45');
INSERT INTO `sys_job_log` VALUES (47891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:17:50');
INSERT INTO `sys_job_log` VALUES (47892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:17:55');
INSERT INTO `sys_job_log` VALUES (47893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:18:00');
INSERT INTO `sys_job_log` VALUES (47894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:18:00');
INSERT INTO `sys_job_log` VALUES (47895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:18:05');
INSERT INTO `sys_job_log` VALUES (47896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:18:10');
INSERT INTO `sys_job_log` VALUES (47897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:18:15');
INSERT INTO `sys_job_log` VALUES (47898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:18:15');
INSERT INTO `sys_job_log` VALUES (47899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:18:20');
INSERT INTO `sys_job_log` VALUES (47900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:18:25');
INSERT INTO `sys_job_log` VALUES (47901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:18:30');
INSERT INTO `sys_job_log` VALUES (47902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:18:30');
INSERT INTO `sys_job_log` VALUES (47903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:18:35');
INSERT INTO `sys_job_log` VALUES (47904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:18:40');
INSERT INTO `sys_job_log` VALUES (47905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:18:45');
INSERT INTO `sys_job_log` VALUES (47906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:18:45');
INSERT INTO `sys_job_log` VALUES (47907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:18:50');
INSERT INTO `sys_job_log` VALUES (47908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:18:55');
INSERT INTO `sys_job_log` VALUES (47909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:19:00');
INSERT INTO `sys_job_log` VALUES (47910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:00');
INSERT INTO `sys_job_log` VALUES (47911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:19:05');
INSERT INTO `sys_job_log` VALUES (47912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:19:10');
INSERT INTO `sys_job_log` VALUES (47913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:19:15');
INSERT INTO `sys_job_log` VALUES (47914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:19:15');
INSERT INTO `sys_job_log` VALUES (47915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:19:20');
INSERT INTO `sys_job_log` VALUES (47916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:19:25');
INSERT INTO `sys_job_log` VALUES (47917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:30');
INSERT INTO `sys_job_log` VALUES (47918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:30');
INSERT INTO `sys_job_log` VALUES (47919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:19:35');
INSERT INTO `sys_job_log` VALUES (47920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:19:40');
INSERT INTO `sys_job_log` VALUES (47921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:45');
INSERT INTO `sys_job_log` VALUES (47922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:45');
INSERT INTO `sys_job_log` VALUES (47923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:50');
INSERT INTO `sys_job_log` VALUES (47924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:19:55');
INSERT INTO `sys_job_log` VALUES (47925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:20:00');
INSERT INTO `sys_job_log` VALUES (47926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:20:00');
INSERT INTO `sys_job_log` VALUES (47927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:20:05');
INSERT INTO `sys_job_log` VALUES (47928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:20:10');
INSERT INTO `sys_job_log` VALUES (47929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:20:15');
INSERT INTO `sys_job_log` VALUES (47930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:20:15');
INSERT INTO `sys_job_log` VALUES (47931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:20:20');
INSERT INTO `sys_job_log` VALUES (47932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:20:25');
INSERT INTO `sys_job_log` VALUES (47933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:20:30');
INSERT INTO `sys_job_log` VALUES (47934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:20:30');
INSERT INTO `sys_job_log` VALUES (47935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:20:35');
INSERT INTO `sys_job_log` VALUES (47936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:20:40');
INSERT INTO `sys_job_log` VALUES (47937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:20:45');
INSERT INTO `sys_job_log` VALUES (47938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:20:45');
INSERT INTO `sys_job_log` VALUES (47939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:20:50');
INSERT INTO `sys_job_log` VALUES (47940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:20:55');
INSERT INTO `sys_job_log` VALUES (47941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:21:00');
INSERT INTO `sys_job_log` VALUES (47942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:21:00');
INSERT INTO `sys_job_log` VALUES (47943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:21:05');
INSERT INTO `sys_job_log` VALUES (47944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:21:10');
INSERT INTO `sys_job_log` VALUES (47945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:21:15');
INSERT INTO `sys_job_log` VALUES (47946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:21:15');
INSERT INTO `sys_job_log` VALUES (47947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:21:20');
INSERT INTO `sys_job_log` VALUES (47948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:21:25');
INSERT INTO `sys_job_log` VALUES (47949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:21:30');
INSERT INTO `sys_job_log` VALUES (47950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:21:30');
INSERT INTO `sys_job_log` VALUES (47951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:21:35');
INSERT INTO `sys_job_log` VALUES (47952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:21:40');
INSERT INTO `sys_job_log` VALUES (47953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:21:45');
INSERT INTO `sys_job_log` VALUES (47954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:21:45');
INSERT INTO `sys_job_log` VALUES (47955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:21:50');
INSERT INTO `sys_job_log` VALUES (47956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:21:55');
INSERT INTO `sys_job_log` VALUES (47957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:22:00');
INSERT INTO `sys_job_log` VALUES (47958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:22:00');
INSERT INTO `sys_job_log` VALUES (47959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:22:05');
INSERT INTO `sys_job_log` VALUES (47960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:22:10');
INSERT INTO `sys_job_log` VALUES (47961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:22:15');
INSERT INTO `sys_job_log` VALUES (47962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:22:15');
INSERT INTO `sys_job_log` VALUES (47963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:22:20');
INSERT INTO `sys_job_log` VALUES (47964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:22:25');
INSERT INTO `sys_job_log` VALUES (47965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:22:30');
INSERT INTO `sys_job_log` VALUES (47966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:22:30');
INSERT INTO `sys_job_log` VALUES (47967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:22:35');
INSERT INTO `sys_job_log` VALUES (47968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:22:40');
INSERT INTO `sys_job_log` VALUES (47969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2139毫秒', '0', '', '2025-01-01 22:22:47');
INSERT INTO `sys_job_log` VALUES (47970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2139毫秒', '0', '', '2025-01-01 22:22:47');
INSERT INTO `sys_job_log` VALUES (47971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:22:50');
INSERT INTO `sys_job_log` VALUES (47972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:22:55');
INSERT INTO `sys_job_log` VALUES (47973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:23:00');
INSERT INTO `sys_job_log` VALUES (47974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:23:00');
INSERT INTO `sys_job_log` VALUES (47975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:23:05');
INSERT INTO `sys_job_log` VALUES (47976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:23:10');
INSERT INTO `sys_job_log` VALUES (47977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:23:15');
INSERT INTO `sys_job_log` VALUES (47978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:23:15');
INSERT INTO `sys_job_log` VALUES (47979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:23:20');
INSERT INTO `sys_job_log` VALUES (47980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:23:25');
INSERT INTO `sys_job_log` VALUES (47981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:23:30');
INSERT INTO `sys_job_log` VALUES (47982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:23:30');
INSERT INTO `sys_job_log` VALUES (47983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:23:35');
INSERT INTO `sys_job_log` VALUES (47984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:23:40');
INSERT INTO `sys_job_log` VALUES (47985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:23:45');
INSERT INTO `sys_job_log` VALUES (47986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:23:45');
INSERT INTO `sys_job_log` VALUES (47987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:23:50');
INSERT INTO `sys_job_log` VALUES (47988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:23:55');
INSERT INTO `sys_job_log` VALUES (47989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 22:24:00');
INSERT INTO `sys_job_log` VALUES (47990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:24:00');
INSERT INTO `sys_job_log` VALUES (47991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:24:05');
INSERT INTO `sys_job_log` VALUES (47992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:24:10');
INSERT INTO `sys_job_log` VALUES (47993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:24:15');
INSERT INTO `sys_job_log` VALUES (47994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:24:15');
INSERT INTO `sys_job_log` VALUES (47995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:24:20');
INSERT INTO `sys_job_log` VALUES (47996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:24:25');
INSERT INTO `sys_job_log` VALUES (47997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:24:30');
INSERT INTO `sys_job_log` VALUES (47998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:24:30');
INSERT INTO `sys_job_log` VALUES (47999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:24:35');
INSERT INTO `sys_job_log` VALUES (48000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:24:40');
INSERT INTO `sys_job_log` VALUES (48001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:24:45');
INSERT INTO `sys_job_log` VALUES (48002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:24:45');
INSERT INTO `sys_job_log` VALUES (48003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:24:50');
INSERT INTO `sys_job_log` VALUES (48004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:24:55');
INSERT INTO `sys_job_log` VALUES (48005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:25:00');
INSERT INTO `sys_job_log` VALUES (48006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:25:00');
INSERT INTO `sys_job_log` VALUES (48007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:25:05');
INSERT INTO `sys_job_log` VALUES (48008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 22:25:10');
INSERT INTO `sys_job_log` VALUES (48009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:25:15');
INSERT INTO `sys_job_log` VALUES (48010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:25:15');
INSERT INTO `sys_job_log` VALUES (48011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:25:20');
INSERT INTO `sys_job_log` VALUES (48012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:25:25');
INSERT INTO `sys_job_log` VALUES (48013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:25:30');
INSERT INTO `sys_job_log` VALUES (48014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:25:30');
INSERT INTO `sys_job_log` VALUES (48015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:25:35');
INSERT INTO `sys_job_log` VALUES (48016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:25:40');
INSERT INTO `sys_job_log` VALUES (48017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 22:25:45');
INSERT INTO `sys_job_log` VALUES (48018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 22:25:45');
INSERT INTO `sys_job_log` VALUES (48019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:25:50');
INSERT INTO `sys_job_log` VALUES (48020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:25:55');
INSERT INTO `sys_job_log` VALUES (48021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:26:00');
INSERT INTO `sys_job_log` VALUES (48022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:26:00');
INSERT INTO `sys_job_log` VALUES (48023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:26:05');
INSERT INTO `sys_job_log` VALUES (48024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:26:10');
INSERT INTO `sys_job_log` VALUES (48025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:26:15');
INSERT INTO `sys_job_log` VALUES (48026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:26:15');
INSERT INTO `sys_job_log` VALUES (48027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:26:20');
INSERT INTO `sys_job_log` VALUES (48028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:26:25');
INSERT INTO `sys_job_log` VALUES (48029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:26:30');
INSERT INTO `sys_job_log` VALUES (48030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:26:30');
INSERT INTO `sys_job_log` VALUES (48031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:26:35');
INSERT INTO `sys_job_log` VALUES (48032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:26:40');
INSERT INTO `sys_job_log` VALUES (48033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:26:45');
INSERT INTO `sys_job_log` VALUES (48034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:26:45');
INSERT INTO `sys_job_log` VALUES (48035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:26:50');
INSERT INTO `sys_job_log` VALUES (48036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:26:55');
INSERT INTO `sys_job_log` VALUES (48037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:27:00');
INSERT INTO `sys_job_log` VALUES (48038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:27:00');
INSERT INTO `sys_job_log` VALUES (48039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:27:05');
INSERT INTO `sys_job_log` VALUES (48040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:27:10');
INSERT INTO `sys_job_log` VALUES (48041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:27:15');
INSERT INTO `sys_job_log` VALUES (48042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:27:15');
INSERT INTO `sys_job_log` VALUES (48043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:27:20');
INSERT INTO `sys_job_log` VALUES (48044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:27:25');
INSERT INTO `sys_job_log` VALUES (48045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:27:30');
INSERT INTO `sys_job_log` VALUES (48046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:27:30');
INSERT INTO `sys_job_log` VALUES (48047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:27:35');
INSERT INTO `sys_job_log` VALUES (48048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:27:40');
INSERT INTO `sys_job_log` VALUES (48049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:27:45');
INSERT INTO `sys_job_log` VALUES (48050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:27:45');
INSERT INTO `sys_job_log` VALUES (48051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:27:50');
INSERT INTO `sys_job_log` VALUES (48052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:27:55');
INSERT INTO `sys_job_log` VALUES (48053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:00');
INSERT INTO `sys_job_log` VALUES (48054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:00');
INSERT INTO `sys_job_log` VALUES (48055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:28:05');
INSERT INTO `sys_job_log` VALUES (48056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:10');
INSERT INTO `sys_job_log` VALUES (48057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:28:15');
INSERT INTO `sys_job_log` VALUES (48058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:15');
INSERT INTO `sys_job_log` VALUES (48059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:20');
INSERT INTO `sys_job_log` VALUES (48060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:28:25');
INSERT INTO `sys_job_log` VALUES (48061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:28:30');
INSERT INTO `sys_job_log` VALUES (48062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:28:30');
INSERT INTO `sys_job_log` VALUES (48063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:28:35');
INSERT INTO `sys_job_log` VALUES (48064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:28:40');
INSERT INTO `sys_job_log` VALUES (48065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:45');
INSERT INTO `sys_job_log` VALUES (48066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:28:45');
INSERT INTO `sys_job_log` VALUES (48067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:28:50');
INSERT INTO `sys_job_log` VALUES (48068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:28:55');
INSERT INTO `sys_job_log` VALUES (48069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:29:00');
INSERT INTO `sys_job_log` VALUES (48070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:29:00');
INSERT INTO `sys_job_log` VALUES (48071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:29:05');
INSERT INTO `sys_job_log` VALUES (48072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:29:10');
INSERT INTO `sys_job_log` VALUES (48073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:29:15');
INSERT INTO `sys_job_log` VALUES (48074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:29:15');
INSERT INTO `sys_job_log` VALUES (48075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:29:20');
INSERT INTO `sys_job_log` VALUES (48076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:29:25');
INSERT INTO `sys_job_log` VALUES (48077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:29:30');
INSERT INTO `sys_job_log` VALUES (48078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:29:30');
INSERT INTO `sys_job_log` VALUES (48079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:29:35');
INSERT INTO `sys_job_log` VALUES (48080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:29:40');
INSERT INTO `sys_job_log` VALUES (48081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:29:45');
INSERT INTO `sys_job_log` VALUES (48082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:29:45');
INSERT INTO `sys_job_log` VALUES (48083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:29:50');
INSERT INTO `sys_job_log` VALUES (48084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:29:55');
INSERT INTO `sys_job_log` VALUES (48085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:30:00');
INSERT INTO `sys_job_log` VALUES (48086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:30:00');
INSERT INTO `sys_job_log` VALUES (48087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:30:05');
INSERT INTO `sys_job_log` VALUES (48088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:30:10');
INSERT INTO `sys_job_log` VALUES (48089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:30:15');
INSERT INTO `sys_job_log` VALUES (48090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:30:15');
INSERT INTO `sys_job_log` VALUES (48091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:30:20');
INSERT INTO `sys_job_log` VALUES (48092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:30:25');
INSERT INTO `sys_job_log` VALUES (48093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:30:30');
INSERT INTO `sys_job_log` VALUES (48094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:30:30');
INSERT INTO `sys_job_log` VALUES (48095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:30:35');
INSERT INTO `sys_job_log` VALUES (48096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:30:40');
INSERT INTO `sys_job_log` VALUES (48097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:30:45');
INSERT INTO `sys_job_log` VALUES (48098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:30:45');
INSERT INTO `sys_job_log` VALUES (48099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:30:50');
INSERT INTO `sys_job_log` VALUES (48100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:30:55');
INSERT INTO `sys_job_log` VALUES (48101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:31:00');
INSERT INTO `sys_job_log` VALUES (48102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:31:00');
INSERT INTO `sys_job_log` VALUES (48103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:31:05');
INSERT INTO `sys_job_log` VALUES (48104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:31:10');
INSERT INTO `sys_job_log` VALUES (48105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 22:31:15');
INSERT INTO `sys_job_log` VALUES (48106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:31:15');
INSERT INTO `sys_job_log` VALUES (48107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-01 22:31:20');
INSERT INTO `sys_job_log` VALUES (48108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:31:25');
INSERT INTO `sys_job_log` VALUES (48109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:31:30');
INSERT INTO `sys_job_log` VALUES (48110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:31:30');
INSERT INTO `sys_job_log` VALUES (48111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:31:35');
INSERT INTO `sys_job_log` VALUES (48112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:31:40');
INSERT INTO `sys_job_log` VALUES (48113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:31:45');
INSERT INTO `sys_job_log` VALUES (48114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:31:45');
INSERT INTO `sys_job_log` VALUES (48115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:31:50');
INSERT INTO `sys_job_log` VALUES (48116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:31:55');
INSERT INTO `sys_job_log` VALUES (48117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-01 22:32:00');
INSERT INTO `sys_job_log` VALUES (48118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 22:32:00');
INSERT INTO `sys_job_log` VALUES (48119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:32:05');
INSERT INTO `sys_job_log` VALUES (48120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:32:10');
INSERT INTO `sys_job_log` VALUES (48121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:32:15');
INSERT INTO `sys_job_log` VALUES (48122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:32:15');
INSERT INTO `sys_job_log` VALUES (48123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:32:20');
INSERT INTO `sys_job_log` VALUES (48124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:32:25');
INSERT INTO `sys_job_log` VALUES (48125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:32:30');
INSERT INTO `sys_job_log` VALUES (48126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:32:30');
INSERT INTO `sys_job_log` VALUES (48127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:32:35');
INSERT INTO `sys_job_log` VALUES (48128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:32:40');
INSERT INTO `sys_job_log` VALUES (48129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:32:45');
INSERT INTO `sys_job_log` VALUES (48130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:32:45');
INSERT INTO `sys_job_log` VALUES (48131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:32:50');
INSERT INTO `sys_job_log` VALUES (48132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:32:55');
INSERT INTO `sys_job_log` VALUES (48133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:33:00');
INSERT INTO `sys_job_log` VALUES (48134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:33:00');
INSERT INTO `sys_job_log` VALUES (48135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:33:05');
INSERT INTO `sys_job_log` VALUES (48136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:33:10');
INSERT INTO `sys_job_log` VALUES (48137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 22:33:15');
INSERT INTO `sys_job_log` VALUES (48138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:33:15');
INSERT INTO `sys_job_log` VALUES (48139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 22:33:20');
INSERT INTO `sys_job_log` VALUES (48140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:33:25');
INSERT INTO `sys_job_log` VALUES (48141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:33:30');
INSERT INTO `sys_job_log` VALUES (48142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:33:30');
INSERT INTO `sys_job_log` VALUES (48143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:33:35');
INSERT INTO `sys_job_log` VALUES (48144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:33:40');
INSERT INTO `sys_job_log` VALUES (48145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:33:45');
INSERT INTO `sys_job_log` VALUES (48146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:33:45');
INSERT INTO `sys_job_log` VALUES (48147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:33:50');
INSERT INTO `sys_job_log` VALUES (48148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:33:55');
INSERT INTO `sys_job_log` VALUES (48149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:34:00');
INSERT INTO `sys_job_log` VALUES (48150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:34:00');
INSERT INTO `sys_job_log` VALUES (48151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:34:05');
INSERT INTO `sys_job_log` VALUES (48152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:34:10');
INSERT INTO `sys_job_log` VALUES (48153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:34:15');
INSERT INTO `sys_job_log` VALUES (48154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:34:15');
INSERT INTO `sys_job_log` VALUES (48155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:34:20');
INSERT INTO `sys_job_log` VALUES (48156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:34:25');
INSERT INTO `sys_job_log` VALUES (48157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:34:30');
INSERT INTO `sys_job_log` VALUES (48158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:34:30');
INSERT INTO `sys_job_log` VALUES (48159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:34:35');
INSERT INTO `sys_job_log` VALUES (48160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:34:40');
INSERT INTO `sys_job_log` VALUES (48161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:34:45');
INSERT INTO `sys_job_log` VALUES (48162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:34:45');
INSERT INTO `sys_job_log` VALUES (48163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:34:50');
INSERT INTO `sys_job_log` VALUES (48164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:34:55');
INSERT INTO `sys_job_log` VALUES (48165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:35:00');
INSERT INTO `sys_job_log` VALUES (48166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:35:00');
INSERT INTO `sys_job_log` VALUES (48167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:35:05');
INSERT INTO `sys_job_log` VALUES (48168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:35:10');
INSERT INTO `sys_job_log` VALUES (48169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:35:15');
INSERT INTO `sys_job_log` VALUES (48170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:35:15');
INSERT INTO `sys_job_log` VALUES (48171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:35:20');
INSERT INTO `sys_job_log` VALUES (48172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:35:25');
INSERT INTO `sys_job_log` VALUES (48173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:35:30');
INSERT INTO `sys_job_log` VALUES (48174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:35:30');
INSERT INTO `sys_job_log` VALUES (48175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:35:35');
INSERT INTO `sys_job_log` VALUES (48176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:35:40');
INSERT INTO `sys_job_log` VALUES (48177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:35:45');
INSERT INTO `sys_job_log` VALUES (48178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:35:45');
INSERT INTO `sys_job_log` VALUES (48179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:35:50');
INSERT INTO `sys_job_log` VALUES (48180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:35:55');
INSERT INTO `sys_job_log` VALUES (48181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:36:00');
INSERT INTO `sys_job_log` VALUES (48182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:36:00');
INSERT INTO `sys_job_log` VALUES (48183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:36:05');
INSERT INTO `sys_job_log` VALUES (48184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:36:10');
INSERT INTO `sys_job_log` VALUES (48185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:36:15');
INSERT INTO `sys_job_log` VALUES (48186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:36:15');
INSERT INTO `sys_job_log` VALUES (48187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:36:20');
INSERT INTO `sys_job_log` VALUES (48188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:36:25');
INSERT INTO `sys_job_log` VALUES (48189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:36:30');
INSERT INTO `sys_job_log` VALUES (48190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 22:36:30');
INSERT INTO `sys_job_log` VALUES (48191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:36:35');
INSERT INTO `sys_job_log` VALUES (48192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:36:40');
INSERT INTO `sys_job_log` VALUES (48193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:36:45');
INSERT INTO `sys_job_log` VALUES (48194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:36:45');
INSERT INTO `sys_job_log` VALUES (48195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:36:50');
INSERT INTO `sys_job_log` VALUES (48196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:36:55');
INSERT INTO `sys_job_log` VALUES (48197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:37:00');
INSERT INTO `sys_job_log` VALUES (48198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:37:00');
INSERT INTO `sys_job_log` VALUES (48199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:37:05');
INSERT INTO `sys_job_log` VALUES (48200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:37:10');
INSERT INTO `sys_job_log` VALUES (48201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:37:15');
INSERT INTO `sys_job_log` VALUES (48202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:37:15');
INSERT INTO `sys_job_log` VALUES (48203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:37:20');
INSERT INTO `sys_job_log` VALUES (48204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:37:25');
INSERT INTO `sys_job_log` VALUES (48205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:37:30');
INSERT INTO `sys_job_log` VALUES (48206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:37:30');
INSERT INTO `sys_job_log` VALUES (48207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:37:35');
INSERT INTO `sys_job_log` VALUES (48208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:37:40');
INSERT INTO `sys_job_log` VALUES (48209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:37:45');
INSERT INTO `sys_job_log` VALUES (48210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:37:45');
INSERT INTO `sys_job_log` VALUES (48211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:37:50');
INSERT INTO `sys_job_log` VALUES (48212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:37:55');
INSERT INTO `sys_job_log` VALUES (48213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:38:00');
INSERT INTO `sys_job_log` VALUES (48214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:38:00');
INSERT INTO `sys_job_log` VALUES (48215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:38:05');
INSERT INTO `sys_job_log` VALUES (48216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:38:10');
INSERT INTO `sys_job_log` VALUES (48217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:38:15');
INSERT INTO `sys_job_log` VALUES (48218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:38:15');
INSERT INTO `sys_job_log` VALUES (48219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:38:20');
INSERT INTO `sys_job_log` VALUES (48220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:38:25');
INSERT INTO `sys_job_log` VALUES (48221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:38:30');
INSERT INTO `sys_job_log` VALUES (48222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:38:30');
INSERT INTO `sys_job_log` VALUES (48223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:38:35');
INSERT INTO `sys_job_log` VALUES (48224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:38:40');
INSERT INTO `sys_job_log` VALUES (48225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:38:45');
INSERT INTO `sys_job_log` VALUES (48226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:38:45');
INSERT INTO `sys_job_log` VALUES (48227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:38:50');
INSERT INTO `sys_job_log` VALUES (48228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:38:55');
INSERT INTO `sys_job_log` VALUES (48229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 22:39:00');
INSERT INTO `sys_job_log` VALUES (48230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 22:39:00');
INSERT INTO `sys_job_log` VALUES (48231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:39:05');
INSERT INTO `sys_job_log` VALUES (48232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:39:10');
INSERT INTO `sys_job_log` VALUES (48233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:39:15');
INSERT INTO `sys_job_log` VALUES (48234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:39:15');
INSERT INTO `sys_job_log` VALUES (48235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:39:20');
INSERT INTO `sys_job_log` VALUES (48236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:39:25');
INSERT INTO `sys_job_log` VALUES (48237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:39:30');
INSERT INTO `sys_job_log` VALUES (48238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:39:30');
INSERT INTO `sys_job_log` VALUES (48239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:39:35');
INSERT INTO `sys_job_log` VALUES (48240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:39:40');
INSERT INTO `sys_job_log` VALUES (48241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:39:45');
INSERT INTO `sys_job_log` VALUES (48242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:39:45');
INSERT INTO `sys_job_log` VALUES (48243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:39:50');
INSERT INTO `sys_job_log` VALUES (48244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:39:55');
INSERT INTO `sys_job_log` VALUES (48245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:40:00');
INSERT INTO `sys_job_log` VALUES (48246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:40:00');
INSERT INTO `sys_job_log` VALUES (48247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:40:05');
INSERT INTO `sys_job_log` VALUES (48248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:40:10');
INSERT INTO `sys_job_log` VALUES (48249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:40:15');
INSERT INTO `sys_job_log` VALUES (48250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:40:15');
INSERT INTO `sys_job_log` VALUES (48251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:40:20');
INSERT INTO `sys_job_log` VALUES (48252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:40:25');
INSERT INTO `sys_job_log` VALUES (48253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:40:30');
INSERT INTO `sys_job_log` VALUES (48254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:40:30');
INSERT INTO `sys_job_log` VALUES (48255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:40:35');
INSERT INTO `sys_job_log` VALUES (48256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:40:40');
INSERT INTO `sys_job_log` VALUES (48257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:40:45');
INSERT INTO `sys_job_log` VALUES (48258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:40:45');
INSERT INTO `sys_job_log` VALUES (48259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:40:50');
INSERT INTO `sys_job_log` VALUES (48260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:40:55');
INSERT INTO `sys_job_log` VALUES (48261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:41:00');
INSERT INTO `sys_job_log` VALUES (48262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:41:00');
INSERT INTO `sys_job_log` VALUES (48263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:41:05');
INSERT INTO `sys_job_log` VALUES (48264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:41:10');
INSERT INTO `sys_job_log` VALUES (48265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:41:15');
INSERT INTO `sys_job_log` VALUES (48266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:41:15');
INSERT INTO `sys_job_log` VALUES (48267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:41:20');
INSERT INTO `sys_job_log` VALUES (48268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:41:25');
INSERT INTO `sys_job_log` VALUES (48269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:41:30');
INSERT INTO `sys_job_log` VALUES (48270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:41:30');
INSERT INTO `sys_job_log` VALUES (48271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:41:35');
INSERT INTO `sys_job_log` VALUES (48272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:41:40');
INSERT INTO `sys_job_log` VALUES (48273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:41:45');
INSERT INTO `sys_job_log` VALUES (48274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:41:45');
INSERT INTO `sys_job_log` VALUES (48275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:41:50');
INSERT INTO `sys_job_log` VALUES (48276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:41:55');
INSERT INTO `sys_job_log` VALUES (48277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:42:00');
INSERT INTO `sys_job_log` VALUES (48278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:42:00');
INSERT INTO `sys_job_log` VALUES (48279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:42:05');
INSERT INTO `sys_job_log` VALUES (48280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:42:10');
INSERT INTO `sys_job_log` VALUES (48281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:42:15');
INSERT INTO `sys_job_log` VALUES (48282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:42:15');
INSERT INTO `sys_job_log` VALUES (48283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:42:20');
INSERT INTO `sys_job_log` VALUES (48284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:42:25');
INSERT INTO `sys_job_log` VALUES (48285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:42:30');
INSERT INTO `sys_job_log` VALUES (48286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:42:30');
INSERT INTO `sys_job_log` VALUES (48287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:42:35');
INSERT INTO `sys_job_log` VALUES (48288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:42:40');
INSERT INTO `sys_job_log` VALUES (48289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:42:45');
INSERT INTO `sys_job_log` VALUES (48290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:42:45');
INSERT INTO `sys_job_log` VALUES (48291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:42:50');
INSERT INTO `sys_job_log` VALUES (48292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:42:55');
INSERT INTO `sys_job_log` VALUES (48293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:43:00');
INSERT INTO `sys_job_log` VALUES (48294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:43:00');
INSERT INTO `sys_job_log` VALUES (48295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:43:05');
INSERT INTO `sys_job_log` VALUES (48296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:43:10');
INSERT INTO `sys_job_log` VALUES (48297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:43:15');
INSERT INTO `sys_job_log` VALUES (48298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:43:15');
INSERT INTO `sys_job_log` VALUES (48299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:43:20');
INSERT INTO `sys_job_log` VALUES (48300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:43:25');
INSERT INTO `sys_job_log` VALUES (48301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:43:30');
INSERT INTO `sys_job_log` VALUES (48302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:43:30');
INSERT INTO `sys_job_log` VALUES (48303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:43:35');
INSERT INTO `sys_job_log` VALUES (48304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:43:40');
INSERT INTO `sys_job_log` VALUES (48305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:43:45');
INSERT INTO `sys_job_log` VALUES (48306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:43:45');
INSERT INTO `sys_job_log` VALUES (48307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:43:50');
INSERT INTO `sys_job_log` VALUES (48308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:43:55');
INSERT INTO `sys_job_log` VALUES (48309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:44:00');
INSERT INTO `sys_job_log` VALUES (48310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:44:00');
INSERT INTO `sys_job_log` VALUES (48311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:44:05');
INSERT INTO `sys_job_log` VALUES (48312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:44:10');
INSERT INTO `sys_job_log` VALUES (48313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:44:15');
INSERT INTO `sys_job_log` VALUES (48314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:44:15');
INSERT INTO `sys_job_log` VALUES (48315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:44:20');
INSERT INTO `sys_job_log` VALUES (48316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:44:25');
INSERT INTO `sys_job_log` VALUES (48317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:44:30');
INSERT INTO `sys_job_log` VALUES (48318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:44:30');
INSERT INTO `sys_job_log` VALUES (48319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:44:35');
INSERT INTO `sys_job_log` VALUES (48320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:44:40');
INSERT INTO `sys_job_log` VALUES (48321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:44:45');
INSERT INTO `sys_job_log` VALUES (48322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:44:45');
INSERT INTO `sys_job_log` VALUES (48323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:44:50');
INSERT INTO `sys_job_log` VALUES (48324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:44:55');
INSERT INTO `sys_job_log` VALUES (48325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:45:00');
INSERT INTO `sys_job_log` VALUES (48326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:45:00');
INSERT INTO `sys_job_log` VALUES (48327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:45:05');
INSERT INTO `sys_job_log` VALUES (48328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:45:10');
INSERT INTO `sys_job_log` VALUES (48329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:45:15');
INSERT INTO `sys_job_log` VALUES (48330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:45:15');
INSERT INTO `sys_job_log` VALUES (48331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:45:20');
INSERT INTO `sys_job_log` VALUES (48332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:45:25');
INSERT INTO `sys_job_log` VALUES (48333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:45:30');
INSERT INTO `sys_job_log` VALUES (48334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:45:30');
INSERT INTO `sys_job_log` VALUES (48335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:45:35');
INSERT INTO `sys_job_log` VALUES (48336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:45:40');
INSERT INTO `sys_job_log` VALUES (48337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:45:45');
INSERT INTO `sys_job_log` VALUES (48338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:45:45');
INSERT INTO `sys_job_log` VALUES (48339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:45:50');
INSERT INTO `sys_job_log` VALUES (48340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:45:55');
INSERT INTO `sys_job_log` VALUES (48341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:46:00');
INSERT INTO `sys_job_log` VALUES (48342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:46:00');
INSERT INTO `sys_job_log` VALUES (48343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 22:46:05');
INSERT INTO `sys_job_log` VALUES (48344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:46:10');
INSERT INTO `sys_job_log` VALUES (48345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:46:15');
INSERT INTO `sys_job_log` VALUES (48346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:46:15');
INSERT INTO `sys_job_log` VALUES (48347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:46:20');
INSERT INTO `sys_job_log` VALUES (48348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:46:25');
INSERT INTO `sys_job_log` VALUES (48349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:46:30');
INSERT INTO `sys_job_log` VALUES (48350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:46:30');
INSERT INTO `sys_job_log` VALUES (48351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:46:35');
INSERT INTO `sys_job_log` VALUES (48352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:46:40');
INSERT INTO `sys_job_log` VALUES (48353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:46:45');
INSERT INTO `sys_job_log` VALUES (48354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:46:45');
INSERT INTO `sys_job_log` VALUES (48355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:46:50');
INSERT INTO `sys_job_log` VALUES (48356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:46:55');
INSERT INTO `sys_job_log` VALUES (48357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:00');
INSERT INTO `sys_job_log` VALUES (48358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:00');
INSERT INTO `sys_job_log` VALUES (48359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:05');
INSERT INTO `sys_job_log` VALUES (48360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:47:10');
INSERT INTO `sys_job_log` VALUES (48361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:15');
INSERT INTO `sys_job_log` VALUES (48362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:15');
INSERT INTO `sys_job_log` VALUES (48363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:47:20');
INSERT INTO `sys_job_log` VALUES (48364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:47:25');
INSERT INTO `sys_job_log` VALUES (48365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:47:30');
INSERT INTO `sys_job_log` VALUES (48366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:47:30');
INSERT INTO `sys_job_log` VALUES (48367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:35');
INSERT INTO `sys_job_log` VALUES (48368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 22:47:40');
INSERT INTO `sys_job_log` VALUES (48369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:47:45');
INSERT INTO `sys_job_log` VALUES (48370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:47:45');
INSERT INTO `sys_job_log` VALUES (48371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:47:50');
INSERT INTO `sys_job_log` VALUES (48372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:47:55');
INSERT INTO `sys_job_log` VALUES (48373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:48:00');
INSERT INTO `sys_job_log` VALUES (48374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:48:00');
INSERT INTO `sys_job_log` VALUES (48375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:48:05');
INSERT INTO `sys_job_log` VALUES (48376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:48:10');
INSERT INTO `sys_job_log` VALUES (48377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:48:15');
INSERT INTO `sys_job_log` VALUES (48378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:48:15');
INSERT INTO `sys_job_log` VALUES (48379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:48:20');
INSERT INTO `sys_job_log` VALUES (48380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:48:25');
INSERT INTO `sys_job_log` VALUES (48381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:48:30');
INSERT INTO `sys_job_log` VALUES (48382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:48:30');
INSERT INTO `sys_job_log` VALUES (48383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:48:35');
INSERT INTO `sys_job_log` VALUES (48384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:48:40');
INSERT INTO `sys_job_log` VALUES (48385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:48:45');
INSERT INTO `sys_job_log` VALUES (48386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:48:45');
INSERT INTO `sys_job_log` VALUES (48387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:48:50');
INSERT INTO `sys_job_log` VALUES (48388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:48:55');
INSERT INTO `sys_job_log` VALUES (48389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:49:00');
INSERT INTO `sys_job_log` VALUES (48390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:49:00');
INSERT INTO `sys_job_log` VALUES (48391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:49:05');
INSERT INTO `sys_job_log` VALUES (48392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:49:10');
INSERT INTO `sys_job_log` VALUES (48393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:49:15');
INSERT INTO `sys_job_log` VALUES (48394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:49:15');
INSERT INTO `sys_job_log` VALUES (48395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:49:20');
INSERT INTO `sys_job_log` VALUES (48396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:49:25');
INSERT INTO `sys_job_log` VALUES (48397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:49:30');
INSERT INTO `sys_job_log` VALUES (48398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:49:30');
INSERT INTO `sys_job_log` VALUES (48399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:49:35');
INSERT INTO `sys_job_log` VALUES (48400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:49:40');
INSERT INTO `sys_job_log` VALUES (48401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:49:45');
INSERT INTO `sys_job_log` VALUES (48402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:49:45');
INSERT INTO `sys_job_log` VALUES (48403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:49:50');
INSERT INTO `sys_job_log` VALUES (48404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:49:55');
INSERT INTO `sys_job_log` VALUES (48405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:50:00');
INSERT INTO `sys_job_log` VALUES (48406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:50:00');
INSERT INTO `sys_job_log` VALUES (48407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:50:05');
INSERT INTO `sys_job_log` VALUES (48408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:50:10');
INSERT INTO `sys_job_log` VALUES (48409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:50:15');
INSERT INTO `sys_job_log` VALUES (48410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:50:15');
INSERT INTO `sys_job_log` VALUES (48411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:50:20');
INSERT INTO `sys_job_log` VALUES (48412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:50:25');
INSERT INTO `sys_job_log` VALUES (48413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:50:30');
INSERT INTO `sys_job_log` VALUES (48414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:50:30');
INSERT INTO `sys_job_log` VALUES (48415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:50:35');
INSERT INTO `sys_job_log` VALUES (48416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:50:40');
INSERT INTO `sys_job_log` VALUES (48417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:50:45');
INSERT INTO `sys_job_log` VALUES (48418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:50:45');
INSERT INTO `sys_job_log` VALUES (48419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:50:50');
INSERT INTO `sys_job_log` VALUES (48420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:50:55');
INSERT INTO `sys_job_log` VALUES (48421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:51:00');
INSERT INTO `sys_job_log` VALUES (48422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:51:00');
INSERT INTO `sys_job_log` VALUES (48423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:51:05');
INSERT INTO `sys_job_log` VALUES (48424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:51:10');
INSERT INTO `sys_job_log` VALUES (48425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:51:15');
INSERT INTO `sys_job_log` VALUES (48426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:51:15');
INSERT INTO `sys_job_log` VALUES (48427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:51:20');
INSERT INTO `sys_job_log` VALUES (48428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:51:25');
INSERT INTO `sys_job_log` VALUES (48429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:51:30');
INSERT INTO `sys_job_log` VALUES (48430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:51:30');
INSERT INTO `sys_job_log` VALUES (48431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:51:35');
INSERT INTO `sys_job_log` VALUES (48432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:51:40');
INSERT INTO `sys_job_log` VALUES (48433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:51:45');
INSERT INTO `sys_job_log` VALUES (48434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:51:45');
INSERT INTO `sys_job_log` VALUES (48435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:51:50');
INSERT INTO `sys_job_log` VALUES (48436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:51:55');
INSERT INTO `sys_job_log` VALUES (48437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:00');
INSERT INTO `sys_job_log` VALUES (48438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:00');
INSERT INTO `sys_job_log` VALUES (48439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:52:05');
INSERT INTO `sys_job_log` VALUES (48440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:10');
INSERT INTO `sys_job_log` VALUES (48441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:52:15');
INSERT INTO `sys_job_log` VALUES (48442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:52:15');
INSERT INTO `sys_job_log` VALUES (48443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:52:20');
INSERT INTO `sys_job_log` VALUES (48444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:25');
INSERT INTO `sys_job_log` VALUES (48445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:30');
INSERT INTO `sys_job_log` VALUES (48446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:52:30');
INSERT INTO `sys_job_log` VALUES (48447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:35');
INSERT INTO `sys_job_log` VALUES (48448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:52:40');
INSERT INTO `sys_job_log` VALUES (48449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:52:45');
INSERT INTO `sys_job_log` VALUES (48450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:52:45');
INSERT INTO `sys_job_log` VALUES (48451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:52:50');
INSERT INTO `sys_job_log` VALUES (48452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:52:55');
INSERT INTO `sys_job_log` VALUES (48453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:53:00');
INSERT INTO `sys_job_log` VALUES (48454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:53:00');
INSERT INTO `sys_job_log` VALUES (48455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:53:05');
INSERT INTO `sys_job_log` VALUES (48456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:53:10');
INSERT INTO `sys_job_log` VALUES (48457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:53:15');
INSERT INTO `sys_job_log` VALUES (48458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:53:15');
INSERT INTO `sys_job_log` VALUES (48459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:53:20');
INSERT INTO `sys_job_log` VALUES (48460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:53:25');
INSERT INTO `sys_job_log` VALUES (48461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:53:30');
INSERT INTO `sys_job_log` VALUES (48462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:53:30');
INSERT INTO `sys_job_log` VALUES (48463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:53:35');
INSERT INTO `sys_job_log` VALUES (48464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:53:40');
INSERT INTO `sys_job_log` VALUES (48465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:53:45');
INSERT INTO `sys_job_log` VALUES (48466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:53:45');
INSERT INTO `sys_job_log` VALUES (48467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:53:50');
INSERT INTO `sys_job_log` VALUES (48468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:53:55');
INSERT INTO `sys_job_log` VALUES (48469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:54:00');
INSERT INTO `sys_job_log` VALUES (48470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:54:00');
INSERT INTO `sys_job_log` VALUES (48471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:54:05');
INSERT INTO `sys_job_log` VALUES (48472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 22:54:10');
INSERT INTO `sys_job_log` VALUES (48473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:54:15');
INSERT INTO `sys_job_log` VALUES (48474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:54:15');
INSERT INTO `sys_job_log` VALUES (48475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:54:20');
INSERT INTO `sys_job_log` VALUES (48476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:54:25');
INSERT INTO `sys_job_log` VALUES (48477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:54:30');
INSERT INTO `sys_job_log` VALUES (48478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:54:30');
INSERT INTO `sys_job_log` VALUES (48479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:54:35');
INSERT INTO `sys_job_log` VALUES (48480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:54:40');
INSERT INTO `sys_job_log` VALUES (48481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:54:45');
INSERT INTO `sys_job_log` VALUES (48482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:54:45');
INSERT INTO `sys_job_log` VALUES (48483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:54:50');
INSERT INTO `sys_job_log` VALUES (48484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:54:55');
INSERT INTO `sys_job_log` VALUES (48485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:55:00');
INSERT INTO `sys_job_log` VALUES (48486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:55:00');
INSERT INTO `sys_job_log` VALUES (48487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:55:05');
INSERT INTO `sys_job_log` VALUES (48488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:55:10');
INSERT INTO `sys_job_log` VALUES (48489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:55:15');
INSERT INTO `sys_job_log` VALUES (48490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:55:15');
INSERT INTO `sys_job_log` VALUES (48491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:55:20');
INSERT INTO `sys_job_log` VALUES (48492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:55:25');
INSERT INTO `sys_job_log` VALUES (48493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:55:30');
INSERT INTO `sys_job_log` VALUES (48494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:55:30');
INSERT INTO `sys_job_log` VALUES (48495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:55:35');
INSERT INTO `sys_job_log` VALUES (48496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:55:40');
INSERT INTO `sys_job_log` VALUES (48497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:55:45');
INSERT INTO `sys_job_log` VALUES (48498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:55:45');
INSERT INTO `sys_job_log` VALUES (48499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:55:50');
INSERT INTO `sys_job_log` VALUES (48500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:55:55');
INSERT INTO `sys_job_log` VALUES (48501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-01 22:56:00');
INSERT INTO `sys_job_log` VALUES (48502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 22:56:00');
INSERT INTO `sys_job_log` VALUES (48503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:56:05');
INSERT INTO `sys_job_log` VALUES (48504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:56:10');
INSERT INTO `sys_job_log` VALUES (48505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:56:15');
INSERT INTO `sys_job_log` VALUES (48506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:56:15');
INSERT INTO `sys_job_log` VALUES (48507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-01 22:56:20');
INSERT INTO `sys_job_log` VALUES (48508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:56:25');
INSERT INTO `sys_job_log` VALUES (48509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 22:56:30');
INSERT INTO `sys_job_log` VALUES (48510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:56:30');
INSERT INTO `sys_job_log` VALUES (48511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:56:35');
INSERT INTO `sys_job_log` VALUES (48512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:56:40');
INSERT INTO `sys_job_log` VALUES (48513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:56:45');
INSERT INTO `sys_job_log` VALUES (48514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 22:56:45');
INSERT INTO `sys_job_log` VALUES (48515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:56:50');
INSERT INTO `sys_job_log` VALUES (48516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:56:55');
INSERT INTO `sys_job_log` VALUES (48517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 22:57:00');
INSERT INTO `sys_job_log` VALUES (48518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:57:00');
INSERT INTO `sys_job_log` VALUES (48519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:57:05');
INSERT INTO `sys_job_log` VALUES (48520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:57:10');
INSERT INTO `sys_job_log` VALUES (48521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:57:15');
INSERT INTO `sys_job_log` VALUES (48522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:57:15');
INSERT INTO `sys_job_log` VALUES (48523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 22:57:20');
INSERT INTO `sys_job_log` VALUES (48524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 22:57:25');
INSERT INTO `sys_job_log` VALUES (48525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:57:30');
INSERT INTO `sys_job_log` VALUES (48526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:57:30');
INSERT INTO `sys_job_log` VALUES (48527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:57:35');
INSERT INTO `sys_job_log` VALUES (48528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:57:40');
INSERT INTO `sys_job_log` VALUES (48529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:57:45');
INSERT INTO `sys_job_log` VALUES (48530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:57:45');
INSERT INTO `sys_job_log` VALUES (48531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:57:50');
INSERT INTO `sys_job_log` VALUES (48532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:57:55');
INSERT INTO `sys_job_log` VALUES (48533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:58:00');
INSERT INTO `sys_job_log` VALUES (48534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:58:00');
INSERT INTO `sys_job_log` VALUES (48535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:58:05');
INSERT INTO `sys_job_log` VALUES (48536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:58:10');
INSERT INTO `sys_job_log` VALUES (48537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 22:58:15');
INSERT INTO `sys_job_log` VALUES (48538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:58:15');
INSERT INTO `sys_job_log` VALUES (48539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 22:58:20');
INSERT INTO `sys_job_log` VALUES (48540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:58:25');
INSERT INTO `sys_job_log` VALUES (48541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:58:30');
INSERT INTO `sys_job_log` VALUES (48542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:58:30');
INSERT INTO `sys_job_log` VALUES (48543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:58:35');
INSERT INTO `sys_job_log` VALUES (48544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:58:40');
INSERT INTO `sys_job_log` VALUES (48545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 22:58:45');
INSERT INTO `sys_job_log` VALUES (48546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:58:45');
INSERT INTO `sys_job_log` VALUES (48547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:58:50');
INSERT INTO `sys_job_log` VALUES (48548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 22:58:55');
INSERT INTO `sys_job_log` VALUES (48549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 22:59:00');
INSERT INTO `sys_job_log` VALUES (48550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 22:59:00');
INSERT INTO `sys_job_log` VALUES (48551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:59:05');
INSERT INTO `sys_job_log` VALUES (48552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:59:10');
INSERT INTO `sys_job_log` VALUES (48553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:59:15');
INSERT INTO `sys_job_log` VALUES (48554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:59:15');
INSERT INTO `sys_job_log` VALUES (48555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 22:59:20');
INSERT INTO `sys_job_log` VALUES (48556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:59:25');
INSERT INTO `sys_job_log` VALUES (48557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 22:59:30');
INSERT INTO `sys_job_log` VALUES (48558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:59:30');
INSERT INTO `sys_job_log` VALUES (48559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 22:59:35');
INSERT INTO `sys_job_log` VALUES (48560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 22:59:40');
INSERT INTO `sys_job_log` VALUES (48561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 22:59:45');
INSERT INTO `sys_job_log` VALUES (48562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 22:59:45');
INSERT INTO `sys_job_log` VALUES (48563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 22:59:50');
INSERT INTO `sys_job_log` VALUES (48564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 22:59:55');
INSERT INTO `sys_job_log` VALUES (48565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:00:00');
INSERT INTO `sys_job_log` VALUES (48566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:00:00');
INSERT INTO `sys_job_log` VALUES (48567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:00:05');
INSERT INTO `sys_job_log` VALUES (48568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-01 23:00:10');
INSERT INTO `sys_job_log` VALUES (48569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:00:15');
INSERT INTO `sys_job_log` VALUES (48570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:00:15');
INSERT INTO `sys_job_log` VALUES (48571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:00:20');
INSERT INTO `sys_job_log` VALUES (48572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:00:25');
INSERT INTO `sys_job_log` VALUES (48573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:00:30');
INSERT INTO `sys_job_log` VALUES (48574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:00:30');
INSERT INTO `sys_job_log` VALUES (48575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:00:35');
INSERT INTO `sys_job_log` VALUES (48576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:00:40');
INSERT INTO `sys_job_log` VALUES (48577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:00:45');
INSERT INTO `sys_job_log` VALUES (48578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:00:45');
INSERT INTO `sys_job_log` VALUES (48579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:00:50');
INSERT INTO `sys_job_log` VALUES (48580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:00:55');
INSERT INTO `sys_job_log` VALUES (48581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 23:01:00');
INSERT INTO `sys_job_log` VALUES (48582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 23:01:00');
INSERT INTO `sys_job_log` VALUES (48583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:01:05');
INSERT INTO `sys_job_log` VALUES (48584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:01:10');
INSERT INTO `sys_job_log` VALUES (48585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:01:15');
INSERT INTO `sys_job_log` VALUES (48586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:01:15');
INSERT INTO `sys_job_log` VALUES (48587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:01:20');
INSERT INTO `sys_job_log` VALUES (48588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:01:25');
INSERT INTO `sys_job_log` VALUES (48589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:01:30');
INSERT INTO `sys_job_log` VALUES (48590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:01:30');
INSERT INTO `sys_job_log` VALUES (48591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:01:35');
INSERT INTO `sys_job_log` VALUES (48592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:01:40');
INSERT INTO `sys_job_log` VALUES (48593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:01:45');
INSERT INTO `sys_job_log` VALUES (48594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:01:45');
INSERT INTO `sys_job_log` VALUES (48595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:01:50');
INSERT INTO `sys_job_log` VALUES (48596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:01:55');
INSERT INTO `sys_job_log` VALUES (48597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 23:02:00');
INSERT INTO `sys_job_log` VALUES (48598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 23:02:00');
INSERT INTO `sys_job_log` VALUES (48599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:02:05');
INSERT INTO `sys_job_log` VALUES (48600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:02:10');
INSERT INTO `sys_job_log` VALUES (48601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:02:15');
INSERT INTO `sys_job_log` VALUES (48602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:02:15');
INSERT INTO `sys_job_log` VALUES (48603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:02:20');
INSERT INTO `sys_job_log` VALUES (48604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:02:25');
INSERT INTO `sys_job_log` VALUES (48605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:02:30');
INSERT INTO `sys_job_log` VALUES (48606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:02:30');
INSERT INTO `sys_job_log` VALUES (48607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:02:35');
INSERT INTO `sys_job_log` VALUES (48608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:02:40');
INSERT INTO `sys_job_log` VALUES (48609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:02:45');
INSERT INTO `sys_job_log` VALUES (48610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:02:45');
INSERT INTO `sys_job_log` VALUES (48611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:02:50');
INSERT INTO `sys_job_log` VALUES (48612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:02:55');
INSERT INTO `sys_job_log` VALUES (48613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:03:00');
INSERT INTO `sys_job_log` VALUES (48614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:03:00');
INSERT INTO `sys_job_log` VALUES (48615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:03:05');
INSERT INTO `sys_job_log` VALUES (48616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:03:10');
INSERT INTO `sys_job_log` VALUES (48617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:03:15');
INSERT INTO `sys_job_log` VALUES (48618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:03:15');
INSERT INTO `sys_job_log` VALUES (48619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:03:20');
INSERT INTO `sys_job_log` VALUES (48620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:03:25');
INSERT INTO `sys_job_log` VALUES (48621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:03:30');
INSERT INTO `sys_job_log` VALUES (48622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:03:30');
INSERT INTO `sys_job_log` VALUES (48623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:03:35');
INSERT INTO `sys_job_log` VALUES (48624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:03:40');
INSERT INTO `sys_job_log` VALUES (48625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:03:45');
INSERT INTO `sys_job_log` VALUES (48626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:03:45');
INSERT INTO `sys_job_log` VALUES (48627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:03:50');
INSERT INTO `sys_job_log` VALUES (48628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:03:55');
INSERT INTO `sys_job_log` VALUES (48629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:04:00');
INSERT INTO `sys_job_log` VALUES (48630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:04:00');
INSERT INTO `sys_job_log` VALUES (48631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:04:05');
INSERT INTO `sys_job_log` VALUES (48632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:04:10');
INSERT INTO `sys_job_log` VALUES (48633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:04:15');
INSERT INTO `sys_job_log` VALUES (48634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:04:15');
INSERT INTO `sys_job_log` VALUES (48635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:04:20');
INSERT INTO `sys_job_log` VALUES (48636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:04:25');
INSERT INTO `sys_job_log` VALUES (48637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:04:30');
INSERT INTO `sys_job_log` VALUES (48638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:04:30');
INSERT INTO `sys_job_log` VALUES (48639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:04:35');
INSERT INTO `sys_job_log` VALUES (48640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:04:40');
INSERT INTO `sys_job_log` VALUES (48641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:04:45');
INSERT INTO `sys_job_log` VALUES (48642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:04:45');
INSERT INTO `sys_job_log` VALUES (48643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:04:50');
INSERT INTO `sys_job_log` VALUES (48644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:04:55');
INSERT INTO `sys_job_log` VALUES (48645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:05:00');
INSERT INTO `sys_job_log` VALUES (48646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:05:00');
INSERT INTO `sys_job_log` VALUES (48647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:05:05');
INSERT INTO `sys_job_log` VALUES (48648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:05:10');
INSERT INTO `sys_job_log` VALUES (48649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:05:15');
INSERT INTO `sys_job_log` VALUES (48650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:05:15');
INSERT INTO `sys_job_log` VALUES (48651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:05:20');
INSERT INTO `sys_job_log` VALUES (48652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:05:25');
INSERT INTO `sys_job_log` VALUES (48653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:05:30');
INSERT INTO `sys_job_log` VALUES (48654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:05:30');
INSERT INTO `sys_job_log` VALUES (48655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:05:35');
INSERT INTO `sys_job_log` VALUES (48656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:05:40');
INSERT INTO `sys_job_log` VALUES (48657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:05:45');
INSERT INTO `sys_job_log` VALUES (48658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:05:45');
INSERT INTO `sys_job_log` VALUES (48659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:05:50');
INSERT INTO `sys_job_log` VALUES (48660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:05:55');
INSERT INTO `sys_job_log` VALUES (48661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:06:00');
INSERT INTO `sys_job_log` VALUES (48662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:06:00');
INSERT INTO `sys_job_log` VALUES (48663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:06:05');
INSERT INTO `sys_job_log` VALUES (48664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:06:10');
INSERT INTO `sys_job_log` VALUES (48665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:06:15');
INSERT INTO `sys_job_log` VALUES (48666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:06:15');
INSERT INTO `sys_job_log` VALUES (48667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:06:20');
INSERT INTO `sys_job_log` VALUES (48668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:06:25');
INSERT INTO `sys_job_log` VALUES (48669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:06:30');
INSERT INTO `sys_job_log` VALUES (48670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:06:30');
INSERT INTO `sys_job_log` VALUES (48671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:06:35');
INSERT INTO `sys_job_log` VALUES (48672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 23:06:40');
INSERT INTO `sys_job_log` VALUES (48673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:06:45');
INSERT INTO `sys_job_log` VALUES (48674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:06:45');
INSERT INTO `sys_job_log` VALUES (48675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:06:50');
INSERT INTO `sys_job_log` VALUES (48676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:06:55');
INSERT INTO `sys_job_log` VALUES (48677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:00');
INSERT INTO `sys_job_log` VALUES (48678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:00');
INSERT INTO `sys_job_log` VALUES (48679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:05');
INSERT INTO `sys_job_log` VALUES (48680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:07:10');
INSERT INTO `sys_job_log` VALUES (48681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:15');
INSERT INTO `sys_job_log` VALUES (48682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:07:15');
INSERT INTO `sys_job_log` VALUES (48683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:20');
INSERT INTO `sys_job_log` VALUES (48684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:07:25');
INSERT INTO `sys_job_log` VALUES (48685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:30');
INSERT INTO `sys_job_log` VALUES (48686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:30');
INSERT INTO `sys_job_log` VALUES (48687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:35');
INSERT INTO `sys_job_log` VALUES (48688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:07:40');
INSERT INTO `sys_job_log` VALUES (48689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:07:45');
INSERT INTO `sys_job_log` VALUES (48690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:07:45');
INSERT INTO `sys_job_log` VALUES (48691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:07:50');
INSERT INTO `sys_job_log` VALUES (48692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:07:55');
INSERT INTO `sys_job_log` VALUES (48693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:08:00');
INSERT INTO `sys_job_log` VALUES (48694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:08:00');
INSERT INTO `sys_job_log` VALUES (48695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:08:05');
INSERT INTO `sys_job_log` VALUES (48696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:08:10');
INSERT INTO `sys_job_log` VALUES (48697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:08:15');
INSERT INTO `sys_job_log` VALUES (48698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:08:15');
INSERT INTO `sys_job_log` VALUES (48699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:08:20');
INSERT INTO `sys_job_log` VALUES (48700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:08:25');
INSERT INTO `sys_job_log` VALUES (48701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:08:30');
INSERT INTO `sys_job_log` VALUES (48702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:08:30');
INSERT INTO `sys_job_log` VALUES (48703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:08:35');
INSERT INTO `sys_job_log` VALUES (48704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:08:40');
INSERT INTO `sys_job_log` VALUES (48705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:08:45');
INSERT INTO `sys_job_log` VALUES (48706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:08:45');
INSERT INTO `sys_job_log` VALUES (48707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:08:50');
INSERT INTO `sys_job_log` VALUES (48708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:08:55');
INSERT INTO `sys_job_log` VALUES (48709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:09:00');
INSERT INTO `sys_job_log` VALUES (48710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:09:00');
INSERT INTO `sys_job_log` VALUES (48711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:09:05');
INSERT INTO `sys_job_log` VALUES (48712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:09:10');
INSERT INTO `sys_job_log` VALUES (48713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:09:15');
INSERT INTO `sys_job_log` VALUES (48714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:09:15');
INSERT INTO `sys_job_log` VALUES (48715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:09:20');
INSERT INTO `sys_job_log` VALUES (48716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:09:25');
INSERT INTO `sys_job_log` VALUES (48717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:09:30');
INSERT INTO `sys_job_log` VALUES (48718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:09:30');
INSERT INTO `sys_job_log` VALUES (48719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:09:35');
INSERT INTO `sys_job_log` VALUES (48720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:09:40');
INSERT INTO `sys_job_log` VALUES (48721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:09:45');
INSERT INTO `sys_job_log` VALUES (48722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:09:45');
INSERT INTO `sys_job_log` VALUES (48723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:09:50');
INSERT INTO `sys_job_log` VALUES (48724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 23:09:55');
INSERT INTO `sys_job_log` VALUES (48725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:10:00');
INSERT INTO `sys_job_log` VALUES (48726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:10:00');
INSERT INTO `sys_job_log` VALUES (48727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:10:05');
INSERT INTO `sys_job_log` VALUES (48728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:10:10');
INSERT INTO `sys_job_log` VALUES (48729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:10:15');
INSERT INTO `sys_job_log` VALUES (48730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:10:15');
INSERT INTO `sys_job_log` VALUES (48731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:10:20');
INSERT INTO `sys_job_log` VALUES (48732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:10:25');
INSERT INTO `sys_job_log` VALUES (48733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 23:10:30');
INSERT INTO `sys_job_log` VALUES (48734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:10:30');
INSERT INTO `sys_job_log` VALUES (48735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:10:35');
INSERT INTO `sys_job_log` VALUES (48736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:10:40');
INSERT INTO `sys_job_log` VALUES (48737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:10:45');
INSERT INTO `sys_job_log` VALUES (48738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:10:45');
INSERT INTO `sys_job_log` VALUES (48739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:10:50');
INSERT INTO `sys_job_log` VALUES (48740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:10:55');
INSERT INTO `sys_job_log` VALUES (48741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:11:00');
INSERT INTO `sys_job_log` VALUES (48742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:11:00');
INSERT INTO `sys_job_log` VALUES (48743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:11:05');
INSERT INTO `sys_job_log` VALUES (48744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:11:10');
INSERT INTO `sys_job_log` VALUES (48745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:11:15');
INSERT INTO `sys_job_log` VALUES (48746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 23:11:15');
INSERT INTO `sys_job_log` VALUES (48747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:11:20');
INSERT INTO `sys_job_log` VALUES (48748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:11:25');
INSERT INTO `sys_job_log` VALUES (48749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:11:30');
INSERT INTO `sys_job_log` VALUES (48750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:11:30');
INSERT INTO `sys_job_log` VALUES (48751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:11:35');
INSERT INTO `sys_job_log` VALUES (48752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:11:40');
INSERT INTO `sys_job_log` VALUES (48753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:11:45');
INSERT INTO `sys_job_log` VALUES (48754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:11:45');
INSERT INTO `sys_job_log` VALUES (48755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:11:50');
INSERT INTO `sys_job_log` VALUES (48756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:11:55');
INSERT INTO `sys_job_log` VALUES (48757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:12:00');
INSERT INTO `sys_job_log` VALUES (48758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:12:00');
INSERT INTO `sys_job_log` VALUES (48759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:12:05');
INSERT INTO `sys_job_log` VALUES (48760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:12:10');
INSERT INTO `sys_job_log` VALUES (48761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:12:15');
INSERT INTO `sys_job_log` VALUES (48762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:12:15');
INSERT INTO `sys_job_log` VALUES (48763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 23:12:20');
INSERT INTO `sys_job_log` VALUES (48764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:12:25');
INSERT INTO `sys_job_log` VALUES (48765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:12:30');
INSERT INTO `sys_job_log` VALUES (48766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:12:30');
INSERT INTO `sys_job_log` VALUES (48767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:12:35');
INSERT INTO `sys_job_log` VALUES (48768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:12:40');
INSERT INTO `sys_job_log` VALUES (48769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 23:12:45');
INSERT INTO `sys_job_log` VALUES (48770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 23:12:45');
INSERT INTO `sys_job_log` VALUES (48771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:12:50');
INSERT INTO `sys_job_log` VALUES (48772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:12:55');
INSERT INTO `sys_job_log` VALUES (48773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:13:00');
INSERT INTO `sys_job_log` VALUES (48774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:13:00');
INSERT INTO `sys_job_log` VALUES (48775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:13:05');
INSERT INTO `sys_job_log` VALUES (48776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:13:10');
INSERT INTO `sys_job_log` VALUES (48777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:13:15');
INSERT INTO `sys_job_log` VALUES (48778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:13:15');
INSERT INTO `sys_job_log` VALUES (48779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:13:20');
INSERT INTO `sys_job_log` VALUES (48780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:13:25');
INSERT INTO `sys_job_log` VALUES (48781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:13:30');
INSERT INTO `sys_job_log` VALUES (48782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:13:30');
INSERT INTO `sys_job_log` VALUES (48783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:13:35');
INSERT INTO `sys_job_log` VALUES (48784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:13:40');
INSERT INTO `sys_job_log` VALUES (48785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:13:45');
INSERT INTO `sys_job_log` VALUES (48786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:13:45');
INSERT INTO `sys_job_log` VALUES (48787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 23:13:50');
INSERT INTO `sys_job_log` VALUES (48788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:13:55');
INSERT INTO `sys_job_log` VALUES (48789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:14:00');
INSERT INTO `sys_job_log` VALUES (48790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:14:00');
INSERT INTO `sys_job_log` VALUES (48791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:14:05');
INSERT INTO `sys_job_log` VALUES (48792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:14:10');
INSERT INTO `sys_job_log` VALUES (48793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:14:15');
INSERT INTO `sys_job_log` VALUES (48794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:14:15');
INSERT INTO `sys_job_log` VALUES (48795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:14:20');
INSERT INTO `sys_job_log` VALUES (48796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:14:25');
INSERT INTO `sys_job_log` VALUES (48797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:14:30');
INSERT INTO `sys_job_log` VALUES (48798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:14:30');
INSERT INTO `sys_job_log` VALUES (48799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:14:35');
INSERT INTO `sys_job_log` VALUES (48800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:14:40');
INSERT INTO `sys_job_log` VALUES (48801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:14:45');
INSERT INTO `sys_job_log` VALUES (48802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:14:45');
INSERT INTO `sys_job_log` VALUES (48803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:14:50');
INSERT INTO `sys_job_log` VALUES (48804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:14:55');
INSERT INTO `sys_job_log` VALUES (48805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:15:00');
INSERT INTO `sys_job_log` VALUES (48806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:15:00');
INSERT INTO `sys_job_log` VALUES (48807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:15:05');
INSERT INTO `sys_job_log` VALUES (48808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:15:10');
INSERT INTO `sys_job_log` VALUES (48809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:15:15');
INSERT INTO `sys_job_log` VALUES (48810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:15:15');
INSERT INTO `sys_job_log` VALUES (48811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-01 23:15:20');
INSERT INTO `sys_job_log` VALUES (48812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:15:25');
INSERT INTO `sys_job_log` VALUES (48813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:15:30');
INSERT INTO `sys_job_log` VALUES (48814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:15:30');
INSERT INTO `sys_job_log` VALUES (48815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:15:35');
INSERT INTO `sys_job_log` VALUES (48816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:15:40');
INSERT INTO `sys_job_log` VALUES (48817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:15:45');
INSERT INTO `sys_job_log` VALUES (48818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:15:45');
INSERT INTO `sys_job_log` VALUES (48819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:15:50');
INSERT INTO `sys_job_log` VALUES (48820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:15:55');
INSERT INTO `sys_job_log` VALUES (48821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:16:00');
INSERT INTO `sys_job_log` VALUES (48822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:16:00');
INSERT INTO `sys_job_log` VALUES (48823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:16:05');
INSERT INTO `sys_job_log` VALUES (48824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:16:10');
INSERT INTO `sys_job_log` VALUES (48825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:16:15');
INSERT INTO `sys_job_log` VALUES (48826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:16:15');
INSERT INTO `sys_job_log` VALUES (48827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:16:20');
INSERT INTO `sys_job_log` VALUES (48828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:16:25');
INSERT INTO `sys_job_log` VALUES (48829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:16:30');
INSERT INTO `sys_job_log` VALUES (48830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:16:30');
INSERT INTO `sys_job_log` VALUES (48831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:16:35');
INSERT INTO `sys_job_log` VALUES (48832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:16:40');
INSERT INTO `sys_job_log` VALUES (48833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:16:45');
INSERT INTO `sys_job_log` VALUES (48834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:16:45');
INSERT INTO `sys_job_log` VALUES (48835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:16:50');
INSERT INTO `sys_job_log` VALUES (48836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:16:55');
INSERT INTO `sys_job_log` VALUES (48837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:17:00');
INSERT INTO `sys_job_log` VALUES (48838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:17:00');
INSERT INTO `sys_job_log` VALUES (48839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:17:05');
INSERT INTO `sys_job_log` VALUES (48840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:17:10');
INSERT INTO `sys_job_log` VALUES (48841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:17:15');
INSERT INTO `sys_job_log` VALUES (48842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:17:15');
INSERT INTO `sys_job_log` VALUES (48843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:17:20');
INSERT INTO `sys_job_log` VALUES (48844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:17:25');
INSERT INTO `sys_job_log` VALUES (48845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:17:30');
INSERT INTO `sys_job_log` VALUES (48846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:17:30');
INSERT INTO `sys_job_log` VALUES (48847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:17:35');
INSERT INTO `sys_job_log` VALUES (48848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:17:40');
INSERT INTO `sys_job_log` VALUES (48849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:17:45');
INSERT INTO `sys_job_log` VALUES (48850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:17:45');
INSERT INTO `sys_job_log` VALUES (48851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:17:50');
INSERT INTO `sys_job_log` VALUES (48852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:17:55');
INSERT INTO `sys_job_log` VALUES (48853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:18:00');
INSERT INTO `sys_job_log` VALUES (48854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:18:00');
INSERT INTO `sys_job_log` VALUES (48855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:18:05');
INSERT INTO `sys_job_log` VALUES (48856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:18:10');
INSERT INTO `sys_job_log` VALUES (48857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:18:15');
INSERT INTO `sys_job_log` VALUES (48858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:18:15');
INSERT INTO `sys_job_log` VALUES (48859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:18:20');
INSERT INTO `sys_job_log` VALUES (48860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:18:25');
INSERT INTO `sys_job_log` VALUES (48861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:18:30');
INSERT INTO `sys_job_log` VALUES (48862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:18:30');
INSERT INTO `sys_job_log` VALUES (48863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:18:35');
INSERT INTO `sys_job_log` VALUES (48864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:18:40');
INSERT INTO `sys_job_log` VALUES (48865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:18:45');
INSERT INTO `sys_job_log` VALUES (48866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:18:45');
INSERT INTO `sys_job_log` VALUES (48867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:18:50');
INSERT INTO `sys_job_log` VALUES (48868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:18:55');
INSERT INTO `sys_job_log` VALUES (48869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:19:00');
INSERT INTO `sys_job_log` VALUES (48870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:19:00');
INSERT INTO `sys_job_log` VALUES (48871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:19:05');
INSERT INTO `sys_job_log` VALUES (48872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:19:10');
INSERT INTO `sys_job_log` VALUES (48873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:19:15');
INSERT INTO `sys_job_log` VALUES (48874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:19:15');
INSERT INTO `sys_job_log` VALUES (48875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:19:20');
INSERT INTO `sys_job_log` VALUES (48876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:19:25');
INSERT INTO `sys_job_log` VALUES (48877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:19:30');
INSERT INTO `sys_job_log` VALUES (48878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:19:30');
INSERT INTO `sys_job_log` VALUES (48879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:19:35');
INSERT INTO `sys_job_log` VALUES (48880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:19:40');
INSERT INTO `sys_job_log` VALUES (48881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-01 23:19:45');
INSERT INTO `sys_job_log` VALUES (48882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 23:19:45');
INSERT INTO `sys_job_log` VALUES (48883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 23:19:50');
INSERT INTO `sys_job_log` VALUES (48884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:19:55');
INSERT INTO `sys_job_log` VALUES (48885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:20:00');
INSERT INTO `sys_job_log` VALUES (48886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:20:00');
INSERT INTO `sys_job_log` VALUES (48887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:20:05');
INSERT INTO `sys_job_log` VALUES (48888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:20:10');
INSERT INTO `sys_job_log` VALUES (48889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:20:15');
INSERT INTO `sys_job_log` VALUES (48890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:20:15');
INSERT INTO `sys_job_log` VALUES (48891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:20:20');
INSERT INTO `sys_job_log` VALUES (48892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:20:25');
INSERT INTO `sys_job_log` VALUES (48893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:20:30');
INSERT INTO `sys_job_log` VALUES (48894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:20:30');
INSERT INTO `sys_job_log` VALUES (48895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:20:35');
INSERT INTO `sys_job_log` VALUES (48896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:20:40');
INSERT INTO `sys_job_log` VALUES (48897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:20:45');
INSERT INTO `sys_job_log` VALUES (48898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:20:45');
INSERT INTO `sys_job_log` VALUES (48899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:20:50');
INSERT INTO `sys_job_log` VALUES (48900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:20:55');
INSERT INTO `sys_job_log` VALUES (48901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:21:00');
INSERT INTO `sys_job_log` VALUES (48902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:21:00');
INSERT INTO `sys_job_log` VALUES (48903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:21:05');
INSERT INTO `sys_job_log` VALUES (48904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:21:10');
INSERT INTO `sys_job_log` VALUES (48905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:21:15');
INSERT INTO `sys_job_log` VALUES (48906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:21:15');
INSERT INTO `sys_job_log` VALUES (48907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:21:20');
INSERT INTO `sys_job_log` VALUES (48908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:21:25');
INSERT INTO `sys_job_log` VALUES (48909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:21:30');
INSERT INTO `sys_job_log` VALUES (48910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:21:30');
INSERT INTO `sys_job_log` VALUES (48911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:21:35');
INSERT INTO `sys_job_log` VALUES (48912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:21:40');
INSERT INTO `sys_job_log` VALUES (48913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:21:45');
INSERT INTO `sys_job_log` VALUES (48914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:21:45');
INSERT INTO `sys_job_log` VALUES (48915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:21:50');
INSERT INTO `sys_job_log` VALUES (48916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:21:55');
INSERT INTO `sys_job_log` VALUES (48917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:22:00');
INSERT INTO `sys_job_log` VALUES (48918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:22:00');
INSERT INTO `sys_job_log` VALUES (48919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:05');
INSERT INTO `sys_job_log` VALUES (48920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:10');
INSERT INTO `sys_job_log` VALUES (48921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:15');
INSERT INTO `sys_job_log` VALUES (48922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:15');
INSERT INTO `sys_job_log` VALUES (48923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:20');
INSERT INTO `sys_job_log` VALUES (48924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:22:25');
INSERT INTO `sys_job_log` VALUES (48925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:22:30');
INSERT INTO `sys_job_log` VALUES (48926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:22:30');
INSERT INTO `sys_job_log` VALUES (48927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:35');
INSERT INTO `sys_job_log` VALUES (48928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:22:40');
INSERT INTO `sys_job_log` VALUES (48929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:22:45');
INSERT INTO `sys_job_log` VALUES (48930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:22:45');
INSERT INTO `sys_job_log` VALUES (48931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:22:50');
INSERT INTO `sys_job_log` VALUES (48932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:22:55');
INSERT INTO `sys_job_log` VALUES (48933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:23:00');
INSERT INTO `sys_job_log` VALUES (48934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:23:00');
INSERT INTO `sys_job_log` VALUES (48935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:23:05');
INSERT INTO `sys_job_log` VALUES (48936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:23:10');
INSERT INTO `sys_job_log` VALUES (48937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:23:15');
INSERT INTO `sys_job_log` VALUES (48938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:23:15');
INSERT INTO `sys_job_log` VALUES (48939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:23:20');
INSERT INTO `sys_job_log` VALUES (48940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:23:25');
INSERT INTO `sys_job_log` VALUES (48941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-01 23:23:30');
INSERT INTO `sys_job_log` VALUES (48942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-01 23:23:30');
INSERT INTO `sys_job_log` VALUES (48943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:23:35');
INSERT INTO `sys_job_log` VALUES (48944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:23:40');
INSERT INTO `sys_job_log` VALUES (48945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:23:45');
INSERT INTO `sys_job_log` VALUES (48946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:23:45');
INSERT INTO `sys_job_log` VALUES (48947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:23:50');
INSERT INTO `sys_job_log` VALUES (48948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:23:55');
INSERT INTO `sys_job_log` VALUES (48949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 23:24:00');
INSERT INTO `sys_job_log` VALUES (48950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 23:24:00');
INSERT INTO `sys_job_log` VALUES (48951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:24:05');
INSERT INTO `sys_job_log` VALUES (48952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:24:10');
INSERT INTO `sys_job_log` VALUES (48953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:24:15');
INSERT INTO `sys_job_log` VALUES (48954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:24:15');
INSERT INTO `sys_job_log` VALUES (48955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:24:20');
INSERT INTO `sys_job_log` VALUES (48956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:24:25');
INSERT INTO `sys_job_log` VALUES (48957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:24:30');
INSERT INTO `sys_job_log` VALUES (48958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:24:30');
INSERT INTO `sys_job_log` VALUES (48959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:24:35');
INSERT INTO `sys_job_log` VALUES (48960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:24:40');
INSERT INTO `sys_job_log` VALUES (48961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:24:45');
INSERT INTO `sys_job_log` VALUES (48962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:24:45');
INSERT INTO `sys_job_log` VALUES (48963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:24:50');
INSERT INTO `sys_job_log` VALUES (48964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:24:55');
INSERT INTO `sys_job_log` VALUES (48965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:25:00');
INSERT INTO `sys_job_log` VALUES (48966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:25:00');
INSERT INTO `sys_job_log` VALUES (48967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:25:05');
INSERT INTO `sys_job_log` VALUES (48968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:25:10');
INSERT INTO `sys_job_log` VALUES (48969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:25:15');
INSERT INTO `sys_job_log` VALUES (48970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:25:15');
INSERT INTO `sys_job_log` VALUES (48971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:25:20');
INSERT INTO `sys_job_log` VALUES (48972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:25:25');
INSERT INTO `sys_job_log` VALUES (48973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:25:30');
INSERT INTO `sys_job_log` VALUES (48974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:25:30');
INSERT INTO `sys_job_log` VALUES (48975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:25:35');
INSERT INTO `sys_job_log` VALUES (48976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:25:40');
INSERT INTO `sys_job_log` VALUES (48977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:25:45');
INSERT INTO `sys_job_log` VALUES (48978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:25:45');
INSERT INTO `sys_job_log` VALUES (48979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:25:50');
INSERT INTO `sys_job_log` VALUES (48980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:25:55');
INSERT INTO `sys_job_log` VALUES (48981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:26:00');
INSERT INTO `sys_job_log` VALUES (48982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:26:00');
INSERT INTO `sys_job_log` VALUES (48983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:26:05');
INSERT INTO `sys_job_log` VALUES (48984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:26:10');
INSERT INTO `sys_job_log` VALUES (48985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:26:15');
INSERT INTO `sys_job_log` VALUES (48986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:26:15');
INSERT INTO `sys_job_log` VALUES (48987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:26:20');
INSERT INTO `sys_job_log` VALUES (48988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:26:25');
INSERT INTO `sys_job_log` VALUES (48989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:26:30');
INSERT INTO `sys_job_log` VALUES (48990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:26:30');
INSERT INTO `sys_job_log` VALUES (48991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:26:35');
INSERT INTO `sys_job_log` VALUES (48992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:26:40');
INSERT INTO `sys_job_log` VALUES (48993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:26:45');
INSERT INTO `sys_job_log` VALUES (48994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:26:45');
INSERT INTO `sys_job_log` VALUES (48995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:26:50');
INSERT INTO `sys_job_log` VALUES (48996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:26:55');
INSERT INTO `sys_job_log` VALUES (48997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:27:00');
INSERT INTO `sys_job_log` VALUES (48998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:27:00');
INSERT INTO `sys_job_log` VALUES (48999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:27:05');
INSERT INTO `sys_job_log` VALUES (49000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:27:10');
INSERT INTO `sys_job_log` VALUES (49001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:27:15');
INSERT INTO `sys_job_log` VALUES (49002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:27:15');
INSERT INTO `sys_job_log` VALUES (49003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:27:20');
INSERT INTO `sys_job_log` VALUES (49004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:27:25');
INSERT INTO `sys_job_log` VALUES (49005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:27:30');
INSERT INTO `sys_job_log` VALUES (49006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:27:30');
INSERT INTO `sys_job_log` VALUES (49007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:27:35');
INSERT INTO `sys_job_log` VALUES (49008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:27:40');
INSERT INTO `sys_job_log` VALUES (49009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:27:45');
INSERT INTO `sys_job_log` VALUES (49010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:27:45');
INSERT INTO `sys_job_log` VALUES (49011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:27:50');
INSERT INTO `sys_job_log` VALUES (49012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:27:55');
INSERT INTO `sys_job_log` VALUES (49013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:28:00');
INSERT INTO `sys_job_log` VALUES (49014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:28:00');
INSERT INTO `sys_job_log` VALUES (49015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:28:05');
INSERT INTO `sys_job_log` VALUES (49016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:28:10');
INSERT INTO `sys_job_log` VALUES (49017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:28:15');
INSERT INTO `sys_job_log` VALUES (49018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:28:15');
INSERT INTO `sys_job_log` VALUES (49019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:28:20');
INSERT INTO `sys_job_log` VALUES (49020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:28:25');
INSERT INTO `sys_job_log` VALUES (49021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:28:30');
INSERT INTO `sys_job_log` VALUES (49022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:28:30');
INSERT INTO `sys_job_log` VALUES (49023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:28:35');
INSERT INTO `sys_job_log` VALUES (49024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:28:40');
INSERT INTO `sys_job_log` VALUES (49025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:28:45');
INSERT INTO `sys_job_log` VALUES (49026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:28:45');
INSERT INTO `sys_job_log` VALUES (49027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-01 23:28:50');
INSERT INTO `sys_job_log` VALUES (49028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 23:28:55');
INSERT INTO `sys_job_log` VALUES (49029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-01 23:29:00');
INSERT INTO `sys_job_log` VALUES (49030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-01 23:29:00');
INSERT INTO `sys_job_log` VALUES (49031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:29:05');
INSERT INTO `sys_job_log` VALUES (49032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:29:10');
INSERT INTO `sys_job_log` VALUES (49033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:29:15');
INSERT INTO `sys_job_log` VALUES (49034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:29:15');
INSERT INTO `sys_job_log` VALUES (49035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:29:20');
INSERT INTO `sys_job_log` VALUES (49036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:29:25');
INSERT INTO `sys_job_log` VALUES (49037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:29:30');
INSERT INTO `sys_job_log` VALUES (49038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:29:30');
INSERT INTO `sys_job_log` VALUES (49039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:29:35');
INSERT INTO `sys_job_log` VALUES (49040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:29:40');
INSERT INTO `sys_job_log` VALUES (49041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:29:45');
INSERT INTO `sys_job_log` VALUES (49042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:29:45');
INSERT INTO `sys_job_log` VALUES (49043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:29:50');
INSERT INTO `sys_job_log` VALUES (49044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:29:55');
INSERT INTO `sys_job_log` VALUES (49045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:30:00');
INSERT INTO `sys_job_log` VALUES (49046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:30:00');
INSERT INTO `sys_job_log` VALUES (49047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:30:05');
INSERT INTO `sys_job_log` VALUES (49048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:30:10');
INSERT INTO `sys_job_log` VALUES (49049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:30:15');
INSERT INTO `sys_job_log` VALUES (49050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:30:15');
INSERT INTO `sys_job_log` VALUES (49051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:30:20');
INSERT INTO `sys_job_log` VALUES (49052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:30:25');
INSERT INTO `sys_job_log` VALUES (49053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:30:30');
INSERT INTO `sys_job_log` VALUES (49054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:30:30');
INSERT INTO `sys_job_log` VALUES (49055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:30:35');
INSERT INTO `sys_job_log` VALUES (49056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:30:40');
INSERT INTO `sys_job_log` VALUES (49057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:30:45');
INSERT INTO `sys_job_log` VALUES (49058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:30:45');
INSERT INTO `sys_job_log` VALUES (49059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:30:50');
INSERT INTO `sys_job_log` VALUES (49060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:30:55');
INSERT INTO `sys_job_log` VALUES (49061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:31:00');
INSERT INTO `sys_job_log` VALUES (49062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:31:00');
INSERT INTO `sys_job_log` VALUES (49063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:31:05');
INSERT INTO `sys_job_log` VALUES (49064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:31:10');
INSERT INTO `sys_job_log` VALUES (49065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:15');
INSERT INTO `sys_job_log` VALUES (49066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:15');
INSERT INTO `sys_job_log` VALUES (49067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:31:20');
INSERT INTO `sys_job_log` VALUES (49068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:25');
INSERT INTO `sys_job_log` VALUES (49069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:31:30');
INSERT INTO `sys_job_log` VALUES (49070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:31:30');
INSERT INTO `sys_job_log` VALUES (49071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:31:35');
INSERT INTO `sys_job_log` VALUES (49072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:40');
INSERT INTO `sys_job_log` VALUES (49073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:45');
INSERT INTO `sys_job_log` VALUES (49074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:45');
INSERT INTO `sys_job_log` VALUES (49075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:31:50');
INSERT INTO `sys_job_log` VALUES (49076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:31:55');
INSERT INTO `sys_job_log` VALUES (49077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:32:00');
INSERT INTO `sys_job_log` VALUES (49078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:32:00');
INSERT INTO `sys_job_log` VALUES (49079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:32:05');
INSERT INTO `sys_job_log` VALUES (49080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:32:10');
INSERT INTO `sys_job_log` VALUES (49081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:32:15');
INSERT INTO `sys_job_log` VALUES (49082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:32:15');
INSERT INTO `sys_job_log` VALUES (49083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:32:20');
INSERT INTO `sys_job_log` VALUES (49084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:32:25');
INSERT INTO `sys_job_log` VALUES (49085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:32:30');
INSERT INTO `sys_job_log` VALUES (49086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:32:30');
INSERT INTO `sys_job_log` VALUES (49087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:32:35');
INSERT INTO `sys_job_log` VALUES (49088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:32:40');
INSERT INTO `sys_job_log` VALUES (49089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:32:45');
INSERT INTO `sys_job_log` VALUES (49090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:32:45');
INSERT INTO `sys_job_log` VALUES (49091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:32:50');
INSERT INTO `sys_job_log` VALUES (49092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:32:55');
INSERT INTO `sys_job_log` VALUES (49093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:33:00');
INSERT INTO `sys_job_log` VALUES (49094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:33:00');
INSERT INTO `sys_job_log` VALUES (49095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:33:05');
INSERT INTO `sys_job_log` VALUES (49096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:33:10');
INSERT INTO `sys_job_log` VALUES (49097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:33:15');
INSERT INTO `sys_job_log` VALUES (49098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:33:15');
INSERT INTO `sys_job_log` VALUES (49099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:33:20');
INSERT INTO `sys_job_log` VALUES (49100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:33:25');
INSERT INTO `sys_job_log` VALUES (49101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:33:30');
INSERT INTO `sys_job_log` VALUES (49102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:33:30');
INSERT INTO `sys_job_log` VALUES (49103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:33:35');
INSERT INTO `sys_job_log` VALUES (49104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:33:40');
INSERT INTO `sys_job_log` VALUES (49105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:33:45');
INSERT INTO `sys_job_log` VALUES (49106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:33:45');
INSERT INTO `sys_job_log` VALUES (49107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:33:50');
INSERT INTO `sys_job_log` VALUES (49108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:33:55');
INSERT INTO `sys_job_log` VALUES (49109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-01 23:34:00');
INSERT INTO `sys_job_log` VALUES (49110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-01 23:34:00');
INSERT INTO `sys_job_log` VALUES (49111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:34:05');
INSERT INTO `sys_job_log` VALUES (49112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:34:10');
INSERT INTO `sys_job_log` VALUES (49113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:34:15');
INSERT INTO `sys_job_log` VALUES (49114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:34:15');
INSERT INTO `sys_job_log` VALUES (49115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:34:20');
INSERT INTO `sys_job_log` VALUES (49116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:34:25');
INSERT INTO `sys_job_log` VALUES (49117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:34:30');
INSERT INTO `sys_job_log` VALUES (49118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:34:30');
INSERT INTO `sys_job_log` VALUES (49119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:34:35');
INSERT INTO `sys_job_log` VALUES (49120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:34:40');
INSERT INTO `sys_job_log` VALUES (49121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:34:45');
INSERT INTO `sys_job_log` VALUES (49122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:34:45');
INSERT INTO `sys_job_log` VALUES (49123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:34:50');
INSERT INTO `sys_job_log` VALUES (49124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:34:55');
INSERT INTO `sys_job_log` VALUES (49125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:35:00');
INSERT INTO `sys_job_log` VALUES (49126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:35:00');
INSERT INTO `sys_job_log` VALUES (49127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:35:05');
INSERT INTO `sys_job_log` VALUES (49128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:35:10');
INSERT INTO `sys_job_log` VALUES (49129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:35:15');
INSERT INTO `sys_job_log` VALUES (49130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:35:15');
INSERT INTO `sys_job_log` VALUES (49131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:35:20');
INSERT INTO `sys_job_log` VALUES (49132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:35:25');
INSERT INTO `sys_job_log` VALUES (49133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:35:30');
INSERT INTO `sys_job_log` VALUES (49134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:35:30');
INSERT INTO `sys_job_log` VALUES (49135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:35:35');
INSERT INTO `sys_job_log` VALUES (49136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:35:40');
INSERT INTO `sys_job_log` VALUES (49137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:35:45');
INSERT INTO `sys_job_log` VALUES (49138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:35:45');
INSERT INTO `sys_job_log` VALUES (49139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:35:50');
INSERT INTO `sys_job_log` VALUES (49140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:35:55');
INSERT INTO `sys_job_log` VALUES (49141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:36:00');
INSERT INTO `sys_job_log` VALUES (49142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:36:00');
INSERT INTO `sys_job_log` VALUES (49143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:36:05');
INSERT INTO `sys_job_log` VALUES (49144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:36:10');
INSERT INTO `sys_job_log` VALUES (49145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:36:15');
INSERT INTO `sys_job_log` VALUES (49146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:36:15');
INSERT INTO `sys_job_log` VALUES (49147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:36:20');
INSERT INTO `sys_job_log` VALUES (49148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:36:25');
INSERT INTO `sys_job_log` VALUES (49149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:36:30');
INSERT INTO `sys_job_log` VALUES (49150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:36:30');
INSERT INTO `sys_job_log` VALUES (49151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:36:35');
INSERT INTO `sys_job_log` VALUES (49152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:36:40');
INSERT INTO `sys_job_log` VALUES (49153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:36:45');
INSERT INTO `sys_job_log` VALUES (49154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:36:45');
INSERT INTO `sys_job_log` VALUES (49155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:36:50');
INSERT INTO `sys_job_log` VALUES (49156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:36:55');
INSERT INTO `sys_job_log` VALUES (49157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:37:00');
INSERT INTO `sys_job_log` VALUES (49158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:37:00');
INSERT INTO `sys_job_log` VALUES (49159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:37:05');
INSERT INTO `sys_job_log` VALUES (49160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:37:10');
INSERT INTO `sys_job_log` VALUES (49161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:37:15');
INSERT INTO `sys_job_log` VALUES (49162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:37:15');
INSERT INTO `sys_job_log` VALUES (49163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:37:20');
INSERT INTO `sys_job_log` VALUES (49164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:37:25');
INSERT INTO `sys_job_log` VALUES (49165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:37:30');
INSERT INTO `sys_job_log` VALUES (49166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:37:30');
INSERT INTO `sys_job_log` VALUES (49167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:37:35');
INSERT INTO `sys_job_log` VALUES (49168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:37:40');
INSERT INTO `sys_job_log` VALUES (49169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:37:45');
INSERT INTO `sys_job_log` VALUES (49170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:37:45');
INSERT INTO `sys_job_log` VALUES (49171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:37:50');
INSERT INTO `sys_job_log` VALUES (49172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:37:55');
INSERT INTO `sys_job_log` VALUES (49173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:38:00');
INSERT INTO `sys_job_log` VALUES (49174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:38:00');
INSERT INTO `sys_job_log` VALUES (49175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:38:05');
INSERT INTO `sys_job_log` VALUES (49176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:38:10');
INSERT INTO `sys_job_log` VALUES (49177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:38:15');
INSERT INTO `sys_job_log` VALUES (49178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:38:15');
INSERT INTO `sys_job_log` VALUES (49179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:38:20');
INSERT INTO `sys_job_log` VALUES (49180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:38:25');
INSERT INTO `sys_job_log` VALUES (49181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:38:30');
INSERT INTO `sys_job_log` VALUES (49182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-01 23:38:30');
INSERT INTO `sys_job_log` VALUES (49183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:38:35');
INSERT INTO `sys_job_log` VALUES (49184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:38:40');
INSERT INTO `sys_job_log` VALUES (49185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:38:45');
INSERT INTO `sys_job_log` VALUES (49186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:38:45');
INSERT INTO `sys_job_log` VALUES (49187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:38:50');
INSERT INTO `sys_job_log` VALUES (49188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:38:55');
INSERT INTO `sys_job_log` VALUES (49189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:39:00');
INSERT INTO `sys_job_log` VALUES (49190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:39:00');
INSERT INTO `sys_job_log` VALUES (49191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:39:05');
INSERT INTO `sys_job_log` VALUES (49192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:39:10');
INSERT INTO `sys_job_log` VALUES (49193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:39:15');
INSERT INTO `sys_job_log` VALUES (49194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:39:15');
INSERT INTO `sys_job_log` VALUES (49195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:39:20');
INSERT INTO `sys_job_log` VALUES (49196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:39:25');
INSERT INTO `sys_job_log` VALUES (49197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:39:30');
INSERT INTO `sys_job_log` VALUES (49198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:39:30');
INSERT INTO `sys_job_log` VALUES (49199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:39:35');
INSERT INTO `sys_job_log` VALUES (49200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:39:40');
INSERT INTO `sys_job_log` VALUES (49201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:39:45');
INSERT INTO `sys_job_log` VALUES (49202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:39:45');
INSERT INTO `sys_job_log` VALUES (49203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:39:50');
INSERT INTO `sys_job_log` VALUES (49204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-01 23:39:55');
INSERT INTO `sys_job_log` VALUES (49205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:40:00');
INSERT INTO `sys_job_log` VALUES (49206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:40:00');
INSERT INTO `sys_job_log` VALUES (49207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:40:05');
INSERT INTO `sys_job_log` VALUES (49208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:40:10');
INSERT INTO `sys_job_log` VALUES (49209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:40:15');
INSERT INTO `sys_job_log` VALUES (49210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:40:15');
INSERT INTO `sys_job_log` VALUES (49211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:40:20');
INSERT INTO `sys_job_log` VALUES (49212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:40:25');
INSERT INTO `sys_job_log` VALUES (49213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:40:30');
INSERT INTO `sys_job_log` VALUES (49214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:40:30');
INSERT INTO `sys_job_log` VALUES (49215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:40:35');
INSERT INTO `sys_job_log` VALUES (49216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:40:40');
INSERT INTO `sys_job_log` VALUES (49217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:40:45');
INSERT INTO `sys_job_log` VALUES (49218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:40:45');
INSERT INTO `sys_job_log` VALUES (49219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:40:50');
INSERT INTO `sys_job_log` VALUES (49220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:40:55');
INSERT INTO `sys_job_log` VALUES (49221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:41:00');
INSERT INTO `sys_job_log` VALUES (49222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:41:00');
INSERT INTO `sys_job_log` VALUES (49223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:41:05');
INSERT INTO `sys_job_log` VALUES (49224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:41:10');
INSERT INTO `sys_job_log` VALUES (49225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:41:15');
INSERT INTO `sys_job_log` VALUES (49226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:41:15');
INSERT INTO `sys_job_log` VALUES (49227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:41:20');
INSERT INTO `sys_job_log` VALUES (49228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:41:25');
INSERT INTO `sys_job_log` VALUES (49229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:41:30');
INSERT INTO `sys_job_log` VALUES (49230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:41:30');
INSERT INTO `sys_job_log` VALUES (49231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:41:35');
INSERT INTO `sys_job_log` VALUES (49232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:41:40');
INSERT INTO `sys_job_log` VALUES (49233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:41:45');
INSERT INTO `sys_job_log` VALUES (49234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:41:45');
INSERT INTO `sys_job_log` VALUES (49235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:41:50');
INSERT INTO `sys_job_log` VALUES (49236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:41:55');
INSERT INTO `sys_job_log` VALUES (49237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:42:00');
INSERT INTO `sys_job_log` VALUES (49238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:42:00');
INSERT INTO `sys_job_log` VALUES (49239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:42:05');
INSERT INTO `sys_job_log` VALUES (49240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:42:10');
INSERT INTO `sys_job_log` VALUES (49241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:42:15');
INSERT INTO `sys_job_log` VALUES (49242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:42:15');
INSERT INTO `sys_job_log` VALUES (49243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:42:20');
INSERT INTO `sys_job_log` VALUES (49244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:42:25');
INSERT INTO `sys_job_log` VALUES (49245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:42:30');
INSERT INTO `sys_job_log` VALUES (49246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:42:30');
INSERT INTO `sys_job_log` VALUES (49247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:42:35');
INSERT INTO `sys_job_log` VALUES (49248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:42:40');
INSERT INTO `sys_job_log` VALUES (49249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:42:45');
INSERT INTO `sys_job_log` VALUES (49250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:42:45');
INSERT INTO `sys_job_log` VALUES (49251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:42:50');
INSERT INTO `sys_job_log` VALUES (49252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:42:55');
INSERT INTO `sys_job_log` VALUES (49253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:43:00');
INSERT INTO `sys_job_log` VALUES (49254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:43:00');
INSERT INTO `sys_job_log` VALUES (49255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:43:05');
INSERT INTO `sys_job_log` VALUES (49256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:43:10');
INSERT INTO `sys_job_log` VALUES (49257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:43:15');
INSERT INTO `sys_job_log` VALUES (49258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:43:15');
INSERT INTO `sys_job_log` VALUES (49259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:43:20');
INSERT INTO `sys_job_log` VALUES (49260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:43:25');
INSERT INTO `sys_job_log` VALUES (49261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:43:30');
INSERT INTO `sys_job_log` VALUES (49262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:43:30');
INSERT INTO `sys_job_log` VALUES (49263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:43:35');
INSERT INTO `sys_job_log` VALUES (49264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:43:40');
INSERT INTO `sys_job_log` VALUES (49265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:43:45');
INSERT INTO `sys_job_log` VALUES (49266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:43:45');
INSERT INTO `sys_job_log` VALUES (49267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:43:50');
INSERT INTO `sys_job_log` VALUES (49268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:43:55');
INSERT INTO `sys_job_log` VALUES (49269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:44:00');
INSERT INTO `sys_job_log` VALUES (49270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:44:00');
INSERT INTO `sys_job_log` VALUES (49271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:44:05');
INSERT INTO `sys_job_log` VALUES (49272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:44:10');
INSERT INTO `sys_job_log` VALUES (49273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:44:15');
INSERT INTO `sys_job_log` VALUES (49274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:44:15');
INSERT INTO `sys_job_log` VALUES (49275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:44:20');
INSERT INTO `sys_job_log` VALUES (49276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:44:25');
INSERT INTO `sys_job_log` VALUES (49277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:44:30');
INSERT INTO `sys_job_log` VALUES (49278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:44:30');
INSERT INTO `sys_job_log` VALUES (49279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:44:35');
INSERT INTO `sys_job_log` VALUES (49280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:44:40');
INSERT INTO `sys_job_log` VALUES (49281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:44:45');
INSERT INTO `sys_job_log` VALUES (49282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:44:45');
INSERT INTO `sys_job_log` VALUES (49283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:44:50');
INSERT INTO `sys_job_log` VALUES (49284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:44:55');
INSERT INTO `sys_job_log` VALUES (49285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:00');
INSERT INTO `sys_job_log` VALUES (49286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:00');
INSERT INTO `sys_job_log` VALUES (49287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:45:05');
INSERT INTO `sys_job_log` VALUES (49288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:45:10');
INSERT INTO `sys_job_log` VALUES (49289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-01 23:45:15');
INSERT INTO `sys_job_log` VALUES (49290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-01 23:45:15');
INSERT INTO `sys_job_log` VALUES (49291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:20');
INSERT INTO `sys_job_log` VALUES (49292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:45:25');
INSERT INTO `sys_job_log` VALUES (49293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:30');
INSERT INTO `sys_job_log` VALUES (49294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:30');
INSERT INTO `sys_job_log` VALUES (49295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:35');
INSERT INTO `sys_job_log` VALUES (49296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:45:40');
INSERT INTO `sys_job_log` VALUES (49297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:45:45');
INSERT INTO `sys_job_log` VALUES (49298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:45:45');
INSERT INTO `sys_job_log` VALUES (49299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:45:50');
INSERT INTO `sys_job_log` VALUES (49300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:45:55');
INSERT INTO `sys_job_log` VALUES (49301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:46:00');
INSERT INTO `sys_job_log` VALUES (49302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:46:00');
INSERT INTO `sys_job_log` VALUES (49303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:46:05');
INSERT INTO `sys_job_log` VALUES (49304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:46:10');
INSERT INTO `sys_job_log` VALUES (49305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:46:15');
INSERT INTO `sys_job_log` VALUES (49306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:46:15');
INSERT INTO `sys_job_log` VALUES (49307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:46:20');
INSERT INTO `sys_job_log` VALUES (49308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:46:25');
INSERT INTO `sys_job_log` VALUES (49309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:46:30');
INSERT INTO `sys_job_log` VALUES (49310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:46:30');
INSERT INTO `sys_job_log` VALUES (49311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:46:35');
INSERT INTO `sys_job_log` VALUES (49312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:46:40');
INSERT INTO `sys_job_log` VALUES (49313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:46:45');
INSERT INTO `sys_job_log` VALUES (49314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:46:45');
INSERT INTO `sys_job_log` VALUES (49315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:46:50');
INSERT INTO `sys_job_log` VALUES (49316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:46:55');
INSERT INTO `sys_job_log` VALUES (49317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-01 23:47:00');
INSERT INTO `sys_job_log` VALUES (49318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2025-01-01 23:47:00');
INSERT INTO `sys_job_log` VALUES (49319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:47:05');
INSERT INTO `sys_job_log` VALUES (49320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:47:10');
INSERT INTO `sys_job_log` VALUES (49321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:47:15');
INSERT INTO `sys_job_log` VALUES (49322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:47:15');
INSERT INTO `sys_job_log` VALUES (49323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:47:20');
INSERT INTO `sys_job_log` VALUES (49324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:47:25');
INSERT INTO `sys_job_log` VALUES (49325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:47:30');
INSERT INTO `sys_job_log` VALUES (49326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:47:30');
INSERT INTO `sys_job_log` VALUES (49327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:47:35');
INSERT INTO `sys_job_log` VALUES (49328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:47:40');
INSERT INTO `sys_job_log` VALUES (49329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:47:45');
INSERT INTO `sys_job_log` VALUES (49330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:47:45');
INSERT INTO `sys_job_log` VALUES (49331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:47:50');
INSERT INTO `sys_job_log` VALUES (49332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:47:55');
INSERT INTO `sys_job_log` VALUES (49333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:48:00');
INSERT INTO `sys_job_log` VALUES (49334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:48:00');
INSERT INTO `sys_job_log` VALUES (49335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:48:05');
INSERT INTO `sys_job_log` VALUES (49336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:48:10');
INSERT INTO `sys_job_log` VALUES (49337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:48:15');
INSERT INTO `sys_job_log` VALUES (49338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:48:15');
INSERT INTO `sys_job_log` VALUES (49339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:48:20');
INSERT INTO `sys_job_log` VALUES (49340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:48:25');
INSERT INTO `sys_job_log` VALUES (49341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:48:30');
INSERT INTO `sys_job_log` VALUES (49342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:48:30');
INSERT INTO `sys_job_log` VALUES (49343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:48:35');
INSERT INTO `sys_job_log` VALUES (49344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:48:40');
INSERT INTO `sys_job_log` VALUES (49345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:48:45');
INSERT INTO `sys_job_log` VALUES (49346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:48:45');
INSERT INTO `sys_job_log` VALUES (49347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:48:50');
INSERT INTO `sys_job_log` VALUES (49348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:48:55');
INSERT INTO `sys_job_log` VALUES (49349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-01 23:49:00');
INSERT INTO `sys_job_log` VALUES (49350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-01 23:49:00');
INSERT INTO `sys_job_log` VALUES (49351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:49:05');
INSERT INTO `sys_job_log` VALUES (49352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:49:10');
INSERT INTO `sys_job_log` VALUES (49353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:49:15');
INSERT INTO `sys_job_log` VALUES (49354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:49:15');
INSERT INTO `sys_job_log` VALUES (49355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:49:20');
INSERT INTO `sys_job_log` VALUES (49356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:49:25');
INSERT INTO `sys_job_log` VALUES (49357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:49:30');
INSERT INTO `sys_job_log` VALUES (49358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:49:30');
INSERT INTO `sys_job_log` VALUES (49359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:49:35');
INSERT INTO `sys_job_log` VALUES (49360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:49:40');
INSERT INTO `sys_job_log` VALUES (49361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-01 23:49:45');
INSERT INTO `sys_job_log` VALUES (49362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-01 23:49:45');
INSERT INTO `sys_job_log` VALUES (49363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:49:50');
INSERT INTO `sys_job_log` VALUES (49364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:49:55');
INSERT INTO `sys_job_log` VALUES (49365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:50:00');
INSERT INTO `sys_job_log` VALUES (49366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:50:00');
INSERT INTO `sys_job_log` VALUES (49367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:50:05');
INSERT INTO `sys_job_log` VALUES (49368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:50:10');
INSERT INTO `sys_job_log` VALUES (49369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:50:15');
INSERT INTO `sys_job_log` VALUES (49370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:50:15');
INSERT INTO `sys_job_log` VALUES (49371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:50:20');
INSERT INTO `sys_job_log` VALUES (49372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:50:25');
INSERT INTO `sys_job_log` VALUES (49373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:50:30');
INSERT INTO `sys_job_log` VALUES (49374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:50:30');
INSERT INTO `sys_job_log` VALUES (49375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:50:35');
INSERT INTO `sys_job_log` VALUES (49376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:50:40');
INSERT INTO `sys_job_log` VALUES (49377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-01 23:50:45');
INSERT INTO `sys_job_log` VALUES (49378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:50:45');
INSERT INTO `sys_job_log` VALUES (49379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:50:50');
INSERT INTO `sys_job_log` VALUES (49380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:50:55');
INSERT INTO `sys_job_log` VALUES (49381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:51:00');
INSERT INTO `sys_job_log` VALUES (49382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:51:00');
INSERT INTO `sys_job_log` VALUES (49383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:51:05');
INSERT INTO `sys_job_log` VALUES (49384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:51:10');
INSERT INTO `sys_job_log` VALUES (49385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:51:15');
INSERT INTO `sys_job_log` VALUES (49386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:51:15');
INSERT INTO `sys_job_log` VALUES (49387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:51:20');
INSERT INTO `sys_job_log` VALUES (49388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:51:25');
INSERT INTO `sys_job_log` VALUES (49389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:51:30');
INSERT INTO `sys_job_log` VALUES (49390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:51:30');
INSERT INTO `sys_job_log` VALUES (49391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:51:35');
INSERT INTO `sys_job_log` VALUES (49392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:51:40');
INSERT INTO `sys_job_log` VALUES (49393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:51:45');
INSERT INTO `sys_job_log` VALUES (49394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:51:45');
INSERT INTO `sys_job_log` VALUES (49395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:51:50');
INSERT INTO `sys_job_log` VALUES (49396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:51:55');
INSERT INTO `sys_job_log` VALUES (49397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:52:00');
INSERT INTO `sys_job_log` VALUES (49398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:52:00');
INSERT INTO `sys_job_log` VALUES (49399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:52:05');
INSERT INTO `sys_job_log` VALUES (49400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:52:10');
INSERT INTO `sys_job_log` VALUES (49401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:52:15');
INSERT INTO `sys_job_log` VALUES (49402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:52:15');
INSERT INTO `sys_job_log` VALUES (49403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:52:20');
INSERT INTO `sys_job_log` VALUES (49404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:52:25');
INSERT INTO `sys_job_log` VALUES (49405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:52:30');
INSERT INTO `sys_job_log` VALUES (49406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:52:30');
INSERT INTO `sys_job_log` VALUES (49407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:52:35');
INSERT INTO `sys_job_log` VALUES (49408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:52:40');
INSERT INTO `sys_job_log` VALUES (49409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:52:45');
INSERT INTO `sys_job_log` VALUES (49410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:52:45');
INSERT INTO `sys_job_log` VALUES (49411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:52:50');
INSERT INTO `sys_job_log` VALUES (49412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:52:55');
INSERT INTO `sys_job_log` VALUES (49413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:53:00');
INSERT INTO `sys_job_log` VALUES (49414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:53:00');
INSERT INTO `sys_job_log` VALUES (49415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:53:05');
INSERT INTO `sys_job_log` VALUES (49416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:53:10');
INSERT INTO `sys_job_log` VALUES (49417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:53:15');
INSERT INTO `sys_job_log` VALUES (49418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:53:15');
INSERT INTO `sys_job_log` VALUES (49419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:53:20');
INSERT INTO `sys_job_log` VALUES (49420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:53:25');
INSERT INTO `sys_job_log` VALUES (49421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:53:30');
INSERT INTO `sys_job_log` VALUES (49422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:53:30');
INSERT INTO `sys_job_log` VALUES (49423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:53:35');
INSERT INTO `sys_job_log` VALUES (49424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:53:40');
INSERT INTO `sys_job_log` VALUES (49425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-01 23:53:45');
INSERT INTO `sys_job_log` VALUES (49426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:53:45');
INSERT INTO `sys_job_log` VALUES (49427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:53:50');
INSERT INTO `sys_job_log` VALUES (49428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:53:55');
INSERT INTO `sys_job_log` VALUES (49429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:54:00');
INSERT INTO `sys_job_log` VALUES (49430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:54:00');
INSERT INTO `sys_job_log` VALUES (49431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:54:05');
INSERT INTO `sys_job_log` VALUES (49432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:54:10');
INSERT INTO `sys_job_log` VALUES (49433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:54:15');
INSERT INTO `sys_job_log` VALUES (49434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:54:15');
INSERT INTO `sys_job_log` VALUES (49435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:54:20');
INSERT INTO `sys_job_log` VALUES (49436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:54:25');
INSERT INTO `sys_job_log` VALUES (49437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:54:30');
INSERT INTO `sys_job_log` VALUES (49438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:54:30');
INSERT INTO `sys_job_log` VALUES (49439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:54:35');
INSERT INTO `sys_job_log` VALUES (49440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:54:40');
INSERT INTO `sys_job_log` VALUES (49441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:54:45');
INSERT INTO `sys_job_log` VALUES (49442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:54:45');
INSERT INTO `sys_job_log` VALUES (49443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:54:50');
INSERT INTO `sys_job_log` VALUES (49444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:54:55');
INSERT INTO `sys_job_log` VALUES (49445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:55:00');
INSERT INTO `sys_job_log` VALUES (49446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:55:00');
INSERT INTO `sys_job_log` VALUES (49447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:55:05');
INSERT INTO `sys_job_log` VALUES (49448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:55:10');
INSERT INTO `sys_job_log` VALUES (49449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:55:15');
INSERT INTO `sys_job_log` VALUES (49450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:55:15');
INSERT INTO `sys_job_log` VALUES (49451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:55:20');
INSERT INTO `sys_job_log` VALUES (49452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:55:25');
INSERT INTO `sys_job_log` VALUES (49453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:55:30');
INSERT INTO `sys_job_log` VALUES (49454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:55:30');
INSERT INTO `sys_job_log` VALUES (49455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:55:35');
INSERT INTO `sys_job_log` VALUES (49456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:55:40');
INSERT INTO `sys_job_log` VALUES (49457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:55:45');
INSERT INTO `sys_job_log` VALUES (49458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:55:45');
INSERT INTO `sys_job_log` VALUES (49459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:55:50');
INSERT INTO `sys_job_log` VALUES (49460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:55:55');
INSERT INTO `sys_job_log` VALUES (49461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:56:00');
INSERT INTO `sys_job_log` VALUES (49462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:56:00');
INSERT INTO `sys_job_log` VALUES (49463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:56:05');
INSERT INTO `sys_job_log` VALUES (49464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:56:10');
INSERT INTO `sys_job_log` VALUES (49465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:56:15');
INSERT INTO `sys_job_log` VALUES (49466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:56:15');
INSERT INTO `sys_job_log` VALUES (49467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:56:20');
INSERT INTO `sys_job_log` VALUES (49468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:56:25');
INSERT INTO `sys_job_log` VALUES (49469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:56:30');
INSERT INTO `sys_job_log` VALUES (49470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:56:30');
INSERT INTO `sys_job_log` VALUES (49471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:56:35');
INSERT INTO `sys_job_log` VALUES (49472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:56:40');
INSERT INTO `sys_job_log` VALUES (49473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:56:45');
INSERT INTO `sys_job_log` VALUES (49474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:56:45');
INSERT INTO `sys_job_log` VALUES (49475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:56:50');
INSERT INTO `sys_job_log` VALUES (49476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:56:55');
INSERT INTO `sys_job_log` VALUES (49477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:57:00');
INSERT INTO `sys_job_log` VALUES (49478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:57:00');
INSERT INTO `sys_job_log` VALUES (49479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:57:05');
INSERT INTO `sys_job_log` VALUES (49480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:57:10');
INSERT INTO `sys_job_log` VALUES (49481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:57:15');
INSERT INTO `sys_job_log` VALUES (49482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:57:15');
INSERT INTO `sys_job_log` VALUES (49483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:57:20');
INSERT INTO `sys_job_log` VALUES (49484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:57:25');
INSERT INTO `sys_job_log` VALUES (49485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:57:30');
INSERT INTO `sys_job_log` VALUES (49486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:57:30');
INSERT INTO `sys_job_log` VALUES (49487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:57:35');
INSERT INTO `sys_job_log` VALUES (49488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:57:40');
INSERT INTO `sys_job_log` VALUES (49489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:57:45');
INSERT INTO `sys_job_log` VALUES (49490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:57:45');
INSERT INTO `sys_job_log` VALUES (49491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:57:50');
INSERT INTO `sys_job_log` VALUES (49492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:57:55');
INSERT INTO `sys_job_log` VALUES (49493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:58:00');
INSERT INTO `sys_job_log` VALUES (49494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:58:00');
INSERT INTO `sys_job_log` VALUES (49495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:58:05');
INSERT INTO `sys_job_log` VALUES (49496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:58:10');
INSERT INTO `sys_job_log` VALUES (49497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:58:15');
INSERT INTO `sys_job_log` VALUES (49498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:58:15');
INSERT INTO `sys_job_log` VALUES (49499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:58:20');
INSERT INTO `sys_job_log` VALUES (49500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:58:25');
INSERT INTO `sys_job_log` VALUES (49501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:58:30');
INSERT INTO `sys_job_log` VALUES (49502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:58:30');
INSERT INTO `sys_job_log` VALUES (49503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:58:35');
INSERT INTO `sys_job_log` VALUES (49504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-01 23:58:40');
INSERT INTO `sys_job_log` VALUES (49505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:58:45');
INSERT INTO `sys_job_log` VALUES (49506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-01 23:58:45');
INSERT INTO `sys_job_log` VALUES (49507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:58:50');
INSERT INTO `sys_job_log` VALUES (49508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:58:55');
INSERT INTO `sys_job_log` VALUES (49509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:59:00');
INSERT INTO `sys_job_log` VALUES (49510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-01 23:59:00');
INSERT INTO `sys_job_log` VALUES (49511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:59:05');
INSERT INTO `sys_job_log` VALUES (49512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:59:10');
INSERT INTO `sys_job_log` VALUES (49513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-01 23:59:15');
INSERT INTO `sys_job_log` VALUES (49514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-01 23:59:15');
INSERT INTO `sys_job_log` VALUES (49515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:59:20');
INSERT INTO `sys_job_log` VALUES (49516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:59:25');
INSERT INTO `sys_job_log` VALUES (49517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-01 23:59:30');
INSERT INTO `sys_job_log` VALUES (49518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-01 23:59:30');
INSERT INTO `sys_job_log` VALUES (49519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-01 23:59:35');
INSERT INTO `sys_job_log` VALUES (49520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-01 23:59:40');
INSERT INTO `sys_job_log` VALUES (49521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-01 23:59:45');
INSERT INTO `sys_job_log` VALUES (49522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-01 23:59:45');
INSERT INTO `sys_job_log` VALUES (49523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-01 23:59:50');
INSERT INTO `sys_job_log` VALUES (49524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-01 23:59:55');
INSERT INTO `sys_job_log` VALUES (49525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-02 00:00:00');
INSERT INTO `sys_job_log` VALUES (49526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2025-01-02 00:00:00');
INSERT INTO `sys_job_log` VALUES (49527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:00:05');
INSERT INTO `sys_job_log` VALUES (49528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:00:10');
INSERT INTO `sys_job_log` VALUES (49529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:00:15');
INSERT INTO `sys_job_log` VALUES (49530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:00:15');
INSERT INTO `sys_job_log` VALUES (49531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:00:20');
INSERT INTO `sys_job_log` VALUES (49532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:00:25');
INSERT INTO `sys_job_log` VALUES (49533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:00:30');
INSERT INTO `sys_job_log` VALUES (49534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:00:30');
INSERT INTO `sys_job_log` VALUES (49535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:00:35');
INSERT INTO `sys_job_log` VALUES (49536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:00:40');
INSERT INTO `sys_job_log` VALUES (49537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:00:45');
INSERT INTO `sys_job_log` VALUES (49538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:00:45');
INSERT INTO `sys_job_log` VALUES (49539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:00:50');
INSERT INTO `sys_job_log` VALUES (49540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:00:55');
INSERT INTO `sys_job_log` VALUES (49541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:01:00');
INSERT INTO `sys_job_log` VALUES (49542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:01:00');
INSERT INTO `sys_job_log` VALUES (49543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:01:05');
INSERT INTO `sys_job_log` VALUES (49544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:01:10');
INSERT INTO `sys_job_log` VALUES (49545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:01:15');
INSERT INTO `sys_job_log` VALUES (49546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:01:15');
INSERT INTO `sys_job_log` VALUES (49547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:01:20');
INSERT INTO `sys_job_log` VALUES (49548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:01:25');
INSERT INTO `sys_job_log` VALUES (49549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:01:30');
INSERT INTO `sys_job_log` VALUES (49550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:01:30');
INSERT INTO `sys_job_log` VALUES (49551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:01:35');
INSERT INTO `sys_job_log` VALUES (49552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:01:40');
INSERT INTO `sys_job_log` VALUES (49553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 00:01:45');
INSERT INTO `sys_job_log` VALUES (49554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:01:45');
INSERT INTO `sys_job_log` VALUES (49555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:01:50');
INSERT INTO `sys_job_log` VALUES (49556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:01:55');
INSERT INTO `sys_job_log` VALUES (49557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:02:00');
INSERT INTO `sys_job_log` VALUES (49558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:02:00');
INSERT INTO `sys_job_log` VALUES (49559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:02:05');
INSERT INTO `sys_job_log` VALUES (49560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:02:10');
INSERT INTO `sys_job_log` VALUES (49561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:02:15');
INSERT INTO `sys_job_log` VALUES (49562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:02:15');
INSERT INTO `sys_job_log` VALUES (49563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:02:20');
INSERT INTO `sys_job_log` VALUES (49564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:02:25');
INSERT INTO `sys_job_log` VALUES (49565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:02:30');
INSERT INTO `sys_job_log` VALUES (49566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:02:30');
INSERT INTO `sys_job_log` VALUES (49567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:02:35');
INSERT INTO `sys_job_log` VALUES (49568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:02:40');
INSERT INTO `sys_job_log` VALUES (49569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:02:45');
INSERT INTO `sys_job_log` VALUES (49570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:02:45');
INSERT INTO `sys_job_log` VALUES (49571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:02:50');
INSERT INTO `sys_job_log` VALUES (49572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:02:55');
INSERT INTO `sys_job_log` VALUES (49573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:03:00');
INSERT INTO `sys_job_log` VALUES (49574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:03:00');
INSERT INTO `sys_job_log` VALUES (49575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:03:05');
INSERT INTO `sys_job_log` VALUES (49576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:03:10');
INSERT INTO `sys_job_log` VALUES (49577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:03:15');
INSERT INTO `sys_job_log` VALUES (49578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:03:15');
INSERT INTO `sys_job_log` VALUES (49579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:03:20');
INSERT INTO `sys_job_log` VALUES (49580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:03:25');
INSERT INTO `sys_job_log` VALUES (49581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:03:30');
INSERT INTO `sys_job_log` VALUES (49582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:03:30');
INSERT INTO `sys_job_log` VALUES (49583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:03:35');
INSERT INTO `sys_job_log` VALUES (49584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:03:40');
INSERT INTO `sys_job_log` VALUES (49585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:03:45');
INSERT INTO `sys_job_log` VALUES (49586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:03:45');
INSERT INTO `sys_job_log` VALUES (49587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:03:50');
INSERT INTO `sys_job_log` VALUES (49588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:03:55');
INSERT INTO `sys_job_log` VALUES (49589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:04:00');
INSERT INTO `sys_job_log` VALUES (49590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:04:00');
INSERT INTO `sys_job_log` VALUES (49591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:04:05');
INSERT INTO `sys_job_log` VALUES (49592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:04:10');
INSERT INTO `sys_job_log` VALUES (49593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:04:15');
INSERT INTO `sys_job_log` VALUES (49594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:04:15');
INSERT INTO `sys_job_log` VALUES (49595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:04:20');
INSERT INTO `sys_job_log` VALUES (49596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:04:25');
INSERT INTO `sys_job_log` VALUES (49597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:04:30');
INSERT INTO `sys_job_log` VALUES (49598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:04:30');
INSERT INTO `sys_job_log` VALUES (49599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:04:35');
INSERT INTO `sys_job_log` VALUES (49600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:04:40');
INSERT INTO `sys_job_log` VALUES (49601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:04:45');
INSERT INTO `sys_job_log` VALUES (49602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:04:45');
INSERT INTO `sys_job_log` VALUES (49603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:04:50');
INSERT INTO `sys_job_log` VALUES (49604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:04:55');
INSERT INTO `sys_job_log` VALUES (49605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 00:05:00');
INSERT INTO `sys_job_log` VALUES (49606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:05:00');
INSERT INTO `sys_job_log` VALUES (49607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:05:05');
INSERT INTO `sys_job_log` VALUES (49608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:05:10');
INSERT INTO `sys_job_log` VALUES (49609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:05:15');
INSERT INTO `sys_job_log` VALUES (49610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:05:15');
INSERT INTO `sys_job_log` VALUES (49611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:05:20');
INSERT INTO `sys_job_log` VALUES (49612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:05:25');
INSERT INTO `sys_job_log` VALUES (49613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:05:30');
INSERT INTO `sys_job_log` VALUES (49614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:05:30');
INSERT INTO `sys_job_log` VALUES (49615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:05:35');
INSERT INTO `sys_job_log` VALUES (49616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:05:40');
INSERT INTO `sys_job_log` VALUES (49617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:05:45');
INSERT INTO `sys_job_log` VALUES (49618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:05:45');
INSERT INTO `sys_job_log` VALUES (49619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:05:50');
INSERT INTO `sys_job_log` VALUES (49620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:05:55');
INSERT INTO `sys_job_log` VALUES (49621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:06:00');
INSERT INTO `sys_job_log` VALUES (49622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:06:00');
INSERT INTO `sys_job_log` VALUES (49623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:06:05');
INSERT INTO `sys_job_log` VALUES (49624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:06:10');
INSERT INTO `sys_job_log` VALUES (49625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:06:15');
INSERT INTO `sys_job_log` VALUES (49626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:06:15');
INSERT INTO `sys_job_log` VALUES (49627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:06:20');
INSERT INTO `sys_job_log` VALUES (49628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:06:25');
INSERT INTO `sys_job_log` VALUES (49629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:06:30');
INSERT INTO `sys_job_log` VALUES (49630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:06:30');
INSERT INTO `sys_job_log` VALUES (49631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:06:35');
INSERT INTO `sys_job_log` VALUES (49632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:06:40');
INSERT INTO `sys_job_log` VALUES (49633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:06:45');
INSERT INTO `sys_job_log` VALUES (49634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:06:45');
INSERT INTO `sys_job_log` VALUES (49635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:06:50');
INSERT INTO `sys_job_log` VALUES (49636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:06:55');
INSERT INTO `sys_job_log` VALUES (49637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:07:00');
INSERT INTO `sys_job_log` VALUES (49638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:07:00');
INSERT INTO `sys_job_log` VALUES (49639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:07:05');
INSERT INTO `sys_job_log` VALUES (49640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:07:10');
INSERT INTO `sys_job_log` VALUES (49641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:07:15');
INSERT INTO `sys_job_log` VALUES (49642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:07:15');
INSERT INTO `sys_job_log` VALUES (49643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:07:20');
INSERT INTO `sys_job_log` VALUES (49644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:07:25');
INSERT INTO `sys_job_log` VALUES (49645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:07:30');
INSERT INTO `sys_job_log` VALUES (49646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:07:30');
INSERT INTO `sys_job_log` VALUES (49647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:07:35');
INSERT INTO `sys_job_log` VALUES (49648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:07:40');
INSERT INTO `sys_job_log` VALUES (49649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:07:45');
INSERT INTO `sys_job_log` VALUES (49650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:07:45');
INSERT INTO `sys_job_log` VALUES (49651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:07:50');
INSERT INTO `sys_job_log` VALUES (49652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:07:55');
INSERT INTO `sys_job_log` VALUES (49653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:08:00');
INSERT INTO `sys_job_log` VALUES (49654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:00');
INSERT INTO `sys_job_log` VALUES (49655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:08:05');
INSERT INTO `sys_job_log` VALUES (49656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:10');
INSERT INTO `sys_job_log` VALUES (49657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:15');
INSERT INTO `sys_job_log` VALUES (49658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:08:15');
INSERT INTO `sys_job_log` VALUES (49659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:08:20');
INSERT INTO `sys_job_log` VALUES (49660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:25');
INSERT INTO `sys_job_log` VALUES (49661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:08:30');
INSERT INTO `sys_job_log` VALUES (49662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:08:30');
INSERT INTO `sys_job_log` VALUES (49663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:08:35');
INSERT INTO `sys_job_log` VALUES (49664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:40');
INSERT INTO `sys_job_log` VALUES (49665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:45');
INSERT INTO `sys_job_log` VALUES (49666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:08:45');
INSERT INTO `sys_job_log` VALUES (49667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:08:50');
INSERT INTO `sys_job_log` VALUES (49668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:08:55');
INSERT INTO `sys_job_log` VALUES (49669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:09:00');
INSERT INTO `sys_job_log` VALUES (49670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:09:00');
INSERT INTO `sys_job_log` VALUES (49671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:09:05');
INSERT INTO `sys_job_log` VALUES (49672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:09:10');
INSERT INTO `sys_job_log` VALUES (49673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:09:15');
INSERT INTO `sys_job_log` VALUES (49674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:09:15');
INSERT INTO `sys_job_log` VALUES (49675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:09:20');
INSERT INTO `sys_job_log` VALUES (49676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:09:25');
INSERT INTO `sys_job_log` VALUES (49677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:09:30');
INSERT INTO `sys_job_log` VALUES (49678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:09:30');
INSERT INTO `sys_job_log` VALUES (49679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:09:35');
INSERT INTO `sys_job_log` VALUES (49680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:09:40');
INSERT INTO `sys_job_log` VALUES (49681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:09:45');
INSERT INTO `sys_job_log` VALUES (49682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:09:45');
INSERT INTO `sys_job_log` VALUES (49683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:09:50');
INSERT INTO `sys_job_log` VALUES (49684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:09:55');
INSERT INTO `sys_job_log` VALUES (49685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:10:00');
INSERT INTO `sys_job_log` VALUES (49686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:10:00');
INSERT INTO `sys_job_log` VALUES (49687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:10:05');
INSERT INTO `sys_job_log` VALUES (49688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:10:10');
INSERT INTO `sys_job_log` VALUES (49689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:10:15');
INSERT INTO `sys_job_log` VALUES (49690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:10:15');
INSERT INTO `sys_job_log` VALUES (49691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:10:20');
INSERT INTO `sys_job_log` VALUES (49692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:10:25');
INSERT INTO `sys_job_log` VALUES (49693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:10:30');
INSERT INTO `sys_job_log` VALUES (49694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:10:30');
INSERT INTO `sys_job_log` VALUES (49695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:10:35');
INSERT INTO `sys_job_log` VALUES (49696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:10:40');
INSERT INTO `sys_job_log` VALUES (49697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:10:45');
INSERT INTO `sys_job_log` VALUES (49698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:10:45');
INSERT INTO `sys_job_log` VALUES (49699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:10:50');
INSERT INTO `sys_job_log` VALUES (49700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:10:55');
INSERT INTO `sys_job_log` VALUES (49701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:11:00');
INSERT INTO `sys_job_log` VALUES (49702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:11:00');
INSERT INTO `sys_job_log` VALUES (49703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:11:05');
INSERT INTO `sys_job_log` VALUES (49704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:11:10');
INSERT INTO `sys_job_log` VALUES (49705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:11:15');
INSERT INTO `sys_job_log` VALUES (49706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:11:15');
INSERT INTO `sys_job_log` VALUES (49707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:11:20');
INSERT INTO `sys_job_log` VALUES (49708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:11:25');
INSERT INTO `sys_job_log` VALUES (49709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:11:30');
INSERT INTO `sys_job_log` VALUES (49710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:11:30');
INSERT INTO `sys_job_log` VALUES (49711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:11:35');
INSERT INTO `sys_job_log` VALUES (49712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:11:40');
INSERT INTO `sys_job_log` VALUES (49713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:11:45');
INSERT INTO `sys_job_log` VALUES (49714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:11:45');
INSERT INTO `sys_job_log` VALUES (49715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:11:50');
INSERT INTO `sys_job_log` VALUES (49716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:11:55');
INSERT INTO `sys_job_log` VALUES (49717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:12:00');
INSERT INTO `sys_job_log` VALUES (49718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:12:00');
INSERT INTO `sys_job_log` VALUES (49719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:12:05');
INSERT INTO `sys_job_log` VALUES (49720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:12:10');
INSERT INTO `sys_job_log` VALUES (49721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:12:15');
INSERT INTO `sys_job_log` VALUES (49722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:12:15');
INSERT INTO `sys_job_log` VALUES (49723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:12:20');
INSERT INTO `sys_job_log` VALUES (49724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:12:25');
INSERT INTO `sys_job_log` VALUES (49725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:12:30');
INSERT INTO `sys_job_log` VALUES (49726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:12:30');
INSERT INTO `sys_job_log` VALUES (49727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:12:35');
INSERT INTO `sys_job_log` VALUES (49728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:12:40');
INSERT INTO `sys_job_log` VALUES (49729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:12:45');
INSERT INTO `sys_job_log` VALUES (49730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:12:45');
INSERT INTO `sys_job_log` VALUES (49731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:12:50');
INSERT INTO `sys_job_log` VALUES (49732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:12:55');
INSERT INTO `sys_job_log` VALUES (49733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:13:00');
INSERT INTO `sys_job_log` VALUES (49734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:13:00');
INSERT INTO `sys_job_log` VALUES (49735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:13:05');
INSERT INTO `sys_job_log` VALUES (49736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:13:10');
INSERT INTO `sys_job_log` VALUES (49737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:13:15');
INSERT INTO `sys_job_log` VALUES (49738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:13:15');
INSERT INTO `sys_job_log` VALUES (49739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:13:20');
INSERT INTO `sys_job_log` VALUES (49740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:13:25');
INSERT INTO `sys_job_log` VALUES (49741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:13:30');
INSERT INTO `sys_job_log` VALUES (49742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:13:30');
INSERT INTO `sys_job_log` VALUES (49743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:13:35');
INSERT INTO `sys_job_log` VALUES (49744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:13:40');
INSERT INTO `sys_job_log` VALUES (49745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:13:45');
INSERT INTO `sys_job_log` VALUES (49746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:13:45');
INSERT INTO `sys_job_log` VALUES (49747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:13:50');
INSERT INTO `sys_job_log` VALUES (49748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:13:55');
INSERT INTO `sys_job_log` VALUES (49749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 00:14:00');
INSERT INTO `sys_job_log` VALUES (49750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:14:00');
INSERT INTO `sys_job_log` VALUES (49751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:14:05');
INSERT INTO `sys_job_log` VALUES (49752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:14:10');
INSERT INTO `sys_job_log` VALUES (49753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:14:15');
INSERT INTO `sys_job_log` VALUES (49754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:14:15');
INSERT INTO `sys_job_log` VALUES (49755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:14:20');
INSERT INTO `sys_job_log` VALUES (49756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:14:25');
INSERT INTO `sys_job_log` VALUES (49757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:14:30');
INSERT INTO `sys_job_log` VALUES (49758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:14:30');
INSERT INTO `sys_job_log` VALUES (49759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:14:35');
INSERT INTO `sys_job_log` VALUES (49760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:14:40');
INSERT INTO `sys_job_log` VALUES (49761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:14:45');
INSERT INTO `sys_job_log` VALUES (49762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:14:45');
INSERT INTO `sys_job_log` VALUES (49763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:14:50');
INSERT INTO `sys_job_log` VALUES (49764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:14:55');
INSERT INTO `sys_job_log` VALUES (49765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:15:00');
INSERT INTO `sys_job_log` VALUES (49766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:15:00');
INSERT INTO `sys_job_log` VALUES (49767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:15:05');
INSERT INTO `sys_job_log` VALUES (49768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:15:10');
INSERT INTO `sys_job_log` VALUES (49769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:15:15');
INSERT INTO `sys_job_log` VALUES (49770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:15:15');
INSERT INTO `sys_job_log` VALUES (49771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:15:20');
INSERT INTO `sys_job_log` VALUES (49772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:15:25');
INSERT INTO `sys_job_log` VALUES (49773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:15:30');
INSERT INTO `sys_job_log` VALUES (49774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 00:15:30');
INSERT INTO `sys_job_log` VALUES (49775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:15:35');
INSERT INTO `sys_job_log` VALUES (49776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:15:40');
INSERT INTO `sys_job_log` VALUES (49777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:15:45');
INSERT INTO `sys_job_log` VALUES (49778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:15:45');
INSERT INTO `sys_job_log` VALUES (49779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:15:50');
INSERT INTO `sys_job_log` VALUES (49780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:15:55');
INSERT INTO `sys_job_log` VALUES (49781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:16:00');
INSERT INTO `sys_job_log` VALUES (49782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:16:00');
INSERT INTO `sys_job_log` VALUES (49783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:05');
INSERT INTO `sys_job_log` VALUES (49784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:16:10');
INSERT INTO `sys_job_log` VALUES (49785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:15');
INSERT INTO `sys_job_log` VALUES (49786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:15');
INSERT INTO `sys_job_log` VALUES (49787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:16:20');
INSERT INTO `sys_job_log` VALUES (49788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:25');
INSERT INTO `sys_job_log` VALUES (49789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:16:30');
INSERT INTO `sys_job_log` VALUES (49790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:16:30');
INSERT INTO `sys_job_log` VALUES (49791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:35');
INSERT INTO `sys_job_log` VALUES (49792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:16:40');
INSERT INTO `sys_job_log` VALUES (49793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:45');
INSERT INTO `sys_job_log` VALUES (49794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:16:45');
INSERT INTO `sys_job_log` VALUES (49795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:16:50');
INSERT INTO `sys_job_log` VALUES (49796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:16:55');
INSERT INTO `sys_job_log` VALUES (49797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:00');
INSERT INTO `sys_job_log` VALUES (49798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:17:00');
INSERT INTO `sys_job_log` VALUES (49799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:17:05');
INSERT INTO `sys_job_log` VALUES (49800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:10');
INSERT INTO `sys_job_log` VALUES (49801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:17:15');
INSERT INTO `sys_job_log` VALUES (49802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:17:15');
INSERT INTO `sys_job_log` VALUES (49803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:20');
INSERT INTO `sys_job_log` VALUES (49804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:17:25');
INSERT INTO `sys_job_log` VALUES (49805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:30');
INSERT INTO `sys_job_log` VALUES (49806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:17:30');
INSERT INTO `sys_job_log` VALUES (49807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:17:35');
INSERT INTO `sys_job_log` VALUES (49808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:40');
INSERT INTO `sys_job_log` VALUES (49809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:45');
INSERT INTO `sys_job_log` VALUES (49810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:17:45');
INSERT INTO `sys_job_log` VALUES (49811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:17:50');
INSERT INTO `sys_job_log` VALUES (49812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:17:55');
INSERT INTO `sys_job_log` VALUES (49813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:18:00');
INSERT INTO `sys_job_log` VALUES (49814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:18:00');
INSERT INTO `sys_job_log` VALUES (49815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:18:05');
INSERT INTO `sys_job_log` VALUES (49816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:18:10');
INSERT INTO `sys_job_log` VALUES (49817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:18:15');
INSERT INTO `sys_job_log` VALUES (49818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:18:15');
INSERT INTO `sys_job_log` VALUES (49819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:18:20');
INSERT INTO `sys_job_log` VALUES (49820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:18:25');
INSERT INTO `sys_job_log` VALUES (49821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:18:30');
INSERT INTO `sys_job_log` VALUES (49822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 00:18:30');
INSERT INTO `sys_job_log` VALUES (49823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:18:35');
INSERT INTO `sys_job_log` VALUES (49824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:18:40');
INSERT INTO `sys_job_log` VALUES (49825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:18:45');
INSERT INTO `sys_job_log` VALUES (49826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:18:45');
INSERT INTO `sys_job_log` VALUES (49827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:18:50');
INSERT INTO `sys_job_log` VALUES (49828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:18:55');
INSERT INTO `sys_job_log` VALUES (49829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:19:00');
INSERT INTO `sys_job_log` VALUES (49830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:19:00');
INSERT INTO `sys_job_log` VALUES (49831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:19:05');
INSERT INTO `sys_job_log` VALUES (49832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:19:10');
INSERT INTO `sys_job_log` VALUES (49833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:19:15');
INSERT INTO `sys_job_log` VALUES (49834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:19:15');
INSERT INTO `sys_job_log` VALUES (49835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:19:20');
INSERT INTO `sys_job_log` VALUES (49836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:19:25');
INSERT INTO `sys_job_log` VALUES (49837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:19:30');
INSERT INTO `sys_job_log` VALUES (49838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:19:30');
INSERT INTO `sys_job_log` VALUES (49839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:19:35');
INSERT INTO `sys_job_log` VALUES (49840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:19:40');
INSERT INTO `sys_job_log` VALUES (49841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:19:45');
INSERT INTO `sys_job_log` VALUES (49842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:19:45');
INSERT INTO `sys_job_log` VALUES (49843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:19:50');
INSERT INTO `sys_job_log` VALUES (49844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:19:55');
INSERT INTO `sys_job_log` VALUES (49845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:20:00');
INSERT INTO `sys_job_log` VALUES (49846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:20:00');
INSERT INTO `sys_job_log` VALUES (49847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:20:05');
INSERT INTO `sys_job_log` VALUES (49848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:20:10');
INSERT INTO `sys_job_log` VALUES (49849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:20:15');
INSERT INTO `sys_job_log` VALUES (49850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:20:15');
INSERT INTO `sys_job_log` VALUES (49851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:20:20');
INSERT INTO `sys_job_log` VALUES (49852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:20:25');
INSERT INTO `sys_job_log` VALUES (49853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:20:30');
INSERT INTO `sys_job_log` VALUES (49854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:20:30');
INSERT INTO `sys_job_log` VALUES (49855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:20:35');
INSERT INTO `sys_job_log` VALUES (49856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:20:40');
INSERT INTO `sys_job_log` VALUES (49857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:20:45');
INSERT INTO `sys_job_log` VALUES (49858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:20:45');
INSERT INTO `sys_job_log` VALUES (49859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:20:50');
INSERT INTO `sys_job_log` VALUES (49860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:20:55');
INSERT INTO `sys_job_log` VALUES (49861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:21:00');
INSERT INTO `sys_job_log` VALUES (49862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:21:00');
INSERT INTO `sys_job_log` VALUES (49863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:21:05');
INSERT INTO `sys_job_log` VALUES (49864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:21:10');
INSERT INTO `sys_job_log` VALUES (49865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:21:15');
INSERT INTO `sys_job_log` VALUES (49866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:21:15');
INSERT INTO `sys_job_log` VALUES (49867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:21:20');
INSERT INTO `sys_job_log` VALUES (49868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:21:25');
INSERT INTO `sys_job_log` VALUES (49869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:21:30');
INSERT INTO `sys_job_log` VALUES (49870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:21:30');
INSERT INTO `sys_job_log` VALUES (49871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:21:35');
INSERT INTO `sys_job_log` VALUES (49872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:21:40');
INSERT INTO `sys_job_log` VALUES (49873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:21:45');
INSERT INTO `sys_job_log` VALUES (49874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:21:45');
INSERT INTO `sys_job_log` VALUES (49875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:21:50');
INSERT INTO `sys_job_log` VALUES (49876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:21:55');
INSERT INTO `sys_job_log` VALUES (49877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:22:00');
INSERT INTO `sys_job_log` VALUES (49878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:22:00');
INSERT INTO `sys_job_log` VALUES (49879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:22:05');
INSERT INTO `sys_job_log` VALUES (49880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:22:10');
INSERT INTO `sys_job_log` VALUES (49881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:22:15');
INSERT INTO `sys_job_log` VALUES (49882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:22:15');
INSERT INTO `sys_job_log` VALUES (49883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:22:20');
INSERT INTO `sys_job_log` VALUES (49884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:22:25');
INSERT INTO `sys_job_log` VALUES (49885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:22:30');
INSERT INTO `sys_job_log` VALUES (49886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:22:30');
INSERT INTO `sys_job_log` VALUES (49887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:22:35');
INSERT INTO `sys_job_log` VALUES (49888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:22:40');
INSERT INTO `sys_job_log` VALUES (49889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:22:45');
INSERT INTO `sys_job_log` VALUES (49890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:22:45');
INSERT INTO `sys_job_log` VALUES (49891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:22:50');
INSERT INTO `sys_job_log` VALUES (49892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:22:55');
INSERT INTO `sys_job_log` VALUES (49893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 00:23:00');
INSERT INTO `sys_job_log` VALUES (49894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 00:23:00');
INSERT INTO `sys_job_log` VALUES (49895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:23:05');
INSERT INTO `sys_job_log` VALUES (49896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:23:10');
INSERT INTO `sys_job_log` VALUES (49897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:23:15');
INSERT INTO `sys_job_log` VALUES (49898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:23:15');
INSERT INTO `sys_job_log` VALUES (49899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:23:20');
INSERT INTO `sys_job_log` VALUES (49900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:23:25');
INSERT INTO `sys_job_log` VALUES (49901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:23:30');
INSERT INTO `sys_job_log` VALUES (49902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:23:30');
INSERT INTO `sys_job_log` VALUES (49903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:23:35');
INSERT INTO `sys_job_log` VALUES (49904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:23:40');
INSERT INTO `sys_job_log` VALUES (49905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:23:45');
INSERT INTO `sys_job_log` VALUES (49906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:23:45');
INSERT INTO `sys_job_log` VALUES (49907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:23:50');
INSERT INTO `sys_job_log` VALUES (49908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:23:55');
INSERT INTO `sys_job_log` VALUES (49909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:24:00');
INSERT INTO `sys_job_log` VALUES (49910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:24:00');
INSERT INTO `sys_job_log` VALUES (49911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:24:05');
INSERT INTO `sys_job_log` VALUES (49912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:24:10');
INSERT INTO `sys_job_log` VALUES (49913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:24:15');
INSERT INTO `sys_job_log` VALUES (49914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:24:15');
INSERT INTO `sys_job_log` VALUES (49915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:24:20');
INSERT INTO `sys_job_log` VALUES (49916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:24:25');
INSERT INTO `sys_job_log` VALUES (49917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:24:30');
INSERT INTO `sys_job_log` VALUES (49918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:24:30');
INSERT INTO `sys_job_log` VALUES (49919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:24:35');
INSERT INTO `sys_job_log` VALUES (49920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:24:40');
INSERT INTO `sys_job_log` VALUES (49921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:24:45');
INSERT INTO `sys_job_log` VALUES (49922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:24:45');
INSERT INTO `sys_job_log` VALUES (49923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:24:50');
INSERT INTO `sys_job_log` VALUES (49924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:24:55');
INSERT INTO `sys_job_log` VALUES (49925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 00:25:00');
INSERT INTO `sys_job_log` VALUES (49926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 00:25:00');
INSERT INTO `sys_job_log` VALUES (49927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:25:05');
INSERT INTO `sys_job_log` VALUES (49928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:25:10');
INSERT INTO `sys_job_log` VALUES (49929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:25:15');
INSERT INTO `sys_job_log` VALUES (49930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:25:15');
INSERT INTO `sys_job_log` VALUES (49931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:25:20');
INSERT INTO `sys_job_log` VALUES (49932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:25:25');
INSERT INTO `sys_job_log` VALUES (49933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:25:30');
INSERT INTO `sys_job_log` VALUES (49934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:25:30');
INSERT INTO `sys_job_log` VALUES (49935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:25:35');
INSERT INTO `sys_job_log` VALUES (49936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:25:40');
INSERT INTO `sys_job_log` VALUES (49937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:25:45');
INSERT INTO `sys_job_log` VALUES (49938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:25:45');
INSERT INTO `sys_job_log` VALUES (49939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:25:50');
INSERT INTO `sys_job_log` VALUES (49940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:25:55');
INSERT INTO `sys_job_log` VALUES (49941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:26:00');
INSERT INTO `sys_job_log` VALUES (49942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:26:00');
INSERT INTO `sys_job_log` VALUES (49943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:26:05');
INSERT INTO `sys_job_log` VALUES (49944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:26:10');
INSERT INTO `sys_job_log` VALUES (49945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:26:15');
INSERT INTO `sys_job_log` VALUES (49946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:26:15');
INSERT INTO `sys_job_log` VALUES (49947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:26:20');
INSERT INTO `sys_job_log` VALUES (49948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:26:25');
INSERT INTO `sys_job_log` VALUES (49949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:26:30');
INSERT INTO `sys_job_log` VALUES (49950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:26:30');
INSERT INTO `sys_job_log` VALUES (49951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:26:35');
INSERT INTO `sys_job_log` VALUES (49952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:26:40');
INSERT INTO `sys_job_log` VALUES (49953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:26:45');
INSERT INTO `sys_job_log` VALUES (49954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:26:45');
INSERT INTO `sys_job_log` VALUES (49955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:26:50');
INSERT INTO `sys_job_log` VALUES (49956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:26:55');
INSERT INTO `sys_job_log` VALUES (49957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:27:00');
INSERT INTO `sys_job_log` VALUES (49958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:27:00');
INSERT INTO `sys_job_log` VALUES (49959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:27:05');
INSERT INTO `sys_job_log` VALUES (49960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:27:10');
INSERT INTO `sys_job_log` VALUES (49961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:27:15');
INSERT INTO `sys_job_log` VALUES (49962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:27:15');
INSERT INTO `sys_job_log` VALUES (49963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:27:20');
INSERT INTO `sys_job_log` VALUES (49964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:27:25');
INSERT INTO `sys_job_log` VALUES (49965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:27:30');
INSERT INTO `sys_job_log` VALUES (49966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:27:30');
INSERT INTO `sys_job_log` VALUES (49967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:27:35');
INSERT INTO `sys_job_log` VALUES (49968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:27:40');
INSERT INTO `sys_job_log` VALUES (49969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:27:45');
INSERT INTO `sys_job_log` VALUES (49970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:27:45');
INSERT INTO `sys_job_log` VALUES (49971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:27:50');
INSERT INTO `sys_job_log` VALUES (49972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:27:55');
INSERT INTO `sys_job_log` VALUES (49973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:28:00');
INSERT INTO `sys_job_log` VALUES (49974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:28:00');
INSERT INTO `sys_job_log` VALUES (49975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:28:05');
INSERT INTO `sys_job_log` VALUES (49976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:28:10');
INSERT INTO `sys_job_log` VALUES (49977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:28:15');
INSERT INTO `sys_job_log` VALUES (49978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:28:15');
INSERT INTO `sys_job_log` VALUES (49979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:28:20');
INSERT INTO `sys_job_log` VALUES (49980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:28:25');
INSERT INTO `sys_job_log` VALUES (49981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:28:30');
INSERT INTO `sys_job_log` VALUES (49982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:28:30');
INSERT INTO `sys_job_log` VALUES (49983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:28:35');
INSERT INTO `sys_job_log` VALUES (49984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:28:40');
INSERT INTO `sys_job_log` VALUES (49985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:28:45');
INSERT INTO `sys_job_log` VALUES (49986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:28:45');
INSERT INTO `sys_job_log` VALUES (49987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:28:50');
INSERT INTO `sys_job_log` VALUES (49988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:28:55');
INSERT INTO `sys_job_log` VALUES (49989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:29:00');
INSERT INTO `sys_job_log` VALUES (49990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:29:00');
INSERT INTO `sys_job_log` VALUES (49991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:29:05');
INSERT INTO `sys_job_log` VALUES (49992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:29:10');
INSERT INTO `sys_job_log` VALUES (49993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:29:15');
INSERT INTO `sys_job_log` VALUES (49994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:29:15');
INSERT INTO `sys_job_log` VALUES (49995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:29:20');
INSERT INTO `sys_job_log` VALUES (49996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:29:25');
INSERT INTO `sys_job_log` VALUES (49997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:29:30');
INSERT INTO `sys_job_log` VALUES (49998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:29:30');
INSERT INTO `sys_job_log` VALUES (49999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:29:35');
INSERT INTO `sys_job_log` VALUES (50000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:29:40');
INSERT INTO `sys_job_log` VALUES (50001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:29:45');
INSERT INTO `sys_job_log` VALUES (50002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:29:45');
INSERT INTO `sys_job_log` VALUES (50003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:29:50');
INSERT INTO `sys_job_log` VALUES (50004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:29:55');
INSERT INTO `sys_job_log` VALUES (50005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:30:00');
INSERT INTO `sys_job_log` VALUES (50006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:30:00');
INSERT INTO `sys_job_log` VALUES (50007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:30:05');
INSERT INTO `sys_job_log` VALUES (50008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:30:10');
INSERT INTO `sys_job_log` VALUES (50009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:30:15');
INSERT INTO `sys_job_log` VALUES (50010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:30:15');
INSERT INTO `sys_job_log` VALUES (50011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:30:20');
INSERT INTO `sys_job_log` VALUES (50012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:30:25');
INSERT INTO `sys_job_log` VALUES (50013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:30:30');
INSERT INTO `sys_job_log` VALUES (50014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:30:30');
INSERT INTO `sys_job_log` VALUES (50015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:30:35');
INSERT INTO `sys_job_log` VALUES (50016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:30:40');
INSERT INTO `sys_job_log` VALUES (50017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:30:45');
INSERT INTO `sys_job_log` VALUES (50018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:30:45');
INSERT INTO `sys_job_log` VALUES (50019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:30:50');
INSERT INTO `sys_job_log` VALUES (50020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:30:55');
INSERT INTO `sys_job_log` VALUES (50021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:31:00');
INSERT INTO `sys_job_log` VALUES (50022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:31:00');
INSERT INTO `sys_job_log` VALUES (50023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:31:05');
INSERT INTO `sys_job_log` VALUES (50024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:31:10');
INSERT INTO `sys_job_log` VALUES (50025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:31:15');
INSERT INTO `sys_job_log` VALUES (50026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:31:15');
INSERT INTO `sys_job_log` VALUES (50027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:31:20');
INSERT INTO `sys_job_log` VALUES (50028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:31:25');
INSERT INTO `sys_job_log` VALUES (50029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:31:30');
INSERT INTO `sys_job_log` VALUES (50030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:31:30');
INSERT INTO `sys_job_log` VALUES (50031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:31:35');
INSERT INTO `sys_job_log` VALUES (50032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:31:40');
INSERT INTO `sys_job_log` VALUES (50033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:31:45');
INSERT INTO `sys_job_log` VALUES (50034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:31:45');
INSERT INTO `sys_job_log` VALUES (50035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:31:50');
INSERT INTO `sys_job_log` VALUES (50036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:31:55');
INSERT INTO `sys_job_log` VALUES (50037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:32:00');
INSERT INTO `sys_job_log` VALUES (50038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:32:00');
INSERT INTO `sys_job_log` VALUES (50039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:32:05');
INSERT INTO `sys_job_log` VALUES (50040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:32:10');
INSERT INTO `sys_job_log` VALUES (50041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:32:15');
INSERT INTO `sys_job_log` VALUES (50042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:32:15');
INSERT INTO `sys_job_log` VALUES (50043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:32:20');
INSERT INTO `sys_job_log` VALUES (50044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:32:25');
INSERT INTO `sys_job_log` VALUES (50045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:32:30');
INSERT INTO `sys_job_log` VALUES (50046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:32:30');
INSERT INTO `sys_job_log` VALUES (50047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:32:35');
INSERT INTO `sys_job_log` VALUES (50048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:32:40');
INSERT INTO `sys_job_log` VALUES (50049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:32:45');
INSERT INTO `sys_job_log` VALUES (50050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:32:45');
INSERT INTO `sys_job_log` VALUES (50051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:32:50');
INSERT INTO `sys_job_log` VALUES (50052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:32:55');
INSERT INTO `sys_job_log` VALUES (50053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:33:00');
INSERT INTO `sys_job_log` VALUES (50054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:33:00');
INSERT INTO `sys_job_log` VALUES (50055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:33:05');
INSERT INTO `sys_job_log` VALUES (50056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:33:10');
INSERT INTO `sys_job_log` VALUES (50057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:33:15');
INSERT INTO `sys_job_log` VALUES (50058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:33:15');
INSERT INTO `sys_job_log` VALUES (50059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:33:20');
INSERT INTO `sys_job_log` VALUES (50060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:33:25');
INSERT INTO `sys_job_log` VALUES (50061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:33:30');
INSERT INTO `sys_job_log` VALUES (50062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:33:30');
INSERT INTO `sys_job_log` VALUES (50063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:33:35');
INSERT INTO `sys_job_log` VALUES (50064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:33:40');
INSERT INTO `sys_job_log` VALUES (50065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:33:45');
INSERT INTO `sys_job_log` VALUES (50066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:33:45');
INSERT INTO `sys_job_log` VALUES (50067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:33:50');
INSERT INTO `sys_job_log` VALUES (50068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:33:55');
INSERT INTO `sys_job_log` VALUES (50069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:34:00');
INSERT INTO `sys_job_log` VALUES (50070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:34:00');
INSERT INTO `sys_job_log` VALUES (50071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:34:05');
INSERT INTO `sys_job_log` VALUES (50072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:34:10');
INSERT INTO `sys_job_log` VALUES (50073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:34:15');
INSERT INTO `sys_job_log` VALUES (50074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:34:15');
INSERT INTO `sys_job_log` VALUES (50075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:34:20');
INSERT INTO `sys_job_log` VALUES (50076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:34:25');
INSERT INTO `sys_job_log` VALUES (50077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:34:30');
INSERT INTO `sys_job_log` VALUES (50078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:34:30');
INSERT INTO `sys_job_log` VALUES (50079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:34:35');
INSERT INTO `sys_job_log` VALUES (50080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:34:40');
INSERT INTO `sys_job_log` VALUES (50081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:34:45');
INSERT INTO `sys_job_log` VALUES (50082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:34:45');
INSERT INTO `sys_job_log` VALUES (50083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:34:50');
INSERT INTO `sys_job_log` VALUES (50084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:34:55');
INSERT INTO `sys_job_log` VALUES (50085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:35:00');
INSERT INTO `sys_job_log` VALUES (50086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:35:00');
INSERT INTO `sys_job_log` VALUES (50087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:35:05');
INSERT INTO `sys_job_log` VALUES (50088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:35:10');
INSERT INTO `sys_job_log` VALUES (50089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:35:15');
INSERT INTO `sys_job_log` VALUES (50090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:35:15');
INSERT INTO `sys_job_log` VALUES (50091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:35:20');
INSERT INTO `sys_job_log` VALUES (50092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:35:25');
INSERT INTO `sys_job_log` VALUES (50093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:35:30');
INSERT INTO `sys_job_log` VALUES (50094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:35:30');
INSERT INTO `sys_job_log` VALUES (50095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:35:35');
INSERT INTO `sys_job_log` VALUES (50096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:35:40');
INSERT INTO `sys_job_log` VALUES (50097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:35:45');
INSERT INTO `sys_job_log` VALUES (50098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:35:45');
INSERT INTO `sys_job_log` VALUES (50099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:35:50');
INSERT INTO `sys_job_log` VALUES (50100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:35:55');
INSERT INTO `sys_job_log` VALUES (50101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:36:00');
INSERT INTO `sys_job_log` VALUES (50102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:36:00');
INSERT INTO `sys_job_log` VALUES (50103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:36:05');
INSERT INTO `sys_job_log` VALUES (50104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:36:10');
INSERT INTO `sys_job_log` VALUES (50105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:36:15');
INSERT INTO `sys_job_log` VALUES (50106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:36:15');
INSERT INTO `sys_job_log` VALUES (50107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:36:20');
INSERT INTO `sys_job_log` VALUES (50108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:36:25');
INSERT INTO `sys_job_log` VALUES (50109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:36:30');
INSERT INTO `sys_job_log` VALUES (50110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:36:30');
INSERT INTO `sys_job_log` VALUES (50111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:36:35');
INSERT INTO `sys_job_log` VALUES (50112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:36:40');
INSERT INTO `sys_job_log` VALUES (50113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:36:45');
INSERT INTO `sys_job_log` VALUES (50114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:36:45');
INSERT INTO `sys_job_log` VALUES (50115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:36:50');
INSERT INTO `sys_job_log` VALUES (50116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:36:55');
INSERT INTO `sys_job_log` VALUES (50117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:37:00');
INSERT INTO `sys_job_log` VALUES (50118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:37:00');
INSERT INTO `sys_job_log` VALUES (50119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:37:05');
INSERT INTO `sys_job_log` VALUES (50120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:37:10');
INSERT INTO `sys_job_log` VALUES (50121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:37:15');
INSERT INTO `sys_job_log` VALUES (50122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:37:15');
INSERT INTO `sys_job_log` VALUES (50123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:37:20');
INSERT INTO `sys_job_log` VALUES (50124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:37:25');
INSERT INTO `sys_job_log` VALUES (50125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:37:30');
INSERT INTO `sys_job_log` VALUES (50126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:37:30');
INSERT INTO `sys_job_log` VALUES (50127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:37:35');
INSERT INTO `sys_job_log` VALUES (50128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:37:40');
INSERT INTO `sys_job_log` VALUES (50129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:37:45');
INSERT INTO `sys_job_log` VALUES (50130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:37:45');
INSERT INTO `sys_job_log` VALUES (50131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:37:50');
INSERT INTO `sys_job_log` VALUES (50132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:37:55');
INSERT INTO `sys_job_log` VALUES (50133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:38:00');
INSERT INTO `sys_job_log` VALUES (50134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:38:00');
INSERT INTO `sys_job_log` VALUES (50135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:38:05');
INSERT INTO `sys_job_log` VALUES (50136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:38:10');
INSERT INTO `sys_job_log` VALUES (50137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:38:15');
INSERT INTO `sys_job_log` VALUES (50138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:38:15');
INSERT INTO `sys_job_log` VALUES (50139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:38:20');
INSERT INTO `sys_job_log` VALUES (50140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:38:25');
INSERT INTO `sys_job_log` VALUES (50141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:38:30');
INSERT INTO `sys_job_log` VALUES (50142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:38:30');
INSERT INTO `sys_job_log` VALUES (50143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:38:35');
INSERT INTO `sys_job_log` VALUES (50144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:38:40');
INSERT INTO `sys_job_log` VALUES (50145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:38:45');
INSERT INTO `sys_job_log` VALUES (50146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:38:45');
INSERT INTO `sys_job_log` VALUES (50147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:38:50');
INSERT INTO `sys_job_log` VALUES (50148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:38:55');
INSERT INTO `sys_job_log` VALUES (50149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:39:00');
INSERT INTO `sys_job_log` VALUES (50150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:39:00');
INSERT INTO `sys_job_log` VALUES (50151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:39:05');
INSERT INTO `sys_job_log` VALUES (50152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:39:10');
INSERT INTO `sys_job_log` VALUES (50153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:39:15');
INSERT INTO `sys_job_log` VALUES (50154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:39:15');
INSERT INTO `sys_job_log` VALUES (50155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:39:20');
INSERT INTO `sys_job_log` VALUES (50156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:39:25');
INSERT INTO `sys_job_log` VALUES (50157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 00:39:30');
INSERT INTO `sys_job_log` VALUES (50158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 00:39:30');
INSERT INTO `sys_job_log` VALUES (50159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:39:35');
INSERT INTO `sys_job_log` VALUES (50160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:39:40');
INSERT INTO `sys_job_log` VALUES (50161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:39:45');
INSERT INTO `sys_job_log` VALUES (50162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:39:45');
INSERT INTO `sys_job_log` VALUES (50163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:39:50');
INSERT INTO `sys_job_log` VALUES (50164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:39:55');
INSERT INTO `sys_job_log` VALUES (50165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 00:40:00');
INSERT INTO `sys_job_log` VALUES (50166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 00:40:00');
INSERT INTO `sys_job_log` VALUES (50167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:40:05');
INSERT INTO `sys_job_log` VALUES (50168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:40:10');
INSERT INTO `sys_job_log` VALUES (50169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:40:15');
INSERT INTO `sys_job_log` VALUES (50170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:40:15');
INSERT INTO `sys_job_log` VALUES (50171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:40:20');
INSERT INTO `sys_job_log` VALUES (50172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:40:25');
INSERT INTO `sys_job_log` VALUES (50173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:40:30');
INSERT INTO `sys_job_log` VALUES (50174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:40:30');
INSERT INTO `sys_job_log` VALUES (50175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:40:35');
INSERT INTO `sys_job_log` VALUES (50176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:40:40');
INSERT INTO `sys_job_log` VALUES (50177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:40:45');
INSERT INTO `sys_job_log` VALUES (50178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:40:45');
INSERT INTO `sys_job_log` VALUES (50179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:40:50');
INSERT INTO `sys_job_log` VALUES (50180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:40:55');
INSERT INTO `sys_job_log` VALUES (50181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:41:00');
INSERT INTO `sys_job_log` VALUES (50182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:41:00');
INSERT INTO `sys_job_log` VALUES (50183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:41:05');
INSERT INTO `sys_job_log` VALUES (50184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:41:10');
INSERT INTO `sys_job_log` VALUES (50185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:41:15');
INSERT INTO `sys_job_log` VALUES (50186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:41:15');
INSERT INTO `sys_job_log` VALUES (50187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:41:20');
INSERT INTO `sys_job_log` VALUES (50188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:41:25');
INSERT INTO `sys_job_log` VALUES (50189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:41:30');
INSERT INTO `sys_job_log` VALUES (50190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:41:30');
INSERT INTO `sys_job_log` VALUES (50191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:41:35');
INSERT INTO `sys_job_log` VALUES (50192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:41:40');
INSERT INTO `sys_job_log` VALUES (50193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:41:45');
INSERT INTO `sys_job_log` VALUES (50194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:41:45');
INSERT INTO `sys_job_log` VALUES (50195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:41:50');
INSERT INTO `sys_job_log` VALUES (50196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:41:55');
INSERT INTO `sys_job_log` VALUES (50197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:42:00');
INSERT INTO `sys_job_log` VALUES (50198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:42:00');
INSERT INTO `sys_job_log` VALUES (50199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:42:05');
INSERT INTO `sys_job_log` VALUES (50200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:42:10');
INSERT INTO `sys_job_log` VALUES (50201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:42:15');
INSERT INTO `sys_job_log` VALUES (50202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:42:15');
INSERT INTO `sys_job_log` VALUES (50203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:42:20');
INSERT INTO `sys_job_log` VALUES (50204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:42:25');
INSERT INTO `sys_job_log` VALUES (50205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:42:30');
INSERT INTO `sys_job_log` VALUES (50206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:42:30');
INSERT INTO `sys_job_log` VALUES (50207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:42:35');
INSERT INTO `sys_job_log` VALUES (50208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:42:40');
INSERT INTO `sys_job_log` VALUES (50209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:42:45');
INSERT INTO `sys_job_log` VALUES (50210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:42:45');
INSERT INTO `sys_job_log` VALUES (50211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:42:50');
INSERT INTO `sys_job_log` VALUES (50212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:42:55');
INSERT INTO `sys_job_log` VALUES (50213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:43:00');
INSERT INTO `sys_job_log` VALUES (50214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:43:00');
INSERT INTO `sys_job_log` VALUES (50215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:43:05');
INSERT INTO `sys_job_log` VALUES (50216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:43:10');
INSERT INTO `sys_job_log` VALUES (50217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:43:15');
INSERT INTO `sys_job_log` VALUES (50218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:43:15');
INSERT INTO `sys_job_log` VALUES (50219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:43:20');
INSERT INTO `sys_job_log` VALUES (50220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:43:25');
INSERT INTO `sys_job_log` VALUES (50221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:43:30');
INSERT INTO `sys_job_log` VALUES (50222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:43:30');
INSERT INTO `sys_job_log` VALUES (50223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:43:35');
INSERT INTO `sys_job_log` VALUES (50224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:43:40');
INSERT INTO `sys_job_log` VALUES (50225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:43:45');
INSERT INTO `sys_job_log` VALUES (50226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:43:45');
INSERT INTO `sys_job_log` VALUES (50227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:43:50');
INSERT INTO `sys_job_log` VALUES (50228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:43:55');
INSERT INTO `sys_job_log` VALUES (50229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:44:00');
INSERT INTO `sys_job_log` VALUES (50230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:44:00');
INSERT INTO `sys_job_log` VALUES (50231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:44:05');
INSERT INTO `sys_job_log` VALUES (50232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:44:10');
INSERT INTO `sys_job_log` VALUES (50233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:44:15');
INSERT INTO `sys_job_log` VALUES (50234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:44:15');
INSERT INTO `sys_job_log` VALUES (50235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:44:20');
INSERT INTO `sys_job_log` VALUES (50236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:44:25');
INSERT INTO `sys_job_log` VALUES (50237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:44:30');
INSERT INTO `sys_job_log` VALUES (50238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:44:30');
INSERT INTO `sys_job_log` VALUES (50239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 00:44:35');
INSERT INTO `sys_job_log` VALUES (50240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:44:40');
INSERT INTO `sys_job_log` VALUES (50241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:44:45');
INSERT INTO `sys_job_log` VALUES (50242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:44:45');
INSERT INTO `sys_job_log` VALUES (50243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:44:50');
INSERT INTO `sys_job_log` VALUES (50244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:44:55');
INSERT INTO `sys_job_log` VALUES (50245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:45:00');
INSERT INTO `sys_job_log` VALUES (50246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:45:00');
INSERT INTO `sys_job_log` VALUES (50247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:45:05');
INSERT INTO `sys_job_log` VALUES (50248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:45:10');
INSERT INTO `sys_job_log` VALUES (50249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:45:15');
INSERT INTO `sys_job_log` VALUES (50250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:45:15');
INSERT INTO `sys_job_log` VALUES (50251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:45:20');
INSERT INTO `sys_job_log` VALUES (50252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:45:25');
INSERT INTO `sys_job_log` VALUES (50253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:45:30');
INSERT INTO `sys_job_log` VALUES (50254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:45:30');
INSERT INTO `sys_job_log` VALUES (50255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:45:35');
INSERT INTO `sys_job_log` VALUES (50256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:45:40');
INSERT INTO `sys_job_log` VALUES (50257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:45:45');
INSERT INTO `sys_job_log` VALUES (50258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:45:45');
INSERT INTO `sys_job_log` VALUES (50259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:45:50');
INSERT INTO `sys_job_log` VALUES (50260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:45:55');
INSERT INTO `sys_job_log` VALUES (50261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:46:00');
INSERT INTO `sys_job_log` VALUES (50262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:46:00');
INSERT INTO `sys_job_log` VALUES (50263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:46:05');
INSERT INTO `sys_job_log` VALUES (50264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:46:10');
INSERT INTO `sys_job_log` VALUES (50265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:46:15');
INSERT INTO `sys_job_log` VALUES (50266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:46:15');
INSERT INTO `sys_job_log` VALUES (50267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:46:20');
INSERT INTO `sys_job_log` VALUES (50268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:46:25');
INSERT INTO `sys_job_log` VALUES (50269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:46:30');
INSERT INTO `sys_job_log` VALUES (50270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:46:30');
INSERT INTO `sys_job_log` VALUES (50271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:46:35');
INSERT INTO `sys_job_log` VALUES (50272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:46:40');
INSERT INTO `sys_job_log` VALUES (50273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:46:45');
INSERT INTO `sys_job_log` VALUES (50274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:46:45');
INSERT INTO `sys_job_log` VALUES (50275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:46:50');
INSERT INTO `sys_job_log` VALUES (50276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 00:46:55');
INSERT INTO `sys_job_log` VALUES (50277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:47:00');
INSERT INTO `sys_job_log` VALUES (50278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:47:00');
INSERT INTO `sys_job_log` VALUES (50279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:47:05');
INSERT INTO `sys_job_log` VALUES (50280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:47:10');
INSERT INTO `sys_job_log` VALUES (50281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:47:15');
INSERT INTO `sys_job_log` VALUES (50282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:47:15');
INSERT INTO `sys_job_log` VALUES (50283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:47:20');
INSERT INTO `sys_job_log` VALUES (50284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:47:25');
INSERT INTO `sys_job_log` VALUES (50285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:47:30');
INSERT INTO `sys_job_log` VALUES (50286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:47:30');
INSERT INTO `sys_job_log` VALUES (50287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:47:35');
INSERT INTO `sys_job_log` VALUES (50288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:47:40');
INSERT INTO `sys_job_log` VALUES (50289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:47:45');
INSERT INTO `sys_job_log` VALUES (50290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:47:45');
INSERT INTO `sys_job_log` VALUES (50291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:47:50');
INSERT INTO `sys_job_log` VALUES (50292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:47:55');
INSERT INTO `sys_job_log` VALUES (50293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:48:00');
INSERT INTO `sys_job_log` VALUES (50294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:48:00');
INSERT INTO `sys_job_log` VALUES (50295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:48:05');
INSERT INTO `sys_job_log` VALUES (50296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:48:10');
INSERT INTO `sys_job_log` VALUES (50297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:48:15');
INSERT INTO `sys_job_log` VALUES (50298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:48:15');
INSERT INTO `sys_job_log` VALUES (50299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:48:20');
INSERT INTO `sys_job_log` VALUES (50300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:48:25');
INSERT INTO `sys_job_log` VALUES (50301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:48:30');
INSERT INTO `sys_job_log` VALUES (50302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:48:30');
INSERT INTO `sys_job_log` VALUES (50303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:48:35');
INSERT INTO `sys_job_log` VALUES (50304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:48:40');
INSERT INTO `sys_job_log` VALUES (50305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:48:45');
INSERT INTO `sys_job_log` VALUES (50306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:48:45');
INSERT INTO `sys_job_log` VALUES (50307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:48:50');
INSERT INTO `sys_job_log` VALUES (50308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:48:55');
INSERT INTO `sys_job_log` VALUES (50309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:49:00');
INSERT INTO `sys_job_log` VALUES (50310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:49:00');
INSERT INTO `sys_job_log` VALUES (50311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:49:05');
INSERT INTO `sys_job_log` VALUES (50312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:49:10');
INSERT INTO `sys_job_log` VALUES (50313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:49:15');
INSERT INTO `sys_job_log` VALUES (50314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:49:15');
INSERT INTO `sys_job_log` VALUES (50315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:49:20');
INSERT INTO `sys_job_log` VALUES (50316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:49:25');
INSERT INTO `sys_job_log` VALUES (50317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:49:30');
INSERT INTO `sys_job_log` VALUES (50318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:49:30');
INSERT INTO `sys_job_log` VALUES (50319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:49:35');
INSERT INTO `sys_job_log` VALUES (50320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:49:40');
INSERT INTO `sys_job_log` VALUES (50321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:49:45');
INSERT INTO `sys_job_log` VALUES (50322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:49:45');
INSERT INTO `sys_job_log` VALUES (50323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 00:49:50');
INSERT INTO `sys_job_log` VALUES (50324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:49:55');
INSERT INTO `sys_job_log` VALUES (50325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:50:00');
INSERT INTO `sys_job_log` VALUES (50326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:50:00');
INSERT INTO `sys_job_log` VALUES (50327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:50:05');
INSERT INTO `sys_job_log` VALUES (50328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:50:10');
INSERT INTO `sys_job_log` VALUES (50329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:50:15');
INSERT INTO `sys_job_log` VALUES (50330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:50:15');
INSERT INTO `sys_job_log` VALUES (50331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:50:20');
INSERT INTO `sys_job_log` VALUES (50332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 00:50:25');
INSERT INTO `sys_job_log` VALUES (50333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:50:30');
INSERT INTO `sys_job_log` VALUES (50334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:50:30');
INSERT INTO `sys_job_log` VALUES (50335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:50:35');
INSERT INTO `sys_job_log` VALUES (50336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:50:40');
INSERT INTO `sys_job_log` VALUES (50337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:50:45');
INSERT INTO `sys_job_log` VALUES (50338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:50:45');
INSERT INTO `sys_job_log` VALUES (50339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:50:50');
INSERT INTO `sys_job_log` VALUES (50340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:50:55');
INSERT INTO `sys_job_log` VALUES (50341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:51:00');
INSERT INTO `sys_job_log` VALUES (50342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:51:00');
INSERT INTO `sys_job_log` VALUES (50343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:51:05');
INSERT INTO `sys_job_log` VALUES (50344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:51:10');
INSERT INTO `sys_job_log` VALUES (50345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:51:15');
INSERT INTO `sys_job_log` VALUES (50346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:51:15');
INSERT INTO `sys_job_log` VALUES (50347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:51:20');
INSERT INTO `sys_job_log` VALUES (50348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:51:25');
INSERT INTO `sys_job_log` VALUES (50349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:51:30');
INSERT INTO `sys_job_log` VALUES (50350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:51:30');
INSERT INTO `sys_job_log` VALUES (50351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:51:35');
INSERT INTO `sys_job_log` VALUES (50352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:51:40');
INSERT INTO `sys_job_log` VALUES (50353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:51:45');
INSERT INTO `sys_job_log` VALUES (50354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:51:45');
INSERT INTO `sys_job_log` VALUES (50355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:51:50');
INSERT INTO `sys_job_log` VALUES (50356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:51:55');
INSERT INTO `sys_job_log` VALUES (50357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 00:52:00');
INSERT INTO `sys_job_log` VALUES (50358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 00:52:00');
INSERT INTO `sys_job_log` VALUES (50359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:52:05');
INSERT INTO `sys_job_log` VALUES (50360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:52:10');
INSERT INTO `sys_job_log` VALUES (50361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:52:15');
INSERT INTO `sys_job_log` VALUES (50362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:52:15');
INSERT INTO `sys_job_log` VALUES (50363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:52:20');
INSERT INTO `sys_job_log` VALUES (50364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:52:25');
INSERT INTO `sys_job_log` VALUES (50365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:52:30');
INSERT INTO `sys_job_log` VALUES (50366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 00:52:30');
INSERT INTO `sys_job_log` VALUES (50367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:52:35');
INSERT INTO `sys_job_log` VALUES (50368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:52:40');
INSERT INTO `sys_job_log` VALUES (50369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:52:45');
INSERT INTO `sys_job_log` VALUES (50370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:52:45');
INSERT INTO `sys_job_log` VALUES (50371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:52:50');
INSERT INTO `sys_job_log` VALUES (50372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:52:55');
INSERT INTO `sys_job_log` VALUES (50373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:53:00');
INSERT INTO `sys_job_log` VALUES (50374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:53:00');
INSERT INTO `sys_job_log` VALUES (50375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3211毫秒', '0', '', '2025-01-02 00:53:08');
INSERT INTO `sys_job_log` VALUES (50376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:53:10');
INSERT INTO `sys_job_log` VALUES (50377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:53:15');
INSERT INTO `sys_job_log` VALUES (50378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:53:15');
INSERT INTO `sys_job_log` VALUES (50379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:53:20');
INSERT INTO `sys_job_log` VALUES (50380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:53:25');
INSERT INTO `sys_job_log` VALUES (50381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:53:30');
INSERT INTO `sys_job_log` VALUES (50382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:53:30');
INSERT INTO `sys_job_log` VALUES (50383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:53:35');
INSERT INTO `sys_job_log` VALUES (50384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:53:40');
INSERT INTO `sys_job_log` VALUES (50385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:53:45');
INSERT INTO `sys_job_log` VALUES (50386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:53:45');
INSERT INTO `sys_job_log` VALUES (50387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:53:50');
INSERT INTO `sys_job_log` VALUES (50388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:53:55');
INSERT INTO `sys_job_log` VALUES (50389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:54:00');
INSERT INTO `sys_job_log` VALUES (50390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:54:00');
INSERT INTO `sys_job_log` VALUES (50391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:54:05');
INSERT INTO `sys_job_log` VALUES (50392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:54:10');
INSERT INTO `sys_job_log` VALUES (50393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:54:15');
INSERT INTO `sys_job_log` VALUES (50394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:54:15');
INSERT INTO `sys_job_log` VALUES (50395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:54:20');
INSERT INTO `sys_job_log` VALUES (50396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:54:25');
INSERT INTO `sys_job_log` VALUES (50397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:54:30');
INSERT INTO `sys_job_log` VALUES (50398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:54:30');
INSERT INTO `sys_job_log` VALUES (50399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:54:35');
INSERT INTO `sys_job_log` VALUES (50400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:54:40');
INSERT INTO `sys_job_log` VALUES (50401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:54:45');
INSERT INTO `sys_job_log` VALUES (50402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:54:45');
INSERT INTO `sys_job_log` VALUES (50403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:54:50');
INSERT INTO `sys_job_log` VALUES (50404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:54:55');
INSERT INTO `sys_job_log` VALUES (50405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:55:00');
INSERT INTO `sys_job_log` VALUES (50406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:55:00');
INSERT INTO `sys_job_log` VALUES (50407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:55:05');
INSERT INTO `sys_job_log` VALUES (50408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:55:10');
INSERT INTO `sys_job_log` VALUES (50409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:55:15');
INSERT INTO `sys_job_log` VALUES (50410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:55:15');
INSERT INTO `sys_job_log` VALUES (50411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:55:20');
INSERT INTO `sys_job_log` VALUES (50412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:55:25');
INSERT INTO `sys_job_log` VALUES (50413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:55:30');
INSERT INTO `sys_job_log` VALUES (50414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:55:30');
INSERT INTO `sys_job_log` VALUES (50415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:55:35');
INSERT INTO `sys_job_log` VALUES (50416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:55:40');
INSERT INTO `sys_job_log` VALUES (50417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:55:45');
INSERT INTO `sys_job_log` VALUES (50418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:55:45');
INSERT INTO `sys_job_log` VALUES (50419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:55:50');
INSERT INTO `sys_job_log` VALUES (50420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:55:55');
INSERT INTO `sys_job_log` VALUES (50421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:56:00');
INSERT INTO `sys_job_log` VALUES (50422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:56:00');
INSERT INTO `sys_job_log` VALUES (50423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:56:05');
INSERT INTO `sys_job_log` VALUES (50424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:56:10');
INSERT INTO `sys_job_log` VALUES (50425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:56:15');
INSERT INTO `sys_job_log` VALUES (50426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:56:15');
INSERT INTO `sys_job_log` VALUES (50427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:56:20');
INSERT INTO `sys_job_log` VALUES (50428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:56:25');
INSERT INTO `sys_job_log` VALUES (50429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:56:30');
INSERT INTO `sys_job_log` VALUES (50430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:56:30');
INSERT INTO `sys_job_log` VALUES (50431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:56:35');
INSERT INTO `sys_job_log` VALUES (50432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:56:40');
INSERT INTO `sys_job_log` VALUES (50433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:56:45');
INSERT INTO `sys_job_log` VALUES (50434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:56:45');
INSERT INTO `sys_job_log` VALUES (50435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:56:50');
INSERT INTO `sys_job_log` VALUES (50436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:56:55');
INSERT INTO `sys_job_log` VALUES (50437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:57:00');
INSERT INTO `sys_job_log` VALUES (50438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 00:57:00');
INSERT INTO `sys_job_log` VALUES (50439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:57:05');
INSERT INTO `sys_job_log` VALUES (50440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 00:57:10');
INSERT INTO `sys_job_log` VALUES (50441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:57:15');
INSERT INTO `sys_job_log` VALUES (50442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:57:15');
INSERT INTO `sys_job_log` VALUES (50443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:57:20');
INSERT INTO `sys_job_log` VALUES (50444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:57:25');
INSERT INTO `sys_job_log` VALUES (50445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:57:30');
INSERT INTO `sys_job_log` VALUES (50446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:57:30');
INSERT INTO `sys_job_log` VALUES (50447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 00:57:35');
INSERT INTO `sys_job_log` VALUES (50448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:57:40');
INSERT INTO `sys_job_log` VALUES (50449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:57:45');
INSERT INTO `sys_job_log` VALUES (50450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:57:45');
INSERT INTO `sys_job_log` VALUES (50451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:57:50');
INSERT INTO `sys_job_log` VALUES (50452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:57:55');
INSERT INTO `sys_job_log` VALUES (50453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:58:00');
INSERT INTO `sys_job_log` VALUES (50454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:58:00');
INSERT INTO `sys_job_log` VALUES (50455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:58:05');
INSERT INTO `sys_job_log` VALUES (50456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:58:10');
INSERT INTO `sys_job_log` VALUES (50457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 00:58:15');
INSERT INTO `sys_job_log` VALUES (50458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:58:15');
INSERT INTO `sys_job_log` VALUES (50459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:58:20');
INSERT INTO `sys_job_log` VALUES (50460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:58:25');
INSERT INTO `sys_job_log` VALUES (50461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 00:58:30');
INSERT INTO `sys_job_log` VALUES (50462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 00:58:30');
INSERT INTO `sys_job_log` VALUES (50463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:58:35');
INSERT INTO `sys_job_log` VALUES (50464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:58:40');
INSERT INTO `sys_job_log` VALUES (50465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:58:45');
INSERT INTO `sys_job_log` VALUES (50466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:58:45');
INSERT INTO `sys_job_log` VALUES (50467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:58:50');
INSERT INTO `sys_job_log` VALUES (50468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:58:55');
INSERT INTO `sys_job_log` VALUES (50469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 00:59:00');
INSERT INTO `sys_job_log` VALUES (50470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:59:00');
INSERT INTO `sys_job_log` VALUES (50471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:59:05');
INSERT INTO `sys_job_log` VALUES (50472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:59:10');
INSERT INTO `sys_job_log` VALUES (50473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:59:15');
INSERT INTO `sys_job_log` VALUES (50474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 00:59:15');
INSERT INTO `sys_job_log` VALUES (50475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:59:20');
INSERT INTO `sys_job_log` VALUES (50476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:59:25');
INSERT INTO `sys_job_log` VALUES (50477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 00:59:30');
INSERT INTO `sys_job_log` VALUES (50478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:59:30');
INSERT INTO `sys_job_log` VALUES (50479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 00:59:35');
INSERT INTO `sys_job_log` VALUES (50480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 00:59:40');
INSERT INTO `sys_job_log` VALUES (50481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 00:59:45');
INSERT INTO `sys_job_log` VALUES (50482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 00:59:45');
INSERT INTO `sys_job_log` VALUES (50483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 00:59:50');
INSERT INTO `sys_job_log` VALUES (50484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 00:59:55');
INSERT INTO `sys_job_log` VALUES (50485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 01:00:00');
INSERT INTO `sys_job_log` VALUES (50486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:00:00');
INSERT INTO `sys_job_log` VALUES (50487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:00:05');
INSERT INTO `sys_job_log` VALUES (50488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:00:10');
INSERT INTO `sys_job_log` VALUES (50489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 01:00:15');
INSERT INTO `sys_job_log` VALUES (50490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:00:15');
INSERT INTO `sys_job_log` VALUES (50491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:00:20');
INSERT INTO `sys_job_log` VALUES (50492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:00:25');
INSERT INTO `sys_job_log` VALUES (50493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:00:30');
INSERT INTO `sys_job_log` VALUES (50494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:00:30');
INSERT INTO `sys_job_log` VALUES (50495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:00:35');
INSERT INTO `sys_job_log` VALUES (50496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:00:40');
INSERT INTO `sys_job_log` VALUES (50497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:00:45');
INSERT INTO `sys_job_log` VALUES (50498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:00:45');
INSERT INTO `sys_job_log` VALUES (50499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:00:50');
INSERT INTO `sys_job_log` VALUES (50500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:00:55');
INSERT INTO `sys_job_log` VALUES (50501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:01:00');
INSERT INTO `sys_job_log` VALUES (50502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:01:00');
INSERT INTO `sys_job_log` VALUES (50503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:01:05');
INSERT INTO `sys_job_log` VALUES (50504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:01:10');
INSERT INTO `sys_job_log` VALUES (50505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:01:15');
INSERT INTO `sys_job_log` VALUES (50506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:01:15');
INSERT INTO `sys_job_log` VALUES (50507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:01:20');
INSERT INTO `sys_job_log` VALUES (50508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:01:25');
INSERT INTO `sys_job_log` VALUES (50509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:01:30');
INSERT INTO `sys_job_log` VALUES (50510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:01:30');
INSERT INTO `sys_job_log` VALUES (50511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:01:35');
INSERT INTO `sys_job_log` VALUES (50512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:01:40');
INSERT INTO `sys_job_log` VALUES (50513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:01:45');
INSERT INTO `sys_job_log` VALUES (50514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:01:45');
INSERT INTO `sys_job_log` VALUES (50515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:01:50');
INSERT INTO `sys_job_log` VALUES (50516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:01:55');
INSERT INTO `sys_job_log` VALUES (50517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:02:00');
INSERT INTO `sys_job_log` VALUES (50518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:02:00');
INSERT INTO `sys_job_log` VALUES (50519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:05');
INSERT INTO `sys_job_log` VALUES (50520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:02:10');
INSERT INTO `sys_job_log` VALUES (50521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:15');
INSERT INTO `sys_job_log` VALUES (50522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:15');
INSERT INTO `sys_job_log` VALUES (50523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:20');
INSERT INTO `sys_job_log` VALUES (50524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:02:25');
INSERT INTO `sys_job_log` VALUES (50525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:02:30');
INSERT INTO `sys_job_log` VALUES (50526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:30');
INSERT INTO `sys_job_log` VALUES (50527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:02:35');
INSERT INTO `sys_job_log` VALUES (50528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:40');
INSERT INTO `sys_job_log` VALUES (50529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:02:45');
INSERT INTO `sys_job_log` VALUES (50530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:02:45');
INSERT INTO `sys_job_log` VALUES (50531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:02:50');
INSERT INTO `sys_job_log` VALUES (50532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:02:55');
INSERT INTO `sys_job_log` VALUES (50533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:03:00');
INSERT INTO `sys_job_log` VALUES (50534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:03:00');
INSERT INTO `sys_job_log` VALUES (50535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:05');
INSERT INTO `sys_job_log` VALUES (50536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:03:10');
INSERT INTO `sys_job_log` VALUES (50537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:15');
INSERT INTO `sys_job_log` VALUES (50538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:15');
INSERT INTO `sys_job_log` VALUES (50539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:03:20');
INSERT INTO `sys_job_log` VALUES (50540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:03:25');
INSERT INTO `sys_job_log` VALUES (50541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:03:30');
INSERT INTO `sys_job_log` VALUES (50542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:03:30');
INSERT INTO `sys_job_log` VALUES (50543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:35');
INSERT INTO `sys_job_log` VALUES (50544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:40');
INSERT INTO `sys_job_log` VALUES (50545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:45');
INSERT INTO `sys_job_log` VALUES (50546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:03:45');
INSERT INTO `sys_job_log` VALUES (50547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:03:50');
INSERT INTO `sys_job_log` VALUES (50548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:03:55');
INSERT INTO `sys_job_log` VALUES (50549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:04:00');
INSERT INTO `sys_job_log` VALUES (50550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:04:00');
INSERT INTO `sys_job_log` VALUES (50551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:04:05');
INSERT INTO `sys_job_log` VALUES (50552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:04:10');
INSERT INTO `sys_job_log` VALUES (50553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:04:15');
INSERT INTO `sys_job_log` VALUES (50554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 01:04:15');
INSERT INTO `sys_job_log` VALUES (50555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:04:20');
INSERT INTO `sys_job_log` VALUES (50556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:04:25');
INSERT INTO `sys_job_log` VALUES (50557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:04:30');
INSERT INTO `sys_job_log` VALUES (50558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:04:30');
INSERT INTO `sys_job_log` VALUES (50559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:04:35');
INSERT INTO `sys_job_log` VALUES (50560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:04:40');
INSERT INTO `sys_job_log` VALUES (50561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:04:45');
INSERT INTO `sys_job_log` VALUES (50562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:04:45');
INSERT INTO `sys_job_log` VALUES (50563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:04:50');
INSERT INTO `sys_job_log` VALUES (50564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:04:55');
INSERT INTO `sys_job_log` VALUES (50565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:05:00');
INSERT INTO `sys_job_log` VALUES (50566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:05:00');
INSERT INTO `sys_job_log` VALUES (50567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:05:05');
INSERT INTO `sys_job_log` VALUES (50568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:05:10');
INSERT INTO `sys_job_log` VALUES (50569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:05:15');
INSERT INTO `sys_job_log` VALUES (50570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:05:15');
INSERT INTO `sys_job_log` VALUES (50571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:05:20');
INSERT INTO `sys_job_log` VALUES (50572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:05:25');
INSERT INTO `sys_job_log` VALUES (50573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:05:30');
INSERT INTO `sys_job_log` VALUES (50574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:05:30');
INSERT INTO `sys_job_log` VALUES (50575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:05:35');
INSERT INTO `sys_job_log` VALUES (50576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:05:40');
INSERT INTO `sys_job_log` VALUES (50577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:05:45');
INSERT INTO `sys_job_log` VALUES (50578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:05:45');
INSERT INTO `sys_job_log` VALUES (50579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:05:50');
INSERT INTO `sys_job_log` VALUES (50580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:05:55');
INSERT INTO `sys_job_log` VALUES (50581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:06:00');
INSERT INTO `sys_job_log` VALUES (50582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:06:00');
INSERT INTO `sys_job_log` VALUES (50583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:06:05');
INSERT INTO `sys_job_log` VALUES (50584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:06:10');
INSERT INTO `sys_job_log` VALUES (50585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:06:15');
INSERT INTO `sys_job_log` VALUES (50586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:06:15');
INSERT INTO `sys_job_log` VALUES (50587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:06:20');
INSERT INTO `sys_job_log` VALUES (50588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:06:25');
INSERT INTO `sys_job_log` VALUES (50589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:06:30');
INSERT INTO `sys_job_log` VALUES (50590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:06:30');
INSERT INTO `sys_job_log` VALUES (50591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:06:35');
INSERT INTO `sys_job_log` VALUES (50592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:06:40');
INSERT INTO `sys_job_log` VALUES (50593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:06:45');
INSERT INTO `sys_job_log` VALUES (50594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:06:45');
INSERT INTO `sys_job_log` VALUES (50595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:06:50');
INSERT INTO `sys_job_log` VALUES (50596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:06:55');
INSERT INTO `sys_job_log` VALUES (50597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 01:07:00');
INSERT INTO `sys_job_log` VALUES (50598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:07:00');
INSERT INTO `sys_job_log` VALUES (50599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:07:05');
INSERT INTO `sys_job_log` VALUES (50600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:07:10');
INSERT INTO `sys_job_log` VALUES (50601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:07:15');
INSERT INTO `sys_job_log` VALUES (50602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:07:15');
INSERT INTO `sys_job_log` VALUES (50603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:07:20');
INSERT INTO `sys_job_log` VALUES (50604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:07:25');
INSERT INTO `sys_job_log` VALUES (50605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:07:30');
INSERT INTO `sys_job_log` VALUES (50606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:07:30');
INSERT INTO `sys_job_log` VALUES (50607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:07:35');
INSERT INTO `sys_job_log` VALUES (50608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:07:40');
INSERT INTO `sys_job_log` VALUES (50609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 01:07:45');
INSERT INTO `sys_job_log` VALUES (50610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:07:45');
INSERT INTO `sys_job_log` VALUES (50611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:07:50');
INSERT INTO `sys_job_log` VALUES (50612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:07:55');
INSERT INTO `sys_job_log` VALUES (50613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:08:00');
INSERT INTO `sys_job_log` VALUES (50614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:08:00');
INSERT INTO `sys_job_log` VALUES (50615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:08:05');
INSERT INTO `sys_job_log` VALUES (50616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:08:10');
INSERT INTO `sys_job_log` VALUES (50617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:08:15');
INSERT INTO `sys_job_log` VALUES (50618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:08:15');
INSERT INTO `sys_job_log` VALUES (50619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:08:20');
INSERT INTO `sys_job_log` VALUES (50620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:08:25');
INSERT INTO `sys_job_log` VALUES (50621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:08:30');
INSERT INTO `sys_job_log` VALUES (50622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:08:30');
INSERT INTO `sys_job_log` VALUES (50623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:08:35');
INSERT INTO `sys_job_log` VALUES (50624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:08:40');
INSERT INTO `sys_job_log` VALUES (50625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:08:45');
INSERT INTO `sys_job_log` VALUES (50626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:08:45');
INSERT INTO `sys_job_log` VALUES (50627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:08:50');
INSERT INTO `sys_job_log` VALUES (50628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:08:55');
INSERT INTO `sys_job_log` VALUES (50629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:09:00');
INSERT INTO `sys_job_log` VALUES (50630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:09:00');
INSERT INTO `sys_job_log` VALUES (50631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:09:05');
INSERT INTO `sys_job_log` VALUES (50632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:09:10');
INSERT INTO `sys_job_log` VALUES (50633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 01:09:15');
INSERT INTO `sys_job_log` VALUES (50634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:09:15');
INSERT INTO `sys_job_log` VALUES (50635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:09:20');
INSERT INTO `sys_job_log` VALUES (50636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:09:25');
INSERT INTO `sys_job_log` VALUES (50637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:09:30');
INSERT INTO `sys_job_log` VALUES (50638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 01:09:30');
INSERT INTO `sys_job_log` VALUES (50639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:09:35');
INSERT INTO `sys_job_log` VALUES (50640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:09:40');
INSERT INTO `sys_job_log` VALUES (50641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:09:45');
INSERT INTO `sys_job_log` VALUES (50642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:09:45');
INSERT INTO `sys_job_log` VALUES (50643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:09:50');
INSERT INTO `sys_job_log` VALUES (50644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:09:55');
INSERT INTO `sys_job_log` VALUES (50645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:10:00');
INSERT INTO `sys_job_log` VALUES (50646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:10:00');
INSERT INTO `sys_job_log` VALUES (50647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:10:05');
INSERT INTO `sys_job_log` VALUES (50648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:10:10');
INSERT INTO `sys_job_log` VALUES (50649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:10:15');
INSERT INTO `sys_job_log` VALUES (50650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:10:15');
INSERT INTO `sys_job_log` VALUES (50651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:10:20');
INSERT INTO `sys_job_log` VALUES (50652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:10:25');
INSERT INTO `sys_job_log` VALUES (50653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:10:30');
INSERT INTO `sys_job_log` VALUES (50654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:10:30');
INSERT INTO `sys_job_log` VALUES (50655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:10:35');
INSERT INTO `sys_job_log` VALUES (50656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:10:40');
INSERT INTO `sys_job_log` VALUES (50657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:10:45');
INSERT INTO `sys_job_log` VALUES (50658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:10:45');
INSERT INTO `sys_job_log` VALUES (50659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:10:50');
INSERT INTO `sys_job_log` VALUES (50660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:10:55');
INSERT INTO `sys_job_log` VALUES (50661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:11:00');
INSERT INTO `sys_job_log` VALUES (50662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:11:00');
INSERT INTO `sys_job_log` VALUES (50663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:11:05');
INSERT INTO `sys_job_log` VALUES (50664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:11:10');
INSERT INTO `sys_job_log` VALUES (50665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:11:15');
INSERT INTO `sys_job_log` VALUES (50666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:11:15');
INSERT INTO `sys_job_log` VALUES (50667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:11:20');
INSERT INTO `sys_job_log` VALUES (50668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:11:25');
INSERT INTO `sys_job_log` VALUES (50669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:11:30');
INSERT INTO `sys_job_log` VALUES (50670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:11:30');
INSERT INTO `sys_job_log` VALUES (50671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:11:35');
INSERT INTO `sys_job_log` VALUES (50672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:11:40');
INSERT INTO `sys_job_log` VALUES (50673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:11:45');
INSERT INTO `sys_job_log` VALUES (50674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:11:45');
INSERT INTO `sys_job_log` VALUES (50675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:11:50');
INSERT INTO `sys_job_log` VALUES (50676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:11:55');
INSERT INTO `sys_job_log` VALUES (50677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:12:00');
INSERT INTO `sys_job_log` VALUES (50678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:12:00');
INSERT INTO `sys_job_log` VALUES (50679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:12:05');
INSERT INTO `sys_job_log` VALUES (50680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:12:10');
INSERT INTO `sys_job_log` VALUES (50681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 01:12:15');
INSERT INTO `sys_job_log` VALUES (50682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 01:12:15');
INSERT INTO `sys_job_log` VALUES (50683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:12:20');
INSERT INTO `sys_job_log` VALUES (50684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:12:25');
INSERT INTO `sys_job_log` VALUES (50685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:12:30');
INSERT INTO `sys_job_log` VALUES (50686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:12:30');
INSERT INTO `sys_job_log` VALUES (50687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:12:35');
INSERT INTO `sys_job_log` VALUES (50688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:12:40');
INSERT INTO `sys_job_log` VALUES (50689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:12:45');
INSERT INTO `sys_job_log` VALUES (50690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:12:45');
INSERT INTO `sys_job_log` VALUES (50691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:12:50');
INSERT INTO `sys_job_log` VALUES (50692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:12:55');
INSERT INTO `sys_job_log` VALUES (50693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:13:00');
INSERT INTO `sys_job_log` VALUES (50694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 01:13:00');
INSERT INTO `sys_job_log` VALUES (50695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:13:05');
INSERT INTO `sys_job_log` VALUES (50696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:13:10');
INSERT INTO `sys_job_log` VALUES (50697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:13:15');
INSERT INTO `sys_job_log` VALUES (50698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 01:13:15');
INSERT INTO `sys_job_log` VALUES (50699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:13:20');
INSERT INTO `sys_job_log` VALUES (50700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:13:25');
INSERT INTO `sys_job_log` VALUES (50701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:13:30');
INSERT INTO `sys_job_log` VALUES (50702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 01:13:30');
INSERT INTO `sys_job_log` VALUES (50703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:13:35');
INSERT INTO `sys_job_log` VALUES (50704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:13:40');
INSERT INTO `sys_job_log` VALUES (50705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:13:45');
INSERT INTO `sys_job_log` VALUES (50706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:13:45');
INSERT INTO `sys_job_log` VALUES (50707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:13:50');
INSERT INTO `sys_job_log` VALUES (50708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:13:55');
INSERT INTO `sys_job_log` VALUES (50709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:14:00');
INSERT INTO `sys_job_log` VALUES (50710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:14:00');
INSERT INTO `sys_job_log` VALUES (50711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:14:05');
INSERT INTO `sys_job_log` VALUES (50712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:14:10');
INSERT INTO `sys_job_log` VALUES (50713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:14:15');
INSERT INTO `sys_job_log` VALUES (50714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:14:15');
INSERT INTO `sys_job_log` VALUES (50715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:14:20');
INSERT INTO `sys_job_log` VALUES (50716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:14:25');
INSERT INTO `sys_job_log` VALUES (50717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:14:30');
INSERT INTO `sys_job_log` VALUES (50718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:14:30');
INSERT INTO `sys_job_log` VALUES (50719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:14:35');
INSERT INTO `sys_job_log` VALUES (50720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:14:40');
INSERT INTO `sys_job_log` VALUES (50721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:14:45');
INSERT INTO `sys_job_log` VALUES (50722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:14:45');
INSERT INTO `sys_job_log` VALUES (50723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:14:50');
INSERT INTO `sys_job_log` VALUES (50724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:14:55');
INSERT INTO `sys_job_log` VALUES (50725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:15:00');
INSERT INTO `sys_job_log` VALUES (50726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:15:00');
INSERT INTO `sys_job_log` VALUES (50727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:15:05');
INSERT INTO `sys_job_log` VALUES (50728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:15:10');
INSERT INTO `sys_job_log` VALUES (50729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:15:15');
INSERT INTO `sys_job_log` VALUES (50730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:15:15');
INSERT INTO `sys_job_log` VALUES (50731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:15:20');
INSERT INTO `sys_job_log` VALUES (50732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:15:25');
INSERT INTO `sys_job_log` VALUES (50733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:15:30');
INSERT INTO `sys_job_log` VALUES (50734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:15:30');
INSERT INTO `sys_job_log` VALUES (50735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:15:35');
INSERT INTO `sys_job_log` VALUES (50736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:15:40');
INSERT INTO `sys_job_log` VALUES (50737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:15:45');
INSERT INTO `sys_job_log` VALUES (50738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:15:45');
INSERT INTO `sys_job_log` VALUES (50739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:15:50');
INSERT INTO `sys_job_log` VALUES (50740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:15:55');
INSERT INTO `sys_job_log` VALUES (50741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:16:00');
INSERT INTO `sys_job_log` VALUES (50742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:16:00');
INSERT INTO `sys_job_log` VALUES (50743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:16:05');
INSERT INTO `sys_job_log` VALUES (50744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:16:10');
INSERT INTO `sys_job_log` VALUES (50745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:16:15');
INSERT INTO `sys_job_log` VALUES (50746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:16:15');
INSERT INTO `sys_job_log` VALUES (50747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:16:20');
INSERT INTO `sys_job_log` VALUES (50748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:16:25');
INSERT INTO `sys_job_log` VALUES (50749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:16:30');
INSERT INTO `sys_job_log` VALUES (50750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:16:30');
INSERT INTO `sys_job_log` VALUES (50751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:16:35');
INSERT INTO `sys_job_log` VALUES (50752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:16:40');
INSERT INTO `sys_job_log` VALUES (50753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:16:45');
INSERT INTO `sys_job_log` VALUES (50754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:16:45');
INSERT INTO `sys_job_log` VALUES (50755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:16:50');
INSERT INTO `sys_job_log` VALUES (50756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:16:55');
INSERT INTO `sys_job_log` VALUES (50757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:17:00');
INSERT INTO `sys_job_log` VALUES (50758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:17:00');
INSERT INTO `sys_job_log` VALUES (50759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:17:05');
INSERT INTO `sys_job_log` VALUES (50760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:17:10');
INSERT INTO `sys_job_log` VALUES (50761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:17:15');
INSERT INTO `sys_job_log` VALUES (50762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:17:15');
INSERT INTO `sys_job_log` VALUES (50763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:17:20');
INSERT INTO `sys_job_log` VALUES (50764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:17:25');
INSERT INTO `sys_job_log` VALUES (50765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:17:30');
INSERT INTO `sys_job_log` VALUES (50766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:17:30');
INSERT INTO `sys_job_log` VALUES (50767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:17:35');
INSERT INTO `sys_job_log` VALUES (50768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:17:40');
INSERT INTO `sys_job_log` VALUES (50769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:17:45');
INSERT INTO `sys_job_log` VALUES (50770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:17:45');
INSERT INTO `sys_job_log` VALUES (50771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:17:50');
INSERT INTO `sys_job_log` VALUES (50772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:17:55');
INSERT INTO `sys_job_log` VALUES (50773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:18:00');
INSERT INTO `sys_job_log` VALUES (50774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:18:00');
INSERT INTO `sys_job_log` VALUES (50775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:18:05');
INSERT INTO `sys_job_log` VALUES (50776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:18:10');
INSERT INTO `sys_job_log` VALUES (50777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:18:15');
INSERT INTO `sys_job_log` VALUES (50778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:18:15');
INSERT INTO `sys_job_log` VALUES (50779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:18:20');
INSERT INTO `sys_job_log` VALUES (50780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:18:25');
INSERT INTO `sys_job_log` VALUES (50781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:18:30');
INSERT INTO `sys_job_log` VALUES (50782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:18:30');
INSERT INTO `sys_job_log` VALUES (50783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:18:35');
INSERT INTO `sys_job_log` VALUES (50784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:18:40');
INSERT INTO `sys_job_log` VALUES (50785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:18:45');
INSERT INTO `sys_job_log` VALUES (50786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:18:45');
INSERT INTO `sys_job_log` VALUES (50787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:18:50');
INSERT INTO `sys_job_log` VALUES (50788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:18:55');
INSERT INTO `sys_job_log` VALUES (50789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:19:00');
INSERT INTO `sys_job_log` VALUES (50790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:19:00');
INSERT INTO `sys_job_log` VALUES (50791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:19:05');
INSERT INTO `sys_job_log` VALUES (50792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:19:10');
INSERT INTO `sys_job_log` VALUES (50793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:19:15');
INSERT INTO `sys_job_log` VALUES (50794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:19:15');
INSERT INTO `sys_job_log` VALUES (50795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:19:20');
INSERT INTO `sys_job_log` VALUES (50796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:19:25');
INSERT INTO `sys_job_log` VALUES (50797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:19:30');
INSERT INTO `sys_job_log` VALUES (50798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:19:30');
INSERT INTO `sys_job_log` VALUES (50799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:19:35');
INSERT INTO `sys_job_log` VALUES (50800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:19:40');
INSERT INTO `sys_job_log` VALUES (50801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:19:45');
INSERT INTO `sys_job_log` VALUES (50802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:19:45');
INSERT INTO `sys_job_log` VALUES (50803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:19:50');
INSERT INTO `sys_job_log` VALUES (50804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:19:55');
INSERT INTO `sys_job_log` VALUES (50805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:20:00');
INSERT INTO `sys_job_log` VALUES (50806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:20:00');
INSERT INTO `sys_job_log` VALUES (50807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:20:05');
INSERT INTO `sys_job_log` VALUES (50808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:20:10');
INSERT INTO `sys_job_log` VALUES (50809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:20:15');
INSERT INTO `sys_job_log` VALUES (50810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:20:15');
INSERT INTO `sys_job_log` VALUES (50811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:20:20');
INSERT INTO `sys_job_log` VALUES (50812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:20:25');
INSERT INTO `sys_job_log` VALUES (50813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:20:30');
INSERT INTO `sys_job_log` VALUES (50814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:20:30');
INSERT INTO `sys_job_log` VALUES (50815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:20:35');
INSERT INTO `sys_job_log` VALUES (50816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:20:40');
INSERT INTO `sys_job_log` VALUES (50817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:20:45');
INSERT INTO `sys_job_log` VALUES (50818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:20:45');
INSERT INTO `sys_job_log` VALUES (50819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:20:50');
INSERT INTO `sys_job_log` VALUES (50820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:20:55');
INSERT INTO `sys_job_log` VALUES (50821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:21:00');
INSERT INTO `sys_job_log` VALUES (50822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:21:00');
INSERT INTO `sys_job_log` VALUES (50823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:21:05');
INSERT INTO `sys_job_log` VALUES (50824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:21:10');
INSERT INTO `sys_job_log` VALUES (50825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:21:15');
INSERT INTO `sys_job_log` VALUES (50826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:21:15');
INSERT INTO `sys_job_log` VALUES (50827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:21:20');
INSERT INTO `sys_job_log` VALUES (50828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:21:25');
INSERT INTO `sys_job_log` VALUES (50829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:21:30');
INSERT INTO `sys_job_log` VALUES (50830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:21:30');
INSERT INTO `sys_job_log` VALUES (50831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:21:35');
INSERT INTO `sys_job_log` VALUES (50832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:21:40');
INSERT INTO `sys_job_log` VALUES (50833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:21:45');
INSERT INTO `sys_job_log` VALUES (50834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:21:45');
INSERT INTO `sys_job_log` VALUES (50835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:21:50');
INSERT INTO `sys_job_log` VALUES (50836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:21:55');
INSERT INTO `sys_job_log` VALUES (50837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:22:00');
INSERT INTO `sys_job_log` VALUES (50838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:22:00');
INSERT INTO `sys_job_log` VALUES (50839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:05');
INSERT INTO `sys_job_log` VALUES (50840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:10');
INSERT INTO `sys_job_log` VALUES (50841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:15');
INSERT INTO `sys_job_log` VALUES (50842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:15');
INSERT INTO `sys_job_log` VALUES (50843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:20');
INSERT INTO `sys_job_log` VALUES (50844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:22:25');
INSERT INTO `sys_job_log` VALUES (50845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:22:30');
INSERT INTO `sys_job_log` VALUES (50846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:22:30');
INSERT INTO `sys_job_log` VALUES (50847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:35');
INSERT INTO `sys_job_log` VALUES (50848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:22:40');
INSERT INTO `sys_job_log` VALUES (50849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:22:45');
INSERT INTO `sys_job_log` VALUES (50850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:22:45');
INSERT INTO `sys_job_log` VALUES (50851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:22:50');
INSERT INTO `sys_job_log` VALUES (50852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:22:55');
INSERT INTO `sys_job_log` VALUES (50853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:23:00');
INSERT INTO `sys_job_log` VALUES (50854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:23:00');
INSERT INTO `sys_job_log` VALUES (50855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:23:05');
INSERT INTO `sys_job_log` VALUES (50856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:23:10');
INSERT INTO `sys_job_log` VALUES (50857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:23:15');
INSERT INTO `sys_job_log` VALUES (50858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:23:15');
INSERT INTO `sys_job_log` VALUES (50859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:23:20');
INSERT INTO `sys_job_log` VALUES (50860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:23:25');
INSERT INTO `sys_job_log` VALUES (50861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:23:30');
INSERT INTO `sys_job_log` VALUES (50862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:23:30');
INSERT INTO `sys_job_log` VALUES (50863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:23:35');
INSERT INTO `sys_job_log` VALUES (50864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:23:40');
INSERT INTO `sys_job_log` VALUES (50865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:23:45');
INSERT INTO `sys_job_log` VALUES (50866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:23:45');
INSERT INTO `sys_job_log` VALUES (50867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:23:50');
INSERT INTO `sys_job_log` VALUES (50868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:23:55');
INSERT INTO `sys_job_log` VALUES (50869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:24:00');
INSERT INTO `sys_job_log` VALUES (50870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:24:00');
INSERT INTO `sys_job_log` VALUES (50871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:24:05');
INSERT INTO `sys_job_log` VALUES (50872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:24:10');
INSERT INTO `sys_job_log` VALUES (50873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:24:15');
INSERT INTO `sys_job_log` VALUES (50874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:24:15');
INSERT INTO `sys_job_log` VALUES (50875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:24:20');
INSERT INTO `sys_job_log` VALUES (50876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:24:25');
INSERT INTO `sys_job_log` VALUES (50877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:24:30');
INSERT INTO `sys_job_log` VALUES (50878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:24:30');
INSERT INTO `sys_job_log` VALUES (50879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:24:35');
INSERT INTO `sys_job_log` VALUES (50880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:24:40');
INSERT INTO `sys_job_log` VALUES (50881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:24:45');
INSERT INTO `sys_job_log` VALUES (50882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:24:45');
INSERT INTO `sys_job_log` VALUES (50883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:24:50');
INSERT INTO `sys_job_log` VALUES (50884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:24:55');
INSERT INTO `sys_job_log` VALUES (50885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:25:00');
INSERT INTO `sys_job_log` VALUES (50886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:25:00');
INSERT INTO `sys_job_log` VALUES (50887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:25:05');
INSERT INTO `sys_job_log` VALUES (50888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:25:10');
INSERT INTO `sys_job_log` VALUES (50889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:25:15');
INSERT INTO `sys_job_log` VALUES (50890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:25:15');
INSERT INTO `sys_job_log` VALUES (50891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:25:20');
INSERT INTO `sys_job_log` VALUES (50892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:25:25');
INSERT INTO `sys_job_log` VALUES (50893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:25:30');
INSERT INTO `sys_job_log` VALUES (50894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:25:30');
INSERT INTO `sys_job_log` VALUES (50895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:25:35');
INSERT INTO `sys_job_log` VALUES (50896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:25:40');
INSERT INTO `sys_job_log` VALUES (50897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:25:45');
INSERT INTO `sys_job_log` VALUES (50898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:25:45');
INSERT INTO `sys_job_log` VALUES (50899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:25:50');
INSERT INTO `sys_job_log` VALUES (50900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:25:55');
INSERT INTO `sys_job_log` VALUES (50901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:26:00');
INSERT INTO `sys_job_log` VALUES (50902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:26:00');
INSERT INTO `sys_job_log` VALUES (50903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:26:05');
INSERT INTO `sys_job_log` VALUES (50904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:26:10');
INSERT INTO `sys_job_log` VALUES (50905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:26:15');
INSERT INTO `sys_job_log` VALUES (50906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:26:15');
INSERT INTO `sys_job_log` VALUES (50907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:26:20');
INSERT INTO `sys_job_log` VALUES (50908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:26:25');
INSERT INTO `sys_job_log` VALUES (50909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:26:30');
INSERT INTO `sys_job_log` VALUES (50910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:26:30');
INSERT INTO `sys_job_log` VALUES (50911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:26:35');
INSERT INTO `sys_job_log` VALUES (50912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:26:40');
INSERT INTO `sys_job_log` VALUES (50913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:26:45');
INSERT INTO `sys_job_log` VALUES (50914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:26:45');
INSERT INTO `sys_job_log` VALUES (50915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:26:50');
INSERT INTO `sys_job_log` VALUES (50916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:26:55');
INSERT INTO `sys_job_log` VALUES (50917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:27:00');
INSERT INTO `sys_job_log` VALUES (50918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:27:00');
INSERT INTO `sys_job_log` VALUES (50919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:27:05');
INSERT INTO `sys_job_log` VALUES (50920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:27:10');
INSERT INTO `sys_job_log` VALUES (50921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:27:15');
INSERT INTO `sys_job_log` VALUES (50922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:27:15');
INSERT INTO `sys_job_log` VALUES (50923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:27:20');
INSERT INTO `sys_job_log` VALUES (50924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:27:25');
INSERT INTO `sys_job_log` VALUES (50925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:27:30');
INSERT INTO `sys_job_log` VALUES (50926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:27:30');
INSERT INTO `sys_job_log` VALUES (50927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:27:35');
INSERT INTO `sys_job_log` VALUES (50928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:27:40');
INSERT INTO `sys_job_log` VALUES (50929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:27:45');
INSERT INTO `sys_job_log` VALUES (50930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:27:45');
INSERT INTO `sys_job_log` VALUES (50931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:27:50');
INSERT INTO `sys_job_log` VALUES (50932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:27:55');
INSERT INTO `sys_job_log` VALUES (50933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:28:00');
INSERT INTO `sys_job_log` VALUES (50934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:28:00');
INSERT INTO `sys_job_log` VALUES (50935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:28:05');
INSERT INTO `sys_job_log` VALUES (50936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:28:10');
INSERT INTO `sys_job_log` VALUES (50937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:28:15');
INSERT INTO `sys_job_log` VALUES (50938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:28:15');
INSERT INTO `sys_job_log` VALUES (50939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:28:20');
INSERT INTO `sys_job_log` VALUES (50940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:28:25');
INSERT INTO `sys_job_log` VALUES (50941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:28:30');
INSERT INTO `sys_job_log` VALUES (50942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:28:30');
INSERT INTO `sys_job_log` VALUES (50943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:28:35');
INSERT INTO `sys_job_log` VALUES (50944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:28:40');
INSERT INTO `sys_job_log` VALUES (50945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:28:45');
INSERT INTO `sys_job_log` VALUES (50946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:28:45');
INSERT INTO `sys_job_log` VALUES (50947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:28:50');
INSERT INTO `sys_job_log` VALUES (50948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:28:55');
INSERT INTO `sys_job_log` VALUES (50949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:29:00');
INSERT INTO `sys_job_log` VALUES (50950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:29:00');
INSERT INTO `sys_job_log` VALUES (50951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:29:05');
INSERT INTO `sys_job_log` VALUES (50952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:29:10');
INSERT INTO `sys_job_log` VALUES (50953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:29:15');
INSERT INTO `sys_job_log` VALUES (50954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:29:15');
INSERT INTO `sys_job_log` VALUES (50955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:29:20');
INSERT INTO `sys_job_log` VALUES (50956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:29:25');
INSERT INTO `sys_job_log` VALUES (50957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:29:30');
INSERT INTO `sys_job_log` VALUES (50958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:29:30');
INSERT INTO `sys_job_log` VALUES (50959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:29:35');
INSERT INTO `sys_job_log` VALUES (50960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:29:40');
INSERT INTO `sys_job_log` VALUES (50961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:29:45');
INSERT INTO `sys_job_log` VALUES (50962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:29:45');
INSERT INTO `sys_job_log` VALUES (50963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:29:50');
INSERT INTO `sys_job_log` VALUES (50964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:29:55');
INSERT INTO `sys_job_log` VALUES (50965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 01:30:00');
INSERT INTO `sys_job_log` VALUES (50966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:30:00');
INSERT INTO `sys_job_log` VALUES (50967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:30:05');
INSERT INTO `sys_job_log` VALUES (50968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:30:10');
INSERT INTO `sys_job_log` VALUES (50969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:30:15');
INSERT INTO `sys_job_log` VALUES (50970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:30:15');
INSERT INTO `sys_job_log` VALUES (50971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:30:20');
INSERT INTO `sys_job_log` VALUES (50972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:30:25');
INSERT INTO `sys_job_log` VALUES (50973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:30:30');
INSERT INTO `sys_job_log` VALUES (50974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:30:30');
INSERT INTO `sys_job_log` VALUES (50975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:30:35');
INSERT INTO `sys_job_log` VALUES (50976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:30:40');
INSERT INTO `sys_job_log` VALUES (50977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:30:45');
INSERT INTO `sys_job_log` VALUES (50978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:30:45');
INSERT INTO `sys_job_log` VALUES (50979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:30:50');
INSERT INTO `sys_job_log` VALUES (50980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:30:55');
INSERT INTO `sys_job_log` VALUES (50981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:00');
INSERT INTO `sys_job_log` VALUES (50982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:00');
INSERT INTO `sys_job_log` VALUES (50983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:31:05');
INSERT INTO `sys_job_log` VALUES (50984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:31:10');
INSERT INTO `sys_job_log` VALUES (50985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:15');
INSERT INTO `sys_job_log` VALUES (50986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:15');
INSERT INTO `sys_job_log` VALUES (50987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:20');
INSERT INTO `sys_job_log` VALUES (50988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:31:25');
INSERT INTO `sys_job_log` VALUES (50989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:31:30');
INSERT INTO `sys_job_log` VALUES (50990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:30');
INSERT INTO `sys_job_log` VALUES (50991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 01:31:35');
INSERT INTO `sys_job_log` VALUES (50992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:40');
INSERT INTO `sys_job_log` VALUES (50993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:31:45');
INSERT INTO `sys_job_log` VALUES (50994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:31:45');
INSERT INTO `sys_job_log` VALUES (50995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:31:50');
INSERT INTO `sys_job_log` VALUES (50996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:31:55');
INSERT INTO `sys_job_log` VALUES (50997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:32:00');
INSERT INTO `sys_job_log` VALUES (50998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:32:00');
INSERT INTO `sys_job_log` VALUES (50999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:05');
INSERT INTO `sys_job_log` VALUES (51000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:32:10');
INSERT INTO `sys_job_log` VALUES (51001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:15');
INSERT INTO `sys_job_log` VALUES (51002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:15');
INSERT INTO `sys_job_log` VALUES (51003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:32:20');
INSERT INTO `sys_job_log` VALUES (51004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:25');
INSERT INTO `sys_job_log` VALUES (51005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:32:30');
INSERT INTO `sys_job_log` VALUES (51006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:32:30');
INSERT INTO `sys_job_log` VALUES (51007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:35');
INSERT INTO `sys_job_log` VALUES (51008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:32:40');
INSERT INTO `sys_job_log` VALUES (51009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:45');
INSERT INTO `sys_job_log` VALUES (51010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:45');
INSERT INTO `sys_job_log` VALUES (51011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:32:50');
INSERT INTO `sys_job_log` VALUES (51012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:32:55');
INSERT INTO `sys_job_log` VALUES (51013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:33:00');
INSERT INTO `sys_job_log` VALUES (51014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:33:00');
INSERT INTO `sys_job_log` VALUES (51015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:33:05');
INSERT INTO `sys_job_log` VALUES (51016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:33:10');
INSERT INTO `sys_job_log` VALUES (51017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:33:15');
INSERT INTO `sys_job_log` VALUES (51018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:33:15');
INSERT INTO `sys_job_log` VALUES (51019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:33:20');
INSERT INTO `sys_job_log` VALUES (51020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:33:25');
INSERT INTO `sys_job_log` VALUES (51021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 01:33:30');
INSERT INTO `sys_job_log` VALUES (51022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:33:30');
INSERT INTO `sys_job_log` VALUES (51023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:33:35');
INSERT INTO `sys_job_log` VALUES (51024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:33:40');
INSERT INTO `sys_job_log` VALUES (51025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:33:45');
INSERT INTO `sys_job_log` VALUES (51026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:33:45');
INSERT INTO `sys_job_log` VALUES (51027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:33:50');
INSERT INTO `sys_job_log` VALUES (51028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:33:55');
INSERT INTO `sys_job_log` VALUES (51029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 01:34:00');
INSERT INTO `sys_job_log` VALUES (51030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:34:00');
INSERT INTO `sys_job_log` VALUES (51031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:34:05');
INSERT INTO `sys_job_log` VALUES (51032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:34:10');
INSERT INTO `sys_job_log` VALUES (51033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:34:15');
INSERT INTO `sys_job_log` VALUES (51034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:34:15');
INSERT INTO `sys_job_log` VALUES (51035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:34:20');
INSERT INTO `sys_job_log` VALUES (51036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:34:25');
INSERT INTO `sys_job_log` VALUES (51037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:34:30');
INSERT INTO `sys_job_log` VALUES (51038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:34:30');
INSERT INTO `sys_job_log` VALUES (51039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:34:35');
INSERT INTO `sys_job_log` VALUES (51040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:34:40');
INSERT INTO `sys_job_log` VALUES (51041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:34:45');
INSERT INTO `sys_job_log` VALUES (51042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:34:45');
INSERT INTO `sys_job_log` VALUES (51043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:34:50');
INSERT INTO `sys_job_log` VALUES (51044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:34:55');
INSERT INTO `sys_job_log` VALUES (51045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:35:00');
INSERT INTO `sys_job_log` VALUES (51046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:35:00');
INSERT INTO `sys_job_log` VALUES (51047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:35:05');
INSERT INTO `sys_job_log` VALUES (51048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:35:10');
INSERT INTO `sys_job_log` VALUES (51049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:35:15');
INSERT INTO `sys_job_log` VALUES (51050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:35:15');
INSERT INTO `sys_job_log` VALUES (51051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:35:20');
INSERT INTO `sys_job_log` VALUES (51052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:35:25');
INSERT INTO `sys_job_log` VALUES (51053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:35:30');
INSERT INTO `sys_job_log` VALUES (51054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:35:30');
INSERT INTO `sys_job_log` VALUES (51055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:35:35');
INSERT INTO `sys_job_log` VALUES (51056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:35:40');
INSERT INTO `sys_job_log` VALUES (51057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:35:45');
INSERT INTO `sys_job_log` VALUES (51058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:35:45');
INSERT INTO `sys_job_log` VALUES (51059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:35:50');
INSERT INTO `sys_job_log` VALUES (51060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:35:55');
INSERT INTO `sys_job_log` VALUES (51061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:36:00');
INSERT INTO `sys_job_log` VALUES (51062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:36:00');
INSERT INTO `sys_job_log` VALUES (51063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:36:05');
INSERT INTO `sys_job_log` VALUES (51064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:36:10');
INSERT INTO `sys_job_log` VALUES (51065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:36:15');
INSERT INTO `sys_job_log` VALUES (51066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:36:15');
INSERT INTO `sys_job_log` VALUES (51067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:36:20');
INSERT INTO `sys_job_log` VALUES (51068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:36:25');
INSERT INTO `sys_job_log` VALUES (51069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:36:30');
INSERT INTO `sys_job_log` VALUES (51070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:36:30');
INSERT INTO `sys_job_log` VALUES (51071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:36:35');
INSERT INTO `sys_job_log` VALUES (51072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:36:40');
INSERT INTO `sys_job_log` VALUES (51073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:36:45');
INSERT INTO `sys_job_log` VALUES (51074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:36:45');
INSERT INTO `sys_job_log` VALUES (51075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:36:50');
INSERT INTO `sys_job_log` VALUES (51076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:36:55');
INSERT INTO `sys_job_log` VALUES (51077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:37:00');
INSERT INTO `sys_job_log` VALUES (51078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:37:00');
INSERT INTO `sys_job_log` VALUES (51079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:37:05');
INSERT INTO `sys_job_log` VALUES (51080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:37:10');
INSERT INTO `sys_job_log` VALUES (51081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:37:15');
INSERT INTO `sys_job_log` VALUES (51082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:37:15');
INSERT INTO `sys_job_log` VALUES (51083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:37:20');
INSERT INTO `sys_job_log` VALUES (51084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:37:25');
INSERT INTO `sys_job_log` VALUES (51085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:37:30');
INSERT INTO `sys_job_log` VALUES (51086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:37:30');
INSERT INTO `sys_job_log` VALUES (51087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:37:35');
INSERT INTO `sys_job_log` VALUES (51088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:37:40');
INSERT INTO `sys_job_log` VALUES (51089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:37:45');
INSERT INTO `sys_job_log` VALUES (51090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:37:45');
INSERT INTO `sys_job_log` VALUES (51091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:37:50');
INSERT INTO `sys_job_log` VALUES (51092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:37:55');
INSERT INTO `sys_job_log` VALUES (51093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:38:00');
INSERT INTO `sys_job_log` VALUES (51094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:38:00');
INSERT INTO `sys_job_log` VALUES (51095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:38:05');
INSERT INTO `sys_job_log` VALUES (51096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:38:10');
INSERT INTO `sys_job_log` VALUES (51097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:38:15');
INSERT INTO `sys_job_log` VALUES (51098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:38:15');
INSERT INTO `sys_job_log` VALUES (51099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:38:20');
INSERT INTO `sys_job_log` VALUES (51100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:38:25');
INSERT INTO `sys_job_log` VALUES (51101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:38:30');
INSERT INTO `sys_job_log` VALUES (51102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:38:30');
INSERT INTO `sys_job_log` VALUES (51103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:38:35');
INSERT INTO `sys_job_log` VALUES (51104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:38:40');
INSERT INTO `sys_job_log` VALUES (51105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:38:45');
INSERT INTO `sys_job_log` VALUES (51106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:38:45');
INSERT INTO `sys_job_log` VALUES (51107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:38:50');
INSERT INTO `sys_job_log` VALUES (51108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:38:55');
INSERT INTO `sys_job_log` VALUES (51109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:39:00');
INSERT INTO `sys_job_log` VALUES (51110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:39:00');
INSERT INTO `sys_job_log` VALUES (51111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:39:05');
INSERT INTO `sys_job_log` VALUES (51112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:39:10');
INSERT INTO `sys_job_log` VALUES (51113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:39:15');
INSERT INTO `sys_job_log` VALUES (51114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:39:15');
INSERT INTO `sys_job_log` VALUES (51115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:39:20');
INSERT INTO `sys_job_log` VALUES (51116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:39:25');
INSERT INTO `sys_job_log` VALUES (51117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:39:30');
INSERT INTO `sys_job_log` VALUES (51118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:39:30');
INSERT INTO `sys_job_log` VALUES (51119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:39:35');
INSERT INTO `sys_job_log` VALUES (51120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:39:40');
INSERT INTO `sys_job_log` VALUES (51121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:39:45');
INSERT INTO `sys_job_log` VALUES (51122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:39:45');
INSERT INTO `sys_job_log` VALUES (51123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:39:50');
INSERT INTO `sys_job_log` VALUES (51124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:39:55');
INSERT INTO `sys_job_log` VALUES (51125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:40:00');
INSERT INTO `sys_job_log` VALUES (51126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:40:00');
INSERT INTO `sys_job_log` VALUES (51127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:40:05');
INSERT INTO `sys_job_log` VALUES (51128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:40:10');
INSERT INTO `sys_job_log` VALUES (51129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:40:15');
INSERT INTO `sys_job_log` VALUES (51130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:40:15');
INSERT INTO `sys_job_log` VALUES (51131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:40:20');
INSERT INTO `sys_job_log` VALUES (51132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:40:25');
INSERT INTO `sys_job_log` VALUES (51133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:40:30');
INSERT INTO `sys_job_log` VALUES (51134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:40:30');
INSERT INTO `sys_job_log` VALUES (51135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:40:35');
INSERT INTO `sys_job_log` VALUES (51136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:40:40');
INSERT INTO `sys_job_log` VALUES (51137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:40:45');
INSERT INTO `sys_job_log` VALUES (51138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:40:45');
INSERT INTO `sys_job_log` VALUES (51139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:40:50');
INSERT INTO `sys_job_log` VALUES (51140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:40:55');
INSERT INTO `sys_job_log` VALUES (51141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:41:00');
INSERT INTO `sys_job_log` VALUES (51142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:41:00');
INSERT INTO `sys_job_log` VALUES (51143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:41:05');
INSERT INTO `sys_job_log` VALUES (51144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:41:10');
INSERT INTO `sys_job_log` VALUES (51145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:41:15');
INSERT INTO `sys_job_log` VALUES (51146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:41:15');
INSERT INTO `sys_job_log` VALUES (51147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:41:20');
INSERT INTO `sys_job_log` VALUES (51148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:41:25');
INSERT INTO `sys_job_log` VALUES (51149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:41:30');
INSERT INTO `sys_job_log` VALUES (51150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:41:30');
INSERT INTO `sys_job_log` VALUES (51151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:41:35');
INSERT INTO `sys_job_log` VALUES (51152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:41:40');
INSERT INTO `sys_job_log` VALUES (51153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:41:45');
INSERT INTO `sys_job_log` VALUES (51154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:41:45');
INSERT INTO `sys_job_log` VALUES (51155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:41:50');
INSERT INTO `sys_job_log` VALUES (51156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:41:55');
INSERT INTO `sys_job_log` VALUES (51157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:42:00');
INSERT INTO `sys_job_log` VALUES (51158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:42:00');
INSERT INTO `sys_job_log` VALUES (51159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:42:05');
INSERT INTO `sys_job_log` VALUES (51160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:42:10');
INSERT INTO `sys_job_log` VALUES (51161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:42:15');
INSERT INTO `sys_job_log` VALUES (51162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:42:15');
INSERT INTO `sys_job_log` VALUES (51163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:42:20');
INSERT INTO `sys_job_log` VALUES (51164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:42:25');
INSERT INTO `sys_job_log` VALUES (51165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:42:30');
INSERT INTO `sys_job_log` VALUES (51166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:42:30');
INSERT INTO `sys_job_log` VALUES (51167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:42:35');
INSERT INTO `sys_job_log` VALUES (51168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:42:40');
INSERT INTO `sys_job_log` VALUES (51169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:42:45');
INSERT INTO `sys_job_log` VALUES (51170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:42:45');
INSERT INTO `sys_job_log` VALUES (51171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:42:50');
INSERT INTO `sys_job_log` VALUES (51172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:42:55');
INSERT INTO `sys_job_log` VALUES (51173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:43:00');
INSERT INTO `sys_job_log` VALUES (51174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:43:00');
INSERT INTO `sys_job_log` VALUES (51175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:43:05');
INSERT INTO `sys_job_log` VALUES (51176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:43:10');
INSERT INTO `sys_job_log` VALUES (51177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:43:15');
INSERT INTO `sys_job_log` VALUES (51178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:43:15');
INSERT INTO `sys_job_log` VALUES (51179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:43:20');
INSERT INTO `sys_job_log` VALUES (51180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:43:25');
INSERT INTO `sys_job_log` VALUES (51181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:43:30');
INSERT INTO `sys_job_log` VALUES (51182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:43:30');
INSERT INTO `sys_job_log` VALUES (51183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:43:35');
INSERT INTO `sys_job_log` VALUES (51184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:43:40');
INSERT INTO `sys_job_log` VALUES (51185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:43:45');
INSERT INTO `sys_job_log` VALUES (51186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:43:45');
INSERT INTO `sys_job_log` VALUES (51187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:43:50');
INSERT INTO `sys_job_log` VALUES (51188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:43:55');
INSERT INTO `sys_job_log` VALUES (51189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:44:00');
INSERT INTO `sys_job_log` VALUES (51190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:44:00');
INSERT INTO `sys_job_log` VALUES (51191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:44:05');
INSERT INTO `sys_job_log` VALUES (51192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:44:10');
INSERT INTO `sys_job_log` VALUES (51193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:44:15');
INSERT INTO `sys_job_log` VALUES (51194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:44:15');
INSERT INTO `sys_job_log` VALUES (51195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:44:20');
INSERT INTO `sys_job_log` VALUES (51196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:44:25');
INSERT INTO `sys_job_log` VALUES (51197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:44:30');
INSERT INTO `sys_job_log` VALUES (51198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:44:30');
INSERT INTO `sys_job_log` VALUES (51199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:44:35');
INSERT INTO `sys_job_log` VALUES (51200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:44:40');
INSERT INTO `sys_job_log` VALUES (51201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:44:45');
INSERT INTO `sys_job_log` VALUES (51202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:44:45');
INSERT INTO `sys_job_log` VALUES (51203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:44:50');
INSERT INTO `sys_job_log` VALUES (51204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:44:55');
INSERT INTO `sys_job_log` VALUES (51205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:45:00');
INSERT INTO `sys_job_log` VALUES (51206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:45:00');
INSERT INTO `sys_job_log` VALUES (51207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:45:05');
INSERT INTO `sys_job_log` VALUES (51208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:45:10');
INSERT INTO `sys_job_log` VALUES (51209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:45:15');
INSERT INTO `sys_job_log` VALUES (51210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:45:15');
INSERT INTO `sys_job_log` VALUES (51211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:45:20');
INSERT INTO `sys_job_log` VALUES (51212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:45:25');
INSERT INTO `sys_job_log` VALUES (51213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:45:30');
INSERT INTO `sys_job_log` VALUES (51214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:45:30');
INSERT INTO `sys_job_log` VALUES (51215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:45:35');
INSERT INTO `sys_job_log` VALUES (51216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:45:40');
INSERT INTO `sys_job_log` VALUES (51217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:45:45');
INSERT INTO `sys_job_log` VALUES (51218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:45:45');
INSERT INTO `sys_job_log` VALUES (51219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:45:50');
INSERT INTO `sys_job_log` VALUES (51220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:45:55');
INSERT INTO `sys_job_log` VALUES (51221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:46:00');
INSERT INTO `sys_job_log` VALUES (51222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:46:00');
INSERT INTO `sys_job_log` VALUES (51223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:46:05');
INSERT INTO `sys_job_log` VALUES (51224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:46:10');
INSERT INTO `sys_job_log` VALUES (51225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:46:15');
INSERT INTO `sys_job_log` VALUES (51226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:46:15');
INSERT INTO `sys_job_log` VALUES (51227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:46:20');
INSERT INTO `sys_job_log` VALUES (51228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:46:25');
INSERT INTO `sys_job_log` VALUES (51229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:46:30');
INSERT INTO `sys_job_log` VALUES (51230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:46:30');
INSERT INTO `sys_job_log` VALUES (51231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:46:35');
INSERT INTO `sys_job_log` VALUES (51232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:46:40');
INSERT INTO `sys_job_log` VALUES (51233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:46:45');
INSERT INTO `sys_job_log` VALUES (51234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:46:45');
INSERT INTO `sys_job_log` VALUES (51235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:46:50');
INSERT INTO `sys_job_log` VALUES (51236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:46:55');
INSERT INTO `sys_job_log` VALUES (51237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:47:00');
INSERT INTO `sys_job_log` VALUES (51238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:47:00');
INSERT INTO `sys_job_log` VALUES (51239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:47:05');
INSERT INTO `sys_job_log` VALUES (51240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:47:10');
INSERT INTO `sys_job_log` VALUES (51241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:47:15');
INSERT INTO `sys_job_log` VALUES (51242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:47:15');
INSERT INTO `sys_job_log` VALUES (51243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:47:20');
INSERT INTO `sys_job_log` VALUES (51244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:47:25');
INSERT INTO `sys_job_log` VALUES (51245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:47:30');
INSERT INTO `sys_job_log` VALUES (51246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:47:30');
INSERT INTO `sys_job_log` VALUES (51247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:47:35');
INSERT INTO `sys_job_log` VALUES (51248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:47:40');
INSERT INTO `sys_job_log` VALUES (51249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:47:45');
INSERT INTO `sys_job_log` VALUES (51250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:47:45');
INSERT INTO `sys_job_log` VALUES (51251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:47:50');
INSERT INTO `sys_job_log` VALUES (51252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:47:55');
INSERT INTO `sys_job_log` VALUES (51253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:48:00');
INSERT INTO `sys_job_log` VALUES (51254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:48:00');
INSERT INTO `sys_job_log` VALUES (51255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:48:05');
INSERT INTO `sys_job_log` VALUES (51256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:48:10');
INSERT INTO `sys_job_log` VALUES (51257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:48:15');
INSERT INTO `sys_job_log` VALUES (51258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:48:15');
INSERT INTO `sys_job_log` VALUES (51259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:48:20');
INSERT INTO `sys_job_log` VALUES (51260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:48:25');
INSERT INTO `sys_job_log` VALUES (51261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:48:30');
INSERT INTO `sys_job_log` VALUES (51262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:48:30');
INSERT INTO `sys_job_log` VALUES (51263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:48:35');
INSERT INTO `sys_job_log` VALUES (51264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:48:40');
INSERT INTO `sys_job_log` VALUES (51265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:48:45');
INSERT INTO `sys_job_log` VALUES (51266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:48:45');
INSERT INTO `sys_job_log` VALUES (51267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:48:50');
INSERT INTO `sys_job_log` VALUES (51268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:48:55');
INSERT INTO `sys_job_log` VALUES (51269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:49:00');
INSERT INTO `sys_job_log` VALUES (51270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:49:00');
INSERT INTO `sys_job_log` VALUES (51271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:49:05');
INSERT INTO `sys_job_log` VALUES (51272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:49:10');
INSERT INTO `sys_job_log` VALUES (51273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:49:15');
INSERT INTO `sys_job_log` VALUES (51274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:49:15');
INSERT INTO `sys_job_log` VALUES (51275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:49:20');
INSERT INTO `sys_job_log` VALUES (51276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:49:25');
INSERT INTO `sys_job_log` VALUES (51277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:49:30');
INSERT INTO `sys_job_log` VALUES (51278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:49:30');
INSERT INTO `sys_job_log` VALUES (51279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:49:35');
INSERT INTO `sys_job_log` VALUES (51280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:49:40');
INSERT INTO `sys_job_log` VALUES (51281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:49:45');
INSERT INTO `sys_job_log` VALUES (51282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:49:45');
INSERT INTO `sys_job_log` VALUES (51283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:49:50');
INSERT INTO `sys_job_log` VALUES (51284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:49:55');
INSERT INTO `sys_job_log` VALUES (51285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:50:00');
INSERT INTO `sys_job_log` VALUES (51286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:50:00');
INSERT INTO `sys_job_log` VALUES (51287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:50:05');
INSERT INTO `sys_job_log` VALUES (51288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:50:10');
INSERT INTO `sys_job_log` VALUES (51289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:50:15');
INSERT INTO `sys_job_log` VALUES (51290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 01:50:15');
INSERT INTO `sys_job_log` VALUES (51291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:50:20');
INSERT INTO `sys_job_log` VALUES (51292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:50:25');
INSERT INTO `sys_job_log` VALUES (51293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:50:30');
INSERT INTO `sys_job_log` VALUES (51294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:50:30');
INSERT INTO `sys_job_log` VALUES (51295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:50:35');
INSERT INTO `sys_job_log` VALUES (51296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:50:40');
INSERT INTO `sys_job_log` VALUES (51297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:50:45');
INSERT INTO `sys_job_log` VALUES (51298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:50:45');
INSERT INTO `sys_job_log` VALUES (51299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:50:50');
INSERT INTO `sys_job_log` VALUES (51300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:50:55');
INSERT INTO `sys_job_log` VALUES (51301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:51:00');
INSERT INTO `sys_job_log` VALUES (51302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:51:00');
INSERT INTO `sys_job_log` VALUES (51303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:51:05');
INSERT INTO `sys_job_log` VALUES (51304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:51:10');
INSERT INTO `sys_job_log` VALUES (51305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:51:15');
INSERT INTO `sys_job_log` VALUES (51306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:51:15');
INSERT INTO `sys_job_log` VALUES (51307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:51:20');
INSERT INTO `sys_job_log` VALUES (51308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:51:25');
INSERT INTO `sys_job_log` VALUES (51309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:51:30');
INSERT INTO `sys_job_log` VALUES (51310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:51:30');
INSERT INTO `sys_job_log` VALUES (51311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:51:35');
INSERT INTO `sys_job_log` VALUES (51312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:51:40');
INSERT INTO `sys_job_log` VALUES (51313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 01:51:45');
INSERT INTO `sys_job_log` VALUES (51314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:51:45');
INSERT INTO `sys_job_log` VALUES (51315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:51:50');
INSERT INTO `sys_job_log` VALUES (51316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:51:55');
INSERT INTO `sys_job_log` VALUES (51317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:52:00');
INSERT INTO `sys_job_log` VALUES (51318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:52:00');
INSERT INTO `sys_job_log` VALUES (51319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:52:05');
INSERT INTO `sys_job_log` VALUES (51320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:52:10');
INSERT INTO `sys_job_log` VALUES (51321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:52:15');
INSERT INTO `sys_job_log` VALUES (51322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:52:15');
INSERT INTO `sys_job_log` VALUES (51323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:52:20');
INSERT INTO `sys_job_log` VALUES (51324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:52:25');
INSERT INTO `sys_job_log` VALUES (51325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:52:30');
INSERT INTO `sys_job_log` VALUES (51326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:52:30');
INSERT INTO `sys_job_log` VALUES (51327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:52:35');
INSERT INTO `sys_job_log` VALUES (51328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:52:40');
INSERT INTO `sys_job_log` VALUES (51329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:52:45');
INSERT INTO `sys_job_log` VALUES (51330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:52:45');
INSERT INTO `sys_job_log` VALUES (51331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:52:50');
INSERT INTO `sys_job_log` VALUES (51332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:52:55');
INSERT INTO `sys_job_log` VALUES (51333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:53:00');
INSERT INTO `sys_job_log` VALUES (51334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:53:00');
INSERT INTO `sys_job_log` VALUES (51335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:53:05');
INSERT INTO `sys_job_log` VALUES (51336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:53:10');
INSERT INTO `sys_job_log` VALUES (51337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:53:15');
INSERT INTO `sys_job_log` VALUES (51338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:53:15');
INSERT INTO `sys_job_log` VALUES (51339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:53:20');
INSERT INTO `sys_job_log` VALUES (51340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:53:25');
INSERT INTO `sys_job_log` VALUES (51341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:53:30');
INSERT INTO `sys_job_log` VALUES (51342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:53:30');
INSERT INTO `sys_job_log` VALUES (51343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:53:35');
INSERT INTO `sys_job_log` VALUES (51344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:53:40');
INSERT INTO `sys_job_log` VALUES (51345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:53:45');
INSERT INTO `sys_job_log` VALUES (51346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:53:45');
INSERT INTO `sys_job_log` VALUES (51347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:53:50');
INSERT INTO `sys_job_log` VALUES (51348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:53:55');
INSERT INTO `sys_job_log` VALUES (51349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:54:00');
INSERT INTO `sys_job_log` VALUES (51350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:54:00');
INSERT INTO `sys_job_log` VALUES (51351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:54:05');
INSERT INTO `sys_job_log` VALUES (51352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:54:10');
INSERT INTO `sys_job_log` VALUES (51353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:54:15');
INSERT INTO `sys_job_log` VALUES (51354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:54:15');
INSERT INTO `sys_job_log` VALUES (51355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:54:20');
INSERT INTO `sys_job_log` VALUES (51356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:54:25');
INSERT INTO `sys_job_log` VALUES (51357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:54:30');
INSERT INTO `sys_job_log` VALUES (51358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:54:30');
INSERT INTO `sys_job_log` VALUES (51359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:54:35');
INSERT INTO `sys_job_log` VALUES (51360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:54:40');
INSERT INTO `sys_job_log` VALUES (51361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:54:45');
INSERT INTO `sys_job_log` VALUES (51362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:54:45');
INSERT INTO `sys_job_log` VALUES (51363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:54:50');
INSERT INTO `sys_job_log` VALUES (51364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:54:55');
INSERT INTO `sys_job_log` VALUES (51365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 01:55:00');
INSERT INTO `sys_job_log` VALUES (51366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 01:55:00');
INSERT INTO `sys_job_log` VALUES (51367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:55:05');
INSERT INTO `sys_job_log` VALUES (51368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:55:10');
INSERT INTO `sys_job_log` VALUES (51369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:55:15');
INSERT INTO `sys_job_log` VALUES (51370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:55:15');
INSERT INTO `sys_job_log` VALUES (51371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:55:20');
INSERT INTO `sys_job_log` VALUES (51372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:55:25');
INSERT INTO `sys_job_log` VALUES (51373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:55:30');
INSERT INTO `sys_job_log` VALUES (51374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:55:30');
INSERT INTO `sys_job_log` VALUES (51375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:55:35');
INSERT INTO `sys_job_log` VALUES (51376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:55:40');
INSERT INTO `sys_job_log` VALUES (51377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:55:45');
INSERT INTO `sys_job_log` VALUES (51378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:55:45');
INSERT INTO `sys_job_log` VALUES (51379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:55:50');
INSERT INTO `sys_job_log` VALUES (51380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:55:55');
INSERT INTO `sys_job_log` VALUES (51381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 01:56:00');
INSERT INTO `sys_job_log` VALUES (51382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 01:56:00');
INSERT INTO `sys_job_log` VALUES (51383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 01:56:05');
INSERT INTO `sys_job_log` VALUES (51384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:56:10');
INSERT INTO `sys_job_log` VALUES (51385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:56:15');
INSERT INTO `sys_job_log` VALUES (51386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:56:15');
INSERT INTO `sys_job_log` VALUES (51387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:56:20');
INSERT INTO `sys_job_log` VALUES (51388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:56:25');
INSERT INTO `sys_job_log` VALUES (51389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:56:30');
INSERT INTO `sys_job_log` VALUES (51390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:56:30');
INSERT INTO `sys_job_log` VALUES (51391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 01:56:35');
INSERT INTO `sys_job_log` VALUES (51392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:56:40');
INSERT INTO `sys_job_log` VALUES (51393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:56:45');
INSERT INTO `sys_job_log` VALUES (51394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:56:45');
INSERT INTO `sys_job_log` VALUES (51395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 01:56:50');
INSERT INTO `sys_job_log` VALUES (51396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:56:55');
INSERT INTO `sys_job_log` VALUES (51397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 01:57:00');
INSERT INTO `sys_job_log` VALUES (51398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 01:57:00');
INSERT INTO `sys_job_log` VALUES (51399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:57:05');
INSERT INTO `sys_job_log` VALUES (51400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:57:10');
INSERT INTO `sys_job_log` VALUES (51401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:57:15');
INSERT INTO `sys_job_log` VALUES (51402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:57:15');
INSERT INTO `sys_job_log` VALUES (51403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:57:20');
INSERT INTO `sys_job_log` VALUES (51404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:57:25');
INSERT INTO `sys_job_log` VALUES (51405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:57:30');
INSERT INTO `sys_job_log` VALUES (51406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:57:30');
INSERT INTO `sys_job_log` VALUES (51407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:57:35');
INSERT INTO `sys_job_log` VALUES (51408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:57:40');
INSERT INTO `sys_job_log` VALUES (51409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:57:45');
INSERT INTO `sys_job_log` VALUES (51410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:57:45');
INSERT INTO `sys_job_log` VALUES (51411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:57:50');
INSERT INTO `sys_job_log` VALUES (51412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:57:55');
INSERT INTO `sys_job_log` VALUES (51413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:58:00');
INSERT INTO `sys_job_log` VALUES (51414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:58:00');
INSERT INTO `sys_job_log` VALUES (51415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:58:05');
INSERT INTO `sys_job_log` VALUES (51416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 01:58:10');
INSERT INTO `sys_job_log` VALUES (51417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 01:58:15');
INSERT INTO `sys_job_log` VALUES (51418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:58:15');
INSERT INTO `sys_job_log` VALUES (51419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:58:20');
INSERT INTO `sys_job_log` VALUES (51420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:58:25');
INSERT INTO `sys_job_log` VALUES (51421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:58:30');
INSERT INTO `sys_job_log` VALUES (51422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:58:30');
INSERT INTO `sys_job_log` VALUES (51423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:58:35');
INSERT INTO `sys_job_log` VALUES (51424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:58:40');
INSERT INTO `sys_job_log` VALUES (51425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:58:45');
INSERT INTO `sys_job_log` VALUES (51426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 01:58:45');
INSERT INTO `sys_job_log` VALUES (51427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:58:50');
INSERT INTO `sys_job_log` VALUES (51428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:58:55');
INSERT INTO `sys_job_log` VALUES (51429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 01:59:00');
INSERT INTO `sys_job_log` VALUES (51430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:59:00');
INSERT INTO `sys_job_log` VALUES (51431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:59:05');
INSERT INTO `sys_job_log` VALUES (51432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:59:10');
INSERT INTO `sys_job_log` VALUES (51433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:59:15');
INSERT INTO `sys_job_log` VALUES (51434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 01:59:15');
INSERT INTO `sys_job_log` VALUES (51435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 01:59:20');
INSERT INTO `sys_job_log` VALUES (51436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 01:59:25');
INSERT INTO `sys_job_log` VALUES (51437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:59:30');
INSERT INTO `sys_job_log` VALUES (51438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 01:59:30');
INSERT INTO `sys_job_log` VALUES (51439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:59:35');
INSERT INTO `sys_job_log` VALUES (51440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 01:59:40');
INSERT INTO `sys_job_log` VALUES (51441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 01:59:45');
INSERT INTO `sys_job_log` VALUES (51442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 01:59:45');
INSERT INTO `sys_job_log` VALUES (51443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 01:59:50');
INSERT INTO `sys_job_log` VALUES (51444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 01:59:55');
INSERT INTO `sys_job_log` VALUES (51445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:00:00');
INSERT INTO `sys_job_log` VALUES (51446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:00:00');
INSERT INTO `sys_job_log` VALUES (51447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:00:05');
INSERT INTO `sys_job_log` VALUES (51448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:00:10');
INSERT INTO `sys_job_log` VALUES (51449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:00:15');
INSERT INTO `sys_job_log` VALUES (51450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:00:15');
INSERT INTO `sys_job_log` VALUES (51451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:00:20');
INSERT INTO `sys_job_log` VALUES (51452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:00:25');
INSERT INTO `sys_job_log` VALUES (51453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:00:30');
INSERT INTO `sys_job_log` VALUES (51454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:00:30');
INSERT INTO `sys_job_log` VALUES (51455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:00:35');
INSERT INTO `sys_job_log` VALUES (51456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:00:40');
INSERT INTO `sys_job_log` VALUES (51457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:00:45');
INSERT INTO `sys_job_log` VALUES (51458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:00:45');
INSERT INTO `sys_job_log` VALUES (51459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:00:50');
INSERT INTO `sys_job_log` VALUES (51460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:00:55');
INSERT INTO `sys_job_log` VALUES (51461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:00');
INSERT INTO `sys_job_log` VALUES (51462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:00');
INSERT INTO `sys_job_log` VALUES (51463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:01:05');
INSERT INTO `sys_job_log` VALUES (51464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:01:10');
INSERT INTO `sys_job_log` VALUES (51465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:01:15');
INSERT INTO `sys_job_log` VALUES (51466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:01:15');
INSERT INTO `sys_job_log` VALUES (51467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:20');
INSERT INTO `sys_job_log` VALUES (51468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:01:25');
INSERT INTO `sys_job_log` VALUES (51469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:30');
INSERT INTO `sys_job_log` VALUES (51470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:01:30');
INSERT INTO `sys_job_log` VALUES (51471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:01:35');
INSERT INTO `sys_job_log` VALUES (51472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:40');
INSERT INTO `sys_job_log` VALUES (51473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:01:45');
INSERT INTO `sys_job_log` VALUES (51474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:45');
INSERT INTO `sys_job_log` VALUES (51475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:01:50');
INSERT INTO `sys_job_log` VALUES (51476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:01:55');
INSERT INTO `sys_job_log` VALUES (51477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 02:02:00');
INSERT INTO `sys_job_log` VALUES (51478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 02:02:00');
INSERT INTO `sys_job_log` VALUES (51479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:02:05');
INSERT INTO `sys_job_log` VALUES (51480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:02:10');
INSERT INTO `sys_job_log` VALUES (51481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:02:15');
INSERT INTO `sys_job_log` VALUES (51482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:02:15');
INSERT INTO `sys_job_log` VALUES (51483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:02:20');
INSERT INTO `sys_job_log` VALUES (51484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:02:25');
INSERT INTO `sys_job_log` VALUES (51485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:02:30');
INSERT INTO `sys_job_log` VALUES (51486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:02:30');
INSERT INTO `sys_job_log` VALUES (51487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:02:35');
INSERT INTO `sys_job_log` VALUES (51488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:02:40');
INSERT INTO `sys_job_log` VALUES (51489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:02:45');
INSERT INTO `sys_job_log` VALUES (51490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:02:45');
INSERT INTO `sys_job_log` VALUES (51491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:02:50');
INSERT INTO `sys_job_log` VALUES (51492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:02:55');
INSERT INTO `sys_job_log` VALUES (51493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:03:00');
INSERT INTO `sys_job_log` VALUES (51494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:03:00');
INSERT INTO `sys_job_log` VALUES (51495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:03:05');
INSERT INTO `sys_job_log` VALUES (51496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:03:10');
INSERT INTO `sys_job_log` VALUES (51497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:03:15');
INSERT INTO `sys_job_log` VALUES (51498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:03:15');
INSERT INTO `sys_job_log` VALUES (51499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:03:20');
INSERT INTO `sys_job_log` VALUES (51500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:03:25');
INSERT INTO `sys_job_log` VALUES (51501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:03:30');
INSERT INTO `sys_job_log` VALUES (51502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:03:30');
INSERT INTO `sys_job_log` VALUES (51503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:03:35');
INSERT INTO `sys_job_log` VALUES (51504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:03:40');
INSERT INTO `sys_job_log` VALUES (51505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:03:45');
INSERT INTO `sys_job_log` VALUES (51506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 02:03:45');
INSERT INTO `sys_job_log` VALUES (51507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:03:50');
INSERT INTO `sys_job_log` VALUES (51508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:03:55');
INSERT INTO `sys_job_log` VALUES (51509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:04:00');
INSERT INTO `sys_job_log` VALUES (51510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:04:00');
INSERT INTO `sys_job_log` VALUES (51511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:05');
INSERT INTO `sys_job_log` VALUES (51512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:10');
INSERT INTO `sys_job_log` VALUES (51513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:04:15');
INSERT INTO `sys_job_log` VALUES (51514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:04:15');
INSERT INTO `sys_job_log` VALUES (51515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:20');
INSERT INTO `sys_job_log` VALUES (51516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:25');
INSERT INTO `sys_job_log` VALUES (51517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:30');
INSERT INTO `sys_job_log` VALUES (51518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:04:30');
INSERT INTO `sys_job_log` VALUES (51519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:04:35');
INSERT INTO `sys_job_log` VALUES (51520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:40');
INSERT INTO `sys_job_log` VALUES (51521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:04:45');
INSERT INTO `sys_job_log` VALUES (51522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:04:45');
INSERT INTO `sys_job_log` VALUES (51523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:04:50');
INSERT INTO `sys_job_log` VALUES (51524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:04:55');
INSERT INTO `sys_job_log` VALUES (51525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 02:05:00');
INSERT INTO `sys_job_log` VALUES (51526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 02:05:00');
INSERT INTO `sys_job_log` VALUES (51527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:05:05');
INSERT INTO `sys_job_log` VALUES (51528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:05:10');
INSERT INTO `sys_job_log` VALUES (51529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:05:15');
INSERT INTO `sys_job_log` VALUES (51530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:05:15');
INSERT INTO `sys_job_log` VALUES (51531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:05:20');
INSERT INTO `sys_job_log` VALUES (51532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 02:05:25');
INSERT INTO `sys_job_log` VALUES (51533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:05:30');
INSERT INTO `sys_job_log` VALUES (51534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:05:30');
INSERT INTO `sys_job_log` VALUES (51535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:05:35');
INSERT INTO `sys_job_log` VALUES (51536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:05:40');
INSERT INTO `sys_job_log` VALUES (51537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:05:45');
INSERT INTO `sys_job_log` VALUES (51538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:05:45');
INSERT INTO `sys_job_log` VALUES (51539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:05:50');
INSERT INTO `sys_job_log` VALUES (51540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:05:55');
INSERT INTO `sys_job_log` VALUES (51541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:06:00');
INSERT INTO `sys_job_log` VALUES (51542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:06:00');
INSERT INTO `sys_job_log` VALUES (51543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:06:05');
INSERT INTO `sys_job_log` VALUES (51544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:06:10');
INSERT INTO `sys_job_log` VALUES (51545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:06:15');
INSERT INTO `sys_job_log` VALUES (51546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:06:15');
INSERT INTO `sys_job_log` VALUES (51547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:06:20');
INSERT INTO `sys_job_log` VALUES (51548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:06:25');
INSERT INTO `sys_job_log` VALUES (51549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:06:30');
INSERT INTO `sys_job_log` VALUES (51550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:06:30');
INSERT INTO `sys_job_log` VALUES (51551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:06:35');
INSERT INTO `sys_job_log` VALUES (51552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:06:40');
INSERT INTO `sys_job_log` VALUES (51553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:06:45');
INSERT INTO `sys_job_log` VALUES (51554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:06:45');
INSERT INTO `sys_job_log` VALUES (51555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:06:50');
INSERT INTO `sys_job_log` VALUES (51556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:06:55');
INSERT INTO `sys_job_log` VALUES (51557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:07:00');
INSERT INTO `sys_job_log` VALUES (51558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:07:00');
INSERT INTO `sys_job_log` VALUES (51559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:07:05');
INSERT INTO `sys_job_log` VALUES (51560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:07:10');
INSERT INTO `sys_job_log` VALUES (51561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:15');
INSERT INTO `sys_job_log` VALUES (51562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:07:15');
INSERT INTO `sys_job_log` VALUES (51563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:20');
INSERT INTO `sys_job_log` VALUES (51564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:07:25');
INSERT INTO `sys_job_log` VALUES (51565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:30');
INSERT INTO `sys_job_log` VALUES (51566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:30');
INSERT INTO `sys_job_log` VALUES (51567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:35');
INSERT INTO `sys_job_log` VALUES (51568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:07:40');
INSERT INTO `sys_job_log` VALUES (51569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:45');
INSERT INTO `sys_job_log` VALUES (51570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:07:45');
INSERT INTO `sys_job_log` VALUES (51571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:07:50');
INSERT INTO `sys_job_log` VALUES (51572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:07:55');
INSERT INTO `sys_job_log` VALUES (51573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:08:00');
INSERT INTO `sys_job_log` VALUES (51574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:08:00');
INSERT INTO `sys_job_log` VALUES (51575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:08:05');
INSERT INTO `sys_job_log` VALUES (51576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:08:10');
INSERT INTO `sys_job_log` VALUES (51577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:08:15');
INSERT INTO `sys_job_log` VALUES (51578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:08:15');
INSERT INTO `sys_job_log` VALUES (51579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:08:20');
INSERT INTO `sys_job_log` VALUES (51580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:08:25');
INSERT INTO `sys_job_log` VALUES (51581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:08:30');
INSERT INTO `sys_job_log` VALUES (51582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:08:30');
INSERT INTO `sys_job_log` VALUES (51583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:08:35');
INSERT INTO `sys_job_log` VALUES (51584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:08:40');
INSERT INTO `sys_job_log` VALUES (51585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:08:45');
INSERT INTO `sys_job_log` VALUES (51586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:08:45');
INSERT INTO `sys_job_log` VALUES (51587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:08:50');
INSERT INTO `sys_job_log` VALUES (51588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:08:55');
INSERT INTO `sys_job_log` VALUES (51589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:09:00');
INSERT INTO `sys_job_log` VALUES (51590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:09:00');
INSERT INTO `sys_job_log` VALUES (51591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:09:05');
INSERT INTO `sys_job_log` VALUES (51592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:09:10');
INSERT INTO `sys_job_log` VALUES (51593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:09:15');
INSERT INTO `sys_job_log` VALUES (51594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:09:15');
INSERT INTO `sys_job_log` VALUES (51595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:09:20');
INSERT INTO `sys_job_log` VALUES (51596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:09:25');
INSERT INTO `sys_job_log` VALUES (51597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:09:30');
INSERT INTO `sys_job_log` VALUES (51598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:09:30');
INSERT INTO `sys_job_log` VALUES (51599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:09:35');
INSERT INTO `sys_job_log` VALUES (51600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:09:40');
INSERT INTO `sys_job_log` VALUES (51601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:09:45');
INSERT INTO `sys_job_log` VALUES (51602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:09:45');
INSERT INTO `sys_job_log` VALUES (51603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:09:50');
INSERT INTO `sys_job_log` VALUES (51604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:09:55');
INSERT INTO `sys_job_log` VALUES (51605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:10:00');
INSERT INTO `sys_job_log` VALUES (51606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:10:00');
INSERT INTO `sys_job_log` VALUES (51607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:10:05');
INSERT INTO `sys_job_log` VALUES (51608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:10:10');
INSERT INTO `sys_job_log` VALUES (51609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:10:15');
INSERT INTO `sys_job_log` VALUES (51610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:10:15');
INSERT INTO `sys_job_log` VALUES (51611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:10:20');
INSERT INTO `sys_job_log` VALUES (51612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:10:25');
INSERT INTO `sys_job_log` VALUES (51613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:10:30');
INSERT INTO `sys_job_log` VALUES (51614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:10:30');
INSERT INTO `sys_job_log` VALUES (51615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:10:35');
INSERT INTO `sys_job_log` VALUES (51616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:10:40');
INSERT INTO `sys_job_log` VALUES (51617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:10:45');
INSERT INTO `sys_job_log` VALUES (51618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:10:45');
INSERT INTO `sys_job_log` VALUES (51619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:10:50');
INSERT INTO `sys_job_log` VALUES (51620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:10:55');
INSERT INTO `sys_job_log` VALUES (51621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:11:00');
INSERT INTO `sys_job_log` VALUES (51622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:11:00');
INSERT INTO `sys_job_log` VALUES (51623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:11:05');
INSERT INTO `sys_job_log` VALUES (51624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:11:10');
INSERT INTO `sys_job_log` VALUES (51625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:11:15');
INSERT INTO `sys_job_log` VALUES (51626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:11:15');
INSERT INTO `sys_job_log` VALUES (51627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:11:20');
INSERT INTO `sys_job_log` VALUES (51628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:11:25');
INSERT INTO `sys_job_log` VALUES (51629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:11:30');
INSERT INTO `sys_job_log` VALUES (51630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:11:30');
INSERT INTO `sys_job_log` VALUES (51631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:11:35');
INSERT INTO `sys_job_log` VALUES (51632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:11:40');
INSERT INTO `sys_job_log` VALUES (51633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:11:45');
INSERT INTO `sys_job_log` VALUES (51634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:11:45');
INSERT INTO `sys_job_log` VALUES (51635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:11:50');
INSERT INTO `sys_job_log` VALUES (51636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 02:11:55');
INSERT INTO `sys_job_log` VALUES (51637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:12:00');
INSERT INTO `sys_job_log` VALUES (51638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:12:00');
INSERT INTO `sys_job_log` VALUES (51639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:12:05');
INSERT INTO `sys_job_log` VALUES (51640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:12:10');
INSERT INTO `sys_job_log` VALUES (51641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:12:15');
INSERT INTO `sys_job_log` VALUES (51642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:12:15');
INSERT INTO `sys_job_log` VALUES (51643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:12:20');
INSERT INTO `sys_job_log` VALUES (51644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:12:25');
INSERT INTO `sys_job_log` VALUES (51645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:12:30');
INSERT INTO `sys_job_log` VALUES (51646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:12:30');
INSERT INTO `sys_job_log` VALUES (51647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:12:35');
INSERT INTO `sys_job_log` VALUES (51648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:12:40');
INSERT INTO `sys_job_log` VALUES (51649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:12:45');
INSERT INTO `sys_job_log` VALUES (51650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:12:45');
INSERT INTO `sys_job_log` VALUES (51651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:12:50');
INSERT INTO `sys_job_log` VALUES (51652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:12:55');
INSERT INTO `sys_job_log` VALUES (51653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:13:00');
INSERT INTO `sys_job_log` VALUES (51654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:13:00');
INSERT INTO `sys_job_log` VALUES (51655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:13:05');
INSERT INTO `sys_job_log` VALUES (51656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:13:10');
INSERT INTO `sys_job_log` VALUES (51657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:13:15');
INSERT INTO `sys_job_log` VALUES (51658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:13:15');
INSERT INTO `sys_job_log` VALUES (51659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:13:20');
INSERT INTO `sys_job_log` VALUES (51660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:13:25');
INSERT INTO `sys_job_log` VALUES (51661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:13:30');
INSERT INTO `sys_job_log` VALUES (51662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:13:30');
INSERT INTO `sys_job_log` VALUES (51663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:13:35');
INSERT INTO `sys_job_log` VALUES (51664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:13:40');
INSERT INTO `sys_job_log` VALUES (51665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:13:45');
INSERT INTO `sys_job_log` VALUES (51666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:13:45');
INSERT INTO `sys_job_log` VALUES (51667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:13:50');
INSERT INTO `sys_job_log` VALUES (51668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:13:55');
INSERT INTO `sys_job_log` VALUES (51669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:14:00');
INSERT INTO `sys_job_log` VALUES (51670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:14:00');
INSERT INTO `sys_job_log` VALUES (51671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:14:05');
INSERT INTO `sys_job_log` VALUES (51672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:14:10');
INSERT INTO `sys_job_log` VALUES (51673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:14:15');
INSERT INTO `sys_job_log` VALUES (51674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:14:15');
INSERT INTO `sys_job_log` VALUES (51675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:14:20');
INSERT INTO `sys_job_log` VALUES (51676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:14:25');
INSERT INTO `sys_job_log` VALUES (51677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:14:30');
INSERT INTO `sys_job_log` VALUES (51678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:14:30');
INSERT INTO `sys_job_log` VALUES (51679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:14:35');
INSERT INTO `sys_job_log` VALUES (51680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:14:40');
INSERT INTO `sys_job_log` VALUES (51681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:14:45');
INSERT INTO `sys_job_log` VALUES (51682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:14:45');
INSERT INTO `sys_job_log` VALUES (51683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:14:50');
INSERT INTO `sys_job_log` VALUES (51684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:14:55');
INSERT INTO `sys_job_log` VALUES (51685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:15:00');
INSERT INTO `sys_job_log` VALUES (51686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:15:00');
INSERT INTO `sys_job_log` VALUES (51687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:15:05');
INSERT INTO `sys_job_log` VALUES (51688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:15:10');
INSERT INTO `sys_job_log` VALUES (51689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:15:15');
INSERT INTO `sys_job_log` VALUES (51690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:15:15');
INSERT INTO `sys_job_log` VALUES (51691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:15:20');
INSERT INTO `sys_job_log` VALUES (51692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:15:25');
INSERT INTO `sys_job_log` VALUES (51693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:15:30');
INSERT INTO `sys_job_log` VALUES (51694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:15:30');
INSERT INTO `sys_job_log` VALUES (51695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:15:35');
INSERT INTO `sys_job_log` VALUES (51696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:15:40');
INSERT INTO `sys_job_log` VALUES (51697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:15:45');
INSERT INTO `sys_job_log` VALUES (51698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:15:45');
INSERT INTO `sys_job_log` VALUES (51699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:15:50');
INSERT INTO `sys_job_log` VALUES (51700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:15:55');
INSERT INTO `sys_job_log` VALUES (51701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:16:00');
INSERT INTO `sys_job_log` VALUES (51702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:16:00');
INSERT INTO `sys_job_log` VALUES (51703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:16:05');
INSERT INTO `sys_job_log` VALUES (51704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:16:10');
INSERT INTO `sys_job_log` VALUES (51705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:16:15');
INSERT INTO `sys_job_log` VALUES (51706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:16:15');
INSERT INTO `sys_job_log` VALUES (51707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:16:20');
INSERT INTO `sys_job_log` VALUES (51708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:16:25');
INSERT INTO `sys_job_log` VALUES (51709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:16:30');
INSERT INTO `sys_job_log` VALUES (51710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:16:30');
INSERT INTO `sys_job_log` VALUES (51711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:16:35');
INSERT INTO `sys_job_log` VALUES (51712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:16:40');
INSERT INTO `sys_job_log` VALUES (51713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:16:45');
INSERT INTO `sys_job_log` VALUES (51714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:16:45');
INSERT INTO `sys_job_log` VALUES (51715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:16:50');
INSERT INTO `sys_job_log` VALUES (51716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:16:55');
INSERT INTO `sys_job_log` VALUES (51717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:17:00');
INSERT INTO `sys_job_log` VALUES (51718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 02:17:00');
INSERT INTO `sys_job_log` VALUES (51719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:17:05');
INSERT INTO `sys_job_log` VALUES (51720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:17:10');
INSERT INTO `sys_job_log` VALUES (51721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:17:15');
INSERT INTO `sys_job_log` VALUES (51722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:17:15');
INSERT INTO `sys_job_log` VALUES (51723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:17:20');
INSERT INTO `sys_job_log` VALUES (51724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:17:25');
INSERT INTO `sys_job_log` VALUES (51725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:17:30');
INSERT INTO `sys_job_log` VALUES (51726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:17:30');
INSERT INTO `sys_job_log` VALUES (51727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:17:35');
INSERT INTO `sys_job_log` VALUES (51728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:17:40');
INSERT INTO `sys_job_log` VALUES (51729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:17:45');
INSERT INTO `sys_job_log` VALUES (51730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:17:45');
INSERT INTO `sys_job_log` VALUES (51731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:17:50');
INSERT INTO `sys_job_log` VALUES (51732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:17:55');
INSERT INTO `sys_job_log` VALUES (51733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:18:00');
INSERT INTO `sys_job_log` VALUES (51734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:18:00');
INSERT INTO `sys_job_log` VALUES (51735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:18:05');
INSERT INTO `sys_job_log` VALUES (51736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:18:10');
INSERT INTO `sys_job_log` VALUES (51737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:18:15');
INSERT INTO `sys_job_log` VALUES (51738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:18:15');
INSERT INTO `sys_job_log` VALUES (51739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:18:20');
INSERT INTO `sys_job_log` VALUES (51740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:18:25');
INSERT INTO `sys_job_log` VALUES (51741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:18:30');
INSERT INTO `sys_job_log` VALUES (51742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:18:30');
INSERT INTO `sys_job_log` VALUES (51743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:18:35');
INSERT INTO `sys_job_log` VALUES (51744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:18:40');
INSERT INTO `sys_job_log` VALUES (51745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:18:45');
INSERT INTO `sys_job_log` VALUES (51746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:18:45');
INSERT INTO `sys_job_log` VALUES (51747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:18:50');
INSERT INTO `sys_job_log` VALUES (51748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 02:18:55');
INSERT INTO `sys_job_log` VALUES (51749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:19:00');
INSERT INTO `sys_job_log` VALUES (51750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:19:00');
INSERT INTO `sys_job_log` VALUES (51751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:19:05');
INSERT INTO `sys_job_log` VALUES (51752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:19:10');
INSERT INTO `sys_job_log` VALUES (51753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:19:15');
INSERT INTO `sys_job_log` VALUES (51754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:19:15');
INSERT INTO `sys_job_log` VALUES (51755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:19:20');
INSERT INTO `sys_job_log` VALUES (51756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:19:25');
INSERT INTO `sys_job_log` VALUES (51757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:19:30');
INSERT INTO `sys_job_log` VALUES (51758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:19:30');
INSERT INTO `sys_job_log` VALUES (51759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:19:35');
INSERT INTO `sys_job_log` VALUES (51760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:19:40');
INSERT INTO `sys_job_log` VALUES (51761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:19:45');
INSERT INTO `sys_job_log` VALUES (51762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:19:45');
INSERT INTO `sys_job_log` VALUES (51763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:19:50');
INSERT INTO `sys_job_log` VALUES (51764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:19:55');
INSERT INTO `sys_job_log` VALUES (51765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:20:00');
INSERT INTO `sys_job_log` VALUES (51766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:20:00');
INSERT INTO `sys_job_log` VALUES (51767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:20:05');
INSERT INTO `sys_job_log` VALUES (51768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:20:10');
INSERT INTO `sys_job_log` VALUES (51769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:20:15');
INSERT INTO `sys_job_log` VALUES (51770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:20:15');
INSERT INTO `sys_job_log` VALUES (51771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:20:20');
INSERT INTO `sys_job_log` VALUES (51772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:20:25');
INSERT INTO `sys_job_log` VALUES (51773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:20:30');
INSERT INTO `sys_job_log` VALUES (51774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:20:30');
INSERT INTO `sys_job_log` VALUES (51775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:20:35');
INSERT INTO `sys_job_log` VALUES (51776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:20:40');
INSERT INTO `sys_job_log` VALUES (51777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:20:45');
INSERT INTO `sys_job_log` VALUES (51778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:20:45');
INSERT INTO `sys_job_log` VALUES (51779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:20:50');
INSERT INTO `sys_job_log` VALUES (51780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 02:20:55');
INSERT INTO `sys_job_log` VALUES (51781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:21:00');
INSERT INTO `sys_job_log` VALUES (51782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:21:00');
INSERT INTO `sys_job_log` VALUES (51783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:21:05');
INSERT INTO `sys_job_log` VALUES (51784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:21:10');
INSERT INTO `sys_job_log` VALUES (51785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:21:15');
INSERT INTO `sys_job_log` VALUES (51786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:21:15');
INSERT INTO `sys_job_log` VALUES (51787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:21:20');
INSERT INTO `sys_job_log` VALUES (51788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:21:25');
INSERT INTO `sys_job_log` VALUES (51789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:21:30');
INSERT INTO `sys_job_log` VALUES (51790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:21:30');
INSERT INTO `sys_job_log` VALUES (51791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:21:35');
INSERT INTO `sys_job_log` VALUES (51792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:21:40');
INSERT INTO `sys_job_log` VALUES (51793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:21:45');
INSERT INTO `sys_job_log` VALUES (51794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:21:45');
INSERT INTO `sys_job_log` VALUES (51795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:21:50');
INSERT INTO `sys_job_log` VALUES (51796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:21:55');
INSERT INTO `sys_job_log` VALUES (51797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:22:00');
INSERT INTO `sys_job_log` VALUES (51798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:22:00');
INSERT INTO `sys_job_log` VALUES (51799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:22:05');
INSERT INTO `sys_job_log` VALUES (51800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:22:10');
INSERT INTO `sys_job_log` VALUES (51801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:22:15');
INSERT INTO `sys_job_log` VALUES (51802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:22:15');
INSERT INTO `sys_job_log` VALUES (51803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:22:20');
INSERT INTO `sys_job_log` VALUES (51804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:22:25');
INSERT INTO `sys_job_log` VALUES (51805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:22:30');
INSERT INTO `sys_job_log` VALUES (51806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:22:30');
INSERT INTO `sys_job_log` VALUES (51807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:22:35');
INSERT INTO `sys_job_log` VALUES (51808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:22:40');
INSERT INTO `sys_job_log` VALUES (51809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:22:45');
INSERT INTO `sys_job_log` VALUES (51810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:22:45');
INSERT INTO `sys_job_log` VALUES (51811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:22:50');
INSERT INTO `sys_job_log` VALUES (51812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 02:22:55');
INSERT INTO `sys_job_log` VALUES (51813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:23:00');
INSERT INTO `sys_job_log` VALUES (51814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:23:00');
INSERT INTO `sys_job_log` VALUES (51815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:23:05');
INSERT INTO `sys_job_log` VALUES (51816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:23:10');
INSERT INTO `sys_job_log` VALUES (51817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:23:15');
INSERT INTO `sys_job_log` VALUES (51818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:23:15');
INSERT INTO `sys_job_log` VALUES (51819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:23:20');
INSERT INTO `sys_job_log` VALUES (51820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:23:25');
INSERT INTO `sys_job_log` VALUES (51821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:23:30');
INSERT INTO `sys_job_log` VALUES (51822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:23:30');
INSERT INTO `sys_job_log` VALUES (51823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:23:35');
INSERT INTO `sys_job_log` VALUES (51824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:23:40');
INSERT INTO `sys_job_log` VALUES (51825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:23:45');
INSERT INTO `sys_job_log` VALUES (51826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:23:45');
INSERT INTO `sys_job_log` VALUES (51827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:23:50');
INSERT INTO `sys_job_log` VALUES (51828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:23:55');
INSERT INTO `sys_job_log` VALUES (51829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:24:00');
INSERT INTO `sys_job_log` VALUES (51830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:24:00');
INSERT INTO `sys_job_log` VALUES (51831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:24:05');
INSERT INTO `sys_job_log` VALUES (51832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:24:10');
INSERT INTO `sys_job_log` VALUES (51833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:24:15');
INSERT INTO `sys_job_log` VALUES (51834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:24:15');
INSERT INTO `sys_job_log` VALUES (51835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:24:20');
INSERT INTO `sys_job_log` VALUES (51836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:24:25');
INSERT INTO `sys_job_log` VALUES (51837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:24:30');
INSERT INTO `sys_job_log` VALUES (51838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:24:30');
INSERT INTO `sys_job_log` VALUES (51839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:24:35');
INSERT INTO `sys_job_log` VALUES (51840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:24:40');
INSERT INTO `sys_job_log` VALUES (51841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:24:45');
INSERT INTO `sys_job_log` VALUES (51842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:24:45');
INSERT INTO `sys_job_log` VALUES (51843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:24:50');
INSERT INTO `sys_job_log` VALUES (51844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:24:55');
INSERT INTO `sys_job_log` VALUES (51845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:25:00');
INSERT INTO `sys_job_log` VALUES (51846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:25:00');
INSERT INTO `sys_job_log` VALUES (51847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:25:05');
INSERT INTO `sys_job_log` VALUES (51848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:25:10');
INSERT INTO `sys_job_log` VALUES (51849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:25:15');
INSERT INTO `sys_job_log` VALUES (51850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:25:15');
INSERT INTO `sys_job_log` VALUES (51851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:25:20');
INSERT INTO `sys_job_log` VALUES (51852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:25:25');
INSERT INTO `sys_job_log` VALUES (51853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:25:30');
INSERT INTO `sys_job_log` VALUES (51854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:25:30');
INSERT INTO `sys_job_log` VALUES (51855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:25:35');
INSERT INTO `sys_job_log` VALUES (51856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:25:40');
INSERT INTO `sys_job_log` VALUES (51857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:25:45');
INSERT INTO `sys_job_log` VALUES (51858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:25:45');
INSERT INTO `sys_job_log` VALUES (51859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:25:50');
INSERT INTO `sys_job_log` VALUES (51860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:25:55');
INSERT INTO `sys_job_log` VALUES (51861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:26:00');
INSERT INTO `sys_job_log` VALUES (51862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:26:00');
INSERT INTO `sys_job_log` VALUES (51863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:26:05');
INSERT INTO `sys_job_log` VALUES (51864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:26:10');
INSERT INTO `sys_job_log` VALUES (51865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:26:15');
INSERT INTO `sys_job_log` VALUES (51866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:26:15');
INSERT INTO `sys_job_log` VALUES (51867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:26:20');
INSERT INTO `sys_job_log` VALUES (51868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:26:25');
INSERT INTO `sys_job_log` VALUES (51869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:26:30');
INSERT INTO `sys_job_log` VALUES (51870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:26:30');
INSERT INTO `sys_job_log` VALUES (51871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:26:35');
INSERT INTO `sys_job_log` VALUES (51872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:26:40');
INSERT INTO `sys_job_log` VALUES (51873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:26:45');
INSERT INTO `sys_job_log` VALUES (51874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:26:45');
INSERT INTO `sys_job_log` VALUES (51875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:26:50');
INSERT INTO `sys_job_log` VALUES (51876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:26:55');
INSERT INTO `sys_job_log` VALUES (51877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 02:27:00');
INSERT INTO `sys_job_log` VALUES (51878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 02:27:00');
INSERT INTO `sys_job_log` VALUES (51879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:27:05');
INSERT INTO `sys_job_log` VALUES (51880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:27:10');
INSERT INTO `sys_job_log` VALUES (51881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:27:15');
INSERT INTO `sys_job_log` VALUES (51882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:27:15');
INSERT INTO `sys_job_log` VALUES (51883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:27:20');
INSERT INTO `sys_job_log` VALUES (51884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:27:25');
INSERT INTO `sys_job_log` VALUES (51885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:27:30');
INSERT INTO `sys_job_log` VALUES (51886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:27:30');
INSERT INTO `sys_job_log` VALUES (51887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:27:35');
INSERT INTO `sys_job_log` VALUES (51888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:27:40');
INSERT INTO `sys_job_log` VALUES (51889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:27:45');
INSERT INTO `sys_job_log` VALUES (51890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:27:45');
INSERT INTO `sys_job_log` VALUES (51891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:27:50');
INSERT INTO `sys_job_log` VALUES (51892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:27:55');
INSERT INTO `sys_job_log` VALUES (51893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:28:00');
INSERT INTO `sys_job_log` VALUES (51894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:28:00');
INSERT INTO `sys_job_log` VALUES (51895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:28:05');
INSERT INTO `sys_job_log` VALUES (51896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:28:10');
INSERT INTO `sys_job_log` VALUES (51897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:28:15');
INSERT INTO `sys_job_log` VALUES (51898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:28:15');
INSERT INTO `sys_job_log` VALUES (51899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:28:20');
INSERT INTO `sys_job_log` VALUES (51900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:28:25');
INSERT INTO `sys_job_log` VALUES (51901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:28:30');
INSERT INTO `sys_job_log` VALUES (51902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:28:30');
INSERT INTO `sys_job_log` VALUES (51903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:28:35');
INSERT INTO `sys_job_log` VALUES (51904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:28:40');
INSERT INTO `sys_job_log` VALUES (51905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:28:45');
INSERT INTO `sys_job_log` VALUES (51906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:28:45');
INSERT INTO `sys_job_log` VALUES (51907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:28:50');
INSERT INTO `sys_job_log` VALUES (51908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:28:55');
INSERT INTO `sys_job_log` VALUES (51909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:29:00');
INSERT INTO `sys_job_log` VALUES (51910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:29:00');
INSERT INTO `sys_job_log` VALUES (51911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:29:05');
INSERT INTO `sys_job_log` VALUES (51912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:29:10');
INSERT INTO `sys_job_log` VALUES (51913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:29:15');
INSERT INTO `sys_job_log` VALUES (51914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:29:15');
INSERT INTO `sys_job_log` VALUES (51915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:29:20');
INSERT INTO `sys_job_log` VALUES (51916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:29:25');
INSERT INTO `sys_job_log` VALUES (51917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:29:30');
INSERT INTO `sys_job_log` VALUES (51918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:29:30');
INSERT INTO `sys_job_log` VALUES (51919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:29:35');
INSERT INTO `sys_job_log` VALUES (51920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:29:40');
INSERT INTO `sys_job_log` VALUES (51921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:29:45');
INSERT INTO `sys_job_log` VALUES (51922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:29:45');
INSERT INTO `sys_job_log` VALUES (51923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:29:50');
INSERT INTO `sys_job_log` VALUES (51924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:29:55');
INSERT INTO `sys_job_log` VALUES (51925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:30:00');
INSERT INTO `sys_job_log` VALUES (51926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:30:00');
INSERT INTO `sys_job_log` VALUES (51927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:30:05');
INSERT INTO `sys_job_log` VALUES (51928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:30:10');
INSERT INTO `sys_job_log` VALUES (51929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:30:15');
INSERT INTO `sys_job_log` VALUES (51930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:30:15');
INSERT INTO `sys_job_log` VALUES (51931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:30:20');
INSERT INTO `sys_job_log` VALUES (51932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:30:25');
INSERT INTO `sys_job_log` VALUES (51933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:30:30');
INSERT INTO `sys_job_log` VALUES (51934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:30:30');
INSERT INTO `sys_job_log` VALUES (51935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:30:35');
INSERT INTO `sys_job_log` VALUES (51936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:30:40');
INSERT INTO `sys_job_log` VALUES (51937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:30:45');
INSERT INTO `sys_job_log` VALUES (51938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:30:45');
INSERT INTO `sys_job_log` VALUES (51939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:30:50');
INSERT INTO `sys_job_log` VALUES (51940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:30:55');
INSERT INTO `sys_job_log` VALUES (51941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:31:00');
INSERT INTO `sys_job_log` VALUES (51942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:31:00');
INSERT INTO `sys_job_log` VALUES (51943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:31:05');
INSERT INTO `sys_job_log` VALUES (51944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:31:10');
INSERT INTO `sys_job_log` VALUES (51945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:31:15');
INSERT INTO `sys_job_log` VALUES (51946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:31:15');
INSERT INTO `sys_job_log` VALUES (51947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:31:20');
INSERT INTO `sys_job_log` VALUES (51948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:31:25');
INSERT INTO `sys_job_log` VALUES (51949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:31:30');
INSERT INTO `sys_job_log` VALUES (51950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:31:30');
INSERT INTO `sys_job_log` VALUES (51951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:31:35');
INSERT INTO `sys_job_log` VALUES (51952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:31:40');
INSERT INTO `sys_job_log` VALUES (51953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:31:45');
INSERT INTO `sys_job_log` VALUES (51954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:31:45');
INSERT INTO `sys_job_log` VALUES (51955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:31:50');
INSERT INTO `sys_job_log` VALUES (51956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:31:55');
INSERT INTO `sys_job_log` VALUES (51957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:32:00');
INSERT INTO `sys_job_log` VALUES (51958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:32:00');
INSERT INTO `sys_job_log` VALUES (51959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:32:05');
INSERT INTO `sys_job_log` VALUES (51960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:32:10');
INSERT INTO `sys_job_log` VALUES (51961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:32:15');
INSERT INTO `sys_job_log` VALUES (51962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:32:15');
INSERT INTO `sys_job_log` VALUES (51963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:32:20');
INSERT INTO `sys_job_log` VALUES (51964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:32:25');
INSERT INTO `sys_job_log` VALUES (51965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:32:30');
INSERT INTO `sys_job_log` VALUES (51966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:32:30');
INSERT INTO `sys_job_log` VALUES (51967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:32:35');
INSERT INTO `sys_job_log` VALUES (51968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:32:40');
INSERT INTO `sys_job_log` VALUES (51969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:32:45');
INSERT INTO `sys_job_log` VALUES (51970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:32:45');
INSERT INTO `sys_job_log` VALUES (51971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:32:50');
INSERT INTO `sys_job_log` VALUES (51972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:32:55');
INSERT INTO `sys_job_log` VALUES (51973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:33:00');
INSERT INTO `sys_job_log` VALUES (51974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:33:00');
INSERT INTO `sys_job_log` VALUES (51975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:33:05');
INSERT INTO `sys_job_log` VALUES (51976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:33:10');
INSERT INTO `sys_job_log` VALUES (51977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:33:15');
INSERT INTO `sys_job_log` VALUES (51978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:33:15');
INSERT INTO `sys_job_log` VALUES (51979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:33:20');
INSERT INTO `sys_job_log` VALUES (51980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:33:25');
INSERT INTO `sys_job_log` VALUES (51981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:33:30');
INSERT INTO `sys_job_log` VALUES (51982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:33:30');
INSERT INTO `sys_job_log` VALUES (51983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:33:35');
INSERT INTO `sys_job_log` VALUES (51984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:33:40');
INSERT INTO `sys_job_log` VALUES (51985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:33:45');
INSERT INTO `sys_job_log` VALUES (51986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:33:45');
INSERT INTO `sys_job_log` VALUES (51987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:33:50');
INSERT INTO `sys_job_log` VALUES (51988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:33:55');
INSERT INTO `sys_job_log` VALUES (51989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:34:00');
INSERT INTO `sys_job_log` VALUES (51990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 02:34:00');
INSERT INTO `sys_job_log` VALUES (51991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:34:05');
INSERT INTO `sys_job_log` VALUES (51992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:34:10');
INSERT INTO `sys_job_log` VALUES (51993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:34:15');
INSERT INTO `sys_job_log` VALUES (51994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:34:15');
INSERT INTO `sys_job_log` VALUES (51995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:34:20');
INSERT INTO `sys_job_log` VALUES (51996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:34:25');
INSERT INTO `sys_job_log` VALUES (51997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:34:30');
INSERT INTO `sys_job_log` VALUES (51998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:34:30');
INSERT INTO `sys_job_log` VALUES (51999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:34:35');
INSERT INTO `sys_job_log` VALUES (52000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:34:40');
INSERT INTO `sys_job_log` VALUES (52001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:34:45');
INSERT INTO `sys_job_log` VALUES (52002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:34:45');
INSERT INTO `sys_job_log` VALUES (52003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:34:50');
INSERT INTO `sys_job_log` VALUES (52004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:34:55');
INSERT INTO `sys_job_log` VALUES (52005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 02:35:00');
INSERT INTO `sys_job_log` VALUES (52006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 02:35:00');
INSERT INTO `sys_job_log` VALUES (52007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:35:05');
INSERT INTO `sys_job_log` VALUES (52008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:35:10');
INSERT INTO `sys_job_log` VALUES (52009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:35:15');
INSERT INTO `sys_job_log` VALUES (52010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:35:15');
INSERT INTO `sys_job_log` VALUES (52011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:35:20');
INSERT INTO `sys_job_log` VALUES (52012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:35:25');
INSERT INTO `sys_job_log` VALUES (52013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:35:30');
INSERT INTO `sys_job_log` VALUES (52014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:35:30');
INSERT INTO `sys_job_log` VALUES (52015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:35:35');
INSERT INTO `sys_job_log` VALUES (52016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:35:40');
INSERT INTO `sys_job_log` VALUES (52017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:35:45');
INSERT INTO `sys_job_log` VALUES (52018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:35:45');
INSERT INTO `sys_job_log` VALUES (52019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:35:50');
INSERT INTO `sys_job_log` VALUES (52020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:35:55');
INSERT INTO `sys_job_log` VALUES (52021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:36:00');
INSERT INTO `sys_job_log` VALUES (52022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:36:00');
INSERT INTO `sys_job_log` VALUES (52023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:36:05');
INSERT INTO `sys_job_log` VALUES (52024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:36:10');
INSERT INTO `sys_job_log` VALUES (52025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:36:15');
INSERT INTO `sys_job_log` VALUES (52026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:36:15');
INSERT INTO `sys_job_log` VALUES (52027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:36:20');
INSERT INTO `sys_job_log` VALUES (52028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:36:25');
INSERT INTO `sys_job_log` VALUES (52029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:36:30');
INSERT INTO `sys_job_log` VALUES (52030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:36:30');
INSERT INTO `sys_job_log` VALUES (52031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:36:35');
INSERT INTO `sys_job_log` VALUES (52032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:36:40');
INSERT INTO `sys_job_log` VALUES (52033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:36:45');
INSERT INTO `sys_job_log` VALUES (52034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:36:45');
INSERT INTO `sys_job_log` VALUES (52035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:36:50');
INSERT INTO `sys_job_log` VALUES (52036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:36:55');
INSERT INTO `sys_job_log` VALUES (52037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:37:00');
INSERT INTO `sys_job_log` VALUES (52038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 02:37:00');
INSERT INTO `sys_job_log` VALUES (52039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:37:05');
INSERT INTO `sys_job_log` VALUES (52040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:37:10');
INSERT INTO `sys_job_log` VALUES (52041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:37:15');
INSERT INTO `sys_job_log` VALUES (52042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:15');
INSERT INTO `sys_job_log` VALUES (52043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:37:20');
INSERT INTO `sys_job_log` VALUES (52044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:25');
INSERT INTO `sys_job_log` VALUES (52045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:37:30');
INSERT INTO `sys_job_log` VALUES (52046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:30');
INSERT INTO `sys_job_log` VALUES (52047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:35');
INSERT INTO `sys_job_log` VALUES (52048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:40');
INSERT INTO `sys_job_log` VALUES (52049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:37:45');
INSERT INTO `sys_job_log` VALUES (52050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:45');
INSERT INTO `sys_job_log` VALUES (52051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:37:50');
INSERT INTO `sys_job_log` VALUES (52052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:37:55');
INSERT INTO `sys_job_log` VALUES (52053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:38:00');
INSERT INTO `sys_job_log` VALUES (52054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:38:00');
INSERT INTO `sys_job_log` VALUES (52055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:38:05');
INSERT INTO `sys_job_log` VALUES (52056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:38:10');
INSERT INTO `sys_job_log` VALUES (52057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:38:15');
INSERT INTO `sys_job_log` VALUES (52058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:38:15');
INSERT INTO `sys_job_log` VALUES (52059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:38:20');
INSERT INTO `sys_job_log` VALUES (52060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:38:25');
INSERT INTO `sys_job_log` VALUES (52061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:38:30');
INSERT INTO `sys_job_log` VALUES (52062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:38:30');
INSERT INTO `sys_job_log` VALUES (52063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:38:35');
INSERT INTO `sys_job_log` VALUES (52064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:38:40');
INSERT INTO `sys_job_log` VALUES (52065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:38:45');
INSERT INTO `sys_job_log` VALUES (52066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:38:45');
INSERT INTO `sys_job_log` VALUES (52067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:38:50');
INSERT INTO `sys_job_log` VALUES (52068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:38:55');
INSERT INTO `sys_job_log` VALUES (52069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 02:39:00');
INSERT INTO `sys_job_log` VALUES (52070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 02:39:00');
INSERT INTO `sys_job_log` VALUES (52071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:39:05');
INSERT INTO `sys_job_log` VALUES (52072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:39:10');
INSERT INTO `sys_job_log` VALUES (52073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:39:15');
INSERT INTO `sys_job_log` VALUES (52074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:39:15');
INSERT INTO `sys_job_log` VALUES (52075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:39:20');
INSERT INTO `sys_job_log` VALUES (52076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:39:25');
INSERT INTO `sys_job_log` VALUES (52077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:39:30');
INSERT INTO `sys_job_log` VALUES (52078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:39:30');
INSERT INTO `sys_job_log` VALUES (52079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:39:35');
INSERT INTO `sys_job_log` VALUES (52080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:39:40');
INSERT INTO `sys_job_log` VALUES (52081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:39:45');
INSERT INTO `sys_job_log` VALUES (52082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:39:45');
INSERT INTO `sys_job_log` VALUES (52083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:39:50');
INSERT INTO `sys_job_log` VALUES (52084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:39:55');
INSERT INTO `sys_job_log` VALUES (52085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:00');
INSERT INTO `sys_job_log` VALUES (52086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:40:00');
INSERT INTO `sys_job_log` VALUES (52087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:40:05');
INSERT INTO `sys_job_log` VALUES (52088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:10');
INSERT INTO `sys_job_log` VALUES (52089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:40:15');
INSERT INTO `sys_job_log` VALUES (52090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:15');
INSERT INTO `sys_job_log` VALUES (52091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:20');
INSERT INTO `sys_job_log` VALUES (52092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:40:25');
INSERT INTO `sys_job_log` VALUES (52093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:40:30');
INSERT INTO `sys_job_log` VALUES (52094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:40:30');
INSERT INTO `sys_job_log` VALUES (52095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:35');
INSERT INTO `sys_job_log` VALUES (52096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:40:40');
INSERT INTO `sys_job_log` VALUES (52097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:45');
INSERT INTO `sys_job_log` VALUES (52098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:40:45');
INSERT INTO `sys_job_log` VALUES (52099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:40:50');
INSERT INTO `sys_job_log` VALUES (52100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:40:55');
INSERT INTO `sys_job_log` VALUES (52101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:41:00');
INSERT INTO `sys_job_log` VALUES (52102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:41:00');
INSERT INTO `sys_job_log` VALUES (52103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:41:05');
INSERT INTO `sys_job_log` VALUES (52104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:41:10');
INSERT INTO `sys_job_log` VALUES (52105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:41:15');
INSERT INTO `sys_job_log` VALUES (52106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:41:15');
INSERT INTO `sys_job_log` VALUES (52107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:41:20');
INSERT INTO `sys_job_log` VALUES (52108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:41:25');
INSERT INTO `sys_job_log` VALUES (52109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:41:30');
INSERT INTO `sys_job_log` VALUES (52110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:41:30');
INSERT INTO `sys_job_log` VALUES (52111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:41:35');
INSERT INTO `sys_job_log` VALUES (52112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:41:40');
INSERT INTO `sys_job_log` VALUES (52113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:41:45');
INSERT INTO `sys_job_log` VALUES (52114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:41:45');
INSERT INTO `sys_job_log` VALUES (52115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:41:50');
INSERT INTO `sys_job_log` VALUES (52116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:41:55');
INSERT INTO `sys_job_log` VALUES (52117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:42:00');
INSERT INTO `sys_job_log` VALUES (52118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 02:42:00');
INSERT INTO `sys_job_log` VALUES (52119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:42:05');
INSERT INTO `sys_job_log` VALUES (52120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:42:10');
INSERT INTO `sys_job_log` VALUES (52121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:42:15');
INSERT INTO `sys_job_log` VALUES (52122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 02:42:15');
INSERT INTO `sys_job_log` VALUES (52123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:42:20');
INSERT INTO `sys_job_log` VALUES (52124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:42:25');
INSERT INTO `sys_job_log` VALUES (52125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:42:30');
INSERT INTO `sys_job_log` VALUES (52126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:42:30');
INSERT INTO `sys_job_log` VALUES (52127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:42:35');
INSERT INTO `sys_job_log` VALUES (52128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:42:40');
INSERT INTO `sys_job_log` VALUES (52129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:42:45');
INSERT INTO `sys_job_log` VALUES (52130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:42:45');
INSERT INTO `sys_job_log` VALUES (52131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:42:50');
INSERT INTO `sys_job_log` VALUES (52132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:42:55');
INSERT INTO `sys_job_log` VALUES (52133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:43:00');
INSERT INTO `sys_job_log` VALUES (52134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:43:00');
INSERT INTO `sys_job_log` VALUES (52135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:43:05');
INSERT INTO `sys_job_log` VALUES (52136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:43:10');
INSERT INTO `sys_job_log` VALUES (52137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:43:15');
INSERT INTO `sys_job_log` VALUES (52138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:43:15');
INSERT INTO `sys_job_log` VALUES (52139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:43:20');
INSERT INTO `sys_job_log` VALUES (52140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:43:25');
INSERT INTO `sys_job_log` VALUES (52141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:43:30');
INSERT INTO `sys_job_log` VALUES (52142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:43:30');
INSERT INTO `sys_job_log` VALUES (52143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:43:35');
INSERT INTO `sys_job_log` VALUES (52144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:43:40');
INSERT INTO `sys_job_log` VALUES (52145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:43:45');
INSERT INTO `sys_job_log` VALUES (52146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:43:45');
INSERT INTO `sys_job_log` VALUES (52147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:43:50');
INSERT INTO `sys_job_log` VALUES (52148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:43:55');
INSERT INTO `sys_job_log` VALUES (52149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 02:44:00');
INSERT INTO `sys_job_log` VALUES (52150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 02:44:00');
INSERT INTO `sys_job_log` VALUES (52151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:44:05');
INSERT INTO `sys_job_log` VALUES (52152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:44:10');
INSERT INTO `sys_job_log` VALUES (52153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:44:15');
INSERT INTO `sys_job_log` VALUES (52154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:44:15');
INSERT INTO `sys_job_log` VALUES (52155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:44:20');
INSERT INTO `sys_job_log` VALUES (52156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:44:25');
INSERT INTO `sys_job_log` VALUES (52157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:44:30');
INSERT INTO `sys_job_log` VALUES (52158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:44:30');
INSERT INTO `sys_job_log` VALUES (52159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:44:35');
INSERT INTO `sys_job_log` VALUES (52160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:44:40');
INSERT INTO `sys_job_log` VALUES (52161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:44:45');
INSERT INTO `sys_job_log` VALUES (52162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:44:45');
INSERT INTO `sys_job_log` VALUES (52163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:44:50');
INSERT INTO `sys_job_log` VALUES (52164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:44:55');
INSERT INTO `sys_job_log` VALUES (52165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:45:00');
INSERT INTO `sys_job_log` VALUES (52166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:45:00');
INSERT INTO `sys_job_log` VALUES (52167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:45:05');
INSERT INTO `sys_job_log` VALUES (52168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:45:10');
INSERT INTO `sys_job_log` VALUES (52169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:45:15');
INSERT INTO `sys_job_log` VALUES (52170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:45:15');
INSERT INTO `sys_job_log` VALUES (52171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:45:20');
INSERT INTO `sys_job_log` VALUES (52172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:45:25');
INSERT INTO `sys_job_log` VALUES (52173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:45:30');
INSERT INTO `sys_job_log` VALUES (52174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:45:30');
INSERT INTO `sys_job_log` VALUES (52175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:45:35');
INSERT INTO `sys_job_log` VALUES (52176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:45:40');
INSERT INTO `sys_job_log` VALUES (52177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:45:45');
INSERT INTO `sys_job_log` VALUES (52178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 02:45:45');
INSERT INTO `sys_job_log` VALUES (52179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 02:45:50');
INSERT INTO `sys_job_log` VALUES (52180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:45:55');
INSERT INTO `sys_job_log` VALUES (52181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:46:00');
INSERT INTO `sys_job_log` VALUES (52182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:46:00');
INSERT INTO `sys_job_log` VALUES (52183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:46:05');
INSERT INTO `sys_job_log` VALUES (52184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:46:10');
INSERT INTO `sys_job_log` VALUES (52185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:46:15');
INSERT INTO `sys_job_log` VALUES (52186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:46:15');
INSERT INTO `sys_job_log` VALUES (52187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:46:20');
INSERT INTO `sys_job_log` VALUES (52188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:46:25');
INSERT INTO `sys_job_log` VALUES (52189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:46:30');
INSERT INTO `sys_job_log` VALUES (52190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:46:30');
INSERT INTO `sys_job_log` VALUES (52191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:46:35');
INSERT INTO `sys_job_log` VALUES (52192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:46:40');
INSERT INTO `sys_job_log` VALUES (52193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:46:45');
INSERT INTO `sys_job_log` VALUES (52194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:46:45');
INSERT INTO `sys_job_log` VALUES (52195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:46:50');
INSERT INTO `sys_job_log` VALUES (52196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:46:55');
INSERT INTO `sys_job_log` VALUES (52197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:47:00');
INSERT INTO `sys_job_log` VALUES (52198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:47:00');
INSERT INTO `sys_job_log` VALUES (52199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:47:05');
INSERT INTO `sys_job_log` VALUES (52200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:47:10');
INSERT INTO `sys_job_log` VALUES (52201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:47:15');
INSERT INTO `sys_job_log` VALUES (52202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:47:15');
INSERT INTO `sys_job_log` VALUES (52203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:47:20');
INSERT INTO `sys_job_log` VALUES (52204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:47:25');
INSERT INTO `sys_job_log` VALUES (52205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:47:30');
INSERT INTO `sys_job_log` VALUES (52206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:47:30');
INSERT INTO `sys_job_log` VALUES (52207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:47:35');
INSERT INTO `sys_job_log` VALUES (52208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:47:40');
INSERT INTO `sys_job_log` VALUES (52209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:47:45');
INSERT INTO `sys_job_log` VALUES (52210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:47:45');
INSERT INTO `sys_job_log` VALUES (52211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:47:50');
INSERT INTO `sys_job_log` VALUES (52212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:47:55');
INSERT INTO `sys_job_log` VALUES (52213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:48:00');
INSERT INTO `sys_job_log` VALUES (52214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:48:00');
INSERT INTO `sys_job_log` VALUES (52215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:48:05');
INSERT INTO `sys_job_log` VALUES (52216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:48:10');
INSERT INTO `sys_job_log` VALUES (52217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:48:15');
INSERT INTO `sys_job_log` VALUES (52218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:48:15');
INSERT INTO `sys_job_log` VALUES (52219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:48:20');
INSERT INTO `sys_job_log` VALUES (52220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:48:25');
INSERT INTO `sys_job_log` VALUES (52221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:48:30');
INSERT INTO `sys_job_log` VALUES (52222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:48:30');
INSERT INTO `sys_job_log` VALUES (52223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:48:35');
INSERT INTO `sys_job_log` VALUES (52224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:48:40');
INSERT INTO `sys_job_log` VALUES (52225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:48:45');
INSERT INTO `sys_job_log` VALUES (52226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:48:45');
INSERT INTO `sys_job_log` VALUES (52227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:48:50');
INSERT INTO `sys_job_log` VALUES (52228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:48:55');
INSERT INTO `sys_job_log` VALUES (52229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:49:00');
INSERT INTO `sys_job_log` VALUES (52230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:49:00');
INSERT INTO `sys_job_log` VALUES (52231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:49:05');
INSERT INTO `sys_job_log` VALUES (52232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:49:10');
INSERT INTO `sys_job_log` VALUES (52233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:49:15');
INSERT INTO `sys_job_log` VALUES (52234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:49:15');
INSERT INTO `sys_job_log` VALUES (52235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:49:20');
INSERT INTO `sys_job_log` VALUES (52236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:49:25');
INSERT INTO `sys_job_log` VALUES (52237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:49:30');
INSERT INTO `sys_job_log` VALUES (52238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:49:30');
INSERT INTO `sys_job_log` VALUES (52239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:49:35');
INSERT INTO `sys_job_log` VALUES (52240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:49:40');
INSERT INTO `sys_job_log` VALUES (52241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:49:45');
INSERT INTO `sys_job_log` VALUES (52242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:49:45');
INSERT INTO `sys_job_log` VALUES (52243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:49:50');
INSERT INTO `sys_job_log` VALUES (52244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:49:55');
INSERT INTO `sys_job_log` VALUES (52245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:50:00');
INSERT INTO `sys_job_log` VALUES (52246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:50:00');
INSERT INTO `sys_job_log` VALUES (52247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:50:05');
INSERT INTO `sys_job_log` VALUES (52248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:50:10');
INSERT INTO `sys_job_log` VALUES (52249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:50:15');
INSERT INTO `sys_job_log` VALUES (52250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:50:15');
INSERT INTO `sys_job_log` VALUES (52251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:50:20');
INSERT INTO `sys_job_log` VALUES (52252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:50:25');
INSERT INTO `sys_job_log` VALUES (52253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:50:30');
INSERT INTO `sys_job_log` VALUES (52254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:50:30');
INSERT INTO `sys_job_log` VALUES (52255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:50:35');
INSERT INTO `sys_job_log` VALUES (52256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:50:40');
INSERT INTO `sys_job_log` VALUES (52257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:50:45');
INSERT INTO `sys_job_log` VALUES (52258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:50:45');
INSERT INTO `sys_job_log` VALUES (52259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:50:50');
INSERT INTO `sys_job_log` VALUES (52260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:50:55');
INSERT INTO `sys_job_log` VALUES (52261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:51:00');
INSERT INTO `sys_job_log` VALUES (52262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:51:00');
INSERT INTO `sys_job_log` VALUES (52263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:51:05');
INSERT INTO `sys_job_log` VALUES (52264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:51:10');
INSERT INTO `sys_job_log` VALUES (52265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:51:15');
INSERT INTO `sys_job_log` VALUES (52266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:51:15');
INSERT INTO `sys_job_log` VALUES (52267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:51:20');
INSERT INTO `sys_job_log` VALUES (52268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:51:25');
INSERT INTO `sys_job_log` VALUES (52269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:51:30');
INSERT INTO `sys_job_log` VALUES (52270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:51:30');
INSERT INTO `sys_job_log` VALUES (52271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:51:35');
INSERT INTO `sys_job_log` VALUES (52272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:51:40');
INSERT INTO `sys_job_log` VALUES (52273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:51:45');
INSERT INTO `sys_job_log` VALUES (52274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:51:45');
INSERT INTO `sys_job_log` VALUES (52275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:51:50');
INSERT INTO `sys_job_log` VALUES (52276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:51:55');
INSERT INTO `sys_job_log` VALUES (52277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:52:00');
INSERT INTO `sys_job_log` VALUES (52278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:52:00');
INSERT INTO `sys_job_log` VALUES (52279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:52:05');
INSERT INTO `sys_job_log` VALUES (52280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:52:10');
INSERT INTO `sys_job_log` VALUES (52281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:52:15');
INSERT INTO `sys_job_log` VALUES (52282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:52:15');
INSERT INTO `sys_job_log` VALUES (52283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:52:20');
INSERT INTO `sys_job_log` VALUES (52284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:52:25');
INSERT INTO `sys_job_log` VALUES (52285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:52:30');
INSERT INTO `sys_job_log` VALUES (52286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:52:30');
INSERT INTO `sys_job_log` VALUES (52287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:52:35');
INSERT INTO `sys_job_log` VALUES (52288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:52:40');
INSERT INTO `sys_job_log` VALUES (52289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:52:45');
INSERT INTO `sys_job_log` VALUES (52290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:52:45');
INSERT INTO `sys_job_log` VALUES (52291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:52:50');
INSERT INTO `sys_job_log` VALUES (52292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:52:55');
INSERT INTO `sys_job_log` VALUES (52293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 02:53:00');
INSERT INTO `sys_job_log` VALUES (52294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 02:53:00');
INSERT INTO `sys_job_log` VALUES (52295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:53:05');
INSERT INTO `sys_job_log` VALUES (52296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:53:10');
INSERT INTO `sys_job_log` VALUES (52297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:53:15');
INSERT INTO `sys_job_log` VALUES (52298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:53:15');
INSERT INTO `sys_job_log` VALUES (52299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:53:20');
INSERT INTO `sys_job_log` VALUES (52300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:53:25');
INSERT INTO `sys_job_log` VALUES (52301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:53:30');
INSERT INTO `sys_job_log` VALUES (52302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 02:53:30');
INSERT INTO `sys_job_log` VALUES (52303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:53:35');
INSERT INTO `sys_job_log` VALUES (52304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:53:40');
INSERT INTO `sys_job_log` VALUES (52305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:53:45');
INSERT INTO `sys_job_log` VALUES (52306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:53:45');
INSERT INTO `sys_job_log` VALUES (52307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:53:50');
INSERT INTO `sys_job_log` VALUES (52308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:53:55');
INSERT INTO `sys_job_log` VALUES (52309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:54:00');
INSERT INTO `sys_job_log` VALUES (52310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:54:00');
INSERT INTO `sys_job_log` VALUES (52311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:54:05');
INSERT INTO `sys_job_log` VALUES (52312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:54:10');
INSERT INTO `sys_job_log` VALUES (52313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:54:15');
INSERT INTO `sys_job_log` VALUES (52314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:54:15');
INSERT INTO `sys_job_log` VALUES (52315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:54:20');
INSERT INTO `sys_job_log` VALUES (52316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:54:25');
INSERT INTO `sys_job_log` VALUES (52317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:54:30');
INSERT INTO `sys_job_log` VALUES (52318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:54:30');
INSERT INTO `sys_job_log` VALUES (52319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:54:35');
INSERT INTO `sys_job_log` VALUES (52320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:54:40');
INSERT INTO `sys_job_log` VALUES (52321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:54:45');
INSERT INTO `sys_job_log` VALUES (52322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:54:45');
INSERT INTO `sys_job_log` VALUES (52323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:54:50');
INSERT INTO `sys_job_log` VALUES (52324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:54:55');
INSERT INTO `sys_job_log` VALUES (52325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:55:00');
INSERT INTO `sys_job_log` VALUES (52326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:55:00');
INSERT INTO `sys_job_log` VALUES (52327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:55:05');
INSERT INTO `sys_job_log` VALUES (52328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:55:10');
INSERT INTO `sys_job_log` VALUES (52329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:55:15');
INSERT INTO `sys_job_log` VALUES (52330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:55:15');
INSERT INTO `sys_job_log` VALUES (52331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:55:20');
INSERT INTO `sys_job_log` VALUES (52332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:55:25');
INSERT INTO `sys_job_log` VALUES (52333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:55:30');
INSERT INTO `sys_job_log` VALUES (52334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:55:30');
INSERT INTO `sys_job_log` VALUES (52335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:55:35');
INSERT INTO `sys_job_log` VALUES (52336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:55:40');
INSERT INTO `sys_job_log` VALUES (52337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:55:45');
INSERT INTO `sys_job_log` VALUES (52338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:55:45');
INSERT INTO `sys_job_log` VALUES (52339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:55:50');
INSERT INTO `sys_job_log` VALUES (52340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:55:55');
INSERT INTO `sys_job_log` VALUES (52341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 02:56:00');
INSERT INTO `sys_job_log` VALUES (52342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 02:56:00');
INSERT INTO `sys_job_log` VALUES (52343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:56:05');
INSERT INTO `sys_job_log` VALUES (52344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 02:56:10');
INSERT INTO `sys_job_log` VALUES (52345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:56:15');
INSERT INTO `sys_job_log` VALUES (52346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:56:15');
INSERT INTO `sys_job_log` VALUES (52347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 02:56:20');
INSERT INTO `sys_job_log` VALUES (52348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:56:25');
INSERT INTO `sys_job_log` VALUES (52349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:56:30');
INSERT INTO `sys_job_log` VALUES (52350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:56:30');
INSERT INTO `sys_job_log` VALUES (52351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:56:35');
INSERT INTO `sys_job_log` VALUES (52352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:56:40');
INSERT INTO `sys_job_log` VALUES (52353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:56:45');
INSERT INTO `sys_job_log` VALUES (52354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 02:56:45');
INSERT INTO `sys_job_log` VALUES (52355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:56:50');
INSERT INTO `sys_job_log` VALUES (52356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:56:55');
INSERT INTO `sys_job_log` VALUES (52357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 02:57:00');
INSERT INTO `sys_job_log` VALUES (52358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 02:57:00');
INSERT INTO `sys_job_log` VALUES (52359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:57:05');
INSERT INTO `sys_job_log` VALUES (52360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:57:10');
INSERT INTO `sys_job_log` VALUES (52361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:57:15');
INSERT INTO `sys_job_log` VALUES (52362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:57:15');
INSERT INTO `sys_job_log` VALUES (52363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:57:20');
INSERT INTO `sys_job_log` VALUES (52364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:57:25');
INSERT INTO `sys_job_log` VALUES (52365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 02:57:30');
INSERT INTO `sys_job_log` VALUES (52366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:57:30');
INSERT INTO `sys_job_log` VALUES (52367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:57:35');
INSERT INTO `sys_job_log` VALUES (52368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:57:40');
INSERT INTO `sys_job_log` VALUES (52369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:57:45');
INSERT INTO `sys_job_log` VALUES (52370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:57:45');
INSERT INTO `sys_job_log` VALUES (52371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:57:50');
INSERT INTO `sys_job_log` VALUES (52372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:57:55');
INSERT INTO `sys_job_log` VALUES (52373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:58:00');
INSERT INTO `sys_job_log` VALUES (52374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:58:00');
INSERT INTO `sys_job_log` VALUES (52375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:58:05');
INSERT INTO `sys_job_log` VALUES (52376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:58:10');
INSERT INTO `sys_job_log` VALUES (52377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:58:15');
INSERT INTO `sys_job_log` VALUES (52378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:58:15');
INSERT INTO `sys_job_log` VALUES (52379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:58:20');
INSERT INTO `sys_job_log` VALUES (52380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:58:25');
INSERT INTO `sys_job_log` VALUES (52381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:58:30');
INSERT INTO `sys_job_log` VALUES (52382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:58:30');
INSERT INTO `sys_job_log` VALUES (52383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 02:58:35');
INSERT INTO `sys_job_log` VALUES (52384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:58:40');
INSERT INTO `sys_job_log` VALUES (52385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 02:58:45');
INSERT INTO `sys_job_log` VALUES (52386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 02:58:45');
INSERT INTO `sys_job_log` VALUES (52387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:58:50');
INSERT INTO `sys_job_log` VALUES (52388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:58:55');
INSERT INTO `sys_job_log` VALUES (52389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 02:59:00');
INSERT INTO `sys_job_log` VALUES (52390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 02:59:00');
INSERT INTO `sys_job_log` VALUES (52391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:59:05');
INSERT INTO `sys_job_log` VALUES (52392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 02:59:10');
INSERT INTO `sys_job_log` VALUES (52393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 02:59:15');
INSERT INTO `sys_job_log` VALUES (52394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 02:59:15');
INSERT INTO `sys_job_log` VALUES (52395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:59:20');
INSERT INTO `sys_job_log` VALUES (52396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:59:25');
INSERT INTO `sys_job_log` VALUES (52397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:59:30');
INSERT INTO `sys_job_log` VALUES (52398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 02:59:30');
INSERT INTO `sys_job_log` VALUES (52399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:59:35');
INSERT INTO `sys_job_log` VALUES (52400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 02:59:40');
INSERT INTO `sys_job_log` VALUES (52401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 02:59:45');
INSERT INTO `sys_job_log` VALUES (52402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 02:59:45');
INSERT INTO `sys_job_log` VALUES (52403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 02:59:50');
INSERT INTO `sys_job_log` VALUES (52404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 02:59:55');
INSERT INTO `sys_job_log` VALUES (52405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:00:00');
INSERT INTO `sys_job_log` VALUES (52406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:00:00');
INSERT INTO `sys_job_log` VALUES (52407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:00:05');
INSERT INTO `sys_job_log` VALUES (52408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:00:10');
INSERT INTO `sys_job_log` VALUES (52409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:00:15');
INSERT INTO `sys_job_log` VALUES (52410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:00:15');
INSERT INTO `sys_job_log` VALUES (52411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:00:20');
INSERT INTO `sys_job_log` VALUES (52412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:00:25');
INSERT INTO `sys_job_log` VALUES (52413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:00:30');
INSERT INTO `sys_job_log` VALUES (52414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:00:30');
INSERT INTO `sys_job_log` VALUES (52415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:00:35');
INSERT INTO `sys_job_log` VALUES (52416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:00:40');
INSERT INTO `sys_job_log` VALUES (52417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:00:45');
INSERT INTO `sys_job_log` VALUES (52418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:00:45');
INSERT INTO `sys_job_log` VALUES (52419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:00:50');
INSERT INTO `sys_job_log` VALUES (52420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:00:55');
INSERT INTO `sys_job_log` VALUES (52421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:01:00');
INSERT INTO `sys_job_log` VALUES (52422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:01:00');
INSERT INTO `sys_job_log` VALUES (52423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:01:05');
INSERT INTO `sys_job_log` VALUES (52424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:01:10');
INSERT INTO `sys_job_log` VALUES (52425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:01:15');
INSERT INTO `sys_job_log` VALUES (52426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:01:15');
INSERT INTO `sys_job_log` VALUES (52427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:01:20');
INSERT INTO `sys_job_log` VALUES (52428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:01:25');
INSERT INTO `sys_job_log` VALUES (52429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:01:30');
INSERT INTO `sys_job_log` VALUES (52430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 03:01:30');
INSERT INTO `sys_job_log` VALUES (52431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:01:35');
INSERT INTO `sys_job_log` VALUES (52432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:01:40');
INSERT INTO `sys_job_log` VALUES (52433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:01:45');
INSERT INTO `sys_job_log` VALUES (52434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:01:45');
INSERT INTO `sys_job_log` VALUES (52435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:01:50');
INSERT INTO `sys_job_log` VALUES (52436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:01:55');
INSERT INTO `sys_job_log` VALUES (52437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:02:00');
INSERT INTO `sys_job_log` VALUES (52438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:02:00');
INSERT INTO `sys_job_log` VALUES (52439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:02:05');
INSERT INTO `sys_job_log` VALUES (52440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:02:10');
INSERT INTO `sys_job_log` VALUES (52441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:02:15');
INSERT INTO `sys_job_log` VALUES (52442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:02:15');
INSERT INTO `sys_job_log` VALUES (52443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:02:20');
INSERT INTO `sys_job_log` VALUES (52444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:02:25');
INSERT INTO `sys_job_log` VALUES (52445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 03:02:30');
INSERT INTO `sys_job_log` VALUES (52446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 03:02:30');
INSERT INTO `sys_job_log` VALUES (52447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:02:35');
INSERT INTO `sys_job_log` VALUES (52448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:02:40');
INSERT INTO `sys_job_log` VALUES (52449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:02:45');
INSERT INTO `sys_job_log` VALUES (52450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:02:45');
INSERT INTO `sys_job_log` VALUES (52451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:02:50');
INSERT INTO `sys_job_log` VALUES (52452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:02:55');
INSERT INTO `sys_job_log` VALUES (52453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:03:00');
INSERT INTO `sys_job_log` VALUES (52454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:03:00');
INSERT INTO `sys_job_log` VALUES (52455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:03:05');
INSERT INTO `sys_job_log` VALUES (52456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:03:10');
INSERT INTO `sys_job_log` VALUES (52457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:03:15');
INSERT INTO `sys_job_log` VALUES (52458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:03:15');
INSERT INTO `sys_job_log` VALUES (52459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:03:20');
INSERT INTO `sys_job_log` VALUES (52460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:03:25');
INSERT INTO `sys_job_log` VALUES (52461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:03:30');
INSERT INTO `sys_job_log` VALUES (52462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:03:30');
INSERT INTO `sys_job_log` VALUES (52463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:03:35');
INSERT INTO `sys_job_log` VALUES (52464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:03:40');
INSERT INTO `sys_job_log` VALUES (52465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:03:45');
INSERT INTO `sys_job_log` VALUES (52466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:03:45');
INSERT INTO `sys_job_log` VALUES (52467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:03:50');
INSERT INTO `sys_job_log` VALUES (52468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:03:55');
INSERT INTO `sys_job_log` VALUES (52469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 03:04:00');
INSERT INTO `sys_job_log` VALUES (52470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 03:04:00');
INSERT INTO `sys_job_log` VALUES (52471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:05');
INSERT INTO `sys_job_log` VALUES (52472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:04:10');
INSERT INTO `sys_job_log` VALUES (52473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:15');
INSERT INTO `sys_job_log` VALUES (52474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:15');
INSERT INTO `sys_job_log` VALUES (52475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:04:20');
INSERT INTO `sys_job_log` VALUES (52476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:25');
INSERT INTO `sys_job_log` VALUES (52477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:04:30');
INSERT INTO `sys_job_log` VALUES (52478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:04:30');
INSERT INTO `sys_job_log` VALUES (52479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:35');
INSERT INTO `sys_job_log` VALUES (52480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:04:40');
INSERT INTO `sys_job_log` VALUES (52481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:45');
INSERT INTO `sys_job_log` VALUES (52482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:45');
INSERT INTO `sys_job_log` VALUES (52483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:04:50');
INSERT INTO `sys_job_log` VALUES (52484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:04:55');
INSERT INTO `sys_job_log` VALUES (52485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:05:00');
INSERT INTO `sys_job_log` VALUES (52486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:05:00');
INSERT INTO `sys_job_log` VALUES (52487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:05');
INSERT INTO `sys_job_log` VALUES (52488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:05:10');
INSERT INTO `sys_job_log` VALUES (52489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:15');
INSERT INTO `sys_job_log` VALUES (52490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:15');
INSERT INTO `sys_job_log` VALUES (52491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:05:20');
INSERT INTO `sys_job_log` VALUES (52492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:25');
INSERT INTO `sys_job_log` VALUES (52493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:05:30');
INSERT INTO `sys_job_log` VALUES (52494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:05:30');
INSERT INTO `sys_job_log` VALUES (52495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:05:35');
INSERT INTO `sys_job_log` VALUES (52496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:05:40');
INSERT INTO `sys_job_log` VALUES (52497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:45');
INSERT INTO `sys_job_log` VALUES (52498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:45');
INSERT INTO `sys_job_log` VALUES (52499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:05:50');
INSERT INTO `sys_job_log` VALUES (52500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:05:55');
INSERT INTO `sys_job_log` VALUES (52501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 03:06:00');
INSERT INTO `sys_job_log` VALUES (52502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 03:06:00');
INSERT INTO `sys_job_log` VALUES (52503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:06:05');
INSERT INTO `sys_job_log` VALUES (52504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:06:10');
INSERT INTO `sys_job_log` VALUES (52505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:06:15');
INSERT INTO `sys_job_log` VALUES (52506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:06:15');
INSERT INTO `sys_job_log` VALUES (52507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:06:20');
INSERT INTO `sys_job_log` VALUES (52508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:06:25');
INSERT INTO `sys_job_log` VALUES (52509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:06:30');
INSERT INTO `sys_job_log` VALUES (52510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:06:30');
INSERT INTO `sys_job_log` VALUES (52511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:06:35');
INSERT INTO `sys_job_log` VALUES (52512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:06:40');
INSERT INTO `sys_job_log` VALUES (52513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:06:45');
INSERT INTO `sys_job_log` VALUES (52514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:06:45');
INSERT INTO `sys_job_log` VALUES (52515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:06:50');
INSERT INTO `sys_job_log` VALUES (52516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:06:55');
INSERT INTO `sys_job_log` VALUES (52517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 03:07:00');
INSERT INTO `sys_job_log` VALUES (52518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:07:00');
INSERT INTO `sys_job_log` VALUES (52519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:07:05');
INSERT INTO `sys_job_log` VALUES (52520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:07:10');
INSERT INTO `sys_job_log` VALUES (52521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:07:15');
INSERT INTO `sys_job_log` VALUES (52522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:07:15');
INSERT INTO `sys_job_log` VALUES (52523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:07:20');
INSERT INTO `sys_job_log` VALUES (52524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:07:25');
INSERT INTO `sys_job_log` VALUES (52525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:07:30');
INSERT INTO `sys_job_log` VALUES (52526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:07:30');
INSERT INTO `sys_job_log` VALUES (52527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 03:07:35');
INSERT INTO `sys_job_log` VALUES (52528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:07:40');
INSERT INTO `sys_job_log` VALUES (52529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:07:45');
INSERT INTO `sys_job_log` VALUES (52530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:07:45');
INSERT INTO `sys_job_log` VALUES (52531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:07:50');
INSERT INTO `sys_job_log` VALUES (52532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:07:55');
INSERT INTO `sys_job_log` VALUES (52533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:08:00');
INSERT INTO `sys_job_log` VALUES (52534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:08:00');
INSERT INTO `sys_job_log` VALUES (52535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:08:05');
INSERT INTO `sys_job_log` VALUES (52536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:08:10');
INSERT INTO `sys_job_log` VALUES (52537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:08:15');
INSERT INTO `sys_job_log` VALUES (52538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:08:15');
INSERT INTO `sys_job_log` VALUES (52539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:08:20');
INSERT INTO `sys_job_log` VALUES (52540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:08:25');
INSERT INTO `sys_job_log` VALUES (52541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:08:30');
INSERT INTO `sys_job_log` VALUES (52542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:08:30');
INSERT INTO `sys_job_log` VALUES (52543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:08:35');
INSERT INTO `sys_job_log` VALUES (52544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:08:40');
INSERT INTO `sys_job_log` VALUES (52545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:08:45');
INSERT INTO `sys_job_log` VALUES (52546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:08:45');
INSERT INTO `sys_job_log` VALUES (52547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:08:50');
INSERT INTO `sys_job_log` VALUES (52548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:08:55');
INSERT INTO `sys_job_log` VALUES (52549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:09:00');
INSERT INTO `sys_job_log` VALUES (52550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:09:00');
INSERT INTO `sys_job_log` VALUES (52551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:09:05');
INSERT INTO `sys_job_log` VALUES (52552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:09:10');
INSERT INTO `sys_job_log` VALUES (52553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:09:15');
INSERT INTO `sys_job_log` VALUES (52554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:09:15');
INSERT INTO `sys_job_log` VALUES (52555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:09:20');
INSERT INTO `sys_job_log` VALUES (52556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:09:25');
INSERT INTO `sys_job_log` VALUES (52557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:09:30');
INSERT INTO `sys_job_log` VALUES (52558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:09:30');
INSERT INTO `sys_job_log` VALUES (52559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:09:35');
INSERT INTO `sys_job_log` VALUES (52560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:09:40');
INSERT INTO `sys_job_log` VALUES (52561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:09:45');
INSERT INTO `sys_job_log` VALUES (52562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:09:45');
INSERT INTO `sys_job_log` VALUES (52563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:09:50');
INSERT INTO `sys_job_log` VALUES (52564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:09:55');
INSERT INTO `sys_job_log` VALUES (52565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:10:00');
INSERT INTO `sys_job_log` VALUES (52566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:10:00');
INSERT INTO `sys_job_log` VALUES (52567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:10:05');
INSERT INTO `sys_job_log` VALUES (52568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:10:10');
INSERT INTO `sys_job_log` VALUES (52569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:10:15');
INSERT INTO `sys_job_log` VALUES (52570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:10:15');
INSERT INTO `sys_job_log` VALUES (52571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:10:20');
INSERT INTO `sys_job_log` VALUES (52572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:10:25');
INSERT INTO `sys_job_log` VALUES (52573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:10:30');
INSERT INTO `sys_job_log` VALUES (52574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:10:30');
INSERT INTO `sys_job_log` VALUES (52575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:10:35');
INSERT INTO `sys_job_log` VALUES (52576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:10:40');
INSERT INTO `sys_job_log` VALUES (52577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:10:45');
INSERT INTO `sys_job_log` VALUES (52578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:10:45');
INSERT INTO `sys_job_log` VALUES (52579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:10:50');
INSERT INTO `sys_job_log` VALUES (52580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:10:55');
INSERT INTO `sys_job_log` VALUES (52581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:11:00');
INSERT INTO `sys_job_log` VALUES (52582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:11:00');
INSERT INTO `sys_job_log` VALUES (52583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:11:05');
INSERT INTO `sys_job_log` VALUES (52584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:11:10');
INSERT INTO `sys_job_log` VALUES (52585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:11:15');
INSERT INTO `sys_job_log` VALUES (52586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:11:15');
INSERT INTO `sys_job_log` VALUES (52587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:11:20');
INSERT INTO `sys_job_log` VALUES (52588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:11:25');
INSERT INTO `sys_job_log` VALUES (52589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:11:30');
INSERT INTO `sys_job_log` VALUES (52590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:11:30');
INSERT INTO `sys_job_log` VALUES (52591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:11:35');
INSERT INTO `sys_job_log` VALUES (52592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:11:40');
INSERT INTO `sys_job_log` VALUES (52593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:11:45');
INSERT INTO `sys_job_log` VALUES (52594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:11:45');
INSERT INTO `sys_job_log` VALUES (52595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:11:50');
INSERT INTO `sys_job_log` VALUES (52596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:11:55');
INSERT INTO `sys_job_log` VALUES (52597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:12:00');
INSERT INTO `sys_job_log` VALUES (52598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:12:00');
INSERT INTO `sys_job_log` VALUES (52599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:12:05');
INSERT INTO `sys_job_log` VALUES (52600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:12:10');
INSERT INTO `sys_job_log` VALUES (52601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:12:15');
INSERT INTO `sys_job_log` VALUES (52602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:12:15');
INSERT INTO `sys_job_log` VALUES (52603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:12:20');
INSERT INTO `sys_job_log` VALUES (52604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:12:25');
INSERT INTO `sys_job_log` VALUES (52605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:12:30');
INSERT INTO `sys_job_log` VALUES (52606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:12:30');
INSERT INTO `sys_job_log` VALUES (52607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:12:35');
INSERT INTO `sys_job_log` VALUES (52608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:12:40');
INSERT INTO `sys_job_log` VALUES (52609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:12:45');
INSERT INTO `sys_job_log` VALUES (52610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:12:45');
INSERT INTO `sys_job_log` VALUES (52611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:12:50');
INSERT INTO `sys_job_log` VALUES (52612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:12:55');
INSERT INTO `sys_job_log` VALUES (52613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 03:13:00');
INSERT INTO `sys_job_log` VALUES (52614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 03:13:00');
INSERT INTO `sys_job_log` VALUES (52615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:13:05');
INSERT INTO `sys_job_log` VALUES (52616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:13:10');
INSERT INTO `sys_job_log` VALUES (52617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:13:15');
INSERT INTO `sys_job_log` VALUES (52618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:13:15');
INSERT INTO `sys_job_log` VALUES (52619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:13:20');
INSERT INTO `sys_job_log` VALUES (52620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:13:25');
INSERT INTO `sys_job_log` VALUES (52621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:13:30');
INSERT INTO `sys_job_log` VALUES (52622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:13:30');
INSERT INTO `sys_job_log` VALUES (52623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:13:35');
INSERT INTO `sys_job_log` VALUES (52624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:13:40');
INSERT INTO `sys_job_log` VALUES (52625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:13:45');
INSERT INTO `sys_job_log` VALUES (52626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:13:45');
INSERT INTO `sys_job_log` VALUES (52627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:13:50');
INSERT INTO `sys_job_log` VALUES (52628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:13:55');
INSERT INTO `sys_job_log` VALUES (52629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:14:00');
INSERT INTO `sys_job_log` VALUES (52630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:14:00');
INSERT INTO `sys_job_log` VALUES (52631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:14:05');
INSERT INTO `sys_job_log` VALUES (52632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:14:10');
INSERT INTO `sys_job_log` VALUES (52633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:14:15');
INSERT INTO `sys_job_log` VALUES (52634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:14:15');
INSERT INTO `sys_job_log` VALUES (52635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:14:20');
INSERT INTO `sys_job_log` VALUES (52636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:14:25');
INSERT INTO `sys_job_log` VALUES (52637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:14:30');
INSERT INTO `sys_job_log` VALUES (52638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:14:30');
INSERT INTO `sys_job_log` VALUES (52639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:14:35');
INSERT INTO `sys_job_log` VALUES (52640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:14:40');
INSERT INTO `sys_job_log` VALUES (52641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:14:45');
INSERT INTO `sys_job_log` VALUES (52642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:14:45');
INSERT INTO `sys_job_log` VALUES (52643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:14:50');
INSERT INTO `sys_job_log` VALUES (52644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:14:55');
INSERT INTO `sys_job_log` VALUES (52645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:15:00');
INSERT INTO `sys_job_log` VALUES (52646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:15:00');
INSERT INTO `sys_job_log` VALUES (52647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:15:05');
INSERT INTO `sys_job_log` VALUES (52648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:15:10');
INSERT INTO `sys_job_log` VALUES (52649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:15:15');
INSERT INTO `sys_job_log` VALUES (52650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:15:15');
INSERT INTO `sys_job_log` VALUES (52651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:15:20');
INSERT INTO `sys_job_log` VALUES (52652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:15:25');
INSERT INTO `sys_job_log` VALUES (52653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:15:30');
INSERT INTO `sys_job_log` VALUES (52654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:15:30');
INSERT INTO `sys_job_log` VALUES (52655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:15:35');
INSERT INTO `sys_job_log` VALUES (52656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:15:40');
INSERT INTO `sys_job_log` VALUES (52657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:15:45');
INSERT INTO `sys_job_log` VALUES (52658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:15:45');
INSERT INTO `sys_job_log` VALUES (52659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:15:50');
INSERT INTO `sys_job_log` VALUES (52660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:15:55');
INSERT INTO `sys_job_log` VALUES (52661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:16:00');
INSERT INTO `sys_job_log` VALUES (52662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:16:00');
INSERT INTO `sys_job_log` VALUES (52663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:16:05');
INSERT INTO `sys_job_log` VALUES (52664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:16:10');
INSERT INTO `sys_job_log` VALUES (52665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:16:15');
INSERT INTO `sys_job_log` VALUES (52666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:16:15');
INSERT INTO `sys_job_log` VALUES (52667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:16:20');
INSERT INTO `sys_job_log` VALUES (52668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:16:25');
INSERT INTO `sys_job_log` VALUES (52669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:16:30');
INSERT INTO `sys_job_log` VALUES (52670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:16:30');
INSERT INTO `sys_job_log` VALUES (52671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:16:35');
INSERT INTO `sys_job_log` VALUES (52672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:16:40');
INSERT INTO `sys_job_log` VALUES (52673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:16:45');
INSERT INTO `sys_job_log` VALUES (52674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:16:45');
INSERT INTO `sys_job_log` VALUES (52675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:16:50');
INSERT INTO `sys_job_log` VALUES (52676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:16:55');
INSERT INTO `sys_job_log` VALUES (52677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:17:00');
INSERT INTO `sys_job_log` VALUES (52678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:17:00');
INSERT INTO `sys_job_log` VALUES (52679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:17:05');
INSERT INTO `sys_job_log` VALUES (52680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:17:10');
INSERT INTO `sys_job_log` VALUES (52681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:17:15');
INSERT INTO `sys_job_log` VALUES (52682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:17:15');
INSERT INTO `sys_job_log` VALUES (52683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:17:20');
INSERT INTO `sys_job_log` VALUES (52684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:17:25');
INSERT INTO `sys_job_log` VALUES (52685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:17:30');
INSERT INTO `sys_job_log` VALUES (52686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 03:17:30');
INSERT INTO `sys_job_log` VALUES (52687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:17:35');
INSERT INTO `sys_job_log` VALUES (52688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:17:40');
INSERT INTO `sys_job_log` VALUES (52689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:17:45');
INSERT INTO `sys_job_log` VALUES (52690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:17:45');
INSERT INTO `sys_job_log` VALUES (52691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:17:50');
INSERT INTO `sys_job_log` VALUES (52692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:17:55');
INSERT INTO `sys_job_log` VALUES (52693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:18:00');
INSERT INTO `sys_job_log` VALUES (52694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:18:00');
INSERT INTO `sys_job_log` VALUES (52695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:18:05');
INSERT INTO `sys_job_log` VALUES (52696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:18:10');
INSERT INTO `sys_job_log` VALUES (52697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:18:15');
INSERT INTO `sys_job_log` VALUES (52698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:18:15');
INSERT INTO `sys_job_log` VALUES (52699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:18:20');
INSERT INTO `sys_job_log` VALUES (52700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:18:25');
INSERT INTO `sys_job_log` VALUES (52701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:18:30');
INSERT INTO `sys_job_log` VALUES (52702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:18:30');
INSERT INTO `sys_job_log` VALUES (52703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:18:35');
INSERT INTO `sys_job_log` VALUES (52704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:18:40');
INSERT INTO `sys_job_log` VALUES (52705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:18:45');
INSERT INTO `sys_job_log` VALUES (52706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:18:45');
INSERT INTO `sys_job_log` VALUES (52707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:18:50');
INSERT INTO `sys_job_log` VALUES (52708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:18:55');
INSERT INTO `sys_job_log` VALUES (52709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 03:19:00');
INSERT INTO `sys_job_log` VALUES (52710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 03:19:00');
INSERT INTO `sys_job_log` VALUES (52711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:19:05');
INSERT INTO `sys_job_log` VALUES (52712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:19:10');
INSERT INTO `sys_job_log` VALUES (52713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:19:15');
INSERT INTO `sys_job_log` VALUES (52714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:19:15');
INSERT INTO `sys_job_log` VALUES (52715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:19:20');
INSERT INTO `sys_job_log` VALUES (52716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:19:25');
INSERT INTO `sys_job_log` VALUES (52717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:19:30');
INSERT INTO `sys_job_log` VALUES (52718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:19:30');
INSERT INTO `sys_job_log` VALUES (52719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:19:35');
INSERT INTO `sys_job_log` VALUES (52720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:19:40');
INSERT INTO `sys_job_log` VALUES (52721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:19:45');
INSERT INTO `sys_job_log` VALUES (52722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:19:45');
INSERT INTO `sys_job_log` VALUES (52723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:19:50');
INSERT INTO `sys_job_log` VALUES (52724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:19:55');
INSERT INTO `sys_job_log` VALUES (52725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:20:00');
INSERT INTO `sys_job_log` VALUES (52726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:20:00');
INSERT INTO `sys_job_log` VALUES (52727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:20:05');
INSERT INTO `sys_job_log` VALUES (52728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:20:10');
INSERT INTO `sys_job_log` VALUES (52729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:20:15');
INSERT INTO `sys_job_log` VALUES (52730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:20:15');
INSERT INTO `sys_job_log` VALUES (52731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:20:20');
INSERT INTO `sys_job_log` VALUES (52732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:20:25');
INSERT INTO `sys_job_log` VALUES (52733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:20:30');
INSERT INTO `sys_job_log` VALUES (52734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:20:30');
INSERT INTO `sys_job_log` VALUES (52735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:20:35');
INSERT INTO `sys_job_log` VALUES (52736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:20:40');
INSERT INTO `sys_job_log` VALUES (52737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:20:45');
INSERT INTO `sys_job_log` VALUES (52738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:20:45');
INSERT INTO `sys_job_log` VALUES (52739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:20:50');
INSERT INTO `sys_job_log` VALUES (52740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:20:55');
INSERT INTO `sys_job_log` VALUES (52741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 03:21:00');
INSERT INTO `sys_job_log` VALUES (52742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:21:00');
INSERT INTO `sys_job_log` VALUES (52743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:21:05');
INSERT INTO `sys_job_log` VALUES (52744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:21:10');
INSERT INTO `sys_job_log` VALUES (52745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:21:15');
INSERT INTO `sys_job_log` VALUES (52746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:21:15');
INSERT INTO `sys_job_log` VALUES (52747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:21:20');
INSERT INTO `sys_job_log` VALUES (52748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:21:25');
INSERT INTO `sys_job_log` VALUES (52749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:21:30');
INSERT INTO `sys_job_log` VALUES (52750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:21:30');
INSERT INTO `sys_job_log` VALUES (52751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 03:21:35');
INSERT INTO `sys_job_log` VALUES (52752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:21:40');
INSERT INTO `sys_job_log` VALUES (52753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:21:45');
INSERT INTO `sys_job_log` VALUES (52754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 03:21:45');
INSERT INTO `sys_job_log` VALUES (52755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:21:50');
INSERT INTO `sys_job_log` VALUES (52756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:21:55');
INSERT INTO `sys_job_log` VALUES (52757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:22:00');
INSERT INTO `sys_job_log` VALUES (52758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:22:00');
INSERT INTO `sys_job_log` VALUES (52759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:22:05');
INSERT INTO `sys_job_log` VALUES (52760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:22:10');
INSERT INTO `sys_job_log` VALUES (52761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:22:15');
INSERT INTO `sys_job_log` VALUES (52762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:22:15');
INSERT INTO `sys_job_log` VALUES (52763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:22:20');
INSERT INTO `sys_job_log` VALUES (52764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:22:25');
INSERT INTO `sys_job_log` VALUES (52765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:22:30');
INSERT INTO `sys_job_log` VALUES (52766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:22:30');
INSERT INTO `sys_job_log` VALUES (52767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:22:35');
INSERT INTO `sys_job_log` VALUES (52768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:22:40');
INSERT INTO `sys_job_log` VALUES (52769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:22:45');
INSERT INTO `sys_job_log` VALUES (52770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:22:45');
INSERT INTO `sys_job_log` VALUES (52771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:22:50');
INSERT INTO `sys_job_log` VALUES (52772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:22:55');
INSERT INTO `sys_job_log` VALUES (52773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:23:00');
INSERT INTO `sys_job_log` VALUES (52774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:23:00');
INSERT INTO `sys_job_log` VALUES (52775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:23:05');
INSERT INTO `sys_job_log` VALUES (52776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:23:10');
INSERT INTO `sys_job_log` VALUES (52777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:23:15');
INSERT INTO `sys_job_log` VALUES (52778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:23:15');
INSERT INTO `sys_job_log` VALUES (52779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:23:20');
INSERT INTO `sys_job_log` VALUES (52780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:23:25');
INSERT INTO `sys_job_log` VALUES (52781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:23:30');
INSERT INTO `sys_job_log` VALUES (52782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:23:30');
INSERT INTO `sys_job_log` VALUES (52783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:23:35');
INSERT INTO `sys_job_log` VALUES (52784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:23:40');
INSERT INTO `sys_job_log` VALUES (52785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:23:45');
INSERT INTO `sys_job_log` VALUES (52786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:23:45');
INSERT INTO `sys_job_log` VALUES (52787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:23:50');
INSERT INTO `sys_job_log` VALUES (52788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:23:55');
INSERT INTO `sys_job_log` VALUES (52789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:24:00');
INSERT INTO `sys_job_log` VALUES (52790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:24:00');
INSERT INTO `sys_job_log` VALUES (52791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:24:05');
INSERT INTO `sys_job_log` VALUES (52792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:24:10');
INSERT INTO `sys_job_log` VALUES (52793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:24:15');
INSERT INTO `sys_job_log` VALUES (52794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:24:15');
INSERT INTO `sys_job_log` VALUES (52795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:24:20');
INSERT INTO `sys_job_log` VALUES (52796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:24:25');
INSERT INTO `sys_job_log` VALUES (52797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:24:30');
INSERT INTO `sys_job_log` VALUES (52798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:24:30');
INSERT INTO `sys_job_log` VALUES (52799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:24:35');
INSERT INTO `sys_job_log` VALUES (52800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:24:40');
INSERT INTO `sys_job_log` VALUES (52801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:24:45');
INSERT INTO `sys_job_log` VALUES (52802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:24:45');
INSERT INTO `sys_job_log` VALUES (52803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:24:50');
INSERT INTO `sys_job_log` VALUES (52804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:24:55');
INSERT INTO `sys_job_log` VALUES (52805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:25:00');
INSERT INTO `sys_job_log` VALUES (52806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:25:00');
INSERT INTO `sys_job_log` VALUES (52807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:25:05');
INSERT INTO `sys_job_log` VALUES (52808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:25:10');
INSERT INTO `sys_job_log` VALUES (52809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:25:15');
INSERT INTO `sys_job_log` VALUES (52810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:25:15');
INSERT INTO `sys_job_log` VALUES (52811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:25:20');
INSERT INTO `sys_job_log` VALUES (52812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:25:25');
INSERT INTO `sys_job_log` VALUES (52813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:25:30');
INSERT INTO `sys_job_log` VALUES (52814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:25:30');
INSERT INTO `sys_job_log` VALUES (52815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:25:35');
INSERT INTO `sys_job_log` VALUES (52816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:25:40');
INSERT INTO `sys_job_log` VALUES (52817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:25:45');
INSERT INTO `sys_job_log` VALUES (52818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:25:45');
INSERT INTO `sys_job_log` VALUES (52819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:25:50');
INSERT INTO `sys_job_log` VALUES (52820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:25:55');
INSERT INTO `sys_job_log` VALUES (52821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:26:00');
INSERT INTO `sys_job_log` VALUES (52822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:26:00');
INSERT INTO `sys_job_log` VALUES (52823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:26:05');
INSERT INTO `sys_job_log` VALUES (52824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:26:10');
INSERT INTO `sys_job_log` VALUES (52825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:26:15');
INSERT INTO `sys_job_log` VALUES (52826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:26:15');
INSERT INTO `sys_job_log` VALUES (52827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:26:20');
INSERT INTO `sys_job_log` VALUES (52828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:26:25');
INSERT INTO `sys_job_log` VALUES (52829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:26:30');
INSERT INTO `sys_job_log` VALUES (52830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:26:30');
INSERT INTO `sys_job_log` VALUES (52831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:26:35');
INSERT INTO `sys_job_log` VALUES (52832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:26:40');
INSERT INTO `sys_job_log` VALUES (52833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:26:45');
INSERT INTO `sys_job_log` VALUES (52834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:26:45');
INSERT INTO `sys_job_log` VALUES (52835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:26:50');
INSERT INTO `sys_job_log` VALUES (52836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:26:55');
INSERT INTO `sys_job_log` VALUES (52837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:27:00');
INSERT INTO `sys_job_log` VALUES (52838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:27:00');
INSERT INTO `sys_job_log` VALUES (52839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:27:05');
INSERT INTO `sys_job_log` VALUES (52840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:27:10');
INSERT INTO `sys_job_log` VALUES (52841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 03:27:15');
INSERT INTO `sys_job_log` VALUES (52842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 03:27:15');
INSERT INTO `sys_job_log` VALUES (52843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:27:20');
INSERT INTO `sys_job_log` VALUES (52844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:27:25');
INSERT INTO `sys_job_log` VALUES (52845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:27:30');
INSERT INTO `sys_job_log` VALUES (52846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:27:30');
INSERT INTO `sys_job_log` VALUES (52847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:27:35');
INSERT INTO `sys_job_log` VALUES (52848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:27:40');
INSERT INTO `sys_job_log` VALUES (52849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:27:45');
INSERT INTO `sys_job_log` VALUES (52850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:27:45');
INSERT INTO `sys_job_log` VALUES (52851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:27:50');
INSERT INTO `sys_job_log` VALUES (52852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:27:55');
INSERT INTO `sys_job_log` VALUES (52853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:28:00');
INSERT INTO `sys_job_log` VALUES (52854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:28:00');
INSERT INTO `sys_job_log` VALUES (52855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 03:28:05');
INSERT INTO `sys_job_log` VALUES (52856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:28:10');
INSERT INTO `sys_job_log` VALUES (52857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 03:28:15');
INSERT INTO `sys_job_log` VALUES (52858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:28:15');
INSERT INTO `sys_job_log` VALUES (52859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:28:20');
INSERT INTO `sys_job_log` VALUES (52860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:28:25');
INSERT INTO `sys_job_log` VALUES (52861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:28:30');
INSERT INTO `sys_job_log` VALUES (52862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:28:30');
INSERT INTO `sys_job_log` VALUES (52863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:28:35');
INSERT INTO `sys_job_log` VALUES (52864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:28:40');
INSERT INTO `sys_job_log` VALUES (52865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:28:45');
INSERT INTO `sys_job_log` VALUES (52866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:28:45');
INSERT INTO `sys_job_log` VALUES (52867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:28:50');
INSERT INTO `sys_job_log` VALUES (52868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:28:55');
INSERT INTO `sys_job_log` VALUES (52869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:29:00');
INSERT INTO `sys_job_log` VALUES (52870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:29:00');
INSERT INTO `sys_job_log` VALUES (52871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:29:05');
INSERT INTO `sys_job_log` VALUES (52872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:29:10');
INSERT INTO `sys_job_log` VALUES (52873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:29:15');
INSERT INTO `sys_job_log` VALUES (52874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:29:15');
INSERT INTO `sys_job_log` VALUES (52875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:29:20');
INSERT INTO `sys_job_log` VALUES (52876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:29:25');
INSERT INTO `sys_job_log` VALUES (52877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:29:30');
INSERT INTO `sys_job_log` VALUES (52878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:29:30');
INSERT INTO `sys_job_log` VALUES (52879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:29:35');
INSERT INTO `sys_job_log` VALUES (52880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:29:40');
INSERT INTO `sys_job_log` VALUES (52881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:29:45');
INSERT INTO `sys_job_log` VALUES (52882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:29:45');
INSERT INTO `sys_job_log` VALUES (52883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:29:50');
INSERT INTO `sys_job_log` VALUES (52884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:29:55');
INSERT INTO `sys_job_log` VALUES (52885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:30:00');
INSERT INTO `sys_job_log` VALUES (52886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:30:00');
INSERT INTO `sys_job_log` VALUES (52887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:30:05');
INSERT INTO `sys_job_log` VALUES (52888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:30:10');
INSERT INTO `sys_job_log` VALUES (52889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 03:30:15');
INSERT INTO `sys_job_log` VALUES (52890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:30:15');
INSERT INTO `sys_job_log` VALUES (52891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:30:20');
INSERT INTO `sys_job_log` VALUES (52892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:30:25');
INSERT INTO `sys_job_log` VALUES (52893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:30:30');
INSERT INTO `sys_job_log` VALUES (52894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:30:30');
INSERT INTO `sys_job_log` VALUES (52895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:30:35');
INSERT INTO `sys_job_log` VALUES (52896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:30:40');
INSERT INTO `sys_job_log` VALUES (52897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:30:45');
INSERT INTO `sys_job_log` VALUES (52898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:30:45');
INSERT INTO `sys_job_log` VALUES (52899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:30:50');
INSERT INTO `sys_job_log` VALUES (52900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:30:55');
INSERT INTO `sys_job_log` VALUES (52901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:31:00');
INSERT INTO `sys_job_log` VALUES (52902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:31:00');
INSERT INTO `sys_job_log` VALUES (52903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:31:05');
INSERT INTO `sys_job_log` VALUES (52904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:31:10');
INSERT INTO `sys_job_log` VALUES (52905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:31:15');
INSERT INTO `sys_job_log` VALUES (52906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:31:15');
INSERT INTO `sys_job_log` VALUES (52907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:31:20');
INSERT INTO `sys_job_log` VALUES (52908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:31:25');
INSERT INTO `sys_job_log` VALUES (52909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:31:30');
INSERT INTO `sys_job_log` VALUES (52910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:31:30');
INSERT INTO `sys_job_log` VALUES (52911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:31:35');
INSERT INTO `sys_job_log` VALUES (52912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:31:40');
INSERT INTO `sys_job_log` VALUES (52913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:31:45');
INSERT INTO `sys_job_log` VALUES (52914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:31:45');
INSERT INTO `sys_job_log` VALUES (52915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:31:50');
INSERT INTO `sys_job_log` VALUES (52916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:31:55');
INSERT INTO `sys_job_log` VALUES (52917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:32:00');
INSERT INTO `sys_job_log` VALUES (52918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:32:00');
INSERT INTO `sys_job_log` VALUES (52919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:32:05');
INSERT INTO `sys_job_log` VALUES (52920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:32:10');
INSERT INTO `sys_job_log` VALUES (52921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:32:15');
INSERT INTO `sys_job_log` VALUES (52922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:32:15');
INSERT INTO `sys_job_log` VALUES (52923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:32:20');
INSERT INTO `sys_job_log` VALUES (52924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:32:25');
INSERT INTO `sys_job_log` VALUES (52925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:32:30');
INSERT INTO `sys_job_log` VALUES (52926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:32:30');
INSERT INTO `sys_job_log` VALUES (52927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:32:35');
INSERT INTO `sys_job_log` VALUES (52928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:32:40');
INSERT INTO `sys_job_log` VALUES (52929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:32:45');
INSERT INTO `sys_job_log` VALUES (52930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:32:45');
INSERT INTO `sys_job_log` VALUES (52931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:32:50');
INSERT INTO `sys_job_log` VALUES (52932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:32:55');
INSERT INTO `sys_job_log` VALUES (52933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:33:00');
INSERT INTO `sys_job_log` VALUES (52934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 03:33:00');
INSERT INTO `sys_job_log` VALUES (52935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:33:05');
INSERT INTO `sys_job_log` VALUES (52936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:33:10');
INSERT INTO `sys_job_log` VALUES (52937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:33:15');
INSERT INTO `sys_job_log` VALUES (52938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:33:15');
INSERT INTO `sys_job_log` VALUES (52939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:33:20');
INSERT INTO `sys_job_log` VALUES (52940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:33:25');
INSERT INTO `sys_job_log` VALUES (52941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:33:30');
INSERT INTO `sys_job_log` VALUES (52942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:33:30');
INSERT INTO `sys_job_log` VALUES (52943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:33:35');
INSERT INTO `sys_job_log` VALUES (52944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:33:40');
INSERT INTO `sys_job_log` VALUES (52945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:33:45');
INSERT INTO `sys_job_log` VALUES (52946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:33:45');
INSERT INTO `sys_job_log` VALUES (52947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:33:50');
INSERT INTO `sys_job_log` VALUES (52948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:33:55');
INSERT INTO `sys_job_log` VALUES (52949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:34:00');
INSERT INTO `sys_job_log` VALUES (52950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:34:00');
INSERT INTO `sys_job_log` VALUES (52951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:34:05');
INSERT INTO `sys_job_log` VALUES (52952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:34:10');
INSERT INTO `sys_job_log` VALUES (52953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:34:15');
INSERT INTO `sys_job_log` VALUES (52954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:34:15');
INSERT INTO `sys_job_log` VALUES (52955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:34:20');
INSERT INTO `sys_job_log` VALUES (52956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:34:25');
INSERT INTO `sys_job_log` VALUES (52957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:34:30');
INSERT INTO `sys_job_log` VALUES (52958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:34:30');
INSERT INTO `sys_job_log` VALUES (52959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:34:35');
INSERT INTO `sys_job_log` VALUES (52960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 03:34:40');
INSERT INTO `sys_job_log` VALUES (52961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:34:45');
INSERT INTO `sys_job_log` VALUES (52962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:34:45');
INSERT INTO `sys_job_log` VALUES (52963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:34:50');
INSERT INTO `sys_job_log` VALUES (52964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:34:55');
INSERT INTO `sys_job_log` VALUES (52965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:35:00');
INSERT INTO `sys_job_log` VALUES (52966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:35:00');
INSERT INTO `sys_job_log` VALUES (52967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:35:05');
INSERT INTO `sys_job_log` VALUES (52968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:35:10');
INSERT INTO `sys_job_log` VALUES (52969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:35:15');
INSERT INTO `sys_job_log` VALUES (52970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:35:15');
INSERT INTO `sys_job_log` VALUES (52971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:35:20');
INSERT INTO `sys_job_log` VALUES (52972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:35:25');
INSERT INTO `sys_job_log` VALUES (52973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:35:30');
INSERT INTO `sys_job_log` VALUES (52974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:35:30');
INSERT INTO `sys_job_log` VALUES (52975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:35:35');
INSERT INTO `sys_job_log` VALUES (52976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:35:40');
INSERT INTO `sys_job_log` VALUES (52977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:35:45');
INSERT INTO `sys_job_log` VALUES (52978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:35:45');
INSERT INTO `sys_job_log` VALUES (52979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:35:50');
INSERT INTO `sys_job_log` VALUES (52980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:35:55');
INSERT INTO `sys_job_log` VALUES (52981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:36:00');
INSERT INTO `sys_job_log` VALUES (52982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:36:00');
INSERT INTO `sys_job_log` VALUES (52983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:36:05');
INSERT INTO `sys_job_log` VALUES (52984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:36:10');
INSERT INTO `sys_job_log` VALUES (52985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:36:15');
INSERT INTO `sys_job_log` VALUES (52986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:36:15');
INSERT INTO `sys_job_log` VALUES (52987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:36:20');
INSERT INTO `sys_job_log` VALUES (52988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:36:25');
INSERT INTO `sys_job_log` VALUES (52989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 03:36:30');
INSERT INTO `sys_job_log` VALUES (52990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:36:30');
INSERT INTO `sys_job_log` VALUES (52991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:36:35');
INSERT INTO `sys_job_log` VALUES (52992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:36:40');
INSERT INTO `sys_job_log` VALUES (52993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:36:45');
INSERT INTO `sys_job_log` VALUES (52994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:36:45');
INSERT INTO `sys_job_log` VALUES (52995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:36:50');
INSERT INTO `sys_job_log` VALUES (52996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:36:55');
INSERT INTO `sys_job_log` VALUES (52997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:37:00');
INSERT INTO `sys_job_log` VALUES (52998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:37:00');
INSERT INTO `sys_job_log` VALUES (52999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:37:05');
INSERT INTO `sys_job_log` VALUES (53000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:37:10');
INSERT INTO `sys_job_log` VALUES (53001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:37:15');
INSERT INTO `sys_job_log` VALUES (53002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:37:15');
INSERT INTO `sys_job_log` VALUES (53003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:37:20');
INSERT INTO `sys_job_log` VALUES (53004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:37:25');
INSERT INTO `sys_job_log` VALUES (53005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:37:30');
INSERT INTO `sys_job_log` VALUES (53006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:37:30');
INSERT INTO `sys_job_log` VALUES (53007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:37:35');
INSERT INTO `sys_job_log` VALUES (53008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:37:40');
INSERT INTO `sys_job_log` VALUES (53009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:37:45');
INSERT INTO `sys_job_log` VALUES (53010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:37:45');
INSERT INTO `sys_job_log` VALUES (53011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:37:50');
INSERT INTO `sys_job_log` VALUES (53012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:37:55');
INSERT INTO `sys_job_log` VALUES (53013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:38:00');
INSERT INTO `sys_job_log` VALUES (53014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:38:00');
INSERT INTO `sys_job_log` VALUES (53015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:38:05');
INSERT INTO `sys_job_log` VALUES (53016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:38:10');
INSERT INTO `sys_job_log` VALUES (53017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:38:15');
INSERT INTO `sys_job_log` VALUES (53018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:38:15');
INSERT INTO `sys_job_log` VALUES (53019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:38:20');
INSERT INTO `sys_job_log` VALUES (53020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:38:25');
INSERT INTO `sys_job_log` VALUES (53021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:38:30');
INSERT INTO `sys_job_log` VALUES (53022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:38:30');
INSERT INTO `sys_job_log` VALUES (53023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:38:35');
INSERT INTO `sys_job_log` VALUES (53024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:38:40');
INSERT INTO `sys_job_log` VALUES (53025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:38:45');
INSERT INTO `sys_job_log` VALUES (53026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:38:45');
INSERT INTO `sys_job_log` VALUES (53027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:38:50');
INSERT INTO `sys_job_log` VALUES (53028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:38:55');
INSERT INTO `sys_job_log` VALUES (53029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:39:00');
INSERT INTO `sys_job_log` VALUES (53030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:39:00');
INSERT INTO `sys_job_log` VALUES (53031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:39:05');
INSERT INTO `sys_job_log` VALUES (53032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:39:10');
INSERT INTO `sys_job_log` VALUES (53033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:39:15');
INSERT INTO `sys_job_log` VALUES (53034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:39:15');
INSERT INTO `sys_job_log` VALUES (53035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:39:20');
INSERT INTO `sys_job_log` VALUES (53036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:39:25');
INSERT INTO `sys_job_log` VALUES (53037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:39:30');
INSERT INTO `sys_job_log` VALUES (53038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:39:30');
INSERT INTO `sys_job_log` VALUES (53039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:39:35');
INSERT INTO `sys_job_log` VALUES (53040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:39:40');
INSERT INTO `sys_job_log` VALUES (53041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:39:45');
INSERT INTO `sys_job_log` VALUES (53042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:39:45');
INSERT INTO `sys_job_log` VALUES (53043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:39:50');
INSERT INTO `sys_job_log` VALUES (53044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:39:55');
INSERT INTO `sys_job_log` VALUES (53045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:40:00');
INSERT INTO `sys_job_log` VALUES (53046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:40:00');
INSERT INTO `sys_job_log` VALUES (53047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:40:05');
INSERT INTO `sys_job_log` VALUES (53048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:40:10');
INSERT INTO `sys_job_log` VALUES (53049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:40:15');
INSERT INTO `sys_job_log` VALUES (53050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:40:15');
INSERT INTO `sys_job_log` VALUES (53051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:40:20');
INSERT INTO `sys_job_log` VALUES (53052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 03:40:25');
INSERT INTO `sys_job_log` VALUES (53053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:40:30');
INSERT INTO `sys_job_log` VALUES (53054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:40:30');
INSERT INTO `sys_job_log` VALUES (53055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:40:35');
INSERT INTO `sys_job_log` VALUES (53056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:40:40');
INSERT INTO `sys_job_log` VALUES (53057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:40:45');
INSERT INTO `sys_job_log` VALUES (53058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:40:45');
INSERT INTO `sys_job_log` VALUES (53059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:40:50');
INSERT INTO `sys_job_log` VALUES (53060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:40:55');
INSERT INTO `sys_job_log` VALUES (53061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:41:00');
INSERT INTO `sys_job_log` VALUES (53062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:41:00');
INSERT INTO `sys_job_log` VALUES (53063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:41:05');
INSERT INTO `sys_job_log` VALUES (53064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:41:10');
INSERT INTO `sys_job_log` VALUES (53065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:41:15');
INSERT INTO `sys_job_log` VALUES (53066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:41:15');
INSERT INTO `sys_job_log` VALUES (53067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:41:20');
INSERT INTO `sys_job_log` VALUES (53068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:41:25');
INSERT INTO `sys_job_log` VALUES (53069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:41:30');
INSERT INTO `sys_job_log` VALUES (53070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:41:30');
INSERT INTO `sys_job_log` VALUES (53071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:41:35');
INSERT INTO `sys_job_log` VALUES (53072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:41:40');
INSERT INTO `sys_job_log` VALUES (53073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:41:45');
INSERT INTO `sys_job_log` VALUES (53074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:41:45');
INSERT INTO `sys_job_log` VALUES (53075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:41:50');
INSERT INTO `sys_job_log` VALUES (53076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:41:55');
INSERT INTO `sys_job_log` VALUES (53077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:42:00');
INSERT INTO `sys_job_log` VALUES (53078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:42:00');
INSERT INTO `sys_job_log` VALUES (53079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:42:05');
INSERT INTO `sys_job_log` VALUES (53080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:42:10');
INSERT INTO `sys_job_log` VALUES (53081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:42:15');
INSERT INTO `sys_job_log` VALUES (53082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:42:15');
INSERT INTO `sys_job_log` VALUES (53083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:42:20');
INSERT INTO `sys_job_log` VALUES (53084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:42:25');
INSERT INTO `sys_job_log` VALUES (53085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:42:30');
INSERT INTO `sys_job_log` VALUES (53086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:42:30');
INSERT INTO `sys_job_log` VALUES (53087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:42:35');
INSERT INTO `sys_job_log` VALUES (53088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:42:40');
INSERT INTO `sys_job_log` VALUES (53089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:42:45');
INSERT INTO `sys_job_log` VALUES (53090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:42:45');
INSERT INTO `sys_job_log` VALUES (53091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:42:50');
INSERT INTO `sys_job_log` VALUES (53092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:42:55');
INSERT INTO `sys_job_log` VALUES (53093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:43:00');
INSERT INTO `sys_job_log` VALUES (53094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:43:00');
INSERT INTO `sys_job_log` VALUES (53095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:43:05');
INSERT INTO `sys_job_log` VALUES (53096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:43:10');
INSERT INTO `sys_job_log` VALUES (53097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:43:15');
INSERT INTO `sys_job_log` VALUES (53098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:43:15');
INSERT INTO `sys_job_log` VALUES (53099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:43:20');
INSERT INTO `sys_job_log` VALUES (53100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:43:25');
INSERT INTO `sys_job_log` VALUES (53101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:43:30');
INSERT INTO `sys_job_log` VALUES (53102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:43:30');
INSERT INTO `sys_job_log` VALUES (53103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:43:35');
INSERT INTO `sys_job_log` VALUES (53104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 03:43:40');
INSERT INTO `sys_job_log` VALUES (53105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:43:45');
INSERT INTO `sys_job_log` VALUES (53106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:43:45');
INSERT INTO `sys_job_log` VALUES (53107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:43:50');
INSERT INTO `sys_job_log` VALUES (53108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:43:55');
INSERT INTO `sys_job_log` VALUES (53109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:44:00');
INSERT INTO `sys_job_log` VALUES (53110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:44:00');
INSERT INTO `sys_job_log` VALUES (53111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:44:05');
INSERT INTO `sys_job_log` VALUES (53112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:44:10');
INSERT INTO `sys_job_log` VALUES (53113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:44:15');
INSERT INTO `sys_job_log` VALUES (53114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:44:15');
INSERT INTO `sys_job_log` VALUES (53115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:44:20');
INSERT INTO `sys_job_log` VALUES (53116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:44:25');
INSERT INTO `sys_job_log` VALUES (53117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:44:30');
INSERT INTO `sys_job_log` VALUES (53118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:44:30');
INSERT INTO `sys_job_log` VALUES (53119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:44:35');
INSERT INTO `sys_job_log` VALUES (53120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:44:40');
INSERT INTO `sys_job_log` VALUES (53121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 03:44:45');
INSERT INTO `sys_job_log` VALUES (53122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 03:44:45');
INSERT INTO `sys_job_log` VALUES (53123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:44:50');
INSERT INTO `sys_job_log` VALUES (53124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:44:55');
INSERT INTO `sys_job_log` VALUES (53125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:45:00');
INSERT INTO `sys_job_log` VALUES (53126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:45:00');
INSERT INTO `sys_job_log` VALUES (53127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:45:05');
INSERT INTO `sys_job_log` VALUES (53128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:45:10');
INSERT INTO `sys_job_log` VALUES (53129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:45:15');
INSERT INTO `sys_job_log` VALUES (53130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:45:15');
INSERT INTO `sys_job_log` VALUES (53131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:45:20');
INSERT INTO `sys_job_log` VALUES (53132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:45:25');
INSERT INTO `sys_job_log` VALUES (53133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:45:30');
INSERT INTO `sys_job_log` VALUES (53134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:45:30');
INSERT INTO `sys_job_log` VALUES (53135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:45:35');
INSERT INTO `sys_job_log` VALUES (53136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:45:40');
INSERT INTO `sys_job_log` VALUES (53137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:45:45');
INSERT INTO `sys_job_log` VALUES (53138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:45:45');
INSERT INTO `sys_job_log` VALUES (53139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:45:50');
INSERT INTO `sys_job_log` VALUES (53140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:45:55');
INSERT INTO `sys_job_log` VALUES (53141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:46:00');
INSERT INTO `sys_job_log` VALUES (53142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:46:00');
INSERT INTO `sys_job_log` VALUES (53143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:46:05');
INSERT INTO `sys_job_log` VALUES (53144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:46:10');
INSERT INTO `sys_job_log` VALUES (53145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:46:15');
INSERT INTO `sys_job_log` VALUES (53146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:46:15');
INSERT INTO `sys_job_log` VALUES (53147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:46:20');
INSERT INTO `sys_job_log` VALUES (53148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:46:25');
INSERT INTO `sys_job_log` VALUES (53149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:46:30');
INSERT INTO `sys_job_log` VALUES (53150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:46:30');
INSERT INTO `sys_job_log` VALUES (53151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:46:35');
INSERT INTO `sys_job_log` VALUES (53152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:46:40');
INSERT INTO `sys_job_log` VALUES (53153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:46:45');
INSERT INTO `sys_job_log` VALUES (53154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:46:45');
INSERT INTO `sys_job_log` VALUES (53155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:46:50');
INSERT INTO `sys_job_log` VALUES (53156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:46:55');
INSERT INTO `sys_job_log` VALUES (53157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 03:47:00');
INSERT INTO `sys_job_log` VALUES (53158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 03:47:00');
INSERT INTO `sys_job_log` VALUES (53159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:47:05');
INSERT INTO `sys_job_log` VALUES (53160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:47:10');
INSERT INTO `sys_job_log` VALUES (53161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:47:15');
INSERT INTO `sys_job_log` VALUES (53162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:47:15');
INSERT INTO `sys_job_log` VALUES (53163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:47:20');
INSERT INTO `sys_job_log` VALUES (53164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:47:25');
INSERT INTO `sys_job_log` VALUES (53165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:47:30');
INSERT INTO `sys_job_log` VALUES (53166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:47:30');
INSERT INTO `sys_job_log` VALUES (53167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:47:35');
INSERT INTO `sys_job_log` VALUES (53168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:47:40');
INSERT INTO `sys_job_log` VALUES (53169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:47:45');
INSERT INTO `sys_job_log` VALUES (53170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:47:45');
INSERT INTO `sys_job_log` VALUES (53171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:47:50');
INSERT INTO `sys_job_log` VALUES (53172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:47:55');
INSERT INTO `sys_job_log` VALUES (53173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:48:00');
INSERT INTO `sys_job_log` VALUES (53174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:48:00');
INSERT INTO `sys_job_log` VALUES (53175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:48:05');
INSERT INTO `sys_job_log` VALUES (53176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:48:10');
INSERT INTO `sys_job_log` VALUES (53177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:48:15');
INSERT INTO `sys_job_log` VALUES (53178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:48:15');
INSERT INTO `sys_job_log` VALUES (53179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:48:20');
INSERT INTO `sys_job_log` VALUES (53180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:48:25');
INSERT INTO `sys_job_log` VALUES (53181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:48:30');
INSERT INTO `sys_job_log` VALUES (53182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:48:30');
INSERT INTO `sys_job_log` VALUES (53183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:48:35');
INSERT INTO `sys_job_log` VALUES (53184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:48:40');
INSERT INTO `sys_job_log` VALUES (53185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:48:45');
INSERT INTO `sys_job_log` VALUES (53186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:48:45');
INSERT INTO `sys_job_log` VALUES (53187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:48:50');
INSERT INTO `sys_job_log` VALUES (53188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:48:55');
INSERT INTO `sys_job_log` VALUES (53189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:49:00');
INSERT INTO `sys_job_log` VALUES (53190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:49:00');
INSERT INTO `sys_job_log` VALUES (53191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:49:05');
INSERT INTO `sys_job_log` VALUES (53192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:49:10');
INSERT INTO `sys_job_log` VALUES (53193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:49:15');
INSERT INTO `sys_job_log` VALUES (53194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:49:15');
INSERT INTO `sys_job_log` VALUES (53195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:49:20');
INSERT INTO `sys_job_log` VALUES (53196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:49:25');
INSERT INTO `sys_job_log` VALUES (53197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:49:30');
INSERT INTO `sys_job_log` VALUES (53198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:49:30');
INSERT INTO `sys_job_log` VALUES (53199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:49:35');
INSERT INTO `sys_job_log` VALUES (53200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:49:40');
INSERT INTO `sys_job_log` VALUES (53201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:49:45');
INSERT INTO `sys_job_log` VALUES (53202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:49:45');
INSERT INTO `sys_job_log` VALUES (53203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:49:50');
INSERT INTO `sys_job_log` VALUES (53204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:49:55');
INSERT INTO `sys_job_log` VALUES (53205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:50:00');
INSERT INTO `sys_job_log` VALUES (53206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:50:00');
INSERT INTO `sys_job_log` VALUES (53207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:50:05');
INSERT INTO `sys_job_log` VALUES (53208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:50:10');
INSERT INTO `sys_job_log` VALUES (53209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:50:15');
INSERT INTO `sys_job_log` VALUES (53210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:50:15');
INSERT INTO `sys_job_log` VALUES (53211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:50:20');
INSERT INTO `sys_job_log` VALUES (53212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:50:25');
INSERT INTO `sys_job_log` VALUES (53213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:50:30');
INSERT INTO `sys_job_log` VALUES (53214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:50:30');
INSERT INTO `sys_job_log` VALUES (53215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:50:35');
INSERT INTO `sys_job_log` VALUES (53216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:50:40');
INSERT INTO `sys_job_log` VALUES (53217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:50:45');
INSERT INTO `sys_job_log` VALUES (53218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:50:45');
INSERT INTO `sys_job_log` VALUES (53219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:50:50');
INSERT INTO `sys_job_log` VALUES (53220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:50:55');
INSERT INTO `sys_job_log` VALUES (53221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 03:51:00');
INSERT INTO `sys_job_log` VALUES (53222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 03:51:00');
INSERT INTO `sys_job_log` VALUES (53223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:51:05');
INSERT INTO `sys_job_log` VALUES (53224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:51:10');
INSERT INTO `sys_job_log` VALUES (53225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:51:15');
INSERT INTO `sys_job_log` VALUES (53226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:51:15');
INSERT INTO `sys_job_log` VALUES (53227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:51:20');
INSERT INTO `sys_job_log` VALUES (53228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:51:25');
INSERT INTO `sys_job_log` VALUES (53229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:51:30');
INSERT INTO `sys_job_log` VALUES (53230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:51:30');
INSERT INTO `sys_job_log` VALUES (53231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:51:35');
INSERT INTO `sys_job_log` VALUES (53232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:51:40');
INSERT INTO `sys_job_log` VALUES (53233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 03:51:45');
INSERT INTO `sys_job_log` VALUES (53234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:51:45');
INSERT INTO `sys_job_log` VALUES (53235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:51:50');
INSERT INTO `sys_job_log` VALUES (53236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:51:55');
INSERT INTO `sys_job_log` VALUES (53237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:52:00');
INSERT INTO `sys_job_log` VALUES (53238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:52:00');
INSERT INTO `sys_job_log` VALUES (53239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:52:05');
INSERT INTO `sys_job_log` VALUES (53240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:52:10');
INSERT INTO `sys_job_log` VALUES (53241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:52:15');
INSERT INTO `sys_job_log` VALUES (53242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:52:15');
INSERT INTO `sys_job_log` VALUES (53243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:52:20');
INSERT INTO `sys_job_log` VALUES (53244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:52:25');
INSERT INTO `sys_job_log` VALUES (53245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:52:30');
INSERT INTO `sys_job_log` VALUES (53246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:52:30');
INSERT INTO `sys_job_log` VALUES (53247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:52:35');
INSERT INTO `sys_job_log` VALUES (53248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:52:40');
INSERT INTO `sys_job_log` VALUES (53249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:52:45');
INSERT INTO `sys_job_log` VALUES (53250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:52:45');
INSERT INTO `sys_job_log` VALUES (53251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:52:50');
INSERT INTO `sys_job_log` VALUES (53252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:52:55');
INSERT INTO `sys_job_log` VALUES (53253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:53:00');
INSERT INTO `sys_job_log` VALUES (53254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:53:00');
INSERT INTO `sys_job_log` VALUES (53255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:53:05');
INSERT INTO `sys_job_log` VALUES (53256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:53:10');
INSERT INTO `sys_job_log` VALUES (53257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:53:15');
INSERT INTO `sys_job_log` VALUES (53258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:53:15');
INSERT INTO `sys_job_log` VALUES (53259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:53:20');
INSERT INTO `sys_job_log` VALUES (53260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:53:25');
INSERT INTO `sys_job_log` VALUES (53261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:53:30');
INSERT INTO `sys_job_log` VALUES (53262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:53:30');
INSERT INTO `sys_job_log` VALUES (53263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 03:53:35');
INSERT INTO `sys_job_log` VALUES (53264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:53:40');
INSERT INTO `sys_job_log` VALUES (53265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:53:45');
INSERT INTO `sys_job_log` VALUES (53266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:53:45');
INSERT INTO `sys_job_log` VALUES (53267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:53:50');
INSERT INTO `sys_job_log` VALUES (53268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:53:55');
INSERT INTO `sys_job_log` VALUES (53269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 03:54:00');
INSERT INTO `sys_job_log` VALUES (53270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 03:54:00');
INSERT INTO `sys_job_log` VALUES (53271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:54:05');
INSERT INTO `sys_job_log` VALUES (53272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:54:10');
INSERT INTO `sys_job_log` VALUES (53273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:54:15');
INSERT INTO `sys_job_log` VALUES (53274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:54:15');
INSERT INTO `sys_job_log` VALUES (53275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:54:20');
INSERT INTO `sys_job_log` VALUES (53276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:54:25');
INSERT INTO `sys_job_log` VALUES (53277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 03:54:30');
INSERT INTO `sys_job_log` VALUES (53278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 03:54:30');
INSERT INTO `sys_job_log` VALUES (53279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:54:35');
INSERT INTO `sys_job_log` VALUES (53280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:54:40');
INSERT INTO `sys_job_log` VALUES (53281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:54:45');
INSERT INTO `sys_job_log` VALUES (53282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:54:45');
INSERT INTO `sys_job_log` VALUES (53283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:54:50');
INSERT INTO `sys_job_log` VALUES (53284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:54:55');
INSERT INTO `sys_job_log` VALUES (53285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:55:00');
INSERT INTO `sys_job_log` VALUES (53286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:55:00');
INSERT INTO `sys_job_log` VALUES (53287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:55:05');
INSERT INTO `sys_job_log` VALUES (53288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:55:10');
INSERT INTO `sys_job_log` VALUES (53289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:55:15');
INSERT INTO `sys_job_log` VALUES (53290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:55:15');
INSERT INTO `sys_job_log` VALUES (53291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:55:20');
INSERT INTO `sys_job_log` VALUES (53292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:55:25');
INSERT INTO `sys_job_log` VALUES (53293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:55:30');
INSERT INTO `sys_job_log` VALUES (53294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:55:30');
INSERT INTO `sys_job_log` VALUES (53295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:55:35');
INSERT INTO `sys_job_log` VALUES (53296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:55:40');
INSERT INTO `sys_job_log` VALUES (53297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:55:45');
INSERT INTO `sys_job_log` VALUES (53298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:55:45');
INSERT INTO `sys_job_log` VALUES (53299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:55:50');
INSERT INTO `sys_job_log` VALUES (53300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 03:55:55');
INSERT INTO `sys_job_log` VALUES (53301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:56:00');
INSERT INTO `sys_job_log` VALUES (53302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:56:00');
INSERT INTO `sys_job_log` VALUES (53303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:56:05');
INSERT INTO `sys_job_log` VALUES (53304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:56:10');
INSERT INTO `sys_job_log` VALUES (53305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 03:56:15');
INSERT INTO `sys_job_log` VALUES (53306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:56:15');
INSERT INTO `sys_job_log` VALUES (53307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:56:20');
INSERT INTO `sys_job_log` VALUES (53308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:56:25');
INSERT INTO `sys_job_log` VALUES (53309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:56:30');
INSERT INTO `sys_job_log` VALUES (53310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:56:30');
INSERT INTO `sys_job_log` VALUES (53311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:56:35');
INSERT INTO `sys_job_log` VALUES (53312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:56:40');
INSERT INTO `sys_job_log` VALUES (53313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 03:56:45');
INSERT INTO `sys_job_log` VALUES (53314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 03:56:45');
INSERT INTO `sys_job_log` VALUES (53315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:56:50');
INSERT INTO `sys_job_log` VALUES (53316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:56:55');
INSERT INTO `sys_job_log` VALUES (53317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:57:00');
INSERT INTO `sys_job_log` VALUES (53318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:57:00');
INSERT INTO `sys_job_log` VALUES (53319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:57:05');
INSERT INTO `sys_job_log` VALUES (53320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:57:10');
INSERT INTO `sys_job_log` VALUES (53321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:57:15');
INSERT INTO `sys_job_log` VALUES (53322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:57:15');
INSERT INTO `sys_job_log` VALUES (53323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 03:57:20');
INSERT INTO `sys_job_log` VALUES (53324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:57:25');
INSERT INTO `sys_job_log` VALUES (53325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:57:30');
INSERT INTO `sys_job_log` VALUES (53326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:57:30');
INSERT INTO `sys_job_log` VALUES (53327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:57:35');
INSERT INTO `sys_job_log` VALUES (53328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:57:40');
INSERT INTO `sys_job_log` VALUES (53329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 03:57:45');
INSERT INTO `sys_job_log` VALUES (53330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:57:45');
INSERT INTO `sys_job_log` VALUES (53331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:57:50');
INSERT INTO `sys_job_log` VALUES (53332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:57:55');
INSERT INTO `sys_job_log` VALUES (53333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:58:00');
INSERT INTO `sys_job_log` VALUES (53334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:58:00');
INSERT INTO `sys_job_log` VALUES (53335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:58:05');
INSERT INTO `sys_job_log` VALUES (53336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:58:10');
INSERT INTO `sys_job_log` VALUES (53337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:58:15');
INSERT INTO `sys_job_log` VALUES (53338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:58:15');
INSERT INTO `sys_job_log` VALUES (53339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:58:20');
INSERT INTO `sys_job_log` VALUES (53340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:58:25');
INSERT INTO `sys_job_log` VALUES (53341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:58:30');
INSERT INTO `sys_job_log` VALUES (53342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 03:58:30');
INSERT INTO `sys_job_log` VALUES (53343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:58:35');
INSERT INTO `sys_job_log` VALUES (53344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:58:40');
INSERT INTO `sys_job_log` VALUES (53345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 03:58:45');
INSERT INTO `sys_job_log` VALUES (53346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 03:58:45');
INSERT INTO `sys_job_log` VALUES (53347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:58:50');
INSERT INTO `sys_job_log` VALUES (53348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 03:58:55');
INSERT INTO `sys_job_log` VALUES (53349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:59:00');
INSERT INTO `sys_job_log` VALUES (53350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 03:59:00');
INSERT INTO `sys_job_log` VALUES (53351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:59:05');
INSERT INTO `sys_job_log` VALUES (53352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:59:10');
INSERT INTO `sys_job_log` VALUES (53353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:59:15');
INSERT INTO `sys_job_log` VALUES (53354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:59:15');
INSERT INTO `sys_job_log` VALUES (53355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 03:59:20');
INSERT INTO `sys_job_log` VALUES (53356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:59:25');
INSERT INTO `sys_job_log` VALUES (53357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 03:59:30');
INSERT INTO `sys_job_log` VALUES (53358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 03:59:30');
INSERT INTO `sys_job_log` VALUES (53359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:59:35');
INSERT INTO `sys_job_log` VALUES (53360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:59:40');
INSERT INTO `sys_job_log` VALUES (53361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 03:59:45');
INSERT INTO `sys_job_log` VALUES (53362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 03:59:45');
INSERT INTO `sys_job_log` VALUES (53363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 03:59:50');
INSERT INTO `sys_job_log` VALUES (53364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 03:59:55');
INSERT INTO `sys_job_log` VALUES (53365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:00:00');
INSERT INTO `sys_job_log` VALUES (53366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:00:00');
INSERT INTO `sys_job_log` VALUES (53367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:00:05');
INSERT INTO `sys_job_log` VALUES (53368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:00:10');
INSERT INTO `sys_job_log` VALUES (53369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:00:15');
INSERT INTO `sys_job_log` VALUES (53370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:00:15');
INSERT INTO `sys_job_log` VALUES (53371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:00:20');
INSERT INTO `sys_job_log` VALUES (53372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:00:25');
INSERT INTO `sys_job_log` VALUES (53373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:00:30');
INSERT INTO `sys_job_log` VALUES (53374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:00:30');
INSERT INTO `sys_job_log` VALUES (53375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:00:35');
INSERT INTO `sys_job_log` VALUES (53376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:00:40');
INSERT INTO `sys_job_log` VALUES (53377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:00:45');
INSERT INTO `sys_job_log` VALUES (53378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:00:45');
INSERT INTO `sys_job_log` VALUES (53379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:00:50');
INSERT INTO `sys_job_log` VALUES (53380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:00:55');
INSERT INTO `sys_job_log` VALUES (53381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:01:00');
INSERT INTO `sys_job_log` VALUES (53382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:01:00');
INSERT INTO `sys_job_log` VALUES (53383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:01:05');
INSERT INTO `sys_job_log` VALUES (53384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:01:10');
INSERT INTO `sys_job_log` VALUES (53385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:01:15');
INSERT INTO `sys_job_log` VALUES (53386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:01:15');
INSERT INTO `sys_job_log` VALUES (53387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:01:20');
INSERT INTO `sys_job_log` VALUES (53388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 04:01:25');
INSERT INTO `sys_job_log` VALUES (53389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:01:30');
INSERT INTO `sys_job_log` VALUES (53390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:01:30');
INSERT INTO `sys_job_log` VALUES (53391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:01:35');
INSERT INTO `sys_job_log` VALUES (53392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:01:40');
INSERT INTO `sys_job_log` VALUES (53393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:01:45');
INSERT INTO `sys_job_log` VALUES (53394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:01:45');
INSERT INTO `sys_job_log` VALUES (53395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:01:50');
INSERT INTO `sys_job_log` VALUES (53396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:01:55');
INSERT INTO `sys_job_log` VALUES (53397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 04:02:00');
INSERT INTO `sys_job_log` VALUES (53398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 04:02:00');
INSERT INTO `sys_job_log` VALUES (53399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:02:05');
INSERT INTO `sys_job_log` VALUES (53400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:10');
INSERT INTO `sys_job_log` VALUES (53401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:02:15');
INSERT INTO `sys_job_log` VALUES (53402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:02:15');
INSERT INTO `sys_job_log` VALUES (53403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:02:20');
INSERT INTO `sys_job_log` VALUES (53404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:25');
INSERT INTO `sys_job_log` VALUES (53405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:30');
INSERT INTO `sys_job_log` VALUES (53406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:30');
INSERT INTO `sys_job_log` VALUES (53407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:35');
INSERT INTO `sys_job_log` VALUES (53408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:02:40');
INSERT INTO `sys_job_log` VALUES (53409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:45');
INSERT INTO `sys_job_log` VALUES (53410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:45');
INSERT INTO `sys_job_log` VALUES (53411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:02:50');
INSERT INTO `sys_job_log` VALUES (53412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:02:55');
INSERT INTO `sys_job_log` VALUES (53413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:03:00');
INSERT INTO `sys_job_log` VALUES (53414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:03:00');
INSERT INTO `sys_job_log` VALUES (53415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 04:03:05');
INSERT INTO `sys_job_log` VALUES (53416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:03:10');
INSERT INTO `sys_job_log` VALUES (53417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:03:15');
INSERT INTO `sys_job_log` VALUES (53418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:03:15');
INSERT INTO `sys_job_log` VALUES (53419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:03:20');
INSERT INTO `sys_job_log` VALUES (53420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:03:25');
INSERT INTO `sys_job_log` VALUES (53421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:03:30');
INSERT INTO `sys_job_log` VALUES (53422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:03:30');
INSERT INTO `sys_job_log` VALUES (53423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:03:35');
INSERT INTO `sys_job_log` VALUES (53424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:03:40');
INSERT INTO `sys_job_log` VALUES (53425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:03:45');
INSERT INTO `sys_job_log` VALUES (53426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:03:45');
INSERT INTO `sys_job_log` VALUES (53427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:03:50');
INSERT INTO `sys_job_log` VALUES (53428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:03:55');
INSERT INTO `sys_job_log` VALUES (53429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:04:00');
INSERT INTO `sys_job_log` VALUES (53430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:04:00');
INSERT INTO `sys_job_log` VALUES (53431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:04:05');
INSERT INTO `sys_job_log` VALUES (53432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:04:10');
INSERT INTO `sys_job_log` VALUES (53433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:04:15');
INSERT INTO `sys_job_log` VALUES (53434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:04:15');
INSERT INTO `sys_job_log` VALUES (53435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:04:20');
INSERT INTO `sys_job_log` VALUES (53436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:04:25');
INSERT INTO `sys_job_log` VALUES (53437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 04:04:30');
INSERT INTO `sys_job_log` VALUES (53438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:04:30');
INSERT INTO `sys_job_log` VALUES (53439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:04:35');
INSERT INTO `sys_job_log` VALUES (53440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:04:40');
INSERT INTO `sys_job_log` VALUES (53441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:04:45');
INSERT INTO `sys_job_log` VALUES (53442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:04:45');
INSERT INTO `sys_job_log` VALUES (53443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:04:50');
INSERT INTO `sys_job_log` VALUES (53444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:04:55');
INSERT INTO `sys_job_log` VALUES (53445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:05:00');
INSERT INTO `sys_job_log` VALUES (53446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:05:00');
INSERT INTO `sys_job_log` VALUES (53447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:05:05');
INSERT INTO `sys_job_log` VALUES (53448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 04:05:10');
INSERT INTO `sys_job_log` VALUES (53449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:05:15');
INSERT INTO `sys_job_log` VALUES (53450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:05:15');
INSERT INTO `sys_job_log` VALUES (53451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:05:20');
INSERT INTO `sys_job_log` VALUES (53452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:05:25');
INSERT INTO `sys_job_log` VALUES (53453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:05:30');
INSERT INTO `sys_job_log` VALUES (53454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:05:30');
INSERT INTO `sys_job_log` VALUES (53455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:05:35');
INSERT INTO `sys_job_log` VALUES (53456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:05:40');
INSERT INTO `sys_job_log` VALUES (53457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:05:45');
INSERT INTO `sys_job_log` VALUES (53458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:05:45');
INSERT INTO `sys_job_log` VALUES (53459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:05:50');
INSERT INTO `sys_job_log` VALUES (53460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:05:55');
INSERT INTO `sys_job_log` VALUES (53461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:06:00');
INSERT INTO `sys_job_log` VALUES (53462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:06:00');
INSERT INTO `sys_job_log` VALUES (53463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:06:05');
INSERT INTO `sys_job_log` VALUES (53464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:06:10');
INSERT INTO `sys_job_log` VALUES (53465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-02 04:06:15');
INSERT INTO `sys_job_log` VALUES (53466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 04:06:15');
INSERT INTO `sys_job_log` VALUES (53467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:06:20');
INSERT INTO `sys_job_log` VALUES (53468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:06:25');
INSERT INTO `sys_job_log` VALUES (53469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:06:30');
INSERT INTO `sys_job_log` VALUES (53470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:06:30');
INSERT INTO `sys_job_log` VALUES (53471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:06:35');
INSERT INTO `sys_job_log` VALUES (53472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:06:40');
INSERT INTO `sys_job_log` VALUES (53473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:06:45');
INSERT INTO `sys_job_log` VALUES (53474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:06:45');
INSERT INTO `sys_job_log` VALUES (53475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:06:50');
INSERT INTO `sys_job_log` VALUES (53476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:06:55');
INSERT INTO `sys_job_log` VALUES (53477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:07:00');
INSERT INTO `sys_job_log` VALUES (53478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:07:00');
INSERT INTO `sys_job_log` VALUES (53479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:05');
INSERT INTO `sys_job_log` VALUES (53480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:07:10');
INSERT INTO `sys_job_log` VALUES (53481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:07:15');
INSERT INTO `sys_job_log` VALUES (53482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:15');
INSERT INTO `sys_job_log` VALUES (53483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:07:20');
INSERT INTO `sys_job_log` VALUES (53484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:25');
INSERT INTO `sys_job_log` VALUES (53485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:07:30');
INSERT INTO `sys_job_log` VALUES (53486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:07:30');
INSERT INTO `sys_job_log` VALUES (53487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:35');
INSERT INTO `sys_job_log` VALUES (53488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:40');
INSERT INTO `sys_job_log` VALUES (53489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:45');
INSERT INTO `sys_job_log` VALUES (53490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:07:45');
INSERT INTO `sys_job_log` VALUES (53491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:07:50');
INSERT INTO `sys_job_log` VALUES (53492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:07:55');
INSERT INTO `sys_job_log` VALUES (53493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:08:00');
INSERT INTO `sys_job_log` VALUES (53494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:08:00');
INSERT INTO `sys_job_log` VALUES (53495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:08:05');
INSERT INTO `sys_job_log` VALUES (53496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:08:10');
INSERT INTO `sys_job_log` VALUES (53497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:08:15');
INSERT INTO `sys_job_log` VALUES (53498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:08:15');
INSERT INTO `sys_job_log` VALUES (53499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:08:20');
INSERT INTO `sys_job_log` VALUES (53500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:08:25');
INSERT INTO `sys_job_log` VALUES (53501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:08:30');
INSERT INTO `sys_job_log` VALUES (53502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:08:30');
INSERT INTO `sys_job_log` VALUES (53503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:08:35');
INSERT INTO `sys_job_log` VALUES (53504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:08:40');
INSERT INTO `sys_job_log` VALUES (53505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:08:45');
INSERT INTO `sys_job_log` VALUES (53506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:08:45');
INSERT INTO `sys_job_log` VALUES (53507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:08:50');
INSERT INTO `sys_job_log` VALUES (53508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:08:55');
INSERT INTO `sys_job_log` VALUES (53509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:09:00');
INSERT INTO `sys_job_log` VALUES (53510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:09:00');
INSERT INTO `sys_job_log` VALUES (53511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:09:05');
INSERT INTO `sys_job_log` VALUES (53512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:09:10');
INSERT INTO `sys_job_log` VALUES (53513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:09:15');
INSERT INTO `sys_job_log` VALUES (53514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:09:15');
INSERT INTO `sys_job_log` VALUES (53515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:09:20');
INSERT INTO `sys_job_log` VALUES (53516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:09:25');
INSERT INTO `sys_job_log` VALUES (53517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:09:30');
INSERT INTO `sys_job_log` VALUES (53518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:09:30');
INSERT INTO `sys_job_log` VALUES (53519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 04:09:35');
INSERT INTO `sys_job_log` VALUES (53520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:09:40');
INSERT INTO `sys_job_log` VALUES (53521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:09:45');
INSERT INTO `sys_job_log` VALUES (53522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:09:45');
INSERT INTO `sys_job_log` VALUES (53523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:09:50');
INSERT INTO `sys_job_log` VALUES (53524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:09:55');
INSERT INTO `sys_job_log` VALUES (53525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:10:00');
INSERT INTO `sys_job_log` VALUES (53526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:10:00');
INSERT INTO `sys_job_log` VALUES (53527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:10:05');
INSERT INTO `sys_job_log` VALUES (53528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:10:10');
INSERT INTO `sys_job_log` VALUES (53529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:10:15');
INSERT INTO `sys_job_log` VALUES (53530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:10:15');
INSERT INTO `sys_job_log` VALUES (53531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:10:20');
INSERT INTO `sys_job_log` VALUES (53532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:10:25');
INSERT INTO `sys_job_log` VALUES (53533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:10:30');
INSERT INTO `sys_job_log` VALUES (53534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:10:30');
INSERT INTO `sys_job_log` VALUES (53535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:10:35');
INSERT INTO `sys_job_log` VALUES (53536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:10:40');
INSERT INTO `sys_job_log` VALUES (53537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:10:45');
INSERT INTO `sys_job_log` VALUES (53538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:10:45');
INSERT INTO `sys_job_log` VALUES (53539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:10:50');
INSERT INTO `sys_job_log` VALUES (53540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:10:55');
INSERT INTO `sys_job_log` VALUES (53541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:11:00');
INSERT INTO `sys_job_log` VALUES (53542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:11:00');
INSERT INTO `sys_job_log` VALUES (53543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:11:05');
INSERT INTO `sys_job_log` VALUES (53544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:11:10');
INSERT INTO `sys_job_log` VALUES (53545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:11:15');
INSERT INTO `sys_job_log` VALUES (53546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:11:15');
INSERT INTO `sys_job_log` VALUES (53547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:11:20');
INSERT INTO `sys_job_log` VALUES (53548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:11:25');
INSERT INTO `sys_job_log` VALUES (53549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:11:30');
INSERT INTO `sys_job_log` VALUES (53550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:11:30');
INSERT INTO `sys_job_log` VALUES (53551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:11:35');
INSERT INTO `sys_job_log` VALUES (53552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:11:40');
INSERT INTO `sys_job_log` VALUES (53553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:11:45');
INSERT INTO `sys_job_log` VALUES (53554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:11:45');
INSERT INTO `sys_job_log` VALUES (53555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:11:50');
INSERT INTO `sys_job_log` VALUES (53556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:11:55');
INSERT INTO `sys_job_log` VALUES (53557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:12:00');
INSERT INTO `sys_job_log` VALUES (53558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:12:00');
INSERT INTO `sys_job_log` VALUES (53559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:12:05');
INSERT INTO `sys_job_log` VALUES (53560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:12:10');
INSERT INTO `sys_job_log` VALUES (53561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:12:15');
INSERT INTO `sys_job_log` VALUES (53562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:12:15');
INSERT INTO `sys_job_log` VALUES (53563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:12:20');
INSERT INTO `sys_job_log` VALUES (53564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:12:25');
INSERT INTO `sys_job_log` VALUES (53565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:12:30');
INSERT INTO `sys_job_log` VALUES (53566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:12:30');
INSERT INTO `sys_job_log` VALUES (53567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:12:35');
INSERT INTO `sys_job_log` VALUES (53568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:12:40');
INSERT INTO `sys_job_log` VALUES (53569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:12:45');
INSERT INTO `sys_job_log` VALUES (53570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:12:45');
INSERT INTO `sys_job_log` VALUES (53571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 04:12:50');
INSERT INTO `sys_job_log` VALUES (53572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:12:55');
INSERT INTO `sys_job_log` VALUES (53573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 04:13:00');
INSERT INTO `sys_job_log` VALUES (53574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 04:13:00');
INSERT INTO `sys_job_log` VALUES (53575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:13:05');
INSERT INTO `sys_job_log` VALUES (53576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:13:10');
INSERT INTO `sys_job_log` VALUES (53577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:13:15');
INSERT INTO `sys_job_log` VALUES (53578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:13:15');
INSERT INTO `sys_job_log` VALUES (53579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:13:20');
INSERT INTO `sys_job_log` VALUES (53580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:13:25');
INSERT INTO `sys_job_log` VALUES (53581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:13:30');
INSERT INTO `sys_job_log` VALUES (53582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:13:30');
INSERT INTO `sys_job_log` VALUES (53583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 04:13:35');
INSERT INTO `sys_job_log` VALUES (53584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:13:40');
INSERT INTO `sys_job_log` VALUES (53585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:13:45');
INSERT INTO `sys_job_log` VALUES (53586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:13:45');
INSERT INTO `sys_job_log` VALUES (53587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:13:50');
INSERT INTO `sys_job_log` VALUES (53588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:13:55');
INSERT INTO `sys_job_log` VALUES (53589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:14:00');
INSERT INTO `sys_job_log` VALUES (53590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:14:00');
INSERT INTO `sys_job_log` VALUES (53591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:14:05');
INSERT INTO `sys_job_log` VALUES (53592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:14:10');
INSERT INTO `sys_job_log` VALUES (53593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 04:14:15');
INSERT INTO `sys_job_log` VALUES (53594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:14:15');
INSERT INTO `sys_job_log` VALUES (53595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:14:20');
INSERT INTO `sys_job_log` VALUES (53596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:14:25');
INSERT INTO `sys_job_log` VALUES (53597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:14:30');
INSERT INTO `sys_job_log` VALUES (53598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:14:30');
INSERT INTO `sys_job_log` VALUES (53599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:14:35');
INSERT INTO `sys_job_log` VALUES (53600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:14:40');
INSERT INTO `sys_job_log` VALUES (53601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 04:14:45');
INSERT INTO `sys_job_log` VALUES (53602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 04:14:45');
INSERT INTO `sys_job_log` VALUES (53603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:14:50');
INSERT INTO `sys_job_log` VALUES (53604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:14:55');
INSERT INTO `sys_job_log` VALUES (53605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:15:00');
INSERT INTO `sys_job_log` VALUES (53606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:15:00');
INSERT INTO `sys_job_log` VALUES (53607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1229毫秒', '0', '', '2025-01-02 04:15:06');
INSERT INTO `sys_job_log` VALUES (53608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:15:10');
INSERT INTO `sys_job_log` VALUES (53609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:15:15');
INSERT INTO `sys_job_log` VALUES (53610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:15:15');
INSERT INTO `sys_job_log` VALUES (53611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:15:20');
INSERT INTO `sys_job_log` VALUES (53612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:15:25');
INSERT INTO `sys_job_log` VALUES (53613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:15:30');
INSERT INTO `sys_job_log` VALUES (53614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:15:30');
INSERT INTO `sys_job_log` VALUES (53615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:15:35');
INSERT INTO `sys_job_log` VALUES (53616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:15:40');
INSERT INTO `sys_job_log` VALUES (53617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:15:45');
INSERT INTO `sys_job_log` VALUES (53618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:15:45');
INSERT INTO `sys_job_log` VALUES (53619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:15:50');
INSERT INTO `sys_job_log` VALUES (53620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:15:55');
INSERT INTO `sys_job_log` VALUES (53621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:16:00');
INSERT INTO `sys_job_log` VALUES (53622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:16:00');
INSERT INTO `sys_job_log` VALUES (53623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:16:05');
INSERT INTO `sys_job_log` VALUES (53624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:16:10');
INSERT INTO `sys_job_log` VALUES (53625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:16:15');
INSERT INTO `sys_job_log` VALUES (53626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:16:15');
INSERT INTO `sys_job_log` VALUES (53627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:16:20');
INSERT INTO `sys_job_log` VALUES (53628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:16:25');
INSERT INTO `sys_job_log` VALUES (53629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:16:30');
INSERT INTO `sys_job_log` VALUES (53630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:16:30');
INSERT INTO `sys_job_log` VALUES (53631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:16:35');
INSERT INTO `sys_job_log` VALUES (53632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:16:40');
INSERT INTO `sys_job_log` VALUES (53633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:16:45');
INSERT INTO `sys_job_log` VALUES (53634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:16:45');
INSERT INTO `sys_job_log` VALUES (53635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:16:50');
INSERT INTO `sys_job_log` VALUES (53636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:16:55');
INSERT INTO `sys_job_log` VALUES (53637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:17:00');
INSERT INTO `sys_job_log` VALUES (53638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:17:00');
INSERT INTO `sys_job_log` VALUES (53639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:17:05');
INSERT INTO `sys_job_log` VALUES (53640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:17:10');
INSERT INTO `sys_job_log` VALUES (53641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:17:15');
INSERT INTO `sys_job_log` VALUES (53642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:17:15');
INSERT INTO `sys_job_log` VALUES (53643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:17:20');
INSERT INTO `sys_job_log` VALUES (53644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:17:25');
INSERT INTO `sys_job_log` VALUES (53645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:17:30');
INSERT INTO `sys_job_log` VALUES (53646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:17:30');
INSERT INTO `sys_job_log` VALUES (53647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:17:35');
INSERT INTO `sys_job_log` VALUES (53648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:17:40');
INSERT INTO `sys_job_log` VALUES (53649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:17:45');
INSERT INTO `sys_job_log` VALUES (53650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:17:45');
INSERT INTO `sys_job_log` VALUES (53651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:17:50');
INSERT INTO `sys_job_log` VALUES (53652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:17:55');
INSERT INTO `sys_job_log` VALUES (53653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:18:00');
INSERT INTO `sys_job_log` VALUES (53654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:18:00');
INSERT INTO `sys_job_log` VALUES (53655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:18:05');
INSERT INTO `sys_job_log` VALUES (53656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:18:10');
INSERT INTO `sys_job_log` VALUES (53657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:18:15');
INSERT INTO `sys_job_log` VALUES (53658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:18:15');
INSERT INTO `sys_job_log` VALUES (53659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:18:20');
INSERT INTO `sys_job_log` VALUES (53660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:18:25');
INSERT INTO `sys_job_log` VALUES (53661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:18:30');
INSERT INTO `sys_job_log` VALUES (53662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:18:30');
INSERT INTO `sys_job_log` VALUES (53663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:18:35');
INSERT INTO `sys_job_log` VALUES (53664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:18:40');
INSERT INTO `sys_job_log` VALUES (53665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:18:45');
INSERT INTO `sys_job_log` VALUES (53666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:18:45');
INSERT INTO `sys_job_log` VALUES (53667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:18:50');
INSERT INTO `sys_job_log` VALUES (53668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:18:55');
INSERT INTO `sys_job_log` VALUES (53669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:19:00');
INSERT INTO `sys_job_log` VALUES (53670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:19:00');
INSERT INTO `sys_job_log` VALUES (53671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:19:05');
INSERT INTO `sys_job_log` VALUES (53672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:19:10');
INSERT INTO `sys_job_log` VALUES (53673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:19:15');
INSERT INTO `sys_job_log` VALUES (53674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:19:15');
INSERT INTO `sys_job_log` VALUES (53675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:19:20');
INSERT INTO `sys_job_log` VALUES (53676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:19:25');
INSERT INTO `sys_job_log` VALUES (53677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:19:30');
INSERT INTO `sys_job_log` VALUES (53678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:19:30');
INSERT INTO `sys_job_log` VALUES (53679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:19:35');
INSERT INTO `sys_job_log` VALUES (53680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:19:40');
INSERT INTO `sys_job_log` VALUES (53681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:19:45');
INSERT INTO `sys_job_log` VALUES (53682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:19:45');
INSERT INTO `sys_job_log` VALUES (53683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:19:50');
INSERT INTO `sys_job_log` VALUES (53684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:19:55');
INSERT INTO `sys_job_log` VALUES (53685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 04:20:00');
INSERT INTO `sys_job_log` VALUES (53686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 04:20:00');
INSERT INTO `sys_job_log` VALUES (53687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:20:05');
INSERT INTO `sys_job_log` VALUES (53688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:20:10');
INSERT INTO `sys_job_log` VALUES (53689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:20:15');
INSERT INTO `sys_job_log` VALUES (53690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:20:15');
INSERT INTO `sys_job_log` VALUES (53691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:20:20');
INSERT INTO `sys_job_log` VALUES (53692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:20:25');
INSERT INTO `sys_job_log` VALUES (53693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:20:30');
INSERT INTO `sys_job_log` VALUES (53694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:20:30');
INSERT INTO `sys_job_log` VALUES (53695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:20:35');
INSERT INTO `sys_job_log` VALUES (53696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:20:40');
INSERT INTO `sys_job_log` VALUES (53697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:20:45');
INSERT INTO `sys_job_log` VALUES (53698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:20:45');
INSERT INTO `sys_job_log` VALUES (53699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:20:50');
INSERT INTO `sys_job_log` VALUES (53700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:20:55');
INSERT INTO `sys_job_log` VALUES (53701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:21:00');
INSERT INTO `sys_job_log` VALUES (53702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:21:00');
INSERT INTO `sys_job_log` VALUES (53703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:21:05');
INSERT INTO `sys_job_log` VALUES (53704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:21:10');
INSERT INTO `sys_job_log` VALUES (53705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:21:15');
INSERT INTO `sys_job_log` VALUES (53706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:21:15');
INSERT INTO `sys_job_log` VALUES (53707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:21:20');
INSERT INTO `sys_job_log` VALUES (53708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:21:25');
INSERT INTO `sys_job_log` VALUES (53709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:21:30');
INSERT INTO `sys_job_log` VALUES (53710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:21:30');
INSERT INTO `sys_job_log` VALUES (53711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:21:35');
INSERT INTO `sys_job_log` VALUES (53712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:21:40');
INSERT INTO `sys_job_log` VALUES (53713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:21:45');
INSERT INTO `sys_job_log` VALUES (53714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:21:45');
INSERT INTO `sys_job_log` VALUES (53715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:21:50');
INSERT INTO `sys_job_log` VALUES (53716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:21:55');
INSERT INTO `sys_job_log` VALUES (53717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:22:00');
INSERT INTO `sys_job_log` VALUES (53718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:22:00');
INSERT INTO `sys_job_log` VALUES (53719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:22:05');
INSERT INTO `sys_job_log` VALUES (53720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:22:10');
INSERT INTO `sys_job_log` VALUES (53721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:22:15');
INSERT INTO `sys_job_log` VALUES (53722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:22:15');
INSERT INTO `sys_job_log` VALUES (53723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:22:20');
INSERT INTO `sys_job_log` VALUES (53724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:22:25');
INSERT INTO `sys_job_log` VALUES (53725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:22:30');
INSERT INTO `sys_job_log` VALUES (53726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:22:30');
INSERT INTO `sys_job_log` VALUES (53727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:22:35');
INSERT INTO `sys_job_log` VALUES (53728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:22:40');
INSERT INTO `sys_job_log` VALUES (53729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:22:45');
INSERT INTO `sys_job_log` VALUES (53730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:22:45');
INSERT INTO `sys_job_log` VALUES (53731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:22:50');
INSERT INTO `sys_job_log` VALUES (53732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:22:55');
INSERT INTO `sys_job_log` VALUES (53733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:23:00');
INSERT INTO `sys_job_log` VALUES (53734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:23:00');
INSERT INTO `sys_job_log` VALUES (53735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:23:05');
INSERT INTO `sys_job_log` VALUES (53736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:23:10');
INSERT INTO `sys_job_log` VALUES (53737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:23:15');
INSERT INTO `sys_job_log` VALUES (53738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:23:15');
INSERT INTO `sys_job_log` VALUES (53739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:23:20');
INSERT INTO `sys_job_log` VALUES (53740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:23:25');
INSERT INTO `sys_job_log` VALUES (53741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:23:30');
INSERT INTO `sys_job_log` VALUES (53742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:23:30');
INSERT INTO `sys_job_log` VALUES (53743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:23:35');
INSERT INTO `sys_job_log` VALUES (53744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:23:40');
INSERT INTO `sys_job_log` VALUES (53745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:23:45');
INSERT INTO `sys_job_log` VALUES (53746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:23:45');
INSERT INTO `sys_job_log` VALUES (53747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:23:50');
INSERT INTO `sys_job_log` VALUES (53748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:23:55');
INSERT INTO `sys_job_log` VALUES (53749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:24:00');
INSERT INTO `sys_job_log` VALUES (53750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:24:00');
INSERT INTO `sys_job_log` VALUES (53751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:24:05');
INSERT INTO `sys_job_log` VALUES (53752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:24:10');
INSERT INTO `sys_job_log` VALUES (53753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:24:15');
INSERT INTO `sys_job_log` VALUES (53754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:24:15');
INSERT INTO `sys_job_log` VALUES (53755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:24:20');
INSERT INTO `sys_job_log` VALUES (53756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:24:25');
INSERT INTO `sys_job_log` VALUES (53757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:24:30');
INSERT INTO `sys_job_log` VALUES (53758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:24:30');
INSERT INTO `sys_job_log` VALUES (53759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:24:35');
INSERT INTO `sys_job_log` VALUES (53760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:24:40');
INSERT INTO `sys_job_log` VALUES (53761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:24:45');
INSERT INTO `sys_job_log` VALUES (53762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:24:45');
INSERT INTO `sys_job_log` VALUES (53763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:24:50');
INSERT INTO `sys_job_log` VALUES (53764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:24:55');
INSERT INTO `sys_job_log` VALUES (53765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:25:00');
INSERT INTO `sys_job_log` VALUES (53766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:25:00');
INSERT INTO `sys_job_log` VALUES (53767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:25:05');
INSERT INTO `sys_job_log` VALUES (53768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:25:10');
INSERT INTO `sys_job_log` VALUES (53769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:25:15');
INSERT INTO `sys_job_log` VALUES (53770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:25:15');
INSERT INTO `sys_job_log` VALUES (53771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:25:20');
INSERT INTO `sys_job_log` VALUES (53772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:25:25');
INSERT INTO `sys_job_log` VALUES (53773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:25:30');
INSERT INTO `sys_job_log` VALUES (53774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:25:30');
INSERT INTO `sys_job_log` VALUES (53775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:25:35');
INSERT INTO `sys_job_log` VALUES (53776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:25:40');
INSERT INTO `sys_job_log` VALUES (53777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:25:45');
INSERT INTO `sys_job_log` VALUES (53778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:25:45');
INSERT INTO `sys_job_log` VALUES (53779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:25:50');
INSERT INTO `sys_job_log` VALUES (53780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:25:55');
INSERT INTO `sys_job_log` VALUES (53781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:26:00');
INSERT INTO `sys_job_log` VALUES (53782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:26:00');
INSERT INTO `sys_job_log` VALUES (53783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:26:05');
INSERT INTO `sys_job_log` VALUES (53784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:26:10');
INSERT INTO `sys_job_log` VALUES (53785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:26:15');
INSERT INTO `sys_job_log` VALUES (53786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:26:15');
INSERT INTO `sys_job_log` VALUES (53787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 04:26:20');
INSERT INTO `sys_job_log` VALUES (53788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:26:25');
INSERT INTO `sys_job_log` VALUES (53789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:26:30');
INSERT INTO `sys_job_log` VALUES (53790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:26:30');
INSERT INTO `sys_job_log` VALUES (53791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:26:35');
INSERT INTO `sys_job_log` VALUES (53792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:26:40');
INSERT INTO `sys_job_log` VALUES (53793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:26:45');
INSERT INTO `sys_job_log` VALUES (53794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:26:45');
INSERT INTO `sys_job_log` VALUES (53795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:26:50');
INSERT INTO `sys_job_log` VALUES (53796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:26:55');
INSERT INTO `sys_job_log` VALUES (53797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:27:00');
INSERT INTO `sys_job_log` VALUES (53798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:27:00');
INSERT INTO `sys_job_log` VALUES (53799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:27:05');
INSERT INTO `sys_job_log` VALUES (53800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:27:10');
INSERT INTO `sys_job_log` VALUES (53801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:27:15');
INSERT INTO `sys_job_log` VALUES (53802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:27:15');
INSERT INTO `sys_job_log` VALUES (53803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:27:20');
INSERT INTO `sys_job_log` VALUES (53804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:27:25');
INSERT INTO `sys_job_log` VALUES (53805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:27:30');
INSERT INTO `sys_job_log` VALUES (53806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:27:30');
INSERT INTO `sys_job_log` VALUES (53807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:27:35');
INSERT INTO `sys_job_log` VALUES (53808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:27:40');
INSERT INTO `sys_job_log` VALUES (53809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:27:45');
INSERT INTO `sys_job_log` VALUES (53810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:27:45');
INSERT INTO `sys_job_log` VALUES (53811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:27:50');
INSERT INTO `sys_job_log` VALUES (53812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:27:55');
INSERT INTO `sys_job_log` VALUES (53813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:28:00');
INSERT INTO `sys_job_log` VALUES (53814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:28:00');
INSERT INTO `sys_job_log` VALUES (53815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:28:05');
INSERT INTO `sys_job_log` VALUES (53816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:28:10');
INSERT INTO `sys_job_log` VALUES (53817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:28:15');
INSERT INTO `sys_job_log` VALUES (53818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:28:15');
INSERT INTO `sys_job_log` VALUES (53819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:28:20');
INSERT INTO `sys_job_log` VALUES (53820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:28:25');
INSERT INTO `sys_job_log` VALUES (53821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:28:30');
INSERT INTO `sys_job_log` VALUES (53822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:28:30');
INSERT INTO `sys_job_log` VALUES (53823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:28:35');
INSERT INTO `sys_job_log` VALUES (53824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:28:40');
INSERT INTO `sys_job_log` VALUES (53825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:28:45');
INSERT INTO `sys_job_log` VALUES (53826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:28:45');
INSERT INTO `sys_job_log` VALUES (53827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:28:50');
INSERT INTO `sys_job_log` VALUES (53828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:28:55');
INSERT INTO `sys_job_log` VALUES (53829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:29:00');
INSERT INTO `sys_job_log` VALUES (53830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:29:00');
INSERT INTO `sys_job_log` VALUES (53831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:29:05');
INSERT INTO `sys_job_log` VALUES (53832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:29:10');
INSERT INTO `sys_job_log` VALUES (53833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:29:15');
INSERT INTO `sys_job_log` VALUES (53834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:29:15');
INSERT INTO `sys_job_log` VALUES (53835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:29:20');
INSERT INTO `sys_job_log` VALUES (53836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:29:25');
INSERT INTO `sys_job_log` VALUES (53837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:29:30');
INSERT INTO `sys_job_log` VALUES (53838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:29:30');
INSERT INTO `sys_job_log` VALUES (53839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:29:35');
INSERT INTO `sys_job_log` VALUES (53840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:29:40');
INSERT INTO `sys_job_log` VALUES (53841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:29:45');
INSERT INTO `sys_job_log` VALUES (53842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:29:45');
INSERT INTO `sys_job_log` VALUES (53843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:29:50');
INSERT INTO `sys_job_log` VALUES (53844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:29:55');
INSERT INTO `sys_job_log` VALUES (53845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:30:00');
INSERT INTO `sys_job_log` VALUES (53846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:30:00');
INSERT INTO `sys_job_log` VALUES (53847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:30:05');
INSERT INTO `sys_job_log` VALUES (53848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:30:10');
INSERT INTO `sys_job_log` VALUES (53849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:30:15');
INSERT INTO `sys_job_log` VALUES (53850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:30:15');
INSERT INTO `sys_job_log` VALUES (53851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:30:20');
INSERT INTO `sys_job_log` VALUES (53852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:30:25');
INSERT INTO `sys_job_log` VALUES (53853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:30:30');
INSERT INTO `sys_job_log` VALUES (53854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:30:30');
INSERT INTO `sys_job_log` VALUES (53855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:30:35');
INSERT INTO `sys_job_log` VALUES (53856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:30:40');
INSERT INTO `sys_job_log` VALUES (53857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:30:45');
INSERT INTO `sys_job_log` VALUES (53858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:30:45');
INSERT INTO `sys_job_log` VALUES (53859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:30:50');
INSERT INTO `sys_job_log` VALUES (53860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:30:55');
INSERT INTO `sys_job_log` VALUES (53861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:31:00');
INSERT INTO `sys_job_log` VALUES (53862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:31:00');
INSERT INTO `sys_job_log` VALUES (53863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:31:05');
INSERT INTO `sys_job_log` VALUES (53864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:31:10');
INSERT INTO `sys_job_log` VALUES (53865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:31:15');
INSERT INTO `sys_job_log` VALUES (53866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 04:31:15');
INSERT INTO `sys_job_log` VALUES (53867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:31:20');
INSERT INTO `sys_job_log` VALUES (53868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:31:25');
INSERT INTO `sys_job_log` VALUES (53869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:31:30');
INSERT INTO `sys_job_log` VALUES (53870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:31:30');
INSERT INTO `sys_job_log` VALUES (53871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:31:35');
INSERT INTO `sys_job_log` VALUES (53872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:31:40');
INSERT INTO `sys_job_log` VALUES (53873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:31:45');
INSERT INTO `sys_job_log` VALUES (53874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:31:45');
INSERT INTO `sys_job_log` VALUES (53875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:31:50');
INSERT INTO `sys_job_log` VALUES (53876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:31:55');
INSERT INTO `sys_job_log` VALUES (53877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:32:00');
INSERT INTO `sys_job_log` VALUES (53878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:32:00');
INSERT INTO `sys_job_log` VALUES (53879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:32:05');
INSERT INTO `sys_job_log` VALUES (53880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:32:10');
INSERT INTO `sys_job_log` VALUES (53881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:32:15');
INSERT INTO `sys_job_log` VALUES (53882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:32:15');
INSERT INTO `sys_job_log` VALUES (53883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:32:20');
INSERT INTO `sys_job_log` VALUES (53884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:32:25');
INSERT INTO `sys_job_log` VALUES (53885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:32:30');
INSERT INTO `sys_job_log` VALUES (53886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:32:30');
INSERT INTO `sys_job_log` VALUES (53887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:32:35');
INSERT INTO `sys_job_log` VALUES (53888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:32:40');
INSERT INTO `sys_job_log` VALUES (53889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:32:45');
INSERT INTO `sys_job_log` VALUES (53890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:32:45');
INSERT INTO `sys_job_log` VALUES (53891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:32:50');
INSERT INTO `sys_job_log` VALUES (53892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:32:55');
INSERT INTO `sys_job_log` VALUES (53893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:33:00');
INSERT INTO `sys_job_log` VALUES (53894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:33:00');
INSERT INTO `sys_job_log` VALUES (53895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:33:05');
INSERT INTO `sys_job_log` VALUES (53896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:33:10');
INSERT INTO `sys_job_log` VALUES (53897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:33:15');
INSERT INTO `sys_job_log` VALUES (53898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:33:15');
INSERT INTO `sys_job_log` VALUES (53899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:33:20');
INSERT INTO `sys_job_log` VALUES (53900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:33:25');
INSERT INTO `sys_job_log` VALUES (53901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:33:30');
INSERT INTO `sys_job_log` VALUES (53902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:33:30');
INSERT INTO `sys_job_log` VALUES (53903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:33:35');
INSERT INTO `sys_job_log` VALUES (53904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:33:40');
INSERT INTO `sys_job_log` VALUES (53905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:33:45');
INSERT INTO `sys_job_log` VALUES (53906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:33:45');
INSERT INTO `sys_job_log` VALUES (53907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:33:50');
INSERT INTO `sys_job_log` VALUES (53908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:33:55');
INSERT INTO `sys_job_log` VALUES (53909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:34:00');
INSERT INTO `sys_job_log` VALUES (53910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:34:00');
INSERT INTO `sys_job_log` VALUES (53911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:34:05');
INSERT INTO `sys_job_log` VALUES (53912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:34:10');
INSERT INTO `sys_job_log` VALUES (53913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:34:15');
INSERT INTO `sys_job_log` VALUES (53914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:34:15');
INSERT INTO `sys_job_log` VALUES (53915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:34:20');
INSERT INTO `sys_job_log` VALUES (53916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:34:25');
INSERT INTO `sys_job_log` VALUES (53917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:34:30');
INSERT INTO `sys_job_log` VALUES (53918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:34:30');
INSERT INTO `sys_job_log` VALUES (53919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:34:35');
INSERT INTO `sys_job_log` VALUES (53920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:34:40');
INSERT INTO `sys_job_log` VALUES (53921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:34:45');
INSERT INTO `sys_job_log` VALUES (53922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:34:45');
INSERT INTO `sys_job_log` VALUES (53923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:34:50');
INSERT INTO `sys_job_log` VALUES (53924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:34:55');
INSERT INTO `sys_job_log` VALUES (53925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:35:00');
INSERT INTO `sys_job_log` VALUES (53926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:35:00');
INSERT INTO `sys_job_log` VALUES (53927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:35:05');
INSERT INTO `sys_job_log` VALUES (53928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:35:10');
INSERT INTO `sys_job_log` VALUES (53929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:35:15');
INSERT INTO `sys_job_log` VALUES (53930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:35:15');
INSERT INTO `sys_job_log` VALUES (53931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:35:20');
INSERT INTO `sys_job_log` VALUES (53932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:35:25');
INSERT INTO `sys_job_log` VALUES (53933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:35:30');
INSERT INTO `sys_job_log` VALUES (53934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:35:30');
INSERT INTO `sys_job_log` VALUES (53935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:35:35');
INSERT INTO `sys_job_log` VALUES (53936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:35:40');
INSERT INTO `sys_job_log` VALUES (53937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:35:45');
INSERT INTO `sys_job_log` VALUES (53938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:35:45');
INSERT INTO `sys_job_log` VALUES (53939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:35:50');
INSERT INTO `sys_job_log` VALUES (53940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:35:55');
INSERT INTO `sys_job_log` VALUES (53941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:36:00');
INSERT INTO `sys_job_log` VALUES (53942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:36:00');
INSERT INTO `sys_job_log` VALUES (53943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:36:05');
INSERT INTO `sys_job_log` VALUES (53944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:36:10');
INSERT INTO `sys_job_log` VALUES (53945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:36:15');
INSERT INTO `sys_job_log` VALUES (53946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:36:15');
INSERT INTO `sys_job_log` VALUES (53947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:36:20');
INSERT INTO `sys_job_log` VALUES (53948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:36:25');
INSERT INTO `sys_job_log` VALUES (53949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:36:30');
INSERT INTO `sys_job_log` VALUES (53950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:36:30');
INSERT INTO `sys_job_log` VALUES (53951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:36:35');
INSERT INTO `sys_job_log` VALUES (53952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:36:40');
INSERT INTO `sys_job_log` VALUES (53953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:36:45');
INSERT INTO `sys_job_log` VALUES (53954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:36:45');
INSERT INTO `sys_job_log` VALUES (53955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:36:50');
INSERT INTO `sys_job_log` VALUES (53956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 04:36:55');
INSERT INTO `sys_job_log` VALUES (53957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:37:00');
INSERT INTO `sys_job_log` VALUES (53958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:37:00');
INSERT INTO `sys_job_log` VALUES (53959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:37:05');
INSERT INTO `sys_job_log` VALUES (53960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:37:10');
INSERT INTO `sys_job_log` VALUES (53961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:37:15');
INSERT INTO `sys_job_log` VALUES (53962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:37:15');
INSERT INTO `sys_job_log` VALUES (53963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:37:20');
INSERT INTO `sys_job_log` VALUES (53964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:37:25');
INSERT INTO `sys_job_log` VALUES (53965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:37:30');
INSERT INTO `sys_job_log` VALUES (53966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:37:30');
INSERT INTO `sys_job_log` VALUES (53967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:37:35');
INSERT INTO `sys_job_log` VALUES (53968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:37:40');
INSERT INTO `sys_job_log` VALUES (53969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:37:45');
INSERT INTO `sys_job_log` VALUES (53970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:37:45');
INSERT INTO `sys_job_log` VALUES (53971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:37:50');
INSERT INTO `sys_job_log` VALUES (53972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:37:55');
INSERT INTO `sys_job_log` VALUES (53973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:38:00');
INSERT INTO `sys_job_log` VALUES (53974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:38:00');
INSERT INTO `sys_job_log` VALUES (53975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:38:05');
INSERT INTO `sys_job_log` VALUES (53976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:10');
INSERT INTO `sys_job_log` VALUES (53977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:15');
INSERT INTO `sys_job_log` VALUES (53978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:15');
INSERT INTO `sys_job_log` VALUES (53979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:20');
INSERT INTO `sys_job_log` VALUES (53980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:25');
INSERT INTO `sys_job_log` VALUES (53981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:30');
INSERT INTO `sys_job_log` VALUES (53982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:30');
INSERT INTO `sys_job_log` VALUES (53983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:35');
INSERT INTO `sys_job_log` VALUES (53984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:40');
INSERT INTO `sys_job_log` VALUES (53985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:38:45');
INSERT INTO `sys_job_log` VALUES (53986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:38:45');
INSERT INTO `sys_job_log` VALUES (53987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:38:50');
INSERT INTO `sys_job_log` VALUES (53988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:38:55');
INSERT INTO `sys_job_log` VALUES (53989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:39:00');
INSERT INTO `sys_job_log` VALUES (53990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:39:00');
INSERT INTO `sys_job_log` VALUES (53991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:39:05');
INSERT INTO `sys_job_log` VALUES (53992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:39:10');
INSERT INTO `sys_job_log` VALUES (53993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:39:15');
INSERT INTO `sys_job_log` VALUES (53994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:39:15');
INSERT INTO `sys_job_log` VALUES (53995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:39:20');
INSERT INTO `sys_job_log` VALUES (53996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:39:25');
INSERT INTO `sys_job_log` VALUES (53997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:39:30');
INSERT INTO `sys_job_log` VALUES (53998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:39:30');
INSERT INTO `sys_job_log` VALUES (53999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:39:35');
INSERT INTO `sys_job_log` VALUES (54000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:39:40');
INSERT INTO `sys_job_log` VALUES (54001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:39:45');
INSERT INTO `sys_job_log` VALUES (54002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:39:45');
INSERT INTO `sys_job_log` VALUES (54003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:39:50');
INSERT INTO `sys_job_log` VALUES (54004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:39:55');
INSERT INTO `sys_job_log` VALUES (54005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 04:40:00');
INSERT INTO `sys_job_log` VALUES (54006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:40:00');
INSERT INTO `sys_job_log` VALUES (54007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:40:05');
INSERT INTO `sys_job_log` VALUES (54008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:40:10');
INSERT INTO `sys_job_log` VALUES (54009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:40:15');
INSERT INTO `sys_job_log` VALUES (54010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:40:15');
INSERT INTO `sys_job_log` VALUES (54011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:40:20');
INSERT INTO `sys_job_log` VALUES (54012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:40:25');
INSERT INTO `sys_job_log` VALUES (54013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:40:30');
INSERT INTO `sys_job_log` VALUES (54014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:40:30');
INSERT INTO `sys_job_log` VALUES (54015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:40:35');
INSERT INTO `sys_job_log` VALUES (54016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:40:40');
INSERT INTO `sys_job_log` VALUES (54017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:40:45');
INSERT INTO `sys_job_log` VALUES (54018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:40:45');
INSERT INTO `sys_job_log` VALUES (54019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:40:50');
INSERT INTO `sys_job_log` VALUES (54020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:40:55');
INSERT INTO `sys_job_log` VALUES (54021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:41:00');
INSERT INTO `sys_job_log` VALUES (54022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:41:00');
INSERT INTO `sys_job_log` VALUES (54023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:41:05');
INSERT INTO `sys_job_log` VALUES (54024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:41:10');
INSERT INTO `sys_job_log` VALUES (54025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:41:15');
INSERT INTO `sys_job_log` VALUES (54026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:41:15');
INSERT INTO `sys_job_log` VALUES (54027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:41:20');
INSERT INTO `sys_job_log` VALUES (54028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:41:25');
INSERT INTO `sys_job_log` VALUES (54029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:41:30');
INSERT INTO `sys_job_log` VALUES (54030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:41:30');
INSERT INTO `sys_job_log` VALUES (54031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:41:35');
INSERT INTO `sys_job_log` VALUES (54032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:41:40');
INSERT INTO `sys_job_log` VALUES (54033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:41:45');
INSERT INTO `sys_job_log` VALUES (54034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:41:45');
INSERT INTO `sys_job_log` VALUES (54035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:41:50');
INSERT INTO `sys_job_log` VALUES (54036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:41:55');
INSERT INTO `sys_job_log` VALUES (54037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:42:00');
INSERT INTO `sys_job_log` VALUES (54038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 04:42:00');
INSERT INTO `sys_job_log` VALUES (54039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:42:05');
INSERT INTO `sys_job_log` VALUES (54040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:42:10');
INSERT INTO `sys_job_log` VALUES (54041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:42:15');
INSERT INTO `sys_job_log` VALUES (54042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:42:15');
INSERT INTO `sys_job_log` VALUES (54043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:42:20');
INSERT INTO `sys_job_log` VALUES (54044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:42:25');
INSERT INTO `sys_job_log` VALUES (54045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:42:30');
INSERT INTO `sys_job_log` VALUES (54046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:42:30');
INSERT INTO `sys_job_log` VALUES (54047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 04:42:35');
INSERT INTO `sys_job_log` VALUES (54048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:42:40');
INSERT INTO `sys_job_log` VALUES (54049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:42:45');
INSERT INTO `sys_job_log` VALUES (54050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:42:45');
INSERT INTO `sys_job_log` VALUES (54051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:42:50');
INSERT INTO `sys_job_log` VALUES (54052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:42:55');
INSERT INTO `sys_job_log` VALUES (54053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:43:00');
INSERT INTO `sys_job_log` VALUES (54054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:43:00');
INSERT INTO `sys_job_log` VALUES (54055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:43:05');
INSERT INTO `sys_job_log` VALUES (54056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:43:10');
INSERT INTO `sys_job_log` VALUES (54057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:43:15');
INSERT INTO `sys_job_log` VALUES (54058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:43:15');
INSERT INTO `sys_job_log` VALUES (54059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:43:20');
INSERT INTO `sys_job_log` VALUES (54060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:43:25');
INSERT INTO `sys_job_log` VALUES (54061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:43:30');
INSERT INTO `sys_job_log` VALUES (54062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:43:30');
INSERT INTO `sys_job_log` VALUES (54063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:43:35');
INSERT INTO `sys_job_log` VALUES (54064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:43:40');
INSERT INTO `sys_job_log` VALUES (54065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:43:45');
INSERT INTO `sys_job_log` VALUES (54066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:43:45');
INSERT INTO `sys_job_log` VALUES (54067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:43:50');
INSERT INTO `sys_job_log` VALUES (54068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:43:55');
INSERT INTO `sys_job_log` VALUES (54069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:44:00');
INSERT INTO `sys_job_log` VALUES (54070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:44:00');
INSERT INTO `sys_job_log` VALUES (54071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:44:05');
INSERT INTO `sys_job_log` VALUES (54072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:44:10');
INSERT INTO `sys_job_log` VALUES (54073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:44:15');
INSERT INTO `sys_job_log` VALUES (54074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:44:15');
INSERT INTO `sys_job_log` VALUES (54075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:44:20');
INSERT INTO `sys_job_log` VALUES (54076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:44:25');
INSERT INTO `sys_job_log` VALUES (54077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:44:30');
INSERT INTO `sys_job_log` VALUES (54078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:44:30');
INSERT INTO `sys_job_log` VALUES (54079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:44:35');
INSERT INTO `sys_job_log` VALUES (54080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:44:40');
INSERT INTO `sys_job_log` VALUES (54081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:44:45');
INSERT INTO `sys_job_log` VALUES (54082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:44:45');
INSERT INTO `sys_job_log` VALUES (54083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:44:50');
INSERT INTO `sys_job_log` VALUES (54084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:44:55');
INSERT INTO `sys_job_log` VALUES (54085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:45:00');
INSERT INTO `sys_job_log` VALUES (54086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:45:00');
INSERT INTO `sys_job_log` VALUES (54087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:45:05');
INSERT INTO `sys_job_log` VALUES (54088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:45:10');
INSERT INTO `sys_job_log` VALUES (54089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:45:15');
INSERT INTO `sys_job_log` VALUES (54090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:45:15');
INSERT INTO `sys_job_log` VALUES (54091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:45:20');
INSERT INTO `sys_job_log` VALUES (54092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:45:25');
INSERT INTO `sys_job_log` VALUES (54093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:45:30');
INSERT INTO `sys_job_log` VALUES (54094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:45:30');
INSERT INTO `sys_job_log` VALUES (54095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:45:35');
INSERT INTO `sys_job_log` VALUES (54096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:45:40');
INSERT INTO `sys_job_log` VALUES (54097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:45:45');
INSERT INTO `sys_job_log` VALUES (54098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:45:45');
INSERT INTO `sys_job_log` VALUES (54099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:45:50');
INSERT INTO `sys_job_log` VALUES (54100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:45:55');
INSERT INTO `sys_job_log` VALUES (54101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:46:00');
INSERT INTO `sys_job_log` VALUES (54102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:46:00');
INSERT INTO `sys_job_log` VALUES (54103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:46:05');
INSERT INTO `sys_job_log` VALUES (54104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:46:10');
INSERT INTO `sys_job_log` VALUES (54105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:46:15');
INSERT INTO `sys_job_log` VALUES (54106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:46:15');
INSERT INTO `sys_job_log` VALUES (54107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:46:20');
INSERT INTO `sys_job_log` VALUES (54108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:46:25');
INSERT INTO `sys_job_log` VALUES (54109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:46:30');
INSERT INTO `sys_job_log` VALUES (54110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:46:30');
INSERT INTO `sys_job_log` VALUES (54111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:46:35');
INSERT INTO `sys_job_log` VALUES (54112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:46:40');
INSERT INTO `sys_job_log` VALUES (54113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:46:45');
INSERT INTO `sys_job_log` VALUES (54114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:46:45');
INSERT INTO `sys_job_log` VALUES (54115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:46:50');
INSERT INTO `sys_job_log` VALUES (54116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:46:55');
INSERT INTO `sys_job_log` VALUES (54117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:47:00');
INSERT INTO `sys_job_log` VALUES (54118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:47:00');
INSERT INTO `sys_job_log` VALUES (54119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:47:05');
INSERT INTO `sys_job_log` VALUES (54120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:47:10');
INSERT INTO `sys_job_log` VALUES (54121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:47:15');
INSERT INTO `sys_job_log` VALUES (54122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:47:15');
INSERT INTO `sys_job_log` VALUES (54123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 04:47:20');
INSERT INTO `sys_job_log` VALUES (54124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:47:25');
INSERT INTO `sys_job_log` VALUES (54125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:47:30');
INSERT INTO `sys_job_log` VALUES (54126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:47:30');
INSERT INTO `sys_job_log` VALUES (54127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:47:35');
INSERT INTO `sys_job_log` VALUES (54128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:47:40');
INSERT INTO `sys_job_log` VALUES (54129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:47:45');
INSERT INTO `sys_job_log` VALUES (54130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:47:45');
INSERT INTO `sys_job_log` VALUES (54131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:47:50');
INSERT INTO `sys_job_log` VALUES (54132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:47:55');
INSERT INTO `sys_job_log` VALUES (54133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:48:00');
INSERT INTO `sys_job_log` VALUES (54134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 04:48:00');
INSERT INTO `sys_job_log` VALUES (54135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:48:05');
INSERT INTO `sys_job_log` VALUES (54136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:48:10');
INSERT INTO `sys_job_log` VALUES (54137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:48:15');
INSERT INTO `sys_job_log` VALUES (54138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:48:15');
INSERT INTO `sys_job_log` VALUES (54139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:48:20');
INSERT INTO `sys_job_log` VALUES (54140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:48:25');
INSERT INTO `sys_job_log` VALUES (54141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:48:30');
INSERT INTO `sys_job_log` VALUES (54142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:48:30');
INSERT INTO `sys_job_log` VALUES (54143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:48:35');
INSERT INTO `sys_job_log` VALUES (54144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:48:40');
INSERT INTO `sys_job_log` VALUES (54145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:48:45');
INSERT INTO `sys_job_log` VALUES (54146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:48:45');
INSERT INTO `sys_job_log` VALUES (54147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:48:50');
INSERT INTO `sys_job_log` VALUES (54148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:48:55');
INSERT INTO `sys_job_log` VALUES (54149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:49:00');
INSERT INTO `sys_job_log` VALUES (54150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:49:00');
INSERT INTO `sys_job_log` VALUES (54151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:49:05');
INSERT INTO `sys_job_log` VALUES (54152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:49:10');
INSERT INTO `sys_job_log` VALUES (54153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:49:15');
INSERT INTO `sys_job_log` VALUES (54154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:49:15');
INSERT INTO `sys_job_log` VALUES (54155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:49:20');
INSERT INTO `sys_job_log` VALUES (54156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:49:25');
INSERT INTO `sys_job_log` VALUES (54157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:49:30');
INSERT INTO `sys_job_log` VALUES (54158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:49:30');
INSERT INTO `sys_job_log` VALUES (54159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:49:35');
INSERT INTO `sys_job_log` VALUES (54160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:49:40');
INSERT INTO `sys_job_log` VALUES (54161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:49:45');
INSERT INTO `sys_job_log` VALUES (54162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:49:45');
INSERT INTO `sys_job_log` VALUES (54163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:49:50');
INSERT INTO `sys_job_log` VALUES (54164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:49:55');
INSERT INTO `sys_job_log` VALUES (54165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:50:00');
INSERT INTO `sys_job_log` VALUES (54166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:50:00');
INSERT INTO `sys_job_log` VALUES (54167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:50:05');
INSERT INTO `sys_job_log` VALUES (54168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:50:10');
INSERT INTO `sys_job_log` VALUES (54169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:50:15');
INSERT INTO `sys_job_log` VALUES (54170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:50:15');
INSERT INTO `sys_job_log` VALUES (54171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:50:20');
INSERT INTO `sys_job_log` VALUES (54172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:50:25');
INSERT INTO `sys_job_log` VALUES (54173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:50:30');
INSERT INTO `sys_job_log` VALUES (54174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:50:30');
INSERT INTO `sys_job_log` VALUES (54175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:50:35');
INSERT INTO `sys_job_log` VALUES (54176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:50:40');
INSERT INTO `sys_job_log` VALUES (54177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:50:45');
INSERT INTO `sys_job_log` VALUES (54178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:50:45');
INSERT INTO `sys_job_log` VALUES (54179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:50:50');
INSERT INTO `sys_job_log` VALUES (54180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:50:55');
INSERT INTO `sys_job_log` VALUES (54181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:51:00');
INSERT INTO `sys_job_log` VALUES (54182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:51:00');
INSERT INTO `sys_job_log` VALUES (54183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:51:05');
INSERT INTO `sys_job_log` VALUES (54184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:51:10');
INSERT INTO `sys_job_log` VALUES (54185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:51:15');
INSERT INTO `sys_job_log` VALUES (54186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:51:15');
INSERT INTO `sys_job_log` VALUES (54187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:51:20');
INSERT INTO `sys_job_log` VALUES (54188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:51:25');
INSERT INTO `sys_job_log` VALUES (54189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:51:30');
INSERT INTO `sys_job_log` VALUES (54190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:51:30');
INSERT INTO `sys_job_log` VALUES (54191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:51:35');
INSERT INTO `sys_job_log` VALUES (54192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:51:40');
INSERT INTO `sys_job_log` VALUES (54193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:51:45');
INSERT INTO `sys_job_log` VALUES (54194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:51:45');
INSERT INTO `sys_job_log` VALUES (54195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:51:50');
INSERT INTO `sys_job_log` VALUES (54196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:51:55');
INSERT INTO `sys_job_log` VALUES (54197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:52:00');
INSERT INTO `sys_job_log` VALUES (54198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:52:00');
INSERT INTO `sys_job_log` VALUES (54199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:52:05');
INSERT INTO `sys_job_log` VALUES (54200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:52:10');
INSERT INTO `sys_job_log` VALUES (54201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:52:15');
INSERT INTO `sys_job_log` VALUES (54202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:52:15');
INSERT INTO `sys_job_log` VALUES (54203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 04:52:20');
INSERT INTO `sys_job_log` VALUES (54204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:52:25');
INSERT INTO `sys_job_log` VALUES (54205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:52:30');
INSERT INTO `sys_job_log` VALUES (54206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:52:30');
INSERT INTO `sys_job_log` VALUES (54207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:52:35');
INSERT INTO `sys_job_log` VALUES (54208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:52:40');
INSERT INTO `sys_job_log` VALUES (54209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:52:45');
INSERT INTO `sys_job_log` VALUES (54210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:52:45');
INSERT INTO `sys_job_log` VALUES (54211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:52:50');
INSERT INTO `sys_job_log` VALUES (54212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:52:55');
INSERT INTO `sys_job_log` VALUES (54213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:53:00');
INSERT INTO `sys_job_log` VALUES (54214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:53:00');
INSERT INTO `sys_job_log` VALUES (54215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:53:05');
INSERT INTO `sys_job_log` VALUES (54216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:53:10');
INSERT INTO `sys_job_log` VALUES (54217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:53:15');
INSERT INTO `sys_job_log` VALUES (54218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:53:15');
INSERT INTO `sys_job_log` VALUES (54219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:53:20');
INSERT INTO `sys_job_log` VALUES (54220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:53:25');
INSERT INTO `sys_job_log` VALUES (54221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:53:30');
INSERT INTO `sys_job_log` VALUES (54222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:53:30');
INSERT INTO `sys_job_log` VALUES (54223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:53:35');
INSERT INTO `sys_job_log` VALUES (54224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:53:40');
INSERT INTO `sys_job_log` VALUES (54225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:53:45');
INSERT INTO `sys_job_log` VALUES (54226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:53:45');
INSERT INTO `sys_job_log` VALUES (54227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:53:50');
INSERT INTO `sys_job_log` VALUES (54228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 04:53:55');
INSERT INTO `sys_job_log` VALUES (54229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:54:00');
INSERT INTO `sys_job_log` VALUES (54230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:54:00');
INSERT INTO `sys_job_log` VALUES (54231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:54:05');
INSERT INTO `sys_job_log` VALUES (54232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:54:10');
INSERT INTO `sys_job_log` VALUES (54233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:54:15');
INSERT INTO `sys_job_log` VALUES (54234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:54:15');
INSERT INTO `sys_job_log` VALUES (54235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:54:20');
INSERT INTO `sys_job_log` VALUES (54236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:54:25');
INSERT INTO `sys_job_log` VALUES (54237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:54:30');
INSERT INTO `sys_job_log` VALUES (54238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 04:54:30');
INSERT INTO `sys_job_log` VALUES (54239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:54:35');
INSERT INTO `sys_job_log` VALUES (54240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:54:40');
INSERT INTO `sys_job_log` VALUES (54241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:54:45');
INSERT INTO `sys_job_log` VALUES (54242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:54:45');
INSERT INTO `sys_job_log` VALUES (54243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:54:50');
INSERT INTO `sys_job_log` VALUES (54244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:54:55');
INSERT INTO `sys_job_log` VALUES (54245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:55:00');
INSERT INTO `sys_job_log` VALUES (54246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:55:00');
INSERT INTO `sys_job_log` VALUES (54247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:55:05');
INSERT INTO `sys_job_log` VALUES (54248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:55:10');
INSERT INTO `sys_job_log` VALUES (54249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:55:15');
INSERT INTO `sys_job_log` VALUES (54250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:55:15');
INSERT INTO `sys_job_log` VALUES (54251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:55:20');
INSERT INTO `sys_job_log` VALUES (54252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:55:25');
INSERT INTO `sys_job_log` VALUES (54253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:55:30');
INSERT INTO `sys_job_log` VALUES (54254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:55:30');
INSERT INTO `sys_job_log` VALUES (54255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:55:35');
INSERT INTO `sys_job_log` VALUES (54256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:55:40');
INSERT INTO `sys_job_log` VALUES (54257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:55:45');
INSERT INTO `sys_job_log` VALUES (54258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:55:45');
INSERT INTO `sys_job_log` VALUES (54259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:55:50');
INSERT INTO `sys_job_log` VALUES (54260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:55:55');
INSERT INTO `sys_job_log` VALUES (54261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:56:00');
INSERT INTO `sys_job_log` VALUES (54262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:56:00');
INSERT INTO `sys_job_log` VALUES (54263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:56:05');
INSERT INTO `sys_job_log` VALUES (54264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:56:10');
INSERT INTO `sys_job_log` VALUES (54265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:56:15');
INSERT INTO `sys_job_log` VALUES (54266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:56:15');
INSERT INTO `sys_job_log` VALUES (54267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:56:20');
INSERT INTO `sys_job_log` VALUES (54268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 04:56:25');
INSERT INTO `sys_job_log` VALUES (54269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:56:30');
INSERT INTO `sys_job_log` VALUES (54270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:56:30');
INSERT INTO `sys_job_log` VALUES (54271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:56:35');
INSERT INTO `sys_job_log` VALUES (54272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:56:40');
INSERT INTO `sys_job_log` VALUES (54273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 04:56:45');
INSERT INTO `sys_job_log` VALUES (54274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:56:45');
INSERT INTO `sys_job_log` VALUES (54275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:56:50');
INSERT INTO `sys_job_log` VALUES (54276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:56:55');
INSERT INTO `sys_job_log` VALUES (54277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:57:00');
INSERT INTO `sys_job_log` VALUES (54278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:57:00');
INSERT INTO `sys_job_log` VALUES (54279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:57:05');
INSERT INTO `sys_job_log` VALUES (54280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:57:10');
INSERT INTO `sys_job_log` VALUES (54281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:57:15');
INSERT INTO `sys_job_log` VALUES (54282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:57:15');
INSERT INTO `sys_job_log` VALUES (54283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:57:20');
INSERT INTO `sys_job_log` VALUES (54284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:57:25');
INSERT INTO `sys_job_log` VALUES (54285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:57:30');
INSERT INTO `sys_job_log` VALUES (54286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:57:30');
INSERT INTO `sys_job_log` VALUES (54287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:57:35');
INSERT INTO `sys_job_log` VALUES (54288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:57:40');
INSERT INTO `sys_job_log` VALUES (54289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 04:57:45');
INSERT INTO `sys_job_log` VALUES (54290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:57:45');
INSERT INTO `sys_job_log` VALUES (54291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:57:50');
INSERT INTO `sys_job_log` VALUES (54292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:57:55');
INSERT INTO `sys_job_log` VALUES (54293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:58:00');
INSERT INTO `sys_job_log` VALUES (54294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 04:58:00');
INSERT INTO `sys_job_log` VALUES (54295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:58:05');
INSERT INTO `sys_job_log` VALUES (54296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:58:10');
INSERT INTO `sys_job_log` VALUES (54297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 04:58:15');
INSERT INTO `sys_job_log` VALUES (54298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:58:15');
INSERT INTO `sys_job_log` VALUES (54299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:58:20');
INSERT INTO `sys_job_log` VALUES (54300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:58:25');
INSERT INTO `sys_job_log` VALUES (54301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:58:30');
INSERT INTO `sys_job_log` VALUES (54302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:58:30');
INSERT INTO `sys_job_log` VALUES (54303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:58:35');
INSERT INTO `sys_job_log` VALUES (54304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:58:40');
INSERT INTO `sys_job_log` VALUES (54305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:58:45');
INSERT INTO `sys_job_log` VALUES (54306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:58:45');
INSERT INTO `sys_job_log` VALUES (54307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 04:58:50');
INSERT INTO `sys_job_log` VALUES (54308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 04:58:55');
INSERT INTO `sys_job_log` VALUES (54309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:59:00');
INSERT INTO `sys_job_log` VALUES (54310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:59:00');
INSERT INTO `sys_job_log` VALUES (54311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 04:59:05');
INSERT INTO `sys_job_log` VALUES (54312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:59:10');
INSERT INTO `sys_job_log` VALUES (54313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 04:59:15');
INSERT INTO `sys_job_log` VALUES (54314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:59:15');
INSERT INTO `sys_job_log` VALUES (54315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:59:20');
INSERT INTO `sys_job_log` VALUES (54316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:59:25');
INSERT INTO `sys_job_log` VALUES (54317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 04:59:30');
INSERT INTO `sys_job_log` VALUES (54318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 04:59:30');
INSERT INTO `sys_job_log` VALUES (54319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 04:59:35');
INSERT INTO `sys_job_log` VALUES (54320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 04:59:40');
INSERT INTO `sys_job_log` VALUES (54321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 04:59:45');
INSERT INTO `sys_job_log` VALUES (54322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 04:59:45');
INSERT INTO `sys_job_log` VALUES (54323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 04:59:50');
INSERT INTO `sys_job_log` VALUES (54324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 04:59:55');
INSERT INTO `sys_job_log` VALUES (54325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:00:00');
INSERT INTO `sys_job_log` VALUES (54326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:00:00');
INSERT INTO `sys_job_log` VALUES (54327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:00:05');
INSERT INTO `sys_job_log` VALUES (54328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:00:10');
INSERT INTO `sys_job_log` VALUES (54329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:00:15');
INSERT INTO `sys_job_log` VALUES (54330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:00:15');
INSERT INTO `sys_job_log` VALUES (54331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:00:20');
INSERT INTO `sys_job_log` VALUES (54332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:00:25');
INSERT INTO `sys_job_log` VALUES (54333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:00:30');
INSERT INTO `sys_job_log` VALUES (54334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:00:30');
INSERT INTO `sys_job_log` VALUES (54335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:00:35');
INSERT INTO `sys_job_log` VALUES (54336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:00:40');
INSERT INTO `sys_job_log` VALUES (54337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:00:45');
INSERT INTO `sys_job_log` VALUES (54338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:00:45');
INSERT INTO `sys_job_log` VALUES (54339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:00:50');
INSERT INTO `sys_job_log` VALUES (54340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:00:55');
INSERT INTO `sys_job_log` VALUES (54341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:01:00');
INSERT INTO `sys_job_log` VALUES (54342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:01:00');
INSERT INTO `sys_job_log` VALUES (54343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:01:05');
INSERT INTO `sys_job_log` VALUES (54344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:01:10');
INSERT INTO `sys_job_log` VALUES (54345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:01:15');
INSERT INTO `sys_job_log` VALUES (54346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:01:15');
INSERT INTO `sys_job_log` VALUES (54347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:01:20');
INSERT INTO `sys_job_log` VALUES (54348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:01:25');
INSERT INTO `sys_job_log` VALUES (54349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:01:30');
INSERT INTO `sys_job_log` VALUES (54350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 05:01:30');
INSERT INTO `sys_job_log` VALUES (54351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:01:35');
INSERT INTO `sys_job_log` VALUES (54352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:01:40');
INSERT INTO `sys_job_log` VALUES (54353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:01:45');
INSERT INTO `sys_job_log` VALUES (54354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:01:45');
INSERT INTO `sys_job_log` VALUES (54355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:01:50');
INSERT INTO `sys_job_log` VALUES (54356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:01:55');
INSERT INTO `sys_job_log` VALUES (54357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:02:00');
INSERT INTO `sys_job_log` VALUES (54358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:02:00');
INSERT INTO `sys_job_log` VALUES (54359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:02:05');
INSERT INTO `sys_job_log` VALUES (54360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:02:10');
INSERT INTO `sys_job_log` VALUES (54361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:02:15');
INSERT INTO `sys_job_log` VALUES (54362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:02:15');
INSERT INTO `sys_job_log` VALUES (54363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:02:20');
INSERT INTO `sys_job_log` VALUES (54364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:02:25');
INSERT INTO `sys_job_log` VALUES (54365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:02:30');
INSERT INTO `sys_job_log` VALUES (54366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:02:30');
INSERT INTO `sys_job_log` VALUES (54367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:02:35');
INSERT INTO `sys_job_log` VALUES (54368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:02:40');
INSERT INTO `sys_job_log` VALUES (54369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:02:45');
INSERT INTO `sys_job_log` VALUES (54370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:02:45');
INSERT INTO `sys_job_log` VALUES (54371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:02:50');
INSERT INTO `sys_job_log` VALUES (54372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:02:55');
INSERT INTO `sys_job_log` VALUES (54373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:03:00');
INSERT INTO `sys_job_log` VALUES (54374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:03:00');
INSERT INTO `sys_job_log` VALUES (54375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:03:05');
INSERT INTO `sys_job_log` VALUES (54376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:03:10');
INSERT INTO `sys_job_log` VALUES (54377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:03:15');
INSERT INTO `sys_job_log` VALUES (54378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:03:15');
INSERT INTO `sys_job_log` VALUES (54379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:03:20');
INSERT INTO `sys_job_log` VALUES (54380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:03:25');
INSERT INTO `sys_job_log` VALUES (54381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:03:30');
INSERT INTO `sys_job_log` VALUES (54382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:03:30');
INSERT INTO `sys_job_log` VALUES (54383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:03:35');
INSERT INTO `sys_job_log` VALUES (54384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:03:40');
INSERT INTO `sys_job_log` VALUES (54385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:03:45');
INSERT INTO `sys_job_log` VALUES (54386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:03:45');
INSERT INTO `sys_job_log` VALUES (54387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:03:50');
INSERT INTO `sys_job_log` VALUES (54388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:03:55');
INSERT INTO `sys_job_log` VALUES (54389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:04:00');
INSERT INTO `sys_job_log` VALUES (54390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:04:00');
INSERT INTO `sys_job_log` VALUES (54391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:04:05');
INSERT INTO `sys_job_log` VALUES (54392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:04:10');
INSERT INTO `sys_job_log` VALUES (54393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:04:15');
INSERT INTO `sys_job_log` VALUES (54394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:04:15');
INSERT INTO `sys_job_log` VALUES (54395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:04:20');
INSERT INTO `sys_job_log` VALUES (54396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:04:25');
INSERT INTO `sys_job_log` VALUES (54397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:04:30');
INSERT INTO `sys_job_log` VALUES (54398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:04:30');
INSERT INTO `sys_job_log` VALUES (54399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:04:35');
INSERT INTO `sys_job_log` VALUES (54400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:04:40');
INSERT INTO `sys_job_log` VALUES (54401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:04:45');
INSERT INTO `sys_job_log` VALUES (54402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:04:45');
INSERT INTO `sys_job_log` VALUES (54403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:04:50');
INSERT INTO `sys_job_log` VALUES (54404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:04:55');
INSERT INTO `sys_job_log` VALUES (54405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:05:00');
INSERT INTO `sys_job_log` VALUES (54406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:05:00');
INSERT INTO `sys_job_log` VALUES (54407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:05:05');
INSERT INTO `sys_job_log` VALUES (54408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:05:10');
INSERT INTO `sys_job_log` VALUES (54409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:05:15');
INSERT INTO `sys_job_log` VALUES (54410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:05:15');
INSERT INTO `sys_job_log` VALUES (54411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:05:20');
INSERT INTO `sys_job_log` VALUES (54412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:05:25');
INSERT INTO `sys_job_log` VALUES (54413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:05:30');
INSERT INTO `sys_job_log` VALUES (54414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:05:30');
INSERT INTO `sys_job_log` VALUES (54415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:05:35');
INSERT INTO `sys_job_log` VALUES (54416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:05:40');
INSERT INTO `sys_job_log` VALUES (54417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:05:45');
INSERT INTO `sys_job_log` VALUES (54418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:05:45');
INSERT INTO `sys_job_log` VALUES (54419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:05:50');
INSERT INTO `sys_job_log` VALUES (54420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:05:55');
INSERT INTO `sys_job_log` VALUES (54421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:06:00');
INSERT INTO `sys_job_log` VALUES (54422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:06:00');
INSERT INTO `sys_job_log` VALUES (54423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:06:05');
INSERT INTO `sys_job_log` VALUES (54424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:06:10');
INSERT INTO `sys_job_log` VALUES (54425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:06:15');
INSERT INTO `sys_job_log` VALUES (54426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:06:15');
INSERT INTO `sys_job_log` VALUES (54427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:06:20');
INSERT INTO `sys_job_log` VALUES (54428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:06:25');
INSERT INTO `sys_job_log` VALUES (54429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:06:30');
INSERT INTO `sys_job_log` VALUES (54430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:06:30');
INSERT INTO `sys_job_log` VALUES (54431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:06:35');
INSERT INTO `sys_job_log` VALUES (54432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:06:40');
INSERT INTO `sys_job_log` VALUES (54433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:06:45');
INSERT INTO `sys_job_log` VALUES (54434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:06:45');
INSERT INTO `sys_job_log` VALUES (54435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:06:50');
INSERT INTO `sys_job_log` VALUES (54436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:06:55');
INSERT INTO `sys_job_log` VALUES (54437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:07:00');
INSERT INTO `sys_job_log` VALUES (54438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:07:00');
INSERT INTO `sys_job_log` VALUES (54439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:07:05');
INSERT INTO `sys_job_log` VALUES (54440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:07:10');
INSERT INTO `sys_job_log` VALUES (54441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:07:15');
INSERT INTO `sys_job_log` VALUES (54442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:07:15');
INSERT INTO `sys_job_log` VALUES (54443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:07:20');
INSERT INTO `sys_job_log` VALUES (54444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:07:25');
INSERT INTO `sys_job_log` VALUES (54445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:07:30');
INSERT INTO `sys_job_log` VALUES (54446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:07:30');
INSERT INTO `sys_job_log` VALUES (54447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:07:35');
INSERT INTO `sys_job_log` VALUES (54448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:07:40');
INSERT INTO `sys_job_log` VALUES (54449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 05:07:45');
INSERT INTO `sys_job_log` VALUES (54450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 05:07:45');
INSERT INTO `sys_job_log` VALUES (54451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:07:50');
INSERT INTO `sys_job_log` VALUES (54452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:07:55');
INSERT INTO `sys_job_log` VALUES (54453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:08:00');
INSERT INTO `sys_job_log` VALUES (54454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:08:00');
INSERT INTO `sys_job_log` VALUES (54455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:08:05');
INSERT INTO `sys_job_log` VALUES (54456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:08:10');
INSERT INTO `sys_job_log` VALUES (54457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:08:15');
INSERT INTO `sys_job_log` VALUES (54458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:08:15');
INSERT INTO `sys_job_log` VALUES (54459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:08:20');
INSERT INTO `sys_job_log` VALUES (54460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:08:25');
INSERT INTO `sys_job_log` VALUES (54461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:08:30');
INSERT INTO `sys_job_log` VALUES (54462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:08:30');
INSERT INTO `sys_job_log` VALUES (54463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:08:35');
INSERT INTO `sys_job_log` VALUES (54464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:08:40');
INSERT INTO `sys_job_log` VALUES (54465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:08:45');
INSERT INTO `sys_job_log` VALUES (54466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:08:45');
INSERT INTO `sys_job_log` VALUES (54467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:08:50');
INSERT INTO `sys_job_log` VALUES (54468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:08:55');
INSERT INTO `sys_job_log` VALUES (54469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:09:00');
INSERT INTO `sys_job_log` VALUES (54470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:09:00');
INSERT INTO `sys_job_log` VALUES (54471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:09:05');
INSERT INTO `sys_job_log` VALUES (54472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:09:10');
INSERT INTO `sys_job_log` VALUES (54473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:09:15');
INSERT INTO `sys_job_log` VALUES (54474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:09:15');
INSERT INTO `sys_job_log` VALUES (54475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:09:20');
INSERT INTO `sys_job_log` VALUES (54476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:09:25');
INSERT INTO `sys_job_log` VALUES (54477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:09:30');
INSERT INTO `sys_job_log` VALUES (54478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:09:30');
INSERT INTO `sys_job_log` VALUES (54479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:09:35');
INSERT INTO `sys_job_log` VALUES (54480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:09:40');
INSERT INTO `sys_job_log` VALUES (54481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:09:45');
INSERT INTO `sys_job_log` VALUES (54482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:09:45');
INSERT INTO `sys_job_log` VALUES (54483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:09:50');
INSERT INTO `sys_job_log` VALUES (54484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:09:55');
INSERT INTO `sys_job_log` VALUES (54485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 05:10:00');
INSERT INTO `sys_job_log` VALUES (54486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:10:00');
INSERT INTO `sys_job_log` VALUES (54487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:10:05');
INSERT INTO `sys_job_log` VALUES (54488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:10:10');
INSERT INTO `sys_job_log` VALUES (54489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:10:15');
INSERT INTO `sys_job_log` VALUES (54490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:10:15');
INSERT INTO `sys_job_log` VALUES (54491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:10:20');
INSERT INTO `sys_job_log` VALUES (54492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:10:25');
INSERT INTO `sys_job_log` VALUES (54493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:10:30');
INSERT INTO `sys_job_log` VALUES (54494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:10:30');
INSERT INTO `sys_job_log` VALUES (54495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:10:35');
INSERT INTO `sys_job_log` VALUES (54496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:10:40');
INSERT INTO `sys_job_log` VALUES (54497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:10:45');
INSERT INTO `sys_job_log` VALUES (54498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:10:45');
INSERT INTO `sys_job_log` VALUES (54499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:10:50');
INSERT INTO `sys_job_log` VALUES (54500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:10:55');
INSERT INTO `sys_job_log` VALUES (54501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:11:00');
INSERT INTO `sys_job_log` VALUES (54502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:11:00');
INSERT INTO `sys_job_log` VALUES (54503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:11:05');
INSERT INTO `sys_job_log` VALUES (54504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:11:10');
INSERT INTO `sys_job_log` VALUES (54505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:11:15');
INSERT INTO `sys_job_log` VALUES (54506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:11:15');
INSERT INTO `sys_job_log` VALUES (54507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:11:20');
INSERT INTO `sys_job_log` VALUES (54508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:11:25');
INSERT INTO `sys_job_log` VALUES (54509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 05:11:30');
INSERT INTO `sys_job_log` VALUES (54510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:11:30');
INSERT INTO `sys_job_log` VALUES (54511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:11:35');
INSERT INTO `sys_job_log` VALUES (54512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:11:40');
INSERT INTO `sys_job_log` VALUES (54513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:11:45');
INSERT INTO `sys_job_log` VALUES (54514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:11:45');
INSERT INTO `sys_job_log` VALUES (54515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:11:50');
INSERT INTO `sys_job_log` VALUES (54516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:11:55');
INSERT INTO `sys_job_log` VALUES (54517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:12:00');
INSERT INTO `sys_job_log` VALUES (54518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:12:00');
INSERT INTO `sys_job_log` VALUES (54519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:12:05');
INSERT INTO `sys_job_log` VALUES (54520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:12:10');
INSERT INTO `sys_job_log` VALUES (54521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:12:15');
INSERT INTO `sys_job_log` VALUES (54522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:12:15');
INSERT INTO `sys_job_log` VALUES (54523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:12:20');
INSERT INTO `sys_job_log` VALUES (54524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:12:25');
INSERT INTO `sys_job_log` VALUES (54525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:12:30');
INSERT INTO `sys_job_log` VALUES (54526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:12:30');
INSERT INTO `sys_job_log` VALUES (54527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:12:35');
INSERT INTO `sys_job_log` VALUES (54528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:12:40');
INSERT INTO `sys_job_log` VALUES (54529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:12:45');
INSERT INTO `sys_job_log` VALUES (54530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:12:45');
INSERT INTO `sys_job_log` VALUES (54531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:12:50');
INSERT INTO `sys_job_log` VALUES (54532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:12:55');
INSERT INTO `sys_job_log` VALUES (54533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:13:00');
INSERT INTO `sys_job_log` VALUES (54534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:13:00');
INSERT INTO `sys_job_log` VALUES (54535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:13:05');
INSERT INTO `sys_job_log` VALUES (54536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:13:10');
INSERT INTO `sys_job_log` VALUES (54537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:13:15');
INSERT INTO `sys_job_log` VALUES (54538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:13:15');
INSERT INTO `sys_job_log` VALUES (54539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:13:20');
INSERT INTO `sys_job_log` VALUES (54540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:13:25');
INSERT INTO `sys_job_log` VALUES (54541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:13:30');
INSERT INTO `sys_job_log` VALUES (54542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:13:30');
INSERT INTO `sys_job_log` VALUES (54543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:13:35');
INSERT INTO `sys_job_log` VALUES (54544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:13:40');
INSERT INTO `sys_job_log` VALUES (54545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:13:45');
INSERT INTO `sys_job_log` VALUES (54546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:13:45');
INSERT INTO `sys_job_log` VALUES (54547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:13:50');
INSERT INTO `sys_job_log` VALUES (54548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:13:55');
INSERT INTO `sys_job_log` VALUES (54549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 05:14:00');
INSERT INTO `sys_job_log` VALUES (54550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:14:00');
INSERT INTO `sys_job_log` VALUES (54551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:14:05');
INSERT INTO `sys_job_log` VALUES (54552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:14:10');
INSERT INTO `sys_job_log` VALUES (54553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:14:15');
INSERT INTO `sys_job_log` VALUES (54554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:14:15');
INSERT INTO `sys_job_log` VALUES (54555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:14:20');
INSERT INTO `sys_job_log` VALUES (54556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:14:25');
INSERT INTO `sys_job_log` VALUES (54557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:14:30');
INSERT INTO `sys_job_log` VALUES (54558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:14:30');
INSERT INTO `sys_job_log` VALUES (54559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:14:35');
INSERT INTO `sys_job_log` VALUES (54560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:14:40');
INSERT INTO `sys_job_log` VALUES (54561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:14:45');
INSERT INTO `sys_job_log` VALUES (54562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:14:45');
INSERT INTO `sys_job_log` VALUES (54563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:14:50');
INSERT INTO `sys_job_log` VALUES (54564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:14:55');
INSERT INTO `sys_job_log` VALUES (54565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:15:00');
INSERT INTO `sys_job_log` VALUES (54566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:15:00');
INSERT INTO `sys_job_log` VALUES (54567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:15:05');
INSERT INTO `sys_job_log` VALUES (54568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:15:10');
INSERT INTO `sys_job_log` VALUES (54569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:15:15');
INSERT INTO `sys_job_log` VALUES (54570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:15:15');
INSERT INTO `sys_job_log` VALUES (54571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:15:20');
INSERT INTO `sys_job_log` VALUES (54572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:15:25');
INSERT INTO `sys_job_log` VALUES (54573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:15:30');
INSERT INTO `sys_job_log` VALUES (54574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:15:30');
INSERT INTO `sys_job_log` VALUES (54575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:15:35');
INSERT INTO `sys_job_log` VALUES (54576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:15:40');
INSERT INTO `sys_job_log` VALUES (54577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:15:45');
INSERT INTO `sys_job_log` VALUES (54578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:15:45');
INSERT INTO `sys_job_log` VALUES (54579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:15:50');
INSERT INTO `sys_job_log` VALUES (54580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:15:55');
INSERT INTO `sys_job_log` VALUES (54581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:16:00');
INSERT INTO `sys_job_log` VALUES (54582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:16:00');
INSERT INTO `sys_job_log` VALUES (54583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:16:05');
INSERT INTO `sys_job_log` VALUES (54584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:16:10');
INSERT INTO `sys_job_log` VALUES (54585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:16:15');
INSERT INTO `sys_job_log` VALUES (54586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:16:15');
INSERT INTO `sys_job_log` VALUES (54587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:16:20');
INSERT INTO `sys_job_log` VALUES (54588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:16:25');
INSERT INTO `sys_job_log` VALUES (54589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 05:16:30');
INSERT INTO `sys_job_log` VALUES (54590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 05:16:30');
INSERT INTO `sys_job_log` VALUES (54591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:16:35');
INSERT INTO `sys_job_log` VALUES (54592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:16:40');
INSERT INTO `sys_job_log` VALUES (54593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:16:45');
INSERT INTO `sys_job_log` VALUES (54594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:16:45');
INSERT INTO `sys_job_log` VALUES (54595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:16:50');
INSERT INTO `sys_job_log` VALUES (54596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:16:55');
INSERT INTO `sys_job_log` VALUES (54597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:17:00');
INSERT INTO `sys_job_log` VALUES (54598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:17:00');
INSERT INTO `sys_job_log` VALUES (54599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:17:05');
INSERT INTO `sys_job_log` VALUES (54600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:17:10');
INSERT INTO `sys_job_log` VALUES (54601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:17:15');
INSERT INTO `sys_job_log` VALUES (54602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:17:15');
INSERT INTO `sys_job_log` VALUES (54603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:17:20');
INSERT INTO `sys_job_log` VALUES (54604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:17:25');
INSERT INTO `sys_job_log` VALUES (54605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:17:30');
INSERT INTO `sys_job_log` VALUES (54606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:17:30');
INSERT INTO `sys_job_log` VALUES (54607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:17:35');
INSERT INTO `sys_job_log` VALUES (54608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:17:40');
INSERT INTO `sys_job_log` VALUES (54609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:17:45');
INSERT INTO `sys_job_log` VALUES (54610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:17:45');
INSERT INTO `sys_job_log` VALUES (54611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:17:50');
INSERT INTO `sys_job_log` VALUES (54612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:17:55');
INSERT INTO `sys_job_log` VALUES (54613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:18:00');
INSERT INTO `sys_job_log` VALUES (54614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:18:00');
INSERT INTO `sys_job_log` VALUES (54615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:18:05');
INSERT INTO `sys_job_log` VALUES (54616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:18:10');
INSERT INTO `sys_job_log` VALUES (54617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:18:15');
INSERT INTO `sys_job_log` VALUES (54618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:18:15');
INSERT INTO `sys_job_log` VALUES (54619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:18:20');
INSERT INTO `sys_job_log` VALUES (54620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:18:25');
INSERT INTO `sys_job_log` VALUES (54621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:18:30');
INSERT INTO `sys_job_log` VALUES (54622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:18:30');
INSERT INTO `sys_job_log` VALUES (54623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:18:35');
INSERT INTO `sys_job_log` VALUES (54624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:18:40');
INSERT INTO `sys_job_log` VALUES (54625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:18:45');
INSERT INTO `sys_job_log` VALUES (54626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:18:45');
INSERT INTO `sys_job_log` VALUES (54627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:18:50');
INSERT INTO `sys_job_log` VALUES (54628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:18:55');
INSERT INTO `sys_job_log` VALUES (54629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:19:00');
INSERT INTO `sys_job_log` VALUES (54630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:19:00');
INSERT INTO `sys_job_log` VALUES (54631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:19:05');
INSERT INTO `sys_job_log` VALUES (54632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:19:10');
INSERT INTO `sys_job_log` VALUES (54633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:19:15');
INSERT INTO `sys_job_log` VALUES (54634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:19:15');
INSERT INTO `sys_job_log` VALUES (54635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:19:20');
INSERT INTO `sys_job_log` VALUES (54636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:19:25');
INSERT INTO `sys_job_log` VALUES (54637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:19:30');
INSERT INTO `sys_job_log` VALUES (54638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:19:30');
INSERT INTO `sys_job_log` VALUES (54639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:19:35');
INSERT INTO `sys_job_log` VALUES (54640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:19:40');
INSERT INTO `sys_job_log` VALUES (54641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:19:45');
INSERT INTO `sys_job_log` VALUES (54642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:19:45');
INSERT INTO `sys_job_log` VALUES (54643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:19:50');
INSERT INTO `sys_job_log` VALUES (54644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:19:55');
INSERT INTO `sys_job_log` VALUES (54645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:20:00');
INSERT INTO `sys_job_log` VALUES (54646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:20:00');
INSERT INTO `sys_job_log` VALUES (54647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:20:05');
INSERT INTO `sys_job_log` VALUES (54648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:20:10');
INSERT INTO `sys_job_log` VALUES (54649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:20:15');
INSERT INTO `sys_job_log` VALUES (54650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:20:15');
INSERT INTO `sys_job_log` VALUES (54651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:20:20');
INSERT INTO `sys_job_log` VALUES (54652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:20:25');
INSERT INTO `sys_job_log` VALUES (54653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:20:30');
INSERT INTO `sys_job_log` VALUES (54654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:20:30');
INSERT INTO `sys_job_log` VALUES (54655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:20:35');
INSERT INTO `sys_job_log` VALUES (54656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:20:40');
INSERT INTO `sys_job_log` VALUES (54657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:20:45');
INSERT INTO `sys_job_log` VALUES (54658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:20:45');
INSERT INTO `sys_job_log` VALUES (54659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:20:50');
INSERT INTO `sys_job_log` VALUES (54660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:20:55');
INSERT INTO `sys_job_log` VALUES (54661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:21:00');
INSERT INTO `sys_job_log` VALUES (54662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:21:00');
INSERT INTO `sys_job_log` VALUES (54663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:21:05');
INSERT INTO `sys_job_log` VALUES (54664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:21:10');
INSERT INTO `sys_job_log` VALUES (54665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:21:15');
INSERT INTO `sys_job_log` VALUES (54666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:21:15');
INSERT INTO `sys_job_log` VALUES (54667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:21:20');
INSERT INTO `sys_job_log` VALUES (54668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:21:25');
INSERT INTO `sys_job_log` VALUES (54669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:21:30');
INSERT INTO `sys_job_log` VALUES (54670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:21:30');
INSERT INTO `sys_job_log` VALUES (54671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:21:35');
INSERT INTO `sys_job_log` VALUES (54672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:21:40');
INSERT INTO `sys_job_log` VALUES (54673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:21:45');
INSERT INTO `sys_job_log` VALUES (54674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:21:45');
INSERT INTO `sys_job_log` VALUES (54675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:21:50');
INSERT INTO `sys_job_log` VALUES (54676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:21:55');
INSERT INTO `sys_job_log` VALUES (54677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:22:00');
INSERT INTO `sys_job_log` VALUES (54678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:22:00');
INSERT INTO `sys_job_log` VALUES (54679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:22:05');
INSERT INTO `sys_job_log` VALUES (54680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:22:10');
INSERT INTO `sys_job_log` VALUES (54681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:22:15');
INSERT INTO `sys_job_log` VALUES (54682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:22:15');
INSERT INTO `sys_job_log` VALUES (54683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:22:20');
INSERT INTO `sys_job_log` VALUES (54684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:22:25');
INSERT INTO `sys_job_log` VALUES (54685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:22:30');
INSERT INTO `sys_job_log` VALUES (54686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:22:30');
INSERT INTO `sys_job_log` VALUES (54687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:22:35');
INSERT INTO `sys_job_log` VALUES (54688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:22:40');
INSERT INTO `sys_job_log` VALUES (54689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1945毫秒', '0', '', '2025-01-02 05:22:47');
INSERT INTO `sys_job_log` VALUES (54690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1946毫秒', '0', '', '2025-01-02 05:22:47');
INSERT INTO `sys_job_log` VALUES (54691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:22:50');
INSERT INTO `sys_job_log` VALUES (54692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:22:55');
INSERT INTO `sys_job_log` VALUES (54693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:23:00');
INSERT INTO `sys_job_log` VALUES (54694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:23:00');
INSERT INTO `sys_job_log` VALUES (54695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:23:05');
INSERT INTO `sys_job_log` VALUES (54696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:23:10');
INSERT INTO `sys_job_log` VALUES (54697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:23:15');
INSERT INTO `sys_job_log` VALUES (54698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:23:15');
INSERT INTO `sys_job_log` VALUES (54699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:23:20');
INSERT INTO `sys_job_log` VALUES (54700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:23:25');
INSERT INTO `sys_job_log` VALUES (54701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:23:30');
INSERT INTO `sys_job_log` VALUES (54702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:23:30');
INSERT INTO `sys_job_log` VALUES (54703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:23:35');
INSERT INTO `sys_job_log` VALUES (54704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:23:40');
INSERT INTO `sys_job_log` VALUES (54705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:23:45');
INSERT INTO `sys_job_log` VALUES (54706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:23:45');
INSERT INTO `sys_job_log` VALUES (54707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:23:50');
INSERT INTO `sys_job_log` VALUES (54708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:23:55');
INSERT INTO `sys_job_log` VALUES (54709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:24:00');
INSERT INTO `sys_job_log` VALUES (54710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:24:00');
INSERT INTO `sys_job_log` VALUES (54711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:24:05');
INSERT INTO `sys_job_log` VALUES (54712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:24:10');
INSERT INTO `sys_job_log` VALUES (54713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:24:15');
INSERT INTO `sys_job_log` VALUES (54714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:24:15');
INSERT INTO `sys_job_log` VALUES (54715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:24:20');
INSERT INTO `sys_job_log` VALUES (54716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:24:25');
INSERT INTO `sys_job_log` VALUES (54717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:24:30');
INSERT INTO `sys_job_log` VALUES (54718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:24:30');
INSERT INTO `sys_job_log` VALUES (54719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:24:35');
INSERT INTO `sys_job_log` VALUES (54720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:24:40');
INSERT INTO `sys_job_log` VALUES (54721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:24:45');
INSERT INTO `sys_job_log` VALUES (54722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:24:45');
INSERT INTO `sys_job_log` VALUES (54723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:24:50');
INSERT INTO `sys_job_log` VALUES (54724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 05:24:55');
INSERT INTO `sys_job_log` VALUES (54725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:00');
INSERT INTO `sys_job_log` VALUES (54726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:00');
INSERT INTO `sys_job_log` VALUES (54727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:25:05');
INSERT INTO `sys_job_log` VALUES (54728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:25:10');
INSERT INTO `sys_job_log` VALUES (54729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:15');
INSERT INTO `sys_job_log` VALUES (54730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:15');
INSERT INTO `sys_job_log` VALUES (54731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:25:20');
INSERT INTO `sys_job_log` VALUES (54732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:25');
INSERT INTO `sys_job_log` VALUES (54733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:25:30');
INSERT INTO `sys_job_log` VALUES (54734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:25:30');
INSERT INTO `sys_job_log` VALUES (54735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:25:35');
INSERT INTO `sys_job_log` VALUES (54736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:25:40');
INSERT INTO `sys_job_log` VALUES (54737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:45');
INSERT INTO `sys_job_log` VALUES (54738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:25:45');
INSERT INTO `sys_job_log` VALUES (54739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:25:50');
INSERT INTO `sys_job_log` VALUES (54740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:25:55');
INSERT INTO `sys_job_log` VALUES (54741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:26:00');
INSERT INTO `sys_job_log` VALUES (54742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:26:00');
INSERT INTO `sys_job_log` VALUES (54743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:26:05');
INSERT INTO `sys_job_log` VALUES (54744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:26:10');
INSERT INTO `sys_job_log` VALUES (54745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:26:15');
INSERT INTO `sys_job_log` VALUES (54746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:26:15');
INSERT INTO `sys_job_log` VALUES (54747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:26:20');
INSERT INTO `sys_job_log` VALUES (54748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:26:25');
INSERT INTO `sys_job_log` VALUES (54749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:26:30');
INSERT INTO `sys_job_log` VALUES (54750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:26:30');
INSERT INTO `sys_job_log` VALUES (54751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:26:35');
INSERT INTO `sys_job_log` VALUES (54752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:26:40');
INSERT INTO `sys_job_log` VALUES (54753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:26:45');
INSERT INTO `sys_job_log` VALUES (54754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:26:45');
INSERT INTO `sys_job_log` VALUES (54755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 05:26:50');
INSERT INTO `sys_job_log` VALUES (54756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:26:55');
INSERT INTO `sys_job_log` VALUES (54757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:27:00');
INSERT INTO `sys_job_log` VALUES (54758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:27:00');
INSERT INTO `sys_job_log` VALUES (54759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:27:05');
INSERT INTO `sys_job_log` VALUES (54760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:27:10');
INSERT INTO `sys_job_log` VALUES (54761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:27:15');
INSERT INTO `sys_job_log` VALUES (54762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:27:15');
INSERT INTO `sys_job_log` VALUES (54763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:27:20');
INSERT INTO `sys_job_log` VALUES (54764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:27:25');
INSERT INTO `sys_job_log` VALUES (54765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:27:30');
INSERT INTO `sys_job_log` VALUES (54766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:27:30');
INSERT INTO `sys_job_log` VALUES (54767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:27:35');
INSERT INTO `sys_job_log` VALUES (54768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:27:40');
INSERT INTO `sys_job_log` VALUES (54769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:27:45');
INSERT INTO `sys_job_log` VALUES (54770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:27:45');
INSERT INTO `sys_job_log` VALUES (54771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:27:50');
INSERT INTO `sys_job_log` VALUES (54772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:27:55');
INSERT INTO `sys_job_log` VALUES (54773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 05:28:00');
INSERT INTO `sys_job_log` VALUES (54774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:28:00');
INSERT INTO `sys_job_log` VALUES (54775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:05');
INSERT INTO `sys_job_log` VALUES (54776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:28:10');
INSERT INTO `sys_job_log` VALUES (54777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:28:15');
INSERT INTO `sys_job_log` VALUES (54778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:15');
INSERT INTO `sys_job_log` VALUES (54779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:28:20');
INSERT INTO `sys_job_log` VALUES (54780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:28:25');
INSERT INTO `sys_job_log` VALUES (54781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:28:30');
INSERT INTO `sys_job_log` VALUES (54782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:28:30');
INSERT INTO `sys_job_log` VALUES (54783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:35');
INSERT INTO `sys_job_log` VALUES (54784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:40');
INSERT INTO `sys_job_log` VALUES (54785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:45');
INSERT INTO `sys_job_log` VALUES (54786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:45');
INSERT INTO `sys_job_log` VALUES (54787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:28:50');
INSERT INTO `sys_job_log` VALUES (54788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:28:55');
INSERT INTO `sys_job_log` VALUES (54789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 05:29:00');
INSERT INTO `sys_job_log` VALUES (54790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 05:29:00');
INSERT INTO `sys_job_log` VALUES (54791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:29:05');
INSERT INTO `sys_job_log` VALUES (54792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:29:10');
INSERT INTO `sys_job_log` VALUES (54793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:29:15');
INSERT INTO `sys_job_log` VALUES (54794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:29:15');
INSERT INTO `sys_job_log` VALUES (54795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:29:20');
INSERT INTO `sys_job_log` VALUES (54796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:29:25');
INSERT INTO `sys_job_log` VALUES (54797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:29:30');
INSERT INTO `sys_job_log` VALUES (54798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:29:30');
INSERT INTO `sys_job_log` VALUES (54799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:29:35');
INSERT INTO `sys_job_log` VALUES (54800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:29:40');
INSERT INTO `sys_job_log` VALUES (54801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:29:45');
INSERT INTO `sys_job_log` VALUES (54802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:29:45');
INSERT INTO `sys_job_log` VALUES (54803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:29:50');
INSERT INTO `sys_job_log` VALUES (54804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:29:55');
INSERT INTO `sys_job_log` VALUES (54805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:30:00');
INSERT INTO `sys_job_log` VALUES (54806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:30:00');
INSERT INTO `sys_job_log` VALUES (54807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:30:05');
INSERT INTO `sys_job_log` VALUES (54808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:30:10');
INSERT INTO `sys_job_log` VALUES (54809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:30:15');
INSERT INTO `sys_job_log` VALUES (54810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:30:15');
INSERT INTO `sys_job_log` VALUES (54811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:30:20');
INSERT INTO `sys_job_log` VALUES (54812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:30:25');
INSERT INTO `sys_job_log` VALUES (54813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:30:30');
INSERT INTO `sys_job_log` VALUES (54814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:30:30');
INSERT INTO `sys_job_log` VALUES (54815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:30:35');
INSERT INTO `sys_job_log` VALUES (54816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:30:40');
INSERT INTO `sys_job_log` VALUES (54817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:30:45');
INSERT INTO `sys_job_log` VALUES (54818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:30:45');
INSERT INTO `sys_job_log` VALUES (54819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:30:50');
INSERT INTO `sys_job_log` VALUES (54820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:30:55');
INSERT INTO `sys_job_log` VALUES (54821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:31:00');
INSERT INTO `sys_job_log` VALUES (54822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:31:00');
INSERT INTO `sys_job_log` VALUES (54823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:31:05');
INSERT INTO `sys_job_log` VALUES (54824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:31:10');
INSERT INTO `sys_job_log` VALUES (54825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:31:15');
INSERT INTO `sys_job_log` VALUES (54826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:31:15');
INSERT INTO `sys_job_log` VALUES (54827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:31:20');
INSERT INTO `sys_job_log` VALUES (54828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:31:25');
INSERT INTO `sys_job_log` VALUES (54829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:31:30');
INSERT INTO `sys_job_log` VALUES (54830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:31:30');
INSERT INTO `sys_job_log` VALUES (54831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:31:35');
INSERT INTO `sys_job_log` VALUES (54832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:31:40');
INSERT INTO `sys_job_log` VALUES (54833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:31:45');
INSERT INTO `sys_job_log` VALUES (54834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:31:45');
INSERT INTO `sys_job_log` VALUES (54835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:31:50');
INSERT INTO `sys_job_log` VALUES (54836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:31:55');
INSERT INTO `sys_job_log` VALUES (54837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:32:00');
INSERT INTO `sys_job_log` VALUES (54838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:32:00');
INSERT INTO `sys_job_log` VALUES (54839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:32:05');
INSERT INTO `sys_job_log` VALUES (54840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:32:10');
INSERT INTO `sys_job_log` VALUES (54841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:15');
INSERT INTO `sys_job_log` VALUES (54842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:15');
INSERT INTO `sys_job_log` VALUES (54843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:32:20');
INSERT INTO `sys_job_log` VALUES (54844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:25');
INSERT INTO `sys_job_log` VALUES (54845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:32:30');
INSERT INTO `sys_job_log` VALUES (54846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:30');
INSERT INTO `sys_job_log` VALUES (54847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:32:35');
INSERT INTO `sys_job_log` VALUES (54848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:40');
INSERT INTO `sys_job_log` VALUES (54849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:45');
INSERT INTO `sys_job_log` VALUES (54850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:45');
INSERT INTO `sys_job_log` VALUES (54851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:32:50');
INSERT INTO `sys_job_log` VALUES (54852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:32:55');
INSERT INTO `sys_job_log` VALUES (54853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:33:00');
INSERT INTO `sys_job_log` VALUES (54854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:33:00');
INSERT INTO `sys_job_log` VALUES (54855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:33:05');
INSERT INTO `sys_job_log` VALUES (54856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:33:10');
INSERT INTO `sys_job_log` VALUES (54857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:33:15');
INSERT INTO `sys_job_log` VALUES (54858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:33:15');
INSERT INTO `sys_job_log` VALUES (54859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:33:20');
INSERT INTO `sys_job_log` VALUES (54860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:33:25');
INSERT INTO `sys_job_log` VALUES (54861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:33:30');
INSERT INTO `sys_job_log` VALUES (54862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:33:30');
INSERT INTO `sys_job_log` VALUES (54863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:33:35');
INSERT INTO `sys_job_log` VALUES (54864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:33:40');
INSERT INTO `sys_job_log` VALUES (54865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:33:45');
INSERT INTO `sys_job_log` VALUES (54866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:33:45');
INSERT INTO `sys_job_log` VALUES (54867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:33:50');
INSERT INTO `sys_job_log` VALUES (54868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 05:33:55');
INSERT INTO `sys_job_log` VALUES (54869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:34:00');
INSERT INTO `sys_job_log` VALUES (54870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:34:00');
INSERT INTO `sys_job_log` VALUES (54871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:34:05');
INSERT INTO `sys_job_log` VALUES (54872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:34:10');
INSERT INTO `sys_job_log` VALUES (54873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:34:15');
INSERT INTO `sys_job_log` VALUES (54874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:34:15');
INSERT INTO `sys_job_log` VALUES (54875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:34:20');
INSERT INTO `sys_job_log` VALUES (54876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:34:25');
INSERT INTO `sys_job_log` VALUES (54877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:34:30');
INSERT INTO `sys_job_log` VALUES (54878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:34:30');
INSERT INTO `sys_job_log` VALUES (54879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:34:35');
INSERT INTO `sys_job_log` VALUES (54880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:34:40');
INSERT INTO `sys_job_log` VALUES (54881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:34:45');
INSERT INTO `sys_job_log` VALUES (54882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:34:45');
INSERT INTO `sys_job_log` VALUES (54883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:34:50');
INSERT INTO `sys_job_log` VALUES (54884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:34:55');
INSERT INTO `sys_job_log` VALUES (54885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:35:00');
INSERT INTO `sys_job_log` VALUES (54886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:35:00');
INSERT INTO `sys_job_log` VALUES (54887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:35:05');
INSERT INTO `sys_job_log` VALUES (54888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:35:10');
INSERT INTO `sys_job_log` VALUES (54889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:35:15');
INSERT INTO `sys_job_log` VALUES (54890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:35:15');
INSERT INTO `sys_job_log` VALUES (54891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:35:20');
INSERT INTO `sys_job_log` VALUES (54892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:35:25');
INSERT INTO `sys_job_log` VALUES (54893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:35:30');
INSERT INTO `sys_job_log` VALUES (54894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:35:30');
INSERT INTO `sys_job_log` VALUES (54895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:35:35');
INSERT INTO `sys_job_log` VALUES (54896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:35:40');
INSERT INTO `sys_job_log` VALUES (54897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:35:45');
INSERT INTO `sys_job_log` VALUES (54898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:35:45');
INSERT INTO `sys_job_log` VALUES (54899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:35:50');
INSERT INTO `sys_job_log` VALUES (54900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:35:55');
INSERT INTO `sys_job_log` VALUES (54901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:36:00');
INSERT INTO `sys_job_log` VALUES (54902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:36:00');
INSERT INTO `sys_job_log` VALUES (54903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:36:05');
INSERT INTO `sys_job_log` VALUES (54904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 05:36:10');
INSERT INTO `sys_job_log` VALUES (54905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:36:15');
INSERT INTO `sys_job_log` VALUES (54906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:36:15');
INSERT INTO `sys_job_log` VALUES (54907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:36:20');
INSERT INTO `sys_job_log` VALUES (54908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:36:25');
INSERT INTO `sys_job_log` VALUES (54909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:36:30');
INSERT INTO `sys_job_log` VALUES (54910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:36:30');
INSERT INTO `sys_job_log` VALUES (54911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:36:35');
INSERT INTO `sys_job_log` VALUES (54912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:36:40');
INSERT INTO `sys_job_log` VALUES (54913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:36:45');
INSERT INTO `sys_job_log` VALUES (54914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:36:45');
INSERT INTO `sys_job_log` VALUES (54915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:36:50');
INSERT INTO `sys_job_log` VALUES (54916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:36:55');
INSERT INTO `sys_job_log` VALUES (54917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:37:00');
INSERT INTO `sys_job_log` VALUES (54918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:37:00');
INSERT INTO `sys_job_log` VALUES (54919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:37:05');
INSERT INTO `sys_job_log` VALUES (54920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:37:10');
INSERT INTO `sys_job_log` VALUES (54921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:37:15');
INSERT INTO `sys_job_log` VALUES (54922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:37:15');
INSERT INTO `sys_job_log` VALUES (54923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:37:20');
INSERT INTO `sys_job_log` VALUES (54924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:37:25');
INSERT INTO `sys_job_log` VALUES (54925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:37:30');
INSERT INTO `sys_job_log` VALUES (54926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:37:30');
INSERT INTO `sys_job_log` VALUES (54927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:37:35');
INSERT INTO `sys_job_log` VALUES (54928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:37:40');
INSERT INTO `sys_job_log` VALUES (54929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:37:45');
INSERT INTO `sys_job_log` VALUES (54930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:37:45');
INSERT INTO `sys_job_log` VALUES (54931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:37:50');
INSERT INTO `sys_job_log` VALUES (54932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:37:55');
INSERT INTO `sys_job_log` VALUES (54933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:38:00');
INSERT INTO `sys_job_log` VALUES (54934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:38:00');
INSERT INTO `sys_job_log` VALUES (54935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:38:05');
INSERT INTO `sys_job_log` VALUES (54936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:38:10');
INSERT INTO `sys_job_log` VALUES (54937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:38:15');
INSERT INTO `sys_job_log` VALUES (54938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:38:15');
INSERT INTO `sys_job_log` VALUES (54939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:38:20');
INSERT INTO `sys_job_log` VALUES (54940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:38:25');
INSERT INTO `sys_job_log` VALUES (54941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:38:30');
INSERT INTO `sys_job_log` VALUES (54942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:38:30');
INSERT INTO `sys_job_log` VALUES (54943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:38:35');
INSERT INTO `sys_job_log` VALUES (54944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:38:40');
INSERT INTO `sys_job_log` VALUES (54945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:38:45');
INSERT INTO `sys_job_log` VALUES (54946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:38:45');
INSERT INTO `sys_job_log` VALUES (54947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:38:50');
INSERT INTO `sys_job_log` VALUES (54948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:38:55');
INSERT INTO `sys_job_log` VALUES (54949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:39:00');
INSERT INTO `sys_job_log` VALUES (54950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:39:00');
INSERT INTO `sys_job_log` VALUES (54951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 05:39:05');
INSERT INTO `sys_job_log` VALUES (54952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:39:10');
INSERT INTO `sys_job_log` VALUES (54953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:39:15');
INSERT INTO `sys_job_log` VALUES (54954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:39:15');
INSERT INTO `sys_job_log` VALUES (54955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:39:20');
INSERT INTO `sys_job_log` VALUES (54956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:39:25');
INSERT INTO `sys_job_log` VALUES (54957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:39:30');
INSERT INTO `sys_job_log` VALUES (54958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:39:30');
INSERT INTO `sys_job_log` VALUES (54959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:39:35');
INSERT INTO `sys_job_log` VALUES (54960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:39:40');
INSERT INTO `sys_job_log` VALUES (54961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:39:45');
INSERT INTO `sys_job_log` VALUES (54962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:39:45');
INSERT INTO `sys_job_log` VALUES (54963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:39:50');
INSERT INTO `sys_job_log` VALUES (54964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:39:55');
INSERT INTO `sys_job_log` VALUES (54965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:00');
INSERT INTO `sys_job_log` VALUES (54966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:00');
INSERT INTO `sys_job_log` VALUES (54967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:40:05');
INSERT INTO `sys_job_log` VALUES (54968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:10');
INSERT INTO `sys_job_log` VALUES (54969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:15');
INSERT INTO `sys_job_log` VALUES (54970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:15');
INSERT INTO `sys_job_log` VALUES (54971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:20');
INSERT INTO `sys_job_log` VALUES (54972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:40:25');
INSERT INTO `sys_job_log` VALUES (54973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:30');
INSERT INTO `sys_job_log` VALUES (54974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:30');
INSERT INTO `sys_job_log` VALUES (54975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:40:35');
INSERT INTO `sys_job_log` VALUES (54976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:40:40');
INSERT INTO `sys_job_log` VALUES (54977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:40:45');
INSERT INTO `sys_job_log` VALUES (54978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:40:45');
INSERT INTO `sys_job_log` VALUES (54979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:40:50');
INSERT INTO `sys_job_log` VALUES (54980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 05:40:55');
INSERT INTO `sys_job_log` VALUES (54981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:41:00');
INSERT INTO `sys_job_log` VALUES (54982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:41:00');
INSERT INTO `sys_job_log` VALUES (54983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:41:05');
INSERT INTO `sys_job_log` VALUES (54984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:41:10');
INSERT INTO `sys_job_log` VALUES (54985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:41:15');
INSERT INTO `sys_job_log` VALUES (54986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:41:15');
INSERT INTO `sys_job_log` VALUES (54987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:41:20');
INSERT INTO `sys_job_log` VALUES (54988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:41:25');
INSERT INTO `sys_job_log` VALUES (54989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:41:30');
INSERT INTO `sys_job_log` VALUES (54990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:41:30');
INSERT INTO `sys_job_log` VALUES (54991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:41:35');
INSERT INTO `sys_job_log` VALUES (54992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:41:40');
INSERT INTO `sys_job_log` VALUES (54993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:41:45');
INSERT INTO `sys_job_log` VALUES (54994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:41:45');
INSERT INTO `sys_job_log` VALUES (54995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:41:50');
INSERT INTO `sys_job_log` VALUES (54996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:41:55');
INSERT INTO `sys_job_log` VALUES (54997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:42:00');
INSERT INTO `sys_job_log` VALUES (54998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:42:00');
INSERT INTO `sys_job_log` VALUES (54999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:42:05');
INSERT INTO `sys_job_log` VALUES (55000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:42:10');
INSERT INTO `sys_job_log` VALUES (55001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:42:15');
INSERT INTO `sys_job_log` VALUES (55002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:42:15');
INSERT INTO `sys_job_log` VALUES (55003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:42:20');
INSERT INTO `sys_job_log` VALUES (55004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:42:25');
INSERT INTO `sys_job_log` VALUES (55005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:42:30');
INSERT INTO `sys_job_log` VALUES (55006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:42:30');
INSERT INTO `sys_job_log` VALUES (55007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:42:35');
INSERT INTO `sys_job_log` VALUES (55008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:42:40');
INSERT INTO `sys_job_log` VALUES (55009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:42:45');
INSERT INTO `sys_job_log` VALUES (55010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:42:45');
INSERT INTO `sys_job_log` VALUES (55011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:42:50');
INSERT INTO `sys_job_log` VALUES (55012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 05:42:55');
INSERT INTO `sys_job_log` VALUES (55013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:43:00');
INSERT INTO `sys_job_log` VALUES (55014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:43:00');
INSERT INTO `sys_job_log` VALUES (55015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:43:05');
INSERT INTO `sys_job_log` VALUES (55016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:43:10');
INSERT INTO `sys_job_log` VALUES (55017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:43:15');
INSERT INTO `sys_job_log` VALUES (55018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:43:15');
INSERT INTO `sys_job_log` VALUES (55019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:43:20');
INSERT INTO `sys_job_log` VALUES (55020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:43:25');
INSERT INTO `sys_job_log` VALUES (55021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:43:30');
INSERT INTO `sys_job_log` VALUES (55022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:43:30');
INSERT INTO `sys_job_log` VALUES (55023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:43:35');
INSERT INTO `sys_job_log` VALUES (55024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:43:40');
INSERT INTO `sys_job_log` VALUES (55025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:43:45');
INSERT INTO `sys_job_log` VALUES (55026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:43:45');
INSERT INTO `sys_job_log` VALUES (55027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:43:50');
INSERT INTO `sys_job_log` VALUES (55028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:43:55');
INSERT INTO `sys_job_log` VALUES (55029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:44:00');
INSERT INTO `sys_job_log` VALUES (55030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:44:00');
INSERT INTO `sys_job_log` VALUES (55031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:44:05');
INSERT INTO `sys_job_log` VALUES (55032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:44:10');
INSERT INTO `sys_job_log` VALUES (55033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:44:15');
INSERT INTO `sys_job_log` VALUES (55034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:44:15');
INSERT INTO `sys_job_log` VALUES (55035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:44:20');
INSERT INTO `sys_job_log` VALUES (55036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 05:44:25');
INSERT INTO `sys_job_log` VALUES (55037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:44:30');
INSERT INTO `sys_job_log` VALUES (55038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:44:30');
INSERT INTO `sys_job_log` VALUES (55039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:44:35');
INSERT INTO `sys_job_log` VALUES (55040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:44:40');
INSERT INTO `sys_job_log` VALUES (55041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:44:45');
INSERT INTO `sys_job_log` VALUES (55042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:44:45');
INSERT INTO `sys_job_log` VALUES (55043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:44:50');
INSERT INTO `sys_job_log` VALUES (55044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:44:55');
INSERT INTO `sys_job_log` VALUES (55045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:45:00');
INSERT INTO `sys_job_log` VALUES (55046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:45:00');
INSERT INTO `sys_job_log` VALUES (55047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:45:05');
INSERT INTO `sys_job_log` VALUES (55048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:45:10');
INSERT INTO `sys_job_log` VALUES (55049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:45:15');
INSERT INTO `sys_job_log` VALUES (55050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:45:15');
INSERT INTO `sys_job_log` VALUES (55051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:45:20');
INSERT INTO `sys_job_log` VALUES (55052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:45:25');
INSERT INTO `sys_job_log` VALUES (55053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:45:30');
INSERT INTO `sys_job_log` VALUES (55054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:45:30');
INSERT INTO `sys_job_log` VALUES (55055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:45:35');
INSERT INTO `sys_job_log` VALUES (55056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:45:40');
INSERT INTO `sys_job_log` VALUES (55057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:45:45');
INSERT INTO `sys_job_log` VALUES (55058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:45:45');
INSERT INTO `sys_job_log` VALUES (55059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:45:50');
INSERT INTO `sys_job_log` VALUES (55060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:45:55');
INSERT INTO `sys_job_log` VALUES (55061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:46:00');
INSERT INTO `sys_job_log` VALUES (55062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:46:00');
INSERT INTO `sys_job_log` VALUES (55063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 05:46:05');
INSERT INTO `sys_job_log` VALUES (55064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:46:10');
INSERT INTO `sys_job_log` VALUES (55065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:46:15');
INSERT INTO `sys_job_log` VALUES (55066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:46:15');
INSERT INTO `sys_job_log` VALUES (55067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:46:20');
INSERT INTO `sys_job_log` VALUES (55068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:46:25');
INSERT INTO `sys_job_log` VALUES (55069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:46:30');
INSERT INTO `sys_job_log` VALUES (55070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:46:30');
INSERT INTO `sys_job_log` VALUES (55071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:46:35');
INSERT INTO `sys_job_log` VALUES (55072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:46:40');
INSERT INTO `sys_job_log` VALUES (55073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:46:45');
INSERT INTO `sys_job_log` VALUES (55074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:46:45');
INSERT INTO `sys_job_log` VALUES (55075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:46:50');
INSERT INTO `sys_job_log` VALUES (55076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:46:55');
INSERT INTO `sys_job_log` VALUES (55077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:47:00');
INSERT INTO `sys_job_log` VALUES (55078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:47:00');
INSERT INTO `sys_job_log` VALUES (55079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:47:05');
INSERT INTO `sys_job_log` VALUES (55080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:47:10');
INSERT INTO `sys_job_log` VALUES (55081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:47:15');
INSERT INTO `sys_job_log` VALUES (55082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:47:15');
INSERT INTO `sys_job_log` VALUES (55083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:47:20');
INSERT INTO `sys_job_log` VALUES (55084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:47:25');
INSERT INTO `sys_job_log` VALUES (55085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:47:30');
INSERT INTO `sys_job_log` VALUES (55086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:47:30');
INSERT INTO `sys_job_log` VALUES (55087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 05:47:35');
INSERT INTO `sys_job_log` VALUES (55088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:47:40');
INSERT INTO `sys_job_log` VALUES (55089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:47:45');
INSERT INTO `sys_job_log` VALUES (55090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:47:45');
INSERT INTO `sys_job_log` VALUES (55091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:47:50');
INSERT INTO `sys_job_log` VALUES (55092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:47:55');
INSERT INTO `sys_job_log` VALUES (55093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:48:00');
INSERT INTO `sys_job_log` VALUES (55094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:48:00');
INSERT INTO `sys_job_log` VALUES (55095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:48:05');
INSERT INTO `sys_job_log` VALUES (55096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:48:10');
INSERT INTO `sys_job_log` VALUES (55097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:48:15');
INSERT INTO `sys_job_log` VALUES (55098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:48:15');
INSERT INTO `sys_job_log` VALUES (55099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:48:20');
INSERT INTO `sys_job_log` VALUES (55100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:48:25');
INSERT INTO `sys_job_log` VALUES (55101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:48:30');
INSERT INTO `sys_job_log` VALUES (55102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:48:30');
INSERT INTO `sys_job_log` VALUES (55103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:48:35');
INSERT INTO `sys_job_log` VALUES (55104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:48:40');
INSERT INTO `sys_job_log` VALUES (55105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:48:45');
INSERT INTO `sys_job_log` VALUES (55106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:48:45');
INSERT INTO `sys_job_log` VALUES (55107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:48:50');
INSERT INTO `sys_job_log` VALUES (55108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:48:55');
INSERT INTO `sys_job_log` VALUES (55109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:49:00');
INSERT INTO `sys_job_log` VALUES (55110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:49:00');
INSERT INTO `sys_job_log` VALUES (55111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:49:05');
INSERT INTO `sys_job_log` VALUES (55112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:49:10');
INSERT INTO `sys_job_log` VALUES (55113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 05:49:15');
INSERT INTO `sys_job_log` VALUES (55114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:49:15');
INSERT INTO `sys_job_log` VALUES (55115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:49:20');
INSERT INTO `sys_job_log` VALUES (55116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:49:25');
INSERT INTO `sys_job_log` VALUES (55117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:49:30');
INSERT INTO `sys_job_log` VALUES (55118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:49:30');
INSERT INTO `sys_job_log` VALUES (55119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:49:35');
INSERT INTO `sys_job_log` VALUES (55120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:49:40');
INSERT INTO `sys_job_log` VALUES (55121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:49:45');
INSERT INTO `sys_job_log` VALUES (55122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:49:45');
INSERT INTO `sys_job_log` VALUES (55123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:49:50');
INSERT INTO `sys_job_log` VALUES (55124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:49:55');
INSERT INTO `sys_job_log` VALUES (55125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:50:00');
INSERT INTO `sys_job_log` VALUES (55126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:50:00');
INSERT INTO `sys_job_log` VALUES (55127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:50:05');
INSERT INTO `sys_job_log` VALUES (55128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:50:10');
INSERT INTO `sys_job_log` VALUES (55129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:50:15');
INSERT INTO `sys_job_log` VALUES (55130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:50:15');
INSERT INTO `sys_job_log` VALUES (55131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 05:50:20');
INSERT INTO `sys_job_log` VALUES (55132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 05:50:25');
INSERT INTO `sys_job_log` VALUES (55133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:50:30');
INSERT INTO `sys_job_log` VALUES (55134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:50:30');
INSERT INTO `sys_job_log` VALUES (55135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:50:35');
INSERT INTO `sys_job_log` VALUES (55136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:50:40');
INSERT INTO `sys_job_log` VALUES (55137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:50:45');
INSERT INTO `sys_job_log` VALUES (55138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:50:45');
INSERT INTO `sys_job_log` VALUES (55139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:50:50');
INSERT INTO `sys_job_log` VALUES (55140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:50:55');
INSERT INTO `sys_job_log` VALUES (55141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:51:00');
INSERT INTO `sys_job_log` VALUES (55142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:51:00');
INSERT INTO `sys_job_log` VALUES (55143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:51:05');
INSERT INTO `sys_job_log` VALUES (55144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:51:10');
INSERT INTO `sys_job_log` VALUES (55145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:51:15');
INSERT INTO `sys_job_log` VALUES (55146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:51:15');
INSERT INTO `sys_job_log` VALUES (55147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:51:20');
INSERT INTO `sys_job_log` VALUES (55148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:51:25');
INSERT INTO `sys_job_log` VALUES (55149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:51:30');
INSERT INTO `sys_job_log` VALUES (55150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:51:30');
INSERT INTO `sys_job_log` VALUES (55151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:51:35');
INSERT INTO `sys_job_log` VALUES (55152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:51:40');
INSERT INTO `sys_job_log` VALUES (55153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:51:45');
INSERT INTO `sys_job_log` VALUES (55154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:51:45');
INSERT INTO `sys_job_log` VALUES (55155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:51:50');
INSERT INTO `sys_job_log` VALUES (55156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 05:51:55');
INSERT INTO `sys_job_log` VALUES (55157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:52:00');
INSERT INTO `sys_job_log` VALUES (55158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:52:00');
INSERT INTO `sys_job_log` VALUES (55159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 05:52:05');
INSERT INTO `sys_job_log` VALUES (55160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:52:10');
INSERT INTO `sys_job_log` VALUES (55161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:52:15');
INSERT INTO `sys_job_log` VALUES (55162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:52:15');
INSERT INTO `sys_job_log` VALUES (55163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:52:20');
INSERT INTO `sys_job_log` VALUES (55164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:52:25');
INSERT INTO `sys_job_log` VALUES (55165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:52:30');
INSERT INTO `sys_job_log` VALUES (55166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:52:30');
INSERT INTO `sys_job_log` VALUES (55167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:52:35');
INSERT INTO `sys_job_log` VALUES (55168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:52:40');
INSERT INTO `sys_job_log` VALUES (55169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:52:45');
INSERT INTO `sys_job_log` VALUES (55170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:52:45');
INSERT INTO `sys_job_log` VALUES (55171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:52:50');
INSERT INTO `sys_job_log` VALUES (55172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:52:55');
INSERT INTO `sys_job_log` VALUES (55173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:53:00');
INSERT INTO `sys_job_log` VALUES (55174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:53:00');
INSERT INTO `sys_job_log` VALUES (55175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:53:05');
INSERT INTO `sys_job_log` VALUES (55176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:53:10');
INSERT INTO `sys_job_log` VALUES (55177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:53:15');
INSERT INTO `sys_job_log` VALUES (55178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:53:15');
INSERT INTO `sys_job_log` VALUES (55179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:53:20');
INSERT INTO `sys_job_log` VALUES (55180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 05:53:25');
INSERT INTO `sys_job_log` VALUES (55181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:53:30');
INSERT INTO `sys_job_log` VALUES (55182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:53:30');
INSERT INTO `sys_job_log` VALUES (55183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:53:35');
INSERT INTO `sys_job_log` VALUES (55184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:53:40');
INSERT INTO `sys_job_log` VALUES (55185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:53:45');
INSERT INTO `sys_job_log` VALUES (55186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:53:45');
INSERT INTO `sys_job_log` VALUES (55187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:53:50');
INSERT INTO `sys_job_log` VALUES (55188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:53:55');
INSERT INTO `sys_job_log` VALUES (55189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:54:00');
INSERT INTO `sys_job_log` VALUES (55190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 05:54:00');
INSERT INTO `sys_job_log` VALUES (55191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:54:05');
INSERT INTO `sys_job_log` VALUES (55192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:54:10');
INSERT INTO `sys_job_log` VALUES (55193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:54:15');
INSERT INTO `sys_job_log` VALUES (55194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:54:15');
INSERT INTO `sys_job_log` VALUES (55195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:54:20');
INSERT INTO `sys_job_log` VALUES (55196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:54:25');
INSERT INTO `sys_job_log` VALUES (55197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:54:30');
INSERT INTO `sys_job_log` VALUES (55198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:54:30');
INSERT INTO `sys_job_log` VALUES (55199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:54:35');
INSERT INTO `sys_job_log` VALUES (55200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:54:40');
INSERT INTO `sys_job_log` VALUES (55201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:54:45');
INSERT INTO `sys_job_log` VALUES (55202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:54:45');
INSERT INTO `sys_job_log` VALUES (55203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:54:50');
INSERT INTO `sys_job_log` VALUES (55204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:54:55');
INSERT INTO `sys_job_log` VALUES (55205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:55:00');
INSERT INTO `sys_job_log` VALUES (55206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 05:55:00');
INSERT INTO `sys_job_log` VALUES (55207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:55:05');
INSERT INTO `sys_job_log` VALUES (55208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:55:10');
INSERT INTO `sys_job_log` VALUES (55209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:55:15');
INSERT INTO `sys_job_log` VALUES (55210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:55:15');
INSERT INTO `sys_job_log` VALUES (55211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:55:20');
INSERT INTO `sys_job_log` VALUES (55212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:55:25');
INSERT INTO `sys_job_log` VALUES (55213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:55:30');
INSERT INTO `sys_job_log` VALUES (55214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:55:30');
INSERT INTO `sys_job_log` VALUES (55215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:55:35');
INSERT INTO `sys_job_log` VALUES (55216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:55:40');
INSERT INTO `sys_job_log` VALUES (55217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:55:45');
INSERT INTO `sys_job_log` VALUES (55218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:55:45');
INSERT INTO `sys_job_log` VALUES (55219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:55:50');
INSERT INTO `sys_job_log` VALUES (55220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:55:55');
INSERT INTO `sys_job_log` VALUES (55221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:56:00');
INSERT INTO `sys_job_log` VALUES (55222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:56:00');
INSERT INTO `sys_job_log` VALUES (55223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:56:05');
INSERT INTO `sys_job_log` VALUES (55224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:56:10');
INSERT INTO `sys_job_log` VALUES (55225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:56:15');
INSERT INTO `sys_job_log` VALUES (55226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:56:15');
INSERT INTO `sys_job_log` VALUES (55227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:56:20');
INSERT INTO `sys_job_log` VALUES (55228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:56:25');
INSERT INTO `sys_job_log` VALUES (55229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:56:30');
INSERT INTO `sys_job_log` VALUES (55230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:56:30');
INSERT INTO `sys_job_log` VALUES (55231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:56:35');
INSERT INTO `sys_job_log` VALUES (55232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:56:40');
INSERT INTO `sys_job_log` VALUES (55233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:56:45');
INSERT INTO `sys_job_log` VALUES (55234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 05:56:45');
INSERT INTO `sys_job_log` VALUES (55235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:56:50');
INSERT INTO `sys_job_log` VALUES (55236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:56:55');
INSERT INTO `sys_job_log` VALUES (55237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 05:57:00');
INSERT INTO `sys_job_log` VALUES (55238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:57:00');
INSERT INTO `sys_job_log` VALUES (55239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:57:05');
INSERT INTO `sys_job_log` VALUES (55240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:57:10');
INSERT INTO `sys_job_log` VALUES (55241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:57:15');
INSERT INTO `sys_job_log` VALUES (55242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:57:15');
INSERT INTO `sys_job_log` VALUES (55243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:57:20');
INSERT INTO `sys_job_log` VALUES (55244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:57:25');
INSERT INTO `sys_job_log` VALUES (55245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:57:30');
INSERT INTO `sys_job_log` VALUES (55246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:57:30');
INSERT INTO `sys_job_log` VALUES (55247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:57:35');
INSERT INTO `sys_job_log` VALUES (55248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:57:40');
INSERT INTO `sys_job_log` VALUES (55249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:57:45');
INSERT INTO `sys_job_log` VALUES (55250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:57:45');
INSERT INTO `sys_job_log` VALUES (55251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:57:50');
INSERT INTO `sys_job_log` VALUES (55252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:57:55');
INSERT INTO `sys_job_log` VALUES (55253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:58:00');
INSERT INTO `sys_job_log` VALUES (55254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:58:00');
INSERT INTO `sys_job_log` VALUES (55255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:58:05');
INSERT INTO `sys_job_log` VALUES (55256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:58:10');
INSERT INTO `sys_job_log` VALUES (55257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 05:58:15');
INSERT INTO `sys_job_log` VALUES (55258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 05:58:15');
INSERT INTO `sys_job_log` VALUES (55259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:58:20');
INSERT INTO `sys_job_log` VALUES (55260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:58:25');
INSERT INTO `sys_job_log` VALUES (55261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:58:30');
INSERT INTO `sys_job_log` VALUES (55262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:58:30');
INSERT INTO `sys_job_log` VALUES (55263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 05:58:35');
INSERT INTO `sys_job_log` VALUES (55264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:58:40');
INSERT INTO `sys_job_log` VALUES (55265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 05:58:45');
INSERT INTO `sys_job_log` VALUES (55266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:58:45');
INSERT INTO `sys_job_log` VALUES (55267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:58:50');
INSERT INTO `sys_job_log` VALUES (55268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:58:55');
INSERT INTO `sys_job_log` VALUES (55269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:59:00');
INSERT INTO `sys_job_log` VALUES (55270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:59:00');
INSERT INTO `sys_job_log` VALUES (55271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:59:05');
INSERT INTO `sys_job_log` VALUES (55272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:59:10');
INSERT INTO `sys_job_log` VALUES (55273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 05:59:15');
INSERT INTO `sys_job_log` VALUES (55274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 05:59:15');
INSERT INTO `sys_job_log` VALUES (55275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 05:59:20');
INSERT INTO `sys_job_log` VALUES (55276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 05:59:25');
INSERT INTO `sys_job_log` VALUES (55277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 05:59:30');
INSERT INTO `sys_job_log` VALUES (55278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:59:30');
INSERT INTO `sys_job_log` VALUES (55279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 05:59:35');
INSERT INTO `sys_job_log` VALUES (55280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 05:59:40');
INSERT INTO `sys_job_log` VALUES (55281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 05:59:45');
INSERT INTO `sys_job_log` VALUES (55282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 05:59:45');
INSERT INTO `sys_job_log` VALUES (55283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:59:50');
INSERT INTO `sys_job_log` VALUES (55284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 05:59:55');
INSERT INTO `sys_job_log` VALUES (55285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 06:00:00');
INSERT INTO `sys_job_log` VALUES (55286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 06:00:00');
INSERT INTO `sys_job_log` VALUES (55287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:00:05');
INSERT INTO `sys_job_log` VALUES (55288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:00:10');
INSERT INTO `sys_job_log` VALUES (55289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:00:15');
INSERT INTO `sys_job_log` VALUES (55290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:00:15');
INSERT INTO `sys_job_log` VALUES (55291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:00:20');
INSERT INTO `sys_job_log` VALUES (55292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:00:25');
INSERT INTO `sys_job_log` VALUES (55293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:00:30');
INSERT INTO `sys_job_log` VALUES (55294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:00:30');
INSERT INTO `sys_job_log` VALUES (55295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:00:35');
INSERT INTO `sys_job_log` VALUES (55296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:00:40');
INSERT INTO `sys_job_log` VALUES (55297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:00:45');
INSERT INTO `sys_job_log` VALUES (55298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:00:45');
INSERT INTO `sys_job_log` VALUES (55299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:00:50');
INSERT INTO `sys_job_log` VALUES (55300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:00:55');
INSERT INTO `sys_job_log` VALUES (55301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:01:00');
INSERT INTO `sys_job_log` VALUES (55302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:01:00');
INSERT INTO `sys_job_log` VALUES (55303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:01:05');
INSERT INTO `sys_job_log` VALUES (55304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:01:10');
INSERT INTO `sys_job_log` VALUES (55305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:01:15');
INSERT INTO `sys_job_log` VALUES (55306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:01:15');
INSERT INTO `sys_job_log` VALUES (55307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:01:20');
INSERT INTO `sys_job_log` VALUES (55308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 06:01:25');
INSERT INTO `sys_job_log` VALUES (55309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:01:30');
INSERT INTO `sys_job_log` VALUES (55310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:01:30');
INSERT INTO `sys_job_log` VALUES (55311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:01:35');
INSERT INTO `sys_job_log` VALUES (55312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:01:40');
INSERT INTO `sys_job_log` VALUES (55313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:01:45');
INSERT INTO `sys_job_log` VALUES (55314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:01:45');
INSERT INTO `sys_job_log` VALUES (55315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:01:50');
INSERT INTO `sys_job_log` VALUES (55316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:01:55');
INSERT INTO `sys_job_log` VALUES (55317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 06:02:00');
INSERT INTO `sys_job_log` VALUES (55318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 06:02:00');
INSERT INTO `sys_job_log` VALUES (55319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:02:05');
INSERT INTO `sys_job_log` VALUES (55320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:02:10');
INSERT INTO `sys_job_log` VALUES (55321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:02:15');
INSERT INTO `sys_job_log` VALUES (55322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:02:15');
INSERT INTO `sys_job_log` VALUES (55323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:02:20');
INSERT INTO `sys_job_log` VALUES (55324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:02:25');
INSERT INTO `sys_job_log` VALUES (55325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:02:30');
INSERT INTO `sys_job_log` VALUES (55326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:02:30');
INSERT INTO `sys_job_log` VALUES (55327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:02:35');
INSERT INTO `sys_job_log` VALUES (55328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:02:40');
INSERT INTO `sys_job_log` VALUES (55329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:02:45');
INSERT INTO `sys_job_log` VALUES (55330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:02:45');
INSERT INTO `sys_job_log` VALUES (55331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 06:02:50');
INSERT INTO `sys_job_log` VALUES (55332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:02:55');
INSERT INTO `sys_job_log` VALUES (55333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 06:03:00');
INSERT INTO `sys_job_log` VALUES (55334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 06:03:00');
INSERT INTO `sys_job_log` VALUES (55335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:03:05');
INSERT INTO `sys_job_log` VALUES (55336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:03:10');
INSERT INTO `sys_job_log` VALUES (55337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:03:15');
INSERT INTO `sys_job_log` VALUES (55338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:03:15');
INSERT INTO `sys_job_log` VALUES (55339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:03:20');
INSERT INTO `sys_job_log` VALUES (55340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:03:25');
INSERT INTO `sys_job_log` VALUES (55341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:03:30');
INSERT INTO `sys_job_log` VALUES (55342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:03:30');
INSERT INTO `sys_job_log` VALUES (55343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:03:35');
INSERT INTO `sys_job_log` VALUES (55344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:03:40');
INSERT INTO `sys_job_log` VALUES (55345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:03:45');
INSERT INTO `sys_job_log` VALUES (55346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:03:45');
INSERT INTO `sys_job_log` VALUES (55347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:03:50');
INSERT INTO `sys_job_log` VALUES (55348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:03:55');
INSERT INTO `sys_job_log` VALUES (55349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:04:00');
INSERT INTO `sys_job_log` VALUES (55350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:04:00');
INSERT INTO `sys_job_log` VALUES (55351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:04:05');
INSERT INTO `sys_job_log` VALUES (55352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:04:10');
INSERT INTO `sys_job_log` VALUES (55353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:04:15');
INSERT INTO `sys_job_log` VALUES (55354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:04:15');
INSERT INTO `sys_job_log` VALUES (55355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:04:20');
INSERT INTO `sys_job_log` VALUES (55356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:04:25');
INSERT INTO `sys_job_log` VALUES (55357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:04:30');
INSERT INTO `sys_job_log` VALUES (55358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:04:30');
INSERT INTO `sys_job_log` VALUES (55359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:04:35');
INSERT INTO `sys_job_log` VALUES (55360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:04:40');
INSERT INTO `sys_job_log` VALUES (55361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:04:45');
INSERT INTO `sys_job_log` VALUES (55362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:04:45');
INSERT INTO `sys_job_log` VALUES (55363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:04:50');
INSERT INTO `sys_job_log` VALUES (55364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:04:55');
INSERT INTO `sys_job_log` VALUES (55365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:05:00');
INSERT INTO `sys_job_log` VALUES (55366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:05:00');
INSERT INTO `sys_job_log` VALUES (55367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:05:05');
INSERT INTO `sys_job_log` VALUES (55368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:05:10');
INSERT INTO `sys_job_log` VALUES (55369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:05:15');
INSERT INTO `sys_job_log` VALUES (55370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:05:15');
INSERT INTO `sys_job_log` VALUES (55371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:05:20');
INSERT INTO `sys_job_log` VALUES (55372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:05:25');
INSERT INTO `sys_job_log` VALUES (55373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:05:30');
INSERT INTO `sys_job_log` VALUES (55374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:05:30');
INSERT INTO `sys_job_log` VALUES (55375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:05:35');
INSERT INTO `sys_job_log` VALUES (55376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:05:40');
INSERT INTO `sys_job_log` VALUES (55377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:05:45');
INSERT INTO `sys_job_log` VALUES (55378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:05:45');
INSERT INTO `sys_job_log` VALUES (55379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:05:50');
INSERT INTO `sys_job_log` VALUES (55380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:05:55');
INSERT INTO `sys_job_log` VALUES (55381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:06:00');
INSERT INTO `sys_job_log` VALUES (55382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:06:00');
INSERT INTO `sys_job_log` VALUES (55383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:06:05');
INSERT INTO `sys_job_log` VALUES (55384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:06:10');
INSERT INTO `sys_job_log` VALUES (55385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:06:15');
INSERT INTO `sys_job_log` VALUES (55386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:06:15');
INSERT INTO `sys_job_log` VALUES (55387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:06:20');
INSERT INTO `sys_job_log` VALUES (55388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:06:25');
INSERT INTO `sys_job_log` VALUES (55389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:06:30');
INSERT INTO `sys_job_log` VALUES (55390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:06:30');
INSERT INTO `sys_job_log` VALUES (55391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:06:35');
INSERT INTO `sys_job_log` VALUES (55392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:06:40');
INSERT INTO `sys_job_log` VALUES (55393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:06:45');
INSERT INTO `sys_job_log` VALUES (55394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:06:45');
INSERT INTO `sys_job_log` VALUES (55395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:06:50');
INSERT INTO `sys_job_log` VALUES (55396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:06:55');
INSERT INTO `sys_job_log` VALUES (55397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 06:07:00');
INSERT INTO `sys_job_log` VALUES (55398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 06:07:00');
INSERT INTO `sys_job_log` VALUES (55399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:07:05');
INSERT INTO `sys_job_log` VALUES (55400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:07:10');
INSERT INTO `sys_job_log` VALUES (55401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:07:15');
INSERT INTO `sys_job_log` VALUES (55402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:07:15');
INSERT INTO `sys_job_log` VALUES (55403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:07:20');
INSERT INTO `sys_job_log` VALUES (55404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:07:25');
INSERT INTO `sys_job_log` VALUES (55405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:07:30');
INSERT INTO `sys_job_log` VALUES (55406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:07:30');
INSERT INTO `sys_job_log` VALUES (55407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:07:35');
INSERT INTO `sys_job_log` VALUES (55408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:07:40');
INSERT INTO `sys_job_log` VALUES (55409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:07:45');
INSERT INTO `sys_job_log` VALUES (55410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:07:45');
INSERT INTO `sys_job_log` VALUES (55411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:07:50');
INSERT INTO `sys_job_log` VALUES (55412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:07:55');
INSERT INTO `sys_job_log` VALUES (55413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:08:00');
INSERT INTO `sys_job_log` VALUES (55414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:08:00');
INSERT INTO `sys_job_log` VALUES (55415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:08:05');
INSERT INTO `sys_job_log` VALUES (55416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:08:10');
INSERT INTO `sys_job_log` VALUES (55417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:08:15');
INSERT INTO `sys_job_log` VALUES (55418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:08:15');
INSERT INTO `sys_job_log` VALUES (55419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:08:20');
INSERT INTO `sys_job_log` VALUES (55420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:08:25');
INSERT INTO `sys_job_log` VALUES (55421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:08:30');
INSERT INTO `sys_job_log` VALUES (55422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:08:30');
INSERT INTO `sys_job_log` VALUES (55423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:08:35');
INSERT INTO `sys_job_log` VALUES (55424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:08:40');
INSERT INTO `sys_job_log` VALUES (55425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:08:45');
INSERT INTO `sys_job_log` VALUES (55426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:08:45');
INSERT INTO `sys_job_log` VALUES (55427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:08:50');
INSERT INTO `sys_job_log` VALUES (55428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:08:55');
INSERT INTO `sys_job_log` VALUES (55429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 06:09:00');
INSERT INTO `sys_job_log` VALUES (55430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 06:09:00');
INSERT INTO `sys_job_log` VALUES (55431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:09:05');
INSERT INTO `sys_job_log` VALUES (55432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:09:10');
INSERT INTO `sys_job_log` VALUES (55433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:09:15');
INSERT INTO `sys_job_log` VALUES (55434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:09:15');
INSERT INTO `sys_job_log` VALUES (55435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:09:20');
INSERT INTO `sys_job_log` VALUES (55436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:09:25');
INSERT INTO `sys_job_log` VALUES (55437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:09:30');
INSERT INTO `sys_job_log` VALUES (55438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:09:30');
INSERT INTO `sys_job_log` VALUES (55439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:09:35');
INSERT INTO `sys_job_log` VALUES (55440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:09:40');
INSERT INTO `sys_job_log` VALUES (55441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:09:45');
INSERT INTO `sys_job_log` VALUES (55442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:09:45');
INSERT INTO `sys_job_log` VALUES (55443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:09:50');
INSERT INTO `sys_job_log` VALUES (55444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:09:55');
INSERT INTO `sys_job_log` VALUES (55445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:10:00');
INSERT INTO `sys_job_log` VALUES (55446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:10:00');
INSERT INTO `sys_job_log` VALUES (55447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:10:05');
INSERT INTO `sys_job_log` VALUES (55448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:10:10');
INSERT INTO `sys_job_log` VALUES (55449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:10:15');
INSERT INTO `sys_job_log` VALUES (55450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:10:15');
INSERT INTO `sys_job_log` VALUES (55451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:10:20');
INSERT INTO `sys_job_log` VALUES (55452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:10:25');
INSERT INTO `sys_job_log` VALUES (55453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:10:30');
INSERT INTO `sys_job_log` VALUES (55454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:10:30');
INSERT INTO `sys_job_log` VALUES (55455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:10:35');
INSERT INTO `sys_job_log` VALUES (55456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:10:40');
INSERT INTO `sys_job_log` VALUES (55457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:10:45');
INSERT INTO `sys_job_log` VALUES (55458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:10:45');
INSERT INTO `sys_job_log` VALUES (55459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:10:50');
INSERT INTO `sys_job_log` VALUES (55460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:10:55');
INSERT INTO `sys_job_log` VALUES (55461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 06:11:00');
INSERT INTO `sys_job_log` VALUES (55462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:11:00');
INSERT INTO `sys_job_log` VALUES (55463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:11:05');
INSERT INTO `sys_job_log` VALUES (55464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:11:10');
INSERT INTO `sys_job_log` VALUES (55465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:11:15');
INSERT INTO `sys_job_log` VALUES (55466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:11:15');
INSERT INTO `sys_job_log` VALUES (55467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:11:20');
INSERT INTO `sys_job_log` VALUES (55468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:11:25');
INSERT INTO `sys_job_log` VALUES (55469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:11:30');
INSERT INTO `sys_job_log` VALUES (55470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:11:30');
INSERT INTO `sys_job_log` VALUES (55471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:11:35');
INSERT INTO `sys_job_log` VALUES (55472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:11:40');
INSERT INTO `sys_job_log` VALUES (55473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:11:45');
INSERT INTO `sys_job_log` VALUES (55474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:11:45');
INSERT INTO `sys_job_log` VALUES (55475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:11:50');
INSERT INTO `sys_job_log` VALUES (55476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:11:55');
INSERT INTO `sys_job_log` VALUES (55477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:12:00');
INSERT INTO `sys_job_log` VALUES (55478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:12:00');
INSERT INTO `sys_job_log` VALUES (55479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:12:05');
INSERT INTO `sys_job_log` VALUES (55480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:12:10');
INSERT INTO `sys_job_log` VALUES (55481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:12:15');
INSERT INTO `sys_job_log` VALUES (55482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:12:15');
INSERT INTO `sys_job_log` VALUES (55483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:12:20');
INSERT INTO `sys_job_log` VALUES (55484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:12:25');
INSERT INTO `sys_job_log` VALUES (55485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:12:30');
INSERT INTO `sys_job_log` VALUES (55486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:12:30');
INSERT INTO `sys_job_log` VALUES (55487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:12:35');
INSERT INTO `sys_job_log` VALUES (55488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:12:40');
INSERT INTO `sys_job_log` VALUES (55489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:12:45');
INSERT INTO `sys_job_log` VALUES (55490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:12:45');
INSERT INTO `sys_job_log` VALUES (55491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:12:50');
INSERT INTO `sys_job_log` VALUES (55492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:12:55');
INSERT INTO `sys_job_log` VALUES (55493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:13:00');
INSERT INTO `sys_job_log` VALUES (55494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 06:13:00');
INSERT INTO `sys_job_log` VALUES (55495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:13:05');
INSERT INTO `sys_job_log` VALUES (55496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:13:10');
INSERT INTO `sys_job_log` VALUES (55497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:13:15');
INSERT INTO `sys_job_log` VALUES (55498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:13:15');
INSERT INTO `sys_job_log` VALUES (55499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:13:20');
INSERT INTO `sys_job_log` VALUES (55500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:13:25');
INSERT INTO `sys_job_log` VALUES (55501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:13:30');
INSERT INTO `sys_job_log` VALUES (55502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:13:30');
INSERT INTO `sys_job_log` VALUES (55503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:13:35');
INSERT INTO `sys_job_log` VALUES (55504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:13:40');
INSERT INTO `sys_job_log` VALUES (55505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:13:45');
INSERT INTO `sys_job_log` VALUES (55506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:13:45');
INSERT INTO `sys_job_log` VALUES (55507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:13:50');
INSERT INTO `sys_job_log` VALUES (55508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:13:55');
INSERT INTO `sys_job_log` VALUES (55509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:14:00');
INSERT INTO `sys_job_log` VALUES (55510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:14:00');
INSERT INTO `sys_job_log` VALUES (55511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:14:05');
INSERT INTO `sys_job_log` VALUES (55512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:14:10');
INSERT INTO `sys_job_log` VALUES (55513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:14:15');
INSERT INTO `sys_job_log` VALUES (55514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:14:15');
INSERT INTO `sys_job_log` VALUES (55515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:14:20');
INSERT INTO `sys_job_log` VALUES (55516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:14:25');
INSERT INTO `sys_job_log` VALUES (55517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:14:30');
INSERT INTO `sys_job_log` VALUES (55518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:14:30');
INSERT INTO `sys_job_log` VALUES (55519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:14:35');
INSERT INTO `sys_job_log` VALUES (55520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:14:40');
INSERT INTO `sys_job_log` VALUES (55521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:14:45');
INSERT INTO `sys_job_log` VALUES (55522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:14:45');
INSERT INTO `sys_job_log` VALUES (55523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:14:50');
INSERT INTO `sys_job_log` VALUES (55524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:14:55');
INSERT INTO `sys_job_log` VALUES (55525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:15:00');
INSERT INTO `sys_job_log` VALUES (55526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:15:00');
INSERT INTO `sys_job_log` VALUES (55527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:15:05');
INSERT INTO `sys_job_log` VALUES (55528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:15:10');
INSERT INTO `sys_job_log` VALUES (55529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:15:15');
INSERT INTO `sys_job_log` VALUES (55530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:15:15');
INSERT INTO `sys_job_log` VALUES (55531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:15:20');
INSERT INTO `sys_job_log` VALUES (55532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:15:25');
INSERT INTO `sys_job_log` VALUES (55533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:15:30');
INSERT INTO `sys_job_log` VALUES (55534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:15:30');
INSERT INTO `sys_job_log` VALUES (55535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 06:15:35');
INSERT INTO `sys_job_log` VALUES (55536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:15:40');
INSERT INTO `sys_job_log` VALUES (55537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:15:45');
INSERT INTO `sys_job_log` VALUES (55538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:15:45');
INSERT INTO `sys_job_log` VALUES (55539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:15:50');
INSERT INTO `sys_job_log` VALUES (55540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:15:55');
INSERT INTO `sys_job_log` VALUES (55541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:00');
INSERT INTO `sys_job_log` VALUES (55542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:00');
INSERT INTO `sys_job_log` VALUES (55543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:16:05');
INSERT INTO `sys_job_log` VALUES (55544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:16:10');
INSERT INTO `sys_job_log` VALUES (55545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:15');
INSERT INTO `sys_job_log` VALUES (55546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:16:15');
INSERT INTO `sys_job_log` VALUES (55547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:16:20');
INSERT INTO `sys_job_log` VALUES (55548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:16:25');
INSERT INTO `sys_job_log` VALUES (55549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:16:30');
INSERT INTO `sys_job_log` VALUES (55550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:30');
INSERT INTO `sys_job_log` VALUES (55551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:35');
INSERT INTO `sys_job_log` VALUES (55552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:16:40');
INSERT INTO `sys_job_log` VALUES (55553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:45');
INSERT INTO `sys_job_log` VALUES (55554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:16:45');
INSERT INTO `sys_job_log` VALUES (55555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:16:50');
INSERT INTO `sys_job_log` VALUES (55556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:16:55');
INSERT INTO `sys_job_log` VALUES (55557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:17:00');
INSERT INTO `sys_job_log` VALUES (55558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:17:00');
INSERT INTO `sys_job_log` VALUES (55559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:17:05');
INSERT INTO `sys_job_log` VALUES (55560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:17:10');
INSERT INTO `sys_job_log` VALUES (55561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:17:15');
INSERT INTO `sys_job_log` VALUES (55562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:17:15');
INSERT INTO `sys_job_log` VALUES (55563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:17:20');
INSERT INTO `sys_job_log` VALUES (55564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:17:25');
INSERT INTO `sys_job_log` VALUES (55565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:17:30');
INSERT INTO `sys_job_log` VALUES (55566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:17:30');
INSERT INTO `sys_job_log` VALUES (55567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:17:35');
INSERT INTO `sys_job_log` VALUES (55568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:17:40');
INSERT INTO `sys_job_log` VALUES (55569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:17:45');
INSERT INTO `sys_job_log` VALUES (55570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:17:45');
INSERT INTO `sys_job_log` VALUES (55571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:17:50');
INSERT INTO `sys_job_log` VALUES (55572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:17:55');
INSERT INTO `sys_job_log` VALUES (55573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:18:00');
INSERT INTO `sys_job_log` VALUES (55574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:18:00');
INSERT INTO `sys_job_log` VALUES (55575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:18:05');
INSERT INTO `sys_job_log` VALUES (55576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:18:10');
INSERT INTO `sys_job_log` VALUES (55577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:18:15');
INSERT INTO `sys_job_log` VALUES (55578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:18:15');
INSERT INTO `sys_job_log` VALUES (55579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:18:20');
INSERT INTO `sys_job_log` VALUES (55580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:18:25');
INSERT INTO `sys_job_log` VALUES (55581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:18:30');
INSERT INTO `sys_job_log` VALUES (55582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:18:30');
INSERT INTO `sys_job_log` VALUES (55583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:18:35');
INSERT INTO `sys_job_log` VALUES (55584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:18:40');
INSERT INTO `sys_job_log` VALUES (55585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:18:45');
INSERT INTO `sys_job_log` VALUES (55586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:18:45');
INSERT INTO `sys_job_log` VALUES (55587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:18:50');
INSERT INTO `sys_job_log` VALUES (55588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:18:55');
INSERT INTO `sys_job_log` VALUES (55589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:19:00');
INSERT INTO `sys_job_log` VALUES (55590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:19:00');
INSERT INTO `sys_job_log` VALUES (55591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:05');
INSERT INTO `sys_job_log` VALUES (55592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:19:10');
INSERT INTO `sys_job_log` VALUES (55593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:15');
INSERT INTO `sys_job_log` VALUES (55594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:15');
INSERT INTO `sys_job_log` VALUES (55595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:19:20');
INSERT INTO `sys_job_log` VALUES (55596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:25');
INSERT INTO `sys_job_log` VALUES (55597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:19:30');
INSERT INTO `sys_job_log` VALUES (55598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:19:30');
INSERT INTO `sys_job_log` VALUES (55599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:35');
INSERT INTO `sys_job_log` VALUES (55600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:19:40');
INSERT INTO `sys_job_log` VALUES (55601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:45');
INSERT INTO `sys_job_log` VALUES (55602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:19:45');
INSERT INTO `sys_job_log` VALUES (55603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:19:50');
INSERT INTO `sys_job_log` VALUES (55604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:19:55');
INSERT INTO `sys_job_log` VALUES (55605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:20:00');
INSERT INTO `sys_job_log` VALUES (55606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:20:00');
INSERT INTO `sys_job_log` VALUES (55607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:20:05');
INSERT INTO `sys_job_log` VALUES (55608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:20:10');
INSERT INTO `sys_job_log` VALUES (55609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:20:15');
INSERT INTO `sys_job_log` VALUES (55610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:20:15');
INSERT INTO `sys_job_log` VALUES (55611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:20:20');
INSERT INTO `sys_job_log` VALUES (55612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:20:25');
INSERT INTO `sys_job_log` VALUES (55613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:20:30');
INSERT INTO `sys_job_log` VALUES (55614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:20:30');
INSERT INTO `sys_job_log` VALUES (55615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:20:35');
INSERT INTO `sys_job_log` VALUES (55616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:20:40');
INSERT INTO `sys_job_log` VALUES (55617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:20:45');
INSERT INTO `sys_job_log` VALUES (55618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:20:45');
INSERT INTO `sys_job_log` VALUES (55619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:20:50');
INSERT INTO `sys_job_log` VALUES (55620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:20:55');
INSERT INTO `sys_job_log` VALUES (55621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 06:21:00');
INSERT INTO `sys_job_log` VALUES (55622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:21:00');
INSERT INTO `sys_job_log` VALUES (55623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:21:05');
INSERT INTO `sys_job_log` VALUES (55624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:21:10');
INSERT INTO `sys_job_log` VALUES (55625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:21:15');
INSERT INTO `sys_job_log` VALUES (55626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:21:15');
INSERT INTO `sys_job_log` VALUES (55627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:21:20');
INSERT INTO `sys_job_log` VALUES (55628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:21:25');
INSERT INTO `sys_job_log` VALUES (55629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:21:30');
INSERT INTO `sys_job_log` VALUES (55630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:21:30');
INSERT INTO `sys_job_log` VALUES (55631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:21:35');
INSERT INTO `sys_job_log` VALUES (55632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:21:40');
INSERT INTO `sys_job_log` VALUES (55633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:21:45');
INSERT INTO `sys_job_log` VALUES (55634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:21:45');
INSERT INTO `sys_job_log` VALUES (55635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:21:50');
INSERT INTO `sys_job_log` VALUES (55636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:21:55');
INSERT INTO `sys_job_log` VALUES (55637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:22:00');
INSERT INTO `sys_job_log` VALUES (55638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:22:00');
INSERT INTO `sys_job_log` VALUES (55639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:22:05');
INSERT INTO `sys_job_log` VALUES (55640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:22:10');
INSERT INTO `sys_job_log` VALUES (55641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:22:15');
INSERT INTO `sys_job_log` VALUES (55642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:22:15');
INSERT INTO `sys_job_log` VALUES (55643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:22:20');
INSERT INTO `sys_job_log` VALUES (55644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:22:25');
INSERT INTO `sys_job_log` VALUES (55645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:22:30');
INSERT INTO `sys_job_log` VALUES (55646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:22:30');
INSERT INTO `sys_job_log` VALUES (55647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:22:35');
INSERT INTO `sys_job_log` VALUES (55648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 06:22:40');
INSERT INTO `sys_job_log` VALUES (55649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:22:45');
INSERT INTO `sys_job_log` VALUES (55650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:22:45');
INSERT INTO `sys_job_log` VALUES (55651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 06:22:50');
INSERT INTO `sys_job_log` VALUES (55652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:22:55');
INSERT INTO `sys_job_log` VALUES (55653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:23:00');
INSERT INTO `sys_job_log` VALUES (55654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:23:00');
INSERT INTO `sys_job_log` VALUES (55655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:23:05');
INSERT INTO `sys_job_log` VALUES (55656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:23:10');
INSERT INTO `sys_job_log` VALUES (55657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:23:15');
INSERT INTO `sys_job_log` VALUES (55658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:23:15');
INSERT INTO `sys_job_log` VALUES (55659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:23:20');
INSERT INTO `sys_job_log` VALUES (55660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:23:25');
INSERT INTO `sys_job_log` VALUES (55661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:23:30');
INSERT INTO `sys_job_log` VALUES (55662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:23:30');
INSERT INTO `sys_job_log` VALUES (55663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:23:35');
INSERT INTO `sys_job_log` VALUES (55664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:23:40');
INSERT INTO `sys_job_log` VALUES (55665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:23:45');
INSERT INTO `sys_job_log` VALUES (55666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:23:45');
INSERT INTO `sys_job_log` VALUES (55667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:23:50');
INSERT INTO `sys_job_log` VALUES (55668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:23:55');
INSERT INTO `sys_job_log` VALUES (55669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:24:00');
INSERT INTO `sys_job_log` VALUES (55670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:24:00');
INSERT INTO `sys_job_log` VALUES (55671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:24:05');
INSERT INTO `sys_job_log` VALUES (55672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:24:10');
INSERT INTO `sys_job_log` VALUES (55673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:24:15');
INSERT INTO `sys_job_log` VALUES (55674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:24:15');
INSERT INTO `sys_job_log` VALUES (55675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:24:20');
INSERT INTO `sys_job_log` VALUES (55676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:24:25');
INSERT INTO `sys_job_log` VALUES (55677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:24:30');
INSERT INTO `sys_job_log` VALUES (55678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:24:30');
INSERT INTO `sys_job_log` VALUES (55679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:24:35');
INSERT INTO `sys_job_log` VALUES (55680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:24:40');
INSERT INTO `sys_job_log` VALUES (55681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:24:45');
INSERT INTO `sys_job_log` VALUES (55682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:24:45');
INSERT INTO `sys_job_log` VALUES (55683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:24:50');
INSERT INTO `sys_job_log` VALUES (55684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:24:55');
INSERT INTO `sys_job_log` VALUES (55685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:25:00');
INSERT INTO `sys_job_log` VALUES (55686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:25:00');
INSERT INTO `sys_job_log` VALUES (55687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:25:05');
INSERT INTO `sys_job_log` VALUES (55688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:25:10');
INSERT INTO `sys_job_log` VALUES (55689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:25:15');
INSERT INTO `sys_job_log` VALUES (55690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:25:15');
INSERT INTO `sys_job_log` VALUES (55691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:25:20');
INSERT INTO `sys_job_log` VALUES (55692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:25:25');
INSERT INTO `sys_job_log` VALUES (55693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:25:30');
INSERT INTO `sys_job_log` VALUES (55694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:25:30');
INSERT INTO `sys_job_log` VALUES (55695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:25:35');
INSERT INTO `sys_job_log` VALUES (55696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:25:40');
INSERT INTO `sys_job_log` VALUES (55697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:25:45');
INSERT INTO `sys_job_log` VALUES (55698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:25:45');
INSERT INTO `sys_job_log` VALUES (55699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:25:50');
INSERT INTO `sys_job_log` VALUES (55700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:25:55');
INSERT INTO `sys_job_log` VALUES (55701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:26:00');
INSERT INTO `sys_job_log` VALUES (55702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:26:00');
INSERT INTO `sys_job_log` VALUES (55703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:26:05');
INSERT INTO `sys_job_log` VALUES (55704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1232毫秒', '0', '', '2025-01-02 06:26:11');
INSERT INTO `sys_job_log` VALUES (55705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:26:15');
INSERT INTO `sys_job_log` VALUES (55706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:26:15');
INSERT INTO `sys_job_log` VALUES (55707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:26:20');
INSERT INTO `sys_job_log` VALUES (55708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:26:25');
INSERT INTO `sys_job_log` VALUES (55709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:26:30');
INSERT INTO `sys_job_log` VALUES (55710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:26:30');
INSERT INTO `sys_job_log` VALUES (55711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:26:35');
INSERT INTO `sys_job_log` VALUES (55712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:26:40');
INSERT INTO `sys_job_log` VALUES (55713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:26:45');
INSERT INTO `sys_job_log` VALUES (55714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:26:45');
INSERT INTO `sys_job_log` VALUES (55715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:26:50');
INSERT INTO `sys_job_log` VALUES (55716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:26:55');
INSERT INTO `sys_job_log` VALUES (55717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:27:00');
INSERT INTO `sys_job_log` VALUES (55718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:27:00');
INSERT INTO `sys_job_log` VALUES (55719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:27:05');
INSERT INTO `sys_job_log` VALUES (55720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:27:10');
INSERT INTO `sys_job_log` VALUES (55721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:27:15');
INSERT INTO `sys_job_log` VALUES (55722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:27:15');
INSERT INTO `sys_job_log` VALUES (55723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:27:20');
INSERT INTO `sys_job_log` VALUES (55724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:27:25');
INSERT INTO `sys_job_log` VALUES (55725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:27:30');
INSERT INTO `sys_job_log` VALUES (55726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:27:30');
INSERT INTO `sys_job_log` VALUES (55727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:27:35');
INSERT INTO `sys_job_log` VALUES (55728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:27:40');
INSERT INTO `sys_job_log` VALUES (55729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:27:45');
INSERT INTO `sys_job_log` VALUES (55730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:27:45');
INSERT INTO `sys_job_log` VALUES (55731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:27:50');
INSERT INTO `sys_job_log` VALUES (55732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:27:55');
INSERT INTO `sys_job_log` VALUES (55733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:28:00');
INSERT INTO `sys_job_log` VALUES (55734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:28:00');
INSERT INTO `sys_job_log` VALUES (55735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:28:05');
INSERT INTO `sys_job_log` VALUES (55736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:28:10');
INSERT INTO `sys_job_log` VALUES (55737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:28:15');
INSERT INTO `sys_job_log` VALUES (55738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:28:15');
INSERT INTO `sys_job_log` VALUES (55739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:28:20');
INSERT INTO `sys_job_log` VALUES (55740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:28:25');
INSERT INTO `sys_job_log` VALUES (55741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 06:28:30');
INSERT INTO `sys_job_log` VALUES (55742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:28:30');
INSERT INTO `sys_job_log` VALUES (55743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:28:35');
INSERT INTO `sys_job_log` VALUES (55744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:28:40');
INSERT INTO `sys_job_log` VALUES (55745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:28:45');
INSERT INTO `sys_job_log` VALUES (55746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:28:45');
INSERT INTO `sys_job_log` VALUES (55747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 06:28:50');
INSERT INTO `sys_job_log` VALUES (55748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:28:55');
INSERT INTO `sys_job_log` VALUES (55749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:29:00');
INSERT INTO `sys_job_log` VALUES (55750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:29:00');
INSERT INTO `sys_job_log` VALUES (55751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:29:05');
INSERT INTO `sys_job_log` VALUES (55752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:29:10');
INSERT INTO `sys_job_log` VALUES (55753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:29:15');
INSERT INTO `sys_job_log` VALUES (55754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:29:15');
INSERT INTO `sys_job_log` VALUES (55755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:29:20');
INSERT INTO `sys_job_log` VALUES (55756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:29:25');
INSERT INTO `sys_job_log` VALUES (55757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:29:30');
INSERT INTO `sys_job_log` VALUES (55758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:29:30');
INSERT INTO `sys_job_log` VALUES (55759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:29:35');
INSERT INTO `sys_job_log` VALUES (55760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:29:40');
INSERT INTO `sys_job_log` VALUES (55761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:29:45');
INSERT INTO `sys_job_log` VALUES (55762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:29:45');
INSERT INTO `sys_job_log` VALUES (55763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:29:50');
INSERT INTO `sys_job_log` VALUES (55764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:29:55');
INSERT INTO `sys_job_log` VALUES (55765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:30:00');
INSERT INTO `sys_job_log` VALUES (55766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:30:00');
INSERT INTO `sys_job_log` VALUES (55767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:30:05');
INSERT INTO `sys_job_log` VALUES (55768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:30:10');
INSERT INTO `sys_job_log` VALUES (55769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:30:15');
INSERT INTO `sys_job_log` VALUES (55770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:30:15');
INSERT INTO `sys_job_log` VALUES (55771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:30:20');
INSERT INTO `sys_job_log` VALUES (55772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:30:25');
INSERT INTO `sys_job_log` VALUES (55773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:30:30');
INSERT INTO `sys_job_log` VALUES (55774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:30:30');
INSERT INTO `sys_job_log` VALUES (55775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:30:35');
INSERT INTO `sys_job_log` VALUES (55776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:30:40');
INSERT INTO `sys_job_log` VALUES (55777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:30:45');
INSERT INTO `sys_job_log` VALUES (55778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:30:45');
INSERT INTO `sys_job_log` VALUES (55779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:30:50');
INSERT INTO `sys_job_log` VALUES (55780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:30:55');
INSERT INTO `sys_job_log` VALUES (55781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:31:00');
INSERT INTO `sys_job_log` VALUES (55782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:31:00');
INSERT INTO `sys_job_log` VALUES (55783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 06:31:05');
INSERT INTO `sys_job_log` VALUES (55784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:31:10');
INSERT INTO `sys_job_log` VALUES (55785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:31:15');
INSERT INTO `sys_job_log` VALUES (55786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:31:15');
INSERT INTO `sys_job_log` VALUES (55787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:31:20');
INSERT INTO `sys_job_log` VALUES (55788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:31:25');
INSERT INTO `sys_job_log` VALUES (55789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:31:30');
INSERT INTO `sys_job_log` VALUES (55790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:31:30');
INSERT INTO `sys_job_log` VALUES (55791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:31:35');
INSERT INTO `sys_job_log` VALUES (55792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:31:40');
INSERT INTO `sys_job_log` VALUES (55793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:31:45');
INSERT INTO `sys_job_log` VALUES (55794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:31:45');
INSERT INTO `sys_job_log` VALUES (55795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:31:50');
INSERT INTO `sys_job_log` VALUES (55796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 06:31:55');
INSERT INTO `sys_job_log` VALUES (55797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:32:00');
INSERT INTO `sys_job_log` VALUES (55798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:32:00');
INSERT INTO `sys_job_log` VALUES (55799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:32:05');
INSERT INTO `sys_job_log` VALUES (55800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:32:10');
INSERT INTO `sys_job_log` VALUES (55801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:32:15');
INSERT INTO `sys_job_log` VALUES (55802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:32:15');
INSERT INTO `sys_job_log` VALUES (55803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:32:20');
INSERT INTO `sys_job_log` VALUES (55804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:32:25');
INSERT INTO `sys_job_log` VALUES (55805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:32:30');
INSERT INTO `sys_job_log` VALUES (55806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:32:30');
INSERT INTO `sys_job_log` VALUES (55807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:32:35');
INSERT INTO `sys_job_log` VALUES (55808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:32:40');
INSERT INTO `sys_job_log` VALUES (55809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:32:45');
INSERT INTO `sys_job_log` VALUES (55810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:32:45');
INSERT INTO `sys_job_log` VALUES (55811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:32:50');
INSERT INTO `sys_job_log` VALUES (55812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:32:55');
INSERT INTO `sys_job_log` VALUES (55813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:33:00');
INSERT INTO `sys_job_log` VALUES (55814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:33:00');
INSERT INTO `sys_job_log` VALUES (55815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:33:05');
INSERT INTO `sys_job_log` VALUES (55816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:33:10');
INSERT INTO `sys_job_log` VALUES (55817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:33:15');
INSERT INTO `sys_job_log` VALUES (55818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:33:15');
INSERT INTO `sys_job_log` VALUES (55819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:33:20');
INSERT INTO `sys_job_log` VALUES (55820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:33:25');
INSERT INTO `sys_job_log` VALUES (55821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:33:30');
INSERT INTO `sys_job_log` VALUES (55822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:33:30');
INSERT INTO `sys_job_log` VALUES (55823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:33:35');
INSERT INTO `sys_job_log` VALUES (55824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:33:40');
INSERT INTO `sys_job_log` VALUES (55825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:33:45');
INSERT INTO `sys_job_log` VALUES (55826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:33:45');
INSERT INTO `sys_job_log` VALUES (55827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:33:50');
INSERT INTO `sys_job_log` VALUES (55828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:33:55');
INSERT INTO `sys_job_log` VALUES (55829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:34:00');
INSERT INTO `sys_job_log` VALUES (55830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:34:00');
INSERT INTO `sys_job_log` VALUES (55831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:34:05');
INSERT INTO `sys_job_log` VALUES (55832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:34:10');
INSERT INTO `sys_job_log` VALUES (55833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:34:15');
INSERT INTO `sys_job_log` VALUES (55834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:34:15');
INSERT INTO `sys_job_log` VALUES (55835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:34:20');
INSERT INTO `sys_job_log` VALUES (55836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:34:25');
INSERT INTO `sys_job_log` VALUES (55837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:34:30');
INSERT INTO `sys_job_log` VALUES (55838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:34:30');
INSERT INTO `sys_job_log` VALUES (55839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:34:35');
INSERT INTO `sys_job_log` VALUES (55840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:34:40');
INSERT INTO `sys_job_log` VALUES (55841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:34:45');
INSERT INTO `sys_job_log` VALUES (55842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:34:45');
INSERT INTO `sys_job_log` VALUES (55843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:34:50');
INSERT INTO `sys_job_log` VALUES (55844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:34:55');
INSERT INTO `sys_job_log` VALUES (55845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:35:00');
INSERT INTO `sys_job_log` VALUES (55846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:35:00');
INSERT INTO `sys_job_log` VALUES (55847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:35:05');
INSERT INTO `sys_job_log` VALUES (55848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:35:10');
INSERT INTO `sys_job_log` VALUES (55849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:35:15');
INSERT INTO `sys_job_log` VALUES (55850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:35:15');
INSERT INTO `sys_job_log` VALUES (55851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:35:20');
INSERT INTO `sys_job_log` VALUES (55852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 06:35:25');
INSERT INTO `sys_job_log` VALUES (55853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:35:30');
INSERT INTO `sys_job_log` VALUES (55854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:35:30');
INSERT INTO `sys_job_log` VALUES (55855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:35:35');
INSERT INTO `sys_job_log` VALUES (55856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:35:40');
INSERT INTO `sys_job_log` VALUES (55857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:35:45');
INSERT INTO `sys_job_log` VALUES (55858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:35:45');
INSERT INTO `sys_job_log` VALUES (55859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:35:50');
INSERT INTO `sys_job_log` VALUES (55860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:35:55');
INSERT INTO `sys_job_log` VALUES (55861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:36:00');
INSERT INTO `sys_job_log` VALUES (55862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:36:00');
INSERT INTO `sys_job_log` VALUES (55863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:36:05');
INSERT INTO `sys_job_log` VALUES (55864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:36:10');
INSERT INTO `sys_job_log` VALUES (55865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:36:15');
INSERT INTO `sys_job_log` VALUES (55866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:36:15');
INSERT INTO `sys_job_log` VALUES (55867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:36:20');
INSERT INTO `sys_job_log` VALUES (55868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:36:25');
INSERT INTO `sys_job_log` VALUES (55869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:36:30');
INSERT INTO `sys_job_log` VALUES (55870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:36:30');
INSERT INTO `sys_job_log` VALUES (55871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:36:35');
INSERT INTO `sys_job_log` VALUES (55872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:36:40');
INSERT INTO `sys_job_log` VALUES (55873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:36:45');
INSERT INTO `sys_job_log` VALUES (55874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:36:45');
INSERT INTO `sys_job_log` VALUES (55875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:36:50');
INSERT INTO `sys_job_log` VALUES (55876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:36:55');
INSERT INTO `sys_job_log` VALUES (55877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:37:00');
INSERT INTO `sys_job_log` VALUES (55878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:37:00');
INSERT INTO `sys_job_log` VALUES (55879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:37:05');
INSERT INTO `sys_job_log` VALUES (55880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:37:10');
INSERT INTO `sys_job_log` VALUES (55881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:37:15');
INSERT INTO `sys_job_log` VALUES (55882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:37:15');
INSERT INTO `sys_job_log` VALUES (55883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:37:20');
INSERT INTO `sys_job_log` VALUES (55884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:37:25');
INSERT INTO `sys_job_log` VALUES (55885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:37:30');
INSERT INTO `sys_job_log` VALUES (55886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:37:30');
INSERT INTO `sys_job_log` VALUES (55887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:37:35');
INSERT INTO `sys_job_log` VALUES (55888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:37:40');
INSERT INTO `sys_job_log` VALUES (55889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:37:45');
INSERT INTO `sys_job_log` VALUES (55890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:37:45');
INSERT INTO `sys_job_log` VALUES (55891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:37:50');
INSERT INTO `sys_job_log` VALUES (55892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:37:55');
INSERT INTO `sys_job_log` VALUES (55893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:38:00');
INSERT INTO `sys_job_log` VALUES (55894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:38:00');
INSERT INTO `sys_job_log` VALUES (55895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:38:05');
INSERT INTO `sys_job_log` VALUES (55896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:38:10');
INSERT INTO `sys_job_log` VALUES (55897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:38:15');
INSERT INTO `sys_job_log` VALUES (55898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 06:38:15');
INSERT INTO `sys_job_log` VALUES (55899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:38:20');
INSERT INTO `sys_job_log` VALUES (55900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:38:25');
INSERT INTO `sys_job_log` VALUES (55901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:38:30');
INSERT INTO `sys_job_log` VALUES (55902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:38:30');
INSERT INTO `sys_job_log` VALUES (55903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:38:35');
INSERT INTO `sys_job_log` VALUES (55904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:38:40');
INSERT INTO `sys_job_log` VALUES (55905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:38:45');
INSERT INTO `sys_job_log` VALUES (55906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:38:45');
INSERT INTO `sys_job_log` VALUES (55907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:38:50');
INSERT INTO `sys_job_log` VALUES (55908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:38:55');
INSERT INTO `sys_job_log` VALUES (55909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:39:00');
INSERT INTO `sys_job_log` VALUES (55910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:39:00');
INSERT INTO `sys_job_log` VALUES (55911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:39:05');
INSERT INTO `sys_job_log` VALUES (55912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:39:10');
INSERT INTO `sys_job_log` VALUES (55913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:39:15');
INSERT INTO `sys_job_log` VALUES (55914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:39:15');
INSERT INTO `sys_job_log` VALUES (55915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:39:20');
INSERT INTO `sys_job_log` VALUES (55916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:39:25');
INSERT INTO `sys_job_log` VALUES (55917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:39:30');
INSERT INTO `sys_job_log` VALUES (55918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:39:30');
INSERT INTO `sys_job_log` VALUES (55919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:39:35');
INSERT INTO `sys_job_log` VALUES (55920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:39:40');
INSERT INTO `sys_job_log` VALUES (55921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:39:45');
INSERT INTO `sys_job_log` VALUES (55922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:39:45');
INSERT INTO `sys_job_log` VALUES (55923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:39:50');
INSERT INTO `sys_job_log` VALUES (55924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:39:55');
INSERT INTO `sys_job_log` VALUES (55925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:40:00');
INSERT INTO `sys_job_log` VALUES (55926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:40:00');
INSERT INTO `sys_job_log` VALUES (55927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:40:05');
INSERT INTO `sys_job_log` VALUES (55928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:40:10');
INSERT INTO `sys_job_log` VALUES (55929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:40:15');
INSERT INTO `sys_job_log` VALUES (55930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 06:40:15');
INSERT INTO `sys_job_log` VALUES (55931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:40:20');
INSERT INTO `sys_job_log` VALUES (55932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:40:25');
INSERT INTO `sys_job_log` VALUES (55933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:40:30');
INSERT INTO `sys_job_log` VALUES (55934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:40:30');
INSERT INTO `sys_job_log` VALUES (55935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:40:35');
INSERT INTO `sys_job_log` VALUES (55936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:40:40');
INSERT INTO `sys_job_log` VALUES (55937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:40:45');
INSERT INTO `sys_job_log` VALUES (55938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:40:45');
INSERT INTO `sys_job_log` VALUES (55939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:40:50');
INSERT INTO `sys_job_log` VALUES (55940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:40:55');
INSERT INTO `sys_job_log` VALUES (55941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:41:00');
INSERT INTO `sys_job_log` VALUES (55942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:41:00');
INSERT INTO `sys_job_log` VALUES (55943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:41:05');
INSERT INTO `sys_job_log` VALUES (55944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:41:10');
INSERT INTO `sys_job_log` VALUES (55945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:41:15');
INSERT INTO `sys_job_log` VALUES (55946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:41:15');
INSERT INTO `sys_job_log` VALUES (55947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:41:20');
INSERT INTO `sys_job_log` VALUES (55948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:41:25');
INSERT INTO `sys_job_log` VALUES (55949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:41:30');
INSERT INTO `sys_job_log` VALUES (55950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:41:30');
INSERT INTO `sys_job_log` VALUES (55951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:41:35');
INSERT INTO `sys_job_log` VALUES (55952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:41:40');
INSERT INTO `sys_job_log` VALUES (55953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:41:45');
INSERT INTO `sys_job_log` VALUES (55954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:41:45');
INSERT INTO `sys_job_log` VALUES (55955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:41:50');
INSERT INTO `sys_job_log` VALUES (55956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:41:55');
INSERT INTO `sys_job_log` VALUES (55957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:42:00');
INSERT INTO `sys_job_log` VALUES (55958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:42:00');
INSERT INTO `sys_job_log` VALUES (55959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:42:05');
INSERT INTO `sys_job_log` VALUES (55960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:42:10');
INSERT INTO `sys_job_log` VALUES (55961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:42:15');
INSERT INTO `sys_job_log` VALUES (55962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:42:15');
INSERT INTO `sys_job_log` VALUES (55963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:42:20');
INSERT INTO `sys_job_log` VALUES (55964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:42:25');
INSERT INTO `sys_job_log` VALUES (55965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:42:30');
INSERT INTO `sys_job_log` VALUES (55966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:42:30');
INSERT INTO `sys_job_log` VALUES (55967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:42:35');
INSERT INTO `sys_job_log` VALUES (55968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:42:40');
INSERT INTO `sys_job_log` VALUES (55969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:42:45');
INSERT INTO `sys_job_log` VALUES (55970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:42:45');
INSERT INTO `sys_job_log` VALUES (55971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:42:50');
INSERT INTO `sys_job_log` VALUES (55972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:42:55');
INSERT INTO `sys_job_log` VALUES (55973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:43:00');
INSERT INTO `sys_job_log` VALUES (55974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:43:00');
INSERT INTO `sys_job_log` VALUES (55975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:43:05');
INSERT INTO `sys_job_log` VALUES (55976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:43:10');
INSERT INTO `sys_job_log` VALUES (55977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:43:15');
INSERT INTO `sys_job_log` VALUES (55978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:43:15');
INSERT INTO `sys_job_log` VALUES (55979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:43:20');
INSERT INTO `sys_job_log` VALUES (55980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:43:25');
INSERT INTO `sys_job_log` VALUES (55981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:43:30');
INSERT INTO `sys_job_log` VALUES (55982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:43:30');
INSERT INTO `sys_job_log` VALUES (55983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:43:35');
INSERT INTO `sys_job_log` VALUES (55984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:43:40');
INSERT INTO `sys_job_log` VALUES (55985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:43:45');
INSERT INTO `sys_job_log` VALUES (55986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:43:45');
INSERT INTO `sys_job_log` VALUES (55987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:43:50');
INSERT INTO `sys_job_log` VALUES (55988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:43:55');
INSERT INTO `sys_job_log` VALUES (55989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:44:00');
INSERT INTO `sys_job_log` VALUES (55990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:44:00');
INSERT INTO `sys_job_log` VALUES (55991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:44:05');
INSERT INTO `sys_job_log` VALUES (55992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:44:10');
INSERT INTO `sys_job_log` VALUES (55993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:44:15');
INSERT INTO `sys_job_log` VALUES (55994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:44:15');
INSERT INTO `sys_job_log` VALUES (55995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:44:20');
INSERT INTO `sys_job_log` VALUES (55996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:44:25');
INSERT INTO `sys_job_log` VALUES (55997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:44:30');
INSERT INTO `sys_job_log` VALUES (55998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:44:30');
INSERT INTO `sys_job_log` VALUES (55999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:44:35');
INSERT INTO `sys_job_log` VALUES (56000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:44:40');
INSERT INTO `sys_job_log` VALUES (56001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:44:45');
INSERT INTO `sys_job_log` VALUES (56002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 06:44:45');
INSERT INTO `sys_job_log` VALUES (56003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:44:50');
INSERT INTO `sys_job_log` VALUES (56004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:44:55');
INSERT INTO `sys_job_log` VALUES (56005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:45:00');
INSERT INTO `sys_job_log` VALUES (56006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:45:00');
INSERT INTO `sys_job_log` VALUES (56007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:45:05');
INSERT INTO `sys_job_log` VALUES (56008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:45:10');
INSERT INTO `sys_job_log` VALUES (56009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:45:15');
INSERT INTO `sys_job_log` VALUES (56010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:45:15');
INSERT INTO `sys_job_log` VALUES (56011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:45:20');
INSERT INTO `sys_job_log` VALUES (56012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:45:25');
INSERT INTO `sys_job_log` VALUES (56013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:45:30');
INSERT INTO `sys_job_log` VALUES (56014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:45:30');
INSERT INTO `sys_job_log` VALUES (56015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:45:35');
INSERT INTO `sys_job_log` VALUES (56016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:45:40');
INSERT INTO `sys_job_log` VALUES (56017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:45:45');
INSERT INTO `sys_job_log` VALUES (56018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:45:45');
INSERT INTO `sys_job_log` VALUES (56019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:45:50');
INSERT INTO `sys_job_log` VALUES (56020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:45:55');
INSERT INTO `sys_job_log` VALUES (56021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 06:46:00');
INSERT INTO `sys_job_log` VALUES (56022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 06:46:00');
INSERT INTO `sys_job_log` VALUES (56023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:46:05');
INSERT INTO `sys_job_log` VALUES (56024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:46:10');
INSERT INTO `sys_job_log` VALUES (56025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:46:15');
INSERT INTO `sys_job_log` VALUES (56026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:46:15');
INSERT INTO `sys_job_log` VALUES (56027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:46:20');
INSERT INTO `sys_job_log` VALUES (56028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:46:25');
INSERT INTO `sys_job_log` VALUES (56029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:46:30');
INSERT INTO `sys_job_log` VALUES (56030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:46:30');
INSERT INTO `sys_job_log` VALUES (56031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:46:35');
INSERT INTO `sys_job_log` VALUES (56032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:46:40');
INSERT INTO `sys_job_log` VALUES (56033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:46:45');
INSERT INTO `sys_job_log` VALUES (56034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:46:45');
INSERT INTO `sys_job_log` VALUES (56035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:46:50');
INSERT INTO `sys_job_log` VALUES (56036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:46:55');
INSERT INTO `sys_job_log` VALUES (56037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:47:00');
INSERT INTO `sys_job_log` VALUES (56038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:47:00');
INSERT INTO `sys_job_log` VALUES (56039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:47:05');
INSERT INTO `sys_job_log` VALUES (56040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:47:10');
INSERT INTO `sys_job_log` VALUES (56041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:47:15');
INSERT INTO `sys_job_log` VALUES (56042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:47:15');
INSERT INTO `sys_job_log` VALUES (56043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:47:20');
INSERT INTO `sys_job_log` VALUES (56044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:47:25');
INSERT INTO `sys_job_log` VALUES (56045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:47:30');
INSERT INTO `sys_job_log` VALUES (56046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 06:47:30');
INSERT INTO `sys_job_log` VALUES (56047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:47:35');
INSERT INTO `sys_job_log` VALUES (56048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:47:40');
INSERT INTO `sys_job_log` VALUES (56049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:47:45');
INSERT INTO `sys_job_log` VALUES (56050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:47:45');
INSERT INTO `sys_job_log` VALUES (56051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:47:50');
INSERT INTO `sys_job_log` VALUES (56052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:47:55');
INSERT INTO `sys_job_log` VALUES (56053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 06:48:00');
INSERT INTO `sys_job_log` VALUES (56054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 06:48:00');
INSERT INTO `sys_job_log` VALUES (56055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:48:05');
INSERT INTO `sys_job_log` VALUES (56056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:48:10');
INSERT INTO `sys_job_log` VALUES (56057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:48:15');
INSERT INTO `sys_job_log` VALUES (56058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:48:15');
INSERT INTO `sys_job_log` VALUES (56059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:48:20');
INSERT INTO `sys_job_log` VALUES (56060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:48:25');
INSERT INTO `sys_job_log` VALUES (56061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:48:30');
INSERT INTO `sys_job_log` VALUES (56062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:48:30');
INSERT INTO `sys_job_log` VALUES (56063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:48:35');
INSERT INTO `sys_job_log` VALUES (56064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:48:40');
INSERT INTO `sys_job_log` VALUES (56065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:48:45');
INSERT INTO `sys_job_log` VALUES (56066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 06:48:45');
INSERT INTO `sys_job_log` VALUES (56067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:48:50');
INSERT INTO `sys_job_log` VALUES (56068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:48:55');
INSERT INTO `sys_job_log` VALUES (56069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：174毫秒', '0', '', '2025-01-02 06:49:00');
INSERT INTO `sys_job_log` VALUES (56070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：175毫秒', '0', '', '2025-01-02 06:49:00');
INSERT INTO `sys_job_log` VALUES (56071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:49:05');
INSERT INTO `sys_job_log` VALUES (56072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:49:10');
INSERT INTO `sys_job_log` VALUES (56073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:49:15');
INSERT INTO `sys_job_log` VALUES (56074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:49:15');
INSERT INTO `sys_job_log` VALUES (56075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:49:20');
INSERT INTO `sys_job_log` VALUES (56076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:49:25');
INSERT INTO `sys_job_log` VALUES (56077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:49:30');
INSERT INTO `sys_job_log` VALUES (56078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:49:30');
INSERT INTO `sys_job_log` VALUES (56079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:49:35');
INSERT INTO `sys_job_log` VALUES (56080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:49:40');
INSERT INTO `sys_job_log` VALUES (56081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:49:45');
INSERT INTO `sys_job_log` VALUES (56082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:49:45');
INSERT INTO `sys_job_log` VALUES (56083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:49:50');
INSERT INTO `sys_job_log` VALUES (56084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:49:55');
INSERT INTO `sys_job_log` VALUES (56085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:50:00');
INSERT INTO `sys_job_log` VALUES (56086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:50:00');
INSERT INTO `sys_job_log` VALUES (56087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:50:05');
INSERT INTO `sys_job_log` VALUES (56088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:50:10');
INSERT INTO `sys_job_log` VALUES (56089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:50:15');
INSERT INTO `sys_job_log` VALUES (56090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:50:15');
INSERT INTO `sys_job_log` VALUES (56091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:50:20');
INSERT INTO `sys_job_log` VALUES (56092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:50:25');
INSERT INTO `sys_job_log` VALUES (56093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:50:30');
INSERT INTO `sys_job_log` VALUES (56094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:50:30');
INSERT INTO `sys_job_log` VALUES (56095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 06:50:35');
INSERT INTO `sys_job_log` VALUES (56096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:50:40');
INSERT INTO `sys_job_log` VALUES (56097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:50:45');
INSERT INTO `sys_job_log` VALUES (56098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:50:45');
INSERT INTO `sys_job_log` VALUES (56099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:50:50');
INSERT INTO `sys_job_log` VALUES (56100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:50:55');
INSERT INTO `sys_job_log` VALUES (56101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:51:00');
INSERT INTO `sys_job_log` VALUES (56102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:51:00');
INSERT INTO `sys_job_log` VALUES (56103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:51:05');
INSERT INTO `sys_job_log` VALUES (56104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:51:10');
INSERT INTO `sys_job_log` VALUES (56105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:51:15');
INSERT INTO `sys_job_log` VALUES (56106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:51:15');
INSERT INTO `sys_job_log` VALUES (56107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:51:20');
INSERT INTO `sys_job_log` VALUES (56108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:51:25');
INSERT INTO `sys_job_log` VALUES (56109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:51:30');
INSERT INTO `sys_job_log` VALUES (56110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:51:30');
INSERT INTO `sys_job_log` VALUES (56111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:51:35');
INSERT INTO `sys_job_log` VALUES (56112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:51:40');
INSERT INTO `sys_job_log` VALUES (56113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:51:45');
INSERT INTO `sys_job_log` VALUES (56114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:51:45');
INSERT INTO `sys_job_log` VALUES (56115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:51:50');
INSERT INTO `sys_job_log` VALUES (56116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:51:55');
INSERT INTO `sys_job_log` VALUES (56117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:52:00');
INSERT INTO `sys_job_log` VALUES (56118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:52:00');
INSERT INTO `sys_job_log` VALUES (56119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:52:05');
INSERT INTO `sys_job_log` VALUES (56120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:52:10');
INSERT INTO `sys_job_log` VALUES (56121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:52:15');
INSERT INTO `sys_job_log` VALUES (56122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:52:15');
INSERT INTO `sys_job_log` VALUES (56123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:52:20');
INSERT INTO `sys_job_log` VALUES (56124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:52:25');
INSERT INTO `sys_job_log` VALUES (56125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:52:30');
INSERT INTO `sys_job_log` VALUES (56126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:52:30');
INSERT INTO `sys_job_log` VALUES (56127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:52:35');
INSERT INTO `sys_job_log` VALUES (56128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:52:40');
INSERT INTO `sys_job_log` VALUES (56129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:52:45');
INSERT INTO `sys_job_log` VALUES (56130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:52:45');
INSERT INTO `sys_job_log` VALUES (56131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:52:50');
INSERT INTO `sys_job_log` VALUES (56132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:52:55');
INSERT INTO `sys_job_log` VALUES (56133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:53:00');
INSERT INTO `sys_job_log` VALUES (56134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:53:00');
INSERT INTO `sys_job_log` VALUES (56135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:53:05');
INSERT INTO `sys_job_log` VALUES (56136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:53:10');
INSERT INTO `sys_job_log` VALUES (56137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:53:15');
INSERT INTO `sys_job_log` VALUES (56138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:53:15');
INSERT INTO `sys_job_log` VALUES (56139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:53:20');
INSERT INTO `sys_job_log` VALUES (56140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:53:25');
INSERT INTO `sys_job_log` VALUES (56141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:53:30');
INSERT INTO `sys_job_log` VALUES (56142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:53:30');
INSERT INTO `sys_job_log` VALUES (56143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:53:35');
INSERT INTO `sys_job_log` VALUES (56144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:53:40');
INSERT INTO `sys_job_log` VALUES (56145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:53:45');
INSERT INTO `sys_job_log` VALUES (56146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:53:45');
INSERT INTO `sys_job_log` VALUES (56147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:53:50');
INSERT INTO `sys_job_log` VALUES (56148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:53:55');
INSERT INTO `sys_job_log` VALUES (56149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:54:00');
INSERT INTO `sys_job_log` VALUES (56150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:54:00');
INSERT INTO `sys_job_log` VALUES (56151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:54:05');
INSERT INTO `sys_job_log` VALUES (56152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:54:10');
INSERT INTO `sys_job_log` VALUES (56153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:54:15');
INSERT INTO `sys_job_log` VALUES (56154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:54:15');
INSERT INTO `sys_job_log` VALUES (56155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:54:20');
INSERT INTO `sys_job_log` VALUES (56156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:54:25');
INSERT INTO `sys_job_log` VALUES (56157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:54:30');
INSERT INTO `sys_job_log` VALUES (56158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:54:30');
INSERT INTO `sys_job_log` VALUES (56159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:54:35');
INSERT INTO `sys_job_log` VALUES (56160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:54:40');
INSERT INTO `sys_job_log` VALUES (56161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:54:45');
INSERT INTO `sys_job_log` VALUES (56162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:54:45');
INSERT INTO `sys_job_log` VALUES (56163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:54:50');
INSERT INTO `sys_job_log` VALUES (56164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:54:55');
INSERT INTO `sys_job_log` VALUES (56165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:55:00');
INSERT INTO `sys_job_log` VALUES (56166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:55:00');
INSERT INTO `sys_job_log` VALUES (56167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:55:05');
INSERT INTO `sys_job_log` VALUES (56168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:55:10');
INSERT INTO `sys_job_log` VALUES (56169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:55:15');
INSERT INTO `sys_job_log` VALUES (56170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:55:15');
INSERT INTO `sys_job_log` VALUES (56171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:55:20');
INSERT INTO `sys_job_log` VALUES (56172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:55:25');
INSERT INTO `sys_job_log` VALUES (56173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:55:30');
INSERT INTO `sys_job_log` VALUES (56174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:55:30');
INSERT INTO `sys_job_log` VALUES (56175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:55:35');
INSERT INTO `sys_job_log` VALUES (56176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:55:40');
INSERT INTO `sys_job_log` VALUES (56177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:55:45');
INSERT INTO `sys_job_log` VALUES (56178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:55:45');
INSERT INTO `sys_job_log` VALUES (56179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:55:50');
INSERT INTO `sys_job_log` VALUES (56180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 06:55:55');
INSERT INTO `sys_job_log` VALUES (56181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:56:00');
INSERT INTO `sys_job_log` VALUES (56182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:56:00');
INSERT INTO `sys_job_log` VALUES (56183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:56:05');
INSERT INTO `sys_job_log` VALUES (56184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:56:10');
INSERT INTO `sys_job_log` VALUES (56185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:56:15');
INSERT INTO `sys_job_log` VALUES (56186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:56:15');
INSERT INTO `sys_job_log` VALUES (56187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:56:20');
INSERT INTO `sys_job_log` VALUES (56188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:56:25');
INSERT INTO `sys_job_log` VALUES (56189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:56:30');
INSERT INTO `sys_job_log` VALUES (56190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:56:30');
INSERT INTO `sys_job_log` VALUES (56191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:56:35');
INSERT INTO `sys_job_log` VALUES (56192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:56:40');
INSERT INTO `sys_job_log` VALUES (56193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:56:45');
INSERT INTO `sys_job_log` VALUES (56194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:56:45');
INSERT INTO `sys_job_log` VALUES (56195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:56:50');
INSERT INTO `sys_job_log` VALUES (56196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:56:55');
INSERT INTO `sys_job_log` VALUES (56197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:00');
INSERT INTO `sys_job_log` VALUES (56198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:00');
INSERT INTO `sys_job_log` VALUES (56199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 06:57:05');
INSERT INTO `sys_job_log` VALUES (56200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:10');
INSERT INTO `sys_job_log` VALUES (56201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:15');
INSERT INTO `sys_job_log` VALUES (56202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:57:15');
INSERT INTO `sys_job_log` VALUES (56203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:20');
INSERT INTO `sys_job_log` VALUES (56204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:25');
INSERT INTO `sys_job_log` VALUES (56205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:57:30');
INSERT INTO `sys_job_log` VALUES (56206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:57:30');
INSERT INTO `sys_job_log` VALUES (56207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:35');
INSERT INTO `sys_job_log` VALUES (56208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:57:40');
INSERT INTO `sys_job_log` VALUES (56209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:57:45');
INSERT INTO `sys_job_log` VALUES (56210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:57:45');
INSERT INTO `sys_job_log` VALUES (56211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:57:50');
INSERT INTO `sys_job_log` VALUES (56212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:57:55');
INSERT INTO `sys_job_log` VALUES (56213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 06:58:00');
INSERT INTO `sys_job_log` VALUES (56214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:58:00');
INSERT INTO `sys_job_log` VALUES (56215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:58:05');
INSERT INTO `sys_job_log` VALUES (56216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:58:10');
INSERT INTO `sys_job_log` VALUES (56217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 06:58:15');
INSERT INTO `sys_job_log` VALUES (56218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 06:58:15');
INSERT INTO `sys_job_log` VALUES (56219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:58:20');
INSERT INTO `sys_job_log` VALUES (56220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:58:25');
INSERT INTO `sys_job_log` VALUES (56221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 06:58:30');
INSERT INTO `sys_job_log` VALUES (56222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 06:58:30');
INSERT INTO `sys_job_log` VALUES (56223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:58:35');
INSERT INTO `sys_job_log` VALUES (56224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 06:58:40');
INSERT INTO `sys_job_log` VALUES (56225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:58:45');
INSERT INTO `sys_job_log` VALUES (56226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:58:45');
INSERT INTO `sys_job_log` VALUES (56227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:58:50');
INSERT INTO `sys_job_log` VALUES (56228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:58:55');
INSERT INTO `sys_job_log` VALUES (56229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:59:00');
INSERT INTO `sys_job_log` VALUES (56230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 06:59:00');
INSERT INTO `sys_job_log` VALUES (56231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 06:59:05');
INSERT INTO `sys_job_log` VALUES (56232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:59:10');
INSERT INTO `sys_job_log` VALUES (56233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:59:15');
INSERT INTO `sys_job_log` VALUES (56234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:59:15');
INSERT INTO `sys_job_log` VALUES (56235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 06:59:20');
INSERT INTO `sys_job_log` VALUES (56236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:59:25');
INSERT INTO `sys_job_log` VALUES (56237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 06:59:30');
INSERT INTO `sys_job_log` VALUES (56238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 06:59:30');
INSERT INTO `sys_job_log` VALUES (56239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:59:35');
INSERT INTO `sys_job_log` VALUES (56240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:59:40');
INSERT INTO `sys_job_log` VALUES (56241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 06:59:45');
INSERT INTO `sys_job_log` VALUES (56242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 06:59:45');
INSERT INTO `sys_job_log` VALUES (56243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 06:59:50');
INSERT INTO `sys_job_log` VALUES (56244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 06:59:55');
INSERT INTO `sys_job_log` VALUES (56245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:00:00');
INSERT INTO `sys_job_log` VALUES (56246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:00:00');
INSERT INTO `sys_job_log` VALUES (56247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:05');
INSERT INTO `sys_job_log` VALUES (56248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:10');
INSERT INTO `sys_job_log` VALUES (56249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:15');
INSERT INTO `sys_job_log` VALUES (56250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:00:15');
INSERT INTO `sys_job_log` VALUES (56251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:00:20');
INSERT INTO `sys_job_log` VALUES (56252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:25');
INSERT INTO `sys_job_log` VALUES (56253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:00:30');
INSERT INTO `sys_job_log` VALUES (56254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 07:00:30');
INSERT INTO `sys_job_log` VALUES (56255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:00:35');
INSERT INTO `sys_job_log` VALUES (56256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:00:40');
INSERT INTO `sys_job_log` VALUES (56257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:45');
INSERT INTO `sys_job_log` VALUES (56258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:45');
INSERT INTO `sys_job_log` VALUES (56259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:00:50');
INSERT INTO `sys_job_log` VALUES (56260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:00:55');
INSERT INTO `sys_job_log` VALUES (56261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:01:00');
INSERT INTO `sys_job_log` VALUES (56262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:01:00');
INSERT INTO `sys_job_log` VALUES (56263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:01:05');
INSERT INTO `sys_job_log` VALUES (56264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:01:10');
INSERT INTO `sys_job_log` VALUES (56265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:01:15');
INSERT INTO `sys_job_log` VALUES (56266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:01:15');
INSERT INTO `sys_job_log` VALUES (56267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:01:20');
INSERT INTO `sys_job_log` VALUES (56268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:01:25');
INSERT INTO `sys_job_log` VALUES (56269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:01:30');
INSERT INTO `sys_job_log` VALUES (56270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:01:30');
INSERT INTO `sys_job_log` VALUES (56271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:01:35');
INSERT INTO `sys_job_log` VALUES (56272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:01:40');
INSERT INTO `sys_job_log` VALUES (56273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:01:45');
INSERT INTO `sys_job_log` VALUES (56274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:01:45');
INSERT INTO `sys_job_log` VALUES (56275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:01:50');
INSERT INTO `sys_job_log` VALUES (56276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:01:55');
INSERT INTO `sys_job_log` VALUES (56277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:02:00');
INSERT INTO `sys_job_log` VALUES (56278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:02:00');
INSERT INTO `sys_job_log` VALUES (56279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:02:05');
INSERT INTO `sys_job_log` VALUES (56280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:02:10');
INSERT INTO `sys_job_log` VALUES (56281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:02:15');
INSERT INTO `sys_job_log` VALUES (56282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:02:15');
INSERT INTO `sys_job_log` VALUES (56283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:02:20');
INSERT INTO `sys_job_log` VALUES (56284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:02:25');
INSERT INTO `sys_job_log` VALUES (56285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:02:30');
INSERT INTO `sys_job_log` VALUES (56286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:02:30');
INSERT INTO `sys_job_log` VALUES (56287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:02:35');
INSERT INTO `sys_job_log` VALUES (56288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:02:40');
INSERT INTO `sys_job_log` VALUES (56289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:02:45');
INSERT INTO `sys_job_log` VALUES (56290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:02:45');
INSERT INTO `sys_job_log` VALUES (56291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:02:50');
INSERT INTO `sys_job_log` VALUES (56292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:02:55');
INSERT INTO `sys_job_log` VALUES (56293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:03:00');
INSERT INTO `sys_job_log` VALUES (56294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:03:00');
INSERT INTO `sys_job_log` VALUES (56295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:03:05');
INSERT INTO `sys_job_log` VALUES (56296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:03:10');
INSERT INTO `sys_job_log` VALUES (56297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:03:15');
INSERT INTO `sys_job_log` VALUES (56298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:03:15');
INSERT INTO `sys_job_log` VALUES (56299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:03:20');
INSERT INTO `sys_job_log` VALUES (56300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:03:25');
INSERT INTO `sys_job_log` VALUES (56301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:03:30');
INSERT INTO `sys_job_log` VALUES (56302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:03:30');
INSERT INTO `sys_job_log` VALUES (56303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:03:35');
INSERT INTO `sys_job_log` VALUES (56304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:03:40');
INSERT INTO `sys_job_log` VALUES (56305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:03:45');
INSERT INTO `sys_job_log` VALUES (56306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:03:45');
INSERT INTO `sys_job_log` VALUES (56307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:03:50');
INSERT INTO `sys_job_log` VALUES (56308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:03:55');
INSERT INTO `sys_job_log` VALUES (56309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:04:00');
INSERT INTO `sys_job_log` VALUES (56310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:04:00');
INSERT INTO `sys_job_log` VALUES (56311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:04:05');
INSERT INTO `sys_job_log` VALUES (56312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:04:10');
INSERT INTO `sys_job_log` VALUES (56313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:04:15');
INSERT INTO `sys_job_log` VALUES (56314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 07:04:15');
INSERT INTO `sys_job_log` VALUES (56315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:04:20');
INSERT INTO `sys_job_log` VALUES (56316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:04:25');
INSERT INTO `sys_job_log` VALUES (56317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:04:30');
INSERT INTO `sys_job_log` VALUES (56318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:04:30');
INSERT INTO `sys_job_log` VALUES (56319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:04:35');
INSERT INTO `sys_job_log` VALUES (56320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:04:40');
INSERT INTO `sys_job_log` VALUES (56321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:04:45');
INSERT INTO `sys_job_log` VALUES (56322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:04:45');
INSERT INTO `sys_job_log` VALUES (56323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:04:50');
INSERT INTO `sys_job_log` VALUES (56324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:04:55');
INSERT INTO `sys_job_log` VALUES (56325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:05:00');
INSERT INTO `sys_job_log` VALUES (56326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:05:00');
INSERT INTO `sys_job_log` VALUES (56327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:05:05');
INSERT INTO `sys_job_log` VALUES (56328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:05:10');
INSERT INTO `sys_job_log` VALUES (56329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:05:15');
INSERT INTO `sys_job_log` VALUES (56330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:05:15');
INSERT INTO `sys_job_log` VALUES (56331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:05:20');
INSERT INTO `sys_job_log` VALUES (56332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:05:25');
INSERT INTO `sys_job_log` VALUES (56333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:05:30');
INSERT INTO `sys_job_log` VALUES (56334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:05:30');
INSERT INTO `sys_job_log` VALUES (56335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:05:35');
INSERT INTO `sys_job_log` VALUES (56336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:05:40');
INSERT INTO `sys_job_log` VALUES (56337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:05:45');
INSERT INTO `sys_job_log` VALUES (56338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:05:45');
INSERT INTO `sys_job_log` VALUES (56339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:05:50');
INSERT INTO `sys_job_log` VALUES (56340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:05:55');
INSERT INTO `sys_job_log` VALUES (56341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:06:00');
INSERT INTO `sys_job_log` VALUES (56342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:06:00');
INSERT INTO `sys_job_log` VALUES (56343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:06:05');
INSERT INTO `sys_job_log` VALUES (56344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:06:10');
INSERT INTO `sys_job_log` VALUES (56345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:06:15');
INSERT INTO `sys_job_log` VALUES (56346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:06:15');
INSERT INTO `sys_job_log` VALUES (56347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:06:20');
INSERT INTO `sys_job_log` VALUES (56348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:06:25');
INSERT INTO `sys_job_log` VALUES (56349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:06:30');
INSERT INTO `sys_job_log` VALUES (56350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:06:30');
INSERT INTO `sys_job_log` VALUES (56351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:06:35');
INSERT INTO `sys_job_log` VALUES (56352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:06:40');
INSERT INTO `sys_job_log` VALUES (56353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:06:45');
INSERT INTO `sys_job_log` VALUES (56354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:06:45');
INSERT INTO `sys_job_log` VALUES (56355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:06:50');
INSERT INTO `sys_job_log` VALUES (56356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:06:55');
INSERT INTO `sys_job_log` VALUES (56357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:07:00');
INSERT INTO `sys_job_log` VALUES (56358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:07:00');
INSERT INTO `sys_job_log` VALUES (56359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:07:05');
INSERT INTO `sys_job_log` VALUES (56360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:07:10');
INSERT INTO `sys_job_log` VALUES (56361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:07:15');
INSERT INTO `sys_job_log` VALUES (56362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:07:15');
INSERT INTO `sys_job_log` VALUES (56363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:07:20');
INSERT INTO `sys_job_log` VALUES (56364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:07:25');
INSERT INTO `sys_job_log` VALUES (56365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:07:30');
INSERT INTO `sys_job_log` VALUES (56366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:07:30');
INSERT INTO `sys_job_log` VALUES (56367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:07:35');
INSERT INTO `sys_job_log` VALUES (56368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:07:40');
INSERT INTO `sys_job_log` VALUES (56369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:07:45');
INSERT INTO `sys_job_log` VALUES (56370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:07:45');
INSERT INTO `sys_job_log` VALUES (56371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:07:50');
INSERT INTO `sys_job_log` VALUES (56372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:07:55');
INSERT INTO `sys_job_log` VALUES (56373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 07:08:00');
INSERT INTO `sys_job_log` VALUES (56374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 07:08:00');
INSERT INTO `sys_job_log` VALUES (56375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:08:05');
INSERT INTO `sys_job_log` VALUES (56376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:08:10');
INSERT INTO `sys_job_log` VALUES (56377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:08:15');
INSERT INTO `sys_job_log` VALUES (56378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:08:15');
INSERT INTO `sys_job_log` VALUES (56379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:08:20');
INSERT INTO `sys_job_log` VALUES (56380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:08:25');
INSERT INTO `sys_job_log` VALUES (56381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:08:30');
INSERT INTO `sys_job_log` VALUES (56382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:08:30');
INSERT INTO `sys_job_log` VALUES (56383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:08:35');
INSERT INTO `sys_job_log` VALUES (56384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:08:40');
INSERT INTO `sys_job_log` VALUES (56385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:08:45');
INSERT INTO `sys_job_log` VALUES (56386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:08:45');
INSERT INTO `sys_job_log` VALUES (56387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:08:50');
INSERT INTO `sys_job_log` VALUES (56388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:08:55');
INSERT INTO `sys_job_log` VALUES (56389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:00');
INSERT INTO `sys_job_log` VALUES (56390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:00');
INSERT INTO `sys_job_log` VALUES (56391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:09:05');
INSERT INTO `sys_job_log` VALUES (56392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:09:10');
INSERT INTO `sys_job_log` VALUES (56393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:15');
INSERT INTO `sys_job_log` VALUES (56394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:15');
INSERT INTO `sys_job_log` VALUES (56395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:09:20');
INSERT INTO `sys_job_log` VALUES (56396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:09:25');
INSERT INTO `sys_job_log` VALUES (56397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:30');
INSERT INTO `sys_job_log` VALUES (56398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:30');
INSERT INTO `sys_job_log` VALUES (56399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:09:35');
INSERT INTO `sys_job_log` VALUES (56400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:09:40');
INSERT INTO `sys_job_log` VALUES (56401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:45');
INSERT INTO `sys_job_log` VALUES (56402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:09:45');
INSERT INTO `sys_job_log` VALUES (56403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:09:50');
INSERT INTO `sys_job_log` VALUES (56404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:09:55');
INSERT INTO `sys_job_log` VALUES (56405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:10:00');
INSERT INTO `sys_job_log` VALUES (56406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:10:00');
INSERT INTO `sys_job_log` VALUES (56407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:10:05');
INSERT INTO `sys_job_log` VALUES (56408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:10:10');
INSERT INTO `sys_job_log` VALUES (56409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:10:15');
INSERT INTO `sys_job_log` VALUES (56410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:10:15');
INSERT INTO `sys_job_log` VALUES (56411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:10:20');
INSERT INTO `sys_job_log` VALUES (56412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:10:25');
INSERT INTO `sys_job_log` VALUES (56413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:10:30');
INSERT INTO `sys_job_log` VALUES (56414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:10:30');
INSERT INTO `sys_job_log` VALUES (56415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:10:35');
INSERT INTO `sys_job_log` VALUES (56416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:10:40');
INSERT INTO `sys_job_log` VALUES (56417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:10:45');
INSERT INTO `sys_job_log` VALUES (56418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:10:45');
INSERT INTO `sys_job_log` VALUES (56419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:10:50');
INSERT INTO `sys_job_log` VALUES (56420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:10:55');
INSERT INTO `sys_job_log` VALUES (56421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:11:00');
INSERT INTO `sys_job_log` VALUES (56422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:11:00');
INSERT INTO `sys_job_log` VALUES (56423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:11:05');
INSERT INTO `sys_job_log` VALUES (56424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:11:10');
INSERT INTO `sys_job_log` VALUES (56425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:11:15');
INSERT INTO `sys_job_log` VALUES (56426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:11:15');
INSERT INTO `sys_job_log` VALUES (56427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:11:20');
INSERT INTO `sys_job_log` VALUES (56428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:11:25');
INSERT INTO `sys_job_log` VALUES (56429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:11:30');
INSERT INTO `sys_job_log` VALUES (56430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:11:30');
INSERT INTO `sys_job_log` VALUES (56431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:11:35');
INSERT INTO `sys_job_log` VALUES (56432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:11:40');
INSERT INTO `sys_job_log` VALUES (56433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:11:45');
INSERT INTO `sys_job_log` VALUES (56434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:11:45');
INSERT INTO `sys_job_log` VALUES (56435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:11:50');
INSERT INTO `sys_job_log` VALUES (56436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:11:55');
INSERT INTO `sys_job_log` VALUES (56437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:12:00');
INSERT INTO `sys_job_log` VALUES (56438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:12:00');
INSERT INTO `sys_job_log` VALUES (56439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:12:05');
INSERT INTO `sys_job_log` VALUES (56440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:12:10');
INSERT INTO `sys_job_log` VALUES (56441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:12:15');
INSERT INTO `sys_job_log` VALUES (56442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:12:15');
INSERT INTO `sys_job_log` VALUES (56443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:12:20');
INSERT INTO `sys_job_log` VALUES (56444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:12:25');
INSERT INTO `sys_job_log` VALUES (56445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:12:30');
INSERT INTO `sys_job_log` VALUES (56446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:12:30');
INSERT INTO `sys_job_log` VALUES (56447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 07:12:35');
INSERT INTO `sys_job_log` VALUES (56448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:12:40');
INSERT INTO `sys_job_log` VALUES (56449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:12:45');
INSERT INTO `sys_job_log` VALUES (56450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:12:45');
INSERT INTO `sys_job_log` VALUES (56451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:12:50');
INSERT INTO `sys_job_log` VALUES (56452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:12:55');
INSERT INTO `sys_job_log` VALUES (56453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 07:13:00');
INSERT INTO `sys_job_log` VALUES (56454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 07:13:00');
INSERT INTO `sys_job_log` VALUES (56455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:13:05');
INSERT INTO `sys_job_log` VALUES (56456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:13:10');
INSERT INTO `sys_job_log` VALUES (56457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:13:15');
INSERT INTO `sys_job_log` VALUES (56458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:13:15');
INSERT INTO `sys_job_log` VALUES (56459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:13:20');
INSERT INTO `sys_job_log` VALUES (56460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:13:25');
INSERT INTO `sys_job_log` VALUES (56461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:13:30');
INSERT INTO `sys_job_log` VALUES (56462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:13:30');
INSERT INTO `sys_job_log` VALUES (56463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:13:35');
INSERT INTO `sys_job_log` VALUES (56464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:13:40');
INSERT INTO `sys_job_log` VALUES (56465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:13:45');
INSERT INTO `sys_job_log` VALUES (56466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:13:45');
INSERT INTO `sys_job_log` VALUES (56467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:13:50');
INSERT INTO `sys_job_log` VALUES (56468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:13:55');
INSERT INTO `sys_job_log` VALUES (56469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:14:00');
INSERT INTO `sys_job_log` VALUES (56470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:14:00');
INSERT INTO `sys_job_log` VALUES (56471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:14:05');
INSERT INTO `sys_job_log` VALUES (56472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:14:10');
INSERT INTO `sys_job_log` VALUES (56473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:14:15');
INSERT INTO `sys_job_log` VALUES (56474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:14:15');
INSERT INTO `sys_job_log` VALUES (56475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:14:20');
INSERT INTO `sys_job_log` VALUES (56476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:14:25');
INSERT INTO `sys_job_log` VALUES (56477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:14:30');
INSERT INTO `sys_job_log` VALUES (56478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:14:30');
INSERT INTO `sys_job_log` VALUES (56479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:14:35');
INSERT INTO `sys_job_log` VALUES (56480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:14:40');
INSERT INTO `sys_job_log` VALUES (56481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:14:45');
INSERT INTO `sys_job_log` VALUES (56482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:14:45');
INSERT INTO `sys_job_log` VALUES (56483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:14:50');
INSERT INTO `sys_job_log` VALUES (56484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:14:55');
INSERT INTO `sys_job_log` VALUES (56485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:15:00');
INSERT INTO `sys_job_log` VALUES (56486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:15:00');
INSERT INTO `sys_job_log` VALUES (56487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:15:05');
INSERT INTO `sys_job_log` VALUES (56488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:15:10');
INSERT INTO `sys_job_log` VALUES (56489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:15:15');
INSERT INTO `sys_job_log` VALUES (56490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:15:15');
INSERT INTO `sys_job_log` VALUES (56491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:15:20');
INSERT INTO `sys_job_log` VALUES (56492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:15:25');
INSERT INTO `sys_job_log` VALUES (56493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:15:30');
INSERT INTO `sys_job_log` VALUES (56494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 07:15:30');
INSERT INTO `sys_job_log` VALUES (56495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:15:35');
INSERT INTO `sys_job_log` VALUES (56496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:15:40');
INSERT INTO `sys_job_log` VALUES (56497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:15:45');
INSERT INTO `sys_job_log` VALUES (56498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:15:45');
INSERT INTO `sys_job_log` VALUES (56499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:15:50');
INSERT INTO `sys_job_log` VALUES (56500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:15:55');
INSERT INTO `sys_job_log` VALUES (56501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:16:00');
INSERT INTO `sys_job_log` VALUES (56502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:16:00');
INSERT INTO `sys_job_log` VALUES (56503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:16:05');
INSERT INTO `sys_job_log` VALUES (56504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:16:10');
INSERT INTO `sys_job_log` VALUES (56505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:16:15');
INSERT INTO `sys_job_log` VALUES (56506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:16:15');
INSERT INTO `sys_job_log` VALUES (56507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:16:20');
INSERT INTO `sys_job_log` VALUES (56508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:16:25');
INSERT INTO `sys_job_log` VALUES (56509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:16:30');
INSERT INTO `sys_job_log` VALUES (56510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:16:30');
INSERT INTO `sys_job_log` VALUES (56511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:16:35');
INSERT INTO `sys_job_log` VALUES (56512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:16:40');
INSERT INTO `sys_job_log` VALUES (56513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:16:45');
INSERT INTO `sys_job_log` VALUES (56514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:16:45');
INSERT INTO `sys_job_log` VALUES (56515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:16:50');
INSERT INTO `sys_job_log` VALUES (56516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:16:55');
INSERT INTO `sys_job_log` VALUES (56517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:17:00');
INSERT INTO `sys_job_log` VALUES (56518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:17:00');
INSERT INTO `sys_job_log` VALUES (56519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:17:05');
INSERT INTO `sys_job_log` VALUES (56520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:17:10');
INSERT INTO `sys_job_log` VALUES (56521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:17:15');
INSERT INTO `sys_job_log` VALUES (56522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:17:15');
INSERT INTO `sys_job_log` VALUES (56523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:17:20');
INSERT INTO `sys_job_log` VALUES (56524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:17:25');
INSERT INTO `sys_job_log` VALUES (56525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:17:30');
INSERT INTO `sys_job_log` VALUES (56526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:17:30');
INSERT INTO `sys_job_log` VALUES (56527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:17:35');
INSERT INTO `sys_job_log` VALUES (56528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 07:17:40');
INSERT INTO `sys_job_log` VALUES (56529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:17:45');
INSERT INTO `sys_job_log` VALUES (56530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:17:45');
INSERT INTO `sys_job_log` VALUES (56531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:17:50');
INSERT INTO `sys_job_log` VALUES (56532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:17:55');
INSERT INTO `sys_job_log` VALUES (56533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 07:18:00');
INSERT INTO `sys_job_log` VALUES (56534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 07:18:00');
INSERT INTO `sys_job_log` VALUES (56535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:18:05');
INSERT INTO `sys_job_log` VALUES (56536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:18:10');
INSERT INTO `sys_job_log` VALUES (56537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:18:15');
INSERT INTO `sys_job_log` VALUES (56538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:18:15');
INSERT INTO `sys_job_log` VALUES (56539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:18:20');
INSERT INTO `sys_job_log` VALUES (56540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:18:25');
INSERT INTO `sys_job_log` VALUES (56541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:18:30');
INSERT INTO `sys_job_log` VALUES (56542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:18:30');
INSERT INTO `sys_job_log` VALUES (56543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:18:35');
INSERT INTO `sys_job_log` VALUES (56544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:18:40');
INSERT INTO `sys_job_log` VALUES (56545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:18:45');
INSERT INTO `sys_job_log` VALUES (56546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:18:45');
INSERT INTO `sys_job_log` VALUES (56547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:18:50');
INSERT INTO `sys_job_log` VALUES (56548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:18:55');
INSERT INTO `sys_job_log` VALUES (56549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:19:00');
INSERT INTO `sys_job_log` VALUES (56550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:19:00');
INSERT INTO `sys_job_log` VALUES (56551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:19:05');
INSERT INTO `sys_job_log` VALUES (56552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:19:10');
INSERT INTO `sys_job_log` VALUES (56553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:19:15');
INSERT INTO `sys_job_log` VALUES (56554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:19:15');
INSERT INTO `sys_job_log` VALUES (56555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 07:19:20');
INSERT INTO `sys_job_log` VALUES (56556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:19:25');
INSERT INTO `sys_job_log` VALUES (56557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:19:30');
INSERT INTO `sys_job_log` VALUES (56558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:19:30');
INSERT INTO `sys_job_log` VALUES (56559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:19:35');
INSERT INTO `sys_job_log` VALUES (56560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:19:40');
INSERT INTO `sys_job_log` VALUES (56561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:19:45');
INSERT INTO `sys_job_log` VALUES (56562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:19:45');
INSERT INTO `sys_job_log` VALUES (56563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:19:50');
INSERT INTO `sys_job_log` VALUES (56564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:19:55');
INSERT INTO `sys_job_log` VALUES (56565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:20:00');
INSERT INTO `sys_job_log` VALUES (56566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:20:00');
INSERT INTO `sys_job_log` VALUES (56567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:20:05');
INSERT INTO `sys_job_log` VALUES (56568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:20:10');
INSERT INTO `sys_job_log` VALUES (56569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:20:15');
INSERT INTO `sys_job_log` VALUES (56570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:20:15');
INSERT INTO `sys_job_log` VALUES (56571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:20:20');
INSERT INTO `sys_job_log` VALUES (56572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:20:25');
INSERT INTO `sys_job_log` VALUES (56573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:20:30');
INSERT INTO `sys_job_log` VALUES (56574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:20:30');
INSERT INTO `sys_job_log` VALUES (56575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:20:35');
INSERT INTO `sys_job_log` VALUES (56576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:20:40');
INSERT INTO `sys_job_log` VALUES (56577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:20:45');
INSERT INTO `sys_job_log` VALUES (56578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:20:45');
INSERT INTO `sys_job_log` VALUES (56579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:20:50');
INSERT INTO `sys_job_log` VALUES (56580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:20:55');
INSERT INTO `sys_job_log` VALUES (56581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:21:00');
INSERT INTO `sys_job_log` VALUES (56582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:21:00');
INSERT INTO `sys_job_log` VALUES (56583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:21:05');
INSERT INTO `sys_job_log` VALUES (56584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:21:10');
INSERT INTO `sys_job_log` VALUES (56585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:21:15');
INSERT INTO `sys_job_log` VALUES (56586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:21:15');
INSERT INTO `sys_job_log` VALUES (56587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:21:20');
INSERT INTO `sys_job_log` VALUES (56588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:21:25');
INSERT INTO `sys_job_log` VALUES (56589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:21:30');
INSERT INTO `sys_job_log` VALUES (56590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:21:30');
INSERT INTO `sys_job_log` VALUES (56591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:21:35');
INSERT INTO `sys_job_log` VALUES (56592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:21:40');
INSERT INTO `sys_job_log` VALUES (56593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:21:45');
INSERT INTO `sys_job_log` VALUES (56594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:21:45');
INSERT INTO `sys_job_log` VALUES (56595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:21:50');
INSERT INTO `sys_job_log` VALUES (56596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:21:55');
INSERT INTO `sys_job_log` VALUES (56597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:22:00');
INSERT INTO `sys_job_log` VALUES (56598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:22:00');
INSERT INTO `sys_job_log` VALUES (56599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:22:05');
INSERT INTO `sys_job_log` VALUES (56600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:22:10');
INSERT INTO `sys_job_log` VALUES (56601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:22:15');
INSERT INTO `sys_job_log` VALUES (56602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:22:15');
INSERT INTO `sys_job_log` VALUES (56603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:22:20');
INSERT INTO `sys_job_log` VALUES (56604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:22:25');
INSERT INTO `sys_job_log` VALUES (56605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:22:30');
INSERT INTO `sys_job_log` VALUES (56606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:22:30');
INSERT INTO `sys_job_log` VALUES (56607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:22:35');
INSERT INTO `sys_job_log` VALUES (56608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:22:40');
INSERT INTO `sys_job_log` VALUES (56609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:22:45');
INSERT INTO `sys_job_log` VALUES (56610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:22:45');
INSERT INTO `sys_job_log` VALUES (56611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:22:50');
INSERT INTO `sys_job_log` VALUES (56612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:22:55');
INSERT INTO `sys_job_log` VALUES (56613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:23:00');
INSERT INTO `sys_job_log` VALUES (56614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:23:00');
INSERT INTO `sys_job_log` VALUES (56615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:23:05');
INSERT INTO `sys_job_log` VALUES (56616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:23:10');
INSERT INTO `sys_job_log` VALUES (56617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 07:23:15');
INSERT INTO `sys_job_log` VALUES (56618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:23:15');
INSERT INTO `sys_job_log` VALUES (56619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:23:20');
INSERT INTO `sys_job_log` VALUES (56620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:23:25');
INSERT INTO `sys_job_log` VALUES (56621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:23:30');
INSERT INTO `sys_job_log` VALUES (56622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:23:30');
INSERT INTO `sys_job_log` VALUES (56623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:23:35');
INSERT INTO `sys_job_log` VALUES (56624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:23:40');
INSERT INTO `sys_job_log` VALUES (56625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:23:45');
INSERT INTO `sys_job_log` VALUES (56626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:23:45');
INSERT INTO `sys_job_log` VALUES (56627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:23:50');
INSERT INTO `sys_job_log` VALUES (56628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:23:55');
INSERT INTO `sys_job_log` VALUES (56629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:24:00');
INSERT INTO `sys_job_log` VALUES (56630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:24:00');
INSERT INTO `sys_job_log` VALUES (56631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:24:05');
INSERT INTO `sys_job_log` VALUES (56632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:24:10');
INSERT INTO `sys_job_log` VALUES (56633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:24:15');
INSERT INTO `sys_job_log` VALUES (56634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:24:15');
INSERT INTO `sys_job_log` VALUES (56635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:24:20');
INSERT INTO `sys_job_log` VALUES (56636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:24:25');
INSERT INTO `sys_job_log` VALUES (56637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:24:30');
INSERT INTO `sys_job_log` VALUES (56638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:24:30');
INSERT INTO `sys_job_log` VALUES (56639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:24:35');
INSERT INTO `sys_job_log` VALUES (56640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:24:40');
INSERT INTO `sys_job_log` VALUES (56641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:24:45');
INSERT INTO `sys_job_log` VALUES (56642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:24:45');
INSERT INTO `sys_job_log` VALUES (56643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:24:50');
INSERT INTO `sys_job_log` VALUES (56644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:24:55');
INSERT INTO `sys_job_log` VALUES (56645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:25:00');
INSERT INTO `sys_job_log` VALUES (56646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:25:00');
INSERT INTO `sys_job_log` VALUES (56647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:25:05');
INSERT INTO `sys_job_log` VALUES (56648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:25:10');
INSERT INTO `sys_job_log` VALUES (56649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:25:15');
INSERT INTO `sys_job_log` VALUES (56650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:25:15');
INSERT INTO `sys_job_log` VALUES (56651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:25:20');
INSERT INTO `sys_job_log` VALUES (56652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:25:25');
INSERT INTO `sys_job_log` VALUES (56653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:25:30');
INSERT INTO `sys_job_log` VALUES (56654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:25:30');
INSERT INTO `sys_job_log` VALUES (56655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:25:35');
INSERT INTO `sys_job_log` VALUES (56656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:25:40');
INSERT INTO `sys_job_log` VALUES (56657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:25:45');
INSERT INTO `sys_job_log` VALUES (56658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:25:45');
INSERT INTO `sys_job_log` VALUES (56659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:25:50');
INSERT INTO `sys_job_log` VALUES (56660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:25:55');
INSERT INTO `sys_job_log` VALUES (56661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 07:26:00');
INSERT INTO `sys_job_log` VALUES (56662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:26:00');
INSERT INTO `sys_job_log` VALUES (56663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:26:05');
INSERT INTO `sys_job_log` VALUES (56664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 07:26:10');
INSERT INTO `sys_job_log` VALUES (56665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:26:15');
INSERT INTO `sys_job_log` VALUES (56666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:26:15');
INSERT INTO `sys_job_log` VALUES (56667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:26:20');
INSERT INTO `sys_job_log` VALUES (56668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:26:25');
INSERT INTO `sys_job_log` VALUES (56669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:26:30');
INSERT INTO `sys_job_log` VALUES (56670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:26:30');
INSERT INTO `sys_job_log` VALUES (56671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:26:35');
INSERT INTO `sys_job_log` VALUES (56672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:26:40');
INSERT INTO `sys_job_log` VALUES (56673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:26:45');
INSERT INTO `sys_job_log` VALUES (56674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:26:45');
INSERT INTO `sys_job_log` VALUES (56675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:26:50');
INSERT INTO `sys_job_log` VALUES (56676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:26:55');
INSERT INTO `sys_job_log` VALUES (56677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:27:00');
INSERT INTO `sys_job_log` VALUES (56678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:27:00');
INSERT INTO `sys_job_log` VALUES (56679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:27:05');
INSERT INTO `sys_job_log` VALUES (56680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:27:10');
INSERT INTO `sys_job_log` VALUES (56681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:27:15');
INSERT INTO `sys_job_log` VALUES (56682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:27:15');
INSERT INTO `sys_job_log` VALUES (56683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:27:20');
INSERT INTO `sys_job_log` VALUES (56684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:27:25');
INSERT INTO `sys_job_log` VALUES (56685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:27:30');
INSERT INTO `sys_job_log` VALUES (56686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:27:30');
INSERT INTO `sys_job_log` VALUES (56687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:27:35');
INSERT INTO `sys_job_log` VALUES (56688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:27:40');
INSERT INTO `sys_job_log` VALUES (56689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:27:45');
INSERT INTO `sys_job_log` VALUES (56690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:27:45');
INSERT INTO `sys_job_log` VALUES (56691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:27:50');
INSERT INTO `sys_job_log` VALUES (56692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:27:55');
INSERT INTO `sys_job_log` VALUES (56693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:28:00');
INSERT INTO `sys_job_log` VALUES (56694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:28:00');
INSERT INTO `sys_job_log` VALUES (56695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:28:05');
INSERT INTO `sys_job_log` VALUES (56696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:28:10');
INSERT INTO `sys_job_log` VALUES (56697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:28:15');
INSERT INTO `sys_job_log` VALUES (56698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:28:15');
INSERT INTO `sys_job_log` VALUES (56699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:28:20');
INSERT INTO `sys_job_log` VALUES (56700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:28:25');
INSERT INTO `sys_job_log` VALUES (56701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:28:30');
INSERT INTO `sys_job_log` VALUES (56702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:28:30');
INSERT INTO `sys_job_log` VALUES (56703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 07:28:35');
INSERT INTO `sys_job_log` VALUES (56704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:28:40');
INSERT INTO `sys_job_log` VALUES (56705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-02 07:28:45');
INSERT INTO `sys_job_log` VALUES (56706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 07:28:45');
INSERT INTO `sys_job_log` VALUES (56707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:28:50');
INSERT INTO `sys_job_log` VALUES (56708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:28:55');
INSERT INTO `sys_job_log` VALUES (56709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:29:00');
INSERT INTO `sys_job_log` VALUES (56710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:29:00');
INSERT INTO `sys_job_log` VALUES (56711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:29:05');
INSERT INTO `sys_job_log` VALUES (56712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 07:29:10');
INSERT INTO `sys_job_log` VALUES (56713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:29:15');
INSERT INTO `sys_job_log` VALUES (56714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:29:15');
INSERT INTO `sys_job_log` VALUES (56715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:29:20');
INSERT INTO `sys_job_log` VALUES (56716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:29:25');
INSERT INTO `sys_job_log` VALUES (56717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:29:30');
INSERT INTO `sys_job_log` VALUES (56718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:29:30');
INSERT INTO `sys_job_log` VALUES (56719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:29:35');
INSERT INTO `sys_job_log` VALUES (56720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:29:40');
INSERT INTO `sys_job_log` VALUES (56721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:29:45');
INSERT INTO `sys_job_log` VALUES (56722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:29:45');
INSERT INTO `sys_job_log` VALUES (56723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:29:50');
INSERT INTO `sys_job_log` VALUES (56724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:29:55');
INSERT INTO `sys_job_log` VALUES (56725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:30:00');
INSERT INTO `sys_job_log` VALUES (56726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:30:00');
INSERT INTO `sys_job_log` VALUES (56727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:30:05');
INSERT INTO `sys_job_log` VALUES (56728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:30:10');
INSERT INTO `sys_job_log` VALUES (56729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:30:15');
INSERT INTO `sys_job_log` VALUES (56730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:30:15');
INSERT INTO `sys_job_log` VALUES (56731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:30:20');
INSERT INTO `sys_job_log` VALUES (56732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 07:30:25');
INSERT INTO `sys_job_log` VALUES (56733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:30:30');
INSERT INTO `sys_job_log` VALUES (56734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:30:30');
INSERT INTO `sys_job_log` VALUES (56735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:30:35');
INSERT INTO `sys_job_log` VALUES (56736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:30:40');
INSERT INTO `sys_job_log` VALUES (56737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:30:45');
INSERT INTO `sys_job_log` VALUES (56738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:30:45');
INSERT INTO `sys_job_log` VALUES (56739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:30:50');
INSERT INTO `sys_job_log` VALUES (56740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:30:55');
INSERT INTO `sys_job_log` VALUES (56741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 07:31:00');
INSERT INTO `sys_job_log` VALUES (56742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 07:31:00');
INSERT INTO `sys_job_log` VALUES (56743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:31:05');
INSERT INTO `sys_job_log` VALUES (56744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:31:10');
INSERT INTO `sys_job_log` VALUES (56745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:31:15');
INSERT INTO `sys_job_log` VALUES (56746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:31:15');
INSERT INTO `sys_job_log` VALUES (56747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:31:20');
INSERT INTO `sys_job_log` VALUES (56748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:31:25');
INSERT INTO `sys_job_log` VALUES (56749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:31:30');
INSERT INTO `sys_job_log` VALUES (56750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:31:30');
INSERT INTO `sys_job_log` VALUES (56751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:31:35');
INSERT INTO `sys_job_log` VALUES (56752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:31:40');
INSERT INTO `sys_job_log` VALUES (56753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:31:45');
INSERT INTO `sys_job_log` VALUES (56754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:31:45');
INSERT INTO `sys_job_log` VALUES (56755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-02 07:31:50');
INSERT INTO `sys_job_log` VALUES (56756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:31:55');
INSERT INTO `sys_job_log` VALUES (56757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:32:00');
INSERT INTO `sys_job_log` VALUES (56758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:32:00');
INSERT INTO `sys_job_log` VALUES (56759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:32:05');
INSERT INTO `sys_job_log` VALUES (56760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:32:10');
INSERT INTO `sys_job_log` VALUES (56761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:32:15');
INSERT INTO `sys_job_log` VALUES (56762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:32:15');
INSERT INTO `sys_job_log` VALUES (56763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:32:20');
INSERT INTO `sys_job_log` VALUES (56764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:32:25');
INSERT INTO `sys_job_log` VALUES (56765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:32:30');
INSERT INTO `sys_job_log` VALUES (56766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:32:30');
INSERT INTO `sys_job_log` VALUES (56767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:32:35');
INSERT INTO `sys_job_log` VALUES (56768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:32:40');
INSERT INTO `sys_job_log` VALUES (56769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:32:45');
INSERT INTO `sys_job_log` VALUES (56770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:32:45');
INSERT INTO `sys_job_log` VALUES (56771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:32:50');
INSERT INTO `sys_job_log` VALUES (56772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:32:55');
INSERT INTO `sys_job_log` VALUES (56773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 07:33:00');
INSERT INTO `sys_job_log` VALUES (56774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 07:33:00');
INSERT INTO `sys_job_log` VALUES (56775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:33:05');
INSERT INTO `sys_job_log` VALUES (56776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:33:10');
INSERT INTO `sys_job_log` VALUES (56777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:33:15');
INSERT INTO `sys_job_log` VALUES (56778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:33:15');
INSERT INTO `sys_job_log` VALUES (56779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:33:20');
INSERT INTO `sys_job_log` VALUES (56780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:33:25');
INSERT INTO `sys_job_log` VALUES (56781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:33:30');
INSERT INTO `sys_job_log` VALUES (56782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:33:30');
INSERT INTO `sys_job_log` VALUES (56783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:33:35');
INSERT INTO `sys_job_log` VALUES (56784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:33:40');
INSERT INTO `sys_job_log` VALUES (56785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:33:45');
INSERT INTO `sys_job_log` VALUES (56786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:33:45');
INSERT INTO `sys_job_log` VALUES (56787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:33:50');
INSERT INTO `sys_job_log` VALUES (56788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:33:55');
INSERT INTO `sys_job_log` VALUES (56789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:34:00');
INSERT INTO `sys_job_log` VALUES (56790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:34:00');
INSERT INTO `sys_job_log` VALUES (56791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:34:05');
INSERT INTO `sys_job_log` VALUES (56792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:34:10');
INSERT INTO `sys_job_log` VALUES (56793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:34:15');
INSERT INTO `sys_job_log` VALUES (56794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:34:15');
INSERT INTO `sys_job_log` VALUES (56795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:34:20');
INSERT INTO `sys_job_log` VALUES (56796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:34:25');
INSERT INTO `sys_job_log` VALUES (56797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:34:30');
INSERT INTO `sys_job_log` VALUES (56798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:34:30');
INSERT INTO `sys_job_log` VALUES (56799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:34:35');
INSERT INTO `sys_job_log` VALUES (56800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:34:40');
INSERT INTO `sys_job_log` VALUES (56801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:34:45');
INSERT INTO `sys_job_log` VALUES (56802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:34:45');
INSERT INTO `sys_job_log` VALUES (56803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:34:50');
INSERT INTO `sys_job_log` VALUES (56804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-02 07:34:57');
INSERT INTO `sys_job_log` VALUES (56805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:35:00');
INSERT INTO `sys_job_log` VALUES (56806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:35:00');
INSERT INTO `sys_job_log` VALUES (56807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:35:05');
INSERT INTO `sys_job_log` VALUES (56808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:35:10');
INSERT INTO `sys_job_log` VALUES (56809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:35:15');
INSERT INTO `sys_job_log` VALUES (56810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:35:15');
INSERT INTO `sys_job_log` VALUES (56811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:35:20');
INSERT INTO `sys_job_log` VALUES (56812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:35:25');
INSERT INTO `sys_job_log` VALUES (56813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:35:30');
INSERT INTO `sys_job_log` VALUES (56814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:35:30');
INSERT INTO `sys_job_log` VALUES (56815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:35:35');
INSERT INTO `sys_job_log` VALUES (56816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:35:40');
INSERT INTO `sys_job_log` VALUES (56817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:35:45');
INSERT INTO `sys_job_log` VALUES (56818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 07:35:45');
INSERT INTO `sys_job_log` VALUES (56819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 07:35:50');
INSERT INTO `sys_job_log` VALUES (56820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:35:55');
INSERT INTO `sys_job_log` VALUES (56821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:36:00');
INSERT INTO `sys_job_log` VALUES (56822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:36:00');
INSERT INTO `sys_job_log` VALUES (56823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:36:05');
INSERT INTO `sys_job_log` VALUES (56824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:36:10');
INSERT INTO `sys_job_log` VALUES (56825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:36:15');
INSERT INTO `sys_job_log` VALUES (56826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:36:15');
INSERT INTO `sys_job_log` VALUES (56827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:36:20');
INSERT INTO `sys_job_log` VALUES (56828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:36:25');
INSERT INTO `sys_job_log` VALUES (56829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:36:30');
INSERT INTO `sys_job_log` VALUES (56830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:36:30');
INSERT INTO `sys_job_log` VALUES (56831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:36:35');
INSERT INTO `sys_job_log` VALUES (56832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:36:40');
INSERT INTO `sys_job_log` VALUES (56833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:36:45');
INSERT INTO `sys_job_log` VALUES (56834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:36:45');
INSERT INTO `sys_job_log` VALUES (56835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:36:50');
INSERT INTO `sys_job_log` VALUES (56836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:36:55');
INSERT INTO `sys_job_log` VALUES (56837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:37:00');
INSERT INTO `sys_job_log` VALUES (56838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:37:00');
INSERT INTO `sys_job_log` VALUES (56839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:37:05');
INSERT INTO `sys_job_log` VALUES (56840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:37:10');
INSERT INTO `sys_job_log` VALUES (56841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:37:15');
INSERT INTO `sys_job_log` VALUES (56842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:37:15');
INSERT INTO `sys_job_log` VALUES (56843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:37:20');
INSERT INTO `sys_job_log` VALUES (56844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:37:25');
INSERT INTO `sys_job_log` VALUES (56845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:37:30');
INSERT INTO `sys_job_log` VALUES (56846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:37:30');
INSERT INTO `sys_job_log` VALUES (56847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 07:37:35');
INSERT INTO `sys_job_log` VALUES (56848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:37:40');
INSERT INTO `sys_job_log` VALUES (56849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:37:45');
INSERT INTO `sys_job_log` VALUES (56850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:37:45');
INSERT INTO `sys_job_log` VALUES (56851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:37:50');
INSERT INTO `sys_job_log` VALUES (56852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:37:55');
INSERT INTO `sys_job_log` VALUES (56853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:38:00');
INSERT INTO `sys_job_log` VALUES (56854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:38:00');
INSERT INTO `sys_job_log` VALUES (56855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:38:05');
INSERT INTO `sys_job_log` VALUES (56856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:38:10');
INSERT INTO `sys_job_log` VALUES (56857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:38:15');
INSERT INTO `sys_job_log` VALUES (56858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:38:15');
INSERT INTO `sys_job_log` VALUES (56859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:38:20');
INSERT INTO `sys_job_log` VALUES (56860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:38:25');
INSERT INTO `sys_job_log` VALUES (56861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 07:38:30');
INSERT INTO `sys_job_log` VALUES (56862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 07:38:30');
INSERT INTO `sys_job_log` VALUES (56863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:38:35');
INSERT INTO `sys_job_log` VALUES (56864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:38:40');
INSERT INTO `sys_job_log` VALUES (56865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:38:45');
INSERT INTO `sys_job_log` VALUES (56866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:38:45');
INSERT INTO `sys_job_log` VALUES (56867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:38:50');
INSERT INTO `sys_job_log` VALUES (56868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:38:55');
INSERT INTO `sys_job_log` VALUES (56869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:39:00');
INSERT INTO `sys_job_log` VALUES (56870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:39:00');
INSERT INTO `sys_job_log` VALUES (56871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:39:05');
INSERT INTO `sys_job_log` VALUES (56872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:39:10');
INSERT INTO `sys_job_log` VALUES (56873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:39:15');
INSERT INTO `sys_job_log` VALUES (56874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:39:15');
INSERT INTO `sys_job_log` VALUES (56875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:39:20');
INSERT INTO `sys_job_log` VALUES (56876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:39:25');
INSERT INTO `sys_job_log` VALUES (56877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:39:30');
INSERT INTO `sys_job_log` VALUES (56878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:39:30');
INSERT INTO `sys_job_log` VALUES (56879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:39:35');
INSERT INTO `sys_job_log` VALUES (56880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:39:40');
INSERT INTO `sys_job_log` VALUES (56881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:39:45');
INSERT INTO `sys_job_log` VALUES (56882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:39:45');
INSERT INTO `sys_job_log` VALUES (56883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:39:50');
INSERT INTO `sys_job_log` VALUES (56884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:39:55');
INSERT INTO `sys_job_log` VALUES (56885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:40:00');
INSERT INTO `sys_job_log` VALUES (56886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:40:00');
INSERT INTO `sys_job_log` VALUES (56887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:40:05');
INSERT INTO `sys_job_log` VALUES (56888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:40:10');
INSERT INTO `sys_job_log` VALUES (56889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:15');
INSERT INTO `sys_job_log` VALUES (56890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:15');
INSERT INTO `sys_job_log` VALUES (56891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:40:20');
INSERT INTO `sys_job_log` VALUES (56892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:40:25');
INSERT INTO `sys_job_log` VALUES (56893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:30');
INSERT INTO `sys_job_log` VALUES (56894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:30');
INSERT INTO `sys_job_log` VALUES (56895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:35');
INSERT INTO `sys_job_log` VALUES (56896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:40:40');
INSERT INTO `sys_job_log` VALUES (56897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:45');
INSERT INTO `sys_job_log` VALUES (56898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:40:45');
INSERT INTO `sys_job_log` VALUES (56899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:40:50');
INSERT INTO `sys_job_log` VALUES (56900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:40:55');
INSERT INTO `sys_job_log` VALUES (56901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 07:41:00');
INSERT INTO `sys_job_log` VALUES (56902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 07:41:00');
INSERT INTO `sys_job_log` VALUES (56903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:41:05');
INSERT INTO `sys_job_log` VALUES (56904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:41:10');
INSERT INTO `sys_job_log` VALUES (56905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:41:15');
INSERT INTO `sys_job_log` VALUES (56906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:41:15');
INSERT INTO `sys_job_log` VALUES (56907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:41:20');
INSERT INTO `sys_job_log` VALUES (56908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:41:25');
INSERT INTO `sys_job_log` VALUES (56909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:41:30');
INSERT INTO `sys_job_log` VALUES (56910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:41:30');
INSERT INTO `sys_job_log` VALUES (56911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:41:35');
INSERT INTO `sys_job_log` VALUES (56912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:41:40');
INSERT INTO `sys_job_log` VALUES (56913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:41:45');
INSERT INTO `sys_job_log` VALUES (56914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:41:45');
INSERT INTO `sys_job_log` VALUES (56915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:41:50');
INSERT INTO `sys_job_log` VALUES (56916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:41:55');
INSERT INTO `sys_job_log` VALUES (56917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:42:00');
INSERT INTO `sys_job_log` VALUES (56918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:42:00');
INSERT INTO `sys_job_log` VALUES (56919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:42:05');
INSERT INTO `sys_job_log` VALUES (56920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:42:10');
INSERT INTO `sys_job_log` VALUES (56921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:42:15');
INSERT INTO `sys_job_log` VALUES (56922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:42:15');
INSERT INTO `sys_job_log` VALUES (56923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:42:20');
INSERT INTO `sys_job_log` VALUES (56924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:42:25');
INSERT INTO `sys_job_log` VALUES (56925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:42:30');
INSERT INTO `sys_job_log` VALUES (56926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:42:30');
INSERT INTO `sys_job_log` VALUES (56927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:42:35');
INSERT INTO `sys_job_log` VALUES (56928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:42:40');
INSERT INTO `sys_job_log` VALUES (56929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:42:45');
INSERT INTO `sys_job_log` VALUES (56930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:42:45');
INSERT INTO `sys_job_log` VALUES (56931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:42:50');
INSERT INTO `sys_job_log` VALUES (56932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:42:55');
INSERT INTO `sys_job_log` VALUES (56933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:43:00');
INSERT INTO `sys_job_log` VALUES (56934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:43:00');
INSERT INTO `sys_job_log` VALUES (56935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:43:05');
INSERT INTO `sys_job_log` VALUES (56936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:43:10');
INSERT INTO `sys_job_log` VALUES (56937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:43:15');
INSERT INTO `sys_job_log` VALUES (56938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:43:15');
INSERT INTO `sys_job_log` VALUES (56939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:43:20');
INSERT INTO `sys_job_log` VALUES (56940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:43:25');
INSERT INTO `sys_job_log` VALUES (56941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:43:30');
INSERT INTO `sys_job_log` VALUES (56942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:43:30');
INSERT INTO `sys_job_log` VALUES (56943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:43:35');
INSERT INTO `sys_job_log` VALUES (56944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:43:40');
INSERT INTO `sys_job_log` VALUES (56945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:43:45');
INSERT INTO `sys_job_log` VALUES (56946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:43:45');
INSERT INTO `sys_job_log` VALUES (56947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:43:50');
INSERT INTO `sys_job_log` VALUES (56948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:43:55');
INSERT INTO `sys_job_log` VALUES (56949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:44:00');
INSERT INTO `sys_job_log` VALUES (56950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:44:00');
INSERT INTO `sys_job_log` VALUES (56951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:44:05');
INSERT INTO `sys_job_log` VALUES (56952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:44:10');
INSERT INTO `sys_job_log` VALUES (56953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:44:15');
INSERT INTO `sys_job_log` VALUES (56954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:44:15');
INSERT INTO `sys_job_log` VALUES (56955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:44:20');
INSERT INTO `sys_job_log` VALUES (56956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:44:25');
INSERT INTO `sys_job_log` VALUES (56957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:44:30');
INSERT INTO `sys_job_log` VALUES (56958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:44:30');
INSERT INTO `sys_job_log` VALUES (56959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:44:35');
INSERT INTO `sys_job_log` VALUES (56960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:44:40');
INSERT INTO `sys_job_log` VALUES (56961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:44:45');
INSERT INTO `sys_job_log` VALUES (56962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:44:45');
INSERT INTO `sys_job_log` VALUES (56963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:44:50');
INSERT INTO `sys_job_log` VALUES (56964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:44:55');
INSERT INTO `sys_job_log` VALUES (56965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:00');
INSERT INTO `sys_job_log` VALUES (56966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:00');
INSERT INTO `sys_job_log` VALUES (56967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:45:05');
INSERT INTO `sys_job_log` VALUES (56968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:10');
INSERT INTO `sys_job_log` VALUES (56969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:45:15');
INSERT INTO `sys_job_log` VALUES (56970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:45:15');
INSERT INTO `sys_job_log` VALUES (56971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:20');
INSERT INTO `sys_job_log` VALUES (56972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:45:25');
INSERT INTO `sys_job_log` VALUES (56973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:45:30');
INSERT INTO `sys_job_log` VALUES (56974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:45:30');
INSERT INTO `sys_job_log` VALUES (56975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:35');
INSERT INTO `sys_job_log` VALUES (56976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:40');
INSERT INTO `sys_job_log` VALUES (56977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:45:45');
INSERT INTO `sys_job_log` VALUES (56978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:45:45');
INSERT INTO `sys_job_log` VALUES (56979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:45:50');
INSERT INTO `sys_job_log` VALUES (56980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:45:55');
INSERT INTO `sys_job_log` VALUES (56981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:46:00');
INSERT INTO `sys_job_log` VALUES (56982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:46:00');
INSERT INTO `sys_job_log` VALUES (56983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:46:05');
INSERT INTO `sys_job_log` VALUES (56984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:46:10');
INSERT INTO `sys_job_log` VALUES (56985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:46:15');
INSERT INTO `sys_job_log` VALUES (56986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:46:15');
INSERT INTO `sys_job_log` VALUES (56987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:46:20');
INSERT INTO `sys_job_log` VALUES (56988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:46:25');
INSERT INTO `sys_job_log` VALUES (56989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:46:30');
INSERT INTO `sys_job_log` VALUES (56990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:46:30');
INSERT INTO `sys_job_log` VALUES (56991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:46:35');
INSERT INTO `sys_job_log` VALUES (56992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:46:40');
INSERT INTO `sys_job_log` VALUES (56993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:46:45');
INSERT INTO `sys_job_log` VALUES (56994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:46:45');
INSERT INTO `sys_job_log` VALUES (56995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:46:50');
INSERT INTO `sys_job_log` VALUES (56996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:46:55');
INSERT INTO `sys_job_log` VALUES (56997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:47:00');
INSERT INTO `sys_job_log` VALUES (56998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:47:00');
INSERT INTO `sys_job_log` VALUES (56999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:47:05');
INSERT INTO `sys_job_log` VALUES (57000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:47:10');
INSERT INTO `sys_job_log` VALUES (57001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:47:15');
INSERT INTO `sys_job_log` VALUES (57002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:47:15');
INSERT INTO `sys_job_log` VALUES (57003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:47:20');
INSERT INTO `sys_job_log` VALUES (57004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:47:25');
INSERT INTO `sys_job_log` VALUES (57005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:47:30');
INSERT INTO `sys_job_log` VALUES (57006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 07:47:30');
INSERT INTO `sys_job_log` VALUES (57007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:47:35');
INSERT INTO `sys_job_log` VALUES (57008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:47:40');
INSERT INTO `sys_job_log` VALUES (57009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:47:45');
INSERT INTO `sys_job_log` VALUES (57010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:47:45');
INSERT INTO `sys_job_log` VALUES (57011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:47:50');
INSERT INTO `sys_job_log` VALUES (57012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:47:55');
INSERT INTO `sys_job_log` VALUES (57013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:48:00');
INSERT INTO `sys_job_log` VALUES (57014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:48:00');
INSERT INTO `sys_job_log` VALUES (57015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:48:05');
INSERT INTO `sys_job_log` VALUES (57016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:48:10');
INSERT INTO `sys_job_log` VALUES (57017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 07:48:15');
INSERT INTO `sys_job_log` VALUES (57018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:48:15');
INSERT INTO `sys_job_log` VALUES (57019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:48:20');
INSERT INTO `sys_job_log` VALUES (57020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:48:25');
INSERT INTO `sys_job_log` VALUES (57021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:48:30');
INSERT INTO `sys_job_log` VALUES (57022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:48:30');
INSERT INTO `sys_job_log` VALUES (57023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:48:35');
INSERT INTO `sys_job_log` VALUES (57024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:48:40');
INSERT INTO `sys_job_log` VALUES (57025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:48:45');
INSERT INTO `sys_job_log` VALUES (57026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:48:45');
INSERT INTO `sys_job_log` VALUES (57027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:48:50');
INSERT INTO `sys_job_log` VALUES (57028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:48:55');
INSERT INTO `sys_job_log` VALUES (57029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:49:00');
INSERT INTO `sys_job_log` VALUES (57030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:49:00');
INSERT INTO `sys_job_log` VALUES (57031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:49:05');
INSERT INTO `sys_job_log` VALUES (57032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:49:10');
INSERT INTO `sys_job_log` VALUES (57033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:49:15');
INSERT INTO `sys_job_log` VALUES (57034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:49:15');
INSERT INTO `sys_job_log` VALUES (57035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:49:20');
INSERT INTO `sys_job_log` VALUES (57036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:49:25');
INSERT INTO `sys_job_log` VALUES (57037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:49:30');
INSERT INTO `sys_job_log` VALUES (57038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:49:30');
INSERT INTO `sys_job_log` VALUES (57039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:49:35');
INSERT INTO `sys_job_log` VALUES (57040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:49:40');
INSERT INTO `sys_job_log` VALUES (57041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:49:45');
INSERT INTO `sys_job_log` VALUES (57042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:49:45');
INSERT INTO `sys_job_log` VALUES (57043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:49:50');
INSERT INTO `sys_job_log` VALUES (57044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:49:55');
INSERT INTO `sys_job_log` VALUES (57045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:50:00');
INSERT INTO `sys_job_log` VALUES (57046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:50:00');
INSERT INTO `sys_job_log` VALUES (57047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:50:05');
INSERT INTO `sys_job_log` VALUES (57048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:50:10');
INSERT INTO `sys_job_log` VALUES (57049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:50:15');
INSERT INTO `sys_job_log` VALUES (57050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:50:15');
INSERT INTO `sys_job_log` VALUES (57051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:50:20');
INSERT INTO `sys_job_log` VALUES (57052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:50:25');
INSERT INTO `sys_job_log` VALUES (57053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:50:30');
INSERT INTO `sys_job_log` VALUES (57054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:50:30');
INSERT INTO `sys_job_log` VALUES (57055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:50:35');
INSERT INTO `sys_job_log` VALUES (57056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:50:40');
INSERT INTO `sys_job_log` VALUES (57057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:50:45');
INSERT INTO `sys_job_log` VALUES (57058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:50:45');
INSERT INTO `sys_job_log` VALUES (57059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:50:50');
INSERT INTO `sys_job_log` VALUES (57060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:50:55');
INSERT INTO `sys_job_log` VALUES (57061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:51:00');
INSERT INTO `sys_job_log` VALUES (57062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:51:00');
INSERT INTO `sys_job_log` VALUES (57063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:51:05');
INSERT INTO `sys_job_log` VALUES (57064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:51:10');
INSERT INTO `sys_job_log` VALUES (57065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:51:15');
INSERT INTO `sys_job_log` VALUES (57066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 07:51:15');
INSERT INTO `sys_job_log` VALUES (57067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:51:20');
INSERT INTO `sys_job_log` VALUES (57068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:51:25');
INSERT INTO `sys_job_log` VALUES (57069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:51:30');
INSERT INTO `sys_job_log` VALUES (57070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:51:30');
INSERT INTO `sys_job_log` VALUES (57071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:51:35');
INSERT INTO `sys_job_log` VALUES (57072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:51:40');
INSERT INTO `sys_job_log` VALUES (57073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:51:45');
INSERT INTO `sys_job_log` VALUES (57074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:51:45');
INSERT INTO `sys_job_log` VALUES (57075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:51:50');
INSERT INTO `sys_job_log` VALUES (57076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:51:55');
INSERT INTO `sys_job_log` VALUES (57077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:52:00');
INSERT INTO `sys_job_log` VALUES (57078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:52:00');
INSERT INTO `sys_job_log` VALUES (57079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:52:05');
INSERT INTO `sys_job_log` VALUES (57080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:52:10');
INSERT INTO `sys_job_log` VALUES (57081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:52:15');
INSERT INTO `sys_job_log` VALUES (57082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:52:15');
INSERT INTO `sys_job_log` VALUES (57083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:52:20');
INSERT INTO `sys_job_log` VALUES (57084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:52:25');
INSERT INTO `sys_job_log` VALUES (57085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:52:30');
INSERT INTO `sys_job_log` VALUES (57086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:52:30');
INSERT INTO `sys_job_log` VALUES (57087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:52:35');
INSERT INTO `sys_job_log` VALUES (57088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:52:40');
INSERT INTO `sys_job_log` VALUES (57089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:52:45');
INSERT INTO `sys_job_log` VALUES (57090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:52:45');
INSERT INTO `sys_job_log` VALUES (57091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:52:50');
INSERT INTO `sys_job_log` VALUES (57092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:52:55');
INSERT INTO `sys_job_log` VALUES (57093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:53:00');
INSERT INTO `sys_job_log` VALUES (57094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:53:00');
INSERT INTO `sys_job_log` VALUES (57095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:53:05');
INSERT INTO `sys_job_log` VALUES (57096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:53:10');
INSERT INTO `sys_job_log` VALUES (57097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:53:15');
INSERT INTO `sys_job_log` VALUES (57098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:53:15');
INSERT INTO `sys_job_log` VALUES (57099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:53:20');
INSERT INTO `sys_job_log` VALUES (57100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:53:25');
INSERT INTO `sys_job_log` VALUES (57101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:53:30');
INSERT INTO `sys_job_log` VALUES (57102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:53:30');
INSERT INTO `sys_job_log` VALUES (57103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:53:35');
INSERT INTO `sys_job_log` VALUES (57104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:53:40');
INSERT INTO `sys_job_log` VALUES (57105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:53:45');
INSERT INTO `sys_job_log` VALUES (57106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:53:45');
INSERT INTO `sys_job_log` VALUES (57107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:53:50');
INSERT INTO `sys_job_log` VALUES (57108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:53:55');
INSERT INTO `sys_job_log` VALUES (57109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:00');
INSERT INTO `sys_job_log` VALUES (57110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:00');
INSERT INTO `sys_job_log` VALUES (57111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 07:54:05');
INSERT INTO `sys_job_log` VALUES (57112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:10');
INSERT INTO `sys_job_log` VALUES (57113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:54:15');
INSERT INTO `sys_job_log` VALUES (57114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:54:15');
INSERT INTO `sys_job_log` VALUES (57115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:20');
INSERT INTO `sys_job_log` VALUES (57116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:54:25');
INSERT INTO `sys_job_log` VALUES (57117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:30');
INSERT INTO `sys_job_log` VALUES (57118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:30');
INSERT INTO `sys_job_log` VALUES (57119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:54:35');
INSERT INTO `sys_job_log` VALUES (57120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:54:40');
INSERT INTO `sys_job_log` VALUES (57121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:54:45');
INSERT INTO `sys_job_log` VALUES (57122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 07:54:45');
INSERT INTO `sys_job_log` VALUES (57123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:54:50');
INSERT INTO `sys_job_log` VALUES (57124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:54:55');
INSERT INTO `sys_job_log` VALUES (57125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:55:00');
INSERT INTO `sys_job_log` VALUES (57126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:55:00');
INSERT INTO `sys_job_log` VALUES (57127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:05');
INSERT INTO `sys_job_log` VALUES (57128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:55:10');
INSERT INTO `sys_job_log` VALUES (57129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:15');
INSERT INTO `sys_job_log` VALUES (57130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:55:15');
INSERT INTO `sys_job_log` VALUES (57131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:55:20');
INSERT INTO `sys_job_log` VALUES (57132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:55:25');
INSERT INTO `sys_job_log` VALUES (57133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:30');
INSERT INTO `sys_job_log` VALUES (57134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:30');
INSERT INTO `sys_job_log` VALUES (57135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:55:35');
INSERT INTO `sys_job_log` VALUES (57136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:55:40');
INSERT INTO `sys_job_log` VALUES (57137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:45');
INSERT INTO `sys_job_log` VALUES (57138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:45');
INSERT INTO `sys_job_log` VALUES (57139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:55:50');
INSERT INTO `sys_job_log` VALUES (57140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:55:55');
INSERT INTO `sys_job_log` VALUES (57141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:56:00');
INSERT INTO `sys_job_log` VALUES (57142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:56:00');
INSERT INTO `sys_job_log` VALUES (57143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:56:05');
INSERT INTO `sys_job_log` VALUES (57144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:56:10');
INSERT INTO `sys_job_log` VALUES (57145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:56:15');
INSERT INTO `sys_job_log` VALUES (57146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:56:15');
INSERT INTO `sys_job_log` VALUES (57147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:56:20');
INSERT INTO `sys_job_log` VALUES (57148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:56:25');
INSERT INTO `sys_job_log` VALUES (57149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:56:30');
INSERT INTO `sys_job_log` VALUES (57150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:56:30');
INSERT INTO `sys_job_log` VALUES (57151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:56:35');
INSERT INTO `sys_job_log` VALUES (57152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:56:40');
INSERT INTO `sys_job_log` VALUES (57153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:56:45');
INSERT INTO `sys_job_log` VALUES (57154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:56:45');
INSERT INTO `sys_job_log` VALUES (57155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:56:50');
INSERT INTO `sys_job_log` VALUES (57156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:56:55');
INSERT INTO `sys_job_log` VALUES (57157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 07:57:00');
INSERT INTO `sys_job_log` VALUES (57158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:57:00');
INSERT INTO `sys_job_log` VALUES (57159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:57:05');
INSERT INTO `sys_job_log` VALUES (57160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:57:10');
INSERT INTO `sys_job_log` VALUES (57161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:57:15');
INSERT INTO `sys_job_log` VALUES (57162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:57:15');
INSERT INTO `sys_job_log` VALUES (57163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:57:20');
INSERT INTO `sys_job_log` VALUES (57164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:57:25');
INSERT INTO `sys_job_log` VALUES (57165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 07:57:30');
INSERT INTO `sys_job_log` VALUES (57166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 07:57:30');
INSERT INTO `sys_job_log` VALUES (57167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:57:35');
INSERT INTO `sys_job_log` VALUES (57168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:57:40');
INSERT INTO `sys_job_log` VALUES (57169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:57:45');
INSERT INTO `sys_job_log` VALUES (57170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:57:45');
INSERT INTO `sys_job_log` VALUES (57171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:57:50');
INSERT INTO `sys_job_log` VALUES (57172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:57:55');
INSERT INTO `sys_job_log` VALUES (57173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:58:00');
INSERT INTO `sys_job_log` VALUES (57174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:58:00');
INSERT INTO `sys_job_log` VALUES (57175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:58:05');
INSERT INTO `sys_job_log` VALUES (57176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:58:10');
INSERT INTO `sys_job_log` VALUES (57177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:58:15');
INSERT INTO `sys_job_log` VALUES (57178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:58:15');
INSERT INTO `sys_job_log` VALUES (57179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:58:20');
INSERT INTO `sys_job_log` VALUES (57180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:58:25');
INSERT INTO `sys_job_log` VALUES (57181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 07:58:30');
INSERT INTO `sys_job_log` VALUES (57182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:58:30');
INSERT INTO `sys_job_log` VALUES (57183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:58:35');
INSERT INTO `sys_job_log` VALUES (57184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:58:40');
INSERT INTO `sys_job_log` VALUES (57185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 07:58:45');
INSERT INTO `sys_job_log` VALUES (57186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 07:58:45');
INSERT INTO `sys_job_log` VALUES (57187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:58:50');
INSERT INTO `sys_job_log` VALUES (57188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 07:58:55');
INSERT INTO `sys_job_log` VALUES (57189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 07:59:00');
INSERT INTO `sys_job_log` VALUES (57190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:59:00');
INSERT INTO `sys_job_log` VALUES (57191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:59:05');
INSERT INTO `sys_job_log` VALUES (57192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:59:10');
INSERT INTO `sys_job_log` VALUES (57193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:59:15');
INSERT INTO `sys_job_log` VALUES (57194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 07:59:15');
INSERT INTO `sys_job_log` VALUES (57195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 07:59:20');
INSERT INTO `sys_job_log` VALUES (57196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:59:25');
INSERT INTO `sys_job_log` VALUES (57197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 07:59:30');
INSERT INTO `sys_job_log` VALUES (57198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 07:59:30');
INSERT INTO `sys_job_log` VALUES (57199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 07:59:35');
INSERT INTO `sys_job_log` VALUES (57200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 07:59:40');
INSERT INTO `sys_job_log` VALUES (57201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:59:45');
INSERT INTO `sys_job_log` VALUES (57202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 07:59:45');
INSERT INTO `sys_job_log` VALUES (57203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 07:59:50');
INSERT INTO `sys_job_log` VALUES (57204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 07:59:55');
INSERT INTO `sys_job_log` VALUES (57205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:00:00');
INSERT INTO `sys_job_log` VALUES (57206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:00:00');
INSERT INTO `sys_job_log` VALUES (57207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:00:05');
INSERT INTO `sys_job_log` VALUES (57208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:00:10');
INSERT INTO `sys_job_log` VALUES (57209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:00:15');
INSERT INTO `sys_job_log` VALUES (57210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:00:15');
INSERT INTO `sys_job_log` VALUES (57211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:00:20');
INSERT INTO `sys_job_log` VALUES (57212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:00:25');
INSERT INTO `sys_job_log` VALUES (57213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:00:30');
INSERT INTO `sys_job_log` VALUES (57214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:00:30');
INSERT INTO `sys_job_log` VALUES (57215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:00:35');
INSERT INTO `sys_job_log` VALUES (57216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:00:40');
INSERT INTO `sys_job_log` VALUES (57217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:00:45');
INSERT INTO `sys_job_log` VALUES (57218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:00:45');
INSERT INTO `sys_job_log` VALUES (57219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:00:50');
INSERT INTO `sys_job_log` VALUES (57220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:00:55');
INSERT INTO `sys_job_log` VALUES (57221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:01:00');
INSERT INTO `sys_job_log` VALUES (57222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:01:00');
INSERT INTO `sys_job_log` VALUES (57223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:01:05');
INSERT INTO `sys_job_log` VALUES (57224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:01:10');
INSERT INTO `sys_job_log` VALUES (57225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:01:15');
INSERT INTO `sys_job_log` VALUES (57226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:01:15');
INSERT INTO `sys_job_log` VALUES (57227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:01:20');
INSERT INTO `sys_job_log` VALUES (57228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:01:25');
INSERT INTO `sys_job_log` VALUES (57229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:01:30');
INSERT INTO `sys_job_log` VALUES (57230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:01:30');
INSERT INTO `sys_job_log` VALUES (57231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:01:35');
INSERT INTO `sys_job_log` VALUES (57232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:01:40');
INSERT INTO `sys_job_log` VALUES (57233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:01:45');
INSERT INTO `sys_job_log` VALUES (57234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:01:45');
INSERT INTO `sys_job_log` VALUES (57235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:01:50');
INSERT INTO `sys_job_log` VALUES (57236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:01:55');
INSERT INTO `sys_job_log` VALUES (57237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:02:00');
INSERT INTO `sys_job_log` VALUES (57238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:02:00');
INSERT INTO `sys_job_log` VALUES (57239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:02:05');
INSERT INTO `sys_job_log` VALUES (57240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:02:10');
INSERT INTO `sys_job_log` VALUES (57241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:02:15');
INSERT INTO `sys_job_log` VALUES (57242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:02:15');
INSERT INTO `sys_job_log` VALUES (57243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:02:20');
INSERT INTO `sys_job_log` VALUES (57244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:02:25');
INSERT INTO `sys_job_log` VALUES (57245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:02:30');
INSERT INTO `sys_job_log` VALUES (57246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:02:30');
INSERT INTO `sys_job_log` VALUES (57247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:02:35');
INSERT INTO `sys_job_log` VALUES (57248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:02:40');
INSERT INTO `sys_job_log` VALUES (57249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:02:45');
INSERT INTO `sys_job_log` VALUES (57250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:02:45');
INSERT INTO `sys_job_log` VALUES (57251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:02:50');
INSERT INTO `sys_job_log` VALUES (57252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:02:55');
INSERT INTO `sys_job_log` VALUES (57253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:03:00');
INSERT INTO `sys_job_log` VALUES (57254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:03:00');
INSERT INTO `sys_job_log` VALUES (57255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:03:05');
INSERT INTO `sys_job_log` VALUES (57256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:03:10');
INSERT INTO `sys_job_log` VALUES (57257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:03:15');
INSERT INTO `sys_job_log` VALUES (57258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:03:15');
INSERT INTO `sys_job_log` VALUES (57259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:03:20');
INSERT INTO `sys_job_log` VALUES (57260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:03:25');
INSERT INTO `sys_job_log` VALUES (57261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:03:30');
INSERT INTO `sys_job_log` VALUES (57262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:03:30');
INSERT INTO `sys_job_log` VALUES (57263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:03:35');
INSERT INTO `sys_job_log` VALUES (57264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:03:40');
INSERT INTO `sys_job_log` VALUES (57265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:03:45');
INSERT INTO `sys_job_log` VALUES (57266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:03:45');
INSERT INTO `sys_job_log` VALUES (57267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:03:50');
INSERT INTO `sys_job_log` VALUES (57268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:03:55');
INSERT INTO `sys_job_log` VALUES (57269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:04:00');
INSERT INTO `sys_job_log` VALUES (57270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:04:00');
INSERT INTO `sys_job_log` VALUES (57271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:04:05');
INSERT INTO `sys_job_log` VALUES (57272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:04:10');
INSERT INTO `sys_job_log` VALUES (57273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:04:15');
INSERT INTO `sys_job_log` VALUES (57274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:04:15');
INSERT INTO `sys_job_log` VALUES (57275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:04:20');
INSERT INTO `sys_job_log` VALUES (57276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:04:25');
INSERT INTO `sys_job_log` VALUES (57277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:04:30');
INSERT INTO `sys_job_log` VALUES (57278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:04:30');
INSERT INTO `sys_job_log` VALUES (57279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:04:35');
INSERT INTO `sys_job_log` VALUES (57280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:04:40');
INSERT INTO `sys_job_log` VALUES (57281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:04:45');
INSERT INTO `sys_job_log` VALUES (57282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:04:45');
INSERT INTO `sys_job_log` VALUES (57283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:04:50');
INSERT INTO `sys_job_log` VALUES (57284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:04:55');
INSERT INTO `sys_job_log` VALUES (57285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:05:00');
INSERT INTO `sys_job_log` VALUES (57286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:05:00');
INSERT INTO `sys_job_log` VALUES (57287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:05:05');
INSERT INTO `sys_job_log` VALUES (57288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:05:10');
INSERT INTO `sys_job_log` VALUES (57289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:05:15');
INSERT INTO `sys_job_log` VALUES (57290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:05:15');
INSERT INTO `sys_job_log` VALUES (57291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:05:20');
INSERT INTO `sys_job_log` VALUES (57292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:05:25');
INSERT INTO `sys_job_log` VALUES (57293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:05:30');
INSERT INTO `sys_job_log` VALUES (57294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:05:30');
INSERT INTO `sys_job_log` VALUES (57295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:05:35');
INSERT INTO `sys_job_log` VALUES (57296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:05:40');
INSERT INTO `sys_job_log` VALUES (57297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:05:45');
INSERT INTO `sys_job_log` VALUES (57298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:05:45');
INSERT INTO `sys_job_log` VALUES (57299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:05:50');
INSERT INTO `sys_job_log` VALUES (57300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 08:05:55');
INSERT INTO `sys_job_log` VALUES (57301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:06:00');
INSERT INTO `sys_job_log` VALUES (57302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:06:00');
INSERT INTO `sys_job_log` VALUES (57303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:06:05');
INSERT INTO `sys_job_log` VALUES (57304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:06:10');
INSERT INTO `sys_job_log` VALUES (57305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:06:15');
INSERT INTO `sys_job_log` VALUES (57306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:06:15');
INSERT INTO `sys_job_log` VALUES (57307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:06:20');
INSERT INTO `sys_job_log` VALUES (57308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:06:25');
INSERT INTO `sys_job_log` VALUES (57309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:06:30');
INSERT INTO `sys_job_log` VALUES (57310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:06:30');
INSERT INTO `sys_job_log` VALUES (57311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:06:35');
INSERT INTO `sys_job_log` VALUES (57312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:06:40');
INSERT INTO `sys_job_log` VALUES (57313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:06:45');
INSERT INTO `sys_job_log` VALUES (57314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:06:45');
INSERT INTO `sys_job_log` VALUES (57315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:06:50');
INSERT INTO `sys_job_log` VALUES (57316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:06:55');
INSERT INTO `sys_job_log` VALUES (57317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:07:00');
INSERT INTO `sys_job_log` VALUES (57318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:07:00');
INSERT INTO `sys_job_log` VALUES (57319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:07:05');
INSERT INTO `sys_job_log` VALUES (57320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:07:10');
INSERT INTO `sys_job_log` VALUES (57321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:07:15');
INSERT INTO `sys_job_log` VALUES (57322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:07:15');
INSERT INTO `sys_job_log` VALUES (57323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:07:20');
INSERT INTO `sys_job_log` VALUES (57324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:07:25');
INSERT INTO `sys_job_log` VALUES (57325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:07:30');
INSERT INTO `sys_job_log` VALUES (57326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:07:30');
INSERT INTO `sys_job_log` VALUES (57327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:07:35');
INSERT INTO `sys_job_log` VALUES (57328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:07:40');
INSERT INTO `sys_job_log` VALUES (57329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:07:45');
INSERT INTO `sys_job_log` VALUES (57330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:07:45');
INSERT INTO `sys_job_log` VALUES (57331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:07:50');
INSERT INTO `sys_job_log` VALUES (57332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:07:55');
INSERT INTO `sys_job_log` VALUES (57333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:08:00');
INSERT INTO `sys_job_log` VALUES (57334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:08:00');
INSERT INTO `sys_job_log` VALUES (57335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:08:05');
INSERT INTO `sys_job_log` VALUES (57336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:08:10');
INSERT INTO `sys_job_log` VALUES (57337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:08:15');
INSERT INTO `sys_job_log` VALUES (57338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:08:15');
INSERT INTO `sys_job_log` VALUES (57339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:08:20');
INSERT INTO `sys_job_log` VALUES (57340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:08:25');
INSERT INTO `sys_job_log` VALUES (57341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:08:30');
INSERT INTO `sys_job_log` VALUES (57342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:08:30');
INSERT INTO `sys_job_log` VALUES (57343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:08:35');
INSERT INTO `sys_job_log` VALUES (57344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:08:40');
INSERT INTO `sys_job_log` VALUES (57345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:08:45');
INSERT INTO `sys_job_log` VALUES (57346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:08:45');
INSERT INTO `sys_job_log` VALUES (57347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:08:50');
INSERT INTO `sys_job_log` VALUES (57348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:08:55');
INSERT INTO `sys_job_log` VALUES (57349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:09:00');
INSERT INTO `sys_job_log` VALUES (57350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:09:00');
INSERT INTO `sys_job_log` VALUES (57351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:09:05');
INSERT INTO `sys_job_log` VALUES (57352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:09:10');
INSERT INTO `sys_job_log` VALUES (57353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 08:09:15');
INSERT INTO `sys_job_log` VALUES (57354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 08:09:15');
INSERT INTO `sys_job_log` VALUES (57355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:09:20');
INSERT INTO `sys_job_log` VALUES (57356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:09:25');
INSERT INTO `sys_job_log` VALUES (57357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:09:30');
INSERT INTO `sys_job_log` VALUES (57358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:09:30');
INSERT INTO `sys_job_log` VALUES (57359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:09:35');
INSERT INTO `sys_job_log` VALUES (57360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:09:40');
INSERT INTO `sys_job_log` VALUES (57361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:09:45');
INSERT INTO `sys_job_log` VALUES (57362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:09:45');
INSERT INTO `sys_job_log` VALUES (57363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:09:50');
INSERT INTO `sys_job_log` VALUES (57364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:09:55');
INSERT INTO `sys_job_log` VALUES (57365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:10:00');
INSERT INTO `sys_job_log` VALUES (57366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:10:00');
INSERT INTO `sys_job_log` VALUES (57367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:10:05');
INSERT INTO `sys_job_log` VALUES (57368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:10:10');
INSERT INTO `sys_job_log` VALUES (57369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:10:15');
INSERT INTO `sys_job_log` VALUES (57370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:10:15');
INSERT INTO `sys_job_log` VALUES (57371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:10:20');
INSERT INTO `sys_job_log` VALUES (57372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:10:25');
INSERT INTO `sys_job_log` VALUES (57373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:10:30');
INSERT INTO `sys_job_log` VALUES (57374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:10:30');
INSERT INTO `sys_job_log` VALUES (57375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:10:35');
INSERT INTO `sys_job_log` VALUES (57376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:10:40');
INSERT INTO `sys_job_log` VALUES (57377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:10:45');
INSERT INTO `sys_job_log` VALUES (57378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:10:45');
INSERT INTO `sys_job_log` VALUES (57379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:10:50');
INSERT INTO `sys_job_log` VALUES (57380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:10:55');
INSERT INTO `sys_job_log` VALUES (57381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:11:00');
INSERT INTO `sys_job_log` VALUES (57382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:11:00');
INSERT INTO `sys_job_log` VALUES (57383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:11:05');
INSERT INTO `sys_job_log` VALUES (57384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:11:10');
INSERT INTO `sys_job_log` VALUES (57385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:11:15');
INSERT INTO `sys_job_log` VALUES (57386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:11:15');
INSERT INTO `sys_job_log` VALUES (57387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:11:20');
INSERT INTO `sys_job_log` VALUES (57388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 08:11:25');
INSERT INTO `sys_job_log` VALUES (57389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:11:30');
INSERT INTO `sys_job_log` VALUES (57390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:11:30');
INSERT INTO `sys_job_log` VALUES (57391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:11:35');
INSERT INTO `sys_job_log` VALUES (57392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:11:40');
INSERT INTO `sys_job_log` VALUES (57393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:11:45');
INSERT INTO `sys_job_log` VALUES (57394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:11:45');
INSERT INTO `sys_job_log` VALUES (57395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:11:50');
INSERT INTO `sys_job_log` VALUES (57396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:11:55');
INSERT INTO `sys_job_log` VALUES (57397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:12:00');
INSERT INTO `sys_job_log` VALUES (57398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:12:00');
INSERT INTO `sys_job_log` VALUES (57399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:12:05');
INSERT INTO `sys_job_log` VALUES (57400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:12:10');
INSERT INTO `sys_job_log` VALUES (57401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:12:15');
INSERT INTO `sys_job_log` VALUES (57402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 08:12:15');
INSERT INTO `sys_job_log` VALUES (57403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:12:20');
INSERT INTO `sys_job_log` VALUES (57404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:12:25');
INSERT INTO `sys_job_log` VALUES (57405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:12:30');
INSERT INTO `sys_job_log` VALUES (57406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:12:30');
INSERT INTO `sys_job_log` VALUES (57407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:12:35');
INSERT INTO `sys_job_log` VALUES (57408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:12:40');
INSERT INTO `sys_job_log` VALUES (57409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:12:45');
INSERT INTO `sys_job_log` VALUES (57410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:12:45');
INSERT INTO `sys_job_log` VALUES (57411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:12:50');
INSERT INTO `sys_job_log` VALUES (57412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:12:55');
INSERT INTO `sys_job_log` VALUES (57413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:00');
INSERT INTO `sys_job_log` VALUES (57414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:00');
INSERT INTO `sys_job_log` VALUES (57415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:13:05');
INSERT INTO `sys_job_log` VALUES (57416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:13:10');
INSERT INTO `sys_job_log` VALUES (57417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:15');
INSERT INTO `sys_job_log` VALUES (57418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:15');
INSERT INTO `sys_job_log` VALUES (57419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:13:20');
INSERT INTO `sys_job_log` VALUES (57420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:13:25');
INSERT INTO `sys_job_log` VALUES (57421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:13:30');
INSERT INTO `sys_job_log` VALUES (57422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:13:30');
INSERT INTO `sys_job_log` VALUES (57423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:13:35');
INSERT INTO `sys_job_log` VALUES (57424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:13:40');
INSERT INTO `sys_job_log` VALUES (57425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:45');
INSERT INTO `sys_job_log` VALUES (57426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:45');
INSERT INTO `sys_job_log` VALUES (57427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:13:50');
INSERT INTO `sys_job_log` VALUES (57428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:13:55');
INSERT INTO `sys_job_log` VALUES (57429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 08:14:00');
INSERT INTO `sys_job_log` VALUES (57430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:14:00');
INSERT INTO `sys_job_log` VALUES (57431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:14:05');
INSERT INTO `sys_job_log` VALUES (57432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:14:10');
INSERT INTO `sys_job_log` VALUES (57433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:14:15');
INSERT INTO `sys_job_log` VALUES (57434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:14:15');
INSERT INTO `sys_job_log` VALUES (57435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:14:20');
INSERT INTO `sys_job_log` VALUES (57436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:14:25');
INSERT INTO `sys_job_log` VALUES (57437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:14:30');
INSERT INTO `sys_job_log` VALUES (57438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:14:30');
INSERT INTO `sys_job_log` VALUES (57439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:14:35');
INSERT INTO `sys_job_log` VALUES (57440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:14:40');
INSERT INTO `sys_job_log` VALUES (57441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:14:45');
INSERT INTO `sys_job_log` VALUES (57442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:14:45');
INSERT INTO `sys_job_log` VALUES (57443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:14:50');
INSERT INTO `sys_job_log` VALUES (57444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:14:55');
INSERT INTO `sys_job_log` VALUES (57445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:15:00');
INSERT INTO `sys_job_log` VALUES (57446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:15:00');
INSERT INTO `sys_job_log` VALUES (57447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:15:05');
INSERT INTO `sys_job_log` VALUES (57448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:15:10');
INSERT INTO `sys_job_log` VALUES (57449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:15:15');
INSERT INTO `sys_job_log` VALUES (57450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:15:15');
INSERT INTO `sys_job_log` VALUES (57451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:15:20');
INSERT INTO `sys_job_log` VALUES (57452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:15:25');
INSERT INTO `sys_job_log` VALUES (57453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:15:30');
INSERT INTO `sys_job_log` VALUES (57454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:15:30');
INSERT INTO `sys_job_log` VALUES (57455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:15:35');
INSERT INTO `sys_job_log` VALUES (57456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:15:40');
INSERT INTO `sys_job_log` VALUES (57457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:15:45');
INSERT INTO `sys_job_log` VALUES (57458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:15:45');
INSERT INTO `sys_job_log` VALUES (57459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:15:50');
INSERT INTO `sys_job_log` VALUES (57460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:15:55');
INSERT INTO `sys_job_log` VALUES (57461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:16:00');
INSERT INTO `sys_job_log` VALUES (57462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:16:00');
INSERT INTO `sys_job_log` VALUES (57463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:16:05');
INSERT INTO `sys_job_log` VALUES (57464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:16:10');
INSERT INTO `sys_job_log` VALUES (57465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:16:15');
INSERT INTO `sys_job_log` VALUES (57466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:16:15');
INSERT INTO `sys_job_log` VALUES (57467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:16:20');
INSERT INTO `sys_job_log` VALUES (57468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 08:16:25');
INSERT INTO `sys_job_log` VALUES (57469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:16:30');
INSERT INTO `sys_job_log` VALUES (57470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:16:30');
INSERT INTO `sys_job_log` VALUES (57471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:16:35');
INSERT INTO `sys_job_log` VALUES (57472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:16:40');
INSERT INTO `sys_job_log` VALUES (57473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:16:45');
INSERT INTO `sys_job_log` VALUES (57474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:16:45');
INSERT INTO `sys_job_log` VALUES (57475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:16:50');
INSERT INTO `sys_job_log` VALUES (57476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:16:55');
INSERT INTO `sys_job_log` VALUES (57477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:17:00');
INSERT INTO `sys_job_log` VALUES (57478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:17:00');
INSERT INTO `sys_job_log` VALUES (57479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:17:05');
INSERT INTO `sys_job_log` VALUES (57480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:17:10');
INSERT INTO `sys_job_log` VALUES (57481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:17:15');
INSERT INTO `sys_job_log` VALUES (57482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:17:15');
INSERT INTO `sys_job_log` VALUES (57483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:17:20');
INSERT INTO `sys_job_log` VALUES (57484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:17:25');
INSERT INTO `sys_job_log` VALUES (57485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:17:30');
INSERT INTO `sys_job_log` VALUES (57486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:17:30');
INSERT INTO `sys_job_log` VALUES (57487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:17:35');
INSERT INTO `sys_job_log` VALUES (57488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:17:40');
INSERT INTO `sys_job_log` VALUES (57489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:17:45');
INSERT INTO `sys_job_log` VALUES (57490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:17:45');
INSERT INTO `sys_job_log` VALUES (57491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:17:50');
INSERT INTO `sys_job_log` VALUES (57492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:17:55');
INSERT INTO `sys_job_log` VALUES (57493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:18:00');
INSERT INTO `sys_job_log` VALUES (57494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:18:00');
INSERT INTO `sys_job_log` VALUES (57495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:18:05');
INSERT INTO `sys_job_log` VALUES (57496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:18:10');
INSERT INTO `sys_job_log` VALUES (57497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:18:15');
INSERT INTO `sys_job_log` VALUES (57498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:18:15');
INSERT INTO `sys_job_log` VALUES (57499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:18:20');
INSERT INTO `sys_job_log` VALUES (57500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:18:25');
INSERT INTO `sys_job_log` VALUES (57501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:18:30');
INSERT INTO `sys_job_log` VALUES (57502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:18:30');
INSERT INTO `sys_job_log` VALUES (57503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:18:35');
INSERT INTO `sys_job_log` VALUES (57504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:18:40');
INSERT INTO `sys_job_log` VALUES (57505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:18:45');
INSERT INTO `sys_job_log` VALUES (57506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:18:45');
INSERT INTO `sys_job_log` VALUES (57507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:18:50');
INSERT INTO `sys_job_log` VALUES (57508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:18:55');
INSERT INTO `sys_job_log` VALUES (57509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:19:00');
INSERT INTO `sys_job_log` VALUES (57510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:19:00');
INSERT INTO `sys_job_log` VALUES (57511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:19:05');
INSERT INTO `sys_job_log` VALUES (57512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:19:10');
INSERT INTO `sys_job_log` VALUES (57513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:19:15');
INSERT INTO `sys_job_log` VALUES (57514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:19:15');
INSERT INTO `sys_job_log` VALUES (57515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:19:20');
INSERT INTO `sys_job_log` VALUES (57516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:19:25');
INSERT INTO `sys_job_log` VALUES (57517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:19:30');
INSERT INTO `sys_job_log` VALUES (57518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:19:30');
INSERT INTO `sys_job_log` VALUES (57519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:19:35');
INSERT INTO `sys_job_log` VALUES (57520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:19:40');
INSERT INTO `sys_job_log` VALUES (57521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:19:45');
INSERT INTO `sys_job_log` VALUES (57522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:19:45');
INSERT INTO `sys_job_log` VALUES (57523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:19:50');
INSERT INTO `sys_job_log` VALUES (57524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:19:55');
INSERT INTO `sys_job_log` VALUES (57525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 08:20:00');
INSERT INTO `sys_job_log` VALUES (57526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:20:00');
INSERT INTO `sys_job_log` VALUES (57527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:20:05');
INSERT INTO `sys_job_log` VALUES (57528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:20:10');
INSERT INTO `sys_job_log` VALUES (57529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:20:15');
INSERT INTO `sys_job_log` VALUES (57530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:20:15');
INSERT INTO `sys_job_log` VALUES (57531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:20:20');
INSERT INTO `sys_job_log` VALUES (57532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:20:25');
INSERT INTO `sys_job_log` VALUES (57533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:20:30');
INSERT INTO `sys_job_log` VALUES (57534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:20:30');
INSERT INTO `sys_job_log` VALUES (57535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:20:35');
INSERT INTO `sys_job_log` VALUES (57536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:20:40');
INSERT INTO `sys_job_log` VALUES (57537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:20:45');
INSERT INTO `sys_job_log` VALUES (57538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:20:45');
INSERT INTO `sys_job_log` VALUES (57539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:20:50');
INSERT INTO `sys_job_log` VALUES (57540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:20:55');
INSERT INTO `sys_job_log` VALUES (57541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:21:00');
INSERT INTO `sys_job_log` VALUES (57542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 08:21:00');
INSERT INTO `sys_job_log` VALUES (57543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:21:05');
INSERT INTO `sys_job_log` VALUES (57544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:21:10');
INSERT INTO `sys_job_log` VALUES (57545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:21:15');
INSERT INTO `sys_job_log` VALUES (57546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:21:15');
INSERT INTO `sys_job_log` VALUES (57547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:21:20');
INSERT INTO `sys_job_log` VALUES (57548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:21:25');
INSERT INTO `sys_job_log` VALUES (57549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:21:30');
INSERT INTO `sys_job_log` VALUES (57550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:21:30');
INSERT INTO `sys_job_log` VALUES (57551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:21:35');
INSERT INTO `sys_job_log` VALUES (57552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:21:40');
INSERT INTO `sys_job_log` VALUES (57553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:21:45');
INSERT INTO `sys_job_log` VALUES (57554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:21:45');
INSERT INTO `sys_job_log` VALUES (57555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:21:50');
INSERT INTO `sys_job_log` VALUES (57556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:21:55');
INSERT INTO `sys_job_log` VALUES (57557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:22:00');
INSERT INTO `sys_job_log` VALUES (57558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:22:00');
INSERT INTO `sys_job_log` VALUES (57559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:22:05');
INSERT INTO `sys_job_log` VALUES (57560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:22:10');
INSERT INTO `sys_job_log` VALUES (57561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:22:15');
INSERT INTO `sys_job_log` VALUES (57562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:22:15');
INSERT INTO `sys_job_log` VALUES (57563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:22:20');
INSERT INTO `sys_job_log` VALUES (57564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:22:25');
INSERT INTO `sys_job_log` VALUES (57565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:22:30');
INSERT INTO `sys_job_log` VALUES (57566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:22:30');
INSERT INTO `sys_job_log` VALUES (57567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:22:35');
INSERT INTO `sys_job_log` VALUES (57568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:22:40');
INSERT INTO `sys_job_log` VALUES (57569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:22:45');
INSERT INTO `sys_job_log` VALUES (57570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:22:45');
INSERT INTO `sys_job_log` VALUES (57571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:22:50');
INSERT INTO `sys_job_log` VALUES (57572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:22:55');
INSERT INTO `sys_job_log` VALUES (57573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:23:00');
INSERT INTO `sys_job_log` VALUES (57574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:23:00');
INSERT INTO `sys_job_log` VALUES (57575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:23:05');
INSERT INTO `sys_job_log` VALUES (57576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:23:10');
INSERT INTO `sys_job_log` VALUES (57577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:23:15');
INSERT INTO `sys_job_log` VALUES (57578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:23:15');
INSERT INTO `sys_job_log` VALUES (57579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:23:20');
INSERT INTO `sys_job_log` VALUES (57580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:23:25');
INSERT INTO `sys_job_log` VALUES (57581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:23:30');
INSERT INTO `sys_job_log` VALUES (57582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:23:30');
INSERT INTO `sys_job_log` VALUES (57583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:23:35');
INSERT INTO `sys_job_log` VALUES (57584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:23:40');
INSERT INTO `sys_job_log` VALUES (57585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:23:45');
INSERT INTO `sys_job_log` VALUES (57586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:23:45');
INSERT INTO `sys_job_log` VALUES (57587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:23:50');
INSERT INTO `sys_job_log` VALUES (57588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:23:55');
INSERT INTO `sys_job_log` VALUES (57589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:24:00');
INSERT INTO `sys_job_log` VALUES (57590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:24:00');
INSERT INTO `sys_job_log` VALUES (57591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:24:05');
INSERT INTO `sys_job_log` VALUES (57592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:24:10');
INSERT INTO `sys_job_log` VALUES (57593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:24:15');
INSERT INTO `sys_job_log` VALUES (57594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:24:15');
INSERT INTO `sys_job_log` VALUES (57595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:24:20');
INSERT INTO `sys_job_log` VALUES (57596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:24:25');
INSERT INTO `sys_job_log` VALUES (57597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:24:30');
INSERT INTO `sys_job_log` VALUES (57598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:24:30');
INSERT INTO `sys_job_log` VALUES (57599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:24:35');
INSERT INTO `sys_job_log` VALUES (57600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:24:40');
INSERT INTO `sys_job_log` VALUES (57601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:24:45');
INSERT INTO `sys_job_log` VALUES (57602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:24:45');
INSERT INTO `sys_job_log` VALUES (57603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:24:50');
INSERT INTO `sys_job_log` VALUES (57604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:24:55');
INSERT INTO `sys_job_log` VALUES (57605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:25:00');
INSERT INTO `sys_job_log` VALUES (57606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:25:00');
INSERT INTO `sys_job_log` VALUES (57607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:25:05');
INSERT INTO `sys_job_log` VALUES (57608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:25:10');
INSERT INTO `sys_job_log` VALUES (57609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:25:15');
INSERT INTO `sys_job_log` VALUES (57610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:25:15');
INSERT INTO `sys_job_log` VALUES (57611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:25:20');
INSERT INTO `sys_job_log` VALUES (57612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:25:25');
INSERT INTO `sys_job_log` VALUES (57613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:25:30');
INSERT INTO `sys_job_log` VALUES (57614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:25:30');
INSERT INTO `sys_job_log` VALUES (57615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:25:35');
INSERT INTO `sys_job_log` VALUES (57616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:25:40');
INSERT INTO `sys_job_log` VALUES (57617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:25:45');
INSERT INTO `sys_job_log` VALUES (57618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:25:45');
INSERT INTO `sys_job_log` VALUES (57619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:25:50');
INSERT INTO `sys_job_log` VALUES (57620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:25:55');
INSERT INTO `sys_job_log` VALUES (57621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:26:00');
INSERT INTO `sys_job_log` VALUES (57622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:26:00');
INSERT INTO `sys_job_log` VALUES (57623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:26:05');
INSERT INTO `sys_job_log` VALUES (57624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:26:10');
INSERT INTO `sys_job_log` VALUES (57625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:26:15');
INSERT INTO `sys_job_log` VALUES (57626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:26:15');
INSERT INTO `sys_job_log` VALUES (57627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:26:20');
INSERT INTO `sys_job_log` VALUES (57628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:26:25');
INSERT INTO `sys_job_log` VALUES (57629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:26:30');
INSERT INTO `sys_job_log` VALUES (57630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:26:30');
INSERT INTO `sys_job_log` VALUES (57631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:26:35');
INSERT INTO `sys_job_log` VALUES (57632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:26:40');
INSERT INTO `sys_job_log` VALUES (57633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:26:45');
INSERT INTO `sys_job_log` VALUES (57634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:26:45');
INSERT INTO `sys_job_log` VALUES (57635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:26:50');
INSERT INTO `sys_job_log` VALUES (57636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:26:55');
INSERT INTO `sys_job_log` VALUES (57637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:27:00');
INSERT INTO `sys_job_log` VALUES (57638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 08:27:00');
INSERT INTO `sys_job_log` VALUES (57639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:27:05');
INSERT INTO `sys_job_log` VALUES (57640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:27:10');
INSERT INTO `sys_job_log` VALUES (57641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:27:15');
INSERT INTO `sys_job_log` VALUES (57642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:27:15');
INSERT INTO `sys_job_log` VALUES (57643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:27:20');
INSERT INTO `sys_job_log` VALUES (57644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:27:25');
INSERT INTO `sys_job_log` VALUES (57645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:27:30');
INSERT INTO `sys_job_log` VALUES (57646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:27:30');
INSERT INTO `sys_job_log` VALUES (57647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:27:35');
INSERT INTO `sys_job_log` VALUES (57648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:27:40');
INSERT INTO `sys_job_log` VALUES (57649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:27:45');
INSERT INTO `sys_job_log` VALUES (57650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:27:45');
INSERT INTO `sys_job_log` VALUES (57651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:27:50');
INSERT INTO `sys_job_log` VALUES (57652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:27:55');
INSERT INTO `sys_job_log` VALUES (57653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:28:00');
INSERT INTO `sys_job_log` VALUES (57654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:28:00');
INSERT INTO `sys_job_log` VALUES (57655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:28:05');
INSERT INTO `sys_job_log` VALUES (57656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:28:10');
INSERT INTO `sys_job_log` VALUES (57657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:28:15');
INSERT INTO `sys_job_log` VALUES (57658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:28:15');
INSERT INTO `sys_job_log` VALUES (57659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:28:20');
INSERT INTO `sys_job_log` VALUES (57660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:28:25');
INSERT INTO `sys_job_log` VALUES (57661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:28:30');
INSERT INTO `sys_job_log` VALUES (57662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:28:30');
INSERT INTO `sys_job_log` VALUES (57663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:28:35');
INSERT INTO `sys_job_log` VALUES (57664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:28:40');
INSERT INTO `sys_job_log` VALUES (57665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:28:45');
INSERT INTO `sys_job_log` VALUES (57666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:28:45');
INSERT INTO `sys_job_log` VALUES (57667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:28:50');
INSERT INTO `sys_job_log` VALUES (57668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:28:55');
INSERT INTO `sys_job_log` VALUES (57669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:00');
INSERT INTO `sys_job_log` VALUES (57670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:00');
INSERT INTO `sys_job_log` VALUES (57671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2025-01-02 08:29:05');
INSERT INTO `sys_job_log` VALUES (57672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 08:29:10');
INSERT INTO `sys_job_log` VALUES (57673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:15');
INSERT INTO `sys_job_log` VALUES (57674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:15');
INSERT INTO `sys_job_log` VALUES (57675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:29:20');
INSERT INTO `sys_job_log` VALUES (57676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:29:25');
INSERT INTO `sys_job_log` VALUES (57677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:29:30');
INSERT INTO `sys_job_log` VALUES (57678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:29:30');
INSERT INTO `sys_job_log` VALUES (57679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:35');
INSERT INTO `sys_job_log` VALUES (57680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:40');
INSERT INTO `sys_job_log` VALUES (57681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:29:45');
INSERT INTO `sys_job_log` VALUES (57682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:45');
INSERT INTO `sys_job_log` VALUES (57683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:29:50');
INSERT INTO `sys_job_log` VALUES (57684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:29:55');
INSERT INTO `sys_job_log` VALUES (57685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:30:00');
INSERT INTO `sys_job_log` VALUES (57686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:30:00');
INSERT INTO `sys_job_log` VALUES (57687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:30:05');
INSERT INTO `sys_job_log` VALUES (57688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:30:10');
INSERT INTO `sys_job_log` VALUES (57689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:30:15');
INSERT INTO `sys_job_log` VALUES (57690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:30:15');
INSERT INTO `sys_job_log` VALUES (57691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:30:20');
INSERT INTO `sys_job_log` VALUES (57692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:30:25');
INSERT INTO `sys_job_log` VALUES (57693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:30:30');
INSERT INTO `sys_job_log` VALUES (57694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:30:30');
INSERT INTO `sys_job_log` VALUES (57695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:30:35');
INSERT INTO `sys_job_log` VALUES (57696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:30:40');
INSERT INTO `sys_job_log` VALUES (57697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:30:45');
INSERT INTO `sys_job_log` VALUES (57698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:30:45');
INSERT INTO `sys_job_log` VALUES (57699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:30:50');
INSERT INTO `sys_job_log` VALUES (57700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:30:55');
INSERT INTO `sys_job_log` VALUES (57701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 08:31:00');
INSERT INTO `sys_job_log` VALUES (57702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 08:31:00');
INSERT INTO `sys_job_log` VALUES (57703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:31:05');
INSERT INTO `sys_job_log` VALUES (57704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:31:10');
INSERT INTO `sys_job_log` VALUES (57705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:31:15');
INSERT INTO `sys_job_log` VALUES (57706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:31:15');
INSERT INTO `sys_job_log` VALUES (57707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:31:20');
INSERT INTO `sys_job_log` VALUES (57708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:31:25');
INSERT INTO `sys_job_log` VALUES (57709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:31:30');
INSERT INTO `sys_job_log` VALUES (57710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:31:30');
INSERT INTO `sys_job_log` VALUES (57711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:31:35');
INSERT INTO `sys_job_log` VALUES (57712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:31:40');
INSERT INTO `sys_job_log` VALUES (57713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:31:45');
INSERT INTO `sys_job_log` VALUES (57714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:31:45');
INSERT INTO `sys_job_log` VALUES (57715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:31:50');
INSERT INTO `sys_job_log` VALUES (57716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:31:55');
INSERT INTO `sys_job_log` VALUES (57717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:32:00');
INSERT INTO `sys_job_log` VALUES (57718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:32:00');
INSERT INTO `sys_job_log` VALUES (57719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:32:05');
INSERT INTO `sys_job_log` VALUES (57720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:32:10');
INSERT INTO `sys_job_log` VALUES (57721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:32:15');
INSERT INTO `sys_job_log` VALUES (57722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:32:15');
INSERT INTO `sys_job_log` VALUES (57723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:32:20');
INSERT INTO `sys_job_log` VALUES (57724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:32:25');
INSERT INTO `sys_job_log` VALUES (57725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:32:30');
INSERT INTO `sys_job_log` VALUES (57726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 08:32:30');
INSERT INTO `sys_job_log` VALUES (57727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:32:35');
INSERT INTO `sys_job_log` VALUES (57728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:32:40');
INSERT INTO `sys_job_log` VALUES (57729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:32:45');
INSERT INTO `sys_job_log` VALUES (57730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:32:45');
INSERT INTO `sys_job_log` VALUES (57731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:32:50');
INSERT INTO `sys_job_log` VALUES (57732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:32:55');
INSERT INTO `sys_job_log` VALUES (57733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:33:00');
INSERT INTO `sys_job_log` VALUES (57734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:33:00');
INSERT INTO `sys_job_log` VALUES (57735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:33:05');
INSERT INTO `sys_job_log` VALUES (57736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:33:10');
INSERT INTO `sys_job_log` VALUES (57737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:33:15');
INSERT INTO `sys_job_log` VALUES (57738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:33:15');
INSERT INTO `sys_job_log` VALUES (57739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:33:20');
INSERT INTO `sys_job_log` VALUES (57740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:33:25');
INSERT INTO `sys_job_log` VALUES (57741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:33:30');
INSERT INTO `sys_job_log` VALUES (57742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:33:30');
INSERT INTO `sys_job_log` VALUES (57743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:33:35');
INSERT INTO `sys_job_log` VALUES (57744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:33:40');
INSERT INTO `sys_job_log` VALUES (57745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:33:45');
INSERT INTO `sys_job_log` VALUES (57746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:33:45');
INSERT INTO `sys_job_log` VALUES (57747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:33:50');
INSERT INTO `sys_job_log` VALUES (57748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:33:55');
INSERT INTO `sys_job_log` VALUES (57749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:34:00');
INSERT INTO `sys_job_log` VALUES (57750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:34:00');
INSERT INTO `sys_job_log` VALUES (57751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:34:05');
INSERT INTO `sys_job_log` VALUES (57752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:10');
INSERT INTO `sys_job_log` VALUES (57753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:34:15');
INSERT INTO `sys_job_log` VALUES (57754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:34:15');
INSERT INTO `sys_job_log` VALUES (57755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:20');
INSERT INTO `sys_job_log` VALUES (57756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:34:25');
INSERT INTO `sys_job_log` VALUES (57757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:30');
INSERT INTO `sys_job_log` VALUES (57758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:30');
INSERT INTO `sys_job_log` VALUES (57759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:34:35');
INSERT INTO `sys_job_log` VALUES (57760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:40');
INSERT INTO `sys_job_log` VALUES (57761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:45');
INSERT INTO `sys_job_log` VALUES (57762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:45');
INSERT INTO `sys_job_log` VALUES (57763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:34:50');
INSERT INTO `sys_job_log` VALUES (57764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:34:55');
INSERT INTO `sys_job_log` VALUES (57765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:35:00');
INSERT INTO `sys_job_log` VALUES (57766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:35:00');
INSERT INTO `sys_job_log` VALUES (57767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:35:05');
INSERT INTO `sys_job_log` VALUES (57768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:35:10');
INSERT INTO `sys_job_log` VALUES (57769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:35:15');
INSERT INTO `sys_job_log` VALUES (57770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:35:15');
INSERT INTO `sys_job_log` VALUES (57771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:35:20');
INSERT INTO `sys_job_log` VALUES (57772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:35:25');
INSERT INTO `sys_job_log` VALUES (57773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:35:30');
INSERT INTO `sys_job_log` VALUES (57774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:35:30');
INSERT INTO `sys_job_log` VALUES (57775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:35:35');
INSERT INTO `sys_job_log` VALUES (57776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:35:40');
INSERT INTO `sys_job_log` VALUES (57777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:35:45');
INSERT INTO `sys_job_log` VALUES (57778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:35:45');
INSERT INTO `sys_job_log` VALUES (57779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 08:35:50');
INSERT INTO `sys_job_log` VALUES (57780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:35:55');
INSERT INTO `sys_job_log` VALUES (57781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:36:00');
INSERT INTO `sys_job_log` VALUES (57782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:36:00');
INSERT INTO `sys_job_log` VALUES (57783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:36:05');
INSERT INTO `sys_job_log` VALUES (57784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:36:10');
INSERT INTO `sys_job_log` VALUES (57785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:36:15');
INSERT INTO `sys_job_log` VALUES (57786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:36:15');
INSERT INTO `sys_job_log` VALUES (57787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:36:20');
INSERT INTO `sys_job_log` VALUES (57788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:36:25');
INSERT INTO `sys_job_log` VALUES (57789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2025-01-02 08:36:30');
INSERT INTO `sys_job_log` VALUES (57790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2025-01-02 08:36:30');
INSERT INTO `sys_job_log` VALUES (57791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:36:35');
INSERT INTO `sys_job_log` VALUES (57792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:36:40');
INSERT INTO `sys_job_log` VALUES (57793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:36:45');
INSERT INTO `sys_job_log` VALUES (57794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:36:45');
INSERT INTO `sys_job_log` VALUES (57795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:36:50');
INSERT INTO `sys_job_log` VALUES (57796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：107毫秒', '0', '', '2025-01-02 08:36:55');
INSERT INTO `sys_job_log` VALUES (57797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:37:00');
INSERT INTO `sys_job_log` VALUES (57798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:37:00');
INSERT INTO `sys_job_log` VALUES (57799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:37:05');
INSERT INTO `sys_job_log` VALUES (57800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:37:10');
INSERT INTO `sys_job_log` VALUES (57801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:37:15');
INSERT INTO `sys_job_log` VALUES (57802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:37:15');
INSERT INTO `sys_job_log` VALUES (57803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:37:20');
INSERT INTO `sys_job_log` VALUES (57804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:37:25');
INSERT INTO `sys_job_log` VALUES (57805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:37:30');
INSERT INTO `sys_job_log` VALUES (57806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:37:30');
INSERT INTO `sys_job_log` VALUES (57807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:37:35');
INSERT INTO `sys_job_log` VALUES (57808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:37:40');
INSERT INTO `sys_job_log` VALUES (57809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:37:45');
INSERT INTO `sys_job_log` VALUES (57810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:37:45');
INSERT INTO `sys_job_log` VALUES (57811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:37:50');
INSERT INTO `sys_job_log` VALUES (57812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:37:55');
INSERT INTO `sys_job_log` VALUES (57813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:38:00');
INSERT INTO `sys_job_log` VALUES (57814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:38:00');
INSERT INTO `sys_job_log` VALUES (57815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:38:05');
INSERT INTO `sys_job_log` VALUES (57816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:38:10');
INSERT INTO `sys_job_log` VALUES (57817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:38:15');
INSERT INTO `sys_job_log` VALUES (57818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:38:15');
INSERT INTO `sys_job_log` VALUES (57819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:38:20');
INSERT INTO `sys_job_log` VALUES (57820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:38:25');
INSERT INTO `sys_job_log` VALUES (57821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:38:30');
INSERT INTO `sys_job_log` VALUES (57822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:38:30');
INSERT INTO `sys_job_log` VALUES (57823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:38:35');
INSERT INTO `sys_job_log` VALUES (57824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:38:40');
INSERT INTO `sys_job_log` VALUES (57825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:38:45');
INSERT INTO `sys_job_log` VALUES (57826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:38:45');
INSERT INTO `sys_job_log` VALUES (57827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:38:50');
INSERT INTO `sys_job_log` VALUES (57828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:38:55');
INSERT INTO `sys_job_log` VALUES (57829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:39:00');
INSERT INTO `sys_job_log` VALUES (57830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:39:00');
INSERT INTO `sys_job_log` VALUES (57831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:39:05');
INSERT INTO `sys_job_log` VALUES (57832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:39:10');
INSERT INTO `sys_job_log` VALUES (57833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:39:15');
INSERT INTO `sys_job_log` VALUES (57834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:39:15');
INSERT INTO `sys_job_log` VALUES (57835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:39:20');
INSERT INTO `sys_job_log` VALUES (57836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:39:25');
INSERT INTO `sys_job_log` VALUES (57837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:39:30');
INSERT INTO `sys_job_log` VALUES (57838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:39:30');
INSERT INTO `sys_job_log` VALUES (57839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:39:35');
INSERT INTO `sys_job_log` VALUES (57840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:39:40');
INSERT INTO `sys_job_log` VALUES (57841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:39:45');
INSERT INTO `sys_job_log` VALUES (57842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:39:45');
INSERT INTO `sys_job_log` VALUES (57843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:39:50');
INSERT INTO `sys_job_log` VALUES (57844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:39:55');
INSERT INTO `sys_job_log` VALUES (57845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:40:00');
INSERT INTO `sys_job_log` VALUES (57846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:40:00');
INSERT INTO `sys_job_log` VALUES (57847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:40:05');
INSERT INTO `sys_job_log` VALUES (57848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:40:10');
INSERT INTO `sys_job_log` VALUES (57849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:40:15');
INSERT INTO `sys_job_log` VALUES (57850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:40:15');
INSERT INTO `sys_job_log` VALUES (57851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:40:20');
INSERT INTO `sys_job_log` VALUES (57852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:40:25');
INSERT INTO `sys_job_log` VALUES (57853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:40:30');
INSERT INTO `sys_job_log` VALUES (57854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:40:30');
INSERT INTO `sys_job_log` VALUES (57855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:40:35');
INSERT INTO `sys_job_log` VALUES (57856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:40:40');
INSERT INTO `sys_job_log` VALUES (57857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:40:45');
INSERT INTO `sys_job_log` VALUES (57858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:40:45');
INSERT INTO `sys_job_log` VALUES (57859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:40:50');
INSERT INTO `sys_job_log` VALUES (57860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:40:55');
INSERT INTO `sys_job_log` VALUES (57861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:41:00');
INSERT INTO `sys_job_log` VALUES (57862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:41:00');
INSERT INTO `sys_job_log` VALUES (57863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:41:05');
INSERT INTO `sys_job_log` VALUES (57864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:41:10');
INSERT INTO `sys_job_log` VALUES (57865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:41:15');
INSERT INTO `sys_job_log` VALUES (57866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:41:15');
INSERT INTO `sys_job_log` VALUES (57867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:41:20');
INSERT INTO `sys_job_log` VALUES (57868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:41:25');
INSERT INTO `sys_job_log` VALUES (57869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:41:30');
INSERT INTO `sys_job_log` VALUES (57870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:41:30');
INSERT INTO `sys_job_log` VALUES (57871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:41:35');
INSERT INTO `sys_job_log` VALUES (57872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:41:40');
INSERT INTO `sys_job_log` VALUES (57873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:41:45');
INSERT INTO `sys_job_log` VALUES (57874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:41:45');
INSERT INTO `sys_job_log` VALUES (57875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:41:50');
INSERT INTO `sys_job_log` VALUES (57876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:41:55');
INSERT INTO `sys_job_log` VALUES (57877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:42:00');
INSERT INTO `sys_job_log` VALUES (57878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:42:00');
INSERT INTO `sys_job_log` VALUES (57879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:42:05');
INSERT INTO `sys_job_log` VALUES (57880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 08:42:10');
INSERT INTO `sys_job_log` VALUES (57881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:42:15');
INSERT INTO `sys_job_log` VALUES (57882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:42:15');
INSERT INTO `sys_job_log` VALUES (57883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 08:42:20');
INSERT INTO `sys_job_log` VALUES (57884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:42:25');
INSERT INTO `sys_job_log` VALUES (57885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:42:30');
INSERT INTO `sys_job_log` VALUES (57886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:42:30');
INSERT INTO `sys_job_log` VALUES (57887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:42:35');
INSERT INTO `sys_job_log` VALUES (57888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:42:40');
INSERT INTO `sys_job_log` VALUES (57889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:42:45');
INSERT INTO `sys_job_log` VALUES (57890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:42:45');
INSERT INTO `sys_job_log` VALUES (57891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:42:50');
INSERT INTO `sys_job_log` VALUES (57892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:42:55');
INSERT INTO `sys_job_log` VALUES (57893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:43:00');
INSERT INTO `sys_job_log` VALUES (57894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:43:00');
INSERT INTO `sys_job_log` VALUES (57895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:43:05');
INSERT INTO `sys_job_log` VALUES (57896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:43:10');
INSERT INTO `sys_job_log` VALUES (57897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:43:15');
INSERT INTO `sys_job_log` VALUES (57898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:43:15');
INSERT INTO `sys_job_log` VALUES (57899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:43:20');
INSERT INTO `sys_job_log` VALUES (57900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:43:25');
INSERT INTO `sys_job_log` VALUES (57901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:43:30');
INSERT INTO `sys_job_log` VALUES (57902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:43:30');
INSERT INTO `sys_job_log` VALUES (57903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2025-01-02 08:43:35');
INSERT INTO `sys_job_log` VALUES (57904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:43:40');
INSERT INTO `sys_job_log` VALUES (57905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:43:45');
INSERT INTO `sys_job_log` VALUES (57906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:43:45');
INSERT INTO `sys_job_log` VALUES (57907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:43:50');
INSERT INTO `sys_job_log` VALUES (57908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:43:55');
INSERT INTO `sys_job_log` VALUES (57909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:44:00');
INSERT INTO `sys_job_log` VALUES (57910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:44:00');
INSERT INTO `sys_job_log` VALUES (57911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 08:44:05');
INSERT INTO `sys_job_log` VALUES (57912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:44:10');
INSERT INTO `sys_job_log` VALUES (57913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:44:15');
INSERT INTO `sys_job_log` VALUES (57914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:44:15');
INSERT INTO `sys_job_log` VALUES (57915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:44:20');
INSERT INTO `sys_job_log` VALUES (57916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:44:25');
INSERT INTO `sys_job_log` VALUES (57917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:44:30');
INSERT INTO `sys_job_log` VALUES (57918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:44:30');
INSERT INTO `sys_job_log` VALUES (57919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:44:35');
INSERT INTO `sys_job_log` VALUES (57920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:44:40');
INSERT INTO `sys_job_log` VALUES (57921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:44:45');
INSERT INTO `sys_job_log` VALUES (57922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:44:45');
INSERT INTO `sys_job_log` VALUES (57923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:44:50');
INSERT INTO `sys_job_log` VALUES (57924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:44:55');
INSERT INTO `sys_job_log` VALUES (57925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 08:45:00');
INSERT INTO `sys_job_log` VALUES (57926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 08:45:00');
INSERT INTO `sys_job_log` VALUES (57927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:45:05');
INSERT INTO `sys_job_log` VALUES (57928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:45:10');
INSERT INTO `sys_job_log` VALUES (57929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:45:15');
INSERT INTO `sys_job_log` VALUES (57930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:45:15');
INSERT INTO `sys_job_log` VALUES (57931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:45:20');
INSERT INTO `sys_job_log` VALUES (57932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:45:25');
INSERT INTO `sys_job_log` VALUES (57933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:45:30');
INSERT INTO `sys_job_log` VALUES (57934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:45:30');
INSERT INTO `sys_job_log` VALUES (57935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:45:35');
INSERT INTO `sys_job_log` VALUES (57936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:45:40');
INSERT INTO `sys_job_log` VALUES (57937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:45:45');
INSERT INTO `sys_job_log` VALUES (57938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:45:45');
INSERT INTO `sys_job_log` VALUES (57939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:45:50');
INSERT INTO `sys_job_log` VALUES (57940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:45:55');
INSERT INTO `sys_job_log` VALUES (57941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:00');
INSERT INTO `sys_job_log` VALUES (57942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:00');
INSERT INTO `sys_job_log` VALUES (57943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:05');
INSERT INTO `sys_job_log` VALUES (57944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:46:10');
INSERT INTO `sys_job_log` VALUES (57945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:46:15');
INSERT INTO `sys_job_log` VALUES (57946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:46:15');
INSERT INTO `sys_job_log` VALUES (57947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:46:20');
INSERT INTO `sys_job_log` VALUES (57948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:46:25');
INSERT INTO `sys_job_log` VALUES (57949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:30');
INSERT INTO `sys_job_log` VALUES (57950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:30');
INSERT INTO `sys_job_log` VALUES (57951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:46:35');
INSERT INTO `sys_job_log` VALUES (57952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:46:40');
INSERT INTO `sys_job_log` VALUES (57953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:45');
INSERT INTO `sys_job_log` VALUES (57954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:46:45');
INSERT INTO `sys_job_log` VALUES (57955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:46:50');
INSERT INTO `sys_job_log` VALUES (57956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:46:55');
INSERT INTO `sys_job_log` VALUES (57957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 08:47:00');
INSERT INTO `sys_job_log` VALUES (57958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:47:00');
INSERT INTO `sys_job_log` VALUES (57959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:47:05');
INSERT INTO `sys_job_log` VALUES (57960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:47:10');
INSERT INTO `sys_job_log` VALUES (57961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:47:15');
INSERT INTO `sys_job_log` VALUES (57962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:47:15');
INSERT INTO `sys_job_log` VALUES (57963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:47:20');
INSERT INTO `sys_job_log` VALUES (57964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:47:25');
INSERT INTO `sys_job_log` VALUES (57965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:47:30');
INSERT INTO `sys_job_log` VALUES (57966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:47:30');
INSERT INTO `sys_job_log` VALUES (57967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:47:35');
INSERT INTO `sys_job_log` VALUES (57968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:47:40');
INSERT INTO `sys_job_log` VALUES (57969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2025-01-02 08:47:45');
INSERT INTO `sys_job_log` VALUES (57970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：94毫秒', '0', '', '2025-01-02 08:47:45');
INSERT INTO `sys_job_log` VALUES (57971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:47:50');
INSERT INTO `sys_job_log` VALUES (57972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:47:55');
INSERT INTO `sys_job_log` VALUES (57973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:48:00');
INSERT INTO `sys_job_log` VALUES (57974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:48:00');
INSERT INTO `sys_job_log` VALUES (57975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:48:05');
INSERT INTO `sys_job_log` VALUES (57976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:48:10');
INSERT INTO `sys_job_log` VALUES (57977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:48:15');
INSERT INTO `sys_job_log` VALUES (57978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:48:15');
INSERT INTO `sys_job_log` VALUES (57979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:48:20');
INSERT INTO `sys_job_log` VALUES (57980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:48:25');
INSERT INTO `sys_job_log` VALUES (57981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 08:48:30');
INSERT INTO `sys_job_log` VALUES (57982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:48:30');
INSERT INTO `sys_job_log` VALUES (57983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:48:35');
INSERT INTO `sys_job_log` VALUES (57984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:48:40');
INSERT INTO `sys_job_log` VALUES (57985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:48:45');
INSERT INTO `sys_job_log` VALUES (57986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:48:45');
INSERT INTO `sys_job_log` VALUES (57987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 08:48:50');
INSERT INTO `sys_job_log` VALUES (57988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:48:55');
INSERT INTO `sys_job_log` VALUES (57989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:49:00');
INSERT INTO `sys_job_log` VALUES (57990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:49:00');
INSERT INTO `sys_job_log` VALUES (57991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:49:05');
INSERT INTO `sys_job_log` VALUES (57992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:49:10');
INSERT INTO `sys_job_log` VALUES (57993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:49:15');
INSERT INTO `sys_job_log` VALUES (57994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:49:15');
INSERT INTO `sys_job_log` VALUES (57995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 08:49:20');
INSERT INTO `sys_job_log` VALUES (57996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:49:25');
INSERT INTO `sys_job_log` VALUES (57997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:49:30');
INSERT INTO `sys_job_log` VALUES (57998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:49:30');
INSERT INTO `sys_job_log` VALUES (57999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:49:35');
INSERT INTO `sys_job_log` VALUES (58000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:49:40');
INSERT INTO `sys_job_log` VALUES (58001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:49:45');
INSERT INTO `sys_job_log` VALUES (58002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:49:45');
INSERT INTO `sys_job_log` VALUES (58003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:49:50');
INSERT INTO `sys_job_log` VALUES (58004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:49:55');
INSERT INTO `sys_job_log` VALUES (58005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:50:00');
INSERT INTO `sys_job_log` VALUES (58006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:50:00');
INSERT INTO `sys_job_log` VALUES (58007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:50:05');
INSERT INTO `sys_job_log` VALUES (58008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:50:10');
INSERT INTO `sys_job_log` VALUES (58009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 08:50:15');
INSERT INTO `sys_job_log` VALUES (58010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 08:50:15');
INSERT INTO `sys_job_log` VALUES (58011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:50:20');
INSERT INTO `sys_job_log` VALUES (58012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:50:25');
INSERT INTO `sys_job_log` VALUES (58013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:50:30');
INSERT INTO `sys_job_log` VALUES (58014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:50:30');
INSERT INTO `sys_job_log` VALUES (58015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:50:35');
INSERT INTO `sys_job_log` VALUES (58016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:50:40');
INSERT INTO `sys_job_log` VALUES (58017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:50:45');
INSERT INTO `sys_job_log` VALUES (58018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:50:45');
INSERT INTO `sys_job_log` VALUES (58019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:50:50');
INSERT INTO `sys_job_log` VALUES (58020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:50:55');
INSERT INTO `sys_job_log` VALUES (58021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:51:00');
INSERT INTO `sys_job_log` VALUES (58022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:51:00');
INSERT INTO `sys_job_log` VALUES (58023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:51:05');
INSERT INTO `sys_job_log` VALUES (58024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:51:10');
INSERT INTO `sys_job_log` VALUES (58025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:51:15');
INSERT INTO `sys_job_log` VALUES (58026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 08:51:15');
INSERT INTO `sys_job_log` VALUES (58027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:51:20');
INSERT INTO `sys_job_log` VALUES (58028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:51:25');
INSERT INTO `sys_job_log` VALUES (58029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:51:30');
INSERT INTO `sys_job_log` VALUES (58030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:51:30');
INSERT INTO `sys_job_log` VALUES (58031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:51:35');
INSERT INTO `sys_job_log` VALUES (58032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:51:40');
INSERT INTO `sys_job_log` VALUES (58033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:51:45');
INSERT INTO `sys_job_log` VALUES (58034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:51:45');
INSERT INTO `sys_job_log` VALUES (58035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:51:50');
INSERT INTO `sys_job_log` VALUES (58036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:51:55');
INSERT INTO `sys_job_log` VALUES (58037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-02 08:52:00');
INSERT INTO `sys_job_log` VALUES (58038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-02 08:52:00');
INSERT INTO `sys_job_log` VALUES (58039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:52:05');
INSERT INTO `sys_job_log` VALUES (58040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:52:10');
INSERT INTO `sys_job_log` VALUES (58041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:52:15');
INSERT INTO `sys_job_log` VALUES (58042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:52:15');
INSERT INTO `sys_job_log` VALUES (58043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:52:20');
INSERT INTO `sys_job_log` VALUES (58044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:52:25');
INSERT INTO `sys_job_log` VALUES (58045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:52:30');
INSERT INTO `sys_job_log` VALUES (58046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:52:30');
INSERT INTO `sys_job_log` VALUES (58047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:52:35');
INSERT INTO `sys_job_log` VALUES (58048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:52:40');
INSERT INTO `sys_job_log` VALUES (58049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:52:45');
INSERT INTO `sys_job_log` VALUES (58050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:52:45');
INSERT INTO `sys_job_log` VALUES (58051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:52:50');
INSERT INTO `sys_job_log` VALUES (58052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:52:55');
INSERT INTO `sys_job_log` VALUES (58053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:53:00');
INSERT INTO `sys_job_log` VALUES (58054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:53:00');
INSERT INTO `sys_job_log` VALUES (58055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:53:05');
INSERT INTO `sys_job_log` VALUES (58056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 08:53:10');
INSERT INTO `sys_job_log` VALUES (58057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:53:15');
INSERT INTO `sys_job_log` VALUES (58058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:53:15');
INSERT INTO `sys_job_log` VALUES (58059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:53:20');
INSERT INTO `sys_job_log` VALUES (58060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:53:25');
INSERT INTO `sys_job_log` VALUES (58061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:53:30');
INSERT INTO `sys_job_log` VALUES (58062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:53:30');
INSERT INTO `sys_job_log` VALUES (58063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:53:35');
INSERT INTO `sys_job_log` VALUES (58064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:53:40');
INSERT INTO `sys_job_log` VALUES (58065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:53:45');
INSERT INTO `sys_job_log` VALUES (58066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:53:45');
INSERT INTO `sys_job_log` VALUES (58067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:53:50');
INSERT INTO `sys_job_log` VALUES (58068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:53:55');
INSERT INTO `sys_job_log` VALUES (58069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:54:00');
INSERT INTO `sys_job_log` VALUES (58070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:54:00');
INSERT INTO `sys_job_log` VALUES (58071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:54:05');
INSERT INTO `sys_job_log` VALUES (58072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:54:10');
INSERT INTO `sys_job_log` VALUES (58073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 08:54:15');
INSERT INTO `sys_job_log` VALUES (58074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 08:54:15');
INSERT INTO `sys_job_log` VALUES (58075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:54:20');
INSERT INTO `sys_job_log` VALUES (58076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:54:25');
INSERT INTO `sys_job_log` VALUES (58077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:54:30');
INSERT INTO `sys_job_log` VALUES (58078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:54:30');
INSERT INTO `sys_job_log` VALUES (58079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:54:35');
INSERT INTO `sys_job_log` VALUES (58080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:54:40');
INSERT INTO `sys_job_log` VALUES (58081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:54:45');
INSERT INTO `sys_job_log` VALUES (58082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:54:45');
INSERT INTO `sys_job_log` VALUES (58083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:54:50');
INSERT INTO `sys_job_log` VALUES (58084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:54:55');
INSERT INTO `sys_job_log` VALUES (58085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 08:55:00');
INSERT INTO `sys_job_log` VALUES (58086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:55:00');
INSERT INTO `sys_job_log` VALUES (58087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-02 08:55:05');
INSERT INTO `sys_job_log` VALUES (58088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:55:10');
INSERT INTO `sys_job_log` VALUES (58089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:55:15');
INSERT INTO `sys_job_log` VALUES (58090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:55:15');
INSERT INTO `sys_job_log` VALUES (58091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:55:20');
INSERT INTO `sys_job_log` VALUES (58092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:55:25');
INSERT INTO `sys_job_log` VALUES (58093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:55:30');
INSERT INTO `sys_job_log` VALUES (58094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:55:30');
INSERT INTO `sys_job_log` VALUES (58095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:55:35');
INSERT INTO `sys_job_log` VALUES (58096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:55:40');
INSERT INTO `sys_job_log` VALUES (58097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:55:45');
INSERT INTO `sys_job_log` VALUES (58098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 08:55:45');
INSERT INTO `sys_job_log` VALUES (58099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:55:50');
INSERT INTO `sys_job_log` VALUES (58100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:55:55');
INSERT INTO `sys_job_log` VALUES (58101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:56:00');
INSERT INTO `sys_job_log` VALUES (58102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:56:00');
INSERT INTO `sys_job_log` VALUES (58103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:56:05');
INSERT INTO `sys_job_log` VALUES (58104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:56:10');
INSERT INTO `sys_job_log` VALUES (58105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 08:56:15');
INSERT INTO `sys_job_log` VALUES (58106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:56:15');
INSERT INTO `sys_job_log` VALUES (58107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:56:20');
INSERT INTO `sys_job_log` VALUES (58108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:56:25');
INSERT INTO `sys_job_log` VALUES (58109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:56:30');
INSERT INTO `sys_job_log` VALUES (58110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:56:30');
INSERT INTO `sys_job_log` VALUES (58111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:56:35');
INSERT INTO `sys_job_log` VALUES (58112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:56:40');
INSERT INTO `sys_job_log` VALUES (58113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:56:45');
INSERT INTO `sys_job_log` VALUES (58114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:56:45');
INSERT INTO `sys_job_log` VALUES (58115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:56:50');
INSERT INTO `sys_job_log` VALUES (58116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:56:55');
INSERT INTO `sys_job_log` VALUES (58117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 08:57:00');
INSERT INTO `sys_job_log` VALUES (58118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 08:57:00');
INSERT INTO `sys_job_log` VALUES (58119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:57:05');
INSERT INTO `sys_job_log` VALUES (58120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:57:10');
INSERT INTO `sys_job_log` VALUES (58121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:57:15');
INSERT INTO `sys_job_log` VALUES (58122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:57:15');
INSERT INTO `sys_job_log` VALUES (58123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:57:20');
INSERT INTO `sys_job_log` VALUES (58124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:57:25');
INSERT INTO `sys_job_log` VALUES (58125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 08:57:30');
INSERT INTO `sys_job_log` VALUES (58126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 08:57:30');
INSERT INTO `sys_job_log` VALUES (58127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:57:35');
INSERT INTO `sys_job_log` VALUES (58128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:57:40');
INSERT INTO `sys_job_log` VALUES (58129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:57:45');
INSERT INTO `sys_job_log` VALUES (58130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:57:45');
INSERT INTO `sys_job_log` VALUES (58131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:57:50');
INSERT INTO `sys_job_log` VALUES (58132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:57:55');
INSERT INTO `sys_job_log` VALUES (58133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:58:00');
INSERT INTO `sys_job_log` VALUES (58134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:58:00');
INSERT INTO `sys_job_log` VALUES (58135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 08:58:05');
INSERT INTO `sys_job_log` VALUES (58136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:58:10');
INSERT INTO `sys_job_log` VALUES (58137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 08:58:15');
INSERT INTO `sys_job_log` VALUES (58138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:58:15');
INSERT INTO `sys_job_log` VALUES (58139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:58:20');
INSERT INTO `sys_job_log` VALUES (58140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:58:25');
INSERT INTO `sys_job_log` VALUES (58141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:58:30');
INSERT INTO `sys_job_log` VALUES (58142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:58:30');
INSERT INTO `sys_job_log` VALUES (58143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:58:35');
INSERT INTO `sys_job_log` VALUES (58144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:58:40');
INSERT INTO `sys_job_log` VALUES (58145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 08:58:45');
INSERT INTO `sys_job_log` VALUES (58146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 08:58:45');
INSERT INTO `sys_job_log` VALUES (58147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:58:50');
INSERT INTO `sys_job_log` VALUES (58148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 08:58:55');
INSERT INTO `sys_job_log` VALUES (58149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 08:59:00');
INSERT INTO `sys_job_log` VALUES (58150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:59:00');
INSERT INTO `sys_job_log` VALUES (58151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 08:59:05');
INSERT INTO `sys_job_log` VALUES (58152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 08:59:10');
INSERT INTO `sys_job_log` VALUES (58153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 08:59:15');
INSERT INTO `sys_job_log` VALUES (58154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 08:59:15');
INSERT INTO `sys_job_log` VALUES (58155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:59:20');
INSERT INTO `sys_job_log` VALUES (58156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 08:59:25');
INSERT INTO `sys_job_log` VALUES (58157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 08:59:30');
INSERT INTO `sys_job_log` VALUES (58158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 08:59:30');
INSERT INTO `sys_job_log` VALUES (58159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:59:35');
INSERT INTO `sys_job_log` VALUES (58160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 08:59:40');
INSERT INTO `sys_job_log` VALUES (58161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 08:59:45');
INSERT INTO `sys_job_log` VALUES (58162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 08:59:45');
INSERT INTO `sys_job_log` VALUES (58163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:59:50');
INSERT INTO `sys_job_log` VALUES (58164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 08:59:55');
INSERT INTO `sys_job_log` VALUES (58165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:00:00');
INSERT INTO `sys_job_log` VALUES (58166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:00:00');
INSERT INTO `sys_job_log` VALUES (58167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:00:05');
INSERT INTO `sys_job_log` VALUES (58168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:00:10');
INSERT INTO `sys_job_log` VALUES (58169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 09:00:15');
INSERT INTO `sys_job_log` VALUES (58170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:00:15');
INSERT INTO `sys_job_log` VALUES (58171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:00:20');
INSERT INTO `sys_job_log` VALUES (58172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:00:25');
INSERT INTO `sys_job_log` VALUES (58173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:00:30');
INSERT INTO `sys_job_log` VALUES (58174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:00:30');
INSERT INTO `sys_job_log` VALUES (58175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:00:35');
INSERT INTO `sys_job_log` VALUES (58176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:00:40');
INSERT INTO `sys_job_log` VALUES (58177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:00:45');
INSERT INTO `sys_job_log` VALUES (58178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:00:45');
INSERT INTO `sys_job_log` VALUES (58179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:00:50');
INSERT INTO `sys_job_log` VALUES (58180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:00:55');
INSERT INTO `sys_job_log` VALUES (58181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:01:00');
INSERT INTO `sys_job_log` VALUES (58182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:01:00');
INSERT INTO `sys_job_log` VALUES (58183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:01:05');
INSERT INTO `sys_job_log` VALUES (58184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:01:10');
INSERT INTO `sys_job_log` VALUES (58185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:01:15');
INSERT INTO `sys_job_log` VALUES (58186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:01:15');
INSERT INTO `sys_job_log` VALUES (58187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:01:20');
INSERT INTO `sys_job_log` VALUES (58188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:01:25');
INSERT INTO `sys_job_log` VALUES (58189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:01:30');
INSERT INTO `sys_job_log` VALUES (58190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:01:30');
INSERT INTO `sys_job_log` VALUES (58191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:01:35');
INSERT INTO `sys_job_log` VALUES (58192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:01:40');
INSERT INTO `sys_job_log` VALUES (58193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:01:45');
INSERT INTO `sys_job_log` VALUES (58194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:01:45');
INSERT INTO `sys_job_log` VALUES (58195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:01:50');
INSERT INTO `sys_job_log` VALUES (58196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:01:55');
INSERT INTO `sys_job_log` VALUES (58197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:02:00');
INSERT INTO `sys_job_log` VALUES (58198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 09:02:00');
INSERT INTO `sys_job_log` VALUES (58199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:02:05');
INSERT INTO `sys_job_log` VALUES (58200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:02:10');
INSERT INTO `sys_job_log` VALUES (58201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:02:15');
INSERT INTO `sys_job_log` VALUES (58202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:02:15');
INSERT INTO `sys_job_log` VALUES (58203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:02:20');
INSERT INTO `sys_job_log` VALUES (58204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:02:25');
INSERT INTO `sys_job_log` VALUES (58205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:02:30');
INSERT INTO `sys_job_log` VALUES (58206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:02:30');
INSERT INTO `sys_job_log` VALUES (58207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:02:35');
INSERT INTO `sys_job_log` VALUES (58208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：311毫秒', '0', '', '2025-01-02 09:02:40');
INSERT INTO `sys_job_log` VALUES (58209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:02:45');
INSERT INTO `sys_job_log` VALUES (58210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 09:02:45');
INSERT INTO `sys_job_log` VALUES (58211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:02:50');
INSERT INTO `sys_job_log` VALUES (58212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:02:55');
INSERT INTO `sys_job_log` VALUES (58213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:03:00');
INSERT INTO `sys_job_log` VALUES (58214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:03:00');
INSERT INTO `sys_job_log` VALUES (58215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:03:05');
INSERT INTO `sys_job_log` VALUES (58216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:03:10');
INSERT INTO `sys_job_log` VALUES (58217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:03:15');
INSERT INTO `sys_job_log` VALUES (58218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:03:15');
INSERT INTO `sys_job_log` VALUES (58219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2025-01-02 09:03:20');
INSERT INTO `sys_job_log` VALUES (58220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:03:25');
INSERT INTO `sys_job_log` VALUES (58221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:03:30');
INSERT INTO `sys_job_log` VALUES (58222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:03:30');
INSERT INTO `sys_job_log` VALUES (58223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:03:35');
INSERT INTO `sys_job_log` VALUES (58224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:03:40');
INSERT INTO `sys_job_log` VALUES (58225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:03:45');
INSERT INTO `sys_job_log` VALUES (58226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:03:45');
INSERT INTO `sys_job_log` VALUES (58227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:03:50');
INSERT INTO `sys_job_log` VALUES (58228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:03:55');
INSERT INTO `sys_job_log` VALUES (58229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 09:04:00');
INSERT INTO `sys_job_log` VALUES (58230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:04:00');
INSERT INTO `sys_job_log` VALUES (58231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:04:05');
INSERT INTO `sys_job_log` VALUES (58232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:04:10');
INSERT INTO `sys_job_log` VALUES (58233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:04:15');
INSERT INTO `sys_job_log` VALUES (58234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:04:15');
INSERT INTO `sys_job_log` VALUES (58235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:04:20');
INSERT INTO `sys_job_log` VALUES (58236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:04:25');
INSERT INTO `sys_job_log` VALUES (58237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:04:30');
INSERT INTO `sys_job_log` VALUES (58238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:04:30');
INSERT INTO `sys_job_log` VALUES (58239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:04:35');
INSERT INTO `sys_job_log` VALUES (58240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:04:40');
INSERT INTO `sys_job_log` VALUES (58241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:04:45');
INSERT INTO `sys_job_log` VALUES (58242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:04:45');
INSERT INTO `sys_job_log` VALUES (58243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:04:50');
INSERT INTO `sys_job_log` VALUES (58244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:04:55');
INSERT INTO `sys_job_log` VALUES (58245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:05:00');
INSERT INTO `sys_job_log` VALUES (58246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:05:00');
INSERT INTO `sys_job_log` VALUES (58247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:05:05');
INSERT INTO `sys_job_log` VALUES (58248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:05:10');
INSERT INTO `sys_job_log` VALUES (58249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:05:15');
INSERT INTO `sys_job_log` VALUES (58250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:05:15');
INSERT INTO `sys_job_log` VALUES (58251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:05:20');
INSERT INTO `sys_job_log` VALUES (58252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:05:25');
INSERT INTO `sys_job_log` VALUES (58253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:05:30');
INSERT INTO `sys_job_log` VALUES (58254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:05:30');
INSERT INTO `sys_job_log` VALUES (58255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:05:35');
INSERT INTO `sys_job_log` VALUES (58256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:05:40');
INSERT INTO `sys_job_log` VALUES (58257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:05:45');
INSERT INTO `sys_job_log` VALUES (58258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:05:45');
INSERT INTO `sys_job_log` VALUES (58259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:05:50');
INSERT INTO `sys_job_log` VALUES (58260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:05:55');
INSERT INTO `sys_job_log` VALUES (58261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:06:00');
INSERT INTO `sys_job_log` VALUES (58262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:06:00');
INSERT INTO `sys_job_log` VALUES (58263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:06:05');
INSERT INTO `sys_job_log` VALUES (58264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:06:10');
INSERT INTO `sys_job_log` VALUES (58265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:06:15');
INSERT INTO `sys_job_log` VALUES (58266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:06:15');
INSERT INTO `sys_job_log` VALUES (58267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:06:20');
INSERT INTO `sys_job_log` VALUES (58268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:06:25');
INSERT INTO `sys_job_log` VALUES (58269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:06:30');
INSERT INTO `sys_job_log` VALUES (58270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:06:30');
INSERT INTO `sys_job_log` VALUES (58271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 09:06:35');
INSERT INTO `sys_job_log` VALUES (58272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:06:40');
INSERT INTO `sys_job_log` VALUES (58273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:06:45');
INSERT INTO `sys_job_log` VALUES (58274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:06:45');
INSERT INTO `sys_job_log` VALUES (58275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:06:50');
INSERT INTO `sys_job_log` VALUES (58276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 09:06:55');
INSERT INTO `sys_job_log` VALUES (58277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:07:00');
INSERT INTO `sys_job_log` VALUES (58278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:07:00');
INSERT INTO `sys_job_log` VALUES (58279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:07:05');
INSERT INTO `sys_job_log` VALUES (58280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-02 09:07:10');
INSERT INTO `sys_job_log` VALUES (58281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:07:15');
INSERT INTO `sys_job_log` VALUES (58282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:07:15');
INSERT INTO `sys_job_log` VALUES (58283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:07:20');
INSERT INTO `sys_job_log` VALUES (58284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:07:25');
INSERT INTO `sys_job_log` VALUES (58285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:07:30');
INSERT INTO `sys_job_log` VALUES (58286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:07:30');
INSERT INTO `sys_job_log` VALUES (58287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:07:35');
INSERT INTO `sys_job_log` VALUES (58288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:07:40');
INSERT INTO `sys_job_log` VALUES (58289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:07:45');
INSERT INTO `sys_job_log` VALUES (58290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:07:45');
INSERT INTO `sys_job_log` VALUES (58291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:07:50');
INSERT INTO `sys_job_log` VALUES (58292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:07:55');
INSERT INTO `sys_job_log` VALUES (58293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:08:00');
INSERT INTO `sys_job_log` VALUES (58294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:08:00');
INSERT INTO `sys_job_log` VALUES (58295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:08:05');
INSERT INTO `sys_job_log` VALUES (58296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:08:10');
INSERT INTO `sys_job_log` VALUES (58297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:08:15');
INSERT INTO `sys_job_log` VALUES (58298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:08:15');
INSERT INTO `sys_job_log` VALUES (58299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:08:20');
INSERT INTO `sys_job_log` VALUES (58300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:08:25');
INSERT INTO `sys_job_log` VALUES (58301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:08:30');
INSERT INTO `sys_job_log` VALUES (58302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:08:30');
INSERT INTO `sys_job_log` VALUES (58303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:08:35');
INSERT INTO `sys_job_log` VALUES (58304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:08:40');
INSERT INTO `sys_job_log` VALUES (58305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:08:45');
INSERT INTO `sys_job_log` VALUES (58306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:08:45');
INSERT INTO `sys_job_log` VALUES (58307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:08:50');
INSERT INTO `sys_job_log` VALUES (58308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:08:55');
INSERT INTO `sys_job_log` VALUES (58309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 09:09:00');
INSERT INTO `sys_job_log` VALUES (58310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:09:00');
INSERT INTO `sys_job_log` VALUES (58311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:09:05');
INSERT INTO `sys_job_log` VALUES (58312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:09:10');
INSERT INTO `sys_job_log` VALUES (58313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:09:15');
INSERT INTO `sys_job_log` VALUES (58314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:09:15');
INSERT INTO `sys_job_log` VALUES (58315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:09:20');
INSERT INTO `sys_job_log` VALUES (58316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:09:25');
INSERT INTO `sys_job_log` VALUES (58317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:09:30');
INSERT INTO `sys_job_log` VALUES (58318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:09:30');
INSERT INTO `sys_job_log` VALUES (58319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:09:35');
INSERT INTO `sys_job_log` VALUES (58320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:09:40');
INSERT INTO `sys_job_log` VALUES (58321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:09:45');
INSERT INTO `sys_job_log` VALUES (58322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 09:09:45');
INSERT INTO `sys_job_log` VALUES (58323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:09:50');
INSERT INTO `sys_job_log` VALUES (58324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:09:55');
INSERT INTO `sys_job_log` VALUES (58325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:10:00');
INSERT INTO `sys_job_log` VALUES (58326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:10:00');
INSERT INTO `sys_job_log` VALUES (58327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:10:05');
INSERT INTO `sys_job_log` VALUES (58328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:10:10');
INSERT INTO `sys_job_log` VALUES (58329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:10:15');
INSERT INTO `sys_job_log` VALUES (58330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:10:15');
INSERT INTO `sys_job_log` VALUES (58331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:10:20');
INSERT INTO `sys_job_log` VALUES (58332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:10:25');
INSERT INTO `sys_job_log` VALUES (58333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 09:10:30');
INSERT INTO `sys_job_log` VALUES (58334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:10:30');
INSERT INTO `sys_job_log` VALUES (58335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:10:35');
INSERT INTO `sys_job_log` VALUES (58336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:10:40');
INSERT INTO `sys_job_log` VALUES (58337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:10:45');
INSERT INTO `sys_job_log` VALUES (58338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:10:45');
INSERT INTO `sys_job_log` VALUES (58339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:10:50');
INSERT INTO `sys_job_log` VALUES (58340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:10:55');
INSERT INTO `sys_job_log` VALUES (58341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:11:00');
INSERT INTO `sys_job_log` VALUES (58342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:11:00');
INSERT INTO `sys_job_log` VALUES (58343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:11:05');
INSERT INTO `sys_job_log` VALUES (58344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:11:10');
INSERT INTO `sys_job_log` VALUES (58345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:11:15');
INSERT INTO `sys_job_log` VALUES (58346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:11:15');
INSERT INTO `sys_job_log` VALUES (58347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:11:20');
INSERT INTO `sys_job_log` VALUES (58348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:11:25');
INSERT INTO `sys_job_log` VALUES (58349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:11:30');
INSERT INTO `sys_job_log` VALUES (58350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:11:30');
INSERT INTO `sys_job_log` VALUES (58351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:11:35');
INSERT INTO `sys_job_log` VALUES (58352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:11:40');
INSERT INTO `sys_job_log` VALUES (58353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:11:45');
INSERT INTO `sys_job_log` VALUES (58354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:11:45');
INSERT INTO `sys_job_log` VALUES (58355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:11:50');
INSERT INTO `sys_job_log` VALUES (58356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:11:55');
INSERT INTO `sys_job_log` VALUES (58357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:12:00');
INSERT INTO `sys_job_log` VALUES (58358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:12:00');
INSERT INTO `sys_job_log` VALUES (58359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:12:05');
INSERT INTO `sys_job_log` VALUES (58360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:12:10');
INSERT INTO `sys_job_log` VALUES (58361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:12:15');
INSERT INTO `sys_job_log` VALUES (58362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:12:15');
INSERT INTO `sys_job_log` VALUES (58363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:12:20');
INSERT INTO `sys_job_log` VALUES (58364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:12:25');
INSERT INTO `sys_job_log` VALUES (58365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:12:30');
INSERT INTO `sys_job_log` VALUES (58366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:12:30');
INSERT INTO `sys_job_log` VALUES (58367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:12:35');
INSERT INTO `sys_job_log` VALUES (58368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:12:40');
INSERT INTO `sys_job_log` VALUES (58369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:12:45');
INSERT INTO `sys_job_log` VALUES (58370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:12:45');
INSERT INTO `sys_job_log` VALUES (58371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:12:50');
INSERT INTO `sys_job_log` VALUES (58372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:12:55');
INSERT INTO `sys_job_log` VALUES (58373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:13:00');
INSERT INTO `sys_job_log` VALUES (58374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:13:00');
INSERT INTO `sys_job_log` VALUES (58375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:13:05');
INSERT INTO `sys_job_log` VALUES (58376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:13:10');
INSERT INTO `sys_job_log` VALUES (58377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:13:15');
INSERT INTO `sys_job_log` VALUES (58378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:13:15');
INSERT INTO `sys_job_log` VALUES (58379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:13:20');
INSERT INTO `sys_job_log` VALUES (58380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:13:25');
INSERT INTO `sys_job_log` VALUES (58381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:13:30');
INSERT INTO `sys_job_log` VALUES (58382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 09:13:30');
INSERT INTO `sys_job_log` VALUES (58383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:13:35');
INSERT INTO `sys_job_log` VALUES (58384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:13:40');
INSERT INTO `sys_job_log` VALUES (58385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:13:45');
INSERT INTO `sys_job_log` VALUES (58386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:13:45');
INSERT INTO `sys_job_log` VALUES (58387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:13:50');
INSERT INTO `sys_job_log` VALUES (58388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:13:55');
INSERT INTO `sys_job_log` VALUES (58389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:14:00');
INSERT INTO `sys_job_log` VALUES (58390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:14:00');
INSERT INTO `sys_job_log` VALUES (58391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:14:05');
INSERT INTO `sys_job_log` VALUES (58392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:14:10');
INSERT INTO `sys_job_log` VALUES (58393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:14:15');
INSERT INTO `sys_job_log` VALUES (58394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:14:15');
INSERT INTO `sys_job_log` VALUES (58395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:14:20');
INSERT INTO `sys_job_log` VALUES (58396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:14:25');
INSERT INTO `sys_job_log` VALUES (58397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:14:30');
INSERT INTO `sys_job_log` VALUES (58398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:14:30');
INSERT INTO `sys_job_log` VALUES (58399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:14:35');
INSERT INTO `sys_job_log` VALUES (58400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:14:40');
INSERT INTO `sys_job_log` VALUES (58401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:14:45');
INSERT INTO `sys_job_log` VALUES (58402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:14:45');
INSERT INTO `sys_job_log` VALUES (58403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:14:50');
INSERT INTO `sys_job_log` VALUES (58404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:14:55');
INSERT INTO `sys_job_log` VALUES (58405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:15:00');
INSERT INTO `sys_job_log` VALUES (58406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:15:00');
INSERT INTO `sys_job_log` VALUES (58407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:15:05');
INSERT INTO `sys_job_log` VALUES (58408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:15:10');
INSERT INTO `sys_job_log` VALUES (58409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:15:15');
INSERT INTO `sys_job_log` VALUES (58410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:15:15');
INSERT INTO `sys_job_log` VALUES (58411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:15:20');
INSERT INTO `sys_job_log` VALUES (58412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:15:25');
INSERT INTO `sys_job_log` VALUES (58413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:15:30');
INSERT INTO `sys_job_log` VALUES (58414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:15:30');
INSERT INTO `sys_job_log` VALUES (58415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:15:35');
INSERT INTO `sys_job_log` VALUES (58416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:15:40');
INSERT INTO `sys_job_log` VALUES (58417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:15:45');
INSERT INTO `sys_job_log` VALUES (58418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:15:45');
INSERT INTO `sys_job_log` VALUES (58419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:15:50');
INSERT INTO `sys_job_log` VALUES (58420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:15:55');
INSERT INTO `sys_job_log` VALUES (58421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:16:00');
INSERT INTO `sys_job_log` VALUES (58422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:16:00');
INSERT INTO `sys_job_log` VALUES (58423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:16:05');
INSERT INTO `sys_job_log` VALUES (58424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:16:10');
INSERT INTO `sys_job_log` VALUES (58425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:16:15');
INSERT INTO `sys_job_log` VALUES (58426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:16:15');
INSERT INTO `sys_job_log` VALUES (58427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:16:20');
INSERT INTO `sys_job_log` VALUES (58428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:16:25');
INSERT INTO `sys_job_log` VALUES (58429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:16:30');
INSERT INTO `sys_job_log` VALUES (58430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:16:30');
INSERT INTO `sys_job_log` VALUES (58431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:16:35');
INSERT INTO `sys_job_log` VALUES (58432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:16:40');
INSERT INTO `sys_job_log` VALUES (58433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:16:45');
INSERT INTO `sys_job_log` VALUES (58434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:16:45');
INSERT INTO `sys_job_log` VALUES (58435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:16:50');
INSERT INTO `sys_job_log` VALUES (58436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:16:55');
INSERT INTO `sys_job_log` VALUES (58437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:17:00');
INSERT INTO `sys_job_log` VALUES (58438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:17:00');
INSERT INTO `sys_job_log` VALUES (58439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:17:05');
INSERT INTO `sys_job_log` VALUES (58440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:17:10');
INSERT INTO `sys_job_log` VALUES (58441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:17:15');
INSERT INTO `sys_job_log` VALUES (58442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:17:15');
INSERT INTO `sys_job_log` VALUES (58443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:17:20');
INSERT INTO `sys_job_log` VALUES (58444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:17:25');
INSERT INTO `sys_job_log` VALUES (58445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:17:30');
INSERT INTO `sys_job_log` VALUES (58446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:17:30');
INSERT INTO `sys_job_log` VALUES (58447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:17:35');
INSERT INTO `sys_job_log` VALUES (58448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:17:40');
INSERT INTO `sys_job_log` VALUES (58449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:17:45');
INSERT INTO `sys_job_log` VALUES (58450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:17:45');
INSERT INTO `sys_job_log` VALUES (58451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:17:50');
INSERT INTO `sys_job_log` VALUES (58452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:17:55');
INSERT INTO `sys_job_log` VALUES (58453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:18:00');
INSERT INTO `sys_job_log` VALUES (58454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:18:00');
INSERT INTO `sys_job_log` VALUES (58455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 09:18:05');
INSERT INTO `sys_job_log` VALUES (58456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:18:10');
INSERT INTO `sys_job_log` VALUES (58457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:18:15');
INSERT INTO `sys_job_log` VALUES (58458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:18:15');
INSERT INTO `sys_job_log` VALUES (58459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:18:20');
INSERT INTO `sys_job_log` VALUES (58460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:18:25');
INSERT INTO `sys_job_log` VALUES (58461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:18:30');
INSERT INTO `sys_job_log` VALUES (58462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:18:30');
INSERT INTO `sys_job_log` VALUES (58463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 09:18:35');
INSERT INTO `sys_job_log` VALUES (58464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:18:40');
INSERT INTO `sys_job_log` VALUES (58465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:18:45');
INSERT INTO `sys_job_log` VALUES (58466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:18:45');
INSERT INTO `sys_job_log` VALUES (58467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:18:50');
INSERT INTO `sys_job_log` VALUES (58468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:18:55');
INSERT INTO `sys_job_log` VALUES (58469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:19:00');
INSERT INTO `sys_job_log` VALUES (58470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:19:00');
INSERT INTO `sys_job_log` VALUES (58471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:19:05');
INSERT INTO `sys_job_log` VALUES (58472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:19:10');
INSERT INTO `sys_job_log` VALUES (58473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:19:15');
INSERT INTO `sys_job_log` VALUES (58474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:19:15');
INSERT INTO `sys_job_log` VALUES (58475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:19:20');
INSERT INTO `sys_job_log` VALUES (58476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:19:25');
INSERT INTO `sys_job_log` VALUES (58477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:19:30');
INSERT INTO `sys_job_log` VALUES (58478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:19:30');
INSERT INTO `sys_job_log` VALUES (58479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:19:35');
INSERT INTO `sys_job_log` VALUES (58480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:19:40');
INSERT INTO `sys_job_log` VALUES (58481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:19:45');
INSERT INTO `sys_job_log` VALUES (58482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:19:45');
INSERT INTO `sys_job_log` VALUES (58483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:19:50');
INSERT INTO `sys_job_log` VALUES (58484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:19:55');
INSERT INTO `sys_job_log` VALUES (58485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:20:00');
INSERT INTO `sys_job_log` VALUES (58486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:20:00');
INSERT INTO `sys_job_log` VALUES (58487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:20:05');
INSERT INTO `sys_job_log` VALUES (58488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:20:10');
INSERT INTO `sys_job_log` VALUES (58489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:20:15');
INSERT INTO `sys_job_log` VALUES (58490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:20:15');
INSERT INTO `sys_job_log` VALUES (58491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:20:20');
INSERT INTO `sys_job_log` VALUES (58492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:20:25');
INSERT INTO `sys_job_log` VALUES (58493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:20:30');
INSERT INTO `sys_job_log` VALUES (58494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:20:30');
INSERT INTO `sys_job_log` VALUES (58495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:20:35');
INSERT INTO `sys_job_log` VALUES (58496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:20:40');
INSERT INTO `sys_job_log` VALUES (58497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:20:45');
INSERT INTO `sys_job_log` VALUES (58498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:20:45');
INSERT INTO `sys_job_log` VALUES (58499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:20:50');
INSERT INTO `sys_job_log` VALUES (58500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:20:55');
INSERT INTO `sys_job_log` VALUES (58501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:21:00');
INSERT INTO `sys_job_log` VALUES (58502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:21:00');
INSERT INTO `sys_job_log` VALUES (58503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:21:05');
INSERT INTO `sys_job_log` VALUES (58504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:21:10');
INSERT INTO `sys_job_log` VALUES (58505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:21:15');
INSERT INTO `sys_job_log` VALUES (58506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:21:15');
INSERT INTO `sys_job_log` VALUES (58507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:21:20');
INSERT INTO `sys_job_log` VALUES (58508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:21:25');
INSERT INTO `sys_job_log` VALUES (58509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:21:30');
INSERT INTO `sys_job_log` VALUES (58510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:21:30');
INSERT INTO `sys_job_log` VALUES (58511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:21:35');
INSERT INTO `sys_job_log` VALUES (58512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:21:40');
INSERT INTO `sys_job_log` VALUES (58513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:21:45');
INSERT INTO `sys_job_log` VALUES (58514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:21:45');
INSERT INTO `sys_job_log` VALUES (58515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:21:50');
INSERT INTO `sys_job_log` VALUES (58516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:21:55');
INSERT INTO `sys_job_log` VALUES (58517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:22:00');
INSERT INTO `sys_job_log` VALUES (58518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:22:00');
INSERT INTO `sys_job_log` VALUES (58519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:22:05');
INSERT INTO `sys_job_log` VALUES (58520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:22:10');
INSERT INTO `sys_job_log` VALUES (58521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:22:15');
INSERT INTO `sys_job_log` VALUES (58522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:22:15');
INSERT INTO `sys_job_log` VALUES (58523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:22:20');
INSERT INTO `sys_job_log` VALUES (58524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 09:22:25');
INSERT INTO `sys_job_log` VALUES (58525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:22:30');
INSERT INTO `sys_job_log` VALUES (58526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:22:30');
INSERT INTO `sys_job_log` VALUES (58527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:22:35');
INSERT INTO `sys_job_log` VALUES (58528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:22:40');
INSERT INTO `sys_job_log` VALUES (58529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:22:45');
INSERT INTO `sys_job_log` VALUES (58530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:22:45');
INSERT INTO `sys_job_log` VALUES (58531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:22:50');
INSERT INTO `sys_job_log` VALUES (58532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:22:55');
INSERT INTO `sys_job_log` VALUES (58533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:23:00');
INSERT INTO `sys_job_log` VALUES (58534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:23:00');
INSERT INTO `sys_job_log` VALUES (58535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:23:05');
INSERT INTO `sys_job_log` VALUES (58536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:23:10');
INSERT INTO `sys_job_log` VALUES (58537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:23:15');
INSERT INTO `sys_job_log` VALUES (58538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:23:15');
INSERT INTO `sys_job_log` VALUES (58539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 09:23:20');
INSERT INTO `sys_job_log` VALUES (58540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:23:25');
INSERT INTO `sys_job_log` VALUES (58541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:23:30');
INSERT INTO `sys_job_log` VALUES (58542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:23:30');
INSERT INTO `sys_job_log` VALUES (58543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:23:35');
INSERT INTO `sys_job_log` VALUES (58544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:23:40');
INSERT INTO `sys_job_log` VALUES (58545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:23:45');
INSERT INTO `sys_job_log` VALUES (58546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 09:23:45');
INSERT INTO `sys_job_log` VALUES (58547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:23:50');
INSERT INTO `sys_job_log` VALUES (58548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:23:55');
INSERT INTO `sys_job_log` VALUES (58549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:24:00');
INSERT INTO `sys_job_log` VALUES (58550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:24:00');
INSERT INTO `sys_job_log` VALUES (58551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:24:05');
INSERT INTO `sys_job_log` VALUES (58552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:24:10');
INSERT INTO `sys_job_log` VALUES (58553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:24:15');
INSERT INTO `sys_job_log` VALUES (58554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:24:15');
INSERT INTO `sys_job_log` VALUES (58555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:24:20');
INSERT INTO `sys_job_log` VALUES (58556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:24:25');
INSERT INTO `sys_job_log` VALUES (58557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:24:30');
INSERT INTO `sys_job_log` VALUES (58558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:24:30');
INSERT INTO `sys_job_log` VALUES (58559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:24:35');
INSERT INTO `sys_job_log` VALUES (58560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:24:40');
INSERT INTO `sys_job_log` VALUES (58561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:24:45');
INSERT INTO `sys_job_log` VALUES (58562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:24:45');
INSERT INTO `sys_job_log` VALUES (58563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:24:50');
INSERT INTO `sys_job_log` VALUES (58564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:24:55');
INSERT INTO `sys_job_log` VALUES (58565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:25:00');
INSERT INTO `sys_job_log` VALUES (58566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:25:00');
INSERT INTO `sys_job_log` VALUES (58567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:25:05');
INSERT INTO `sys_job_log` VALUES (58568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:25:10');
INSERT INTO `sys_job_log` VALUES (58569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:25:15');
INSERT INTO `sys_job_log` VALUES (58570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:25:15');
INSERT INTO `sys_job_log` VALUES (58571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:25:20');
INSERT INTO `sys_job_log` VALUES (58572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:25:25');
INSERT INTO `sys_job_log` VALUES (58573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:25:30');
INSERT INTO `sys_job_log` VALUES (58574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:25:30');
INSERT INTO `sys_job_log` VALUES (58575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:25:35');
INSERT INTO `sys_job_log` VALUES (58576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:25:40');
INSERT INTO `sys_job_log` VALUES (58577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 09:25:45');
INSERT INTO `sys_job_log` VALUES (58578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:25:45');
INSERT INTO `sys_job_log` VALUES (58579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:25:50');
INSERT INTO `sys_job_log` VALUES (58580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-02 09:25:55');
INSERT INTO `sys_job_log` VALUES (58581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 09:26:00');
INSERT INTO `sys_job_log` VALUES (58582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:26:00');
INSERT INTO `sys_job_log` VALUES (58583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:26:05');
INSERT INTO `sys_job_log` VALUES (58584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:26:10');
INSERT INTO `sys_job_log` VALUES (58585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:26:15');
INSERT INTO `sys_job_log` VALUES (58586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:26:15');
INSERT INTO `sys_job_log` VALUES (58587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:26:20');
INSERT INTO `sys_job_log` VALUES (58588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:26:25');
INSERT INTO `sys_job_log` VALUES (58589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:26:30');
INSERT INTO `sys_job_log` VALUES (58590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:26:30');
INSERT INTO `sys_job_log` VALUES (58591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:26:35');
INSERT INTO `sys_job_log` VALUES (58592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:26:40');
INSERT INTO `sys_job_log` VALUES (58593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:26:45');
INSERT INTO `sys_job_log` VALUES (58594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:26:45');
INSERT INTO `sys_job_log` VALUES (58595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:26:50');
INSERT INTO `sys_job_log` VALUES (58596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:26:55');
INSERT INTO `sys_job_log` VALUES (58597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:27:00');
INSERT INTO `sys_job_log` VALUES (58598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:27:00');
INSERT INTO `sys_job_log` VALUES (58599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:27:05');
INSERT INTO `sys_job_log` VALUES (58600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:27:10');
INSERT INTO `sys_job_log` VALUES (58601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:27:15');
INSERT INTO `sys_job_log` VALUES (58602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:27:15');
INSERT INTO `sys_job_log` VALUES (58603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:27:20');
INSERT INTO `sys_job_log` VALUES (58604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 09:27:25');
INSERT INTO `sys_job_log` VALUES (58605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 09:27:30');
INSERT INTO `sys_job_log` VALUES (58606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：67毫秒', '0', '', '2025-01-02 09:27:30');
INSERT INTO `sys_job_log` VALUES (58607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:27:35');
INSERT INTO `sys_job_log` VALUES (58608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:27:40');
INSERT INTO `sys_job_log` VALUES (58609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:27:45');
INSERT INTO `sys_job_log` VALUES (58610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:27:45');
INSERT INTO `sys_job_log` VALUES (58611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:27:50');
INSERT INTO `sys_job_log` VALUES (58612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:27:55');
INSERT INTO `sys_job_log` VALUES (58613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 09:28:00');
INSERT INTO `sys_job_log` VALUES (58614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:28:00');
INSERT INTO `sys_job_log` VALUES (58615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:28:05');
INSERT INTO `sys_job_log` VALUES (58616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 09:28:10');
INSERT INTO `sys_job_log` VALUES (58617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:28:15');
INSERT INTO `sys_job_log` VALUES (58618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:28:15');
INSERT INTO `sys_job_log` VALUES (58619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:28:20');
INSERT INTO `sys_job_log` VALUES (58620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:28:25');
INSERT INTO `sys_job_log` VALUES (58621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 09:28:30');
INSERT INTO `sys_job_log` VALUES (58622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 09:28:30');
INSERT INTO `sys_job_log` VALUES (58623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:28:35');
INSERT INTO `sys_job_log` VALUES (58624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:28:40');
INSERT INTO `sys_job_log` VALUES (58625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 09:28:45');
INSERT INTO `sys_job_log` VALUES (58626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:28:45');
INSERT INTO `sys_job_log` VALUES (58627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:28:50');
INSERT INTO `sys_job_log` VALUES (58628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:28:55');
INSERT INTO `sys_job_log` VALUES (58629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 09:29:00');
INSERT INTO `sys_job_log` VALUES (58630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 09:29:00');
INSERT INTO `sys_job_log` VALUES (58631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:29:05');
INSERT INTO `sys_job_log` VALUES (58632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:29:10');
INSERT INTO `sys_job_log` VALUES (58633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:29:15');
INSERT INTO `sys_job_log` VALUES (58634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 09:29:15');
INSERT INTO `sys_job_log` VALUES (58635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:29:20');
INSERT INTO `sys_job_log` VALUES (58636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:29:25');
INSERT INTO `sys_job_log` VALUES (58637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 09:29:30');
INSERT INTO `sys_job_log` VALUES (58638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:29:30');
INSERT INTO `sys_job_log` VALUES (58639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:29:35');
INSERT INTO `sys_job_log` VALUES (58640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:29:40');
INSERT INTO `sys_job_log` VALUES (58641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 09:29:45');
INSERT INTO `sys_job_log` VALUES (58642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 09:29:45');
INSERT INTO `sys_job_log` VALUES (58643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:29:50');
INSERT INTO `sys_job_log` VALUES (58644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:29:55');
INSERT INTO `sys_job_log` VALUES (58645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:30:00');
INSERT INTO `sys_job_log` VALUES (58646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:30:00');
INSERT INTO `sys_job_log` VALUES (58647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:30:05');
INSERT INTO `sys_job_log` VALUES (58648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:30:10');
INSERT INTO `sys_job_log` VALUES (58649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 09:30:15');
INSERT INTO `sys_job_log` VALUES (58650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 09:30:15');
INSERT INTO `sys_job_log` VALUES (58651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 09:30:20');
INSERT INTO `sys_job_log` VALUES (58652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:30:25');
INSERT INTO `sys_job_log` VALUES (58653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:30:30');
INSERT INTO `sys_job_log` VALUES (58654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:30:30');
INSERT INTO `sys_job_log` VALUES (58655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:30:35');
INSERT INTO `sys_job_log` VALUES (58656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:30:40');
INSERT INTO `sys_job_log` VALUES (58657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:30:45');
INSERT INTO `sys_job_log` VALUES (58658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:30:45');
INSERT INTO `sys_job_log` VALUES (58659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:30:50');
INSERT INTO `sys_job_log` VALUES (58660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 09:30:55');
INSERT INTO `sys_job_log` VALUES (58661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2025-01-02 09:31:00');
INSERT INTO `sys_job_log` VALUES (58662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 09:31:00');
INSERT INTO `sys_job_log` VALUES (58663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 09:31:05');
INSERT INTO `sys_job_log` VALUES (58664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:31:10');
INSERT INTO `sys_job_log` VALUES (58665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:31:15');
INSERT INTO `sys_job_log` VALUES (58666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:31:15');
INSERT INTO `sys_job_log` VALUES (58667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:31:20');
INSERT INTO `sys_job_log` VALUES (58668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:31:25');
INSERT INTO `sys_job_log` VALUES (58669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:31:30');
INSERT INTO `sys_job_log` VALUES (58670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:31:30');
INSERT INTO `sys_job_log` VALUES (58671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:31:35');
INSERT INTO `sys_job_log` VALUES (58672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:31:40');
INSERT INTO `sys_job_log` VALUES (58673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:31:45');
INSERT INTO `sys_job_log` VALUES (58674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:31:45');
INSERT INTO `sys_job_log` VALUES (58675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:31:50');
INSERT INTO `sys_job_log` VALUES (58676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:31:55');
INSERT INTO `sys_job_log` VALUES (58677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:32:00');
INSERT INTO `sys_job_log` VALUES (58678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:32:00');
INSERT INTO `sys_job_log` VALUES (58679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:32:05');
INSERT INTO `sys_job_log` VALUES (58680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:32:10');
INSERT INTO `sys_job_log` VALUES (58681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:32:15');
INSERT INTO `sys_job_log` VALUES (58682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:32:15');
INSERT INTO `sys_job_log` VALUES (58683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:32:20');
INSERT INTO `sys_job_log` VALUES (58684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:32:25');
INSERT INTO `sys_job_log` VALUES (58685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:32:30');
INSERT INTO `sys_job_log` VALUES (58686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:32:30');
INSERT INTO `sys_job_log` VALUES (58687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:32:35');
INSERT INTO `sys_job_log` VALUES (58688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:32:40');
INSERT INTO `sys_job_log` VALUES (58689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 09:32:45');
INSERT INTO `sys_job_log` VALUES (58690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 09:32:45');
INSERT INTO `sys_job_log` VALUES (58691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:32:50');
INSERT INTO `sys_job_log` VALUES (58692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:32:55');
INSERT INTO `sys_job_log` VALUES (58693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:33:00');
INSERT INTO `sys_job_log` VALUES (58694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:33:00');
INSERT INTO `sys_job_log` VALUES (58695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:33:05');
INSERT INTO `sys_job_log` VALUES (58696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:33:10');
INSERT INTO `sys_job_log` VALUES (58697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:33:15');
INSERT INTO `sys_job_log` VALUES (58698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:33:15');
INSERT INTO `sys_job_log` VALUES (58699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:33:20');
INSERT INTO `sys_job_log` VALUES (58700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:33:25');
INSERT INTO `sys_job_log` VALUES (58701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:33:30');
INSERT INTO `sys_job_log` VALUES (58702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:33:30');
INSERT INTO `sys_job_log` VALUES (58703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:33:35');
INSERT INTO `sys_job_log` VALUES (58704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:33:40');
INSERT INTO `sys_job_log` VALUES (58705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:33:45');
INSERT INTO `sys_job_log` VALUES (58706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:33:45');
INSERT INTO `sys_job_log` VALUES (58707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:33:50');
INSERT INTO `sys_job_log` VALUES (58708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:33:55');
INSERT INTO `sys_job_log` VALUES (58709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:34:00');
INSERT INTO `sys_job_log` VALUES (58710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:34:00');
INSERT INTO `sys_job_log` VALUES (58711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:34:05');
INSERT INTO `sys_job_log` VALUES (58712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:34:10');
INSERT INTO `sys_job_log` VALUES (58713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:34:15');
INSERT INTO `sys_job_log` VALUES (58714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:34:15');
INSERT INTO `sys_job_log` VALUES (58715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:34:20');
INSERT INTO `sys_job_log` VALUES (58716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:34:25');
INSERT INTO `sys_job_log` VALUES (58717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:34:30');
INSERT INTO `sys_job_log` VALUES (58718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:34:30');
INSERT INTO `sys_job_log` VALUES (58719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:34:35');
INSERT INTO `sys_job_log` VALUES (58720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:34:40');
INSERT INTO `sys_job_log` VALUES (58721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:34:45');
INSERT INTO `sys_job_log` VALUES (58722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:34:45');
INSERT INTO `sys_job_log` VALUES (58723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:34:50');
INSERT INTO `sys_job_log` VALUES (58724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:34:55');
INSERT INTO `sys_job_log` VALUES (58725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:35:00');
INSERT INTO `sys_job_log` VALUES (58726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:35:00');
INSERT INTO `sys_job_log` VALUES (58727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:35:05');
INSERT INTO `sys_job_log` VALUES (58728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:35:10');
INSERT INTO `sys_job_log` VALUES (58729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:35:15');
INSERT INTO `sys_job_log` VALUES (58730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:35:15');
INSERT INTO `sys_job_log` VALUES (58731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:35:20');
INSERT INTO `sys_job_log` VALUES (58732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:35:25');
INSERT INTO `sys_job_log` VALUES (58733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:35:30');
INSERT INTO `sys_job_log` VALUES (58734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:35:30');
INSERT INTO `sys_job_log` VALUES (58735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:35:35');
INSERT INTO `sys_job_log` VALUES (58736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:35:40');
INSERT INTO `sys_job_log` VALUES (58737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:35:45');
INSERT INTO `sys_job_log` VALUES (58738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:35:45');
INSERT INTO `sys_job_log` VALUES (58739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:35:50');
INSERT INTO `sys_job_log` VALUES (58740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:35:55');
INSERT INTO `sys_job_log` VALUES (58741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:36:00');
INSERT INTO `sys_job_log` VALUES (58742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:36:00');
INSERT INTO `sys_job_log` VALUES (58743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:36:05');
INSERT INTO `sys_job_log` VALUES (58744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:36:10');
INSERT INTO `sys_job_log` VALUES (58745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:36:15');
INSERT INTO `sys_job_log` VALUES (58746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:36:15');
INSERT INTO `sys_job_log` VALUES (58747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:36:20');
INSERT INTO `sys_job_log` VALUES (58748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:36:25');
INSERT INTO `sys_job_log` VALUES (58749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:36:30');
INSERT INTO `sys_job_log` VALUES (58750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:36:30');
INSERT INTO `sys_job_log` VALUES (58751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:36:35');
INSERT INTO `sys_job_log` VALUES (58752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:36:40');
INSERT INTO `sys_job_log` VALUES (58753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:36:45');
INSERT INTO `sys_job_log` VALUES (58754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:36:45');
INSERT INTO `sys_job_log` VALUES (58755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:36:50');
INSERT INTO `sys_job_log` VALUES (58756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:36:55');
INSERT INTO `sys_job_log` VALUES (58757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:37:00');
INSERT INTO `sys_job_log` VALUES (58758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:37:00');
INSERT INTO `sys_job_log` VALUES (58759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:37:05');
INSERT INTO `sys_job_log` VALUES (58760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-02 09:37:10');
INSERT INTO `sys_job_log` VALUES (58761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:37:15');
INSERT INTO `sys_job_log` VALUES (58762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:37:15');
INSERT INTO `sys_job_log` VALUES (58763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:37:20');
INSERT INTO `sys_job_log` VALUES (58764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 09:37:25');
INSERT INTO `sys_job_log` VALUES (58765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:37:30');
INSERT INTO `sys_job_log` VALUES (58766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:37:30');
INSERT INTO `sys_job_log` VALUES (58767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:37:35');
INSERT INTO `sys_job_log` VALUES (58768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:37:40');
INSERT INTO `sys_job_log` VALUES (58769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:37:45');
INSERT INTO `sys_job_log` VALUES (58770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:37:45');
INSERT INTO `sys_job_log` VALUES (58771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:37:50');
INSERT INTO `sys_job_log` VALUES (58772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:37:55');
INSERT INTO `sys_job_log` VALUES (58773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 09:38:00');
INSERT INTO `sys_job_log` VALUES (58774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:38:00');
INSERT INTO `sys_job_log` VALUES (58775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:38:05');
INSERT INTO `sys_job_log` VALUES (58776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:38:10');
INSERT INTO `sys_job_log` VALUES (58777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:38:15');
INSERT INTO `sys_job_log` VALUES (58778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:38:15');
INSERT INTO `sys_job_log` VALUES (58779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 09:38:20');
INSERT INTO `sys_job_log` VALUES (58780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:38:25');
INSERT INTO `sys_job_log` VALUES (58781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 09:38:30');
INSERT INTO `sys_job_log` VALUES (58782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:38:30');
INSERT INTO `sys_job_log` VALUES (58783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:38:35');
INSERT INTO `sys_job_log` VALUES (58784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:38:40');
INSERT INTO `sys_job_log` VALUES (58785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:38:45');
INSERT INTO `sys_job_log` VALUES (58786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:38:45');
INSERT INTO `sys_job_log` VALUES (58787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:38:50');
INSERT INTO `sys_job_log` VALUES (58788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:38:55');
INSERT INTO `sys_job_log` VALUES (58789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:39:00');
INSERT INTO `sys_job_log` VALUES (58790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:39:00');
INSERT INTO `sys_job_log` VALUES (58791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:39:05');
INSERT INTO `sys_job_log` VALUES (58792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:39:10');
INSERT INTO `sys_job_log` VALUES (58793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:39:15');
INSERT INTO `sys_job_log` VALUES (58794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:39:15');
INSERT INTO `sys_job_log` VALUES (58795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:39:20');
INSERT INTO `sys_job_log` VALUES (58796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:39:25');
INSERT INTO `sys_job_log` VALUES (58797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:39:30');
INSERT INTO `sys_job_log` VALUES (58798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:39:30');
INSERT INTO `sys_job_log` VALUES (58799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:39:35');
INSERT INTO `sys_job_log` VALUES (58800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:39:40');
INSERT INTO `sys_job_log` VALUES (58801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:39:45');
INSERT INTO `sys_job_log` VALUES (58802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:39:45');
INSERT INTO `sys_job_log` VALUES (58803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:39:50');
INSERT INTO `sys_job_log` VALUES (58804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:39:55');
INSERT INTO `sys_job_log` VALUES (58805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:40:00');
INSERT INTO `sys_job_log` VALUES (58806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:40:00');
INSERT INTO `sys_job_log` VALUES (58807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2025-01-02 09:40:05');
INSERT INTO `sys_job_log` VALUES (58808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:40:10');
INSERT INTO `sys_job_log` VALUES (58809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 09:40:15');
INSERT INTO `sys_job_log` VALUES (58810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 09:40:15');
INSERT INTO `sys_job_log` VALUES (58811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:40:20');
INSERT INTO `sys_job_log` VALUES (58812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:40:25');
INSERT INTO `sys_job_log` VALUES (58813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:40:30');
INSERT INTO `sys_job_log` VALUES (58814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:40:30');
INSERT INTO `sys_job_log` VALUES (58815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:40:35');
INSERT INTO `sys_job_log` VALUES (58816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:40:40');
INSERT INTO `sys_job_log` VALUES (58817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:40:45');
INSERT INTO `sys_job_log` VALUES (58818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:40:45');
INSERT INTO `sys_job_log` VALUES (58819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:40:50');
INSERT INTO `sys_job_log` VALUES (58820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:40:55');
INSERT INTO `sys_job_log` VALUES (58821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:41:00');
INSERT INTO `sys_job_log` VALUES (58822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:41:00');
INSERT INTO `sys_job_log` VALUES (58823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:41:05');
INSERT INTO `sys_job_log` VALUES (58824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:41:10');
INSERT INTO `sys_job_log` VALUES (58825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:41:15');
INSERT INTO `sys_job_log` VALUES (58826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:41:15');
INSERT INTO `sys_job_log` VALUES (58827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:41:20');
INSERT INTO `sys_job_log` VALUES (58828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:41:25');
INSERT INTO `sys_job_log` VALUES (58829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:41:30');
INSERT INTO `sys_job_log` VALUES (58830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:41:30');
INSERT INTO `sys_job_log` VALUES (58831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:41:35');
INSERT INTO `sys_job_log` VALUES (58832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:41:40');
INSERT INTO `sys_job_log` VALUES (58833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:41:45');
INSERT INTO `sys_job_log` VALUES (58834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:41:45');
INSERT INTO `sys_job_log` VALUES (58835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:41:50');
INSERT INTO `sys_job_log` VALUES (58836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:41:55');
INSERT INTO `sys_job_log` VALUES (58837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:42:00');
INSERT INTO `sys_job_log` VALUES (58838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:42:00');
INSERT INTO `sys_job_log` VALUES (58839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:42:05');
INSERT INTO `sys_job_log` VALUES (58840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:42:10');
INSERT INTO `sys_job_log` VALUES (58841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:42:15');
INSERT INTO `sys_job_log` VALUES (58842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:42:15');
INSERT INTO `sys_job_log` VALUES (58843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:42:20');
INSERT INTO `sys_job_log` VALUES (58844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:42:25');
INSERT INTO `sys_job_log` VALUES (58845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:42:30');
INSERT INTO `sys_job_log` VALUES (58846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:42:30');
INSERT INTO `sys_job_log` VALUES (58847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:42:35');
INSERT INTO `sys_job_log` VALUES (58848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:42:40');
INSERT INTO `sys_job_log` VALUES (58849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:42:45');
INSERT INTO `sys_job_log` VALUES (58850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:42:45');
INSERT INTO `sys_job_log` VALUES (58851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:42:50');
INSERT INTO `sys_job_log` VALUES (58852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2025-01-02 09:42:55');
INSERT INTO `sys_job_log` VALUES (58853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：155毫秒', '0', '', '2025-01-02 09:43:00');
INSERT INTO `sys_job_log` VALUES (58854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：157毫秒', '0', '', '2025-01-02 09:43:00');
INSERT INTO `sys_job_log` VALUES (58855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1182毫秒', '0', '', '2025-01-02 09:43:06');
INSERT INTO `sys_job_log` VALUES (58856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:43:10');
INSERT INTO `sys_job_log` VALUES (58857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:43:15');
INSERT INTO `sys_job_log` VALUES (58858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:43:15');
INSERT INTO `sys_job_log` VALUES (58859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:43:20');
INSERT INTO `sys_job_log` VALUES (58860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:43:25');
INSERT INTO `sys_job_log` VALUES (58861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:43:30');
INSERT INTO `sys_job_log` VALUES (58862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:43:30');
INSERT INTO `sys_job_log` VALUES (58863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:43:35');
INSERT INTO `sys_job_log` VALUES (58864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:43:40');
INSERT INTO `sys_job_log` VALUES (58865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:43:45');
INSERT INTO `sys_job_log` VALUES (58866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:43:45');
INSERT INTO `sys_job_log` VALUES (58867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:43:50');
INSERT INTO `sys_job_log` VALUES (58868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:43:55');
INSERT INTO `sys_job_log` VALUES (58869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:00');
INSERT INTO `sys_job_log` VALUES (58870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:00');
INSERT INTO `sys_job_log` VALUES (58871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:05');
INSERT INTO `sys_job_log` VALUES (58872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:44:10');
INSERT INTO `sys_job_log` VALUES (58873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:44:15');
INSERT INTO `sys_job_log` VALUES (58874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:44:15');
INSERT INTO `sys_job_log` VALUES (58875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:44:20');
INSERT INTO `sys_job_log` VALUES (58876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:44:25');
INSERT INTO `sys_job_log` VALUES (58877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:44:30');
INSERT INTO `sys_job_log` VALUES (58878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:44:30');
INSERT INTO `sys_job_log` VALUES (58879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:44:35');
INSERT INTO `sys_job_log` VALUES (58880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:40');
INSERT INTO `sys_job_log` VALUES (58881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:45');
INSERT INTO `sys_job_log` VALUES (58882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:45');
INSERT INTO `sys_job_log` VALUES (58883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:44:50');
INSERT INTO `sys_job_log` VALUES (58884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:44:55');
INSERT INTO `sys_job_log` VALUES (58885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:45:00');
INSERT INTO `sys_job_log` VALUES (58886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:45:00');
INSERT INTO `sys_job_log` VALUES (58887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:45:05');
INSERT INTO `sys_job_log` VALUES (58888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:45:10');
INSERT INTO `sys_job_log` VALUES (58889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:45:15');
INSERT INTO `sys_job_log` VALUES (58890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:45:15');
INSERT INTO `sys_job_log` VALUES (58891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:45:20');
INSERT INTO `sys_job_log` VALUES (58892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:45:25');
INSERT INTO `sys_job_log` VALUES (58893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:45:30');
INSERT INTO `sys_job_log` VALUES (58894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:45:30');
INSERT INTO `sys_job_log` VALUES (58895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-02 09:45:35');
INSERT INTO `sys_job_log` VALUES (58896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:45:40');
INSERT INTO `sys_job_log` VALUES (58897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:45:45');
INSERT INTO `sys_job_log` VALUES (58898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:45:45');
INSERT INTO `sys_job_log` VALUES (58899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-02 09:45:50');
INSERT INTO `sys_job_log` VALUES (58900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:45:55');
INSERT INTO `sys_job_log` VALUES (58901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：173毫秒', '0', '', '2025-01-02 09:46:00');
INSERT INTO `sys_job_log` VALUES (58902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：173毫秒', '0', '', '2025-01-02 09:46:00');
INSERT INTO `sys_job_log` VALUES (58903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:46:05');
INSERT INTO `sys_job_log` VALUES (58904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:46:10');
INSERT INTO `sys_job_log` VALUES (58905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:46:15');
INSERT INTO `sys_job_log` VALUES (58906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:46:15');
INSERT INTO `sys_job_log` VALUES (58907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:46:20');
INSERT INTO `sys_job_log` VALUES (58908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:46:25');
INSERT INTO `sys_job_log` VALUES (58909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:46:30');
INSERT INTO `sys_job_log` VALUES (58910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:46:30');
INSERT INTO `sys_job_log` VALUES (58911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:46:35');
INSERT INTO `sys_job_log` VALUES (58912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:46:40');
INSERT INTO `sys_job_log` VALUES (58913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:46:45');
INSERT INTO `sys_job_log` VALUES (58914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:46:45');
INSERT INTO `sys_job_log` VALUES (58915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:46:50');
INSERT INTO `sys_job_log` VALUES (58916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:46:55');
INSERT INTO `sys_job_log` VALUES (58917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:47:00');
INSERT INTO `sys_job_log` VALUES (58918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:47:00');
INSERT INTO `sys_job_log` VALUES (58919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:47:05');
INSERT INTO `sys_job_log` VALUES (58920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:47:10');
INSERT INTO `sys_job_log` VALUES (58921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:47:15');
INSERT INTO `sys_job_log` VALUES (58922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:47:15');
INSERT INTO `sys_job_log` VALUES (58923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:47:20');
INSERT INTO `sys_job_log` VALUES (58924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:47:25');
INSERT INTO `sys_job_log` VALUES (58925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:47:30');
INSERT INTO `sys_job_log` VALUES (58926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:47:30');
INSERT INTO `sys_job_log` VALUES (58927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:47:35');
INSERT INTO `sys_job_log` VALUES (58928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:47:40');
INSERT INTO `sys_job_log` VALUES (58929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:47:45');
INSERT INTO `sys_job_log` VALUES (58930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:47:45');
INSERT INTO `sys_job_log` VALUES (58931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:47:50');
INSERT INTO `sys_job_log` VALUES (58932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:47:55');
INSERT INTO `sys_job_log` VALUES (58933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:48:00');
INSERT INTO `sys_job_log` VALUES (58934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:48:00');
INSERT INTO `sys_job_log` VALUES (58935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:48:05');
INSERT INTO `sys_job_log` VALUES (58936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:48:10');
INSERT INTO `sys_job_log` VALUES (58937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:48:15');
INSERT INTO `sys_job_log` VALUES (58938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:48:15');
INSERT INTO `sys_job_log` VALUES (58939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:48:20');
INSERT INTO `sys_job_log` VALUES (58940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:48:25');
INSERT INTO `sys_job_log` VALUES (58941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:48:30');
INSERT INTO `sys_job_log` VALUES (58942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:48:30');
INSERT INTO `sys_job_log` VALUES (58943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:48:35');
INSERT INTO `sys_job_log` VALUES (58944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:48:40');
INSERT INTO `sys_job_log` VALUES (58945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:48:45');
INSERT INTO `sys_job_log` VALUES (58946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:48:45');
INSERT INTO `sys_job_log` VALUES (58947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:48:50');
INSERT INTO `sys_job_log` VALUES (58948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:48:55');
INSERT INTO `sys_job_log` VALUES (58949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:49:00');
INSERT INTO `sys_job_log` VALUES (58950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:49:00');
INSERT INTO `sys_job_log` VALUES (58951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:49:05');
INSERT INTO `sys_job_log` VALUES (58952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 09:49:10');
INSERT INTO `sys_job_log` VALUES (58953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:49:15');
INSERT INTO `sys_job_log` VALUES (58954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:49:15');
INSERT INTO `sys_job_log` VALUES (58955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:49:20');
INSERT INTO `sys_job_log` VALUES (58956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:49:25');
INSERT INTO `sys_job_log` VALUES (58957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 09:49:30');
INSERT INTO `sys_job_log` VALUES (58958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 09:49:30');
INSERT INTO `sys_job_log` VALUES (58959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:49:35');
INSERT INTO `sys_job_log` VALUES (58960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:49:40');
INSERT INTO `sys_job_log` VALUES (58961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:49:45');
INSERT INTO `sys_job_log` VALUES (58962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:49:45');
INSERT INTO `sys_job_log` VALUES (58963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:49:50');
INSERT INTO `sys_job_log` VALUES (58964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:49:55');
INSERT INTO `sys_job_log` VALUES (58965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:50:00');
INSERT INTO `sys_job_log` VALUES (58966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:50:00');
INSERT INTO `sys_job_log` VALUES (58967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:50:05');
INSERT INTO `sys_job_log` VALUES (58968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:50:10');
INSERT INTO `sys_job_log` VALUES (58969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:50:15');
INSERT INTO `sys_job_log` VALUES (58970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:50:15');
INSERT INTO `sys_job_log` VALUES (58971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:50:20');
INSERT INTO `sys_job_log` VALUES (58972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:50:25');
INSERT INTO `sys_job_log` VALUES (58973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:50:30');
INSERT INTO `sys_job_log` VALUES (58974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:50:30');
INSERT INTO `sys_job_log` VALUES (58975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:50:35');
INSERT INTO `sys_job_log` VALUES (58976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:50:40');
INSERT INTO `sys_job_log` VALUES (58977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:50:45');
INSERT INTO `sys_job_log` VALUES (58978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:50:45');
INSERT INTO `sys_job_log` VALUES (58979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:50:50');
INSERT INTO `sys_job_log` VALUES (58980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:50:55');
INSERT INTO `sys_job_log` VALUES (58981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 09:51:00');
INSERT INTO `sys_job_log` VALUES (58982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:51:00');
INSERT INTO `sys_job_log` VALUES (58983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:51:05');
INSERT INTO `sys_job_log` VALUES (58984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:51:10');
INSERT INTO `sys_job_log` VALUES (58985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:51:15');
INSERT INTO `sys_job_log` VALUES (58986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:51:15');
INSERT INTO `sys_job_log` VALUES (58987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:51:20');
INSERT INTO `sys_job_log` VALUES (58988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:51:25');
INSERT INTO `sys_job_log` VALUES (58989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:51:30');
INSERT INTO `sys_job_log` VALUES (58990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:51:30');
INSERT INTO `sys_job_log` VALUES (58991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:51:35');
INSERT INTO `sys_job_log` VALUES (58992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:51:40');
INSERT INTO `sys_job_log` VALUES (58993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:51:45');
INSERT INTO `sys_job_log` VALUES (58994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:51:45');
INSERT INTO `sys_job_log` VALUES (58995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:51:50');
INSERT INTO `sys_job_log` VALUES (58996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:51:55');
INSERT INTO `sys_job_log` VALUES (58997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 09:52:00');
INSERT INTO `sys_job_log` VALUES (58998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:52:00');
INSERT INTO `sys_job_log` VALUES (58999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:52:05');
INSERT INTO `sys_job_log` VALUES (59000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:52:10');
INSERT INTO `sys_job_log` VALUES (59001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:52:15');
INSERT INTO `sys_job_log` VALUES (59002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:52:15');
INSERT INTO `sys_job_log` VALUES (59003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:52:20');
INSERT INTO `sys_job_log` VALUES (59004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:52:25');
INSERT INTO `sys_job_log` VALUES (59005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 09:52:30');
INSERT INTO `sys_job_log` VALUES (59006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:52:30');
INSERT INTO `sys_job_log` VALUES (59007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:52:35');
INSERT INTO `sys_job_log` VALUES (59008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:52:40');
INSERT INTO `sys_job_log` VALUES (59009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:52:45');
INSERT INTO `sys_job_log` VALUES (59010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:52:45');
INSERT INTO `sys_job_log` VALUES (59011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:52:50');
INSERT INTO `sys_job_log` VALUES (59012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:52:55');
INSERT INTO `sys_job_log` VALUES (59013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:53:00');
INSERT INTO `sys_job_log` VALUES (59014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:53:00');
INSERT INTO `sys_job_log` VALUES (59015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:53:05');
INSERT INTO `sys_job_log` VALUES (59016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:53:10');
INSERT INTO `sys_job_log` VALUES (59017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:53:15');
INSERT INTO `sys_job_log` VALUES (59018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 09:53:15');
INSERT INTO `sys_job_log` VALUES (59019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:53:20');
INSERT INTO `sys_job_log` VALUES (59020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:53:25');
INSERT INTO `sys_job_log` VALUES (59021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:53:30');
INSERT INTO `sys_job_log` VALUES (59022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:53:30');
INSERT INTO `sys_job_log` VALUES (59023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:53:35');
INSERT INTO `sys_job_log` VALUES (59024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:53:40');
INSERT INTO `sys_job_log` VALUES (59025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:53:45');
INSERT INTO `sys_job_log` VALUES (59026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:53:45');
INSERT INTO `sys_job_log` VALUES (59027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:53:50');
INSERT INTO `sys_job_log` VALUES (59028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:53:55');
INSERT INTO `sys_job_log` VALUES (59029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:54:00');
INSERT INTO `sys_job_log` VALUES (59030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:54:00');
INSERT INTO `sys_job_log` VALUES (59031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:54:05');
INSERT INTO `sys_job_log` VALUES (59032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:54:10');
INSERT INTO `sys_job_log` VALUES (59033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:54:15');
INSERT INTO `sys_job_log` VALUES (59034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 09:54:15');
INSERT INTO `sys_job_log` VALUES (59035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:54:20');
INSERT INTO `sys_job_log` VALUES (59036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:54:25');
INSERT INTO `sys_job_log` VALUES (59037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:54:30');
INSERT INTO `sys_job_log` VALUES (59038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:54:30');
INSERT INTO `sys_job_log` VALUES (59039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:54:35');
INSERT INTO `sys_job_log` VALUES (59040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:54:40');
INSERT INTO `sys_job_log` VALUES (59041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:54:45');
INSERT INTO `sys_job_log` VALUES (59042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:54:45');
INSERT INTO `sys_job_log` VALUES (59043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:54:50');
INSERT INTO `sys_job_log` VALUES (59044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:54:55');
INSERT INTO `sys_job_log` VALUES (59045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:55:00');
INSERT INTO `sys_job_log` VALUES (59046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:55:00');
INSERT INTO `sys_job_log` VALUES (59047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:55:05');
INSERT INTO `sys_job_log` VALUES (59048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:55:10');
INSERT INTO `sys_job_log` VALUES (59049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:55:15');
INSERT INTO `sys_job_log` VALUES (59050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:55:15');
INSERT INTO `sys_job_log` VALUES (59051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:55:20');
INSERT INTO `sys_job_log` VALUES (59052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:55:25');
INSERT INTO `sys_job_log` VALUES (59053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:55:30');
INSERT INTO `sys_job_log` VALUES (59054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:55:30');
INSERT INTO `sys_job_log` VALUES (59055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:55:35');
INSERT INTO `sys_job_log` VALUES (59056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 09:55:40');
INSERT INTO `sys_job_log` VALUES (59057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:55:45');
INSERT INTO `sys_job_log` VALUES (59058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:55:45');
INSERT INTO `sys_job_log` VALUES (59059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:55:50');
INSERT INTO `sys_job_log` VALUES (59060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:55:55');
INSERT INTO `sys_job_log` VALUES (59061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:56:00');
INSERT INTO `sys_job_log` VALUES (59062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:56:00');
INSERT INTO `sys_job_log` VALUES (59063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:56:05');
INSERT INTO `sys_job_log` VALUES (59064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:56:10');
INSERT INTO `sys_job_log` VALUES (59065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:56:15');
INSERT INTO `sys_job_log` VALUES (59066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:56:15');
INSERT INTO `sys_job_log` VALUES (59067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:56:20');
INSERT INTO `sys_job_log` VALUES (59068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:56:25');
INSERT INTO `sys_job_log` VALUES (59069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:56:30');
INSERT INTO `sys_job_log` VALUES (59070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:56:30');
INSERT INTO `sys_job_log` VALUES (59071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:56:35');
INSERT INTO `sys_job_log` VALUES (59072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:56:40');
INSERT INTO `sys_job_log` VALUES (59073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 09:56:45');
INSERT INTO `sys_job_log` VALUES (59074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 09:56:45');
INSERT INTO `sys_job_log` VALUES (59075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:56:50');
INSERT INTO `sys_job_log` VALUES (59076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:56:55');
INSERT INTO `sys_job_log` VALUES (59077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:00');
INSERT INTO `sys_job_log` VALUES (59078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:00');
INSERT INTO `sys_job_log` VALUES (59079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:57:05');
INSERT INTO `sys_job_log` VALUES (59080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:57:10');
INSERT INTO `sys_job_log` VALUES (59081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:15');
INSERT INTO `sys_job_log` VALUES (59082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:57:15');
INSERT INTO `sys_job_log` VALUES (59083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:57:20');
INSERT INTO `sys_job_log` VALUES (59084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:57:25');
INSERT INTO `sys_job_log` VALUES (59085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:57:30');
INSERT INTO `sys_job_log` VALUES (59086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 09:57:30');
INSERT INTO `sys_job_log` VALUES (59087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:35');
INSERT INTO `sys_job_log` VALUES (59088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:57:40');
INSERT INTO `sys_job_log` VALUES (59089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:45');
INSERT INTO `sys_job_log` VALUES (59090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:45');
INSERT INTO `sys_job_log` VALUES (59091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:57:50');
INSERT INTO `sys_job_log` VALUES (59092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:57:55');
INSERT INTO `sys_job_log` VALUES (59093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:58:00');
INSERT INTO `sys_job_log` VALUES (59094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:58:00');
INSERT INTO `sys_job_log` VALUES (59095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:58:05');
INSERT INTO `sys_job_log` VALUES (59096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:58:10');
INSERT INTO `sys_job_log` VALUES (59097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 09:58:15');
INSERT INTO `sys_job_log` VALUES (59098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 09:58:15');
INSERT INTO `sys_job_log` VALUES (59099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:58:20');
INSERT INTO `sys_job_log` VALUES (59100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:58:25');
INSERT INTO `sys_job_log` VALUES (59101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:58:30');
INSERT INTO `sys_job_log` VALUES (59102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:58:30');
INSERT INTO `sys_job_log` VALUES (59103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:58:35');
INSERT INTO `sys_job_log` VALUES (59104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:58:40');
INSERT INTO `sys_job_log` VALUES (59105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 09:58:45');
INSERT INTO `sys_job_log` VALUES (59106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:58:45');
INSERT INTO `sys_job_log` VALUES (59107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:58:50');
INSERT INTO `sys_job_log` VALUES (59108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:58:55');
INSERT INTO `sys_job_log` VALUES (59109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 09:59:00');
INSERT INTO `sys_job_log` VALUES (59110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 09:59:00');
INSERT INTO `sys_job_log` VALUES (59111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:59:05');
INSERT INTO `sys_job_log` VALUES (59112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 09:59:10');
INSERT INTO `sys_job_log` VALUES (59113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 09:59:15');
INSERT INTO `sys_job_log` VALUES (59114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:59:15');
INSERT INTO `sys_job_log` VALUES (59115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:59:20');
INSERT INTO `sys_job_log` VALUES (59116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:59:25');
INSERT INTO `sys_job_log` VALUES (59117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 09:59:30');
INSERT INTO `sys_job_log` VALUES (59118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 09:59:30');
INSERT INTO `sys_job_log` VALUES (59119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 09:59:35');
INSERT INTO `sys_job_log` VALUES (59120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 09:59:40');
INSERT INTO `sys_job_log` VALUES (59121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 09:59:45');
INSERT INTO `sys_job_log` VALUES (59122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 09:59:45');
INSERT INTO `sys_job_log` VALUES (59123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 09:59:50');
INSERT INTO `sys_job_log` VALUES (59124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 09:59:55');
INSERT INTO `sys_job_log` VALUES (59125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:00:00');
INSERT INTO `sys_job_log` VALUES (59126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:00:00');
INSERT INTO `sys_job_log` VALUES (59127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-02 10:00:05');
INSERT INTO `sys_job_log` VALUES (59128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:00:10');
INSERT INTO `sys_job_log` VALUES (59129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:00:15');
INSERT INTO `sys_job_log` VALUES (59130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:00:15');
INSERT INTO `sys_job_log` VALUES (59131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:00:20');
INSERT INTO `sys_job_log` VALUES (59132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:00:25');
INSERT INTO `sys_job_log` VALUES (59133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:00:30');
INSERT INTO `sys_job_log` VALUES (59134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:00:30');
INSERT INTO `sys_job_log` VALUES (59135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:00:35');
INSERT INTO `sys_job_log` VALUES (59136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:00:40');
INSERT INTO `sys_job_log` VALUES (59137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:00:45');
INSERT INTO `sys_job_log` VALUES (59138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:00:45');
INSERT INTO `sys_job_log` VALUES (59139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:00:50');
INSERT INTO `sys_job_log` VALUES (59140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:00:55');
INSERT INTO `sys_job_log` VALUES (59141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:01:00');
INSERT INTO `sys_job_log` VALUES (59142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:01:00');
INSERT INTO `sys_job_log` VALUES (59143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:01:05');
INSERT INTO `sys_job_log` VALUES (59144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:01:10');
INSERT INTO `sys_job_log` VALUES (59145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:01:15');
INSERT INTO `sys_job_log` VALUES (59146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:01:15');
INSERT INTO `sys_job_log` VALUES (59147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:01:20');
INSERT INTO `sys_job_log` VALUES (59148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:01:25');
INSERT INTO `sys_job_log` VALUES (59149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:01:30');
INSERT INTO `sys_job_log` VALUES (59150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:01:30');
INSERT INTO `sys_job_log` VALUES (59151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:01:35');
INSERT INTO `sys_job_log` VALUES (59152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:01:40');
INSERT INTO `sys_job_log` VALUES (59153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:01:45');
INSERT INTO `sys_job_log` VALUES (59154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:01:45');
INSERT INTO `sys_job_log` VALUES (59155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:01:50');
INSERT INTO `sys_job_log` VALUES (59156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:01:55');
INSERT INTO `sys_job_log` VALUES (59157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:02:00');
INSERT INTO `sys_job_log` VALUES (59158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:02:00');
INSERT INTO `sys_job_log` VALUES (59159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:02:05');
INSERT INTO `sys_job_log` VALUES (59160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:02:10');
INSERT INTO `sys_job_log` VALUES (59161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:02:15');
INSERT INTO `sys_job_log` VALUES (59162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:02:15');
INSERT INTO `sys_job_log` VALUES (59163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:02:20');
INSERT INTO `sys_job_log` VALUES (59164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:02:25');
INSERT INTO `sys_job_log` VALUES (59165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:02:30');
INSERT INTO `sys_job_log` VALUES (59166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:02:30');
INSERT INTO `sys_job_log` VALUES (59167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:02:35');
INSERT INTO `sys_job_log` VALUES (59168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:02:40');
INSERT INTO `sys_job_log` VALUES (59169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:02:45');
INSERT INTO `sys_job_log` VALUES (59170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:02:45');
INSERT INTO `sys_job_log` VALUES (59171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:02:50');
INSERT INTO `sys_job_log` VALUES (59172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:02:55');
INSERT INTO `sys_job_log` VALUES (59173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:03:00');
INSERT INTO `sys_job_log` VALUES (59174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:03:00');
INSERT INTO `sys_job_log` VALUES (59175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：119毫秒', '0', '', '2025-01-02 10:03:05');
INSERT INTO `sys_job_log` VALUES (59176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:03:10');
INSERT INTO `sys_job_log` VALUES (59177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:03:15');
INSERT INTO `sys_job_log` VALUES (59178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:03:15');
INSERT INTO `sys_job_log` VALUES (59179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 10:03:20');
INSERT INTO `sys_job_log` VALUES (59180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:03:25');
INSERT INTO `sys_job_log` VALUES (59181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:03:30');
INSERT INTO `sys_job_log` VALUES (59182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:03:30');
INSERT INTO `sys_job_log` VALUES (59183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:03:35');
INSERT INTO `sys_job_log` VALUES (59184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:03:40');
INSERT INTO `sys_job_log` VALUES (59185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:03:45');
INSERT INTO `sys_job_log` VALUES (59186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:03:45');
INSERT INTO `sys_job_log` VALUES (59187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:03:50');
INSERT INTO `sys_job_log` VALUES (59188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:03:55');
INSERT INTO `sys_job_log` VALUES (59189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:00');
INSERT INTO `sys_job_log` VALUES (59190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:00');
INSERT INTO `sys_job_log` VALUES (59191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:05');
INSERT INTO `sys_job_log` VALUES (59192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:04:10');
INSERT INTO `sys_job_log` VALUES (59193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:04:15');
INSERT INTO `sys_job_log` VALUES (59194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:15');
INSERT INTO `sys_job_log` VALUES (59195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:04:20');
INSERT INTO `sys_job_log` VALUES (59196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:25');
INSERT INTO `sys_job_log` VALUES (59197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:04:30');
INSERT INTO `sys_job_log` VALUES (59198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:04:30');
INSERT INTO `sys_job_log` VALUES (59199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:35');
INSERT INTO `sys_job_log` VALUES (59200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:40');
INSERT INTO `sys_job_log` VALUES (59201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:04:45');
INSERT INTO `sys_job_log` VALUES (59202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:45');
INSERT INTO `sys_job_log` VALUES (59203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:04:50');
INSERT INTO `sys_job_log` VALUES (59204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:04:55');
INSERT INTO `sys_job_log` VALUES (59205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:05:00');
INSERT INTO `sys_job_log` VALUES (59206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:05:00');
INSERT INTO `sys_job_log` VALUES (59207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:05:05');
INSERT INTO `sys_job_log` VALUES (59208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:05:10');
INSERT INTO `sys_job_log` VALUES (59209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:05:15');
INSERT INTO `sys_job_log` VALUES (59210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:05:15');
INSERT INTO `sys_job_log` VALUES (59211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:05:20');
INSERT INTO `sys_job_log` VALUES (59212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:05:25');
INSERT INTO `sys_job_log` VALUES (59213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:05:30');
INSERT INTO `sys_job_log` VALUES (59214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:05:30');
INSERT INTO `sys_job_log` VALUES (59215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:05:35');
INSERT INTO `sys_job_log` VALUES (59216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：128毫秒', '0', '', '2025-01-02 10:05:40');
INSERT INTO `sys_job_log` VALUES (59217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:05:45');
INSERT INTO `sys_job_log` VALUES (59218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:05:45');
INSERT INTO `sys_job_log` VALUES (59219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:05:50');
INSERT INTO `sys_job_log` VALUES (59220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:05:55');
INSERT INTO `sys_job_log` VALUES (59221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2025-01-02 10:06:00');
INSERT INTO `sys_job_log` VALUES (59222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-02 10:06:00');
INSERT INTO `sys_job_log` VALUES (59223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:06:05');
INSERT INTO `sys_job_log` VALUES (59224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:06:10');
INSERT INTO `sys_job_log` VALUES (59225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:06:15');
INSERT INTO `sys_job_log` VALUES (59226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:06:15');
INSERT INTO `sys_job_log` VALUES (59227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:06:20');
INSERT INTO `sys_job_log` VALUES (59228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:06:25');
INSERT INTO `sys_job_log` VALUES (59229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:06:30');
INSERT INTO `sys_job_log` VALUES (59230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:06:30');
INSERT INTO `sys_job_log` VALUES (59231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:06:35');
INSERT INTO `sys_job_log` VALUES (59232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:06:40');
INSERT INTO `sys_job_log` VALUES (59233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:06:45');
INSERT INTO `sys_job_log` VALUES (59234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:06:45');
INSERT INTO `sys_job_log` VALUES (59235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:06:50');
INSERT INTO `sys_job_log` VALUES (59236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:06:55');
INSERT INTO `sys_job_log` VALUES (59237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:07:00');
INSERT INTO `sys_job_log` VALUES (59238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:07:00');
INSERT INTO `sys_job_log` VALUES (59239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:07:05');
INSERT INTO `sys_job_log` VALUES (59240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:07:10');
INSERT INTO `sys_job_log` VALUES (59241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:07:15');
INSERT INTO `sys_job_log` VALUES (59242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:07:15');
INSERT INTO `sys_job_log` VALUES (59243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 10:07:20');
INSERT INTO `sys_job_log` VALUES (59244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:07:25');
INSERT INTO `sys_job_log` VALUES (59245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:07:30');
INSERT INTO `sys_job_log` VALUES (59246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:07:30');
INSERT INTO `sys_job_log` VALUES (59247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:07:35');
INSERT INTO `sys_job_log` VALUES (59248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:07:40');
INSERT INTO `sys_job_log` VALUES (59249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:07:45');
INSERT INTO `sys_job_log` VALUES (59250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:07:45');
INSERT INTO `sys_job_log` VALUES (59251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:07:50');
INSERT INTO `sys_job_log` VALUES (59252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:07:55');
INSERT INTO `sys_job_log` VALUES (59253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:08:00');
INSERT INTO `sys_job_log` VALUES (59254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:08:00');
INSERT INTO `sys_job_log` VALUES (59255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:08:05');
INSERT INTO `sys_job_log` VALUES (59256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:08:10');
INSERT INTO `sys_job_log` VALUES (59257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:08:15');
INSERT INTO `sys_job_log` VALUES (59258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:08:15');
INSERT INTO `sys_job_log` VALUES (59259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:08:20');
INSERT INTO `sys_job_log` VALUES (59260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:08:25');
INSERT INTO `sys_job_log` VALUES (59261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:08:30');
INSERT INTO `sys_job_log` VALUES (59262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 10:08:30');
INSERT INTO `sys_job_log` VALUES (59263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:08:35');
INSERT INTO `sys_job_log` VALUES (59264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:08:40');
INSERT INTO `sys_job_log` VALUES (59265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:08:45');
INSERT INTO `sys_job_log` VALUES (59266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:08:45');
INSERT INTO `sys_job_log` VALUES (59267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:08:50');
INSERT INTO `sys_job_log` VALUES (59268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:08:55');
INSERT INTO `sys_job_log` VALUES (59269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:09:00');
INSERT INTO `sys_job_log` VALUES (59270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:09:00');
INSERT INTO `sys_job_log` VALUES (59271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:09:05');
INSERT INTO `sys_job_log` VALUES (59272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:09:10');
INSERT INTO `sys_job_log` VALUES (59273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:09:15');
INSERT INTO `sys_job_log` VALUES (59274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:09:15');
INSERT INTO `sys_job_log` VALUES (59275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:09:20');
INSERT INTO `sys_job_log` VALUES (59276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:09:25');
INSERT INTO `sys_job_log` VALUES (59277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:09:30');
INSERT INTO `sys_job_log` VALUES (59278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:09:30');
INSERT INTO `sys_job_log` VALUES (59279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:09:35');
INSERT INTO `sys_job_log` VALUES (59280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:09:40');
INSERT INTO `sys_job_log` VALUES (59281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:09:45');
INSERT INTO `sys_job_log` VALUES (59282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:09:45');
INSERT INTO `sys_job_log` VALUES (59283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 10:09:50');
INSERT INTO `sys_job_log` VALUES (59284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:09:55');
INSERT INTO `sys_job_log` VALUES (59285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:10:00');
INSERT INTO `sys_job_log` VALUES (59286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:10:00');
INSERT INTO `sys_job_log` VALUES (59287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:10:05');
INSERT INTO `sys_job_log` VALUES (59288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:10:10');
INSERT INTO `sys_job_log` VALUES (59289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:10:15');
INSERT INTO `sys_job_log` VALUES (59290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:10:15');
INSERT INTO `sys_job_log` VALUES (59291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:10:20');
INSERT INTO `sys_job_log` VALUES (59292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:10:25');
INSERT INTO `sys_job_log` VALUES (59293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:10:30');
INSERT INTO `sys_job_log` VALUES (59294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:10:30');
INSERT INTO `sys_job_log` VALUES (59295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:10:35');
INSERT INTO `sys_job_log` VALUES (59296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:10:40');
INSERT INTO `sys_job_log` VALUES (59297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:10:45');
INSERT INTO `sys_job_log` VALUES (59298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:10:45');
INSERT INTO `sys_job_log` VALUES (59299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:10:50');
INSERT INTO `sys_job_log` VALUES (59300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:10:55');
INSERT INTO `sys_job_log` VALUES (59301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-02 10:11:00');
INSERT INTO `sys_job_log` VALUES (59302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-02 10:11:00');
INSERT INTO `sys_job_log` VALUES (59303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:11:05');
INSERT INTO `sys_job_log` VALUES (59304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:11:10');
INSERT INTO `sys_job_log` VALUES (59305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:11:15');
INSERT INTO `sys_job_log` VALUES (59306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:11:15');
INSERT INTO `sys_job_log` VALUES (59307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:11:20');
INSERT INTO `sys_job_log` VALUES (59308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:11:25');
INSERT INTO `sys_job_log` VALUES (59309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:11:30');
INSERT INTO `sys_job_log` VALUES (59310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:11:30');
INSERT INTO `sys_job_log` VALUES (59311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:11:35');
INSERT INTO `sys_job_log` VALUES (59312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:11:40');
INSERT INTO `sys_job_log` VALUES (59313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:11:45');
INSERT INTO `sys_job_log` VALUES (59314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:11:45');
INSERT INTO `sys_job_log` VALUES (59315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:11:50');
INSERT INTO `sys_job_log` VALUES (59316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:11:55');
INSERT INTO `sys_job_log` VALUES (59317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:12:00');
INSERT INTO `sys_job_log` VALUES (59318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:12:00');
INSERT INTO `sys_job_log` VALUES (59319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:12:05');
INSERT INTO `sys_job_log` VALUES (59320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:12:10');
INSERT INTO `sys_job_log` VALUES (59321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:12:15');
INSERT INTO `sys_job_log` VALUES (59322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:12:15');
INSERT INTO `sys_job_log` VALUES (59323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:12:20');
INSERT INTO `sys_job_log` VALUES (59324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:12:25');
INSERT INTO `sys_job_log` VALUES (59325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:12:30');
INSERT INTO `sys_job_log` VALUES (59326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:12:30');
INSERT INTO `sys_job_log` VALUES (59327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:12:35');
INSERT INTO `sys_job_log` VALUES (59328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:12:40');
INSERT INTO `sys_job_log` VALUES (59329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:12:45');
INSERT INTO `sys_job_log` VALUES (59330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:12:45');
INSERT INTO `sys_job_log` VALUES (59331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:12:50');
INSERT INTO `sys_job_log` VALUES (59332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:12:55');
INSERT INTO `sys_job_log` VALUES (59333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:13:00');
INSERT INTO `sys_job_log` VALUES (59334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:13:00');
INSERT INTO `sys_job_log` VALUES (59335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:13:05');
INSERT INTO `sys_job_log` VALUES (59336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:13:10');
INSERT INTO `sys_job_log` VALUES (59337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:13:15');
INSERT INTO `sys_job_log` VALUES (59338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:13:15');
INSERT INTO `sys_job_log` VALUES (59339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:13:20');
INSERT INTO `sys_job_log` VALUES (59340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:13:25');
INSERT INTO `sys_job_log` VALUES (59341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:13:30');
INSERT INTO `sys_job_log` VALUES (59342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:13:30');
INSERT INTO `sys_job_log` VALUES (59343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:13:35');
INSERT INTO `sys_job_log` VALUES (59344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:13:40');
INSERT INTO `sys_job_log` VALUES (59345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:13:45');
INSERT INTO `sys_job_log` VALUES (59346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:13:45');
INSERT INTO `sys_job_log` VALUES (59347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:13:50');
INSERT INTO `sys_job_log` VALUES (59348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:13:55');
INSERT INTO `sys_job_log` VALUES (59349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:14:00');
INSERT INTO `sys_job_log` VALUES (59350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:14:00');
INSERT INTO `sys_job_log` VALUES (59351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 10:14:05');
INSERT INTO `sys_job_log` VALUES (59352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:14:10');
INSERT INTO `sys_job_log` VALUES (59353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:14:15');
INSERT INTO `sys_job_log` VALUES (59354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:14:15');
INSERT INTO `sys_job_log` VALUES (59355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:14:20');
INSERT INTO `sys_job_log` VALUES (59356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:14:25');
INSERT INTO `sys_job_log` VALUES (59357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:14:30');
INSERT INTO `sys_job_log` VALUES (59358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:14:30');
INSERT INTO `sys_job_log` VALUES (59359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:14:35');
INSERT INTO `sys_job_log` VALUES (59360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:14:40');
INSERT INTO `sys_job_log` VALUES (59361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:14:45');
INSERT INTO `sys_job_log` VALUES (59362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:14:45');
INSERT INTO `sys_job_log` VALUES (59363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:14:50');
INSERT INTO `sys_job_log` VALUES (59364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:14:55');
INSERT INTO `sys_job_log` VALUES (59365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:15:00');
INSERT INTO `sys_job_log` VALUES (59366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:15:00');
INSERT INTO `sys_job_log` VALUES (59367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:05');
INSERT INTO `sys_job_log` VALUES (59368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:10');
INSERT INTO `sys_job_log` VALUES (59369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:15:15');
INSERT INTO `sys_job_log` VALUES (59370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:15:15');
INSERT INTO `sys_job_log` VALUES (59371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:15:20');
INSERT INTO `sys_job_log` VALUES (59372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:25');
INSERT INTO `sys_job_log` VALUES (59373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:30');
INSERT INTO `sys_job_log` VALUES (59374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:30');
INSERT INTO `sys_job_log` VALUES (59375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:15:35');
INSERT INTO `sys_job_log` VALUES (59376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:40');
INSERT INTO `sys_job_log` VALUES (59377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:15:45');
INSERT INTO `sys_job_log` VALUES (59378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 10:15:45');
INSERT INTO `sys_job_log` VALUES (59379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:50');
INSERT INTO `sys_job_log` VALUES (59380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:15:55');
INSERT INTO `sys_job_log` VALUES (59381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:16:00');
INSERT INTO `sys_job_log` VALUES (59382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:16:00');
INSERT INTO `sys_job_log` VALUES (59383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:16:05');
INSERT INTO `sys_job_log` VALUES (59384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:16:10');
INSERT INTO `sys_job_log` VALUES (59385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:16:15');
INSERT INTO `sys_job_log` VALUES (59386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:16:15');
INSERT INTO `sys_job_log` VALUES (59387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:16:20');
INSERT INTO `sys_job_log` VALUES (59388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:16:25');
INSERT INTO `sys_job_log` VALUES (59389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:16:30');
INSERT INTO `sys_job_log` VALUES (59390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:16:30');
INSERT INTO `sys_job_log` VALUES (59391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:16:35');
INSERT INTO `sys_job_log` VALUES (59392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:16:40');
INSERT INTO `sys_job_log` VALUES (59393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:16:45');
INSERT INTO `sys_job_log` VALUES (59394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:16:45');
INSERT INTO `sys_job_log` VALUES (59395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:16:50');
INSERT INTO `sys_job_log` VALUES (59396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:16:55');
INSERT INTO `sys_job_log` VALUES (59397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:17:00');
INSERT INTO `sys_job_log` VALUES (59398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:17:00');
INSERT INTO `sys_job_log` VALUES (59399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:17:05');
INSERT INTO `sys_job_log` VALUES (59400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:17:10');
INSERT INTO `sys_job_log` VALUES (59401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:17:15');
INSERT INTO `sys_job_log` VALUES (59402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:17:15');
INSERT INTO `sys_job_log` VALUES (59403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:17:20');
INSERT INTO `sys_job_log` VALUES (59404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:17:25');
INSERT INTO `sys_job_log` VALUES (59405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:17:30');
INSERT INTO `sys_job_log` VALUES (59406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:17:30');
INSERT INTO `sys_job_log` VALUES (59407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:17:35');
INSERT INTO `sys_job_log` VALUES (59408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:17:40');
INSERT INTO `sys_job_log` VALUES (59409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:17:45');
INSERT INTO `sys_job_log` VALUES (59410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:17:45');
INSERT INTO `sys_job_log` VALUES (59411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:17:50');
INSERT INTO `sys_job_log` VALUES (59412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:17:55');
INSERT INTO `sys_job_log` VALUES (59413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:18:00');
INSERT INTO `sys_job_log` VALUES (59414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:18:00');
INSERT INTO `sys_job_log` VALUES (59415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:18:05');
INSERT INTO `sys_job_log` VALUES (59416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:18:10');
INSERT INTO `sys_job_log` VALUES (59417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:18:15');
INSERT INTO `sys_job_log` VALUES (59418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:18:15');
INSERT INTO `sys_job_log` VALUES (59419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:18:20');
INSERT INTO `sys_job_log` VALUES (59420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:18:25');
INSERT INTO `sys_job_log` VALUES (59421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:18:30');
INSERT INTO `sys_job_log` VALUES (59422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:18:30');
INSERT INTO `sys_job_log` VALUES (59423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:18:35');
INSERT INTO `sys_job_log` VALUES (59424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:18:40');
INSERT INTO `sys_job_log` VALUES (59425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:18:45');
INSERT INTO `sys_job_log` VALUES (59426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:18:45');
INSERT INTO `sys_job_log` VALUES (59427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:18:50');
INSERT INTO `sys_job_log` VALUES (59428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:18:55');
INSERT INTO `sys_job_log` VALUES (59429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:19:00');
INSERT INTO `sys_job_log` VALUES (59430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:19:00');
INSERT INTO `sys_job_log` VALUES (59431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:19:05');
INSERT INTO `sys_job_log` VALUES (59432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:19:10');
INSERT INTO `sys_job_log` VALUES (59433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:19:15');
INSERT INTO `sys_job_log` VALUES (59434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:19:15');
INSERT INTO `sys_job_log` VALUES (59435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:19:20');
INSERT INTO `sys_job_log` VALUES (59436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:19:25');
INSERT INTO `sys_job_log` VALUES (59437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:19:30');
INSERT INTO `sys_job_log` VALUES (59438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:19:30');
INSERT INTO `sys_job_log` VALUES (59439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:19:35');
INSERT INTO `sys_job_log` VALUES (59440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:19:40');
INSERT INTO `sys_job_log` VALUES (59441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:19:45');
INSERT INTO `sys_job_log` VALUES (59442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:19:45');
INSERT INTO `sys_job_log` VALUES (59443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:19:50');
INSERT INTO `sys_job_log` VALUES (59444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:19:55');
INSERT INTO `sys_job_log` VALUES (59445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:20:00');
INSERT INTO `sys_job_log` VALUES (59446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:20:00');
INSERT INTO `sys_job_log` VALUES (59447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:20:05');
INSERT INTO `sys_job_log` VALUES (59448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:20:10');
INSERT INTO `sys_job_log` VALUES (59449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 10:20:15');
INSERT INTO `sys_job_log` VALUES (59450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:20:15');
INSERT INTO `sys_job_log` VALUES (59451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:20:20');
INSERT INTO `sys_job_log` VALUES (59452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:20:25');
INSERT INTO `sys_job_log` VALUES (59453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:20:30');
INSERT INTO `sys_job_log` VALUES (59454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:20:30');
INSERT INTO `sys_job_log` VALUES (59455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:20:35');
INSERT INTO `sys_job_log` VALUES (59456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:20:40');
INSERT INTO `sys_job_log` VALUES (59457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 10:20:45');
INSERT INTO `sys_job_log` VALUES (59458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 10:20:45');
INSERT INTO `sys_job_log` VALUES (59459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:20:50');
INSERT INTO `sys_job_log` VALUES (59460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:20:55');
INSERT INTO `sys_job_log` VALUES (59461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:21:00');
INSERT INTO `sys_job_log` VALUES (59462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:21:00');
INSERT INTO `sys_job_log` VALUES (59463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:21:05');
INSERT INTO `sys_job_log` VALUES (59464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:21:10');
INSERT INTO `sys_job_log` VALUES (59465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:21:15');
INSERT INTO `sys_job_log` VALUES (59466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:21:15');
INSERT INTO `sys_job_log` VALUES (59467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:21:20');
INSERT INTO `sys_job_log` VALUES (59468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:21:25');
INSERT INTO `sys_job_log` VALUES (59469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:21:30');
INSERT INTO `sys_job_log` VALUES (59470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:21:30');
INSERT INTO `sys_job_log` VALUES (59471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:21:35');
INSERT INTO `sys_job_log` VALUES (59472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:21:40');
INSERT INTO `sys_job_log` VALUES (59473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:21:45');
INSERT INTO `sys_job_log` VALUES (59474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:21:45');
INSERT INTO `sys_job_log` VALUES (59475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:21:50');
INSERT INTO `sys_job_log` VALUES (59476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:21:55');
INSERT INTO `sys_job_log` VALUES (59477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:22:00');
INSERT INTO `sys_job_log` VALUES (59478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:22:00');
INSERT INTO `sys_job_log` VALUES (59479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:22:05');
INSERT INTO `sys_job_log` VALUES (59480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:22:10');
INSERT INTO `sys_job_log` VALUES (59481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:22:15');
INSERT INTO `sys_job_log` VALUES (59482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:22:15');
INSERT INTO `sys_job_log` VALUES (59483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:22:20');
INSERT INTO `sys_job_log` VALUES (59484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:22:25');
INSERT INTO `sys_job_log` VALUES (59485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:22:30');
INSERT INTO `sys_job_log` VALUES (59486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:22:30');
INSERT INTO `sys_job_log` VALUES (59487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:22:35');
INSERT INTO `sys_job_log` VALUES (59488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:22:40');
INSERT INTO `sys_job_log` VALUES (59489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:22:45');
INSERT INTO `sys_job_log` VALUES (59490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:22:45');
INSERT INTO `sys_job_log` VALUES (59491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:22:50');
INSERT INTO `sys_job_log` VALUES (59492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:22:55');
INSERT INTO `sys_job_log` VALUES (59493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:23:00');
INSERT INTO `sys_job_log` VALUES (59494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 10:23:00');
INSERT INTO `sys_job_log` VALUES (59495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:23:05');
INSERT INTO `sys_job_log` VALUES (59496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:23:10');
INSERT INTO `sys_job_log` VALUES (59497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:23:15');
INSERT INTO `sys_job_log` VALUES (59498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:23:15');
INSERT INTO `sys_job_log` VALUES (59499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:23:20');
INSERT INTO `sys_job_log` VALUES (59500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:23:25');
INSERT INTO `sys_job_log` VALUES (59501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:23:30');
INSERT INTO `sys_job_log` VALUES (59502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:23:30');
INSERT INTO `sys_job_log` VALUES (59503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:23:35');
INSERT INTO `sys_job_log` VALUES (59504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 10:23:40');
INSERT INTO `sys_job_log` VALUES (59505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:23:45');
INSERT INTO `sys_job_log` VALUES (59506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:23:45');
INSERT INTO `sys_job_log` VALUES (59507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:23:50');
INSERT INTO `sys_job_log` VALUES (59508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:23:55');
INSERT INTO `sys_job_log` VALUES (59509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:24:00');
INSERT INTO `sys_job_log` VALUES (59510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:24:00');
INSERT INTO `sys_job_log` VALUES (59511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:24:05');
INSERT INTO `sys_job_log` VALUES (59512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:24:10');
INSERT INTO `sys_job_log` VALUES (59513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:24:15');
INSERT INTO `sys_job_log` VALUES (59514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:24:15');
INSERT INTO `sys_job_log` VALUES (59515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:24:20');
INSERT INTO `sys_job_log` VALUES (59516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:24:25');
INSERT INTO `sys_job_log` VALUES (59517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:24:30');
INSERT INTO `sys_job_log` VALUES (59518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:24:30');
INSERT INTO `sys_job_log` VALUES (59519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:24:35');
INSERT INTO `sys_job_log` VALUES (59520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:24:40');
INSERT INTO `sys_job_log` VALUES (59521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:24:45');
INSERT INTO `sys_job_log` VALUES (59522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:24:45');
INSERT INTO `sys_job_log` VALUES (59523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:24:50');
INSERT INTO `sys_job_log` VALUES (59524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:24:55');
INSERT INTO `sys_job_log` VALUES (59525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:25:00');
INSERT INTO `sys_job_log` VALUES (59526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:25:00');
INSERT INTO `sys_job_log` VALUES (59527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:25:05');
INSERT INTO `sys_job_log` VALUES (59528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:25:10');
INSERT INTO `sys_job_log` VALUES (59529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-02 10:25:15');
INSERT INTO `sys_job_log` VALUES (59530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2025-01-02 10:25:15');
INSERT INTO `sys_job_log` VALUES (59531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:25:20');
INSERT INTO `sys_job_log` VALUES (59532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:25:25');
INSERT INTO `sys_job_log` VALUES (59533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 10:25:30');
INSERT INTO `sys_job_log` VALUES (59534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 10:25:30');
INSERT INTO `sys_job_log` VALUES (59535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:25:35');
INSERT INTO `sys_job_log` VALUES (59536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:25:40');
INSERT INTO `sys_job_log` VALUES (59537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:25:45');
INSERT INTO `sys_job_log` VALUES (59538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:25:45');
INSERT INTO `sys_job_log` VALUES (59539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:25:50');
INSERT INTO `sys_job_log` VALUES (59540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 10:25:55');
INSERT INTO `sys_job_log` VALUES (59541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 10:26:00');
INSERT INTO `sys_job_log` VALUES (59542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 10:26:00');
INSERT INTO `sys_job_log` VALUES (59543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:26:05');
INSERT INTO `sys_job_log` VALUES (59544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 10:26:10');
INSERT INTO `sys_job_log` VALUES (59545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:26:15');
INSERT INTO `sys_job_log` VALUES (59546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:26:15');
INSERT INTO `sys_job_log` VALUES (59547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:26:20');
INSERT INTO `sys_job_log` VALUES (59548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:26:25');
INSERT INTO `sys_job_log` VALUES (59549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:26:30');
INSERT INTO `sys_job_log` VALUES (59550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:26:30');
INSERT INTO `sys_job_log` VALUES (59551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:26:35');
INSERT INTO `sys_job_log` VALUES (59552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:26:40');
INSERT INTO `sys_job_log` VALUES (59553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:26:45');
INSERT INTO `sys_job_log` VALUES (59554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:26:45');
INSERT INTO `sys_job_log` VALUES (59555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2025-01-02 10:26:50');
INSERT INTO `sys_job_log` VALUES (59556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 10:26:55');
INSERT INTO `sys_job_log` VALUES (59557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 10:27:00');
INSERT INTO `sys_job_log` VALUES (59558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 10:27:00');
INSERT INTO `sys_job_log` VALUES (59559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:27:05');
INSERT INTO `sys_job_log` VALUES (59560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:27:10');
INSERT INTO `sys_job_log` VALUES (59561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:27:15');
INSERT INTO `sys_job_log` VALUES (59562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:27:15');
INSERT INTO `sys_job_log` VALUES (59563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:27:20');
INSERT INTO `sys_job_log` VALUES (59564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 10:27:25');
INSERT INTO `sys_job_log` VALUES (59565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:27:30');
INSERT INTO `sys_job_log` VALUES (59566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:27:30');
INSERT INTO `sys_job_log` VALUES (59567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:27:35');
INSERT INTO `sys_job_log` VALUES (59568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:27:40');
INSERT INTO `sys_job_log` VALUES (59569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:27:45');
INSERT INTO `sys_job_log` VALUES (59570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:27:45');
INSERT INTO `sys_job_log` VALUES (59571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:27:50');
INSERT INTO `sys_job_log` VALUES (59572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:27:55');
INSERT INTO `sys_job_log` VALUES (59573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:28:00');
INSERT INTO `sys_job_log` VALUES (59574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:28:00');
INSERT INTO `sys_job_log` VALUES (59575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:28:05');
INSERT INTO `sys_job_log` VALUES (59576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:10');
INSERT INTO `sys_job_log` VALUES (59577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:28:15');
INSERT INTO `sys_job_log` VALUES (59578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:28:15');
INSERT INTO `sys_job_log` VALUES (59579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:28:20');
INSERT INTO `sys_job_log` VALUES (59580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:25');
INSERT INTO `sys_job_log` VALUES (59581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:30');
INSERT INTO `sys_job_log` VALUES (59582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:30');
INSERT INTO `sys_job_log` VALUES (59583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:35');
INSERT INTO `sys_job_log` VALUES (59584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:28:40');
INSERT INTO `sys_job_log` VALUES (59585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:45');
INSERT INTO `sys_job_log` VALUES (59586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:28:45');
INSERT INTO `sys_job_log` VALUES (59587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:28:50');
INSERT INTO `sys_job_log` VALUES (59588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-02 10:28:55');
INSERT INTO `sys_job_log` VALUES (59589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:29:00');
INSERT INTO `sys_job_log` VALUES (59590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:29:00');
INSERT INTO `sys_job_log` VALUES (59591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:29:05');
INSERT INTO `sys_job_log` VALUES (59592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:29:10');
INSERT INTO `sys_job_log` VALUES (59593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:29:15');
INSERT INTO `sys_job_log` VALUES (59594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:29:15');
INSERT INTO `sys_job_log` VALUES (59595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:29:20');
INSERT INTO `sys_job_log` VALUES (59596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:29:25');
INSERT INTO `sys_job_log` VALUES (59597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:29:30');
INSERT INTO `sys_job_log` VALUES (59598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:29:30');
INSERT INTO `sys_job_log` VALUES (59599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:29:35');
INSERT INTO `sys_job_log` VALUES (59600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:29:40');
INSERT INTO `sys_job_log` VALUES (59601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:29:45');
INSERT INTO `sys_job_log` VALUES (59602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:29:45');
INSERT INTO `sys_job_log` VALUES (59603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:29:50');
INSERT INTO `sys_job_log` VALUES (59604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2025-01-02 10:29:55');
INSERT INTO `sys_job_log` VALUES (59605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:30:00');
INSERT INTO `sys_job_log` VALUES (59606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:30:00');
INSERT INTO `sys_job_log` VALUES (59607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 10:30:05');
INSERT INTO `sys_job_log` VALUES (59608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:30:10');
INSERT INTO `sys_job_log` VALUES (59609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:30:15');
INSERT INTO `sys_job_log` VALUES (59610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:30:15');
INSERT INTO `sys_job_log` VALUES (59611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:30:20');
INSERT INTO `sys_job_log` VALUES (59612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 10:30:25');
INSERT INTO `sys_job_log` VALUES (59613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:30:30');
INSERT INTO `sys_job_log` VALUES (59614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:30:30');
INSERT INTO `sys_job_log` VALUES (59615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:30:35');
INSERT INTO `sys_job_log` VALUES (59616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:30:40');
INSERT INTO `sys_job_log` VALUES (59617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:30:45');
INSERT INTO `sys_job_log` VALUES (59618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:30:45');
INSERT INTO `sys_job_log` VALUES (59619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:30:50');
INSERT INTO `sys_job_log` VALUES (59620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:30:55');
INSERT INTO `sys_job_log` VALUES (59621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:31:00');
INSERT INTO `sys_job_log` VALUES (59622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:31:00');
INSERT INTO `sys_job_log` VALUES (59623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:31:05');
INSERT INTO `sys_job_log` VALUES (59624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:31:10');
INSERT INTO `sys_job_log` VALUES (59625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:31:15');
INSERT INTO `sys_job_log` VALUES (59626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:31:15');
INSERT INTO `sys_job_log` VALUES (59627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:31:20');
INSERT INTO `sys_job_log` VALUES (59628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:31:25');
INSERT INTO `sys_job_log` VALUES (59629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:31:30');
INSERT INTO `sys_job_log` VALUES (59630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:31:30');
INSERT INTO `sys_job_log` VALUES (59631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:31:35');
INSERT INTO `sys_job_log` VALUES (59632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:31:40');
INSERT INTO `sys_job_log` VALUES (59633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:31:45');
INSERT INTO `sys_job_log` VALUES (59634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:31:45');
INSERT INTO `sys_job_log` VALUES (59635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:31:50');
INSERT INTO `sys_job_log` VALUES (59636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:31:55');
INSERT INTO `sys_job_log` VALUES (59637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:32:00');
INSERT INTO `sys_job_log` VALUES (59638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:32:00');
INSERT INTO `sys_job_log` VALUES (59639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:32:05');
INSERT INTO `sys_job_log` VALUES (59640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:32:10');
INSERT INTO `sys_job_log` VALUES (59641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 10:32:15');
INSERT INTO `sys_job_log` VALUES (59642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:32:15');
INSERT INTO `sys_job_log` VALUES (59643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:32:20');
INSERT INTO `sys_job_log` VALUES (59644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-02 10:32:25');
INSERT INTO `sys_job_log` VALUES (59645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:32:30');
INSERT INTO `sys_job_log` VALUES (59646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:32:30');
INSERT INTO `sys_job_log` VALUES (59647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:32:35');
INSERT INTO `sys_job_log` VALUES (59648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:32:40');
INSERT INTO `sys_job_log` VALUES (59649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:32:45');
INSERT INTO `sys_job_log` VALUES (59650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:32:45');
INSERT INTO `sys_job_log` VALUES (59651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:32:50');
INSERT INTO `sys_job_log` VALUES (59652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:32:55');
INSERT INTO `sys_job_log` VALUES (59653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:33:00');
INSERT INTO `sys_job_log` VALUES (59654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:33:00');
INSERT INTO `sys_job_log` VALUES (59655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:33:05');
INSERT INTO `sys_job_log` VALUES (59656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:33:10');
INSERT INTO `sys_job_log` VALUES (59657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:33:15');
INSERT INTO `sys_job_log` VALUES (59658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:33:15');
INSERT INTO `sys_job_log` VALUES (59659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:33:20');
INSERT INTO `sys_job_log` VALUES (59660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:33:25');
INSERT INTO `sys_job_log` VALUES (59661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：199毫秒', '0', '', '2025-01-02 10:33:30');
INSERT INTO `sys_job_log` VALUES (59662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：201毫秒', '0', '', '2025-01-02 10:33:30');
INSERT INTO `sys_job_log` VALUES (59663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:33:35');
INSERT INTO `sys_job_log` VALUES (59664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:33:40');
INSERT INTO `sys_job_log` VALUES (59665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:33:45');
INSERT INTO `sys_job_log` VALUES (59666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:33:45');
INSERT INTO `sys_job_log` VALUES (59667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 10:33:50');
INSERT INTO `sys_job_log` VALUES (59668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:33:55');
INSERT INTO `sys_job_log` VALUES (59669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:00');
INSERT INTO `sys_job_log` VALUES (59670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:00');
INSERT INTO `sys_job_log` VALUES (59671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2025-01-02 10:34:05');
INSERT INTO `sys_job_log` VALUES (59672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2025-01-02 10:34:10');
INSERT INTO `sys_job_log` VALUES (59673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:34:15');
INSERT INTO `sys_job_log` VALUES (59674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:15');
INSERT INTO `sys_job_log` VALUES (59675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:20');
INSERT INTO `sys_job_log` VALUES (59676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:34:25');
INSERT INTO `sys_job_log` VALUES (59677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:30');
INSERT INTO `sys_job_log` VALUES (59678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:30');
INSERT INTO `sys_job_log` VALUES (59679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:34:35');
INSERT INTO `sys_job_log` VALUES (59680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:34:40');
INSERT INTO `sys_job_log` VALUES (59681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:34:45');
INSERT INTO `sys_job_log` VALUES (59682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:34:45');
INSERT INTO `sys_job_log` VALUES (59683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:34:50');
INSERT INTO `sys_job_log` VALUES (59684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:34:55');
INSERT INTO `sys_job_log` VALUES (59685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:35:00');
INSERT INTO `sys_job_log` VALUES (59686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:35:00');
INSERT INTO `sys_job_log` VALUES (59687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:35:05');
INSERT INTO `sys_job_log` VALUES (59688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:35:10');
INSERT INTO `sys_job_log` VALUES (59689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:35:15');
INSERT INTO `sys_job_log` VALUES (59690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 10:35:15');
INSERT INTO `sys_job_log` VALUES (59691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:35:20');
INSERT INTO `sys_job_log` VALUES (59692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-02 10:35:25');
INSERT INTO `sys_job_log` VALUES (59693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：159毫秒', '0', '', '2025-01-02 10:35:30');
INSERT INTO `sys_job_log` VALUES (59694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：202毫秒', '0', '', '2025-01-02 10:35:30');
INSERT INTO `sys_job_log` VALUES (59695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2025-01-02 10:35:35');
INSERT INTO `sys_job_log` VALUES (59696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:35:40');
INSERT INTO `sys_job_log` VALUES (59697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:35:45');
INSERT INTO `sys_job_log` VALUES (59698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:35:45');
INSERT INTO `sys_job_log` VALUES (59699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:35:50');
INSERT INTO `sys_job_log` VALUES (59700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:35:55');
INSERT INTO `sys_job_log` VALUES (59701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:36:00');
INSERT INTO `sys_job_log` VALUES (59702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:36:00');
INSERT INTO `sys_job_log` VALUES (59703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:36:05');
INSERT INTO `sys_job_log` VALUES (59704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:36:10');
INSERT INTO `sys_job_log` VALUES (59705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:36:15');
INSERT INTO `sys_job_log` VALUES (59706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:36:15');
INSERT INTO `sys_job_log` VALUES (59707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:36:20');
INSERT INTO `sys_job_log` VALUES (59708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:36:25');
INSERT INTO `sys_job_log` VALUES (59709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:36:30');
INSERT INTO `sys_job_log` VALUES (59710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:36:30');
INSERT INTO `sys_job_log` VALUES (59711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:36:35');
INSERT INTO `sys_job_log` VALUES (59712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:36:40');
INSERT INTO `sys_job_log` VALUES (59713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:36:45');
INSERT INTO `sys_job_log` VALUES (59714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:36:45');
INSERT INTO `sys_job_log` VALUES (59715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:36:50');
INSERT INTO `sys_job_log` VALUES (59716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:36:55');
INSERT INTO `sys_job_log` VALUES (59717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:00');
INSERT INTO `sys_job_log` VALUES (59718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:00');
INSERT INTO `sys_job_log` VALUES (59719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:37:05');
INSERT INTO `sys_job_log` VALUES (59720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:37:10');
INSERT INTO `sys_job_log` VALUES (59721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:37:15');
INSERT INTO `sys_job_log` VALUES (59722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:37:15');
INSERT INTO `sys_job_log` VALUES (59723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:20');
INSERT INTO `sys_job_log` VALUES (59724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:37:25');
INSERT INTO `sys_job_log` VALUES (59725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:37:30');
INSERT INTO `sys_job_log` VALUES (59726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:37:30');
INSERT INTO `sys_job_log` VALUES (59727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:35');
INSERT INTO `sys_job_log` VALUES (59728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:40');
INSERT INTO `sys_job_log` VALUES (59729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:37:45');
INSERT INTO `sys_job_log` VALUES (59730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:37:45');
INSERT INTO `sys_job_log` VALUES (59731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:50');
INSERT INTO `sys_job_log` VALUES (59732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:37:55');
INSERT INTO `sys_job_log` VALUES (59733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:38:00');
INSERT INTO `sys_job_log` VALUES (59734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:38:00');
INSERT INTO `sys_job_log` VALUES (59735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:38:05');
INSERT INTO `sys_job_log` VALUES (59736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:38:10');
INSERT INTO `sys_job_log` VALUES (59737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:38:15');
INSERT INTO `sys_job_log` VALUES (59738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:38:15');
INSERT INTO `sys_job_log` VALUES (59739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:38:20');
INSERT INTO `sys_job_log` VALUES (59740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:38:25');
INSERT INTO `sys_job_log` VALUES (59741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:38:30');
INSERT INTO `sys_job_log` VALUES (59742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:38:30');
INSERT INTO `sys_job_log` VALUES (59743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:38:35');
INSERT INTO `sys_job_log` VALUES (59744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:38:40');
INSERT INTO `sys_job_log` VALUES (59745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:38:45');
INSERT INTO `sys_job_log` VALUES (59746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:38:45');
INSERT INTO `sys_job_log` VALUES (59747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:38:50');
INSERT INTO `sys_job_log` VALUES (59748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:38:55');
INSERT INTO `sys_job_log` VALUES (59749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:00');
INSERT INTO `sys_job_log` VALUES (59750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:00');
INSERT INTO `sys_job_log` VALUES (59751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:05');
INSERT INTO `sys_job_log` VALUES (59752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:10');
INSERT INTO `sys_job_log` VALUES (59753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:15');
INSERT INTO `sys_job_log` VALUES (59754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:15');
INSERT INTO `sys_job_log` VALUES (59755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:39:20');
INSERT INTO `sys_job_log` VALUES (59756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:39:25');
INSERT INTO `sys_job_log` VALUES (59757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:39:30');
INSERT INTO `sys_job_log` VALUES (59758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:39:30');
INSERT INTO `sys_job_log` VALUES (59759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:39:35');
INSERT INTO `sys_job_log` VALUES (59760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:39:40');
INSERT INTO `sys_job_log` VALUES (59761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:39:45');
INSERT INTO `sys_job_log` VALUES (59762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:39:45');
INSERT INTO `sys_job_log` VALUES (59763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:39:50');
INSERT INTO `sys_job_log` VALUES (59764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:39:55');
INSERT INTO `sys_job_log` VALUES (59765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:40:00');
INSERT INTO `sys_job_log` VALUES (59766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:40:00');
INSERT INTO `sys_job_log` VALUES (59767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:40:05');
INSERT INTO `sys_job_log` VALUES (59768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:40:10');
INSERT INTO `sys_job_log` VALUES (59769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:40:15');
INSERT INTO `sys_job_log` VALUES (59770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:40:15');
INSERT INTO `sys_job_log` VALUES (59771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:40:20');
INSERT INTO `sys_job_log` VALUES (59772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:40:25');
INSERT INTO `sys_job_log` VALUES (59773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:40:30');
INSERT INTO `sys_job_log` VALUES (59774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:40:30');
INSERT INTO `sys_job_log` VALUES (59775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:40:35');
INSERT INTO `sys_job_log` VALUES (59776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:40:40');
INSERT INTO `sys_job_log` VALUES (59777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:40:45');
INSERT INTO `sys_job_log` VALUES (59778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:40:45');
INSERT INTO `sys_job_log` VALUES (59779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:40:50');
INSERT INTO `sys_job_log` VALUES (59780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:40:55');
INSERT INTO `sys_job_log` VALUES (59781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:41:00');
INSERT INTO `sys_job_log` VALUES (59782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:41:00');
INSERT INTO `sys_job_log` VALUES (59783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:41:05');
INSERT INTO `sys_job_log` VALUES (59784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:41:10');
INSERT INTO `sys_job_log` VALUES (59785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:41:15');
INSERT INTO `sys_job_log` VALUES (59786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:41:15');
INSERT INTO `sys_job_log` VALUES (59787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:41:20');
INSERT INTO `sys_job_log` VALUES (59788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:41:25');
INSERT INTO `sys_job_log` VALUES (59789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:41:30');
INSERT INTO `sys_job_log` VALUES (59790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:41:30');
INSERT INTO `sys_job_log` VALUES (59791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:41:35');
INSERT INTO `sys_job_log` VALUES (59792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:41:40');
INSERT INTO `sys_job_log` VALUES (59793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:41:45');
INSERT INTO `sys_job_log` VALUES (59794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:41:45');
INSERT INTO `sys_job_log` VALUES (59795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:41:50');
INSERT INTO `sys_job_log` VALUES (59796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:41:55');
INSERT INTO `sys_job_log` VALUES (59797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:42:00');
INSERT INTO `sys_job_log` VALUES (59798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:42:00');
INSERT INTO `sys_job_log` VALUES (59799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:42:05');
INSERT INTO `sys_job_log` VALUES (59800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:42:10');
INSERT INTO `sys_job_log` VALUES (59801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:42:15');
INSERT INTO `sys_job_log` VALUES (59802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:42:15');
INSERT INTO `sys_job_log` VALUES (59803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:42:20');
INSERT INTO `sys_job_log` VALUES (59804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:42:25');
INSERT INTO `sys_job_log` VALUES (59805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:42:30');
INSERT INTO `sys_job_log` VALUES (59806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:42:30');
INSERT INTO `sys_job_log` VALUES (59807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:42:35');
INSERT INTO `sys_job_log` VALUES (59808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:42:40');
INSERT INTO `sys_job_log` VALUES (59809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:42:45');
INSERT INTO `sys_job_log` VALUES (59810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:42:45');
INSERT INTO `sys_job_log` VALUES (59811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:42:50');
INSERT INTO `sys_job_log` VALUES (59812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:42:55');
INSERT INTO `sys_job_log` VALUES (59813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:00');
INSERT INTO `sys_job_log` VALUES (59814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:00');
INSERT INTO `sys_job_log` VALUES (59815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:05');
INSERT INTO `sys_job_log` VALUES (59816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:10');
INSERT INTO `sys_job_log` VALUES (59817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:15');
INSERT INTO `sys_job_log` VALUES (59818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:15');
INSERT INTO `sys_job_log` VALUES (59819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:43:20');
INSERT INTO `sys_job_log` VALUES (59820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:43:25');
INSERT INTO `sys_job_log` VALUES (59821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:43:30');
INSERT INTO `sys_job_log` VALUES (59822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:43:30');
INSERT INTO `sys_job_log` VALUES (59823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:43:35');
INSERT INTO `sys_job_log` VALUES (59824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:43:40');
INSERT INTO `sys_job_log` VALUES (59825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:43:45');
INSERT INTO `sys_job_log` VALUES (59826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:43:45');
INSERT INTO `sys_job_log` VALUES (59827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:43:50');
INSERT INTO `sys_job_log` VALUES (59828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:43:55');
INSERT INTO `sys_job_log` VALUES (59829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:44:00');
INSERT INTO `sys_job_log` VALUES (59830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:44:00');
INSERT INTO `sys_job_log` VALUES (59831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:44:05');
INSERT INTO `sys_job_log` VALUES (59832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:44:10');
INSERT INTO `sys_job_log` VALUES (59833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:44:15');
INSERT INTO `sys_job_log` VALUES (59834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:44:15');
INSERT INTO `sys_job_log` VALUES (59835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:44:20');
INSERT INTO `sys_job_log` VALUES (59836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:44:25');
INSERT INTO `sys_job_log` VALUES (59837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 10:44:30');
INSERT INTO `sys_job_log` VALUES (59838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 10:44:30');
INSERT INTO `sys_job_log` VALUES (59839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:44:35');
INSERT INTO `sys_job_log` VALUES (59840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:44:40');
INSERT INTO `sys_job_log` VALUES (59841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:44:45');
INSERT INTO `sys_job_log` VALUES (59842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:44:45');
INSERT INTO `sys_job_log` VALUES (59843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:44:50');
INSERT INTO `sys_job_log` VALUES (59844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:44:55');
INSERT INTO `sys_job_log` VALUES (59845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 10:45:00');
INSERT INTO `sys_job_log` VALUES (59846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 10:45:00');
INSERT INTO `sys_job_log` VALUES (59847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:45:05');
INSERT INTO `sys_job_log` VALUES (59848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:45:10');
INSERT INTO `sys_job_log` VALUES (59849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:45:15');
INSERT INTO `sys_job_log` VALUES (59850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:45:15');
INSERT INTO `sys_job_log` VALUES (59851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:45:20');
INSERT INTO `sys_job_log` VALUES (59852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:45:25');
INSERT INTO `sys_job_log` VALUES (59853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:45:30');
INSERT INTO `sys_job_log` VALUES (59854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:45:30');
INSERT INTO `sys_job_log` VALUES (59855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:45:35');
INSERT INTO `sys_job_log` VALUES (59856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:45:40');
INSERT INTO `sys_job_log` VALUES (59857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:45:45');
INSERT INTO `sys_job_log` VALUES (59858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:45:45');
INSERT INTO `sys_job_log` VALUES (59859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:45:50');
INSERT INTO `sys_job_log` VALUES (59860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:45:55');
INSERT INTO `sys_job_log` VALUES (59861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 10:46:00');
INSERT INTO `sys_job_log` VALUES (59862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 10:46:00');
INSERT INTO `sys_job_log` VALUES (59863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:46:05');
INSERT INTO `sys_job_log` VALUES (59864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:46:10');
INSERT INTO `sys_job_log` VALUES (59865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:46:15');
INSERT INTO `sys_job_log` VALUES (59866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:46:15');
INSERT INTO `sys_job_log` VALUES (59867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2025-01-02 10:46:20');
INSERT INTO `sys_job_log` VALUES (59868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:46:25');
INSERT INTO `sys_job_log` VALUES (59869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：796毫秒', '0', '', '2025-01-02 10:46:30');
INSERT INTO `sys_job_log` VALUES (59870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：796毫秒', '0', '', '2025-01-02 10:46:30');
INSERT INTO `sys_job_log` VALUES (59871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:46:35');
INSERT INTO `sys_job_log` VALUES (59872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:46:40');
INSERT INTO `sys_job_log` VALUES (59873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:46:45');
INSERT INTO `sys_job_log` VALUES (59874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:46:45');
INSERT INTO `sys_job_log` VALUES (59875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:46:50');
INSERT INTO `sys_job_log` VALUES (59876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:46:55');
INSERT INTO `sys_job_log` VALUES (59877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:47:00');
INSERT INTO `sys_job_log` VALUES (59878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:47:00');
INSERT INTO `sys_job_log` VALUES (59879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:47:05');
INSERT INTO `sys_job_log` VALUES (59880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:47:10');
INSERT INTO `sys_job_log` VALUES (59881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:47:15');
INSERT INTO `sys_job_log` VALUES (59882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:47:15');
INSERT INTO `sys_job_log` VALUES (59883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:47:20');
INSERT INTO `sys_job_log` VALUES (59884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:47:25');
INSERT INTO `sys_job_log` VALUES (59885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:47:30');
INSERT INTO `sys_job_log` VALUES (59886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:47:30');
INSERT INTO `sys_job_log` VALUES (59887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:47:35');
INSERT INTO `sys_job_log` VALUES (59888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:47:40');
INSERT INTO `sys_job_log` VALUES (59889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:47:45');
INSERT INTO `sys_job_log` VALUES (59890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:47:45');
INSERT INTO `sys_job_log` VALUES (59891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:47:50');
INSERT INTO `sys_job_log` VALUES (59892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:47:55');
INSERT INTO `sys_job_log` VALUES (59893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 10:48:00');
INSERT INTO `sys_job_log` VALUES (59894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:48:00');
INSERT INTO `sys_job_log` VALUES (59895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:48:05');
INSERT INTO `sys_job_log` VALUES (59896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:48:10');
INSERT INTO `sys_job_log` VALUES (59897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:48:15');
INSERT INTO `sys_job_log` VALUES (59898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:48:15');
INSERT INTO `sys_job_log` VALUES (59899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:48:20');
INSERT INTO `sys_job_log` VALUES (59900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:48:25');
INSERT INTO `sys_job_log` VALUES (59901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:48:30');
INSERT INTO `sys_job_log` VALUES (59902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:48:30');
INSERT INTO `sys_job_log` VALUES (59903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:48:35');
INSERT INTO `sys_job_log` VALUES (59904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：120毫秒', '0', '', '2025-01-02 10:48:40');
INSERT INTO `sys_job_log` VALUES (59905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:48:45');
INSERT INTO `sys_job_log` VALUES (59906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:48:45');
INSERT INTO `sys_job_log` VALUES (59907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:48:50');
INSERT INTO `sys_job_log` VALUES (59908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:48:55');
INSERT INTO `sys_job_log` VALUES (59909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:49:00');
INSERT INTO `sys_job_log` VALUES (59910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:49:00');
INSERT INTO `sys_job_log` VALUES (59911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:49:05');
INSERT INTO `sys_job_log` VALUES (59912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2025-01-02 10:49:10');
INSERT INTO `sys_job_log` VALUES (59913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:49:15');
INSERT INTO `sys_job_log` VALUES (59914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:49:15');
INSERT INTO `sys_job_log` VALUES (59915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:49:20');
INSERT INTO `sys_job_log` VALUES (59916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:49:25');
INSERT INTO `sys_job_log` VALUES (59917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:49:30');
INSERT INTO `sys_job_log` VALUES (59918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:49:30');
INSERT INTO `sys_job_log` VALUES (59919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:49:35');
INSERT INTO `sys_job_log` VALUES (59920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2025-01-02 10:49:40');
INSERT INTO `sys_job_log` VALUES (59921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 10:49:45');
INSERT INTO `sys_job_log` VALUES (59922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:49:45');
INSERT INTO `sys_job_log` VALUES (59923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:49:50');
INSERT INTO `sys_job_log` VALUES (59924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:49:55');
INSERT INTO `sys_job_log` VALUES (59925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:50:00');
INSERT INTO `sys_job_log` VALUES (59926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:50:00');
INSERT INTO `sys_job_log` VALUES (59927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:50:05');
INSERT INTO `sys_job_log` VALUES (59928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:50:10');
INSERT INTO `sys_job_log` VALUES (59929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:50:15');
INSERT INTO `sys_job_log` VALUES (59930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:50:15');
INSERT INTO `sys_job_log` VALUES (59931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:50:20');
INSERT INTO `sys_job_log` VALUES (59932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:50:25');
INSERT INTO `sys_job_log` VALUES (59933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:50:30');
INSERT INTO `sys_job_log` VALUES (59934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:50:30');
INSERT INTO `sys_job_log` VALUES (59935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:50:35');
INSERT INTO `sys_job_log` VALUES (59936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:50:40');
INSERT INTO `sys_job_log` VALUES (59937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:50:45');
INSERT INTO `sys_job_log` VALUES (59938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:50:45');
INSERT INTO `sys_job_log` VALUES (59939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:50:50');
INSERT INTO `sys_job_log` VALUES (59940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:50:55');
INSERT INTO `sys_job_log` VALUES (59941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:51:00');
INSERT INTO `sys_job_log` VALUES (59942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:51:00');
INSERT INTO `sys_job_log` VALUES (59943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:51:05');
INSERT INTO `sys_job_log` VALUES (59944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:51:10');
INSERT INTO `sys_job_log` VALUES (59945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:51:15');
INSERT INTO `sys_job_log` VALUES (59946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:51:15');
INSERT INTO `sys_job_log` VALUES (59947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:51:20');
INSERT INTO `sys_job_log` VALUES (59948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:51:25');
INSERT INTO `sys_job_log` VALUES (59949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:51:30');
INSERT INTO `sys_job_log` VALUES (59950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:51:30');
INSERT INTO `sys_job_log` VALUES (59951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:51:35');
INSERT INTO `sys_job_log` VALUES (59952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:51:40');
INSERT INTO `sys_job_log` VALUES (59953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:51:45');
INSERT INTO `sys_job_log` VALUES (59954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:51:45');
INSERT INTO `sys_job_log` VALUES (59955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:51:50');
INSERT INTO `sys_job_log` VALUES (59956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 10:51:55');
INSERT INTO `sys_job_log` VALUES (59957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:52:00');
INSERT INTO `sys_job_log` VALUES (59958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:52:00');
INSERT INTO `sys_job_log` VALUES (59959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:52:05');
INSERT INTO `sys_job_log` VALUES (59960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:52:10');
INSERT INTO `sys_job_log` VALUES (59961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:52:15');
INSERT INTO `sys_job_log` VALUES (59962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:52:15');
INSERT INTO `sys_job_log` VALUES (59963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:52:20');
INSERT INTO `sys_job_log` VALUES (59964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:52:25');
INSERT INTO `sys_job_log` VALUES (59965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:52:30');
INSERT INTO `sys_job_log` VALUES (59966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:52:30');
INSERT INTO `sys_job_log` VALUES (59967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:52:35');
INSERT INTO `sys_job_log` VALUES (59968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:52:40');
INSERT INTO `sys_job_log` VALUES (59969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:52:45');
INSERT INTO `sys_job_log` VALUES (59970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:52:45');
INSERT INTO `sys_job_log` VALUES (59971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:52:50');
INSERT INTO `sys_job_log` VALUES (59972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 10:52:55');
INSERT INTO `sys_job_log` VALUES (59973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:53:00');
INSERT INTO `sys_job_log` VALUES (59974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:53:00');
INSERT INTO `sys_job_log` VALUES (59975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:53:05');
INSERT INTO `sys_job_log` VALUES (59976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:53:10');
INSERT INTO `sys_job_log` VALUES (59977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:53:15');
INSERT INTO `sys_job_log` VALUES (59978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:53:15');
INSERT INTO `sys_job_log` VALUES (59979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:53:20');
INSERT INTO `sys_job_log` VALUES (59980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:53:25');
INSERT INTO `sys_job_log` VALUES (59981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 10:53:30');
INSERT INTO `sys_job_log` VALUES (59982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 10:53:30');
INSERT INTO `sys_job_log` VALUES (59983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:53:35');
INSERT INTO `sys_job_log` VALUES (59984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 10:53:40');
INSERT INTO `sys_job_log` VALUES (59985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:53:45');
INSERT INTO `sys_job_log` VALUES (59986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:53:45');
INSERT INTO `sys_job_log` VALUES (59987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 10:53:50');
INSERT INTO `sys_job_log` VALUES (59988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:53:55');
INSERT INTO `sys_job_log` VALUES (59989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 10:54:00');
INSERT INTO `sys_job_log` VALUES (59990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:54:00');
INSERT INTO `sys_job_log` VALUES (59991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:54:05');
INSERT INTO `sys_job_log` VALUES (59992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:54:10');
INSERT INTO `sys_job_log` VALUES (59993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:54:15');
INSERT INTO `sys_job_log` VALUES (59994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:54:15');
INSERT INTO `sys_job_log` VALUES (59995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:54:20');
INSERT INTO `sys_job_log` VALUES (59996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:54:25');
INSERT INTO `sys_job_log` VALUES (59997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:54:30');
INSERT INTO `sys_job_log` VALUES (59998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:54:30');
INSERT INTO `sys_job_log` VALUES (59999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:54:35');
INSERT INTO `sys_job_log` VALUES (60000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:54:40');
INSERT INTO `sys_job_log` VALUES (60001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:54:45');
INSERT INTO `sys_job_log` VALUES (60002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:54:45');
INSERT INTO `sys_job_log` VALUES (60003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:54:50');
INSERT INTO `sys_job_log` VALUES (60004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:54:55');
INSERT INTO `sys_job_log` VALUES (60005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:55:00');
INSERT INTO `sys_job_log` VALUES (60006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:55:00');
INSERT INTO `sys_job_log` VALUES (60007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:55:05');
INSERT INTO `sys_job_log` VALUES (60008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:55:10');
INSERT INTO `sys_job_log` VALUES (60009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:55:15');
INSERT INTO `sys_job_log` VALUES (60010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:55:15');
INSERT INTO `sys_job_log` VALUES (60011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:55:20');
INSERT INTO `sys_job_log` VALUES (60012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:55:25');
INSERT INTO `sys_job_log` VALUES (60013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:55:30');
INSERT INTO `sys_job_log` VALUES (60014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:55:30');
INSERT INTO `sys_job_log` VALUES (60015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:55:35');
INSERT INTO `sys_job_log` VALUES (60016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:55:40');
INSERT INTO `sys_job_log` VALUES (60017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:55:45');
INSERT INTO `sys_job_log` VALUES (60018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:55:45');
INSERT INTO `sys_job_log` VALUES (60019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:55:50');
INSERT INTO `sys_job_log` VALUES (60020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:55:55');
INSERT INTO `sys_job_log` VALUES (60021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2025-01-02 10:56:00');
INSERT INTO `sys_job_log` VALUES (60022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：111毫秒', '0', '', '2025-01-02 10:56:00');
INSERT INTO `sys_job_log` VALUES (60023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:56:05');
INSERT INTO `sys_job_log` VALUES (60024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:56:10');
INSERT INTO `sys_job_log` VALUES (60025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:56:15');
INSERT INTO `sys_job_log` VALUES (60026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:56:15');
INSERT INTO `sys_job_log` VALUES (60027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:56:20');
INSERT INTO `sys_job_log` VALUES (60028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:56:25');
INSERT INTO `sys_job_log` VALUES (60029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:56:30');
INSERT INTO `sys_job_log` VALUES (60030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:56:30');
INSERT INTO `sys_job_log` VALUES (60031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:56:35');
INSERT INTO `sys_job_log` VALUES (60032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:56:40');
INSERT INTO `sys_job_log` VALUES (60033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 10:56:45');
INSERT INTO `sys_job_log` VALUES (60034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:56:45');
INSERT INTO `sys_job_log` VALUES (60035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:56:50');
INSERT INTO `sys_job_log` VALUES (60036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:56:55');
INSERT INTO `sys_job_log` VALUES (60037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 10:57:00');
INSERT INTO `sys_job_log` VALUES (60038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:57:00');
INSERT INTO `sys_job_log` VALUES (60039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:57:05');
INSERT INTO `sys_job_log` VALUES (60040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:57:10');
INSERT INTO `sys_job_log` VALUES (60041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:57:15');
INSERT INTO `sys_job_log` VALUES (60042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:57:15');
INSERT INTO `sys_job_log` VALUES (60043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:57:20');
INSERT INTO `sys_job_log` VALUES (60044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:57:25');
INSERT INTO `sys_job_log` VALUES (60045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:57:30');
INSERT INTO `sys_job_log` VALUES (60046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:57:30');
INSERT INTO `sys_job_log` VALUES (60047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:57:35');
INSERT INTO `sys_job_log` VALUES (60048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:57:40');
INSERT INTO `sys_job_log` VALUES (60049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 10:57:45');
INSERT INTO `sys_job_log` VALUES (60050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:57:45');
INSERT INTO `sys_job_log` VALUES (60051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 10:57:50');
INSERT INTO `sys_job_log` VALUES (60052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:57:55');
INSERT INTO `sys_job_log` VALUES (60053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:58:00');
INSERT INTO `sys_job_log` VALUES (60054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 10:58:00');
INSERT INTO `sys_job_log` VALUES (60055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:58:05');
INSERT INTO `sys_job_log` VALUES (60056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:58:10');
INSERT INTO `sys_job_log` VALUES (60057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:58:15');
INSERT INTO `sys_job_log` VALUES (60058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:58:15');
INSERT INTO `sys_job_log` VALUES (60059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:58:20');
INSERT INTO `sys_job_log` VALUES (60060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:58:25');
INSERT INTO `sys_job_log` VALUES (60061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:58:30');
INSERT INTO `sys_job_log` VALUES (60062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:58:30');
INSERT INTO `sys_job_log` VALUES (60063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 10:58:35');
INSERT INTO `sys_job_log` VALUES (60064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 10:58:40');
INSERT INTO `sys_job_log` VALUES (60065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:58:45');
INSERT INTO `sys_job_log` VALUES (60066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 10:58:45');
INSERT INTO `sys_job_log` VALUES (60067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:58:50');
INSERT INTO `sys_job_log` VALUES (60068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:58:55');
INSERT INTO `sys_job_log` VALUES (60069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 10:59:00');
INSERT INTO `sys_job_log` VALUES (60070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:59:00');
INSERT INTO `sys_job_log` VALUES (60071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 10:59:05');
INSERT INTO `sys_job_log` VALUES (60072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:59:10');
INSERT INTO `sys_job_log` VALUES (60073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:59:15');
INSERT INTO `sys_job_log` VALUES (60074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 10:59:15');
INSERT INTO `sys_job_log` VALUES (60075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 10:59:20');
INSERT INTO `sys_job_log` VALUES (60076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:59:25');
INSERT INTO `sys_job_log` VALUES (60077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 10:59:30');
INSERT INTO `sys_job_log` VALUES (60078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 10:59:30');
INSERT INTO `sys_job_log` VALUES (60079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 10:59:35');
INSERT INTO `sys_job_log` VALUES (60080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 10:59:40');
INSERT INTO `sys_job_log` VALUES (60081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 10:59:45');
INSERT INTO `sys_job_log` VALUES (60082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 10:59:45');
INSERT INTO `sys_job_log` VALUES (60083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 10:59:50');
INSERT INTO `sys_job_log` VALUES (60084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 10:59:55');
INSERT INTO `sys_job_log` VALUES (60085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:00:00');
INSERT INTO `sys_job_log` VALUES (60086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:00:00');
INSERT INTO `sys_job_log` VALUES (60087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:00:05');
INSERT INTO `sys_job_log` VALUES (60088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:00:10');
INSERT INTO `sys_job_log` VALUES (60089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:00:15');
INSERT INTO `sys_job_log` VALUES (60090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:00:15');
INSERT INTO `sys_job_log` VALUES (60091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:00:20');
INSERT INTO `sys_job_log` VALUES (60092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:00:25');
INSERT INTO `sys_job_log` VALUES (60093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:00:30');
INSERT INTO `sys_job_log` VALUES (60094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 11:00:30');
INSERT INTO `sys_job_log` VALUES (60095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:00:35');
INSERT INTO `sys_job_log` VALUES (60096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:00:40');
INSERT INTO `sys_job_log` VALUES (60097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:00:45');
INSERT INTO `sys_job_log` VALUES (60098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:00:45');
INSERT INTO `sys_job_log` VALUES (60099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:00:50');
INSERT INTO `sys_job_log` VALUES (60100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:00:55');
INSERT INTO `sys_job_log` VALUES (60101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:00');
INSERT INTO `sys_job_log` VALUES (60102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:00');
INSERT INTO `sys_job_log` VALUES (60103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:01:05');
INSERT INTO `sys_job_log` VALUES (60104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:10');
INSERT INTO `sys_job_log` VALUES (60105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:01:15');
INSERT INTO `sys_job_log` VALUES (60106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:01:15');
INSERT INTO `sys_job_log` VALUES (60107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:20');
INSERT INTO `sys_job_log` VALUES (60108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:25');
INSERT INTO `sys_job_log` VALUES (60109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:01:30');
INSERT INTO `sys_job_log` VALUES (60110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:01:30');
INSERT INTO `sys_job_log` VALUES (60111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:01:35');
INSERT INTO `sys_job_log` VALUES (60112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:01:40');
INSERT INTO `sys_job_log` VALUES (60113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:45');
INSERT INTO `sys_job_log` VALUES (60114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:01:45');
INSERT INTO `sys_job_log` VALUES (60115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:01:50');
INSERT INTO `sys_job_log` VALUES (60116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:01:55');
INSERT INTO `sys_job_log` VALUES (60117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2025-01-02 11:02:00');
INSERT INTO `sys_job_log` VALUES (60118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：200毫秒', '0', '', '2025-01-02 11:02:00');
INSERT INTO `sys_job_log` VALUES (60119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:02:05');
INSERT INTO `sys_job_log` VALUES (60120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:02:10');
INSERT INTO `sys_job_log` VALUES (60121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:02:15');
INSERT INTO `sys_job_log` VALUES (60122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:02:15');
INSERT INTO `sys_job_log` VALUES (60123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:02:20');
INSERT INTO `sys_job_log` VALUES (60124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:02:25');
INSERT INTO `sys_job_log` VALUES (60125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:02:30');
INSERT INTO `sys_job_log` VALUES (60126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:02:30');
INSERT INTO `sys_job_log` VALUES (60127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:02:35');
INSERT INTO `sys_job_log` VALUES (60128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：120毫秒', '0', '', '2025-01-02 11:02:40');
INSERT INTO `sys_job_log` VALUES (60129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:02:45');
INSERT INTO `sys_job_log` VALUES (60130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:02:45');
INSERT INTO `sys_job_log` VALUES (60131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:02:50');
INSERT INTO `sys_job_log` VALUES (60132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:02:55');
INSERT INTO `sys_job_log` VALUES (60133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:03:00');
INSERT INTO `sys_job_log` VALUES (60134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:03:00');
INSERT INTO `sys_job_log` VALUES (60135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:03:05');
INSERT INTO `sys_job_log` VALUES (60136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:03:10');
INSERT INTO `sys_job_log` VALUES (60137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:03:15');
INSERT INTO `sys_job_log` VALUES (60138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:03:15');
INSERT INTO `sys_job_log` VALUES (60139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:03:20');
INSERT INTO `sys_job_log` VALUES (60140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:03:25');
INSERT INTO `sys_job_log` VALUES (60141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:03:30');
INSERT INTO `sys_job_log` VALUES (60142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:03:30');
INSERT INTO `sys_job_log` VALUES (60143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:03:35');
INSERT INTO `sys_job_log` VALUES (60144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:03:40');
INSERT INTO `sys_job_log` VALUES (60145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:03:45');
INSERT INTO `sys_job_log` VALUES (60146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:03:45');
INSERT INTO `sys_job_log` VALUES (60147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:03:50');
INSERT INTO `sys_job_log` VALUES (60148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:03:55');
INSERT INTO `sys_job_log` VALUES (60149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:04:00');
INSERT INTO `sys_job_log` VALUES (60150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:04:00');
INSERT INTO `sys_job_log` VALUES (60151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:04:05');
INSERT INTO `sys_job_log` VALUES (60152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:04:10');
INSERT INTO `sys_job_log` VALUES (60153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:04:15');
INSERT INTO `sys_job_log` VALUES (60154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:04:15');
INSERT INTO `sys_job_log` VALUES (60155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2025-01-02 11:04:20');
INSERT INTO `sys_job_log` VALUES (60156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:04:25');
INSERT INTO `sys_job_log` VALUES (60157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:04:30');
INSERT INTO `sys_job_log` VALUES (60158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:04:30');
INSERT INTO `sys_job_log` VALUES (60159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:04:35');
INSERT INTO `sys_job_log` VALUES (60160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:04:40');
INSERT INTO `sys_job_log` VALUES (60161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:04:45');
INSERT INTO `sys_job_log` VALUES (60162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:04:45');
INSERT INTO `sys_job_log` VALUES (60163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:04:50');
INSERT INTO `sys_job_log` VALUES (60164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:04:55');
INSERT INTO `sys_job_log` VALUES (60165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:05:00');
INSERT INTO `sys_job_log` VALUES (60166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:05:00');
INSERT INTO `sys_job_log` VALUES (60167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:05:05');
INSERT INTO `sys_job_log` VALUES (60168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:05:10');
INSERT INTO `sys_job_log` VALUES (60169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:05:15');
INSERT INTO `sys_job_log` VALUES (60170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:05:15');
INSERT INTO `sys_job_log` VALUES (60171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:05:20');
INSERT INTO `sys_job_log` VALUES (60172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:05:25');
INSERT INTO `sys_job_log` VALUES (60173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:05:30');
INSERT INTO `sys_job_log` VALUES (60174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:05:30');
INSERT INTO `sys_job_log` VALUES (60175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:05:35');
INSERT INTO `sys_job_log` VALUES (60176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:05:40');
INSERT INTO `sys_job_log` VALUES (60177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:05:45');
INSERT INTO `sys_job_log` VALUES (60178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:05:45');
INSERT INTO `sys_job_log` VALUES (60179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:05:50');
INSERT INTO `sys_job_log` VALUES (60180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:05:55');
INSERT INTO `sys_job_log` VALUES (60181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:06:00');
INSERT INTO `sys_job_log` VALUES (60182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:06:00');
INSERT INTO `sys_job_log` VALUES (60183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:06:05');
INSERT INTO `sys_job_log` VALUES (60184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:06:10');
INSERT INTO `sys_job_log` VALUES (60185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:06:15');
INSERT INTO `sys_job_log` VALUES (60186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:06:15');
INSERT INTO `sys_job_log` VALUES (60187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:06:20');
INSERT INTO `sys_job_log` VALUES (60188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:06:25');
INSERT INTO `sys_job_log` VALUES (60189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:06:30');
INSERT INTO `sys_job_log` VALUES (60190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:06:30');
INSERT INTO `sys_job_log` VALUES (60191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:06:35');
INSERT INTO `sys_job_log` VALUES (60192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:06:40');
INSERT INTO `sys_job_log` VALUES (60193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 11:06:45');
INSERT INTO `sys_job_log` VALUES (60194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-02 11:06:45');
INSERT INTO `sys_job_log` VALUES (60195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:06:50');
INSERT INTO `sys_job_log` VALUES (60196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2025-01-02 11:06:55');
INSERT INTO `sys_job_log` VALUES (60197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:07:00');
INSERT INTO `sys_job_log` VALUES (60198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:07:00');
INSERT INTO `sys_job_log` VALUES (60199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:05');
INSERT INTO `sys_job_log` VALUES (60200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 11:07:10');
INSERT INTO `sys_job_log` VALUES (60201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:07:15');
INSERT INTO `sys_job_log` VALUES (60202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:15');
INSERT INTO `sys_job_log` VALUES (60203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:20');
INSERT INTO `sys_job_log` VALUES (60204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:25');
INSERT INTO `sys_job_log` VALUES (60205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:30');
INSERT INTO `sys_job_log` VALUES (60206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:30');
INSERT INTO `sys_job_log` VALUES (60207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 11:07:35');
INSERT INTO `sys_job_log` VALUES (60208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 11:07:40');
INSERT INTO `sys_job_log` VALUES (60209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:07:45');
INSERT INTO `sys_job_log` VALUES (60210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:07:45');
INSERT INTO `sys_job_log` VALUES (60211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:07:50');
INSERT INTO `sys_job_log` VALUES (60212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:07:55');
INSERT INTO `sys_job_log` VALUES (60213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:08:00');
INSERT INTO `sys_job_log` VALUES (60214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:08:00');
INSERT INTO `sys_job_log` VALUES (60215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:08:05');
INSERT INTO `sys_job_log` VALUES (60216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:08:10');
INSERT INTO `sys_job_log` VALUES (60217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:15');
INSERT INTO `sys_job_log` VALUES (60218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:15');
INSERT INTO `sys_job_log` VALUES (60219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:08:20');
INSERT INTO `sys_job_log` VALUES (60220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:25');
INSERT INTO `sys_job_log` VALUES (60221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:30');
INSERT INTO `sys_job_log` VALUES (60222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:30');
INSERT INTO `sys_job_log` VALUES (60223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:08:35');
INSERT INTO `sys_job_log` VALUES (60224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:40');
INSERT INTO `sys_job_log` VALUES (60225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:08:45');
INSERT INTO `sys_job_log` VALUES (60226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:08:45');
INSERT INTO `sys_job_log` VALUES (60227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:08:50');
INSERT INTO `sys_job_log` VALUES (60228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:08:55');
INSERT INTO `sys_job_log` VALUES (60229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:00');
INSERT INTO `sys_job_log` VALUES (60230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:00');
INSERT INTO `sys_job_log` VALUES (60231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:09:05');
INSERT INTO `sys_job_log` VALUES (60232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:09:10');
INSERT INTO `sys_job_log` VALUES (60233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:15');
INSERT INTO `sys_job_log` VALUES (60234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:15');
INSERT INTO `sys_job_log` VALUES (60235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:09:20');
INSERT INTO `sys_job_log` VALUES (60236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:25');
INSERT INTO `sys_job_log` VALUES (60237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:09:30');
INSERT INTO `sys_job_log` VALUES (60238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:09:30');
INSERT INTO `sys_job_log` VALUES (60239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:35');
INSERT INTO `sys_job_log` VALUES (60240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:09:40');
INSERT INTO `sys_job_log` VALUES (60241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:09:45');
INSERT INTO `sys_job_log` VALUES (60242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:09:45');
INSERT INTO `sys_job_log` VALUES (60243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:09:50');
INSERT INTO `sys_job_log` VALUES (60244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:09:55');
INSERT INTO `sys_job_log` VALUES (60245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:10:00');
INSERT INTO `sys_job_log` VALUES (60246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:10:00');
INSERT INTO `sys_job_log` VALUES (60247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:10:05');
INSERT INTO `sys_job_log` VALUES (60248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:10:10');
INSERT INTO `sys_job_log` VALUES (60249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:10:15');
INSERT INTO `sys_job_log` VALUES (60250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:10:15');
INSERT INTO `sys_job_log` VALUES (60251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:10:20');
INSERT INTO `sys_job_log` VALUES (60252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:10:25');
INSERT INTO `sys_job_log` VALUES (60253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:10:30');
INSERT INTO `sys_job_log` VALUES (60254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:10:30');
INSERT INTO `sys_job_log` VALUES (60255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:10:35');
INSERT INTO `sys_job_log` VALUES (60256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:10:40');
INSERT INTO `sys_job_log` VALUES (60257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:10:45');
INSERT INTO `sys_job_log` VALUES (60258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:10:45');
INSERT INTO `sys_job_log` VALUES (60259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:10:50');
INSERT INTO `sys_job_log` VALUES (60260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:10:55');
INSERT INTO `sys_job_log` VALUES (60261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:11:00');
INSERT INTO `sys_job_log` VALUES (60262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:11:00');
INSERT INTO `sys_job_log` VALUES (60263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:11:05');
INSERT INTO `sys_job_log` VALUES (60264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:11:10');
INSERT INTO `sys_job_log` VALUES (60265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:11:15');
INSERT INTO `sys_job_log` VALUES (60266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:11:15');
INSERT INTO `sys_job_log` VALUES (60267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：167毫秒', '0', '', '2025-01-02 11:11:20');
INSERT INTO `sys_job_log` VALUES (60268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 11:11:25');
INSERT INTO `sys_job_log` VALUES (60269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:11:30');
INSERT INTO `sys_job_log` VALUES (60270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:11:30');
INSERT INTO `sys_job_log` VALUES (60271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:11:35');
INSERT INTO `sys_job_log` VALUES (60272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:11:40');
INSERT INTO `sys_job_log` VALUES (60273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:11:45');
INSERT INTO `sys_job_log` VALUES (60274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:11:45');
INSERT INTO `sys_job_log` VALUES (60275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:11:50');
INSERT INTO `sys_job_log` VALUES (60276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:11:55');
INSERT INTO `sys_job_log` VALUES (60277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:12:00');
INSERT INTO `sys_job_log` VALUES (60278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:12:00');
INSERT INTO `sys_job_log` VALUES (60279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:12:05');
INSERT INTO `sys_job_log` VALUES (60280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:12:10');
INSERT INTO `sys_job_log` VALUES (60281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:12:15');
INSERT INTO `sys_job_log` VALUES (60282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:12:15');
INSERT INTO `sys_job_log` VALUES (60283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:12:20');
INSERT INTO `sys_job_log` VALUES (60284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:12:25');
INSERT INTO `sys_job_log` VALUES (60285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:12:30');
INSERT INTO `sys_job_log` VALUES (60286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:12:30');
INSERT INTO `sys_job_log` VALUES (60287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:12:35');
INSERT INTO `sys_job_log` VALUES (60288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:12:40');
INSERT INTO `sys_job_log` VALUES (60289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 11:12:45');
INSERT INTO `sys_job_log` VALUES (60290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:12:45');
INSERT INTO `sys_job_log` VALUES (60291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:12:50');
INSERT INTO `sys_job_log` VALUES (60292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:12:55');
INSERT INTO `sys_job_log` VALUES (60293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:13:00');
INSERT INTO `sys_job_log` VALUES (60294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:13:00');
INSERT INTO `sys_job_log` VALUES (60295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:13:05');
INSERT INTO `sys_job_log` VALUES (60296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:13:10');
INSERT INTO `sys_job_log` VALUES (60297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:13:15');
INSERT INTO `sys_job_log` VALUES (60298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:13:15');
INSERT INTO `sys_job_log` VALUES (60299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:13:20');
INSERT INTO `sys_job_log` VALUES (60300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:13:25');
INSERT INTO `sys_job_log` VALUES (60301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:13:30');
INSERT INTO `sys_job_log` VALUES (60302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:13:30');
INSERT INTO `sys_job_log` VALUES (60303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:13:35');
INSERT INTO `sys_job_log` VALUES (60304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-02 11:13:40');
INSERT INTO `sys_job_log` VALUES (60305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:13:45');
INSERT INTO `sys_job_log` VALUES (60306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:13:45');
INSERT INTO `sys_job_log` VALUES (60307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:13:50');
INSERT INTO `sys_job_log` VALUES (60308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:13:55');
INSERT INTO `sys_job_log` VALUES (60309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:14:00');
INSERT INTO `sys_job_log` VALUES (60310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:14:00');
INSERT INTO `sys_job_log` VALUES (60311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:14:05');
INSERT INTO `sys_job_log` VALUES (60312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:14:10');
INSERT INTO `sys_job_log` VALUES (60313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:14:15');
INSERT INTO `sys_job_log` VALUES (60314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:14:15');
INSERT INTO `sys_job_log` VALUES (60315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:14:20');
INSERT INTO `sys_job_log` VALUES (60316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:14:25');
INSERT INTO `sys_job_log` VALUES (60317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:14:30');
INSERT INTO `sys_job_log` VALUES (60318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:14:30');
INSERT INTO `sys_job_log` VALUES (60319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:14:35');
INSERT INTO `sys_job_log` VALUES (60320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:14:40');
INSERT INTO `sys_job_log` VALUES (60321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:14:45');
INSERT INTO `sys_job_log` VALUES (60322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:14:45');
INSERT INTO `sys_job_log` VALUES (60323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:14:50');
INSERT INTO `sys_job_log` VALUES (60324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:14:55');
INSERT INTO `sys_job_log` VALUES (60325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 11:15:00');
INSERT INTO `sys_job_log` VALUES (60326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 11:15:00');
INSERT INTO `sys_job_log` VALUES (60327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 11:15:05');
INSERT INTO `sys_job_log` VALUES (60328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:15:10');
INSERT INTO `sys_job_log` VALUES (60329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2025-01-02 11:15:15');
INSERT INTO `sys_job_log` VALUES (60330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：120毫秒', '0', '', '2025-01-02 11:15:15');
INSERT INTO `sys_job_log` VALUES (60331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:15:20');
INSERT INTO `sys_job_log` VALUES (60332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:15:25');
INSERT INTO `sys_job_log` VALUES (60333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:15:30');
INSERT INTO `sys_job_log` VALUES (60334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:15:30');
INSERT INTO `sys_job_log` VALUES (60335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:15:35');
INSERT INTO `sys_job_log` VALUES (60336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:15:40');
INSERT INTO `sys_job_log` VALUES (60337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:15:45');
INSERT INTO `sys_job_log` VALUES (60338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:15:45');
INSERT INTO `sys_job_log` VALUES (60339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:15:50');
INSERT INTO `sys_job_log` VALUES (60340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:15:55');
INSERT INTO `sys_job_log` VALUES (60341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:16:00');
INSERT INTO `sys_job_log` VALUES (60342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:16:00');
INSERT INTO `sys_job_log` VALUES (60343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:16:05');
INSERT INTO `sys_job_log` VALUES (60344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:16:10');
INSERT INTO `sys_job_log` VALUES (60345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:16:15');
INSERT INTO `sys_job_log` VALUES (60346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:16:15');
INSERT INTO `sys_job_log` VALUES (60347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:16:20');
INSERT INTO `sys_job_log` VALUES (60348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 11:16:25');
INSERT INTO `sys_job_log` VALUES (60349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:16:30');
INSERT INTO `sys_job_log` VALUES (60350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:16:30');
INSERT INTO `sys_job_log` VALUES (60351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:16:35');
INSERT INTO `sys_job_log` VALUES (60352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:16:40');
INSERT INTO `sys_job_log` VALUES (60353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:16:45');
INSERT INTO `sys_job_log` VALUES (60354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:16:45');
INSERT INTO `sys_job_log` VALUES (60355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:16:50');
INSERT INTO `sys_job_log` VALUES (60356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:16:55');
INSERT INTO `sys_job_log` VALUES (60357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:17:00');
INSERT INTO `sys_job_log` VALUES (60358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:17:00');
INSERT INTO `sys_job_log` VALUES (60359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:17:05');
INSERT INTO `sys_job_log` VALUES (60360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:17:10');
INSERT INTO `sys_job_log` VALUES (60361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:17:15');
INSERT INTO `sys_job_log` VALUES (60362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:17:15');
INSERT INTO `sys_job_log` VALUES (60363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 11:17:20');
INSERT INTO `sys_job_log` VALUES (60364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:17:25');
INSERT INTO `sys_job_log` VALUES (60365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:17:30');
INSERT INTO `sys_job_log` VALUES (60366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:17:30');
INSERT INTO `sys_job_log` VALUES (60367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:17:35');
INSERT INTO `sys_job_log` VALUES (60368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:17:40');
INSERT INTO `sys_job_log` VALUES (60369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:17:45');
INSERT INTO `sys_job_log` VALUES (60370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 11:17:45');
INSERT INTO `sys_job_log` VALUES (60371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:17:50');
INSERT INTO `sys_job_log` VALUES (60372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:17:55');
INSERT INTO `sys_job_log` VALUES (60373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:00');
INSERT INTO `sys_job_log` VALUES (60374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:00');
INSERT INTO `sys_job_log` VALUES (60375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:18:05');
INSERT INTO `sys_job_log` VALUES (60376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:18:10');
INSERT INTO `sys_job_log` VALUES (60377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:18:15');
INSERT INTO `sys_job_log` VALUES (60378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:15');
INSERT INTO `sys_job_log` VALUES (60379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:18:20');
INSERT INTO `sys_job_log` VALUES (60380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:18:25');
INSERT INTO `sys_job_log` VALUES (60381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:30');
INSERT INTO `sys_job_log` VALUES (60382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:30');
INSERT INTO `sys_job_log` VALUES (60383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:35');
INSERT INTO `sys_job_log` VALUES (60384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:18:40');
INSERT INTO `sys_job_log` VALUES (60385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:18:45');
INSERT INTO `sys_job_log` VALUES (60386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:18:45');
INSERT INTO `sys_job_log` VALUES (60387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:18:50');
INSERT INTO `sys_job_log` VALUES (60388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:18:55');
INSERT INTO `sys_job_log` VALUES (60389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:19:00');
INSERT INTO `sys_job_log` VALUES (60390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:19:00');
INSERT INTO `sys_job_log` VALUES (60391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:19:05');
INSERT INTO `sys_job_log` VALUES (60392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:19:10');
INSERT INTO `sys_job_log` VALUES (60393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:19:15');
INSERT INTO `sys_job_log` VALUES (60394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:19:15');
INSERT INTO `sys_job_log` VALUES (60395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:19:20');
INSERT INTO `sys_job_log` VALUES (60396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:19:25');
INSERT INTO `sys_job_log` VALUES (60397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:19:30');
INSERT INTO `sys_job_log` VALUES (60398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:19:30');
INSERT INTO `sys_job_log` VALUES (60399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:19:35');
INSERT INTO `sys_job_log` VALUES (60400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:19:40');
INSERT INTO `sys_job_log` VALUES (60401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:19:45');
INSERT INTO `sys_job_log` VALUES (60402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:19:45');
INSERT INTO `sys_job_log` VALUES (60403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:19:50');
INSERT INTO `sys_job_log` VALUES (60404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:19:55');
INSERT INTO `sys_job_log` VALUES (60405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:20:00');
INSERT INTO `sys_job_log` VALUES (60406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:20:00');
INSERT INTO `sys_job_log` VALUES (60407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:20:05');
INSERT INTO `sys_job_log` VALUES (60408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:20:10');
INSERT INTO `sys_job_log` VALUES (60409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:20:15');
INSERT INTO `sys_job_log` VALUES (60410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:20:15');
INSERT INTO `sys_job_log` VALUES (60411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:20:20');
INSERT INTO `sys_job_log` VALUES (60412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:20:25');
INSERT INTO `sys_job_log` VALUES (60413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:20:30');
INSERT INTO `sys_job_log` VALUES (60414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:20:30');
INSERT INTO `sys_job_log` VALUES (60415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:20:35');
INSERT INTO `sys_job_log` VALUES (60416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:20:40');
INSERT INTO `sys_job_log` VALUES (60417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:20:45');
INSERT INTO `sys_job_log` VALUES (60418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 11:20:45');
INSERT INTO `sys_job_log` VALUES (60419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:20:50');
INSERT INTO `sys_job_log` VALUES (60420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:20:55');
INSERT INTO `sys_job_log` VALUES (60421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 11:21:00');
INSERT INTO `sys_job_log` VALUES (60422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 11:21:00');
INSERT INTO `sys_job_log` VALUES (60423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:21:05');
INSERT INTO `sys_job_log` VALUES (60424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:21:10');
INSERT INTO `sys_job_log` VALUES (60425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:21:15');
INSERT INTO `sys_job_log` VALUES (60426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:21:15');
INSERT INTO `sys_job_log` VALUES (60427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:21:20');
INSERT INTO `sys_job_log` VALUES (60428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:21:25');
INSERT INTO `sys_job_log` VALUES (60429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 11:21:30');
INSERT INTO `sys_job_log` VALUES (60430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 11:21:30');
INSERT INTO `sys_job_log` VALUES (60431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:21:35');
INSERT INTO `sys_job_log` VALUES (60432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:21:40');
INSERT INTO `sys_job_log` VALUES (60433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:21:45');
INSERT INTO `sys_job_log` VALUES (60434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:21:45');
INSERT INTO `sys_job_log` VALUES (60435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:21:50');
INSERT INTO `sys_job_log` VALUES (60436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:21:55');
INSERT INTO `sys_job_log` VALUES (60437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:22:00');
INSERT INTO `sys_job_log` VALUES (60438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:22:00');
INSERT INTO `sys_job_log` VALUES (60439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:22:05');
INSERT INTO `sys_job_log` VALUES (60440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:22:10');
INSERT INTO `sys_job_log` VALUES (60441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:22:15');
INSERT INTO `sys_job_log` VALUES (60442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:22:15');
INSERT INTO `sys_job_log` VALUES (60443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:22:20');
INSERT INTO `sys_job_log` VALUES (60444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:22:25');
INSERT INTO `sys_job_log` VALUES (60445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:22:30');
INSERT INTO `sys_job_log` VALUES (60446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:22:30');
INSERT INTO `sys_job_log` VALUES (60447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2025-01-02 11:22:35');
INSERT INTO `sys_job_log` VALUES (60448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:22:40');
INSERT INTO `sys_job_log` VALUES (60449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:22:45');
INSERT INTO `sys_job_log` VALUES (60450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:22:45');
INSERT INTO `sys_job_log` VALUES (60451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:22:50');
INSERT INTO `sys_job_log` VALUES (60452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:22:55');
INSERT INTO `sys_job_log` VALUES (60453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:23:00');
INSERT INTO `sys_job_log` VALUES (60454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:23:00');
INSERT INTO `sys_job_log` VALUES (60455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:23:05');
INSERT INTO `sys_job_log` VALUES (60456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:23:10');
INSERT INTO `sys_job_log` VALUES (60457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:23:15');
INSERT INTO `sys_job_log` VALUES (60458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:23:15');
INSERT INTO `sys_job_log` VALUES (60459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:23:20');
INSERT INTO `sys_job_log` VALUES (60460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:23:25');
INSERT INTO `sys_job_log` VALUES (60461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:23:30');
INSERT INTO `sys_job_log` VALUES (60462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:23:30');
INSERT INTO `sys_job_log` VALUES (60463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:23:35');
INSERT INTO `sys_job_log` VALUES (60464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:23:40');
INSERT INTO `sys_job_log` VALUES (60465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:23:45');
INSERT INTO `sys_job_log` VALUES (60466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:23:45');
INSERT INTO `sys_job_log` VALUES (60467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:23:50');
INSERT INTO `sys_job_log` VALUES (60468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:23:55');
INSERT INTO `sys_job_log` VALUES (60469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:24:00');
INSERT INTO `sys_job_log` VALUES (60470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:24:00');
INSERT INTO `sys_job_log` VALUES (60471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:24:05');
INSERT INTO `sys_job_log` VALUES (60472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:24:10');
INSERT INTO `sys_job_log` VALUES (60473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:24:15');
INSERT INTO `sys_job_log` VALUES (60474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:24:15');
INSERT INTO `sys_job_log` VALUES (60475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:24:20');
INSERT INTO `sys_job_log` VALUES (60476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:24:25');
INSERT INTO `sys_job_log` VALUES (60477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:24:30');
INSERT INTO `sys_job_log` VALUES (60478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:24:30');
INSERT INTO `sys_job_log` VALUES (60479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:24:35');
INSERT INTO `sys_job_log` VALUES (60480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:24:40');
INSERT INTO `sys_job_log` VALUES (60481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:24:45');
INSERT INTO `sys_job_log` VALUES (60482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:24:45');
INSERT INTO `sys_job_log` VALUES (60483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:24:50');
INSERT INTO `sys_job_log` VALUES (60484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:24:55');
INSERT INTO `sys_job_log` VALUES (60485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:25:00');
INSERT INTO `sys_job_log` VALUES (60486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:25:00');
INSERT INTO `sys_job_log` VALUES (60487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:25:05');
INSERT INTO `sys_job_log` VALUES (60488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:25:10');
INSERT INTO `sys_job_log` VALUES (60489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:25:15');
INSERT INTO `sys_job_log` VALUES (60490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:25:15');
INSERT INTO `sys_job_log` VALUES (60491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2025-01-02 11:25:20');
INSERT INTO `sys_job_log` VALUES (60492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:25:25');
INSERT INTO `sys_job_log` VALUES (60493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:25:30');
INSERT INTO `sys_job_log` VALUES (60494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 11:25:30');
INSERT INTO `sys_job_log` VALUES (60495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:25:35');
INSERT INTO `sys_job_log` VALUES (60496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:25:40');
INSERT INTO `sys_job_log` VALUES (60497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:25:45');
INSERT INTO `sys_job_log` VALUES (60498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:25:45');
INSERT INTO `sys_job_log` VALUES (60499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 11:25:50');
INSERT INTO `sys_job_log` VALUES (60500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:25:55');
INSERT INTO `sys_job_log` VALUES (60501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:26:00');
INSERT INTO `sys_job_log` VALUES (60502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:26:00');
INSERT INTO `sys_job_log` VALUES (60503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:26:05');
INSERT INTO `sys_job_log` VALUES (60504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:26:10');
INSERT INTO `sys_job_log` VALUES (60505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 11:26:15');
INSERT INTO `sys_job_log` VALUES (60506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:26:15');
INSERT INTO `sys_job_log` VALUES (60507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:26:20');
INSERT INTO `sys_job_log` VALUES (60508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:26:25');
INSERT INTO `sys_job_log` VALUES (60509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:26:30');
INSERT INTO `sys_job_log` VALUES (60510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:26:30');
INSERT INTO `sys_job_log` VALUES (60511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:26:35');
INSERT INTO `sys_job_log` VALUES (60512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:26:40');
INSERT INTO `sys_job_log` VALUES (60513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:26:45');
INSERT INTO `sys_job_log` VALUES (60514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:26:45');
INSERT INTO `sys_job_log` VALUES (60515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 11:26:50');
INSERT INTO `sys_job_log` VALUES (60516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:26:55');
INSERT INTO `sys_job_log` VALUES (60517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:27:00');
INSERT INTO `sys_job_log` VALUES (60518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:27:00');
INSERT INTO `sys_job_log` VALUES (60519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:27:05');
INSERT INTO `sys_job_log` VALUES (60520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:27:10');
INSERT INTO `sys_job_log` VALUES (60521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:27:15');
INSERT INTO `sys_job_log` VALUES (60522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 11:27:15');
INSERT INTO `sys_job_log` VALUES (60523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 11:27:20');
INSERT INTO `sys_job_log` VALUES (60524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:27:25');
INSERT INTO `sys_job_log` VALUES (60525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:27:30');
INSERT INTO `sys_job_log` VALUES (60526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:27:30');
INSERT INTO `sys_job_log` VALUES (60527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:27:35');
INSERT INTO `sys_job_log` VALUES (60528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:27:40');
INSERT INTO `sys_job_log` VALUES (60529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:27:45');
INSERT INTO `sys_job_log` VALUES (60530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:27:45');
INSERT INTO `sys_job_log` VALUES (60531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:27:50');
INSERT INTO `sys_job_log` VALUES (60532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:27:55');
INSERT INTO `sys_job_log` VALUES (60533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:28:00');
INSERT INTO `sys_job_log` VALUES (60534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:28:00');
INSERT INTO `sys_job_log` VALUES (60535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:28:05');
INSERT INTO `sys_job_log` VALUES (60536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:28:10');
INSERT INTO `sys_job_log` VALUES (60537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:28:15');
INSERT INTO `sys_job_log` VALUES (60538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:28:15');
INSERT INTO `sys_job_log` VALUES (60539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:28:20');
INSERT INTO `sys_job_log` VALUES (60540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 11:28:25');
INSERT INTO `sys_job_log` VALUES (60541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:28:30');
INSERT INTO `sys_job_log` VALUES (60542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:28:30');
INSERT INTO `sys_job_log` VALUES (60543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:28:35');
INSERT INTO `sys_job_log` VALUES (60544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:28:40');
INSERT INTO `sys_job_log` VALUES (60545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:28:45');
INSERT INTO `sys_job_log` VALUES (60546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:28:45');
INSERT INTO `sys_job_log` VALUES (60547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:28:50');
INSERT INTO `sys_job_log` VALUES (60548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2025-01-02 11:28:55');
INSERT INTO `sys_job_log` VALUES (60549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:29:00');
INSERT INTO `sys_job_log` VALUES (60550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:29:00');
INSERT INTO `sys_job_log` VALUES (60551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:29:05');
INSERT INTO `sys_job_log` VALUES (60552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:29:10');
INSERT INTO `sys_job_log` VALUES (60553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:29:15');
INSERT INTO `sys_job_log` VALUES (60554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:29:15');
INSERT INTO `sys_job_log` VALUES (60555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:29:20');
INSERT INTO `sys_job_log` VALUES (60556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:29:25');
INSERT INTO `sys_job_log` VALUES (60557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:29:30');
INSERT INTO `sys_job_log` VALUES (60558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:29:30');
INSERT INTO `sys_job_log` VALUES (60559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:29:35');
INSERT INTO `sys_job_log` VALUES (60560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:29:40');
INSERT INTO `sys_job_log` VALUES (60561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:29:45');
INSERT INTO `sys_job_log` VALUES (60562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:29:45');
INSERT INTO `sys_job_log` VALUES (60563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:29:50');
INSERT INTO `sys_job_log` VALUES (60564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:29:55');
INSERT INTO `sys_job_log` VALUES (60565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:30:00');
INSERT INTO `sys_job_log` VALUES (60566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:30:00');
INSERT INTO `sys_job_log` VALUES (60567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:30:05');
INSERT INTO `sys_job_log` VALUES (60568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:30:10');
INSERT INTO `sys_job_log` VALUES (60569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:30:15');
INSERT INTO `sys_job_log` VALUES (60570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:30:15');
INSERT INTO `sys_job_log` VALUES (60571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:30:20');
INSERT INTO `sys_job_log` VALUES (60572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:30:25');
INSERT INTO `sys_job_log` VALUES (60573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:30:30');
INSERT INTO `sys_job_log` VALUES (60574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:30:30');
INSERT INTO `sys_job_log` VALUES (60575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:30:35');
INSERT INTO `sys_job_log` VALUES (60576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:30:40');
INSERT INTO `sys_job_log` VALUES (60577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:30:45');
INSERT INTO `sys_job_log` VALUES (60578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:30:45');
INSERT INTO `sys_job_log` VALUES (60579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:30:50');
INSERT INTO `sys_job_log` VALUES (60580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:30:55');
INSERT INTO `sys_job_log` VALUES (60581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:31:00');
INSERT INTO `sys_job_log` VALUES (60582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:31:00');
INSERT INTO `sys_job_log` VALUES (60583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:31:05');
INSERT INTO `sys_job_log` VALUES (60584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:31:10');
INSERT INTO `sys_job_log` VALUES (60585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:31:15');
INSERT INTO `sys_job_log` VALUES (60586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:31:15');
INSERT INTO `sys_job_log` VALUES (60587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:31:20');
INSERT INTO `sys_job_log` VALUES (60588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:31:25');
INSERT INTO `sys_job_log` VALUES (60589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:31:30');
INSERT INTO `sys_job_log` VALUES (60590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:31:30');
INSERT INTO `sys_job_log` VALUES (60591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:31:35');
INSERT INTO `sys_job_log` VALUES (60592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:31:40');
INSERT INTO `sys_job_log` VALUES (60593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:31:45');
INSERT INTO `sys_job_log` VALUES (60594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:31:45');
INSERT INTO `sys_job_log` VALUES (60595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:31:50');
INSERT INTO `sys_job_log` VALUES (60596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:31:55');
INSERT INTO `sys_job_log` VALUES (60597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:32:00');
INSERT INTO `sys_job_log` VALUES (60598, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:32:00');
INSERT INTO `sys_job_log` VALUES (60599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:32:05');
INSERT INTO `sys_job_log` VALUES (60600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 11:32:10');
INSERT INTO `sys_job_log` VALUES (60601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:32:15');
INSERT INTO `sys_job_log` VALUES (60602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:32:15');
INSERT INTO `sys_job_log` VALUES (60603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:32:20');
INSERT INTO `sys_job_log` VALUES (60604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:32:25');
INSERT INTO `sys_job_log` VALUES (60605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:32:30');
INSERT INTO `sys_job_log` VALUES (60606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:32:30');
INSERT INTO `sys_job_log` VALUES (60607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:32:35');
INSERT INTO `sys_job_log` VALUES (60608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:32:40');
INSERT INTO `sys_job_log` VALUES (60609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:32:45');
INSERT INTO `sys_job_log` VALUES (60610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 11:32:45');
INSERT INTO `sys_job_log` VALUES (60611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 11:32:50');
INSERT INTO `sys_job_log` VALUES (60612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:32:55');
INSERT INTO `sys_job_log` VALUES (60613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:33:00');
INSERT INTO `sys_job_log` VALUES (60614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:33:00');
INSERT INTO `sys_job_log` VALUES (60615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:33:05');
INSERT INTO `sys_job_log` VALUES (60616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:33:10');
INSERT INTO `sys_job_log` VALUES (60617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 11:33:15');
INSERT INTO `sys_job_log` VALUES (60618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:33:15');
INSERT INTO `sys_job_log` VALUES (60619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 11:33:20');
INSERT INTO `sys_job_log` VALUES (60620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:33:25');
INSERT INTO `sys_job_log` VALUES (60621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:33:30');
INSERT INTO `sys_job_log` VALUES (60622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:33:30');
INSERT INTO `sys_job_log` VALUES (60623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:33:35');
INSERT INTO `sys_job_log` VALUES (60624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 11:33:40');
INSERT INTO `sys_job_log` VALUES (60625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:33:45');
INSERT INTO `sys_job_log` VALUES (60626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:33:45');
INSERT INTO `sys_job_log` VALUES (60627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:33:50');
INSERT INTO `sys_job_log` VALUES (60628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:33:55');
INSERT INTO `sys_job_log` VALUES (60629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:34:00');
INSERT INTO `sys_job_log` VALUES (60630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:34:00');
INSERT INTO `sys_job_log` VALUES (60631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:34:05');
INSERT INTO `sys_job_log` VALUES (60632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:34:10');
INSERT INTO `sys_job_log` VALUES (60633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:34:15');
INSERT INTO `sys_job_log` VALUES (60634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:34:15');
INSERT INTO `sys_job_log` VALUES (60635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:34:20');
INSERT INTO `sys_job_log` VALUES (60636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:34:25');
INSERT INTO `sys_job_log` VALUES (60637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:34:30');
INSERT INTO `sys_job_log` VALUES (60638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:34:30');
INSERT INTO `sys_job_log` VALUES (60639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:34:35');
INSERT INTO `sys_job_log` VALUES (60640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:34:40');
INSERT INTO `sys_job_log` VALUES (60641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:34:45');
INSERT INTO `sys_job_log` VALUES (60642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:34:45');
INSERT INTO `sys_job_log` VALUES (60643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:34:50');
INSERT INTO `sys_job_log` VALUES (60644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:34:55');
INSERT INTO `sys_job_log` VALUES (60645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:35:00');
INSERT INTO `sys_job_log` VALUES (60646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:35:00');
INSERT INTO `sys_job_log` VALUES (60647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:35:05');
INSERT INTO `sys_job_log` VALUES (60648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:35:10');
INSERT INTO `sys_job_log` VALUES (60649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:35:15');
INSERT INTO `sys_job_log` VALUES (60650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:35:15');
INSERT INTO `sys_job_log` VALUES (60651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:35:20');
INSERT INTO `sys_job_log` VALUES (60652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:35:25');
INSERT INTO `sys_job_log` VALUES (60653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:35:30');
INSERT INTO `sys_job_log` VALUES (60654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:35:30');
INSERT INTO `sys_job_log` VALUES (60655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:35:35');
INSERT INTO `sys_job_log` VALUES (60656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:35:40');
INSERT INTO `sys_job_log` VALUES (60657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:35:45');
INSERT INTO `sys_job_log` VALUES (60658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:35:45');
INSERT INTO `sys_job_log` VALUES (60659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:35:50');
INSERT INTO `sys_job_log` VALUES (60660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:35:55');
INSERT INTO `sys_job_log` VALUES (60661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:36:00');
INSERT INTO `sys_job_log` VALUES (60662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:36:00');
INSERT INTO `sys_job_log` VALUES (60663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:36:05');
INSERT INTO `sys_job_log` VALUES (60664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:36:10');
INSERT INTO `sys_job_log` VALUES (60665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:36:15');
INSERT INTO `sys_job_log` VALUES (60666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:36:15');
INSERT INTO `sys_job_log` VALUES (60667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:36:20');
INSERT INTO `sys_job_log` VALUES (60668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:36:25');
INSERT INTO `sys_job_log` VALUES (60669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 11:36:30');
INSERT INTO `sys_job_log` VALUES (60670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：66毫秒', '0', '', '2025-01-02 11:36:30');
INSERT INTO `sys_job_log` VALUES (60671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:36:35');
INSERT INTO `sys_job_log` VALUES (60672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:36:40');
INSERT INTO `sys_job_log` VALUES (60673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:36:45');
INSERT INTO `sys_job_log` VALUES (60674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:36:45');
INSERT INTO `sys_job_log` VALUES (60675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:36:50');
INSERT INTO `sys_job_log` VALUES (60676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:36:55');
INSERT INTO `sys_job_log` VALUES (60677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:37:00');
INSERT INTO `sys_job_log` VALUES (60678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:37:00');
INSERT INTO `sys_job_log` VALUES (60679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:37:05');
INSERT INTO `sys_job_log` VALUES (60680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:37:10');
INSERT INTO `sys_job_log` VALUES (60681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:37:15');
INSERT INTO `sys_job_log` VALUES (60682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:37:15');
INSERT INTO `sys_job_log` VALUES (60683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:37:20');
INSERT INTO `sys_job_log` VALUES (60684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:37:25');
INSERT INTO `sys_job_log` VALUES (60685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:37:30');
INSERT INTO `sys_job_log` VALUES (60686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:37:30');
INSERT INTO `sys_job_log` VALUES (60687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:37:35');
INSERT INTO `sys_job_log` VALUES (60688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:37:40');
INSERT INTO `sys_job_log` VALUES (60689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:37:45');
INSERT INTO `sys_job_log` VALUES (60690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:37:45');
INSERT INTO `sys_job_log` VALUES (60691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:37:50');
INSERT INTO `sys_job_log` VALUES (60692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:37:55');
INSERT INTO `sys_job_log` VALUES (60693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:38:00');
INSERT INTO `sys_job_log` VALUES (60694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:38:00');
INSERT INTO `sys_job_log` VALUES (60695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:38:05');
INSERT INTO `sys_job_log` VALUES (60696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:38:10');
INSERT INTO `sys_job_log` VALUES (60697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:38:15');
INSERT INTO `sys_job_log` VALUES (60698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:38:15');
INSERT INTO `sys_job_log` VALUES (60699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:38:20');
INSERT INTO `sys_job_log` VALUES (60700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:38:25');
INSERT INTO `sys_job_log` VALUES (60701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:38:30');
INSERT INTO `sys_job_log` VALUES (60702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:38:30');
INSERT INTO `sys_job_log` VALUES (60703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:38:35');
INSERT INTO `sys_job_log` VALUES (60704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:38:40');
INSERT INTO `sys_job_log` VALUES (60705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:38:45');
INSERT INTO `sys_job_log` VALUES (60706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:38:45');
INSERT INTO `sys_job_log` VALUES (60707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:38:50');
INSERT INTO `sys_job_log` VALUES (60708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:38:55');
INSERT INTO `sys_job_log` VALUES (60709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:39:00');
INSERT INTO `sys_job_log` VALUES (60710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:39:00');
INSERT INTO `sys_job_log` VALUES (60711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:39:05');
INSERT INTO `sys_job_log` VALUES (60712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:39:10');
INSERT INTO `sys_job_log` VALUES (60713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:39:15');
INSERT INTO `sys_job_log` VALUES (60714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:39:15');
INSERT INTO `sys_job_log` VALUES (60715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:39:20');
INSERT INTO `sys_job_log` VALUES (60716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:39:25');
INSERT INTO `sys_job_log` VALUES (60717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:39:30');
INSERT INTO `sys_job_log` VALUES (60718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:39:30');
INSERT INTO `sys_job_log` VALUES (60719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:39:35');
INSERT INTO `sys_job_log` VALUES (60720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:39:40');
INSERT INTO `sys_job_log` VALUES (60721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:39:45');
INSERT INTO `sys_job_log` VALUES (60722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:39:45');
INSERT INTO `sys_job_log` VALUES (60723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-02 11:39:50');
INSERT INTO `sys_job_log` VALUES (60724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:39:55');
INSERT INTO `sys_job_log` VALUES (60725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:40:00');
INSERT INTO `sys_job_log` VALUES (60726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:40:00');
INSERT INTO `sys_job_log` VALUES (60727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:40:05');
INSERT INTO `sys_job_log` VALUES (60728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:40:10');
INSERT INTO `sys_job_log` VALUES (60729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:40:15');
INSERT INTO `sys_job_log` VALUES (60730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:40:15');
INSERT INTO `sys_job_log` VALUES (60731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:40:20');
INSERT INTO `sys_job_log` VALUES (60732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:40:25');
INSERT INTO `sys_job_log` VALUES (60733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:40:30');
INSERT INTO `sys_job_log` VALUES (60734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:40:30');
INSERT INTO `sys_job_log` VALUES (60735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:40:35');
INSERT INTO `sys_job_log` VALUES (60736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 11:40:40');
INSERT INTO `sys_job_log` VALUES (60737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:40:45');
INSERT INTO `sys_job_log` VALUES (60738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:40:45');
INSERT INTO `sys_job_log` VALUES (60739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:40:50');
INSERT INTO `sys_job_log` VALUES (60740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:40:55');
INSERT INTO `sys_job_log` VALUES (60741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:41:00');
INSERT INTO `sys_job_log` VALUES (60742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:41:00');
INSERT INTO `sys_job_log` VALUES (60743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:41:05');
INSERT INTO `sys_job_log` VALUES (60744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:41:10');
INSERT INTO `sys_job_log` VALUES (60745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:41:15');
INSERT INTO `sys_job_log` VALUES (60746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:41:15');
INSERT INTO `sys_job_log` VALUES (60747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:41:20');
INSERT INTO `sys_job_log` VALUES (60748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:41:25');
INSERT INTO `sys_job_log` VALUES (60749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:41:30');
INSERT INTO `sys_job_log` VALUES (60750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:41:30');
INSERT INTO `sys_job_log` VALUES (60751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:41:35');
INSERT INTO `sys_job_log` VALUES (60752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:41:40');
INSERT INTO `sys_job_log` VALUES (60753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:41:45');
INSERT INTO `sys_job_log` VALUES (60754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:41:45');
INSERT INTO `sys_job_log` VALUES (60755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:41:50');
INSERT INTO `sys_job_log` VALUES (60756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:41:55');
INSERT INTO `sys_job_log` VALUES (60757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:42:00');
INSERT INTO `sys_job_log` VALUES (60758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:42:00');
INSERT INTO `sys_job_log` VALUES (60759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:42:05');
INSERT INTO `sys_job_log` VALUES (60760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:42:10');
INSERT INTO `sys_job_log` VALUES (60761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:42:15');
INSERT INTO `sys_job_log` VALUES (60762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:42:15');
INSERT INTO `sys_job_log` VALUES (60763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:42:20');
INSERT INTO `sys_job_log` VALUES (60764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:42:25');
INSERT INTO `sys_job_log` VALUES (60765, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:42:30');
INSERT INTO `sys_job_log` VALUES (60766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:42:30');
INSERT INTO `sys_job_log` VALUES (60767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:42:35');
INSERT INTO `sys_job_log` VALUES (60768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:42:40');
INSERT INTO `sys_job_log` VALUES (60769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:42:45');
INSERT INTO `sys_job_log` VALUES (60770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:42:45');
INSERT INTO `sys_job_log` VALUES (60771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:42:50');
INSERT INTO `sys_job_log` VALUES (60772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:42:55');
INSERT INTO `sys_job_log` VALUES (60773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:43:00');
INSERT INTO `sys_job_log` VALUES (60774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:43:00');
INSERT INTO `sys_job_log` VALUES (60775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:43:05');
INSERT INTO `sys_job_log` VALUES (60776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:43:10');
INSERT INTO `sys_job_log` VALUES (60777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:43:15');
INSERT INTO `sys_job_log` VALUES (60778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:43:15');
INSERT INTO `sys_job_log` VALUES (60779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:43:20');
INSERT INTO `sys_job_log` VALUES (60780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:43:25');
INSERT INTO `sys_job_log` VALUES (60781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:43:30');
INSERT INTO `sys_job_log` VALUES (60782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:43:30');
INSERT INTO `sys_job_log` VALUES (60783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:43:35');
INSERT INTO `sys_job_log` VALUES (60784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:43:40');
INSERT INTO `sys_job_log` VALUES (60785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:43:45');
INSERT INTO `sys_job_log` VALUES (60786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 11:43:45');
INSERT INTO `sys_job_log` VALUES (60787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:43:50');
INSERT INTO `sys_job_log` VALUES (60788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:43:55');
INSERT INTO `sys_job_log` VALUES (60789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:44:00');
INSERT INTO `sys_job_log` VALUES (60790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:44:00');
INSERT INTO `sys_job_log` VALUES (60791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:05');
INSERT INTO `sys_job_log` VALUES (60792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:44:10');
INSERT INTO `sys_job_log` VALUES (60793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:15');
INSERT INTO `sys_job_log` VALUES (60794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:15');
INSERT INTO `sys_job_log` VALUES (60795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:44:20');
INSERT INTO `sys_job_log` VALUES (60796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:25');
INSERT INTO `sys_job_log` VALUES (60797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 11:44:30');
INSERT INTO `sys_job_log` VALUES (60798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:44:30');
INSERT INTO `sys_job_log` VALUES (60799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:44:35');
INSERT INTO `sys_job_log` VALUES (60800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:40');
INSERT INTO `sys_job_log` VALUES (60801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:45');
INSERT INTO `sys_job_log` VALUES (60802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:45');
INSERT INTO `sys_job_log` VALUES (60803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:44:50');
INSERT INTO `sys_job_log` VALUES (60804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:44:55');
INSERT INTO `sys_job_log` VALUES (60805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:45:00');
INSERT INTO `sys_job_log` VALUES (60806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:45:00');
INSERT INTO `sys_job_log` VALUES (60807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:45:05');
INSERT INTO `sys_job_log` VALUES (60808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:45:10');
INSERT INTO `sys_job_log` VALUES (60809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:45:15');
INSERT INTO `sys_job_log` VALUES (60810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:45:15');
INSERT INTO `sys_job_log` VALUES (60811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 11:45:20');
INSERT INTO `sys_job_log` VALUES (60812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:45:25');
INSERT INTO `sys_job_log` VALUES (60813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:45:30');
INSERT INTO `sys_job_log` VALUES (60814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:45:30');
INSERT INTO `sys_job_log` VALUES (60815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:45:35');
INSERT INTO `sys_job_log` VALUES (60816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:45:40');
INSERT INTO `sys_job_log` VALUES (60817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:45:45');
INSERT INTO `sys_job_log` VALUES (60818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:45:45');
INSERT INTO `sys_job_log` VALUES (60819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:45:50');
INSERT INTO `sys_job_log` VALUES (60820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:45:55');
INSERT INTO `sys_job_log` VALUES (60821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:46:00');
INSERT INTO `sys_job_log` VALUES (60822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:46:00');
INSERT INTO `sys_job_log` VALUES (60823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:46:05');
INSERT INTO `sys_job_log` VALUES (60824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:46:10');
INSERT INTO `sys_job_log` VALUES (60825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:46:15');
INSERT INTO `sys_job_log` VALUES (60826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:46:15');
INSERT INTO `sys_job_log` VALUES (60827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:46:20');
INSERT INTO `sys_job_log` VALUES (60828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:46:25');
INSERT INTO `sys_job_log` VALUES (60829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:46:30');
INSERT INTO `sys_job_log` VALUES (60830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:46:30');
INSERT INTO `sys_job_log` VALUES (60831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:46:35');
INSERT INTO `sys_job_log` VALUES (60832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:46:40');
INSERT INTO `sys_job_log` VALUES (60833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:46:45');
INSERT INTO `sys_job_log` VALUES (60834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:46:45');
INSERT INTO `sys_job_log` VALUES (60835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:46:50');
INSERT INTO `sys_job_log` VALUES (60836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:46:55');
INSERT INTO `sys_job_log` VALUES (60837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:47:00');
INSERT INTO `sys_job_log` VALUES (60838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:47:00');
INSERT INTO `sys_job_log` VALUES (60839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:47:05');
INSERT INTO `sys_job_log` VALUES (60840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:47:10');
INSERT INTO `sys_job_log` VALUES (60841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:47:15');
INSERT INTO `sys_job_log` VALUES (60842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:47:15');
INSERT INTO `sys_job_log` VALUES (60843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:47:20');
INSERT INTO `sys_job_log` VALUES (60844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:47:25');
INSERT INTO `sys_job_log` VALUES (60845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:47:30');
INSERT INTO `sys_job_log` VALUES (60846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:47:30');
INSERT INTO `sys_job_log` VALUES (60847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:47:35');
INSERT INTO `sys_job_log` VALUES (60848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:47:40');
INSERT INTO `sys_job_log` VALUES (60849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:47:45');
INSERT INTO `sys_job_log` VALUES (60850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:47:45');
INSERT INTO `sys_job_log` VALUES (60851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:47:50');
INSERT INTO `sys_job_log` VALUES (60852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:47:55');
INSERT INTO `sys_job_log` VALUES (60853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-02 11:48:00');
INSERT INTO `sys_job_log` VALUES (60854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-02 11:48:00');
INSERT INTO `sys_job_log` VALUES (60855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:48:05');
INSERT INTO `sys_job_log` VALUES (60856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:48:10');
INSERT INTO `sys_job_log` VALUES (60857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:48:15');
INSERT INTO `sys_job_log` VALUES (60858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:48:15');
INSERT INTO `sys_job_log` VALUES (60859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:48:20');
INSERT INTO `sys_job_log` VALUES (60860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:48:25');
INSERT INTO `sys_job_log` VALUES (60861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:48:30');
INSERT INTO `sys_job_log` VALUES (60862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:48:30');
INSERT INTO `sys_job_log` VALUES (60863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:48:35');
INSERT INTO `sys_job_log` VALUES (60864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:48:40');
INSERT INTO `sys_job_log` VALUES (60865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:48:45');
INSERT INTO `sys_job_log` VALUES (60866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:48:45');
INSERT INTO `sys_job_log` VALUES (60867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:48:50');
INSERT INTO `sys_job_log` VALUES (60868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:48:55');
INSERT INTO `sys_job_log` VALUES (60869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:49:00');
INSERT INTO `sys_job_log` VALUES (60870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:49:00');
INSERT INTO `sys_job_log` VALUES (60871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 11:49:05');
INSERT INTO `sys_job_log` VALUES (60872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:49:10');
INSERT INTO `sys_job_log` VALUES (60873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:49:15');
INSERT INTO `sys_job_log` VALUES (60874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:49:15');
INSERT INTO `sys_job_log` VALUES (60875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:49:20');
INSERT INTO `sys_job_log` VALUES (60876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:49:25');
INSERT INTO `sys_job_log` VALUES (60877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:49:30');
INSERT INTO `sys_job_log` VALUES (60878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:49:30');
INSERT INTO `sys_job_log` VALUES (60879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:49:35');
INSERT INTO `sys_job_log` VALUES (60880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:49:40');
INSERT INTO `sys_job_log` VALUES (60881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:49:45');
INSERT INTO `sys_job_log` VALUES (60882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:49:45');
INSERT INTO `sys_job_log` VALUES (60883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:49:50');
INSERT INTO `sys_job_log` VALUES (60884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:49:55');
INSERT INTO `sys_job_log` VALUES (60885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:50:00');
INSERT INTO `sys_job_log` VALUES (60886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:50:00');
INSERT INTO `sys_job_log` VALUES (60887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:50:05');
INSERT INTO `sys_job_log` VALUES (60888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2025-01-02 11:50:10');
INSERT INTO `sys_job_log` VALUES (60889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 11:50:15');
INSERT INTO `sys_job_log` VALUES (60890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 11:50:15');
INSERT INTO `sys_job_log` VALUES (60891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:50:20');
INSERT INTO `sys_job_log` VALUES (60892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:50:25');
INSERT INTO `sys_job_log` VALUES (60893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 11:50:30');
INSERT INTO `sys_job_log` VALUES (60894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 11:50:30');
INSERT INTO `sys_job_log` VALUES (60895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:50:35');
INSERT INTO `sys_job_log` VALUES (60896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:50:40');
INSERT INTO `sys_job_log` VALUES (60897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 11:50:45');
INSERT INTO `sys_job_log` VALUES (60898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:50:45');
INSERT INTO `sys_job_log` VALUES (60899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:50:50');
INSERT INTO `sys_job_log` VALUES (60900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:50:55');
INSERT INTO `sys_job_log` VALUES (60901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:51:00');
INSERT INTO `sys_job_log` VALUES (60902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:51:00');
INSERT INTO `sys_job_log` VALUES (60903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:51:05');
INSERT INTO `sys_job_log` VALUES (60904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:51:10');
INSERT INTO `sys_job_log` VALUES (60905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:51:15');
INSERT INTO `sys_job_log` VALUES (60906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:51:15');
INSERT INTO `sys_job_log` VALUES (60907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:51:20');
INSERT INTO `sys_job_log` VALUES (60908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:51:25');
INSERT INTO `sys_job_log` VALUES (60909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:51:30');
INSERT INTO `sys_job_log` VALUES (60910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:51:30');
INSERT INTO `sys_job_log` VALUES (60911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:51:35');
INSERT INTO `sys_job_log` VALUES (60912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:51:40');
INSERT INTO `sys_job_log` VALUES (60913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:51:45');
INSERT INTO `sys_job_log` VALUES (60914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:51:45');
INSERT INTO `sys_job_log` VALUES (60915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:51:50');
INSERT INTO `sys_job_log` VALUES (60916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 11:51:55');
INSERT INTO `sys_job_log` VALUES (60917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:52:00');
INSERT INTO `sys_job_log` VALUES (60918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:52:00');
INSERT INTO `sys_job_log` VALUES (60919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:52:05');
INSERT INTO `sys_job_log` VALUES (60920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:52:10');
INSERT INTO `sys_job_log` VALUES (60921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:52:15');
INSERT INTO `sys_job_log` VALUES (60922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:52:15');
INSERT INTO `sys_job_log` VALUES (60923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:52:20');
INSERT INTO `sys_job_log` VALUES (60924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:52:25');
INSERT INTO `sys_job_log` VALUES (60925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:52:30');
INSERT INTO `sys_job_log` VALUES (60926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:52:30');
INSERT INTO `sys_job_log` VALUES (60927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:52:35');
INSERT INTO `sys_job_log` VALUES (60928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:52:40');
INSERT INTO `sys_job_log` VALUES (60929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:52:45');
INSERT INTO `sys_job_log` VALUES (60930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:52:45');
INSERT INTO `sys_job_log` VALUES (60931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:52:50');
INSERT INTO `sys_job_log` VALUES (60932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:52:55');
INSERT INTO `sys_job_log` VALUES (60933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:53:00');
INSERT INTO `sys_job_log` VALUES (60934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:53:00');
INSERT INTO `sys_job_log` VALUES (60935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:53:05');
INSERT INTO `sys_job_log` VALUES (60936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:53:10');
INSERT INTO `sys_job_log` VALUES (60937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：108毫秒', '0', '', '2025-01-02 11:53:15');
INSERT INTO `sys_job_log` VALUES (60938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：106毫秒', '0', '', '2025-01-02 11:53:15');
INSERT INTO `sys_job_log` VALUES (60939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:53:20');
INSERT INTO `sys_job_log` VALUES (60940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:53:25');
INSERT INTO `sys_job_log` VALUES (60941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:53:30');
INSERT INTO `sys_job_log` VALUES (60942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:53:30');
INSERT INTO `sys_job_log` VALUES (60943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:53:35');
INSERT INTO `sys_job_log` VALUES (60944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:53:40');
INSERT INTO `sys_job_log` VALUES (60945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2025-01-02 11:53:45');
INSERT INTO `sys_job_log` VALUES (60946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：105毫秒', '0', '', '2025-01-02 11:53:45');
INSERT INTO `sys_job_log` VALUES (60947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:53:50');
INSERT INTO `sys_job_log` VALUES (60948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:53:55');
INSERT INTO `sys_job_log` VALUES (60949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:54:00');
INSERT INTO `sys_job_log` VALUES (60950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:54:00');
INSERT INTO `sys_job_log` VALUES (60951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:54:05');
INSERT INTO `sys_job_log` VALUES (60952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2177毫秒', '0', '', '2025-01-02 11:54:12');
INSERT INTO `sys_job_log` VALUES (60953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:54:15');
INSERT INTO `sys_job_log` VALUES (60954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:54:15');
INSERT INTO `sys_job_log` VALUES (60955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:54:20');
INSERT INTO `sys_job_log` VALUES (60956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:54:25');
INSERT INTO `sys_job_log` VALUES (60957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:54:30');
INSERT INTO `sys_job_log` VALUES (60958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:54:30');
INSERT INTO `sys_job_log` VALUES (60959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:54:35');
INSERT INTO `sys_job_log` VALUES (60960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:54:40');
INSERT INTO `sys_job_log` VALUES (60961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:54:45');
INSERT INTO `sys_job_log` VALUES (60962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:54:45');
INSERT INTO `sys_job_log` VALUES (60963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:54:50');
INSERT INTO `sys_job_log` VALUES (60964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:54:55');
INSERT INTO `sys_job_log` VALUES (60965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:55:00');
INSERT INTO `sys_job_log` VALUES (60966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:55:00');
INSERT INTO `sys_job_log` VALUES (60967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:55:05');
INSERT INTO `sys_job_log` VALUES (60968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:55:10');
INSERT INTO `sys_job_log` VALUES (60969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:55:15');
INSERT INTO `sys_job_log` VALUES (60970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:55:15');
INSERT INTO `sys_job_log` VALUES (60971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 11:55:20');
INSERT INTO `sys_job_log` VALUES (60972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:55:25');
INSERT INTO `sys_job_log` VALUES (60973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:55:30');
INSERT INTO `sys_job_log` VALUES (60974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:55:30');
INSERT INTO `sys_job_log` VALUES (60975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 11:55:35');
INSERT INTO `sys_job_log` VALUES (60976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:55:40');
INSERT INTO `sys_job_log` VALUES (60977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:55:45');
INSERT INTO `sys_job_log` VALUES (60978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:55:45');
INSERT INTO `sys_job_log` VALUES (60979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:55:50');
INSERT INTO `sys_job_log` VALUES (60980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:55:55');
INSERT INTO `sys_job_log` VALUES (60981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 11:56:00');
INSERT INTO `sys_job_log` VALUES (60982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:56:00');
INSERT INTO `sys_job_log` VALUES (60983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:56:05');
INSERT INTO `sys_job_log` VALUES (60984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:56:10');
INSERT INTO `sys_job_log` VALUES (60985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:56:15');
INSERT INTO `sys_job_log` VALUES (60986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:56:15');
INSERT INTO `sys_job_log` VALUES (60987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:56:20');
INSERT INTO `sys_job_log` VALUES (60988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:56:25');
INSERT INTO `sys_job_log` VALUES (60989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:56:30');
INSERT INTO `sys_job_log` VALUES (60990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:56:30');
INSERT INTO `sys_job_log` VALUES (60991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:56:35');
INSERT INTO `sys_job_log` VALUES (60992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:56:40');
INSERT INTO `sys_job_log` VALUES (60993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:56:45');
INSERT INTO `sys_job_log` VALUES (60994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 11:56:45');
INSERT INTO `sys_job_log` VALUES (60995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:56:50');
INSERT INTO `sys_job_log` VALUES (60996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:56:55');
INSERT INTO `sys_job_log` VALUES (60997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:57:00');
INSERT INTO `sys_job_log` VALUES (60998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:57:00');
INSERT INTO `sys_job_log` VALUES (60999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:57:05');
INSERT INTO `sys_job_log` VALUES (61000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:57:10');
INSERT INTO `sys_job_log` VALUES (61001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:57:15');
INSERT INTO `sys_job_log` VALUES (61002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:57:15');
INSERT INTO `sys_job_log` VALUES (61003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:57:20');
INSERT INTO `sys_job_log` VALUES (61004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 11:57:25');
INSERT INTO `sys_job_log` VALUES (61005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 11:57:30');
INSERT INTO `sys_job_log` VALUES (61006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 11:57:30');
INSERT INTO `sys_job_log` VALUES (61007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:57:35');
INSERT INTO `sys_job_log` VALUES (61008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:57:40');
INSERT INTO `sys_job_log` VALUES (61009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:57:45');
INSERT INTO `sys_job_log` VALUES (61010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:57:45');
INSERT INTO `sys_job_log` VALUES (61011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 11:57:50');
INSERT INTO `sys_job_log` VALUES (61012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 11:57:55');
INSERT INTO `sys_job_log` VALUES (61013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:58:00');
INSERT INTO `sys_job_log` VALUES (61014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:58:00');
INSERT INTO `sys_job_log` VALUES (61015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:58:05');
INSERT INTO `sys_job_log` VALUES (61016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:58:10');
INSERT INTO `sys_job_log` VALUES (61017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 11:58:15');
INSERT INTO `sys_job_log` VALUES (61018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:58:15');
INSERT INTO `sys_job_log` VALUES (61019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:58:20');
INSERT INTO `sys_job_log` VALUES (61020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:58:25');
INSERT INTO `sys_job_log` VALUES (61021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:58:30');
INSERT INTO `sys_job_log` VALUES (61022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:58:30');
INSERT INTO `sys_job_log` VALUES (61023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 11:58:35');
INSERT INTO `sys_job_log` VALUES (61024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:58:40');
INSERT INTO `sys_job_log` VALUES (61025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 11:58:45');
INSERT INTO `sys_job_log` VALUES (61026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:58:45');
INSERT INTO `sys_job_log` VALUES (61027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:58:50');
INSERT INTO `sys_job_log` VALUES (61028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 11:58:55');
INSERT INTO `sys_job_log` VALUES (61029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:59:00');
INSERT INTO `sys_job_log` VALUES (61030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 11:59:00');
INSERT INTO `sys_job_log` VALUES (61031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:59:05');
INSERT INTO `sys_job_log` VALUES (61032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 11:59:10');
INSERT INTO `sys_job_log` VALUES (61033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:59:15');
INSERT INTO `sys_job_log` VALUES (61034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 11:59:15');
INSERT INTO `sys_job_log` VALUES (61035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 11:59:20');
INSERT INTO `sys_job_log` VALUES (61036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:59:25');
INSERT INTO `sys_job_log` VALUES (61037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 11:59:30');
INSERT INTO `sys_job_log` VALUES (61038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 11:59:30');
INSERT INTO `sys_job_log` VALUES (61039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 11:59:35');
INSERT INTO `sys_job_log` VALUES (61040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 11:59:40');
INSERT INTO `sys_job_log` VALUES (61041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 11:59:45');
INSERT INTO `sys_job_log` VALUES (61042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 11:59:45');
INSERT INTO `sys_job_log` VALUES (61043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 11:59:50');
INSERT INTO `sys_job_log` VALUES (61044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 11:59:55');
INSERT INTO `sys_job_log` VALUES (61045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:00:00');
INSERT INTO `sys_job_log` VALUES (61046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:00:00');
INSERT INTO `sys_job_log` VALUES (61047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:00:05');
INSERT INTO `sys_job_log` VALUES (61048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:00:10');
INSERT INTO `sys_job_log` VALUES (61049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:00:15');
INSERT INTO `sys_job_log` VALUES (61050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:00:15');
INSERT INTO `sys_job_log` VALUES (61051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:00:20');
INSERT INTO `sys_job_log` VALUES (61052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:00:25');
INSERT INTO `sys_job_log` VALUES (61053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:00:30');
INSERT INTO `sys_job_log` VALUES (61054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:00:30');
INSERT INTO `sys_job_log` VALUES (61055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:00:35');
INSERT INTO `sys_job_log` VALUES (61056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:00:40');
INSERT INTO `sys_job_log` VALUES (61057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:00:45');
INSERT INTO `sys_job_log` VALUES (61058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:00:45');
INSERT INTO `sys_job_log` VALUES (61059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:00:50');
INSERT INTO `sys_job_log` VALUES (61060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:00:55');
INSERT INTO `sys_job_log` VALUES (61061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:01:00');
INSERT INTO `sys_job_log` VALUES (61062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:01:00');
INSERT INTO `sys_job_log` VALUES (61063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:01:05');
INSERT INTO `sys_job_log` VALUES (61064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:01:10');
INSERT INTO `sys_job_log` VALUES (61065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:01:15');
INSERT INTO `sys_job_log` VALUES (61066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:01:15');
INSERT INTO `sys_job_log` VALUES (61067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:01:20');
INSERT INTO `sys_job_log` VALUES (61068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:01:25');
INSERT INTO `sys_job_log` VALUES (61069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:01:30');
INSERT INTO `sys_job_log` VALUES (61070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:01:30');
INSERT INTO `sys_job_log` VALUES (61071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:01:35');
INSERT INTO `sys_job_log` VALUES (61072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:01:40');
INSERT INTO `sys_job_log` VALUES (61073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:01:45');
INSERT INTO `sys_job_log` VALUES (61074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:01:45');
INSERT INTO `sys_job_log` VALUES (61075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:01:50');
INSERT INTO `sys_job_log` VALUES (61076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:01:55');
INSERT INTO `sys_job_log` VALUES (61077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：341毫秒', '0', '', '2025-01-02 12:02:00');
INSERT INTO `sys_job_log` VALUES (61078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：341毫秒', '0', '', '2025-01-02 12:02:00');
INSERT INTO `sys_job_log` VALUES (61079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:02:05');
INSERT INTO `sys_job_log` VALUES (61080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:02:10');
INSERT INTO `sys_job_log` VALUES (61081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:02:15');
INSERT INTO `sys_job_log` VALUES (61082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:02:15');
INSERT INTO `sys_job_log` VALUES (61083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:02:20');
INSERT INTO `sys_job_log` VALUES (61084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:02:25');
INSERT INTO `sys_job_log` VALUES (61085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:02:30');
INSERT INTO `sys_job_log` VALUES (61086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:02:30');
INSERT INTO `sys_job_log` VALUES (61087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:02:35');
INSERT INTO `sys_job_log` VALUES (61088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:02:40');
INSERT INTO `sys_job_log` VALUES (61089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:02:45');
INSERT INTO `sys_job_log` VALUES (61090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:02:45');
INSERT INTO `sys_job_log` VALUES (61091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:02:50');
INSERT INTO `sys_job_log` VALUES (61092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:02:55');
INSERT INTO `sys_job_log` VALUES (61093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:03:00');
INSERT INTO `sys_job_log` VALUES (61094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:03:00');
INSERT INTO `sys_job_log` VALUES (61095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:03:05');
INSERT INTO `sys_job_log` VALUES (61096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:03:10');
INSERT INTO `sys_job_log` VALUES (61097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:03:15');
INSERT INTO `sys_job_log` VALUES (61098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:03:15');
INSERT INTO `sys_job_log` VALUES (61099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:03:20');
INSERT INTO `sys_job_log` VALUES (61100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:03:25');
INSERT INTO `sys_job_log` VALUES (61101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:03:30');
INSERT INTO `sys_job_log` VALUES (61102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:03:30');
INSERT INTO `sys_job_log` VALUES (61103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:03:35');
INSERT INTO `sys_job_log` VALUES (61104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:03:40');
INSERT INTO `sys_job_log` VALUES (61105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：349毫秒', '0', '', '2025-01-02 12:03:45');
INSERT INTO `sys_job_log` VALUES (61106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：349毫秒', '0', '', '2025-01-02 12:03:45');
INSERT INTO `sys_job_log` VALUES (61107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:03:50');
INSERT INTO `sys_job_log` VALUES (61108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:03:55');
INSERT INTO `sys_job_log` VALUES (61109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:04:00');
INSERT INTO `sys_job_log` VALUES (61110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:04:00');
INSERT INTO `sys_job_log` VALUES (61111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:04:05');
INSERT INTO `sys_job_log` VALUES (61112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:04:10');
INSERT INTO `sys_job_log` VALUES (61113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:04:15');
INSERT INTO `sys_job_log` VALUES (61114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 12:04:15');
INSERT INTO `sys_job_log` VALUES (61115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:04:20');
INSERT INTO `sys_job_log` VALUES (61116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:04:25');
INSERT INTO `sys_job_log` VALUES (61117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:04:30');
INSERT INTO `sys_job_log` VALUES (61118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:04:30');
INSERT INTO `sys_job_log` VALUES (61119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:04:35');
INSERT INTO `sys_job_log` VALUES (61120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:04:40');
INSERT INTO `sys_job_log` VALUES (61121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:04:45');
INSERT INTO `sys_job_log` VALUES (61122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:04:45');
INSERT INTO `sys_job_log` VALUES (61123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:04:50');
INSERT INTO `sys_job_log` VALUES (61124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:04:55');
INSERT INTO `sys_job_log` VALUES (61125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:05:00');
INSERT INTO `sys_job_log` VALUES (61126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:00');
INSERT INTO `sys_job_log` VALUES (61127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:05:05');
INSERT INTO `sys_job_log` VALUES (61128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:10');
INSERT INTO `sys_job_log` VALUES (61129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:05:15');
INSERT INTO `sys_job_log` VALUES (61130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:05:15');
INSERT INTO `sys_job_log` VALUES (61131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:05:20');
INSERT INTO `sys_job_log` VALUES (61132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:05:25');
INSERT INTO `sys_job_log` VALUES (61133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:05:30');
INSERT INTO `sys_job_log` VALUES (61134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:30');
INSERT INTO `sys_job_log` VALUES (61135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:35');
INSERT INTO `sys_job_log` VALUES (61136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:05:40');
INSERT INTO `sys_job_log` VALUES (61137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:05:45');
INSERT INTO `sys_job_log` VALUES (61138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:05:45');
INSERT INTO `sys_job_log` VALUES (61139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:50');
INSERT INTO `sys_job_log` VALUES (61140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:05:55');
INSERT INTO `sys_job_log` VALUES (61141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:06:00');
INSERT INTO `sys_job_log` VALUES (61142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:06:00');
INSERT INTO `sys_job_log` VALUES (61143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:06:05');
INSERT INTO `sys_job_log` VALUES (61144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:06:10');
INSERT INTO `sys_job_log` VALUES (61145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:06:15');
INSERT INTO `sys_job_log` VALUES (61146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:06:15');
INSERT INTO `sys_job_log` VALUES (61147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:06:20');
INSERT INTO `sys_job_log` VALUES (61148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:06:25');
INSERT INTO `sys_job_log` VALUES (61149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:06:30');
INSERT INTO `sys_job_log` VALUES (61150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:06:30');
INSERT INTO `sys_job_log` VALUES (61151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:06:35');
INSERT INTO `sys_job_log` VALUES (61152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:06:40');
INSERT INTO `sys_job_log` VALUES (61153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:06:45');
INSERT INTO `sys_job_log` VALUES (61154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:06:45');
INSERT INTO `sys_job_log` VALUES (61155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:06:50');
INSERT INTO `sys_job_log` VALUES (61156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:06:55');
INSERT INTO `sys_job_log` VALUES (61157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:07:00');
INSERT INTO `sys_job_log` VALUES (61158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:07:00');
INSERT INTO `sys_job_log` VALUES (61159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:07:05');
INSERT INTO `sys_job_log` VALUES (61160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:07:10');
INSERT INTO `sys_job_log` VALUES (61161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:07:15');
INSERT INTO `sys_job_log` VALUES (61162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:07:15');
INSERT INTO `sys_job_log` VALUES (61163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:07:20');
INSERT INTO `sys_job_log` VALUES (61164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:07:25');
INSERT INTO `sys_job_log` VALUES (61165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:07:30');
INSERT INTO `sys_job_log` VALUES (61166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:07:30');
INSERT INTO `sys_job_log` VALUES (61167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:07:35');
INSERT INTO `sys_job_log` VALUES (61168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:07:40');
INSERT INTO `sys_job_log` VALUES (61169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:07:45');
INSERT INTO `sys_job_log` VALUES (61170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:07:45');
INSERT INTO `sys_job_log` VALUES (61171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:07:50');
INSERT INTO `sys_job_log` VALUES (61172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:07:55');
INSERT INTO `sys_job_log` VALUES (61173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:08:00');
INSERT INTO `sys_job_log` VALUES (61174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:08:00');
INSERT INTO `sys_job_log` VALUES (61175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:08:05');
INSERT INTO `sys_job_log` VALUES (61176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:08:10');
INSERT INTO `sys_job_log` VALUES (61177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:08:15');
INSERT INTO `sys_job_log` VALUES (61178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:08:15');
INSERT INTO `sys_job_log` VALUES (61179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:08:20');
INSERT INTO `sys_job_log` VALUES (61180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:08:25');
INSERT INTO `sys_job_log` VALUES (61181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:08:30');
INSERT INTO `sys_job_log` VALUES (61182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:08:30');
INSERT INTO `sys_job_log` VALUES (61183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:08:35');
INSERT INTO `sys_job_log` VALUES (61184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:08:40');
INSERT INTO `sys_job_log` VALUES (61185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:08:45');
INSERT INTO `sys_job_log` VALUES (61186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:08:45');
INSERT INTO `sys_job_log` VALUES (61187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:08:50');
INSERT INTO `sys_job_log` VALUES (61188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:08:55');
INSERT INTO `sys_job_log` VALUES (61189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:09:00');
INSERT INTO `sys_job_log` VALUES (61190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:09:00');
INSERT INTO `sys_job_log` VALUES (61191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:09:05');
INSERT INTO `sys_job_log` VALUES (61192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:09:10');
INSERT INTO `sys_job_log` VALUES (61193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:09:15');
INSERT INTO `sys_job_log` VALUES (61194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:09:15');
INSERT INTO `sys_job_log` VALUES (61195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:09:20');
INSERT INTO `sys_job_log` VALUES (61196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-02 12:09:25');
INSERT INTO `sys_job_log` VALUES (61197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:09:30');
INSERT INTO `sys_job_log` VALUES (61198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:09:30');
INSERT INTO `sys_job_log` VALUES (61199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:09:35');
INSERT INTO `sys_job_log` VALUES (61200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:09:40');
INSERT INTO `sys_job_log` VALUES (61201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 12:09:45');
INSERT INTO `sys_job_log` VALUES (61202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 12:09:45');
INSERT INTO `sys_job_log` VALUES (61203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:09:50');
INSERT INTO `sys_job_log` VALUES (61204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:09:55');
INSERT INTO `sys_job_log` VALUES (61205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:10:00');
INSERT INTO `sys_job_log` VALUES (61206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:10:00');
INSERT INTO `sys_job_log` VALUES (61207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:10:05');
INSERT INTO `sys_job_log` VALUES (61208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:10:10');
INSERT INTO `sys_job_log` VALUES (61209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:10:15');
INSERT INTO `sys_job_log` VALUES (61210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:10:15');
INSERT INTO `sys_job_log` VALUES (61211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:10:20');
INSERT INTO `sys_job_log` VALUES (61212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:10:25');
INSERT INTO `sys_job_log` VALUES (61213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:10:30');
INSERT INTO `sys_job_log` VALUES (61214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:10:30');
INSERT INTO `sys_job_log` VALUES (61215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:10:35');
INSERT INTO `sys_job_log` VALUES (61216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:10:40');
INSERT INTO `sys_job_log` VALUES (61217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:10:45');
INSERT INTO `sys_job_log` VALUES (61218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:10:45');
INSERT INTO `sys_job_log` VALUES (61219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:10:50');
INSERT INTO `sys_job_log` VALUES (61220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 12:10:55');
INSERT INTO `sys_job_log` VALUES (61221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 12:11:00');
INSERT INTO `sys_job_log` VALUES (61222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-02 12:11:00');
INSERT INTO `sys_job_log` VALUES (61223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:11:05');
INSERT INTO `sys_job_log` VALUES (61224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:11:10');
INSERT INTO `sys_job_log` VALUES (61225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:11:15');
INSERT INTO `sys_job_log` VALUES (61226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:11:15');
INSERT INTO `sys_job_log` VALUES (61227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:11:20');
INSERT INTO `sys_job_log` VALUES (61228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:11:25');
INSERT INTO `sys_job_log` VALUES (61229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:11:30');
INSERT INTO `sys_job_log` VALUES (61230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:11:30');
INSERT INTO `sys_job_log` VALUES (61231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:11:35');
INSERT INTO `sys_job_log` VALUES (61232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:11:40');
INSERT INTO `sys_job_log` VALUES (61233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:11:45');
INSERT INTO `sys_job_log` VALUES (61234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:11:45');
INSERT INTO `sys_job_log` VALUES (61235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:11:50');
INSERT INTO `sys_job_log` VALUES (61236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:11:55');
INSERT INTO `sys_job_log` VALUES (61237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:12:00');
INSERT INTO `sys_job_log` VALUES (61238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:12:00');
INSERT INTO `sys_job_log` VALUES (61239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:12:05');
INSERT INTO `sys_job_log` VALUES (61240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:12:10');
INSERT INTO `sys_job_log` VALUES (61241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:12:15');
INSERT INTO `sys_job_log` VALUES (61242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:12:15');
INSERT INTO `sys_job_log` VALUES (61243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:12:20');
INSERT INTO `sys_job_log` VALUES (61244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:12:25');
INSERT INTO `sys_job_log` VALUES (61245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:12:30');
INSERT INTO `sys_job_log` VALUES (61246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:12:30');
INSERT INTO `sys_job_log` VALUES (61247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:12:35');
INSERT INTO `sys_job_log` VALUES (61248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:12:40');
INSERT INTO `sys_job_log` VALUES (61249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:12:45');
INSERT INTO `sys_job_log` VALUES (61250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:12:45');
INSERT INTO `sys_job_log` VALUES (61251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:12:50');
INSERT INTO `sys_job_log` VALUES (61252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:12:55');
INSERT INTO `sys_job_log` VALUES (61253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:13:00');
INSERT INTO `sys_job_log` VALUES (61254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:13:00');
INSERT INTO `sys_job_log` VALUES (61255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:13:05');
INSERT INTO `sys_job_log` VALUES (61256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:13:10');
INSERT INTO `sys_job_log` VALUES (61257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:13:15');
INSERT INTO `sys_job_log` VALUES (61258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:13:15');
INSERT INTO `sys_job_log` VALUES (61259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:13:20');
INSERT INTO `sys_job_log` VALUES (61260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:13:25');
INSERT INTO `sys_job_log` VALUES (61261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:13:30');
INSERT INTO `sys_job_log` VALUES (61262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:13:30');
INSERT INTO `sys_job_log` VALUES (61263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:13:35');
INSERT INTO `sys_job_log` VALUES (61264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:13:40');
INSERT INTO `sys_job_log` VALUES (61265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 12:13:45');
INSERT INTO `sys_job_log` VALUES (61266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:13:45');
INSERT INTO `sys_job_log` VALUES (61267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:13:50');
INSERT INTO `sys_job_log` VALUES (61268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:13:55');
INSERT INTO `sys_job_log` VALUES (61269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:14:00');
INSERT INTO `sys_job_log` VALUES (61270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:14:00');
INSERT INTO `sys_job_log` VALUES (61271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:14:05');
INSERT INTO `sys_job_log` VALUES (61272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:14:10');
INSERT INTO `sys_job_log` VALUES (61273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:14:15');
INSERT INTO `sys_job_log` VALUES (61274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:14:15');
INSERT INTO `sys_job_log` VALUES (61275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:14:20');
INSERT INTO `sys_job_log` VALUES (61276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:14:25');
INSERT INTO `sys_job_log` VALUES (61277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:14:30');
INSERT INTO `sys_job_log` VALUES (61278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:14:30');
INSERT INTO `sys_job_log` VALUES (61279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:14:35');
INSERT INTO `sys_job_log` VALUES (61280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 12:14:40');
INSERT INTO `sys_job_log` VALUES (61281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:14:45');
INSERT INTO `sys_job_log` VALUES (61282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:14:45');
INSERT INTO `sys_job_log` VALUES (61283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:14:50');
INSERT INTO `sys_job_log` VALUES (61284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:14:55');
INSERT INTO `sys_job_log` VALUES (61285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:15:00');
INSERT INTO `sys_job_log` VALUES (61286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:15:00');
INSERT INTO `sys_job_log` VALUES (61287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:15:05');
INSERT INTO `sys_job_log` VALUES (61288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:15:10');
INSERT INTO `sys_job_log` VALUES (61289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:15:15');
INSERT INTO `sys_job_log` VALUES (61290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:15:15');
INSERT INTO `sys_job_log` VALUES (61291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:15:20');
INSERT INTO `sys_job_log` VALUES (61292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:15:25');
INSERT INTO `sys_job_log` VALUES (61293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:15:30');
INSERT INTO `sys_job_log` VALUES (61294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:15:30');
INSERT INTO `sys_job_log` VALUES (61295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:15:35');
INSERT INTO `sys_job_log` VALUES (61296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 12:15:40');
INSERT INTO `sys_job_log` VALUES (61297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:15:45');
INSERT INTO `sys_job_log` VALUES (61298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:15:45');
INSERT INTO `sys_job_log` VALUES (61299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:15:50');
INSERT INTO `sys_job_log` VALUES (61300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:15:55');
INSERT INTO `sys_job_log` VALUES (61301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:16:00');
INSERT INTO `sys_job_log` VALUES (61302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:16:00');
INSERT INTO `sys_job_log` VALUES (61303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:16:05');
INSERT INTO `sys_job_log` VALUES (61304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:16:10');
INSERT INTO `sys_job_log` VALUES (61305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:16:15');
INSERT INTO `sys_job_log` VALUES (61306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:16:15');
INSERT INTO `sys_job_log` VALUES (61307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:16:20');
INSERT INTO `sys_job_log` VALUES (61308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:16:25');
INSERT INTO `sys_job_log` VALUES (61309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:16:30');
INSERT INTO `sys_job_log` VALUES (61310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:16:30');
INSERT INTO `sys_job_log` VALUES (61311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:16:35');
INSERT INTO `sys_job_log` VALUES (61312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:16:40');
INSERT INTO `sys_job_log` VALUES (61313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:16:45');
INSERT INTO `sys_job_log` VALUES (61314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:16:45');
INSERT INTO `sys_job_log` VALUES (61315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:16:50');
INSERT INTO `sys_job_log` VALUES (61316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:16:55');
INSERT INTO `sys_job_log` VALUES (61317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:17:00');
INSERT INTO `sys_job_log` VALUES (61318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:17:00');
INSERT INTO `sys_job_log` VALUES (61319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:17:05');
INSERT INTO `sys_job_log` VALUES (61320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:17:10');
INSERT INTO `sys_job_log` VALUES (61321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:17:15');
INSERT INTO `sys_job_log` VALUES (61322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:17:15');
INSERT INTO `sys_job_log` VALUES (61323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:17:20');
INSERT INTO `sys_job_log` VALUES (61324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:17:25');
INSERT INTO `sys_job_log` VALUES (61325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:17:30');
INSERT INTO `sys_job_log` VALUES (61326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:17:30');
INSERT INTO `sys_job_log` VALUES (61327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:17:35');
INSERT INTO `sys_job_log` VALUES (61328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:17:40');
INSERT INTO `sys_job_log` VALUES (61329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:17:45');
INSERT INTO `sys_job_log` VALUES (61330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:17:45');
INSERT INTO `sys_job_log` VALUES (61331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:17:50');
INSERT INTO `sys_job_log` VALUES (61332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:17:55');
INSERT INTO `sys_job_log` VALUES (61333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:18:00');
INSERT INTO `sys_job_log` VALUES (61334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:18:00');
INSERT INTO `sys_job_log` VALUES (61335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:18:05');
INSERT INTO `sys_job_log` VALUES (61336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:18:10');
INSERT INTO `sys_job_log` VALUES (61337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:18:15');
INSERT INTO `sys_job_log` VALUES (61338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:18:15');
INSERT INTO `sys_job_log` VALUES (61339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:18:20');
INSERT INTO `sys_job_log` VALUES (61340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:18:25');
INSERT INTO `sys_job_log` VALUES (61341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:18:30');
INSERT INTO `sys_job_log` VALUES (61342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:18:30');
INSERT INTO `sys_job_log` VALUES (61343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:18:35');
INSERT INTO `sys_job_log` VALUES (61344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:18:40');
INSERT INTO `sys_job_log` VALUES (61345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:18:45');
INSERT INTO `sys_job_log` VALUES (61346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:18:45');
INSERT INTO `sys_job_log` VALUES (61347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:18:50');
INSERT INTO `sys_job_log` VALUES (61348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:18:55');
INSERT INTO `sys_job_log` VALUES (61349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:19:00');
INSERT INTO `sys_job_log` VALUES (61350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:19:00');
INSERT INTO `sys_job_log` VALUES (61351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:19:05');
INSERT INTO `sys_job_log` VALUES (61352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:19:10');
INSERT INTO `sys_job_log` VALUES (61353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:19:15');
INSERT INTO `sys_job_log` VALUES (61354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:19:15');
INSERT INTO `sys_job_log` VALUES (61355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:19:20');
INSERT INTO `sys_job_log` VALUES (61356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:19:25');
INSERT INTO `sys_job_log` VALUES (61357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:19:30');
INSERT INTO `sys_job_log` VALUES (61358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:19:30');
INSERT INTO `sys_job_log` VALUES (61359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 12:19:35');
INSERT INTO `sys_job_log` VALUES (61360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:19:40');
INSERT INTO `sys_job_log` VALUES (61361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:19:45');
INSERT INTO `sys_job_log` VALUES (61362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:19:45');
INSERT INTO `sys_job_log` VALUES (61363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:19:50');
INSERT INTO `sys_job_log` VALUES (61364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 12:19:55');
INSERT INTO `sys_job_log` VALUES (61365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 12:20:00');
INSERT INTO `sys_job_log` VALUES (61366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:20:00');
INSERT INTO `sys_job_log` VALUES (61367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:20:05');
INSERT INTO `sys_job_log` VALUES (61368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:20:10');
INSERT INTO `sys_job_log` VALUES (61369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:20:15');
INSERT INTO `sys_job_log` VALUES (61370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:20:15');
INSERT INTO `sys_job_log` VALUES (61371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:20:20');
INSERT INTO `sys_job_log` VALUES (61372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:20:25');
INSERT INTO `sys_job_log` VALUES (61373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:20:30');
INSERT INTO `sys_job_log` VALUES (61374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:20:30');
INSERT INTO `sys_job_log` VALUES (61375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:20:35');
INSERT INTO `sys_job_log` VALUES (61376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:20:40');
INSERT INTO `sys_job_log` VALUES (61377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:20:45');
INSERT INTO `sys_job_log` VALUES (61378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:20:45');
INSERT INTO `sys_job_log` VALUES (61379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:20:50');
INSERT INTO `sys_job_log` VALUES (61380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：170毫秒', '0', '', '2025-01-02 12:20:55');
INSERT INTO `sys_job_log` VALUES (61381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:21:00');
INSERT INTO `sys_job_log` VALUES (61382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:21:00');
INSERT INTO `sys_job_log` VALUES (61383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:21:05');
INSERT INTO `sys_job_log` VALUES (61384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:21:10');
INSERT INTO `sys_job_log` VALUES (61385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:21:15');
INSERT INTO `sys_job_log` VALUES (61386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:21:15');
INSERT INTO `sys_job_log` VALUES (61387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:21:20');
INSERT INTO `sys_job_log` VALUES (61388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:21:25');
INSERT INTO `sys_job_log` VALUES (61389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:21:30');
INSERT INTO `sys_job_log` VALUES (61390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:21:30');
INSERT INTO `sys_job_log` VALUES (61391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:21:35');
INSERT INTO `sys_job_log` VALUES (61392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:21:40');
INSERT INTO `sys_job_log` VALUES (61393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:21:45');
INSERT INTO `sys_job_log` VALUES (61394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:21:45');
INSERT INTO `sys_job_log` VALUES (61395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:21:50');
INSERT INTO `sys_job_log` VALUES (61396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:21:55');
INSERT INTO `sys_job_log` VALUES (61397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:22:00');
INSERT INTO `sys_job_log` VALUES (61398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:22:00');
INSERT INTO `sys_job_log` VALUES (61399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:22:05');
INSERT INTO `sys_job_log` VALUES (61400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:22:10');
INSERT INTO `sys_job_log` VALUES (61401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:22:15');
INSERT INTO `sys_job_log` VALUES (61402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:22:15');
INSERT INTO `sys_job_log` VALUES (61403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:22:20');
INSERT INTO `sys_job_log` VALUES (61404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:22:25');
INSERT INTO `sys_job_log` VALUES (61405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:22:30');
INSERT INTO `sys_job_log` VALUES (61406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:22:30');
INSERT INTO `sys_job_log` VALUES (61407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:22:35');
INSERT INTO `sys_job_log` VALUES (61408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:22:40');
INSERT INTO `sys_job_log` VALUES (61409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:22:45');
INSERT INTO `sys_job_log` VALUES (61410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:22:45');
INSERT INTO `sys_job_log` VALUES (61411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:22:50');
INSERT INTO `sys_job_log` VALUES (61412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:22:55');
INSERT INTO `sys_job_log` VALUES (61413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:23:00');
INSERT INTO `sys_job_log` VALUES (61414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:23:00');
INSERT INTO `sys_job_log` VALUES (61415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:23:05');
INSERT INTO `sys_job_log` VALUES (61416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 12:23:10');
INSERT INTO `sys_job_log` VALUES (61417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:23:15');
INSERT INTO `sys_job_log` VALUES (61418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:23:15');
INSERT INTO `sys_job_log` VALUES (61419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:23:20');
INSERT INTO `sys_job_log` VALUES (61420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:23:25');
INSERT INTO `sys_job_log` VALUES (61421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 12:23:30');
INSERT INTO `sys_job_log` VALUES (61422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:23:30');
INSERT INTO `sys_job_log` VALUES (61423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:23:35');
INSERT INTO `sys_job_log` VALUES (61424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:23:40');
INSERT INTO `sys_job_log` VALUES (61425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:23:45');
INSERT INTO `sys_job_log` VALUES (61426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:23:45');
INSERT INTO `sys_job_log` VALUES (61427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:23:50');
INSERT INTO `sys_job_log` VALUES (61428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:23:55');
INSERT INTO `sys_job_log` VALUES (61429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:24:00');
INSERT INTO `sys_job_log` VALUES (61430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:24:00');
INSERT INTO `sys_job_log` VALUES (61431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:24:05');
INSERT INTO `sys_job_log` VALUES (61432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:24:10');
INSERT INTO `sys_job_log` VALUES (61433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 12:24:15');
INSERT INTO `sys_job_log` VALUES (61434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 12:24:15');
INSERT INTO `sys_job_log` VALUES (61435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:24:20');
INSERT INTO `sys_job_log` VALUES (61436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:24:25');
INSERT INTO `sys_job_log` VALUES (61437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:24:30');
INSERT INTO `sys_job_log` VALUES (61438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:24:30');
INSERT INTO `sys_job_log` VALUES (61439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:24:35');
INSERT INTO `sys_job_log` VALUES (61440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:24:40');
INSERT INTO `sys_job_log` VALUES (61441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:24:45');
INSERT INTO `sys_job_log` VALUES (61442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:24:45');
INSERT INTO `sys_job_log` VALUES (61443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:24:50');
INSERT INTO `sys_job_log` VALUES (61444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:24:55');
INSERT INTO `sys_job_log` VALUES (61445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:25:00');
INSERT INTO `sys_job_log` VALUES (61446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:25:00');
INSERT INTO `sys_job_log` VALUES (61447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:25:05');
INSERT INTO `sys_job_log` VALUES (61448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:25:10');
INSERT INTO `sys_job_log` VALUES (61449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:25:15');
INSERT INTO `sys_job_log` VALUES (61450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:25:15');
INSERT INTO `sys_job_log` VALUES (61451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:25:20');
INSERT INTO `sys_job_log` VALUES (61452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:25:25');
INSERT INTO `sys_job_log` VALUES (61453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:25:30');
INSERT INTO `sys_job_log` VALUES (61454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:25:30');
INSERT INTO `sys_job_log` VALUES (61455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:25:35');
INSERT INTO `sys_job_log` VALUES (61456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:25:40');
INSERT INTO `sys_job_log` VALUES (61457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:25:45');
INSERT INTO `sys_job_log` VALUES (61458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:25:45');
INSERT INTO `sys_job_log` VALUES (61459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:25:50');
INSERT INTO `sys_job_log` VALUES (61460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:25:55');
INSERT INTO `sys_job_log` VALUES (61461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:26:00');
INSERT INTO `sys_job_log` VALUES (61462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:26:00');
INSERT INTO `sys_job_log` VALUES (61463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:26:05');
INSERT INTO `sys_job_log` VALUES (61464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:26:10');
INSERT INTO `sys_job_log` VALUES (61465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 12:26:15');
INSERT INTO `sys_job_log` VALUES (61466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 12:26:15');
INSERT INTO `sys_job_log` VALUES (61467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:26:20');
INSERT INTO `sys_job_log` VALUES (61468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:26:25');
INSERT INTO `sys_job_log` VALUES (61469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:26:30');
INSERT INTO `sys_job_log` VALUES (61470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:26:30');
INSERT INTO `sys_job_log` VALUES (61471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:26:35');
INSERT INTO `sys_job_log` VALUES (61472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:26:40');
INSERT INTO `sys_job_log` VALUES (61473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:26:45');
INSERT INTO `sys_job_log` VALUES (61474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:26:45');
INSERT INTO `sys_job_log` VALUES (61475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:26:50');
INSERT INTO `sys_job_log` VALUES (61476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:26:55');
INSERT INTO `sys_job_log` VALUES (61477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 12:27:00');
INSERT INTO `sys_job_log` VALUES (61478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-02 12:27:00');
INSERT INTO `sys_job_log` VALUES (61479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:05');
INSERT INTO `sys_job_log` VALUES (61480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:27:10');
INSERT INTO `sys_job_log` VALUES (61481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:27:15');
INSERT INTO `sys_job_log` VALUES (61482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:27:15');
INSERT INTO `sys_job_log` VALUES (61483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:27:20');
INSERT INTO `sys_job_log` VALUES (61484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:25');
INSERT INTO `sys_job_log` VALUES (61485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:27:30');
INSERT INTO `sys_job_log` VALUES (61486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:27:30');
INSERT INTO `sys_job_log` VALUES (61487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:27:35');
INSERT INTO `sys_job_log` VALUES (61488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:27:40');
INSERT INTO `sys_job_log` VALUES (61489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:45');
INSERT INTO `sys_job_log` VALUES (61490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:45');
INSERT INTO `sys_job_log` VALUES (61491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:27:50');
INSERT INTO `sys_job_log` VALUES (61492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:27:55');
INSERT INTO `sys_job_log` VALUES (61493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:28:00');
INSERT INTO `sys_job_log` VALUES (61494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:28:00');
INSERT INTO `sys_job_log` VALUES (61495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:28:05');
INSERT INTO `sys_job_log` VALUES (61496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:28:10');
INSERT INTO `sys_job_log` VALUES (61497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:28:15');
INSERT INTO `sys_job_log` VALUES (61498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:28:15');
INSERT INTO `sys_job_log` VALUES (61499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:28:20');
INSERT INTO `sys_job_log` VALUES (61500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:28:25');
INSERT INTO `sys_job_log` VALUES (61501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:28:30');
INSERT INTO `sys_job_log` VALUES (61502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:28:30');
INSERT INTO `sys_job_log` VALUES (61503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:28:35');
INSERT INTO `sys_job_log` VALUES (61504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:28:40');
INSERT INTO `sys_job_log` VALUES (61505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:28:45');
INSERT INTO `sys_job_log` VALUES (61506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:28:45');
INSERT INTO `sys_job_log` VALUES (61507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:28:50');
INSERT INTO `sys_job_log` VALUES (61508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:28:55');
INSERT INTO `sys_job_log` VALUES (61509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 12:29:00');
INSERT INTO `sys_job_log` VALUES (61510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 12:29:00');
INSERT INTO `sys_job_log` VALUES (61511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:29:05');
INSERT INTO `sys_job_log` VALUES (61512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:29:10');
INSERT INTO `sys_job_log` VALUES (61513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:29:15');
INSERT INTO `sys_job_log` VALUES (61514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:29:15');
INSERT INTO `sys_job_log` VALUES (61515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:29:20');
INSERT INTO `sys_job_log` VALUES (61516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:29:25');
INSERT INTO `sys_job_log` VALUES (61517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:29:30');
INSERT INTO `sys_job_log` VALUES (61518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:29:30');
INSERT INTO `sys_job_log` VALUES (61519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:29:35');
INSERT INTO `sys_job_log` VALUES (61520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:29:40');
INSERT INTO `sys_job_log` VALUES (61521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:29:45');
INSERT INTO `sys_job_log` VALUES (61522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:29:45');
INSERT INTO `sys_job_log` VALUES (61523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:29:50');
INSERT INTO `sys_job_log` VALUES (61524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:29:55');
INSERT INTO `sys_job_log` VALUES (61525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:30:00');
INSERT INTO `sys_job_log` VALUES (61526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:30:00');
INSERT INTO `sys_job_log` VALUES (61527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:30:05');
INSERT INTO `sys_job_log` VALUES (61528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:30:10');
INSERT INTO `sys_job_log` VALUES (61529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:30:15');
INSERT INTO `sys_job_log` VALUES (61530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:30:15');
INSERT INTO `sys_job_log` VALUES (61531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:30:20');
INSERT INTO `sys_job_log` VALUES (61532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:30:25');
INSERT INTO `sys_job_log` VALUES (61533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:30:30');
INSERT INTO `sys_job_log` VALUES (61534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:30:30');
INSERT INTO `sys_job_log` VALUES (61535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:30:35');
INSERT INTO `sys_job_log` VALUES (61536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:30:40');
INSERT INTO `sys_job_log` VALUES (61537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 12:30:45');
INSERT INTO `sys_job_log` VALUES (61538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 12:30:45');
INSERT INTO `sys_job_log` VALUES (61539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:30:50');
INSERT INTO `sys_job_log` VALUES (61540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:30:55');
INSERT INTO `sys_job_log` VALUES (61541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:31:00');
INSERT INTO `sys_job_log` VALUES (61542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:31:00');
INSERT INTO `sys_job_log` VALUES (61543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:31:05');
INSERT INTO `sys_job_log` VALUES (61544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:31:10');
INSERT INTO `sys_job_log` VALUES (61545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 12:31:15');
INSERT INTO `sys_job_log` VALUES (61546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 12:31:15');
INSERT INTO `sys_job_log` VALUES (61547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:31:20');
INSERT INTO `sys_job_log` VALUES (61548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:31:25');
INSERT INTO `sys_job_log` VALUES (61549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:31:30');
INSERT INTO `sys_job_log` VALUES (61550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:31:30');
INSERT INTO `sys_job_log` VALUES (61551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:31:35');
INSERT INTO `sys_job_log` VALUES (61552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:31:40');
INSERT INTO `sys_job_log` VALUES (61553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 12:31:45');
INSERT INTO `sys_job_log` VALUES (61554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:31:45');
INSERT INTO `sys_job_log` VALUES (61555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:31:50');
INSERT INTO `sys_job_log` VALUES (61556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:31:55');
INSERT INTO `sys_job_log` VALUES (61557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:32:00');
INSERT INTO `sys_job_log` VALUES (61558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:32:00');
INSERT INTO `sys_job_log` VALUES (61559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:32:05');
INSERT INTO `sys_job_log` VALUES (61560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:32:10');
INSERT INTO `sys_job_log` VALUES (61561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:32:15');
INSERT INTO `sys_job_log` VALUES (61562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:32:15');
INSERT INTO `sys_job_log` VALUES (61563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:32:20');
INSERT INTO `sys_job_log` VALUES (61564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:32:25');
INSERT INTO `sys_job_log` VALUES (61565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:32:30');
INSERT INTO `sys_job_log` VALUES (61566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:32:30');
INSERT INTO `sys_job_log` VALUES (61567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:32:35');
INSERT INTO `sys_job_log` VALUES (61568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:32:40');
INSERT INTO `sys_job_log` VALUES (61569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:32:45');
INSERT INTO `sys_job_log` VALUES (61570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:32:45');
INSERT INTO `sys_job_log` VALUES (61571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:32:50');
INSERT INTO `sys_job_log` VALUES (61572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:32:55');
INSERT INTO `sys_job_log` VALUES (61573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:33:00');
INSERT INTO `sys_job_log` VALUES (61574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:33:00');
INSERT INTO `sys_job_log` VALUES (61575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:33:05');
INSERT INTO `sys_job_log` VALUES (61576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:33:10');
INSERT INTO `sys_job_log` VALUES (61577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:33:15');
INSERT INTO `sys_job_log` VALUES (61578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:33:15');
INSERT INTO `sys_job_log` VALUES (61579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:33:20');
INSERT INTO `sys_job_log` VALUES (61580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:33:25');
INSERT INTO `sys_job_log` VALUES (61581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:33:30');
INSERT INTO `sys_job_log` VALUES (61582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:33:30');
INSERT INTO `sys_job_log` VALUES (61583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:33:35');
INSERT INTO `sys_job_log` VALUES (61584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:33:40');
INSERT INTO `sys_job_log` VALUES (61585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:33:45');
INSERT INTO `sys_job_log` VALUES (61586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:33:45');
INSERT INTO `sys_job_log` VALUES (61587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:33:50');
INSERT INTO `sys_job_log` VALUES (61588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:33:55');
INSERT INTO `sys_job_log` VALUES (61589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:34:00');
INSERT INTO `sys_job_log` VALUES (61590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:34:00');
INSERT INTO `sys_job_log` VALUES (61591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:34:05');
INSERT INTO `sys_job_log` VALUES (61592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:34:10');
INSERT INTO `sys_job_log` VALUES (61593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:34:15');
INSERT INTO `sys_job_log` VALUES (61594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:34:15');
INSERT INTO `sys_job_log` VALUES (61595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:34:20');
INSERT INTO `sys_job_log` VALUES (61596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:34:25');
INSERT INTO `sys_job_log` VALUES (61597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:34:30');
INSERT INTO `sys_job_log` VALUES (61598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:34:30');
INSERT INTO `sys_job_log` VALUES (61599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:34:35');
INSERT INTO `sys_job_log` VALUES (61600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:34:40');
INSERT INTO `sys_job_log` VALUES (61601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:34:45');
INSERT INTO `sys_job_log` VALUES (61602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:34:45');
INSERT INTO `sys_job_log` VALUES (61603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:34:50');
INSERT INTO `sys_job_log` VALUES (61604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:34:55');
INSERT INTO `sys_job_log` VALUES (61605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 12:35:00');
INSERT INTO `sys_job_log` VALUES (61606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:35:00');
INSERT INTO `sys_job_log` VALUES (61607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:35:05');
INSERT INTO `sys_job_log` VALUES (61608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:35:10');
INSERT INTO `sys_job_log` VALUES (61609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:35:15');
INSERT INTO `sys_job_log` VALUES (61610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:35:15');
INSERT INTO `sys_job_log` VALUES (61611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:35:20');
INSERT INTO `sys_job_log` VALUES (61612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:35:25');
INSERT INTO `sys_job_log` VALUES (61613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:35:30');
INSERT INTO `sys_job_log` VALUES (61614, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:35:30');
INSERT INTO `sys_job_log` VALUES (61615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:35:35');
INSERT INTO `sys_job_log` VALUES (61616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:35:40');
INSERT INTO `sys_job_log` VALUES (61617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:35:45');
INSERT INTO `sys_job_log` VALUES (61618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:35:45');
INSERT INTO `sys_job_log` VALUES (61619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:35:50');
INSERT INTO `sys_job_log` VALUES (61620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:35:55');
INSERT INTO `sys_job_log` VALUES (61621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:36:00');
INSERT INTO `sys_job_log` VALUES (61622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:36:00');
INSERT INTO `sys_job_log` VALUES (61623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:36:05');
INSERT INTO `sys_job_log` VALUES (61624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:36:10');
INSERT INTO `sys_job_log` VALUES (61625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:36:15');
INSERT INTO `sys_job_log` VALUES (61626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 12:36:15');
INSERT INTO `sys_job_log` VALUES (61627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:36:20');
INSERT INTO `sys_job_log` VALUES (61628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:36:25');
INSERT INTO `sys_job_log` VALUES (61629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:36:30');
INSERT INTO `sys_job_log` VALUES (61630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:36:30');
INSERT INTO `sys_job_log` VALUES (61631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:36:35');
INSERT INTO `sys_job_log` VALUES (61632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:36:40');
INSERT INTO `sys_job_log` VALUES (61633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:36:45');
INSERT INTO `sys_job_log` VALUES (61634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:36:45');
INSERT INTO `sys_job_log` VALUES (61635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:36:50');
INSERT INTO `sys_job_log` VALUES (61636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:36:55');
INSERT INTO `sys_job_log` VALUES (61637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:37:00');
INSERT INTO `sys_job_log` VALUES (61638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:37:00');
INSERT INTO `sys_job_log` VALUES (61639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:37:05');
INSERT INTO `sys_job_log` VALUES (61640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:37:10');
INSERT INTO `sys_job_log` VALUES (61641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:37:15');
INSERT INTO `sys_job_log` VALUES (61642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:37:15');
INSERT INTO `sys_job_log` VALUES (61643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:37:20');
INSERT INTO `sys_job_log` VALUES (61644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:37:25');
INSERT INTO `sys_job_log` VALUES (61645, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:37:30');
INSERT INTO `sys_job_log` VALUES (61646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:37:30');
INSERT INTO `sys_job_log` VALUES (61647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:37:35');
INSERT INTO `sys_job_log` VALUES (61648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:37:40');
INSERT INTO `sys_job_log` VALUES (61649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:37:45');
INSERT INTO `sys_job_log` VALUES (61650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:37:45');
INSERT INTO `sys_job_log` VALUES (61651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:37:50');
INSERT INTO `sys_job_log` VALUES (61652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:37:55');
INSERT INTO `sys_job_log` VALUES (61653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 12:38:00');
INSERT INTO `sys_job_log` VALUES (61654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 12:38:00');
INSERT INTO `sys_job_log` VALUES (61655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:38:05');
INSERT INTO `sys_job_log` VALUES (61656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:38:10');
INSERT INTO `sys_job_log` VALUES (61657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:38:15');
INSERT INTO `sys_job_log` VALUES (61658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:38:15');
INSERT INTO `sys_job_log` VALUES (61659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:38:20');
INSERT INTO `sys_job_log` VALUES (61660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:38:25');
INSERT INTO `sys_job_log` VALUES (61661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:38:30');
INSERT INTO `sys_job_log` VALUES (61662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:38:30');
INSERT INTO `sys_job_log` VALUES (61663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:38:35');
INSERT INTO `sys_job_log` VALUES (61664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:38:40');
INSERT INTO `sys_job_log` VALUES (61665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:38:45');
INSERT INTO `sys_job_log` VALUES (61666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:38:45');
INSERT INTO `sys_job_log` VALUES (61667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:38:50');
INSERT INTO `sys_job_log` VALUES (61668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:38:55');
INSERT INTO `sys_job_log` VALUES (61669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 12:39:00');
INSERT INTO `sys_job_log` VALUES (61670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:39:00');
INSERT INTO `sys_job_log` VALUES (61671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:39:05');
INSERT INTO `sys_job_log` VALUES (61672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:39:10');
INSERT INTO `sys_job_log` VALUES (61673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:39:15');
INSERT INTO `sys_job_log` VALUES (61674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:39:15');
INSERT INTO `sys_job_log` VALUES (61675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:39:20');
INSERT INTO `sys_job_log` VALUES (61676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:39:25');
INSERT INTO `sys_job_log` VALUES (61677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:39:30');
INSERT INTO `sys_job_log` VALUES (61678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:39:30');
INSERT INTO `sys_job_log` VALUES (61679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:39:35');
INSERT INTO `sys_job_log` VALUES (61680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:39:40');
INSERT INTO `sys_job_log` VALUES (61681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:39:45');
INSERT INTO `sys_job_log` VALUES (61682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:39:45');
INSERT INTO `sys_job_log` VALUES (61683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:39:50');
INSERT INTO `sys_job_log` VALUES (61684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:39:55');
INSERT INTO `sys_job_log` VALUES (61685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:40:00');
INSERT INTO `sys_job_log` VALUES (61686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:40:00');
INSERT INTO `sys_job_log` VALUES (61687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:40:05');
INSERT INTO `sys_job_log` VALUES (61688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:40:10');
INSERT INTO `sys_job_log` VALUES (61689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:40:15');
INSERT INTO `sys_job_log` VALUES (61690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:40:15');
INSERT INTO `sys_job_log` VALUES (61691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:40:20');
INSERT INTO `sys_job_log` VALUES (61692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:40:25');
INSERT INTO `sys_job_log` VALUES (61693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:40:30');
INSERT INTO `sys_job_log` VALUES (61694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:40:30');
INSERT INTO `sys_job_log` VALUES (61695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 12:40:35');
INSERT INTO `sys_job_log` VALUES (61696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:40:40');
INSERT INTO `sys_job_log` VALUES (61697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:40:45');
INSERT INTO `sys_job_log` VALUES (61698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:40:45');
INSERT INTO `sys_job_log` VALUES (61699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:40:50');
INSERT INTO `sys_job_log` VALUES (61700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:40:55');
INSERT INTO `sys_job_log` VALUES (61701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 12:41:00');
INSERT INTO `sys_job_log` VALUES (61702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 12:41:00');
INSERT INTO `sys_job_log` VALUES (61703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-02 12:41:05');
INSERT INTO `sys_job_log` VALUES (61704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:41:10');
INSERT INTO `sys_job_log` VALUES (61705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:41:15');
INSERT INTO `sys_job_log` VALUES (61706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:41:15');
INSERT INTO `sys_job_log` VALUES (61707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:41:20');
INSERT INTO `sys_job_log` VALUES (61708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:41:25');
INSERT INTO `sys_job_log` VALUES (61709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:41:30');
INSERT INTO `sys_job_log` VALUES (61710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:41:30');
INSERT INTO `sys_job_log` VALUES (61711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:41:35');
INSERT INTO `sys_job_log` VALUES (61712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:41:40');
INSERT INTO `sys_job_log` VALUES (61713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:41:45');
INSERT INTO `sys_job_log` VALUES (61714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:41:45');
INSERT INTO `sys_job_log` VALUES (61715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:41:50');
INSERT INTO `sys_job_log` VALUES (61716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:41:55');
INSERT INTO `sys_job_log` VALUES (61717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:42:00');
INSERT INTO `sys_job_log` VALUES (61718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:42:00');
INSERT INTO `sys_job_log` VALUES (61719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:42:05');
INSERT INTO `sys_job_log` VALUES (61720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:42:10');
INSERT INTO `sys_job_log` VALUES (61721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:42:15');
INSERT INTO `sys_job_log` VALUES (61722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:42:15');
INSERT INTO `sys_job_log` VALUES (61723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:42:20');
INSERT INTO `sys_job_log` VALUES (61724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:42:25');
INSERT INTO `sys_job_log` VALUES (61725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:42:30');
INSERT INTO `sys_job_log` VALUES (61726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:42:30');
INSERT INTO `sys_job_log` VALUES (61727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:42:35');
INSERT INTO `sys_job_log` VALUES (61728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:42:40');
INSERT INTO `sys_job_log` VALUES (61729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:42:45');
INSERT INTO `sys_job_log` VALUES (61730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:42:45');
INSERT INTO `sys_job_log` VALUES (61731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:42:50');
INSERT INTO `sys_job_log` VALUES (61732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:42:55');
INSERT INTO `sys_job_log` VALUES (61733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:43:00');
INSERT INTO `sys_job_log` VALUES (61734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:43:00');
INSERT INTO `sys_job_log` VALUES (61735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:43:05');
INSERT INTO `sys_job_log` VALUES (61736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:43:10');
INSERT INTO `sys_job_log` VALUES (61737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:43:15');
INSERT INTO `sys_job_log` VALUES (61738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:43:15');
INSERT INTO `sys_job_log` VALUES (61739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:43:20');
INSERT INTO `sys_job_log` VALUES (61740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:43:25');
INSERT INTO `sys_job_log` VALUES (61741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:43:30');
INSERT INTO `sys_job_log` VALUES (61742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:43:30');
INSERT INTO `sys_job_log` VALUES (61743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:43:35');
INSERT INTO `sys_job_log` VALUES (61744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:43:40');
INSERT INTO `sys_job_log` VALUES (61745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:43:45');
INSERT INTO `sys_job_log` VALUES (61746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:43:45');
INSERT INTO `sys_job_log` VALUES (61747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:43:50');
INSERT INTO `sys_job_log` VALUES (61748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:43:55');
INSERT INTO `sys_job_log` VALUES (61749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:44:00');
INSERT INTO `sys_job_log` VALUES (61750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:44:00');
INSERT INTO `sys_job_log` VALUES (61751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:44:05');
INSERT INTO `sys_job_log` VALUES (61752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:44:10');
INSERT INTO `sys_job_log` VALUES (61753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:44:15');
INSERT INTO `sys_job_log` VALUES (61754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:44:15');
INSERT INTO `sys_job_log` VALUES (61755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:44:20');
INSERT INTO `sys_job_log` VALUES (61756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:44:25');
INSERT INTO `sys_job_log` VALUES (61757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:44:30');
INSERT INTO `sys_job_log` VALUES (61758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:44:30');
INSERT INTO `sys_job_log` VALUES (61759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:44:35');
INSERT INTO `sys_job_log` VALUES (61760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:44:40');
INSERT INTO `sys_job_log` VALUES (61761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:44:45');
INSERT INTO `sys_job_log` VALUES (61762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:44:45');
INSERT INTO `sys_job_log` VALUES (61763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:44:50');
INSERT INTO `sys_job_log` VALUES (61764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:44:55');
INSERT INTO `sys_job_log` VALUES (61765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:45:00');
INSERT INTO `sys_job_log` VALUES (61766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:45:00');
INSERT INTO `sys_job_log` VALUES (61767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:45:05');
INSERT INTO `sys_job_log` VALUES (61768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:45:10');
INSERT INTO `sys_job_log` VALUES (61769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:45:15');
INSERT INTO `sys_job_log` VALUES (61770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:45:15');
INSERT INTO `sys_job_log` VALUES (61771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:45:20');
INSERT INTO `sys_job_log` VALUES (61772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:45:25');
INSERT INTO `sys_job_log` VALUES (61773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:45:30');
INSERT INTO `sys_job_log` VALUES (61774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:45:30');
INSERT INTO `sys_job_log` VALUES (61775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:45:35');
INSERT INTO `sys_job_log` VALUES (61776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:45:40');
INSERT INTO `sys_job_log` VALUES (61777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:45:45');
INSERT INTO `sys_job_log` VALUES (61778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:45:45');
INSERT INTO `sys_job_log` VALUES (61779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:45:50');
INSERT INTO `sys_job_log` VALUES (61780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:45:55');
INSERT INTO `sys_job_log` VALUES (61781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:46:00');
INSERT INTO `sys_job_log` VALUES (61782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:46:00');
INSERT INTO `sys_job_log` VALUES (61783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:46:05');
INSERT INTO `sys_job_log` VALUES (61784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:46:10');
INSERT INTO `sys_job_log` VALUES (61785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:46:15');
INSERT INTO `sys_job_log` VALUES (61786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:46:15');
INSERT INTO `sys_job_log` VALUES (61787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:46:20');
INSERT INTO `sys_job_log` VALUES (61788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:46:25');
INSERT INTO `sys_job_log` VALUES (61789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:46:30');
INSERT INTO `sys_job_log` VALUES (61790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:46:30');
INSERT INTO `sys_job_log` VALUES (61791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:46:35');
INSERT INTO `sys_job_log` VALUES (61792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:46:40');
INSERT INTO `sys_job_log` VALUES (61793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:46:45');
INSERT INTO `sys_job_log` VALUES (61794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:46:45');
INSERT INTO `sys_job_log` VALUES (61795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:46:50');
INSERT INTO `sys_job_log` VALUES (61796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:46:55');
INSERT INTO `sys_job_log` VALUES (61797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:47:00');
INSERT INTO `sys_job_log` VALUES (61798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:47:00');
INSERT INTO `sys_job_log` VALUES (61799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:47:05');
INSERT INTO `sys_job_log` VALUES (61800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:47:10');
INSERT INTO `sys_job_log` VALUES (61801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:47:15');
INSERT INTO `sys_job_log` VALUES (61802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:47:15');
INSERT INTO `sys_job_log` VALUES (61803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:47:20');
INSERT INTO `sys_job_log` VALUES (61804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:47:25');
INSERT INTO `sys_job_log` VALUES (61805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:47:30');
INSERT INTO `sys_job_log` VALUES (61806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:47:30');
INSERT INTO `sys_job_log` VALUES (61807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:47:35');
INSERT INTO `sys_job_log` VALUES (61808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:47:40');
INSERT INTO `sys_job_log` VALUES (61809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:47:45');
INSERT INTO `sys_job_log` VALUES (61810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:47:45');
INSERT INTO `sys_job_log` VALUES (61811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:47:50');
INSERT INTO `sys_job_log` VALUES (61812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:47:55');
INSERT INTO `sys_job_log` VALUES (61813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:48:00');
INSERT INTO `sys_job_log` VALUES (61814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:48:00');
INSERT INTO `sys_job_log` VALUES (61815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:48:05');
INSERT INTO `sys_job_log` VALUES (61816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:48:10');
INSERT INTO `sys_job_log` VALUES (61817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:48:15');
INSERT INTO `sys_job_log` VALUES (61818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:48:15');
INSERT INTO `sys_job_log` VALUES (61819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:48:20');
INSERT INTO `sys_job_log` VALUES (61820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:48:25');
INSERT INTO `sys_job_log` VALUES (61821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:48:30');
INSERT INTO `sys_job_log` VALUES (61822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:48:30');
INSERT INTO `sys_job_log` VALUES (61823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:48:35');
INSERT INTO `sys_job_log` VALUES (61824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:48:40');
INSERT INTO `sys_job_log` VALUES (61825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:48:45');
INSERT INTO `sys_job_log` VALUES (61826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:48:45');
INSERT INTO `sys_job_log` VALUES (61827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:48:50');
INSERT INTO `sys_job_log` VALUES (61828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:48:55');
INSERT INTO `sys_job_log` VALUES (61829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:49:00');
INSERT INTO `sys_job_log` VALUES (61830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:49:00');
INSERT INTO `sys_job_log` VALUES (61831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:49:05');
INSERT INTO `sys_job_log` VALUES (61832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:10');
INSERT INTO `sys_job_log` VALUES (61833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:49:15');
INSERT INTO `sys_job_log` VALUES (61834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:49:15');
INSERT INTO `sys_job_log` VALUES (61835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:20');
INSERT INTO `sys_job_log` VALUES (61836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:49:25');
INSERT INTO `sys_job_log` VALUES (61837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:49:30');
INSERT INTO `sys_job_log` VALUES (61838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:30');
INSERT INTO `sys_job_log` VALUES (61839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:49:35');
INSERT INTO `sys_job_log` VALUES (61840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:49:40');
INSERT INTO `sys_job_log` VALUES (61841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:45');
INSERT INTO `sys_job_log` VALUES (61842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:45');
INSERT INTO `sys_job_log` VALUES (61843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:50');
INSERT INTO `sys_job_log` VALUES (61844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:49:55');
INSERT INTO `sys_job_log` VALUES (61845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:50:00');
INSERT INTO `sys_job_log` VALUES (61846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:50:00');
INSERT INTO `sys_job_log` VALUES (61847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:50:05');
INSERT INTO `sys_job_log` VALUES (61848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:50:10');
INSERT INTO `sys_job_log` VALUES (61849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:50:15');
INSERT INTO `sys_job_log` VALUES (61850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:50:15');
INSERT INTO `sys_job_log` VALUES (61851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:50:20');
INSERT INTO `sys_job_log` VALUES (61852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:50:25');
INSERT INTO `sys_job_log` VALUES (61853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:30');
INSERT INTO `sys_job_log` VALUES (61854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:50:30');
INSERT INTO `sys_job_log` VALUES (61855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:50:35');
INSERT INTO `sys_job_log` VALUES (61856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:50:40');
INSERT INTO `sys_job_log` VALUES (61857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:50:45');
INSERT INTO `sys_job_log` VALUES (61858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:50:45');
INSERT INTO `sys_job_log` VALUES (61859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:50:50');
INSERT INTO `sys_job_log` VALUES (61860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:50:55');
INSERT INTO `sys_job_log` VALUES (61861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 12:51:00');
INSERT INTO `sys_job_log` VALUES (61862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 12:51:00');
INSERT INTO `sys_job_log` VALUES (61863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:51:05');
INSERT INTO `sys_job_log` VALUES (61864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:51:10');
INSERT INTO `sys_job_log` VALUES (61865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:51:15');
INSERT INTO `sys_job_log` VALUES (61866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:51:15');
INSERT INTO `sys_job_log` VALUES (61867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:51:20');
INSERT INTO `sys_job_log` VALUES (61868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:51:25');
INSERT INTO `sys_job_log` VALUES (61869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:30');
INSERT INTO `sys_job_log` VALUES (61870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:30');
INSERT INTO `sys_job_log` VALUES (61871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 12:51:35');
INSERT INTO `sys_job_log` VALUES (61872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:51:40');
INSERT INTO `sys_job_log` VALUES (61873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:45');
INSERT INTO `sys_job_log` VALUES (61874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:51:45');
INSERT INTO `sys_job_log` VALUES (61875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:51:50');
INSERT INTO `sys_job_log` VALUES (61876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:51:55');
INSERT INTO `sys_job_log` VALUES (61877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:52:00');
INSERT INTO `sys_job_log` VALUES (61878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:52:00');
INSERT INTO `sys_job_log` VALUES (61879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:52:05');
INSERT INTO `sys_job_log` VALUES (61880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:52:10');
INSERT INTO `sys_job_log` VALUES (61881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:52:15');
INSERT INTO `sys_job_log` VALUES (61882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:52:15');
INSERT INTO `sys_job_log` VALUES (61883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:52:20');
INSERT INTO `sys_job_log` VALUES (61884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:52:25');
INSERT INTO `sys_job_log` VALUES (61885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:52:30');
INSERT INTO `sys_job_log` VALUES (61886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:52:30');
INSERT INTO `sys_job_log` VALUES (61887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:52:35');
INSERT INTO `sys_job_log` VALUES (61888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:52:40');
INSERT INTO `sys_job_log` VALUES (61889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:52:45');
INSERT INTO `sys_job_log` VALUES (61890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:52:45');
INSERT INTO `sys_job_log` VALUES (61891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:52:50');
INSERT INTO `sys_job_log` VALUES (61892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:52:55');
INSERT INTO `sys_job_log` VALUES (61893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:53:00');
INSERT INTO `sys_job_log` VALUES (61894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:53:00');
INSERT INTO `sys_job_log` VALUES (61895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:53:05');
INSERT INTO `sys_job_log` VALUES (61896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:53:10');
INSERT INTO `sys_job_log` VALUES (61897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:53:15');
INSERT INTO `sys_job_log` VALUES (61898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:53:15');
INSERT INTO `sys_job_log` VALUES (61899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:53:20');
INSERT INTO `sys_job_log` VALUES (61900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:53:25');
INSERT INTO `sys_job_log` VALUES (61901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:53:30');
INSERT INTO `sys_job_log` VALUES (61902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:53:30');
INSERT INTO `sys_job_log` VALUES (61903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:53:35');
INSERT INTO `sys_job_log` VALUES (61904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:53:40');
INSERT INTO `sys_job_log` VALUES (61905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:53:45');
INSERT INTO `sys_job_log` VALUES (61906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:53:45');
INSERT INTO `sys_job_log` VALUES (61907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:53:50');
INSERT INTO `sys_job_log` VALUES (61908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:53:55');
INSERT INTO `sys_job_log` VALUES (61909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:54:00');
INSERT INTO `sys_job_log` VALUES (61910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:54:00');
INSERT INTO `sys_job_log` VALUES (61911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:54:05');
INSERT INTO `sys_job_log` VALUES (61912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:54:10');
INSERT INTO `sys_job_log` VALUES (61913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:54:15');
INSERT INTO `sys_job_log` VALUES (61914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:54:15');
INSERT INTO `sys_job_log` VALUES (61915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:54:20');
INSERT INTO `sys_job_log` VALUES (61916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:54:25');
INSERT INTO `sys_job_log` VALUES (61917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:54:30');
INSERT INTO `sys_job_log` VALUES (61918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:54:30');
INSERT INTO `sys_job_log` VALUES (61919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:54:35');
INSERT INTO `sys_job_log` VALUES (61920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:54:40');
INSERT INTO `sys_job_log` VALUES (61921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:54:45');
INSERT INTO `sys_job_log` VALUES (61922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:54:45');
INSERT INTO `sys_job_log` VALUES (61923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:54:50');
INSERT INTO `sys_job_log` VALUES (61924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:54:55');
INSERT INTO `sys_job_log` VALUES (61925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:55:00');
INSERT INTO `sys_job_log` VALUES (61926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:55:00');
INSERT INTO `sys_job_log` VALUES (61927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:55:05');
INSERT INTO `sys_job_log` VALUES (61928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:55:10');
INSERT INTO `sys_job_log` VALUES (61929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:55:15');
INSERT INTO `sys_job_log` VALUES (61930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:55:15');
INSERT INTO `sys_job_log` VALUES (61931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:55:20');
INSERT INTO `sys_job_log` VALUES (61932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:55:25');
INSERT INTO `sys_job_log` VALUES (61933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:55:30');
INSERT INTO `sys_job_log` VALUES (61934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:55:30');
INSERT INTO `sys_job_log` VALUES (61935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:55:35');
INSERT INTO `sys_job_log` VALUES (61936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:55:40');
INSERT INTO `sys_job_log` VALUES (61937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:55:45');
INSERT INTO `sys_job_log` VALUES (61938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:55:45');
INSERT INTO `sys_job_log` VALUES (61939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:55:50');
INSERT INTO `sys_job_log` VALUES (61940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:55:55');
INSERT INTO `sys_job_log` VALUES (61941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:56:00');
INSERT INTO `sys_job_log` VALUES (61942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:56:00');
INSERT INTO `sys_job_log` VALUES (61943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:56:05');
INSERT INTO `sys_job_log` VALUES (61944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:56:10');
INSERT INTO `sys_job_log` VALUES (61945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:56:15');
INSERT INTO `sys_job_log` VALUES (61946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:56:15');
INSERT INTO `sys_job_log` VALUES (61947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:56:20');
INSERT INTO `sys_job_log` VALUES (61948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:56:25');
INSERT INTO `sys_job_log` VALUES (61949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:56:30');
INSERT INTO `sys_job_log` VALUES (61950, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:56:30');
INSERT INTO `sys_job_log` VALUES (61951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:56:35');
INSERT INTO `sys_job_log` VALUES (61952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:56:40');
INSERT INTO `sys_job_log` VALUES (61953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:56:45');
INSERT INTO `sys_job_log` VALUES (61954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:56:45');
INSERT INTO `sys_job_log` VALUES (61955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:56:50');
INSERT INTO `sys_job_log` VALUES (61956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:56:55');
INSERT INTO `sys_job_log` VALUES (61957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:57:00');
INSERT INTO `sys_job_log` VALUES (61958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:57:00');
INSERT INTO `sys_job_log` VALUES (61959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:57:05');
INSERT INTO `sys_job_log` VALUES (61960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:57:10');
INSERT INTO `sys_job_log` VALUES (61961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:57:15');
INSERT INTO `sys_job_log` VALUES (61962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:57:15');
INSERT INTO `sys_job_log` VALUES (61963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:57:20');
INSERT INTO `sys_job_log` VALUES (61964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:57:25');
INSERT INTO `sys_job_log` VALUES (61965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:57:30');
INSERT INTO `sys_job_log` VALUES (61966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:57:30');
INSERT INTO `sys_job_log` VALUES (61967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:57:35');
INSERT INTO `sys_job_log` VALUES (61968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:57:40');
INSERT INTO `sys_job_log` VALUES (61969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:57:45');
INSERT INTO `sys_job_log` VALUES (61970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:57:45');
INSERT INTO `sys_job_log` VALUES (61971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:57:50');
INSERT INTO `sys_job_log` VALUES (61972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:57:55');
INSERT INTO `sys_job_log` VALUES (61973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:58:00');
INSERT INTO `sys_job_log` VALUES (61974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:58:00');
INSERT INTO `sys_job_log` VALUES (61975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:58:05');
INSERT INTO `sys_job_log` VALUES (61976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:58:10');
INSERT INTO `sys_job_log` VALUES (61977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:58:15');
INSERT INTO `sys_job_log` VALUES (61978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 12:58:15');
INSERT INTO `sys_job_log` VALUES (61979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:58:20');
INSERT INTO `sys_job_log` VALUES (61980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:58:25');
INSERT INTO `sys_job_log` VALUES (61981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:58:30');
INSERT INTO `sys_job_log` VALUES (61982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:58:30');
INSERT INTO `sys_job_log` VALUES (61983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:58:35');
INSERT INTO `sys_job_log` VALUES (61984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:58:40');
INSERT INTO `sys_job_log` VALUES (61985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:58:45');
INSERT INTO `sys_job_log` VALUES (61986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:58:45');
INSERT INTO `sys_job_log` VALUES (61987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:58:50');
INSERT INTO `sys_job_log` VALUES (61988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:58:55');
INSERT INTO `sys_job_log` VALUES (61989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:59:00');
INSERT INTO `sys_job_log` VALUES (61990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:59:00');
INSERT INTO `sys_job_log` VALUES (61991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:59:05');
INSERT INTO `sys_job_log` VALUES (61992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:59:10');
INSERT INTO `sys_job_log` VALUES (61993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:59:15');
INSERT INTO `sys_job_log` VALUES (61994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:59:15');
INSERT INTO `sys_job_log` VALUES (61995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:59:20');
INSERT INTO `sys_job_log` VALUES (61996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:59:25');
INSERT INTO `sys_job_log` VALUES (61997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:59:30');
INSERT INTO `sys_job_log` VALUES (61998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:59:30');
INSERT INTO `sys_job_log` VALUES (61999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:59:35');
INSERT INTO `sys_job_log` VALUES (62000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:59:40');
INSERT INTO `sys_job_log` VALUES (62001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:59:45');
INSERT INTO `sys_job_log` VALUES (62002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:59:45');
INSERT INTO `sys_job_log` VALUES (62003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:59:50');
INSERT INTO `sys_job_log` VALUES (62004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:59:55');
INSERT INTO `sys_job_log` VALUES (62005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:00:00');
INSERT INTO `sys_job_log` VALUES (62006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:00:00');
INSERT INTO `sys_job_log` VALUES (62007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:00:05');
INSERT INTO `sys_job_log` VALUES (62008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:00:10');
INSERT INTO `sys_job_log` VALUES (62009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:00:15');
INSERT INTO `sys_job_log` VALUES (62010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:00:15');
INSERT INTO `sys_job_log` VALUES (62011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:00:20');
INSERT INTO `sys_job_log` VALUES (62012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:00:25');
INSERT INTO `sys_job_log` VALUES (62013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:00:30');
INSERT INTO `sys_job_log` VALUES (62014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:00:30');
INSERT INTO `sys_job_log` VALUES (62015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:00:35');
INSERT INTO `sys_job_log` VALUES (62016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:00:40');
INSERT INTO `sys_job_log` VALUES (62017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:00:45');
INSERT INTO `sys_job_log` VALUES (62018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:00:45');
INSERT INTO `sys_job_log` VALUES (62019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:00:50');
INSERT INTO `sys_job_log` VALUES (62020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:00:55');
INSERT INTO `sys_job_log` VALUES (62021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:01:00');
INSERT INTO `sys_job_log` VALUES (62022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:01:00');
INSERT INTO `sys_job_log` VALUES (62023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:01:05');
INSERT INTO `sys_job_log` VALUES (62024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:01:10');
INSERT INTO `sys_job_log` VALUES (62025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:01:15');
INSERT INTO `sys_job_log` VALUES (62026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:01:15');
INSERT INTO `sys_job_log` VALUES (62027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:01:20');
INSERT INTO `sys_job_log` VALUES (62028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:01:25');
INSERT INTO `sys_job_log` VALUES (62029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:01:30');
INSERT INTO `sys_job_log` VALUES (62030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:01:30');
INSERT INTO `sys_job_log` VALUES (62031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:01:35');
INSERT INTO `sys_job_log` VALUES (62032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:01:40');
INSERT INTO `sys_job_log` VALUES (62033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:01:45');
INSERT INTO `sys_job_log` VALUES (62034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:01:45');
INSERT INTO `sys_job_log` VALUES (62035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:01:50');
INSERT INTO `sys_job_log` VALUES (62036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:01:55');
INSERT INTO `sys_job_log` VALUES (62037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:02:00');
INSERT INTO `sys_job_log` VALUES (62038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:02:00');
INSERT INTO `sys_job_log` VALUES (62039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:02:05');
INSERT INTO `sys_job_log` VALUES (62040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:02:10');
INSERT INTO `sys_job_log` VALUES (62041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:02:15');
INSERT INTO `sys_job_log` VALUES (62042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:02:15');
INSERT INTO `sys_job_log` VALUES (62043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:02:20');
INSERT INTO `sys_job_log` VALUES (62044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:02:25');
INSERT INTO `sys_job_log` VALUES (62045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:02:30');
INSERT INTO `sys_job_log` VALUES (62046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:02:30');
INSERT INTO `sys_job_log` VALUES (62047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:02:35');
INSERT INTO `sys_job_log` VALUES (62048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:02:40');
INSERT INTO `sys_job_log` VALUES (62049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:02:45');
INSERT INTO `sys_job_log` VALUES (62050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:02:45');
INSERT INTO `sys_job_log` VALUES (62051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:02:50');
INSERT INTO `sys_job_log` VALUES (62052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:02:55');
INSERT INTO `sys_job_log` VALUES (62053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:03:00');
INSERT INTO `sys_job_log` VALUES (62054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 13:03:00');
INSERT INTO `sys_job_log` VALUES (62055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:03:05');
INSERT INTO `sys_job_log` VALUES (62056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:03:10');
INSERT INTO `sys_job_log` VALUES (62057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:03:15');
INSERT INTO `sys_job_log` VALUES (62058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:03:15');
INSERT INTO `sys_job_log` VALUES (62059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:03:20');
INSERT INTO `sys_job_log` VALUES (62060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:03:25');
INSERT INTO `sys_job_log` VALUES (62061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:03:30');
INSERT INTO `sys_job_log` VALUES (62062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:03:30');
INSERT INTO `sys_job_log` VALUES (62063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:03:35');
INSERT INTO `sys_job_log` VALUES (62064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:03:40');
INSERT INTO `sys_job_log` VALUES (62065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:03:45');
INSERT INTO `sys_job_log` VALUES (62066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:03:45');
INSERT INTO `sys_job_log` VALUES (62067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:03:50');
INSERT INTO `sys_job_log` VALUES (62068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:03:55');
INSERT INTO `sys_job_log` VALUES (62069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:00');
INSERT INTO `sys_job_log` VALUES (62070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:04:00');
INSERT INTO `sys_job_log` VALUES (62071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:04:05');
INSERT INTO `sys_job_log` VALUES (62072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:04:10');
INSERT INTO `sys_job_log` VALUES (62073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:04:15');
INSERT INTO `sys_job_log` VALUES (62074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:15');
INSERT INTO `sys_job_log` VALUES (62075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:04:20');
INSERT INTO `sys_job_log` VALUES (62076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:04:25');
INSERT INTO `sys_job_log` VALUES (62077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:30');
INSERT INTO `sys_job_log` VALUES (62078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:30');
INSERT INTO `sys_job_log` VALUES (62079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 13:04:35');
INSERT INTO `sys_job_log` VALUES (62080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:40');
INSERT INTO `sys_job_log` VALUES (62081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:04:45');
INSERT INTO `sys_job_log` VALUES (62082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:04:45');
INSERT INTO `sys_job_log` VALUES (62083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:50');
INSERT INTO `sys_job_log` VALUES (62084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:04:55');
INSERT INTO `sys_job_log` VALUES (62085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 13:05:00');
INSERT INTO `sys_job_log` VALUES (62086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:05:00');
INSERT INTO `sys_job_log` VALUES (62087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:05:05');
INSERT INTO `sys_job_log` VALUES (62088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:05:10');
INSERT INTO `sys_job_log` VALUES (62089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:05:15');
INSERT INTO `sys_job_log` VALUES (62090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:05:15');
INSERT INTO `sys_job_log` VALUES (62091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:05:20');
INSERT INTO `sys_job_log` VALUES (62092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:05:25');
INSERT INTO `sys_job_log` VALUES (62093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:05:30');
INSERT INTO `sys_job_log` VALUES (62094, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:05:30');
INSERT INTO `sys_job_log` VALUES (62095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:05:35');
INSERT INTO `sys_job_log` VALUES (62096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:05:40');
INSERT INTO `sys_job_log` VALUES (62097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:05:45');
INSERT INTO `sys_job_log` VALUES (62098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:05:45');
INSERT INTO `sys_job_log` VALUES (62099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:05:50');
INSERT INTO `sys_job_log` VALUES (62100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:05:55');
INSERT INTO `sys_job_log` VALUES (62101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:06:00');
INSERT INTO `sys_job_log` VALUES (62102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:06:00');
INSERT INTO `sys_job_log` VALUES (62103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:06:05');
INSERT INTO `sys_job_log` VALUES (62104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2803毫秒', '0', '', '2025-01-02 13:06:12');
INSERT INTO `sys_job_log` VALUES (62105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:06:15');
INSERT INTO `sys_job_log` VALUES (62106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:06:15');
INSERT INTO `sys_job_log` VALUES (62107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:06:20');
INSERT INTO `sys_job_log` VALUES (62108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:06:25');
INSERT INTO `sys_job_log` VALUES (62109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:06:30');
INSERT INTO `sys_job_log` VALUES (62110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:06:30');
INSERT INTO `sys_job_log` VALUES (62111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:06:35');
INSERT INTO `sys_job_log` VALUES (62112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:06:40');
INSERT INTO `sys_job_log` VALUES (62113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:06:45');
INSERT INTO `sys_job_log` VALUES (62114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:06:45');
INSERT INTO `sys_job_log` VALUES (62115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:06:50');
INSERT INTO `sys_job_log` VALUES (62116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:06:55');
INSERT INTO `sys_job_log` VALUES (62117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 13:07:00');
INSERT INTO `sys_job_log` VALUES (62118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 13:07:00');
INSERT INTO `sys_job_log` VALUES (62119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:07:05');
INSERT INTO `sys_job_log` VALUES (62120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:07:10');
INSERT INTO `sys_job_log` VALUES (62121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 13:07:15');
INSERT INTO `sys_job_log` VALUES (62122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 13:07:15');
INSERT INTO `sys_job_log` VALUES (62123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:07:20');
INSERT INTO `sys_job_log` VALUES (62124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:07:25');
INSERT INTO `sys_job_log` VALUES (62125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:07:30');
INSERT INTO `sys_job_log` VALUES (62126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:07:30');
INSERT INTO `sys_job_log` VALUES (62127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:07:35');
INSERT INTO `sys_job_log` VALUES (62128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:07:40');
INSERT INTO `sys_job_log` VALUES (62129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:07:45');
INSERT INTO `sys_job_log` VALUES (62130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:07:45');
INSERT INTO `sys_job_log` VALUES (62131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:07:50');
INSERT INTO `sys_job_log` VALUES (62132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:07:55');
INSERT INTO `sys_job_log` VALUES (62133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:08:00');
INSERT INTO `sys_job_log` VALUES (62134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:08:00');
INSERT INTO `sys_job_log` VALUES (62135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:08:05');
INSERT INTO `sys_job_log` VALUES (62136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:08:10');
INSERT INTO `sys_job_log` VALUES (62137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:08:15');
INSERT INTO `sys_job_log` VALUES (62138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:08:15');
INSERT INTO `sys_job_log` VALUES (62139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:08:20');
INSERT INTO `sys_job_log` VALUES (62140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:08:25');
INSERT INTO `sys_job_log` VALUES (62141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:08:30');
INSERT INTO `sys_job_log` VALUES (62142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:08:30');
INSERT INTO `sys_job_log` VALUES (62143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:08:35');
INSERT INTO `sys_job_log` VALUES (62144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:08:40');
INSERT INTO `sys_job_log` VALUES (62145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:08:45');
INSERT INTO `sys_job_log` VALUES (62146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:08:45');
INSERT INTO `sys_job_log` VALUES (62147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 13:08:50');
INSERT INTO `sys_job_log` VALUES (62148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:08:55');
INSERT INTO `sys_job_log` VALUES (62149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:09:00');
INSERT INTO `sys_job_log` VALUES (62150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:09:00');
INSERT INTO `sys_job_log` VALUES (62151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:09:05');
INSERT INTO `sys_job_log` VALUES (62152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:09:10');
INSERT INTO `sys_job_log` VALUES (62153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:09:15');
INSERT INTO `sys_job_log` VALUES (62154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:09:15');
INSERT INTO `sys_job_log` VALUES (62155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:09:20');
INSERT INTO `sys_job_log` VALUES (62156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:09:25');
INSERT INTO `sys_job_log` VALUES (62157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:09:30');
INSERT INTO `sys_job_log` VALUES (62158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:09:30');
INSERT INTO `sys_job_log` VALUES (62159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:09:35');
INSERT INTO `sys_job_log` VALUES (62160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:09:40');
INSERT INTO `sys_job_log` VALUES (62161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:09:45');
INSERT INTO `sys_job_log` VALUES (62162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:09:45');
INSERT INTO `sys_job_log` VALUES (62163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:09:50');
INSERT INTO `sys_job_log` VALUES (62164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:09:55');
INSERT INTO `sys_job_log` VALUES (62165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:10:00');
INSERT INTO `sys_job_log` VALUES (62166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:10:00');
INSERT INTO `sys_job_log` VALUES (62167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:10:05');
INSERT INTO `sys_job_log` VALUES (62168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:10:10');
INSERT INTO `sys_job_log` VALUES (62169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:10:15');
INSERT INTO `sys_job_log` VALUES (62170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:10:15');
INSERT INTO `sys_job_log` VALUES (62171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:10:20');
INSERT INTO `sys_job_log` VALUES (62172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:10:25');
INSERT INTO `sys_job_log` VALUES (62173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:10:30');
INSERT INTO `sys_job_log` VALUES (62174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:10:30');
INSERT INTO `sys_job_log` VALUES (62175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:10:35');
INSERT INTO `sys_job_log` VALUES (62176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:10:40');
INSERT INTO `sys_job_log` VALUES (62177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 13:10:45');
INSERT INTO `sys_job_log` VALUES (62178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 13:10:45');
INSERT INTO `sys_job_log` VALUES (62179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:10:50');
INSERT INTO `sys_job_log` VALUES (62180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:10:55');
INSERT INTO `sys_job_log` VALUES (62181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:11:00');
INSERT INTO `sys_job_log` VALUES (62182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:11:00');
INSERT INTO `sys_job_log` VALUES (62183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:11:05');
INSERT INTO `sys_job_log` VALUES (62184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:11:10');
INSERT INTO `sys_job_log` VALUES (62185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:11:15');
INSERT INTO `sys_job_log` VALUES (62186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:11:15');
INSERT INTO `sys_job_log` VALUES (62187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:11:20');
INSERT INTO `sys_job_log` VALUES (62188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:11:25');
INSERT INTO `sys_job_log` VALUES (62189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:11:30');
INSERT INTO `sys_job_log` VALUES (62190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:11:30');
INSERT INTO `sys_job_log` VALUES (62191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:11:35');
INSERT INTO `sys_job_log` VALUES (62192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:11:40');
INSERT INTO `sys_job_log` VALUES (62193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:11:45');
INSERT INTO `sys_job_log` VALUES (62194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:11:45');
INSERT INTO `sys_job_log` VALUES (62195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:11:50');
INSERT INTO `sys_job_log` VALUES (62196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 13:11:55');
INSERT INTO `sys_job_log` VALUES (62197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:12:00');
INSERT INTO `sys_job_log` VALUES (62198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:12:00');
INSERT INTO `sys_job_log` VALUES (62199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:12:05');
INSERT INTO `sys_job_log` VALUES (62200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:12:10');
INSERT INTO `sys_job_log` VALUES (62201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:12:15');
INSERT INTO `sys_job_log` VALUES (62202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:12:15');
INSERT INTO `sys_job_log` VALUES (62203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:12:20');
INSERT INTO `sys_job_log` VALUES (62204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:12:25');
INSERT INTO `sys_job_log` VALUES (62205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:12:30');
INSERT INTO `sys_job_log` VALUES (62206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:12:30');
INSERT INTO `sys_job_log` VALUES (62207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:12:35');
INSERT INTO `sys_job_log` VALUES (62208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 13:12:40');
INSERT INTO `sys_job_log` VALUES (62209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:12:45');
INSERT INTO `sys_job_log` VALUES (62210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:12:45');
INSERT INTO `sys_job_log` VALUES (62211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:12:50');
INSERT INTO `sys_job_log` VALUES (62212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:12:55');
INSERT INTO `sys_job_log` VALUES (62213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:13:00');
INSERT INTO `sys_job_log` VALUES (62214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:13:00');
INSERT INTO `sys_job_log` VALUES (62215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:13:05');
INSERT INTO `sys_job_log` VALUES (62216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:13:10');
INSERT INTO `sys_job_log` VALUES (62217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:13:15');
INSERT INTO `sys_job_log` VALUES (62218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:13:15');
INSERT INTO `sys_job_log` VALUES (62219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:13:20');
INSERT INTO `sys_job_log` VALUES (62220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:13:25');
INSERT INTO `sys_job_log` VALUES (62221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:13:30');
INSERT INTO `sys_job_log` VALUES (62222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:13:30');
INSERT INTO `sys_job_log` VALUES (62223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:13:35');
INSERT INTO `sys_job_log` VALUES (62224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:13:40');
INSERT INTO `sys_job_log` VALUES (62225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:13:45');
INSERT INTO `sys_job_log` VALUES (62226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:13:45');
INSERT INTO `sys_job_log` VALUES (62227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:13:50');
INSERT INTO `sys_job_log` VALUES (62228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:13:55');
INSERT INTO `sys_job_log` VALUES (62229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:14:00');
INSERT INTO `sys_job_log` VALUES (62230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:14:00');
INSERT INTO `sys_job_log` VALUES (62231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:14:05');
INSERT INTO `sys_job_log` VALUES (62232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:14:10');
INSERT INTO `sys_job_log` VALUES (62233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:14:15');
INSERT INTO `sys_job_log` VALUES (62234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:14:15');
INSERT INTO `sys_job_log` VALUES (62235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:14:20');
INSERT INTO `sys_job_log` VALUES (62236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:14:25');
INSERT INTO `sys_job_log` VALUES (62237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:14:30');
INSERT INTO `sys_job_log` VALUES (62238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:14:30');
INSERT INTO `sys_job_log` VALUES (62239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:14:35');
INSERT INTO `sys_job_log` VALUES (62240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:14:40');
INSERT INTO `sys_job_log` VALUES (62241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:14:45');
INSERT INTO `sys_job_log` VALUES (62242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:14:45');
INSERT INTO `sys_job_log` VALUES (62243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:14:50');
INSERT INTO `sys_job_log` VALUES (62244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 13:14:55');
INSERT INTO `sys_job_log` VALUES (62245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:15:00');
INSERT INTO `sys_job_log` VALUES (62246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 13:15:00');
INSERT INTO `sys_job_log` VALUES (62247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:15:05');
INSERT INTO `sys_job_log` VALUES (62248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:15:10');
INSERT INTO `sys_job_log` VALUES (62249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:15:15');
INSERT INTO `sys_job_log` VALUES (62250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:15:15');
INSERT INTO `sys_job_log` VALUES (62251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:15:20');
INSERT INTO `sys_job_log` VALUES (62252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:15:25');
INSERT INTO `sys_job_log` VALUES (62253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 13:15:30');
INSERT INTO `sys_job_log` VALUES (62254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:15:30');
INSERT INTO `sys_job_log` VALUES (62255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:15:35');
INSERT INTO `sys_job_log` VALUES (62256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:15:40');
INSERT INTO `sys_job_log` VALUES (62257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:15:45');
INSERT INTO `sys_job_log` VALUES (62258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:15:45');
INSERT INTO `sys_job_log` VALUES (62259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 13:15:50');
INSERT INTO `sys_job_log` VALUES (62260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:15:55');
INSERT INTO `sys_job_log` VALUES (62261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:16:00');
INSERT INTO `sys_job_log` VALUES (62262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:16:00');
INSERT INTO `sys_job_log` VALUES (62263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:16:05');
INSERT INTO `sys_job_log` VALUES (62264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:16:10');
INSERT INTO `sys_job_log` VALUES (62265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:16:15');
INSERT INTO `sys_job_log` VALUES (62266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:16:15');
INSERT INTO `sys_job_log` VALUES (62267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:16:20');
INSERT INTO `sys_job_log` VALUES (62268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:16:25');
INSERT INTO `sys_job_log` VALUES (62269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:16:30');
INSERT INTO `sys_job_log` VALUES (62270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:16:30');
INSERT INTO `sys_job_log` VALUES (62271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:16:35');
INSERT INTO `sys_job_log` VALUES (62272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:16:40');
INSERT INTO `sys_job_log` VALUES (62273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:16:45');
INSERT INTO `sys_job_log` VALUES (62274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:16:45');
INSERT INTO `sys_job_log` VALUES (62275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:16:50');
INSERT INTO `sys_job_log` VALUES (62276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:16:55');
INSERT INTO `sys_job_log` VALUES (62277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 13:17:00');
INSERT INTO `sys_job_log` VALUES (62278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 13:17:00');
INSERT INTO `sys_job_log` VALUES (62279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:17:05');
INSERT INTO `sys_job_log` VALUES (62280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:17:10');
INSERT INTO `sys_job_log` VALUES (62281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:17:15');
INSERT INTO `sys_job_log` VALUES (62282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:17:15');
INSERT INTO `sys_job_log` VALUES (62283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:17:20');
INSERT INTO `sys_job_log` VALUES (62284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:17:25');
INSERT INTO `sys_job_log` VALUES (62285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:17:30');
INSERT INTO `sys_job_log` VALUES (62286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:17:30');
INSERT INTO `sys_job_log` VALUES (62287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:17:35');
INSERT INTO `sys_job_log` VALUES (62288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:17:40');
INSERT INTO `sys_job_log` VALUES (62289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:17:45');
INSERT INTO `sys_job_log` VALUES (62290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:17:45');
INSERT INTO `sys_job_log` VALUES (62291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:17:50');
INSERT INTO `sys_job_log` VALUES (62292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:17:55');
INSERT INTO `sys_job_log` VALUES (62293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:18:00');
INSERT INTO `sys_job_log` VALUES (62294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:18:00');
INSERT INTO `sys_job_log` VALUES (62295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:18:05');
INSERT INTO `sys_job_log` VALUES (62296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:18:10');
INSERT INTO `sys_job_log` VALUES (62297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:18:15');
INSERT INTO `sys_job_log` VALUES (62298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:18:15');
INSERT INTO `sys_job_log` VALUES (62299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:18:20');
INSERT INTO `sys_job_log` VALUES (62300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:18:25');
INSERT INTO `sys_job_log` VALUES (62301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:18:30');
INSERT INTO `sys_job_log` VALUES (62302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:18:30');
INSERT INTO `sys_job_log` VALUES (62303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:18:35');
INSERT INTO `sys_job_log` VALUES (62304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:18:40');
INSERT INTO `sys_job_log` VALUES (62305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:18:45');
INSERT INTO `sys_job_log` VALUES (62306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:18:45');
INSERT INTO `sys_job_log` VALUES (62307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:18:50');
INSERT INTO `sys_job_log` VALUES (62308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:18:55');
INSERT INTO `sys_job_log` VALUES (62309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:19:00');
INSERT INTO `sys_job_log` VALUES (62310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:19:00');
INSERT INTO `sys_job_log` VALUES (62311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:19:05');
INSERT INTO `sys_job_log` VALUES (62312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:19:10');
INSERT INTO `sys_job_log` VALUES (62313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:19:15');
INSERT INTO `sys_job_log` VALUES (62314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:19:15');
INSERT INTO `sys_job_log` VALUES (62315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:19:20');
INSERT INTO `sys_job_log` VALUES (62316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:19:25');
INSERT INTO `sys_job_log` VALUES (62317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:19:30');
INSERT INTO `sys_job_log` VALUES (62318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:19:30');
INSERT INTO `sys_job_log` VALUES (62319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:19:35');
INSERT INTO `sys_job_log` VALUES (62320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:19:40');
INSERT INTO `sys_job_log` VALUES (62321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:19:45');
INSERT INTO `sys_job_log` VALUES (62322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:19:45');
INSERT INTO `sys_job_log` VALUES (62323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:19:50');
INSERT INTO `sys_job_log` VALUES (62324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:19:55');
INSERT INTO `sys_job_log` VALUES (62325, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:20:00');
INSERT INTO `sys_job_log` VALUES (62326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:20:00');
INSERT INTO `sys_job_log` VALUES (62327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:20:05');
INSERT INTO `sys_job_log` VALUES (62328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:20:10');
INSERT INTO `sys_job_log` VALUES (62329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:20:15');
INSERT INTO `sys_job_log` VALUES (62330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:20:15');
INSERT INTO `sys_job_log` VALUES (62331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 13:20:20');
INSERT INTO `sys_job_log` VALUES (62332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:20:25');
INSERT INTO `sys_job_log` VALUES (62333, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:20:30');
INSERT INTO `sys_job_log` VALUES (62334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:20:30');
INSERT INTO `sys_job_log` VALUES (62335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:20:35');
INSERT INTO `sys_job_log` VALUES (62336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:20:40');
INSERT INTO `sys_job_log` VALUES (62337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:20:45');
INSERT INTO `sys_job_log` VALUES (62338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:20:45');
INSERT INTO `sys_job_log` VALUES (62339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:20:50');
INSERT INTO `sys_job_log` VALUES (62340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:20:55');
INSERT INTO `sys_job_log` VALUES (62341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:21:00');
INSERT INTO `sys_job_log` VALUES (62342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:21:00');
INSERT INTO `sys_job_log` VALUES (62343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:21:05');
INSERT INTO `sys_job_log` VALUES (62344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:21:10');
INSERT INTO `sys_job_log` VALUES (62345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:21:15');
INSERT INTO `sys_job_log` VALUES (62346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:21:15');
INSERT INTO `sys_job_log` VALUES (62347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:21:20');
INSERT INTO `sys_job_log` VALUES (62348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:21:25');
INSERT INTO `sys_job_log` VALUES (62349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:21:30');
INSERT INTO `sys_job_log` VALUES (62350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:21:30');
INSERT INTO `sys_job_log` VALUES (62351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:21:35');
INSERT INTO `sys_job_log` VALUES (62352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:21:40');
INSERT INTO `sys_job_log` VALUES (62353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:21:45');
INSERT INTO `sys_job_log` VALUES (62354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:21:45');
INSERT INTO `sys_job_log` VALUES (62355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:21:50');
INSERT INTO `sys_job_log` VALUES (62356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:21:55');
INSERT INTO `sys_job_log` VALUES (62357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:22:00');
INSERT INTO `sys_job_log` VALUES (62358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:22:00');
INSERT INTO `sys_job_log` VALUES (62359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:22:05');
INSERT INTO `sys_job_log` VALUES (62360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:22:10');
INSERT INTO `sys_job_log` VALUES (62361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:22:15');
INSERT INTO `sys_job_log` VALUES (62362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:22:15');
INSERT INTO `sys_job_log` VALUES (62363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:22:20');
INSERT INTO `sys_job_log` VALUES (62364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:22:25');
INSERT INTO `sys_job_log` VALUES (62365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:22:30');
INSERT INTO `sys_job_log` VALUES (62366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:22:30');
INSERT INTO `sys_job_log` VALUES (62367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:22:35');
INSERT INTO `sys_job_log` VALUES (62368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:22:40');
INSERT INTO `sys_job_log` VALUES (62369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:22:45');
INSERT INTO `sys_job_log` VALUES (62370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:22:45');
INSERT INTO `sys_job_log` VALUES (62371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:22:50');
INSERT INTO `sys_job_log` VALUES (62372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:22:55');
INSERT INTO `sys_job_log` VALUES (62373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:23:00');
INSERT INTO `sys_job_log` VALUES (62374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:23:00');
INSERT INTO `sys_job_log` VALUES (62375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:23:05');
INSERT INTO `sys_job_log` VALUES (62376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:23:10');
INSERT INTO `sys_job_log` VALUES (62377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 13:23:15');
INSERT INTO `sys_job_log` VALUES (62378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 13:23:15');
INSERT INTO `sys_job_log` VALUES (62379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:23:20');
INSERT INTO `sys_job_log` VALUES (62380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:23:25');
INSERT INTO `sys_job_log` VALUES (62381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:23:30');
INSERT INTO `sys_job_log` VALUES (62382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:23:30');
INSERT INTO `sys_job_log` VALUES (62383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:23:35');
INSERT INTO `sys_job_log` VALUES (62384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:23:40');
INSERT INTO `sys_job_log` VALUES (62385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:23:45');
INSERT INTO `sys_job_log` VALUES (62386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:23:45');
INSERT INTO `sys_job_log` VALUES (62387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:23:50');
INSERT INTO `sys_job_log` VALUES (62388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 13:23:55');
INSERT INTO `sys_job_log` VALUES (62389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:24:00');
INSERT INTO `sys_job_log` VALUES (62390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:24:00');
INSERT INTO `sys_job_log` VALUES (62391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:24:05');
INSERT INTO `sys_job_log` VALUES (62392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:24:10');
INSERT INTO `sys_job_log` VALUES (62393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:24:15');
INSERT INTO `sys_job_log` VALUES (62394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:24:15');
INSERT INTO `sys_job_log` VALUES (62395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:24:20');
INSERT INTO `sys_job_log` VALUES (62396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:24:25');
INSERT INTO `sys_job_log` VALUES (62397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:24:30');
INSERT INTO `sys_job_log` VALUES (62398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:24:30');
INSERT INTO `sys_job_log` VALUES (62399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:24:35');
INSERT INTO `sys_job_log` VALUES (62400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 13:24:40');
INSERT INTO `sys_job_log` VALUES (62401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:24:45');
INSERT INTO `sys_job_log` VALUES (62402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:24:45');
INSERT INTO `sys_job_log` VALUES (62403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:24:50');
INSERT INTO `sys_job_log` VALUES (62404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:24:55');
INSERT INTO `sys_job_log` VALUES (62405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：59毫秒', '0', '', '2025-01-02 13:25:00');
INSERT INTO `sys_job_log` VALUES (62406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 13:25:00');
INSERT INTO `sys_job_log` VALUES (62407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:25:05');
INSERT INTO `sys_job_log` VALUES (62408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:25:10');
INSERT INTO `sys_job_log` VALUES (62409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:25:15');
INSERT INTO `sys_job_log` VALUES (62410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:25:15');
INSERT INTO `sys_job_log` VALUES (62411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:25:20');
INSERT INTO `sys_job_log` VALUES (62412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:25:25');
INSERT INTO `sys_job_log` VALUES (62413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:25:30');
INSERT INTO `sys_job_log` VALUES (62414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:25:30');
INSERT INTO `sys_job_log` VALUES (62415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:25:35');
INSERT INTO `sys_job_log` VALUES (62416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:25:40');
INSERT INTO `sys_job_log` VALUES (62417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:25:45');
INSERT INTO `sys_job_log` VALUES (62418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:25:45');
INSERT INTO `sys_job_log` VALUES (62419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:25:50');
INSERT INTO `sys_job_log` VALUES (62420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:25:55');
INSERT INTO `sys_job_log` VALUES (62421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:26:00');
INSERT INTO `sys_job_log` VALUES (62422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:26:00');
INSERT INTO `sys_job_log` VALUES (62423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:26:05');
INSERT INTO `sys_job_log` VALUES (62424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:26:10');
INSERT INTO `sys_job_log` VALUES (62425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:26:15');
INSERT INTO `sys_job_log` VALUES (62426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 13:26:15');
INSERT INTO `sys_job_log` VALUES (62427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:26:20');
INSERT INTO `sys_job_log` VALUES (62428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:26:25');
INSERT INTO `sys_job_log` VALUES (62429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:26:30');
INSERT INTO `sys_job_log` VALUES (62430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:26:30');
INSERT INTO `sys_job_log` VALUES (62431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:26:35');
INSERT INTO `sys_job_log` VALUES (62432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:26:40');
INSERT INTO `sys_job_log` VALUES (62433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:26:45');
INSERT INTO `sys_job_log` VALUES (62434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:26:45');
INSERT INTO `sys_job_log` VALUES (62435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:26:50');
INSERT INTO `sys_job_log` VALUES (62436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:26:55');
INSERT INTO `sys_job_log` VALUES (62437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:27:00');
INSERT INTO `sys_job_log` VALUES (62438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:27:00');
INSERT INTO `sys_job_log` VALUES (62439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:27:05');
INSERT INTO `sys_job_log` VALUES (62440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:27:10');
INSERT INTO `sys_job_log` VALUES (62441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:27:15');
INSERT INTO `sys_job_log` VALUES (62442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:27:15');
INSERT INTO `sys_job_log` VALUES (62443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:27:20');
INSERT INTO `sys_job_log` VALUES (62444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:27:25');
INSERT INTO `sys_job_log` VALUES (62445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:27:30');
INSERT INTO `sys_job_log` VALUES (62446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:27:30');
INSERT INTO `sys_job_log` VALUES (62447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:27:35');
INSERT INTO `sys_job_log` VALUES (62448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:27:40');
INSERT INTO `sys_job_log` VALUES (62449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:27:45');
INSERT INTO `sys_job_log` VALUES (62450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:27:45');
INSERT INTO `sys_job_log` VALUES (62451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:27:50');
INSERT INTO `sys_job_log` VALUES (62452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:27:55');
INSERT INTO `sys_job_log` VALUES (62453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:28:00');
INSERT INTO `sys_job_log` VALUES (62454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:28:00');
INSERT INTO `sys_job_log` VALUES (62455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:28:05');
INSERT INTO `sys_job_log` VALUES (62456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:28:10');
INSERT INTO `sys_job_log` VALUES (62457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:28:15');
INSERT INTO `sys_job_log` VALUES (62458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:28:15');
INSERT INTO `sys_job_log` VALUES (62459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:28:20');
INSERT INTO `sys_job_log` VALUES (62460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:28:25');
INSERT INTO `sys_job_log` VALUES (62461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:28:30');
INSERT INTO `sys_job_log` VALUES (62462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:28:30');
INSERT INTO `sys_job_log` VALUES (62463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:28:35');
INSERT INTO `sys_job_log` VALUES (62464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 13:28:40');
INSERT INTO `sys_job_log` VALUES (62465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:28:45');
INSERT INTO `sys_job_log` VALUES (62466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:28:45');
INSERT INTO `sys_job_log` VALUES (62467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:28:50');
INSERT INTO `sys_job_log` VALUES (62468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:28:55');
INSERT INTO `sys_job_log` VALUES (62469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:29:00');
INSERT INTO `sys_job_log` VALUES (62470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 13:29:00');
INSERT INTO `sys_job_log` VALUES (62471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:29:05');
INSERT INTO `sys_job_log` VALUES (62472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:29:10');
INSERT INTO `sys_job_log` VALUES (62473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:29:15');
INSERT INTO `sys_job_log` VALUES (62474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:29:15');
INSERT INTO `sys_job_log` VALUES (62475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:29:20');
INSERT INTO `sys_job_log` VALUES (62476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:29:25');
INSERT INTO `sys_job_log` VALUES (62477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:29:30');
INSERT INTO `sys_job_log` VALUES (62478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:29:30');
INSERT INTO `sys_job_log` VALUES (62479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:29:35');
INSERT INTO `sys_job_log` VALUES (62480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:29:40');
INSERT INTO `sys_job_log` VALUES (62481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:29:45');
INSERT INTO `sys_job_log` VALUES (62482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:29:45');
INSERT INTO `sys_job_log` VALUES (62483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:29:50');
INSERT INTO `sys_job_log` VALUES (62484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:29:55');
INSERT INTO `sys_job_log` VALUES (62485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:30:00');
INSERT INTO `sys_job_log` VALUES (62486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:30:00');
INSERT INTO `sys_job_log` VALUES (62487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:30:05');
INSERT INTO `sys_job_log` VALUES (62488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:30:10');
INSERT INTO `sys_job_log` VALUES (62489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:30:15');
INSERT INTO `sys_job_log` VALUES (62490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 13:30:15');
INSERT INTO `sys_job_log` VALUES (62491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:30:20');
INSERT INTO `sys_job_log` VALUES (62492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:30:25');
INSERT INTO `sys_job_log` VALUES (62493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:30:30');
INSERT INTO `sys_job_log` VALUES (62494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:30:30');
INSERT INTO `sys_job_log` VALUES (62495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:30:35');
INSERT INTO `sys_job_log` VALUES (62496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:30:40');
INSERT INTO `sys_job_log` VALUES (62497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:30:45');
INSERT INTO `sys_job_log` VALUES (62498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:30:45');
INSERT INTO `sys_job_log` VALUES (62499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:30:50');
INSERT INTO `sys_job_log` VALUES (62500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:30:55');
INSERT INTO `sys_job_log` VALUES (62501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:31:00');
INSERT INTO `sys_job_log` VALUES (62502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 13:31:00');
INSERT INTO `sys_job_log` VALUES (62503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 13:31:05');
INSERT INTO `sys_job_log` VALUES (62504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:31:10');
INSERT INTO `sys_job_log` VALUES (62505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:31:15');
INSERT INTO `sys_job_log` VALUES (62506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:31:15');
INSERT INTO `sys_job_log` VALUES (62507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:31:20');
INSERT INTO `sys_job_log` VALUES (62508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:31:25');
INSERT INTO `sys_job_log` VALUES (62509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:31:30');
INSERT INTO `sys_job_log` VALUES (62510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:31:30');
INSERT INTO `sys_job_log` VALUES (62511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:31:35');
INSERT INTO `sys_job_log` VALUES (62512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:31:40');
INSERT INTO `sys_job_log` VALUES (62513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:31:45');
INSERT INTO `sys_job_log` VALUES (62514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:31:45');
INSERT INTO `sys_job_log` VALUES (62515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 13:31:50');
INSERT INTO `sys_job_log` VALUES (62516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:31:55');
INSERT INTO `sys_job_log` VALUES (62517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:00');
INSERT INTO `sys_job_log` VALUES (62518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:32:00');
INSERT INTO `sys_job_log` VALUES (62519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:05');
INSERT INTO `sys_job_log` VALUES (62520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:32:10');
INSERT INTO `sys_job_log` VALUES (62521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:15');
INSERT INTO `sys_job_log` VALUES (62522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:15');
INSERT INTO `sys_job_log` VALUES (62523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:32:20');
INSERT INTO `sys_job_log` VALUES (62524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:32:25');
INSERT INTO `sys_job_log` VALUES (62525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:30');
INSERT INTO `sys_job_log` VALUES (62526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:30');
INSERT INTO `sys_job_log` VALUES (62527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 13:32:35');
INSERT INTO `sys_job_log` VALUES (62528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:32:40');
INSERT INTO `sys_job_log` VALUES (62529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:32:45');
INSERT INTO `sys_job_log` VALUES (62530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:45');
INSERT INTO `sys_job_log` VALUES (62531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:32:50');
INSERT INTO `sys_job_log` VALUES (62532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:32:55');
INSERT INTO `sys_job_log` VALUES (62533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:00');
INSERT INTO `sys_job_log` VALUES (62534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:00');
INSERT INTO `sys_job_log` VALUES (62535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:05');
INSERT INTO `sys_job_log` VALUES (62536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:10');
INSERT INTO `sys_job_log` VALUES (62537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:15');
INSERT INTO `sys_job_log` VALUES (62538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:15');
INSERT INTO `sys_job_log` VALUES (62539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:20');
INSERT INTO `sys_job_log` VALUES (62540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:25');
INSERT INTO `sys_job_log` VALUES (62541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:33:30');
INSERT INTO `sys_job_log` VALUES (62542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:33:30');
INSERT INTO `sys_job_log` VALUES (62543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:35');
INSERT INTO `sys_job_log` VALUES (62544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:40');
INSERT INTO `sys_job_log` VALUES (62545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:45');
INSERT INTO `sys_job_log` VALUES (62546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:33:45');
INSERT INTO `sys_job_log` VALUES (62547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:50');
INSERT INTO `sys_job_log` VALUES (62548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:33:55');
INSERT INTO `sys_job_log` VALUES (62549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:34:00');
INSERT INTO `sys_job_log` VALUES (62550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:34:00');
INSERT INTO `sys_job_log` VALUES (62551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:34:05');
INSERT INTO `sys_job_log` VALUES (62552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:34:10');
INSERT INTO `sys_job_log` VALUES (62553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:34:15');
INSERT INTO `sys_job_log` VALUES (62554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:34:15');
INSERT INTO `sys_job_log` VALUES (62555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:34:20');
INSERT INTO `sys_job_log` VALUES (62556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:34:25');
INSERT INTO `sys_job_log` VALUES (62557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:34:30');
INSERT INTO `sys_job_log` VALUES (62558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:34:30');
INSERT INTO `sys_job_log` VALUES (62559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 13:34:35');
INSERT INTO `sys_job_log` VALUES (62560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:34:40');
INSERT INTO `sys_job_log` VALUES (62561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:34:45');
INSERT INTO `sys_job_log` VALUES (62562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:34:45');
INSERT INTO `sys_job_log` VALUES (62563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:34:50');
INSERT INTO `sys_job_log` VALUES (62564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:34:55');
INSERT INTO `sys_job_log` VALUES (62565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:35:00');
INSERT INTO `sys_job_log` VALUES (62566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:35:00');
INSERT INTO `sys_job_log` VALUES (62567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:35:05');
INSERT INTO `sys_job_log` VALUES (62568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:35:10');
INSERT INTO `sys_job_log` VALUES (62569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:35:15');
INSERT INTO `sys_job_log` VALUES (62570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:35:15');
INSERT INTO `sys_job_log` VALUES (62571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:35:20');
INSERT INTO `sys_job_log` VALUES (62572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:35:25');
INSERT INTO `sys_job_log` VALUES (62573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:35:30');
INSERT INTO `sys_job_log` VALUES (62574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:35:30');
INSERT INTO `sys_job_log` VALUES (62575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:35:35');
INSERT INTO `sys_job_log` VALUES (62576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:35:40');
INSERT INTO `sys_job_log` VALUES (62577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:35:45');
INSERT INTO `sys_job_log` VALUES (62578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:35:45');
INSERT INTO `sys_job_log` VALUES (62579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:35:50');
INSERT INTO `sys_job_log` VALUES (62580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:35:55');
INSERT INTO `sys_job_log` VALUES (62581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:36:00');
INSERT INTO `sys_job_log` VALUES (62582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:36:00');
INSERT INTO `sys_job_log` VALUES (62583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:36:05');
INSERT INTO `sys_job_log` VALUES (62584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:36:10');
INSERT INTO `sys_job_log` VALUES (62585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:36:15');
INSERT INTO `sys_job_log` VALUES (62586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:36:15');
INSERT INTO `sys_job_log` VALUES (62587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:36:20');
INSERT INTO `sys_job_log` VALUES (62588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:36:25');
INSERT INTO `sys_job_log` VALUES (62589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:36:30');
INSERT INTO `sys_job_log` VALUES (62590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:36:30');
INSERT INTO `sys_job_log` VALUES (62591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 13:36:35');
INSERT INTO `sys_job_log` VALUES (62592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:36:40');
INSERT INTO `sys_job_log` VALUES (62593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:36:45');
INSERT INTO `sys_job_log` VALUES (62594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:36:45');
INSERT INTO `sys_job_log` VALUES (62595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:36:50');
INSERT INTO `sys_job_log` VALUES (62596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:36:55');
INSERT INTO `sys_job_log` VALUES (62597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:00');
INSERT INTO `sys_job_log` VALUES (62598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:37:00');
INSERT INTO `sys_job_log` VALUES (62599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:37:05');
INSERT INTO `sys_job_log` VALUES (62600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:37:10');
INSERT INTO `sys_job_log` VALUES (62601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:15');
INSERT INTO `sys_job_log` VALUES (62602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:15');
INSERT INTO `sys_job_log` VALUES (62603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:37:20');
INSERT INTO `sys_job_log` VALUES (62604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:37:25');
INSERT INTO `sys_job_log` VALUES (62605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:30');
INSERT INTO `sys_job_log` VALUES (62606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:30');
INSERT INTO `sys_job_log` VALUES (62607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:37:35');
INSERT INTO `sys_job_log` VALUES (62608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:37:40');
INSERT INTO `sys_job_log` VALUES (62609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:37:45');
INSERT INTO `sys_job_log` VALUES (62610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:37:45');
INSERT INTO `sys_job_log` VALUES (62611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:50');
INSERT INTO `sys_job_log` VALUES (62612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:37:55');
INSERT INTO `sys_job_log` VALUES (62613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:38:00');
INSERT INTO `sys_job_log` VALUES (62614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:38:00');
INSERT INTO `sys_job_log` VALUES (62615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:38:05');
INSERT INTO `sys_job_log` VALUES (62616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:38:10');
INSERT INTO `sys_job_log` VALUES (62617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:38:15');
INSERT INTO `sys_job_log` VALUES (62618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:38:15');
INSERT INTO `sys_job_log` VALUES (62619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:38:20');
INSERT INTO `sys_job_log` VALUES (62620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:38:25');
INSERT INTO `sys_job_log` VALUES (62621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:38:30');
INSERT INTO `sys_job_log` VALUES (62622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:38:30');
INSERT INTO `sys_job_log` VALUES (62623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:38:35');
INSERT INTO `sys_job_log` VALUES (62624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:38:40');
INSERT INTO `sys_job_log` VALUES (62625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:38:45');
INSERT INTO `sys_job_log` VALUES (62626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:38:45');
INSERT INTO `sys_job_log` VALUES (62627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:38:50');
INSERT INTO `sys_job_log` VALUES (62628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:38:55');
INSERT INTO `sys_job_log` VALUES (62629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:39:00');
INSERT INTO `sys_job_log` VALUES (62630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:39:00');
INSERT INTO `sys_job_log` VALUES (62631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:39:05');
INSERT INTO `sys_job_log` VALUES (62632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:39:10');
INSERT INTO `sys_job_log` VALUES (62633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:39:15');
INSERT INTO `sys_job_log` VALUES (62634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:39:15');
INSERT INTO `sys_job_log` VALUES (62635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:39:20');
INSERT INTO `sys_job_log` VALUES (62636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:39:25');
INSERT INTO `sys_job_log` VALUES (62637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:39:30');
INSERT INTO `sys_job_log` VALUES (62638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:39:30');
INSERT INTO `sys_job_log` VALUES (62639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:39:35');
INSERT INTO `sys_job_log` VALUES (62640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:39:40');
INSERT INTO `sys_job_log` VALUES (62641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:39:45');
INSERT INTO `sys_job_log` VALUES (62642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:39:45');
INSERT INTO `sys_job_log` VALUES (62643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:39:50');
INSERT INTO `sys_job_log` VALUES (62644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:39:55');
INSERT INTO `sys_job_log` VALUES (62645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:40:00');
INSERT INTO `sys_job_log` VALUES (62646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:40:00');
INSERT INTO `sys_job_log` VALUES (62647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:40:05');
INSERT INTO `sys_job_log` VALUES (62648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:40:10');
INSERT INTO `sys_job_log` VALUES (62649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:40:15');
INSERT INTO `sys_job_log` VALUES (62650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:40:15');
INSERT INTO `sys_job_log` VALUES (62651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:40:20');
INSERT INTO `sys_job_log` VALUES (62652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:40:25');
INSERT INTO `sys_job_log` VALUES (62653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2025-01-02 13:40:30');
INSERT INTO `sys_job_log` VALUES (62654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：149毫秒', '0', '', '2025-01-02 13:40:30');
INSERT INTO `sys_job_log` VALUES (62655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:40:35');
INSERT INTO `sys_job_log` VALUES (62656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:40:40');
INSERT INTO `sys_job_log` VALUES (62657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 13:40:45');
INSERT INTO `sys_job_log` VALUES (62658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-02 13:40:45');
INSERT INTO `sys_job_log` VALUES (62659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:40:50');
INSERT INTO `sys_job_log` VALUES (62660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:40:55');
INSERT INTO `sys_job_log` VALUES (62661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:41:00');
INSERT INTO `sys_job_log` VALUES (62662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:41:00');
INSERT INTO `sys_job_log` VALUES (62663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:41:05');
INSERT INTO `sys_job_log` VALUES (62664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:41:10');
INSERT INTO `sys_job_log` VALUES (62665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:41:15');
INSERT INTO `sys_job_log` VALUES (62666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:41:15');
INSERT INTO `sys_job_log` VALUES (62667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:41:20');
INSERT INTO `sys_job_log` VALUES (62668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:41:25');
INSERT INTO `sys_job_log` VALUES (62669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:41:30');
INSERT INTO `sys_job_log` VALUES (62670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:41:30');
INSERT INTO `sys_job_log` VALUES (62671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:41:35');
INSERT INTO `sys_job_log` VALUES (62672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:41:40');
INSERT INTO `sys_job_log` VALUES (62673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:41:45');
INSERT INTO `sys_job_log` VALUES (62674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:41:45');
INSERT INTO `sys_job_log` VALUES (62675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:41:50');
INSERT INTO `sys_job_log` VALUES (62676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:41:55');
INSERT INTO `sys_job_log` VALUES (62677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:42:00');
INSERT INTO `sys_job_log` VALUES (62678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:42:00');
INSERT INTO `sys_job_log` VALUES (62679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:05');
INSERT INTO `sys_job_log` VALUES (62680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:42:10');
INSERT INTO `sys_job_log` VALUES (62681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:15');
INSERT INTO `sys_job_log` VALUES (62682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:15');
INSERT INTO `sys_job_log` VALUES (62683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:42:20');
INSERT INTO `sys_job_log` VALUES (62684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:25');
INSERT INTO `sys_job_log` VALUES (62685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:30');
INSERT INTO `sys_job_log` VALUES (62686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:30');
INSERT INTO `sys_job_log` VALUES (62687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:42:35');
INSERT INTO `sys_job_log` VALUES (62688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:42:40');
INSERT INTO `sys_job_log` VALUES (62689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:42:45');
INSERT INTO `sys_job_log` VALUES (62690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:42:45');
INSERT INTO `sys_job_log` VALUES (62691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:42:50');
INSERT INTO `sys_job_log` VALUES (62692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:42:55');
INSERT INTO `sys_job_log` VALUES (62693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:43:00');
INSERT INTO `sys_job_log` VALUES (62694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:43:00');
INSERT INTO `sys_job_log` VALUES (62695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:43:05');
INSERT INTO `sys_job_log` VALUES (62696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:43:10');
INSERT INTO `sys_job_log` VALUES (62697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:43:15');
INSERT INTO `sys_job_log` VALUES (62698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:43:15');
INSERT INTO `sys_job_log` VALUES (62699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:43:20');
INSERT INTO `sys_job_log` VALUES (62700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:43:25');
INSERT INTO `sys_job_log` VALUES (62701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:43:30');
INSERT INTO `sys_job_log` VALUES (62702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:43:30');
INSERT INTO `sys_job_log` VALUES (62703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:43:35');
INSERT INTO `sys_job_log` VALUES (62704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:43:40');
INSERT INTO `sys_job_log` VALUES (62705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:43:45');
INSERT INTO `sys_job_log` VALUES (62706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:43:45');
INSERT INTO `sys_job_log` VALUES (62707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:43:50');
INSERT INTO `sys_job_log` VALUES (62708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:43:55');
INSERT INTO `sys_job_log` VALUES (62709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:00');
INSERT INTO `sys_job_log` VALUES (62710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:00');
INSERT INTO `sys_job_log` VALUES (62711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:44:05');
INSERT INTO `sys_job_log` VALUES (62712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:44:10');
INSERT INTO `sys_job_log` VALUES (62713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:15');
INSERT INTO `sys_job_log` VALUES (62714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:15');
INSERT INTO `sys_job_log` VALUES (62715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:20');
INSERT INTO `sys_job_log` VALUES (62716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:44:25');
INSERT INTO `sys_job_log` VALUES (62717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:30');
INSERT INTO `sys_job_log` VALUES (62718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:30');
INSERT INTO `sys_job_log` VALUES (62719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:44:35');
INSERT INTO `sys_job_log` VALUES (62720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 13:44:40');
INSERT INTO `sys_job_log` VALUES (62721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:44:45');
INSERT INTO `sys_job_log` VALUES (62722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:44:45');
INSERT INTO `sys_job_log` VALUES (62723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:44:50');
INSERT INTO `sys_job_log` VALUES (62724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:44:55');
INSERT INTO `sys_job_log` VALUES (62725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:45:00');
INSERT INTO `sys_job_log` VALUES (62726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:45:00');
INSERT INTO `sys_job_log` VALUES (62727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:45:05');
INSERT INTO `sys_job_log` VALUES (62728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:45:10');
INSERT INTO `sys_job_log` VALUES (62729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:45:15');
INSERT INTO `sys_job_log` VALUES (62730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:45:15');
INSERT INTO `sys_job_log` VALUES (62731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:45:20');
INSERT INTO `sys_job_log` VALUES (62732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:45:25');
INSERT INTO `sys_job_log` VALUES (62733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:45:30');
INSERT INTO `sys_job_log` VALUES (62734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:45:30');
INSERT INTO `sys_job_log` VALUES (62735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:45:35');
INSERT INTO `sys_job_log` VALUES (62736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:45:40');
INSERT INTO `sys_job_log` VALUES (62737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:45:45');
INSERT INTO `sys_job_log` VALUES (62738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:45:45');
INSERT INTO `sys_job_log` VALUES (62739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:45:50');
INSERT INTO `sys_job_log` VALUES (62740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:45:55');
INSERT INTO `sys_job_log` VALUES (62741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 13:46:00');
INSERT INTO `sys_job_log` VALUES (62742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:46:00');
INSERT INTO `sys_job_log` VALUES (62743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:46:05');
INSERT INTO `sys_job_log` VALUES (62744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:46:10');
INSERT INTO `sys_job_log` VALUES (62745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:46:15');
INSERT INTO `sys_job_log` VALUES (62746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:46:15');
INSERT INTO `sys_job_log` VALUES (62747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:46:20');
INSERT INTO `sys_job_log` VALUES (62748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 13:46:25');
INSERT INTO `sys_job_log` VALUES (62749, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:46:30');
INSERT INTO `sys_job_log` VALUES (62750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:46:30');
INSERT INTO `sys_job_log` VALUES (62751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:46:35');
INSERT INTO `sys_job_log` VALUES (62752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:46:40');
INSERT INTO `sys_job_log` VALUES (62753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:46:45');
INSERT INTO `sys_job_log` VALUES (62754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:46:45');
INSERT INTO `sys_job_log` VALUES (62755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:46:50');
INSERT INTO `sys_job_log` VALUES (62756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:46:55');
INSERT INTO `sys_job_log` VALUES (62757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:47:00');
INSERT INTO `sys_job_log` VALUES (62758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:47:00');
INSERT INTO `sys_job_log` VALUES (62759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:47:05');
INSERT INTO `sys_job_log` VALUES (62760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:47:10');
INSERT INTO `sys_job_log` VALUES (62761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:47:15');
INSERT INTO `sys_job_log` VALUES (62762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:47:15');
INSERT INTO `sys_job_log` VALUES (62763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:47:20');
INSERT INTO `sys_job_log` VALUES (62764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:47:25');
INSERT INTO `sys_job_log` VALUES (62765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:47:30');
INSERT INTO `sys_job_log` VALUES (62766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:47:30');
INSERT INTO `sys_job_log` VALUES (62767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:47:35');
INSERT INTO `sys_job_log` VALUES (62768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:47:40');
INSERT INTO `sys_job_log` VALUES (62769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:47:45');
INSERT INTO `sys_job_log` VALUES (62770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:47:45');
INSERT INTO `sys_job_log` VALUES (62771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:47:50');
INSERT INTO `sys_job_log` VALUES (62772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:47:55');
INSERT INTO `sys_job_log` VALUES (62773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:48:00');
INSERT INTO `sys_job_log` VALUES (62774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:48:00');
INSERT INTO `sys_job_log` VALUES (62775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:48:05');
INSERT INTO `sys_job_log` VALUES (62776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:48:10');
INSERT INTO `sys_job_log` VALUES (62777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:48:15');
INSERT INTO `sys_job_log` VALUES (62778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:48:15');
INSERT INTO `sys_job_log` VALUES (62779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:48:20');
INSERT INTO `sys_job_log` VALUES (62780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:48:25');
INSERT INTO `sys_job_log` VALUES (62781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:48:30');
INSERT INTO `sys_job_log` VALUES (62782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:48:30');
INSERT INTO `sys_job_log` VALUES (62783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:48:35');
INSERT INTO `sys_job_log` VALUES (62784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:48:40');
INSERT INTO `sys_job_log` VALUES (62785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:48:45');
INSERT INTO `sys_job_log` VALUES (62786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:48:45');
INSERT INTO `sys_job_log` VALUES (62787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:48:50');
INSERT INTO `sys_job_log` VALUES (62788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:48:55');
INSERT INTO `sys_job_log` VALUES (62789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:49:00');
INSERT INTO `sys_job_log` VALUES (62790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:49:00');
INSERT INTO `sys_job_log` VALUES (62791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:49:05');
INSERT INTO `sys_job_log` VALUES (62792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:49:10');
INSERT INTO `sys_job_log` VALUES (62793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:49:15');
INSERT INTO `sys_job_log` VALUES (62794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:49:15');
INSERT INTO `sys_job_log` VALUES (62795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:49:20');
INSERT INTO `sys_job_log` VALUES (62796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:49:25');
INSERT INTO `sys_job_log` VALUES (62797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:49:30');
INSERT INTO `sys_job_log` VALUES (62798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:49:30');
INSERT INTO `sys_job_log` VALUES (62799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:49:35');
INSERT INTO `sys_job_log` VALUES (62800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:49:40');
INSERT INTO `sys_job_log` VALUES (62801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:49:45');
INSERT INTO `sys_job_log` VALUES (62802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:49:45');
INSERT INTO `sys_job_log` VALUES (62803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:49:50');
INSERT INTO `sys_job_log` VALUES (62804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:49:55');
INSERT INTO `sys_job_log` VALUES (62805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 13:50:00');
INSERT INTO `sys_job_log` VALUES (62806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:50:00');
INSERT INTO `sys_job_log` VALUES (62807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:50:05');
INSERT INTO `sys_job_log` VALUES (62808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:50:10');
INSERT INTO `sys_job_log` VALUES (62809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:50:15');
INSERT INTO `sys_job_log` VALUES (62810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:50:15');
INSERT INTO `sys_job_log` VALUES (62811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:50:20');
INSERT INTO `sys_job_log` VALUES (62812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:50:25');
INSERT INTO `sys_job_log` VALUES (62813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:50:30');
INSERT INTO `sys_job_log` VALUES (62814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:50:30');
INSERT INTO `sys_job_log` VALUES (62815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:50:35');
INSERT INTO `sys_job_log` VALUES (62816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:50:40');
INSERT INTO `sys_job_log` VALUES (62817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:50:45');
INSERT INTO `sys_job_log` VALUES (62818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:50:45');
INSERT INTO `sys_job_log` VALUES (62819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:50:50');
INSERT INTO `sys_job_log` VALUES (62820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:50:55');
INSERT INTO `sys_job_log` VALUES (62821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:51:00');
INSERT INTO `sys_job_log` VALUES (62822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:51:00');
INSERT INTO `sys_job_log` VALUES (62823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:51:05');
INSERT INTO `sys_job_log` VALUES (62824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:51:10');
INSERT INTO `sys_job_log` VALUES (62825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:51:15');
INSERT INTO `sys_job_log` VALUES (62826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:51:15');
INSERT INTO `sys_job_log` VALUES (62827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:51:20');
INSERT INTO `sys_job_log` VALUES (62828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:51:25');
INSERT INTO `sys_job_log` VALUES (62829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:51:30');
INSERT INTO `sys_job_log` VALUES (62830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:51:30');
INSERT INTO `sys_job_log` VALUES (62831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:51:35');
INSERT INTO `sys_job_log` VALUES (62832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:51:40');
INSERT INTO `sys_job_log` VALUES (62833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:51:45');
INSERT INTO `sys_job_log` VALUES (62834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:51:45');
INSERT INTO `sys_job_log` VALUES (62835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:51:50');
INSERT INTO `sys_job_log` VALUES (62836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:51:55');
INSERT INTO `sys_job_log` VALUES (62837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:52:00');
INSERT INTO `sys_job_log` VALUES (62838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:52:00');
INSERT INTO `sys_job_log` VALUES (62839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:52:05');
INSERT INTO `sys_job_log` VALUES (62840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:52:10');
INSERT INTO `sys_job_log` VALUES (62841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:52:15');
INSERT INTO `sys_job_log` VALUES (62842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:52:15');
INSERT INTO `sys_job_log` VALUES (62843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:52:20');
INSERT INTO `sys_job_log` VALUES (62844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:52:25');
INSERT INTO `sys_job_log` VALUES (62845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:52:30');
INSERT INTO `sys_job_log` VALUES (62846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:52:30');
INSERT INTO `sys_job_log` VALUES (62847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:52:35');
INSERT INTO `sys_job_log` VALUES (62848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:52:40');
INSERT INTO `sys_job_log` VALUES (62849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:52:45');
INSERT INTO `sys_job_log` VALUES (62850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:52:45');
INSERT INTO `sys_job_log` VALUES (62851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:52:50');
INSERT INTO `sys_job_log` VALUES (62852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:52:55');
INSERT INTO `sys_job_log` VALUES (62853, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:53:00');
INSERT INTO `sys_job_log` VALUES (62854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:53:00');
INSERT INTO `sys_job_log` VALUES (62855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:53:05');
INSERT INTO `sys_job_log` VALUES (62856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:53:10');
INSERT INTO `sys_job_log` VALUES (62857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:53:15');
INSERT INTO `sys_job_log` VALUES (62858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:53:15');
INSERT INTO `sys_job_log` VALUES (62859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:53:20');
INSERT INTO `sys_job_log` VALUES (62860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:53:25');
INSERT INTO `sys_job_log` VALUES (62861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:53:30');
INSERT INTO `sys_job_log` VALUES (62862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:53:30');
INSERT INTO `sys_job_log` VALUES (62863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:53:35');
INSERT INTO `sys_job_log` VALUES (62864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:53:40');
INSERT INTO `sys_job_log` VALUES (62865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 13:53:45');
INSERT INTO `sys_job_log` VALUES (62866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 13:53:45');
INSERT INTO `sys_job_log` VALUES (62867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:53:50');
INSERT INTO `sys_job_log` VALUES (62868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:53:55');
INSERT INTO `sys_job_log` VALUES (62869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:54:00');
INSERT INTO `sys_job_log` VALUES (62870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:54:00');
INSERT INTO `sys_job_log` VALUES (62871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:54:05');
INSERT INTO `sys_job_log` VALUES (62872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:54:10');
INSERT INTO `sys_job_log` VALUES (62873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:54:15');
INSERT INTO `sys_job_log` VALUES (62874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:54:15');
INSERT INTO `sys_job_log` VALUES (62875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1844毫秒', '0', '', '2025-01-02 13:54:21');
INSERT INTO `sys_job_log` VALUES (62876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:54:25');
INSERT INTO `sys_job_log` VALUES (62877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 13:54:30');
INSERT INTO `sys_job_log` VALUES (62878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 13:54:30');
INSERT INTO `sys_job_log` VALUES (62879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:54:35');
INSERT INTO `sys_job_log` VALUES (62880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:54:40');
INSERT INTO `sys_job_log` VALUES (62881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:54:45');
INSERT INTO `sys_job_log` VALUES (62882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:54:45');
INSERT INTO `sys_job_log` VALUES (62883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:54:50');
INSERT INTO `sys_job_log` VALUES (62884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:54:55');
INSERT INTO `sys_job_log` VALUES (62885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:55:00');
INSERT INTO `sys_job_log` VALUES (62886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:55:00');
INSERT INTO `sys_job_log` VALUES (62887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:55:05');
INSERT INTO `sys_job_log` VALUES (62888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:55:10');
INSERT INTO `sys_job_log` VALUES (62889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:55:15');
INSERT INTO `sys_job_log` VALUES (62890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:55:15');
INSERT INTO `sys_job_log` VALUES (62891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:55:20');
INSERT INTO `sys_job_log` VALUES (62892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 13:55:25');
INSERT INTO `sys_job_log` VALUES (62893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:55:30');
INSERT INTO `sys_job_log` VALUES (62894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:55:30');
INSERT INTO `sys_job_log` VALUES (62895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:55:35');
INSERT INTO `sys_job_log` VALUES (62896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:55:40');
INSERT INTO `sys_job_log` VALUES (62897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 13:55:45');
INSERT INTO `sys_job_log` VALUES (62898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-02 13:55:45');
INSERT INTO `sys_job_log` VALUES (62899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:55:50');
INSERT INTO `sys_job_log` VALUES (62900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 13:55:55');
INSERT INTO `sys_job_log` VALUES (62901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:56:00');
INSERT INTO `sys_job_log` VALUES (62902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:56:00');
INSERT INTO `sys_job_log` VALUES (62903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:56:05');
INSERT INTO `sys_job_log` VALUES (62904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:56:10');
INSERT INTO `sys_job_log` VALUES (62905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:56:15');
INSERT INTO `sys_job_log` VALUES (62906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:56:15');
INSERT INTO `sys_job_log` VALUES (62907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:56:20');
INSERT INTO `sys_job_log` VALUES (62908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:56:25');
INSERT INTO `sys_job_log` VALUES (62909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:56:30');
INSERT INTO `sys_job_log` VALUES (62910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:56:30');
INSERT INTO `sys_job_log` VALUES (62911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2025-01-02 13:56:35');
INSERT INTO `sys_job_log` VALUES (62912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:56:40');
INSERT INTO `sys_job_log` VALUES (62913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:56:45');
INSERT INTO `sys_job_log` VALUES (62914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:56:45');
INSERT INTO `sys_job_log` VALUES (62915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:56:50');
INSERT INTO `sys_job_log` VALUES (62916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:56:55');
INSERT INTO `sys_job_log` VALUES (62917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 13:57:00');
INSERT INTO `sys_job_log` VALUES (62918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:57:00');
INSERT INTO `sys_job_log` VALUES (62919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:57:05');
INSERT INTO `sys_job_log` VALUES (62920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:57:10');
INSERT INTO `sys_job_log` VALUES (62921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:57:15');
INSERT INTO `sys_job_log` VALUES (62922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:57:15');
INSERT INTO `sys_job_log` VALUES (62923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:57:20');
INSERT INTO `sys_job_log` VALUES (62924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 13:57:25');
INSERT INTO `sys_job_log` VALUES (62925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:57:30');
INSERT INTO `sys_job_log` VALUES (62926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:57:30');
INSERT INTO `sys_job_log` VALUES (62927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:57:35');
INSERT INTO `sys_job_log` VALUES (62928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:57:40');
INSERT INTO `sys_job_log` VALUES (62929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:57:45');
INSERT INTO `sys_job_log` VALUES (62930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:57:45');
INSERT INTO `sys_job_log` VALUES (62931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:57:50');
INSERT INTO `sys_job_log` VALUES (62932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:57:55');
INSERT INTO `sys_job_log` VALUES (62933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 13:58:00');
INSERT INTO `sys_job_log` VALUES (62934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:58:00');
INSERT INTO `sys_job_log` VALUES (62935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:58:05');
INSERT INTO `sys_job_log` VALUES (62936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:58:10');
INSERT INTO `sys_job_log` VALUES (62937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:58:15');
INSERT INTO `sys_job_log` VALUES (62938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:58:15');
INSERT INTO `sys_job_log` VALUES (62939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:58:20');
INSERT INTO `sys_job_log` VALUES (62940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:58:25');
INSERT INTO `sys_job_log` VALUES (62941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:58:30');
INSERT INTO `sys_job_log` VALUES (62942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:58:30');
INSERT INTO `sys_job_log` VALUES (62943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:58:35');
INSERT INTO `sys_job_log` VALUES (62944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:58:40');
INSERT INTO `sys_job_log` VALUES (62945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:58:45');
INSERT INTO `sys_job_log` VALUES (62946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:58:45');
INSERT INTO `sys_job_log` VALUES (62947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2025-01-02 13:58:50');
INSERT INTO `sys_job_log` VALUES (62948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:58:55');
INSERT INTO `sys_job_log` VALUES (62949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:59:00');
INSERT INTO `sys_job_log` VALUES (62950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:59:00');
INSERT INTO `sys_job_log` VALUES (62951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 13:59:05');
INSERT INTO `sys_job_log` VALUES (62952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:59:10');
INSERT INTO `sys_job_log` VALUES (62953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:59:15');
INSERT INTO `sys_job_log` VALUES (62954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:59:15');
INSERT INTO `sys_job_log` VALUES (62955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:59:20');
INSERT INTO `sys_job_log` VALUES (62956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 13:59:25');
INSERT INTO `sys_job_log` VALUES (62957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:59:30');
INSERT INTO `sys_job_log` VALUES (62958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:59:30');
INSERT INTO `sys_job_log` VALUES (62959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:59:35');
INSERT INTO `sys_job_log` VALUES (62960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:59:40');
INSERT INTO `sys_job_log` VALUES (62961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:59:45');
INSERT INTO `sys_job_log` VALUES (62962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:59:45');
INSERT INTO `sys_job_log` VALUES (62963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:59:50');
INSERT INTO `sys_job_log` VALUES (62964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:59:55');
INSERT INTO `sys_job_log` VALUES (62965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:00:00');
INSERT INTO `sys_job_log` VALUES (62966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:00:00');
INSERT INTO `sys_job_log` VALUES (62967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:00:05');
INSERT INTO `sys_job_log` VALUES (62968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:00:10');
INSERT INTO `sys_job_log` VALUES (62969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:00:15');
INSERT INTO `sys_job_log` VALUES (62970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:00:15');
INSERT INTO `sys_job_log` VALUES (62971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:00:20');
INSERT INTO `sys_job_log` VALUES (62972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:00:25');
INSERT INTO `sys_job_log` VALUES (62973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:00:30');
INSERT INTO `sys_job_log` VALUES (62974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:00:30');
INSERT INTO `sys_job_log` VALUES (62975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:00:35');
INSERT INTO `sys_job_log` VALUES (62976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:00:40');
INSERT INTO `sys_job_log` VALUES (62977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:00:45');
INSERT INTO `sys_job_log` VALUES (62978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:00:45');
INSERT INTO `sys_job_log` VALUES (62979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:00:50');
INSERT INTO `sys_job_log` VALUES (62980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:00:55');
INSERT INTO `sys_job_log` VALUES (62981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:01:00');
INSERT INTO `sys_job_log` VALUES (62982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:01:00');
INSERT INTO `sys_job_log` VALUES (62983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:01:05');
INSERT INTO `sys_job_log` VALUES (62984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:01:10');
INSERT INTO `sys_job_log` VALUES (62985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:01:15');
INSERT INTO `sys_job_log` VALUES (62986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:01:15');
INSERT INTO `sys_job_log` VALUES (62987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:01:20');
INSERT INTO `sys_job_log` VALUES (62988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:01:25');
INSERT INTO `sys_job_log` VALUES (62989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:01:30');
INSERT INTO `sys_job_log` VALUES (62990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:01:30');
INSERT INTO `sys_job_log` VALUES (62991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:01:35');
INSERT INTO `sys_job_log` VALUES (62992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:01:40');
INSERT INTO `sys_job_log` VALUES (62993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:01:45');
INSERT INTO `sys_job_log` VALUES (62994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:01:45');
INSERT INTO `sys_job_log` VALUES (62995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:01:50');
INSERT INTO `sys_job_log` VALUES (62996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:01:55');
INSERT INTO `sys_job_log` VALUES (62997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:02:00');
INSERT INTO `sys_job_log` VALUES (62998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:02:00');
INSERT INTO `sys_job_log` VALUES (62999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:02:05');
INSERT INTO `sys_job_log` VALUES (63000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:02:10');
INSERT INTO `sys_job_log` VALUES (63001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:02:15');
INSERT INTO `sys_job_log` VALUES (63002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:02:15');
INSERT INTO `sys_job_log` VALUES (63003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:02:20');
INSERT INTO `sys_job_log` VALUES (63004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:02:25');
INSERT INTO `sys_job_log` VALUES (63005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:02:30');
INSERT INTO `sys_job_log` VALUES (63006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:02:30');
INSERT INTO `sys_job_log` VALUES (63007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:02:35');
INSERT INTO `sys_job_log` VALUES (63008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:02:40');
INSERT INTO `sys_job_log` VALUES (63009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:02:45');
INSERT INTO `sys_job_log` VALUES (63010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:02:45');
INSERT INTO `sys_job_log` VALUES (63011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:02:50');
INSERT INTO `sys_job_log` VALUES (63012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:02:55');
INSERT INTO `sys_job_log` VALUES (63013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:03:00');
INSERT INTO `sys_job_log` VALUES (63014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:03:00');
INSERT INTO `sys_job_log` VALUES (63015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:03:05');
INSERT INTO `sys_job_log` VALUES (63016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:03:10');
INSERT INTO `sys_job_log` VALUES (63017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:03:15');
INSERT INTO `sys_job_log` VALUES (63018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:03:15');
INSERT INTO `sys_job_log` VALUES (63019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:03:20');
INSERT INTO `sys_job_log` VALUES (63020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:03:25');
INSERT INTO `sys_job_log` VALUES (63021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:03:30');
INSERT INTO `sys_job_log` VALUES (63022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:03:30');
INSERT INTO `sys_job_log` VALUES (63023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:03:35');
INSERT INTO `sys_job_log` VALUES (63024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:03:40');
INSERT INTO `sys_job_log` VALUES (63025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:03:45');
INSERT INTO `sys_job_log` VALUES (63026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:03:45');
INSERT INTO `sys_job_log` VALUES (63027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:03:50');
INSERT INTO `sys_job_log` VALUES (63028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:03:55');
INSERT INTO `sys_job_log` VALUES (63029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:04:00');
INSERT INTO `sys_job_log` VALUES (63030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:04:00');
INSERT INTO `sys_job_log` VALUES (63031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:04:05');
INSERT INTO `sys_job_log` VALUES (63032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:04:10');
INSERT INTO `sys_job_log` VALUES (63033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:04:15');
INSERT INTO `sys_job_log` VALUES (63034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:04:15');
INSERT INTO `sys_job_log` VALUES (63035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:04:20');
INSERT INTO `sys_job_log` VALUES (63036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:04:25');
INSERT INTO `sys_job_log` VALUES (63037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:04:30');
INSERT INTO `sys_job_log` VALUES (63038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:04:30');
INSERT INTO `sys_job_log` VALUES (63039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:04:35');
INSERT INTO `sys_job_log` VALUES (63040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:04:40');
INSERT INTO `sys_job_log` VALUES (63041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:04:45');
INSERT INTO `sys_job_log` VALUES (63042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:04:45');
INSERT INTO `sys_job_log` VALUES (63043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:04:50');
INSERT INTO `sys_job_log` VALUES (63044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:04:55');
INSERT INTO `sys_job_log` VALUES (63045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:05:00');
INSERT INTO `sys_job_log` VALUES (63046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:05:00');
INSERT INTO `sys_job_log` VALUES (63047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:05:05');
INSERT INTO `sys_job_log` VALUES (63048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:05:10');
INSERT INTO `sys_job_log` VALUES (63049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:05:15');
INSERT INTO `sys_job_log` VALUES (63050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:05:15');
INSERT INTO `sys_job_log` VALUES (63051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:05:20');
INSERT INTO `sys_job_log` VALUES (63052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:05:25');
INSERT INTO `sys_job_log` VALUES (63053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:05:30');
INSERT INTO `sys_job_log` VALUES (63054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:05:30');
INSERT INTO `sys_job_log` VALUES (63055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:05:35');
INSERT INTO `sys_job_log` VALUES (63056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:05:40');
INSERT INTO `sys_job_log` VALUES (63057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:05:45');
INSERT INTO `sys_job_log` VALUES (63058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:05:45');
INSERT INTO `sys_job_log` VALUES (63059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:05:50');
INSERT INTO `sys_job_log` VALUES (63060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:05:55');
INSERT INTO `sys_job_log` VALUES (63061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:06:00');
INSERT INTO `sys_job_log` VALUES (63062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:06:00');
INSERT INTO `sys_job_log` VALUES (63063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:06:05');
INSERT INTO `sys_job_log` VALUES (63064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:06:10');
INSERT INTO `sys_job_log` VALUES (63065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:06:15');
INSERT INTO `sys_job_log` VALUES (63066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:06:15');
INSERT INTO `sys_job_log` VALUES (63067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:06:20');
INSERT INTO `sys_job_log` VALUES (63068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:06:25');
INSERT INTO `sys_job_log` VALUES (63069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:06:30');
INSERT INTO `sys_job_log` VALUES (63070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:06:30');
INSERT INTO `sys_job_log` VALUES (63071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:06:35');
INSERT INTO `sys_job_log` VALUES (63072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:06:40');
INSERT INTO `sys_job_log` VALUES (63073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:06:45');
INSERT INTO `sys_job_log` VALUES (63074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:06:45');
INSERT INTO `sys_job_log` VALUES (63075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:06:50');
INSERT INTO `sys_job_log` VALUES (63076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:06:55');
INSERT INTO `sys_job_log` VALUES (63077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:07:00');
INSERT INTO `sys_job_log` VALUES (63078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:07:00');
INSERT INTO `sys_job_log` VALUES (63079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:07:05');
INSERT INTO `sys_job_log` VALUES (63080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:07:10');
INSERT INTO `sys_job_log` VALUES (63081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:07:15');
INSERT INTO `sys_job_log` VALUES (63082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:07:15');
INSERT INTO `sys_job_log` VALUES (63083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:07:20');
INSERT INTO `sys_job_log` VALUES (63084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:07:25');
INSERT INTO `sys_job_log` VALUES (63085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:07:30');
INSERT INTO `sys_job_log` VALUES (63086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:07:30');
INSERT INTO `sys_job_log` VALUES (63087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:07:35');
INSERT INTO `sys_job_log` VALUES (63088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:07:40');
INSERT INTO `sys_job_log` VALUES (63089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:07:45');
INSERT INTO `sys_job_log` VALUES (63090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:07:45');
INSERT INTO `sys_job_log` VALUES (63091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:07:50');
INSERT INTO `sys_job_log` VALUES (63092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:07:55');
INSERT INTO `sys_job_log` VALUES (63093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:08:00');
INSERT INTO `sys_job_log` VALUES (63094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:08:00');
INSERT INTO `sys_job_log` VALUES (63095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:08:05');
INSERT INTO `sys_job_log` VALUES (63096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:08:10');
INSERT INTO `sys_job_log` VALUES (63097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:08:15');
INSERT INTO `sys_job_log` VALUES (63098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:08:15');
INSERT INTO `sys_job_log` VALUES (63099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:08:20');
INSERT INTO `sys_job_log` VALUES (63100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:08:25');
INSERT INTO `sys_job_log` VALUES (63101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:08:30');
INSERT INTO `sys_job_log` VALUES (63102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:08:30');
INSERT INTO `sys_job_log` VALUES (63103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:08:35');
INSERT INTO `sys_job_log` VALUES (63104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:08:40');
INSERT INTO `sys_job_log` VALUES (63105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:08:45');
INSERT INTO `sys_job_log` VALUES (63106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:08:45');
INSERT INTO `sys_job_log` VALUES (63107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:08:50');
INSERT INTO `sys_job_log` VALUES (63108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:08:55');
INSERT INTO `sys_job_log` VALUES (63109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 14:09:00');
INSERT INTO `sys_job_log` VALUES (63110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:09:00');
INSERT INTO `sys_job_log` VALUES (63111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:09:05');
INSERT INTO `sys_job_log` VALUES (63112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:09:10');
INSERT INTO `sys_job_log` VALUES (63113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:09:15');
INSERT INTO `sys_job_log` VALUES (63114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:09:15');
INSERT INTO `sys_job_log` VALUES (63115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-02 14:09:20');
INSERT INTO `sys_job_log` VALUES (63116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:09:25');
INSERT INTO `sys_job_log` VALUES (63117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:09:30');
INSERT INTO `sys_job_log` VALUES (63118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:09:30');
INSERT INTO `sys_job_log` VALUES (63119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3058毫秒', '0', '', '2025-01-02 14:09:38');
INSERT INTO `sys_job_log` VALUES (63120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:09:40');
INSERT INTO `sys_job_log` VALUES (63121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:09:45');
INSERT INTO `sys_job_log` VALUES (63122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:09:45');
INSERT INTO `sys_job_log` VALUES (63123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:09:50');
INSERT INTO `sys_job_log` VALUES (63124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:09:55');
INSERT INTO `sys_job_log` VALUES (63125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:10:00');
INSERT INTO `sys_job_log` VALUES (63126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:10:00');
INSERT INTO `sys_job_log` VALUES (63127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:10:05');
INSERT INTO `sys_job_log` VALUES (63128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:10:10');
INSERT INTO `sys_job_log` VALUES (63129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:10:15');
INSERT INTO `sys_job_log` VALUES (63130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 14:10:15');
INSERT INTO `sys_job_log` VALUES (63131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:10:20');
INSERT INTO `sys_job_log` VALUES (63132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:10:25');
INSERT INTO `sys_job_log` VALUES (63133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:10:30');
INSERT INTO `sys_job_log` VALUES (63134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:10:30');
INSERT INTO `sys_job_log` VALUES (63135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:10:35');
INSERT INTO `sys_job_log` VALUES (63136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:10:40');
INSERT INTO `sys_job_log` VALUES (63137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:10:45');
INSERT INTO `sys_job_log` VALUES (63138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 14:10:45');
INSERT INTO `sys_job_log` VALUES (63139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:10:50');
INSERT INTO `sys_job_log` VALUES (63140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:10:55');
INSERT INTO `sys_job_log` VALUES (63141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:11:00');
INSERT INTO `sys_job_log` VALUES (63142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 14:11:00');
INSERT INTO `sys_job_log` VALUES (63143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:11:05');
INSERT INTO `sys_job_log` VALUES (63144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:11:10');
INSERT INTO `sys_job_log` VALUES (63145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:11:15');
INSERT INTO `sys_job_log` VALUES (63146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:11:15');
INSERT INTO `sys_job_log` VALUES (63147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:11:20');
INSERT INTO `sys_job_log` VALUES (63148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:11:25');
INSERT INTO `sys_job_log` VALUES (63149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:11:30');
INSERT INTO `sys_job_log` VALUES (63150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:11:30');
INSERT INTO `sys_job_log` VALUES (63151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:11:35');
INSERT INTO `sys_job_log` VALUES (63152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:11:40');
INSERT INTO `sys_job_log` VALUES (63153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 14:11:45');
INSERT INTO `sys_job_log` VALUES (63154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:11:45');
INSERT INTO `sys_job_log` VALUES (63155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:11:50');
INSERT INTO `sys_job_log` VALUES (63156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:11:55');
INSERT INTO `sys_job_log` VALUES (63157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:12:00');
INSERT INTO `sys_job_log` VALUES (63158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:12:00');
INSERT INTO `sys_job_log` VALUES (63159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:12:05');
INSERT INTO `sys_job_log` VALUES (63160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 14:12:10');
INSERT INTO `sys_job_log` VALUES (63161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:12:15');
INSERT INTO `sys_job_log` VALUES (63162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:12:15');
INSERT INTO `sys_job_log` VALUES (63163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:12:20');
INSERT INTO `sys_job_log` VALUES (63164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:12:25');
INSERT INTO `sys_job_log` VALUES (63165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:12:30');
INSERT INTO `sys_job_log` VALUES (63166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:12:30');
INSERT INTO `sys_job_log` VALUES (63167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:12:35');
INSERT INTO `sys_job_log` VALUES (63168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:12:40');
INSERT INTO `sys_job_log` VALUES (63169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:12:45');
INSERT INTO `sys_job_log` VALUES (63170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 14:12:45');
INSERT INTO `sys_job_log` VALUES (63171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:12:50');
INSERT INTO `sys_job_log` VALUES (63172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:12:55');
INSERT INTO `sys_job_log` VALUES (63173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:13:00');
INSERT INTO `sys_job_log` VALUES (63174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:13:00');
INSERT INTO `sys_job_log` VALUES (63175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:13:05');
INSERT INTO `sys_job_log` VALUES (63176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:13:10');
INSERT INTO `sys_job_log` VALUES (63177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:13:15');
INSERT INTO `sys_job_log` VALUES (63178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 14:13:15');
INSERT INTO `sys_job_log` VALUES (63179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:13:20');
INSERT INTO `sys_job_log` VALUES (63180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:13:25');
INSERT INTO `sys_job_log` VALUES (63181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:13:30');
INSERT INTO `sys_job_log` VALUES (63182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:13:30');
INSERT INTO `sys_job_log` VALUES (63183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:13:35');
INSERT INTO `sys_job_log` VALUES (63184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:13:40');
INSERT INTO `sys_job_log` VALUES (63185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:13:45');
INSERT INTO `sys_job_log` VALUES (63186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:13:45');
INSERT INTO `sys_job_log` VALUES (63187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:13:50');
INSERT INTO `sys_job_log` VALUES (63188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:13:55');
INSERT INTO `sys_job_log` VALUES (63189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:00');
INSERT INTO `sys_job_log` VALUES (63190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:00');
INSERT INTO `sys_job_log` VALUES (63191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:14:05');
INSERT INTO `sys_job_log` VALUES (63192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:14:10');
INSERT INTO `sys_job_log` VALUES (63193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:14:15');
INSERT INTO `sys_job_log` VALUES (63194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:14:15');
INSERT INTO `sys_job_log` VALUES (63195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:14:20');
INSERT INTO `sys_job_log` VALUES (63196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:25');
INSERT INTO `sys_job_log` VALUES (63197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:30');
INSERT INTO `sys_job_log` VALUES (63198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:30');
INSERT INTO `sys_job_log` VALUES (63199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:14:35');
INSERT INTO `sys_job_log` VALUES (63200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:40');
INSERT INTO `sys_job_log` VALUES (63201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:14:45');
INSERT INTO `sys_job_log` VALUES (63202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:45');
INSERT INTO `sys_job_log` VALUES (63203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:14:50');
INSERT INTO `sys_job_log` VALUES (63204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:14:55');
INSERT INTO `sys_job_log` VALUES (63205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 14:15:00');
INSERT INTO `sys_job_log` VALUES (63206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：76毫秒', '0', '', '2025-01-02 14:15:00');
INSERT INTO `sys_job_log` VALUES (63207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:15:05');
INSERT INTO `sys_job_log` VALUES (63208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:15:10');
INSERT INTO `sys_job_log` VALUES (63209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:15:15');
INSERT INTO `sys_job_log` VALUES (63210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:15:15');
INSERT INTO `sys_job_log` VALUES (63211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:15:20');
INSERT INTO `sys_job_log` VALUES (63212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:15:25');
INSERT INTO `sys_job_log` VALUES (63213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:15:30');
INSERT INTO `sys_job_log` VALUES (63214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:15:30');
INSERT INTO `sys_job_log` VALUES (63215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:15:35');
INSERT INTO `sys_job_log` VALUES (63216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:15:40');
INSERT INTO `sys_job_log` VALUES (63217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:15:45');
INSERT INTO `sys_job_log` VALUES (63218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:15:45');
INSERT INTO `sys_job_log` VALUES (63219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:15:50');
INSERT INTO `sys_job_log` VALUES (63220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:15:55');
INSERT INTO `sys_job_log` VALUES (63221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:16:00');
INSERT INTO `sys_job_log` VALUES (63222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:16:00');
INSERT INTO `sys_job_log` VALUES (63223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:16:05');
INSERT INTO `sys_job_log` VALUES (63224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:16:10');
INSERT INTO `sys_job_log` VALUES (63225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:16:15');
INSERT INTO `sys_job_log` VALUES (63226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:16:15');
INSERT INTO `sys_job_log` VALUES (63227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:16:20');
INSERT INTO `sys_job_log` VALUES (63228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:16:25');
INSERT INTO `sys_job_log` VALUES (63229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:16:30');
INSERT INTO `sys_job_log` VALUES (63230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:16:30');
INSERT INTO `sys_job_log` VALUES (63231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:16:35');
INSERT INTO `sys_job_log` VALUES (63232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:16:40');
INSERT INTO `sys_job_log` VALUES (63233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:16:45');
INSERT INTO `sys_job_log` VALUES (63234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:16:45');
INSERT INTO `sys_job_log` VALUES (63235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:16:50');
INSERT INTO `sys_job_log` VALUES (63236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:16:55');
INSERT INTO `sys_job_log` VALUES (63237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 14:17:00');
INSERT INTO `sys_job_log` VALUES (63238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:17:00');
INSERT INTO `sys_job_log` VALUES (63239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:17:05');
INSERT INTO `sys_job_log` VALUES (63240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:17:10');
INSERT INTO `sys_job_log` VALUES (63241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:17:15');
INSERT INTO `sys_job_log` VALUES (63242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:17:15');
INSERT INTO `sys_job_log` VALUES (63243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:17:20');
INSERT INTO `sys_job_log` VALUES (63244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:17:25');
INSERT INTO `sys_job_log` VALUES (63245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:17:30');
INSERT INTO `sys_job_log` VALUES (63246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:17:30');
INSERT INTO `sys_job_log` VALUES (63247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：111毫秒', '0', '', '2025-01-02 14:17:35');
INSERT INTO `sys_job_log` VALUES (63248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:17:40');
INSERT INTO `sys_job_log` VALUES (63249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:17:45');
INSERT INTO `sys_job_log` VALUES (63250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:17:45');
INSERT INTO `sys_job_log` VALUES (63251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:17:50');
INSERT INTO `sys_job_log` VALUES (63252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:17:55');
INSERT INTO `sys_job_log` VALUES (63253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:18:00');
INSERT INTO `sys_job_log` VALUES (63254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:18:00');
INSERT INTO `sys_job_log` VALUES (63255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：191毫秒', '0', '', '2025-01-02 14:18:05');
INSERT INTO `sys_job_log` VALUES (63256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:18:10');
INSERT INTO `sys_job_log` VALUES (63257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:18:15');
INSERT INTO `sys_job_log` VALUES (63258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:18:15');
INSERT INTO `sys_job_log` VALUES (63259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：125毫秒', '0', '', '2025-01-02 14:18:20');
INSERT INTO `sys_job_log` VALUES (63260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 14:18:25');
INSERT INTO `sys_job_log` VALUES (63261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:18:30');
INSERT INTO `sys_job_log` VALUES (63262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:18:30');
INSERT INTO `sys_job_log` VALUES (63263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-02 14:18:35');
INSERT INTO `sys_job_log` VALUES (63264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:18:40');
INSERT INTO `sys_job_log` VALUES (63265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:18:45');
INSERT INTO `sys_job_log` VALUES (63266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:18:45');
INSERT INTO `sys_job_log` VALUES (63267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：164毫秒', '0', '', '2025-01-02 14:18:50');
INSERT INTO `sys_job_log` VALUES (63268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:18:55');
INSERT INTO `sys_job_log` VALUES (63269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:19:00');
INSERT INTO `sys_job_log` VALUES (63270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:19:00');
INSERT INTO `sys_job_log` VALUES (63271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:19:05');
INSERT INTO `sys_job_log` VALUES (63272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:19:10');
INSERT INTO `sys_job_log` VALUES (63273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:19:15');
INSERT INTO `sys_job_log` VALUES (63274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:19:15');
INSERT INTO `sys_job_log` VALUES (63275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:19:20');
INSERT INTO `sys_job_log` VALUES (63276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:19:25');
INSERT INTO `sys_job_log` VALUES (63277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:19:30');
INSERT INTO `sys_job_log` VALUES (63278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:19:30');
INSERT INTO `sys_job_log` VALUES (63279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:19:35');
INSERT INTO `sys_job_log` VALUES (63280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 14:19:40');
INSERT INTO `sys_job_log` VALUES (63281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:19:45');
INSERT INTO `sys_job_log` VALUES (63282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:19:45');
INSERT INTO `sys_job_log` VALUES (63283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:19:50');
INSERT INTO `sys_job_log` VALUES (63284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:19:55');
INSERT INTO `sys_job_log` VALUES (63285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:20:00');
INSERT INTO `sys_job_log` VALUES (63286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:20:00');
INSERT INTO `sys_job_log` VALUES (63287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:20:05');
INSERT INTO `sys_job_log` VALUES (63288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:20:10');
INSERT INTO `sys_job_log` VALUES (63289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:15');
INSERT INTO `sys_job_log` VALUES (63290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:15');
INSERT INTO `sys_job_log` VALUES (63291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:20:20');
INSERT INTO `sys_job_log` VALUES (63292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:20:25');
INSERT INTO `sys_job_log` VALUES (63293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:30');
INSERT INTO `sys_job_log` VALUES (63294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:30');
INSERT INTO `sys_job_log` VALUES (63295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:20:35');
INSERT INTO `sys_job_log` VALUES (63296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:40');
INSERT INTO `sys_job_log` VALUES (63297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:45');
INSERT INTO `sys_job_log` VALUES (63298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:20:45');
INSERT INTO `sys_job_log` VALUES (63299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:20:50');
INSERT INTO `sys_job_log` VALUES (63300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:20:55');
INSERT INTO `sys_job_log` VALUES (63301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:21:00');
INSERT INTO `sys_job_log` VALUES (63302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:21:00');
INSERT INTO `sys_job_log` VALUES (63303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:21:05');
INSERT INTO `sys_job_log` VALUES (63304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:21:10');
INSERT INTO `sys_job_log` VALUES (63305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 14:21:15');
INSERT INTO `sys_job_log` VALUES (63306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:21:15');
INSERT INTO `sys_job_log` VALUES (63307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:21:20');
INSERT INTO `sys_job_log` VALUES (63308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:21:25');
INSERT INTO `sys_job_log` VALUES (63309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:21:30');
INSERT INTO `sys_job_log` VALUES (63310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:21:30');
INSERT INTO `sys_job_log` VALUES (63311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:21:35');
INSERT INTO `sys_job_log` VALUES (63312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:21:40');
INSERT INTO `sys_job_log` VALUES (63313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:21:45');
INSERT INTO `sys_job_log` VALUES (63314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:21:45');
INSERT INTO `sys_job_log` VALUES (63315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:21:50');
INSERT INTO `sys_job_log` VALUES (63316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:21:55');
INSERT INTO `sys_job_log` VALUES (63317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:22:00');
INSERT INTO `sys_job_log` VALUES (63318, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:22:00');
INSERT INTO `sys_job_log` VALUES (63319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:22:05');
INSERT INTO `sys_job_log` VALUES (63320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:22:10');
INSERT INTO `sys_job_log` VALUES (63321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:15');
INSERT INTO `sys_job_log` VALUES (63322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:15');
INSERT INTO `sys_job_log` VALUES (63323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:20');
INSERT INTO `sys_job_log` VALUES (63324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:22:25');
INSERT INTO `sys_job_log` VALUES (63325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:22:30');
INSERT INTO `sys_job_log` VALUES (63326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:30');
INSERT INTO `sys_job_log` VALUES (63327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:35');
INSERT INTO `sys_job_log` VALUES (63328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:22:40');
INSERT INTO `sys_job_log` VALUES (63329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:45');
INSERT INTO `sys_job_log` VALUES (63330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:22:45');
INSERT INTO `sys_job_log` VALUES (63331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:22:50');
INSERT INTO `sys_job_log` VALUES (63332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:22:55');
INSERT INTO `sys_job_log` VALUES (63333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:23:00');
INSERT INTO `sys_job_log` VALUES (63334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:23:00');
INSERT INTO `sys_job_log` VALUES (63335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:23:05');
INSERT INTO `sys_job_log` VALUES (63336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:23:10');
INSERT INTO `sys_job_log` VALUES (63337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:23:15');
INSERT INTO `sys_job_log` VALUES (63338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:23:15');
INSERT INTO `sys_job_log` VALUES (63339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:23:20');
INSERT INTO `sys_job_log` VALUES (63340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:23:25');
INSERT INTO `sys_job_log` VALUES (63341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:23:30');
INSERT INTO `sys_job_log` VALUES (63342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:23:30');
INSERT INTO `sys_job_log` VALUES (63343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:23:35');
INSERT INTO `sys_job_log` VALUES (63344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:23:40');
INSERT INTO `sys_job_log` VALUES (63345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:23:45');
INSERT INTO `sys_job_log` VALUES (63346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 14:23:45');
INSERT INTO `sys_job_log` VALUES (63347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:23:50');
INSERT INTO `sys_job_log` VALUES (63348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:23:55');
INSERT INTO `sys_job_log` VALUES (63349, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:24:00');
INSERT INTO `sys_job_log` VALUES (63350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:24:00');
INSERT INTO `sys_job_log` VALUES (63351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:24:05');
INSERT INTO `sys_job_log` VALUES (63352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:24:10');
INSERT INTO `sys_job_log` VALUES (63353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:24:15');
INSERT INTO `sys_job_log` VALUES (63354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:24:15');
INSERT INTO `sys_job_log` VALUES (63355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:24:20');
INSERT INTO `sys_job_log` VALUES (63356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:24:25');
INSERT INTO `sys_job_log` VALUES (63357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:24:30');
INSERT INTO `sys_job_log` VALUES (63358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 14:24:30');
INSERT INTO `sys_job_log` VALUES (63359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:24:35');
INSERT INTO `sys_job_log` VALUES (63360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:24:40');
INSERT INTO `sys_job_log` VALUES (63361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:24:45');
INSERT INTO `sys_job_log` VALUES (63362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:24:45');
INSERT INTO `sys_job_log` VALUES (63363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:24:50');
INSERT INTO `sys_job_log` VALUES (63364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:24:55');
INSERT INTO `sys_job_log` VALUES (63365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:25:00');
INSERT INTO `sys_job_log` VALUES (63366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:25:00');
INSERT INTO `sys_job_log` VALUES (63367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:25:05');
INSERT INTO `sys_job_log` VALUES (63368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:25:10');
INSERT INTO `sys_job_log` VALUES (63369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:25:15');
INSERT INTO `sys_job_log` VALUES (63370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 14:25:15');
INSERT INTO `sys_job_log` VALUES (63371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:25:20');
INSERT INTO `sys_job_log` VALUES (63372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:25:25');
INSERT INTO `sys_job_log` VALUES (63373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:25:30');
INSERT INTO `sys_job_log` VALUES (63374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:25:30');
INSERT INTO `sys_job_log` VALUES (63375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:25:35');
INSERT INTO `sys_job_log` VALUES (63376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:25:40');
INSERT INTO `sys_job_log` VALUES (63377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 14:25:45');
INSERT INTO `sys_job_log` VALUES (63378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:25:45');
INSERT INTO `sys_job_log` VALUES (63379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:25:50');
INSERT INTO `sys_job_log` VALUES (63380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:25:55');
INSERT INTO `sys_job_log` VALUES (63381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:26:00');
INSERT INTO `sys_job_log` VALUES (63382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:26:00');
INSERT INTO `sys_job_log` VALUES (63383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:26:05');
INSERT INTO `sys_job_log` VALUES (63384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:26:10');
INSERT INTO `sys_job_log` VALUES (63385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:26:15');
INSERT INTO `sys_job_log` VALUES (63386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:26:15');
INSERT INTO `sys_job_log` VALUES (63387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:26:20');
INSERT INTO `sys_job_log` VALUES (63388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:26:25');
INSERT INTO `sys_job_log` VALUES (63389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 14:26:30');
INSERT INTO `sys_job_log` VALUES (63390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-02 14:26:30');
INSERT INTO `sys_job_log` VALUES (63391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:26:35');
INSERT INTO `sys_job_log` VALUES (63392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:26:40');
INSERT INTO `sys_job_log` VALUES (63393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:26:45');
INSERT INTO `sys_job_log` VALUES (63394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:26:45');
INSERT INTO `sys_job_log` VALUES (63395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:26:50');
INSERT INTO `sys_job_log` VALUES (63396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:26:55');
INSERT INTO `sys_job_log` VALUES (63397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:27:00');
INSERT INTO `sys_job_log` VALUES (63398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:27:00');
INSERT INTO `sys_job_log` VALUES (63399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:27:05');
INSERT INTO `sys_job_log` VALUES (63400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:27:10');
INSERT INTO `sys_job_log` VALUES (63401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 14:27:15');
INSERT INTO `sys_job_log` VALUES (63402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 14:27:15');
INSERT INTO `sys_job_log` VALUES (63403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 14:27:20');
INSERT INTO `sys_job_log` VALUES (63404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:27:25');
INSERT INTO `sys_job_log` VALUES (63405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:27:30');
INSERT INTO `sys_job_log` VALUES (63406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:27:30');
INSERT INTO `sys_job_log` VALUES (63407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:27:35');
INSERT INTO `sys_job_log` VALUES (63408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:27:40');
INSERT INTO `sys_job_log` VALUES (63409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:27:45');
INSERT INTO `sys_job_log` VALUES (63410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:27:45');
INSERT INTO `sys_job_log` VALUES (63411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 14:27:50');
INSERT INTO `sys_job_log` VALUES (63412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:27:55');
INSERT INTO `sys_job_log` VALUES (63413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:28:00');
INSERT INTO `sys_job_log` VALUES (63414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:28:00');
INSERT INTO `sys_job_log` VALUES (63415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:28:05');
INSERT INTO `sys_job_log` VALUES (63416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:28:10');
INSERT INTO `sys_job_log` VALUES (63417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:28:15');
INSERT INTO `sys_job_log` VALUES (63418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:28:15');
INSERT INTO `sys_job_log` VALUES (63419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:28:20');
INSERT INTO `sys_job_log` VALUES (63420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:28:25');
INSERT INTO `sys_job_log` VALUES (63421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:28:30');
INSERT INTO `sys_job_log` VALUES (63422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:28:30');
INSERT INTO `sys_job_log` VALUES (63423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:28:35');
INSERT INTO `sys_job_log` VALUES (63424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 14:28:40');
INSERT INTO `sys_job_log` VALUES (63425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:28:45');
INSERT INTO `sys_job_log` VALUES (63426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:28:45');
INSERT INTO `sys_job_log` VALUES (63427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:28:50');
INSERT INTO `sys_job_log` VALUES (63428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:28:55');
INSERT INTO `sys_job_log` VALUES (63429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:29:00');
INSERT INTO `sys_job_log` VALUES (63430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 14:29:00');
INSERT INTO `sys_job_log` VALUES (63431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:29:05');
INSERT INTO `sys_job_log` VALUES (63432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:29:10');
INSERT INTO `sys_job_log` VALUES (63433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:29:15');
INSERT INTO `sys_job_log` VALUES (63434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 14:29:15');
INSERT INTO `sys_job_log` VALUES (63435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:29:20');
INSERT INTO `sys_job_log` VALUES (63436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:29:25');
INSERT INTO `sys_job_log` VALUES (63437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 14:29:30');
INSERT INTO `sys_job_log` VALUES (63438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:29:30');
INSERT INTO `sys_job_log` VALUES (63439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:29:35');
INSERT INTO `sys_job_log` VALUES (63440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:29:40');
INSERT INTO `sys_job_log` VALUES (63441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:29:45');
INSERT INTO `sys_job_log` VALUES (63442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:29:45');
INSERT INTO `sys_job_log` VALUES (63443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:29:50');
INSERT INTO `sys_job_log` VALUES (63444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:29:55');
INSERT INTO `sys_job_log` VALUES (63445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:30:00');
INSERT INTO `sys_job_log` VALUES (63446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:30:00');
INSERT INTO `sys_job_log` VALUES (63447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:30:05');
INSERT INTO `sys_job_log` VALUES (63448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:30:10');
INSERT INTO `sys_job_log` VALUES (63449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:30:15');
INSERT INTO `sys_job_log` VALUES (63450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:30:15');
INSERT INTO `sys_job_log` VALUES (63451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:30:20');
INSERT INTO `sys_job_log` VALUES (63452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 14:30:25');
INSERT INTO `sys_job_log` VALUES (63453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 14:30:30');
INSERT INTO `sys_job_log` VALUES (63454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:30:30');
INSERT INTO `sys_job_log` VALUES (63455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:30:35');
INSERT INTO `sys_job_log` VALUES (63456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:30:40');
INSERT INTO `sys_job_log` VALUES (63457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:30:45');
INSERT INTO `sys_job_log` VALUES (63458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:30:45');
INSERT INTO `sys_job_log` VALUES (63459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:30:50');
INSERT INTO `sys_job_log` VALUES (63460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:30:55');
INSERT INTO `sys_job_log` VALUES (63461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 14:31:00');
INSERT INTO `sys_job_log` VALUES (63462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 14:31:00');
INSERT INTO `sys_job_log` VALUES (63463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:31:05');
INSERT INTO `sys_job_log` VALUES (63464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 14:31:10');
INSERT INTO `sys_job_log` VALUES (63465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:31:15');
INSERT INTO `sys_job_log` VALUES (63466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:31:15');
INSERT INTO `sys_job_log` VALUES (63467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 14:31:20');
INSERT INTO `sys_job_log` VALUES (63468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:31:25');
INSERT INTO `sys_job_log` VALUES (63469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:31:30');
INSERT INTO `sys_job_log` VALUES (63470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:31:30');
INSERT INTO `sys_job_log` VALUES (63471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:31:35');
INSERT INTO `sys_job_log` VALUES (63472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:31:40');
INSERT INTO `sys_job_log` VALUES (63473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:31:45');
INSERT INTO `sys_job_log` VALUES (63474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:31:45');
INSERT INTO `sys_job_log` VALUES (63475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:31:50');
INSERT INTO `sys_job_log` VALUES (63476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:31:55');
INSERT INTO `sys_job_log` VALUES (63477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：547647毫秒', '0', '', '2025-01-02 14:31:55');
INSERT INTO `sys_job_log` VALUES (63478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：548660毫秒', '0', '', '2025-01-02 14:31:56');
INSERT INTO `sys_job_log` VALUES (63479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1888毫秒', '0', '', '2025-01-02 14:31:57');
INSERT INTO `sys_job_log` VALUES (63480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2025-01-02 14:31:59');
INSERT INTO `sys_job_log` VALUES (63481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:32:00');
INSERT INTO `sys_job_log` VALUES (63482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 14:32:00');
INSERT INTO `sys_job_log` VALUES (63483, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2025-01-02 14:32:01');
INSERT INTO `sys_job_log` VALUES (63484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2033毫秒', '0', '', '2025-01-02 14:32:03');
INSERT INTO `sys_job_log` VALUES (63485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:32:05');
INSERT INTO `sys_job_log` VALUES (63486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1995毫秒', '0', '', '2025-01-02 14:32:05');
INSERT INTO `sys_job_log` VALUES (63487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2000毫秒', '0', '', '2025-01-02 14:32:07');
INSERT INTO `sys_job_log` VALUES (63488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1999毫秒', '0', '', '2025-01-02 14:32:09');
INSERT INTO `sys_job_log` VALUES (63489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:32:10');
INSERT INTO `sys_job_log` VALUES (63490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2038毫秒', '0', '', '2025-01-02 14:32:11');
INSERT INTO `sys_job_log` VALUES (63491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:32:15');
INSERT INTO `sys_job_log` VALUES (63492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:32:15');
INSERT INTO `sys_job_log` VALUES (63493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:32:20');
INSERT INTO `sys_job_log` VALUES (63494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:32:25');
INSERT INTO `sys_job_log` VALUES (63495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:32:30');
INSERT INTO `sys_job_log` VALUES (63496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:32:30');
INSERT INTO `sys_job_log` VALUES (63497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:32:35');
INSERT INTO `sys_job_log` VALUES (63498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:32:40');
INSERT INTO `sys_job_log` VALUES (63499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:32:45');
INSERT INTO `sys_job_log` VALUES (63500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 14:32:45');
INSERT INTO `sys_job_log` VALUES (63501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:32:50');
INSERT INTO `sys_job_log` VALUES (63502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:32:55');
INSERT INTO `sys_job_log` VALUES (63503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:33:00');
INSERT INTO `sys_job_log` VALUES (63504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:33:00');
INSERT INTO `sys_job_log` VALUES (63505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:33:05');
INSERT INTO `sys_job_log` VALUES (63506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:33:10');
INSERT INTO `sys_job_log` VALUES (63507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:33:15');
INSERT INTO `sys_job_log` VALUES (63508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:33:15');
INSERT INTO `sys_job_log` VALUES (63509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:33:20');
INSERT INTO `sys_job_log` VALUES (63510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:33:25');
INSERT INTO `sys_job_log` VALUES (63511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:33:30');
INSERT INTO `sys_job_log` VALUES (63512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:33:30');
INSERT INTO `sys_job_log` VALUES (63513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:33:35');
INSERT INTO `sys_job_log` VALUES (63514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:33:40');
INSERT INTO `sys_job_log` VALUES (63515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:33:45');
INSERT INTO `sys_job_log` VALUES (63516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:33:45');
INSERT INTO `sys_job_log` VALUES (63517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:33:50');
INSERT INTO `sys_job_log` VALUES (63518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:33:55');
INSERT INTO `sys_job_log` VALUES (63519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 14:34:00');
INSERT INTO `sys_job_log` VALUES (63520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:34:00');
INSERT INTO `sys_job_log` VALUES (63521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:34:05');
INSERT INTO `sys_job_log` VALUES (63522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:34:10');
INSERT INTO `sys_job_log` VALUES (63523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:34:15');
INSERT INTO `sys_job_log` VALUES (63524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:34:15');
INSERT INTO `sys_job_log` VALUES (63525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:34:20');
INSERT INTO `sys_job_log` VALUES (63526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:34:25');
INSERT INTO `sys_job_log` VALUES (63527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:34:30');
INSERT INTO `sys_job_log` VALUES (63528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:34:30');
INSERT INTO `sys_job_log` VALUES (63529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:34:35');
INSERT INTO `sys_job_log` VALUES (63530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:34:40');
INSERT INTO `sys_job_log` VALUES (63531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:34:45');
INSERT INTO `sys_job_log` VALUES (63532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:34:45');
INSERT INTO `sys_job_log` VALUES (63533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:34:50');
INSERT INTO `sys_job_log` VALUES (63534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:34:55');
INSERT INTO `sys_job_log` VALUES (63535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:35:00');
INSERT INTO `sys_job_log` VALUES (63536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:35:00');
INSERT INTO `sys_job_log` VALUES (63537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:35:05');
INSERT INTO `sys_job_log` VALUES (63538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:35:10');
INSERT INTO `sys_job_log` VALUES (63539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:35:15');
INSERT INTO `sys_job_log` VALUES (63540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:35:15');
INSERT INTO `sys_job_log` VALUES (63541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:35:20');
INSERT INTO `sys_job_log` VALUES (63542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:35:25');
INSERT INTO `sys_job_log` VALUES (63543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:35:30');
INSERT INTO `sys_job_log` VALUES (63544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 14:35:30');
INSERT INTO `sys_job_log` VALUES (63545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:35:35');
INSERT INTO `sys_job_log` VALUES (63546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:35:40');
INSERT INTO `sys_job_log` VALUES (63547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:35:45');
INSERT INTO `sys_job_log` VALUES (63548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:35:45');
INSERT INTO `sys_job_log` VALUES (63549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:35:50');
INSERT INTO `sys_job_log` VALUES (63550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:35:55');
INSERT INTO `sys_job_log` VALUES (63551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:36:00');
INSERT INTO `sys_job_log` VALUES (63552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:36:00');
INSERT INTO `sys_job_log` VALUES (63553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:36:05');
INSERT INTO `sys_job_log` VALUES (63554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:36:10');
INSERT INTO `sys_job_log` VALUES (63555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:36:15');
INSERT INTO `sys_job_log` VALUES (63556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:36:15');
INSERT INTO `sys_job_log` VALUES (63557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:36:20');
INSERT INTO `sys_job_log` VALUES (63558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:36:25');
INSERT INTO `sys_job_log` VALUES (63559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:36:30');
INSERT INTO `sys_job_log` VALUES (63560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:36:30');
INSERT INTO `sys_job_log` VALUES (63561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:36:35');
INSERT INTO `sys_job_log` VALUES (63562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:36:40');
INSERT INTO `sys_job_log` VALUES (63563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:36:45');
INSERT INTO `sys_job_log` VALUES (63564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:36:45');
INSERT INTO `sys_job_log` VALUES (63565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:36:50');
INSERT INTO `sys_job_log` VALUES (63566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:36:55');
INSERT INTO `sys_job_log` VALUES (63567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:37:00');
INSERT INTO `sys_job_log` VALUES (63568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:37:00');
INSERT INTO `sys_job_log` VALUES (63569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:37:05');
INSERT INTO `sys_job_log` VALUES (63570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:37:10');
INSERT INTO `sys_job_log` VALUES (63571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:37:15');
INSERT INTO `sys_job_log` VALUES (63572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:37:15');
INSERT INTO `sys_job_log` VALUES (63573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:37:20');
INSERT INTO `sys_job_log` VALUES (63574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:37:25');
INSERT INTO `sys_job_log` VALUES (63575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:37:30');
INSERT INTO `sys_job_log` VALUES (63576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:37:30');
INSERT INTO `sys_job_log` VALUES (63577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 14:37:35');
INSERT INTO `sys_job_log` VALUES (63578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:37:40');
INSERT INTO `sys_job_log` VALUES (63579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：99毫秒', '0', '', '2025-01-02 14:37:45');
INSERT INTO `sys_job_log` VALUES (63580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：99毫秒', '0', '', '2025-01-02 14:37:45');
INSERT INTO `sys_job_log` VALUES (63581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:37:50');
INSERT INTO `sys_job_log` VALUES (63582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:37:55');
INSERT INTO `sys_job_log` VALUES (63583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:38:00');
INSERT INTO `sys_job_log` VALUES (63584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 14:38:00');
INSERT INTO `sys_job_log` VALUES (63585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:38:05');
INSERT INTO `sys_job_log` VALUES (63586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:38:10');
INSERT INTO `sys_job_log` VALUES (63587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:38:15');
INSERT INTO `sys_job_log` VALUES (63588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:38:15');
INSERT INTO `sys_job_log` VALUES (63589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:38:20');
INSERT INTO `sys_job_log` VALUES (63590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:38:25');
INSERT INTO `sys_job_log` VALUES (63591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:38:30');
INSERT INTO `sys_job_log` VALUES (63592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:38:30');
INSERT INTO `sys_job_log` VALUES (63593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:38:35');
INSERT INTO `sys_job_log` VALUES (63594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:38:40');
INSERT INTO `sys_job_log` VALUES (63595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:38:45');
INSERT INTO `sys_job_log` VALUES (63596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:38:45');
INSERT INTO `sys_job_log` VALUES (63597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:38:50');
INSERT INTO `sys_job_log` VALUES (63598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:38:55');
INSERT INTO `sys_job_log` VALUES (63599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 14:39:00');
INSERT INTO `sys_job_log` VALUES (63600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 14:39:00');
INSERT INTO `sys_job_log` VALUES (63601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:39:05');
INSERT INTO `sys_job_log` VALUES (63602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:39:10');
INSERT INTO `sys_job_log` VALUES (63603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:39:15');
INSERT INTO `sys_job_log` VALUES (63604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:39:15');
INSERT INTO `sys_job_log` VALUES (63605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:39:20');
INSERT INTO `sys_job_log` VALUES (63606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:39:25');
INSERT INTO `sys_job_log` VALUES (63607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:39:30');
INSERT INTO `sys_job_log` VALUES (63608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:39:30');
INSERT INTO `sys_job_log` VALUES (63609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:39:35');
INSERT INTO `sys_job_log` VALUES (63610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:39:40');
INSERT INTO `sys_job_log` VALUES (63611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:39:45');
INSERT INTO `sys_job_log` VALUES (63612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:39:45');
INSERT INTO `sys_job_log` VALUES (63613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:39:50');
INSERT INTO `sys_job_log` VALUES (63614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:39:55');
INSERT INTO `sys_job_log` VALUES (63615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:40:00');
INSERT INTO `sys_job_log` VALUES (63616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:40:00');
INSERT INTO `sys_job_log` VALUES (63617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：154毫秒', '0', '', '2025-01-02 14:40:05');
INSERT INTO `sys_job_log` VALUES (63618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:40:10');
INSERT INTO `sys_job_log` VALUES (63619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 14:40:15');
INSERT INTO `sys_job_log` VALUES (63620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:40:15');
INSERT INTO `sys_job_log` VALUES (63621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:40:20');
INSERT INTO `sys_job_log` VALUES (63622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:40:25');
INSERT INTO `sys_job_log` VALUES (63623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:40:30');
INSERT INTO `sys_job_log` VALUES (63624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:40:30');
INSERT INTO `sys_job_log` VALUES (63625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:40:35');
INSERT INTO `sys_job_log` VALUES (63626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:40:40');
INSERT INTO `sys_job_log` VALUES (63627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-02 14:40:45');
INSERT INTO `sys_job_log` VALUES (63628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2025-01-02 14:40:45');
INSERT INTO `sys_job_log` VALUES (63629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:40:50');
INSERT INTO `sys_job_log` VALUES (63630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:40:55');
INSERT INTO `sys_job_log` VALUES (63631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:41:00');
INSERT INTO `sys_job_log` VALUES (63632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 14:41:00');
INSERT INTO `sys_job_log` VALUES (63633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:41:05');
INSERT INTO `sys_job_log` VALUES (63634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:41:10');
INSERT INTO `sys_job_log` VALUES (63635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:41:15');
INSERT INTO `sys_job_log` VALUES (63636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:41:15');
INSERT INTO `sys_job_log` VALUES (63637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:41:20');
INSERT INTO `sys_job_log` VALUES (63638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:41:25');
INSERT INTO `sys_job_log` VALUES (63639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:41:30');
INSERT INTO `sys_job_log` VALUES (63640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:41:30');
INSERT INTO `sys_job_log` VALUES (63641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:41:35');
INSERT INTO `sys_job_log` VALUES (63642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:41:40');
INSERT INTO `sys_job_log` VALUES (63643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:41:45');
INSERT INTO `sys_job_log` VALUES (63644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:41:45');
INSERT INTO `sys_job_log` VALUES (63645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:41:50');
INSERT INTO `sys_job_log` VALUES (63646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:41:55');
INSERT INTO `sys_job_log` VALUES (63647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 14:42:00');
INSERT INTO `sys_job_log` VALUES (63648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 14:42:00');
INSERT INTO `sys_job_log` VALUES (63649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:42:05');
INSERT INTO `sys_job_log` VALUES (63650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:42:10');
INSERT INTO `sys_job_log` VALUES (63651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:42:15');
INSERT INTO `sys_job_log` VALUES (63652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:42:15');
INSERT INTO `sys_job_log` VALUES (63653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:42:20');
INSERT INTO `sys_job_log` VALUES (63654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:42:25');
INSERT INTO `sys_job_log` VALUES (63655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:42:30');
INSERT INTO `sys_job_log` VALUES (63656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:42:30');
INSERT INTO `sys_job_log` VALUES (63657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:42:35');
INSERT INTO `sys_job_log` VALUES (63658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:42:40');
INSERT INTO `sys_job_log` VALUES (63659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:42:45');
INSERT INTO `sys_job_log` VALUES (63660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:42:45');
INSERT INTO `sys_job_log` VALUES (63661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 14:42:50');
INSERT INTO `sys_job_log` VALUES (63662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:42:55');
INSERT INTO `sys_job_log` VALUES (63663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：84毫秒', '0', '', '2025-01-02 14:43:00');
INSERT INTO `sys_job_log` VALUES (63664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-02 14:43:00');
INSERT INTO `sys_job_log` VALUES (63665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 14:43:05');
INSERT INTO `sys_job_log` VALUES (63666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:43:10');
INSERT INTO `sys_job_log` VALUES (63667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:43:15');
INSERT INTO `sys_job_log` VALUES (63668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:43:15');
INSERT INTO `sys_job_log` VALUES (63669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:43:20');
INSERT INTO `sys_job_log` VALUES (63670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:43:25');
INSERT INTO `sys_job_log` VALUES (63671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:43:30');
INSERT INTO `sys_job_log` VALUES (63672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:43:30');
INSERT INTO `sys_job_log` VALUES (63673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:43:35');
INSERT INTO `sys_job_log` VALUES (63674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:43:40');
INSERT INTO `sys_job_log` VALUES (63675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:43:45');
INSERT INTO `sys_job_log` VALUES (63676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:43:45');
INSERT INTO `sys_job_log` VALUES (63677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:43:50');
INSERT INTO `sys_job_log` VALUES (63678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:43:55');
INSERT INTO `sys_job_log` VALUES (63679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:44:00');
INSERT INTO `sys_job_log` VALUES (63680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 14:44:00');
INSERT INTO `sys_job_log` VALUES (63681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 14:44:05');
INSERT INTO `sys_job_log` VALUES (63682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:44:10');
INSERT INTO `sys_job_log` VALUES (63683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:44:15');
INSERT INTO `sys_job_log` VALUES (63684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:44:15');
INSERT INTO `sys_job_log` VALUES (63685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:44:20');
INSERT INTO `sys_job_log` VALUES (63686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:44:25');
INSERT INTO `sys_job_log` VALUES (63687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:44:30');
INSERT INTO `sys_job_log` VALUES (63688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:44:30');
INSERT INTO `sys_job_log` VALUES (63689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 14:44:35');
INSERT INTO `sys_job_log` VALUES (63690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:44:40');
INSERT INTO `sys_job_log` VALUES (63691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:44:45');
INSERT INTO `sys_job_log` VALUES (63692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:44:45');
INSERT INTO `sys_job_log` VALUES (63693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:44:50');
INSERT INTO `sys_job_log` VALUES (63694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:44:55');
INSERT INTO `sys_job_log` VALUES (63695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:45:00');
INSERT INTO `sys_job_log` VALUES (63696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:45:00');
INSERT INTO `sys_job_log` VALUES (63697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:45:05');
INSERT INTO `sys_job_log` VALUES (63698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:45:10');
INSERT INTO `sys_job_log` VALUES (63699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:45:15');
INSERT INTO `sys_job_log` VALUES (63700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:45:15');
INSERT INTO `sys_job_log` VALUES (63701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-02 14:45:20');
INSERT INTO `sys_job_log` VALUES (63702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2025-01-02 14:45:25');
INSERT INTO `sys_job_log` VALUES (63703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:45:30');
INSERT INTO `sys_job_log` VALUES (63704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:45:30');
INSERT INTO `sys_job_log` VALUES (63705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:45:35');
INSERT INTO `sys_job_log` VALUES (63706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:45:40');
INSERT INTO `sys_job_log` VALUES (63707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:45:45');
INSERT INTO `sys_job_log` VALUES (63708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 14:45:45');
INSERT INTO `sys_job_log` VALUES (63709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:45:50');
INSERT INTO `sys_job_log` VALUES (63710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:45:55');
INSERT INTO `sys_job_log` VALUES (63711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:46:00');
INSERT INTO `sys_job_log` VALUES (63712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:46:00');
INSERT INTO `sys_job_log` VALUES (63713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:46:05');
INSERT INTO `sys_job_log` VALUES (63714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:46:10');
INSERT INTO `sys_job_log` VALUES (63715, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:46:15');
INSERT INTO `sys_job_log` VALUES (63716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:46:15');
INSERT INTO `sys_job_log` VALUES (63717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:46:20');
INSERT INTO `sys_job_log` VALUES (63718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:46:25');
INSERT INTO `sys_job_log` VALUES (63719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 14:46:30');
INSERT INTO `sys_job_log` VALUES (63720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 14:46:30');
INSERT INTO `sys_job_log` VALUES (63721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:46:35');
INSERT INTO `sys_job_log` VALUES (63722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:46:40');
INSERT INTO `sys_job_log` VALUES (63723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:46:45');
INSERT INTO `sys_job_log` VALUES (63724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:46:45');
INSERT INTO `sys_job_log` VALUES (63725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:46:50');
INSERT INTO `sys_job_log` VALUES (63726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:46:55');
INSERT INTO `sys_job_log` VALUES (63727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:47:00');
INSERT INTO `sys_job_log` VALUES (63728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:47:00');
INSERT INTO `sys_job_log` VALUES (63729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:47:05');
INSERT INTO `sys_job_log` VALUES (63730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:47:10');
INSERT INTO `sys_job_log` VALUES (63731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:47:15');
INSERT INTO `sys_job_log` VALUES (63732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:47:15');
INSERT INTO `sys_job_log` VALUES (63733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:47:20');
INSERT INTO `sys_job_log` VALUES (63734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:47:25');
INSERT INTO `sys_job_log` VALUES (63735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：57毫秒', '0', '', '2025-01-02 14:47:30');
INSERT INTO `sys_job_log` VALUES (63736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 14:47:30');
INSERT INTO `sys_job_log` VALUES (63737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:47:35');
INSERT INTO `sys_job_log` VALUES (63738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:47:40');
INSERT INTO `sys_job_log` VALUES (63739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:47:45');
INSERT INTO `sys_job_log` VALUES (63740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:47:45');
INSERT INTO `sys_job_log` VALUES (63741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-02 14:47:50');
INSERT INTO `sys_job_log` VALUES (63742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:47:55');
INSERT INTO `sys_job_log` VALUES (63743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:48:00');
INSERT INTO `sys_job_log` VALUES (63744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:48:00');
INSERT INTO `sys_job_log` VALUES (63745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:48:05');
INSERT INTO `sys_job_log` VALUES (63746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 14:48:10');
INSERT INTO `sys_job_log` VALUES (63747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:48:15');
INSERT INTO `sys_job_log` VALUES (63748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:48:15');
INSERT INTO `sys_job_log` VALUES (63749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:48:20');
INSERT INTO `sys_job_log` VALUES (63750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:48:25');
INSERT INTO `sys_job_log` VALUES (63751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:48:30');
INSERT INTO `sys_job_log` VALUES (63752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:48:30');
INSERT INTO `sys_job_log` VALUES (63753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:48:35');
INSERT INTO `sys_job_log` VALUES (63754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:48:40');
INSERT INTO `sys_job_log` VALUES (63755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:48:45');
INSERT INTO `sys_job_log` VALUES (63756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:48:45');
INSERT INTO `sys_job_log` VALUES (63757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 14:48:50');
INSERT INTO `sys_job_log` VALUES (63758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:48:55');
INSERT INTO `sys_job_log` VALUES (63759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:49:00');
INSERT INTO `sys_job_log` VALUES (63760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:49:00');
INSERT INTO `sys_job_log` VALUES (63761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：120毫秒', '0', '', '2025-01-02 14:49:05');
INSERT INTO `sys_job_log` VALUES (63762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:49:10');
INSERT INTO `sys_job_log` VALUES (63763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:49:15');
INSERT INTO `sys_job_log` VALUES (63764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:49:15');
INSERT INTO `sys_job_log` VALUES (63765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:49:20');
INSERT INTO `sys_job_log` VALUES (63766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:49:25');
INSERT INTO `sys_job_log` VALUES (63767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:49:30');
INSERT INTO `sys_job_log` VALUES (63768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:49:30');
INSERT INTO `sys_job_log` VALUES (63769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:49:35');
INSERT INTO `sys_job_log` VALUES (63770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:49:40');
INSERT INTO `sys_job_log` VALUES (63771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:49:45');
INSERT INTO `sys_job_log` VALUES (63772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:49:45');
INSERT INTO `sys_job_log` VALUES (63773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:49:50');
INSERT INTO `sys_job_log` VALUES (63774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:49:55');
INSERT INTO `sys_job_log` VALUES (63775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:50:00');
INSERT INTO `sys_job_log` VALUES (63776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:50:00');
INSERT INTO `sys_job_log` VALUES (63777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:50:05');
INSERT INTO `sys_job_log` VALUES (63778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 14:50:10');
INSERT INTO `sys_job_log` VALUES (63779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:50:15');
INSERT INTO `sys_job_log` VALUES (63780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:50:15');
INSERT INTO `sys_job_log` VALUES (63781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:50:20');
INSERT INTO `sys_job_log` VALUES (63782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:50:25');
INSERT INTO `sys_job_log` VALUES (63783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:50:30');
INSERT INTO `sys_job_log` VALUES (63784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:50:30');
INSERT INTO `sys_job_log` VALUES (63785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:50:35');
INSERT INTO `sys_job_log` VALUES (63786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:50:40');
INSERT INTO `sys_job_log` VALUES (63787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:50:45');
INSERT INTO `sys_job_log` VALUES (63788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:50:45');
INSERT INTO `sys_job_log` VALUES (63789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-02 14:50:50');
INSERT INTO `sys_job_log` VALUES (63790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:50:55');
INSERT INTO `sys_job_log` VALUES (63791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:51:00');
INSERT INTO `sys_job_log` VALUES (63792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:51:00');
INSERT INTO `sys_job_log` VALUES (63793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:51:05');
INSERT INTO `sys_job_log` VALUES (63794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：350毫秒', '0', '', '2025-01-02 14:51:10');
INSERT INTO `sys_job_log` VALUES (63795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:51:15');
INSERT INTO `sys_job_log` VALUES (63796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:51:15');
INSERT INTO `sys_job_log` VALUES (63797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:51:20');
INSERT INTO `sys_job_log` VALUES (63798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:51:25');
INSERT INTO `sys_job_log` VALUES (63799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 14:51:30');
INSERT INTO `sys_job_log` VALUES (63800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：75毫秒', '0', '', '2025-01-02 14:51:30');
INSERT INTO `sys_job_log` VALUES (63801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:51:35');
INSERT INTO `sys_job_log` VALUES (63802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:51:40');
INSERT INTO `sys_job_log` VALUES (63803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2025-01-02 14:51:45');
INSERT INTO `sys_job_log` VALUES (63804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：124毫秒', '0', '', '2025-01-02 14:51:45');
INSERT INTO `sys_job_log` VALUES (63805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:51:50');
INSERT INTO `sys_job_log` VALUES (63806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-02 14:51:55');
INSERT INTO `sys_job_log` VALUES (63807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:52:00');
INSERT INTO `sys_job_log` VALUES (63808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:52:00');
INSERT INTO `sys_job_log` VALUES (63809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:52:05');
INSERT INTO `sys_job_log` VALUES (63810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:52:10');
INSERT INTO `sys_job_log` VALUES (63811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:52:15');
INSERT INTO `sys_job_log` VALUES (63812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:52:15');
INSERT INTO `sys_job_log` VALUES (63813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:52:20');
INSERT INTO `sys_job_log` VALUES (63814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 14:52:25');
INSERT INTO `sys_job_log` VALUES (63815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:52:30');
INSERT INTO `sys_job_log` VALUES (63816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:52:30');
INSERT INTO `sys_job_log` VALUES (63817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:52:35');
INSERT INTO `sys_job_log` VALUES (63818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:52:40');
INSERT INTO `sys_job_log` VALUES (63819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 14:52:45');
INSERT INTO `sys_job_log` VALUES (63820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 14:52:45');
INSERT INTO `sys_job_log` VALUES (63821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:52:50');
INSERT INTO `sys_job_log` VALUES (63822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:52:55');
INSERT INTO `sys_job_log` VALUES (63823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:53:00');
INSERT INTO `sys_job_log` VALUES (63824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:53:00');
INSERT INTO `sys_job_log` VALUES (63825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1252482毫秒', '0', '', '2025-01-02 14:53:03');
INSERT INTO `sys_job_log` VALUES (63826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:53:05');
INSERT INTO `sys_job_log` VALUES (63827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1984毫秒', '0', '', '2025-01-02 14:53:05');
INSERT INTO `sys_job_log` VALUES (63828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1995毫秒', '0', '', '2025-01-02 14:53:07');
INSERT INTO `sys_job_log` VALUES (63829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2025-01-02 14:53:09');
INSERT INTO `sys_job_log` VALUES (63830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:53:10');
INSERT INTO `sys_job_log` VALUES (63831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 14:53:15');
INSERT INTO `sys_job_log` VALUES (63832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 14:53:15');
INSERT INTO `sys_job_log` VALUES (63833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:53:20');
INSERT INTO `sys_job_log` VALUES (63834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:53:25');
INSERT INTO `sys_job_log` VALUES (63835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:53:30');
INSERT INTO `sys_job_log` VALUES (63836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:53:30');
INSERT INTO `sys_job_log` VALUES (63837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:53:35');
INSERT INTO `sys_job_log` VALUES (63838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:53:40');
INSERT INTO `sys_job_log` VALUES (63839, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:53:45');
INSERT INTO `sys_job_log` VALUES (63840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:53:45');
INSERT INTO `sys_job_log` VALUES (63841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:53:50');
INSERT INTO `sys_job_log` VALUES (63842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:53:55');
INSERT INTO `sys_job_log` VALUES (63843, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 14:54:00');
INSERT INTO `sys_job_log` VALUES (63844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:54:00');
INSERT INTO `sys_job_log` VALUES (63845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:54:05');
INSERT INTO `sys_job_log` VALUES (63846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 14:54:10');
INSERT INTO `sys_job_log` VALUES (63847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:54:15');
INSERT INTO `sys_job_log` VALUES (63848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:54:15');
INSERT INTO `sys_job_log` VALUES (63849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:54:20');
INSERT INTO `sys_job_log` VALUES (63850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:54:25');
INSERT INTO `sys_job_log` VALUES (63851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:54:30');
INSERT INTO `sys_job_log` VALUES (63852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:54:30');
INSERT INTO `sys_job_log` VALUES (63853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 14:54:35');
INSERT INTO `sys_job_log` VALUES (63854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:54:40');
INSERT INTO `sys_job_log` VALUES (63855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:54:45');
INSERT INTO `sys_job_log` VALUES (63856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:54:45');
INSERT INTO `sys_job_log` VALUES (63857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:54:50');
INSERT INTO `sys_job_log` VALUES (63858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:54:55');
INSERT INTO `sys_job_log` VALUES (63859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:55:00');
INSERT INTO `sys_job_log` VALUES (63860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:55:00');
INSERT INTO `sys_job_log` VALUES (63861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:55:05');
INSERT INTO `sys_job_log` VALUES (63862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:55:10');
INSERT INTO `sys_job_log` VALUES (63863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:55:15');
INSERT INTO `sys_job_log` VALUES (63864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:55:15');
INSERT INTO `sys_job_log` VALUES (63865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:55:20');
INSERT INTO `sys_job_log` VALUES (63866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:55:25');
INSERT INTO `sys_job_log` VALUES (63867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:55:30');
INSERT INTO `sys_job_log` VALUES (63868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:55:30');
INSERT INTO `sys_job_log` VALUES (63869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:55:35');
INSERT INTO `sys_job_log` VALUES (63870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 14:55:40');
INSERT INTO `sys_job_log` VALUES (63871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 14:55:45');
INSERT INTO `sys_job_log` VALUES (63872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:55:45');
INSERT INTO `sys_job_log` VALUES (63873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:55:50');
INSERT INTO `sys_job_log` VALUES (63874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:55:55');
INSERT INTO `sys_job_log` VALUES (63875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:56:00');
INSERT INTO `sys_job_log` VALUES (63876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:56:00');
INSERT INTO `sys_job_log` VALUES (63877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:56:05');
INSERT INTO `sys_job_log` VALUES (63878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:56:10');
INSERT INTO `sys_job_log` VALUES (63879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:56:15');
INSERT INTO `sys_job_log` VALUES (63880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:56:15');
INSERT INTO `sys_job_log` VALUES (63881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:56:20');
INSERT INTO `sys_job_log` VALUES (63882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:56:25');
INSERT INTO `sys_job_log` VALUES (63883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 14:56:30');
INSERT INTO `sys_job_log` VALUES (63884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:56:30');
INSERT INTO `sys_job_log` VALUES (63885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 14:56:35');
INSERT INTO `sys_job_log` VALUES (63886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:56:40');
INSERT INTO `sys_job_log` VALUES (63887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:56:45');
INSERT INTO `sys_job_log` VALUES (63888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 14:56:45');
INSERT INTO `sys_job_log` VALUES (63889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 14:56:50');
INSERT INTO `sys_job_log` VALUES (63890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:56:55');
INSERT INTO `sys_job_log` VALUES (63891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:57:00');
INSERT INTO `sys_job_log` VALUES (63892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 14:57:00');
INSERT INTO `sys_job_log` VALUES (63893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:57:05');
INSERT INTO `sys_job_log` VALUES (63894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:57:10');
INSERT INTO `sys_job_log` VALUES (63895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:57:15');
INSERT INTO `sys_job_log` VALUES (63896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:57:15');
INSERT INTO `sys_job_log` VALUES (63897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:57:20');
INSERT INTO `sys_job_log` VALUES (63898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 14:57:25');
INSERT INTO `sys_job_log` VALUES (63899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 14:57:30');
INSERT INTO `sys_job_log` VALUES (63900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 14:57:30');
INSERT INTO `sys_job_log` VALUES (63901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:57:35');
INSERT INTO `sys_job_log` VALUES (63902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:57:40');
INSERT INTO `sys_job_log` VALUES (63903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:57:45');
INSERT INTO `sys_job_log` VALUES (63904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:57:45');
INSERT INTO `sys_job_log` VALUES (63905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:57:50');
INSERT INTO `sys_job_log` VALUES (63906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:57:55');
INSERT INTO `sys_job_log` VALUES (63907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:58:00');
INSERT INTO `sys_job_log` VALUES (63908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:58:00');
INSERT INTO `sys_job_log` VALUES (63909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:05');
INSERT INTO `sys_job_log` VALUES (63910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 14:58:10');
INSERT INTO `sys_job_log` VALUES (63911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:15');
INSERT INTO `sys_job_log` VALUES (63912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:15');
INSERT INTO `sys_job_log` VALUES (63913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:20');
INSERT INTO `sys_job_log` VALUES (63914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:58:25');
INSERT INTO `sys_job_log` VALUES (63915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:30');
INSERT INTO `sys_job_log` VALUES (63916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:30');
INSERT INTO `sys_job_log` VALUES (63917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:58:35');
INSERT INTO `sys_job_log` VALUES (63918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:58:40');
INSERT INTO `sys_job_log` VALUES (63919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 14:58:45');
INSERT INTO `sys_job_log` VALUES (63920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:58:45');
INSERT INTO `sys_job_log` VALUES (63921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:58:50');
INSERT INTO `sys_job_log` VALUES (63922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 14:58:55');
INSERT INTO `sys_job_log` VALUES (63923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:59:00');
INSERT INTO `sys_job_log` VALUES (63924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 14:59:00');
INSERT INTO `sys_job_log` VALUES (63925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:59:05');
INSERT INTO `sys_job_log` VALUES (63926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 14:59:10');
INSERT INTO `sys_job_log` VALUES (63927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：163毫秒', '0', '', '2025-01-02 14:59:15');
INSERT INTO `sys_job_log` VALUES (63928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：189毫秒', '0', '', '2025-01-02 14:59:15');
INSERT INTO `sys_job_log` VALUES (63929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 14:59:20');
INSERT INTO `sys_job_log` VALUES (63930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 14:59:25');
INSERT INTO `sys_job_log` VALUES (63931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:59:30');
INSERT INTO `sys_job_log` VALUES (63932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 14:59:30');
INSERT INTO `sys_job_log` VALUES (63933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 14:59:35');
INSERT INTO `sys_job_log` VALUES (63934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:59:40');
INSERT INTO `sys_job_log` VALUES (63935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-02 14:59:45');
INSERT INTO `sys_job_log` VALUES (63936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2025-01-02 14:59:45');
INSERT INTO `sys_job_log` VALUES (63937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 14:59:50');
INSERT INTO `sys_job_log` VALUES (63938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 14:59:55');
INSERT INTO `sys_job_log` VALUES (63939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:00:00');
INSERT INTO `sys_job_log` VALUES (63940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:00:00');
INSERT INTO `sys_job_log` VALUES (63941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:00:05');
INSERT INTO `sys_job_log` VALUES (63942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:00:10');
INSERT INTO `sys_job_log` VALUES (63943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:00:15');
INSERT INTO `sys_job_log` VALUES (63944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 15:00:15');
INSERT INTO `sys_job_log` VALUES (63945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:00:20');
INSERT INTO `sys_job_log` VALUES (63946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:00:25');
INSERT INTO `sys_job_log` VALUES (63947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:00:30');
INSERT INTO `sys_job_log` VALUES (63948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:00:30');
INSERT INTO `sys_job_log` VALUES (63949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:00:35');
INSERT INTO `sys_job_log` VALUES (63950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:00:40');
INSERT INTO `sys_job_log` VALUES (63951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:00:45');
INSERT INTO `sys_job_log` VALUES (63952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:00:45');
INSERT INTO `sys_job_log` VALUES (63953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:00:50');
INSERT INTO `sys_job_log` VALUES (63954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:00:55');
INSERT INTO `sys_job_log` VALUES (63955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:01:00');
INSERT INTO `sys_job_log` VALUES (63956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:01:00');
INSERT INTO `sys_job_log` VALUES (63957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:01:05');
INSERT INTO `sys_job_log` VALUES (63958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:01:10');
INSERT INTO `sys_job_log` VALUES (63959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:01:15');
INSERT INTO `sys_job_log` VALUES (63960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:01:15');
INSERT INTO `sys_job_log` VALUES (63961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:01:20');
INSERT INTO `sys_job_log` VALUES (63962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:01:25');
INSERT INTO `sys_job_log` VALUES (63963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:01:30');
INSERT INTO `sys_job_log` VALUES (63964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:01:30');
INSERT INTO `sys_job_log` VALUES (63965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:01:35');
INSERT INTO `sys_job_log` VALUES (63966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:01:40');
INSERT INTO `sys_job_log` VALUES (63967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 15:01:45');
INSERT INTO `sys_job_log` VALUES (63968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:01:45');
INSERT INTO `sys_job_log` VALUES (63969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:01:50');
INSERT INTO `sys_job_log` VALUES (63970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:01:55');
INSERT INTO `sys_job_log` VALUES (63971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：69毫秒', '0', '', '2025-01-02 15:02:00');
INSERT INTO `sys_job_log` VALUES (63972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：171毫秒', '0', '', '2025-01-02 15:02:00');
INSERT INTO `sys_job_log` VALUES (63973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:02:05');
INSERT INTO `sys_job_log` VALUES (63974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:02:10');
INSERT INTO `sys_job_log` VALUES (63975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:02:15');
INSERT INTO `sys_job_log` VALUES (63976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:02:15');
INSERT INTO `sys_job_log` VALUES (63977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:02:20');
INSERT INTO `sys_job_log` VALUES (63978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:02:25');
INSERT INTO `sys_job_log` VALUES (63979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:02:30');
INSERT INTO `sys_job_log` VALUES (63980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:02:30');
INSERT INTO `sys_job_log` VALUES (63981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:02:35');
INSERT INTO `sys_job_log` VALUES (63982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:02:40');
INSERT INTO `sys_job_log` VALUES (63983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:02:45');
INSERT INTO `sys_job_log` VALUES (63984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:02:45');
INSERT INTO `sys_job_log` VALUES (63985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:02:50');
INSERT INTO `sys_job_log` VALUES (63986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:02:55');
INSERT INTO `sys_job_log` VALUES (63987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:03:00');
INSERT INTO `sys_job_log` VALUES (63988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 15:03:00');
INSERT INTO `sys_job_log` VALUES (63989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:03:05');
INSERT INTO `sys_job_log` VALUES (63990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:03:10');
INSERT INTO `sys_job_log` VALUES (63991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:03:15');
INSERT INTO `sys_job_log` VALUES (63992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:03:15');
INSERT INTO `sys_job_log` VALUES (63993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:03:20');
INSERT INTO `sys_job_log` VALUES (63994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 15:03:25');
INSERT INTO `sys_job_log` VALUES (63995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 15:03:30');
INSERT INTO `sys_job_log` VALUES (63996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 15:03:30');
INSERT INTO `sys_job_log` VALUES (63997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:03:35');
INSERT INTO `sys_job_log` VALUES (63998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:03:40');
INSERT INTO `sys_job_log` VALUES (63999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：243毫秒', '0', '', '2025-01-02 15:03:45');
INSERT INTO `sys_job_log` VALUES (64000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：333毫秒', '0', '', '2025-01-02 15:03:45');
INSERT INTO `sys_job_log` VALUES (64001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-02 15:03:50');
INSERT INTO `sys_job_log` VALUES (64002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：189毫秒', '0', '', '2025-01-02 15:03:55');
INSERT INTO `sys_job_log` VALUES (64003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:04:00');
INSERT INTO `sys_job_log` VALUES (64004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:04:00');
INSERT INTO `sys_job_log` VALUES (64005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 15:04:05');
INSERT INTO `sys_job_log` VALUES (64006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-02 15:04:10');
INSERT INTO `sys_job_log` VALUES (64007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:04:15');
INSERT INTO `sys_job_log` VALUES (64008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:04:15');
INSERT INTO `sys_job_log` VALUES (64009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2025-01-02 15:04:20');
INSERT INTO `sys_job_log` VALUES (64010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2025-01-02 15:04:25');
INSERT INTO `sys_job_log` VALUES (64011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:04:30');
INSERT INTO `sys_job_log` VALUES (64012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:04:30');
INSERT INTO `sys_job_log` VALUES (64013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-02 15:04:35');
INSERT INTO `sys_job_log` VALUES (64014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 15:04:40');
INSERT INTO `sys_job_log` VALUES (64015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 15:04:45');
INSERT INTO `sys_job_log` VALUES (64016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 15:04:45');
INSERT INTO `sys_job_log` VALUES (64017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:04:50');
INSERT INTO `sys_job_log` VALUES (64018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:04:55');
INSERT INTO `sys_job_log` VALUES (64019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:05:00');
INSERT INTO `sys_job_log` VALUES (64020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:05:00');
INSERT INTO `sys_job_log` VALUES (64021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:05:05');
INSERT INTO `sys_job_log` VALUES (64022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 15:05:10');
INSERT INTO `sys_job_log` VALUES (64023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:05:15');
INSERT INTO `sys_job_log` VALUES (64024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:05:15');
INSERT INTO `sys_job_log` VALUES (64025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:05:20');
INSERT INTO `sys_job_log` VALUES (64026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:05:25');
INSERT INTO `sys_job_log` VALUES (64027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:05:30');
INSERT INTO `sys_job_log` VALUES (64028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:05:30');
INSERT INTO `sys_job_log` VALUES (64029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:05:35');
INSERT INTO `sys_job_log` VALUES (64030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:05:40');
INSERT INTO `sys_job_log` VALUES (64031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:05:45');
INSERT INTO `sys_job_log` VALUES (64032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:05:45');
INSERT INTO `sys_job_log` VALUES (64033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:05:50');
INSERT INTO `sys_job_log` VALUES (64034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:05:55');
INSERT INTO `sys_job_log` VALUES (64035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:06:00');
INSERT INTO `sys_job_log` VALUES (64036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:06:00');
INSERT INTO `sys_job_log` VALUES (64037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:06:05');
INSERT INTO `sys_job_log` VALUES (64038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 15:06:10');
INSERT INTO `sys_job_log` VALUES (64039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:06:15');
INSERT INTO `sys_job_log` VALUES (64040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-02 15:06:15');
INSERT INTO `sys_job_log` VALUES (64041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:06:20');
INSERT INTO `sys_job_log` VALUES (64042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:06:25');
INSERT INTO `sys_job_log` VALUES (64043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:06:30');
INSERT INTO `sys_job_log` VALUES (64044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:06:30');
INSERT INTO `sys_job_log` VALUES (64045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:06:35');
INSERT INTO `sys_job_log` VALUES (64046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:06:40');
INSERT INTO `sys_job_log` VALUES (64047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:06:45');
INSERT INTO `sys_job_log` VALUES (64048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:06:45');
INSERT INTO `sys_job_log` VALUES (64049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:06:50');
INSERT INTO `sys_job_log` VALUES (64050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:06:55');
INSERT INTO `sys_job_log` VALUES (64051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:07:00');
INSERT INTO `sys_job_log` VALUES (64052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:07:00');
INSERT INTO `sys_job_log` VALUES (64053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:07:05');
INSERT INTO `sys_job_log` VALUES (64054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:07:10');
INSERT INTO `sys_job_log` VALUES (64055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:07:15');
INSERT INTO `sys_job_log` VALUES (64056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:07:15');
INSERT INTO `sys_job_log` VALUES (64057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:07:20');
INSERT INTO `sys_job_log` VALUES (64058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:07:25');
INSERT INTO `sys_job_log` VALUES (64059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:07:30');
INSERT INTO `sys_job_log` VALUES (64060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:07:30');
INSERT INTO `sys_job_log` VALUES (64061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:07:35');
INSERT INTO `sys_job_log` VALUES (64062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:07:40');
INSERT INTO `sys_job_log` VALUES (64063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:07:45');
INSERT INTO `sys_job_log` VALUES (64064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:07:45');
INSERT INTO `sys_job_log` VALUES (64065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:07:50');
INSERT INTO `sys_job_log` VALUES (64066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:07:55');
INSERT INTO `sys_job_log` VALUES (64067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 15:08:00');
INSERT INTO `sys_job_log` VALUES (64068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:08:00');
INSERT INTO `sys_job_log` VALUES (64069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:08:05');
INSERT INTO `sys_job_log` VALUES (64070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:08:10');
INSERT INTO `sys_job_log` VALUES (64071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:08:15');
INSERT INTO `sys_job_log` VALUES (64072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:15');
INSERT INTO `sys_job_log` VALUES (64073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:08:20');
INSERT INTO `sys_job_log` VALUES (64074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:25');
INSERT INTO `sys_job_log` VALUES (64075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:30');
INSERT INTO `sys_job_log` VALUES (64076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:30');
INSERT INTO `sys_job_log` VALUES (64077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:08:35');
INSERT INTO `sys_job_log` VALUES (64078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:40');
INSERT INTO `sys_job_log` VALUES (64079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:45');
INSERT INTO `sys_job_log` VALUES (64080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:45');
INSERT INTO `sys_job_log` VALUES (64081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:50');
INSERT INTO `sys_job_log` VALUES (64082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:08:55');
INSERT INTO `sys_job_log` VALUES (64083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:09:00');
INSERT INTO `sys_job_log` VALUES (64084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:09:00');
INSERT INTO `sys_job_log` VALUES (64085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:09:05');
INSERT INTO `sys_job_log` VALUES (64086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:09:10');
INSERT INTO `sys_job_log` VALUES (64087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:09:15');
INSERT INTO `sys_job_log` VALUES (64088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:09:15');
INSERT INTO `sys_job_log` VALUES (64089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:09:20');
INSERT INTO `sys_job_log` VALUES (64090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:09:25');
INSERT INTO `sys_job_log` VALUES (64091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:09:30');
INSERT INTO `sys_job_log` VALUES (64092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:09:30');
INSERT INTO `sys_job_log` VALUES (64093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:09:35');
INSERT INTO `sys_job_log` VALUES (64094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:09:40');
INSERT INTO `sys_job_log` VALUES (64095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:09:45');
INSERT INTO `sys_job_log` VALUES (64096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:09:45');
INSERT INTO `sys_job_log` VALUES (64097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:09:50');
INSERT INTO `sys_job_log` VALUES (64098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:09:55');
INSERT INTO `sys_job_log` VALUES (64099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:10:00');
INSERT INTO `sys_job_log` VALUES (64100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:10:00');
INSERT INTO `sys_job_log` VALUES (64101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:10:05');
INSERT INTO `sys_job_log` VALUES (64102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:10:10');
INSERT INTO `sys_job_log` VALUES (64103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:10:15');
INSERT INTO `sys_job_log` VALUES (64104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:10:15');
INSERT INTO `sys_job_log` VALUES (64105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:10:20');
INSERT INTO `sys_job_log` VALUES (64106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:10:25');
INSERT INTO `sys_job_log` VALUES (64107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:10:30');
INSERT INTO `sys_job_log` VALUES (64108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:10:30');
INSERT INTO `sys_job_log` VALUES (64109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:10:35');
INSERT INTO `sys_job_log` VALUES (64110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 15:10:37');
INSERT INTO `sys_job_log` VALUES (64111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:10:40');
INSERT INTO `sys_job_log` VALUES (64112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:10:41');
INSERT INTO `sys_job_log` VALUES (64113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:10:45');
INSERT INTO `sys_job_log` VALUES (64114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:10:45');
INSERT INTO `sys_job_log` VALUES (64115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:10:46');
INSERT INTO `sys_job_log` VALUES (64116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:10:46');
INSERT INTO `sys_job_log` VALUES (64117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:10:50');
INSERT INTO `sys_job_log` VALUES (64118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:10:51');
INSERT INTO `sys_job_log` VALUES (64119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:10:55');
INSERT INTO `sys_job_log` VALUES (64120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 15:10:56');
INSERT INTO `sys_job_log` VALUES (64121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:11:00');
INSERT INTO `sys_job_log` VALUES (64122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:11:00');
INSERT INTO `sys_job_log` VALUES (64123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:11:01');
INSERT INTO `sys_job_log` VALUES (64124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:11:01');
INSERT INTO `sys_job_log` VALUES (64125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:11:05');
INSERT INTO `sys_job_log` VALUES (64126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:11:06');
INSERT INTO `sys_job_log` VALUES (64127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:11:10');
INSERT INTO `sys_job_log` VALUES (64128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:11:11');
INSERT INTO `sys_job_log` VALUES (64129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:11:15');
INSERT INTO `sys_job_log` VALUES (64130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:11:15');
INSERT INTO `sys_job_log` VALUES (64131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 15:11:16');
INSERT INTO `sys_job_log` VALUES (64132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 15:11:16');
INSERT INTO `sys_job_log` VALUES (64133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:11:20');
INSERT INTO `sys_job_log` VALUES (64134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:11:21');
INSERT INTO `sys_job_log` VALUES (64135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:11:25');
INSERT INTO `sys_job_log` VALUES (64136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:11:26');
INSERT INTO `sys_job_log` VALUES (64137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:11:30');
INSERT INTO `sys_job_log` VALUES (64138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:11:30');
INSERT INTO `sys_job_log` VALUES (64139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:11:31');
INSERT INTO `sys_job_log` VALUES (64140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:11:31');
INSERT INTO `sys_job_log` VALUES (64141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:11:35');
INSERT INTO `sys_job_log` VALUES (64142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:11:36');
INSERT INTO `sys_job_log` VALUES (64143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:11:40');
INSERT INTO `sys_job_log` VALUES (64144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:11:41');
INSERT INTO `sys_job_log` VALUES (64145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:11:45');
INSERT INTO `sys_job_log` VALUES (64146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:11:45');
INSERT INTO `sys_job_log` VALUES (64147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:11:46');
INSERT INTO `sys_job_log` VALUES (64148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:11:46');
INSERT INTO `sys_job_log` VALUES (64149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:11:50');
INSERT INTO `sys_job_log` VALUES (64150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:11:51');
INSERT INTO `sys_job_log` VALUES (64151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:11:55');
INSERT INTO `sys_job_log` VALUES (64152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:11:56');
INSERT INTO `sys_job_log` VALUES (64153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:12:00');
INSERT INTO `sys_job_log` VALUES (64154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:12:00');
INSERT INTO `sys_job_log` VALUES (64155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:01');
INSERT INTO `sys_job_log` VALUES (64156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:01');
INSERT INTO `sys_job_log` VALUES (64157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:12:05');
INSERT INTO `sys_job_log` VALUES (64158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:12:06');
INSERT INTO `sys_job_log` VALUES (64159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:10');
INSERT INTO `sys_job_log` VALUES (64160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:12:11');
INSERT INTO `sys_job_log` VALUES (64161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:12:15');
INSERT INTO `sys_job_log` VALUES (64162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:12:15');
INSERT INTO `sys_job_log` VALUES (64163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:16');
INSERT INTO `sys_job_log` VALUES (64164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:16');
INSERT INTO `sys_job_log` VALUES (64165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:20');
INSERT INTO `sys_job_log` VALUES (64166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:12:21');
INSERT INTO `sys_job_log` VALUES (64167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:12:25');
INSERT INTO `sys_job_log` VALUES (64168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:12:26');
INSERT INTO `sys_job_log` VALUES (64169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:30');
INSERT INTO `sys_job_log` VALUES (64170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:30');
INSERT INTO `sys_job_log` VALUES (64171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:31');
INSERT INTO `sys_job_log` VALUES (64172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:31');
INSERT INTO `sys_job_log` VALUES (64173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:35');
INSERT INTO `sys_job_log` VALUES (64174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:12:36');
INSERT INTO `sys_job_log` VALUES (64175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:12:40');
INSERT INTO `sys_job_log` VALUES (64176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:12:41');
INSERT INTO `sys_job_log` VALUES (64177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:12:45');
INSERT INTO `sys_job_log` VALUES (64178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 15:12:45');
INSERT INTO `sys_job_log` VALUES (64179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:46');
INSERT INTO `sys_job_log` VALUES (64180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:12:46');
INSERT INTO `sys_job_log` VALUES (64181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:12:50');
INSERT INTO `sys_job_log` VALUES (64182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:12:51');
INSERT INTO `sys_job_log` VALUES (64183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:12:55');
INSERT INTO `sys_job_log` VALUES (64184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:12:56');
INSERT INTO `sys_job_log` VALUES (64185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:13:00');
INSERT INTO `sys_job_log` VALUES (64186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:13:00');
INSERT INTO `sys_job_log` VALUES (64187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:13:01');
INSERT INTO `sys_job_log` VALUES (64188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:13:01');
INSERT INTO `sys_job_log` VALUES (64189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:13:05');
INSERT INTO `sys_job_log` VALUES (64190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:13:06');
INSERT INTO `sys_job_log` VALUES (64191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:13:10');
INSERT INTO `sys_job_log` VALUES (64192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:13:11');
INSERT INTO `sys_job_log` VALUES (64193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:13:15');
INSERT INTO `sys_job_log` VALUES (64194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:13:15');
INSERT INTO `sys_job_log` VALUES (64195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:13:16');
INSERT INTO `sys_job_log` VALUES (64196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:13:16');
INSERT INTO `sys_job_log` VALUES (64197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:13:20');
INSERT INTO `sys_job_log` VALUES (64198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:13:21');
INSERT INTO `sys_job_log` VALUES (64199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:13:25');
INSERT INTO `sys_job_log` VALUES (64200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:13:26');
INSERT INTO `sys_job_log` VALUES (64201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:13:30');
INSERT INTO `sys_job_log` VALUES (64202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:13:30');
INSERT INTO `sys_job_log` VALUES (64203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:13:31');
INSERT INTO `sys_job_log` VALUES (64204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:13:31');
INSERT INTO `sys_job_log` VALUES (64205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:13:35');
INSERT INTO `sys_job_log` VALUES (64206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:13:40');
INSERT INTO `sys_job_log` VALUES (64207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:13:45');
INSERT INTO `sys_job_log` VALUES (64208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:13:45');
INSERT INTO `sys_job_log` VALUES (64209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:13:50');
INSERT INTO `sys_job_log` VALUES (64210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:13:55');
INSERT INTO `sys_job_log` VALUES (64211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:14:00');
INSERT INTO `sys_job_log` VALUES (64212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:14:00');
INSERT INTO `sys_job_log` VALUES (64213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:14:05');
INSERT INTO `sys_job_log` VALUES (64214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:14:10');
INSERT INTO `sys_job_log` VALUES (64215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:14:15');
INSERT INTO `sys_job_log` VALUES (64216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:14:15');
INSERT INTO `sys_job_log` VALUES (64217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:14:20');
INSERT INTO `sys_job_log` VALUES (64218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:14:25');
INSERT INTO `sys_job_log` VALUES (64219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:14:30');
INSERT INTO `sys_job_log` VALUES (64220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:14:30');
INSERT INTO `sys_job_log` VALUES (64221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:14:35');
INSERT INTO `sys_job_log` VALUES (64222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:14:40');
INSERT INTO `sys_job_log` VALUES (64223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:14:45');
INSERT INTO `sys_job_log` VALUES (64224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:14:45');
INSERT INTO `sys_job_log` VALUES (64225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:14:50');
INSERT INTO `sys_job_log` VALUES (64226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:14:55');
INSERT INTO `sys_job_log` VALUES (64227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:15:00');
INSERT INTO `sys_job_log` VALUES (64228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:15:00');
INSERT INTO `sys_job_log` VALUES (64229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:15:05');
INSERT INTO `sys_job_log` VALUES (64230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:15:10');
INSERT INTO `sys_job_log` VALUES (64231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:15:15');
INSERT INTO `sys_job_log` VALUES (64232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:15:15');
INSERT INTO `sys_job_log` VALUES (64233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:15:20');
INSERT INTO `sys_job_log` VALUES (64234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:15:25');
INSERT INTO `sys_job_log` VALUES (64235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:15:30');
INSERT INTO `sys_job_log` VALUES (64236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:15:30');
INSERT INTO `sys_job_log` VALUES (64237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:15:35');
INSERT INTO `sys_job_log` VALUES (64238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:15:40');
INSERT INTO `sys_job_log` VALUES (64239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:15:45');
INSERT INTO `sys_job_log` VALUES (64240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:15:45');
INSERT INTO `sys_job_log` VALUES (64241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:15:50');
INSERT INTO `sys_job_log` VALUES (64242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2025-01-02 15:15:55');
INSERT INTO `sys_job_log` VALUES (64243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 15:16:00');
INSERT INTO `sys_job_log` VALUES (64244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 15:16:00');
INSERT INTO `sys_job_log` VALUES (64245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:16:05');
INSERT INTO `sys_job_log` VALUES (64246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:16:10');
INSERT INTO `sys_job_log` VALUES (64247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:16:15');
INSERT INTO `sys_job_log` VALUES (64248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:16:15');
INSERT INTO `sys_job_log` VALUES (64249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:16:20');
INSERT INTO `sys_job_log` VALUES (64250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:16:25');
INSERT INTO `sys_job_log` VALUES (64251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:16:30');
INSERT INTO `sys_job_log` VALUES (64252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:16:30');
INSERT INTO `sys_job_log` VALUES (64253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:16:35');
INSERT INTO `sys_job_log` VALUES (64254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:16:40');
INSERT INTO `sys_job_log` VALUES (64255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:16:45');
INSERT INTO `sys_job_log` VALUES (64256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:16:45');
INSERT INTO `sys_job_log` VALUES (64257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:16:50');
INSERT INTO `sys_job_log` VALUES (64258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:16:55');
INSERT INTO `sys_job_log` VALUES (64259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:17:00');
INSERT INTO `sys_job_log` VALUES (64260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:17:00');
INSERT INTO `sys_job_log` VALUES (64261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:17:05');
INSERT INTO `sys_job_log` VALUES (64262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:17:10');
INSERT INTO `sys_job_log` VALUES (64263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:17:15');
INSERT INTO `sys_job_log` VALUES (64264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 15:17:15');
INSERT INTO `sys_job_log` VALUES (64265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:17:20');
INSERT INTO `sys_job_log` VALUES (64266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:17:25');
INSERT INTO `sys_job_log` VALUES (64267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:17:30');
INSERT INTO `sys_job_log` VALUES (64268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:17:30');
INSERT INTO `sys_job_log` VALUES (64269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:17:35');
INSERT INTO `sys_job_log` VALUES (64270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:17:40');
INSERT INTO `sys_job_log` VALUES (64271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:17:45');
INSERT INTO `sys_job_log` VALUES (64272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:17:45');
INSERT INTO `sys_job_log` VALUES (64273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:17:50');
INSERT INTO `sys_job_log` VALUES (64274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:17:55');
INSERT INTO `sys_job_log` VALUES (64275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:00');
INSERT INTO `sys_job_log` VALUES (64276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:00');
INSERT INTO `sys_job_log` VALUES (64277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:18:05');
INSERT INTO `sys_job_log` VALUES (64278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:18:10');
INSERT INTO `sys_job_log` VALUES (64279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:15');
INSERT INTO `sys_job_log` VALUES (64280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:15');
INSERT INTO `sys_job_log` VALUES (64281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:18:20');
INSERT INTO `sys_job_log` VALUES (64282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:25');
INSERT INTO `sys_job_log` VALUES (64283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:30');
INSERT INTO `sys_job_log` VALUES (64284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:30');
INSERT INTO `sys_job_log` VALUES (64285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:18:35');
INSERT INTO `sys_job_log` VALUES (64286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:18:40');
INSERT INTO `sys_job_log` VALUES (64287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:45');
INSERT INTO `sys_job_log` VALUES (64288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:18:45');
INSERT INTO `sys_job_log` VALUES (64289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:18:50');
INSERT INTO `sys_job_log` VALUES (64290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:18:55');
INSERT INTO `sys_job_log` VALUES (64291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:19:00');
INSERT INTO `sys_job_log` VALUES (64292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:19:00');
INSERT INTO `sys_job_log` VALUES (64293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:19:05');
INSERT INTO `sys_job_log` VALUES (64294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:19:10');
INSERT INTO `sys_job_log` VALUES (64295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:19:15');
INSERT INTO `sys_job_log` VALUES (64296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:19:15');
INSERT INTO `sys_job_log` VALUES (64297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:19:20');
INSERT INTO `sys_job_log` VALUES (64298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:19:25');
INSERT INTO `sys_job_log` VALUES (64299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:19:30');
INSERT INTO `sys_job_log` VALUES (64300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:19:30');
INSERT INTO `sys_job_log` VALUES (64301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:19:35');
INSERT INTO `sys_job_log` VALUES (64302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:19:40');
INSERT INTO `sys_job_log` VALUES (64303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:19:45');
INSERT INTO `sys_job_log` VALUES (64304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:19:45');
INSERT INTO `sys_job_log` VALUES (64305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:19:50');
INSERT INTO `sys_job_log` VALUES (64306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:19:55');
INSERT INTO `sys_job_log` VALUES (64307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:20:00');
INSERT INTO `sys_job_log` VALUES (64308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:20:00');
INSERT INTO `sys_job_log` VALUES (64309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:20:05');
INSERT INTO `sys_job_log` VALUES (64310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:20:10');
INSERT INTO `sys_job_log` VALUES (64311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 15:20:15');
INSERT INTO `sys_job_log` VALUES (64312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:20:15');
INSERT INTO `sys_job_log` VALUES (64313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:20:20');
INSERT INTO `sys_job_log` VALUES (64314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:20:25');
INSERT INTO `sys_job_log` VALUES (64315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:20:30');
INSERT INTO `sys_job_log` VALUES (64316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:20:30');
INSERT INTO `sys_job_log` VALUES (64317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:20:35');
INSERT INTO `sys_job_log` VALUES (64318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:20:40');
INSERT INTO `sys_job_log` VALUES (64319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:20:45');
INSERT INTO `sys_job_log` VALUES (64320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:20:45');
INSERT INTO `sys_job_log` VALUES (64321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:20:50');
INSERT INTO `sys_job_log` VALUES (64322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:20:55');
INSERT INTO `sys_job_log` VALUES (64323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:21:00');
INSERT INTO `sys_job_log` VALUES (64324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:21:00');
INSERT INTO `sys_job_log` VALUES (64325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:05');
INSERT INTO `sys_job_log` VALUES (64326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:10');
INSERT INTO `sys_job_log` VALUES (64327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:21:15');
INSERT INTO `sys_job_log` VALUES (64328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:21:15');
INSERT INTO `sys_job_log` VALUES (64329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:21:20');
INSERT INTO `sys_job_log` VALUES (64330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:21:25');
INSERT INTO `sys_job_log` VALUES (64331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:30');
INSERT INTO `sys_job_log` VALUES (64332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:30');
INSERT INTO `sys_job_log` VALUES (64333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:21:35');
INSERT INTO `sys_job_log` VALUES (64334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:40');
INSERT INTO `sys_job_log` VALUES (64335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:45');
INSERT INTO `sys_job_log` VALUES (64336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:21:45');
INSERT INTO `sys_job_log` VALUES (64337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:21:50');
INSERT INTO `sys_job_log` VALUES (64338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:21:55');
INSERT INTO `sys_job_log` VALUES (64339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:22:00');
INSERT INTO `sys_job_log` VALUES (64340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:22:00');
INSERT INTO `sys_job_log` VALUES (64341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:22:05');
INSERT INTO `sys_job_log` VALUES (64342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:22:10');
INSERT INTO `sys_job_log` VALUES (64343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:22:15');
INSERT INTO `sys_job_log` VALUES (64344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:22:15');
INSERT INTO `sys_job_log` VALUES (64345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:22:20');
INSERT INTO `sys_job_log` VALUES (64346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:22:25');
INSERT INTO `sys_job_log` VALUES (64347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:22:30');
INSERT INTO `sys_job_log` VALUES (64348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:22:30');
INSERT INTO `sys_job_log` VALUES (64349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:22:35');
INSERT INTO `sys_job_log` VALUES (64350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:22:40');
INSERT INTO `sys_job_log` VALUES (64351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:22:45');
INSERT INTO `sys_job_log` VALUES (64352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:22:45');
INSERT INTO `sys_job_log` VALUES (64353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:22:50');
INSERT INTO `sys_job_log` VALUES (64354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:22:55');
INSERT INTO `sys_job_log` VALUES (64355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 15:23:00');
INSERT INTO `sys_job_log` VALUES (64356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 15:23:00');
INSERT INTO `sys_job_log` VALUES (64357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:23:05');
INSERT INTO `sys_job_log` VALUES (64358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:23:10');
INSERT INTO `sys_job_log` VALUES (64359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:23:15');
INSERT INTO `sys_job_log` VALUES (64360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:23:15');
INSERT INTO `sys_job_log` VALUES (64361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:23:20');
INSERT INTO `sys_job_log` VALUES (64362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:23:25');
INSERT INTO `sys_job_log` VALUES (64363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:23:30');
INSERT INTO `sys_job_log` VALUES (64364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:23:30');
INSERT INTO `sys_job_log` VALUES (64365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:23:35');
INSERT INTO `sys_job_log` VALUES (64366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:23:40');
INSERT INTO `sys_job_log` VALUES (64367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:23:45');
INSERT INTO `sys_job_log` VALUES (64368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:23:45');
INSERT INTO `sys_job_log` VALUES (64369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:23:50');
INSERT INTO `sys_job_log` VALUES (64370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:23:55');
INSERT INTO `sys_job_log` VALUES (64371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:24:00');
INSERT INTO `sys_job_log` VALUES (64372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:24:00');
INSERT INTO `sys_job_log` VALUES (64373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 15:24:05');
INSERT INTO `sys_job_log` VALUES (64374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:24:10');
INSERT INTO `sys_job_log` VALUES (64375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:24:15');
INSERT INTO `sys_job_log` VALUES (64376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:24:15');
INSERT INTO `sys_job_log` VALUES (64377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:24:20');
INSERT INTO `sys_job_log` VALUES (64378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:24:25');
INSERT INTO `sys_job_log` VALUES (64379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:24:30');
INSERT INTO `sys_job_log` VALUES (64380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:24:30');
INSERT INTO `sys_job_log` VALUES (64381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:24:35');
INSERT INTO `sys_job_log` VALUES (64382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:24:40');
INSERT INTO `sys_job_log` VALUES (64383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:24:45');
INSERT INTO `sys_job_log` VALUES (64384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:24:45');
INSERT INTO `sys_job_log` VALUES (64385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:24:50');
INSERT INTO `sys_job_log` VALUES (64386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:24:55');
INSERT INTO `sys_job_log` VALUES (64387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:25:00');
INSERT INTO `sys_job_log` VALUES (64388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:25:00');
INSERT INTO `sys_job_log` VALUES (64389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:25:05');
INSERT INTO `sys_job_log` VALUES (64390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 15:25:10');
INSERT INTO `sys_job_log` VALUES (64391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:25:15');
INSERT INTO `sys_job_log` VALUES (64392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:25:15');
INSERT INTO `sys_job_log` VALUES (64393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:25:20');
INSERT INTO `sys_job_log` VALUES (64394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:25:25');
INSERT INTO `sys_job_log` VALUES (64395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:25:30');
INSERT INTO `sys_job_log` VALUES (64396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:25:30');
INSERT INTO `sys_job_log` VALUES (64397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:25:35');
INSERT INTO `sys_job_log` VALUES (64398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:25:40');
INSERT INTO `sys_job_log` VALUES (64399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：135毫秒', '0', '', '2025-01-02 15:25:45');
INSERT INTO `sys_job_log` VALUES (64400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2025-01-02 15:25:45');
INSERT INTO `sys_job_log` VALUES (64401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:25:50');
INSERT INTO `sys_job_log` VALUES (64402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 15:25:51');
INSERT INTO `sys_job_log` VALUES (64403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 15:25:55');
INSERT INTO `sys_job_log` VALUES (64404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:25:56');
INSERT INTO `sys_job_log` VALUES (64405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:26:00');
INSERT INTO `sys_job_log` VALUES (64406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:26:00');
INSERT INTO `sys_job_log` VALUES (64407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:26:01');
INSERT INTO `sys_job_log` VALUES (64408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:26:01');
INSERT INTO `sys_job_log` VALUES (64409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:26:05');
INSERT INTO `sys_job_log` VALUES (64410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:26:06');
INSERT INTO `sys_job_log` VALUES (64411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:26:10');
INSERT INTO `sys_job_log` VALUES (64412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:26:11');
INSERT INTO `sys_job_log` VALUES (64413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:26:15');
INSERT INTO `sys_job_log` VALUES (64414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:26:15');
INSERT INTO `sys_job_log` VALUES (64415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:26:16');
INSERT INTO `sys_job_log` VALUES (64416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:26:16');
INSERT INTO `sys_job_log` VALUES (64417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:26:20');
INSERT INTO `sys_job_log` VALUES (64418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:26:21');
INSERT INTO `sys_job_log` VALUES (64419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:26:25');
INSERT INTO `sys_job_log` VALUES (64420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:26:26');
INSERT INTO `sys_job_log` VALUES (64421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:26:30');
INSERT INTO `sys_job_log` VALUES (64422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:26:30');
INSERT INTO `sys_job_log` VALUES (64423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 15:26:31');
INSERT INTO `sys_job_log` VALUES (64424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:26:31');
INSERT INTO `sys_job_log` VALUES (64425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:26:35');
INSERT INTO `sys_job_log` VALUES (64426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:26:36');
INSERT INTO `sys_job_log` VALUES (64427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:26:40');
INSERT INTO `sys_job_log` VALUES (64428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:26:41');
INSERT INTO `sys_job_log` VALUES (64429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:26:45');
INSERT INTO `sys_job_log` VALUES (64430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:26:45');
INSERT INTO `sys_job_log` VALUES (64431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:26:46');
INSERT INTO `sys_job_log` VALUES (64432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:26:46');
INSERT INTO `sys_job_log` VALUES (64433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:26:50');
INSERT INTO `sys_job_log` VALUES (64434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:26:51');
INSERT INTO `sys_job_log` VALUES (64435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:26:55');
INSERT INTO `sys_job_log` VALUES (64436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:26:56');
INSERT INTO `sys_job_log` VALUES (64437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:27:00');
INSERT INTO `sys_job_log` VALUES (64438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:27:00');
INSERT INTO `sys_job_log` VALUES (64439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:27:01');
INSERT INTO `sys_job_log` VALUES (64440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:27:01');
INSERT INTO `sys_job_log` VALUES (64441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2025-01-02 15:27:05');
INSERT INTO `sys_job_log` VALUES (64442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:06');
INSERT INTO `sys_job_log` VALUES (64443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:27:10');
INSERT INTO `sys_job_log` VALUES (64444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:27:11');
INSERT INTO `sys_job_log` VALUES (64445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:27:15');
INSERT INTO `sys_job_log` VALUES (64446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:27:15');
INSERT INTO `sys_job_log` VALUES (64447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:27:16');
INSERT INTO `sys_job_log` VALUES (64448, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:27:16');
INSERT INTO `sys_job_log` VALUES (64449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:27:20');
INSERT INTO `sys_job_log` VALUES (64450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:21');
INSERT INTO `sys_job_log` VALUES (64451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:27:25');
INSERT INTO `sys_job_log` VALUES (64452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:27:26');
INSERT INTO `sys_job_log` VALUES (64453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:27:30');
INSERT INTO `sys_job_log` VALUES (64454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:27:30');
INSERT INTO `sys_job_log` VALUES (64455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:27:31');
INSERT INTO `sys_job_log` VALUES (64456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:31');
INSERT INTO `sys_job_log` VALUES (64457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:27:35');
INSERT INTO `sys_job_log` VALUES (64458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:27:36');
INSERT INTO `sys_job_log` VALUES (64459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:27:40');
INSERT INTO `sys_job_log` VALUES (64460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:41');
INSERT INTO `sys_job_log` VALUES (64461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:27:45');
INSERT INTO `sys_job_log` VALUES (64462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:27:45');
INSERT INTO `sys_job_log` VALUES (64463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:46');
INSERT INTO `sys_job_log` VALUES (64464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:46');
INSERT INTO `sys_job_log` VALUES (64465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:27:50');
INSERT INTO `sys_job_log` VALUES (64466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:27:51');
INSERT INTO `sys_job_log` VALUES (64467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:27:55');
INSERT INTO `sys_job_log` VALUES (64468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:27:56');
INSERT INTO `sys_job_log` VALUES (64469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:28:00');
INSERT INTO `sys_job_log` VALUES (64470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:28:00');
INSERT INTO `sys_job_log` VALUES (64471, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:01');
INSERT INTO `sys_job_log` VALUES (64472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:01');
INSERT INTO `sys_job_log` VALUES (64473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:28:05');
INSERT INTO `sys_job_log` VALUES (64474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:28:06');
INSERT INTO `sys_job_log` VALUES (64475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:28:10');
INSERT INTO `sys_job_log` VALUES (64476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:28:11');
INSERT INTO `sys_job_log` VALUES (64477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:28:15');
INSERT INTO `sys_job_log` VALUES (64478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:28:15');
INSERT INTO `sys_job_log` VALUES (64479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:28:16');
INSERT INTO `sys_job_log` VALUES (64480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:28:16');
INSERT INTO `sys_job_log` VALUES (64481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:28:20');
INSERT INTO `sys_job_log` VALUES (64482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:28:21');
INSERT INTO `sys_job_log` VALUES (64483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:28:25');
INSERT INTO `sys_job_log` VALUES (64484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:28:26');
INSERT INTO `sys_job_log` VALUES (64485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:28:30');
INSERT INTO `sys_job_log` VALUES (64486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:28:30');
INSERT INTO `sys_job_log` VALUES (64487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:28:31');
INSERT INTO `sys_job_log` VALUES (64488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:28:31');
INSERT INTO `sys_job_log` VALUES (64489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:28:35');
INSERT INTO `sys_job_log` VALUES (64490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:28:36');
INSERT INTO `sys_job_log` VALUES (64491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:28:40');
INSERT INTO `sys_job_log` VALUES (64492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:28:41');
INSERT INTO `sys_job_log` VALUES (64493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-02 15:28:45');
INSERT INTO `sys_job_log` VALUES (64494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 15:28:45');
INSERT INTO `sys_job_log` VALUES (64495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:46');
INSERT INTO `sys_job_log` VALUES (64496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:46');
INSERT INTO `sys_job_log` VALUES (64497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:50');
INSERT INTO `sys_job_log` VALUES (64498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:51');
INSERT INTO `sys_job_log` VALUES (64499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:28:55');
INSERT INTO `sys_job_log` VALUES (64500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:28:56');
INSERT INTO `sys_job_log` VALUES (64501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:29:00');
INSERT INTO `sys_job_log` VALUES (64502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:29:00');
INSERT INTO `sys_job_log` VALUES (64503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:29:01');
INSERT INTO `sys_job_log` VALUES (64504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:01');
INSERT INTO `sys_job_log` VALUES (64505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 15:29:05');
INSERT INTO `sys_job_log` VALUES (64506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:29:06');
INSERT INTO `sys_job_log` VALUES (64507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:29:10');
INSERT INTO `sys_job_log` VALUES (64508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:29:11');
INSERT INTO `sys_job_log` VALUES (64509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：241毫秒', '0', '', '2025-01-02 15:29:15');
INSERT INTO `sys_job_log` VALUES (64510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：273毫秒', '0', '', '2025-01-02 15:29:15');
INSERT INTO `sys_job_log` VALUES (64511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 15:29:16');
INSERT INTO `sys_job_log` VALUES (64512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:29:16');
INSERT INTO `sys_job_log` VALUES (64513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:29:20');
INSERT INTO `sys_job_log` VALUES (64514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:21');
INSERT INTO `sys_job_log` VALUES (64515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:29:25');
INSERT INTO `sys_job_log` VALUES (64516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:29:26');
INSERT INTO `sys_job_log` VALUES (64517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2025-01-02 15:29:30');
INSERT INTO `sys_job_log` VALUES (64518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：93毫秒', '0', '', '2025-01-02 15:29:30');
INSERT INTO `sys_job_log` VALUES (64519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:31');
INSERT INTO `sys_job_log` VALUES (64520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:31');
INSERT INTO `sys_job_log` VALUES (64521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:29:35');
INSERT INTO `sys_job_log` VALUES (64522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:36');
INSERT INTO `sys_job_log` VALUES (64523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:29:40');
INSERT INTO `sys_job_log` VALUES (64524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:41');
INSERT INTO `sys_job_log` VALUES (64525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:29:45');
INSERT INTO `sys_job_log` VALUES (64526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:29:45');
INSERT INTO `sys_job_log` VALUES (64527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:46');
INSERT INTO `sys_job_log` VALUES (64528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:29:46');
INSERT INTO `sys_job_log` VALUES (64529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:29:50');
INSERT INTO `sys_job_log` VALUES (64530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:29:51');
INSERT INTO `sys_job_log` VALUES (64531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:29:55');
INSERT INTO `sys_job_log` VALUES (64532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:29:56');
INSERT INTO `sys_job_log` VALUES (64533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:00');
INSERT INTO `sys_job_log` VALUES (64534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:00');
INSERT INTO `sys_job_log` VALUES (64535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:30:01');
INSERT INTO `sys_job_log` VALUES (64536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:30:01');
INSERT INTO `sys_job_log` VALUES (64537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:30:05');
INSERT INTO `sys_job_log` VALUES (64538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:30:06');
INSERT INTO `sys_job_log` VALUES (64539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:10');
INSERT INTO `sys_job_log` VALUES (64540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:30:11');
INSERT INTO `sys_job_log` VALUES (64541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:30:15');
INSERT INTO `sys_job_log` VALUES (64542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:30:15');
INSERT INTO `sys_job_log` VALUES (64543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:30:16');
INSERT INTO `sys_job_log` VALUES (64544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:30:16');
INSERT INTO `sys_job_log` VALUES (64545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:30:20');
INSERT INTO `sys_job_log` VALUES (64546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:30:21');
INSERT INTO `sys_job_log` VALUES (64547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:30:25');
INSERT INTO `sys_job_log` VALUES (64548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:30:26');
INSERT INTO `sys_job_log` VALUES (64549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:30');
INSERT INTO `sys_job_log` VALUES (64550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:30');
INSERT INTO `sys_job_log` VALUES (64551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:30:31');
INSERT INTO `sys_job_log` VALUES (64552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:30:31');
INSERT INTO `sys_job_log` VALUES (64553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:35');
INSERT INTO `sys_job_log` VALUES (64554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:30:36');
INSERT INTO `sys_job_log` VALUES (64555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:30:40');
INSERT INTO `sys_job_log` VALUES (64556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:30:41');
INSERT INTO `sys_job_log` VALUES (64557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 15:30:45');
INSERT INTO `sys_job_log` VALUES (64558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 15:30:45');
INSERT INTO `sys_job_log` VALUES (64559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:30:46');
INSERT INTO `sys_job_log` VALUES (64560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:30:46');
INSERT INTO `sys_job_log` VALUES (64561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:30:50');
INSERT INTO `sys_job_log` VALUES (64562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:30:51');
INSERT INTO `sys_job_log` VALUES (64563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:30:55');
INSERT INTO `sys_job_log` VALUES (64564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:30:56');
INSERT INTO `sys_job_log` VALUES (64565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:31:00');
INSERT INTO `sys_job_log` VALUES (64566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:31:00');
INSERT INTO `sys_job_log` VALUES (64567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:31:01');
INSERT INTO `sys_job_log` VALUES (64568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:31:01');
INSERT INTO `sys_job_log` VALUES (64569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:31:05');
INSERT INTO `sys_job_log` VALUES (64570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:31:06');
INSERT INTO `sys_job_log` VALUES (64571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:31:10');
INSERT INTO `sys_job_log` VALUES (64572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:31:11');
INSERT INTO `sys_job_log` VALUES (64573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:31:15');
INSERT INTO `sys_job_log` VALUES (64574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:31:15');
INSERT INTO `sys_job_log` VALUES (64575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:31:16');
INSERT INTO `sys_job_log` VALUES (64576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:31:16');
INSERT INTO `sys_job_log` VALUES (64577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:31:20');
INSERT INTO `sys_job_log` VALUES (64578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:31:21');
INSERT INTO `sys_job_log` VALUES (64579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:31:25');
INSERT INTO `sys_job_log` VALUES (64580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:31:26');
INSERT INTO `sys_job_log` VALUES (64581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:31:30');
INSERT INTO `sys_job_log` VALUES (64582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:31:30');
INSERT INTO `sys_job_log` VALUES (64583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:31:31');
INSERT INTO `sys_job_log` VALUES (64584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:31:31');
INSERT INTO `sys_job_log` VALUES (64585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:31:35');
INSERT INTO `sys_job_log` VALUES (64586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:31:36');
INSERT INTO `sys_job_log` VALUES (64587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:31:40');
INSERT INTO `sys_job_log` VALUES (64588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:31:41');
INSERT INTO `sys_job_log` VALUES (64589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:31:45');
INSERT INTO `sys_job_log` VALUES (64590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:31:45');
INSERT INTO `sys_job_log` VALUES (64591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:31:46');
INSERT INTO `sys_job_log` VALUES (64592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:31:46');
INSERT INTO `sys_job_log` VALUES (64593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:31:50');
INSERT INTO `sys_job_log` VALUES (64594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:31:51');
INSERT INTO `sys_job_log` VALUES (64595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 15:31:55');
INSERT INTO `sys_job_log` VALUES (64596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:31:56');
INSERT INTO `sys_job_log` VALUES (64597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:32:00');
INSERT INTO `sys_job_log` VALUES (64598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:32:00');
INSERT INTO `sys_job_log` VALUES (64599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:01');
INSERT INTO `sys_job_log` VALUES (64600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:01');
INSERT INTO `sys_job_log` VALUES (64601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:32:05');
INSERT INTO `sys_job_log` VALUES (64602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:06');
INSERT INTO `sys_job_log` VALUES (64603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:32:10');
INSERT INTO `sys_job_log` VALUES (64604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:11');
INSERT INTO `sys_job_log` VALUES (64605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:32:15');
INSERT INTO `sys_job_log` VALUES (64606, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:32:15');
INSERT INTO `sys_job_log` VALUES (64607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:16');
INSERT INTO `sys_job_log` VALUES (64608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:16');
INSERT INTO `sys_job_log` VALUES (64609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:32:20');
INSERT INTO `sys_job_log` VALUES (64610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:21');
INSERT INTO `sys_job_log` VALUES (64611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:32:25');
INSERT INTO `sys_job_log` VALUES (64612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:32:26');
INSERT INTO `sys_job_log` VALUES (64613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:32:30');
INSERT INTO `sys_job_log` VALUES (64614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:32:30');
INSERT INTO `sys_job_log` VALUES (64615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:32:31');
INSERT INTO `sys_job_log` VALUES (64616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:32:31');
INSERT INTO `sys_job_log` VALUES (64617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:32:35');
INSERT INTO `sys_job_log` VALUES (64618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:36');
INSERT INTO `sys_job_log` VALUES (64619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:32:40');
INSERT INTO `sys_job_log` VALUES (64620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:32:41');
INSERT INTO `sys_job_log` VALUES (64621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:32:45');
INSERT INTO `sys_job_log` VALUES (64622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:32:45');
INSERT INTO `sys_job_log` VALUES (64623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:46');
INSERT INTO `sys_job_log` VALUES (64624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:32:46');
INSERT INTO `sys_job_log` VALUES (64625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 15:32:50');
INSERT INTO `sys_job_log` VALUES (64626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:32:51');
INSERT INTO `sys_job_log` VALUES (64627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-02 15:32:55');
INSERT INTO `sys_job_log` VALUES (64628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:32:56');
INSERT INTO `sys_job_log` VALUES (64629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:33:00');
INSERT INTO `sys_job_log` VALUES (64630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:33:00');
INSERT INTO `sys_job_log` VALUES (64631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:33:01');
INSERT INTO `sys_job_log` VALUES (64632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:33:01');
INSERT INTO `sys_job_log` VALUES (64633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:33:05');
INSERT INTO `sys_job_log` VALUES (64634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:06');
INSERT INTO `sys_job_log` VALUES (64635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:33:10');
INSERT INTO `sys_job_log` VALUES (64636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:33:11');
INSERT INTO `sys_job_log` VALUES (64637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:33:15');
INSERT INTO `sys_job_log` VALUES (64638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:33:15');
INSERT INTO `sys_job_log` VALUES (64639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:33:16');
INSERT INTO `sys_job_log` VALUES (64640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:33:16');
INSERT INTO `sys_job_log` VALUES (64641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:33:20');
INSERT INTO `sys_job_log` VALUES (64642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:33:21');
INSERT INTO `sys_job_log` VALUES (64643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:33:25');
INSERT INTO `sys_job_log` VALUES (64644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:33:26');
INSERT INTO `sys_job_log` VALUES (64645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:30');
INSERT INTO `sys_job_log` VALUES (64646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:30');
INSERT INTO `sys_job_log` VALUES (64647, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:33:31');
INSERT INTO `sys_job_log` VALUES (64648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:33:31');
INSERT INTO `sys_job_log` VALUES (64649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:33:35');
INSERT INTO `sys_job_log` VALUES (64650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:33:36');
INSERT INTO `sys_job_log` VALUES (64651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:33:40');
INSERT INTO `sys_job_log` VALUES (64652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:33:41');
INSERT INTO `sys_job_log` VALUES (64653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:45');
INSERT INTO `sys_job_log` VALUES (64654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:45');
INSERT INTO `sys_job_log` VALUES (64655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:46');
INSERT INTO `sys_job_log` VALUES (64656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:33:46');
INSERT INTO `sys_job_log` VALUES (64657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:33:50');
INSERT INTO `sys_job_log` VALUES (64658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:33:51');
INSERT INTO `sys_job_log` VALUES (64659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:33:55');
INSERT INTO `sys_job_log` VALUES (64660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:33:56');
INSERT INTO `sys_job_log` VALUES (64661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:34:00');
INSERT INTO `sys_job_log` VALUES (64662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:34:00');
INSERT INTO `sys_job_log` VALUES (64663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:34:01');
INSERT INTO `sys_job_log` VALUES (64664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:01');
INSERT INTO `sys_job_log` VALUES (64665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:34:05');
INSERT INTO `sys_job_log` VALUES (64666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:34:06');
INSERT INTO `sys_job_log` VALUES (64667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:34:10');
INSERT INTO `sys_job_log` VALUES (64668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:34:11');
INSERT INTO `sys_job_log` VALUES (64669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:34:15');
INSERT INTO `sys_job_log` VALUES (64670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:34:15');
INSERT INTO `sys_job_log` VALUES (64671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:16');
INSERT INTO `sys_job_log` VALUES (64672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:16');
INSERT INTO `sys_job_log` VALUES (64673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:34:20');
INSERT INTO `sys_job_log` VALUES (64674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:34:21');
INSERT INTO `sys_job_log` VALUES (64675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:34:25');
INSERT INTO `sys_job_log` VALUES (64676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:26');
INSERT INTO `sys_job_log` VALUES (64677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:34:30');
INSERT INTO `sys_job_log` VALUES (64678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:34:30');
INSERT INTO `sys_job_log` VALUES (64679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:34:31');
INSERT INTO `sys_job_log` VALUES (64680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:34:31');
INSERT INTO `sys_job_log` VALUES (64681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:34:35');
INSERT INTO `sys_job_log` VALUES (64682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:36');
INSERT INTO `sys_job_log` VALUES (64683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:34:40');
INSERT INTO `sys_job_log` VALUES (64684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:34:41');
INSERT INTO `sys_job_log` VALUES (64685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:34:45');
INSERT INTO `sys_job_log` VALUES (64686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:34:45');
INSERT INTO `sys_job_log` VALUES (64687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:46');
INSERT INTO `sys_job_log` VALUES (64688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:34:46');
INSERT INTO `sys_job_log` VALUES (64689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:34:50');
INSERT INTO `sys_job_log` VALUES (64690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:34:51');
INSERT INTO `sys_job_log` VALUES (64691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 15:34:55');
INSERT INTO `sys_job_log` VALUES (64692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:34:56');
INSERT INTO `sys_job_log` VALUES (64693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:35:00');
INSERT INTO `sys_job_log` VALUES (64694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:35:00');
INSERT INTO `sys_job_log` VALUES (64695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:35:01');
INSERT INTO `sys_job_log` VALUES (64696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:35:01');
INSERT INTO `sys_job_log` VALUES (64697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:35:05');
INSERT INTO `sys_job_log` VALUES (64698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:35:06');
INSERT INTO `sys_job_log` VALUES (64699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:35:10');
INSERT INTO `sys_job_log` VALUES (64700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:35:11');
INSERT INTO `sys_job_log` VALUES (64701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:35:15');
INSERT INTO `sys_job_log` VALUES (64702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:35:15');
INSERT INTO `sys_job_log` VALUES (64703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:35:16');
INSERT INTO `sys_job_log` VALUES (64704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:35:16');
INSERT INTO `sys_job_log` VALUES (64705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:35:20');
INSERT INTO `sys_job_log` VALUES (64706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:35:21');
INSERT INTO `sys_job_log` VALUES (64707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 15:35:25');
INSERT INTO `sys_job_log` VALUES (64708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:35:26');
INSERT INTO `sys_job_log` VALUES (64709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:35:30');
INSERT INTO `sys_job_log` VALUES (64710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:35:30');
INSERT INTO `sys_job_log` VALUES (64711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:35:31');
INSERT INTO `sys_job_log` VALUES (64712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:35:31');
INSERT INTO `sys_job_log` VALUES (64713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:35:35');
INSERT INTO `sys_job_log` VALUES (64714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:35:36');
INSERT INTO `sys_job_log` VALUES (64715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：116毫秒', '0', '', '2025-01-02 15:35:40');
INSERT INTO `sys_job_log` VALUES (64716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:35:41');
INSERT INTO `sys_job_log` VALUES (64717, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:35:45');
INSERT INTO `sys_job_log` VALUES (64718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:35:45');
INSERT INTO `sys_job_log` VALUES (64719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:35:46');
INSERT INTO `sys_job_log` VALUES (64720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:35:46');
INSERT INTO `sys_job_log` VALUES (64721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:35:50');
INSERT INTO `sys_job_log` VALUES (64722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:35:51');
INSERT INTO `sys_job_log` VALUES (64723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:35:55');
INSERT INTO `sys_job_log` VALUES (64724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:35:56');
INSERT INTO `sys_job_log` VALUES (64725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:00');
INSERT INTO `sys_job_log` VALUES (64726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:00');
INSERT INTO `sys_job_log` VALUES (64727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:36:01');
INSERT INTO `sys_job_log` VALUES (64728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:36:01');
INSERT INTO `sys_job_log` VALUES (64729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:36:05');
INSERT INTO `sys_job_log` VALUES (64730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:36:06');
INSERT INTO `sys_job_log` VALUES (64731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2025-01-02 15:36:10');
INSERT INTO `sys_job_log` VALUES (64732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:36:11');
INSERT INTO `sys_job_log` VALUES (64733, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 15:36:15');
INSERT INTO `sys_job_log` VALUES (64734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:36:15');
INSERT INTO `sys_job_log` VALUES (64735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:36:16');
INSERT INTO `sys_job_log` VALUES (64736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:36:16');
INSERT INTO `sys_job_log` VALUES (64737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:36:20');
INSERT INTO `sys_job_log` VALUES (64738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:36:21');
INSERT INTO `sys_job_log` VALUES (64739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:36:25');
INSERT INTO `sys_job_log` VALUES (64740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:36:26');
INSERT INTO `sys_job_log` VALUES (64741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:30');
INSERT INTO `sys_job_log` VALUES (64742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:30');
INSERT INTO `sys_job_log` VALUES (64743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:31');
INSERT INTO `sys_job_log` VALUES (64744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:31');
INSERT INTO `sys_job_log` VALUES (64745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:35');
INSERT INTO `sys_job_log` VALUES (64746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:36');
INSERT INTO `sys_job_log` VALUES (64747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:40');
INSERT INTO `sys_job_log` VALUES (64748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:36:41');
INSERT INTO `sys_job_log` VALUES (64749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:36:45');
INSERT INTO `sys_job_log` VALUES (64750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:36:45');
INSERT INTO `sys_job_log` VALUES (64751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:46');
INSERT INTO `sys_job_log` VALUES (64752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:36:46');
INSERT INTO `sys_job_log` VALUES (64753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:36:50');
INSERT INTO `sys_job_log` VALUES (64754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 15:36:51');
INSERT INTO `sys_job_log` VALUES (64755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:36:55');
INSERT INTO `sys_job_log` VALUES (64756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:36:56');
INSERT INTO `sys_job_log` VALUES (64757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 15:37:00');
INSERT INTO `sys_job_log` VALUES (64758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:37:00');
INSERT INTO `sys_job_log` VALUES (64759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:37:01');
INSERT INTO `sys_job_log` VALUES (64760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:37:01');
INSERT INTO `sys_job_log` VALUES (64761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:37:05');
INSERT INTO `sys_job_log` VALUES (64762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:37:06');
INSERT INTO `sys_job_log` VALUES (64763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:37:10');
INSERT INTO `sys_job_log` VALUES (64764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:37:11');
INSERT INTO `sys_job_log` VALUES (64765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 15:37:15');
INSERT INTO `sys_job_log` VALUES (64766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 15:37:15');
INSERT INTO `sys_job_log` VALUES (64767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:37:16');
INSERT INTO `sys_job_log` VALUES (64768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:37:16');
INSERT INTO `sys_job_log` VALUES (64769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:37:20');
INSERT INTO `sys_job_log` VALUES (64770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:37:21');
INSERT INTO `sys_job_log` VALUES (64771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:37:25');
INSERT INTO `sys_job_log` VALUES (64772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:37:26');
INSERT INTO `sys_job_log` VALUES (64773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:37:30');
INSERT INTO `sys_job_log` VALUES (64774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:37:30');
INSERT INTO `sys_job_log` VALUES (64775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 15:37:31');
INSERT INTO `sys_job_log` VALUES (64776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:37:31');
INSERT INTO `sys_job_log` VALUES (64777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：93毫秒', '0', '', '2025-01-02 15:37:35');
INSERT INTO `sys_job_log` VALUES (64778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:37:36');
INSERT INTO `sys_job_log` VALUES (64779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:37:40');
INSERT INTO `sys_job_log` VALUES (64780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:37:41');
INSERT INTO `sys_job_log` VALUES (64781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:37:45');
INSERT INTO `sys_job_log` VALUES (64782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:37:45');
INSERT INTO `sys_job_log` VALUES (64783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:37:46');
INSERT INTO `sys_job_log` VALUES (64784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:37:46');
INSERT INTO `sys_job_log` VALUES (64785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:37:50');
INSERT INTO `sys_job_log` VALUES (64786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:37:51');
INSERT INTO `sys_job_log` VALUES (64787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:37:55');
INSERT INTO `sys_job_log` VALUES (64788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:37:56');
INSERT INTO `sys_job_log` VALUES (64789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:38:00');
INSERT INTO `sys_job_log` VALUES (64790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 15:38:00');
INSERT INTO `sys_job_log` VALUES (64791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:38:01');
INSERT INTO `sys_job_log` VALUES (64792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:38:01');
INSERT INTO `sys_job_log` VALUES (64793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:38:05');
INSERT INTO `sys_job_log` VALUES (64794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:38:06');
INSERT INTO `sys_job_log` VALUES (64795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:38:10');
INSERT INTO `sys_job_log` VALUES (64796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:38:11');
INSERT INTO `sys_job_log` VALUES (64797, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:38:15');
INSERT INTO `sys_job_log` VALUES (64798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:38:15');
INSERT INTO `sys_job_log` VALUES (64799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:38:16');
INSERT INTO `sys_job_log` VALUES (64800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:38:16');
INSERT INTO `sys_job_log` VALUES (64801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:38:20');
INSERT INTO `sys_job_log` VALUES (64802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:38:21');
INSERT INTO `sys_job_log` VALUES (64803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:38:25');
INSERT INTO `sys_job_log` VALUES (64804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:38:26');
INSERT INTO `sys_job_log` VALUES (64805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 15:38:30');
INSERT INTO `sys_job_log` VALUES (64806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:38:30');
INSERT INTO `sys_job_log` VALUES (64807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:38:31');
INSERT INTO `sys_job_log` VALUES (64808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:38:31');
INSERT INTO `sys_job_log` VALUES (64809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:38:35');
INSERT INTO `sys_job_log` VALUES (64810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:38:36');
INSERT INTO `sys_job_log` VALUES (64811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:38:40');
INSERT INTO `sys_job_log` VALUES (64812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:38:41');
INSERT INTO `sys_job_log` VALUES (64813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:38:45');
INSERT INTO `sys_job_log` VALUES (64814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:38:45');
INSERT INTO `sys_job_log` VALUES (64815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:38:46');
INSERT INTO `sys_job_log` VALUES (64816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:38:46');
INSERT INTO `sys_job_log` VALUES (64817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:38:50');
INSERT INTO `sys_job_log` VALUES (64818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:38:51');
INSERT INTO `sys_job_log` VALUES (64819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:38:55');
INSERT INTO `sys_job_log` VALUES (64820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:38:56');
INSERT INTO `sys_job_log` VALUES (64821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 15:39:00');
INSERT INTO `sys_job_log` VALUES (64822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:39:00');
INSERT INTO `sys_job_log` VALUES (64823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:01');
INSERT INTO `sys_job_log` VALUES (64824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:01');
INSERT INTO `sys_job_log` VALUES (64825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:39:05');
INSERT INTO `sys_job_log` VALUES (64826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:39:06');
INSERT INTO `sys_job_log` VALUES (64827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:39:10');
INSERT INTO `sys_job_log` VALUES (64828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:39:11');
INSERT INTO `sys_job_log` VALUES (64829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:15');
INSERT INTO `sys_job_log` VALUES (64830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:39:15');
INSERT INTO `sys_job_log` VALUES (64831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:16');
INSERT INTO `sys_job_log` VALUES (64832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:16');
INSERT INTO `sys_job_log` VALUES (64833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:39:20');
INSERT INTO `sys_job_log` VALUES (64834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:21');
INSERT INTO `sys_job_log` VALUES (64835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:39:25');
INSERT INTO `sys_job_log` VALUES (64836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:39:26');
INSERT INTO `sys_job_log` VALUES (64837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:39:30');
INSERT INTO `sys_job_log` VALUES (64838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:39:30');
INSERT INTO `sys_job_log` VALUES (64839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:31');
INSERT INTO `sys_job_log` VALUES (64840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:31');
INSERT INTO `sys_job_log` VALUES (64841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:39:35');
INSERT INTO `sys_job_log` VALUES (64842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:39:36');
INSERT INTO `sys_job_log` VALUES (64843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:39:40');
INSERT INTO `sys_job_log` VALUES (64844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:41');
INSERT INTO `sys_job_log` VALUES (64845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:45');
INSERT INTO `sys_job_log` VALUES (64846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:45');
INSERT INTO `sys_job_log` VALUES (64847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:46');
INSERT INTO `sys_job_log` VALUES (64848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:46');
INSERT INTO `sys_job_log` VALUES (64849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:50');
INSERT INTO `sys_job_log` VALUES (64850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:39:51');
INSERT INTO `sys_job_log` VALUES (64851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:39:55');
INSERT INTO `sys_job_log` VALUES (64852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:39:56');
INSERT INTO `sys_job_log` VALUES (64853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:40:00');
INSERT INTO `sys_job_log` VALUES (64854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:40:00');
INSERT INTO `sys_job_log` VALUES (64855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 15:40:01');
INSERT INTO `sys_job_log` VALUES (64856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-02 15:40:01');
INSERT INTO `sys_job_log` VALUES (64857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:40:05');
INSERT INTO `sys_job_log` VALUES (64858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:40:06');
INSERT INTO `sys_job_log` VALUES (64859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:40:10');
INSERT INTO `sys_job_log` VALUES (64860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:40:11');
INSERT INTO `sys_job_log` VALUES (64861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:40:15');
INSERT INTO `sys_job_log` VALUES (64862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:40:15');
INSERT INTO `sys_job_log` VALUES (64863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:40:16');
INSERT INTO `sys_job_log` VALUES (64864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:40:16');
INSERT INTO `sys_job_log` VALUES (64865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:40:20');
INSERT INTO `sys_job_log` VALUES (64866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:40:21');
INSERT INTO `sys_job_log` VALUES (64867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:40:25');
INSERT INTO `sys_job_log` VALUES (64868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:40:26');
INSERT INTO `sys_job_log` VALUES (64869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 15:40:30');
INSERT INTO `sys_job_log` VALUES (64870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 15:40:30');
INSERT INTO `sys_job_log` VALUES (64871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:40:31');
INSERT INTO `sys_job_log` VALUES (64872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:40:31');
INSERT INTO `sys_job_log` VALUES (64873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 15:40:35');
INSERT INTO `sys_job_log` VALUES (64874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:40:36');
INSERT INTO `sys_job_log` VALUES (64875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:40:40');
INSERT INTO `sys_job_log` VALUES (64876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:40:41');
INSERT INTO `sys_job_log` VALUES (64877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:40:45');
INSERT INTO `sys_job_log` VALUES (64878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:40:45');
INSERT INTO `sys_job_log` VALUES (64879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 15:40:46');
INSERT INTO `sys_job_log` VALUES (64880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:40:46');
INSERT INTO `sys_job_log` VALUES (64881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:40:50');
INSERT INTO `sys_job_log` VALUES (64882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:40:51');
INSERT INTO `sys_job_log` VALUES (64883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:40:55');
INSERT INTO `sys_job_log` VALUES (64884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:40:56');
INSERT INTO `sys_job_log` VALUES (64885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:00');
INSERT INTO `sys_job_log` VALUES (64886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:00');
INSERT INTO `sys_job_log` VALUES (64887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:41:01');
INSERT INTO `sys_job_log` VALUES (64888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:41:01');
INSERT INTO `sys_job_log` VALUES (64889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:05');
INSERT INTO `sys_job_log` VALUES (64890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:06');
INSERT INTO `sys_job_log` VALUES (64891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:41:10');
INSERT INTO `sys_job_log` VALUES (64892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:41:11');
INSERT INTO `sys_job_log` VALUES (64893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:15');
INSERT INTO `sys_job_log` VALUES (64894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:41:15');
INSERT INTO `sys_job_log` VALUES (64895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:41:16');
INSERT INTO `sys_job_log` VALUES (64896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:41:16');
INSERT INTO `sys_job_log` VALUES (64897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:20');
INSERT INTO `sys_job_log` VALUES (64898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:41:21');
INSERT INTO `sys_job_log` VALUES (64899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:41:25');
INSERT INTO `sys_job_log` VALUES (64900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:41:26');
INSERT INTO `sys_job_log` VALUES (64901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:41:30');
INSERT INTO `sys_job_log` VALUES (64902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:41:30');
INSERT INTO `sys_job_log` VALUES (64903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:41:31');
INSERT INTO `sys_job_log` VALUES (64904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:41:31');
INSERT INTO `sys_job_log` VALUES (64905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:41:35');
INSERT INTO `sys_job_log` VALUES (64906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:41:36');
INSERT INTO `sys_job_log` VALUES (64907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:41:40');
INSERT INTO `sys_job_log` VALUES (64908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:41:41');
INSERT INTO `sys_job_log` VALUES (64909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 15:41:45');
INSERT INTO `sys_job_log` VALUES (64910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 15:41:45');
INSERT INTO `sys_job_log` VALUES (64911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:41:46');
INSERT INTO `sys_job_log` VALUES (64912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:46');
INSERT INTO `sys_job_log` VALUES (64913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:41:50');
INSERT INTO `sys_job_log` VALUES (64914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:41:51');
INSERT INTO `sys_job_log` VALUES (64915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:41:55');
INSERT INTO `sys_job_log` VALUES (64916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:41:56');
INSERT INTO `sys_job_log` VALUES (64917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:42:00');
INSERT INTO `sys_job_log` VALUES (64918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:42:00');
INSERT INTO `sys_job_log` VALUES (64919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:42:01');
INSERT INTO `sys_job_log` VALUES (64920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:42:01');
INSERT INTO `sys_job_log` VALUES (64921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:42:05');
INSERT INTO `sys_job_log` VALUES (64922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:42:06');
INSERT INTO `sys_job_log` VALUES (64923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:42:10');
INSERT INTO `sys_job_log` VALUES (64924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:42:11');
INSERT INTO `sys_job_log` VALUES (64925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2025-01-02 15:42:15');
INSERT INTO `sys_job_log` VALUES (64926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：129毫秒', '0', '', '2025-01-02 15:42:15');
INSERT INTO `sys_job_log` VALUES (64927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:42:16');
INSERT INTO `sys_job_log` VALUES (64928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:42:16');
INSERT INTO `sys_job_log` VALUES (64929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:42:20');
INSERT INTO `sys_job_log` VALUES (64930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:42:21');
INSERT INTO `sys_job_log` VALUES (64931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:42:25');
INSERT INTO `sys_job_log` VALUES (64932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:42:26');
INSERT INTO `sys_job_log` VALUES (64933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:42:30');
INSERT INTO `sys_job_log` VALUES (64934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:42:30');
INSERT INTO `sys_job_log` VALUES (64935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2025-01-02 15:42:31');
INSERT INTO `sys_job_log` VALUES (64936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-02 15:42:31');
INSERT INTO `sys_job_log` VALUES (64937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 15:42:35');
INSERT INTO `sys_job_log` VALUES (64938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:42:36');
INSERT INTO `sys_job_log` VALUES (64939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:42:40');
INSERT INTO `sys_job_log` VALUES (64940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:42:41');
INSERT INTO `sys_job_log` VALUES (64941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 15:42:45');
INSERT INTO `sys_job_log` VALUES (64942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:42:45');
INSERT INTO `sys_job_log` VALUES (64943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:42:46');
INSERT INTO `sys_job_log` VALUES (64944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:42:46');
INSERT INTO `sys_job_log` VALUES (64945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 15:42:50');
INSERT INTO `sys_job_log` VALUES (64946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:42:51');
INSERT INTO `sys_job_log` VALUES (64947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:42:55');
INSERT INTO `sys_job_log` VALUES (64948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:42:56');
INSERT INTO `sys_job_log` VALUES (64949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:43:00');
INSERT INTO `sys_job_log` VALUES (64950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:43:00');
INSERT INTO `sys_job_log` VALUES (64951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:43:01');
INSERT INTO `sys_job_log` VALUES (64952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:43:01');
INSERT INTO `sys_job_log` VALUES (64953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：122毫秒', '0', '', '2025-01-02 15:43:05');
INSERT INTO `sys_job_log` VALUES (64954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:43:06');
INSERT INTO `sys_job_log` VALUES (64955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:43:10');
INSERT INTO `sys_job_log` VALUES (64956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-02 15:43:11');
INSERT INTO `sys_job_log` VALUES (64957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-02 15:43:15');
INSERT INTO `sys_job_log` VALUES (64958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：70毫秒', '0', '', '2025-01-02 15:43:15');
INSERT INTO `sys_job_log` VALUES (64959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:43:16');
INSERT INTO `sys_job_log` VALUES (64960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:43:16');
INSERT INTO `sys_job_log` VALUES (64961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:43:20');
INSERT INTO `sys_job_log` VALUES (64962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:43:21');
INSERT INTO `sys_job_log` VALUES (64963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:43:25');
INSERT INTO `sys_job_log` VALUES (64964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:43:26');
INSERT INTO `sys_job_log` VALUES (64965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:43:30');
INSERT INTO `sys_job_log` VALUES (64966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:43:30');
INSERT INTO `sys_job_log` VALUES (64967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:43:31');
INSERT INTO `sys_job_log` VALUES (64968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:43:31');
INSERT INTO `sys_job_log` VALUES (64969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:43:35');
INSERT INTO `sys_job_log` VALUES (64970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:43:36');
INSERT INTO `sys_job_log` VALUES (64971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:43:40');
INSERT INTO `sys_job_log` VALUES (64972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:43:41');
INSERT INTO `sys_job_log` VALUES (64973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:43:45');
INSERT INTO `sys_job_log` VALUES (64974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:43:45');
INSERT INTO `sys_job_log` VALUES (64975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:43:46');
INSERT INTO `sys_job_log` VALUES (64976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:43:46');
INSERT INTO `sys_job_log` VALUES (64977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:43:50');
INSERT INTO `sys_job_log` VALUES (64978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:43:51');
INSERT INTO `sys_job_log` VALUES (64979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 15:43:55');
INSERT INTO `sys_job_log` VALUES (64980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:43:56');
INSERT INTO `sys_job_log` VALUES (64981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:00');
INSERT INTO `sys_job_log` VALUES (64982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:00');
INSERT INTO `sys_job_log` VALUES (64983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:44:01');
INSERT INTO `sys_job_log` VALUES (64984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:44:01');
INSERT INTO `sys_job_log` VALUES (64985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:44:05');
INSERT INTO `sys_job_log` VALUES (64986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:44:06');
INSERT INTO `sys_job_log` VALUES (64987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:44:10');
INSERT INTO `sys_job_log` VALUES (64988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:11');
INSERT INTO `sys_job_log` VALUES (64989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:15');
INSERT INTO `sys_job_log` VALUES (64990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:15');
INSERT INTO `sys_job_log` VALUES (64991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 15:44:16');
INSERT INTO `sys_job_log` VALUES (64992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 15:44:16');
INSERT INTO `sys_job_log` VALUES (64993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:44:20');
INSERT INTO `sys_job_log` VALUES (64994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:44:21');
INSERT INTO `sys_job_log` VALUES (64995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:44:25');
INSERT INTO `sys_job_log` VALUES (64996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:44:26');
INSERT INTO `sys_job_log` VALUES (64997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:30');
INSERT INTO `sys_job_log` VALUES (64998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:30');
INSERT INTO `sys_job_log` VALUES (64999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:44:31');
INSERT INTO `sys_job_log` VALUES (65000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:44:31');
INSERT INTO `sys_job_log` VALUES (65001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:44:35');
INSERT INTO `sys_job_log` VALUES (65002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:44:36');
INSERT INTO `sys_job_log` VALUES (65003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:40');
INSERT INTO `sys_job_log` VALUES (65004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:44:41');
INSERT INTO `sys_job_log` VALUES (65005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 15:44:45');
INSERT INTO `sys_job_log` VALUES (65006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:44:45');
INSERT INTO `sys_job_log` VALUES (65007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:46');
INSERT INTO `sys_job_log` VALUES (65008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:44:46');
INSERT INTO `sys_job_log` VALUES (65009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:44:50');
INSERT INTO `sys_job_log` VALUES (65010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:44:51');
INSERT INTO `sys_job_log` VALUES (65011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:44:55');
INSERT INTO `sys_job_log` VALUES (65012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:44:56');
INSERT INTO `sys_job_log` VALUES (65013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:45:00');
INSERT INTO `sys_job_log` VALUES (65014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:45:00');
INSERT INTO `sys_job_log` VALUES (65015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:45:01');
INSERT INTO `sys_job_log` VALUES (65016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:45:01');
INSERT INTO `sys_job_log` VALUES (65017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:45:05');
INSERT INTO `sys_job_log` VALUES (65018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:45:06');
INSERT INTO `sys_job_log` VALUES (65019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:45:10');
INSERT INTO `sys_job_log` VALUES (65020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:45:11');
INSERT INTO `sys_job_log` VALUES (65021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:45:15');
INSERT INTO `sys_job_log` VALUES (65022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:45:15');
INSERT INTO `sys_job_log` VALUES (65023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:45:16');
INSERT INTO `sys_job_log` VALUES (65024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:45:16');
INSERT INTO `sys_job_log` VALUES (65025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:45:20');
INSERT INTO `sys_job_log` VALUES (65026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:45:21');
INSERT INTO `sys_job_log` VALUES (65027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:45:25');
INSERT INTO `sys_job_log` VALUES (65028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:45:26');
INSERT INTO `sys_job_log` VALUES (65029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-02 15:45:30');
INSERT INTO `sys_job_log` VALUES (65030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-02 15:45:30');
INSERT INTO `sys_job_log` VALUES (65031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:45:31');
INSERT INTO `sys_job_log` VALUES (65032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:45:31');
INSERT INTO `sys_job_log` VALUES (65033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:45:35');
INSERT INTO `sys_job_log` VALUES (65034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:45:36');
INSERT INTO `sys_job_log` VALUES (65035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:45:40');
INSERT INTO `sys_job_log` VALUES (65036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:45:41');
INSERT INTO `sys_job_log` VALUES (65037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:45:45');
INSERT INTO `sys_job_log` VALUES (65038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:45:45');
INSERT INTO `sys_job_log` VALUES (65039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:45:46');
INSERT INTO `sys_job_log` VALUES (65040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:45:46');
INSERT INTO `sys_job_log` VALUES (65041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:45:50');
INSERT INTO `sys_job_log` VALUES (65042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:45:51');
INSERT INTO `sys_job_log` VALUES (65043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:45:55');
INSERT INTO `sys_job_log` VALUES (65044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:45:56');
INSERT INTO `sys_job_log` VALUES (65045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 15:46:00');
INSERT INTO `sys_job_log` VALUES (65046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-02 15:46:00');
INSERT INTO `sys_job_log` VALUES (65047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:46:01');
INSERT INTO `sys_job_log` VALUES (65048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:46:01');
INSERT INTO `sys_job_log` VALUES (65049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:46:05');
INSERT INTO `sys_job_log` VALUES (65050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:46:06');
INSERT INTO `sys_job_log` VALUES (65051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:46:10');
INSERT INTO `sys_job_log` VALUES (65052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:46:11');
INSERT INTO `sys_job_log` VALUES (65053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:46:15');
INSERT INTO `sys_job_log` VALUES (65054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:46:15');
INSERT INTO `sys_job_log` VALUES (65055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:46:16');
INSERT INTO `sys_job_log` VALUES (65056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:46:16');
INSERT INTO `sys_job_log` VALUES (65057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:46:20');
INSERT INTO `sys_job_log` VALUES (65058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:46:21');
INSERT INTO `sys_job_log` VALUES (65059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:46:25');
INSERT INTO `sys_job_log` VALUES (65060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:46:26');
INSERT INTO `sys_job_log` VALUES (65061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:46:30');
INSERT INTO `sys_job_log` VALUES (65062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:46:30');
INSERT INTO `sys_job_log` VALUES (65063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:46:31');
INSERT INTO `sys_job_log` VALUES (65064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:46:31');
INSERT INTO `sys_job_log` VALUES (65065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:46:35');
INSERT INTO `sys_job_log` VALUES (65066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:46:36');
INSERT INTO `sys_job_log` VALUES (65067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:46:40');
INSERT INTO `sys_job_log` VALUES (65068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:46:41');
INSERT INTO `sys_job_log` VALUES (65069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:46:45');
INSERT INTO `sys_job_log` VALUES (65070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:46:45');
INSERT INTO `sys_job_log` VALUES (65071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:46:46');
INSERT INTO `sys_job_log` VALUES (65072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:46:46');
INSERT INTO `sys_job_log` VALUES (65073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:46:50');
INSERT INTO `sys_job_log` VALUES (65074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:46:51');
INSERT INTO `sys_job_log` VALUES (65075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:46:55');
INSERT INTO `sys_job_log` VALUES (65076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 15:46:56');
INSERT INTO `sys_job_log` VALUES (65077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:47:00');
INSERT INTO `sys_job_log` VALUES (65078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:47:00');
INSERT INTO `sys_job_log` VALUES (65079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:47:01');
INSERT INTO `sys_job_log` VALUES (65080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:47:01');
INSERT INTO `sys_job_log` VALUES (65081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:05');
INSERT INTO `sys_job_log` VALUES (65082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:47:06');
INSERT INTO `sys_job_log` VALUES (65083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:47:10');
INSERT INTO `sys_job_log` VALUES (65084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:47:11');
INSERT INTO `sys_job_log` VALUES (65085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:47:15');
INSERT INTO `sys_job_log` VALUES (65086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:47:15');
INSERT INTO `sys_job_log` VALUES (65087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:16');
INSERT INTO `sys_job_log` VALUES (65088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:47:16');
INSERT INTO `sys_job_log` VALUES (65089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:20');
INSERT INTO `sys_job_log` VALUES (65090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:47:21');
INSERT INTO `sys_job_log` VALUES (65091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:47:25');
INSERT INTO `sys_job_log` VALUES (65092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:26');
INSERT INTO `sys_job_log` VALUES (65093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:47:30');
INSERT INTO `sys_job_log` VALUES (65094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:47:30');
INSERT INTO `sys_job_log` VALUES (65095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:47:31');
INSERT INTO `sys_job_log` VALUES (65096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:47:31');
INSERT INTO `sys_job_log` VALUES (65097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:35');
INSERT INTO `sys_job_log` VALUES (65098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:47:36');
INSERT INTO `sys_job_log` VALUES (65099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:47:40');
INSERT INTO `sys_job_log` VALUES (65100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:47:41');
INSERT INTO `sys_job_log` VALUES (65101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:45');
INSERT INTO `sys_job_log` VALUES (65102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:47:45');
INSERT INTO `sys_job_log` VALUES (65103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:47:46');
INSERT INTO `sys_job_log` VALUES (65104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:47:46');
INSERT INTO `sys_job_log` VALUES (65105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:47:50');
INSERT INTO `sys_job_log` VALUES (65106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:51');
INSERT INTO `sys_job_log` VALUES (65107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:47:55');
INSERT INTO `sys_job_log` VALUES (65108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:47:56');
INSERT INTO `sys_job_log` VALUES (65109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:48:00');
INSERT INTO `sys_job_log` VALUES (65110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:48:00');
INSERT INTO `sys_job_log` VALUES (65111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 15:48:01');
INSERT INTO `sys_job_log` VALUES (65112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 15:48:01');
INSERT INTO `sys_job_log` VALUES (65113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:48:05');
INSERT INTO `sys_job_log` VALUES (65114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:48:06');
INSERT INTO `sys_job_log` VALUES (65115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:48:10');
INSERT INTO `sys_job_log` VALUES (65116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:48:11');
INSERT INTO `sys_job_log` VALUES (65117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 15:48:15');
INSERT INTO `sys_job_log` VALUES (65118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 15:48:15');
INSERT INTO `sys_job_log` VALUES (65119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:48:16');
INSERT INTO `sys_job_log` VALUES (65120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 15:48:16');
INSERT INTO `sys_job_log` VALUES (65121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:48:20');
INSERT INTO `sys_job_log` VALUES (65122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:48:21');
INSERT INTO `sys_job_log` VALUES (65123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:48:25');
INSERT INTO `sys_job_log` VALUES (65124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:48:26');
INSERT INTO `sys_job_log` VALUES (65125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:48:30');
INSERT INTO `sys_job_log` VALUES (65126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:48:30');
INSERT INTO `sys_job_log` VALUES (65127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:48:31');
INSERT INTO `sys_job_log` VALUES (65128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:48:31');
INSERT INTO `sys_job_log` VALUES (65129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:48:35');
INSERT INTO `sys_job_log` VALUES (65130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:48:36');
INSERT INTO `sys_job_log` VALUES (65131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:48:40');
INSERT INTO `sys_job_log` VALUES (65132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:48:41');
INSERT INTO `sys_job_log` VALUES (65133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:48:45');
INSERT INTO `sys_job_log` VALUES (65134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:48:45');
INSERT INTO `sys_job_log` VALUES (65135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:48:46');
INSERT INTO `sys_job_log` VALUES (65136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:48:46');
INSERT INTO `sys_job_log` VALUES (65137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:48:50');
INSERT INTO `sys_job_log` VALUES (65138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:48:51');
INSERT INTO `sys_job_log` VALUES (65139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:48:55');
INSERT INTO `sys_job_log` VALUES (65140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:48:56');
INSERT INTO `sys_job_log` VALUES (65141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:00');
INSERT INTO `sys_job_log` VALUES (65142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:00');
INSERT INTO `sys_job_log` VALUES (65143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:01');
INSERT INTO `sys_job_log` VALUES (65144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:01');
INSERT INTO `sys_job_log` VALUES (65145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:05');
INSERT INTO `sys_job_log` VALUES (65146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:49:06');
INSERT INTO `sys_job_log` VALUES (65147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:10');
INSERT INTO `sys_job_log` VALUES (65148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:49:11');
INSERT INTO `sys_job_log` VALUES (65149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:15');
INSERT INTO `sys_job_log` VALUES (65150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:15');
INSERT INTO `sys_job_log` VALUES (65151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:49:16');
INSERT INTO `sys_job_log` VALUES (65152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:49:16');
INSERT INTO `sys_job_log` VALUES (65153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:49:20');
INSERT INTO `sys_job_log` VALUES (65154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:21');
INSERT INTO `sys_job_log` VALUES (65155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:49:25');
INSERT INTO `sys_job_log` VALUES (65156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:49:26');
INSERT INTO `sys_job_log` VALUES (65157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:49:30');
INSERT INTO `sys_job_log` VALUES (65158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:49:30');
INSERT INTO `sys_job_log` VALUES (65159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:49:31');
INSERT INTO `sys_job_log` VALUES (65160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:49:31');
INSERT INTO `sys_job_log` VALUES (65161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:49:35');
INSERT INTO `sys_job_log` VALUES (65162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:36');
INSERT INTO `sys_job_log` VALUES (65163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:49:40');
INSERT INTO `sys_job_log` VALUES (65164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:41');
INSERT INTO `sys_job_log` VALUES (65165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:49:45');
INSERT INTO `sys_job_log` VALUES (65166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:49:45');
INSERT INTO `sys_job_log` VALUES (65167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:46');
INSERT INTO `sys_job_log` VALUES (65168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:46');
INSERT INTO `sys_job_log` VALUES (65169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:49:50');
INSERT INTO `sys_job_log` VALUES (65170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:49:51');
INSERT INTO `sys_job_log` VALUES (65171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:49:55');
INSERT INTO `sys_job_log` VALUES (65172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:49:56');
INSERT INTO `sys_job_log` VALUES (65173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:50:00');
INSERT INTO `sys_job_log` VALUES (65174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:50:00');
INSERT INTO `sys_job_log` VALUES (65175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 15:50:01');
INSERT INTO `sys_job_log` VALUES (65176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 15:50:01');
INSERT INTO `sys_job_log` VALUES (65177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 15:50:05');
INSERT INTO `sys_job_log` VALUES (65178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:50:10');
INSERT INTO `sys_job_log` VALUES (65179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:50:15');
INSERT INTO `sys_job_log` VALUES (65180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:50:15');
INSERT INTO `sys_job_log` VALUES (65181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 15:50:16');
INSERT INTO `sys_job_log` VALUES (65182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:50:16');
INSERT INTO `sys_job_log` VALUES (65183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:50:20');
INSERT INTO `sys_job_log` VALUES (65184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:50:21');
INSERT INTO `sys_job_log` VALUES (65185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:50:25');
INSERT INTO `sys_job_log` VALUES (65186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:50:26');
INSERT INTO `sys_job_log` VALUES (65187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:50:30');
INSERT INTO `sys_job_log` VALUES (65188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:50:30');
INSERT INTO `sys_job_log` VALUES (65189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:50:31');
INSERT INTO `sys_job_log` VALUES (65190, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 15:50:31');
INSERT INTO `sys_job_log` VALUES (65191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:50:35');
INSERT INTO `sys_job_log` VALUES (65192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:50:36');
INSERT INTO `sys_job_log` VALUES (65193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 15:50:40');
INSERT INTO `sys_job_log` VALUES (65194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:50:41');
INSERT INTO `sys_job_log` VALUES (65195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:50:45');
INSERT INTO `sys_job_log` VALUES (65196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:50:45');
INSERT INTO `sys_job_log` VALUES (65197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:50:46');
INSERT INTO `sys_job_log` VALUES (65198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:50:46');
INSERT INTO `sys_job_log` VALUES (65199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:50:50');
INSERT INTO `sys_job_log` VALUES (65200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:50:51');
INSERT INTO `sys_job_log` VALUES (65201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:50:55');
INSERT INTO `sys_job_log` VALUES (65202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:50:56');
INSERT INTO `sys_job_log` VALUES (65203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:00');
INSERT INTO `sys_job_log` VALUES (65204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:00');
INSERT INTO `sys_job_log` VALUES (65205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:01');
INSERT INTO `sys_job_log` VALUES (65206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:01');
INSERT INTO `sys_job_log` VALUES (65207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:51:05');
INSERT INTO `sys_job_log` VALUES (65208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:51:06');
INSERT INTO `sys_job_log` VALUES (65209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:10');
INSERT INTO `sys_job_log` VALUES (65210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:51:11');
INSERT INTO `sys_job_log` VALUES (65211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:15');
INSERT INTO `sys_job_log` VALUES (65212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:15');
INSERT INTO `sys_job_log` VALUES (65213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:51:16');
INSERT INTO `sys_job_log` VALUES (65214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:51:16');
INSERT INTO `sys_job_log` VALUES (65215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:51:20');
INSERT INTO `sys_job_log` VALUES (65216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:51:21');
INSERT INTO `sys_job_log` VALUES (65217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:51:25');
INSERT INTO `sys_job_log` VALUES (65218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:51:26');
INSERT INTO `sys_job_log` VALUES (65219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:51:30');
INSERT INTO `sys_job_log` VALUES (65220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:51:30');
INSERT INTO `sys_job_log` VALUES (65221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:51:31');
INSERT INTO `sys_job_log` VALUES (65222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:51:31');
INSERT INTO `sys_job_log` VALUES (65223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:51:35');
INSERT INTO `sys_job_log` VALUES (65224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:51:36');
INSERT INTO `sys_job_log` VALUES (65225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:51:40');
INSERT INTO `sys_job_log` VALUES (65226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:51:41');
INSERT INTO `sys_job_log` VALUES (65227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:51:45');
INSERT INTO `sys_job_log` VALUES (65228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:51:45');
INSERT INTO `sys_job_log` VALUES (65229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:51:46');
INSERT INTO `sys_job_log` VALUES (65230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:51:46');
INSERT INTO `sys_job_log` VALUES (65231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:51:50');
INSERT INTO `sys_job_log` VALUES (65232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:51:51');
INSERT INTO `sys_job_log` VALUES (65233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:51:55');
INSERT INTO `sys_job_log` VALUES (65234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:51:56');
INSERT INTO `sys_job_log` VALUES (65235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:52:00');
INSERT INTO `sys_job_log` VALUES (65236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:52:00');
INSERT INTO `sys_job_log` VALUES (65237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:01');
INSERT INTO `sys_job_log` VALUES (65238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:01');
INSERT INTO `sys_job_log` VALUES (65239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:52:05');
INSERT INTO `sys_job_log` VALUES (65240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:06');
INSERT INTO `sys_job_log` VALUES (65241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:10');
INSERT INTO `sys_job_log` VALUES (65242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:52:11');
INSERT INTO `sys_job_log` VALUES (65243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:52:15');
INSERT INTO `sys_job_log` VALUES (65244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:52:15');
INSERT INTO `sys_job_log` VALUES (65245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:52:16');
INSERT INTO `sys_job_log` VALUES (65246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:52:16');
INSERT INTO `sys_job_log` VALUES (65247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:52:20');
INSERT INTO `sys_job_log` VALUES (65248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:21');
INSERT INTO `sys_job_log` VALUES (65249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:52:25');
INSERT INTO `sys_job_log` VALUES (65250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 15:52:26');
INSERT INTO `sys_job_log` VALUES (65251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:30');
INSERT INTO `sys_job_log` VALUES (65252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:52:30');
INSERT INTO `sys_job_log` VALUES (65253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:52:31');
INSERT INTO `sys_job_log` VALUES (65254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:52:31');
INSERT INTO `sys_job_log` VALUES (65255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:52:35');
INSERT INTO `sys_job_log` VALUES (65256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:52:36');
INSERT INTO `sys_job_log` VALUES (65257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:52:40');
INSERT INTO `sys_job_log` VALUES (65258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:52:45');
INSERT INTO `sys_job_log` VALUES (65259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:52:45');
INSERT INTO `sys_job_log` VALUES (65260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 15:52:48');
INSERT INTO `sys_job_log` VALUES (65261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 15:52:48');
INSERT INTO `sys_job_log` VALUES (65262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:52:50');
INSERT INTO `sys_job_log` VALUES (65263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:52:51');
INSERT INTO `sys_job_log` VALUES (65264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:52:55');
INSERT INTO `sys_job_log` VALUES (65265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:52:56');
INSERT INTO `sys_job_log` VALUES (65266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:00');
INSERT INTO `sys_job_log` VALUES (65267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:00');
INSERT INTO `sys_job_log` VALUES (65268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:53:01');
INSERT INTO `sys_job_log` VALUES (65269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:53:01');
INSERT INTO `sys_job_log` VALUES (65270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:53:05');
INSERT INTO `sys_job_log` VALUES (65271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:53:06');
INSERT INTO `sys_job_log` VALUES (65272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:53:10');
INSERT INTO `sys_job_log` VALUES (65273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:53:11');
INSERT INTO `sys_job_log` VALUES (65274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:53:15');
INSERT INTO `sys_job_log` VALUES (65275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:53:15');
INSERT INTO `sys_job_log` VALUES (65276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:53:16');
INSERT INTO `sys_job_log` VALUES (65277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:53:16');
INSERT INTO `sys_job_log` VALUES (65278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:53:20');
INSERT INTO `sys_job_log` VALUES (65279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:53:21');
INSERT INTO `sys_job_log` VALUES (65280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:53:25');
INSERT INTO `sys_job_log` VALUES (65281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:26');
INSERT INTO `sys_job_log` VALUES (65282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:53:30');
INSERT INTO `sys_job_log` VALUES (65283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:53:30');
INSERT INTO `sys_job_log` VALUES (65284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:53:35');
INSERT INTO `sys_job_log` VALUES (65285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:53:40');
INSERT INTO `sys_job_log` VALUES (65286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-02 15:53:41');
INSERT INTO `sys_job_log` VALUES (65287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:45');
INSERT INTO `sys_job_log` VALUES (65288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:45');
INSERT INTO `sys_job_log` VALUES (65289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:46');
INSERT INTO `sys_job_log` VALUES (65290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:46');
INSERT INTO `sys_job_log` VALUES (65291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:53:50');
INSERT INTO `sys_job_log` VALUES (65292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-02 15:53:51');
INSERT INTO `sys_job_log` VALUES (65293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:53:55');
INSERT INTO `sys_job_log` VALUES (65294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:53:56');
INSERT INTO `sys_job_log` VALUES (65295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:54:00');
INSERT INTO `sys_job_log` VALUES (65296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:54:00');
INSERT INTO `sys_job_log` VALUES (65297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:01');
INSERT INTO `sys_job_log` VALUES (65298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:01');
INSERT INTO `sys_job_log` VALUES (65299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:54:05');
INSERT INTO `sys_job_log` VALUES (65300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:54:06');
INSERT INTO `sys_job_log` VALUES (65301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:10');
INSERT INTO `sys_job_log` VALUES (65302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:11');
INSERT INTO `sys_job_log` VALUES (65303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:15');
INSERT INTO `sys_job_log` VALUES (65304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:15');
INSERT INTO `sys_job_log` VALUES (65305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:16');
INSERT INTO `sys_job_log` VALUES (65306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:16');
INSERT INTO `sys_job_log` VALUES (65307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:20');
INSERT INTO `sys_job_log` VALUES (65308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:21');
INSERT INTO `sys_job_log` VALUES (65309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:54:25');
INSERT INTO `sys_job_log` VALUES (65310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:26');
INSERT INTO `sys_job_log` VALUES (65311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:30');
INSERT INTO `sys_job_log` VALUES (65312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:30');
INSERT INTO `sys_job_log` VALUES (65313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:54:31');
INSERT INTO `sys_job_log` VALUES (65314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:54:31');
INSERT INTO `sys_job_log` VALUES (65315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:54:35');
INSERT INTO `sys_job_log` VALUES (65316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:54:36');
INSERT INTO `sys_job_log` VALUES (65317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:54:40');
INSERT INTO `sys_job_log` VALUES (65318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:54:41');
INSERT INTO `sys_job_log` VALUES (65319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:54:46');
INSERT INTO `sys_job_log` VALUES (65320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:54:46');
INSERT INTO `sys_job_log` VALUES (65321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1840毫秒', '0', '', '2025-01-02 15:54:46');
INSERT INTO `sys_job_log` VALUES (65322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1840毫秒', '0', '', '2025-01-02 15:54:46');
INSERT INTO `sys_job_log` VALUES (65323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:54:50');
INSERT INTO `sys_job_log` VALUES (65324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:54:51');
INSERT INTO `sys_job_log` VALUES (65325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:54:55');
INSERT INTO `sys_job_log` VALUES (65326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:54:56');
INSERT INTO `sys_job_log` VALUES (65327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:00');
INSERT INTO `sys_job_log` VALUES (65328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:00');
INSERT INTO `sys_job_log` VALUES (65329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:55:01');
INSERT INTO `sys_job_log` VALUES (65330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:55:01');
INSERT INTO `sys_job_log` VALUES (65331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:55:05');
INSERT INTO `sys_job_log` VALUES (65332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-02 15:55:06');
INSERT INTO `sys_job_log` VALUES (65333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:10');
INSERT INTO `sys_job_log` VALUES (65334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:55:11');
INSERT INTO `sys_job_log` VALUES (65335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:55:15');
INSERT INTO `sys_job_log` VALUES (65336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:55:15');
INSERT INTO `sys_job_log` VALUES (65337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:55:16');
INSERT INTO `sys_job_log` VALUES (65338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:55:16');
INSERT INTO `sys_job_log` VALUES (65339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 15:55:20');
INSERT INTO `sys_job_log` VALUES (65340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:55:21');
INSERT INTO `sys_job_log` VALUES (65341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:55:25');
INSERT INTO `sys_job_log` VALUES (65342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:26');
INSERT INTO `sys_job_log` VALUES (65343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:55:30');
INSERT INTO `sys_job_log` VALUES (65344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:55:30');
INSERT INTO `sys_job_log` VALUES (65345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 15:55:31');
INSERT INTO `sys_job_log` VALUES (65346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:55:31');
INSERT INTO `sys_job_log` VALUES (65347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:35');
INSERT INTO `sys_job_log` VALUES (65348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:36');
INSERT INTO `sys_job_log` VALUES (65349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:55:40');
INSERT INTO `sys_job_log` VALUES (65350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:55:41');
INSERT INTO `sys_job_log` VALUES (65351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:55:45');
INSERT INTO `sys_job_log` VALUES (65352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:55:45');
INSERT INTO `sys_job_log` VALUES (65353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:55:46');
INSERT INTO `sys_job_log` VALUES (65354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:55:46');
INSERT INTO `sys_job_log` VALUES (65355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:55:50');
INSERT INTO `sys_job_log` VALUES (65356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:55:51');
INSERT INTO `sys_job_log` VALUES (65357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:55:55');
INSERT INTO `sys_job_log` VALUES (65358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:55:56');
INSERT INTO `sys_job_log` VALUES (65359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2025-01-02 15:56:00');
INSERT INTO `sys_job_log` VALUES (65360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2025-01-02 15:56:00');
INSERT INTO `sys_job_log` VALUES (65361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:56:01');
INSERT INTO `sys_job_log` VALUES (65362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:56:01');
INSERT INTO `sys_job_log` VALUES (65363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:56:05');
INSERT INTO `sys_job_log` VALUES (65364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:56:06');
INSERT INTO `sys_job_log` VALUES (65365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:56:10');
INSERT INTO `sys_job_log` VALUES (65366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:56:11');
INSERT INTO `sys_job_log` VALUES (65367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 15:56:15');
INSERT INTO `sys_job_log` VALUES (65368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:56:15');
INSERT INTO `sys_job_log` VALUES (65369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:56:16');
INSERT INTO `sys_job_log` VALUES (65370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:56:16');
INSERT INTO `sys_job_log` VALUES (65371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:56:20');
INSERT INTO `sys_job_log` VALUES (65372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:56:21');
INSERT INTO `sys_job_log` VALUES (65373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:56:25');
INSERT INTO `sys_job_log` VALUES (65374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 15:56:26');
INSERT INTO `sys_job_log` VALUES (65375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:56:30');
INSERT INTO `sys_job_log` VALUES (65376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:56:30');
INSERT INTO `sys_job_log` VALUES (65377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:56:31');
INSERT INTO `sys_job_log` VALUES (65378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:56:31');
INSERT INTO `sys_job_log` VALUES (65379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:56:35');
INSERT INTO `sys_job_log` VALUES (65380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:56:36');
INSERT INTO `sys_job_log` VALUES (65381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:56:40');
INSERT INTO `sys_job_log` VALUES (65382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:56:41');
INSERT INTO `sys_job_log` VALUES (65383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 15:56:45');
INSERT INTO `sys_job_log` VALUES (65384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:56:45');
INSERT INTO `sys_job_log` VALUES (65385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:56:46');
INSERT INTO `sys_job_log` VALUES (65386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:56:46');
INSERT INTO `sys_job_log` VALUES (65387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:56:50');
INSERT INTO `sys_job_log` VALUES (65388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:56:51');
INSERT INTO `sys_job_log` VALUES (65389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:56:55');
INSERT INTO `sys_job_log` VALUES (65390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:56:56');
INSERT INTO `sys_job_log` VALUES (65391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 15:57:00');
INSERT INTO `sys_job_log` VALUES (65392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 15:57:00');
INSERT INTO `sys_job_log` VALUES (65393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:57:01');
INSERT INTO `sys_job_log` VALUES (65394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:57:01');
INSERT INTO `sys_job_log` VALUES (65395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:57:05');
INSERT INTO `sys_job_log` VALUES (65396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:57:06');
INSERT INTO `sys_job_log` VALUES (65397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:57:10');
INSERT INTO `sys_job_log` VALUES (65398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:57:11');
INSERT INTO `sys_job_log` VALUES (65399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:57:15');
INSERT INTO `sys_job_log` VALUES (65400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:57:15');
INSERT INTO `sys_job_log` VALUES (65401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:57:16');
INSERT INTO `sys_job_log` VALUES (65402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:57:16');
INSERT INTO `sys_job_log` VALUES (65403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:57:20');
INSERT INTO `sys_job_log` VALUES (65404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:57:21');
INSERT INTO `sys_job_log` VALUES (65405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:57:25');
INSERT INTO `sys_job_log` VALUES (65406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:57:26');
INSERT INTO `sys_job_log` VALUES (65407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:57:30');
INSERT INTO `sys_job_log` VALUES (65408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:57:30');
INSERT INTO `sys_job_log` VALUES (65409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:57:31');
INSERT INTO `sys_job_log` VALUES (65410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:57:31');
INSERT INTO `sys_job_log` VALUES (65411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:57:35');
INSERT INTO `sys_job_log` VALUES (65412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:57:36');
INSERT INTO `sys_job_log` VALUES (65413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:57:40');
INSERT INTO `sys_job_log` VALUES (65414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:57:41');
INSERT INTO `sys_job_log` VALUES (65415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:57:45');
INSERT INTO `sys_job_log` VALUES (65416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:57:45');
INSERT INTO `sys_job_log` VALUES (65417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:57:46');
INSERT INTO `sys_job_log` VALUES (65418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 15:57:46');
INSERT INTO `sys_job_log` VALUES (65419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:57:50');
INSERT INTO `sys_job_log` VALUES (65420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:57:51');
INSERT INTO `sys_job_log` VALUES (65421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 15:57:55');
INSERT INTO `sys_job_log` VALUES (65422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:57:56');
INSERT INTO `sys_job_log` VALUES (65423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:58:00');
INSERT INTO `sys_job_log` VALUES (65424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:58:00');
INSERT INTO `sys_job_log` VALUES (65425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:01');
INSERT INTO `sys_job_log` VALUES (65426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:58:01');
INSERT INTO `sys_job_log` VALUES (65427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 15:58:05');
INSERT INTO `sys_job_log` VALUES (65428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:06');
INSERT INTO `sys_job_log` VALUES (65429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 15:58:10');
INSERT INTO `sys_job_log` VALUES (65430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:58:11');
INSERT INTO `sys_job_log` VALUES (65431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:58:15');
INSERT INTO `sys_job_log` VALUES (65432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:58:15');
INSERT INTO `sys_job_log` VALUES (65433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:58:16');
INSERT INTO `sys_job_log` VALUES (65434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:58:16');
INSERT INTO `sys_job_log` VALUES (65435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:58:20');
INSERT INTO `sys_job_log` VALUES (65436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:58:21');
INSERT INTO `sys_job_log` VALUES (65437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:58:25');
INSERT INTO `sys_job_log` VALUES (65438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:26');
INSERT INTO `sys_job_log` VALUES (65439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 15:58:30');
INSERT INTO `sys_job_log` VALUES (65440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:58:30');
INSERT INTO `sys_job_log` VALUES (65441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:31');
INSERT INTO `sys_job_log` VALUES (65442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:31');
INSERT INTO `sys_job_log` VALUES (65443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 15:58:35');
INSERT INTO `sys_job_log` VALUES (65444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:58:36');
INSERT INTO `sys_job_log` VALUES (65445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:58:40');
INSERT INTO `sys_job_log` VALUES (65446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:58:41');
INSERT INTO `sys_job_log` VALUES (65447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 15:58:45');
INSERT INTO `sys_job_log` VALUES (65448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 15:58:45');
INSERT INTO `sys_job_log` VALUES (65449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:46');
INSERT INTO `sys_job_log` VALUES (65450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:58:46');
INSERT INTO `sys_job_log` VALUES (65451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:58:50');
INSERT INTO `sys_job_log` VALUES (65452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:58:51');
INSERT INTO `sys_job_log` VALUES (65453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:58:55');
INSERT INTO `sys_job_log` VALUES (65454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:58:56');
INSERT INTO `sys_job_log` VALUES (65455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 15:59:00');
INSERT INTO `sys_job_log` VALUES (65456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:59:00');
INSERT INTO `sys_job_log` VALUES (65457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 15:59:01');
INSERT INTO `sys_job_log` VALUES (65458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:59:01');
INSERT INTO `sys_job_log` VALUES (65459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:59:05');
INSERT INTO `sys_job_log` VALUES (65460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:59:06');
INSERT INTO `sys_job_log` VALUES (65461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:59:10');
INSERT INTO `sys_job_log` VALUES (65462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:59:11');
INSERT INTO `sys_job_log` VALUES (65463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 15:59:15');
INSERT INTO `sys_job_log` VALUES (65464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 15:59:15');
INSERT INTO `sys_job_log` VALUES (65465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 15:59:16');
INSERT INTO `sys_job_log` VALUES (65466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:59:16');
INSERT INTO `sys_job_log` VALUES (65467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:59:20');
INSERT INTO `sys_job_log` VALUES (65468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:59:21');
INSERT INTO `sys_job_log` VALUES (65469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:59:25');
INSERT INTO `sys_job_log` VALUES (65470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 15:59:26');
INSERT INTO `sys_job_log` VALUES (65471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:59:30');
INSERT INTO `sys_job_log` VALUES (65472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:59:30');
INSERT INTO `sys_job_log` VALUES (65473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:59:31');
INSERT INTO `sys_job_log` VALUES (65474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:59:31');
INSERT INTO `sys_job_log` VALUES (65475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 15:59:35');
INSERT INTO `sys_job_log` VALUES (65476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:59:36');
INSERT INTO `sys_job_log` VALUES (65477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:59:40');
INSERT INTO `sys_job_log` VALUES (65478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 15:59:41');
INSERT INTO `sys_job_log` VALUES (65479, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 15:59:45');
INSERT INTO `sys_job_log` VALUES (65480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 15:59:45');
INSERT INTO `sys_job_log` VALUES (65481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 15:59:46');
INSERT INTO `sys_job_log` VALUES (65482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 15:59:46');
INSERT INTO `sys_job_log` VALUES (65483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 15:59:50');
INSERT INTO `sys_job_log` VALUES (65484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 15:59:51');
INSERT INTO `sys_job_log` VALUES (65485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 15:59:55');
INSERT INTO `sys_job_log` VALUES (65486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 15:59:56');
INSERT INTO `sys_job_log` VALUES (65487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:00');
INSERT INTO `sys_job_log` VALUES (65488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:00');
INSERT INTO `sys_job_log` VALUES (65489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:01');
INSERT INTO `sys_job_log` VALUES (65490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:01');
INSERT INTO `sys_job_log` VALUES (65491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:00:05');
INSERT INTO `sys_job_log` VALUES (65492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:00:06');
INSERT INTO `sys_job_log` VALUES (65493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:00:10');
INSERT INTO `sys_job_log` VALUES (65494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:00:11');
INSERT INTO `sys_job_log` VALUES (65495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 16:00:15');
INSERT INTO `sys_job_log` VALUES (65496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:00:15');
INSERT INTO `sys_job_log` VALUES (65497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:00:16');
INSERT INTO `sys_job_log` VALUES (65498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:00:16');
INSERT INTO `sys_job_log` VALUES (65499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:00:20');
INSERT INTO `sys_job_log` VALUES (65500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:00:21');
INSERT INTO `sys_job_log` VALUES (65501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:00:25');
INSERT INTO `sys_job_log` VALUES (65502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:26');
INSERT INTO `sys_job_log` VALUES (65503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:00:30');
INSERT INTO `sys_job_log` VALUES (65504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:00:30');
INSERT INTO `sys_job_log` VALUES (65505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:00:31');
INSERT INTO `sys_job_log` VALUES (65506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:00:31');
INSERT INTO `sys_job_log` VALUES (65507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:00:35');
INSERT INTO `sys_job_log` VALUES (65508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:00:36');
INSERT INTO `sys_job_log` VALUES (65509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:00:40');
INSERT INTO `sys_job_log` VALUES (65510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:00:41');
INSERT INTO `sys_job_log` VALUES (65511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:45');
INSERT INTO `sys_job_log` VALUES (65512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:00:45');
INSERT INTO `sys_job_log` VALUES (65513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:00:46');
INSERT INTO `sys_job_log` VALUES (65514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:00:46');
INSERT INTO `sys_job_log` VALUES (65515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:00:50');
INSERT INTO `sys_job_log` VALUES (65516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:00:51');
INSERT INTO `sys_job_log` VALUES (65517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:00:55');
INSERT INTO `sys_job_log` VALUES (65518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:00:56');
INSERT INTO `sys_job_log` VALUES (65519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:01:00');
INSERT INTO `sys_job_log` VALUES (65520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:01:00');
INSERT INTO `sys_job_log` VALUES (65521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:01');
INSERT INTO `sys_job_log` VALUES (65522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:01');
INSERT INTO `sys_job_log` VALUES (65523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:01:05');
INSERT INTO `sys_job_log` VALUES (65524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:01:06');
INSERT INTO `sys_job_log` VALUES (65525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:01:10');
INSERT INTO `sys_job_log` VALUES (65526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:01:11');
INSERT INTO `sys_job_log` VALUES (65527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:15');
INSERT INTO `sys_job_log` VALUES (65528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:15');
INSERT INTO `sys_job_log` VALUES (65529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:01:16');
INSERT INTO `sys_job_log` VALUES (65530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:01:16');
INSERT INTO `sys_job_log` VALUES (65531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:01:20');
INSERT INTO `sys_job_log` VALUES (65532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:01:21');
INSERT INTO `sys_job_log` VALUES (65533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:01:25');
INSERT INTO `sys_job_log` VALUES (65534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:26');
INSERT INTO `sys_job_log` VALUES (65535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:30');
INSERT INTO `sys_job_log` VALUES (65536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:01:30');
INSERT INTO `sys_job_log` VALUES (65537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:01:31');
INSERT INTO `sys_job_log` VALUES (65538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:01:31');
INSERT INTO `sys_job_log` VALUES (65539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:01:35');
INSERT INTO `sys_job_log` VALUES (65540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:01:36');
INSERT INTO `sys_job_log` VALUES (65541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:01:40');
INSERT INTO `sys_job_log` VALUES (65542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:01:41');
INSERT INTO `sys_job_log` VALUES (65543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:01:45');
INSERT INTO `sys_job_log` VALUES (65544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:01:45');
INSERT INTO `sys_job_log` VALUES (65545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:01:46');
INSERT INTO `sys_job_log` VALUES (65546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:01:46');
INSERT INTO `sys_job_log` VALUES (65547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:50');
INSERT INTO `sys_job_log` VALUES (65548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:01:51');
INSERT INTO `sys_job_log` VALUES (65549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:01:55');
INSERT INTO `sys_job_log` VALUES (65550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:01:56');
INSERT INTO `sys_job_log` VALUES (65551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:02:00');
INSERT INTO `sys_job_log` VALUES (65552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:02:00');
INSERT INTO `sys_job_log` VALUES (65553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:02:01');
INSERT INTO `sys_job_log` VALUES (65554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:02:01');
INSERT INTO `sys_job_log` VALUES (65555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:02:05');
INSERT INTO `sys_job_log` VALUES (65556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:02:06');
INSERT INTO `sys_job_log` VALUES (65557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:02:10');
INSERT INTO `sys_job_log` VALUES (65558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:02:11');
INSERT INTO `sys_job_log` VALUES (65559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:02:15');
INSERT INTO `sys_job_log` VALUES (65560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:02:15');
INSERT INTO `sys_job_log` VALUES (65561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:02:16');
INSERT INTO `sys_job_log` VALUES (65562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:02:16');
INSERT INTO `sys_job_log` VALUES (65563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:02:20');
INSERT INTO `sys_job_log` VALUES (65564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:02:21');
INSERT INTO `sys_job_log` VALUES (65565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:02:25');
INSERT INTO `sys_job_log` VALUES (65566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:02:26');
INSERT INTO `sys_job_log` VALUES (65567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:02:30');
INSERT INTO `sys_job_log` VALUES (65568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:02:30');
INSERT INTO `sys_job_log` VALUES (65569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:02:31');
INSERT INTO `sys_job_log` VALUES (65570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:02:31');
INSERT INTO `sys_job_log` VALUES (65571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:02:35');
INSERT INTO `sys_job_log` VALUES (65572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:02:36');
INSERT INTO `sys_job_log` VALUES (65573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:02:40');
INSERT INTO `sys_job_log` VALUES (65574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:02:41');
INSERT INTO `sys_job_log` VALUES (65575, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:02:45');
INSERT INTO `sys_job_log` VALUES (65576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:02:45');
INSERT INTO `sys_job_log` VALUES (65577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:02:46');
INSERT INTO `sys_job_log` VALUES (65578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:02:46');
INSERT INTO `sys_job_log` VALUES (65579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:02:50');
INSERT INTO `sys_job_log` VALUES (65580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:02:51');
INSERT INTO `sys_job_log` VALUES (65581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:02:55');
INSERT INTO `sys_job_log` VALUES (65582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:02:56');
INSERT INTO `sys_job_log` VALUES (65583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:03:00');
INSERT INTO `sys_job_log` VALUES (65584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:03:00');
INSERT INTO `sys_job_log` VALUES (65585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:03:01');
INSERT INTO `sys_job_log` VALUES (65586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:03:01');
INSERT INTO `sys_job_log` VALUES (65587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:03:05');
INSERT INTO `sys_job_log` VALUES (65588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:03:06');
INSERT INTO `sys_job_log` VALUES (65589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-02 16:03:10');
INSERT INTO `sys_job_log` VALUES (65590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:03:11');
INSERT INTO `sys_job_log` VALUES (65591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:03:15');
INSERT INTO `sys_job_log` VALUES (65592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:03:15');
INSERT INTO `sys_job_log` VALUES (65593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:03:16');
INSERT INTO `sys_job_log` VALUES (65594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:03:16');
INSERT INTO `sys_job_log` VALUES (65595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:03:20');
INSERT INTO `sys_job_log` VALUES (65596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:03:21');
INSERT INTO `sys_job_log` VALUES (65597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:03:25');
INSERT INTO `sys_job_log` VALUES (65598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:03:26');
INSERT INTO `sys_job_log` VALUES (65599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:03:30');
INSERT INTO `sys_job_log` VALUES (65600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:03:30');
INSERT INTO `sys_job_log` VALUES (65601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:03:31');
INSERT INTO `sys_job_log` VALUES (65602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:03:31');
INSERT INTO `sys_job_log` VALUES (65603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:03:35');
INSERT INTO `sys_job_log` VALUES (65604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:03:36');
INSERT INTO `sys_job_log` VALUES (65605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:03:40');
INSERT INTO `sys_job_log` VALUES (65606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:03:41');
INSERT INTO `sys_job_log` VALUES (65607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:03:45');
INSERT INTO `sys_job_log` VALUES (65608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:03:45');
INSERT INTO `sys_job_log` VALUES (65609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:03:46');
INSERT INTO `sys_job_log` VALUES (65610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:03:46');
INSERT INTO `sys_job_log` VALUES (65611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:03:50');
INSERT INTO `sys_job_log` VALUES (65612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:03:51');
INSERT INTO `sys_job_log` VALUES (65613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:03:55');
INSERT INTO `sys_job_log` VALUES (65614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:03:56');
INSERT INTO `sys_job_log` VALUES (65615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:00');
INSERT INTO `sys_job_log` VALUES (65616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:00');
INSERT INTO `sys_job_log` VALUES (65617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：162毫秒', '0', '', '2025-01-02 16:04:01');
INSERT INTO `sys_job_log` VALUES (65618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：162毫秒', '0', '', '2025-01-02 16:04:01');
INSERT INTO `sys_job_log` VALUES (65619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:04:05');
INSERT INTO `sys_job_log` VALUES (65620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:04:06');
INSERT INTO `sys_job_log` VALUES (65621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:04:10');
INSERT INTO `sys_job_log` VALUES (65622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:04:11');
INSERT INTO `sys_job_log` VALUES (65623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:04:15');
INSERT INTO `sys_job_log` VALUES (65624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:04:15');
INSERT INTO `sys_job_log` VALUES (65625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:04:16');
INSERT INTO `sys_job_log` VALUES (65626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:04:16');
INSERT INTO `sys_job_log` VALUES (65627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:04:20');
INSERT INTO `sys_job_log` VALUES (65628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:04:21');
INSERT INTO `sys_job_log` VALUES (65629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:04:25');
INSERT INTO `sys_job_log` VALUES (65630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:04:26');
INSERT INTO `sys_job_log` VALUES (65631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:04:30');
INSERT INTO `sys_job_log` VALUES (65632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:04:30');
INSERT INTO `sys_job_log` VALUES (65633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:04:31');
INSERT INTO `sys_job_log` VALUES (65634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:04:31');
INSERT INTO `sys_job_log` VALUES (65635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:35');
INSERT INTO `sys_job_log` VALUES (65636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:36');
INSERT INTO `sys_job_log` VALUES (65637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:40');
INSERT INTO `sys_job_log` VALUES (65638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:04:41');
INSERT INTO `sys_job_log` VALUES (65639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:04:45');
INSERT INTO `sys_job_log` VALUES (65640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:04:45');
INSERT INTO `sys_job_log` VALUES (65641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:04:46');
INSERT INTO `sys_job_log` VALUES (65642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:46');
INSERT INTO `sys_job_log` VALUES (65643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:04:50');
INSERT INTO `sys_job_log` VALUES (65644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:04:51');
INSERT INTO `sys_job_log` VALUES (65645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:04:55');
INSERT INTO `sys_job_log` VALUES (65646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:04:56');
INSERT INTO `sys_job_log` VALUES (65647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:05:00');
INSERT INTO `sys_job_log` VALUES (65648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 16:05:00');
INSERT INTO `sys_job_log` VALUES (65649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:05:01');
INSERT INTO `sys_job_log` VALUES (65650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:05:01');
INSERT INTO `sys_job_log` VALUES (65651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:05:05');
INSERT INTO `sys_job_log` VALUES (65652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:05:06');
INSERT INTO `sys_job_log` VALUES (65653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:05:10');
INSERT INTO `sys_job_log` VALUES (65654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:05:11');
INSERT INTO `sys_job_log` VALUES (65655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:05:15');
INSERT INTO `sys_job_log` VALUES (65656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:05:15');
INSERT INTO `sys_job_log` VALUES (65657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:05:16');
INSERT INTO `sys_job_log` VALUES (65658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:05:16');
INSERT INTO `sys_job_log` VALUES (65659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:05:20');
INSERT INTO `sys_job_log` VALUES (65660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:05:21');
INSERT INTO `sys_job_log` VALUES (65661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:05:25');
INSERT INTO `sys_job_log` VALUES (65662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:05:26');
INSERT INTO `sys_job_log` VALUES (65663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:05:30');
INSERT INTO `sys_job_log` VALUES (65664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:05:30');
INSERT INTO `sys_job_log` VALUES (65665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:05:31');
INSERT INTO `sys_job_log` VALUES (65666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:05:31');
INSERT INTO `sys_job_log` VALUES (65667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:05:35');
INSERT INTO `sys_job_log` VALUES (65668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:05:36');
INSERT INTO `sys_job_log` VALUES (65669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:05:40');
INSERT INTO `sys_job_log` VALUES (65670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:05:41');
INSERT INTO `sys_job_log` VALUES (65671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:05:45');
INSERT INTO `sys_job_log` VALUES (65672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 16:05:45');
INSERT INTO `sys_job_log` VALUES (65673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:05:46');
INSERT INTO `sys_job_log` VALUES (65674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:05:46');
INSERT INTO `sys_job_log` VALUES (65675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:05:50');
INSERT INTO `sys_job_log` VALUES (65676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:05:51');
INSERT INTO `sys_job_log` VALUES (65677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:05:55');
INSERT INTO `sys_job_log` VALUES (65678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:05:56');
INSERT INTO `sys_job_log` VALUES (65679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:06:00');
INSERT INTO `sys_job_log` VALUES (65680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:06:00');
INSERT INTO `sys_job_log` VALUES (65681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:06:01');
INSERT INTO `sys_job_log` VALUES (65682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:06:01');
INSERT INTO `sys_job_log` VALUES (65683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:06:05');
INSERT INTO `sys_job_log` VALUES (65684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:06:06');
INSERT INTO `sys_job_log` VALUES (65685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:06:10');
INSERT INTO `sys_job_log` VALUES (65686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:06:11');
INSERT INTO `sys_job_log` VALUES (65687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:06:15');
INSERT INTO `sys_job_log` VALUES (65688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:06:15');
INSERT INTO `sys_job_log` VALUES (65689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:06:16');
INSERT INTO `sys_job_log` VALUES (65690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:06:16');
INSERT INTO `sys_job_log` VALUES (65691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:06:20');
INSERT INTO `sys_job_log` VALUES (65692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1813毫秒', '0', '', '2025-01-02 16:06:23');
INSERT INTO `sys_job_log` VALUES (65693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:06:25');
INSERT INTO `sys_job_log` VALUES (65694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:06:26');
INSERT INTO `sys_job_log` VALUES (65695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:06:30');
INSERT INTO `sys_job_log` VALUES (65696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:06:30');
INSERT INTO `sys_job_log` VALUES (65697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:06:31');
INSERT INTO `sys_job_log` VALUES (65698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:06:31');
INSERT INTO `sys_job_log` VALUES (65699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:06:35');
INSERT INTO `sys_job_log` VALUES (65700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:06:36');
INSERT INTO `sys_job_log` VALUES (65701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:06:40');
INSERT INTO `sys_job_log` VALUES (65702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:06:41');
INSERT INTO `sys_job_log` VALUES (65703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:06:45');
INSERT INTO `sys_job_log` VALUES (65704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:06:45');
INSERT INTO `sys_job_log` VALUES (65705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:06:46');
INSERT INTO `sys_job_log` VALUES (65706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:06:46');
INSERT INTO `sys_job_log` VALUES (65707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:06:50');
INSERT INTO `sys_job_log` VALUES (65708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:06:51');
INSERT INTO `sys_job_log` VALUES (65709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:06:55');
INSERT INTO `sys_job_log` VALUES (65710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:06:56');
INSERT INTO `sys_job_log` VALUES (65711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:07:00');
INSERT INTO `sys_job_log` VALUES (65712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:07:00');
INSERT INTO `sys_job_log` VALUES (65713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:07:01');
INSERT INTO `sys_job_log` VALUES (65714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:07:01');
INSERT INTO `sys_job_log` VALUES (65715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:07:05');
INSERT INTO `sys_job_log` VALUES (65716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:07:06');
INSERT INTO `sys_job_log` VALUES (65717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:07:10');
INSERT INTO `sys_job_log` VALUES (65718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:07:11');
INSERT INTO `sys_job_log` VALUES (65719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:07:15');
INSERT INTO `sys_job_log` VALUES (65720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:07:15');
INSERT INTO `sys_job_log` VALUES (65721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:07:16');
INSERT INTO `sys_job_log` VALUES (65722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:07:16');
INSERT INTO `sys_job_log` VALUES (65723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:07:20');
INSERT INTO `sys_job_log` VALUES (65724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:07:21');
INSERT INTO `sys_job_log` VALUES (65725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:07:25');
INSERT INTO `sys_job_log` VALUES (65726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:07:26');
INSERT INTO `sys_job_log` VALUES (65727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:07:30');
INSERT INTO `sys_job_log` VALUES (65728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:07:30');
INSERT INTO `sys_job_log` VALUES (65729, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2025-01-02 16:07:31');
INSERT INTO `sys_job_log` VALUES (65730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 16:07:31');
INSERT INTO `sys_job_log` VALUES (65731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:07:35');
INSERT INTO `sys_job_log` VALUES (65732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:07:36');
INSERT INTO `sys_job_log` VALUES (65733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:07:40');
INSERT INTO `sys_job_log` VALUES (65734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:07:41');
INSERT INTO `sys_job_log` VALUES (65735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:07:45');
INSERT INTO `sys_job_log` VALUES (65736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:07:45');
INSERT INTO `sys_job_log` VALUES (65737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:07:46');
INSERT INTO `sys_job_log` VALUES (65738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:07:46');
INSERT INTO `sys_job_log` VALUES (65739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:07:50');
INSERT INTO `sys_job_log` VALUES (65740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:07:51');
INSERT INTO `sys_job_log` VALUES (65741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:07:55');
INSERT INTO `sys_job_log` VALUES (65742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:07:56');
INSERT INTO `sys_job_log` VALUES (65743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:00');
INSERT INTO `sys_job_log` VALUES (65744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:00');
INSERT INTO `sys_job_log` VALUES (65745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:08:01');
INSERT INTO `sys_job_log` VALUES (65746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:08:01');
INSERT INTO `sys_job_log` VALUES (65747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:05');
INSERT INTO `sys_job_log` VALUES (65748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:06');
INSERT INTO `sys_job_log` VALUES (65749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:10');
INSERT INTO `sys_job_log` VALUES (65750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:08:11');
INSERT INTO `sys_job_log` VALUES (65751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:15');
INSERT INTO `sys_job_log` VALUES (65752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:15');
INSERT INTO `sys_job_log` VALUES (65753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:16');
INSERT INTO `sys_job_log` VALUES (65754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:16');
INSERT INTO `sys_job_log` VALUES (65755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:20');
INSERT INTO `sys_job_log` VALUES (65756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:21');
INSERT INTO `sys_job_log` VALUES (65757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:08:25');
INSERT INTO `sys_job_log` VALUES (65758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:26');
INSERT INTO `sys_job_log` VALUES (65759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:08:30');
INSERT INTO `sys_job_log` VALUES (65760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:08:30');
INSERT INTO `sys_job_log` VALUES (65761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:08:31');
INSERT INTO `sys_job_log` VALUES (65762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:08:31');
INSERT INTO `sys_job_log` VALUES (65763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:35');
INSERT INTO `sys_job_log` VALUES (65764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:36');
INSERT INTO `sys_job_log` VALUES (65765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:40');
INSERT INTO `sys_job_log` VALUES (65766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:08:41');
INSERT INTO `sys_job_log` VALUES (65767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:08:45');
INSERT INTO `sys_job_log` VALUES (65768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:08:45');
INSERT INTO `sys_job_log` VALUES (65769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:46');
INSERT INTO `sys_job_log` VALUES (65770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:08:46');
INSERT INTO `sys_job_log` VALUES (65771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:08:50');
INSERT INTO `sys_job_log` VALUES (65772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:51');
INSERT INTO `sys_job_log` VALUES (65773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:08:55');
INSERT INTO `sys_job_log` VALUES (65774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:08:56');
INSERT INTO `sys_job_log` VALUES (65775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-02 16:09:00');
INSERT INTO `sys_job_log` VALUES (65776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-02 16:09:00');
INSERT INTO `sys_job_log` VALUES (65777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:09:01');
INSERT INTO `sys_job_log` VALUES (65778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:09:01');
INSERT INTO `sys_job_log` VALUES (65779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:09:05');
INSERT INTO `sys_job_log` VALUES (65780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:09:06');
INSERT INTO `sys_job_log` VALUES (65781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:09:10');
INSERT INTO `sys_job_log` VALUES (65782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:09:11');
INSERT INTO `sys_job_log` VALUES (65783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:09:15');
INSERT INTO `sys_job_log` VALUES (65784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:09:15');
INSERT INTO `sys_job_log` VALUES (65785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:09:16');
INSERT INTO `sys_job_log` VALUES (65786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:09:16');
INSERT INTO `sys_job_log` VALUES (65787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:09:20');
INSERT INTO `sys_job_log` VALUES (65788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:09:21');
INSERT INTO `sys_job_log` VALUES (65789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 16:09:25');
INSERT INTO `sys_job_log` VALUES (65790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:09:26');
INSERT INTO `sys_job_log` VALUES (65791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:09:30');
INSERT INTO `sys_job_log` VALUES (65792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:09:30');
INSERT INTO `sys_job_log` VALUES (65793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:09:31');
INSERT INTO `sys_job_log` VALUES (65794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:09:31');
INSERT INTO `sys_job_log` VALUES (65795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:09:35');
INSERT INTO `sys_job_log` VALUES (65796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:09:36');
INSERT INTO `sys_job_log` VALUES (65797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:09:40');
INSERT INTO `sys_job_log` VALUES (65798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:09:41');
INSERT INTO `sys_job_log` VALUES (65799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:09:45');
INSERT INTO `sys_job_log` VALUES (65800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:09:45');
INSERT INTO `sys_job_log` VALUES (65801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:09:46');
INSERT INTO `sys_job_log` VALUES (65802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:09:46');
INSERT INTO `sys_job_log` VALUES (65803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:09:50');
INSERT INTO `sys_job_log` VALUES (65804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:09:51');
INSERT INTO `sys_job_log` VALUES (65805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:09:55');
INSERT INTO `sys_job_log` VALUES (65806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:09:56');
INSERT INTO `sys_job_log` VALUES (65807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:10:00');
INSERT INTO `sys_job_log` VALUES (65808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:10:00');
INSERT INTO `sys_job_log` VALUES (65809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:10:01');
INSERT INTO `sys_job_log` VALUES (65810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:10:01');
INSERT INTO `sys_job_log` VALUES (65811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:10:05');
INSERT INTO `sys_job_log` VALUES (65812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:10:06');
INSERT INTO `sys_job_log` VALUES (65813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:10:10');
INSERT INTO `sys_job_log` VALUES (65814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:10:11');
INSERT INTO `sys_job_log` VALUES (65815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:10:15');
INSERT INTO `sys_job_log` VALUES (65816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:10:15');
INSERT INTO `sys_job_log` VALUES (65817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:10:16');
INSERT INTO `sys_job_log` VALUES (65818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:10:16');
INSERT INTO `sys_job_log` VALUES (65819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:10:20');
INSERT INTO `sys_job_log` VALUES (65820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:10:21');
INSERT INTO `sys_job_log` VALUES (65821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:10:25');
INSERT INTO `sys_job_log` VALUES (65822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:10:26');
INSERT INTO `sys_job_log` VALUES (65823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:10:30');
INSERT INTO `sys_job_log` VALUES (65824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:10:30');
INSERT INTO `sys_job_log` VALUES (65825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:10:31');
INSERT INTO `sys_job_log` VALUES (65826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:10:31');
INSERT INTO `sys_job_log` VALUES (65827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:10:35');
INSERT INTO `sys_job_log` VALUES (65828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:10:36');
INSERT INTO `sys_job_log` VALUES (65829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:10:40');
INSERT INTO `sys_job_log` VALUES (65830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:10:41');
INSERT INTO `sys_job_log` VALUES (65831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:10:45');
INSERT INTO `sys_job_log` VALUES (65832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:10:45');
INSERT INTO `sys_job_log` VALUES (65833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:10:46');
INSERT INTO `sys_job_log` VALUES (65834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:10:46');
INSERT INTO `sys_job_log` VALUES (65835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:10:50');
INSERT INTO `sys_job_log` VALUES (65836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:10:51');
INSERT INTO `sys_job_log` VALUES (65837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:10:55');
INSERT INTO `sys_job_log` VALUES (65838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:10:56');
INSERT INTO `sys_job_log` VALUES (65839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 16:11:00');
INSERT INTO `sys_job_log` VALUES (65840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：63毫秒', '0', '', '2025-01-02 16:11:00');
INSERT INTO `sys_job_log` VALUES (65841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:11:01');
INSERT INTO `sys_job_log` VALUES (65842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:11:01');
INSERT INTO `sys_job_log` VALUES (65843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:11:05');
INSERT INTO `sys_job_log` VALUES (65844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:11:06');
INSERT INTO `sys_job_log` VALUES (65845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:11:10');
INSERT INTO `sys_job_log` VALUES (65846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:11:11');
INSERT INTO `sys_job_log` VALUES (65847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:11:15');
INSERT INTO `sys_job_log` VALUES (65848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:11:15');
INSERT INTO `sys_job_log` VALUES (65849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:11:16');
INSERT INTO `sys_job_log` VALUES (65850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:11:16');
INSERT INTO `sys_job_log` VALUES (65851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:11:20');
INSERT INTO `sys_job_log` VALUES (65852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:11:21');
INSERT INTO `sys_job_log` VALUES (65853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:11:25');
INSERT INTO `sys_job_log` VALUES (65854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:11:26');
INSERT INTO `sys_job_log` VALUES (65855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:11:30');
INSERT INTO `sys_job_log` VALUES (65856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:11:30');
INSERT INTO `sys_job_log` VALUES (65857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:11:31');
INSERT INTO `sys_job_log` VALUES (65858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:11:31');
INSERT INTO `sys_job_log` VALUES (65859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:11:35');
INSERT INTO `sys_job_log` VALUES (65860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:11:36');
INSERT INTO `sys_job_log` VALUES (65861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:11:40');
INSERT INTO `sys_job_log` VALUES (65862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:11:41');
INSERT INTO `sys_job_log` VALUES (65863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:11:45');
INSERT INTO `sys_job_log` VALUES (65864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:11:45');
INSERT INTO `sys_job_log` VALUES (65865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:11:46');
INSERT INTO `sys_job_log` VALUES (65866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:11:46');
INSERT INTO `sys_job_log` VALUES (65867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:11:50');
INSERT INTO `sys_job_log` VALUES (65868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:11:51');
INSERT INTO `sys_job_log` VALUES (65869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:11:55');
INSERT INTO `sys_job_log` VALUES (65870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:11:56');
INSERT INTO `sys_job_log` VALUES (65871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:00');
INSERT INTO `sys_job_log` VALUES (65872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:00');
INSERT INTO `sys_job_log` VALUES (65873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:12:01');
INSERT INTO `sys_job_log` VALUES (65874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:12:01');
INSERT INTO `sys_job_log` VALUES (65875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:12:05');
INSERT INTO `sys_job_log` VALUES (65876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:12:06');
INSERT INTO `sys_job_log` VALUES (65877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:12:10');
INSERT INTO `sys_job_log` VALUES (65878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:12:11');
INSERT INTO `sys_job_log` VALUES (65879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:12:15');
INSERT INTO `sys_job_log` VALUES (65880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:12:15');
INSERT INTO `sys_job_log` VALUES (65881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:12:16');
INSERT INTO `sys_job_log` VALUES (65882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:12:16');
INSERT INTO `sys_job_log` VALUES (65883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:12:20');
INSERT INTO `sys_job_log` VALUES (65884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:12:21');
INSERT INTO `sys_job_log` VALUES (65885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:12:25');
INSERT INTO `sys_job_log` VALUES (65886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:12:26');
INSERT INTO `sys_job_log` VALUES (65887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:12:30');
INSERT INTO `sys_job_log` VALUES (65888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:12:30');
INSERT INTO `sys_job_log` VALUES (65889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:31');
INSERT INTO `sys_job_log` VALUES (65890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:31');
INSERT INTO `sys_job_log` VALUES (65891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:12:35');
INSERT INTO `sys_job_log` VALUES (65892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:12:36');
INSERT INTO `sys_job_log` VALUES (65893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:12:40');
INSERT INTO `sys_job_log` VALUES (65894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:12:41');
INSERT INTO `sys_job_log` VALUES (65895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:45');
INSERT INTO `sys_job_log` VALUES (65896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:45');
INSERT INTO `sys_job_log` VALUES (65897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:46');
INSERT INTO `sys_job_log` VALUES (65898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:12:46');
INSERT INTO `sys_job_log` VALUES (65899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:12:50');
INSERT INTO `sys_job_log` VALUES (65900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:12:51');
INSERT INTO `sys_job_log` VALUES (65901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2025-01-02 16:12:55');
INSERT INTO `sys_job_log` VALUES (65902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:12:56');
INSERT INTO `sys_job_log` VALUES (65903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:00');
INSERT INTO `sys_job_log` VALUES (65904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:00');
INSERT INTO `sys_job_log` VALUES (65905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:01');
INSERT INTO `sys_job_log` VALUES (65906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:13:01');
INSERT INTO `sys_job_log` VALUES (65907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:13:05');
INSERT INTO `sys_job_log` VALUES (65908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:06');
INSERT INTO `sys_job_log` VALUES (65909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:10');
INSERT INTO `sys_job_log` VALUES (65910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:11');
INSERT INTO `sys_job_log` VALUES (65911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:13:15');
INSERT INTO `sys_job_log` VALUES (65912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:13:15');
INSERT INTO `sys_job_log` VALUES (65913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:13:16');
INSERT INTO `sys_job_log` VALUES (65914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:13:16');
INSERT INTO `sys_job_log` VALUES (65915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:20');
INSERT INTO `sys_job_log` VALUES (65916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:13:21');
INSERT INTO `sys_job_log` VALUES (65917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:13:25');
INSERT INTO `sys_job_log` VALUES (65918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:13:26');
INSERT INTO `sys_job_log` VALUES (65919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:13:30');
INSERT INTO `sys_job_log` VALUES (65920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:13:30');
INSERT INTO `sys_job_log` VALUES (65921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:31');
INSERT INTO `sys_job_log` VALUES (65922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:31');
INSERT INTO `sys_job_log` VALUES (65923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:13:35');
INSERT INTO `sys_job_log` VALUES (65924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:13:36');
INSERT INTO `sys_job_log` VALUES (65925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:13:40');
INSERT INTO `sys_job_log` VALUES (65926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:13:41');
INSERT INTO `sys_job_log` VALUES (65927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:13:45');
INSERT INTO `sys_job_log` VALUES (65928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:13:45');
INSERT INTO `sys_job_log` VALUES (65929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:13:46');
INSERT INTO `sys_job_log` VALUES (65930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:13:46');
INSERT INTO `sys_job_log` VALUES (65931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:13:50');
INSERT INTO `sys_job_log` VALUES (65932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:13:51');
INSERT INTO `sys_job_log` VALUES (65933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:13:55');
INSERT INTO `sys_job_log` VALUES (65934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:13:56');
INSERT INTO `sys_job_log` VALUES (65935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 16:14:00');
INSERT INTO `sys_job_log` VALUES (65936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:14:00');
INSERT INTO `sys_job_log` VALUES (65937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:14:01');
INSERT INTO `sys_job_log` VALUES (65938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:14:01');
INSERT INTO `sys_job_log` VALUES (65939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:14:05');
INSERT INTO `sys_job_log` VALUES (65940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:14:06');
INSERT INTO `sys_job_log` VALUES (65941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:14:10');
INSERT INTO `sys_job_log` VALUES (65942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：118毫秒', '0', '', '2025-01-02 16:14:11');
INSERT INTO `sys_job_log` VALUES (65943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:14:15');
INSERT INTO `sys_job_log` VALUES (65944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:14:15');
INSERT INTO `sys_job_log` VALUES (65945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:14:16');
INSERT INTO `sys_job_log` VALUES (65946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:14:16');
INSERT INTO `sys_job_log` VALUES (65947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:14:20');
INSERT INTO `sys_job_log` VALUES (65948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:14:21');
INSERT INTO `sys_job_log` VALUES (65949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:14:25');
INSERT INTO `sys_job_log` VALUES (65950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:14:26');
INSERT INTO `sys_job_log` VALUES (65951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:14:30');
INSERT INTO `sys_job_log` VALUES (65952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:14:30');
INSERT INTO `sys_job_log` VALUES (65953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:14:31');
INSERT INTO `sys_job_log` VALUES (65954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:14:31');
INSERT INTO `sys_job_log` VALUES (65955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:14:35');
INSERT INTO `sys_job_log` VALUES (65956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:14:36');
INSERT INTO `sys_job_log` VALUES (65957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:14:40');
INSERT INTO `sys_job_log` VALUES (65958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:14:41');
INSERT INTO `sys_job_log` VALUES (65959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:14:45');
INSERT INTO `sys_job_log` VALUES (65960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:14:45');
INSERT INTO `sys_job_log` VALUES (65961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:14:46');
INSERT INTO `sys_job_log` VALUES (65962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:14:46');
INSERT INTO `sys_job_log` VALUES (65963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:14:50');
INSERT INTO `sys_job_log` VALUES (65964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:14:51');
INSERT INTO `sys_job_log` VALUES (65965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 16:14:55');
INSERT INTO `sys_job_log` VALUES (65966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:14:56');
INSERT INTO `sys_job_log` VALUES (65967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:15:00');
INSERT INTO `sys_job_log` VALUES (65968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:15:00');
INSERT INTO `sys_job_log` VALUES (65969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:15:01');
INSERT INTO `sys_job_log` VALUES (65970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:15:01');
INSERT INTO `sys_job_log` VALUES (65971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:15:05');
INSERT INTO `sys_job_log` VALUES (65972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:15:06');
INSERT INTO `sys_job_log` VALUES (65973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:15:10');
INSERT INTO `sys_job_log` VALUES (65974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:15:11');
INSERT INTO `sys_job_log` VALUES (65975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:15:15');
INSERT INTO `sys_job_log` VALUES (65976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:15:15');
INSERT INTO `sys_job_log` VALUES (65977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:15:16');
INSERT INTO `sys_job_log` VALUES (65978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:15:16');
INSERT INTO `sys_job_log` VALUES (65979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:15:20');
INSERT INTO `sys_job_log` VALUES (65980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:15:21');
INSERT INTO `sys_job_log` VALUES (65981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:15:25');
INSERT INTO `sys_job_log` VALUES (65982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:15:26');
INSERT INTO `sys_job_log` VALUES (65983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:15:30');
INSERT INTO `sys_job_log` VALUES (65984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:15:30');
INSERT INTO `sys_job_log` VALUES (65985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:15:31');
INSERT INTO `sys_job_log` VALUES (65986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:15:31');
INSERT INTO `sys_job_log` VALUES (65987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:15:35');
INSERT INTO `sys_job_log` VALUES (65988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:15:36');
INSERT INTO `sys_job_log` VALUES (65989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:15:40');
INSERT INTO `sys_job_log` VALUES (65990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:15:41');
INSERT INTO `sys_job_log` VALUES (65991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:15:45');
INSERT INTO `sys_job_log` VALUES (65992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:15:45');
INSERT INTO `sys_job_log` VALUES (65993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:15:46');
INSERT INTO `sys_job_log` VALUES (65994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:15:46');
INSERT INTO `sys_job_log` VALUES (65995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:15:50');
INSERT INTO `sys_job_log` VALUES (65996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:15:51');
INSERT INTO `sys_job_log` VALUES (65997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:15:55');
INSERT INTO `sys_job_log` VALUES (65998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:15:56');
INSERT INTO `sys_job_log` VALUES (65999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:00');
INSERT INTO `sys_job_log` VALUES (66000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:00');
INSERT INTO `sys_job_log` VALUES (66001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:16:01');
INSERT INTO `sys_job_log` VALUES (66002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:16:01');
INSERT INTO `sys_job_log` VALUES (66003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:16:05');
INSERT INTO `sys_job_log` VALUES (66004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:06');
INSERT INTO `sys_job_log` VALUES (66005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:16:10');
INSERT INTO `sys_job_log` VALUES (66006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:16:11');
INSERT INTO `sys_job_log` VALUES (66007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:16:15');
INSERT INTO `sys_job_log` VALUES (66008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:16:15');
INSERT INTO `sys_job_log` VALUES (66009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:16:16');
INSERT INTO `sys_job_log` VALUES (66010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:16:16');
INSERT INTO `sys_job_log` VALUES (66011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:16:20');
INSERT INTO `sys_job_log` VALUES (66012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:16:21');
INSERT INTO `sys_job_log` VALUES (66013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:16:25');
INSERT INTO `sys_job_log` VALUES (66014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:16:26');
INSERT INTO `sys_job_log` VALUES (66015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:16:30');
INSERT INTO `sys_job_log` VALUES (66016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:16:30');
INSERT INTO `sys_job_log` VALUES (66017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:16:31');
INSERT INTO `sys_job_log` VALUES (66018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:16:31');
INSERT INTO `sys_job_log` VALUES (66019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:16:35');
INSERT INTO `sys_job_log` VALUES (66020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:16:36');
INSERT INTO `sys_job_log` VALUES (66021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:40');
INSERT INTO `sys_job_log` VALUES (66022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:16:41');
INSERT INTO `sys_job_log` VALUES (66023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:16:45');
INSERT INTO `sys_job_log` VALUES (66024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:16:45');
INSERT INTO `sys_job_log` VALUES (66025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:46');
INSERT INTO `sys_job_log` VALUES (66026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:46');
INSERT INTO `sys_job_log` VALUES (66027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:16:50');
INSERT INTO `sys_job_log` VALUES (66028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:16:51');
INSERT INTO `sys_job_log` VALUES (66029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:16:55');
INSERT INTO `sys_job_log` VALUES (66030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:16:56');
INSERT INTO `sys_job_log` VALUES (66031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:00');
INSERT INTO `sys_job_log` VALUES (66032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:00');
INSERT INTO `sys_job_log` VALUES (66033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:17:01');
INSERT INTO `sys_job_log` VALUES (66034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:17:01');
INSERT INTO `sys_job_log` VALUES (66035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:05');
INSERT INTO `sys_job_log` VALUES (66036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:17:06');
INSERT INTO `sys_job_log` VALUES (66037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:17:10');
INSERT INTO `sys_job_log` VALUES (66038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:17:11');
INSERT INTO `sys_job_log` VALUES (66039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:15');
INSERT INTO `sys_job_log` VALUES (66040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:15');
INSERT INTO `sys_job_log` VALUES (66041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:17:16');
INSERT INTO `sys_job_log` VALUES (66042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:17:16');
INSERT INTO `sys_job_log` VALUES (66043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:17:20');
INSERT INTO `sys_job_log` VALUES (66044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:17:21');
INSERT INTO `sys_job_log` VALUES (66045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:25');
INSERT INTO `sys_job_log` VALUES (66046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:17:26');
INSERT INTO `sys_job_log` VALUES (66047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:30');
INSERT INTO `sys_job_log` VALUES (66048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:30');
INSERT INTO `sys_job_log` VALUES (66049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:17:31');
INSERT INTO `sys_job_log` VALUES (66050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:17:31');
INSERT INTO `sys_job_log` VALUES (66051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:17:35');
INSERT INTO `sys_job_log` VALUES (66052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:17:36');
INSERT INTO `sys_job_log` VALUES (66053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:17:40');
INSERT INTO `sys_job_log` VALUES (66054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:17:41');
INSERT INTO `sys_job_log` VALUES (66055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:45');
INSERT INTO `sys_job_log` VALUES (66056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:17:45');
INSERT INTO `sys_job_log` VALUES (66057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:17:46');
INSERT INTO `sys_job_log` VALUES (66058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:17:46');
INSERT INTO `sys_job_log` VALUES (66059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:17:50');
INSERT INTO `sys_job_log` VALUES (66060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:17:51');
INSERT INTO `sys_job_log` VALUES (66061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:17:55');
INSERT INTO `sys_job_log` VALUES (66062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:17:56');
INSERT INTO `sys_job_log` VALUES (66063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:18:00');
INSERT INTO `sys_job_log` VALUES (66064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:18:00');
INSERT INTO `sys_job_log` VALUES (66065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:18:01');
INSERT INTO `sys_job_log` VALUES (66066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:18:01');
INSERT INTO `sys_job_log` VALUES (66067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:18:05');
INSERT INTO `sys_job_log` VALUES (66068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:18:06');
INSERT INTO `sys_job_log` VALUES (66069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:10');
INSERT INTO `sys_job_log` VALUES (66070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:11');
INSERT INTO `sys_job_log` VALUES (66071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:18:15');
INSERT INTO `sys_job_log` VALUES (66072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:18:15');
INSERT INTO `sys_job_log` VALUES (66073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:16');
INSERT INTO `sys_job_log` VALUES (66074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:16');
INSERT INTO `sys_job_log` VALUES (66075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:18:20');
INSERT INTO `sys_job_log` VALUES (66076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:18:21');
INSERT INTO `sys_job_log` VALUES (66077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:18:25');
INSERT INTO `sys_job_log` VALUES (66078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:18:26');
INSERT INTO `sys_job_log` VALUES (66079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:30');
INSERT INTO `sys_job_log` VALUES (66080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:30');
INSERT INTO `sys_job_log` VALUES (66081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:31');
INSERT INTO `sys_job_log` VALUES (66082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:31');
INSERT INTO `sys_job_log` VALUES (66083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:18:35');
INSERT INTO `sys_job_log` VALUES (66084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:36');
INSERT INTO `sys_job_log` VALUES (66085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:18:40');
INSERT INTO `sys_job_log` VALUES (66086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:18:41');
INSERT INTO `sys_job_log` VALUES (66087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:18:45');
INSERT INTO `sys_job_log` VALUES (66088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:18:45');
INSERT INTO `sys_job_log` VALUES (66089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:18:46');
INSERT INTO `sys_job_log` VALUES (66090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:18:46');
INSERT INTO `sys_job_log` VALUES (66091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:18:50');
INSERT INTO `sys_job_log` VALUES (66092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:18:51');
INSERT INTO `sys_job_log` VALUES (66093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:18:55');
INSERT INTO `sys_job_log` VALUES (66094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:18:56');
INSERT INTO `sys_job_log` VALUES (66095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:19:00');
INSERT INTO `sys_job_log` VALUES (66096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:19:00');
INSERT INTO `sys_job_log` VALUES (66097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:19:01');
INSERT INTO `sys_job_log` VALUES (66098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:19:01');
INSERT INTO `sys_job_log` VALUES (66099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:19:05');
INSERT INTO `sys_job_log` VALUES (66100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:19:06');
INSERT INTO `sys_job_log` VALUES (66101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:19:10');
INSERT INTO `sys_job_log` VALUES (66102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:19:11');
INSERT INTO `sys_job_log` VALUES (66103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:19:15');
INSERT INTO `sys_job_log` VALUES (66104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:19:15');
INSERT INTO `sys_job_log` VALUES (66105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:19:16');
INSERT INTO `sys_job_log` VALUES (66106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:19:16');
INSERT INTO `sys_job_log` VALUES (66107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:19:20');
INSERT INTO `sys_job_log` VALUES (66108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:19:21');
INSERT INTO `sys_job_log` VALUES (66109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:19:25');
INSERT INTO `sys_job_log` VALUES (66110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:19:26');
INSERT INTO `sys_job_log` VALUES (66111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:19:30');
INSERT INTO `sys_job_log` VALUES (66112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:19:30');
INSERT INTO `sys_job_log` VALUES (66113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:19:31');
INSERT INTO `sys_job_log` VALUES (66114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:19:31');
INSERT INTO `sys_job_log` VALUES (66115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:19:35');
INSERT INTO `sys_job_log` VALUES (66116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:19:36');
INSERT INTO `sys_job_log` VALUES (66117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '0', '', '2025-01-02 16:19:40');
INSERT INTO `sys_job_log` VALUES (66118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:19:41');
INSERT INTO `sys_job_log` VALUES (66119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:19:45');
INSERT INTO `sys_job_log` VALUES (66120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:19:45');
INSERT INTO `sys_job_log` VALUES (66121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:19:46');
INSERT INTO `sys_job_log` VALUES (66122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:19:46');
INSERT INTO `sys_job_log` VALUES (66123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 16:19:50');
INSERT INTO `sys_job_log` VALUES (66124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:19:51');
INSERT INTO `sys_job_log` VALUES (66125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:19:55');
INSERT INTO `sys_job_log` VALUES (66126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:19:56');
INSERT INTO `sys_job_log` VALUES (66127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:20:00');
INSERT INTO `sys_job_log` VALUES (66128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:20:00');
INSERT INTO `sys_job_log` VALUES (66129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:20:01');
INSERT INTO `sys_job_log` VALUES (66130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:20:01');
INSERT INTO `sys_job_log` VALUES (66131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:20:05');
INSERT INTO `sys_job_log` VALUES (66132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:20:06');
INSERT INTO `sys_job_log` VALUES (66133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:20:10');
INSERT INTO `sys_job_log` VALUES (66134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:20:11');
INSERT INTO `sys_job_log` VALUES (66135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:20:15');
INSERT INTO `sys_job_log` VALUES (66136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:20:15');
INSERT INTO `sys_job_log` VALUES (66137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:20:16');
INSERT INTO `sys_job_log` VALUES (66138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:20:16');
INSERT INTO `sys_job_log` VALUES (66139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:20:20');
INSERT INTO `sys_job_log` VALUES (66140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:20:21');
INSERT INTO `sys_job_log` VALUES (66141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:20:25');
INSERT INTO `sys_job_log` VALUES (66142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 16:20:26');
INSERT INTO `sys_job_log` VALUES (66143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:20:30');
INSERT INTO `sys_job_log` VALUES (66144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:20:30');
INSERT INTO `sys_job_log` VALUES (66145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:20:31');
INSERT INTO `sys_job_log` VALUES (66146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:20:31');
INSERT INTO `sys_job_log` VALUES (66147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:20:35');
INSERT INTO `sys_job_log` VALUES (66148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:20:36');
INSERT INTO `sys_job_log` VALUES (66149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:20:40');
INSERT INTO `sys_job_log` VALUES (66150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:20:41');
INSERT INTO `sys_job_log` VALUES (66151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:20:45');
INSERT INTO `sys_job_log` VALUES (66152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:20:45');
INSERT INTO `sys_job_log` VALUES (66153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:20:46');
INSERT INTO `sys_job_log` VALUES (66154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:20:46');
INSERT INTO `sys_job_log` VALUES (66155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:20:50');
INSERT INTO `sys_job_log` VALUES (66156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:20:51');
INSERT INTO `sys_job_log` VALUES (66157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:20:55');
INSERT INTO `sys_job_log` VALUES (66158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:20:56');
INSERT INTO `sys_job_log` VALUES (66159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:00');
INSERT INTO `sys_job_log` VALUES (66160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:00');
INSERT INTO `sys_job_log` VALUES (66161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:01');
INSERT INTO `sys_job_log` VALUES (66162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:21:01');
INSERT INTO `sys_job_log` VALUES (66163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:21:05');
INSERT INTO `sys_job_log` VALUES (66164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:21:06');
INSERT INTO `sys_job_log` VALUES (66165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 16:21:10');
INSERT INTO `sys_job_log` VALUES (66166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:11');
INSERT INTO `sys_job_log` VALUES (66167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:15');
INSERT INTO `sys_job_log` VALUES (66168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:15');
INSERT INTO `sys_job_log` VALUES (66169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:21:16');
INSERT INTO `sys_job_log` VALUES (66170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:21:16');
INSERT INTO `sys_job_log` VALUES (66171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:20');
INSERT INTO `sys_job_log` VALUES (66172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:21');
INSERT INTO `sys_job_log` VALUES (66173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:25');
INSERT INTO `sys_job_log` VALUES (66174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:21:26');
INSERT INTO `sys_job_log` VALUES (66175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:30');
INSERT INTO `sys_job_log` VALUES (66176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:21:30');
INSERT INTO `sys_job_log` VALUES (66177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:31');
INSERT INTO `sys_job_log` VALUES (66178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:31');
INSERT INTO `sys_job_log` VALUES (66179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:21:35');
INSERT INTO `sys_job_log` VALUES (66180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:21:36');
INSERT INTO `sys_job_log` VALUES (66181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:21:40');
INSERT INTO `sys_job_log` VALUES (66182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:41');
INSERT INTO `sys_job_log` VALUES (66183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:21:45');
INSERT INTO `sys_job_log` VALUES (66184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:21:45');
INSERT INTO `sys_job_log` VALUES (66185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:21:46');
INSERT INTO `sys_job_log` VALUES (66186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:21:46');
INSERT INTO `sys_job_log` VALUES (66187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:21:50');
INSERT INTO `sys_job_log` VALUES (66188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:51');
INSERT INTO `sys_job_log` VALUES (66189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:21:55');
INSERT INTO `sys_job_log` VALUES (66190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:21:56');
INSERT INTO `sys_job_log` VALUES (66191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:22:00');
INSERT INTO `sys_job_log` VALUES (66192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:22:00');
INSERT INTO `sys_job_log` VALUES (66193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:22:01');
INSERT INTO `sys_job_log` VALUES (66194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:22:01');
INSERT INTO `sys_job_log` VALUES (66195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:22:05');
INSERT INTO `sys_job_log` VALUES (66196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:22:06');
INSERT INTO `sys_job_log` VALUES (66197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:22:10');
INSERT INTO `sys_job_log` VALUES (66198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:22:11');
INSERT INTO `sys_job_log` VALUES (66199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:22:15');
INSERT INTO `sys_job_log` VALUES (66200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:22:15');
INSERT INTO `sys_job_log` VALUES (66201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:22:16');
INSERT INTO `sys_job_log` VALUES (66202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:22:16');
INSERT INTO `sys_job_log` VALUES (66203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:22:20');
INSERT INTO `sys_job_log` VALUES (66204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:22:21');
INSERT INTO `sys_job_log` VALUES (66205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:22:25');
INSERT INTO `sys_job_log` VALUES (66206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:22:26');
INSERT INTO `sys_job_log` VALUES (66207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:22:30');
INSERT INTO `sys_job_log` VALUES (66208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:22:30');
INSERT INTO `sys_job_log` VALUES (66209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:22:31');
INSERT INTO `sys_job_log` VALUES (66210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:22:31');
INSERT INTO `sys_job_log` VALUES (66211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:22:35');
INSERT INTO `sys_job_log` VALUES (66212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:22:36');
INSERT INTO `sys_job_log` VALUES (66213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:22:40');
INSERT INTO `sys_job_log` VALUES (66214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:22:41');
INSERT INTO `sys_job_log` VALUES (66215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:22:45');
INSERT INTO `sys_job_log` VALUES (66216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:22:45');
INSERT INTO `sys_job_log` VALUES (66217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:22:46');
INSERT INTO `sys_job_log` VALUES (66218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:22:46');
INSERT INTO `sys_job_log` VALUES (66219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:22:50');
INSERT INTO `sys_job_log` VALUES (66220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:22:51');
INSERT INTO `sys_job_log` VALUES (66221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:22:55');
INSERT INTO `sys_job_log` VALUES (66222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:22:56');
INSERT INTO `sys_job_log` VALUES (66223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:00');
INSERT INTO `sys_job_log` VALUES (66224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:00');
INSERT INTO `sys_job_log` VALUES (66225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:01');
INSERT INTO `sys_job_log` VALUES (66226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:01');
INSERT INTO `sys_job_log` VALUES (66227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:23:05');
INSERT INTO `sys_job_log` VALUES (66228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:06');
INSERT INTO `sys_job_log` VALUES (66229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:23:10');
INSERT INTO `sys_job_log` VALUES (66230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:23:11');
INSERT INTO `sys_job_log` VALUES (66231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 16:23:15');
INSERT INTO `sys_job_log` VALUES (66232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:23:15');
INSERT INTO `sys_job_log` VALUES (66233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:23:16');
INSERT INTO `sys_job_log` VALUES (66234, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 16:23:16');
INSERT INTO `sys_job_log` VALUES (66235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:23:20');
INSERT INTO `sys_job_log` VALUES (66236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:23:21');
INSERT INTO `sys_job_log` VALUES (66237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:23:25');
INSERT INTO `sys_job_log` VALUES (66238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:23:26');
INSERT INTO `sys_job_log` VALUES (66239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:30');
INSERT INTO `sys_job_log` VALUES (66240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:30');
INSERT INTO `sys_job_log` VALUES (66241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:23:31');
INSERT INTO `sys_job_log` VALUES (66242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:31');
INSERT INTO `sys_job_log` VALUES (66243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:23:35');
INSERT INTO `sys_job_log` VALUES (66244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:23:36');
INSERT INTO `sys_job_log` VALUES (66245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:23:40');
INSERT INTO `sys_job_log` VALUES (66246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:41');
INSERT INTO `sys_job_log` VALUES (66247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:23:45');
INSERT INTO `sys_job_log` VALUES (66248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:23:45');
INSERT INTO `sys_job_log` VALUES (66249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:46');
INSERT INTO `sys_job_log` VALUES (66250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:23:46');
INSERT INTO `sys_job_log` VALUES (66251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2025-01-02 16:23:50');
INSERT INTO `sys_job_log` VALUES (66252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:23:51');
INSERT INTO `sys_job_log` VALUES (66253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:23:55');
INSERT INTO `sys_job_log` VALUES (66254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:23:56');
INSERT INTO `sys_job_log` VALUES (66255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:24:00');
INSERT INTO `sys_job_log` VALUES (66256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:24:00');
INSERT INTO `sys_job_log` VALUES (66257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:24:01');
INSERT INTO `sys_job_log` VALUES (66258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:24:01');
INSERT INTO `sys_job_log` VALUES (66259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:24:05');
INSERT INTO `sys_job_log` VALUES (66260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:24:06');
INSERT INTO `sys_job_log` VALUES (66261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:24:10');
INSERT INTO `sys_job_log` VALUES (66262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:24:11');
INSERT INTO `sys_job_log` VALUES (66263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:24:15');
INSERT INTO `sys_job_log` VALUES (66264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:24:15');
INSERT INTO `sys_job_log` VALUES (66265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:24:16');
INSERT INTO `sys_job_log` VALUES (66266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:24:16');
INSERT INTO `sys_job_log` VALUES (66267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:24:20');
INSERT INTO `sys_job_log` VALUES (66268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：112毫秒', '0', '', '2025-01-02 16:24:21');
INSERT INTO `sys_job_log` VALUES (66269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:24:25');
INSERT INTO `sys_job_log` VALUES (66270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:24:26');
INSERT INTO `sys_job_log` VALUES (66271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:24:30');
INSERT INTO `sys_job_log` VALUES (66272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:24:30');
INSERT INTO `sys_job_log` VALUES (66273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:24:31');
INSERT INTO `sys_job_log` VALUES (66274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:24:31');
INSERT INTO `sys_job_log` VALUES (66275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:24:35');
INSERT INTO `sys_job_log` VALUES (66276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:24:36');
INSERT INTO `sys_job_log` VALUES (66277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:24:40');
INSERT INTO `sys_job_log` VALUES (66278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:24:41');
INSERT INTO `sys_job_log` VALUES (66279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:24:45');
INSERT INTO `sys_job_log` VALUES (66280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:24:45');
INSERT INTO `sys_job_log` VALUES (66281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:24:46');
INSERT INTO `sys_job_log` VALUES (66282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 16:24:46');
INSERT INTO `sys_job_log` VALUES (66283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:24:50');
INSERT INTO `sys_job_log` VALUES (66284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:24:51');
INSERT INTO `sys_job_log` VALUES (66285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:24:55');
INSERT INTO `sys_job_log` VALUES (66286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:24:56');
INSERT INTO `sys_job_log` VALUES (66287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:25:00');
INSERT INTO `sys_job_log` VALUES (66288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:25:00');
INSERT INTO `sys_job_log` VALUES (66289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:25:01');
INSERT INTO `sys_job_log` VALUES (66290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:25:01');
INSERT INTO `sys_job_log` VALUES (66291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:25:05');
INSERT INTO `sys_job_log` VALUES (66292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:25:06');
INSERT INTO `sys_job_log` VALUES (66293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:25:10');
INSERT INTO `sys_job_log` VALUES (66294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:25:11');
INSERT INTO `sys_job_log` VALUES (66295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:25:15');
INSERT INTO `sys_job_log` VALUES (66296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:25:15');
INSERT INTO `sys_job_log` VALUES (66297, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81毫秒', '0', '', '2025-01-02 16:25:16');
INSERT INTO `sys_job_log` VALUES (66298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：81毫秒', '0', '', '2025-01-02 16:25:16');
INSERT INTO `sys_job_log` VALUES (66299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:25:20');
INSERT INTO `sys_job_log` VALUES (66300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:25:21');
INSERT INTO `sys_job_log` VALUES (66301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:25:25');
INSERT INTO `sys_job_log` VALUES (66302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:25:26');
INSERT INTO `sys_job_log` VALUES (66303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：101毫秒', '0', '', '2025-01-02 16:25:30');
INSERT INTO `sys_job_log` VALUES (66304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：112毫秒', '0', '', '2025-01-02 16:25:30');
INSERT INTO `sys_job_log` VALUES (66305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:25:31');
INSERT INTO `sys_job_log` VALUES (66306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:25:31');
INSERT INTO `sys_job_log` VALUES (66307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:25:35');
INSERT INTO `sys_job_log` VALUES (66308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:25:36');
INSERT INTO `sys_job_log` VALUES (66309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：343毫秒', '0', '', '2025-01-02 16:25:40');
INSERT INTO `sys_job_log` VALUES (66310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:25:41');
INSERT INTO `sys_job_log` VALUES (66311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:25:45');
INSERT INTO `sys_job_log` VALUES (66312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:25:45');
INSERT INTO `sys_job_log` VALUES (66313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:25:46');
INSERT INTO `sys_job_log` VALUES (66314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:25:46');
INSERT INTO `sys_job_log` VALUES (66315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:25:50');
INSERT INTO `sys_job_log` VALUES (66316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:25:51');
INSERT INTO `sys_job_log` VALUES (66317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:25:55');
INSERT INTO `sys_job_log` VALUES (66318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:25:56');
INSERT INTO `sys_job_log` VALUES (66319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：103毫秒', '0', '', '2025-01-02 16:26:00');
INSERT INTO `sys_job_log` VALUES (66320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：103毫秒', '0', '', '2025-01-02 16:26:00');
INSERT INTO `sys_job_log` VALUES (66321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:01');
INSERT INTO `sys_job_log` VALUES (66322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:26:01');
INSERT INTO `sys_job_log` VALUES (66323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:26:05');
INSERT INTO `sys_job_log` VALUES (66324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:06');
INSERT INTO `sys_job_log` VALUES (66325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:26:10');
INSERT INTO `sys_job_log` VALUES (66326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:26:11');
INSERT INTO `sys_job_log` VALUES (66327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:26:15');
INSERT INTO `sys_job_log` VALUES (66328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:26:15');
INSERT INTO `sys_job_log` VALUES (66329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:26:16');
INSERT INTO `sys_job_log` VALUES (66330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:26:16');
INSERT INTO `sys_job_log` VALUES (66331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:26:20');
INSERT INTO `sys_job_log` VALUES (66332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:26:21');
INSERT INTO `sys_job_log` VALUES (66333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:26:25');
INSERT INTO `sys_job_log` VALUES (66334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:26');
INSERT INTO `sys_job_log` VALUES (66335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:26:30');
INSERT INTO `sys_job_log` VALUES (66336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:26:30');
INSERT INTO `sys_job_log` VALUES (66337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:31');
INSERT INTO `sys_job_log` VALUES (66338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:31');
INSERT INTO `sys_job_log` VALUES (66339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:26:35');
INSERT INTO `sys_job_log` VALUES (66340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:26:36');
INSERT INTO `sys_job_log` VALUES (66341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:26:40');
INSERT INTO `sys_job_log` VALUES (66342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:26:41');
INSERT INTO `sys_job_log` VALUES (66343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:26:45');
INSERT INTO `sys_job_log` VALUES (66344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:26:45');
INSERT INTO `sys_job_log` VALUES (66345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:26:46');
INSERT INTO `sys_job_log` VALUES (66346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:26:46');
INSERT INTO `sys_job_log` VALUES (66347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:26:50');
INSERT INTO `sys_job_log` VALUES (66348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:51');
INSERT INTO `sys_job_log` VALUES (66349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:26:55');
INSERT INTO `sys_job_log` VALUES (66350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:26:56');
INSERT INTO `sys_job_log` VALUES (66351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:27:00');
INSERT INTO `sys_job_log` VALUES (66352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:27:00');
INSERT INTO `sys_job_log` VALUES (66353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:27:01');
INSERT INTO `sys_job_log` VALUES (66354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:27:01');
INSERT INTO `sys_job_log` VALUES (66355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:27:05');
INSERT INTO `sys_job_log` VALUES (66356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:27:06');
INSERT INTO `sys_job_log` VALUES (66357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:27:10');
INSERT INTO `sys_job_log` VALUES (66358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:27:11');
INSERT INTO `sys_job_log` VALUES (66359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:27:15');
INSERT INTO `sys_job_log` VALUES (66360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:27:15');
INSERT INTO `sys_job_log` VALUES (66361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:27:16');
INSERT INTO `sys_job_log` VALUES (66362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:27:16');
INSERT INTO `sys_job_log` VALUES (66363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:27:20');
INSERT INTO `sys_job_log` VALUES (66364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:27:21');
INSERT INTO `sys_job_log` VALUES (66365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:27:25');
INSERT INTO `sys_job_log` VALUES (66366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:27:26');
INSERT INTO `sys_job_log` VALUES (66367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:27:30');
INSERT INTO `sys_job_log` VALUES (66368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:27:30');
INSERT INTO `sys_job_log` VALUES (66369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:27:31');
INSERT INTO `sys_job_log` VALUES (66370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:27:31');
INSERT INTO `sys_job_log` VALUES (66371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:27:35');
INSERT INTO `sys_job_log` VALUES (66372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 16:27:36');
INSERT INTO `sys_job_log` VALUES (66373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:27:40');
INSERT INTO `sys_job_log` VALUES (66374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:27:41');
INSERT INTO `sys_job_log` VALUES (66375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:27:45');
INSERT INTO `sys_job_log` VALUES (66376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:27:45');
INSERT INTO `sys_job_log` VALUES (66377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 16:27:46');
INSERT INTO `sys_job_log` VALUES (66378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:27:46');
INSERT INTO `sys_job_log` VALUES (66379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:27:50');
INSERT INTO `sys_job_log` VALUES (66380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:27:51');
INSERT INTO `sys_job_log` VALUES (66381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:27:55');
INSERT INTO `sys_job_log` VALUES (66382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:27:56');
INSERT INTO `sys_job_log` VALUES (66383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:28:00');
INSERT INTO `sys_job_log` VALUES (66384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:28:00');
INSERT INTO `sys_job_log` VALUES (66385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:28:01');
INSERT INTO `sys_job_log` VALUES (66386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:28:01');
INSERT INTO `sys_job_log` VALUES (66387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:28:05');
INSERT INTO `sys_job_log` VALUES (66388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:28:06');
INSERT INTO `sys_job_log` VALUES (66389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:28:10');
INSERT INTO `sys_job_log` VALUES (66390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:28:11');
INSERT INTO `sys_job_log` VALUES (66391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:28:15');
INSERT INTO `sys_job_log` VALUES (66392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:28:15');
INSERT INTO `sys_job_log` VALUES (66393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:28:16');
INSERT INTO `sys_job_log` VALUES (66394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:28:16');
INSERT INTO `sys_job_log` VALUES (66395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:28:20');
INSERT INTO `sys_job_log` VALUES (66396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:28:21');
INSERT INTO `sys_job_log` VALUES (66397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:28:25');
INSERT INTO `sys_job_log` VALUES (66398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:28:26');
INSERT INTO `sys_job_log` VALUES (66399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:28:30');
INSERT INTO `sys_job_log` VALUES (66400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:28:30');
INSERT INTO `sys_job_log` VALUES (66401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:28:31');
INSERT INTO `sys_job_log` VALUES (66402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:28:31');
INSERT INTO `sys_job_log` VALUES (66403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:28:35');
INSERT INTO `sys_job_log` VALUES (66404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:28:36');
INSERT INTO `sys_job_log` VALUES (66405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:28:40');
INSERT INTO `sys_job_log` VALUES (66406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:28:41');
INSERT INTO `sys_job_log` VALUES (66407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:28:45');
INSERT INTO `sys_job_log` VALUES (66408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:28:45');
INSERT INTO `sys_job_log` VALUES (66409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:28:46');
INSERT INTO `sys_job_log` VALUES (66410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:28:46');
INSERT INTO `sys_job_log` VALUES (66411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 16:28:50');
INSERT INTO `sys_job_log` VALUES (66412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:28:51');
INSERT INTO `sys_job_log` VALUES (66413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:28:55');
INSERT INTO `sys_job_log` VALUES (66414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:28:56');
INSERT INTO `sys_job_log` VALUES (66415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:00');
INSERT INTO `sys_job_log` VALUES (66416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:00');
INSERT INTO `sys_job_log` VALUES (66417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:29:01');
INSERT INTO `sys_job_log` VALUES (66418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:29:01');
INSERT INTO `sys_job_log` VALUES (66419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:29:05');
INSERT INTO `sys_job_log` VALUES (66420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:29:06');
INSERT INTO `sys_job_log` VALUES (66421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:29:10');
INSERT INTO `sys_job_log` VALUES (66422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:11');
INSERT INTO `sys_job_log` VALUES (66423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:15');
INSERT INTO `sys_job_log` VALUES (66424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:15');
INSERT INTO `sys_job_log` VALUES (66425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:29:16');
INSERT INTO `sys_job_log` VALUES (66426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:29:16');
INSERT INTO `sys_job_log` VALUES (66427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:29:20');
INSERT INTO `sys_job_log` VALUES (66428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:29:21');
INSERT INTO `sys_job_log` VALUES (66429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：151毫秒', '0', '', '2025-01-02 16:29:25');
INSERT INTO `sys_job_log` VALUES (66430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:29:26');
INSERT INTO `sys_job_log` VALUES (66431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:30');
INSERT INTO `sys_job_log` VALUES (66432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:30');
INSERT INTO `sys_job_log` VALUES (66433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:29:31');
INSERT INTO `sys_job_log` VALUES (66434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:31');
INSERT INTO `sys_job_log` VALUES (66435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:29:35');
INSERT INTO `sys_job_log` VALUES (66436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:36');
INSERT INTO `sys_job_log` VALUES (66437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：82毫秒', '0', '', '2025-01-02 16:29:40');
INSERT INTO `sys_job_log` VALUES (66438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:29:41');
INSERT INTO `sys_job_log` VALUES (66439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 16:29:45');
INSERT INTO `sys_job_log` VALUES (66440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:29:45');
INSERT INTO `sys_job_log` VALUES (66441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:29:46');
INSERT INTO `sys_job_log` VALUES (66442, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:29:46');
INSERT INTO `sys_job_log` VALUES (66443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-02 16:29:50');
INSERT INTO `sys_job_log` VALUES (66444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:29:51');
INSERT INTO `sys_job_log` VALUES (66445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:29:55');
INSERT INTO `sys_job_log` VALUES (66446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:29:56');
INSERT INTO `sys_job_log` VALUES (66447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:30:00');
INSERT INTO `sys_job_log` VALUES (66448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:30:00');
INSERT INTO `sys_job_log` VALUES (66449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:30:01');
INSERT INTO `sys_job_log` VALUES (66450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:30:01');
INSERT INTO `sys_job_log` VALUES (66451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:05');
INSERT INTO `sys_job_log` VALUES (66452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:30:06');
INSERT INTO `sys_job_log` VALUES (66453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:10');
INSERT INTO `sys_job_log` VALUES (66454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:30:11');
INSERT INTO `sys_job_log` VALUES (66455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:30:15');
INSERT INTO `sys_job_log` VALUES (66456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:30:15');
INSERT INTO `sys_job_log` VALUES (66457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:30:16');
INSERT INTO `sys_job_log` VALUES (66458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:30:16');
INSERT INTO `sys_job_log` VALUES (66459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:30:20');
INSERT INTO `sys_job_log` VALUES (66460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:30:21');
INSERT INTO `sys_job_log` VALUES (66461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 16:30:25');
INSERT INTO `sys_job_log` VALUES (66462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 16:30:26');
INSERT INTO `sys_job_log` VALUES (66463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:30');
INSERT INTO `sys_job_log` VALUES (66464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:30');
INSERT INTO `sys_job_log` VALUES (66465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:30:31');
INSERT INTO `sys_job_log` VALUES (66466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:30:31');
INSERT INTO `sys_job_log` VALUES (66467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:35');
INSERT INTO `sys_job_log` VALUES (66468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 16:30:36');
INSERT INTO `sys_job_log` VALUES (66469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:30:40');
INSERT INTO `sys_job_log` VALUES (66470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:30:41');
INSERT INTO `sys_job_log` VALUES (66471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:45');
INSERT INTO `sys_job_log` VALUES (66472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:30:45');
INSERT INTO `sys_job_log` VALUES (66473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:30:46');
INSERT INTO `sys_job_log` VALUES (66474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:30:46');
INSERT INTO `sys_job_log` VALUES (66475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:30:50');
INSERT INTO `sys_job_log` VALUES (66476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:30:51');
INSERT INTO `sys_job_log` VALUES (66477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:30:55');
INSERT INTO `sys_job_log` VALUES (66478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:30:56');
INSERT INTO `sys_job_log` VALUES (66479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:31:00');
INSERT INTO `sys_job_log` VALUES (66480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 16:31:00');
INSERT INTO `sys_job_log` VALUES (66481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:31:01');
INSERT INTO `sys_job_log` VALUES (66482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:31:01');
INSERT INTO `sys_job_log` VALUES (66483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:31:05');
INSERT INTO `sys_job_log` VALUES (66484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:31:06');
INSERT INTO `sys_job_log` VALUES (66485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:31:10');
INSERT INTO `sys_job_log` VALUES (66486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:31:11');
INSERT INTO `sys_job_log` VALUES (66487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:31:15');
INSERT INTO `sys_job_log` VALUES (66488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:31:15');
INSERT INTO `sys_job_log` VALUES (66489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:31:16');
INSERT INTO `sys_job_log` VALUES (66490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:31:16');
INSERT INTO `sys_job_log` VALUES (66491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:31:20');
INSERT INTO `sys_job_log` VALUES (66492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:31:21');
INSERT INTO `sys_job_log` VALUES (66493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:31:25');
INSERT INTO `sys_job_log` VALUES (66494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:31:26');
INSERT INTO `sys_job_log` VALUES (66495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:31:30');
INSERT INTO `sys_job_log` VALUES (66496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:31:30');
INSERT INTO `sys_job_log` VALUES (66497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:31:31');
INSERT INTO `sys_job_log` VALUES (66498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:31:31');
INSERT INTO `sys_job_log` VALUES (66499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:31:35');
INSERT INTO `sys_job_log` VALUES (66500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:31:36');
INSERT INTO `sys_job_log` VALUES (66501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：131毫秒', '0', '', '2025-01-02 16:31:40');
INSERT INTO `sys_job_log` VALUES (66502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:31:41');
INSERT INTO `sys_job_log` VALUES (66503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:31:45');
INSERT INTO `sys_job_log` VALUES (66504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:31:45');
INSERT INTO `sys_job_log` VALUES (66505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 16:31:46');
INSERT INTO `sys_job_log` VALUES (66506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 16:31:46');
INSERT INTO `sys_job_log` VALUES (66507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:31:50');
INSERT INTO `sys_job_log` VALUES (66508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:31:51');
INSERT INTO `sys_job_log` VALUES (66509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:31:55');
INSERT INTO `sys_job_log` VALUES (66510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:31:56');
INSERT INTO `sys_job_log` VALUES (66511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:32:00');
INSERT INTO `sys_job_log` VALUES (66512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:32:00');
INSERT INTO `sys_job_log` VALUES (66513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:32:01');
INSERT INTO `sys_job_log` VALUES (66514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:32:01');
INSERT INTO `sys_job_log` VALUES (66515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:32:05');
INSERT INTO `sys_job_log` VALUES (66516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:32:06');
INSERT INTO `sys_job_log` VALUES (66517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:32:10');
INSERT INTO `sys_job_log` VALUES (66518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:32:11');
INSERT INTO `sys_job_log` VALUES (66519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:32:15');
INSERT INTO `sys_job_log` VALUES (66520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:32:15');
INSERT INTO `sys_job_log` VALUES (66521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:32:16');
INSERT INTO `sys_job_log` VALUES (66522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:32:16');
INSERT INTO `sys_job_log` VALUES (66523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:32:20');
INSERT INTO `sys_job_log` VALUES (66524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:32:21');
INSERT INTO `sys_job_log` VALUES (66525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:32:25');
INSERT INTO `sys_job_log` VALUES (66526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:32:26');
INSERT INTO `sys_job_log` VALUES (66527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:32:30');
INSERT INTO `sys_job_log` VALUES (66528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:32:30');
INSERT INTO `sys_job_log` VALUES (66529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:32:31');
INSERT INTO `sys_job_log` VALUES (66530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:32:31');
INSERT INTO `sys_job_log` VALUES (66531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:32:35');
INSERT INTO `sys_job_log` VALUES (66532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:32:36');
INSERT INTO `sys_job_log` VALUES (66533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：122毫秒', '0', '', '2025-01-02 16:32:40');
INSERT INTO `sys_job_log` VALUES (66534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:32:41');
INSERT INTO `sys_job_log` VALUES (66535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：128毫秒', '0', '', '2025-01-02 16:32:45');
INSERT INTO `sys_job_log` VALUES (66536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：147毫秒', '0', '', '2025-01-02 16:32:45');
INSERT INTO `sys_job_log` VALUES (66537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:32:46');
INSERT INTO `sys_job_log` VALUES (66538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:32:46');
INSERT INTO `sys_job_log` VALUES (66539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:32:50');
INSERT INTO `sys_job_log` VALUES (66540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:32:51');
INSERT INTO `sys_job_log` VALUES (66541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:32:55');
INSERT INTO `sys_job_log` VALUES (66542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 16:32:56');
INSERT INTO `sys_job_log` VALUES (66543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:33:00');
INSERT INTO `sys_job_log` VALUES (66544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:33:00');
INSERT INTO `sys_job_log` VALUES (66545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:33:01');
INSERT INTO `sys_job_log` VALUES (66546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:33:01');
INSERT INTO `sys_job_log` VALUES (66547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:33:05');
INSERT INTO `sys_job_log` VALUES (66548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:33:06');
INSERT INTO `sys_job_log` VALUES (66549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:33:10');
INSERT INTO `sys_job_log` VALUES (66550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：76毫秒', '0', '', '2025-01-02 16:33:11');
INSERT INTO `sys_job_log` VALUES (66551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:33:15');
INSERT INTO `sys_job_log` VALUES (66552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:33:15');
INSERT INTO `sys_job_log` VALUES (66553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:33:16');
INSERT INTO `sys_job_log` VALUES (66554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:33:16');
INSERT INTO `sys_job_log` VALUES (66555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:33:20');
INSERT INTO `sys_job_log` VALUES (66556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 16:33:21');
INSERT INTO `sys_job_log` VALUES (66557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:33:25');
INSERT INTO `sys_job_log` VALUES (66558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:33:26');
INSERT INTO `sys_job_log` VALUES (66559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:33:30');
INSERT INTO `sys_job_log` VALUES (66560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:33:30');
INSERT INTO `sys_job_log` VALUES (66561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:33:31');
INSERT INTO `sys_job_log` VALUES (66562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:33:31');
INSERT INTO `sys_job_log` VALUES (66563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:33:35');
INSERT INTO `sys_job_log` VALUES (66564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:33:36');
INSERT INTO `sys_job_log` VALUES (66565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:33:40');
INSERT INTO `sys_job_log` VALUES (66566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:33:41');
INSERT INTO `sys_job_log` VALUES (66567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:33:45');
INSERT INTO `sys_job_log` VALUES (66568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:33:45');
INSERT INTO `sys_job_log` VALUES (66569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:33:46');
INSERT INTO `sys_job_log` VALUES (66570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:33:46');
INSERT INTO `sys_job_log` VALUES (66571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:33:50');
INSERT INTO `sys_job_log` VALUES (66572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:33:51');
INSERT INTO `sys_job_log` VALUES (66573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:33:55');
INSERT INTO `sys_job_log` VALUES (66574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:33:56');
INSERT INTO `sys_job_log` VALUES (66575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:34:00');
INSERT INTO `sys_job_log` VALUES (66576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:34:00');
INSERT INTO `sys_job_log` VALUES (66577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:34:01');
INSERT INTO `sys_job_log` VALUES (66578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:34:01');
INSERT INTO `sys_job_log` VALUES (66579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:34:05');
INSERT INTO `sys_job_log` VALUES (66580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:34:06');
INSERT INTO `sys_job_log` VALUES (66581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:34:10');
INSERT INTO `sys_job_log` VALUES (66582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:34:11');
INSERT INTO `sys_job_log` VALUES (66583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:34:15');
INSERT INTO `sys_job_log` VALUES (66584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:34:15');
INSERT INTO `sys_job_log` VALUES (66585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:34:16');
INSERT INTO `sys_job_log` VALUES (66586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:34:16');
INSERT INTO `sys_job_log` VALUES (66587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:34:20');
INSERT INTO `sys_job_log` VALUES (66588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:34:21');
INSERT INTO `sys_job_log` VALUES (66589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:34:25');
INSERT INTO `sys_job_log` VALUES (66590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:34:26');
INSERT INTO `sys_job_log` VALUES (66591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:34:30');
INSERT INTO `sys_job_log` VALUES (66592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:34:30');
INSERT INTO `sys_job_log` VALUES (66593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2025-01-02 16:34:31');
INSERT INTO `sys_job_log` VALUES (66594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2025-01-02 16:34:31');
INSERT INTO `sys_job_log` VALUES (66595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-02 16:34:35');
INSERT INTO `sys_job_log` VALUES (66596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 16:34:36');
INSERT INTO `sys_job_log` VALUES (66597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:34:40');
INSERT INTO `sys_job_log` VALUES (66598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:34:41');
INSERT INTO `sys_job_log` VALUES (66599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:34:45');
INSERT INTO `sys_job_log` VALUES (66600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:34:45');
INSERT INTO `sys_job_log` VALUES (66601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:34:46');
INSERT INTO `sys_job_log` VALUES (66602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:34:46');
INSERT INTO `sys_job_log` VALUES (66603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:34:50');
INSERT INTO `sys_job_log` VALUES (66604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:34:51');
INSERT INTO `sys_job_log` VALUES (66605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:34:55');
INSERT INTO `sys_job_log` VALUES (66606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:34:56');
INSERT INTO `sys_job_log` VALUES (66607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:35:00');
INSERT INTO `sys_job_log` VALUES (66608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:35:00');
INSERT INTO `sys_job_log` VALUES (66609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:01');
INSERT INTO `sys_job_log` VALUES (66610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:35:01');
INSERT INTO `sys_job_log` VALUES (66611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:35:05');
INSERT INTO `sys_job_log` VALUES (66612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:35:06');
INSERT INTO `sys_job_log` VALUES (66613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:35:10');
INSERT INTO `sys_job_log` VALUES (66614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:35:11');
INSERT INTO `sys_job_log` VALUES (66615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 16:35:15');
INSERT INTO `sys_job_log` VALUES (66616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 16:35:15');
INSERT INTO `sys_job_log` VALUES (66617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:16');
INSERT INTO `sys_job_log` VALUES (66618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:35:16');
INSERT INTO `sys_job_log` VALUES (66619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:35:20');
INSERT INTO `sys_job_log` VALUES (66620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:35:21');
INSERT INTO `sys_job_log` VALUES (66621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:35:25');
INSERT INTO `sys_job_log` VALUES (66622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:26');
INSERT INTO `sys_job_log` VALUES (66623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:35:30');
INSERT INTO `sys_job_log` VALUES (66624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:35:30');
INSERT INTO `sys_job_log` VALUES (66625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:31');
INSERT INTO `sys_job_log` VALUES (66626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:31');
INSERT INTO `sys_job_log` VALUES (66627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:35:35');
INSERT INTO `sys_job_log` VALUES (66628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:36');
INSERT INTO `sys_job_log` VALUES (66629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:35:40');
INSERT INTO `sys_job_log` VALUES (66630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:35:41');
INSERT INTO `sys_job_log` VALUES (66631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:35:45');
INSERT INTO `sys_job_log` VALUES (66632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:35:45');
INSERT INTO `sys_job_log` VALUES (66633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:35:46');
INSERT INTO `sys_job_log` VALUES (66634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:35:46');
INSERT INTO `sys_job_log` VALUES (66635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 16:35:50');
INSERT INTO `sys_job_log` VALUES (66636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:35:51');
INSERT INTO `sys_job_log` VALUES (66637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:35:55');
INSERT INTO `sys_job_log` VALUES (66638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:35:56');
INSERT INTO `sys_job_log` VALUES (66639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 16:36:00');
INSERT INTO `sys_job_log` VALUES (66640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:36:00');
INSERT INTO `sys_job_log` VALUES (66641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:36:01');
INSERT INTO `sys_job_log` VALUES (66642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:36:01');
INSERT INTO `sys_job_log` VALUES (66643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:36:05');
INSERT INTO `sys_job_log` VALUES (66644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:36:06');
INSERT INTO `sys_job_log` VALUES (66645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:36:10');
INSERT INTO `sys_job_log` VALUES (66646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:36:11');
INSERT INTO `sys_job_log` VALUES (66647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:36:15');
INSERT INTO `sys_job_log` VALUES (66648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:36:15');
INSERT INTO `sys_job_log` VALUES (66649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:36:16');
INSERT INTO `sys_job_log` VALUES (66650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:36:16');
INSERT INTO `sys_job_log` VALUES (66651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:36:20');
INSERT INTO `sys_job_log` VALUES (66652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:36:21');
INSERT INTO `sys_job_log` VALUES (66653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:36:25');
INSERT INTO `sys_job_log` VALUES (66654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:36:26');
INSERT INTO `sys_job_log` VALUES (66655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:36:30');
INSERT INTO `sys_job_log` VALUES (66656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:36:30');
INSERT INTO `sys_job_log` VALUES (66657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:36:31');
INSERT INTO `sys_job_log` VALUES (66658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:36:31');
INSERT INTO `sys_job_log` VALUES (66659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:36:35');
INSERT INTO `sys_job_log` VALUES (66660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:36:36');
INSERT INTO `sys_job_log` VALUES (66661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:36:40');
INSERT INTO `sys_job_log` VALUES (66662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:36:41');
INSERT INTO `sys_job_log` VALUES (66663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:36:45');
INSERT INTO `sys_job_log` VALUES (66664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:36:45');
INSERT INTO `sys_job_log` VALUES (66665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:36:46');
INSERT INTO `sys_job_log` VALUES (66666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 16:36:46');
INSERT INTO `sys_job_log` VALUES (66667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:36:50');
INSERT INTO `sys_job_log` VALUES (66668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-02 16:36:51');
INSERT INTO `sys_job_log` VALUES (66669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:36:55');
INSERT INTO `sys_job_log` VALUES (66670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:36:56');
INSERT INTO `sys_job_log` VALUES (66671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:37:00');
INSERT INTO `sys_job_log` VALUES (66672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:37:00');
INSERT INTO `sys_job_log` VALUES (66673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:37:01');
INSERT INTO `sys_job_log` VALUES (66674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:37:01');
INSERT INTO `sys_job_log` VALUES (66675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:05');
INSERT INTO `sys_job_log` VALUES (66676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:37:06');
INSERT INTO `sys_job_log` VALUES (66677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:10');
INSERT INTO `sys_job_log` VALUES (66678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:37:11');
INSERT INTO `sys_job_log` VALUES (66679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:37:15');
INSERT INTO `sys_job_log` VALUES (66680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:15');
INSERT INTO `sys_job_log` VALUES (66681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:37:16');
INSERT INTO `sys_job_log` VALUES (66682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:37:16');
INSERT INTO `sys_job_log` VALUES (66683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:20');
INSERT INTO `sys_job_log` VALUES (66684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:21');
INSERT INTO `sys_job_log` VALUES (66685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 16:37:25');
INSERT INTO `sys_job_log` VALUES (66686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:37:26');
INSERT INTO `sys_job_log` VALUES (66687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:37:30');
INSERT INTO `sys_job_log` VALUES (66688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:37:30');
INSERT INTO `sys_job_log` VALUES (66689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:37:31');
INSERT INTO `sys_job_log` VALUES (66690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:37:31');
INSERT INTO `sys_job_log` VALUES (66691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:37:35');
INSERT INTO `sys_job_log` VALUES (66692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:37:36');
INSERT INTO `sys_job_log` VALUES (66693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:37:40');
INSERT INTO `sys_job_log` VALUES (66694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:37:41');
INSERT INTO `sys_job_log` VALUES (66695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:37:45');
INSERT INTO `sys_job_log` VALUES (66696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:37:45');
INSERT INTO `sys_job_log` VALUES (66697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:46');
INSERT INTO `sys_job_log` VALUES (66698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:46');
INSERT INTO `sys_job_log` VALUES (66699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:37:50');
INSERT INTO `sys_job_log` VALUES (66700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:37:51');
INSERT INTO `sys_job_log` VALUES (66701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:37:55');
INSERT INTO `sys_job_log` VALUES (66702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:37:56');
INSERT INTO `sys_job_log` VALUES (66703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:38:00');
INSERT INTO `sys_job_log` VALUES (66704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:38:00');
INSERT INTO `sys_job_log` VALUES (66705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:01');
INSERT INTO `sys_job_log` VALUES (66706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:01');
INSERT INTO `sys_job_log` VALUES (66707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 16:38:05');
INSERT INTO `sys_job_log` VALUES (66708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:06');
INSERT INTO `sys_job_log` VALUES (66709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:38:10');
INSERT INTO `sys_job_log` VALUES (66710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:38:11');
INSERT INTO `sys_job_log` VALUES (66711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:38:15');
INSERT INTO `sys_job_log` VALUES (66712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:38:15');
INSERT INTO `sys_job_log` VALUES (66713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:16');
INSERT INTO `sys_job_log` VALUES (66714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:16');
INSERT INTO `sys_job_log` VALUES (66715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:38:20');
INSERT INTO `sys_job_log` VALUES (66716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:38:21');
INSERT INTO `sys_job_log` VALUES (66717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:25');
INSERT INTO `sys_job_log` VALUES (66718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:26');
INSERT INTO `sys_job_log` VALUES (66719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:30');
INSERT INTO `sys_job_log` VALUES (66720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:30');
INSERT INTO `sys_job_log` VALUES (66721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:31');
INSERT INTO `sys_job_log` VALUES (66722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:31');
INSERT INTO `sys_job_log` VALUES (66723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:35');
INSERT INTO `sys_job_log` VALUES (66724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:38:36');
INSERT INTO `sys_job_log` VALUES (66725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:38:40');
INSERT INTO `sys_job_log` VALUES (66726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:41');
INSERT INTO `sys_job_log` VALUES (66727, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:38:45');
INSERT INTO `sys_job_log` VALUES (66728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:45');
INSERT INTO `sys_job_log` VALUES (66729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:38:46');
INSERT INTO `sys_job_log` VALUES (66730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:38:46');
INSERT INTO `sys_job_log` VALUES (66731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:50');
INSERT INTO `sys_job_log` VALUES (66732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:38:51');
INSERT INTO `sys_job_log` VALUES (66733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:55');
INSERT INTO `sys_job_log` VALUES (66734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:38:56');
INSERT INTO `sys_job_log` VALUES (66735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:39:00');
INSERT INTO `sys_job_log` VALUES (66736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:39:00');
INSERT INTO `sys_job_log` VALUES (66737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:39:01');
INSERT INTO `sys_job_log` VALUES (66738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:01');
INSERT INTO `sys_job_log` VALUES (66739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 16:39:05');
INSERT INTO `sys_job_log` VALUES (66740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:39:06');
INSERT INTO `sys_job_log` VALUES (66741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:39:10');
INSERT INTO `sys_job_log` VALUES (66742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:39:11');
INSERT INTO `sys_job_log` VALUES (66743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:39:15');
INSERT INTO `sys_job_log` VALUES (66744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:39:15');
INSERT INTO `sys_job_log` VALUES (66745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:16');
INSERT INTO `sys_job_log` VALUES (66746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:16');
INSERT INTO `sys_job_log` VALUES (66747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:39:20');
INSERT INTO `sys_job_log` VALUES (66748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:39:21');
INSERT INTO `sys_job_log` VALUES (66749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:39:25');
INSERT INTO `sys_job_log` VALUES (66750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:26');
INSERT INTO `sys_job_log` VALUES (66751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:39:30');
INSERT INTO `sys_job_log` VALUES (66752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:39:30');
INSERT INTO `sys_job_log` VALUES (66753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:39:31');
INSERT INTO `sys_job_log` VALUES (66754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:31');
INSERT INTO `sys_job_log` VALUES (66755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:39:35');
INSERT INTO `sys_job_log` VALUES (66756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:36');
INSERT INTO `sys_job_log` VALUES (66757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:39:40');
INSERT INTO `sys_job_log` VALUES (66758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:41');
INSERT INTO `sys_job_log` VALUES (66759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:39:45');
INSERT INTO `sys_job_log` VALUES (66760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:39:45');
INSERT INTO `sys_job_log` VALUES (66761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:39:46');
INSERT INTO `sys_job_log` VALUES (66762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:39:46');
INSERT INTO `sys_job_log` VALUES (66763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:39:50');
INSERT INTO `sys_job_log` VALUES (66764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:39:51');
INSERT INTO `sys_job_log` VALUES (66765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:39:55');
INSERT INTO `sys_job_log` VALUES (66766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:39:56');
INSERT INTO `sys_job_log` VALUES (66767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:40:00');
INSERT INTO `sys_job_log` VALUES (66768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:40:00');
INSERT INTO `sys_job_log` VALUES (66769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:40:01');
INSERT INTO `sys_job_log` VALUES (66770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:40:01');
INSERT INTO `sys_job_log` VALUES (66771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:40:05');
INSERT INTO `sys_job_log` VALUES (66772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:40:06');
INSERT INTO `sys_job_log` VALUES (66773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:40:10');
INSERT INTO `sys_job_log` VALUES (66774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:40:11');
INSERT INTO `sys_job_log` VALUES (66775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:40:15');
INSERT INTO `sys_job_log` VALUES (66776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:40:15');
INSERT INTO `sys_job_log` VALUES (66777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:40:16');
INSERT INTO `sys_job_log` VALUES (66778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:40:16');
INSERT INTO `sys_job_log` VALUES (66779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:40:20');
INSERT INTO `sys_job_log` VALUES (66780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-02 16:40:21');
INSERT INTO `sys_job_log` VALUES (66781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:40:25');
INSERT INTO `sys_job_log` VALUES (66782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:40:26');
INSERT INTO `sys_job_log` VALUES (66783, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:40:30');
INSERT INTO `sys_job_log` VALUES (66784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:40:30');
INSERT INTO `sys_job_log` VALUES (66785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:40:31');
INSERT INTO `sys_job_log` VALUES (66786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:40:31');
INSERT INTO `sys_job_log` VALUES (66787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:40:35');
INSERT INTO `sys_job_log` VALUES (66788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:40:36');
INSERT INTO `sys_job_log` VALUES (66789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:40:40');
INSERT INTO `sys_job_log` VALUES (66790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:40:41');
INSERT INTO `sys_job_log` VALUES (66791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:40:45');
INSERT INTO `sys_job_log` VALUES (66792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:40:45');
INSERT INTO `sys_job_log` VALUES (66793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:40:46');
INSERT INTO `sys_job_log` VALUES (66794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:40:46');
INSERT INTO `sys_job_log` VALUES (66795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:40:50');
INSERT INTO `sys_job_log` VALUES (66796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:40:51');
INSERT INTO `sys_job_log` VALUES (66797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:40:55');
INSERT INTO `sys_job_log` VALUES (66798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:40:56');
INSERT INTO `sys_job_log` VALUES (66799, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:41:00');
INSERT INTO `sys_job_log` VALUES (66800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:41:00');
INSERT INTO `sys_job_log` VALUES (66801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:01');
INSERT INTO `sys_job_log` VALUES (66802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:41:01');
INSERT INTO `sys_job_log` VALUES (66803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:05');
INSERT INTO `sys_job_log` VALUES (66804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:41:06');
INSERT INTO `sys_job_log` VALUES (66805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:41:10');
INSERT INTO `sys_job_log` VALUES (66806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:41:11');
INSERT INTO `sys_job_log` VALUES (66807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:15');
INSERT INTO `sys_job_log` VALUES (66808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:41:15');
INSERT INTO `sys_job_log` VALUES (66809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:16');
INSERT INTO `sys_job_log` VALUES (66810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:41:16');
INSERT INTO `sys_job_log` VALUES (66811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:41:20');
INSERT INTO `sys_job_log` VALUES (66812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:41:21');
INSERT INTO `sys_job_log` VALUES (66813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：88毫秒', '0', '', '2025-01-02 16:41:25');
INSERT INTO `sys_job_log` VALUES (66814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:41:26');
INSERT INTO `sys_job_log` VALUES (66815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:30');
INSERT INTO `sys_job_log` VALUES (66816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:30');
INSERT INTO `sys_job_log` VALUES (66817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:41:31');
INSERT INTO `sys_job_log` VALUES (66818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:41:31');
INSERT INTO `sys_job_log` VALUES (66819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:41:35');
INSERT INTO `sys_job_log` VALUES (66820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:41:36');
INSERT INTO `sys_job_log` VALUES (66821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:41:40');
INSERT INTO `sys_job_log` VALUES (66822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:41:41');
INSERT INTO `sys_job_log` VALUES (66823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:45');
INSERT INTO `sys_job_log` VALUES (66824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:45');
INSERT INTO `sys_job_log` VALUES (66825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:41:46');
INSERT INTO `sys_job_log` VALUES (66826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:41:46');
INSERT INTO `sys_job_log` VALUES (66827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:41:50');
INSERT INTO `sys_job_log` VALUES (66828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:41:51');
INSERT INTO `sys_job_log` VALUES (66829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:41:55');
INSERT INTO `sys_job_log` VALUES (66830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:41:56');
INSERT INTO `sys_job_log` VALUES (66831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:00');
INSERT INTO `sys_job_log` VALUES (66832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:00');
INSERT INTO `sys_job_log` VALUES (66833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:42:01');
INSERT INTO `sys_job_log` VALUES (66834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:42:01');
INSERT INTO `sys_job_log` VALUES (66835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:05');
INSERT INTO `sys_job_log` VALUES (66836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:42:06');
INSERT INTO `sys_job_log` VALUES (66837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:10');
INSERT INTO `sys_job_log` VALUES (66838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:42:11');
INSERT INTO `sys_job_log` VALUES (66839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:15');
INSERT INTO `sys_job_log` VALUES (66840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:15');
INSERT INTO `sys_job_log` VALUES (66841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:16');
INSERT INTO `sys_job_log` VALUES (66842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:42:16');
INSERT INTO `sys_job_log` VALUES (66843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:20');
INSERT INTO `sys_job_log` VALUES (66844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:42:21');
INSERT INTO `sys_job_log` VALUES (66845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:42:25');
INSERT INTO `sys_job_log` VALUES (66846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:42:26');
INSERT INTO `sys_job_log` VALUES (66847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:30');
INSERT INTO `sys_job_log` VALUES (66848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:30');
INSERT INTO `sys_job_log` VALUES (66849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:42:31');
INSERT INTO `sys_job_log` VALUES (66850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:42:31');
INSERT INTO `sys_job_log` VALUES (66851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:42:35');
INSERT INTO `sys_job_log` VALUES (66852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:42:36');
INSERT INTO `sys_job_log` VALUES (66853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:40');
INSERT INTO `sys_job_log` VALUES (66854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:42:41');
INSERT INTO `sys_job_log` VALUES (66855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:42:45');
INSERT INTO `sys_job_log` VALUES (66856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:42:45');
INSERT INTO `sys_job_log` VALUES (66857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:46');
INSERT INTO `sys_job_log` VALUES (66858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:42:46');
INSERT INTO `sys_job_log` VALUES (66859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:42:50');
INSERT INTO `sys_job_log` VALUES (66860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:42:51');
INSERT INTO `sys_job_log` VALUES (66861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:42:55');
INSERT INTO `sys_job_log` VALUES (66862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:42:56');
INSERT INTO `sys_job_log` VALUES (66863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:43:00');
INSERT INTO `sys_job_log` VALUES (66864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 16:43:00');
INSERT INTO `sys_job_log` VALUES (66865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:01');
INSERT INTO `sys_job_log` VALUES (66866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:01');
INSERT INTO `sys_job_log` VALUES (66867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:43:05');
INSERT INTO `sys_job_log` VALUES (66868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:43:06');
INSERT INTO `sys_job_log` VALUES (66869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:43:10');
INSERT INTO `sys_job_log` VALUES (66870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:11');
INSERT INTO `sys_job_log` VALUES (66871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:43:15');
INSERT INTO `sys_job_log` VALUES (66872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:43:15');
INSERT INTO `sys_job_log` VALUES (66873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:16');
INSERT INTO `sys_job_log` VALUES (66874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:16');
INSERT INTO `sys_job_log` VALUES (66875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:43:20');
INSERT INTO `sys_job_log` VALUES (66876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:43:21');
INSERT INTO `sys_job_log` VALUES (66877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:25');
INSERT INTO `sys_job_log` VALUES (66878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:26');
INSERT INTO `sys_job_log` VALUES (66879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:30');
INSERT INTO `sys_job_log` VALUES (66880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:30');
INSERT INTO `sys_job_log` VALUES (66881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:31');
INSERT INTO `sys_job_log` VALUES (66882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:31');
INSERT INTO `sys_job_log` VALUES (66883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:43:35');
INSERT INTO `sys_job_log` VALUES (66884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:36');
INSERT INTO `sys_job_log` VALUES (66885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:40');
INSERT INTO `sys_job_log` VALUES (66886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:41');
INSERT INTO `sys_job_log` VALUES (66887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:45');
INSERT INTO `sys_job_log` VALUES (66888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:43:45');
INSERT INTO `sys_job_log` VALUES (66889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:43:46');
INSERT INTO `sys_job_log` VALUES (66890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:43:46');
INSERT INTO `sys_job_log` VALUES (66891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:43:50');
INSERT INTO `sys_job_log` VALUES (66892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:43:51');
INSERT INTO `sys_job_log` VALUES (66893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:43:55');
INSERT INTO `sys_job_log` VALUES (66894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:43:56');
INSERT INTO `sys_job_log` VALUES (66895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:44:00');
INSERT INTO `sys_job_log` VALUES (66896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:44:00');
INSERT INTO `sys_job_log` VALUES (66897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:44:01');
INSERT INTO `sys_job_log` VALUES (66898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:44:01');
INSERT INTO `sys_job_log` VALUES (66899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:44:05');
INSERT INTO `sys_job_log` VALUES (66900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:44:06');
INSERT INTO `sys_job_log` VALUES (66901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:44:10');
INSERT INTO `sys_job_log` VALUES (66902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:44:11');
INSERT INTO `sys_job_log` VALUES (66903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:44:15');
INSERT INTO `sys_job_log` VALUES (66904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:44:15');
INSERT INTO `sys_job_log` VALUES (66905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:44:16');
INSERT INTO `sys_job_log` VALUES (66906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:44:16');
INSERT INTO `sys_job_log` VALUES (66907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:44:20');
INSERT INTO `sys_job_log` VALUES (66908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:44:21');
INSERT INTO `sys_job_log` VALUES (66909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:44:25');
INSERT INTO `sys_job_log` VALUES (66910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:44:26');
INSERT INTO `sys_job_log` VALUES (66911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:44:30');
INSERT INTO `sys_job_log` VALUES (66912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:44:30');
INSERT INTO `sys_job_log` VALUES (66913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:44:31');
INSERT INTO `sys_job_log` VALUES (66914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:44:31');
INSERT INTO `sys_job_log` VALUES (66915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:44:35');
INSERT INTO `sys_job_log` VALUES (66916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:44:36');
INSERT INTO `sys_job_log` VALUES (66917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:44:40');
INSERT INTO `sys_job_log` VALUES (66918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:44:41');
INSERT INTO `sys_job_log` VALUES (66919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:44:45');
INSERT INTO `sys_job_log` VALUES (66920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:44:45');
INSERT INTO `sys_job_log` VALUES (66921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:44:46');
INSERT INTO `sys_job_log` VALUES (66922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:44:46');
INSERT INTO `sys_job_log` VALUES (66923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:44:50');
INSERT INTO `sys_job_log` VALUES (66924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:44:51');
INSERT INTO `sys_job_log` VALUES (66925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:44:55');
INSERT INTO `sys_job_log` VALUES (66926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:44:56');
INSERT INTO `sys_job_log` VALUES (66927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:45:00');
INSERT INTO `sys_job_log` VALUES (66928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:45:00');
INSERT INTO `sys_job_log` VALUES (66929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:45:01');
INSERT INTO `sys_job_log` VALUES (66930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:45:01');
INSERT INTO `sys_job_log` VALUES (66931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:45:05');
INSERT INTO `sys_job_log` VALUES (66932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:45:06');
INSERT INTO `sys_job_log` VALUES (66933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:45:10');
INSERT INTO `sys_job_log` VALUES (66934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:45:11');
INSERT INTO `sys_job_log` VALUES (66935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:45:15');
INSERT INTO `sys_job_log` VALUES (66936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:45:15');
INSERT INTO `sys_job_log` VALUES (66937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:45:16');
INSERT INTO `sys_job_log` VALUES (66938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:45:16');
INSERT INTO `sys_job_log` VALUES (66939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:45:20');
INSERT INTO `sys_job_log` VALUES (66940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:45:21');
INSERT INTO `sys_job_log` VALUES (66941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:45:25');
INSERT INTO `sys_job_log` VALUES (66942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 16:45:26');
INSERT INTO `sys_job_log` VALUES (66943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:45:30');
INSERT INTO `sys_job_log` VALUES (66944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:45:30');
INSERT INTO `sys_job_log` VALUES (66945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:45:31');
INSERT INTO `sys_job_log` VALUES (66946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:45:31');
INSERT INTO `sys_job_log` VALUES (66947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:45:35');
INSERT INTO `sys_job_log` VALUES (66948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:45:36');
INSERT INTO `sys_job_log` VALUES (66949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:45:40');
INSERT INTO `sys_job_log` VALUES (66950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:45:41');
INSERT INTO `sys_job_log` VALUES (66951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:45:45');
INSERT INTO `sys_job_log` VALUES (66952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:45:45');
INSERT INTO `sys_job_log` VALUES (66953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:45:46');
INSERT INTO `sys_job_log` VALUES (66954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:45:46');
INSERT INTO `sys_job_log` VALUES (66955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:45:50');
INSERT INTO `sys_job_log` VALUES (66956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:45:51');
INSERT INTO `sys_job_log` VALUES (66957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:45:55');
INSERT INTO `sys_job_log` VALUES (66958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:45:56');
INSERT INTO `sys_job_log` VALUES (66959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:46:00');
INSERT INTO `sys_job_log` VALUES (66960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:46:00');
INSERT INTO `sys_job_log` VALUES (66961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:46:01');
INSERT INTO `sys_job_log` VALUES (66962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:01');
INSERT INTO `sys_job_log` VALUES (66963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:46:05');
INSERT INTO `sys_job_log` VALUES (66964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:46:06');
INSERT INTO `sys_job_log` VALUES (66965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:10');
INSERT INTO `sys_job_log` VALUES (66966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:46:11');
INSERT INTO `sys_job_log` VALUES (66967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:15');
INSERT INTO `sys_job_log` VALUES (66968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:46:15');
INSERT INTO `sys_job_log` VALUES (66969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:16');
INSERT INTO `sys_job_log` VALUES (66970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:16');
INSERT INTO `sys_job_log` VALUES (66971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:46:20');
INSERT INTO `sys_job_log` VALUES (66972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:46:21');
INSERT INTO `sys_job_log` VALUES (66973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:46:25');
INSERT INTO `sys_job_log` VALUES (66974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:46:26');
INSERT INTO `sys_job_log` VALUES (66975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:46:30');
INSERT INTO `sys_job_log` VALUES (66976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:46:30');
INSERT INTO `sys_job_log` VALUES (66977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:46:31');
INSERT INTO `sys_job_log` VALUES (66978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:46:31');
INSERT INTO `sys_job_log` VALUES (66979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:46:35');
INSERT INTO `sys_job_log` VALUES (66980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:46:36');
INSERT INTO `sys_job_log` VALUES (66981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:46:40');
INSERT INTO `sys_job_log` VALUES (66982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:46:41');
INSERT INTO `sys_job_log` VALUES (66983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:46:45');
INSERT INTO `sys_job_log` VALUES (66984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 16:46:45');
INSERT INTO `sys_job_log` VALUES (66985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:46');
INSERT INTO `sys_job_log` VALUES (66986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:46:46');
INSERT INTO `sys_job_log` VALUES (66987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:46:50');
INSERT INTO `sys_job_log` VALUES (66988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:46:51');
INSERT INTO `sys_job_log` VALUES (66989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:46:55');
INSERT INTO `sys_job_log` VALUES (66990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:46:56');
INSERT INTO `sys_job_log` VALUES (66991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:00');
INSERT INTO `sys_job_log` VALUES (66992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:00');
INSERT INTO `sys_job_log` VALUES (66993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:47:01');
INSERT INTO `sys_job_log` VALUES (66994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:47:01');
INSERT INTO `sys_job_log` VALUES (66995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:05');
INSERT INTO `sys_job_log` VALUES (66996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:47:06');
INSERT INTO `sys_job_log` VALUES (66997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:47:10');
INSERT INTO `sys_job_log` VALUES (66998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:47:11');
INSERT INTO `sys_job_log` VALUES (66999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:15');
INSERT INTO `sys_job_log` VALUES (67000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:15');
INSERT INTO `sys_job_log` VALUES (67001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:47:16');
INSERT INTO `sys_job_log` VALUES (67002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:47:16');
INSERT INTO `sys_job_log` VALUES (67003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:47:20');
INSERT INTO `sys_job_log` VALUES (67004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:47:21');
INSERT INTO `sys_job_log` VALUES (67005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:47:25');
INSERT INTO `sys_job_log` VALUES (67006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:47:26');
INSERT INTO `sys_job_log` VALUES (67007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:47:30');
INSERT INTO `sys_job_log` VALUES (67008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:47:30');
INSERT INTO `sys_job_log` VALUES (67009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:47:31');
INSERT INTO `sys_job_log` VALUES (67010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:47:31');
INSERT INTO `sys_job_log` VALUES (67011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:47:35');
INSERT INTO `sys_job_log` VALUES (67012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:47:36');
INSERT INTO `sys_job_log` VALUES (67013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:40');
INSERT INTO `sys_job_log` VALUES (67014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:47:41');
INSERT INTO `sys_job_log` VALUES (67015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:47:45');
INSERT INTO `sys_job_log` VALUES (67016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:47:45');
INSERT INTO `sys_job_log` VALUES (67017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:47:46');
INSERT INTO `sys_job_log` VALUES (67018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:47:46');
INSERT INTO `sys_job_log` VALUES (67019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:47:50');
INSERT INTO `sys_job_log` VALUES (67020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:47:51');
INSERT INTO `sys_job_log` VALUES (67021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:47:55');
INSERT INTO `sys_job_log` VALUES (67022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:47:56');
INSERT INTO `sys_job_log` VALUES (67023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:48:00');
INSERT INTO `sys_job_log` VALUES (67024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:48:00');
INSERT INTO `sys_job_log` VALUES (67025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:48:01');
INSERT INTO `sys_job_log` VALUES (67026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 16:48:01');
INSERT INTO `sys_job_log` VALUES (67027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:48:05');
INSERT INTO `sys_job_log` VALUES (67028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:48:06');
INSERT INTO `sys_job_log` VALUES (67029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:48:10');
INSERT INTO `sys_job_log` VALUES (67030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:48:11');
INSERT INTO `sys_job_log` VALUES (67031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:48:15');
INSERT INTO `sys_job_log` VALUES (67032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:48:15');
INSERT INTO `sys_job_log` VALUES (67033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:48:16');
INSERT INTO `sys_job_log` VALUES (67034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:48:16');
INSERT INTO `sys_job_log` VALUES (67035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:48:20');
INSERT INTO `sys_job_log` VALUES (67036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:48:21');
INSERT INTO `sys_job_log` VALUES (67037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:48:25');
INSERT INTO `sys_job_log` VALUES (67038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:48:26');
INSERT INTO `sys_job_log` VALUES (67039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:48:30');
INSERT INTO `sys_job_log` VALUES (67040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:48:30');
INSERT INTO `sys_job_log` VALUES (67041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:48:31');
INSERT INTO `sys_job_log` VALUES (67042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:48:31');
INSERT INTO `sys_job_log` VALUES (67043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:48:35');
INSERT INTO `sys_job_log` VALUES (67044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:48:36');
INSERT INTO `sys_job_log` VALUES (67045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:48:40');
INSERT INTO `sys_job_log` VALUES (67046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:48:41');
INSERT INTO `sys_job_log` VALUES (67047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:48:45');
INSERT INTO `sys_job_log` VALUES (67048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:48:45');
INSERT INTO `sys_job_log` VALUES (67049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:48:46');
INSERT INTO `sys_job_log` VALUES (67050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:48:46');
INSERT INTO `sys_job_log` VALUES (67051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:48:50');
INSERT INTO `sys_job_log` VALUES (67052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:48:51');
INSERT INTO `sys_job_log` VALUES (67053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:48:55');
INSERT INTO `sys_job_log` VALUES (67054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:48:56');
INSERT INTO `sys_job_log` VALUES (67055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:49:00');
INSERT INTO `sys_job_log` VALUES (67056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:49:00');
INSERT INTO `sys_job_log` VALUES (67057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 16:49:01');
INSERT INTO `sys_job_log` VALUES (67058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 16:49:01');
INSERT INTO `sys_job_log` VALUES (67059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:49:05');
INSERT INTO `sys_job_log` VALUES (67060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:49:06');
INSERT INTO `sys_job_log` VALUES (67061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:49:10');
INSERT INTO `sys_job_log` VALUES (67062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:49:11');
INSERT INTO `sys_job_log` VALUES (67063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:49:15');
INSERT INTO `sys_job_log` VALUES (67064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:49:15');
INSERT INTO `sys_job_log` VALUES (67065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:49:16');
INSERT INTO `sys_job_log` VALUES (67066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:49:16');
INSERT INTO `sys_job_log` VALUES (67067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:49:20');
INSERT INTO `sys_job_log` VALUES (67068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:49:21');
INSERT INTO `sys_job_log` VALUES (67069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:25');
INSERT INTO `sys_job_log` VALUES (67070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:49:26');
INSERT INTO `sys_job_log` VALUES (67071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:49:30');
INSERT INTO `sys_job_log` VALUES (67072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:30');
INSERT INTO `sys_job_log` VALUES (67073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:49:31');
INSERT INTO `sys_job_log` VALUES (67074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:49:31');
INSERT INTO `sys_job_log` VALUES (67075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:35');
INSERT INTO `sys_job_log` VALUES (67076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:49:36');
INSERT INTO `sys_job_log` VALUES (67077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 16:49:40');
INSERT INTO `sys_job_log` VALUES (67078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:49:41');
INSERT INTO `sys_job_log` VALUES (67079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:49:45');
INSERT INTO `sys_job_log` VALUES (67080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:49:45');
INSERT INTO `sys_job_log` VALUES (67081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:46');
INSERT INTO `sys_job_log` VALUES (67082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:46');
INSERT INTO `sys_job_log` VALUES (67083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:50');
INSERT INTO `sys_job_log` VALUES (67084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:49:51');
INSERT INTO `sys_job_log` VALUES (67085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 16:49:55');
INSERT INTO `sys_job_log` VALUES (67086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:49:56');
INSERT INTO `sys_job_log` VALUES (67087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:50:00');
INSERT INTO `sys_job_log` VALUES (67088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:50:00');
INSERT INTO `sys_job_log` VALUES (67089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:50:01');
INSERT INTO `sys_job_log` VALUES (67090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:50:01');
INSERT INTO `sys_job_log` VALUES (67091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:50:05');
INSERT INTO `sys_job_log` VALUES (67092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:50:06');
INSERT INTO `sys_job_log` VALUES (67093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:50:10');
INSERT INTO `sys_job_log` VALUES (67094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:50:11');
INSERT INTO `sys_job_log` VALUES (67095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:50:15');
INSERT INTO `sys_job_log` VALUES (67096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:50:15');
INSERT INTO `sys_job_log` VALUES (67097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:50:16');
INSERT INTO `sys_job_log` VALUES (67098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:50:16');
INSERT INTO `sys_job_log` VALUES (67099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:50:20');
INSERT INTO `sys_job_log` VALUES (67100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:50:21');
INSERT INTO `sys_job_log` VALUES (67101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:50:25');
INSERT INTO `sys_job_log` VALUES (67102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:50:26');
INSERT INTO `sys_job_log` VALUES (67103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:50:30');
INSERT INTO `sys_job_log` VALUES (67104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:50:30');
INSERT INTO `sys_job_log` VALUES (67105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:50:31');
INSERT INTO `sys_job_log` VALUES (67106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:50:31');
INSERT INTO `sys_job_log` VALUES (67107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:50:35');
INSERT INTO `sys_job_log` VALUES (67108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:50:36');
INSERT INTO `sys_job_log` VALUES (67109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:50:40');
INSERT INTO `sys_job_log` VALUES (67110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:50:41');
INSERT INTO `sys_job_log` VALUES (67111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:50:45');
INSERT INTO `sys_job_log` VALUES (67112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:50:45');
INSERT INTO `sys_job_log` VALUES (67113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:50:46');
INSERT INTO `sys_job_log` VALUES (67114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:50:46');
INSERT INTO `sys_job_log` VALUES (67115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:50:50');
INSERT INTO `sys_job_log` VALUES (67116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:50:51');
INSERT INTO `sys_job_log` VALUES (67117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:50:55');
INSERT INTO `sys_job_log` VALUES (67118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:50:56');
INSERT INTO `sys_job_log` VALUES (67119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:51:00');
INSERT INTO `sys_job_log` VALUES (67120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:51:00');
INSERT INTO `sys_job_log` VALUES (67121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:51:01');
INSERT INTO `sys_job_log` VALUES (67122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:51:01');
INSERT INTO `sys_job_log` VALUES (67123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 16:51:05');
INSERT INTO `sys_job_log` VALUES (67124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:51:06');
INSERT INTO `sys_job_log` VALUES (67125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:51:10');
INSERT INTO `sys_job_log` VALUES (67126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:51:11');
INSERT INTO `sys_job_log` VALUES (67127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:51:15');
INSERT INTO `sys_job_log` VALUES (67128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:51:15');
INSERT INTO `sys_job_log` VALUES (67129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:51:16');
INSERT INTO `sys_job_log` VALUES (67130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:51:16');
INSERT INTO `sys_job_log` VALUES (67131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:51:20');
INSERT INTO `sys_job_log` VALUES (67132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:51:21');
INSERT INTO `sys_job_log` VALUES (67133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:51:25');
INSERT INTO `sys_job_log` VALUES (67134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:51:26');
INSERT INTO `sys_job_log` VALUES (67135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:51:30');
INSERT INTO `sys_job_log` VALUES (67136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:51:30');
INSERT INTO `sys_job_log` VALUES (67137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:51:31');
INSERT INTO `sys_job_log` VALUES (67138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:51:31');
INSERT INTO `sys_job_log` VALUES (67139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:51:35');
INSERT INTO `sys_job_log` VALUES (67140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:51:36');
INSERT INTO `sys_job_log` VALUES (67141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:51:40');
INSERT INTO `sys_job_log` VALUES (67142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:51:41');
INSERT INTO `sys_job_log` VALUES (67143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:51:45');
INSERT INTO `sys_job_log` VALUES (67144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:51:45');
INSERT INTO `sys_job_log` VALUES (67145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:51:46');
INSERT INTO `sys_job_log` VALUES (67146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:51:46');
INSERT INTO `sys_job_log` VALUES (67147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 16:51:50');
INSERT INTO `sys_job_log` VALUES (67148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:51:51');
INSERT INTO `sys_job_log` VALUES (67149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:51:55');
INSERT INTO `sys_job_log` VALUES (67150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:51:56');
INSERT INTO `sys_job_log` VALUES (67151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:52:00');
INSERT INTO `sys_job_log` VALUES (67152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:52:00');
INSERT INTO `sys_job_log` VALUES (67153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:52:01');
INSERT INTO `sys_job_log` VALUES (67154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:52:01');
INSERT INTO `sys_job_log` VALUES (67155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:52:05');
INSERT INTO `sys_job_log` VALUES (67156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 16:52:06');
INSERT INTO `sys_job_log` VALUES (67157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:52:10');
INSERT INTO `sys_job_log` VALUES (67158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:52:11');
INSERT INTO `sys_job_log` VALUES (67159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:52:15');
INSERT INTO `sys_job_log` VALUES (67160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:52:15');
INSERT INTO `sys_job_log` VALUES (67161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:52:16');
INSERT INTO `sys_job_log` VALUES (67162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:52:16');
INSERT INTO `sys_job_log` VALUES (67163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:52:20');
INSERT INTO `sys_job_log` VALUES (67164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:52:21');
INSERT INTO `sys_job_log` VALUES (67165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 16:52:25');
INSERT INTO `sys_job_log` VALUES (67166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:52:26');
INSERT INTO `sys_job_log` VALUES (67167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:52:30');
INSERT INTO `sys_job_log` VALUES (67168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:52:30');
INSERT INTO `sys_job_log` VALUES (67169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:52:31');
INSERT INTO `sys_job_log` VALUES (67170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 16:52:31');
INSERT INTO `sys_job_log` VALUES (67171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 16:52:35');
INSERT INTO `sys_job_log` VALUES (67172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:52:36');
INSERT INTO `sys_job_log` VALUES (67173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:52:40');
INSERT INTO `sys_job_log` VALUES (67174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:52:41');
INSERT INTO `sys_job_log` VALUES (67175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:52:45');
INSERT INTO `sys_job_log` VALUES (67176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:52:45');
INSERT INTO `sys_job_log` VALUES (67177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 16:52:46');
INSERT INTO `sys_job_log` VALUES (67178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:52:46');
INSERT INTO `sys_job_log` VALUES (67179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:52:50');
INSERT INTO `sys_job_log` VALUES (67180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:52:51');
INSERT INTO `sys_job_log` VALUES (67181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:52:55');
INSERT INTO `sys_job_log` VALUES (67182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:52:56');
INSERT INTO `sys_job_log` VALUES (67183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:53:00');
INSERT INTO `sys_job_log` VALUES (67184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:53:00');
INSERT INTO `sys_job_log` VALUES (67185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:53:01');
INSERT INTO `sys_job_log` VALUES (67186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:53:01');
INSERT INTO `sys_job_log` VALUES (67187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:53:05');
INSERT INTO `sys_job_log` VALUES (67188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:53:06');
INSERT INTO `sys_job_log` VALUES (67189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:53:10');
INSERT INTO `sys_job_log` VALUES (67190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:53:11');
INSERT INTO `sys_job_log` VALUES (67191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:53:15');
INSERT INTO `sys_job_log` VALUES (67192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:53:15');
INSERT INTO `sys_job_log` VALUES (67193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 16:53:16');
INSERT INTO `sys_job_log` VALUES (67194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:53:16');
INSERT INTO `sys_job_log` VALUES (67195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:53:20');
INSERT INTO `sys_job_log` VALUES (67196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:53:21');
INSERT INTO `sys_job_log` VALUES (67197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:53:25');
INSERT INTO `sys_job_log` VALUES (67198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:53:26');
INSERT INTO `sys_job_log` VALUES (67199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:53:30');
INSERT INTO `sys_job_log` VALUES (67200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:53:30');
INSERT INTO `sys_job_log` VALUES (67201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:53:31');
INSERT INTO `sys_job_log` VALUES (67202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:53:31');
INSERT INTO `sys_job_log` VALUES (67203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:53:35');
INSERT INTO `sys_job_log` VALUES (67204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:53:36');
INSERT INTO `sys_job_log` VALUES (67205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:53:40');
INSERT INTO `sys_job_log` VALUES (67206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:53:41');
INSERT INTO `sys_job_log` VALUES (67207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:53:45');
INSERT INTO `sys_job_log` VALUES (67208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:53:45');
INSERT INTO `sys_job_log` VALUES (67209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:53:46');
INSERT INTO `sys_job_log` VALUES (67210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:53:46');
INSERT INTO `sys_job_log` VALUES (67211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:53:50');
INSERT INTO `sys_job_log` VALUES (67212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:53:51');
INSERT INTO `sys_job_log` VALUES (67213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:53:55');
INSERT INTO `sys_job_log` VALUES (67214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:53:56');
INSERT INTO `sys_job_log` VALUES (67215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:54:00');
INSERT INTO `sys_job_log` VALUES (67216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:54:00');
INSERT INTO `sys_job_log` VALUES (67217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:01');
INSERT INTO `sys_job_log` VALUES (67218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:01');
INSERT INTO `sys_job_log` VALUES (67219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:54:05');
INSERT INTO `sys_job_log` VALUES (67220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:06');
INSERT INTO `sys_job_log` VALUES (67221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:54:10');
INSERT INTO `sys_job_log` VALUES (67222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:54:11');
INSERT INTO `sys_job_log` VALUES (67223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:54:15');
INSERT INTO `sys_job_log` VALUES (67224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:54:15');
INSERT INTO `sys_job_log` VALUES (67225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:16');
INSERT INTO `sys_job_log` VALUES (67226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:16');
INSERT INTO `sys_job_log` VALUES (67227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:20');
INSERT INTO `sys_job_log` VALUES (67228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:54:21');
INSERT INTO `sys_job_log` VALUES (67229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:54:25');
INSERT INTO `sys_job_log` VALUES (67230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:54:26');
INSERT INTO `sys_job_log` VALUES (67231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:30');
INSERT INTO `sys_job_log` VALUES (67232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:30');
INSERT INTO `sys_job_log` VALUES (67233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 16:54:31');
INSERT INTO `sys_job_log` VALUES (67234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 16:54:31');
INSERT INTO `sys_job_log` VALUES (67235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:54:35');
INSERT INTO `sys_job_log` VALUES (67236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 16:54:36');
INSERT INTO `sys_job_log` VALUES (67237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:54:40');
INSERT INTO `sys_job_log` VALUES (67238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 16:54:41');
INSERT INTO `sys_job_log` VALUES (67239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:54:45');
INSERT INTO `sys_job_log` VALUES (67240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:54:45');
INSERT INTO `sys_job_log` VALUES (67241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:54:46');
INSERT INTO `sys_job_log` VALUES (67242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:54:46');
INSERT INTO `sys_job_log` VALUES (67243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:54:50');
INSERT INTO `sys_job_log` VALUES (67244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：101毫秒', '0', '', '2025-01-02 16:54:51');
INSERT INTO `sys_job_log` VALUES (67245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:54:55');
INSERT INTO `sys_job_log` VALUES (67246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:54:56');
INSERT INTO `sys_job_log` VALUES (67247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:55:00');
INSERT INTO `sys_job_log` VALUES (67248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:55:00');
INSERT INTO `sys_job_log` VALUES (67249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:55:01');
INSERT INTO `sys_job_log` VALUES (67250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 16:55:01');
INSERT INTO `sys_job_log` VALUES (67251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:55:05');
INSERT INTO `sys_job_log` VALUES (67252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:55:06');
INSERT INTO `sys_job_log` VALUES (67253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:55:10');
INSERT INTO `sys_job_log` VALUES (67254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:55:11');
INSERT INTO `sys_job_log` VALUES (67255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:55:15');
INSERT INTO `sys_job_log` VALUES (67256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:55:15');
INSERT INTO `sys_job_log` VALUES (67257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:55:16');
INSERT INTO `sys_job_log` VALUES (67258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:55:16');
INSERT INTO `sys_job_log` VALUES (67259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:55:20');
INSERT INTO `sys_job_log` VALUES (67260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:55:21');
INSERT INTO `sys_job_log` VALUES (67261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:55:25');
INSERT INTO `sys_job_log` VALUES (67262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:55:26');
INSERT INTO `sys_job_log` VALUES (67263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:55:30');
INSERT INTO `sys_job_log` VALUES (67264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:55:30');
INSERT INTO `sys_job_log` VALUES (67265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:55:31');
INSERT INTO `sys_job_log` VALUES (67266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:55:31');
INSERT INTO `sys_job_log` VALUES (67267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:55:35');
INSERT INTO `sys_job_log` VALUES (67268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:55:36');
INSERT INTO `sys_job_log` VALUES (67269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:55:40');
INSERT INTO `sys_job_log` VALUES (67270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:55:41');
INSERT INTO `sys_job_log` VALUES (67271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:55:45');
INSERT INTO `sys_job_log` VALUES (67272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:55:45');
INSERT INTO `sys_job_log` VALUES (67273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：130毫秒', '0', '', '2025-01-02 16:55:46');
INSERT INTO `sys_job_log` VALUES (67274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：130毫秒', '0', '', '2025-01-02 16:55:46');
INSERT INTO `sys_job_log` VALUES (67275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:55:50');
INSERT INTO `sys_job_log` VALUES (67276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:55:51');
INSERT INTO `sys_job_log` VALUES (67277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:55:55');
INSERT INTO `sys_job_log` VALUES (67278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:55:56');
INSERT INTO `sys_job_log` VALUES (67279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:00');
INSERT INTO `sys_job_log` VALUES (67280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:00');
INSERT INTO `sys_job_log` VALUES (67281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 16:56:01');
INSERT INTO `sys_job_log` VALUES (67282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 16:56:01');
INSERT INTO `sys_job_log` VALUES (67283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:56:05');
INSERT INTO `sys_job_log` VALUES (67284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:56:06');
INSERT INTO `sys_job_log` VALUES (67285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:56:10');
INSERT INTO `sys_job_log` VALUES (67286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:56:11');
INSERT INTO `sys_job_log` VALUES (67287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:15');
INSERT INTO `sys_job_log` VALUES (67288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:15');
INSERT INTO `sys_job_log` VALUES (67289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:56:16');
INSERT INTO `sys_job_log` VALUES (67290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:56:16');
INSERT INTO `sys_job_log` VALUES (67291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:56:20');
INSERT INTO `sys_job_log` VALUES (67292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:21');
INSERT INTO `sys_job_log` VALUES (67293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:56:25');
INSERT INTO `sys_job_log` VALUES (67294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:56:26');
INSERT INTO `sys_job_log` VALUES (67295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:56:30');
INSERT INTO `sys_job_log` VALUES (67296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:56:30');
INSERT INTO `sys_job_log` VALUES (67297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:56:31');
INSERT INTO `sys_job_log` VALUES (67298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:56:31');
INSERT INTO `sys_job_log` VALUES (67299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:35');
INSERT INTO `sys_job_log` VALUES (67300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:56:36');
INSERT INTO `sys_job_log` VALUES (67301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:40');
INSERT INTO `sys_job_log` VALUES (67302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:56:41');
INSERT INTO `sys_job_log` VALUES (67303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:56:45');
INSERT INTO `sys_job_log` VALUES (67304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:56:45');
INSERT INTO `sys_job_log` VALUES (67305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 16:56:46');
INSERT INTO `sys_job_log` VALUES (67306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:56:46');
INSERT INTO `sys_job_log` VALUES (67307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:56:50');
INSERT INTO `sys_job_log` VALUES (67308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:56:51');
INSERT INTO `sys_job_log` VALUES (67309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:56:55');
INSERT INTO `sys_job_log` VALUES (67310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:56:56');
INSERT INTO `sys_job_log` VALUES (67311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 16:57:00');
INSERT INTO `sys_job_log` VALUES (67312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 16:57:00');
INSERT INTO `sys_job_log` VALUES (67313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:57:01');
INSERT INTO `sys_job_log` VALUES (67314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:57:01');
INSERT INTO `sys_job_log` VALUES (67315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:57:05');
INSERT INTO `sys_job_log` VALUES (67316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:57:06');
INSERT INTO `sys_job_log` VALUES (67317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:57:10');
INSERT INTO `sys_job_log` VALUES (67318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 16:57:11');
INSERT INTO `sys_job_log` VALUES (67319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:57:15');
INSERT INTO `sys_job_log` VALUES (67320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 16:57:15');
INSERT INTO `sys_job_log` VALUES (67321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:57:16');
INSERT INTO `sys_job_log` VALUES (67322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:57:16');
INSERT INTO `sys_job_log` VALUES (67323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 16:57:20');
INSERT INTO `sys_job_log` VALUES (67324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:57:21');
INSERT INTO `sys_job_log` VALUES (67325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:57:25');
INSERT INTO `sys_job_log` VALUES (67326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:57:26');
INSERT INTO `sys_job_log` VALUES (67327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 16:57:30');
INSERT INTO `sys_job_log` VALUES (67328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:57:30');
INSERT INTO `sys_job_log` VALUES (67329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:57:31');
INSERT INTO `sys_job_log` VALUES (67330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:57:31');
INSERT INTO `sys_job_log` VALUES (67331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 16:57:35');
INSERT INTO `sys_job_log` VALUES (67332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:57:36');
INSERT INTO `sys_job_log` VALUES (67333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:57:40');
INSERT INTO `sys_job_log` VALUES (67334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:57:41');
INSERT INTO `sys_job_log` VALUES (67335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:57:45');
INSERT INTO `sys_job_log` VALUES (67336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:57:45');
INSERT INTO `sys_job_log` VALUES (67337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:57:46');
INSERT INTO `sys_job_log` VALUES (67338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:57:46');
INSERT INTO `sys_job_log` VALUES (67339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:57:50');
INSERT INTO `sys_job_log` VALUES (67340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:57:51');
INSERT INTO `sys_job_log` VALUES (67341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:57:55');
INSERT INTO `sys_job_log` VALUES (67342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:57:56');
INSERT INTO `sys_job_log` VALUES (67343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 16:58:00');
INSERT INTO `sys_job_log` VALUES (67344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:58:00');
INSERT INTO `sys_job_log` VALUES (67345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:58:01');
INSERT INTO `sys_job_log` VALUES (67346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:58:01');
INSERT INTO `sys_job_log` VALUES (67347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:58:05');
INSERT INTO `sys_job_log` VALUES (67348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:58:06');
INSERT INTO `sys_job_log` VALUES (67349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：639毫秒', '0', '', '2025-01-02 16:58:10');
INSERT INTO `sys_job_log` VALUES (67350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:58:11');
INSERT INTO `sys_job_log` VALUES (67351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:58:15');
INSERT INTO `sys_job_log` VALUES (67352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:58:15');
INSERT INTO `sys_job_log` VALUES (67353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 16:58:16');
INSERT INTO `sys_job_log` VALUES (67354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:58:16');
INSERT INTO `sys_job_log` VALUES (67355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:58:20');
INSERT INTO `sys_job_log` VALUES (67356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:58:21');
INSERT INTO `sys_job_log` VALUES (67357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:58:25');
INSERT INTO `sys_job_log` VALUES (67358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:58:26');
INSERT INTO `sys_job_log` VALUES (67359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:58:30');
INSERT INTO `sys_job_log` VALUES (67360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:58:30');
INSERT INTO `sys_job_log` VALUES (67361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 16:58:31');
INSERT INTO `sys_job_log` VALUES (67362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 16:58:31');
INSERT INTO `sys_job_log` VALUES (67363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:58:35');
INSERT INTO `sys_job_log` VALUES (67364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:58:36');
INSERT INTO `sys_job_log` VALUES (67365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:58:40');
INSERT INTO `sys_job_log` VALUES (67366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:58:41');
INSERT INTO `sys_job_log` VALUES (67367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:58:45');
INSERT INTO `sys_job_log` VALUES (67368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 16:58:45');
INSERT INTO `sys_job_log` VALUES (67369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:58:46');
INSERT INTO `sys_job_log` VALUES (67370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:58:46');
INSERT INTO `sys_job_log` VALUES (67371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 16:58:50');
INSERT INTO `sys_job_log` VALUES (67372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 16:58:51');
INSERT INTO `sys_job_log` VALUES (67373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:58:55');
INSERT INTO `sys_job_log` VALUES (67374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:58:56');
INSERT INTO `sys_job_log` VALUES (67375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 16:59:00');
INSERT INTO `sys_job_log` VALUES (67376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 16:59:00');
INSERT INTO `sys_job_log` VALUES (67377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:01');
INSERT INTO `sys_job_log` VALUES (67378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:59:01');
INSERT INTO `sys_job_log` VALUES (67379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:59:05');
INSERT INTO `sys_job_log` VALUES (67380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:59:06');
INSERT INTO `sys_job_log` VALUES (67381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:10');
INSERT INTO `sys_job_log` VALUES (67382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:59:11');
INSERT INTO `sys_job_log` VALUES (67383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:15');
INSERT INTO `sys_job_log` VALUES (67384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:15');
INSERT INTO `sys_job_log` VALUES (67385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 16:59:16');
INSERT INTO `sys_job_log` VALUES (67386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:59:16');
INSERT INTO `sys_job_log` VALUES (67387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 16:59:20');
INSERT INTO `sys_job_log` VALUES (67388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:59:21');
INSERT INTO `sys_job_log` VALUES (67389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:25');
INSERT INTO `sys_job_log` VALUES (67390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:59:26');
INSERT INTO `sys_job_log` VALUES (67391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 16:59:30');
INSERT INTO `sys_job_log` VALUES (67392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:59:30');
INSERT INTO `sys_job_log` VALUES (67393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 16:59:31');
INSERT INTO `sys_job_log` VALUES (67394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 16:59:31');
INSERT INTO `sys_job_log` VALUES (67395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:59:35');
INSERT INTO `sys_job_log` VALUES (67396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:59:36');
INSERT INTO `sys_job_log` VALUES (67397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 16:59:40');
INSERT INTO `sys_job_log` VALUES (67398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:59:41');
INSERT INTO `sys_job_log` VALUES (67399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:45');
INSERT INTO `sys_job_log` VALUES (67400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 16:59:45');
INSERT INTO `sys_job_log` VALUES (67401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 16:59:46');
INSERT INTO `sys_job_log` VALUES (67402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:59:46');
INSERT INTO `sys_job_log` VALUES (67403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 16:59:50');
INSERT INTO `sys_job_log` VALUES (67404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 16:59:51');
INSERT INTO `sys_job_log` VALUES (67405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 16:59:55');
INSERT INTO `sys_job_log` VALUES (67406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 16:59:56');
INSERT INTO `sys_job_log` VALUES (67407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:00:00');
INSERT INTO `sys_job_log` VALUES (67408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:00:00');
INSERT INTO `sys_job_log` VALUES (67409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:00:01');
INSERT INTO `sys_job_log` VALUES (67410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:00:01');
INSERT INTO `sys_job_log` VALUES (67411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:00:05');
INSERT INTO `sys_job_log` VALUES (67412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:00:06');
INSERT INTO `sys_job_log` VALUES (67413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:00:10');
INSERT INTO `sys_job_log` VALUES (67414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:11');
INSERT INTO `sys_job_log` VALUES (67415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:15');
INSERT INTO `sys_job_log` VALUES (67416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:15');
INSERT INTO `sys_job_log` VALUES (67417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:16');
INSERT INTO `sys_job_log` VALUES (67418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:16');
INSERT INTO `sys_job_log` VALUES (67419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:00:20');
INSERT INTO `sys_job_log` VALUES (67420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:21');
INSERT INTO `sys_job_log` VALUES (67421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:00:25');
INSERT INTO `sys_job_log` VALUES (67422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:00:26');
INSERT INTO `sys_job_log` VALUES (67423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:00:30');
INSERT INTO `sys_job_log` VALUES (67424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:00:30');
INSERT INTO `sys_job_log` VALUES (67425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:31');
INSERT INTO `sys_job_log` VALUES (67426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:00:31');
INSERT INTO `sys_job_log` VALUES (67427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:00:35');
INSERT INTO `sys_job_log` VALUES (67428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:00:36');
INSERT INTO `sys_job_log` VALUES (67429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:00:40');
INSERT INTO `sys_job_log` VALUES (67430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:00:41');
INSERT INTO `sys_job_log` VALUES (67431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:00:45');
INSERT INTO `sys_job_log` VALUES (67432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:00:45');
INSERT INTO `sys_job_log` VALUES (67433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:00:46');
INSERT INTO `sys_job_log` VALUES (67434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:00:46');
INSERT INTO `sys_job_log` VALUES (67435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:00:50');
INSERT INTO `sys_job_log` VALUES (67436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:00:51');
INSERT INTO `sys_job_log` VALUES (67437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:00:55');
INSERT INTO `sys_job_log` VALUES (67438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:00:56');
INSERT INTO `sys_job_log` VALUES (67439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 17:01:00');
INSERT INTO `sys_job_log` VALUES (67440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 17:01:00');
INSERT INTO `sys_job_log` VALUES (67441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:01:01');
INSERT INTO `sys_job_log` VALUES (67442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:01:01');
INSERT INTO `sys_job_log` VALUES (67443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:01:05');
INSERT INTO `sys_job_log` VALUES (67444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:01:06');
INSERT INTO `sys_job_log` VALUES (67445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:01:10');
INSERT INTO `sys_job_log` VALUES (67446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:01:11');
INSERT INTO `sys_job_log` VALUES (67447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:01:15');
INSERT INTO `sys_job_log` VALUES (67448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:01:15');
INSERT INTO `sys_job_log` VALUES (67449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:01:16');
INSERT INTO `sys_job_log` VALUES (67450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:01:16');
INSERT INTO `sys_job_log` VALUES (67451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:01:20');
INSERT INTO `sys_job_log` VALUES (67452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:01:21');
INSERT INTO `sys_job_log` VALUES (67453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 17:01:25');
INSERT INTO `sys_job_log` VALUES (67454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:01:26');
INSERT INTO `sys_job_log` VALUES (67455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:01:30');
INSERT INTO `sys_job_log` VALUES (67456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:01:30');
INSERT INTO `sys_job_log` VALUES (67457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:01:31');
INSERT INTO `sys_job_log` VALUES (67458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:01:31');
INSERT INTO `sys_job_log` VALUES (67459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:01:35');
INSERT INTO `sys_job_log` VALUES (67460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:01:36');
INSERT INTO `sys_job_log` VALUES (67461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:01:40');
INSERT INTO `sys_job_log` VALUES (67462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:01:41');
INSERT INTO `sys_job_log` VALUES (67463, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:01:45');
INSERT INTO `sys_job_log` VALUES (67464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:01:45');
INSERT INTO `sys_job_log` VALUES (67465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:01:46');
INSERT INTO `sys_job_log` VALUES (67466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:01:46');
INSERT INTO `sys_job_log` VALUES (67467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:01:50');
INSERT INTO `sys_job_log` VALUES (67468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:01:51');
INSERT INTO `sys_job_log` VALUES (67469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:01:55');
INSERT INTO `sys_job_log` VALUES (67470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:01:56');
INSERT INTO `sys_job_log` VALUES (67471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:02:00');
INSERT INTO `sys_job_log` VALUES (67472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:02:00');
INSERT INTO `sys_job_log` VALUES (67473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:02:01');
INSERT INTO `sys_job_log` VALUES (67474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:02:01');
INSERT INTO `sys_job_log` VALUES (67475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:02:05');
INSERT INTO `sys_job_log` VALUES (67476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:02:06');
INSERT INTO `sys_job_log` VALUES (67477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:02:10');
INSERT INTO `sys_job_log` VALUES (67478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:02:11');
INSERT INTO `sys_job_log` VALUES (67479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:02:15');
INSERT INTO `sys_job_log` VALUES (67480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:02:15');
INSERT INTO `sys_job_log` VALUES (67481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:02:16');
INSERT INTO `sys_job_log` VALUES (67482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:02:16');
INSERT INTO `sys_job_log` VALUES (67483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:02:20');
INSERT INTO `sys_job_log` VALUES (67484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:02:21');
INSERT INTO `sys_job_log` VALUES (67485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:02:25');
INSERT INTO `sys_job_log` VALUES (67486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:02:26');
INSERT INTO `sys_job_log` VALUES (67487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:02:30');
INSERT INTO `sys_job_log` VALUES (67488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:02:30');
INSERT INTO `sys_job_log` VALUES (67489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2025-01-02 17:02:31');
INSERT INTO `sys_job_log` VALUES (67490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2025-01-02 17:02:31');
INSERT INTO `sys_job_log` VALUES (67491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:02:35');
INSERT INTO `sys_job_log` VALUES (67492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:02:36');
INSERT INTO `sys_job_log` VALUES (67493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:02:40');
INSERT INTO `sys_job_log` VALUES (67494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:02:41');
INSERT INTO `sys_job_log` VALUES (67495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:02:45');
INSERT INTO `sys_job_log` VALUES (67496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:02:45');
INSERT INTO `sys_job_log` VALUES (67497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:02:46');
INSERT INTO `sys_job_log` VALUES (67498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:02:46');
INSERT INTO `sys_job_log` VALUES (67499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:02:50');
INSERT INTO `sys_job_log` VALUES (67500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:02:51');
INSERT INTO `sys_job_log` VALUES (67501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 17:02:55');
INSERT INTO `sys_job_log` VALUES (67502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:02:56');
INSERT INTO `sys_job_log` VALUES (67503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:03:00');
INSERT INTO `sys_job_log` VALUES (67504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:03:00');
INSERT INTO `sys_job_log` VALUES (67505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 17:03:01');
INSERT INTO `sys_job_log` VALUES (67506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:03:01');
INSERT INTO `sys_job_log` VALUES (67507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:03:05');
INSERT INTO `sys_job_log` VALUES (67508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:03:06');
INSERT INTO `sys_job_log` VALUES (67509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:03:10');
INSERT INTO `sys_job_log` VALUES (67510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:03:11');
INSERT INTO `sys_job_log` VALUES (67511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:03:15');
INSERT INTO `sys_job_log` VALUES (67512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:03:15');
INSERT INTO `sys_job_log` VALUES (67513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:03:16');
INSERT INTO `sys_job_log` VALUES (67514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:03:16');
INSERT INTO `sys_job_log` VALUES (67515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:03:20');
INSERT INTO `sys_job_log` VALUES (67516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:03:21');
INSERT INTO `sys_job_log` VALUES (67517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:03:25');
INSERT INTO `sys_job_log` VALUES (67518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:03:26');
INSERT INTO `sys_job_log` VALUES (67519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:03:30');
INSERT INTO `sys_job_log` VALUES (67520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:03:30');
INSERT INTO `sys_job_log` VALUES (67521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:03:31');
INSERT INTO `sys_job_log` VALUES (67522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:03:31');
INSERT INTO `sys_job_log` VALUES (67523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:03:35');
INSERT INTO `sys_job_log` VALUES (67524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:03:36');
INSERT INTO `sys_job_log` VALUES (67525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:03:40');
INSERT INTO `sys_job_log` VALUES (67526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:03:41');
INSERT INTO `sys_job_log` VALUES (67527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:03:45');
INSERT INTO `sys_job_log` VALUES (67528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:03:45');
INSERT INTO `sys_job_log` VALUES (67529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:03:46');
INSERT INTO `sys_job_log` VALUES (67530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:03:46');
INSERT INTO `sys_job_log` VALUES (67531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:03:50');
INSERT INTO `sys_job_log` VALUES (67532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:03:51');
INSERT INTO `sys_job_log` VALUES (67533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:03:55');
INSERT INTO `sys_job_log` VALUES (67534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:03:56');
INSERT INTO `sys_job_log` VALUES (67535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:04:00');
INSERT INTO `sys_job_log` VALUES (67536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:04:00');
INSERT INTO `sys_job_log` VALUES (67537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:04:01');
INSERT INTO `sys_job_log` VALUES (67538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:04:01');
INSERT INTO `sys_job_log` VALUES (67539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:04:05');
INSERT INTO `sys_job_log` VALUES (67540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:04:06');
INSERT INTO `sys_job_log` VALUES (67541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:04:10');
INSERT INTO `sys_job_log` VALUES (67542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:04:11');
INSERT INTO `sys_job_log` VALUES (67543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:04:15');
INSERT INTO `sys_job_log` VALUES (67544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:04:15');
INSERT INTO `sys_job_log` VALUES (67545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:04:16');
INSERT INTO `sys_job_log` VALUES (67546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:04:16');
INSERT INTO `sys_job_log` VALUES (67547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:04:20');
INSERT INTO `sys_job_log` VALUES (67548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:04:21');
INSERT INTO `sys_job_log` VALUES (67549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:04:25');
INSERT INTO `sys_job_log` VALUES (67550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:04:26');
INSERT INTO `sys_job_log` VALUES (67551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:04:30');
INSERT INTO `sys_job_log` VALUES (67552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:04:30');
INSERT INTO `sys_job_log` VALUES (67553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:04:31');
INSERT INTO `sys_job_log` VALUES (67554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:04:31');
INSERT INTO `sys_job_log` VALUES (67555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:04:35');
INSERT INTO `sys_job_log` VALUES (67556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:04:36');
INSERT INTO `sys_job_log` VALUES (67557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:04:40');
INSERT INTO `sys_job_log` VALUES (67558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:04:41');
INSERT INTO `sys_job_log` VALUES (67559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:04:45');
INSERT INTO `sys_job_log` VALUES (67560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:04:45');
INSERT INTO `sys_job_log` VALUES (67561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:04:46');
INSERT INTO `sys_job_log` VALUES (67562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:04:46');
INSERT INTO `sys_job_log` VALUES (67563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:04:50');
INSERT INTO `sys_job_log` VALUES (67564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:04:51');
INSERT INTO `sys_job_log` VALUES (67565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:04:55');
INSERT INTO `sys_job_log` VALUES (67566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:04:56');
INSERT INTO `sys_job_log` VALUES (67567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:00');
INSERT INTO `sys_job_log` VALUES (67568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:00');
INSERT INTO `sys_job_log` VALUES (67569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:01');
INSERT INTO `sys_job_log` VALUES (67570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:01');
INSERT INTO `sys_job_log` VALUES (67571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:05:05');
INSERT INTO `sys_job_log` VALUES (67572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:05:06');
INSERT INTO `sys_job_log` VALUES (67573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:05:10');
INSERT INTO `sys_job_log` VALUES (67574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:05:11');
INSERT INTO `sys_job_log` VALUES (67575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:05:15');
INSERT INTO `sys_job_log` VALUES (67576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:05:15');
INSERT INTO `sys_job_log` VALUES (67577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:05:16');
INSERT INTO `sys_job_log` VALUES (67578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:05:16');
INSERT INTO `sys_job_log` VALUES (67579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:05:20');
INSERT INTO `sys_job_log` VALUES (67580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:05:21');
INSERT INTO `sys_job_log` VALUES (67581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:25');
INSERT INTO `sys_job_log` VALUES (67582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:05:26');
INSERT INTO `sys_job_log` VALUES (67583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:30');
INSERT INTO `sys_job_log` VALUES (67584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:05:30');
INSERT INTO `sys_job_log` VALUES (67585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:05:31');
INSERT INTO `sys_job_log` VALUES (67586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:05:31');
INSERT INTO `sys_job_log` VALUES (67587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:05:35');
INSERT INTO `sys_job_log` VALUES (67588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:36');
INSERT INTO `sys_job_log` VALUES (67589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：105毫秒', '0', '', '2025-01-02 17:05:40');
INSERT INTO `sys_job_log` VALUES (67590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:05:41');
INSERT INTO `sys_job_log` VALUES (67591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:05:45');
INSERT INTO `sys_job_log` VALUES (67592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:05:45');
INSERT INTO `sys_job_log` VALUES (67593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:05:46');
INSERT INTO `sys_job_log` VALUES (67594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:05:46');
INSERT INTO `sys_job_log` VALUES (67595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:05:50');
INSERT INTO `sys_job_log` VALUES (67596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:05:51');
INSERT INTO `sys_job_log` VALUES (67597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:05:55');
INSERT INTO `sys_job_log` VALUES (67598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2025-01-02 17:05:56');
INSERT INTO `sys_job_log` VALUES (67599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:06:00');
INSERT INTO `sys_job_log` VALUES (67600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:06:00');
INSERT INTO `sys_job_log` VALUES (67601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:06:01');
INSERT INTO `sys_job_log` VALUES (67602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:06:01');
INSERT INTO `sys_job_log` VALUES (67603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:06:05');
INSERT INTO `sys_job_log` VALUES (67604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:06:06');
INSERT INTO `sys_job_log` VALUES (67605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:06:10');
INSERT INTO `sys_job_log` VALUES (67606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:06:11');
INSERT INTO `sys_job_log` VALUES (67607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:06:15');
INSERT INTO `sys_job_log` VALUES (67608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:06:15');
INSERT INTO `sys_job_log` VALUES (67609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:06:16');
INSERT INTO `sys_job_log` VALUES (67610, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:06:16');
INSERT INTO `sys_job_log` VALUES (67611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:06:20');
INSERT INTO `sys_job_log` VALUES (67612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:06:21');
INSERT INTO `sys_job_log` VALUES (67613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:06:25');
INSERT INTO `sys_job_log` VALUES (67614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:06:26');
INSERT INTO `sys_job_log` VALUES (67615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:06:30');
INSERT INTO `sys_job_log` VALUES (67616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 17:06:30');
INSERT INTO `sys_job_log` VALUES (67617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:06:31');
INSERT INTO `sys_job_log` VALUES (67618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:06:31');
INSERT INTO `sys_job_log` VALUES (67619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：84毫秒', '0', '', '2025-01-02 17:06:35');
INSERT INTO `sys_job_log` VALUES (67620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:06:36');
INSERT INTO `sys_job_log` VALUES (67621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:06:40');
INSERT INTO `sys_job_log` VALUES (67622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:06:41');
INSERT INTO `sys_job_log` VALUES (67623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:06:45');
INSERT INTO `sys_job_log` VALUES (67624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:06:45');
INSERT INTO `sys_job_log` VALUES (67625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:06:46');
INSERT INTO `sys_job_log` VALUES (67626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:06:46');
INSERT INTO `sys_job_log` VALUES (67627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:06:50');
INSERT INTO `sys_job_log` VALUES (67628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:06:51');
INSERT INTO `sys_job_log` VALUES (67629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:06:55');
INSERT INTO `sys_job_log` VALUES (67630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:06:56');
INSERT INTO `sys_job_log` VALUES (67631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:07:00');
INSERT INTO `sys_job_log` VALUES (67632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:07:00');
INSERT INTO `sys_job_log` VALUES (67633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 17:07:01');
INSERT INTO `sys_job_log` VALUES (67634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 17:07:01');
INSERT INTO `sys_job_log` VALUES (67635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:07:05');
INSERT INTO `sys_job_log` VALUES (67636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:07:06');
INSERT INTO `sys_job_log` VALUES (67637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:07:10');
INSERT INTO `sys_job_log` VALUES (67638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:07:11');
INSERT INTO `sys_job_log` VALUES (67639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:07:15');
INSERT INTO `sys_job_log` VALUES (67640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:07:15');
INSERT INTO `sys_job_log` VALUES (67641, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:07:16');
INSERT INTO `sys_job_log` VALUES (67642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:07:16');
INSERT INTO `sys_job_log` VALUES (67643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:07:20');
INSERT INTO `sys_job_log` VALUES (67644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:07:21');
INSERT INTO `sys_job_log` VALUES (67645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:07:25');
INSERT INTO `sys_job_log` VALUES (67646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:07:26');
INSERT INTO `sys_job_log` VALUES (67647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:07:30');
INSERT INTO `sys_job_log` VALUES (67648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:07:30');
INSERT INTO `sys_job_log` VALUES (67649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2025-01-02 17:07:31');
INSERT INTO `sys_job_log` VALUES (67650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 17:07:31');
INSERT INTO `sys_job_log` VALUES (67651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:07:35');
INSERT INTO `sys_job_log` VALUES (67652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2025-01-02 17:07:36');
INSERT INTO `sys_job_log` VALUES (67653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:07:40');
INSERT INTO `sys_job_log` VALUES (67654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:07:41');
INSERT INTO `sys_job_log` VALUES (67655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:07:45');
INSERT INTO `sys_job_log` VALUES (67656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:07:45');
INSERT INTO `sys_job_log` VALUES (67657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:07:46');
INSERT INTO `sys_job_log` VALUES (67658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:07:46');
INSERT INTO `sys_job_log` VALUES (67659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:07:50');
INSERT INTO `sys_job_log` VALUES (67660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:07:51');
INSERT INTO `sys_job_log` VALUES (67661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:07:55');
INSERT INTO `sys_job_log` VALUES (67662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:07:56');
INSERT INTO `sys_job_log` VALUES (67663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:08:00');
INSERT INTO `sys_job_log` VALUES (67664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:08:00');
INSERT INTO `sys_job_log` VALUES (67665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:08:01');
INSERT INTO `sys_job_log` VALUES (67666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:08:01');
INSERT INTO `sys_job_log` VALUES (67667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:08:05');
INSERT INTO `sys_job_log` VALUES (67668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:08:06');
INSERT INTO `sys_job_log` VALUES (67669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:08:10');
INSERT INTO `sys_job_log` VALUES (67670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:08:11');
INSERT INTO `sys_job_log` VALUES (67671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:08:15');
INSERT INTO `sys_job_log` VALUES (67672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:08:15');
INSERT INTO `sys_job_log` VALUES (67673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:16');
INSERT INTO `sys_job_log` VALUES (67674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:16');
INSERT INTO `sys_job_log` VALUES (67675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:08:20');
INSERT INTO `sys_job_log` VALUES (67676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:08:21');
INSERT INTO `sys_job_log` VALUES (67677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:08:25');
INSERT INTO `sys_job_log` VALUES (67678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:08:26');
INSERT INTO `sys_job_log` VALUES (67679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:08:30');
INSERT INTO `sys_job_log` VALUES (67680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:08:30');
INSERT INTO `sys_job_log` VALUES (67681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:31');
INSERT INTO `sys_job_log` VALUES (67682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:31');
INSERT INTO `sys_job_log` VALUES (67683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:08:35');
INSERT INTO `sys_job_log` VALUES (67684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:36');
INSERT INTO `sys_job_log` VALUES (67685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:08:40');
INSERT INTO `sys_job_log` VALUES (67686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:41');
INSERT INTO `sys_job_log` VALUES (67687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:08:45');
INSERT INTO `sys_job_log` VALUES (67688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:08:45');
INSERT INTO `sys_job_log` VALUES (67689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:08:46');
INSERT INTO `sys_job_log` VALUES (67690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:08:46');
INSERT INTO `sys_job_log` VALUES (67691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:08:50');
INSERT INTO `sys_job_log` VALUES (67692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:08:51');
INSERT INTO `sys_job_log` VALUES (67693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 17:08:55');
INSERT INTO `sys_job_log` VALUES (67694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:08:56');
INSERT INTO `sys_job_log` VALUES (67695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:09:00');
INSERT INTO `sys_job_log` VALUES (67696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:09:00');
INSERT INTO `sys_job_log` VALUES (67697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:09:01');
INSERT INTO `sys_job_log` VALUES (67698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:09:01');
INSERT INTO `sys_job_log` VALUES (67699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:09:05');
INSERT INTO `sys_job_log` VALUES (67700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:09:06');
INSERT INTO `sys_job_log` VALUES (67701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:09:10');
INSERT INTO `sys_job_log` VALUES (67702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:09:11');
INSERT INTO `sys_job_log` VALUES (67703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：264毫秒', '0', '', '2025-01-02 17:09:16');
INSERT INTO `sys_job_log` VALUES (67704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '0', '', '2025-01-02 17:09:16');
INSERT INTO `sys_job_log` VALUES (67705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:09:16');
INSERT INTO `sys_job_log` VALUES (67706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:09:16');
INSERT INTO `sys_job_log` VALUES (67707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:09:20');
INSERT INTO `sys_job_log` VALUES (67708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:09:21');
INSERT INTO `sys_job_log` VALUES (67709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2025-01-02 17:09:25');
INSERT INTO `sys_job_log` VALUES (67710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:09:26');
INSERT INTO `sys_job_log` VALUES (67711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 17:09:30');
INSERT INTO `sys_job_log` VALUES (67712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:09:30');
INSERT INTO `sys_job_log` VALUES (67713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:09:31');
INSERT INTO `sys_job_log` VALUES (67714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:09:31');
INSERT INTO `sys_job_log` VALUES (67715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:09:35');
INSERT INTO `sys_job_log` VALUES (67716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:09:36');
INSERT INTO `sys_job_log` VALUES (67717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:09:40');
INSERT INTO `sys_job_log` VALUES (67718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:09:41');
INSERT INTO `sys_job_log` VALUES (67719, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2025-01-02 17:09:45');
INSERT INTO `sys_job_log` VALUES (67720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-02 17:09:45');
INSERT INTO `sys_job_log` VALUES (67721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:09:46');
INSERT INTO `sys_job_log` VALUES (67722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:09:46');
INSERT INTO `sys_job_log` VALUES (67723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:09:50');
INSERT INTO `sys_job_log` VALUES (67724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:09:51');
INSERT INTO `sys_job_log` VALUES (67725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:09:55');
INSERT INTO `sys_job_log` VALUES (67726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:09:56');
INSERT INTO `sys_job_log` VALUES (67727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:10:00');
INSERT INTO `sys_job_log` VALUES (67728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:10:00');
INSERT INTO `sys_job_log` VALUES (67729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:10:01');
INSERT INTO `sys_job_log` VALUES (67730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:10:01');
INSERT INTO `sys_job_log` VALUES (67731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:10:05');
INSERT INTO `sys_job_log` VALUES (67732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:10:06');
INSERT INTO `sys_job_log` VALUES (67733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:10:10');
INSERT INTO `sys_job_log` VALUES (67734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:10:11');
INSERT INTO `sys_job_log` VALUES (67735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：343毫秒', '0', '', '2025-01-02 17:10:15');
INSERT INTO `sys_job_log` VALUES (67736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：342毫秒', '0', '', '2025-01-02 17:10:15');
INSERT INTO `sys_job_log` VALUES (67737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:10:16');
INSERT INTO `sys_job_log` VALUES (67738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:10:16');
INSERT INTO `sys_job_log` VALUES (67739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-02 17:10:20');
INSERT INTO `sys_job_log` VALUES (67740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:10:21');
INSERT INTO `sys_job_log` VALUES (67741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:10:25');
INSERT INTO `sys_job_log` VALUES (67742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:10:26');
INSERT INTO `sys_job_log` VALUES (67743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:10:30');
INSERT INTO `sys_job_log` VALUES (67744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:10:30');
INSERT INTO `sys_job_log` VALUES (67745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:10:31');
INSERT INTO `sys_job_log` VALUES (67746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:10:31');
INSERT INTO `sys_job_log` VALUES (67747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:10:35');
INSERT INTO `sys_job_log` VALUES (67748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:10:36');
INSERT INTO `sys_job_log` VALUES (67749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:10:40');
INSERT INTO `sys_job_log` VALUES (67750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:10:41');
INSERT INTO `sys_job_log` VALUES (67751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:10:45');
INSERT INTO `sys_job_log` VALUES (67752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:10:45');
INSERT INTO `sys_job_log` VALUES (67753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:10:46');
INSERT INTO `sys_job_log` VALUES (67754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:10:46');
INSERT INTO `sys_job_log` VALUES (67755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:10:50');
INSERT INTO `sys_job_log` VALUES (67756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:10:51');
INSERT INTO `sys_job_log` VALUES (67757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:10:55');
INSERT INTO `sys_job_log` VALUES (67758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:10:56');
INSERT INTO `sys_job_log` VALUES (67759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:11:00');
INSERT INTO `sys_job_log` VALUES (67760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:11:00');
INSERT INTO `sys_job_log` VALUES (67761, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:01');
INSERT INTO `sys_job_log` VALUES (67762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:01');
INSERT INTO `sys_job_log` VALUES (67763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2025-01-02 17:11:05');
INSERT INTO `sys_job_log` VALUES (67764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:11:06');
INSERT INTO `sys_job_log` VALUES (67765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:11:10');
INSERT INTO `sys_job_log` VALUES (67766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:11:11');
INSERT INTO `sys_job_log` VALUES (67767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:15');
INSERT INTO `sys_job_log` VALUES (67768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:15');
INSERT INTO `sys_job_log` VALUES (67769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:20');
INSERT INTO `sys_job_log` VALUES (67770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 17:11:24');
INSERT INTO `sys_job_log` VALUES (67771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:25');
INSERT INTO `sys_job_log` VALUES (67772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:11:26');
INSERT INTO `sys_job_log` VALUES (67773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:30');
INSERT INTO `sys_job_log` VALUES (67774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:30');
INSERT INTO `sys_job_log` VALUES (67775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:11:31');
INSERT INTO `sys_job_log` VALUES (67776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:11:31');
INSERT INTO `sys_job_log` VALUES (67777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:11:35');
INSERT INTO `sys_job_log` VALUES (67778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:11:36');
INSERT INTO `sys_job_log` VALUES (67779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:11:40');
INSERT INTO `sys_job_log` VALUES (67780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:11:41');
INSERT INTO `sys_job_log` VALUES (67781, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:45');
INSERT INTO `sys_job_log` VALUES (67782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:11:45');
INSERT INTO `sys_job_log` VALUES (67783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:11:46');
INSERT INTO `sys_job_log` VALUES (67784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:11:46');
INSERT INTO `sys_job_log` VALUES (67785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:11:50');
INSERT INTO `sys_job_log` VALUES (67786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:11:51');
INSERT INTO `sys_job_log` VALUES (67787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:11:55');
INSERT INTO `sys_job_log` VALUES (67788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:11:56');
INSERT INTO `sys_job_log` VALUES (67789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 17:12:00');
INSERT INTO `sys_job_log` VALUES (67790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 17:12:00');
INSERT INTO `sys_job_log` VALUES (67791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:01');
INSERT INTO `sys_job_log` VALUES (67792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:01');
INSERT INTO `sys_job_log` VALUES (67793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：66毫秒', '0', '', '2025-01-02 17:12:05');
INSERT INTO `sys_job_log` VALUES (67794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:12:06');
INSERT INTO `sys_job_log` VALUES (67795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:12:10');
INSERT INTO `sys_job_log` VALUES (67796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:12:11');
INSERT INTO `sys_job_log` VALUES (67797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:15');
INSERT INTO `sys_job_log` VALUES (67798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:15');
INSERT INTO `sys_job_log` VALUES (67799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:16');
INSERT INTO `sys_job_log` VALUES (67800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:16');
INSERT INTO `sys_job_log` VALUES (67801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:12:20');
INSERT INTO `sys_job_log` VALUES (67802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:12:21');
INSERT INTO `sys_job_log` VALUES (67803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:25');
INSERT INTO `sys_job_log` VALUES (67804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:12:26');
INSERT INTO `sys_job_log` VALUES (67805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:12:30');
INSERT INTO `sys_job_log` VALUES (67806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:12:30');
INSERT INTO `sys_job_log` VALUES (67807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:12:31');
INSERT INTO `sys_job_log` VALUES (67808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:12:31');
INSERT INTO `sys_job_log` VALUES (67809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:12:35');
INSERT INTO `sys_job_log` VALUES (67810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:12:40');
INSERT INTO `sys_job_log` VALUES (67811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 17:12:43');
INSERT INTO `sys_job_log` VALUES (67812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:12:45');
INSERT INTO `sys_job_log` VALUES (67813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:12:45');
INSERT INTO `sys_job_log` VALUES (67814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:12:46');
INSERT INTO `sys_job_log` VALUES (67815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:12:46');
INSERT INTO `sys_job_log` VALUES (67816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:12:50');
INSERT INTO `sys_job_log` VALUES (67817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:12:51');
INSERT INTO `sys_job_log` VALUES (67818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:12:55');
INSERT INTO `sys_job_log` VALUES (67819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:12:56');
INSERT INTO `sys_job_log` VALUES (67820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:13:00');
INSERT INTO `sys_job_log` VALUES (67821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:13:00');
INSERT INTO `sys_job_log` VALUES (67822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:13:01');
INSERT INTO `sys_job_log` VALUES (67823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:13:01');
INSERT INTO `sys_job_log` VALUES (67824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:13:05');
INSERT INTO `sys_job_log` VALUES (67825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:13:06');
INSERT INTO `sys_job_log` VALUES (67826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:10');
INSERT INTO `sys_job_log` VALUES (67827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:11');
INSERT INTO `sys_job_log` VALUES (67828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:13:15');
INSERT INTO `sys_job_log` VALUES (67829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:13:15');
INSERT INTO `sys_job_log` VALUES (67830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:16');
INSERT INTO `sys_job_log` VALUES (67831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:16');
INSERT INTO `sys_job_log` VALUES (67832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:13:20');
INSERT INTO `sys_job_log` VALUES (67833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:13:21');
INSERT INTO `sys_job_log` VALUES (67834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:13:25');
INSERT INTO `sys_job_log` VALUES (67835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:26');
INSERT INTO `sys_job_log` VALUES (67836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:13:30');
INSERT INTO `sys_job_log` VALUES (67837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:13:30');
INSERT INTO `sys_job_log` VALUES (67838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:13:31');
INSERT INTO `sys_job_log` VALUES (67839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:31');
INSERT INTO `sys_job_log` VALUES (67840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:13:35');
INSERT INTO `sys_job_log` VALUES (67841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:13:36');
INSERT INTO `sys_job_log` VALUES (67842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:13:40');
INSERT INTO `sys_job_log` VALUES (67843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:13:45');
INSERT INTO `sys_job_log` VALUES (67844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:13:45');
INSERT INTO `sys_job_log` VALUES (67845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:13:50');
INSERT INTO `sys_job_log` VALUES (67846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:13:51');
INSERT INTO `sys_job_log` VALUES (67847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:13:55');
INSERT INTO `sys_job_log` VALUES (67848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:13:56');
INSERT INTO `sys_job_log` VALUES (67849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:14:00');
INSERT INTO `sys_job_log` VALUES (67850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:14:00');
INSERT INTO `sys_job_log` VALUES (67851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:14:01');
INSERT INTO `sys_job_log` VALUES (67852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:14:01');
INSERT INTO `sys_job_log` VALUES (67853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:14:05');
INSERT INTO `sys_job_log` VALUES (67854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:14:06');
INSERT INTO `sys_job_log` VALUES (67855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:14:10');
INSERT INTO `sys_job_log` VALUES (67856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:11');
INSERT INTO `sys_job_log` VALUES (67857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:14:15');
INSERT INTO `sys_job_log` VALUES (67858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:14:15');
INSERT INTO `sys_job_log` VALUES (67859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:16');
INSERT INTO `sys_job_log` VALUES (67860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:16');
INSERT INTO `sys_job_log` VALUES (67861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 17:14:20');
INSERT INTO `sys_job_log` VALUES (67862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:14:21');
INSERT INTO `sys_job_log` VALUES (67863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:14:25');
INSERT INTO `sys_job_log` VALUES (67864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:14:26');
INSERT INTO `sys_job_log` VALUES (67865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:14:30');
INSERT INTO `sys_job_log` VALUES (67866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:14:30');
INSERT INTO `sys_job_log` VALUES (67867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:14:31');
INSERT INTO `sys_job_log` VALUES (67868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:14:31');
INSERT INTO `sys_job_log` VALUES (67869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:35');
INSERT INTO `sys_job_log` VALUES (67870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:14:36');
INSERT INTO `sys_job_log` VALUES (67871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:14:40');
INSERT INTO `sys_job_log` VALUES (67872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:41');
INSERT INTO `sys_job_log` VALUES (67873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:45');
INSERT INTO `sys_job_log` VALUES (67874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:14:45');
INSERT INTO `sys_job_log` VALUES (67875, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:14:46');
INSERT INTO `sys_job_log` VALUES (67876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:14:46');
INSERT INTO `sys_job_log` VALUES (67877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:14:50');
INSERT INTO `sys_job_log` VALUES (67878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:14:51');
INSERT INTO `sys_job_log` VALUES (67879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:14:55');
INSERT INTO `sys_job_log` VALUES (67880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:14:56');
INSERT INTO `sys_job_log` VALUES (67881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:15:00');
INSERT INTO `sys_job_log` VALUES (67882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:15:00');
INSERT INTO `sys_job_log` VALUES (67883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:15:01');
INSERT INTO `sys_job_log` VALUES (67884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:15:01');
INSERT INTO `sys_job_log` VALUES (67885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:15:05');
INSERT INTO `sys_job_log` VALUES (67886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:15:06');
INSERT INTO `sys_job_log` VALUES (67887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:15:10');
INSERT INTO `sys_job_log` VALUES (67888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:15:11');
INSERT INTO `sys_job_log` VALUES (67889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 17:15:15');
INSERT INTO `sys_job_log` VALUES (67890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:15:15');
INSERT INTO `sys_job_log` VALUES (67891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:15:16');
INSERT INTO `sys_job_log` VALUES (67892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:15:16');
INSERT INTO `sys_job_log` VALUES (67893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:15:20');
INSERT INTO `sys_job_log` VALUES (67894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:15:21');
INSERT INTO `sys_job_log` VALUES (67895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:15:25');
INSERT INTO `sys_job_log` VALUES (67896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:15:30');
INSERT INTO `sys_job_log` VALUES (67897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:15:30');
INSERT INTO `sys_job_log` VALUES (67898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:15:35');
INSERT INTO `sys_job_log` VALUES (67899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:15:36');
INSERT INTO `sys_job_log` VALUES (67900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:15:40');
INSERT INTO `sys_job_log` VALUES (67901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:15:41');
INSERT INTO `sys_job_log` VALUES (67902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:15:45');
INSERT INTO `sys_job_log` VALUES (67903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:15:45');
INSERT INTO `sys_job_log` VALUES (67904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:15:46');
INSERT INTO `sys_job_log` VALUES (67905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:15:46');
INSERT INTO `sys_job_log` VALUES (67906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:15:50');
INSERT INTO `sys_job_log` VALUES (67907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:15:51');
INSERT INTO `sys_job_log` VALUES (67908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:15:55');
INSERT INTO `sys_job_log` VALUES (67909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:15:56');
INSERT INTO `sys_job_log` VALUES (67910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:16:00');
INSERT INTO `sys_job_log` VALUES (67911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:16:00');
INSERT INTO `sys_job_log` VALUES (67912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:16:01');
INSERT INTO `sys_job_log` VALUES (67913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:16:01');
INSERT INTO `sys_job_log` VALUES (67914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:16:05');
INSERT INTO `sys_job_log` VALUES (67915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:16:06');
INSERT INTO `sys_job_log` VALUES (67916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-02 17:16:10');
INSERT INTO `sys_job_log` VALUES (67917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:16:11');
INSERT INTO `sys_job_log` VALUES (67918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:16:15');
INSERT INTO `sys_job_log` VALUES (67919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:16:15');
INSERT INTO `sys_job_log` VALUES (67920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:16:16');
INSERT INTO `sys_job_log` VALUES (67921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:16:16');
INSERT INTO `sys_job_log` VALUES (67922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:16:20');
INSERT INTO `sys_job_log` VALUES (67923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:16:21');
INSERT INTO `sys_job_log` VALUES (67924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:16:25');
INSERT INTO `sys_job_log` VALUES (67925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:16:26');
INSERT INTO `sys_job_log` VALUES (67926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 17:16:30');
INSERT INTO `sys_job_log` VALUES (67927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:16:30');
INSERT INTO `sys_job_log` VALUES (67928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:16:31');
INSERT INTO `sys_job_log` VALUES (67929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:16:31');
INSERT INTO `sys_job_log` VALUES (67930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:16:35');
INSERT INTO `sys_job_log` VALUES (67931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:16:36');
INSERT INTO `sys_job_log` VALUES (67932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:16:40');
INSERT INTO `sys_job_log` VALUES (67933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:16:41');
INSERT INTO `sys_job_log` VALUES (67934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:16:45');
INSERT INTO `sys_job_log` VALUES (67935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:16:45');
INSERT INTO `sys_job_log` VALUES (67936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:16:46');
INSERT INTO `sys_job_log` VALUES (67937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:16:46');
INSERT INTO `sys_job_log` VALUES (67938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:16:50');
INSERT INTO `sys_job_log` VALUES (67939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:16:51');
INSERT INTO `sys_job_log` VALUES (67940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:16:55');
INSERT INTO `sys_job_log` VALUES (67941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:16:56');
INSERT INTO `sys_job_log` VALUES (67942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:17:00');
INSERT INTO `sys_job_log` VALUES (67943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:17:00');
INSERT INTO `sys_job_log` VALUES (67944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:17:01');
INSERT INTO `sys_job_log` VALUES (67945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:17:01');
INSERT INTO `sys_job_log` VALUES (67946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:17:05');
INSERT INTO `sys_job_log` VALUES (67947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:17:06');
INSERT INTO `sys_job_log` VALUES (67948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:17:10');
INSERT INTO `sys_job_log` VALUES (67949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:17:11');
INSERT INTO `sys_job_log` VALUES (67950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:17:15');
INSERT INTO `sys_job_log` VALUES (67951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:17:15');
INSERT INTO `sys_job_log` VALUES (67952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:17:16');
INSERT INTO `sys_job_log` VALUES (67953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:17:16');
INSERT INTO `sys_job_log` VALUES (67954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:17:20');
INSERT INTO `sys_job_log` VALUES (67955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:17:21');
INSERT INTO `sys_job_log` VALUES (67956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:17:25');
INSERT INTO `sys_job_log` VALUES (67957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:17:26');
INSERT INTO `sys_job_log` VALUES (67958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:17:30');
INSERT INTO `sys_job_log` VALUES (67959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:17:30');
INSERT INTO `sys_job_log` VALUES (67960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2025-01-02 17:17:31');
INSERT INTO `sys_job_log` VALUES (67961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：100毫秒', '0', '', '2025-01-02 17:17:31');
INSERT INTO `sys_job_log` VALUES (67962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:17:35');
INSERT INTO `sys_job_log` VALUES (67963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:17:36');
INSERT INTO `sys_job_log` VALUES (67964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:17:40');
INSERT INTO `sys_job_log` VALUES (67965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:17:41');
INSERT INTO `sys_job_log` VALUES (67966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2025-01-02 17:17:45');
INSERT INTO `sys_job_log` VALUES (67967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：98毫秒', '0', '', '2025-01-02 17:17:45');
INSERT INTO `sys_job_log` VALUES (67968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:17:46');
INSERT INTO `sys_job_log` VALUES (67969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:17:46');
INSERT INTO `sys_job_log` VALUES (67970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:17:50');
INSERT INTO `sys_job_log` VALUES (67971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:17:51');
INSERT INTO `sys_job_log` VALUES (67972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:17:55');
INSERT INTO `sys_job_log` VALUES (67973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:17:56');
INSERT INTO `sys_job_log` VALUES (67974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:18:00');
INSERT INTO `sys_job_log` VALUES (67975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:18:00');
INSERT INTO `sys_job_log` VALUES (67976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:18:01');
INSERT INTO `sys_job_log` VALUES (67977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:18:01');
INSERT INTO `sys_job_log` VALUES (67978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:18:05');
INSERT INTO `sys_job_log` VALUES (67979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:18:06');
INSERT INTO `sys_job_log` VALUES (67980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-02 17:18:10');
INSERT INTO `sys_job_log` VALUES (67981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:18:11');
INSERT INTO `sys_job_log` VALUES (67982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:18:15');
INSERT INTO `sys_job_log` VALUES (67983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:18:15');
INSERT INTO `sys_job_log` VALUES (67984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:18:16');
INSERT INTO `sys_job_log` VALUES (67985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:18:16');
INSERT INTO `sys_job_log` VALUES (67986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:18:20');
INSERT INTO `sys_job_log` VALUES (67987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:18:21');
INSERT INTO `sys_job_log` VALUES (67988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:18:25');
INSERT INTO `sys_job_log` VALUES (67989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:18:27');
INSERT INTO `sys_job_log` VALUES (67990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:18:30');
INSERT INTO `sys_job_log` VALUES (67991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:18:30');
INSERT INTO `sys_job_log` VALUES (67992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:18:31');
INSERT INTO `sys_job_log` VALUES (67993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:18:31');
INSERT INTO `sys_job_log` VALUES (67994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:18:35');
INSERT INTO `sys_job_log` VALUES (67995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:18:36');
INSERT INTO `sys_job_log` VALUES (67996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:18:40');
INSERT INTO `sys_job_log` VALUES (67997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:18:41');
INSERT INTO `sys_job_log` VALUES (67998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 17:18:45');
INSERT INTO `sys_job_log` VALUES (67999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 17:18:45');
INSERT INTO `sys_job_log` VALUES (68000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:18:46');
INSERT INTO `sys_job_log` VALUES (68001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 17:18:46');
INSERT INTO `sys_job_log` VALUES (68002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:18:50');
INSERT INTO `sys_job_log` VALUES (68003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:18:51');
INSERT INTO `sys_job_log` VALUES (68004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:18:55');
INSERT INTO `sys_job_log` VALUES (68005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:18:56');
INSERT INTO `sys_job_log` VALUES (68006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:19:00');
INSERT INTO `sys_job_log` VALUES (68007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:19:00');
INSERT INTO `sys_job_log` VALUES (68008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:19:01');
INSERT INTO `sys_job_log` VALUES (68009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:19:01');
INSERT INTO `sys_job_log` VALUES (68010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:19:05');
INSERT INTO `sys_job_log` VALUES (68011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:19:06');
INSERT INTO `sys_job_log` VALUES (68012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:19:10');
INSERT INTO `sys_job_log` VALUES (68013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:19:11');
INSERT INTO `sys_job_log` VALUES (68014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:19:15');
INSERT INTO `sys_job_log` VALUES (68015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:19:15');
INSERT INTO `sys_job_log` VALUES (68016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:19:20');
INSERT INTO `sys_job_log` VALUES (68017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 17:19:24');
INSERT INTO `sys_job_log` VALUES (68018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:19:25');
INSERT INTO `sys_job_log` VALUES (68019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：90毫秒', '0', '', '2025-01-02 17:19:30');
INSERT INTO `sys_job_log` VALUES (68020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2025-01-02 17:19:30');
INSERT INTO `sys_job_log` VALUES (68021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:19:35');
INSERT INTO `sys_job_log` VALUES (68022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:19:36');
INSERT INTO `sys_job_log` VALUES (68023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:19:40');
INSERT INTO `sys_job_log` VALUES (68024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:19:41');
INSERT INTO `sys_job_log` VALUES (68025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:19:45');
INSERT INTO `sys_job_log` VALUES (68026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:19:45');
INSERT INTO `sys_job_log` VALUES (68027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 17:19:46');
INSERT INTO `sys_job_log` VALUES (68028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:19:46');
INSERT INTO `sys_job_log` VALUES (68029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:19:50');
INSERT INTO `sys_job_log` VALUES (68030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:19:51');
INSERT INTO `sys_job_log` VALUES (68031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 17:19:55');
INSERT INTO `sys_job_log` VALUES (68032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:19:56');
INSERT INTO `sys_job_log` VALUES (68033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:20:00');
INSERT INTO `sys_job_log` VALUES (68034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:20:00');
INSERT INTO `sys_job_log` VALUES (68035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:20:01');
INSERT INTO `sys_job_log` VALUES (68036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:20:01');
INSERT INTO `sys_job_log` VALUES (68037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：94毫秒', '0', '', '2025-01-02 17:20:05');
INSERT INTO `sys_job_log` VALUES (68038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:20:06');
INSERT INTO `sys_job_log` VALUES (68039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:20:10');
INSERT INTO `sys_job_log` VALUES (68040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:20:11');
INSERT INTO `sys_job_log` VALUES (68041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:20:15');
INSERT INTO `sys_job_log` VALUES (68042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:20:15');
INSERT INTO `sys_job_log` VALUES (68043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:20:16');
INSERT INTO `sys_job_log` VALUES (68044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:20:16');
INSERT INTO `sys_job_log` VALUES (68045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:20:20');
INSERT INTO `sys_job_log` VALUES (68046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:20:21');
INSERT INTO `sys_job_log` VALUES (68047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:20:25');
INSERT INTO `sys_job_log` VALUES (68048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:20:26');
INSERT INTO `sys_job_log` VALUES (68049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:20:30');
INSERT INTO `sys_job_log` VALUES (68050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:20:30');
INSERT INTO `sys_job_log` VALUES (68051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:20:31');
INSERT INTO `sys_job_log` VALUES (68052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:20:31');
INSERT INTO `sys_job_log` VALUES (68053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:20:35');
INSERT INTO `sys_job_log` VALUES (68054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:20:36');
INSERT INTO `sys_job_log` VALUES (68055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:20:40');
INSERT INTO `sys_job_log` VALUES (68056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:20:41');
INSERT INTO `sys_job_log` VALUES (68057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:20:45');
INSERT INTO `sys_job_log` VALUES (68058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 17:20:45');
INSERT INTO `sys_job_log` VALUES (68059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:20:46');
INSERT INTO `sys_job_log` VALUES (68060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:20:46');
INSERT INTO `sys_job_log` VALUES (68061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:20:50');
INSERT INTO `sys_job_log` VALUES (68062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:20:51');
INSERT INTO `sys_job_log` VALUES (68063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:20:55');
INSERT INTO `sys_job_log` VALUES (68064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:20:56');
INSERT INTO `sys_job_log` VALUES (68065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 17:21:00');
INSERT INTO `sys_job_log` VALUES (68066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 17:21:00');
INSERT INTO `sys_job_log` VALUES (68067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 17:21:01');
INSERT INTO `sys_job_log` VALUES (68068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 17:21:01');
INSERT INTO `sys_job_log` VALUES (68069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:21:05');
INSERT INTO `sys_job_log` VALUES (68070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:21:06');
INSERT INTO `sys_job_log` VALUES (68071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:21:10');
INSERT INTO `sys_job_log` VALUES (68072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:21:11');
INSERT INTO `sys_job_log` VALUES (68073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:21:15');
INSERT INTO `sys_job_log` VALUES (68074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:21:15');
INSERT INTO `sys_job_log` VALUES (68075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:21:16');
INSERT INTO `sys_job_log` VALUES (68076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:21:16');
INSERT INTO `sys_job_log` VALUES (68077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:21:20');
INSERT INTO `sys_job_log` VALUES (68078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:21:21');
INSERT INTO `sys_job_log` VALUES (68079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:21:25');
INSERT INTO `sys_job_log` VALUES (68080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:21:26');
INSERT INTO `sys_job_log` VALUES (68081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:21:30');
INSERT INTO `sys_job_log` VALUES (68082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:21:30');
INSERT INTO `sys_job_log` VALUES (68083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:21:31');
INSERT INTO `sys_job_log` VALUES (68084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:21:31');
INSERT INTO `sys_job_log` VALUES (68085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:21:35');
INSERT INTO `sys_job_log` VALUES (68086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:21:36');
INSERT INTO `sys_job_log` VALUES (68087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:21:40');
INSERT INTO `sys_job_log` VALUES (68088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:21:41');
INSERT INTO `sys_job_log` VALUES (68089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:21:45');
INSERT INTO `sys_job_log` VALUES (68090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:21:45');
INSERT INTO `sys_job_log` VALUES (68091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:21:46');
INSERT INTO `sys_job_log` VALUES (68092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:21:46');
INSERT INTO `sys_job_log` VALUES (68093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:21:50');
INSERT INTO `sys_job_log` VALUES (68094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:21:51');
INSERT INTO `sys_job_log` VALUES (68095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:21:55');
INSERT INTO `sys_job_log` VALUES (68096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:21:56');
INSERT INTO `sys_job_log` VALUES (68097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:22:00');
INSERT INTO `sys_job_log` VALUES (68098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:22:00');
INSERT INTO `sys_job_log` VALUES (68099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:22:01');
INSERT INTO `sys_job_log` VALUES (68100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:22:01');
INSERT INTO `sys_job_log` VALUES (68101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:22:05');
INSERT INTO `sys_job_log` VALUES (68102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:22:06');
INSERT INTO `sys_job_log` VALUES (68103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:22:10');
INSERT INTO `sys_job_log` VALUES (68104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:22:11');
INSERT INTO `sys_job_log` VALUES (68105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:22:15');
INSERT INTO `sys_job_log` VALUES (68106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:22:15');
INSERT INTO `sys_job_log` VALUES (68107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:22:16');
INSERT INTO `sys_job_log` VALUES (68108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:22:16');
INSERT INTO `sys_job_log` VALUES (68109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:22:20');
INSERT INTO `sys_job_log` VALUES (68110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:22:21');
INSERT INTO `sys_job_log` VALUES (68111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:22:25');
INSERT INTO `sys_job_log` VALUES (68112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:22:26');
INSERT INTO `sys_job_log` VALUES (68113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:22:30');
INSERT INTO `sys_job_log` VALUES (68114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 17:22:30');
INSERT INTO `sys_job_log` VALUES (68115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:22:31');
INSERT INTO `sys_job_log` VALUES (68116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:22:31');
INSERT INTO `sys_job_log` VALUES (68117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:22:35');
INSERT INTO `sys_job_log` VALUES (68118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:22:36');
INSERT INTO `sys_job_log` VALUES (68119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:22:40');
INSERT INTO `sys_job_log` VALUES (68120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:22:41');
INSERT INTO `sys_job_log` VALUES (68121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:22:45');
INSERT INTO `sys_job_log` VALUES (68122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:22:45');
INSERT INTO `sys_job_log` VALUES (68123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:22:46');
INSERT INTO `sys_job_log` VALUES (68124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:22:46');
INSERT INTO `sys_job_log` VALUES (68125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:22:50');
INSERT INTO `sys_job_log` VALUES (68126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:22:51');
INSERT INTO `sys_job_log` VALUES (68127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:22:55');
INSERT INTO `sys_job_log` VALUES (68128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:22:56');
INSERT INTO `sys_job_log` VALUES (68129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:23:00');
INSERT INTO `sys_job_log` VALUES (68130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:23:00');
INSERT INTO `sys_job_log` VALUES (68131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:23:01');
INSERT INTO `sys_job_log` VALUES (68132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:23:01');
INSERT INTO `sys_job_log` VALUES (68133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 17:23:05');
INSERT INTO `sys_job_log` VALUES (68134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:23:06');
INSERT INTO `sys_job_log` VALUES (68135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:23:10');
INSERT INTO `sys_job_log` VALUES (68136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:23:11');
INSERT INTO `sys_job_log` VALUES (68137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：142毫秒', '0', '', '2025-01-02 17:23:15');
INSERT INTO `sys_job_log` VALUES (68138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：142毫秒', '0', '', '2025-01-02 17:23:15');
INSERT INTO `sys_job_log` VALUES (68139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:23:16');
INSERT INTO `sys_job_log` VALUES (68140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 17:23:16');
INSERT INTO `sys_job_log` VALUES (68141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:23:20');
INSERT INTO `sys_job_log` VALUES (68142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:23:21');
INSERT INTO `sys_job_log` VALUES (68143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:23:25');
INSERT INTO `sys_job_log` VALUES (68144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:23:26');
INSERT INTO `sys_job_log` VALUES (68145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:23:30');
INSERT INTO `sys_job_log` VALUES (68146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:23:30');
INSERT INTO `sys_job_log` VALUES (68147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:23:31');
INSERT INTO `sys_job_log` VALUES (68148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:23:31');
INSERT INTO `sys_job_log` VALUES (68149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:23:35');
INSERT INTO `sys_job_log` VALUES (68150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:23:36');
INSERT INTO `sys_job_log` VALUES (68151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:23:40');
INSERT INTO `sys_job_log` VALUES (68152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:23:41');
INSERT INTO `sys_job_log` VALUES (68153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-02 17:23:45');
INSERT INTO `sys_job_log` VALUES (68154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：79毫秒', '0', '', '2025-01-02 17:23:45');
INSERT INTO `sys_job_log` VALUES (68155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:23:46');
INSERT INTO `sys_job_log` VALUES (68156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:23:46');
INSERT INTO `sys_job_log` VALUES (68157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:23:50');
INSERT INTO `sys_job_log` VALUES (68158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:23:51');
INSERT INTO `sys_job_log` VALUES (68159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:23:55');
INSERT INTO `sys_job_log` VALUES (68160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:23:56');
INSERT INTO `sys_job_log` VALUES (68161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:24:00');
INSERT INTO `sys_job_log` VALUES (68162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:24:00');
INSERT INTO `sys_job_log` VALUES (68163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:24:01');
INSERT INTO `sys_job_log` VALUES (68164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:24:01');
INSERT INTO `sys_job_log` VALUES (68165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:24:05');
INSERT INTO `sys_job_log` VALUES (68166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:24:06');
INSERT INTO `sys_job_log` VALUES (68167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:24:10');
INSERT INTO `sys_job_log` VALUES (68168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:24:11');
INSERT INTO `sys_job_log` VALUES (68169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:24:15');
INSERT INTO `sys_job_log` VALUES (68170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:24:15');
INSERT INTO `sys_job_log` VALUES (68171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:24:16');
INSERT INTO `sys_job_log` VALUES (68172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:24:16');
INSERT INTO `sys_job_log` VALUES (68173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:24:20');
INSERT INTO `sys_job_log` VALUES (68174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:24:21');
INSERT INTO `sys_job_log` VALUES (68175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:24:25');
INSERT INTO `sys_job_log` VALUES (68176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:24:26');
INSERT INTO `sys_job_log` VALUES (68177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:24:30');
INSERT INTO `sys_job_log` VALUES (68178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:24:30');
INSERT INTO `sys_job_log` VALUES (68179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:24:31');
INSERT INTO `sys_job_log` VALUES (68180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:24:31');
INSERT INTO `sys_job_log` VALUES (68181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:24:35');
INSERT INTO `sys_job_log` VALUES (68182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:24:36');
INSERT INTO `sys_job_log` VALUES (68183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:24:40');
INSERT INTO `sys_job_log` VALUES (68184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:24:41');
INSERT INTO `sys_job_log` VALUES (68185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:24:45');
INSERT INTO `sys_job_log` VALUES (68186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:24:45');
INSERT INTO `sys_job_log` VALUES (68187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:24:46');
INSERT INTO `sys_job_log` VALUES (68188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:24:46');
INSERT INTO `sys_job_log` VALUES (68189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:24:50');
INSERT INTO `sys_job_log` VALUES (68190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:24:51');
INSERT INTO `sys_job_log` VALUES (68191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:24:55');
INSERT INTO `sys_job_log` VALUES (68192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:24:56');
INSERT INTO `sys_job_log` VALUES (68193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:25:00');
INSERT INTO `sys_job_log` VALUES (68194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:25:00');
INSERT INTO `sys_job_log` VALUES (68195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:01');
INSERT INTO `sys_job_log` VALUES (68196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:01');
INSERT INTO `sys_job_log` VALUES (68197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:05');
INSERT INTO `sys_job_log` VALUES (68198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:25:06');
INSERT INTO `sys_job_log` VALUES (68199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:25:10');
INSERT INTO `sys_job_log` VALUES (68200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:25:11');
INSERT INTO `sys_job_log` VALUES (68201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:25:15');
INSERT INTO `sys_job_log` VALUES (68202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:25:15');
INSERT INTO `sys_job_log` VALUES (68203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:25:16');
INSERT INTO `sys_job_log` VALUES (68204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:25:16');
INSERT INTO `sys_job_log` VALUES (68205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:20');
INSERT INTO `sys_job_log` VALUES (68206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:25:21');
INSERT INTO `sys_job_log` VALUES (68207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:25:25');
INSERT INTO `sys_job_log` VALUES (68208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:25:26');
INSERT INTO `sys_job_log` VALUES (68209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:30');
INSERT INTO `sys_job_log` VALUES (68210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:30');
INSERT INTO `sys_job_log` VALUES (68211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:25:31');
INSERT INTO `sys_job_log` VALUES (68212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:25:31');
INSERT INTO `sys_job_log` VALUES (68213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:35');
INSERT INTO `sys_job_log` VALUES (68214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-02 17:25:36');
INSERT INTO `sys_job_log` VALUES (68215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:25:40');
INSERT INTO `sys_job_log` VALUES (68216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:25:41');
INSERT INTO `sys_job_log` VALUES (68217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:45');
INSERT INTO `sys_job_log` VALUES (68218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:25:45');
INSERT INTO `sys_job_log` VALUES (68219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:25:46');
INSERT INTO `sys_job_log` VALUES (68220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:25:46');
INSERT INTO `sys_job_log` VALUES (68221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:25:50');
INSERT INTO `sys_job_log` VALUES (68222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:25:51');
INSERT INTO `sys_job_log` VALUES (68223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：68毫秒', '0', '', '2025-01-02 17:25:55');
INSERT INTO `sys_job_log` VALUES (68224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:25:56');
INSERT INTO `sys_job_log` VALUES (68225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:26:00');
INSERT INTO `sys_job_log` VALUES (68226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:26:00');
INSERT INTO `sys_job_log` VALUES (68227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:26:01');
INSERT INTO `sys_job_log` VALUES (68228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:26:01');
INSERT INTO `sys_job_log` VALUES (68229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:26:05');
INSERT INTO `sys_job_log` VALUES (68230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:26:06');
INSERT INTO `sys_job_log` VALUES (68231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:10');
INSERT INTO `sys_job_log` VALUES (68232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:26:11');
INSERT INTO `sys_job_log` VALUES (68233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:15');
INSERT INTO `sys_job_log` VALUES (68234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:15');
INSERT INTO `sys_job_log` VALUES (68235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:16');
INSERT INTO `sys_job_log` VALUES (68236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:16');
INSERT INTO `sys_job_log` VALUES (68237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:20');
INSERT INTO `sys_job_log` VALUES (68238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:26:21');
INSERT INTO `sys_job_log` VALUES (68239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:26:25');
INSERT INTO `sys_job_log` VALUES (68240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:26:26');
INSERT INTO `sys_job_log` VALUES (68241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:26:30');
INSERT INTO `sys_job_log` VALUES (68242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:26:30');
INSERT INTO `sys_job_log` VALUES (68243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:26:31');
INSERT INTO `sys_job_log` VALUES (68244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 17:26:31');
INSERT INTO `sys_job_log` VALUES (68245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:26:35');
INSERT INTO `sys_job_log` VALUES (68246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:26:36');
INSERT INTO `sys_job_log` VALUES (68247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:26:40');
INSERT INTO `sys_job_log` VALUES (68248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:26:41');
INSERT INTO `sys_job_log` VALUES (68249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:45');
INSERT INTO `sys_job_log` VALUES (68250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:45');
INSERT INTO `sys_job_log` VALUES (68251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:26:46');
INSERT INTO `sys_job_log` VALUES (68252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:26:46');
INSERT INTO `sys_job_log` VALUES (68253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:26:50');
INSERT INTO `sys_job_log` VALUES (68254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:26:51');
INSERT INTO `sys_job_log` VALUES (68255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:26:55');
INSERT INTO `sys_job_log` VALUES (68256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:26:56');
INSERT INTO `sys_job_log` VALUES (68257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:27:00');
INSERT INTO `sys_job_log` VALUES (68258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:27:00');
INSERT INTO `sys_job_log` VALUES (68259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:27:01');
INSERT INTO `sys_job_log` VALUES (68260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:27:01');
INSERT INTO `sys_job_log` VALUES (68261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：356毫秒', '0', '', '2025-01-02 17:27:05');
INSERT INTO `sys_job_log` VALUES (68262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:27:06');
INSERT INTO `sys_job_log` VALUES (68263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：177毫秒', '0', '', '2025-01-02 17:27:10');
INSERT INTO `sys_job_log` VALUES (68264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:27:11');
INSERT INTO `sys_job_log` VALUES (68265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：109毫秒', '0', '', '2025-01-02 17:27:15');
INSERT INTO `sys_job_log` VALUES (68266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：108毫秒', '0', '', '2025-01-02 17:27:15');
INSERT INTO `sys_job_log` VALUES (68267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:27:16');
INSERT INTO `sys_job_log` VALUES (68268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:27:16');
INSERT INTO `sys_job_log` VALUES (68269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:27:20');
INSERT INTO `sys_job_log` VALUES (68270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:27:21');
INSERT INTO `sys_job_log` VALUES (68271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:27:25');
INSERT INTO `sys_job_log` VALUES (68272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:27:26');
INSERT INTO `sys_job_log` VALUES (68273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：126毫秒', '0', '', '2025-01-02 17:27:30');
INSERT INTO `sys_job_log` VALUES (68274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2025-01-02 17:27:30');
INSERT INTO `sys_job_log` VALUES (68275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:27:31');
INSERT INTO `sys_job_log` VALUES (68276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:27:31');
INSERT INTO `sys_job_log` VALUES (68277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：396毫秒', '0', '', '2025-01-02 17:27:35');
INSERT INTO `sys_job_log` VALUES (68278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:27:36');
INSERT INTO `sys_job_log` VALUES (68279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:27:40');
INSERT INTO `sys_job_log` VALUES (68280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:27:41');
INSERT INTO `sys_job_log` VALUES (68281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:27:45');
INSERT INTO `sys_job_log` VALUES (68282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:27:45');
INSERT INTO `sys_job_log` VALUES (68283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:27:46');
INSERT INTO `sys_job_log` VALUES (68284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:27:46');
INSERT INTO `sys_job_log` VALUES (68285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:27:50');
INSERT INTO `sys_job_log` VALUES (68286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:27:51');
INSERT INTO `sys_job_log` VALUES (68287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:27:55');
INSERT INTO `sys_job_log` VALUES (68288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:27:56');
INSERT INTO `sys_job_log` VALUES (68289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：238毫秒', '0', '', '2025-01-02 17:28:00');
INSERT INTO `sys_job_log` VALUES (68290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '0', '', '2025-01-02 17:28:00');
INSERT INTO `sys_job_log` VALUES (68291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:28:01');
INSERT INTO `sys_job_log` VALUES (68292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:28:01');
INSERT INTO `sys_job_log` VALUES (68293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-02 17:28:05');
INSERT INTO `sys_job_log` VALUES (68294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:28:06');
INSERT INTO `sys_job_log` VALUES (68295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:28:10');
INSERT INTO `sys_job_log` VALUES (68296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:28:11');
INSERT INTO `sys_job_log` VALUES (68297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：139毫秒', '0', '', '2025-01-02 17:28:15');
INSERT INTO `sys_job_log` VALUES (68298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：141毫秒', '0', '', '2025-01-02 17:28:15');
INSERT INTO `sys_job_log` VALUES (68299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:28:16');
INSERT INTO `sys_job_log` VALUES (68300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:28:16');
INSERT INTO `sys_job_log` VALUES (68301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:28:20');
INSERT INTO `sys_job_log` VALUES (68302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:28:21');
INSERT INTO `sys_job_log` VALUES (68303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:28:25');
INSERT INTO `sys_job_log` VALUES (68304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:28:26');
INSERT INTO `sys_job_log` VALUES (68305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:28:30');
INSERT INTO `sys_job_log` VALUES (68306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:28:30');
INSERT INTO `sys_job_log` VALUES (68307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:28:31');
INSERT INTO `sys_job_log` VALUES (68308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:28:31');
INSERT INTO `sys_job_log` VALUES (68309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:28:35');
INSERT INTO `sys_job_log` VALUES (68310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:28:36');
INSERT INTO `sys_job_log` VALUES (68311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:28:40');
INSERT INTO `sys_job_log` VALUES (68312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:28:41');
INSERT INTO `sys_job_log` VALUES (68313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:28:45');
INSERT INTO `sys_job_log` VALUES (68314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:28:45');
INSERT INTO `sys_job_log` VALUES (68315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:28:46');
INSERT INTO `sys_job_log` VALUES (68316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:28:46');
INSERT INTO `sys_job_log` VALUES (68317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:28:50');
INSERT INTO `sys_job_log` VALUES (68318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:28:51');
INSERT INTO `sys_job_log` VALUES (68319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:28:55');
INSERT INTO `sys_job_log` VALUES (68320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:28:56');
INSERT INTO `sys_job_log` VALUES (68321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:29:00');
INSERT INTO `sys_job_log` VALUES (68322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:29:00');
INSERT INTO `sys_job_log` VALUES (68323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:29:01');
INSERT INTO `sys_job_log` VALUES (68324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:29:01');
INSERT INTO `sys_job_log` VALUES (68325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:29:05');
INSERT INTO `sys_job_log` VALUES (68326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:29:06');
INSERT INTO `sys_job_log` VALUES (68327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:29:10');
INSERT INTO `sys_job_log` VALUES (68328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:29:11');
INSERT INTO `sys_job_log` VALUES (68329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:29:15');
INSERT INTO `sys_job_log` VALUES (68330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:29:15');
INSERT INTO `sys_job_log` VALUES (68331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:29:16');
INSERT INTO `sys_job_log` VALUES (68332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:29:16');
INSERT INTO `sys_job_log` VALUES (68333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:29:20');
INSERT INTO `sys_job_log` VALUES (68334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:29:21');
INSERT INTO `sys_job_log` VALUES (68335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:29:25');
INSERT INTO `sys_job_log` VALUES (68336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:29:26');
INSERT INTO `sys_job_log` VALUES (68337, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 17:29:30');
INSERT INTO `sys_job_log` VALUES (68338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 17:29:30');
INSERT INTO `sys_job_log` VALUES (68339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:29:31');
INSERT INTO `sys_job_log` VALUES (68340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:29:31');
INSERT INTO `sys_job_log` VALUES (68341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:29:35');
INSERT INTO `sys_job_log` VALUES (68342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:29:36');
INSERT INTO `sys_job_log` VALUES (68343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:29:40');
INSERT INTO `sys_job_log` VALUES (68344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:29:41');
INSERT INTO `sys_job_log` VALUES (68345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 17:29:45');
INSERT INTO `sys_job_log` VALUES (68346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 17:29:45');
INSERT INTO `sys_job_log` VALUES (68347, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:29:46');
INSERT INTO `sys_job_log` VALUES (68348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:29:46');
INSERT INTO `sys_job_log` VALUES (68349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:29:50');
INSERT INTO `sys_job_log` VALUES (68350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:29:51');
INSERT INTO `sys_job_log` VALUES (68351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-02 17:29:55');
INSERT INTO `sys_job_log` VALUES (68352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:29:56');
INSERT INTO `sys_job_log` VALUES (68353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：110毫秒', '0', '', '2025-01-02 17:30:00');
INSERT INTO `sys_job_log` VALUES (68354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：111毫秒', '0', '', '2025-01-02 17:30:00');
INSERT INTO `sys_job_log` VALUES (68355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:30:01');
INSERT INTO `sys_job_log` VALUES (68356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:30:01');
INSERT INTO `sys_job_log` VALUES (68357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:30:05');
INSERT INTO `sys_job_log` VALUES (68358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:30:06');
INSERT INTO `sys_job_log` VALUES (68359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:30:10');
INSERT INTO `sys_job_log` VALUES (68360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:30:11');
INSERT INTO `sys_job_log` VALUES (68361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:30:15');
INSERT INTO `sys_job_log` VALUES (68362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:30:15');
INSERT INTO `sys_job_log` VALUES (68363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:30:16');
INSERT INTO `sys_job_log` VALUES (68364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:30:16');
INSERT INTO `sys_job_log` VALUES (68365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:30:20');
INSERT INTO `sys_job_log` VALUES (68366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:30:21');
INSERT INTO `sys_job_log` VALUES (68367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 17:30:25');
INSERT INTO `sys_job_log` VALUES (68368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:30:26');
INSERT INTO `sys_job_log` VALUES (68369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:30:30');
INSERT INTO `sys_job_log` VALUES (68370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:30:30');
INSERT INTO `sys_job_log` VALUES (68371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:30:31');
INSERT INTO `sys_job_log` VALUES (68372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:30:31');
INSERT INTO `sys_job_log` VALUES (68373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:30:35');
INSERT INTO `sys_job_log` VALUES (68374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:30:36');
INSERT INTO `sys_job_log` VALUES (68375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2025-01-02 17:30:40');
INSERT INTO `sys_job_log` VALUES (68376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:30:41');
INSERT INTO `sys_job_log` VALUES (68377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:30:45');
INSERT INTO `sys_job_log` VALUES (68378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:30:45');
INSERT INTO `sys_job_log` VALUES (68379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:30:46');
INSERT INTO `sys_job_log` VALUES (68380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:30:46');
INSERT INTO `sys_job_log` VALUES (68381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:30:50');
INSERT INTO `sys_job_log` VALUES (68382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:30:51');
INSERT INTO `sys_job_log` VALUES (68383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:30:55');
INSERT INTO `sys_job_log` VALUES (68384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:30:56');
INSERT INTO `sys_job_log` VALUES (68385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:31:00');
INSERT INTO `sys_job_log` VALUES (68386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:31:00');
INSERT INTO `sys_job_log` VALUES (68387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:01');
INSERT INTO `sys_job_log` VALUES (68388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:01');
INSERT INTO `sys_job_log` VALUES (68389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:31:05');
INSERT INTO `sys_job_log` VALUES (68390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:06');
INSERT INTO `sys_job_log` VALUES (68391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:31:10');
INSERT INTO `sys_job_log` VALUES (68392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:31:11');
INSERT INTO `sys_job_log` VALUES (68393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:31:15');
INSERT INTO `sys_job_log` VALUES (68394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:31:15');
INSERT INTO `sys_job_log` VALUES (68395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:31:16');
INSERT INTO `sys_job_log` VALUES (68396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:31:16');
INSERT INTO `sys_job_log` VALUES (68397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:31:20');
INSERT INTO `sys_job_log` VALUES (68398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:21');
INSERT INTO `sys_job_log` VALUES (68399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:31:25');
INSERT INTO `sys_job_log` VALUES (68400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:31:26');
INSERT INTO `sys_job_log` VALUES (68401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:31:30');
INSERT INTO `sys_job_log` VALUES (68402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:31:30');
INSERT INTO `sys_job_log` VALUES (68403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:31:31');
INSERT INTO `sys_job_log` VALUES (68404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:31:31');
INSERT INTO `sys_job_log` VALUES (68405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:31:35');
INSERT INTO `sys_job_log` VALUES (68406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:36');
INSERT INTO `sys_job_log` VALUES (68407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:31:40');
INSERT INTO `sys_job_log` VALUES (68408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:31:41');
INSERT INTO `sys_job_log` VALUES (68409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:31:45');
INSERT INTO `sys_job_log` VALUES (68410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:31:45');
INSERT INTO `sys_job_log` VALUES (68411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:46');
INSERT INTO `sys_job_log` VALUES (68412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:31:46');
INSERT INTO `sys_job_log` VALUES (68413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:31:50');
INSERT INTO `sys_job_log` VALUES (68414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:31:51');
INSERT INTO `sys_job_log` VALUES (68415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:31:55');
INSERT INTO `sys_job_log` VALUES (68416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:31:56');
INSERT INTO `sys_job_log` VALUES (68417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2025-01-02 17:32:00');
INSERT INTO `sys_job_log` VALUES (68418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-02 17:32:00');
INSERT INTO `sys_job_log` VALUES (68419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:32:01');
INSERT INTO `sys_job_log` VALUES (68420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:32:01');
INSERT INTO `sys_job_log` VALUES (68421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:32:05');
INSERT INTO `sys_job_log` VALUES (68422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:32:06');
INSERT INTO `sys_job_log` VALUES (68423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:32:10');
INSERT INTO `sys_job_log` VALUES (68424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:32:11');
INSERT INTO `sys_job_log` VALUES (68425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：63毫秒', '0', '', '2025-01-02 17:32:15');
INSERT INTO `sys_job_log` VALUES (68426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：61毫秒', '0', '', '2025-01-02 17:32:15');
INSERT INTO `sys_job_log` VALUES (68427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:32:16');
INSERT INTO `sys_job_log` VALUES (68428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:32:16');
INSERT INTO `sys_job_log` VALUES (68429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:32:20');
INSERT INTO `sys_job_log` VALUES (68430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:32:21');
INSERT INTO `sys_job_log` VALUES (68431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 17:32:25');
INSERT INTO `sys_job_log` VALUES (68432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:32:26');
INSERT INTO `sys_job_log` VALUES (68433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:32:30');
INSERT INTO `sys_job_log` VALUES (68434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:32:30');
INSERT INTO `sys_job_log` VALUES (68435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:32:31');
INSERT INTO `sys_job_log` VALUES (68436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:32:31');
INSERT INTO `sys_job_log` VALUES (68437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:32:35');
INSERT INTO `sys_job_log` VALUES (68438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:32:36');
INSERT INTO `sys_job_log` VALUES (68439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:32:40');
INSERT INTO `sys_job_log` VALUES (68440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:32:41');
INSERT INTO `sys_job_log` VALUES (68441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 17:32:45');
INSERT INTO `sys_job_log` VALUES (68442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:32:45');
INSERT INTO `sys_job_log` VALUES (68443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:32:46');
INSERT INTO `sys_job_log` VALUES (68444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:32:46');
INSERT INTO `sys_job_log` VALUES (68445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:32:50');
INSERT INTO `sys_job_log` VALUES (68446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:32:51');
INSERT INTO `sys_job_log` VALUES (68447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:32:55');
INSERT INTO `sys_job_log` VALUES (68448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:32:56');
INSERT INTO `sys_job_log` VALUES (68449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:33:00');
INSERT INTO `sys_job_log` VALUES (68450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:33:00');
INSERT INTO `sys_job_log` VALUES (68451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:33:01');
INSERT INTO `sys_job_log` VALUES (68452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:33:01');
INSERT INTO `sys_job_log` VALUES (68453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 17:33:05');
INSERT INTO `sys_job_log` VALUES (68454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:33:06');
INSERT INTO `sys_job_log` VALUES (68455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:33:10');
INSERT INTO `sys_job_log` VALUES (68456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:33:11');
INSERT INTO `sys_job_log` VALUES (68457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:33:15');
INSERT INTO `sys_job_log` VALUES (68458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:33:15');
INSERT INTO `sys_job_log` VALUES (68459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:33:16');
INSERT INTO `sys_job_log` VALUES (68460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:33:16');
INSERT INTO `sys_job_log` VALUES (68461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 17:33:20');
INSERT INTO `sys_job_log` VALUES (68462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:33:21');
INSERT INTO `sys_job_log` VALUES (68463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:33:25');
INSERT INTO `sys_job_log` VALUES (68464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:33:26');
INSERT INTO `sys_job_log` VALUES (68465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:33:30');
INSERT INTO `sys_job_log` VALUES (68466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:33:30');
INSERT INTO `sys_job_log` VALUES (68467, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:33:31');
INSERT INTO `sys_job_log` VALUES (68468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:33:31');
INSERT INTO `sys_job_log` VALUES (68469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:33:35');
INSERT INTO `sys_job_log` VALUES (68470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:33:36');
INSERT INTO `sys_job_log` VALUES (68471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:33:40');
INSERT INTO `sys_job_log` VALUES (68472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:33:41');
INSERT INTO `sys_job_log` VALUES (68473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:33:45');
INSERT INTO `sys_job_log` VALUES (68474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:33:45');
INSERT INTO `sys_job_log` VALUES (68475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1815毫秒', '0', '', '2025-01-02 17:33:48');
INSERT INTO `sys_job_log` VALUES (68476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1810毫秒', '0', '', '2025-01-02 17:33:48');
INSERT INTO `sys_job_log` VALUES (68477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:33:50');
INSERT INTO `sys_job_log` VALUES (68478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2025-01-02 17:33:51');
INSERT INTO `sys_job_log` VALUES (68479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:33:55');
INSERT INTO `sys_job_log` VALUES (68480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:33:56');
INSERT INTO `sys_job_log` VALUES (68481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:34:00');
INSERT INTO `sys_job_log` VALUES (68482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:34:00');
INSERT INTO `sys_job_log` VALUES (68483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:34:01');
INSERT INTO `sys_job_log` VALUES (68484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:34:01');
INSERT INTO `sys_job_log` VALUES (68485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 17:34:05');
INSERT INTO `sys_job_log` VALUES (68486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:34:06');
INSERT INTO `sys_job_log` VALUES (68487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:34:10');
INSERT INTO `sys_job_log` VALUES (68488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:34:11');
INSERT INTO `sys_job_log` VALUES (68489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 17:34:15');
INSERT INTO `sys_job_log` VALUES (68490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:34:15');
INSERT INTO `sys_job_log` VALUES (68491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:34:16');
INSERT INTO `sys_job_log` VALUES (68492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:34:16');
INSERT INTO `sys_job_log` VALUES (68493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:34:20');
INSERT INTO `sys_job_log` VALUES (68494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:34:21');
INSERT INTO `sys_job_log` VALUES (68495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:34:25');
INSERT INTO `sys_job_log` VALUES (68496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:34:26');
INSERT INTO `sys_job_log` VALUES (68497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:34:30');
INSERT INTO `sys_job_log` VALUES (68498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:34:30');
INSERT INTO `sys_job_log` VALUES (68499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:34:31');
INSERT INTO `sys_job_log` VALUES (68500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:34:31');
INSERT INTO `sys_job_log` VALUES (68501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:34:35');
INSERT INTO `sys_job_log` VALUES (68502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:34:36');
INSERT INTO `sys_job_log` VALUES (68503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:34:40');
INSERT INTO `sys_job_log` VALUES (68504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:34:41');
INSERT INTO `sys_job_log` VALUES (68505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:34:45');
INSERT INTO `sys_job_log` VALUES (68506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:34:45');
INSERT INTO `sys_job_log` VALUES (68507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:34:46');
INSERT INTO `sys_job_log` VALUES (68508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:34:46');
INSERT INTO `sys_job_log` VALUES (68509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:34:50');
INSERT INTO `sys_job_log` VALUES (68510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:34:51');
INSERT INTO `sys_job_log` VALUES (68511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:34:55');
INSERT INTO `sys_job_log` VALUES (68512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:34:56');
INSERT INTO `sys_job_log` VALUES (68513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:35:00');
INSERT INTO `sys_job_log` VALUES (68514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:35:00');
INSERT INTO `sys_job_log` VALUES (68515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:01');
INSERT INTO `sys_job_log` VALUES (68516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:35:01');
INSERT INTO `sys_job_log` VALUES (68517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:35:05');
INSERT INTO `sys_job_log` VALUES (68518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:35:06');
INSERT INTO `sys_job_log` VALUES (68519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:35:10');
INSERT INTO `sys_job_log` VALUES (68520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:11');
INSERT INTO `sys_job_log` VALUES (68521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:15');
INSERT INTO `sys_job_log` VALUES (68522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:35:15');
INSERT INTO `sys_job_log` VALUES (68523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:16');
INSERT INTO `sys_job_log` VALUES (68524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:16');
INSERT INTO `sys_job_log` VALUES (68525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:35:20');
INSERT INTO `sys_job_log` VALUES (68526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:35:21');
INSERT INTO `sys_job_log` VALUES (68527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 17:35:25');
INSERT INTO `sys_job_log` VALUES (68528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:26');
INSERT INTO `sys_job_log` VALUES (68529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:35:30');
INSERT INTO `sys_job_log` VALUES (68530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:35:30');
INSERT INTO `sys_job_log` VALUES (68531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:31');
INSERT INTO `sys_job_log` VALUES (68532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:31');
INSERT INTO `sys_job_log` VALUES (68533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:35:35');
INSERT INTO `sys_job_log` VALUES (68534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:35:36');
INSERT INTO `sys_job_log` VALUES (68535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:35:40');
INSERT INTO `sys_job_log` VALUES (68536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:35:41');
INSERT INTO `sys_job_log` VALUES (68537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:35:45');
INSERT INTO `sys_job_log` VALUES (68538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:35:45');
INSERT INTO `sys_job_log` VALUES (68539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 17:35:46');
INSERT INTO `sys_job_log` VALUES (68540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:35:46');
INSERT INTO `sys_job_log` VALUES (68541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:35:50');
INSERT INTO `sys_job_log` VALUES (68542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:35:51');
INSERT INTO `sys_job_log` VALUES (68543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:35:55');
INSERT INTO `sys_job_log` VALUES (68544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:35:56');
INSERT INTO `sys_job_log` VALUES (68545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:36:00');
INSERT INTO `sys_job_log` VALUES (68546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:36:00');
INSERT INTO `sys_job_log` VALUES (68547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-02 17:36:01');
INSERT INTO `sys_job_log` VALUES (68548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 17:36:01');
INSERT INTO `sys_job_log` VALUES (68549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:36:05');
INSERT INTO `sys_job_log` VALUES (68550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:36:06');
INSERT INTO `sys_job_log` VALUES (68551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:36:10');
INSERT INTO `sys_job_log` VALUES (68552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:36:11');
INSERT INTO `sys_job_log` VALUES (68553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:36:15');
INSERT INTO `sys_job_log` VALUES (68554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:36:15');
INSERT INTO `sys_job_log` VALUES (68555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:36:16');
INSERT INTO `sys_job_log` VALUES (68556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:36:16');
INSERT INTO `sys_job_log` VALUES (68557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:36:20');
INSERT INTO `sys_job_log` VALUES (68558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:36:21');
INSERT INTO `sys_job_log` VALUES (68559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:36:25');
INSERT INTO `sys_job_log` VALUES (68560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:36:26');
INSERT INTO `sys_job_log` VALUES (68561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:36:30');
INSERT INTO `sys_job_log` VALUES (68562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:36:30');
INSERT INTO `sys_job_log` VALUES (68563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:36:31');
INSERT INTO `sys_job_log` VALUES (68564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:36:31');
INSERT INTO `sys_job_log` VALUES (68565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:36:35');
INSERT INTO `sys_job_log` VALUES (68566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:36:36');
INSERT INTO `sys_job_log` VALUES (68567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:36:40');
INSERT INTO `sys_job_log` VALUES (68568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:36:41');
INSERT INTO `sys_job_log` VALUES (68569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:36:45');
INSERT INTO `sys_job_log` VALUES (68570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:36:45');
INSERT INTO `sys_job_log` VALUES (68571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:36:46');
INSERT INTO `sys_job_log` VALUES (68572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:36:46');
INSERT INTO `sys_job_log` VALUES (68573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:36:50');
INSERT INTO `sys_job_log` VALUES (68574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-02 17:36:51');
INSERT INTO `sys_job_log` VALUES (68575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:36:55');
INSERT INTO `sys_job_log` VALUES (68576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:36:56');
INSERT INTO `sys_job_log` VALUES (68577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:37:00');
INSERT INTO `sys_job_log` VALUES (68578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:37:00');
INSERT INTO `sys_job_log` VALUES (68579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:37:01');
INSERT INTO `sys_job_log` VALUES (68580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:37:01');
INSERT INTO `sys_job_log` VALUES (68581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:37:05');
INSERT INTO `sys_job_log` VALUES (68582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:37:06');
INSERT INTO `sys_job_log` VALUES (68583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:37:10');
INSERT INTO `sys_job_log` VALUES (68584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:37:11');
INSERT INTO `sys_job_log` VALUES (68585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:37:15');
INSERT INTO `sys_job_log` VALUES (68586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:37:15');
INSERT INTO `sys_job_log` VALUES (68587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:37:16');
INSERT INTO `sys_job_log` VALUES (68588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:37:16');
INSERT INTO `sys_job_log` VALUES (68589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:37:20');
INSERT INTO `sys_job_log` VALUES (68590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:37:21');
INSERT INTO `sys_job_log` VALUES (68591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:37:25');
INSERT INTO `sys_job_log` VALUES (68592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:37:26');
INSERT INTO `sys_job_log` VALUES (68593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:37:30');
INSERT INTO `sys_job_log` VALUES (68594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:37:30');
INSERT INTO `sys_job_log` VALUES (68595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:37:31');
INSERT INTO `sys_job_log` VALUES (68596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:37:31');
INSERT INTO `sys_job_log` VALUES (68597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:37:35');
INSERT INTO `sys_job_log` VALUES (68598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:37:36');
INSERT INTO `sys_job_log` VALUES (68599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:37:40');
INSERT INTO `sys_job_log` VALUES (68600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:37:41');
INSERT INTO `sys_job_log` VALUES (68601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:37:45');
INSERT INTO `sys_job_log` VALUES (68602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:37:45');
INSERT INTO `sys_job_log` VALUES (68603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:37:46');
INSERT INTO `sys_job_log` VALUES (68604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:37:46');
INSERT INTO `sys_job_log` VALUES (68605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:37:50');
INSERT INTO `sys_job_log` VALUES (68606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:37:51');
INSERT INTO `sys_job_log` VALUES (68607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:37:55');
INSERT INTO `sys_job_log` VALUES (68608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:37:56');
INSERT INTO `sys_job_log` VALUES (68609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:38:00');
INSERT INTO `sys_job_log` VALUES (68610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:38:00');
INSERT INTO `sys_job_log` VALUES (68611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:38:01');
INSERT INTO `sys_job_log` VALUES (68612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:38:01');
INSERT INTO `sys_job_log` VALUES (68613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:38:05');
INSERT INTO `sys_job_log` VALUES (68614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:38:06');
INSERT INTO `sys_job_log` VALUES (68615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:38:10');
INSERT INTO `sys_job_log` VALUES (68616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:38:11');
INSERT INTO `sys_job_log` VALUES (68617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:38:15');
INSERT INTO `sys_job_log` VALUES (68618, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:38:15');
INSERT INTO `sys_job_log` VALUES (68619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 17:38:16');
INSERT INTO `sys_job_log` VALUES (68620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:38:16');
INSERT INTO `sys_job_log` VALUES (68621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:38:20');
INSERT INTO `sys_job_log` VALUES (68622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:38:21');
INSERT INTO `sys_job_log` VALUES (68623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:38:25');
INSERT INTO `sys_job_log` VALUES (68624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:38:26');
INSERT INTO `sys_job_log` VALUES (68625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:38:30');
INSERT INTO `sys_job_log` VALUES (68626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:38:30');
INSERT INTO `sys_job_log` VALUES (68627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:38:31');
INSERT INTO `sys_job_log` VALUES (68628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:38:31');
INSERT INTO `sys_job_log` VALUES (68629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:38:35');
INSERT INTO `sys_job_log` VALUES (68630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:38:36');
INSERT INTO `sys_job_log` VALUES (68631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:38:40');
INSERT INTO `sys_job_log` VALUES (68632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:38:41');
INSERT INTO `sys_job_log` VALUES (68633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:38:45');
INSERT INTO `sys_job_log` VALUES (68634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 17:38:45');
INSERT INTO `sys_job_log` VALUES (68635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 17:38:46');
INSERT INTO `sys_job_log` VALUES (68636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:38:46');
INSERT INTO `sys_job_log` VALUES (68637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:38:50');
INSERT INTO `sys_job_log` VALUES (68638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:38:51');
INSERT INTO `sys_job_log` VALUES (68639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:38:55');
INSERT INTO `sys_job_log` VALUES (68640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:38:56');
INSERT INTO `sys_job_log` VALUES (68641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:39:00');
INSERT INTO `sys_job_log` VALUES (68642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:39:00');
INSERT INTO `sys_job_log` VALUES (68643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:39:01');
INSERT INTO `sys_job_log` VALUES (68644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:39:01');
INSERT INTO `sys_job_log` VALUES (68645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:39:05');
INSERT INTO `sys_job_log` VALUES (68646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:39:06');
INSERT INTO `sys_job_log` VALUES (68647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:39:10');
INSERT INTO `sys_job_log` VALUES (68648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:39:11');
INSERT INTO `sys_job_log` VALUES (68649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:39:15');
INSERT INTO `sys_job_log` VALUES (68650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:39:15');
INSERT INTO `sys_job_log` VALUES (68651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:16');
INSERT INTO `sys_job_log` VALUES (68652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:39:16');
INSERT INTO `sys_job_log` VALUES (68653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:39:20');
INSERT INTO `sys_job_log` VALUES (68654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:39:21');
INSERT INTO `sys_job_log` VALUES (68655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:39:25');
INSERT INTO `sys_job_log` VALUES (68656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:39:26');
INSERT INTO `sys_job_log` VALUES (68657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:30');
INSERT INTO `sys_job_log` VALUES (68658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:30');
INSERT INTO `sys_job_log` VALUES (68659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:39:31');
INSERT INTO `sys_job_log` VALUES (68660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:39:31');
INSERT INTO `sys_job_log` VALUES (68661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:39:35');
INSERT INTO `sys_job_log` VALUES (68662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:39:36');
INSERT INTO `sys_job_log` VALUES (68663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:40');
INSERT INTO `sys_job_log` VALUES (68664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:39:41');
INSERT INTO `sys_job_log` VALUES (68665, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:45');
INSERT INTO `sys_job_log` VALUES (68666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:45');
INSERT INTO `sys_job_log` VALUES (68667, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:39:46');
INSERT INTO `sys_job_log` VALUES (68668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:39:46');
INSERT INTO `sys_job_log` VALUES (68669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:39:50');
INSERT INTO `sys_job_log` VALUES (68670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:39:51');
INSERT INTO `sys_job_log` VALUES (68671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:39:55');
INSERT INTO `sys_job_log` VALUES (68672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:39:56');
INSERT INTO `sys_job_log` VALUES (68673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:40:00');
INSERT INTO `sys_job_log` VALUES (68674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:40:00');
INSERT INTO `sys_job_log` VALUES (68675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:40:01');
INSERT INTO `sys_job_log` VALUES (68676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:40:01');
INSERT INTO `sys_job_log` VALUES (68677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:40:05');
INSERT INTO `sys_job_log` VALUES (68678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:40:06');
INSERT INTO `sys_job_log` VALUES (68679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:40:10');
INSERT INTO `sys_job_log` VALUES (68680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:40:11');
INSERT INTO `sys_job_log` VALUES (68681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:40:15');
INSERT INTO `sys_job_log` VALUES (68682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:15');
INSERT INTO `sys_job_log` VALUES (68683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:40:16');
INSERT INTO `sys_job_log` VALUES (68684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:40:16');
INSERT INTO `sys_job_log` VALUES (68685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:20');
INSERT INTO `sys_job_log` VALUES (68686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:40:21');
INSERT INTO `sys_job_log` VALUES (68687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：143毫秒', '0', '', '2025-01-02 17:40:25');
INSERT INTO `sys_job_log` VALUES (68688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:40:26');
INSERT INTO `sys_job_log` VALUES (68689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:30');
INSERT INTO `sys_job_log` VALUES (68690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:30');
INSERT INTO `sys_job_log` VALUES (68691, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:40:31');
INSERT INTO `sys_job_log` VALUES (68692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:40:31');
INSERT INTO `sys_job_log` VALUES (68693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:40:35');
INSERT INTO `sys_job_log` VALUES (68694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:40:36');
INSERT INTO `sys_job_log` VALUES (68695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:40');
INSERT INTO `sys_job_log` VALUES (68696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:40:41');
INSERT INTO `sys_job_log` VALUES (68697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:40:45');
INSERT INTO `sys_job_log` VALUES (68698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:45');
INSERT INTO `sys_job_log` VALUES (68699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:40:46');
INSERT INTO `sys_job_log` VALUES (68700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:40:46');
INSERT INTO `sys_job_log` VALUES (68701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:40:50');
INSERT INTO `sys_job_log` VALUES (68702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:40:51');
INSERT INTO `sys_job_log` VALUES (68703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:40:55');
INSERT INTO `sys_job_log` VALUES (68704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:40:56');
INSERT INTO `sys_job_log` VALUES (68705, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：62毫秒', '0', '', '2025-01-02 17:41:00');
INSERT INTO `sys_job_log` VALUES (68706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 17:41:00');
INSERT INTO `sys_job_log` VALUES (68707, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:01');
INSERT INTO `sys_job_log` VALUES (68708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:01');
INSERT INTO `sys_job_log` VALUES (68709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:41:05');
INSERT INTO `sys_job_log` VALUES (68710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:41:06');
INSERT INTO `sys_job_log` VALUES (68711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:41:10');
INSERT INTO `sys_job_log` VALUES (68712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:41:11');
INSERT INTO `sys_job_log` VALUES (68713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:41:15');
INSERT INTO `sys_job_log` VALUES (68714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:41:15');
INSERT INTO `sys_job_log` VALUES (68715, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 17:41:16');
INSERT INTO `sys_job_log` VALUES (68716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:41:16');
INSERT INTO `sys_job_log` VALUES (68717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:41:20');
INSERT INTO `sys_job_log` VALUES (68718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:21');
INSERT INTO `sys_job_log` VALUES (68719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:41:25');
INSERT INTO `sys_job_log` VALUES (68720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:26');
INSERT INTO `sys_job_log` VALUES (68721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:41:30');
INSERT INTO `sys_job_log` VALUES (68722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:41:30');
INSERT INTO `sys_job_log` VALUES (68723, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 17:41:31');
INSERT INTO `sys_job_log` VALUES (68724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:41:31');
INSERT INTO `sys_job_log` VALUES (68725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:41:35');
INSERT INTO `sys_job_log` VALUES (68726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:41:36');
INSERT INTO `sys_job_log` VALUES (68727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:41:40');
INSERT INTO `sys_job_log` VALUES (68728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:41:41');
INSERT INTO `sys_job_log` VALUES (68729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:41:45');
INSERT INTO `sys_job_log` VALUES (68730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:41:45');
INSERT INTO `sys_job_log` VALUES (68731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:46');
INSERT INTO `sys_job_log` VALUES (68732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:46');
INSERT INTO `sys_job_log` VALUES (68733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 17:41:50');
INSERT INTO `sys_job_log` VALUES (68734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:41:51');
INSERT INTO `sys_job_log` VALUES (68735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:41:55');
INSERT INTO `sys_job_log` VALUES (68736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:41:56');
INSERT INTO `sys_job_log` VALUES (68737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:42:00');
INSERT INTO `sys_job_log` VALUES (68738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:42:00');
INSERT INTO `sys_job_log` VALUES (68739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:42:01');
INSERT INTO `sys_job_log` VALUES (68740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:42:01');
INSERT INTO `sys_job_log` VALUES (68741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:42:05');
INSERT INTO `sys_job_log` VALUES (68742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:42:06');
INSERT INTO `sys_job_log` VALUES (68743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:42:10');
INSERT INTO `sys_job_log` VALUES (68744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:42:11');
INSERT INTO `sys_job_log` VALUES (68745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：102毫秒', '0', '', '2025-01-02 17:42:15');
INSERT INTO `sys_job_log` VALUES (68746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：160毫秒', '0', '', '2025-01-02 17:42:15');
INSERT INTO `sys_job_log` VALUES (68747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:42:16');
INSERT INTO `sys_job_log` VALUES (68748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:42:16');
INSERT INTO `sys_job_log` VALUES (68749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:42:20');
INSERT INTO `sys_job_log` VALUES (68750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:42:21');
INSERT INTO `sys_job_log` VALUES (68751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:42:25');
INSERT INTO `sys_job_log` VALUES (68752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:42:26');
INSERT INTO `sys_job_log` VALUES (68753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:42:30');
INSERT INTO `sys_job_log` VALUES (68754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:42:30');
INSERT INTO `sys_job_log` VALUES (68755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:42:31');
INSERT INTO `sys_job_log` VALUES (68756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:42:31');
INSERT INTO `sys_job_log` VALUES (68757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:42:35');
INSERT INTO `sys_job_log` VALUES (68758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:42:36');
INSERT INTO `sys_job_log` VALUES (68759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:42:40');
INSERT INTO `sys_job_log` VALUES (68760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:42:41');
INSERT INTO `sys_job_log` VALUES (68761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:42:45');
INSERT INTO `sys_job_log` VALUES (68762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:42:45');
INSERT INTO `sys_job_log` VALUES (68763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:42:46');
INSERT INTO `sys_job_log` VALUES (68764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:42:46');
INSERT INTO `sys_job_log` VALUES (68765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:42:50');
INSERT INTO `sys_job_log` VALUES (68766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:42:51');
INSERT INTO `sys_job_log` VALUES (68767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:42:55');
INSERT INTO `sys_job_log` VALUES (68768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:42:56');
INSERT INTO `sys_job_log` VALUES (68769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:43:00');
INSERT INTO `sys_job_log` VALUES (68770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:43:00');
INSERT INTO `sys_job_log` VALUES (68771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:43:01');
INSERT INTO `sys_job_log` VALUES (68772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:43:01');
INSERT INTO `sys_job_log` VALUES (68773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:43:05');
INSERT INTO `sys_job_log` VALUES (68774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:43:06');
INSERT INTO `sys_job_log` VALUES (68775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:43:10');
INSERT INTO `sys_job_log` VALUES (68776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:43:11');
INSERT INTO `sys_job_log` VALUES (68777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:43:15');
INSERT INTO `sys_job_log` VALUES (68778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:43:15');
INSERT INTO `sys_job_log` VALUES (68779, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:43:16');
INSERT INTO `sys_job_log` VALUES (68780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:43:16');
INSERT INTO `sys_job_log` VALUES (68781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:43:20');
INSERT INTO `sys_job_log` VALUES (68782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:43:21');
INSERT INTO `sys_job_log` VALUES (68783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:43:25');
INSERT INTO `sys_job_log` VALUES (68784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:43:26');
INSERT INTO `sys_job_log` VALUES (68785, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:43:30');
INSERT INTO `sys_job_log` VALUES (68786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:43:30');
INSERT INTO `sys_job_log` VALUES (68787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 17:43:31');
INSERT INTO `sys_job_log` VALUES (68788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:43:31');
INSERT INTO `sys_job_log` VALUES (68789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:43:35');
INSERT INTO `sys_job_log` VALUES (68790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 17:43:36');
INSERT INTO `sys_job_log` VALUES (68791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:43:40');
INSERT INTO `sys_job_log` VALUES (68792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:43:41');
INSERT INTO `sys_job_log` VALUES (68793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:43:45');
INSERT INTO `sys_job_log` VALUES (68794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:43:45');
INSERT INTO `sys_job_log` VALUES (68795, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:43:46');
INSERT INTO `sys_job_log` VALUES (68796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:43:46');
INSERT INTO `sys_job_log` VALUES (68797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:43:50');
INSERT INTO `sys_job_log` VALUES (68798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2025-01-02 17:43:51');
INSERT INTO `sys_job_log` VALUES (68799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:43:55');
INSERT INTO `sys_job_log` VALUES (68800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:43:56');
INSERT INTO `sys_job_log` VALUES (68801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:44:00');
INSERT INTO `sys_job_log` VALUES (68802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:44:00');
INSERT INTO `sys_job_log` VALUES (68803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:44:01');
INSERT INTO `sys_job_log` VALUES (68804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:44:01');
INSERT INTO `sys_job_log` VALUES (68805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:44:05');
INSERT INTO `sys_job_log` VALUES (68806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:44:06');
INSERT INTO `sys_job_log` VALUES (68807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:44:10');
INSERT INTO `sys_job_log` VALUES (68808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2025-01-02 17:44:11');
INSERT INTO `sys_job_log` VALUES (68809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:44:15');
INSERT INTO `sys_job_log` VALUES (68810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:44:15');
INSERT INTO `sys_job_log` VALUES (68811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:44:16');
INSERT INTO `sys_job_log` VALUES (68812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:44:16');
INSERT INTO `sys_job_log` VALUES (68813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:44:20');
INSERT INTO `sys_job_log` VALUES (68814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:44:21');
INSERT INTO `sys_job_log` VALUES (68815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:44:25');
INSERT INTO `sys_job_log` VALUES (68816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:44:26');
INSERT INTO `sys_job_log` VALUES (68817, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:44:30');
INSERT INTO `sys_job_log` VALUES (68818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:44:30');
INSERT INTO `sys_job_log` VALUES (68819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:44:31');
INSERT INTO `sys_job_log` VALUES (68820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:44:31');
INSERT INTO `sys_job_log` VALUES (68821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:44:35');
INSERT INTO `sys_job_log` VALUES (68822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:44:36');
INSERT INTO `sys_job_log` VALUES (68823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:44:40');
INSERT INTO `sys_job_log` VALUES (68824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:44:41');
INSERT INTO `sys_job_log` VALUES (68825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:44:45');
INSERT INTO `sys_job_log` VALUES (68826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:44:45');
INSERT INTO `sys_job_log` VALUES (68827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 17:44:46');
INSERT INTO `sys_job_log` VALUES (68828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:44:46');
INSERT INTO `sys_job_log` VALUES (68829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 17:44:50');
INSERT INTO `sys_job_log` VALUES (68830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:44:51');
INSERT INTO `sys_job_log` VALUES (68831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:44:55');
INSERT INTO `sys_job_log` VALUES (68832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:44:56');
INSERT INTO `sys_job_log` VALUES (68833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:45:00');
INSERT INTO `sys_job_log` VALUES (68834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:45:00');
INSERT INTO `sys_job_log` VALUES (68835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 17:45:01');
INSERT INTO `sys_job_log` VALUES (68836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:45:01');
INSERT INTO `sys_job_log` VALUES (68837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:45:05');
INSERT INTO `sys_job_log` VALUES (68838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:45:06');
INSERT INTO `sys_job_log` VALUES (68839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:45:10');
INSERT INTO `sys_job_log` VALUES (68840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:45:11');
INSERT INTO `sys_job_log` VALUES (68841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：138毫秒', '0', '', '2025-01-02 17:45:15');
INSERT INTO `sys_job_log` VALUES (68842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：148毫秒', '0', '', '2025-01-02 17:45:15');
INSERT INTO `sys_job_log` VALUES (68843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:45:16');
INSERT INTO `sys_job_log` VALUES (68844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:45:16');
INSERT INTO `sys_job_log` VALUES (68845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-02 17:45:20');
INSERT INTO `sys_job_log` VALUES (68846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:45:21');
INSERT INTO `sys_job_log` VALUES (68847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:45:25');
INSERT INTO `sys_job_log` VALUES (68848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:45:26');
INSERT INTO `sys_job_log` VALUES (68849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：80毫秒', '0', '', '2025-01-02 17:45:30');
INSERT INTO `sys_job_log` VALUES (68850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：80毫秒', '0', '', '2025-01-02 17:45:30');
INSERT INTO `sys_job_log` VALUES (68851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:45:31');
INSERT INTO `sys_job_log` VALUES (68852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:45:31');
INSERT INTO `sys_job_log` VALUES (68853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:45:35');
INSERT INTO `sys_job_log` VALUES (68854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:45:36');
INSERT INTO `sys_job_log` VALUES (68855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:45:40');
INSERT INTO `sys_job_log` VALUES (68856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:45:41');
INSERT INTO `sys_job_log` VALUES (68857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:45:45');
INSERT INTO `sys_job_log` VALUES (68858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:45:45');
INSERT INTO `sys_job_log` VALUES (68859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:45:46');
INSERT INTO `sys_job_log` VALUES (68860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:45:46');
INSERT INTO `sys_job_log` VALUES (68861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:45:50');
INSERT INTO `sys_job_log` VALUES (68862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:45:51');
INSERT INTO `sys_job_log` VALUES (68863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:45:55');
INSERT INTO `sys_job_log` VALUES (68864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:45:56');
INSERT INTO `sys_job_log` VALUES (68865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：458毫秒', '0', '', '2025-01-02 17:46:00');
INSERT INTO `sys_job_log` VALUES (68866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：597毫秒', '0', '', '2025-01-02 17:46:00');
INSERT INTO `sys_job_log` VALUES (68867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 17:46:01');
INSERT INTO `sys_job_log` VALUES (68868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 17:46:01');
INSERT INTO `sys_job_log` VALUES (68869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:46:05');
INSERT INTO `sys_job_log` VALUES (68870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:46:06');
INSERT INTO `sys_job_log` VALUES (68871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:46:10');
INSERT INTO `sys_job_log` VALUES (68872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:46:11');
INSERT INTO `sys_job_log` VALUES (68873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:46:15');
INSERT INTO `sys_job_log` VALUES (68874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 17:46:15');
INSERT INTO `sys_job_log` VALUES (68875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:46:16');
INSERT INTO `sys_job_log` VALUES (68876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:46:16');
INSERT INTO `sys_job_log` VALUES (68877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:46:20');
INSERT INTO `sys_job_log` VALUES (68878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:46:21');
INSERT INTO `sys_job_log` VALUES (68879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:46:25');
INSERT INTO `sys_job_log` VALUES (68880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:46:26');
INSERT INTO `sys_job_log` VALUES (68881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:46:30');
INSERT INTO `sys_job_log` VALUES (68882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:46:30');
INSERT INTO `sys_job_log` VALUES (68883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:46:31');
INSERT INTO `sys_job_log` VALUES (68884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:46:31');
INSERT INTO `sys_job_log` VALUES (68885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:46:35');
INSERT INTO `sys_job_log` VALUES (68886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:46:36');
INSERT INTO `sys_job_log` VALUES (68887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:46:40');
INSERT INTO `sys_job_log` VALUES (68888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:46:41');
INSERT INTO `sys_job_log` VALUES (68889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:46:45');
INSERT INTO `sys_job_log` VALUES (68890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:46:45');
INSERT INTO `sys_job_log` VALUES (68891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:46:46');
INSERT INTO `sys_job_log` VALUES (68892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:46:46');
INSERT INTO `sys_job_log` VALUES (68893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:46:50');
INSERT INTO `sys_job_log` VALUES (68894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:46:51');
INSERT INTO `sys_job_log` VALUES (68895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:46:55');
INSERT INTO `sys_job_log` VALUES (68896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:46:56');
INSERT INTO `sys_job_log` VALUES (68897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:47:00');
INSERT INTO `sys_job_log` VALUES (68898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:47:00');
INSERT INTO `sys_job_log` VALUES (68899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:47:01');
INSERT INTO `sys_job_log` VALUES (68900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:47:01');
INSERT INTO `sys_job_log` VALUES (68901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:05');
INSERT INTO `sys_job_log` VALUES (68902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:47:06');
INSERT INTO `sys_job_log` VALUES (68903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:47:10');
INSERT INTO `sys_job_log` VALUES (68904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:47:11');
INSERT INTO `sys_job_log` VALUES (68905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:15');
INSERT INTO `sys_job_log` VALUES (68906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:15');
INSERT INTO `sys_job_log` VALUES (68907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:47:16');
INSERT INTO `sys_job_log` VALUES (68908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:47:16');
INSERT INTO `sys_job_log` VALUES (68909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:47:20');
INSERT INTO `sys_job_log` VALUES (68910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:47:21');
INSERT INTO `sys_job_log` VALUES (68911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:47:25');
INSERT INTO `sys_job_log` VALUES (68912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:26');
INSERT INTO `sys_job_log` VALUES (68913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:47:30');
INSERT INTO `sys_job_log` VALUES (68914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:47:30');
INSERT INTO `sys_job_log` VALUES (68915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:31');
INSERT INTO `sys_job_log` VALUES (68916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:31');
INSERT INTO `sys_job_log` VALUES (68917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:47:35');
INSERT INTO `sys_job_log` VALUES (68918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:47:36');
INSERT INTO `sys_job_log` VALUES (68919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2025-01-02 17:47:40');
INSERT INTO `sys_job_log` VALUES (68920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:47:41');
INSERT INTO `sys_job_log` VALUES (68921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:47:45');
INSERT INTO `sys_job_log` VALUES (68922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:47:45');
INSERT INTO `sys_job_log` VALUES (68923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:47:46');
INSERT INTO `sys_job_log` VALUES (68924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:47:46');
INSERT INTO `sys_job_log` VALUES (68925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:47:50');
INSERT INTO `sys_job_log` VALUES (68926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:47:51');
INSERT INTO `sys_job_log` VALUES (68927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:47:55');
INSERT INTO `sys_job_log` VALUES (68928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:47:56');
INSERT INTO `sys_job_log` VALUES (68929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:00');
INSERT INTO `sys_job_log` VALUES (68930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:00');
INSERT INTO `sys_job_log` VALUES (68931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:48:01');
INSERT INTO `sys_job_log` VALUES (68932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:48:01');
INSERT INTO `sys_job_log` VALUES (68933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:48:05');
INSERT INTO `sys_job_log` VALUES (68934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:48:06');
INSERT INTO `sys_job_log` VALUES (68935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:10');
INSERT INTO `sys_job_log` VALUES (68936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:48:11');
INSERT INTO `sys_job_log` VALUES (68937, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 17:48:15');
INSERT INTO `sys_job_log` VALUES (68938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:48:15');
INSERT INTO `sys_job_log` VALUES (68939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:48:16');
INSERT INTO `sys_job_log` VALUES (68940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:48:16');
INSERT INTO `sys_job_log` VALUES (68941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:48:20');
INSERT INTO `sys_job_log` VALUES (68942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:21');
INSERT INTO `sys_job_log` VALUES (68943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:48:25');
INSERT INTO `sys_job_log` VALUES (68944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:48:26');
INSERT INTO `sys_job_log` VALUES (68945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:30');
INSERT INTO `sys_job_log` VALUES (68946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:30');
INSERT INTO `sys_job_log` VALUES (68947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:48:31');
INSERT INTO `sys_job_log` VALUES (68948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:48:31');
INSERT INTO `sys_job_log` VALUES (68949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:48:35');
INSERT INTO `sys_job_log` VALUES (68950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:48:36');
INSERT INTO `sys_job_log` VALUES (68951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:48:40');
INSERT INTO `sys_job_log` VALUES (68952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:48:41');
INSERT INTO `sys_job_log` VALUES (68953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:45');
INSERT INTO `sys_job_log` VALUES (68954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:48:45');
INSERT INTO `sys_job_log` VALUES (68955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:48:46');
INSERT INTO `sys_job_log` VALUES (68956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:48:46');
INSERT INTO `sys_job_log` VALUES (68957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:48:50');
INSERT INTO `sys_job_log` VALUES (68958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:48:51');
INSERT INTO `sys_job_log` VALUES (68959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:48:55');
INSERT INTO `sys_job_log` VALUES (68960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:48:56');
INSERT INTO `sys_job_log` VALUES (68961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:49:00');
INSERT INTO `sys_job_log` VALUES (68962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:49:00');
INSERT INTO `sys_job_log` VALUES (68963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:49:01');
INSERT INTO `sys_job_log` VALUES (68964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:49:01');
INSERT INTO `sys_job_log` VALUES (68965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:49:05');
INSERT INTO `sys_job_log` VALUES (68966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:49:06');
INSERT INTO `sys_job_log` VALUES (68967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:49:10');
INSERT INTO `sys_job_log` VALUES (68968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:49:11');
INSERT INTO `sys_job_log` VALUES (68969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:49:15');
INSERT INTO `sys_job_log` VALUES (68970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:49:15');
INSERT INTO `sys_job_log` VALUES (68971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:49:16');
INSERT INTO `sys_job_log` VALUES (68972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:49:16');
INSERT INTO `sys_job_log` VALUES (68973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:49:20');
INSERT INTO `sys_job_log` VALUES (68974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:49:21');
INSERT INTO `sys_job_log` VALUES (68975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:49:25');
INSERT INTO `sys_job_log` VALUES (68976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:49:26');
INSERT INTO `sys_job_log` VALUES (68977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:49:30');
INSERT INTO `sys_job_log` VALUES (68978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:49:30');
INSERT INTO `sys_job_log` VALUES (68979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:49:31');
INSERT INTO `sys_job_log` VALUES (68980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:49:31');
INSERT INTO `sys_job_log` VALUES (68981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:49:35');
INSERT INTO `sys_job_log` VALUES (68982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:49:36');
INSERT INTO `sys_job_log` VALUES (68983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:49:40');
INSERT INTO `sys_job_log` VALUES (68984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:49:41');
INSERT INTO `sys_job_log` VALUES (68985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:49:45');
INSERT INTO `sys_job_log` VALUES (68986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:49:45');
INSERT INTO `sys_job_log` VALUES (68987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:49:46');
INSERT INTO `sys_job_log` VALUES (68988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:49:46');
INSERT INTO `sys_job_log` VALUES (68989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:49:50');
INSERT INTO `sys_job_log` VALUES (68990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:49:51');
INSERT INTO `sys_job_log` VALUES (68991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:49:55');
INSERT INTO `sys_job_log` VALUES (68992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:49:56');
INSERT INTO `sys_job_log` VALUES (68993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:50:00');
INSERT INTO `sys_job_log` VALUES (68994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:50:00');
INSERT INTO `sys_job_log` VALUES (68995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:50:01');
INSERT INTO `sys_job_log` VALUES (68996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:50:01');
INSERT INTO `sys_job_log` VALUES (68997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:50:05');
INSERT INTO `sys_job_log` VALUES (68998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:50:06');
INSERT INTO `sys_job_log` VALUES (68999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:50:10');
INSERT INTO `sys_job_log` VALUES (69000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:50:11');
INSERT INTO `sys_job_log` VALUES (69001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:50:15');
INSERT INTO `sys_job_log` VALUES (69002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:50:15');
INSERT INTO `sys_job_log` VALUES (69003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:50:16');
INSERT INTO `sys_job_log` VALUES (69004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:50:16');
INSERT INTO `sys_job_log` VALUES (69005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:50:20');
INSERT INTO `sys_job_log` VALUES (69006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:50:21');
INSERT INTO `sys_job_log` VALUES (69007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:50:25');
INSERT INTO `sys_job_log` VALUES (69008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:50:26');
INSERT INTO `sys_job_log` VALUES (69009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：136毫秒', '0', '', '2025-01-02 17:50:30');
INSERT INTO `sys_job_log` VALUES (69010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：148毫秒', '0', '', '2025-01-02 17:50:30');
INSERT INTO `sys_job_log` VALUES (69011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:50:31');
INSERT INTO `sys_job_log` VALUES (69012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:50:31');
INSERT INTO `sys_job_log` VALUES (69013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:50:35');
INSERT INTO `sys_job_log` VALUES (69014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:50:36');
INSERT INTO `sys_job_log` VALUES (69015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:50:40');
INSERT INTO `sys_job_log` VALUES (69016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:50:41');
INSERT INTO `sys_job_log` VALUES (69017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 17:50:45');
INSERT INTO `sys_job_log` VALUES (69018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：56毫秒', '0', '', '2025-01-02 17:50:45');
INSERT INTO `sys_job_log` VALUES (69019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:50:46');
INSERT INTO `sys_job_log` VALUES (69020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:50:46');
INSERT INTO `sys_job_log` VALUES (69021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:50:50');
INSERT INTO `sys_job_log` VALUES (69022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:50:51');
INSERT INTO `sys_job_log` VALUES (69023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:50:55');
INSERT INTO `sys_job_log` VALUES (69024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:50:56');
INSERT INTO `sys_job_log` VALUES (69025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:00');
INSERT INTO `sys_job_log` VALUES (69026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:00');
INSERT INTO `sys_job_log` VALUES (69027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:01');
INSERT INTO `sys_job_log` VALUES (69028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:01');
INSERT INTO `sys_job_log` VALUES (69029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:05');
INSERT INTO `sys_job_log` VALUES (69030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:51:06');
INSERT INTO `sys_job_log` VALUES (69031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:51:10');
INSERT INTO `sys_job_log` VALUES (69032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:11');
INSERT INTO `sys_job_log` VALUES (69033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：52毫秒', '0', '', '2025-01-02 17:51:15');
INSERT INTO `sys_job_log` VALUES (69034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 17:51:15');
INSERT INTO `sys_job_log` VALUES (69035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:51:16');
INSERT INTO `sys_job_log` VALUES (69036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:51:16');
INSERT INTO `sys_job_log` VALUES (69037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:51:20');
INSERT INTO `sys_job_log` VALUES (69038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:51:21');
INSERT INTO `sys_job_log` VALUES (69039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:51:25');
INSERT INTO `sys_job_log` VALUES (69040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:51:26');
INSERT INTO `sys_job_log` VALUES (69041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:30');
INSERT INTO `sys_job_log` VALUES (69042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:30');
INSERT INTO `sys_job_log` VALUES (69043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:51:31');
INSERT INTO `sys_job_log` VALUES (69044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:51:31');
INSERT INTO `sys_job_log` VALUES (69045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:35');
INSERT INTO `sys_job_log` VALUES (69046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:51:36');
INSERT INTO `sys_job_log` VALUES (69047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:40');
INSERT INTO `sys_job_log` VALUES (69048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:51:41');
INSERT INTO `sys_job_log` VALUES (69049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:45');
INSERT INTO `sys_job_log` VALUES (69050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:51:45');
INSERT INTO `sys_job_log` VALUES (69051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:46');
INSERT INTO `sys_job_log` VALUES (69052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:46');
INSERT INTO `sys_job_log` VALUES (69053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:51:50');
INSERT INTO `sys_job_log` VALUES (69054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:51:51');
INSERT INTO `sys_job_log` VALUES (69055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:51:55');
INSERT INTO `sys_job_log` VALUES (69056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:51:56');
INSERT INTO `sys_job_log` VALUES (69057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 17:52:00');
INSERT INTO `sys_job_log` VALUES (69058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:52:00');
INSERT INTO `sys_job_log` VALUES (69059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:52:01');
INSERT INTO `sys_job_log` VALUES (69060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:52:01');
INSERT INTO `sys_job_log` VALUES (69061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 17:52:05');
INSERT INTO `sys_job_log` VALUES (69062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:52:06');
INSERT INTO `sys_job_log` VALUES (69063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:10');
INSERT INTO `sys_job_log` VALUES (69064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:52:11');
INSERT INTO `sys_job_log` VALUES (69065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:52:15');
INSERT INTO `sys_job_log` VALUES (69066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:52:15');
INSERT INTO `sys_job_log` VALUES (69067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:52:16');
INSERT INTO `sys_job_log` VALUES (69068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:52:16');
INSERT INTO `sys_job_log` VALUES (69069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:52:20');
INSERT INTO `sys_job_log` VALUES (69070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:52:21');
INSERT INTO `sys_job_log` VALUES (69071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:25');
INSERT INTO `sys_job_log` VALUES (69072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:52:26');
INSERT INTO `sys_job_log` VALUES (69073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:52:30');
INSERT INTO `sys_job_log` VALUES (69074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:52:30');
INSERT INTO `sys_job_log` VALUES (69075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-02 17:52:31');
INSERT INTO `sys_job_log` VALUES (69076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：71毫秒', '0', '', '2025-01-02 17:52:31');
INSERT INTO `sys_job_log` VALUES (69077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:35');
INSERT INTO `sys_job_log` VALUES (69078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:52:36');
INSERT INTO `sys_job_log` VALUES (69079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:40');
INSERT INTO `sys_job_log` VALUES (69080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:41');
INSERT INTO `sys_job_log` VALUES (69081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:45');
INSERT INTO `sys_job_log` VALUES (69082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:45');
INSERT INTO `sys_job_log` VALUES (69083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:52:46');
INSERT INTO `sys_job_log` VALUES (69084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:52:46');
INSERT INTO `sys_job_log` VALUES (69085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:52:50');
INSERT INTO `sys_job_log` VALUES (69086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:52:51');
INSERT INTO `sys_job_log` VALUES (69087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:52:55');
INSERT INTO `sys_job_log` VALUES (69088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:52:56');
INSERT INTO `sys_job_log` VALUES (69089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:00');
INSERT INTO `sys_job_log` VALUES (69090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:00');
INSERT INTO `sys_job_log` VALUES (69091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:53:01');
INSERT INTO `sys_job_log` VALUES (69092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:53:01');
INSERT INTO `sys_job_log` VALUES (69093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:53:05');
INSERT INTO `sys_job_log` VALUES (69094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:53:06');
INSERT INTO `sys_job_log` VALUES (69095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:10');
INSERT INTO `sys_job_log` VALUES (69096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:53:11');
INSERT INTO `sys_job_log` VALUES (69097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:15');
INSERT INTO `sys_job_log` VALUES (69098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:15');
INSERT INTO `sys_job_log` VALUES (69099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:53:16');
INSERT INTO `sys_job_log` VALUES (69100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 17:53:16');
INSERT INTO `sys_job_log` VALUES (69101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:53:20');
INSERT INTO `sys_job_log` VALUES (69102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:53:21');
INSERT INTO `sys_job_log` VALUES (69103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:53:25');
INSERT INTO `sys_job_log` VALUES (69104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：57毫秒', '0', '', '2025-01-02 17:53:26');
INSERT INTO `sys_job_log` VALUES (69105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:53:30');
INSERT INTO `sys_job_log` VALUES (69106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:53:30');
INSERT INTO `sys_job_log` VALUES (69107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 17:53:31');
INSERT INTO `sys_job_log` VALUES (69108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 17:53:31');
INSERT INTO `sys_job_log` VALUES (69109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:53:35');
INSERT INTO `sys_job_log` VALUES (69110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:53:36');
INSERT INTO `sys_job_log` VALUES (69111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:53:40');
INSERT INTO `sys_job_log` VALUES (69112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:53:41');
INSERT INTO `sys_job_log` VALUES (69113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:45');
INSERT INTO `sys_job_log` VALUES (69114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:45');
INSERT INTO `sys_job_log` VALUES (69115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:53:46');
INSERT INTO `sys_job_log` VALUES (69116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:53:46');
INSERT INTO `sys_job_log` VALUES (69117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:53:50');
INSERT INTO `sys_job_log` VALUES (69118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:53:51');
INSERT INTO `sys_job_log` VALUES (69119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:53:55');
INSERT INTO `sys_job_log` VALUES (69120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:53:56');
INSERT INTO `sys_job_log` VALUES (69121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:54:00');
INSERT INTO `sys_job_log` VALUES (69122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:54:00');
INSERT INTO `sys_job_log` VALUES (69123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:01');
INSERT INTO `sys_job_log` VALUES (69124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:01');
INSERT INTO `sys_job_log` VALUES (69125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 17:54:05');
INSERT INTO `sys_job_log` VALUES (69126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:06');
INSERT INTO `sys_job_log` VALUES (69127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:54:10');
INSERT INTO `sys_job_log` VALUES (69128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:54:11');
INSERT INTO `sys_job_log` VALUES (69129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:54:15');
INSERT INTO `sys_job_log` VALUES (69130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:54:15');
INSERT INTO `sys_job_log` VALUES (69131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:16');
INSERT INTO `sys_job_log` VALUES (69132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:16');
INSERT INTO `sys_job_log` VALUES (69133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2025-01-02 17:54:20');
INSERT INTO `sys_job_log` VALUES (69134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:21');
INSERT INTO `sys_job_log` VALUES (69135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:54:25');
INSERT INTO `sys_job_log` VALUES (69136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:26');
INSERT INTO `sys_job_log` VALUES (69137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:54:30');
INSERT INTO `sys_job_log` VALUES (69138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:54:30');
INSERT INTO `sys_job_log` VALUES (69139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:54:31');
INSERT INTO `sys_job_log` VALUES (69140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:54:31');
INSERT INTO `sys_job_log` VALUES (69141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：144毫秒', '0', '', '2025-01-02 17:54:35');
INSERT INTO `sys_job_log` VALUES (69142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:54:36');
INSERT INTO `sys_job_log` VALUES (69143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:54:40');
INSERT INTO `sys_job_log` VALUES (69144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:54:41');
INSERT INTO `sys_job_log` VALUES (69145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:54:45');
INSERT INTO `sys_job_log` VALUES (69146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:54:45');
INSERT INTO `sys_job_log` VALUES (69147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:54:46');
INSERT INTO `sys_job_log` VALUES (69148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:54:46');
INSERT INTO `sys_job_log` VALUES (69149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 17:54:50');
INSERT INTO `sys_job_log` VALUES (69150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:54:51');
INSERT INTO `sys_job_log` VALUES (69151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:54:55');
INSERT INTO `sys_job_log` VALUES (69152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:54:56');
INSERT INTO `sys_job_log` VALUES (69153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:55:00');
INSERT INTO `sys_job_log` VALUES (69154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:55:00');
INSERT INTO `sys_job_log` VALUES (69155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 17:55:01');
INSERT INTO `sys_job_log` VALUES (69156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 17:55:01');
INSERT INTO `sys_job_log` VALUES (69157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:05');
INSERT INTO `sys_job_log` VALUES (69158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:55:06');
INSERT INTO `sys_job_log` VALUES (69159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:10');
INSERT INTO `sys_job_log` VALUES (69160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:55:11');
INSERT INTO `sys_job_log` VALUES (69161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:55:15');
INSERT INTO `sys_job_log` VALUES (69162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:55:15');
INSERT INTO `sys_job_log` VALUES (69163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:16');
INSERT INTO `sys_job_log` VALUES (69164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:16');
INSERT INTO `sys_job_log` VALUES (69165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:20');
INSERT INTO `sys_job_log` VALUES (69166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:55:21');
INSERT INTO `sys_job_log` VALUES (69167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:55:25');
INSERT INTO `sys_job_log` VALUES (69168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:55:26');
INSERT INTO `sys_job_log` VALUES (69169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:30');
INSERT INTO `sys_job_log` VALUES (69170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:30');
INSERT INTO `sys_job_log` VALUES (69171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:31');
INSERT INTO `sys_job_log` VALUES (69172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:55:31');
INSERT INTO `sys_job_log` VALUES (69173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:55:35');
INSERT INTO `sys_job_log` VALUES (69174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:55:36');
INSERT INTO `sys_job_log` VALUES (69175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:40');
INSERT INTO `sys_job_log` VALUES (69176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:55:41');
INSERT INTO `sys_job_log` VALUES (69177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:45');
INSERT INTO `sys_job_log` VALUES (69178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:45');
INSERT INTO `sys_job_log` VALUES (69179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-02 17:55:46');
INSERT INTO `sys_job_log` VALUES (69180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：83毫秒', '0', '', '2025-01-02 17:55:46');
INSERT INTO `sys_job_log` VALUES (69181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:50');
INSERT INTO `sys_job_log` VALUES (69182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：98毫秒', '0', '', '2025-01-02 17:55:51');
INSERT INTO `sys_job_log` VALUES (69183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:55:55');
INSERT INTO `sys_job_log` VALUES (69184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:55:56');
INSERT INTO `sys_job_log` VALUES (69185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:56:00');
INSERT INTO `sys_job_log` VALUES (69186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:56:00');
INSERT INTO `sys_job_log` VALUES (69187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 17:56:01');
INSERT INTO `sys_job_log` VALUES (69188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:56:01');
INSERT INTO `sys_job_log` VALUES (69189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:56:05');
INSERT INTO `sys_job_log` VALUES (69190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:56:06');
INSERT INTO `sys_job_log` VALUES (69191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 17:56:10');
INSERT INTO `sys_job_log` VALUES (69192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:11');
INSERT INTO `sys_job_log` VALUES (69193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:56:15');
INSERT INTO `sys_job_log` VALUES (69194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:56:15');
INSERT INTO `sys_job_log` VALUES (69195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 17:56:16');
INSERT INTO `sys_job_log` VALUES (69196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 17:56:16');
INSERT INTO `sys_job_log` VALUES (69197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:56:20');
INSERT INTO `sys_job_log` VALUES (69198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:56:21');
INSERT INTO `sys_job_log` VALUES (69199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:56:25');
INSERT INTO `sys_job_log` VALUES (69200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:26');
INSERT INTO `sys_job_log` VALUES (69201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:56:30');
INSERT INTO `sys_job_log` VALUES (69202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:56:30');
INSERT INTO `sys_job_log` VALUES (69203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:31');
INSERT INTO `sys_job_log` VALUES (69204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:31');
INSERT INTO `sys_job_log` VALUES (69205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:56:35');
INSERT INTO `sys_job_log` VALUES (69206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:36');
INSERT INTO `sys_job_log` VALUES (69207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:56:40');
INSERT INTO `sys_job_log` VALUES (69208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:56:41');
INSERT INTO `sys_job_log` VALUES (69209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:56:45');
INSERT INTO `sys_job_log` VALUES (69210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:56:45');
INSERT INTO `sys_job_log` VALUES (69211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:46');
INSERT INTO `sys_job_log` VALUES (69212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:56:46');
INSERT INTO `sys_job_log` VALUES (69213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 17:56:50');
INSERT INTO `sys_job_log` VALUES (69214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：128毫秒', '0', '', '2025-01-02 17:56:51');
INSERT INTO `sys_job_log` VALUES (69215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:56:55');
INSERT INTO `sys_job_log` VALUES (69216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 17:56:56');
INSERT INTO `sys_job_log` VALUES (69217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:57:00');
INSERT INTO `sys_job_log` VALUES (69218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:57:00');
INSERT INTO `sys_job_log` VALUES (69219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:57:01');
INSERT INTO `sys_job_log` VALUES (69220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:57:01');
INSERT INTO `sys_job_log` VALUES (69221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 17:57:05');
INSERT INTO `sys_job_log` VALUES (69222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:57:06');
INSERT INTO `sys_job_log` VALUES (69223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:57:10');
INSERT INTO `sys_job_log` VALUES (69224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:57:11');
INSERT INTO `sys_job_log` VALUES (69225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:57:15');
INSERT INTO `sys_job_log` VALUES (69226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:57:15');
INSERT INTO `sys_job_log` VALUES (69227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:57:16');
INSERT INTO `sys_job_log` VALUES (69228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:57:16');
INSERT INTO `sys_job_log` VALUES (69229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:57:20');
INSERT INTO `sys_job_log` VALUES (69230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:57:21');
INSERT INTO `sys_job_log` VALUES (69231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:57:25');
INSERT INTO `sys_job_log` VALUES (69232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:57:26');
INSERT INTO `sys_job_log` VALUES (69233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:57:30');
INSERT INTO `sys_job_log` VALUES (69234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:57:30');
INSERT INTO `sys_job_log` VALUES (69235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 17:57:31');
INSERT INTO `sys_job_log` VALUES (69236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:57:31');
INSERT INTO `sys_job_log` VALUES (69237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:57:35');
INSERT INTO `sys_job_log` VALUES (69238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:57:36');
INSERT INTO `sys_job_log` VALUES (69239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:57:40');
INSERT INTO `sys_job_log` VALUES (69240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:57:41');
INSERT INTO `sys_job_log` VALUES (69241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:57:45');
INSERT INTO `sys_job_log` VALUES (69242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:57:45');
INSERT INTO `sys_job_log` VALUES (69243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 17:57:46');
INSERT INTO `sys_job_log` VALUES (69244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 17:57:46');
INSERT INTO `sys_job_log` VALUES (69245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：102毫秒', '0', '', '2025-01-02 17:57:50');
INSERT INTO `sys_job_log` VALUES (69246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:57:51');
INSERT INTO `sys_job_log` VALUES (69247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:57:55');
INSERT INTO `sys_job_log` VALUES (69248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:57:56');
INSERT INTO `sys_job_log` VALUES (69249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：96毫秒', '0', '', '2025-01-02 17:58:00');
INSERT INTO `sys_job_log` VALUES (69250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：97毫秒', '0', '', '2025-01-02 17:58:00');
INSERT INTO `sys_job_log` VALUES (69251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:58:01');
INSERT INTO `sys_job_log` VALUES (69252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 17:58:01');
INSERT INTO `sys_job_log` VALUES (69253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:58:05');
INSERT INTO `sys_job_log` VALUES (69254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:58:06');
INSERT INTO `sys_job_log` VALUES (69255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:58:10');
INSERT INTO `sys_job_log` VALUES (69256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:58:11');
INSERT INTO `sys_job_log` VALUES (69257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 17:58:15');
INSERT INTO `sys_job_log` VALUES (69258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:58:15');
INSERT INTO `sys_job_log` VALUES (69259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:58:16');
INSERT INTO `sys_job_log` VALUES (69260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:58:16');
INSERT INTO `sys_job_log` VALUES (69261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:58:20');
INSERT INTO `sys_job_log` VALUES (69262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:58:21');
INSERT INTO `sys_job_log` VALUES (69263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:58:25');
INSERT INTO `sys_job_log` VALUES (69264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:58:26');
INSERT INTO `sys_job_log` VALUES (69265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:58:30');
INSERT INTO `sys_job_log` VALUES (69266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 17:58:30');
INSERT INTO `sys_job_log` VALUES (69267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 17:58:31');
INSERT INTO `sys_job_log` VALUES (69268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:58:31');
INSERT INTO `sys_job_log` VALUES (69269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:58:35');
INSERT INTO `sys_job_log` VALUES (69270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:58:36');
INSERT INTO `sys_job_log` VALUES (69271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:58:40');
INSERT INTO `sys_job_log` VALUES (69272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 17:58:41');
INSERT INTO `sys_job_log` VALUES (69273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:58:45');
INSERT INTO `sys_job_log` VALUES (69274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 17:58:45');
INSERT INTO `sys_job_log` VALUES (69275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 17:58:46');
INSERT INTO `sys_job_log` VALUES (69276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:58:46');
INSERT INTO `sys_job_log` VALUES (69277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:58:50');
INSERT INTO `sys_job_log` VALUES (69278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:58:51');
INSERT INTO `sys_job_log` VALUES (69279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:58:55');
INSERT INTO `sys_job_log` VALUES (69280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:58:56');
INSERT INTO `sys_job_log` VALUES (69281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:59:00');
INSERT INTO `sys_job_log` VALUES (69282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:59:00');
INSERT INTO `sys_job_log` VALUES (69283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:59:01');
INSERT INTO `sys_job_log` VALUES (69284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:59:01');
INSERT INTO `sys_job_log` VALUES (69285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:05');
INSERT INTO `sys_job_log` VALUES (69286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:59:06');
INSERT INTO `sys_job_log` VALUES (69287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:59:10');
INSERT INTO `sys_job_log` VALUES (69288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:59:11');
INSERT INTO `sys_job_log` VALUES (69289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:15');
INSERT INTO `sys_job_log` VALUES (69290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:15');
INSERT INTO `sys_job_log` VALUES (69291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 17:59:16');
INSERT INTO `sys_job_log` VALUES (69292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:59:16');
INSERT INTO `sys_job_log` VALUES (69293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 17:59:20');
INSERT INTO `sys_job_log` VALUES (69294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:59:21');
INSERT INTO `sys_job_log` VALUES (69295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:25');
INSERT INTO `sys_job_log` VALUES (69296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:59:26');
INSERT INTO `sys_job_log` VALUES (69297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:30');
INSERT INTO `sys_job_log` VALUES (69298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:30');
INSERT INTO `sys_job_log` VALUES (69299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 17:59:31');
INSERT INTO `sys_job_log` VALUES (69300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 17:59:31');
INSERT INTO `sys_job_log` VALUES (69301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 17:59:35');
INSERT INTO `sys_job_log` VALUES (69302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 17:59:36');
INSERT INTO `sys_job_log` VALUES (69303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:59:40');
INSERT INTO `sys_job_log` VALUES (69304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 17:59:41');
INSERT INTO `sys_job_log` VALUES (69305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:45');
INSERT INTO `sys_job_log` VALUES (69306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 17:59:45');
INSERT INTO `sys_job_log` VALUES (69307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 17:59:46');
INSERT INTO `sys_job_log` VALUES (69308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 17:59:46');
INSERT INTO `sys_job_log` VALUES (69309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 17:59:50');
INSERT INTO `sys_job_log` VALUES (69310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 17:59:51');
INSERT INTO `sys_job_log` VALUES (69311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 17:59:55');
INSERT INTO `sys_job_log` VALUES (69312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 17:59:56');
INSERT INTO `sys_job_log` VALUES (69313, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:00');
INSERT INTO `sys_job_log` VALUES (69314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:00:00');
INSERT INTO `sys_job_log` VALUES (69315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:01');
INSERT INTO `sys_job_log` VALUES (69316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:01');
INSERT INTO `sys_job_log` VALUES (69317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:00:05');
INSERT INTO `sys_job_log` VALUES (69318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:00:06');
INSERT INTO `sys_job_log` VALUES (69319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:00:10');
INSERT INTO `sys_job_log` VALUES (69320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:00:11');
INSERT INTO `sys_job_log` VALUES (69321, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:00:15');
INSERT INTO `sys_job_log` VALUES (69322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:00:15');
INSERT INTO `sys_job_log` VALUES (69323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:00:16');
INSERT INTO `sys_job_log` VALUES (69324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:00:16');
INSERT INTO `sys_job_log` VALUES (69325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:00:20');
INSERT INTO `sys_job_log` VALUES (69326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:21');
INSERT INTO `sys_job_log` VALUES (69327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:00:25');
INSERT INTO `sys_job_log` VALUES (69328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:00:26');
INSERT INTO `sys_job_log` VALUES (69329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 18:00:30');
INSERT INTO `sys_job_log` VALUES (69330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:00:30');
INSERT INTO `sys_job_log` VALUES (69331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:31');
INSERT INTO `sys_job_log` VALUES (69332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:31');
INSERT INTO `sys_job_log` VALUES (69333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:00:35');
INSERT INTO `sys_job_log` VALUES (69334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:00:36');
INSERT INTO `sys_job_log` VALUES (69335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:00:40');
INSERT INTO `sys_job_log` VALUES (69336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:00:41');
INSERT INTO `sys_job_log` VALUES (69337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:00:45');
INSERT INTO `sys_job_log` VALUES (69338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:00:45');
INSERT INTO `sys_job_log` VALUES (69339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:46');
INSERT INTO `sys_job_log` VALUES (69340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:00:46');
INSERT INTO `sys_job_log` VALUES (69341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:00:50');
INSERT INTO `sys_job_log` VALUES (69342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:00:51');
INSERT INTO `sys_job_log` VALUES (69343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:00:55');
INSERT INTO `sys_job_log` VALUES (69344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:00:56');
INSERT INTO `sys_job_log` VALUES (69345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:01:00');
INSERT INTO `sys_job_log` VALUES (69346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:01:00');
INSERT INTO `sys_job_log` VALUES (69347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:01:01');
INSERT INTO `sys_job_log` VALUES (69348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:01:01');
INSERT INTO `sys_job_log` VALUES (69349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:01:05');
INSERT INTO `sys_job_log` VALUES (69350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:01:06');
INSERT INTO `sys_job_log` VALUES (69351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:01:10');
INSERT INTO `sys_job_log` VALUES (69352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:01:11');
INSERT INTO `sys_job_log` VALUES (69353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 18:01:15');
INSERT INTO `sys_job_log` VALUES (69354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 18:01:15');
INSERT INTO `sys_job_log` VALUES (69355, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:01:16');
INSERT INTO `sys_job_log` VALUES (69356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:01:16');
INSERT INTO `sys_job_log` VALUES (69357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:01:20');
INSERT INTO `sys_job_log` VALUES (69358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:01:21');
INSERT INTO `sys_job_log` VALUES (69359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:01:25');
INSERT INTO `sys_job_log` VALUES (69360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:01:26');
INSERT INTO `sys_job_log` VALUES (69361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:01:30');
INSERT INTO `sys_job_log` VALUES (69362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:01:30');
INSERT INTO `sys_job_log` VALUES (69363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:01:31');
INSERT INTO `sys_job_log` VALUES (69364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:01:31');
INSERT INTO `sys_job_log` VALUES (69365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:01:35');
INSERT INTO `sys_job_log` VALUES (69366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:01:36');
INSERT INTO `sys_job_log` VALUES (69367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:01:40');
INSERT INTO `sys_job_log` VALUES (69368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:01:41');
INSERT INTO `sys_job_log` VALUES (69369, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 18:01:45');
INSERT INTO `sys_job_log` VALUES (69370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:01:45');
INSERT INTO `sys_job_log` VALUES (69371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:01:46');
INSERT INTO `sys_job_log` VALUES (69372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:01:46');
INSERT INTO `sys_job_log` VALUES (69373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:01:50');
INSERT INTO `sys_job_log` VALUES (69374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:01:51');
INSERT INTO `sys_job_log` VALUES (69375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:01:55');
INSERT INTO `sys_job_log` VALUES (69376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:01:56');
INSERT INTO `sys_job_log` VALUES (69377, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 18:02:00');
INSERT INTO `sys_job_log` VALUES (69378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:02:00');
INSERT INTO `sys_job_log` VALUES (69379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:02:01');
INSERT INTO `sys_job_log` VALUES (69380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:02:01');
INSERT INTO `sys_job_log` VALUES (69381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:02:05');
INSERT INTO `sys_job_log` VALUES (69382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:02:06');
INSERT INTO `sys_job_log` VALUES (69383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:02:10');
INSERT INTO `sys_job_log` VALUES (69384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:02:11');
INSERT INTO `sys_job_log` VALUES (69385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:02:15');
INSERT INTO `sys_job_log` VALUES (69386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 18:02:15');
INSERT INTO `sys_job_log` VALUES (69387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：134毫秒', '0', '', '2025-01-02 18:02:16');
INSERT INTO `sys_job_log` VALUES (69388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：134毫秒', '0', '', '2025-01-02 18:02:16');
INSERT INTO `sys_job_log` VALUES (69389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:02:20');
INSERT INTO `sys_job_log` VALUES (69390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:02:21');
INSERT INTO `sys_job_log` VALUES (69391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:02:25');
INSERT INTO `sys_job_log` VALUES (69392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:02:26');
INSERT INTO `sys_job_log` VALUES (69393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 18:02:30');
INSERT INTO `sys_job_log` VALUES (69394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 18:02:30');
INSERT INTO `sys_job_log` VALUES (69395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：115毫秒', '0', '', '2025-01-02 18:02:31');
INSERT INTO `sys_job_log` VALUES (69396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：115毫秒', '0', '', '2025-01-02 18:02:31');
INSERT INTO `sys_job_log` VALUES (69397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:02:35');
INSERT INTO `sys_job_log` VALUES (69398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:02:36');
INSERT INTO `sys_job_log` VALUES (69399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:02:40');
INSERT INTO `sys_job_log` VALUES (69400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:02:41');
INSERT INTO `sys_job_log` VALUES (69401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:02:45');
INSERT INTO `sys_job_log` VALUES (69402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:02:45');
INSERT INTO `sys_job_log` VALUES (69403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:02:46');
INSERT INTO `sys_job_log` VALUES (69404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 18:02:46');
INSERT INTO `sys_job_log` VALUES (69405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:02:50');
INSERT INTO `sys_job_log` VALUES (69406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:02:51');
INSERT INTO `sys_job_log` VALUES (69407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：108毫秒', '0', '', '2025-01-02 18:02:55');
INSERT INTO `sys_job_log` VALUES (69408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:02:56');
INSERT INTO `sys_job_log` VALUES (69409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:03:00');
INSERT INTO `sys_job_log` VALUES (69410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:03:00');
INSERT INTO `sys_job_log` VALUES (69411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:03:01');
INSERT INTO `sys_job_log` VALUES (69412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:03:01');
INSERT INTO `sys_job_log` VALUES (69413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:03:05');
INSERT INTO `sys_job_log` VALUES (69414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:03:06');
INSERT INTO `sys_job_log` VALUES (69415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:03:10');
INSERT INTO `sys_job_log` VALUES (69416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:03:11');
INSERT INTO `sys_job_log` VALUES (69417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:03:15');
INSERT INTO `sys_job_log` VALUES (69418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:03:15');
INSERT INTO `sys_job_log` VALUES (69419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:03:16');
INSERT INTO `sys_job_log` VALUES (69420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:03:16');
INSERT INTO `sys_job_log` VALUES (69421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 18:03:20');
INSERT INTO `sys_job_log` VALUES (69422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:03:21');
INSERT INTO `sys_job_log` VALUES (69423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:03:25');
INSERT INTO `sys_job_log` VALUES (69424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:03:26');
INSERT INTO `sys_job_log` VALUES (69425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 18:03:30');
INSERT INTO `sys_job_log` VALUES (69426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：58毫秒', '0', '', '2025-01-02 18:03:30');
INSERT INTO `sys_job_log` VALUES (69427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:03:31');
INSERT INTO `sys_job_log` VALUES (69428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:03:31');
INSERT INTO `sys_job_log` VALUES (69429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:03:35');
INSERT INTO `sys_job_log` VALUES (69430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:03:36');
INSERT INTO `sys_job_log` VALUES (69431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:03:40');
INSERT INTO `sys_job_log` VALUES (69432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:03:41');
INSERT INTO `sys_job_log` VALUES (69433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:03:45');
INSERT INTO `sys_job_log` VALUES (69434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:03:45');
INSERT INTO `sys_job_log` VALUES (69435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:03:46');
INSERT INTO `sys_job_log` VALUES (69436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:03:46');
INSERT INTO `sys_job_log` VALUES (69437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:03:50');
INSERT INTO `sys_job_log` VALUES (69438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:03:51');
INSERT INTO `sys_job_log` VALUES (69439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:03:55');
INSERT INTO `sys_job_log` VALUES (69440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:03:56');
INSERT INTO `sys_job_log` VALUES (69441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 18:04:00');
INSERT INTO `sys_job_log` VALUES (69442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:04:00');
INSERT INTO `sys_job_log` VALUES (69443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:01');
INSERT INTO `sys_job_log` VALUES (69444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:01');
INSERT INTO `sys_job_log` VALUES (69445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:04:05');
INSERT INTO `sys_job_log` VALUES (69446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:04:06');
INSERT INTO `sys_job_log` VALUES (69447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:04:10');
INSERT INTO `sys_job_log` VALUES (69448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:04:11');
INSERT INTO `sys_job_log` VALUES (69449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:04:15');
INSERT INTO `sys_job_log` VALUES (69450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:04:15');
INSERT INTO `sys_job_log` VALUES (69451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:04:16');
INSERT INTO `sys_job_log` VALUES (69452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:16');
INSERT INTO `sys_job_log` VALUES (69453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:04:20');
INSERT INTO `sys_job_log` VALUES (69454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:04:21');
INSERT INTO `sys_job_log` VALUES (69455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:04:25');
INSERT INTO `sys_job_log` VALUES (69456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:26');
INSERT INTO `sys_job_log` VALUES (69457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:04:30');
INSERT INTO `sys_job_log` VALUES (69458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 18:04:30');
INSERT INTO `sys_job_log` VALUES (69459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:31');
INSERT INTO `sys_job_log` VALUES (69460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:31');
INSERT INTO `sys_job_log` VALUES (69461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:04:35');
INSERT INTO `sys_job_log` VALUES (69462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:04:36');
INSERT INTO `sys_job_log` VALUES (69463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:04:40');
INSERT INTO `sys_job_log` VALUES (69464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:04:41');
INSERT INTO `sys_job_log` VALUES (69465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:46');
INSERT INTO `sys_job_log` VALUES (69466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:04:46');
INSERT INTO `sys_job_log` VALUES (69467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2150毫秒', '0', '', '2025-01-02 18:04:47');
INSERT INTO `sys_job_log` VALUES (69468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2150毫秒', '0', '', '2025-01-02 18:04:47');
INSERT INTO `sys_job_log` VALUES (69469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:04:50');
INSERT INTO `sys_job_log` VALUES (69470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:04:51');
INSERT INTO `sys_job_log` VALUES (69471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：59毫秒', '0', '', '2025-01-02 18:04:55');
INSERT INTO `sys_job_log` VALUES (69472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:04:56');
INSERT INTO `sys_job_log` VALUES (69473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：95毫秒', '0', '', '2025-01-02 18:05:00');
INSERT INTO `sys_job_log` VALUES (69474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：95毫秒', '0', '', '2025-01-02 18:05:00');
INSERT INTO `sys_job_log` VALUES (69475, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:05:01');
INSERT INTO `sys_job_log` VALUES (69476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:05:01');
INSERT INTO `sys_job_log` VALUES (69477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:05:05');
INSERT INTO `sys_job_log` VALUES (69478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:05:06');
INSERT INTO `sys_job_log` VALUES (69479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 18:05:10');
INSERT INTO `sys_job_log` VALUES (69480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:05:11');
INSERT INTO `sys_job_log` VALUES (69481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 18:05:15');
INSERT INTO `sys_job_log` VALUES (69482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:05:15');
INSERT INTO `sys_job_log` VALUES (69483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:05:16');
INSERT INTO `sys_job_log` VALUES (69484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:05:16');
INSERT INTO `sys_job_log` VALUES (69485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:05:20');
INSERT INTO `sys_job_log` VALUES (69486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:05:21');
INSERT INTO `sys_job_log` VALUES (69487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:05:25');
INSERT INTO `sys_job_log` VALUES (69488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:05:26');
INSERT INTO `sys_job_log` VALUES (69489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:05:30');
INSERT INTO `sys_job_log` VALUES (69490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:05:30');
INSERT INTO `sys_job_log` VALUES (69491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:05:31');
INSERT INTO `sys_job_log` VALUES (69492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:05:31');
INSERT INTO `sys_job_log` VALUES (69493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:05:35');
INSERT INTO `sys_job_log` VALUES (69494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:05:36');
INSERT INTO `sys_job_log` VALUES (69495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:05:40');
INSERT INTO `sys_job_log` VALUES (69496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:05:41');
INSERT INTO `sys_job_log` VALUES (69497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：68毫秒', '0', '', '2025-01-02 18:05:45');
INSERT INTO `sys_job_log` VALUES (69498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：89毫秒', '0', '', '2025-01-02 18:05:45');
INSERT INTO `sys_job_log` VALUES (69499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:05:46');
INSERT INTO `sys_job_log` VALUES (69500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:05:46');
INSERT INTO `sys_job_log` VALUES (69501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:05:50');
INSERT INTO `sys_job_log` VALUES (69502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:05:51');
INSERT INTO `sys_job_log` VALUES (69503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:05:55');
INSERT INTO `sys_job_log` VALUES (69504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:05:56');
INSERT INTO `sys_job_log` VALUES (69505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:06:00');
INSERT INTO `sys_job_log` VALUES (69506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:06:00');
INSERT INTO `sys_job_log` VALUES (69507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：122毫秒', '0', '', '2025-01-02 18:06:01');
INSERT INTO `sys_job_log` VALUES (69508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：121毫秒', '0', '', '2025-01-02 18:06:01');
INSERT INTO `sys_job_log` VALUES (69509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:06:05');
INSERT INTO `sys_job_log` VALUES (69510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:06:06');
INSERT INTO `sys_job_log` VALUES (69511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:06:10');
INSERT INTO `sys_job_log` VALUES (69512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:06:11');
INSERT INTO `sys_job_log` VALUES (69513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:06:15');
INSERT INTO `sys_job_log` VALUES (69514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 18:06:15');
INSERT INTO `sys_job_log` VALUES (69515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:06:16');
INSERT INTO `sys_job_log` VALUES (69516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:06:16');
INSERT INTO `sys_job_log` VALUES (69517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:06:20');
INSERT INTO `sys_job_log` VALUES (69518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:06:21');
INSERT INTO `sys_job_log` VALUES (69519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:06:25');
INSERT INTO `sys_job_log` VALUES (69520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:06:26');
INSERT INTO `sys_job_log` VALUES (69521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:06:30');
INSERT INTO `sys_job_log` VALUES (69522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:06:30');
INSERT INTO `sys_job_log` VALUES (69523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:06:31');
INSERT INTO `sys_job_log` VALUES (69524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:06:31');
INSERT INTO `sys_job_log` VALUES (69525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 18:06:35');
INSERT INTO `sys_job_log` VALUES (69526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:06:36');
INSERT INTO `sys_job_log` VALUES (69527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:06:40');
INSERT INTO `sys_job_log` VALUES (69528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:06:41');
INSERT INTO `sys_job_log` VALUES (69529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：209毫秒', '0', '', '2025-01-02 18:06:45');
INSERT INTO `sys_job_log` VALUES (69530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：219毫秒', '0', '', '2025-01-02 18:06:45');
INSERT INTO `sys_job_log` VALUES (69531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:06:46');
INSERT INTO `sys_job_log` VALUES (69532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:06:46');
INSERT INTO `sys_job_log` VALUES (69533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:06:50');
INSERT INTO `sys_job_log` VALUES (69534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:06:51');
INSERT INTO `sys_job_log` VALUES (69535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:06:55');
INSERT INTO `sys_job_log` VALUES (69536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:06:56');
INSERT INTO `sys_job_log` VALUES (69537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 18:07:00');
INSERT INTO `sys_job_log` VALUES (69538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 18:07:00');
INSERT INTO `sys_job_log` VALUES (69539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:07:01');
INSERT INTO `sys_job_log` VALUES (69540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:07:01');
INSERT INTO `sys_job_log` VALUES (69541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:07:05');
INSERT INTO `sys_job_log` VALUES (69542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:07:06');
INSERT INTO `sys_job_log` VALUES (69543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:07:10');
INSERT INTO `sys_job_log` VALUES (69544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:07:11');
INSERT INTO `sys_job_log` VALUES (69545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:07:15');
INSERT INTO `sys_job_log` VALUES (69546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:07:15');
INSERT INTO `sys_job_log` VALUES (69547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:07:16');
INSERT INTO `sys_job_log` VALUES (69548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:07:16');
INSERT INTO `sys_job_log` VALUES (69549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:07:20');
INSERT INTO `sys_job_log` VALUES (69550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:07:21');
INSERT INTO `sys_job_log` VALUES (69551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：90毫秒', '0', '', '2025-01-02 18:07:25');
INSERT INTO `sys_job_log` VALUES (69552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:07:26');
INSERT INTO `sys_job_log` VALUES (69553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:07:30');
INSERT INTO `sys_job_log` VALUES (69554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:07:30');
INSERT INTO `sys_job_log` VALUES (69555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 18:07:31');
INSERT INTO `sys_job_log` VALUES (69556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 18:07:31');
INSERT INTO `sys_job_log` VALUES (69557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:07:35');
INSERT INTO `sys_job_log` VALUES (69558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:07:36');
INSERT INTO `sys_job_log` VALUES (69559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:07:40');
INSERT INTO `sys_job_log` VALUES (69560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:07:41');
INSERT INTO `sys_job_log` VALUES (69561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 18:07:45');
INSERT INTO `sys_job_log` VALUES (69562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 18:07:45');
INSERT INTO `sys_job_log` VALUES (69563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:07:46');
INSERT INTO `sys_job_log` VALUES (69564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:07:46');
INSERT INTO `sys_job_log` VALUES (69565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:07:50');
INSERT INTO `sys_job_log` VALUES (69566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:07:51');
INSERT INTO `sys_job_log` VALUES (69567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:07:55');
INSERT INTO `sys_job_log` VALUES (69568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:07:56');
INSERT INTO `sys_job_log` VALUES (69569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:00');
INSERT INTO `sys_job_log` VALUES (69570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:00');
INSERT INTO `sys_job_log` VALUES (69571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:08:01');
INSERT INTO `sys_job_log` VALUES (69572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:08:01');
INSERT INTO `sys_job_log` VALUES (69573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:08:05');
INSERT INTO `sys_job_log` VALUES (69574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:08:06');
INSERT INTO `sys_job_log` VALUES (69575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:10');
INSERT INTO `sys_job_log` VALUES (69576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:08:11');
INSERT INTO `sys_job_log` VALUES (69577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:08:15');
INSERT INTO `sys_job_log` VALUES (69578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:08:15');
INSERT INTO `sys_job_log` VALUES (69579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:16');
INSERT INTO `sys_job_log` VALUES (69580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:16');
INSERT INTO `sys_job_log` VALUES (69581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:20');
INSERT INTO `sys_job_log` VALUES (69582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:08:21');
INSERT INTO `sys_job_log` VALUES (69583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:08:25');
INSERT INTO `sys_job_log` VALUES (69584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:08:26');
INSERT INTO `sys_job_log` VALUES (69585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:08:30');
INSERT INTO `sys_job_log` VALUES (69586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:08:30');
INSERT INTO `sys_job_log` VALUES (69587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:08:31');
INSERT INTO `sys_job_log` VALUES (69588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:08:31');
INSERT INTO `sys_job_log` VALUES (69589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:08:35');
INSERT INTO `sys_job_log` VALUES (69590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:08:36');
INSERT INTO `sys_job_log` VALUES (69591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:08:40');
INSERT INTO `sys_job_log` VALUES (69592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:08:41');
INSERT INTO `sys_job_log` VALUES (69593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:08:45');
INSERT INTO `sys_job_log` VALUES (69594, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:08:45');
INSERT INTO `sys_job_log` VALUES (69595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 18:08:46');
INSERT INTO `sys_job_log` VALUES (69596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:08:46');
INSERT INTO `sys_job_log` VALUES (69597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:08:50');
INSERT INTO `sys_job_log` VALUES (69598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:08:51');
INSERT INTO `sys_job_log` VALUES (69599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:08:55');
INSERT INTO `sys_job_log` VALUES (69600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:08:56');
INSERT INTO `sys_job_log` VALUES (69601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:09:00');
INSERT INTO `sys_job_log` VALUES (69602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:09:00');
INSERT INTO `sys_job_log` VALUES (69603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:09:01');
INSERT INTO `sys_job_log` VALUES (69604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:09:01');
INSERT INTO `sys_job_log` VALUES (69605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:09:05');
INSERT INTO `sys_job_log` VALUES (69606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:09:06');
INSERT INTO `sys_job_log` VALUES (69607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:09:10');
INSERT INTO `sys_job_log` VALUES (69608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:09:11');
INSERT INTO `sys_job_log` VALUES (69609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:09:15');
INSERT INTO `sys_job_log` VALUES (69610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:09:15');
INSERT INTO `sys_job_log` VALUES (69611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:09:16');
INSERT INTO `sys_job_log` VALUES (69612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:09:16');
INSERT INTO `sys_job_log` VALUES (69613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:09:20');
INSERT INTO `sys_job_log` VALUES (69614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:09:21');
INSERT INTO `sys_job_log` VALUES (69615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:09:25');
INSERT INTO `sys_job_log` VALUES (69616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:09:26');
INSERT INTO `sys_job_log` VALUES (69617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：173毫秒', '0', '', '2025-01-02 18:09:30');
INSERT INTO `sys_job_log` VALUES (69618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：398毫秒', '0', '', '2025-01-02 18:09:30');
INSERT INTO `sys_job_log` VALUES (69619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:09:31');
INSERT INTO `sys_job_log` VALUES (69620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:09:31');
INSERT INTO `sys_job_log` VALUES (69621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:09:35');
INSERT INTO `sys_job_log` VALUES (69622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 18:09:36');
INSERT INTO `sys_job_log` VALUES (69623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 18:09:40');
INSERT INTO `sys_job_log` VALUES (69624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:09:41');
INSERT INTO `sys_job_log` VALUES (69625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:09:45');
INSERT INTO `sys_job_log` VALUES (69626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:09:45');
INSERT INTO `sys_job_log` VALUES (69627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:09:46');
INSERT INTO `sys_job_log` VALUES (69628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:09:46');
INSERT INTO `sys_job_log` VALUES (69629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:09:50');
INSERT INTO `sys_job_log` VALUES (69630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:09:51');
INSERT INTO `sys_job_log` VALUES (69631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:09:56');
INSERT INTO `sys_job_log` VALUES (69632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 18:10:01');
INSERT INTO `sys_job_log` VALUES (69633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 18:10:01');
INSERT INTO `sys_job_log` VALUES (69634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:10:06');
INSERT INTO `sys_job_log` VALUES (69635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:10:11');
INSERT INTO `sys_job_log` VALUES (69636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:10:16');
INSERT INTO `sys_job_log` VALUES (69637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:10:16');
INSERT INTO `sys_job_log` VALUES (69638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:10:21');
INSERT INTO `sys_job_log` VALUES (69639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:10:26');
INSERT INTO `sys_job_log` VALUES (69640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:10:31');
INSERT INTO `sys_job_log` VALUES (69641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:10:31');
INSERT INTO `sys_job_log` VALUES (69642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:10:36');
INSERT INTO `sys_job_log` VALUES (69643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:10:41');
INSERT INTO `sys_job_log` VALUES (69644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:10:46');
INSERT INTO `sys_job_log` VALUES (69645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:10:46');
INSERT INTO `sys_job_log` VALUES (69646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 18:10:51');
INSERT INTO `sys_job_log` VALUES (69647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:10:56');
INSERT INTO `sys_job_log` VALUES (69648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:11:01');
INSERT INTO `sys_job_log` VALUES (69649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:11:01');
INSERT INTO `sys_job_log` VALUES (69650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:06');
INSERT INTO `sys_job_log` VALUES (69651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:11');
INSERT INTO `sys_job_log` VALUES (69652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:11:16');
INSERT INTO `sys_job_log` VALUES (69653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:11:16');
INSERT INTO `sys_job_log` VALUES (69654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:11:21');
INSERT INTO `sys_job_log` VALUES (69655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:26');
INSERT INTO `sys_job_log` VALUES (69656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:31');
INSERT INTO `sys_job_log` VALUES (69657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:31');
INSERT INTO `sys_job_log` VALUES (69658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:36');
INSERT INTO `sys_job_log` VALUES (69659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:11:41');
INSERT INTO `sys_job_log` VALUES (69660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:46');
INSERT INTO `sys_job_log` VALUES (69661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:11:46');
INSERT INTO `sys_job_log` VALUES (69662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:11:51');
INSERT INTO `sys_job_log` VALUES (69663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:11:56');
INSERT INTO `sys_job_log` VALUES (69664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:12:01');
INSERT INTO `sys_job_log` VALUES (69665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:12:01');
INSERT INTO `sys_job_log` VALUES (69666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:12:06');
INSERT INTO `sys_job_log` VALUES (69667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:12:11');
INSERT INTO `sys_job_log` VALUES (69668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:12:16');
INSERT INTO `sys_job_log` VALUES (69669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:12:16');
INSERT INTO `sys_job_log` VALUES (69670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:12:21');
INSERT INTO `sys_job_log` VALUES (69671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:12:26');
INSERT INTO `sys_job_log` VALUES (69672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:12:31');
INSERT INTO `sys_job_log` VALUES (69673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:12:31');
INSERT INTO `sys_job_log` VALUES (69674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:12:36');
INSERT INTO `sys_job_log` VALUES (69675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:12:41');
INSERT INTO `sys_job_log` VALUES (69676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:12:46');
INSERT INTO `sys_job_log` VALUES (69677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:12:46');
INSERT INTO `sys_job_log` VALUES (69678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:12:51');
INSERT INTO `sys_job_log` VALUES (69679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:12:56');
INSERT INTO `sys_job_log` VALUES (69680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:13:01');
INSERT INTO `sys_job_log` VALUES (69681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:13:01');
INSERT INTO `sys_job_log` VALUES (69682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:13:06');
INSERT INTO `sys_job_log` VALUES (69683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:13:11');
INSERT INTO `sys_job_log` VALUES (69684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 18:13:16');
INSERT INTO `sys_job_log` VALUES (69685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:13:16');
INSERT INTO `sys_job_log` VALUES (69686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:13:21');
INSERT INTO `sys_job_log` VALUES (69687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:13:26');
INSERT INTO `sys_job_log` VALUES (69688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:13:31');
INSERT INTO `sys_job_log` VALUES (69689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:13:31');
INSERT INTO `sys_job_log` VALUES (69690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:13:36');
INSERT INTO `sys_job_log` VALUES (69691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:13:41');
INSERT INTO `sys_job_log` VALUES (69692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:13:46');
INSERT INTO `sys_job_log` VALUES (69693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:13:46');
INSERT INTO `sys_job_log` VALUES (69694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 18:13:51');
INSERT INTO `sys_job_log` VALUES (69695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:13:56');
INSERT INTO `sys_job_log` VALUES (69696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:14:01');
INSERT INTO `sys_job_log` VALUES (69697, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:14:01');
INSERT INTO `sys_job_log` VALUES (69698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:14:06');
INSERT INTO `sys_job_log` VALUES (69699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:14:11');
INSERT INTO `sys_job_log` VALUES (69700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:14:16');
INSERT INTO `sys_job_log` VALUES (69701, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:14:16');
INSERT INTO `sys_job_log` VALUES (69702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:14:21');
INSERT INTO `sys_job_log` VALUES (69703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:14:26');
INSERT INTO `sys_job_log` VALUES (69704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 18:14:31');
INSERT INTO `sys_job_log` VALUES (69705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:14:31');
INSERT INTO `sys_job_log` VALUES (69706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:14:36');
INSERT INTO `sys_job_log` VALUES (69707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:14:41');
INSERT INTO `sys_job_log` VALUES (69708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:14:46');
INSERT INTO `sys_job_log` VALUES (69709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:14:46');
INSERT INTO `sys_job_log` VALUES (69710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:14:51');
INSERT INTO `sys_job_log` VALUES (69711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:14:56');
INSERT INTO `sys_job_log` VALUES (69712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:15:01');
INSERT INTO `sys_job_log` VALUES (69713, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:15:01');
INSERT INTO `sys_job_log` VALUES (69714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:15:06');
INSERT INTO `sys_job_log` VALUES (69715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:15:11');
INSERT INTO `sys_job_log` VALUES (69716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:15:16');
INSERT INTO `sys_job_log` VALUES (69717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:15:16');
INSERT INTO `sys_job_log` VALUES (69718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:15:21');
INSERT INTO `sys_job_log` VALUES (69719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:15:26');
INSERT INTO `sys_job_log` VALUES (69720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:15:31');
INSERT INTO `sys_job_log` VALUES (69721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:15:31');
INSERT INTO `sys_job_log` VALUES (69722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:15:36');
INSERT INTO `sys_job_log` VALUES (69723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:15:41');
INSERT INTO `sys_job_log` VALUES (69724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:15:46');
INSERT INTO `sys_job_log` VALUES (69725, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:15:46');
INSERT INTO `sys_job_log` VALUES (69726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:15:51');
INSERT INTO `sys_job_log` VALUES (69727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:15:56');
INSERT INTO `sys_job_log` VALUES (69728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:16:01');
INSERT INTO `sys_job_log` VALUES (69729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:16:01');
INSERT INTO `sys_job_log` VALUES (69730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:16:06');
INSERT INTO `sys_job_log` VALUES (69731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：125毫秒', '0', '', '2025-01-02 18:16:11');
INSERT INTO `sys_job_log` VALUES (69732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:16:16');
INSERT INTO `sys_job_log` VALUES (69733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:16:16');
INSERT INTO `sys_job_log` VALUES (69734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:16:21');
INSERT INTO `sys_job_log` VALUES (69735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:16:26');
INSERT INTO `sys_job_log` VALUES (69736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:16:31');
INSERT INTO `sys_job_log` VALUES (69737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:16:31');
INSERT INTO `sys_job_log` VALUES (69738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-02 18:16:36');
INSERT INTO `sys_job_log` VALUES (69739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:16:41');
INSERT INTO `sys_job_log` VALUES (69740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:16:46');
INSERT INTO `sys_job_log` VALUES (69741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 18:16:46');
INSERT INTO `sys_job_log` VALUES (69742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:16:51');
INSERT INTO `sys_job_log` VALUES (69743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:16:56');
INSERT INTO `sys_job_log` VALUES (69744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:17:01');
INSERT INTO `sys_job_log` VALUES (69745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:17:01');
INSERT INTO `sys_job_log` VALUES (69746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:17:06');
INSERT INTO `sys_job_log` VALUES (69747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 18:17:11');
INSERT INTO `sys_job_log` VALUES (69748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:17:16');
INSERT INTO `sys_job_log` VALUES (69749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:17:16');
INSERT INTO `sys_job_log` VALUES (69750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:17:21');
INSERT INTO `sys_job_log` VALUES (69751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:17:26');
INSERT INTO `sys_job_log` VALUES (69752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:17:31');
INSERT INTO `sys_job_log` VALUES (69753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:17:31');
INSERT INTO `sys_job_log` VALUES (69754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:17:36');
INSERT INTO `sys_job_log` VALUES (69755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:17:41');
INSERT INTO `sys_job_log` VALUES (69756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:17:46');
INSERT INTO `sys_job_log` VALUES (69757, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:17:46');
INSERT INTO `sys_job_log` VALUES (69758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:17:51');
INSERT INTO `sys_job_log` VALUES (69759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:17:56');
INSERT INTO `sys_job_log` VALUES (69760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:18:01');
INSERT INTO `sys_job_log` VALUES (69761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:18:01');
INSERT INTO `sys_job_log` VALUES (69762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:18:06');
INSERT INTO `sys_job_log` VALUES (69763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:18:11');
INSERT INTO `sys_job_log` VALUES (69764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:18:16');
INSERT INTO `sys_job_log` VALUES (69765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:18:16');
INSERT INTO `sys_job_log` VALUES (69766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:18:21');
INSERT INTO `sys_job_log` VALUES (69767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:18:26');
INSERT INTO `sys_job_log` VALUES (69768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 18:18:31');
INSERT INTO `sys_job_log` VALUES (69769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 18:18:31');
INSERT INTO `sys_job_log` VALUES (69770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:18:36');
INSERT INTO `sys_job_log` VALUES (69771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:18:41');
INSERT INTO `sys_job_log` VALUES (69772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:18:46');
INSERT INTO `sys_job_log` VALUES (69773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:18:46');
INSERT INTO `sys_job_log` VALUES (69774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:18:51');
INSERT INTO `sys_job_log` VALUES (69775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:18:56');
INSERT INTO `sys_job_log` VALUES (69776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:19:01');
INSERT INTO `sys_job_log` VALUES (69777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:19:01');
INSERT INTO `sys_job_log` VALUES (69778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:19:06');
INSERT INTO `sys_job_log` VALUES (69779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:19:11');
INSERT INTO `sys_job_log` VALUES (69780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:19:16');
INSERT INTO `sys_job_log` VALUES (69781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:19:16');
INSERT INTO `sys_job_log` VALUES (69782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:19:21');
INSERT INTO `sys_job_log` VALUES (69783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:19:26');
INSERT INTO `sys_job_log` VALUES (69784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：72毫秒', '0', '', '2025-01-02 18:19:31');
INSERT INTO `sys_job_log` VALUES (69785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 18:19:31');
INSERT INTO `sys_job_log` VALUES (69786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:19:36');
INSERT INTO `sys_job_log` VALUES (69787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:19:41');
INSERT INTO `sys_job_log` VALUES (69788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:19:46');
INSERT INTO `sys_job_log` VALUES (69789, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:19:46');
INSERT INTO `sys_job_log` VALUES (69790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:19:51');
INSERT INTO `sys_job_log` VALUES (69791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:19:56');
INSERT INTO `sys_job_log` VALUES (69792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:20:01');
INSERT INTO `sys_job_log` VALUES (69793, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:20:01');
INSERT INTO `sys_job_log` VALUES (69794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:20:06');
INSERT INTO `sys_job_log` VALUES (69795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:20:11');
INSERT INTO `sys_job_log` VALUES (69796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:20:16');
INSERT INTO `sys_job_log` VALUES (69797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:20:16');
INSERT INTO `sys_job_log` VALUES (69798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:20:21');
INSERT INTO `sys_job_log` VALUES (69799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:20:26');
INSERT INTO `sys_job_log` VALUES (69800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:20:31');
INSERT INTO `sys_job_log` VALUES (69801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:20:31');
INSERT INTO `sys_job_log` VALUES (69802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:20:36');
INSERT INTO `sys_job_log` VALUES (69803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:20:41');
INSERT INTO `sys_job_log` VALUES (69804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:20:46');
INSERT INTO `sys_job_log` VALUES (69805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:20:46');
INSERT INTO `sys_job_log` VALUES (69806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 18:20:51');
INSERT INTO `sys_job_log` VALUES (69807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:20:56');
INSERT INTO `sys_job_log` VALUES (69808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:21:01');
INSERT INTO `sys_job_log` VALUES (69809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:21:01');
INSERT INTO `sys_job_log` VALUES (69810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:21:06');
INSERT INTO `sys_job_log` VALUES (69811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:21:11');
INSERT INTO `sys_job_log` VALUES (69812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:21:16');
INSERT INTO `sys_job_log` VALUES (69813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:21:16');
INSERT INTO `sys_job_log` VALUES (69814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:21:21');
INSERT INTO `sys_job_log` VALUES (69815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:21:26');
INSERT INTO `sys_job_log` VALUES (69816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:21:31');
INSERT INTO `sys_job_log` VALUES (69817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:21:31');
INSERT INTO `sys_job_log` VALUES (69818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:21:36');
INSERT INTO `sys_job_log` VALUES (69819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:21:41');
INSERT INTO `sys_job_log` VALUES (69820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:21:46');
INSERT INTO `sys_job_log` VALUES (69821, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:21:46');
INSERT INTO `sys_job_log` VALUES (69822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:21:51');
INSERT INTO `sys_job_log` VALUES (69823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:21:56');
INSERT INTO `sys_job_log` VALUES (69824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:22:01');
INSERT INTO `sys_job_log` VALUES (69825, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:22:01');
INSERT INTO `sys_job_log` VALUES (69826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:22:06');
INSERT INTO `sys_job_log` VALUES (69827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:22:11');
INSERT INTO `sys_job_log` VALUES (69828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:22:16');
INSERT INTO `sys_job_log` VALUES (69829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:22:16');
INSERT INTO `sys_job_log` VALUES (69830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:22:21');
INSERT INTO `sys_job_log` VALUES (69831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:22:26');
INSERT INTO `sys_job_log` VALUES (69832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:22:31');
INSERT INTO `sys_job_log` VALUES (69833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:22:31');
INSERT INTO `sys_job_log` VALUES (69834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:22:36');
INSERT INTO `sys_job_log` VALUES (69835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:22:41');
INSERT INTO `sys_job_log` VALUES (69836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:22:46');
INSERT INTO `sys_job_log` VALUES (69837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:22:46');
INSERT INTO `sys_job_log` VALUES (69838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:22:51');
INSERT INTO `sys_job_log` VALUES (69839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:22:56');
INSERT INTO `sys_job_log` VALUES (69840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:23:01');
INSERT INTO `sys_job_log` VALUES (69841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:23:01');
INSERT INTO `sys_job_log` VALUES (69842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:23:06');
INSERT INTO `sys_job_log` VALUES (69843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:23:11');
INSERT INTO `sys_job_log` VALUES (69844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:23:16');
INSERT INTO `sys_job_log` VALUES (69845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:23:16');
INSERT INTO `sys_job_log` VALUES (69846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:23:21');
INSERT INTO `sys_job_log` VALUES (69847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:23:26');
INSERT INTO `sys_job_log` VALUES (69848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:23:31');
INSERT INTO `sys_job_log` VALUES (69849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:23:31');
INSERT INTO `sys_job_log` VALUES (69850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:23:36');
INSERT INTO `sys_job_log` VALUES (69851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:23:41');
INSERT INTO `sys_job_log` VALUES (69852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:23:46');
INSERT INTO `sys_job_log` VALUES (69853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:23:46');
INSERT INTO `sys_job_log` VALUES (69854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:23:51');
INSERT INTO `sys_job_log` VALUES (69855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:23:56');
INSERT INTO `sys_job_log` VALUES (69856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:24:01');
INSERT INTO `sys_job_log` VALUES (69857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:24:01');
INSERT INTO `sys_job_log` VALUES (69858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:24:06');
INSERT INTO `sys_job_log` VALUES (69859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:24:11');
INSERT INTO `sys_job_log` VALUES (69860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:24:16');
INSERT INTO `sys_job_log` VALUES (69861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:24:16');
INSERT INTO `sys_job_log` VALUES (69862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:24:21');
INSERT INTO `sys_job_log` VALUES (69863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:24:26');
INSERT INTO `sys_job_log` VALUES (69864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:24:31');
INSERT INTO `sys_job_log` VALUES (69865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:24:31');
INSERT INTO `sys_job_log` VALUES (69866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:24:36');
INSERT INTO `sys_job_log` VALUES (69867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:24:41');
INSERT INTO `sys_job_log` VALUES (69868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:24:46');
INSERT INTO `sys_job_log` VALUES (69869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:24:46');
INSERT INTO `sys_job_log` VALUES (69870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:24:51');
INSERT INTO `sys_job_log` VALUES (69871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:24:56');
INSERT INTO `sys_job_log` VALUES (69872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:25:01');
INSERT INTO `sys_job_log` VALUES (69873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:25:01');
INSERT INTO `sys_job_log` VALUES (69874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:25:06');
INSERT INTO `sys_job_log` VALUES (69875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:25:11');
INSERT INTO `sys_job_log` VALUES (69876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:25:16');
INSERT INTO `sys_job_log` VALUES (69877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:25:16');
INSERT INTO `sys_job_log` VALUES (69878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:25:21');
INSERT INTO `sys_job_log` VALUES (69879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:25:26');
INSERT INTO `sys_job_log` VALUES (69880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:25:31');
INSERT INTO `sys_job_log` VALUES (69881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:25:31');
INSERT INTO `sys_job_log` VALUES (69882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:25:36');
INSERT INTO `sys_job_log` VALUES (69883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:25:41');
INSERT INTO `sys_job_log` VALUES (69884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:25:46');
INSERT INTO `sys_job_log` VALUES (69885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:25:46');
INSERT INTO `sys_job_log` VALUES (69886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:25:51');
INSERT INTO `sys_job_log` VALUES (69887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 18:25:56');
INSERT INTO `sys_job_log` VALUES (69888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:26:01');
INSERT INTO `sys_job_log` VALUES (69889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1798毫秒', '0', '', '2025-01-02 18:26:03');
INSERT INTO `sys_job_log` VALUES (69890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:26:06');
INSERT INTO `sys_job_log` VALUES (69891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:26:11');
INSERT INTO `sys_job_log` VALUES (69892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:26:16');
INSERT INTO `sys_job_log` VALUES (69893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:26:16');
INSERT INTO `sys_job_log` VALUES (69894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2025-01-02 18:26:21');
INSERT INTO `sys_job_log` VALUES (69895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:26:26');
INSERT INTO `sys_job_log` VALUES (69896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:26:31');
INSERT INTO `sys_job_log` VALUES (69897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:26:31');
INSERT INTO `sys_job_log` VALUES (69898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:26:36');
INSERT INTO `sys_job_log` VALUES (69899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:26:41');
INSERT INTO `sys_job_log` VALUES (69900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:26:46');
INSERT INTO `sys_job_log` VALUES (69901, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:26:46');
INSERT INTO `sys_job_log` VALUES (69902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:26:51');
INSERT INTO `sys_job_log` VALUES (69903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:26:56');
INSERT INTO `sys_job_log` VALUES (69904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:27:01');
INSERT INTO `sys_job_log` VALUES (69905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 18:27:01');
INSERT INTO `sys_job_log` VALUES (69906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:27:06');
INSERT INTO `sys_job_log` VALUES (69907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:27:11');
INSERT INTO `sys_job_log` VALUES (69908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:27:16');
INSERT INTO `sys_job_log` VALUES (69909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:27:16');
INSERT INTO `sys_job_log` VALUES (69910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:27:21');
INSERT INTO `sys_job_log` VALUES (69911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:27:26');
INSERT INTO `sys_job_log` VALUES (69912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:27:31');
INSERT INTO `sys_job_log` VALUES (69913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:27:31');
INSERT INTO `sys_job_log` VALUES (69914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:27:36');
INSERT INTO `sys_job_log` VALUES (69915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:27:41');
INSERT INTO `sys_job_log` VALUES (69916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:27:46');
INSERT INTO `sys_job_log` VALUES (69917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:27:46');
INSERT INTO `sys_job_log` VALUES (69918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:27:51');
INSERT INTO `sys_job_log` VALUES (69919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:27:56');
INSERT INTO `sys_job_log` VALUES (69920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:28:01');
INSERT INTO `sys_job_log` VALUES (69921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:28:01');
INSERT INTO `sys_job_log` VALUES (69922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:28:06');
INSERT INTO `sys_job_log` VALUES (69923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-02 18:28:11');
INSERT INTO `sys_job_log` VALUES (69924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:28:16');
INSERT INTO `sys_job_log` VALUES (69925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:28:16');
INSERT INTO `sys_job_log` VALUES (69926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:28:21');
INSERT INTO `sys_job_log` VALUES (69927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:28:26');
INSERT INTO `sys_job_log` VALUES (69928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:28:31');
INSERT INTO `sys_job_log` VALUES (69929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:28:31');
INSERT INTO `sys_job_log` VALUES (69930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:28:36');
INSERT INTO `sys_job_log` VALUES (69931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:28:41');
INSERT INTO `sys_job_log` VALUES (69932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:28:46');
INSERT INTO `sys_job_log` VALUES (69933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:28:46');
INSERT INTO `sys_job_log` VALUES (69934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:28:51');
INSERT INTO `sys_job_log` VALUES (69935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:28:56');
INSERT INTO `sys_job_log` VALUES (69936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 18:29:01');
INSERT INTO `sys_job_log` VALUES (69937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:29:01');
INSERT INTO `sys_job_log` VALUES (69938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:29:06');
INSERT INTO `sys_job_log` VALUES (69939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:29:11');
INSERT INTO `sys_job_log` VALUES (69940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:29:16');
INSERT INTO `sys_job_log` VALUES (69941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:29:16');
INSERT INTO `sys_job_log` VALUES (69942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:29:21');
INSERT INTO `sys_job_log` VALUES (69943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:29:26');
INSERT INTO `sys_job_log` VALUES (69944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:29:31');
INSERT INTO `sys_job_log` VALUES (69945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:29:31');
INSERT INTO `sys_job_log` VALUES (69946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:29:36');
INSERT INTO `sys_job_log` VALUES (69947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1803毫秒', '0', '', '2025-01-02 18:29:43');
INSERT INTO `sys_job_log` VALUES (69948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:29:46');
INSERT INTO `sys_job_log` VALUES (69949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:29:46');
INSERT INTO `sys_job_log` VALUES (69950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:29:51');
INSERT INTO `sys_job_log` VALUES (69951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:29:56');
INSERT INTO `sys_job_log` VALUES (69952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:30:01');
INSERT INTO `sys_job_log` VALUES (69953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:30:01');
INSERT INTO `sys_job_log` VALUES (69954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:30:06');
INSERT INTO `sys_job_log` VALUES (69955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:30:11');
INSERT INTO `sys_job_log` VALUES (69956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:30:16');
INSERT INTO `sys_job_log` VALUES (69957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:30:16');
INSERT INTO `sys_job_log` VALUES (69958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:30:21');
INSERT INTO `sys_job_log` VALUES (69959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:30:26');
INSERT INTO `sys_job_log` VALUES (69960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 18:30:31');
INSERT INTO `sys_job_log` VALUES (69961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:30:31');
INSERT INTO `sys_job_log` VALUES (69962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:30:36');
INSERT INTO `sys_job_log` VALUES (69963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:30:41');
INSERT INTO `sys_job_log` VALUES (69964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:30:46');
INSERT INTO `sys_job_log` VALUES (69965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:30:46');
INSERT INTO `sys_job_log` VALUES (69966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:30:51');
INSERT INTO `sys_job_log` VALUES (69967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:30:56');
INSERT INTO `sys_job_log` VALUES (69968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:31:01');
INSERT INTO `sys_job_log` VALUES (69969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:31:01');
INSERT INTO `sys_job_log` VALUES (69970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:31:06');
INSERT INTO `sys_job_log` VALUES (69971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:31:11');
INSERT INTO `sys_job_log` VALUES (69972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 18:31:16');
INSERT INTO `sys_job_log` VALUES (69973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 18:31:16');
INSERT INTO `sys_job_log` VALUES (69974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:31:21');
INSERT INTO `sys_job_log` VALUES (69975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:31:26');
INSERT INTO `sys_job_log` VALUES (69976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:31:31');
INSERT INTO `sys_job_log` VALUES (69977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:31:31');
INSERT INTO `sys_job_log` VALUES (69978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:31:36');
INSERT INTO `sys_job_log` VALUES (69979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:31:41');
INSERT INTO `sys_job_log` VALUES (69980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:31:46');
INSERT INTO `sys_job_log` VALUES (69981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:31:46');
INSERT INTO `sys_job_log` VALUES (69982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:31:51');
INSERT INTO `sys_job_log` VALUES (69983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:31:56');
INSERT INTO `sys_job_log` VALUES (69984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:32:01');
INSERT INTO `sys_job_log` VALUES (69985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:32:01');
INSERT INTO `sys_job_log` VALUES (69986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:32:06');
INSERT INTO `sys_job_log` VALUES (69987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:32:11');
INSERT INTO `sys_job_log` VALUES (69988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:32:16');
INSERT INTO `sys_job_log` VALUES (69989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:32:16');
INSERT INTO `sys_job_log` VALUES (69990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:32:21');
INSERT INTO `sys_job_log` VALUES (69991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:32:26');
INSERT INTO `sys_job_log` VALUES (69992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:32:31');
INSERT INTO `sys_job_log` VALUES (69993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:32:31');
INSERT INTO `sys_job_log` VALUES (69994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:32:36');
INSERT INTO `sys_job_log` VALUES (69995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:32:41');
INSERT INTO `sys_job_log` VALUES (69996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:32:46');
INSERT INTO `sys_job_log` VALUES (69997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:32:46');
INSERT INTO `sys_job_log` VALUES (69998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:32:51');
INSERT INTO `sys_job_log` VALUES (69999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:32:56');
INSERT INTO `sys_job_log` VALUES (70000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:33:01');
INSERT INTO `sys_job_log` VALUES (70001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:33:01');
INSERT INTO `sys_job_log` VALUES (70002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:33:06');
INSERT INTO `sys_job_log` VALUES (70003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:33:11');
INSERT INTO `sys_job_log` VALUES (70004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:33:16');
INSERT INTO `sys_job_log` VALUES (70005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:33:16');
INSERT INTO `sys_job_log` VALUES (70006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:33:21');
INSERT INTO `sys_job_log` VALUES (70007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:33:26');
INSERT INTO `sys_job_log` VALUES (70008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:33:31');
INSERT INTO `sys_job_log` VALUES (70009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:33:31');
INSERT INTO `sys_job_log` VALUES (70010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:33:36');
INSERT INTO `sys_job_log` VALUES (70011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:33:41');
INSERT INTO `sys_job_log` VALUES (70012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:33:46');
INSERT INTO `sys_job_log` VALUES (70013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:33:46');
INSERT INTO `sys_job_log` VALUES (70014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:33:51');
INSERT INTO `sys_job_log` VALUES (70015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:33:56');
INSERT INTO `sys_job_log` VALUES (70016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:34:01');
INSERT INTO `sys_job_log` VALUES (70017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:34:01');
INSERT INTO `sys_job_log` VALUES (70018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:34:06');
INSERT INTO `sys_job_log` VALUES (70019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:34:11');
INSERT INTO `sys_job_log` VALUES (70020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:34:16');
INSERT INTO `sys_job_log` VALUES (70021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:34:16');
INSERT INTO `sys_job_log` VALUES (70022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:34:21');
INSERT INTO `sys_job_log` VALUES (70023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:34:26');
INSERT INTO `sys_job_log` VALUES (70024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 18:34:31');
INSERT INTO `sys_job_log` VALUES (70025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：53毫秒', '0', '', '2025-01-02 18:34:31');
INSERT INTO `sys_job_log` VALUES (70026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:34:36');
INSERT INTO `sys_job_log` VALUES (70027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:34:41');
INSERT INTO `sys_job_log` VALUES (70028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:34:46');
INSERT INTO `sys_job_log` VALUES (70029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:34:46');
INSERT INTO `sys_job_log` VALUES (70030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:34:51');
INSERT INTO `sys_job_log` VALUES (70031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:34:56');
INSERT INTO `sys_job_log` VALUES (70032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:35:01');
INSERT INTO `sys_job_log` VALUES (70033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:35:01');
INSERT INTO `sys_job_log` VALUES (70034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:35:06');
INSERT INTO `sys_job_log` VALUES (70035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:35:11');
INSERT INTO `sys_job_log` VALUES (70036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:35:16');
INSERT INTO `sys_job_log` VALUES (70037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 18:35:16');
INSERT INTO `sys_job_log` VALUES (70038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:35:21');
INSERT INTO `sys_job_log` VALUES (70039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:35:26');
INSERT INTO `sys_job_log` VALUES (70040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:35:31');
INSERT INTO `sys_job_log` VALUES (70041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:35:31');
INSERT INTO `sys_job_log` VALUES (70042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:35:36');
INSERT INTO `sys_job_log` VALUES (70043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:35:41');
INSERT INTO `sys_job_log` VALUES (70044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:35:46');
INSERT INTO `sys_job_log` VALUES (70045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:35:46');
INSERT INTO `sys_job_log` VALUES (70046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 18:35:51');
INSERT INTO `sys_job_log` VALUES (70047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:35:56');
INSERT INTO `sys_job_log` VALUES (70048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:36:01');
INSERT INTO `sys_job_log` VALUES (70049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:36:01');
INSERT INTO `sys_job_log` VALUES (70050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:36:06');
INSERT INTO `sys_job_log` VALUES (70051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:36:11');
INSERT INTO `sys_job_log` VALUES (70052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:36:16');
INSERT INTO `sys_job_log` VALUES (70053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:36:16');
INSERT INTO `sys_job_log` VALUES (70054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:36:21');
INSERT INTO `sys_job_log` VALUES (70055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:36:26');
INSERT INTO `sys_job_log` VALUES (70056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:36:31');
INSERT INTO `sys_job_log` VALUES (70057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:36:31');
INSERT INTO `sys_job_log` VALUES (70058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:36:36');
INSERT INTO `sys_job_log` VALUES (70059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:36:41');
INSERT INTO `sys_job_log` VALUES (70060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:36:46');
INSERT INTO `sys_job_log` VALUES (70061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:36:46');
INSERT INTO `sys_job_log` VALUES (70062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:36:51');
INSERT INTO `sys_job_log` VALUES (70063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:36:56');
INSERT INTO `sys_job_log` VALUES (70064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:37:01');
INSERT INTO `sys_job_log` VALUES (70065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 18:37:01');
INSERT INTO `sys_job_log` VALUES (70066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:37:06');
INSERT INTO `sys_job_log` VALUES (70067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:37:11');
INSERT INTO `sys_job_log` VALUES (70068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:37:16');
INSERT INTO `sys_job_log` VALUES (70069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 18:37:16');
INSERT INTO `sys_job_log` VALUES (70070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:37:21');
INSERT INTO `sys_job_log` VALUES (70071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:37:26');
INSERT INTO `sys_job_log` VALUES (70072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:37:31');
INSERT INTO `sys_job_log` VALUES (70073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:37:31');
INSERT INTO `sys_job_log` VALUES (70074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:37:36');
INSERT INTO `sys_job_log` VALUES (70075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:37:41');
INSERT INTO `sys_job_log` VALUES (70076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:37:46');
INSERT INTO `sys_job_log` VALUES (70077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:37:46');
INSERT INTO `sys_job_log` VALUES (70078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:37:51');
INSERT INTO `sys_job_log` VALUES (70079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:37:56');
INSERT INTO `sys_job_log` VALUES (70080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:38:01');
INSERT INTO `sys_job_log` VALUES (70081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:38:01');
INSERT INTO `sys_job_log` VALUES (70082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:38:06');
INSERT INTO `sys_job_log` VALUES (70083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:38:11');
INSERT INTO `sys_job_log` VALUES (70084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:38:16');
INSERT INTO `sys_job_log` VALUES (70085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:38:16');
INSERT INTO `sys_job_log` VALUES (70086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:38:21');
INSERT INTO `sys_job_log` VALUES (70087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:38:26');
INSERT INTO `sys_job_log` VALUES (70088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:38:31');
INSERT INTO `sys_job_log` VALUES (70089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:38:31');
INSERT INTO `sys_job_log` VALUES (70090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:38:36');
INSERT INTO `sys_job_log` VALUES (70091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:38:41');
INSERT INTO `sys_job_log` VALUES (70092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:38:46');
INSERT INTO `sys_job_log` VALUES (70093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:38:46');
INSERT INTO `sys_job_log` VALUES (70094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:38:51');
INSERT INTO `sys_job_log` VALUES (70095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:38:56');
INSERT INTO `sys_job_log` VALUES (70096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:39:01');
INSERT INTO `sys_job_log` VALUES (70097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:39:01');
INSERT INTO `sys_job_log` VALUES (70098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:39:06');
INSERT INTO `sys_job_log` VALUES (70099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:39:11');
INSERT INTO `sys_job_log` VALUES (70100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:39:16');
INSERT INTO `sys_job_log` VALUES (70101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:39:16');
INSERT INTO `sys_job_log` VALUES (70102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:39:21');
INSERT INTO `sys_job_log` VALUES (70103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:39:26');
INSERT INTO `sys_job_log` VALUES (70104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:39:31');
INSERT INTO `sys_job_log` VALUES (70105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:39:31');
INSERT INTO `sys_job_log` VALUES (70106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:39:36');
INSERT INTO `sys_job_log` VALUES (70107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:39:41');
INSERT INTO `sys_job_log` VALUES (70108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:39:46');
INSERT INTO `sys_job_log` VALUES (70109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:39:46');
INSERT INTO `sys_job_log` VALUES (70110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:39:51');
INSERT INTO `sys_job_log` VALUES (70111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:39:56');
INSERT INTO `sys_job_log` VALUES (70112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:40:01');
INSERT INTO `sys_job_log` VALUES (70113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:40:01');
INSERT INTO `sys_job_log` VALUES (70114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:40:06');
INSERT INTO `sys_job_log` VALUES (70115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:40:11');
INSERT INTO `sys_job_log` VALUES (70116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:40:16');
INSERT INTO `sys_job_log` VALUES (70117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:40:16');
INSERT INTO `sys_job_log` VALUES (70118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:40:21');
INSERT INTO `sys_job_log` VALUES (70119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:40:26');
INSERT INTO `sys_job_log` VALUES (70120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：46毫秒', '0', '', '2025-01-02 18:40:31');
INSERT INTO `sys_job_log` VALUES (70121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:40:31');
INSERT INTO `sys_job_log` VALUES (70122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:40:36');
INSERT INTO `sys_job_log` VALUES (70123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:40:41');
INSERT INTO `sys_job_log` VALUES (70124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:40:46');
INSERT INTO `sys_job_log` VALUES (70125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:40:46');
INSERT INTO `sys_job_log` VALUES (70126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:40:51');
INSERT INTO `sys_job_log` VALUES (70127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:40:56');
INSERT INTO `sys_job_log` VALUES (70128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-02 18:41:01');
INSERT INTO `sys_job_log` VALUES (70129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：64毫秒', '0', '', '2025-01-02 18:41:01');
INSERT INTO `sys_job_log` VALUES (70130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:41:06');
INSERT INTO `sys_job_log` VALUES (70131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:41:11');
INSERT INTO `sys_job_log` VALUES (70132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 18:41:16');
INSERT INTO `sys_job_log` VALUES (70133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 18:41:16');
INSERT INTO `sys_job_log` VALUES (70134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:41:21');
INSERT INTO `sys_job_log` VALUES (70135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 18:41:26');
INSERT INTO `sys_job_log` VALUES (70136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:41:31');
INSERT INTO `sys_job_log` VALUES (70137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:41:31');
INSERT INTO `sys_job_log` VALUES (70138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:41:36');
INSERT INTO `sys_job_log` VALUES (70139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:41:41');
INSERT INTO `sys_job_log` VALUES (70140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:41:46');
INSERT INTO `sys_job_log` VALUES (70141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:41:46');
INSERT INTO `sys_job_log` VALUES (70142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：204毫秒', '0', '', '2025-01-02 18:41:51');
INSERT INTO `sys_job_log` VALUES (70143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:41:56');
INSERT INTO `sys_job_log` VALUES (70144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:42:01');
INSERT INTO `sys_job_log` VALUES (70145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:42:01');
INSERT INTO `sys_job_log` VALUES (70146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:42:06');
INSERT INTO `sys_job_log` VALUES (70147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:42:11');
INSERT INTO `sys_job_log` VALUES (70148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:42:16');
INSERT INTO `sys_job_log` VALUES (70149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:42:16');
INSERT INTO `sys_job_log` VALUES (70150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:42:21');
INSERT INTO `sys_job_log` VALUES (70151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 18:42:26');
INSERT INTO `sys_job_log` VALUES (70152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:42:31');
INSERT INTO `sys_job_log` VALUES (70153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:42:31');
INSERT INTO `sys_job_log` VALUES (70154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:42:36');
INSERT INTO `sys_job_log` VALUES (70155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:42:41');
INSERT INTO `sys_job_log` VALUES (70156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:42:46');
INSERT INTO `sys_job_log` VALUES (70157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:42:46');
INSERT INTO `sys_job_log` VALUES (70158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:42:51');
INSERT INTO `sys_job_log` VALUES (70159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:42:56');
INSERT INTO `sys_job_log` VALUES (70160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:43:01');
INSERT INTO `sys_job_log` VALUES (70161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:43:01');
INSERT INTO `sys_job_log` VALUES (70162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:43:06');
INSERT INTO `sys_job_log` VALUES (70163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:43:11');
INSERT INTO `sys_job_log` VALUES (70164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:43:16');
INSERT INTO `sys_job_log` VALUES (70165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:43:16');
INSERT INTO `sys_job_log` VALUES (70166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:43:21');
INSERT INTO `sys_job_log` VALUES (70167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:43:26');
INSERT INTO `sys_job_log` VALUES (70168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:43:31');
INSERT INTO `sys_job_log` VALUES (70169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:43:31');
INSERT INTO `sys_job_log` VALUES (70170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:43:36');
INSERT INTO `sys_job_log` VALUES (70171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 18:43:41');
INSERT INTO `sys_job_log` VALUES (70172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:43:46');
INSERT INTO `sys_job_log` VALUES (70173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:43:46');
INSERT INTO `sys_job_log` VALUES (70174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:43:51');
INSERT INTO `sys_job_log` VALUES (70175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:43:56');
INSERT INTO `sys_job_log` VALUES (70176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:44:01');
INSERT INTO `sys_job_log` VALUES (70177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:44:01');
INSERT INTO `sys_job_log` VALUES (70178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:44:06');
INSERT INTO `sys_job_log` VALUES (70179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:44:11');
INSERT INTO `sys_job_log` VALUES (70180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:44:16');
INSERT INTO `sys_job_log` VALUES (70181, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:44:16');
INSERT INTO `sys_job_log` VALUES (70182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2025-01-02 18:44:21');
INSERT INTO `sys_job_log` VALUES (70183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:44:26');
INSERT INTO `sys_job_log` VALUES (70184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:44:31');
INSERT INTO `sys_job_log` VALUES (70185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:44:31');
INSERT INTO `sys_job_log` VALUES (70186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:44:36');
INSERT INTO `sys_job_log` VALUES (70187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:44:41');
INSERT INTO `sys_job_log` VALUES (70188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:44:46');
INSERT INTO `sys_job_log` VALUES (70189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:44:46');
INSERT INTO `sys_job_log` VALUES (70190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:44:51');
INSERT INTO `sys_job_log` VALUES (70191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:44:56');
INSERT INTO `sys_job_log` VALUES (70192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:45:01');
INSERT INTO `sys_job_log` VALUES (70193, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:45:01');
INSERT INTO `sys_job_log` VALUES (70194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:45:06');
INSERT INTO `sys_job_log` VALUES (70195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:45:11');
INSERT INTO `sys_job_log` VALUES (70196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:45:16');
INSERT INTO `sys_job_log` VALUES (70197, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:45:16');
INSERT INTO `sys_job_log` VALUES (70198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:45:21');
INSERT INTO `sys_job_log` VALUES (70199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:45:26');
INSERT INTO `sys_job_log` VALUES (70200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:45:31');
INSERT INTO `sys_job_log` VALUES (70201, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:45:31');
INSERT INTO `sys_job_log` VALUES (70202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:45:36');
INSERT INTO `sys_job_log` VALUES (70203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:45:41');
INSERT INTO `sys_job_log` VALUES (70204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:45:46');
INSERT INTO `sys_job_log` VALUES (70205, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:45:46');
INSERT INTO `sys_job_log` VALUES (70206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:45:51');
INSERT INTO `sys_job_log` VALUES (70207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:45:56');
INSERT INTO `sys_job_log` VALUES (70208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:46:01');
INSERT INTO `sys_job_log` VALUES (70209, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:46:01');
INSERT INTO `sys_job_log` VALUES (70210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:46:06');
INSERT INTO `sys_job_log` VALUES (70211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:46:11');
INSERT INTO `sys_job_log` VALUES (70212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:46:16');
INSERT INTO `sys_job_log` VALUES (70213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:46:16');
INSERT INTO `sys_job_log` VALUES (70214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:46:21');
INSERT INTO `sys_job_log` VALUES (70215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:46:26');
INSERT INTO `sys_job_log` VALUES (70216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:46:31');
INSERT INTO `sys_job_log` VALUES (70217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:46:31');
INSERT INTO `sys_job_log` VALUES (70218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:46:36');
INSERT INTO `sys_job_log` VALUES (70219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:46:41');
INSERT INTO `sys_job_log` VALUES (70220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：65毫秒', '0', '', '2025-01-02 18:46:46');
INSERT INTO `sys_job_log` VALUES (70221, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：65毫秒', '0', '', '2025-01-02 18:46:46');
INSERT INTO `sys_job_log` VALUES (70222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:46:51');
INSERT INTO `sys_job_log` VALUES (70223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:46:56');
INSERT INTO `sys_job_log` VALUES (70224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:47:01');
INSERT INTO `sys_job_log` VALUES (70225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:47:01');
INSERT INTO `sys_job_log` VALUES (70226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:47:06');
INSERT INTO `sys_job_log` VALUES (70227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:47:11');
INSERT INTO `sys_job_log` VALUES (70228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:47:16');
INSERT INTO `sys_job_log` VALUES (70229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:47:16');
INSERT INTO `sys_job_log` VALUES (70230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:47:21');
INSERT INTO `sys_job_log` VALUES (70231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:47:26');
INSERT INTO `sys_job_log` VALUES (70232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:47:31');
INSERT INTO `sys_job_log` VALUES (70233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:47:31');
INSERT INTO `sys_job_log` VALUES (70234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：113毫秒', '0', '', '2025-01-02 18:47:36');
INSERT INTO `sys_job_log` VALUES (70235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:47:41');
INSERT INTO `sys_job_log` VALUES (70236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:47:46');
INSERT INTO `sys_job_log` VALUES (70237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:47:46');
INSERT INTO `sys_job_log` VALUES (70238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:47:51');
INSERT INTO `sys_job_log` VALUES (70239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:47:56');
INSERT INTO `sys_job_log` VALUES (70240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:48:01');
INSERT INTO `sys_job_log` VALUES (70241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:48:01');
INSERT INTO `sys_job_log` VALUES (70242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:48:06');
INSERT INTO `sys_job_log` VALUES (70243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:48:11');
INSERT INTO `sys_job_log` VALUES (70244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:48:16');
INSERT INTO `sys_job_log` VALUES (70245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:48:16');
INSERT INTO `sys_job_log` VALUES (70246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:48:21');
INSERT INTO `sys_job_log` VALUES (70247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:48:26');
INSERT INTO `sys_job_log` VALUES (70248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:48:31');
INSERT INTO `sys_job_log` VALUES (70249, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:48:31');
INSERT INTO `sys_job_log` VALUES (70250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 18:48:36');
INSERT INTO `sys_job_log` VALUES (70251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:48:41');
INSERT INTO `sys_job_log` VALUES (70252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:48:46');
INSERT INTO `sys_job_log` VALUES (70253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:48:46');
INSERT INTO `sys_job_log` VALUES (70254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 18:48:51');
INSERT INTO `sys_job_log` VALUES (70255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:48:56');
INSERT INTO `sys_job_log` VALUES (70256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:49:01');
INSERT INTO `sys_job_log` VALUES (70257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:49:01');
INSERT INTO `sys_job_log` VALUES (70258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:49:06');
INSERT INTO `sys_job_log` VALUES (70259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:49:11');
INSERT INTO `sys_job_log` VALUES (70260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:49:16');
INSERT INTO `sys_job_log` VALUES (70261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:49:16');
INSERT INTO `sys_job_log` VALUES (70262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:49:21');
INSERT INTO `sys_job_log` VALUES (70263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:49:26');
INSERT INTO `sys_job_log` VALUES (70264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:49:31');
INSERT INTO `sys_job_log` VALUES (70265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:49:31');
INSERT INTO `sys_job_log` VALUES (70266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:49:36');
INSERT INTO `sys_job_log` VALUES (70267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:49:41');
INSERT INTO `sys_job_log` VALUES (70268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:49:46');
INSERT INTO `sys_job_log` VALUES (70269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:49:46');
INSERT INTO `sys_job_log` VALUES (70270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:49:51');
INSERT INTO `sys_job_log` VALUES (70271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:49:56');
INSERT INTO `sys_job_log` VALUES (70272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:50:01');
INSERT INTO `sys_job_log` VALUES (70273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:50:01');
INSERT INTO `sys_job_log` VALUES (70274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:50:06');
INSERT INTO `sys_job_log` VALUES (70275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:50:11');
INSERT INTO `sys_job_log` VALUES (70276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:50:16');
INSERT INTO `sys_job_log` VALUES (70277, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:50:16');
INSERT INTO `sys_job_log` VALUES (70278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:50:21');
INSERT INTO `sys_job_log` VALUES (70279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:50:26');
INSERT INTO `sys_job_log` VALUES (70280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:50:31');
INSERT INTO `sys_job_log` VALUES (70281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:50:31');
INSERT INTO `sys_job_log` VALUES (70282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:50:36');
INSERT INTO `sys_job_log` VALUES (70283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:50:41');
INSERT INTO `sys_job_log` VALUES (70284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:50:46');
INSERT INTO `sys_job_log` VALUES (70285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 18:50:46');
INSERT INTO `sys_job_log` VALUES (70286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:50:51');
INSERT INTO `sys_job_log` VALUES (70287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:50:56');
INSERT INTO `sys_job_log` VALUES (70288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:51:01');
INSERT INTO `sys_job_log` VALUES (70289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:51:01');
INSERT INTO `sys_job_log` VALUES (70290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 18:51:06');
INSERT INTO `sys_job_log` VALUES (70291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:51:11');
INSERT INTO `sys_job_log` VALUES (70292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:51:16');
INSERT INTO `sys_job_log` VALUES (70293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:51:16');
INSERT INTO `sys_job_log` VALUES (70294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:51:21');
INSERT INTO `sys_job_log` VALUES (70295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:51:26');
INSERT INTO `sys_job_log` VALUES (70296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 18:51:31');
INSERT INTO `sys_job_log` VALUES (70297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:51:31');
INSERT INTO `sys_job_log` VALUES (70298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:51:36');
INSERT INTO `sys_job_log` VALUES (70299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:51:41');
INSERT INTO `sys_job_log` VALUES (70300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:51:46');
INSERT INTO `sys_job_log` VALUES (70301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:51:46');
INSERT INTO `sys_job_log` VALUES (70302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:51:51');
INSERT INTO `sys_job_log` VALUES (70303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:51:56');
INSERT INTO `sys_job_log` VALUES (70304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:52:01');
INSERT INTO `sys_job_log` VALUES (70305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:52:01');
INSERT INTO `sys_job_log` VALUES (70306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:52:06');
INSERT INTO `sys_job_log` VALUES (70307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:52:11');
INSERT INTO `sys_job_log` VALUES (70308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:52:16');
INSERT INTO `sys_job_log` VALUES (70309, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:52:16');
INSERT INTO `sys_job_log` VALUES (70310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:52:21');
INSERT INTO `sys_job_log` VALUES (70311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：100毫秒', '0', '', '2025-01-02 18:52:26');
INSERT INTO `sys_job_log` VALUES (70312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 18:52:31');
INSERT INTO `sys_job_log` VALUES (70313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:52:31');
INSERT INTO `sys_job_log` VALUES (70314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:52:36');
INSERT INTO `sys_job_log` VALUES (70315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:52:41');
INSERT INTO `sys_job_log` VALUES (70316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:52:46');
INSERT INTO `sys_job_log` VALUES (70317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:52:46');
INSERT INTO `sys_job_log` VALUES (70318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:52:51');
INSERT INTO `sys_job_log` VALUES (70319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:52:56');
INSERT INTO `sys_job_log` VALUES (70320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:53:01');
INSERT INTO `sys_job_log` VALUES (70321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:53:01');
INSERT INTO `sys_job_log` VALUES (70322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:53:06');
INSERT INTO `sys_job_log` VALUES (70323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 18:53:11');
INSERT INTO `sys_job_log` VALUES (70324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:53:16');
INSERT INTO `sys_job_log` VALUES (70325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:53:16');
INSERT INTO `sys_job_log` VALUES (70326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:53:21');
INSERT INTO `sys_job_log` VALUES (70327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:53:26');
INSERT INTO `sys_job_log` VALUES (70328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:53:31');
INSERT INTO `sys_job_log` VALUES (70329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:53:31');
INSERT INTO `sys_job_log` VALUES (70330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:53:36');
INSERT INTO `sys_job_log` VALUES (70331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:53:41');
INSERT INTO `sys_job_log` VALUES (70332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 18:53:46');
INSERT INTO `sys_job_log` VALUES (70333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:53:46');
INSERT INTO `sys_job_log` VALUES (70334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:53:51');
INSERT INTO `sys_job_log` VALUES (70335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:53:56');
INSERT INTO `sys_job_log` VALUES (70336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:54:01');
INSERT INTO `sys_job_log` VALUES (70337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:54:01');
INSERT INTO `sys_job_log` VALUES (70338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:54:06');
INSERT INTO `sys_job_log` VALUES (70339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:54:11');
INSERT INTO `sys_job_log` VALUES (70340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 18:54:16');
INSERT INTO `sys_job_log` VALUES (70341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 18:54:16');
INSERT INTO `sys_job_log` VALUES (70342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:54:21');
INSERT INTO `sys_job_log` VALUES (70343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 18:54:26');
INSERT INTO `sys_job_log` VALUES (70344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:54:31');
INSERT INTO `sys_job_log` VALUES (70345, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:54:31');
INSERT INTO `sys_job_log` VALUES (70346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:54:36');
INSERT INTO `sys_job_log` VALUES (70347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:54:41');
INSERT INTO `sys_job_log` VALUES (70348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:54:46');
INSERT INTO `sys_job_log` VALUES (70349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:54:46');
INSERT INTO `sys_job_log` VALUES (70350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:54:51');
INSERT INTO `sys_job_log` VALUES (70351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:54:56');
INSERT INTO `sys_job_log` VALUES (70352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 18:55:01');
INSERT INTO `sys_job_log` VALUES (70353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 18:55:01');
INSERT INTO `sys_job_log` VALUES (70354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:55:06');
INSERT INTO `sys_job_log` VALUES (70355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:55:11');
INSERT INTO `sys_job_log` VALUES (70356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:55:16');
INSERT INTO `sys_job_log` VALUES (70357, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 18:55:16');
INSERT INTO `sys_job_log` VALUES (70358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:55:21');
INSERT INTO `sys_job_log` VALUES (70359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 18:55:26');
INSERT INTO `sys_job_log` VALUES (70360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:55:31');
INSERT INTO `sys_job_log` VALUES (70361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:55:31');
INSERT INTO `sys_job_log` VALUES (70362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:55:36');
INSERT INTO `sys_job_log` VALUES (70363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:55:41');
INSERT INTO `sys_job_log` VALUES (70364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:55:46');
INSERT INTO `sys_job_log` VALUES (70365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:55:46');
INSERT INTO `sys_job_log` VALUES (70366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:55:51');
INSERT INTO `sys_job_log` VALUES (70367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 18:55:56');
INSERT INTO `sys_job_log` VALUES (70368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:56:01');
INSERT INTO `sys_job_log` VALUES (70369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:56:01');
INSERT INTO `sys_job_log` VALUES (70370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:56:06');
INSERT INTO `sys_job_log` VALUES (70371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:56:11');
INSERT INTO `sys_job_log` VALUES (70372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 18:56:16');
INSERT INTO `sys_job_log` VALUES (70373, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 18:56:16');
INSERT INTO `sys_job_log` VALUES (70374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:56:21');
INSERT INTO `sys_job_log` VALUES (70375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:56:26');
INSERT INTO `sys_job_log` VALUES (70376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:56:31');
INSERT INTO `sys_job_log` VALUES (70377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:56:31');
INSERT INTO `sys_job_log` VALUES (70378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:56:36');
INSERT INTO `sys_job_log` VALUES (70379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:56:41');
INSERT INTO `sys_job_log` VALUES (70380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:56:46');
INSERT INTO `sys_job_log` VALUES (70381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 18:56:46');
INSERT INTO `sys_job_log` VALUES (70382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:56:51');
INSERT INTO `sys_job_log` VALUES (70383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:56:56');
INSERT INTO `sys_job_log` VALUES (70384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 18:57:01');
INSERT INTO `sys_job_log` VALUES (70385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：51毫秒', '0', '', '2025-01-02 18:57:01');
INSERT INTO `sys_job_log` VALUES (70386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:57:06');
INSERT INTO `sys_job_log` VALUES (70387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 18:57:11');
INSERT INTO `sys_job_log` VALUES (70388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:57:16');
INSERT INTO `sys_job_log` VALUES (70389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:57:16');
INSERT INTO `sys_job_log` VALUES (70390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:57:21');
INSERT INTO `sys_job_log` VALUES (70391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:57:26');
INSERT INTO `sys_job_log` VALUES (70392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:57:31');
INSERT INTO `sys_job_log` VALUES (70393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:57:31');
INSERT INTO `sys_job_log` VALUES (70394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:57:36');
INSERT INTO `sys_job_log` VALUES (70395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:57:41');
INSERT INTO `sys_job_log` VALUES (70396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：150毫秒', '0', '', '2025-01-02 18:57:46');
INSERT INTO `sys_job_log` VALUES (70397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：150毫秒', '0', '', '2025-01-02 18:57:46');
INSERT INTO `sys_job_log` VALUES (70398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:57:51');
INSERT INTO `sys_job_log` VALUES (70399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:57:56');
INSERT INTO `sys_job_log` VALUES (70400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:58:01');
INSERT INTO `sys_job_log` VALUES (70401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:58:01');
INSERT INTO `sys_job_log` VALUES (70402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:58:06');
INSERT INTO `sys_job_log` VALUES (70403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 18:58:11');
INSERT INTO `sys_job_log` VALUES (70404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 18:58:16');
INSERT INTO `sys_job_log` VALUES (70405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:58:16');
INSERT INTO `sys_job_log` VALUES (70406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 18:58:21');
INSERT INTO `sys_job_log` VALUES (70407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 18:58:26');
INSERT INTO `sys_job_log` VALUES (70408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 18:58:31');
INSERT INTO `sys_job_log` VALUES (70409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 18:58:31');
INSERT INTO `sys_job_log` VALUES (70410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:58:36');
INSERT INTO `sys_job_log` VALUES (70411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:58:41');
INSERT INTO `sys_job_log` VALUES (70412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 18:58:46');
INSERT INTO `sys_job_log` VALUES (70413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:58:46');
INSERT INTO `sys_job_log` VALUES (70414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 18:58:51');
INSERT INTO `sys_job_log` VALUES (70415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:58:56');
INSERT INTO `sys_job_log` VALUES (70416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:59:01');
INSERT INTO `sys_job_log` VALUES (70417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 18:59:01');
INSERT INTO `sys_job_log` VALUES (70418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 18:59:06');
INSERT INTO `sys_job_log` VALUES (70419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:59:11');
INSERT INTO `sys_job_log` VALUES (70420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:59:16');
INSERT INTO `sys_job_log` VALUES (70421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:59:16');
INSERT INTO `sys_job_log` VALUES (70422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:59:21');
INSERT INTO `sys_job_log` VALUES (70423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:59:26');
INSERT INTO `sys_job_log` VALUES (70424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 18:59:31');
INSERT INTO `sys_job_log` VALUES (70425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 18:59:31');
INSERT INTO `sys_job_log` VALUES (70426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:59:36');
INSERT INTO `sys_job_log` VALUES (70427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 18:59:41');
INSERT INTO `sys_job_log` VALUES (70428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 18:59:46');
INSERT INTO `sys_job_log` VALUES (70429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 18:59:46');
INSERT INTO `sys_job_log` VALUES (70430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 18:59:51');
INSERT INTO `sys_job_log` VALUES (70431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 18:59:56');
INSERT INTO `sys_job_log` VALUES (70432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:00:01');
INSERT INTO `sys_job_log` VALUES (70433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 19:00:01');
INSERT INTO `sys_job_log` VALUES (70434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 19:00:06');
INSERT INTO `sys_job_log` VALUES (70435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:00:11');
INSERT INTO `sys_job_log` VALUES (70436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:00:16');
INSERT INTO `sys_job_log` VALUES (70437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:00:16');
INSERT INTO `sys_job_log` VALUES (70438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:00:21');
INSERT INTO `sys_job_log` VALUES (70439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:00:26');
INSERT INTO `sys_job_log` VALUES (70440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:00:31');
INSERT INTO `sys_job_log` VALUES (70441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:00:31');
INSERT INTO `sys_job_log` VALUES (70442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 19:00:36');
INSERT INTO `sys_job_log` VALUES (70443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:00:41');
INSERT INTO `sys_job_log` VALUES (70444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:00:46');
INSERT INTO `sys_job_log` VALUES (70445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:00:46');
INSERT INTO `sys_job_log` VALUES (70446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:00:51');
INSERT INTO `sys_job_log` VALUES (70447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:00:56');
INSERT INTO `sys_job_log` VALUES (70448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:01:01');
INSERT INTO `sys_job_log` VALUES (70449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:01:01');
INSERT INTO `sys_job_log` VALUES (70450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:01:06');
INSERT INTO `sys_job_log` VALUES (70451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:01:11');
INSERT INTO `sys_job_log` VALUES (70452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:01:16');
INSERT INTO `sys_job_log` VALUES (70453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:01:16');
INSERT INTO `sys_job_log` VALUES (70454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:01:21');
INSERT INTO `sys_job_log` VALUES (70455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:01:26');
INSERT INTO `sys_job_log` VALUES (70456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:01:31');
INSERT INTO `sys_job_log` VALUES (70457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:01:31');
INSERT INTO `sys_job_log` VALUES (70458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:01:36');
INSERT INTO `sys_job_log` VALUES (70459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:01:41');
INSERT INTO `sys_job_log` VALUES (70460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:01:46');
INSERT INTO `sys_job_log` VALUES (70461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:01:46');
INSERT INTO `sys_job_log` VALUES (70462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:01:51');
INSERT INTO `sys_job_log` VALUES (70463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:01:56');
INSERT INTO `sys_job_log` VALUES (70464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:02:01');
INSERT INTO `sys_job_log` VALUES (70465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:02:01');
INSERT INTO `sys_job_log` VALUES (70466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:02:06');
INSERT INTO `sys_job_log` VALUES (70467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:02:11');
INSERT INTO `sys_job_log` VALUES (70468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:02:16');
INSERT INTO `sys_job_log` VALUES (70469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:02:16');
INSERT INTO `sys_job_log` VALUES (70470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:02:21');
INSERT INTO `sys_job_log` VALUES (70471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:02:26');
INSERT INTO `sys_job_log` VALUES (70472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:02:31');
INSERT INTO `sys_job_log` VALUES (70473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:02:31');
INSERT INTO `sys_job_log` VALUES (70474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:02:36');
INSERT INTO `sys_job_log` VALUES (70475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:02:41');
INSERT INTO `sys_job_log` VALUES (70476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:02:46');
INSERT INTO `sys_job_log` VALUES (70477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:02:46');
INSERT INTO `sys_job_log` VALUES (70478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:02:51');
INSERT INTO `sys_job_log` VALUES (70479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:02:56');
INSERT INTO `sys_job_log` VALUES (70480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:03:01');
INSERT INTO `sys_job_log` VALUES (70481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:03:01');
INSERT INTO `sys_job_log` VALUES (70482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:03:06');
INSERT INTO `sys_job_log` VALUES (70483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:03:11');
INSERT INTO `sys_job_log` VALUES (70484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:03:16');
INSERT INTO `sys_job_log` VALUES (70485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:03:16');
INSERT INTO `sys_job_log` VALUES (70486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:03:21');
INSERT INTO `sys_job_log` VALUES (70487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:03:26');
INSERT INTO `sys_job_log` VALUES (70488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:03:31');
INSERT INTO `sys_job_log` VALUES (70489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:03:31');
INSERT INTO `sys_job_log` VALUES (70490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:03:36');
INSERT INTO `sys_job_log` VALUES (70491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:03:41');
INSERT INTO `sys_job_log` VALUES (70492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:03:46');
INSERT INTO `sys_job_log` VALUES (70493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:03:46');
INSERT INTO `sys_job_log` VALUES (70494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 19:03:51');
INSERT INTO `sys_job_log` VALUES (70495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:03:56');
INSERT INTO `sys_job_log` VALUES (70496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:04:01');
INSERT INTO `sys_job_log` VALUES (70497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:04:01');
INSERT INTO `sys_job_log` VALUES (70498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:04:06');
INSERT INTO `sys_job_log` VALUES (70499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:04:11');
INSERT INTO `sys_job_log` VALUES (70500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:04:16');
INSERT INTO `sys_job_log` VALUES (70501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:04:16');
INSERT INTO `sys_job_log` VALUES (70502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:04:21');
INSERT INTO `sys_job_log` VALUES (70503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:04:26');
INSERT INTO `sys_job_log` VALUES (70504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:04:31');
INSERT INTO `sys_job_log` VALUES (70505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:04:31');
INSERT INTO `sys_job_log` VALUES (70506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:04:36');
INSERT INTO `sys_job_log` VALUES (70507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:04:41');
INSERT INTO `sys_job_log` VALUES (70508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:04:46');
INSERT INTO `sys_job_log` VALUES (70509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:04:46');
INSERT INTO `sys_job_log` VALUES (70510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:04:51');
INSERT INTO `sys_job_log` VALUES (70511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:04:56');
INSERT INTO `sys_job_log` VALUES (70512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:05:01');
INSERT INTO `sys_job_log` VALUES (70513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:05:01');
INSERT INTO `sys_job_log` VALUES (70514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:05:06');
INSERT INTO `sys_job_log` VALUES (70515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 19:05:11');
INSERT INTO `sys_job_log` VALUES (70516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:05:16');
INSERT INTO `sys_job_log` VALUES (70517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:05:16');
INSERT INTO `sys_job_log` VALUES (70518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:05:21');
INSERT INTO `sys_job_log` VALUES (70519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:05:26');
INSERT INTO `sys_job_log` VALUES (70520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 19:05:31');
INSERT INTO `sys_job_log` VALUES (70521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:05:31');
INSERT INTO `sys_job_log` VALUES (70522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:05:36');
INSERT INTO `sys_job_log` VALUES (70523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:05:41');
INSERT INTO `sys_job_log` VALUES (70524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:05:46');
INSERT INTO `sys_job_log` VALUES (70525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:05:46');
INSERT INTO `sys_job_log` VALUES (70526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:05:51');
INSERT INTO `sys_job_log` VALUES (70527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:05:56');
INSERT INTO `sys_job_log` VALUES (70528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:06:01');
INSERT INTO `sys_job_log` VALUES (70529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 19:06:01');
INSERT INTO `sys_job_log` VALUES (70530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 19:06:06');
INSERT INTO `sys_job_log` VALUES (70531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:06:11');
INSERT INTO `sys_job_log` VALUES (70532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:06:16');
INSERT INTO `sys_job_log` VALUES (70533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:06:16');
INSERT INTO `sys_job_log` VALUES (70534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:06:21');
INSERT INTO `sys_job_log` VALUES (70535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:06:26');
INSERT INTO `sys_job_log` VALUES (70536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:06:31');
INSERT INTO `sys_job_log` VALUES (70537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:06:31');
INSERT INTO `sys_job_log` VALUES (70538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:06:36');
INSERT INTO `sys_job_log` VALUES (70539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:06:41');
INSERT INTO `sys_job_log` VALUES (70540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:06:46');
INSERT INTO `sys_job_log` VALUES (70541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:06:46');
INSERT INTO `sys_job_log` VALUES (70542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:06:51');
INSERT INTO `sys_job_log` VALUES (70543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:06:56');
INSERT INTO `sys_job_log` VALUES (70544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:07:01');
INSERT INTO `sys_job_log` VALUES (70545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:07:01');
INSERT INTO `sys_job_log` VALUES (70546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:07:06');
INSERT INTO `sys_job_log` VALUES (70547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:07:11');
INSERT INTO `sys_job_log` VALUES (70548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:07:16');
INSERT INTO `sys_job_log` VALUES (70549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 19:07:16');
INSERT INTO `sys_job_log` VALUES (70550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:07:21');
INSERT INTO `sys_job_log` VALUES (70551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:07:26');
INSERT INTO `sys_job_log` VALUES (70552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:07:31');
INSERT INTO `sys_job_log` VALUES (70553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:07:31');
INSERT INTO `sys_job_log` VALUES (70554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:07:36');
INSERT INTO `sys_job_log` VALUES (70555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:07:41');
INSERT INTO `sys_job_log` VALUES (70556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:07:46');
INSERT INTO `sys_job_log` VALUES (70557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:07:46');
INSERT INTO `sys_job_log` VALUES (70558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:07:51');
INSERT INTO `sys_job_log` VALUES (70559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：168毫秒', '0', '', '2025-01-02 19:07:56');
INSERT INTO `sys_job_log` VALUES (70560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:08:01');
INSERT INTO `sys_job_log` VALUES (70561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 19:08:01');
INSERT INTO `sys_job_log` VALUES (70562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:08:06');
INSERT INTO `sys_job_log` VALUES (70563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:08:11');
INSERT INTO `sys_job_log` VALUES (70564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 19:08:16');
INSERT INTO `sys_job_log` VALUES (70565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:08:16');
INSERT INTO `sys_job_log` VALUES (70566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:08:21');
INSERT INTO `sys_job_log` VALUES (70567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:08:26');
INSERT INTO `sys_job_log` VALUES (70568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 19:08:31');
INSERT INTO `sys_job_log` VALUES (70569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 19:08:31');
INSERT INTO `sys_job_log` VALUES (70570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:08:36');
INSERT INTO `sys_job_log` VALUES (70571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:08:41');
INSERT INTO `sys_job_log` VALUES (70572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:08:46');
INSERT INTO `sys_job_log` VALUES (70573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:08:46');
INSERT INTO `sys_job_log` VALUES (70574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:08:51');
INSERT INTO `sys_job_log` VALUES (70575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:08:56');
INSERT INTO `sys_job_log` VALUES (70576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:09:01');
INSERT INTO `sys_job_log` VALUES (70577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 19:09:01');
INSERT INTO `sys_job_log` VALUES (70578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:09:06');
INSERT INTO `sys_job_log` VALUES (70579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:09:11');
INSERT INTO `sys_job_log` VALUES (70580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:09:16');
INSERT INTO `sys_job_log` VALUES (70581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:09:16');
INSERT INTO `sys_job_log` VALUES (70582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:09:21');
INSERT INTO `sys_job_log` VALUES (70583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:09:26');
INSERT INTO `sys_job_log` VALUES (70584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:09:31');
INSERT INTO `sys_job_log` VALUES (70585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:09:31');
INSERT INTO `sys_job_log` VALUES (70586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:09:36');
INSERT INTO `sys_job_log` VALUES (70587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:09:41');
INSERT INTO `sys_job_log` VALUES (70588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:09:46');
INSERT INTO `sys_job_log` VALUES (70589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:09:46');
INSERT INTO `sys_job_log` VALUES (70590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:09:51');
INSERT INTO `sys_job_log` VALUES (70591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:09:56');
INSERT INTO `sys_job_log` VALUES (70592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:10:01');
INSERT INTO `sys_job_log` VALUES (70593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:10:01');
INSERT INTO `sys_job_log` VALUES (70594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:10:06');
INSERT INTO `sys_job_log` VALUES (70595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:10:11');
INSERT INTO `sys_job_log` VALUES (70596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:10:16');
INSERT INTO `sys_job_log` VALUES (70597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:10:16');
INSERT INTO `sys_job_log` VALUES (70598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:10:21');
INSERT INTO `sys_job_log` VALUES (70599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 19:10:26');
INSERT INTO `sys_job_log` VALUES (70600, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 19:10:31');
INSERT INTO `sys_job_log` VALUES (70601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:10:31');
INSERT INTO `sys_job_log` VALUES (70602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:10:36');
INSERT INTO `sys_job_log` VALUES (70603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:10:41');
INSERT INTO `sys_job_log` VALUES (70604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:10:46');
INSERT INTO `sys_job_log` VALUES (70605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:10:46');
INSERT INTO `sys_job_log` VALUES (70606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:10:51');
INSERT INTO `sys_job_log` VALUES (70607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:10:56');
INSERT INTO `sys_job_log` VALUES (70608, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:01');
INSERT INTO `sys_job_log` VALUES (70609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:01');
INSERT INTO `sys_job_log` VALUES (70610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:11:06');
INSERT INTO `sys_job_log` VALUES (70611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：72毫秒', '0', '', '2025-01-02 19:11:11');
INSERT INTO `sys_job_log` VALUES (70612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:16');
INSERT INTO `sys_job_log` VALUES (70613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:16');
INSERT INTO `sys_job_log` VALUES (70614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:21');
INSERT INTO `sys_job_log` VALUES (70615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:26');
INSERT INTO `sys_job_log` VALUES (70616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:31');
INSERT INTO `sys_job_log` VALUES (70617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:11:31');
INSERT INTO `sys_job_log` VALUES (70618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 19:11:36');
INSERT INTO `sys_job_log` VALUES (70619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:11:41');
INSERT INTO `sys_job_log` VALUES (70620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:11:46');
INSERT INTO `sys_job_log` VALUES (70621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 19:11:46');
INSERT INTO `sys_job_log` VALUES (70622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:11:51');
INSERT INTO `sys_job_log` VALUES (70623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:11:56');
INSERT INTO `sys_job_log` VALUES (70624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:12:01');
INSERT INTO `sys_job_log` VALUES (70625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:12:01');
INSERT INTO `sys_job_log` VALUES (70626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:12:06');
INSERT INTO `sys_job_log` VALUES (70627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:12:11');
INSERT INTO `sys_job_log` VALUES (70628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 19:12:16');
INSERT INTO `sys_job_log` VALUES (70629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 19:12:16');
INSERT INTO `sys_job_log` VALUES (70630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:12:21');
INSERT INTO `sys_job_log` VALUES (70631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:12:26');
INSERT INTO `sys_job_log` VALUES (70632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:12:31');
INSERT INTO `sys_job_log` VALUES (70633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:12:31');
INSERT INTO `sys_job_log` VALUES (70634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 19:12:36');
INSERT INTO `sys_job_log` VALUES (70635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:12:41');
INSERT INTO `sys_job_log` VALUES (70636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:12:46');
INSERT INTO `sys_job_log` VALUES (70637, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:12:46');
INSERT INTO `sys_job_log` VALUES (70638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:12:51');
INSERT INTO `sys_job_log` VALUES (70639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:12:56');
INSERT INTO `sys_job_log` VALUES (70640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:13:01');
INSERT INTO `sys_job_log` VALUES (70641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:13:01');
INSERT INTO `sys_job_log` VALUES (70642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:13:06');
INSERT INTO `sys_job_log` VALUES (70643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:13:11');
INSERT INTO `sys_job_log` VALUES (70644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 19:13:16');
INSERT INTO `sys_job_log` VALUES (70645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 19:13:16');
INSERT INTO `sys_job_log` VALUES (70646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:13:21');
INSERT INTO `sys_job_log` VALUES (70647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:13:26');
INSERT INTO `sys_job_log` VALUES (70648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:13:31');
INSERT INTO `sys_job_log` VALUES (70649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:13:31');
INSERT INTO `sys_job_log` VALUES (70650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:13:36');
INSERT INTO `sys_job_log` VALUES (70651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:13:41');
INSERT INTO `sys_job_log` VALUES (70652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:13:46');
INSERT INTO `sys_job_log` VALUES (70653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:13:46');
INSERT INTO `sys_job_log` VALUES (70654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:13:51');
INSERT INTO `sys_job_log` VALUES (70655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:13:56');
INSERT INTO `sys_job_log` VALUES (70656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:14:01');
INSERT INTO `sys_job_log` VALUES (70657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:14:01');
INSERT INTO `sys_job_log` VALUES (70658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:14:06');
INSERT INTO `sys_job_log` VALUES (70659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:14:11');
INSERT INTO `sys_job_log` VALUES (70660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:14:16');
INSERT INTO `sys_job_log` VALUES (70661, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:14:16');
INSERT INTO `sys_job_log` VALUES (70662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:14:21');
INSERT INTO `sys_job_log` VALUES (70663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:14:26');
INSERT INTO `sys_job_log` VALUES (70664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:14:31');
INSERT INTO `sys_job_log` VALUES (70665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:14:31');
INSERT INTO `sys_job_log` VALUES (70666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:14:36');
INSERT INTO `sys_job_log` VALUES (70667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:14:41');
INSERT INTO `sys_job_log` VALUES (70668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:14:46');
INSERT INTO `sys_job_log` VALUES (70669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:14:46');
INSERT INTO `sys_job_log` VALUES (70670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:14:51');
INSERT INTO `sys_job_log` VALUES (70671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:14:56');
INSERT INTO `sys_job_log` VALUES (70672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:15:01');
INSERT INTO `sys_job_log` VALUES (70673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:15:01');
INSERT INTO `sys_job_log` VALUES (70674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:15:06');
INSERT INTO `sys_job_log` VALUES (70675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:15:11');
INSERT INTO `sys_job_log` VALUES (70676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:15:16');
INSERT INTO `sys_job_log` VALUES (70677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:15:16');
INSERT INTO `sys_job_log` VALUES (70678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:15:21');
INSERT INTO `sys_job_log` VALUES (70679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:15:26');
INSERT INTO `sys_job_log` VALUES (70680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:15:31');
INSERT INTO `sys_job_log` VALUES (70681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:15:31');
INSERT INTO `sys_job_log` VALUES (70682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:15:36');
INSERT INTO `sys_job_log` VALUES (70683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:15:41');
INSERT INTO `sys_job_log` VALUES (70684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:15:46');
INSERT INTO `sys_job_log` VALUES (70685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:15:46');
INSERT INTO `sys_job_log` VALUES (70686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:15:51');
INSERT INTO `sys_job_log` VALUES (70687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:15:56');
INSERT INTO `sys_job_log` VALUES (70688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:16:01');
INSERT INTO `sys_job_log` VALUES (70689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:16:01');
INSERT INTO `sys_job_log` VALUES (70690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:16:06');
INSERT INTO `sys_job_log` VALUES (70691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:16:11');
INSERT INTO `sys_job_log` VALUES (70692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:16:16');
INSERT INTO `sys_job_log` VALUES (70693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:16:16');
INSERT INTO `sys_job_log` VALUES (70694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:16:21');
INSERT INTO `sys_job_log` VALUES (70695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:16:26');
INSERT INTO `sys_job_log` VALUES (70696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:16:31');
INSERT INTO `sys_job_log` VALUES (70697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:16:31');
INSERT INTO `sys_job_log` VALUES (70698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:16:36');
INSERT INTO `sys_job_log` VALUES (70699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:16:41');
INSERT INTO `sys_job_log` VALUES (70700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:16:46');
INSERT INTO `sys_job_log` VALUES (70701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:16:46');
INSERT INTO `sys_job_log` VALUES (70702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:16:51');
INSERT INTO `sys_job_log` VALUES (70703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:16:56');
INSERT INTO `sys_job_log` VALUES (70704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:17:01');
INSERT INTO `sys_job_log` VALUES (70705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:17:01');
INSERT INTO `sys_job_log` VALUES (70706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:17:06');
INSERT INTO `sys_job_log` VALUES (70707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:17:11');
INSERT INTO `sys_job_log` VALUES (70708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:17:16');
INSERT INTO `sys_job_log` VALUES (70709, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:17:16');
INSERT INTO `sys_job_log` VALUES (70710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:17:21');
INSERT INTO `sys_job_log` VALUES (70711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:17:26');
INSERT INTO `sys_job_log` VALUES (70712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：29毫秒', '0', '', '2025-01-02 19:17:31');
INSERT INTO `sys_job_log` VALUES (70713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29毫秒', '0', '', '2025-01-02 19:17:31');
INSERT INTO `sys_job_log` VALUES (70714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:17:36');
INSERT INTO `sys_job_log` VALUES (70715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:17:41');
INSERT INTO `sys_job_log` VALUES (70716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:17:46');
INSERT INTO `sys_job_log` VALUES (70717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:17:46');
INSERT INTO `sys_job_log` VALUES (70718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:17:51');
INSERT INTO `sys_job_log` VALUES (70719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:17:56');
INSERT INTO `sys_job_log` VALUES (70720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:18:01');
INSERT INTO `sys_job_log` VALUES (70721, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:18:01');
INSERT INTO `sys_job_log` VALUES (70722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2025-01-02 19:18:06');
INSERT INTO `sys_job_log` VALUES (70723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:18:11');
INSERT INTO `sys_job_log` VALUES (70724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:18:16');
INSERT INTO `sys_job_log` VALUES (70725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:18:16');
INSERT INTO `sys_job_log` VALUES (70726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:18:21');
INSERT INTO `sys_job_log` VALUES (70727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:18:26');
INSERT INTO `sys_job_log` VALUES (70728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:18:31');
INSERT INTO `sys_job_log` VALUES (70729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:18:31');
INSERT INTO `sys_job_log` VALUES (70730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:18:36');
INSERT INTO `sys_job_log` VALUES (70731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:18:41');
INSERT INTO `sys_job_log` VALUES (70732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:18:46');
INSERT INTO `sys_job_log` VALUES (70733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:18:46');
INSERT INTO `sys_job_log` VALUES (70734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:18:51');
INSERT INTO `sys_job_log` VALUES (70735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:18:56');
INSERT INTO `sys_job_log` VALUES (70736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 19:19:01');
INSERT INTO `sys_job_log` VALUES (70737, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:19:01');
INSERT INTO `sys_job_log` VALUES (70738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:19:06');
INSERT INTO `sys_job_log` VALUES (70739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:19:11');
INSERT INTO `sys_job_log` VALUES (70740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:19:16');
INSERT INTO `sys_job_log` VALUES (70741, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:19:16');
INSERT INTO `sys_job_log` VALUES (70742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:19:21');
INSERT INTO `sys_job_log` VALUES (70743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:19:26');
INSERT INTO `sys_job_log` VALUES (70744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:19:31');
INSERT INTO `sys_job_log` VALUES (70745, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:19:31');
INSERT INTO `sys_job_log` VALUES (70746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:19:36');
INSERT INTO `sys_job_log` VALUES (70747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:19:41');
INSERT INTO `sys_job_log` VALUES (70748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:19:46');
INSERT INTO `sys_job_log` VALUES (70749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:19:46');
INSERT INTO `sys_job_log` VALUES (70750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:19:51');
INSERT INTO `sys_job_log` VALUES (70751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:19:56');
INSERT INTO `sys_job_log` VALUES (70752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:20:01');
INSERT INTO `sys_job_log` VALUES (70753, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 19:20:01');
INSERT INTO `sys_job_log` VALUES (70754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:20:06');
INSERT INTO `sys_job_log` VALUES (70755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:20:11');
INSERT INTO `sys_job_log` VALUES (70756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 19:20:16');
INSERT INTO `sys_job_log` VALUES (70757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:20:16');
INSERT INTO `sys_job_log` VALUES (70758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:20:21');
INSERT INTO `sys_job_log` VALUES (70759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 19:20:26');
INSERT INTO `sys_job_log` VALUES (70760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:20:31');
INSERT INTO `sys_job_log` VALUES (70761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:20:31');
INSERT INTO `sys_job_log` VALUES (70762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:20:36');
INSERT INTO `sys_job_log` VALUES (70763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:20:41');
INSERT INTO `sys_job_log` VALUES (70764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:20:46');
INSERT INTO `sys_job_log` VALUES (70765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:20:46');
INSERT INTO `sys_job_log` VALUES (70766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：61毫秒', '0', '', '2025-01-02 19:20:51');
INSERT INTO `sys_job_log` VALUES (70767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:20:56');
INSERT INTO `sys_job_log` VALUES (70768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:21:01');
INSERT INTO `sys_job_log` VALUES (70769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:21:01');
INSERT INTO `sys_job_log` VALUES (70770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:21:06');
INSERT INTO `sys_job_log` VALUES (70771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:21:11');
INSERT INTO `sys_job_log` VALUES (70772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 19:21:16');
INSERT INTO `sys_job_log` VALUES (70773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：33毫秒', '0', '', '2025-01-02 19:21:16');
INSERT INTO `sys_job_log` VALUES (70774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:21:21');
INSERT INTO `sys_job_log` VALUES (70775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:21:26');
INSERT INTO `sys_job_log` VALUES (70776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:21:31');
INSERT INTO `sys_job_log` VALUES (70777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 19:21:31');
INSERT INTO `sys_job_log` VALUES (70778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:21:36');
INSERT INTO `sys_job_log` VALUES (70779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:21:41');
INSERT INTO `sys_job_log` VALUES (70780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:21:46');
INSERT INTO `sys_job_log` VALUES (70781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:21:46');
INSERT INTO `sys_job_log` VALUES (70782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:21:51');
INSERT INTO `sys_job_log` VALUES (70783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:21:56');
INSERT INTO `sys_job_log` VALUES (70784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 19:22:01');
INSERT INTO `sys_job_log` VALUES (70785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:22:01');
INSERT INTO `sys_job_log` VALUES (70786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:22:06');
INSERT INTO `sys_job_log` VALUES (70787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 19:22:11');
INSERT INTO `sys_job_log` VALUES (70788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 19:22:16');
INSERT INTO `sys_job_log` VALUES (70789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:22:16');
INSERT INTO `sys_job_log` VALUES (70790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:22:21');
INSERT INTO `sys_job_log` VALUES (70791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:22:26');
INSERT INTO `sys_job_log` VALUES (70792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：32毫秒', '0', '', '2025-01-02 19:22:31');
INSERT INTO `sys_job_log` VALUES (70793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 19:22:31');
INSERT INTO `sys_job_log` VALUES (70794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:22:36');
INSERT INTO `sys_job_log` VALUES (70795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:22:41');
INSERT INTO `sys_job_log` VALUES (70796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 19:22:46');
INSERT INTO `sys_job_log` VALUES (70797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:22:46');
INSERT INTO `sys_job_log` VALUES (70798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:22:51');
INSERT INTO `sys_job_log` VALUES (70799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:22:56');
INSERT INTO `sys_job_log` VALUES (70800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:23:01');
INSERT INTO `sys_job_log` VALUES (70801, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 19:23:01');
INSERT INTO `sys_job_log` VALUES (70802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:23:06');
INSERT INTO `sys_job_log` VALUES (70803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:23:11');
INSERT INTO `sys_job_log` VALUES (70804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:23:16');
INSERT INTO `sys_job_log` VALUES (70805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 19:23:16');
INSERT INTO `sys_job_log` VALUES (70806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 19:23:21');
INSERT INTO `sys_job_log` VALUES (70807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:23:26');
INSERT INTO `sys_job_log` VALUES (70808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 19:23:31');
INSERT INTO `sys_job_log` VALUES (70809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 19:23:31');
INSERT INTO `sys_job_log` VALUES (70810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:23:36');
INSERT INTO `sys_job_log` VALUES (70811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:23:41');
INSERT INTO `sys_job_log` VALUES (70812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 19:23:46');
INSERT INTO `sys_job_log` VALUES (70813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:23:46');
INSERT INTO `sys_job_log` VALUES (70814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:23:51');
INSERT INTO `sys_job_log` VALUES (70815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:23:56');
INSERT INTO `sys_job_log` VALUES (70816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 19:24:01');
INSERT INTO `sys_job_log` VALUES (70817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 19:24:01');
INSERT INTO `sys_job_log` VALUES (70818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:24:06');
INSERT INTO `sys_job_log` VALUES (70819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-02 19:24:11');
INSERT INTO `sys_job_log` VALUES (70820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 19:24:16');
INSERT INTO `sys_job_log` VALUES (70821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:24:16');
INSERT INTO `sys_job_log` VALUES (70822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:24:21');
INSERT INTO `sys_job_log` VALUES (70823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:24:26');
INSERT INTO `sys_job_log` VALUES (70824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:24:31');
INSERT INTO `sys_job_log` VALUES (70825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:24:31');
INSERT INTO `sys_job_log` VALUES (70826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 19:24:36');
INSERT INTO `sys_job_log` VALUES (70827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 19:24:41');
INSERT INTO `sys_job_log` VALUES (70828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:24:46');
INSERT INTO `sys_job_log` VALUES (70829, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:24:46');
INSERT INTO `sys_job_log` VALUES (70830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 19:24:51');
INSERT INTO `sys_job_log` VALUES (70831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:24:56');
INSERT INTO `sys_job_log` VALUES (70832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 19:25:01');
INSERT INTO `sys_job_log` VALUES (70833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:25:01');
INSERT INTO `sys_job_log` VALUES (70834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:25:06');
INSERT INTO `sys_job_log` VALUES (70835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 19:25:11');
INSERT INTO `sys_job_log` VALUES (70836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:25:16');
INSERT INTO `sys_job_log` VALUES (70837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:25:16');
INSERT INTO `sys_job_log` VALUES (70838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 19:25:21');
INSERT INTO `sys_job_log` VALUES (70839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:25:26');
INSERT INTO `sys_job_log` VALUES (70840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:25:31');
INSERT INTO `sys_job_log` VALUES (70841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 19:25:31');
INSERT INTO `sys_job_log` VALUES (70842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:25:36');
INSERT INTO `sys_job_log` VALUES (70843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:25:41');
INSERT INTO `sys_job_log` VALUES (70844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：30毫秒', '0', '', '2025-01-02 19:25:46');
INSERT INTO `sys_job_log` VALUES (70845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:25:46');
INSERT INTO `sys_job_log` VALUES (70846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 19:25:51');
INSERT INTO `sys_job_log` VALUES (70847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 19:25:56');
INSERT INTO `sys_job_log` VALUES (70848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 19:26:01');
INSERT INTO `sys_job_log` VALUES (70849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 19:26:01');
INSERT INTO `sys_job_log` VALUES (70850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-02 19:26:06');
INSERT INTO `sys_job_log` VALUES (70851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 19:26:11');
INSERT INTO `sys_job_log` VALUES (70852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 19:26:16');
INSERT INTO `sys_job_log` VALUES (70853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:26:16');
INSERT INTO `sys_job_log` VALUES (70854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 19:26:21');
INSERT INTO `sys_job_log` VALUES (70855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 19:26:26');
INSERT INTO `sys_job_log` VALUES (70856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 19:26:31');
INSERT INTO `sys_job_log` VALUES (70857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 19:26:31');
INSERT INTO `sys_job_log` VALUES (70858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:26:36');
INSERT INTO `sys_job_log` VALUES (70859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 19:26:41');
INSERT INTO `sys_job_log` VALUES (70860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 19:26:46');
INSERT INTO `sys_job_log` VALUES (70861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 19:26:46');
INSERT INTO `sys_job_log` VALUES (70862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:26:51');
INSERT INTO `sys_job_log` VALUES (70863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 19:26:56');
INSERT INTO `sys_job_log` VALUES (70864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:27:01');
INSERT INTO `sys_job_log` VALUES (70865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:27:01');
INSERT INTO `sys_job_log` VALUES (70866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:27:06');
INSERT INTO `sys_job_log` VALUES (70867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 19:27:11');
INSERT INTO `sys_job_log` VALUES (70868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 19:27:16');
INSERT INTO `sys_job_log` VALUES (70869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 19:27:16');
INSERT INTO `sys_job_log` VALUES (70870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 19:27:21');
INSERT INTO `sys_job_log` VALUES (70871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 19:27:26');
INSERT INTO `sys_job_log` VALUES (70872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 19:27:31');
INSERT INTO `sys_job_log` VALUES (70873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 19:27:31');
INSERT INTO `sys_job_log` VALUES (70874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 19:27:36');
INSERT INTO `sys_job_log` VALUES (70875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:02:34');
INSERT INTO `sys_job_log` VALUES (70876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 12:02:34');
INSERT INTO `sys_job_log` VALUES (70877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:02:36');
INSERT INTO `sys_job_log` VALUES (70878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:02:41');
INSERT INTO `sys_job_log` VALUES (70879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:02:46');
INSERT INTO `sys_job_log` VALUES (70880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:02:46');
INSERT INTO `sys_job_log` VALUES (70881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:02:51');
INSERT INTO `sys_job_log` VALUES (70882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:02:56');
INSERT INTO `sys_job_log` VALUES (70883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:03:01');
INSERT INTO `sys_job_log` VALUES (70884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:03:01');
INSERT INTO `sys_job_log` VALUES (70885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:03:06');
INSERT INTO `sys_job_log` VALUES (70886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:03:11');
INSERT INTO `sys_job_log` VALUES (70887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:03:16');
INSERT INTO `sys_job_log` VALUES (70888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:03:16');
INSERT INTO `sys_job_log` VALUES (70889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:03:21');
INSERT INTO `sys_job_log` VALUES (70890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:03:26');
INSERT INTO `sys_job_log` VALUES (70891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 12:03:31');
INSERT INTO `sys_job_log` VALUES (70892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 12:03:31');
INSERT INTO `sys_job_log` VALUES (70893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:03:36');
INSERT INTO `sys_job_log` VALUES (70894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:03:41');
INSERT INTO `sys_job_log` VALUES (70895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:03:46');
INSERT INTO `sys_job_log` VALUES (70896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:03:46');
INSERT INTO `sys_job_log` VALUES (70897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:03:51');
INSERT INTO `sys_job_log` VALUES (70898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:03:56');
INSERT INTO `sys_job_log` VALUES (70899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:04:01');
INSERT INTO `sys_job_log` VALUES (70900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:04:01');
INSERT INTO `sys_job_log` VALUES (70901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:04:06');
INSERT INTO `sys_job_log` VALUES (70902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:04:11');
INSERT INTO `sys_job_log` VALUES (70903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：60毫秒', '0', '', '2025-01-02 12:04:16');
INSERT INTO `sys_job_log` VALUES (70904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：60毫秒', '0', '', '2025-01-02 12:04:16');
INSERT INTO `sys_job_log` VALUES (70905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:04:21');
INSERT INTO `sys_job_log` VALUES (70906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:04:26');
INSERT INTO `sys_job_log` VALUES (70907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 12:04:31');
INSERT INTO `sys_job_log` VALUES (70908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:04:31');
INSERT INTO `sys_job_log` VALUES (70909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:04:36');
INSERT INTO `sys_job_log` VALUES (70910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:04:41');
INSERT INTO `sys_job_log` VALUES (70911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:04:46');
INSERT INTO `sys_job_log` VALUES (70912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:04:46');
INSERT INTO `sys_job_log` VALUES (70913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:04:51');
INSERT INTO `sys_job_log` VALUES (70914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:04:56');
INSERT INTO `sys_job_log` VALUES (70915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:01');
INSERT INTO `sys_job_log` VALUES (70916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 12:05:01');
INSERT INTO `sys_job_log` VALUES (70917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:05:06');
INSERT INTO `sys_job_log` VALUES (70918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:05:11');
INSERT INTO `sys_job_log` VALUES (70919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:05:16');
INSERT INTO `sys_job_log` VALUES (70920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:05:16');
INSERT INTO `sys_job_log` VALUES (70921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:05:21');
INSERT INTO `sys_job_log` VALUES (70922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:05:26');
INSERT INTO `sys_job_log` VALUES (70923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:05:31');
INSERT INTO `sys_job_log` VALUES (70924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:05:31');
INSERT INTO `sys_job_log` VALUES (70925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:05:36');
INSERT INTO `sys_job_log` VALUES (70926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:05:41');
INSERT INTO `sys_job_log` VALUES (70927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 12:05:46');
INSERT INTO `sys_job_log` VALUES (70928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:05:46');
INSERT INTO `sys_job_log` VALUES (70929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:05:51');
INSERT INTO `sys_job_log` VALUES (70930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:05:56');
INSERT INTO `sys_job_log` VALUES (70931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:06:01');
INSERT INTO `sys_job_log` VALUES (70932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:06:01');
INSERT INTO `sys_job_log` VALUES (70933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:06');
INSERT INTO `sys_job_log` VALUES (70934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:06:11');
INSERT INTO `sys_job_log` VALUES (70935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:06:16');
INSERT INTO `sys_job_log` VALUES (70936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:06:16');
INSERT INTO `sys_job_log` VALUES (70937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:06:21');
INSERT INTO `sys_job_log` VALUES (70938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:26');
INSERT INTO `sys_job_log` VALUES (70939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:31');
INSERT INTO `sys_job_log` VALUES (70940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:31');
INSERT INTO `sys_job_log` VALUES (70941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:06:36');
INSERT INTO `sys_job_log` VALUES (70942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:41');
INSERT INTO `sys_job_log` VALUES (70943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:46');
INSERT INTO `sys_job_log` VALUES (70944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:06:46');
INSERT INTO `sys_job_log` VALUES (70945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:06:51');
INSERT INTO `sys_job_log` VALUES (70946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 12:06:56');
INSERT INTO `sys_job_log` VALUES (70947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:07:01');
INSERT INTO `sys_job_log` VALUES (70948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:07:01');
INSERT INTO `sys_job_log` VALUES (70949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:07:06');
INSERT INTO `sys_job_log` VALUES (70950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:07:11');
INSERT INTO `sys_job_log` VALUES (70951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:07:16');
INSERT INTO `sys_job_log` VALUES (70952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:07:16');
INSERT INTO `sys_job_log` VALUES (70953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:07:21');
INSERT INTO `sys_job_log` VALUES (70954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:07:26');
INSERT INTO `sys_job_log` VALUES (70955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:07:31');
INSERT INTO `sys_job_log` VALUES (70956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:07:31');
INSERT INTO `sys_job_log` VALUES (70957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:07:36');
INSERT INTO `sys_job_log` VALUES (70958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:07:41');
INSERT INTO `sys_job_log` VALUES (70959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 12:07:46');
INSERT INTO `sys_job_log` VALUES (70960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:07:46');
INSERT INTO `sys_job_log` VALUES (70961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:07:51');
INSERT INTO `sys_job_log` VALUES (70962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:07:56');
INSERT INTO `sys_job_log` VALUES (70963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:08:01');
INSERT INTO `sys_job_log` VALUES (70964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:08:01');
INSERT INTO `sys_job_log` VALUES (70965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:08:06');
INSERT INTO `sys_job_log` VALUES (70966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:08:11');
INSERT INTO `sys_job_log` VALUES (70967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:08:16');
INSERT INTO `sys_job_log` VALUES (70968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 12:08:16');
INSERT INTO `sys_job_log` VALUES (70969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:08:21');
INSERT INTO `sys_job_log` VALUES (70970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:08:26');
INSERT INTO `sys_job_log` VALUES (70971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:08:31');
INSERT INTO `sys_job_log` VALUES (70972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:08:31');
INSERT INTO `sys_job_log` VALUES (70973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:08:36');
INSERT INTO `sys_job_log` VALUES (70974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:08:41');
INSERT INTO `sys_job_log` VALUES (70975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:08:46');
INSERT INTO `sys_job_log` VALUES (70976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:08:46');
INSERT INTO `sys_job_log` VALUES (70977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-02 12:08:51');
INSERT INTO `sys_job_log` VALUES (70978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:08:56');
INSERT INTO `sys_job_log` VALUES (70979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:09:01');
INSERT INTO `sys_job_log` VALUES (70980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:09:01');
INSERT INTO `sys_job_log` VALUES (70981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:09:06');
INSERT INTO `sys_job_log` VALUES (70982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:09:11');
INSERT INTO `sys_job_log` VALUES (70983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:09:16');
INSERT INTO `sys_job_log` VALUES (70984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:09:16');
INSERT INTO `sys_job_log` VALUES (70985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:09:21');
INSERT INTO `sys_job_log` VALUES (70986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:09:26');
INSERT INTO `sys_job_log` VALUES (70987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:09:31');
INSERT INTO `sys_job_log` VALUES (70988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：47毫秒', '0', '', '2025-01-02 12:09:31');
INSERT INTO `sys_job_log` VALUES (70989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:09:36');
INSERT INTO `sys_job_log` VALUES (70990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:09:41');
INSERT INTO `sys_job_log` VALUES (70991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:09:46');
INSERT INTO `sys_job_log` VALUES (70992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:09:46');
INSERT INTO `sys_job_log` VALUES (70993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:09:51');
INSERT INTO `sys_job_log` VALUES (70994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:09:56');
INSERT INTO `sys_job_log` VALUES (70995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 12:10:01');
INSERT INTO `sys_job_log` VALUES (70996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2025-01-02 12:10:01');
INSERT INTO `sys_job_log` VALUES (70997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:06');
INSERT INTO `sys_job_log` VALUES (70998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:11');
INSERT INTO `sys_job_log` VALUES (70999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:16');
INSERT INTO `sys_job_log` VALUES (71000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:16');
INSERT INTO `sys_job_log` VALUES (71001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:21');
INSERT INTO `sys_job_log` VALUES (71002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:10:26');
INSERT INTO `sys_job_log` VALUES (71003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:10:31');
INSERT INTO `sys_job_log` VALUES (71004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:10:31');
INSERT INTO `sys_job_log` VALUES (71005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:10:36');
INSERT INTO `sys_job_log` VALUES (71006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:10:41');
INSERT INTO `sys_job_log` VALUES (71007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:46');
INSERT INTO `sys_job_log` VALUES (71008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:46');
INSERT INTO `sys_job_log` VALUES (71009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:10:51');
INSERT INTO `sys_job_log` VALUES (71010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:10:56');
INSERT INTO `sys_job_log` VALUES (71011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:11:01');
INSERT INTO `sys_job_log` VALUES (71012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:11:01');
INSERT INTO `sys_job_log` VALUES (71013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:11:06');
INSERT INTO `sys_job_log` VALUES (71014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:11:11');
INSERT INTO `sys_job_log` VALUES (71015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:16');
INSERT INTO `sys_job_log` VALUES (71016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:16');
INSERT INTO `sys_job_log` VALUES (71017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:21');
INSERT INTO `sys_job_log` VALUES (71018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:26');
INSERT INTO `sys_job_log` VALUES (71019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:31');
INSERT INTO `sys_job_log` VALUES (71020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:31');
INSERT INTO `sys_job_log` VALUES (71021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:11:36');
INSERT INTO `sys_job_log` VALUES (71022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:11:41');
INSERT INTO `sys_job_log` VALUES (71023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:46');
INSERT INTO `sys_job_log` VALUES (71024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:11:46');
INSERT INTO `sys_job_log` VALUES (71025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:11:51');
INSERT INTO `sys_job_log` VALUES (71026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:11:56');
INSERT INTO `sys_job_log` VALUES (71027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:12:01');
INSERT INTO `sys_job_log` VALUES (71028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 12:12:01');
INSERT INTO `sys_job_log` VALUES (71029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:12:06');
INSERT INTO `sys_job_log` VALUES (71030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:12:11');
INSERT INTO `sys_job_log` VALUES (71031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:12:16');
INSERT INTO `sys_job_log` VALUES (71032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:12:16');
INSERT INTO `sys_job_log` VALUES (71033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:12:21');
INSERT INTO `sys_job_log` VALUES (71034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:12:26');
INSERT INTO `sys_job_log` VALUES (71035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:12:31');
INSERT INTO `sys_job_log` VALUES (71036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:12:31');
INSERT INTO `sys_job_log` VALUES (71037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:12:36');
INSERT INTO `sys_job_log` VALUES (71038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:12:41');
INSERT INTO `sys_job_log` VALUES (71039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 12:12:46');
INSERT INTO `sys_job_log` VALUES (71040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 12:12:46');
INSERT INTO `sys_job_log` VALUES (71041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:12:51');
INSERT INTO `sys_job_log` VALUES (71042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:12:56');
INSERT INTO `sys_job_log` VALUES (71043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:13:01');
INSERT INTO `sys_job_log` VALUES (71044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:13:01');
INSERT INTO `sys_job_log` VALUES (71045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:13:06');
INSERT INTO `sys_job_log` VALUES (71046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:13:11');
INSERT INTO `sys_job_log` VALUES (71047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:13:16');
INSERT INTO `sys_job_log` VALUES (71048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 12:13:16');
INSERT INTO `sys_job_log` VALUES (71049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:13:21');
INSERT INTO `sys_job_log` VALUES (71050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-02 12:13:26');
INSERT INTO `sys_job_log` VALUES (71051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:13:31');
INSERT INTO `sys_job_log` VALUES (71052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:13:31');
INSERT INTO `sys_job_log` VALUES (71053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:13:36');
INSERT INTO `sys_job_log` VALUES (71054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:13:41');
INSERT INTO `sys_job_log` VALUES (71055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:13:46');
INSERT INTO `sys_job_log` VALUES (71056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:13:46');
INSERT INTO `sys_job_log` VALUES (71057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 12:13:51');
INSERT INTO `sys_job_log` VALUES (71058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:13:56');
INSERT INTO `sys_job_log` VALUES (71059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:14:01');
INSERT INTO `sys_job_log` VALUES (71060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:14:01');
INSERT INTO `sys_job_log` VALUES (71061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:14:06');
INSERT INTO `sys_job_log` VALUES (71062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:14:11');
INSERT INTO `sys_job_log` VALUES (71063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 12:14:16');
INSERT INTO `sys_job_log` VALUES (71064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:14:16');
INSERT INTO `sys_job_log` VALUES (71065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:14:21');
INSERT INTO `sys_job_log` VALUES (71066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:14:26');
INSERT INTO `sys_job_log` VALUES (71067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:14:31');
INSERT INTO `sys_job_log` VALUES (71068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:14:31');
INSERT INTO `sys_job_log` VALUES (71069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:14:36');
INSERT INTO `sys_job_log` VALUES (71070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:14:41');
INSERT INTO `sys_job_log` VALUES (71071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:14:46');
INSERT INTO `sys_job_log` VALUES (71072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:14:46');
INSERT INTO `sys_job_log` VALUES (71073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-02 12:14:51');
INSERT INTO `sys_job_log` VALUES (71074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:14:56');
INSERT INTO `sys_job_log` VALUES (71075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:01');
INSERT INTO `sys_job_log` VALUES (71076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:01');
INSERT INTO `sys_job_log` VALUES (71077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:15:06');
INSERT INTO `sys_job_log` VALUES (71078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 12:15:11');
INSERT INTO `sys_job_log` VALUES (71079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:16');
INSERT INTO `sys_job_log` VALUES (71080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:16');
INSERT INTO `sys_job_log` VALUES (71081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:15:21');
INSERT INTO `sys_job_log` VALUES (71082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:26');
INSERT INTO `sys_job_log` VALUES (71083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:15:31');
INSERT INTO `sys_job_log` VALUES (71084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:15:31');
INSERT INTO `sys_job_log` VALUES (71085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:36');
INSERT INTO `sys_job_log` VALUES (71086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:15:41');
INSERT INTO `sys_job_log` VALUES (71087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:15:46');
INSERT INTO `sys_job_log` VALUES (71088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:15:46');
INSERT INTO `sys_job_log` VALUES (71089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:15:51');
INSERT INTO `sys_job_log` VALUES (71090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:15:56');
INSERT INTO `sys_job_log` VALUES (71091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:01');
INSERT INTO `sys_job_log` VALUES (71092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:01');
INSERT INTO `sys_job_log` VALUES (71093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:16:06');
INSERT INTO `sys_job_log` VALUES (71094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:16:11');
INSERT INTO `sys_job_log` VALUES (71095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:16:16');
INSERT INTO `sys_job_log` VALUES (71096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:16:16');
INSERT INTO `sys_job_log` VALUES (71097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:21');
INSERT INTO `sys_job_log` VALUES (71098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:16:26');
INSERT INTO `sys_job_log` VALUES (71099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:16:31');
INSERT INTO `sys_job_log` VALUES (71100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:31');
INSERT INTO `sys_job_log` VALUES (71101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:16:36');
INSERT INTO `sys_job_log` VALUES (71102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:16:41');
INSERT INTO `sys_job_log` VALUES (71103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:46');
INSERT INTO `sys_job_log` VALUES (71104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:46');
INSERT INTO `sys_job_log` VALUES (71105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:16:51');
INSERT INTO `sys_job_log` VALUES (71106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:16:56');
INSERT INTO `sys_job_log` VALUES (71107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:17:01');
INSERT INTO `sys_job_log` VALUES (71108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:17:01');
INSERT INTO `sys_job_log` VALUES (71109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:17:06');
INSERT INTO `sys_job_log` VALUES (71110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:17:11');
INSERT INTO `sys_job_log` VALUES (71111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:17:16');
INSERT INTO `sys_job_log` VALUES (71112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:17:16');
INSERT INTO `sys_job_log` VALUES (71113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:17:21');
INSERT INTO `sys_job_log` VALUES (71114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:17:26');
INSERT INTO `sys_job_log` VALUES (71115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:17:31');
INSERT INTO `sys_job_log` VALUES (71116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:17:31');
INSERT INTO `sys_job_log` VALUES (71117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:17:36');
INSERT INTO `sys_job_log` VALUES (71118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:17:41');
INSERT INTO `sys_job_log` VALUES (71119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:17:46');
INSERT INTO `sys_job_log` VALUES (71120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:17:46');
INSERT INTO `sys_job_log` VALUES (71121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:17:51');
INSERT INTO `sys_job_log` VALUES (71122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:17:56');
INSERT INTO `sys_job_log` VALUES (71123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:18:01');
INSERT INTO `sys_job_log` VALUES (71124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:18:01');
INSERT INTO `sys_job_log` VALUES (71125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:18:06');
INSERT INTO `sys_job_log` VALUES (71126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：79毫秒', '0', '', '2025-01-02 12:18:11');
INSERT INTO `sys_job_log` VALUES (71127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 12:18:16');
INSERT INTO `sys_job_log` VALUES (71128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:18:16');
INSERT INTO `sys_job_log` VALUES (71129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:18:21');
INSERT INTO `sys_job_log` VALUES (71130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:18:26');
INSERT INTO `sys_job_log` VALUES (71131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:18:31');
INSERT INTO `sys_job_log` VALUES (71132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:18:31');
INSERT INTO `sys_job_log` VALUES (71133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:18:36');
INSERT INTO `sys_job_log` VALUES (71134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:18:41');
INSERT INTO `sys_job_log` VALUES (71135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:18:46');
INSERT INTO `sys_job_log` VALUES (71136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:18:46');
INSERT INTO `sys_job_log` VALUES (71137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:18:51');
INSERT INTO `sys_job_log` VALUES (71138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:18:56');
INSERT INTO `sys_job_log` VALUES (71139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:19:01');
INSERT INTO `sys_job_log` VALUES (71140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:19:01');
INSERT INTO `sys_job_log` VALUES (71141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:19:06');
INSERT INTO `sys_job_log` VALUES (71142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:19:11');
INSERT INTO `sys_job_log` VALUES (71143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:19:16');
INSERT INTO `sys_job_log` VALUES (71144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:19:16');
INSERT INTO `sys_job_log` VALUES (71145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:19:21');
INSERT INTO `sys_job_log` VALUES (71146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:19:26');
INSERT INTO `sys_job_log` VALUES (71147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:19:31');
INSERT INTO `sys_job_log` VALUES (71148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:19:31');
INSERT INTO `sys_job_log` VALUES (71149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:19:36');
INSERT INTO `sys_job_log` VALUES (71150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:19:41');
INSERT INTO `sys_job_log` VALUES (71151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:19:46');
INSERT INTO `sys_job_log` VALUES (71152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:19:46');
INSERT INTO `sys_job_log` VALUES (71153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:19:51');
INSERT INTO `sys_job_log` VALUES (71154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:19:56');
INSERT INTO `sys_job_log` VALUES (71155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:20:01');
INSERT INTO `sys_job_log` VALUES (71156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:20:01');
INSERT INTO `sys_job_log` VALUES (71157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:20:06');
INSERT INTO `sys_job_log` VALUES (71158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:20:11');
INSERT INTO `sys_job_log` VALUES (71159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:20:16');
INSERT INTO `sys_job_log` VALUES (71160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:20:16');
INSERT INTO `sys_job_log` VALUES (71161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:20:21');
INSERT INTO `sys_job_log` VALUES (71162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:20:26');
INSERT INTO `sys_job_log` VALUES (71163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:20:31');
INSERT INTO `sys_job_log` VALUES (71164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:20:31');
INSERT INTO `sys_job_log` VALUES (71165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:20:36');
INSERT INTO `sys_job_log` VALUES (71166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:20:41');
INSERT INTO `sys_job_log` VALUES (71167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:20:46');
INSERT INTO `sys_job_log` VALUES (71168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:20:46');
INSERT INTO `sys_job_log` VALUES (71169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:20:51');
INSERT INTO `sys_job_log` VALUES (71170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:20:56');
INSERT INTO `sys_job_log` VALUES (71171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:21:01');
INSERT INTO `sys_job_log` VALUES (71172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:21:01');
INSERT INTO `sys_job_log` VALUES (71173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:06');
INSERT INTO `sys_job_log` VALUES (71174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:11');
INSERT INTO `sys_job_log` VALUES (71175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:16');
INSERT INTO `sys_job_log` VALUES (71176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:16');
INSERT INTO `sys_job_log` VALUES (71177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:21:21');
INSERT INTO `sys_job_log` VALUES (71178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:26');
INSERT INTO `sys_job_log` VALUES (71179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:21:31');
INSERT INTO `sys_job_log` VALUES (71180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:21:31');
INSERT INTO `sys_job_log` VALUES (71181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:21:36');
INSERT INTO `sys_job_log` VALUES (71182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:21:41');
INSERT INTO `sys_job_log` VALUES (71183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:46');
INSERT INTO `sys_job_log` VALUES (71184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:21:46');
INSERT INTO `sys_job_log` VALUES (71185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:21:51');
INSERT INTO `sys_job_log` VALUES (71186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:21:56');
INSERT INTO `sys_job_log` VALUES (71187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:22:01');
INSERT INTO `sys_job_log` VALUES (71188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:22:01');
INSERT INTO `sys_job_log` VALUES (71189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:22:06');
INSERT INTO `sys_job_log` VALUES (71190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:22:11');
INSERT INTO `sys_job_log` VALUES (71191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:22:16');
INSERT INTO `sys_job_log` VALUES (71192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:22:16');
INSERT INTO `sys_job_log` VALUES (71193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:22:21');
INSERT INTO `sys_job_log` VALUES (71194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:22:26');
INSERT INTO `sys_job_log` VALUES (71195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:22:31');
INSERT INTO `sys_job_log` VALUES (71196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:22:31');
INSERT INTO `sys_job_log` VALUES (71197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:22:36');
INSERT INTO `sys_job_log` VALUES (71198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:22:41');
INSERT INTO `sys_job_log` VALUES (71199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:22:46');
INSERT INTO `sys_job_log` VALUES (71200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:22:46');
INSERT INTO `sys_job_log` VALUES (71201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:22:51');
INSERT INTO `sys_job_log` VALUES (71202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:22:56');
INSERT INTO `sys_job_log` VALUES (71203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:23:01');
INSERT INTO `sys_job_log` VALUES (71204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:23:01');
INSERT INTO `sys_job_log` VALUES (71205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:23:06');
INSERT INTO `sys_job_log` VALUES (71206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:23:11');
INSERT INTO `sys_job_log` VALUES (71207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:23:16');
INSERT INTO `sys_job_log` VALUES (71208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:23:16');
INSERT INTO `sys_job_log` VALUES (71209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:23:21');
INSERT INTO `sys_job_log` VALUES (71210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:23:26');
INSERT INTO `sys_job_log` VALUES (71211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:23:31');
INSERT INTO `sys_job_log` VALUES (71212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:23:31');
INSERT INTO `sys_job_log` VALUES (71213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:23:36');
INSERT INTO `sys_job_log` VALUES (71214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:23:41');
INSERT INTO `sys_job_log` VALUES (71215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:23:46');
INSERT INTO `sys_job_log` VALUES (71216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:23:46');
INSERT INTO `sys_job_log` VALUES (71217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:23:51');
INSERT INTO `sys_job_log` VALUES (71218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:23:56');
INSERT INTO `sys_job_log` VALUES (71219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:24:01');
INSERT INTO `sys_job_log` VALUES (71220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:24:01');
INSERT INTO `sys_job_log` VALUES (71221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:24:06');
INSERT INTO `sys_job_log` VALUES (71222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:24:11');
INSERT INTO `sys_job_log` VALUES (71223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:24:16');
INSERT INTO `sys_job_log` VALUES (71224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:24:16');
INSERT INTO `sys_job_log` VALUES (71225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:24:21');
INSERT INTO `sys_job_log` VALUES (71226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:24:26');
INSERT INTO `sys_job_log` VALUES (71227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:24:31');
INSERT INTO `sys_job_log` VALUES (71228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:24:31');
INSERT INTO `sys_job_log` VALUES (71229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:24:36');
INSERT INTO `sys_job_log` VALUES (71230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:24:41');
INSERT INTO `sys_job_log` VALUES (71231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:24:46');
INSERT INTO `sys_job_log` VALUES (71232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:24:46');
INSERT INTO `sys_job_log` VALUES (71233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:24:51');
INSERT INTO `sys_job_log` VALUES (71234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:24:56');
INSERT INTO `sys_job_log` VALUES (71235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：85毫秒', '0', '', '2025-01-02 12:25:01');
INSERT INTO `sys_job_log` VALUES (71236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：85毫秒', '0', '', '2025-01-02 12:25:01');
INSERT INTO `sys_job_log` VALUES (71237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:25:06');
INSERT INTO `sys_job_log` VALUES (71238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:25:11');
INSERT INTO `sys_job_log` VALUES (71239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：54毫秒', '0', '', '2025-01-02 12:25:16');
INSERT INTO `sys_job_log` VALUES (71240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：54毫秒', '0', '', '2025-01-02 12:25:16');
INSERT INTO `sys_job_log` VALUES (71241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:25:21');
INSERT INTO `sys_job_log` VALUES (71242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:25:26');
INSERT INTO `sys_job_log` VALUES (71243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:25:31');
INSERT INTO `sys_job_log` VALUES (71244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:25:31');
INSERT INTO `sys_job_log` VALUES (71245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:25:36');
INSERT INTO `sys_job_log` VALUES (71246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:25:41');
INSERT INTO `sys_job_log` VALUES (71247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:25:46');
INSERT INTO `sys_job_log` VALUES (71248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:25:46');
INSERT INTO `sys_job_log` VALUES (71249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:25:51');
INSERT INTO `sys_job_log` VALUES (71250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:25:56');
INSERT INTO `sys_job_log` VALUES (71251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:01');
INSERT INTO `sys_job_log` VALUES (71252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:01');
INSERT INTO `sys_job_log` VALUES (71253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:06');
INSERT INTO `sys_job_log` VALUES (71254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:26:11');
INSERT INTO `sys_job_log` VALUES (71255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:26:16');
INSERT INTO `sys_job_log` VALUES (71256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:26:16');
INSERT INTO `sys_job_log` VALUES (71257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:26:21');
INSERT INTO `sys_job_log` VALUES (71258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:26:26');
INSERT INTO `sys_job_log` VALUES (71259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:31');
INSERT INTO `sys_job_log` VALUES (71260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:31');
INSERT INTO `sys_job_log` VALUES (71261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:26:36');
INSERT INTO `sys_job_log` VALUES (71262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:26:41');
INSERT INTO `sys_job_log` VALUES (71263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:46');
INSERT INTO `sys_job_log` VALUES (71264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:26:46');
INSERT INTO `sys_job_log` VALUES (71265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:26:51');
INSERT INTO `sys_job_log` VALUES (71266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:26:56');
INSERT INTO `sys_job_log` VALUES (71267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:27:01');
INSERT INTO `sys_job_log` VALUES (71268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:01');
INSERT INTO `sys_job_log` VALUES (71269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:06');
INSERT INTO `sys_job_log` VALUES (71270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：75毫秒', '0', '', '2025-01-02 12:27:11');
INSERT INTO `sys_job_log` VALUES (71271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:16');
INSERT INTO `sys_job_log` VALUES (71272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:16');
INSERT INTO `sys_job_log` VALUES (71273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:21');
INSERT INTO `sys_job_log` VALUES (71274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:26');
INSERT INTO `sys_job_log` VALUES (71275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:31');
INSERT INTO `sys_job_log` VALUES (71276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:31');
INSERT INTO `sys_job_log` VALUES (71277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:36');
INSERT INTO `sys_job_log` VALUES (71278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:41');
INSERT INTO `sys_job_log` VALUES (71279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:27:46');
INSERT INTO `sys_job_log` VALUES (71280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:46');
INSERT INTO `sys_job_log` VALUES (71281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:27:51');
INSERT INTO `sys_job_log` VALUES (71282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:27:56');
INSERT INTO `sys_job_log` VALUES (71283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:28:01');
INSERT INTO `sys_job_log` VALUES (71284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:28:01');
INSERT INTO `sys_job_log` VALUES (71285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:06');
INSERT INTO `sys_job_log` VALUES (71286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:28:11');
INSERT INTO `sys_job_log` VALUES (71287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:16');
INSERT INTO `sys_job_log` VALUES (71288, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:16');
INSERT INTO `sys_job_log` VALUES (71289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:28:21');
INSERT INTO `sys_job_log` VALUES (71290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:28:26');
INSERT INTO `sys_job_log` VALUES (71291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:31');
INSERT INTO `sys_job_log` VALUES (71292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:31');
INSERT INTO `sys_job_log` VALUES (71293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:28:36');
INSERT INTO `sys_job_log` VALUES (71294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:41');
INSERT INTO `sys_job_log` VALUES (71295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:46');
INSERT INTO `sys_job_log` VALUES (71296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:28:46');
INSERT INTO `sys_job_log` VALUES (71297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:28:51');
INSERT INTO `sys_job_log` VALUES (71298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:28:56');
INSERT INTO `sys_job_log` VALUES (71299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:29:01');
INSERT INTO `sys_job_log` VALUES (71300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:29:01');
INSERT INTO `sys_job_log` VALUES (71301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:29:06');
INSERT INTO `sys_job_log` VALUES (71302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:29:11');
INSERT INTO `sys_job_log` VALUES (71303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：55毫秒', '0', '', '2025-01-02 12:29:16');
INSERT INTO `sys_job_log` VALUES (71304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-02 12:29:16');
INSERT INTO `sys_job_log` VALUES (71305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:29:21');
INSERT INTO `sys_job_log` VALUES (71306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:29:26');
INSERT INTO `sys_job_log` VALUES (71307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:29:31');
INSERT INTO `sys_job_log` VALUES (71308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:29:31');
INSERT INTO `sys_job_log` VALUES (71309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:29:36');
INSERT INTO `sys_job_log` VALUES (71310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:29:41');
INSERT INTO `sys_job_log` VALUES (71311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:29:46');
INSERT INTO `sys_job_log` VALUES (71312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:29:46');
INSERT INTO `sys_job_log` VALUES (71313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:29:51');
INSERT INTO `sys_job_log` VALUES (71314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:29:56');
INSERT INTO `sys_job_log` VALUES (71315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:01');
INSERT INTO `sys_job_log` VALUES (71316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:01');
INSERT INTO `sys_job_log` VALUES (71317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:06');
INSERT INTO `sys_job_log` VALUES (71318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:30:11');
INSERT INTO `sys_job_log` VALUES (71319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:16');
INSERT INTO `sys_job_log` VALUES (71320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:30:16');
INSERT INTO `sys_job_log` VALUES (71321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:21');
INSERT INTO `sys_job_log` VALUES (71322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:26');
INSERT INTO `sys_job_log` VALUES (71323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:31');
INSERT INTO `sys_job_log` VALUES (71324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:31');
INSERT INTO `sys_job_log` VALUES (71325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:30:36');
INSERT INTO `sys_job_log` VALUES (71326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:41');
INSERT INTO `sys_job_log` VALUES (71327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:30:46');
INSERT INTO `sys_job_log` VALUES (71328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:30:46');
INSERT INTO `sys_job_log` VALUES (71329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:30:51');
INSERT INTO `sys_job_log` VALUES (71330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:30:56');
INSERT INTO `sys_job_log` VALUES (71331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:31:01');
INSERT INTO `sys_job_log` VALUES (71332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:01');
INSERT INTO `sys_job_log` VALUES (71333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:31:06');
INSERT INTO `sys_job_log` VALUES (71334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:11');
INSERT INTO `sys_job_log` VALUES (71335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:16');
INSERT INTO `sys_job_log` VALUES (71336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:16');
INSERT INTO `sys_job_log` VALUES (71337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:31:21');
INSERT INTO `sys_job_log` VALUES (71338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:26');
INSERT INTO `sys_job_log` VALUES (71339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:31');
INSERT INTO `sys_job_log` VALUES (71340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:31');
INSERT INTO `sys_job_log` VALUES (71341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:36');
INSERT INTO `sys_job_log` VALUES (71342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:31:41');
INSERT INTO `sys_job_log` VALUES (71343, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:31:46');
INSERT INTO `sys_job_log` VALUES (71344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:31:46');
INSERT INTO `sys_job_log` VALUES (71345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:31:51');
INSERT INTO `sys_job_log` VALUES (71346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:31:56');
INSERT INTO `sys_job_log` VALUES (71347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:32:01');
INSERT INTO `sys_job_log` VALUES (71348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:32:01');
INSERT INTO `sys_job_log` VALUES (71349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:32:06');
INSERT INTO `sys_job_log` VALUES (71350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:32:11');
INSERT INTO `sys_job_log` VALUES (71351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:32:16');
INSERT INTO `sys_job_log` VALUES (71352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:32:16');
INSERT INTO `sys_job_log` VALUES (71353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:32:21');
INSERT INTO `sys_job_log` VALUES (71354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:32:26');
INSERT INTO `sys_job_log` VALUES (71355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:32:31');
INSERT INTO `sys_job_log` VALUES (71356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:32:31');
INSERT INTO `sys_job_log` VALUES (71357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:32:36');
INSERT INTO `sys_job_log` VALUES (71358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:32:41');
INSERT INTO `sys_job_log` VALUES (71359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:32:46');
INSERT INTO `sys_job_log` VALUES (71360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:32:46');
INSERT INTO `sys_job_log` VALUES (71361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:32:51');
INSERT INTO `sys_job_log` VALUES (71362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:32:56');
INSERT INTO `sys_job_log` VALUES (71363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:01');
INSERT INTO `sys_job_log` VALUES (71364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:01');
INSERT INTO `sys_job_log` VALUES (71365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:06');
INSERT INTO `sys_job_log` VALUES (71366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:11');
INSERT INTO `sys_job_log` VALUES (71367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:33:16');
INSERT INTO `sys_job_log` VALUES (71368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:33:16');
INSERT INTO `sys_job_log` VALUES (71369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:21');
INSERT INTO `sys_job_log` VALUES (71370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:33:26');
INSERT INTO `sys_job_log` VALUES (71371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:31');
INSERT INTO `sys_job_log` VALUES (71372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:31');
INSERT INTO `sys_job_log` VALUES (71373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:36');
INSERT INTO `sys_job_log` VALUES (71374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:33:41');
INSERT INTO `sys_job_log` VALUES (71375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:33:46');
INSERT INTO `sys_job_log` VALUES (71376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:33:46');
INSERT INTO `sys_job_log` VALUES (71377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：83毫秒', '0', '', '2025-01-02 12:33:51');
INSERT INTO `sys_job_log` VALUES (71378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:33:56');
INSERT INTO `sys_job_log` VALUES (71379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:34:01');
INSERT INTO `sys_job_log` VALUES (71380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:34:01');
INSERT INTO `sys_job_log` VALUES (71381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:34:06');
INSERT INTO `sys_job_log` VALUES (71382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:34:11');
INSERT INTO `sys_job_log` VALUES (71383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:34:16');
INSERT INTO `sys_job_log` VALUES (71384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:34:16');
INSERT INTO `sys_job_log` VALUES (71385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:34:21');
INSERT INTO `sys_job_log` VALUES (71386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:34:26');
INSERT INTO `sys_job_log` VALUES (71387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:34:31');
INSERT INTO `sys_job_log` VALUES (71388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:34:31');
INSERT INTO `sys_job_log` VALUES (71389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:34:36');
INSERT INTO `sys_job_log` VALUES (71390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:34:41');
INSERT INTO `sys_job_log` VALUES (71391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:34:46');
INSERT INTO `sys_job_log` VALUES (71392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:34:46');
INSERT INTO `sys_job_log` VALUES (71393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:34:51');
INSERT INTO `sys_job_log` VALUES (71394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:34:56');
INSERT INTO `sys_job_log` VALUES (71395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:01');
INSERT INTO `sys_job_log` VALUES (71396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:01');
INSERT INTO `sys_job_log` VALUES (71397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：149毫秒', '0', '', '2025-01-02 12:35:06');
INSERT INTO `sys_job_log` VALUES (71398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：70毫秒', '0', '', '2025-01-02 12:35:11');
INSERT INTO `sys_job_log` VALUES (71399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:16');
INSERT INTO `sys_job_log` VALUES (71400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:16');
INSERT INTO `sys_job_log` VALUES (71401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:35:21');
INSERT INTO `sys_job_log` VALUES (71402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:26');
INSERT INTO `sys_job_log` VALUES (71403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 12:35:31');
INSERT INTO `sys_job_log` VALUES (71404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:31');
INSERT INTO `sys_job_log` VALUES (71405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:35:36');
INSERT INTO `sys_job_log` VALUES (71406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:41');
INSERT INTO `sys_job_log` VALUES (71407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:35:46');
INSERT INTO `sys_job_log` VALUES (71408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:35:46');
INSERT INTO `sys_job_log` VALUES (71409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:35:51');
INSERT INTO `sys_job_log` VALUES (71410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:35:56');
INSERT INTO `sys_job_log` VALUES (71411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:36:01');
INSERT INTO `sys_job_log` VALUES (71412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:36:01');
INSERT INTO `sys_job_log` VALUES (71413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:36:06');
INSERT INTO `sys_job_log` VALUES (71414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:36:11');
INSERT INTO `sys_job_log` VALUES (71415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 12:36:16');
INSERT INTO `sys_job_log` VALUES (71416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:36:16');
INSERT INTO `sys_job_log` VALUES (71417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:36:21');
INSERT INTO `sys_job_log` VALUES (71418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:36:26');
INSERT INTO `sys_job_log` VALUES (71419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:36:31');
INSERT INTO `sys_job_log` VALUES (71420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:36:31');
INSERT INTO `sys_job_log` VALUES (71421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:36:36');
INSERT INTO `sys_job_log` VALUES (71422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:36:41');
INSERT INTO `sys_job_log` VALUES (71423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:36:46');
INSERT INTO `sys_job_log` VALUES (71424, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:36:46');
INSERT INTO `sys_job_log` VALUES (71425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:36:51');
INSERT INTO `sys_job_log` VALUES (71426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:36:56');
INSERT INTO `sys_job_log` VALUES (71427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:37:01');
INSERT INTO `sys_job_log` VALUES (71428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:37:01');
INSERT INTO `sys_job_log` VALUES (71429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:37:06');
INSERT INTO `sys_job_log` VALUES (71430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 12:37:11');
INSERT INTO `sys_job_log` VALUES (71431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:37:16');
INSERT INTO `sys_job_log` VALUES (71432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:37:16');
INSERT INTO `sys_job_log` VALUES (71433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:37:21');
INSERT INTO `sys_job_log` VALUES (71434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:37:26');
INSERT INTO `sys_job_log` VALUES (71435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:37:31');
INSERT INTO `sys_job_log` VALUES (71436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:37:31');
INSERT INTO `sys_job_log` VALUES (71437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:37:36');
INSERT INTO `sys_job_log` VALUES (71438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:37:41');
INSERT INTO `sys_job_log` VALUES (71439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:37:46');
INSERT INTO `sys_job_log` VALUES (71440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:37:46');
INSERT INTO `sys_job_log` VALUES (71441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:37:51');
INSERT INTO `sys_job_log` VALUES (71442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:37:56');
INSERT INTO `sys_job_log` VALUES (71443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:38:01');
INSERT INTO `sys_job_log` VALUES (71444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:38:01');
INSERT INTO `sys_job_log` VALUES (71445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:38:06');
INSERT INTO `sys_job_log` VALUES (71446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:38:11');
INSERT INTO `sys_job_log` VALUES (71447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:38:16');
INSERT INTO `sys_job_log` VALUES (71448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:38:16');
INSERT INTO `sys_job_log` VALUES (71449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:38:21');
INSERT INTO `sys_job_log` VALUES (71450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:38:26');
INSERT INTO `sys_job_log` VALUES (71451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:38:31');
INSERT INTO `sys_job_log` VALUES (71452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:38:31');
INSERT INTO `sys_job_log` VALUES (71453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:38:36');
INSERT INTO `sys_job_log` VALUES (71454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:38:41');
INSERT INTO `sys_job_log` VALUES (71455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:38:46');
INSERT INTO `sys_job_log` VALUES (71456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:38:46');
INSERT INTO `sys_job_log` VALUES (71457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:38:51');
INSERT INTO `sys_job_log` VALUES (71458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:38:56');
INSERT INTO `sys_job_log` VALUES (71459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:39:01');
INSERT INTO `sys_job_log` VALUES (71460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:39:01');
INSERT INTO `sys_job_log` VALUES (71461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:39:06');
INSERT INTO `sys_job_log` VALUES (71462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：74毫秒', '0', '', '2025-01-02 12:39:11');
INSERT INTO `sys_job_log` VALUES (71463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:39:16');
INSERT INTO `sys_job_log` VALUES (71464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:39:16');
INSERT INTO `sys_job_log` VALUES (71465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:39:21');
INSERT INTO `sys_job_log` VALUES (71466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:39:26');
INSERT INTO `sys_job_log` VALUES (71467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:39:31');
INSERT INTO `sys_job_log` VALUES (71468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:39:31');
INSERT INTO `sys_job_log` VALUES (71469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:39:36');
INSERT INTO `sys_job_log` VALUES (71470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:39:41');
INSERT INTO `sys_job_log` VALUES (71471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:39:46');
INSERT INTO `sys_job_log` VALUES (71472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:39:46');
INSERT INTO `sys_job_log` VALUES (71473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-02 12:39:51');
INSERT INTO `sys_job_log` VALUES (71474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 12:39:56');
INSERT INTO `sys_job_log` VALUES (71475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:40:01');
INSERT INTO `sys_job_log` VALUES (71476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:40:01');
INSERT INTO `sys_job_log` VALUES (71477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 12:40:06');
INSERT INTO `sys_job_log` VALUES (71478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:40:11');
INSERT INTO `sys_job_log` VALUES (71479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:40:16');
INSERT INTO `sys_job_log` VALUES (71480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:40:16');
INSERT INTO `sys_job_log` VALUES (71481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:40:21');
INSERT INTO `sys_job_log` VALUES (71482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:40:26');
INSERT INTO `sys_job_log` VALUES (71483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:40:31');
INSERT INTO `sys_job_log` VALUES (71484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:40:31');
INSERT INTO `sys_job_log` VALUES (71485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:40:36');
INSERT INTO `sys_job_log` VALUES (71486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:40:41');
INSERT INTO `sys_job_log` VALUES (71487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:40:46');
INSERT INTO `sys_job_log` VALUES (71488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:40:46');
INSERT INTO `sys_job_log` VALUES (71489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:40:51');
INSERT INTO `sys_job_log` VALUES (71490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:40:56');
INSERT INTO `sys_job_log` VALUES (71491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:41:01');
INSERT INTO `sys_job_log` VALUES (71492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:41:01');
INSERT INTO `sys_job_log` VALUES (71493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:06');
INSERT INTO `sys_job_log` VALUES (71494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:41:11');
INSERT INTO `sys_job_log` VALUES (71495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:16');
INSERT INTO `sys_job_log` VALUES (71496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:16');
INSERT INTO `sys_job_log` VALUES (71497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:41:21');
INSERT INTO `sys_job_log` VALUES (71498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:26');
INSERT INTO `sys_job_log` VALUES (71499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:31');
INSERT INTO `sys_job_log` VALUES (71500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:31');
INSERT INTO `sys_job_log` VALUES (71501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:41:36');
INSERT INTO `sys_job_log` VALUES (71502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:41:41');
INSERT INTO `sys_job_log` VALUES (71503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:41:46');
INSERT INTO `sys_job_log` VALUES (71504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:41:46');
INSERT INTO `sys_job_log` VALUES (71505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:41:51');
INSERT INTO `sys_job_log` VALUES (71506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:41:56');
INSERT INTO `sys_job_log` VALUES (71507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-02 12:42:01');
INSERT INTO `sys_job_log` VALUES (71508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：50毫秒', '0', '', '2025-01-02 12:42:01');
INSERT INTO `sys_job_log` VALUES (71509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:06');
INSERT INTO `sys_job_log` VALUES (71510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:42:11');
INSERT INTO `sys_job_log` VALUES (71511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:16');
INSERT INTO `sys_job_log` VALUES (71512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:16');
INSERT INTO `sys_job_log` VALUES (71513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:42:21');
INSERT INTO `sys_job_log` VALUES (71514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:26');
INSERT INTO `sys_job_log` VALUES (71515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:42:31');
INSERT INTO `sys_job_log` VALUES (71516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:42:31');
INSERT INTO `sys_job_log` VALUES (71517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:42:36');
INSERT INTO `sys_job_log` VALUES (71518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:41');
INSERT INTO `sys_job_log` VALUES (71519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:42:46');
INSERT INTO `sys_job_log` VALUES (71520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:46');
INSERT INTO `sys_job_log` VALUES (71521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:51');
INSERT INTO `sys_job_log` VALUES (71522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:42:56');
INSERT INTO `sys_job_log` VALUES (71523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:43:01');
INSERT INTO `sys_job_log` VALUES (71524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:43:01');
INSERT INTO `sys_job_log` VALUES (71525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:43:06');
INSERT INTO `sys_job_log` VALUES (71526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:43:11');
INSERT INTO `sys_job_log` VALUES (71527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:43:16');
INSERT INTO `sys_job_log` VALUES (71528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:43:16');
INSERT INTO `sys_job_log` VALUES (71529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:43:21');
INSERT INTO `sys_job_log` VALUES (71530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:43:26');
INSERT INTO `sys_job_log` VALUES (71531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:43:31');
INSERT INTO `sys_job_log` VALUES (71532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:43:31');
INSERT INTO `sys_job_log` VALUES (71533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：212毫秒', '0', '', '2025-01-02 12:43:36');
INSERT INTO `sys_job_log` VALUES (71534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:43:41');
INSERT INTO `sys_job_log` VALUES (71535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:43:46');
INSERT INTO `sys_job_log` VALUES (71536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:43:46');
INSERT INTO `sys_job_log` VALUES (71537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:43:51');
INSERT INTO `sys_job_log` VALUES (71538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:43:56');
INSERT INTO `sys_job_log` VALUES (71539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:44:01');
INSERT INTO `sys_job_log` VALUES (71540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:44:01');
INSERT INTO `sys_job_log` VALUES (71541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:44:06');
INSERT INTO `sys_job_log` VALUES (71542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:44:11');
INSERT INTO `sys_job_log` VALUES (71543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:44:16');
INSERT INTO `sys_job_log` VALUES (71544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:44:16');
INSERT INTO `sys_job_log` VALUES (71545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:44:21');
INSERT INTO `sys_job_log` VALUES (71546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:44:26');
INSERT INTO `sys_job_log` VALUES (71547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:44:31');
INSERT INTO `sys_job_log` VALUES (71548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:44:31');
INSERT INTO `sys_job_log` VALUES (71549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:44:36');
INSERT INTO `sys_job_log` VALUES (71550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:44:41');
INSERT INTO `sys_job_log` VALUES (71551, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:44:46');
INSERT INTO `sys_job_log` VALUES (71552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:44:46');
INSERT INTO `sys_job_log` VALUES (71553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:44:51');
INSERT INTO `sys_job_log` VALUES (71554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:44:56');
INSERT INTO `sys_job_log` VALUES (71555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:45:01');
INSERT INTO `sys_job_log` VALUES (71556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:45:01');
INSERT INTO `sys_job_log` VALUES (71557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:45:06');
INSERT INTO `sys_job_log` VALUES (71558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:45:11');
INSERT INTO `sys_job_log` VALUES (71559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:16');
INSERT INTO `sys_job_log` VALUES (71560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:16');
INSERT INTO `sys_job_log` VALUES (71561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:21');
INSERT INTO `sys_job_log` VALUES (71562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:45:26');
INSERT INTO `sys_job_log` VALUES (71563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:45:31');
INSERT INTO `sys_job_log` VALUES (71564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:45:31');
INSERT INTO `sys_job_log` VALUES (71565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:36');
INSERT INTO `sys_job_log` VALUES (71566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:41');
INSERT INTO `sys_job_log` VALUES (71567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:46');
INSERT INTO `sys_job_log` VALUES (71568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:45:46');
INSERT INTO `sys_job_log` VALUES (71569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:45:51');
INSERT INTO `sys_job_log` VALUES (71570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:45:56');
INSERT INTO `sys_job_log` VALUES (71571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:46:01');
INSERT INTO `sys_job_log` VALUES (71572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:46:01');
INSERT INTO `sys_job_log` VALUES (71573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:46:06');
INSERT INTO `sys_job_log` VALUES (71574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:46:11');
INSERT INTO `sys_job_log` VALUES (71575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-02 12:46:16');
INSERT INTO `sys_job_log` VALUES (71576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：73毫秒', '0', '', '2025-01-02 12:46:16');
INSERT INTO `sys_job_log` VALUES (71577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:46:21');
INSERT INTO `sys_job_log` VALUES (71578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:46:26');
INSERT INTO `sys_job_log` VALUES (71579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:46:31');
INSERT INTO `sys_job_log` VALUES (71580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:46:31');
INSERT INTO `sys_job_log` VALUES (71581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:46:36');
INSERT INTO `sys_job_log` VALUES (71582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:46:41');
INSERT INTO `sys_job_log` VALUES (71583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:46:46');
INSERT INTO `sys_job_log` VALUES (71584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:46:46');
INSERT INTO `sys_job_log` VALUES (71585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:46:51');
INSERT INTO `sys_job_log` VALUES (71586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:46:56');
INSERT INTO `sys_job_log` VALUES (71587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:47:01');
INSERT INTO `sys_job_log` VALUES (71588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:47:01');
INSERT INTO `sys_job_log` VALUES (71589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:47:06');
INSERT INTO `sys_job_log` VALUES (71590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:47:11');
INSERT INTO `sys_job_log` VALUES (71591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:47:16');
INSERT INTO `sys_job_log` VALUES (71592, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:47:16');
INSERT INTO `sys_job_log` VALUES (71593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:47:21');
INSERT INTO `sys_job_log` VALUES (71594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:47:26');
INSERT INTO `sys_job_log` VALUES (71595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:47:31');
INSERT INTO `sys_job_log` VALUES (71596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:47:31');
INSERT INTO `sys_job_log` VALUES (71597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:47:36');
INSERT INTO `sys_job_log` VALUES (71598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:47:41');
INSERT INTO `sys_job_log` VALUES (71599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:47:46');
INSERT INTO `sys_job_log` VALUES (71600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:47:46');
INSERT INTO `sys_job_log` VALUES (71601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:47:51');
INSERT INTO `sys_job_log` VALUES (71602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:47:56');
INSERT INTO `sys_job_log` VALUES (71603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:48:01');
INSERT INTO `sys_job_log` VALUES (71604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:48:01');
INSERT INTO `sys_job_log` VALUES (71605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:06');
INSERT INTO `sys_job_log` VALUES (71606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:11');
INSERT INTO `sys_job_log` VALUES (71607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:16');
INSERT INTO `sys_job_log` VALUES (71608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:16');
INSERT INTO `sys_job_log` VALUES (71609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:48:21');
INSERT INTO `sys_job_log` VALUES (71610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:26');
INSERT INTO `sys_job_log` VALUES (71611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:48:31');
INSERT INTO `sys_job_log` VALUES (71612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:48:31');
INSERT INTO `sys_job_log` VALUES (71613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:36');
INSERT INTO `sys_job_log` VALUES (71614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:48:41');
INSERT INTO `sys_job_log` VALUES (71615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:46');
INSERT INTO `sys_job_log` VALUES (71616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:48:46');
INSERT INTO `sys_job_log` VALUES (71617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：104毫秒', '0', '', '2025-01-02 12:48:51');
INSERT INTO `sys_job_log` VALUES (71618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:48:56');
INSERT INTO `sys_job_log` VALUES (71619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:49:01');
INSERT INTO `sys_job_log` VALUES (71620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:01');
INSERT INTO `sys_job_log` VALUES (71621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:06');
INSERT INTO `sys_job_log` VALUES (71622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:49:11');
INSERT INTO `sys_job_log` VALUES (71623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:49:16');
INSERT INTO `sys_job_log` VALUES (71624, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:49:16');
INSERT INTO `sys_job_log` VALUES (71625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 12:49:21');
INSERT INTO `sys_job_log` VALUES (71626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:49:26');
INSERT INTO `sys_job_log` VALUES (71627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:31');
INSERT INTO `sys_job_log` VALUES (71628, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:31');
INSERT INTO `sys_job_log` VALUES (71629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:36');
INSERT INTO `sys_job_log` VALUES (71630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:41');
INSERT INTO `sys_job_log` VALUES (71631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:46');
INSERT INTO `sys_job_log` VALUES (71632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:49:46');
INSERT INTO `sys_job_log` VALUES (71633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:49:51');
INSERT INTO `sys_job_log` VALUES (71634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:49:56');
INSERT INTO `sys_job_log` VALUES (71635, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:01');
INSERT INTO `sys_job_log` VALUES (71636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:50:01');
INSERT INTO `sys_job_log` VALUES (71637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:06');
INSERT INTO `sys_job_log` VALUES (71638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:50:11');
INSERT INTO `sys_job_log` VALUES (71639, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:16');
INSERT INTO `sys_job_log` VALUES (71640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:50:16');
INSERT INTO `sys_job_log` VALUES (71641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:50:21');
INSERT INTO `sys_job_log` VALUES (71642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:50:26');
INSERT INTO `sys_job_log` VALUES (71643, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:50:31');
INSERT INTO `sys_job_log` VALUES (71644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:31');
INSERT INTO `sys_job_log` VALUES (71645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:36');
INSERT INTO `sys_job_log` VALUES (71646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:50:41');
INSERT INTO `sys_job_log` VALUES (71647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:46');
INSERT INTO `sys_job_log` VALUES (71648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:46');
INSERT INTO `sys_job_log` VALUES (71649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:50:51');
INSERT INTO `sys_job_log` VALUES (71650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:50:56');
INSERT INTO `sys_job_log` VALUES (71651, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:01');
INSERT INTO `sys_job_log` VALUES (71652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:01');
INSERT INTO `sys_job_log` VALUES (71653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:06');
INSERT INTO `sys_job_log` VALUES (71654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:11');
INSERT INTO `sys_job_log` VALUES (71655, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:16');
INSERT INTO `sys_job_log` VALUES (71656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:16');
INSERT INTO `sys_job_log` VALUES (71657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:21');
INSERT INTO `sys_job_log` VALUES (71658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:26');
INSERT INTO `sys_job_log` VALUES (71659, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:31');
INSERT INTO `sys_job_log` VALUES (71660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:31');
INSERT INTO `sys_job_log` VALUES (71661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:51:36');
INSERT INTO `sys_job_log` VALUES (71662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:41');
INSERT INTO `sys_job_log` VALUES (71663, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:51:46');
INSERT INTO `sys_job_log` VALUES (71664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:46');
INSERT INTO `sys_job_log` VALUES (71665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:51:51');
INSERT INTO `sys_job_log` VALUES (71666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:51:56');
INSERT INTO `sys_job_log` VALUES (71667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:52:01');
INSERT INTO `sys_job_log` VALUES (71668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:52:01');
INSERT INTO `sys_job_log` VALUES (71669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:52:06');
INSERT INTO `sys_job_log` VALUES (71670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:52:11');
INSERT INTO `sys_job_log` VALUES (71671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:52:16');
INSERT INTO `sys_job_log` VALUES (71672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:52:16');
INSERT INTO `sys_job_log` VALUES (71673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:52:21');
INSERT INTO `sys_job_log` VALUES (71674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:52:26');
INSERT INTO `sys_job_log` VALUES (71675, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:52:31');
INSERT INTO `sys_job_log` VALUES (71676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:52:31');
INSERT INTO `sys_job_log` VALUES (71677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 12:52:36');
INSERT INTO `sys_job_log` VALUES (71678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:52:41');
INSERT INTO `sys_job_log` VALUES (71679, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:52:46');
INSERT INTO `sys_job_log` VALUES (71680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:52:46');
INSERT INTO `sys_job_log` VALUES (71681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:52:51');
INSERT INTO `sys_job_log` VALUES (71682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:52:56');
INSERT INTO `sys_job_log` VALUES (71683, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:53:01');
INSERT INTO `sys_job_log` VALUES (71684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:53:01');
INSERT INTO `sys_job_log` VALUES (71685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:53:06');
INSERT INTO `sys_job_log` VALUES (71686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:53:11');
INSERT INTO `sys_job_log` VALUES (71687, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35毫秒', '0', '', '2025-01-02 12:53:16');
INSERT INTO `sys_job_log` VALUES (71688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:53:16');
INSERT INTO `sys_job_log` VALUES (71689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:53:21');
INSERT INTO `sys_job_log` VALUES (71690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:53:26');
INSERT INTO `sys_job_log` VALUES (71691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:53:31');
INSERT INTO `sys_job_log` VALUES (71692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:53:31');
INSERT INTO `sys_job_log` VALUES (71693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 12:53:36');
INSERT INTO `sys_job_log` VALUES (71694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:53:41');
INSERT INTO `sys_job_log` VALUES (71695, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：34毫秒', '0', '', '2025-01-02 12:53:46');
INSERT INTO `sys_job_log` VALUES (71696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-02 12:53:46');
INSERT INTO `sys_job_log` VALUES (71697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:53:51');
INSERT INTO `sys_job_log` VALUES (71698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：51毫秒', '0', '', '2025-01-02 12:53:56');
INSERT INTO `sys_job_log` VALUES (71699, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:01');
INSERT INTO `sys_job_log` VALUES (71700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:01');
INSERT INTO `sys_job_log` VALUES (71701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:06');
INSERT INTO `sys_job_log` VALUES (71702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 12:54:11');
INSERT INTO `sys_job_log` VALUES (71703, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:16');
INSERT INTO `sys_job_log` VALUES (71704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:16');
INSERT INTO `sys_job_log` VALUES (71705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:54:21');
INSERT INTO `sys_job_log` VALUES (71706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:26');
INSERT INTO `sys_job_log` VALUES (71707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:54:31');
INSERT INTO `sys_job_log` VALUES (71708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:54:31');
INSERT INTO `sys_job_log` VALUES (71709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:54:36');
INSERT INTO `sys_job_log` VALUES (71710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:54:41');
INSERT INTO `sys_job_log` VALUES (71711, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：31毫秒', '0', '', '2025-01-02 12:54:46');
INSERT INTO `sys_job_log` VALUES (71712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31毫秒', '0', '', '2025-01-02 12:54:46');
INSERT INTO `sys_job_log` VALUES (71713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 12:54:51');
INSERT INTO `sys_job_log` VALUES (71714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:54:56');
INSERT INTO `sys_job_log` VALUES (71715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:55:01');
INSERT INTO `sys_job_log` VALUES (71716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:55:01');
INSERT INTO `sys_job_log` VALUES (71717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:55:06');
INSERT INTO `sys_job_log` VALUES (71718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：117毫秒', '0', '', '2025-01-02 12:55:11');
INSERT INTO `sys_job_log` VALUES (71719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:55:16');
INSERT INTO `sys_job_log` VALUES (71720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:55:16');
INSERT INTO `sys_job_log` VALUES (71721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:55:21');
INSERT INTO `sys_job_log` VALUES (71722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：77毫秒', '0', '', '2025-01-02 12:55:26');
INSERT INTO `sys_job_log` VALUES (71723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:55:31');
INSERT INTO `sys_job_log` VALUES (71724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:55:31');
INSERT INTO `sys_job_log` VALUES (71725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:55:36');
INSERT INTO `sys_job_log` VALUES (71726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:55:41');
INSERT INTO `sys_job_log` VALUES (71727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:55:46');
INSERT INTO `sys_job_log` VALUES (71728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 12:55:46');
INSERT INTO `sys_job_log` VALUES (71729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:55:51');
INSERT INTO `sys_job_log` VALUES (71730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:55:56');
INSERT INTO `sys_job_log` VALUES (71731, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:56:01');
INSERT INTO `sys_job_log` VALUES (71732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:56:01');
INSERT INTO `sys_job_log` VALUES (71733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:56:06');
INSERT INTO `sys_job_log` VALUES (71734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:56:11');
INSERT INTO `sys_job_log` VALUES (71735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35毫秒', '0', '', '2025-01-02 12:56:16');
INSERT INTO `sys_job_log` VALUES (71736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:56:16');
INSERT INTO `sys_job_log` VALUES (71737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:56:21');
INSERT INTO `sys_job_log` VALUES (71738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：86毫秒', '0', '', '2025-01-02 12:56:26');
INSERT INTO `sys_job_log` VALUES (71739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:56:31');
INSERT INTO `sys_job_log` VALUES (71740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:56:31');
INSERT INTO `sys_job_log` VALUES (71741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:56:36');
INSERT INTO `sys_job_log` VALUES (71742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:56:41');
INSERT INTO `sys_job_log` VALUES (71743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:56:46');
INSERT INTO `sys_job_log` VALUES (71744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:56:46');
INSERT INTO `sys_job_log` VALUES (71745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:56:51');
INSERT INTO `sys_job_log` VALUES (71746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:56:56');
INSERT INTO `sys_job_log` VALUES (71747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:57:01');
INSERT INTO `sys_job_log` VALUES (71748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:01');
INSERT INTO `sys_job_log` VALUES (71749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:06');
INSERT INTO `sys_job_log` VALUES (71750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:11');
INSERT INTO `sys_job_log` VALUES (71751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:16');
INSERT INTO `sys_job_log` VALUES (71752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:16');
INSERT INTO `sys_job_log` VALUES (71753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:57:21');
INSERT INTO `sys_job_log` VALUES (71754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:57:26');
INSERT INTO `sys_job_log` VALUES (71755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:31');
INSERT INTO `sys_job_log` VALUES (71756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:31');
INSERT INTO `sys_job_log` VALUES (71757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:36');
INSERT INTO `sys_job_log` VALUES (71758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:41');
INSERT INTO `sys_job_log` VALUES (71759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 12:57:46');
INSERT INTO `sys_job_log` VALUES (71760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 12:57:46');
INSERT INTO `sys_job_log` VALUES (71761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:57:51');
INSERT INTO `sys_job_log` VALUES (71762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:57:56');
INSERT INTO `sys_job_log` VALUES (71763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:58:01');
INSERT INTO `sys_job_log` VALUES (71764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:58:01');
INSERT INTO `sys_job_log` VALUES (71765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:58:06');
INSERT INTO `sys_job_log` VALUES (71766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 12:58:11');
INSERT INTO `sys_job_log` VALUES (71767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 12:58:16');
INSERT INTO `sys_job_log` VALUES (71768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:58:16');
INSERT INTO `sys_job_log` VALUES (71769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:58:21');
INSERT INTO `sys_job_log` VALUES (71770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:58:26');
INSERT INTO `sys_job_log` VALUES (71771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 12:58:31');
INSERT INTO `sys_job_log` VALUES (71772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 12:58:31');
INSERT INTO `sys_job_log` VALUES (71773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:58:36');
INSERT INTO `sys_job_log` VALUES (71774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:58:41');
INSERT INTO `sys_job_log` VALUES (71775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 12:58:46');
INSERT INTO `sys_job_log` VALUES (71776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:58:46');
INSERT INTO `sys_job_log` VALUES (71777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:58:51');
INSERT INTO `sys_job_log` VALUES (71778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:58:56');
INSERT INTO `sys_job_log` VALUES (71779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:59:01');
INSERT INTO `sys_job_log` VALUES (71780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 12:59:01');
INSERT INTO `sys_job_log` VALUES (71781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:59:06');
INSERT INTO `sys_job_log` VALUES (71782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:59:11');
INSERT INTO `sys_job_log` VALUES (71783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:59:16');
INSERT INTO `sys_job_log` VALUES (71784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 12:59:16');
INSERT INTO `sys_job_log` VALUES (71785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:59:21');
INSERT INTO `sys_job_log` VALUES (71786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 12:59:26');
INSERT INTO `sys_job_log` VALUES (71787, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 12:59:31');
INSERT INTO `sys_job_log` VALUES (71788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 12:59:31');
INSERT INTO `sys_job_log` VALUES (71789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:59:36');
INSERT INTO `sys_job_log` VALUES (71790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 12:59:41');
INSERT INTO `sys_job_log` VALUES (71791, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 12:59:46');
INSERT INTO `sys_job_log` VALUES (71792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 12:59:46');
INSERT INTO `sys_job_log` VALUES (71793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:59:51');
INSERT INTO `sys_job_log` VALUES (71794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 12:59:56');
INSERT INTO `sys_job_log` VALUES (71795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:00:01');
INSERT INTO `sys_job_log` VALUES (71796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：41毫秒', '0', '', '2025-01-02 13:00:01');
INSERT INTO `sys_job_log` VALUES (71797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:06');
INSERT INTO `sys_job_log` VALUES (71798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:00:11');
INSERT INTO `sys_job_log` VALUES (71799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:00:16');
INSERT INTO `sys_job_log` VALUES (71800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:16');
INSERT INTO `sys_job_log` VALUES (71801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:00:21');
INSERT INTO `sys_job_log` VALUES (71802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:26');
INSERT INTO `sys_job_log` VALUES (71803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:31');
INSERT INTO `sys_job_log` VALUES (71804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:31');
INSERT INTO `sys_job_log` VALUES (71805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:00:36');
INSERT INTO `sys_job_log` VALUES (71806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:41');
INSERT INTO `sys_job_log` VALUES (71807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:00:46');
INSERT INTO `sys_job_log` VALUES (71808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 13:00:46');
INSERT INTO `sys_job_log` VALUES (71809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:00:51');
INSERT INTO `sys_job_log` VALUES (71810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:00:56');
INSERT INTO `sys_job_log` VALUES (71811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:01:01');
INSERT INTO `sys_job_log` VALUES (71812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:01:01');
INSERT INTO `sys_job_log` VALUES (71813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:01:06');
INSERT INTO `sys_job_log` VALUES (71814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:01:11');
INSERT INTO `sys_job_log` VALUES (71815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:01:16');
INSERT INTO `sys_job_log` VALUES (71816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:16');
INSERT INTO `sys_job_log` VALUES (71817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:21');
INSERT INTO `sys_job_log` VALUES (71818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:26');
INSERT INTO `sys_job_log` VALUES (71819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:31');
INSERT INTO `sys_job_log` VALUES (71820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:31');
INSERT INTO `sys_job_log` VALUES (71821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:01:36');
INSERT INTO `sys_job_log` VALUES (71822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:41');
INSERT INTO `sys_job_log` VALUES (71823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:46');
INSERT INTO `sys_job_log` VALUES (71824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:46');
INSERT INTO `sys_job_log` VALUES (71825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:01:51');
INSERT INTO `sys_job_log` VALUES (71826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:01:56');
INSERT INTO `sys_job_log` VALUES (71827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:02:01');
INSERT INTO `sys_job_log` VALUES (71828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:02:01');
INSERT INTO `sys_job_log` VALUES (71829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:02:06');
INSERT INTO `sys_job_log` VALUES (71830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 13:02:11');
INSERT INTO `sys_job_log` VALUES (71831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:02:16');
INSERT INTO `sys_job_log` VALUES (71832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:02:16');
INSERT INTO `sys_job_log` VALUES (71833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:02:21');
INSERT INTO `sys_job_log` VALUES (71834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:02:26');
INSERT INTO `sys_job_log` VALUES (71835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:02:31');
INSERT INTO `sys_job_log` VALUES (71836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:02:31');
INSERT INTO `sys_job_log` VALUES (71837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:02:36');
INSERT INTO `sys_job_log` VALUES (71838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:02:41');
INSERT INTO `sys_job_log` VALUES (71839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:02:46');
INSERT INTO `sys_job_log` VALUES (71840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:02:46');
INSERT INTO `sys_job_log` VALUES (71841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:02:51');
INSERT INTO `sys_job_log` VALUES (71842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 13:02:56');
INSERT INTO `sys_job_log` VALUES (71843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:03:01');
INSERT INTO `sys_job_log` VALUES (71844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:03:01');
INSERT INTO `sys_job_log` VALUES (71845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:03:06');
INSERT INTO `sys_job_log` VALUES (71846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:03:11');
INSERT INTO `sys_job_log` VALUES (71847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:03:16');
INSERT INTO `sys_job_log` VALUES (71848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:03:16');
INSERT INTO `sys_job_log` VALUES (71849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:03:21');
INSERT INTO `sys_job_log` VALUES (71850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:03:26');
INSERT INTO `sys_job_log` VALUES (71851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:03:31');
INSERT INTO `sys_job_log` VALUES (71852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:03:31');
INSERT INTO `sys_job_log` VALUES (71853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:03:36');
INSERT INTO `sys_job_log` VALUES (71854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:03:41');
INSERT INTO `sys_job_log` VALUES (71855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:03:46');
INSERT INTO `sys_job_log` VALUES (71856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:03:46');
INSERT INTO `sys_job_log` VALUES (71857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:03:51');
INSERT INTO `sys_job_log` VALUES (71858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:03:56');
INSERT INTO `sys_job_log` VALUES (71859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:04:01');
INSERT INTO `sys_job_log` VALUES (71860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:04:01');
INSERT INTO `sys_job_log` VALUES (71861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:04:06');
INSERT INTO `sys_job_log` VALUES (71862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:04:11');
INSERT INTO `sys_job_log` VALUES (71863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 13:04:16');
INSERT INTO `sys_job_log` VALUES (71864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36毫秒', '0', '', '2025-01-02 13:04:16');
INSERT INTO `sys_job_log` VALUES (71865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:04:21');
INSERT INTO `sys_job_log` VALUES (71866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:04:26');
INSERT INTO `sys_job_log` VALUES (71867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:04:31');
INSERT INTO `sys_job_log` VALUES (71868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:04:31');
INSERT INTO `sys_job_log` VALUES (71869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 13:04:36');
INSERT INTO `sys_job_log` VALUES (71870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:04:41');
INSERT INTO `sys_job_log` VALUES (71871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：43毫秒', '0', '', '2025-01-02 13:04:46');
INSERT INTO `sys_job_log` VALUES (71872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：43毫秒', '0', '', '2025-01-02 13:04:46');
INSERT INTO `sys_job_log` VALUES (71873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:04:51');
INSERT INTO `sys_job_log` VALUES (71874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:04:56');
INSERT INTO `sys_job_log` VALUES (71875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:05:01');
INSERT INTO `sys_job_log` VALUES (71876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:05:01');
INSERT INTO `sys_job_log` VALUES (71877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:05:06');
INSERT INTO `sys_job_log` VALUES (71878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:05:11');
INSERT INTO `sys_job_log` VALUES (71879, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:05:16');
INSERT INTO `sys_job_log` VALUES (71880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:05:16');
INSERT INTO `sys_job_log` VALUES (71881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:05:21');
INSERT INTO `sys_job_log` VALUES (71882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:05:26');
INSERT INTO `sys_job_log` VALUES (71883, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:05:31');
INSERT INTO `sys_job_log` VALUES (71884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:05:31');
INSERT INTO `sys_job_log` VALUES (71885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:05:36');
INSERT INTO `sys_job_log` VALUES (71886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:05:41');
INSERT INTO `sys_job_log` VALUES (71887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：45毫秒', '0', '', '2025-01-02 13:05:46');
INSERT INTO `sys_job_log` VALUES (71888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-02 13:05:46');
INSERT INTO `sys_job_log` VALUES (71889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:05:51');
INSERT INTO `sys_job_log` VALUES (71890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:05:56');
INSERT INTO `sys_job_log` VALUES (71891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：48毫秒', '0', '', '2025-01-02 13:06:01');
INSERT INTO `sys_job_log` VALUES (71892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：47毫秒', '0', '', '2025-01-02 13:06:01');
INSERT INTO `sys_job_log` VALUES (71893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:06:06');
INSERT INTO `sys_job_log` VALUES (71894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：53毫秒', '0', '', '2025-01-02 13:06:11');
INSERT INTO `sys_job_log` VALUES (71895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:06:16');
INSERT INTO `sys_job_log` VALUES (71896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:06:16');
INSERT INTO `sys_job_log` VALUES (71897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:06:21');
INSERT INTO `sys_job_log` VALUES (71898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:06:26');
INSERT INTO `sys_job_log` VALUES (71899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:06:31');
INSERT INTO `sys_job_log` VALUES (71900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:06:31');
INSERT INTO `sys_job_log` VALUES (71901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：109毫秒', '0', '', '2025-01-02 13:06:36');
INSERT INTO `sys_job_log` VALUES (71902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-02 13:06:41');
INSERT INTO `sys_job_log` VALUES (71903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：40毫秒', '0', '', '2025-01-02 13:06:46');
INSERT INTO `sys_job_log` VALUES (71904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:06:46');
INSERT INTO `sys_job_log` VALUES (71905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:06:51');
INSERT INTO `sys_job_log` VALUES (71906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:06:56');
INSERT INTO `sys_job_log` VALUES (71907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:01');
INSERT INTO `sys_job_log` VALUES (71908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:01');
INSERT INTO `sys_job_log` VALUES (71909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:06');
INSERT INTO `sys_job_log` VALUES (71910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:11');
INSERT INTO `sys_job_log` VALUES (71911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:16');
INSERT INTO `sys_job_log` VALUES (71912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:16');
INSERT INTO `sys_job_log` VALUES (71913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-02 13:07:21');
INSERT INTO `sys_job_log` VALUES (71914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：52毫秒', '0', '', '2025-01-02 13:07:26');
INSERT INTO `sys_job_log` VALUES (71915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:07:31');
INSERT INTO `sys_job_log` VALUES (71916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:07:31');
INSERT INTO `sys_job_log` VALUES (71917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:07:36');
INSERT INTO `sys_job_log` VALUES (71918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:07:41');
INSERT INTO `sys_job_log` VALUES (71919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-02 13:07:46');
INSERT INTO `sys_job_log` VALUES (71920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：42毫秒', '0', '', '2025-01-02 13:07:46');
INSERT INTO `sys_job_log` VALUES (71921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:07:51');
INSERT INTO `sys_job_log` VALUES (71922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:07:56');
INSERT INTO `sys_job_log` VALUES (71923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：49毫秒', '0', '', '2025-01-02 13:08:01');
INSERT INTO `sys_job_log` VALUES (71924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：49毫秒', '0', '', '2025-01-02 13:08:01');
INSERT INTO `sys_job_log` VALUES (71925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-02 13:08:06');
INSERT INTO `sys_job_log` VALUES (71926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:08:11');
INSERT INTO `sys_job_log` VALUES (71927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：44毫秒', '0', '', '2025-01-02 13:08:16');
INSERT INTO `sys_job_log` VALUES (71928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-02 13:08:16');
INSERT INTO `sys_job_log` VALUES (71929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:08:21');
INSERT INTO `sys_job_log` VALUES (71930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:08:26');
INSERT INTO `sys_job_log` VALUES (71931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:08:31');
INSERT INTO `sys_job_log` VALUES (71932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：38毫秒', '0', '', '2025-01-02 13:08:31');
INSERT INTO `sys_job_log` VALUES (71933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:08:36');
INSERT INTO `sys_job_log` VALUES (71934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:08:41');
INSERT INTO `sys_job_log` VALUES (71935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37毫秒', '0', '', '2025-01-02 13:08:46');
INSERT INTO `sys_job_log` VALUES (71936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：37毫秒', '0', '', '2025-01-02 13:08:46');
INSERT INTO `sys_job_log` VALUES (71937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：38毫秒', '0', '', '2025-01-02 13:08:51');
INSERT INTO `sys_job_log` VALUES (71938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:08:56');
INSERT INTO `sys_job_log` VALUES (71939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：39毫秒', '0', '', '2025-01-02 13:09:01');
INSERT INTO `sys_job_log` VALUES (71940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-02 13:09:01');
INSERT INTO `sys_job_log` VALUES (71941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：41毫秒', '0', '', '2025-01-02 13:09:06');
INSERT INTO `sys_job_log` VALUES (71942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-02 13:09:11');
INSERT INTO `sys_job_log` VALUES (71943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2025-01-03 02:38:47');
INSERT INTO `sys_job_log` VALUES (71944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21毫秒', '0', '', '2025-01-03 02:38:47');
INSERT INTO `sys_job_log` VALUES (71945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 02:38:52');
INSERT INTO `sys_job_log` VALUES (71946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 02:38:57');
INSERT INTO `sys_job_log` VALUES (71947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6毫秒', '0', '', '2025-01-03 02:39:02');
INSERT INTO `sys_job_log` VALUES (71948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 02:39:02');
INSERT INTO `sys_job_log` VALUES (71949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:39:07');
INSERT INTO `sys_job_log` VALUES (71950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:39:12');
INSERT INTO `sys_job_log` VALUES (71951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 02:39:17');
INSERT INTO `sys_job_log` VALUES (71952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：9毫秒', '0', '', '2025-01-03 02:39:17');
INSERT INTO `sys_job_log` VALUES (71953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:39:22');
INSERT INTO `sys_job_log` VALUES (71954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:39:27');
INSERT INTO `sys_job_log` VALUES (71955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6毫秒', '0', '', '2025-01-03 02:39:32');
INSERT INTO `sys_job_log` VALUES (71956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:39:32');
INSERT INTO `sys_job_log` VALUES (71957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:39:37');
INSERT INTO `sys_job_log` VALUES (71958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:39:42');
INSERT INTO `sys_job_log` VALUES (71959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6毫秒', '0', '', '2025-01-03 02:39:47');
INSERT INTO `sys_job_log` VALUES (71960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:39:47');
INSERT INTO `sys_job_log` VALUES (71961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:39:52');
INSERT INTO `sys_job_log` VALUES (71962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 02:39:57');
INSERT INTO `sys_job_log` VALUES (71963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2025-01-03 02:40:02');
INSERT INTO `sys_job_log` VALUES (71964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2025-01-03 02:40:02');
INSERT INTO `sys_job_log` VALUES (71965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:40:07');
INSERT INTO `sys_job_log` VALUES (71966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:40:12');
INSERT INTO `sys_job_log` VALUES (71967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 02:40:17');
INSERT INTO `sys_job_log` VALUES (71968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2025-01-03 02:40:17');
INSERT INTO `sys_job_log` VALUES (71969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:40:22');
INSERT INTO `sys_job_log` VALUES (71970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:40:27');
INSERT INTO `sys_job_log` VALUES (71971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6毫秒', '0', '', '2025-01-03 02:40:32');
INSERT INTO `sys_job_log` VALUES (71972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:40:32');
INSERT INTO `sys_job_log` VALUES (71973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:40:37');
INSERT INTO `sys_job_log` VALUES (71974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:40:42');
INSERT INTO `sys_job_log` VALUES (71975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：10毫秒', '0', '', '2025-01-03 02:40:47');
INSERT INTO `sys_job_log` VALUES (71976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2025-01-03 02:40:47');
INSERT INTO `sys_job_log` VALUES (71977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:40:52');
INSERT INTO `sys_job_log` VALUES (71978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:40:57');
INSERT INTO `sys_job_log` VALUES (71979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 02:41:02');
INSERT INTO `sys_job_log` VALUES (71980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2025-01-03 02:41:02');
INSERT INTO `sys_job_log` VALUES (71981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:07');
INSERT INTO `sys_job_log` VALUES (71982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 02:41:12');
INSERT INTO `sys_job_log` VALUES (71983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6毫秒', '0', '', '2025-01-03 02:41:17');
INSERT INTO `sys_job_log` VALUES (71984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:41:17');
INSERT INTO `sys_job_log` VALUES (71985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:22');
INSERT INTO `sys_job_log` VALUES (71986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:27');
INSERT INTO `sys_job_log` VALUES (71987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:32');
INSERT INTO `sys_job_log` VALUES (71988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2025-01-03 02:41:32');
INSERT INTO `sys_job_log` VALUES (71989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:37');
INSERT INTO `sys_job_log` VALUES (71990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:42');
INSERT INTO `sys_job_log` VALUES (71991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 02:41:47');
INSERT INTO `sys_job_log` VALUES (71992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8毫秒', '0', '', '2025-01-03 02:41:47');
INSERT INTO `sys_job_log` VALUES (71993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 02:41:52');
INSERT INTO `sys_job_log` VALUES (71994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:41:57');
INSERT INTO `sys_job_log` VALUES (71995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1049毫秒', '0', '', '2025-01-03 02:43:04');
INSERT INTO `sys_job_log` VALUES (71996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2051毫秒', '0', '', '2025-01-03 02:43:05');
INSERT INTO `sys_job_log` VALUES (71997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:43:07');
INSERT INTO `sys_job_log` VALUES (71998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:43:12');
INSERT INTO `sys_job_log` VALUES (71999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:43:17');
INSERT INTO `sys_job_log` VALUES (72000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 02:43:18');
INSERT INTO `sys_job_log` VALUES (72001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:43:22');
INSERT INTO `sys_job_log` VALUES (72002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1190毫秒', '0', '', '2025-01-03 02:43:59');
INSERT INTO `sys_job_log` VALUES (72003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2025-01-03 02:44:02');
INSERT INTO `sys_job_log` VALUES (72004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 02:44:03');
INSERT INTO `sys_job_log` VALUES (72005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:07');
INSERT INTO `sys_job_log` VALUES (72006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:12');
INSERT INTO `sys_job_log` VALUES (72007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:17');
INSERT INTO `sys_job_log` VALUES (72008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1057毫秒', '0', '', '2025-01-03 02:44:18');
INSERT INTO `sys_job_log` VALUES (72009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:22');
INSERT INTO `sys_job_log` VALUES (72010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:27');
INSERT INTO `sys_job_log` VALUES (72011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:32');
INSERT INTO `sys_job_log` VALUES (72012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 02:44:33');
INSERT INTO `sys_job_log` VALUES (72013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:37');
INSERT INTO `sys_job_log` VALUES (72014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:42');
INSERT INTO `sys_job_log` VALUES (72015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：109毫秒', '0', '', '2025-01-03 02:44:47');
INSERT INTO `sys_job_log` VALUES (72016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1403毫秒', '0', '', '2025-01-03 02:44:48');
INSERT INTO `sys_job_log` VALUES (72017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:52');
INSERT INTO `sys_job_log` VALUES (72018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:44:57');
INSERT INTO `sys_job_log` VALUES (72019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:02');
INSERT INTO `sys_job_log` VALUES (72020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1074毫秒', '0', '', '2025-01-03 02:45:03');
INSERT INTO `sys_job_log` VALUES (72021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:07');
INSERT INTO `sys_job_log` VALUES (72022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:12');
INSERT INTO `sys_job_log` VALUES (72023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:45:17');
INSERT INTO `sys_job_log` VALUES (72024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 02:45:18');
INSERT INTO `sys_job_log` VALUES (72025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:45:22');
INSERT INTO `sys_job_log` VALUES (72026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：56毫秒', '0', '', '2025-01-03 02:45:27');
INSERT INTO `sys_job_log` VALUES (72027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:32');
INSERT INTO `sys_job_log` VALUES (72028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 02:45:33');
INSERT INTO `sys_job_log` VALUES (72029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:37');
INSERT INTO `sys_job_log` VALUES (72030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:45:42');
INSERT INTO `sys_job_log` VALUES (72031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:45:47');
INSERT INTO `sys_job_log` VALUES (72032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2025-01-03 02:45:48');
INSERT INTO `sys_job_log` VALUES (72033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:52');
INSERT INTO `sys_job_log` VALUES (72034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:45:57');
INSERT INTO `sys_job_log` VALUES (72035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:02');
INSERT INTO `sys_job_log` VALUES (72036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1161毫秒', '0', '', '2025-01-03 02:46:03');
INSERT INTO `sys_job_log` VALUES (72037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:07');
INSERT INTO `sys_job_log` VALUES (72038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:46:12');
INSERT INTO `sys_job_log` VALUES (72039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:17');
INSERT INTO `sys_job_log` VALUES (72040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2025-01-03 02:46:18');
INSERT INTO `sys_job_log` VALUES (72041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:46:22');
INSERT INTO `sys_job_log` VALUES (72042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:27');
INSERT INTO `sys_job_log` VALUES (72043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:32');
INSERT INTO `sys_job_log` VALUES (72044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1104毫秒', '0', '', '2025-01-03 02:46:33');
INSERT INTO `sys_job_log` VALUES (72045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:46:37');
INSERT INTO `sys_job_log` VALUES (72046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:42');
INSERT INTO `sys_job_log` VALUES (72047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:46:47');
INSERT INTO `sys_job_log` VALUES (72048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 02:46:48');
INSERT INTO `sys_job_log` VALUES (72049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:46:52');
INSERT INTO `sys_job_log` VALUES (72050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:46:57');
INSERT INTO `sys_job_log` VALUES (72051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:47:02');
INSERT INTO `sys_job_log` VALUES (72052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2025-01-03 02:47:03');
INSERT INTO `sys_job_log` VALUES (72053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:47:07');
INSERT INTO `sys_job_log` VALUES (72054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:47:12');
INSERT INTO `sys_job_log` VALUES (72055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:47:17');
INSERT INTO `sys_job_log` VALUES (72056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1130毫秒', '0', '', '2025-01-03 02:47:18');
INSERT INTO `sys_job_log` VALUES (72057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:47:22');
INSERT INTO `sys_job_log` VALUES (72058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:47:27');
INSERT INTO `sys_job_log` VALUES (72059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:47:32');
INSERT INTO `sys_job_log` VALUES (72060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1100毫秒', '0', '', '2025-01-03 02:47:33');
INSERT INTO `sys_job_log` VALUES (72061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:47:37');
INSERT INTO `sys_job_log` VALUES (72062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1075毫秒', '0', '', '2025-01-03 02:47:48');
INSERT INTO `sys_job_log` VALUES (72063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2086毫秒', '0', '', '2025-01-03 02:47:49');
INSERT INTO `sys_job_log` VALUES (72064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:47:52');
INSERT INTO `sys_job_log` VALUES (72065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:47:57');
INSERT INTO `sys_job_log` VALUES (72066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:48:02');
INSERT INTO `sys_job_log` VALUES (72067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 02:48:03');
INSERT INTO `sys_job_log` VALUES (72068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:07');
INSERT INTO `sys_job_log` VALUES (72069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:12');
INSERT INTO `sys_job_log` VALUES (72070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:17');
INSERT INTO `sys_job_log` VALUES (72071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 02:48:18');
INSERT INTO `sys_job_log` VALUES (72072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 02:48:23');
INSERT INTO `sys_job_log` VALUES (72073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:27');
INSERT INTO `sys_job_log` VALUES (72074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:32');
INSERT INTO `sys_job_log` VALUES (72075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 02:48:33');
INSERT INTO `sys_job_log` VALUES (72076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:37');
INSERT INTO `sys_job_log` VALUES (72077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:42');
INSERT INTO `sys_job_log` VALUES (72078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:47');
INSERT INTO `sys_job_log` VALUES (72079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 02:48:48');
INSERT INTO `sys_job_log` VALUES (72080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1030毫秒', '0', '', '2025-01-03 02:48:53');
INSERT INTO `sys_job_log` VALUES (72081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:48:57');
INSERT INTO `sys_job_log` VALUES (72082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:49:02');
INSERT INTO `sys_job_log` VALUES (72083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 02:49:03');
INSERT INTO `sys_job_log` VALUES (72084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:49:07');
INSERT INTO `sys_job_log` VALUES (72085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:49:12');
INSERT INTO `sys_job_log` VALUES (72086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:49:17');
INSERT INTO `sys_job_log` VALUES (72087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 02:49:18');
INSERT INTO `sys_job_log` VALUES (72088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 02:49:23');
INSERT INTO `sys_job_log` VALUES (72089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:49:27');
INSERT INTO `sys_job_log` VALUES (72090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:49:32');
INSERT INTO `sys_job_log` VALUES (72091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 02:49:33');
INSERT INTO `sys_job_log` VALUES (72092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:49:37');
INSERT INTO `sys_job_log` VALUES (72093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:49:42');
INSERT INTO `sys_job_log` VALUES (72094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:49:47');
INSERT INTO `sys_job_log` VALUES (72095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 02:49:48');
INSERT INTO `sys_job_log` VALUES (72096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 02:49:53');
INSERT INTO `sys_job_log` VALUES (72097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:49:57');
INSERT INTO `sys_job_log` VALUES (72098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:50:02');
INSERT INTO `sys_job_log` VALUES (72099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 02:50:03');
INSERT INTO `sys_job_log` VALUES (72100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 02:50:08');
INSERT INTO `sys_job_log` VALUES (72101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:50:12');
INSERT INTO `sys_job_log` VALUES (72102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:50:17');
INSERT INTO `sys_job_log` VALUES (72103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 02:50:18');
INSERT INTO `sys_job_log` VALUES (72104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 02:50:22');
INSERT INTO `sys_job_log` VALUES (72105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:50:27');
INSERT INTO `sys_job_log` VALUES (72106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:50:32');
INSERT INTO `sys_job_log` VALUES (72107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 02:50:33');
INSERT INTO `sys_job_log` VALUES (72108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1160毫秒', '0', '', '2025-01-03 02:50:43');
INSERT INTO `sys_job_log` VALUES (72109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 02:50:47');
INSERT INTO `sys_job_log` VALUES (72110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1052毫秒', '0', '', '2025-01-03 02:50:48');
INSERT INTO `sys_job_log` VALUES (72111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:50:52');
INSERT INTO `sys_job_log` VALUES (72112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:50:57');
INSERT INTO `sys_job_log` VALUES (72113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:51:02');
INSERT INTO `sys_job_log` VALUES (72114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 02:51:03');
INSERT INTO `sys_job_log` VALUES (72115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:51:07');
INSERT INTO `sys_job_log` VALUES (72116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:51:12');
INSERT INTO `sys_job_log` VALUES (72117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:51:17');
INSERT INTO `sys_job_log` VALUES (72118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1089毫秒', '0', '', '2025-01-03 02:51:18');
INSERT INTO `sys_job_log` VALUES (72119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:51:22');
INSERT INTO `sys_job_log` VALUES (72120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:51:27');
INSERT INTO `sys_job_log` VALUES (72121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:51:32');
INSERT INTO `sys_job_log` VALUES (72122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1074毫秒', '0', '', '2025-01-03 02:51:33');
INSERT INTO `sys_job_log` VALUES (72123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:51:37');
INSERT INTO `sys_job_log` VALUES (72124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:51:42');
INSERT INTO `sys_job_log` VALUES (72125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:51:47');
INSERT INTO `sys_job_log` VALUES (72126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1045毫秒', '0', '', '2025-01-03 02:51:48');
INSERT INTO `sys_job_log` VALUES (72127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:51:52');
INSERT INTO `sys_job_log` VALUES (72128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:51:57');
INSERT INTO `sys_job_log` VALUES (72129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:52:02');
INSERT INTO `sys_job_log` VALUES (72130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 02:52:03');
INSERT INTO `sys_job_log` VALUES (72131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:52:07');
INSERT INTO `sys_job_log` VALUES (72132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:52:12');
INSERT INTO `sys_job_log` VALUES (72133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:52:17');
INSERT INTO `sys_job_log` VALUES (72134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1092毫秒', '0', '', '2025-01-03 02:52:18');
INSERT INTO `sys_job_log` VALUES (72135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:52:22');
INSERT INTO `sys_job_log` VALUES (72136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:52:27');
INSERT INTO `sys_job_log` VALUES (72137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1179毫秒', '0', '', '2025-01-03 02:52:38');
INSERT INTO `sys_job_log` VALUES (72138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 02:52:42');
INSERT INTO `sys_job_log` VALUES (72139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:52:47');
INSERT INTO `sys_job_log` VALUES (72140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1038毫秒', '0', '', '2025-01-03 02:52:48');
INSERT INTO `sys_job_log` VALUES (72141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:52:52');
INSERT INTO `sys_job_log` VALUES (72142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:52:57');
INSERT INTO `sys_job_log` VALUES (72143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:53:02');
INSERT INTO `sys_job_log` VALUES (72144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2025-01-03 02:53:03');
INSERT INTO `sys_job_log` VALUES (72145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:53:07');
INSERT INTO `sys_job_log` VALUES (72146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:53:12');
INSERT INTO `sys_job_log` VALUES (72147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:53:17');
INSERT INTO `sys_job_log` VALUES (72148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1084毫秒', '0', '', '2025-01-03 02:53:18');
INSERT INTO `sys_job_log` VALUES (72149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:53:22');
INSERT INTO `sys_job_log` VALUES (72150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:53:27');
INSERT INTO `sys_job_log` VALUES (72151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:53:32');
INSERT INTO `sys_job_log` VALUES (72152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1057毫秒', '0', '', '2025-01-03 02:53:33');
INSERT INTO `sys_job_log` VALUES (72153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:53:37');
INSERT INTO `sys_job_log` VALUES (72154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:53:42');
INSERT INTO `sys_job_log` VALUES (72155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:53:47');
INSERT INTO `sys_job_log` VALUES (72156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1030毫秒', '0', '', '2025-01-03 02:53:48');
INSERT INTO `sys_job_log` VALUES (72157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 02:53:52');
INSERT INTO `sys_job_log` VALUES (72158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 02:53:57');
INSERT INTO `sys_job_log` VALUES (72159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2025-01-03 02:54:02');
INSERT INTO `sys_job_log` VALUES (72160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1099毫秒', '0', '', '2025-01-03 02:54:03');
INSERT INTO `sys_job_log` VALUES (72161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 02:54:07');
INSERT INTO `sys_job_log` VALUES (72162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2025-01-03 02:54:12');
INSERT INTO `sys_job_log` VALUES (72163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:54:17');
INSERT INTO `sys_job_log` VALUES (72164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1166毫秒', '0', '', '2025-01-03 02:54:18');
INSERT INTO `sys_job_log` VALUES (72165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:54:22');
INSERT INTO `sys_job_log` VALUES (72166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:54:27');
INSERT INTO `sys_job_log` VALUES (72167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:54:32');
INSERT INTO `sys_job_log` VALUES (72168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1047毫秒', '0', '', '2025-01-03 02:54:33');
INSERT INTO `sys_job_log` VALUES (72169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:54:37');
INSERT INTO `sys_job_log` VALUES (72170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:54:42');
INSERT INTO `sys_job_log` VALUES (72171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:54:47');
INSERT INTO `sys_job_log` VALUES (72172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1114毫秒', '0', '', '2025-01-03 02:54:48');
INSERT INTO `sys_job_log` VALUES (72173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:54:52');
INSERT INTO `sys_job_log` VALUES (72174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 02:54:57');
INSERT INTO `sys_job_log` VALUES (72175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:02');
INSERT INTO `sys_job_log` VALUES (72176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1087毫秒', '0', '', '2025-01-03 02:55:03');
INSERT INTO `sys_job_log` VALUES (72177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:07');
INSERT INTO `sys_job_log` VALUES (72178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:12');
INSERT INTO `sys_job_log` VALUES (72179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:17');
INSERT INTO `sys_job_log` VALUES (72180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2025-01-03 02:55:18');
INSERT INTO `sys_job_log` VALUES (72181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:22');
INSERT INTO `sys_job_log` VALUES (72182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:27');
INSERT INTO `sys_job_log` VALUES (72183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:32');
INSERT INTO `sys_job_log` VALUES (72184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1039毫秒', '0', '', '2025-01-03 02:55:33');
INSERT INTO `sys_job_log` VALUES (72185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:37');
INSERT INTO `sys_job_log` VALUES (72186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:42');
INSERT INTO `sys_job_log` VALUES (72187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:47');
INSERT INTO `sys_job_log` VALUES (72188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1103毫秒', '0', '', '2025-01-03 02:55:48');
INSERT INTO `sys_job_log` VALUES (72189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:52');
INSERT INTO `sys_job_log` VALUES (72190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:55:57');
INSERT INTO `sys_job_log` VALUES (72191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:02');
INSERT INTO `sys_job_log` VALUES (72192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1079毫秒', '0', '', '2025-01-03 02:56:03');
INSERT INTO `sys_job_log` VALUES (72193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:07');
INSERT INTO `sys_job_log` VALUES (72194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:12');
INSERT INTO `sys_job_log` VALUES (72195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:17');
INSERT INTO `sys_job_log` VALUES (72196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1048毫秒', '0', '', '2025-01-03 02:56:18');
INSERT INTO `sys_job_log` VALUES (72197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:22');
INSERT INTO `sys_job_log` VALUES (72198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:27');
INSERT INTO `sys_job_log` VALUES (72199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:32');
INSERT INTO `sys_job_log` VALUES (72200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1125毫秒', '0', '', '2025-01-03 02:56:33');
INSERT INTO `sys_job_log` VALUES (72201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:37');
INSERT INTO `sys_job_log` VALUES (72202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:42');
INSERT INTO `sys_job_log` VALUES (72203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:47');
INSERT INTO `sys_job_log` VALUES (72204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:56:52');
INSERT INTO `sys_job_log` VALUES (72205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 02:56:57');
INSERT INTO `sys_job_log` VALUES (72206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:57:02');
INSERT INTO `sys_job_log` VALUES (72207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:57:07');
INSERT INTO `sys_job_log` VALUES (72208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:57:12');
INSERT INTO `sys_job_log` VALUES (72209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1263毫秒', '0', '', '2025-01-03 02:57:23');
INSERT INTO `sys_job_log` VALUES (72210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 02:57:27');
INSERT INTO `sys_job_log` VALUES (72211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:57:32');
INSERT INTO `sys_job_log` VALUES (72212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2025-01-03 02:57:33');
INSERT INTO `sys_job_log` VALUES (72213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:57:37');
INSERT INTO `sys_job_log` VALUES (72214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:57:42');
INSERT INTO `sys_job_log` VALUES (72215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:57:47');
INSERT INTO `sys_job_log` VALUES (72216, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1099毫秒', '0', '', '2025-01-03 02:57:48');
INSERT INTO `sys_job_log` VALUES (72217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:57:52');
INSERT INTO `sys_job_log` VALUES (72218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:57:57');
INSERT INTO `sys_job_log` VALUES (72219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:58:02');
INSERT INTO `sys_job_log` VALUES (72220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 02:58:03');
INSERT INTO `sys_job_log` VALUES (72221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:58:07');
INSERT INTO `sys_job_log` VALUES (72222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:58:12');
INSERT INTO `sys_job_log` VALUES (72223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:58:17');
INSERT INTO `sys_job_log` VALUES (72224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2025-01-03 02:58:18');
INSERT INTO `sys_job_log` VALUES (72225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:58:22');
INSERT INTO `sys_job_log` VALUES (72226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:58:27');
INSERT INTO `sys_job_log` VALUES (72227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:58:32');
INSERT INTO `sys_job_log` VALUES (72228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2025-01-03 02:58:33');
INSERT INTO `sys_job_log` VALUES (72229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:58:37');
INSERT INTO `sys_job_log` VALUES (72230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:58:42');
INSERT INTO `sys_job_log` VALUES (72231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:58:47');
INSERT INTO `sys_job_log` VALUES (72232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1083毫秒', '0', '', '2025-01-03 02:58:48');
INSERT INTO `sys_job_log` VALUES (72233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:58:52');
INSERT INTO `sys_job_log` VALUES (72234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:58:57');
INSERT INTO `sys_job_log` VALUES (72235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:02');
INSERT INTO `sys_job_log` VALUES (72236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 02:59:03');
INSERT INTO `sys_job_log` VALUES (72237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:07');
INSERT INTO `sys_job_log` VALUES (72238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:12');
INSERT INTO `sys_job_log` VALUES (72239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:59:17');
INSERT INTO `sys_job_log` VALUES (72240, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1138毫秒', '0', '', '2025-01-03 02:59:18');
INSERT INTO `sys_job_log` VALUES (72241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:22');
INSERT INTO `sys_job_log` VALUES (72242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:59:27');
INSERT INTO `sys_job_log` VALUES (72243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:59:32');
INSERT INTO `sys_job_log` VALUES (72244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2025-01-03 02:59:33');
INSERT INTO `sys_job_log` VALUES (72245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 02:59:37');
INSERT INTO `sys_job_log` VALUES (72246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:42');
INSERT INTO `sys_job_log` VALUES (72247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 02:59:47');
INSERT INTO `sys_job_log` VALUES (72248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1084毫秒', '0', '', '2025-01-03 02:59:48');
INSERT INTO `sys_job_log` VALUES (72249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:52');
INSERT INTO `sys_job_log` VALUES (72250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 02:59:57');
INSERT INTO `sys_job_log` VALUES (72251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:00:02');
INSERT INTO `sys_job_log` VALUES (72252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 03:00:03');
INSERT INTO `sys_job_log` VALUES (72253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:07');
INSERT INTO `sys_job_log` VALUES (72254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:12');
INSERT INTO `sys_job_log` VALUES (72255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1200毫秒', '0', '', '2025-01-03 03:00:26');
INSERT INTO `sys_job_log` VALUES (72256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2025-01-03 03:00:27');
INSERT INTO `sys_job_log` VALUES (72257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:32');
INSERT INTO `sys_job_log` VALUES (72258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1104毫秒', '0', '', '2025-01-03 03:00:33');
INSERT INTO `sys_job_log` VALUES (72259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:37');
INSERT INTO `sys_job_log` VALUES (72260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:42');
INSERT INTO `sys_job_log` VALUES (72261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 03:00:47');
INSERT INTO `sys_job_log` VALUES (72262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1078毫秒', '0', '', '2025-01-03 03:00:48');
INSERT INTO `sys_job_log` VALUES (72263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:52');
INSERT INTO `sys_job_log` VALUES (72264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:00:57');
INSERT INTO `sys_job_log` VALUES (72265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:01:02');
INSERT INTO `sys_job_log` VALUES (72266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1050毫秒', '0', '', '2025-01-03 03:01:03');
INSERT INTO `sys_job_log` VALUES (72267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:07');
INSERT INTO `sys_job_log` VALUES (72268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:12');
INSERT INTO `sys_job_log` VALUES (72269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:17');
INSERT INTO `sys_job_log` VALUES (72270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1115毫秒', '0', '', '2025-01-03 03:01:18');
INSERT INTO `sys_job_log` VALUES (72271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:01:22');
INSERT INTO `sys_job_log` VALUES (72272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:27');
INSERT INTO `sys_job_log` VALUES (72273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1157毫秒', '0', '', '2025-01-03 03:01:39');
INSERT INTO `sys_job_log` VALUES (72274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 03:01:42');
INSERT INTO `sys_job_log` VALUES (72275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:47');
INSERT INTO `sys_job_log` VALUES (72276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1069毫秒', '0', '', '2025-01-03 03:01:48');
INSERT INTO `sys_job_log` VALUES (72277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:52');
INSERT INTO `sys_job_log` VALUES (72278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:01:57');
INSERT INTO `sys_job_log` VALUES (72279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1075毫秒', '0', '', '2025-01-03 03:02:13');
INSERT INTO `sys_job_log` VALUES (72280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2025-01-03 03:02:17');
INSERT INTO `sys_job_log` VALUES (72281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2025-01-03 03:02:18');
INSERT INTO `sys_job_log` VALUES (72282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:02:22');
INSERT INTO `sys_job_log` VALUES (72283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:02:27');
INSERT INTO `sys_job_log` VALUES (72284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:02:32');
INSERT INTO `sys_job_log` VALUES (72285, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1079毫秒', '0', '', '2025-01-03 03:02:33');
INSERT INTO `sys_job_log` VALUES (72286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:02:37');
INSERT INTO `sys_job_log` VALUES (72287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:02:42');
INSERT INTO `sys_job_log` VALUES (72288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:02:47');
INSERT INTO `sys_job_log` VALUES (72289, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1059毫秒', '0', '', '2025-01-03 03:02:48');
INSERT INTO `sys_job_log` VALUES (72290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:02:52');
INSERT INTO `sys_job_log` VALUES (72291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 03:03:03');
INSERT INTO `sys_job_log` VALUES (72292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2059毫秒', '0', '', '2025-01-03 03:03:04');
INSERT INTO `sys_job_log` VALUES (72293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2025-01-03 03:03:07');
INSERT INTO `sys_job_log` VALUES (72294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:03:12');
INSERT INTO `sys_job_log` VALUES (72295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1207毫秒', '0', '', '2025-01-03 03:03:23');
INSERT INTO `sys_job_log` VALUES (72296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 03:03:27');
INSERT INTO `sys_job_log` VALUES (72297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:03:32');
INSERT INTO `sys_job_log` VALUES (72298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1079毫秒', '0', '', '2025-01-03 03:03:33');
INSERT INTO `sys_job_log` VALUES (72299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:03:37');
INSERT INTO `sys_job_log` VALUES (72300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:03:42');
INSERT INTO `sys_job_log` VALUES (72301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:03:47');
INSERT INTO `sys_job_log` VALUES (72302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 03:03:48');
INSERT INTO `sys_job_log` VALUES (72303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:03:52');
INSERT INTO `sys_job_log` VALUES (72304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:03:57');
INSERT INTO `sys_job_log` VALUES (72305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:04:02');
INSERT INTO `sys_job_log` VALUES (72306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1124毫秒', '0', '', '2025-01-03 03:04:03');
INSERT INTO `sys_job_log` VALUES (72307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:07');
INSERT INTO `sys_job_log` VALUES (72308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:12');
INSERT INTO `sys_job_log` VALUES (72309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:17');
INSERT INTO `sys_job_log` VALUES (72310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1100毫秒', '0', '', '2025-01-03 03:04:18');
INSERT INTO `sys_job_log` VALUES (72311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:22');
INSERT INTO `sys_job_log` VALUES (72312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:27');
INSERT INTO `sys_job_log` VALUES (72313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:32');
INSERT INTO `sys_job_log` VALUES (72314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1067毫秒', '0', '', '2025-01-03 03:04:33');
INSERT INTO `sys_job_log` VALUES (72315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:37');
INSERT INTO `sys_job_log` VALUES (72316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:04:42');
INSERT INTO `sys_job_log` VALUES (72317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1120毫秒', '0', '', '2025-01-03 03:04:54');
INSERT INTO `sys_job_log` VALUES (72318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2025-01-03 03:04:57');
INSERT INTO `sys_job_log` VALUES (72319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:02');
INSERT INTO `sys_job_log` VALUES (72320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2025-01-03 03:05:03');
INSERT INTO `sys_job_log` VALUES (72321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:07');
INSERT INTO `sys_job_log` VALUES (72322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:05:12');
INSERT INTO `sys_job_log` VALUES (72323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:17');
INSERT INTO `sys_job_log` VALUES (72324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1097毫秒', '0', '', '2025-01-03 03:05:18');
INSERT INTO `sys_job_log` VALUES (72325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:05:22');
INSERT INTO `sys_job_log` VALUES (72326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:27');
INSERT INTO `sys_job_log` VALUES (72327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:32');
INSERT INTO `sys_job_log` VALUES (72328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1055毫秒', '0', '', '2025-01-03 03:05:33');
INSERT INTO `sys_job_log` VALUES (72329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:37');
INSERT INTO `sys_job_log` VALUES (72330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:42');
INSERT INTO `sys_job_log` VALUES (72331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:05:47');
INSERT INTO `sys_job_log` VALUES (72332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1127毫秒', '0', '', '2025-01-03 03:05:48');
INSERT INTO `sys_job_log` VALUES (72333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:05:52');
INSERT INTO `sys_job_log` VALUES (72334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:05:57');
INSERT INTO `sys_job_log` VALUES (72335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:02');
INSERT INTO `sys_job_log` VALUES (72336, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1109毫秒', '0', '', '2025-01-03 03:06:03');
INSERT INTO `sys_job_log` VALUES (72337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:07');
INSERT INTO `sys_job_log` VALUES (72338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:12');
INSERT INTO `sys_job_log` VALUES (72339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:06:17');
INSERT INTO `sys_job_log` VALUES (72340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1082毫秒', '0', '', '2025-01-03 03:06:18');
INSERT INTO `sys_job_log` VALUES (72341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:06:22');
INSERT INTO `sys_job_log` VALUES (72342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:27');
INSERT INTO `sys_job_log` VALUES (72343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:06:32');
INSERT INTO `sys_job_log` VALUES (72344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 03:06:33');
INSERT INTO `sys_job_log` VALUES (72345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:06:37');
INSERT INTO `sys_job_log` VALUES (72346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:42');
INSERT INTO `sys_job_log` VALUES (72347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:47');
INSERT INTO `sys_job_log` VALUES (72348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1130毫秒', '0', '', '2025-01-03 03:06:48');
INSERT INTO `sys_job_log` VALUES (72349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:52');
INSERT INTO `sys_job_log` VALUES (72350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:06:57');
INSERT INTO `sys_job_log` VALUES (72351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:07:02');
INSERT INTO `sys_job_log` VALUES (72352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 03:07:03');
INSERT INTO `sys_job_log` VALUES (72353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:07:07');
INSERT INTO `sys_job_log` VALUES (72354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:07:12');
INSERT INTO `sys_job_log` VALUES (72355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:07:17');
INSERT INTO `sys_job_log` VALUES (72356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1280毫秒', '0', '', '2025-01-03 03:07:18');
INSERT INTO `sys_job_log` VALUES (72357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:07:22');
INSERT INTO `sys_job_log` VALUES (72358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:07:27');
INSERT INTO `sys_job_log` VALUES (72359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:07:32');
INSERT INTO `sys_job_log` VALUES (72360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2025-01-03 03:07:33');
INSERT INTO `sys_job_log` VALUES (72361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:07:37');
INSERT INTO `sys_job_log` VALUES (72362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:07:42');
INSERT INTO `sys_job_log` VALUES (72363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1120毫秒', '0', '', '2025-01-03 03:07:53');
INSERT INTO `sys_job_log` VALUES (72364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2025-01-03 03:07:57');
INSERT INTO `sys_job_log` VALUES (72365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:08:02');
INSERT INTO `sys_job_log` VALUES (72366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:08:03');
INSERT INTO `sys_job_log` VALUES (72367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:08:07');
INSERT INTO `sys_job_log` VALUES (72368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:08:12');
INSERT INTO `sys_job_log` VALUES (72369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:08:17');
INSERT INTO `sys_job_log` VALUES (72370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:08:18');
INSERT INTO `sys_job_log` VALUES (72371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:08:22');
INSERT INTO `sys_job_log` VALUES (72372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:08:27');
INSERT INTO `sys_job_log` VALUES (72373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:08:32');
INSERT INTO `sys_job_log` VALUES (72374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:08:33');
INSERT INTO `sys_job_log` VALUES (72375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:08:37');
INSERT INTO `sys_job_log` VALUES (72376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:08:42');
INSERT INTO `sys_job_log` VALUES (72377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:08:47');
INSERT INTO `sys_job_log` VALUES (72378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:08:48');
INSERT INTO `sys_job_log` VALUES (72379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:08:52');
INSERT INTO `sys_job_log` VALUES (72380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3078毫秒', '0', '', '2025-01-03 03:09:00');
INSERT INTO `sys_job_log` VALUES (72381, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:09:03');
INSERT INTO `sys_job_log` VALUES (72382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4065毫秒', '0', '', '2025-01-03 03:09:06');
INSERT INTO `sys_job_log` VALUES (72383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3073毫秒', '0', '', '2025-01-03 03:09:10');
INSERT INTO `sys_job_log` VALUES (72384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3060毫秒', '0', '', '2025-01-03 03:09:15');
INSERT INTO `sys_job_log` VALUES (72385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 03:09:18');
INSERT INTO `sys_job_log` VALUES (72386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4059毫秒', '0', '', '2025-01-03 03:09:21');
INSERT INTO `sys_job_log` VALUES (72387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3062毫秒', '0', '', '2025-01-03 03:09:25');
INSERT INTO `sys_job_log` VALUES (72388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3065毫秒', '0', '', '2025-01-03 03:09:30');
INSERT INTO `sys_job_log` VALUES (72389, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:09:33');
INSERT INTO `sys_job_log` VALUES (72390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4048毫秒', '0', '', '2025-01-03 03:09:36');
INSERT INTO `sys_job_log` VALUES (72391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3062毫秒', '0', '', '2025-01-03 03:09:40');
INSERT INTO `sys_job_log` VALUES (72392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3065毫秒', '0', '', '2025-01-03 03:09:45');
INSERT INTO `sys_job_log` VALUES (72393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:09:48');
INSERT INTO `sys_job_log` VALUES (72394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4070毫秒', '0', '', '2025-01-03 03:09:51');
INSERT INTO `sys_job_log` VALUES (72395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3065毫秒', '0', '', '2025-01-03 03:09:55');
INSERT INTO `sys_job_log` VALUES (72396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3064毫秒', '0', '', '2025-01-03 03:10:00');
INSERT INTO `sys_job_log` VALUES (72397, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:10:03');
INSERT INTO `sys_job_log` VALUES (72398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4076毫秒', '0', '', '2025-01-03 03:10:06');
INSERT INTO `sys_job_log` VALUES (72399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3044毫秒', '0', '', '2025-01-03 03:10:10');
INSERT INTO `sys_job_log` VALUES (72400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3058毫秒', '0', '', '2025-01-03 03:10:15');
INSERT INTO `sys_job_log` VALUES (72401, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:10:18');
INSERT INTO `sys_job_log` VALUES (72402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4072毫秒', '0', '', '2025-01-03 03:10:21');
INSERT INTO `sys_job_log` VALUES (72403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3062毫秒', '0', '', '2025-01-03 03:10:25');
INSERT INTO `sys_job_log` VALUES (72404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3053毫秒', '0', '', '2025-01-03 03:10:30');
INSERT INTO `sys_job_log` VALUES (72405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 03:10:33');
INSERT INTO `sys_job_log` VALUES (72406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4048毫秒', '0', '', '2025-01-03 03:10:36');
INSERT INTO `sys_job_log` VALUES (72407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3068毫秒', '0', '', '2025-01-03 03:10:40');
INSERT INTO `sys_job_log` VALUES (72408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3042毫秒', '0', '', '2025-01-03 03:10:45');
INSERT INTO `sys_job_log` VALUES (72409, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:10:48');
INSERT INTO `sys_job_log` VALUES (72410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4049毫秒', '0', '', '2025-01-03 03:10:51');
INSERT INTO `sys_job_log` VALUES (72411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3041毫秒', '0', '', '2025-01-03 03:10:55');
INSERT INTO `sys_job_log` VALUES (72412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3054毫秒', '0', '', '2025-01-03 03:11:00');
INSERT INTO `sys_job_log` VALUES (72413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:11:03');
INSERT INTO `sys_job_log` VALUES (72414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4059毫秒', '0', '', '2025-01-03 03:11:06');
INSERT INTO `sys_job_log` VALUES (72415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3044毫秒', '0', '', '2025-01-03 03:11:10');
INSERT INTO `sys_job_log` VALUES (72416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3056毫秒', '0', '', '2025-01-03 03:11:15');
INSERT INTO `sys_job_log` VALUES (72417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 03:11:18');
INSERT INTO `sys_job_log` VALUES (72418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4061毫秒', '0', '', '2025-01-03 03:11:21');
INSERT INTO `sys_job_log` VALUES (72419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3053毫秒', '0', '', '2025-01-03 03:11:25');
INSERT INTO `sys_job_log` VALUES (72420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3066毫秒', '0', '', '2025-01-03 03:11:30');
INSERT INTO `sys_job_log` VALUES (72421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:11:33');
INSERT INTO `sys_job_log` VALUES (72422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4059毫秒', '0', '', '2025-01-03 03:11:36');
INSERT INTO `sys_job_log` VALUES (72423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3038毫秒', '0', '', '2025-01-03 03:11:40');
INSERT INTO `sys_job_log` VALUES (72424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:11:45');
INSERT INTO `sys_job_log` VALUES (72425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:11:48');
INSERT INTO `sys_job_log` VALUES (72426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4062毫秒', '0', '', '2025-01-03 03:11:51');
INSERT INTO `sys_job_log` VALUES (72427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3060毫秒', '0', '', '2025-01-03 03:11:55');
INSERT INTO `sys_job_log` VALUES (72428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3064毫秒', '0', '', '2025-01-03 03:12:00');
INSERT INTO `sys_job_log` VALUES (72429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:12:03');
INSERT INTO `sys_job_log` VALUES (72430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4076毫秒', '0', '', '2025-01-03 03:12:06');
INSERT INTO `sys_job_log` VALUES (72431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3050毫秒', '0', '', '2025-01-03 03:12:10');
INSERT INTO `sys_job_log` VALUES (72432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3058毫秒', '0', '', '2025-01-03 03:12:15');
INSERT INTO `sys_job_log` VALUES (72433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:12:18');
INSERT INTO `sys_job_log` VALUES (72434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4052毫秒', '0', '', '2025-01-03 03:12:21');
INSERT INTO `sys_job_log` VALUES (72435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:12:25');
INSERT INTO `sys_job_log` VALUES (72436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3063毫秒', '0', '', '2025-01-03 03:12:30');
INSERT INTO `sys_job_log` VALUES (72437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 03:12:33');
INSERT INTO `sys_job_log` VALUES (72438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4069毫秒', '0', '', '2025-01-03 03:12:36');
INSERT INTO `sys_job_log` VALUES (72439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3057毫秒', '0', '', '2025-01-03 03:12:40');
INSERT INTO `sys_job_log` VALUES (72440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3060毫秒', '0', '', '2025-01-03 03:12:45');
INSERT INTO `sys_job_log` VALUES (72441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:12:48');
INSERT INTO `sys_job_log` VALUES (72442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4060毫秒', '0', '', '2025-01-03 03:12:51');
INSERT INTO `sys_job_log` VALUES (72443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3050毫秒', '0', '', '2025-01-03 03:12:55');
INSERT INTO `sys_job_log` VALUES (72444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3063毫秒', '0', '', '2025-01-03 03:13:00');
INSERT INTO `sys_job_log` VALUES (72445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:13:03');
INSERT INTO `sys_job_log` VALUES (72446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4052毫秒', '0', '', '2025-01-03 03:13:06');
INSERT INTO `sys_job_log` VALUES (72447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:13:10');
INSERT INTO `sys_job_log` VALUES (72448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3069毫秒', '0', '', '2025-01-03 03:13:15');
INSERT INTO `sys_job_log` VALUES (72449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2039毫秒', '0', '', '2025-01-03 03:13:19');
INSERT INTO `sys_job_log` VALUES (72450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4064毫秒', '0', '', '2025-01-03 03:13:21');
INSERT INTO `sys_job_log` VALUES (72451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3050毫秒', '0', '', '2025-01-03 03:13:25');
INSERT INTO `sys_job_log` VALUES (72452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3053毫秒', '0', '', '2025-01-03 03:13:30');
INSERT INTO `sys_job_log` VALUES (72453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:13:33');
INSERT INTO `sys_job_log` VALUES (72454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4075毫秒', '0', '', '2025-01-03 03:13:36');
INSERT INTO `sys_job_log` VALUES (72455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3050毫秒', '0', '', '2025-01-03 03:13:40');
INSERT INTO `sys_job_log` VALUES (72456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3046毫秒', '0', '', '2025-01-03 03:13:45');
INSERT INTO `sys_job_log` VALUES (72457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:13:48');
INSERT INTO `sys_job_log` VALUES (72458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4081毫秒', '0', '', '2025-01-03 03:13:51');
INSERT INTO `sys_job_log` VALUES (72459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:13:55');
INSERT INTO `sys_job_log` VALUES (72460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3065毫秒', '0', '', '2025-01-03 03:14:00');
INSERT INTO `sys_job_log` VALUES (72461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:14:03');
INSERT INTO `sys_job_log` VALUES (72462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4060毫秒', '0', '', '2025-01-03 03:14:06');
INSERT INTO `sys_job_log` VALUES (72463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3050毫秒', '0', '', '2025-01-03 03:14:10');
INSERT INTO `sys_job_log` VALUES (72464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:12');
INSERT INTO `sys_job_log` VALUES (72465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:17');
INSERT INTO `sys_job_log` VALUES (72466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:14:18');
INSERT INTO `sys_job_log` VALUES (72467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:22');
INSERT INTO `sys_job_log` VALUES (72468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:27');
INSERT INTO `sys_job_log` VALUES (72469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:32');
INSERT INTO `sys_job_log` VALUES (72470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 03:14:33');
INSERT INTO `sys_job_log` VALUES (72471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:37');
INSERT INTO `sys_job_log` VALUES (72472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:14:42');
INSERT INTO `sys_job_log` VALUES (72473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:14:47');
INSERT INTO `sys_job_log` VALUES (72474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:14:48');
INSERT INTO `sys_job_log` VALUES (72475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:14:52');
INSERT INTO `sys_job_log` VALUES (72476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:14:57');
INSERT INTO `sys_job_log` VALUES (72477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:02');
INSERT INTO `sys_job_log` VALUES (72478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:15:03');
INSERT INTO `sys_job_log` VALUES (72479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:07');
INSERT INTO `sys_job_log` VALUES (72480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:12');
INSERT INTO `sys_job_log` VALUES (72481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:15:17');
INSERT INTO `sys_job_log` VALUES (72482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 03:15:18');
INSERT INTO `sys_job_log` VALUES (72483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:15:22');
INSERT INTO `sys_job_log` VALUES (72484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:27');
INSERT INTO `sys_job_log` VALUES (72485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:32');
INSERT INTO `sys_job_log` VALUES (72486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:15:33');
INSERT INTO `sys_job_log` VALUES (72487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:37');
INSERT INTO `sys_job_log` VALUES (72488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:42');
INSERT INTO `sys_job_log` VALUES (72489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:15:47');
INSERT INTO `sys_job_log` VALUES (72490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:15:48');
INSERT INTO `sys_job_log` VALUES (72491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:15:52');
INSERT INTO `sys_job_log` VALUES (72492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:15:57');
INSERT INTO `sys_job_log` VALUES (72493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:16:02');
INSERT INTO `sys_job_log` VALUES (72494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1301毫秒', '0', '', '2025-01-03 03:16:03');
INSERT INTO `sys_job_log` VALUES (72495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:16:07');
INSERT INTO `sys_job_log` VALUES (72496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 03:16:12');
INSERT INTO `sys_job_log` VALUES (72497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:16:17');
INSERT INTO `sys_job_log` VALUES (72498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:16:18');
INSERT INTO `sys_job_log` VALUES (72499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:16:22');
INSERT INTO `sys_job_log` VALUES (72500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:16:27');
INSERT INTO `sys_job_log` VALUES (72501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:16:33');
INSERT INTO `sys_job_log` VALUES (72502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4060毫秒', '0', '', '2025-01-03 03:16:36');
INSERT INTO `sys_job_log` VALUES (72503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3036毫秒', '0', '', '2025-01-03 03:16:40');
INSERT INTO `sys_job_log` VALUES (72504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3064毫秒', '0', '', '2025-01-03 03:16:45');
INSERT INTO `sys_job_log` VALUES (72505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:16:48');
INSERT INTO `sys_job_log` VALUES (72506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4073毫秒', '0', '', '2025-01-03 03:16:51');
INSERT INTO `sys_job_log` VALUES (72507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3044毫秒', '0', '', '2025-01-03 03:16:55');
INSERT INTO `sys_job_log` VALUES (72508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3030毫秒', '0', '', '2025-01-03 03:17:00');
INSERT INTO `sys_job_log` VALUES (72509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:17:03');
INSERT INTO `sys_job_log` VALUES (72510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4048毫秒', '0', '', '2025-01-03 03:17:06');
INSERT INTO `sys_job_log` VALUES (72511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3029毫秒', '0', '', '2025-01-03 03:17:10');
INSERT INTO `sys_job_log` VALUES (72512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3028毫秒', '0', '', '2025-01-03 03:17:15');
INSERT INTO `sys_job_log` VALUES (72513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:17:18');
INSERT INTO `sys_job_log` VALUES (72514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4031毫秒', '0', '', '2025-01-03 03:17:21');
INSERT INTO `sys_job_log` VALUES (72515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3027毫秒', '0', '', '2025-01-03 03:17:25');
INSERT INTO `sys_job_log` VALUES (72516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3030毫秒', '0', '', '2025-01-03 03:17:30');
INSERT INTO `sys_job_log` VALUES (72517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:17:33');
INSERT INTO `sys_job_log` VALUES (72518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4029毫秒', '0', '', '2025-01-03 03:17:36');
INSERT INTO `sys_job_log` VALUES (72519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3037毫秒', '0', '', '2025-01-03 03:17:40');
INSERT INTO `sys_job_log` VALUES (72520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3043毫秒', '0', '', '2025-01-03 03:17:45');
INSERT INTO `sys_job_log` VALUES (72521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 03:17:48');
INSERT INTO `sys_job_log` VALUES (72522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4061毫秒', '0', '', '2025-01-03 03:17:51');
INSERT INTO `sys_job_log` VALUES (72523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3052毫秒', '0', '', '2025-01-03 03:17:55');
INSERT INTO `sys_job_log` VALUES (72524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3040毫秒', '0', '', '2025-01-03 03:18:00');
INSERT INTO `sys_job_log` VALUES (72525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:18:03');
INSERT INTO `sys_job_log` VALUES (72526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4053毫秒', '0', '', '2025-01-03 03:18:06');
INSERT INTO `sys_job_log` VALUES (72527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3030毫秒', '0', '', '2025-01-03 03:18:10');
INSERT INTO `sys_job_log` VALUES (72528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3063毫秒', '0', '', '2025-01-03 03:18:15');
INSERT INTO `sys_job_log` VALUES (72529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:18:18');
INSERT INTO `sys_job_log` VALUES (72530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4074毫秒', '0', '', '2025-01-03 03:18:21');
INSERT INTO `sys_job_log` VALUES (72531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3065毫秒', '0', '', '2025-01-03 03:18:25');
INSERT INTO `sys_job_log` VALUES (72532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3049毫秒', '0', '', '2025-01-03 03:18:30');
INSERT INTO `sys_job_log` VALUES (72533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:18:33');
INSERT INTO `sys_job_log` VALUES (72534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4065毫秒', '0', '', '2025-01-03 03:18:36');
INSERT INTO `sys_job_log` VALUES (72535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3049毫秒', '0', '', '2025-01-03 03:18:40');
INSERT INTO `sys_job_log` VALUES (72536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3062毫秒', '0', '', '2025-01-03 03:18:45');
INSERT INTO `sys_job_log` VALUES (72537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:18:48');
INSERT INTO `sys_job_log` VALUES (72538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4061毫秒', '0', '', '2025-01-03 03:18:51');
INSERT INTO `sys_job_log` VALUES (72539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:18:55');
INSERT INTO `sys_job_log` VALUES (72540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3041毫秒', '0', '', '2025-01-03 03:19:00');
INSERT INTO `sys_job_log` VALUES (72541, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:19:03');
INSERT INTO `sys_job_log` VALUES (72542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4060毫秒', '0', '', '2025-01-03 03:19:06');
INSERT INTO `sys_job_log` VALUES (72543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3061毫秒', '0', '', '2025-01-03 03:19:10');
INSERT INTO `sys_job_log` VALUES (72544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3045毫秒', '0', '', '2025-01-03 03:19:15');
INSERT INTO `sys_job_log` VALUES (72545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:19:18');
INSERT INTO `sys_job_log` VALUES (72546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4076毫秒', '0', '', '2025-01-03 03:19:21');
INSERT INTO `sys_job_log` VALUES (72547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:19:25');
INSERT INTO `sys_job_log` VALUES (72548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3049毫秒', '0', '', '2025-01-03 03:19:30');
INSERT INTO `sys_job_log` VALUES (72549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:19:33');
INSERT INTO `sys_job_log` VALUES (72550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4059毫秒', '0', '', '2025-01-03 03:19:36');
INSERT INTO `sys_job_log` VALUES (72551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3046毫秒', '0', '', '2025-01-03 03:19:40');
INSERT INTO `sys_job_log` VALUES (72552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3065毫秒', '0', '', '2025-01-03 03:19:45');
INSERT INTO `sys_job_log` VALUES (72553, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:19:48');
INSERT INTO `sys_job_log` VALUES (72554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4046毫秒', '0', '', '2025-01-03 03:19:51');
INSERT INTO `sys_job_log` VALUES (72555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3045毫秒', '0', '', '2025-01-03 03:19:55');
INSERT INTO `sys_job_log` VALUES (72556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3063毫秒', '0', '', '2025-01-03 03:20:00');
INSERT INTO `sys_job_log` VALUES (72557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:20:03');
INSERT INTO `sys_job_log` VALUES (72558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4070毫秒', '0', '', '2025-01-03 03:20:06');
INSERT INTO `sys_job_log` VALUES (72559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3058毫秒', '0', '', '2025-01-03 03:20:10');
INSERT INTO `sys_job_log` VALUES (72560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3068毫秒', '0', '', '2025-01-03 03:20:15');
INSERT INTO `sys_job_log` VALUES (72561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:20:18');
INSERT INTO `sys_job_log` VALUES (72562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4060毫秒', '0', '', '2025-01-03 03:20:21');
INSERT INTO `sys_job_log` VALUES (72563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3048毫秒', '0', '', '2025-01-03 03:20:25');
INSERT INTO `sys_job_log` VALUES (72564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3039毫秒', '0', '', '2025-01-03 03:20:30');
INSERT INTO `sys_job_log` VALUES (72565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:20:33');
INSERT INTO `sys_job_log` VALUES (72566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4054毫秒', '0', '', '2025-01-03 03:20:36');
INSERT INTO `sys_job_log` VALUES (72567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3045毫秒', '0', '', '2025-01-03 03:20:40');
INSERT INTO `sys_job_log` VALUES (72568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3061毫秒', '0', '', '2025-01-03 03:20:45');
INSERT INTO `sys_job_log` VALUES (72569, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:20:48');
INSERT INTO `sys_job_log` VALUES (72570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4050毫秒', '0', '', '2025-01-03 03:20:51');
INSERT INTO `sys_job_log` VALUES (72571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:20:55');
INSERT INTO `sys_job_log` VALUES (72572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3062毫秒', '0', '', '2025-01-03 03:21:00');
INSERT INTO `sys_job_log` VALUES (72573, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:21:03');
INSERT INTO `sys_job_log` VALUES (72574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4073毫秒', '0', '', '2025-01-03 03:21:06');
INSERT INTO `sys_job_log` VALUES (72575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3061毫秒', '0', '', '2025-01-03 03:21:10');
INSERT INTO `sys_job_log` VALUES (72576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3035毫秒', '0', '', '2025-01-03 03:21:15');
INSERT INTO `sys_job_log` VALUES (72577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:21:18');
INSERT INTO `sys_job_log` VALUES (72578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4038毫秒', '0', '', '2025-01-03 03:21:21');
INSERT INTO `sys_job_log` VALUES (72579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3048毫秒', '0', '', '2025-01-03 03:21:25');
INSERT INTO `sys_job_log` VALUES (72580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3068毫秒', '0', '', '2025-01-03 03:21:30');
INSERT INTO `sys_job_log` VALUES (72581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:21:33');
INSERT INTO `sys_job_log` VALUES (72582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4043毫秒', '0', '', '2025-01-03 03:21:36');
INSERT INTO `sys_job_log` VALUES (72583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:21:40');
INSERT INTO `sys_job_log` VALUES (72584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3057毫秒', '0', '', '2025-01-03 03:21:45');
INSERT INTO `sys_job_log` VALUES (72585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:21:48');
INSERT INTO `sys_job_log` VALUES (72586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4082毫秒', '0', '', '2025-01-03 03:21:51');
INSERT INTO `sys_job_log` VALUES (72587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3067毫秒', '0', '', '2025-01-03 03:21:55');
INSERT INTO `sys_job_log` VALUES (72588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:22:00');
INSERT INTO `sys_job_log` VALUES (72589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:22:03');
INSERT INTO `sys_job_log` VALUES (72590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4085毫秒', '0', '', '2025-01-03 03:22:06');
INSERT INTO `sys_job_log` VALUES (72591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3057毫秒', '0', '', '2025-01-03 03:22:10');
INSERT INTO `sys_job_log` VALUES (72592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3051毫秒', '0', '', '2025-01-03 03:22:15');
INSERT INTO `sys_job_log` VALUES (72593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:22:18');
INSERT INTO `sys_job_log` VALUES (72594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4070毫秒', '0', '', '2025-01-03 03:22:21');
INSERT INTO `sys_job_log` VALUES (72595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:22:25');
INSERT INTO `sys_job_log` VALUES (72596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3057毫秒', '0', '', '2025-01-03 03:22:30');
INSERT INTO `sys_job_log` VALUES (72597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2030毫秒', '0', '', '2025-01-03 03:22:34');
INSERT INTO `sys_job_log` VALUES (72598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4055毫秒', '0', '', '2025-01-03 03:22:36');
INSERT INTO `sys_job_log` VALUES (72599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3041毫秒', '0', '', '2025-01-03 03:22:40');
INSERT INTO `sys_job_log` VALUES (72600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:22:45');
INSERT INTO `sys_job_log` VALUES (72601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:22:48');
INSERT INTO `sys_job_log` VALUES (72602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4039毫秒', '0', '', '2025-01-03 03:22:51');
INSERT INTO `sys_job_log` VALUES (72603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3049毫秒', '0', '', '2025-01-03 03:22:55');
INSERT INTO `sys_job_log` VALUES (72604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3035毫秒', '0', '', '2025-01-03 03:23:00');
INSERT INTO `sys_job_log` VALUES (72605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:23:03');
INSERT INTO `sys_job_log` VALUES (72606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4055毫秒', '0', '', '2025-01-03 03:23:06');
INSERT INTO `sys_job_log` VALUES (72607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:23:10');
INSERT INTO `sys_job_log` VALUES (72608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3046毫秒', '0', '', '2025-01-03 03:23:15');
INSERT INTO `sys_job_log` VALUES (72609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:23:18');
INSERT INTO `sys_job_log` VALUES (72610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4063毫秒', '0', '', '2025-01-03 03:23:21');
INSERT INTO `sys_job_log` VALUES (72611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3044毫秒', '0', '', '2025-01-03 03:23:25');
INSERT INTO `sys_job_log` VALUES (72612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:23:30');
INSERT INTO `sys_job_log` VALUES (72613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:23:33');
INSERT INTO `sys_job_log` VALUES (72614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4068毫秒', '0', '', '2025-01-03 03:23:36');
INSERT INTO `sys_job_log` VALUES (72615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3035毫秒', '0', '', '2025-01-03 03:23:40');
INSERT INTO `sys_job_log` VALUES (72616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:23:45');
INSERT INTO `sys_job_log` VALUES (72617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:23:48');
INSERT INTO `sys_job_log` VALUES (72618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4048毫秒', '0', '', '2025-01-03 03:23:51');
INSERT INTO `sys_job_log` VALUES (72619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3056毫秒', '0', '', '2025-01-03 03:23:55');
INSERT INTO `sys_job_log` VALUES (72620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3048毫秒', '0', '', '2025-01-03 03:24:00');
INSERT INTO `sys_job_log` VALUES (72621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1030毫秒', '0', '', '2025-01-03 03:24:03');
INSERT INTO `sys_job_log` VALUES (72622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4086毫秒', '0', '', '2025-01-03 03:24:06');
INSERT INTO `sys_job_log` VALUES (72623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3034毫秒', '0', '', '2025-01-03 03:24:10');
INSERT INTO `sys_job_log` VALUES (72624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3048毫秒', '0', '', '2025-01-03 03:24:15');
INSERT INTO `sys_job_log` VALUES (72625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:24:18');
INSERT INTO `sys_job_log` VALUES (72626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6074毫秒', '0', '', '2025-01-03 03:24:23');
INSERT INTO `sys_job_log` VALUES (72627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:23');
INSERT INTO `sys_job_log` VALUES (72628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:27');
INSERT INTO `sys_job_log` VALUES (72629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:32');
INSERT INTO `sys_job_log` VALUES (72630, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 03:24:33');
INSERT INTO `sys_job_log` VALUES (72631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:37');
INSERT INTO `sys_job_log` VALUES (72632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:42');
INSERT INTO `sys_job_log` VALUES (72633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:47');
INSERT INTO `sys_job_log` VALUES (72634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:24:48');
INSERT INTO `sys_job_log` VALUES (72635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:52');
INSERT INTO `sys_job_log` VALUES (72636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:24:57');
INSERT INTO `sys_job_log` VALUES (72637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:25:02');
INSERT INTO `sys_job_log` VALUES (72638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:25:03');
INSERT INTO `sys_job_log` VALUES (72639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:25:07');
INSERT INTO `sys_job_log` VALUES (72640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:25:12');
INSERT INTO `sys_job_log` VALUES (72641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:25:17');
INSERT INTO `sys_job_log` VALUES (72642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:25:18');
INSERT INTO `sys_job_log` VALUES (72643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:25:22');
INSERT INTO `sys_job_log` VALUES (72644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:25:27');
INSERT INTO `sys_job_log` VALUES (72645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:25:32');
INSERT INTO `sys_job_log` VALUES (72646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 03:25:33');
INSERT INTO `sys_job_log` VALUES (72647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 03:25:40');
INSERT INTO `sys_job_log` VALUES (72648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3053毫秒', '0', '', '2025-01-03 03:25:45');
INSERT INTO `sys_job_log` VALUES (72649, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 03:25:48');
INSERT INTO `sys_job_log` VALUES (72650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4052毫秒', '0', '', '2025-01-03 03:25:51');
INSERT INTO `sys_job_log` VALUES (72651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3039毫秒', '0', '', '2025-01-03 03:25:55');
INSERT INTO `sys_job_log` VALUES (72652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3039毫秒', '0', '', '2025-01-03 03:26:00');
INSERT INTO `sys_job_log` VALUES (72653, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:26:03');
INSERT INTO `sys_job_log` VALUES (72654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4067毫秒', '0', '', '2025-01-03 03:26:06');
INSERT INTO `sys_job_log` VALUES (72655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3050毫秒', '0', '', '2025-01-03 03:26:10');
INSERT INTO `sys_job_log` VALUES (72656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3066毫秒', '0', '', '2025-01-03 03:26:15');
INSERT INTO `sys_job_log` VALUES (72657, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:26:18');
INSERT INTO `sys_job_log` VALUES (72658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4053毫秒', '0', '', '2025-01-03 03:26:21');
INSERT INTO `sys_job_log` VALUES (72659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3037毫秒', '0', '', '2025-01-03 03:26:25');
INSERT INTO `sys_job_log` VALUES (72660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3047毫秒', '0', '', '2025-01-03 03:26:30');
INSERT INTO `sys_job_log` VALUES (72661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:26:32');
INSERT INTO `sys_job_log` VALUES (72662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1334毫秒', '0', '', '2025-01-03 03:26:33');
INSERT INTO `sys_job_log` VALUES (72663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:26:37');
INSERT INTO `sys_job_log` VALUES (72664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:26:42');
INSERT INTO `sys_job_log` VALUES (72665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:26:47');
INSERT INTO `sys_job_log` VALUES (72666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:26:48');
INSERT INTO `sys_job_log` VALUES (72667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:26:52');
INSERT INTO `sys_job_log` VALUES (72668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:26:57');
INSERT INTO `sys_job_log` VALUES (72669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:27:02');
INSERT INTO `sys_job_log` VALUES (72670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:27:03');
INSERT INTO `sys_job_log` VALUES (72671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:27:07');
INSERT INTO `sys_job_log` VALUES (72672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:27:12');
INSERT INTO `sys_job_log` VALUES (72673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:27:17');
INSERT INTO `sys_job_log` VALUES (72674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:27:18');
INSERT INTO `sys_job_log` VALUES (72675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:27:23');
INSERT INTO `sys_job_log` VALUES (72676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:27:28');
INSERT INTO `sys_job_log` VALUES (72677, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:27:33');
INSERT INTO `sys_job_log` VALUES (72678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 03:27:34');
INSERT INTO `sys_job_log` VALUES (72679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:27:38');
INSERT INTO `sys_job_log` VALUES (72680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 03:27:43');
INSERT INTO `sys_job_log` VALUES (72681, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:27:48');
INSERT INTO `sys_job_log` VALUES (72682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 03:27:49');
INSERT INTO `sys_job_log` VALUES (72683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:27:53');
INSERT INTO `sys_job_log` VALUES (72684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:27:58');
INSERT INTO `sys_job_log` VALUES (72685, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:28:03');
INSERT INTO `sys_job_log` VALUES (72686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 03:28:04');
INSERT INTO `sys_job_log` VALUES (72687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:28:08');
INSERT INTO `sys_job_log` VALUES (72688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:28:13');
INSERT INTO `sys_job_log` VALUES (72689, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:28:18');
INSERT INTO `sys_job_log` VALUES (72690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 03:28:19');
INSERT INTO `sys_job_log` VALUES (72691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 03:28:23');
INSERT INTO `sys_job_log` VALUES (72692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:28:28');
INSERT INTO `sys_job_log` VALUES (72693, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 03:28:33');
INSERT INTO `sys_job_log` VALUES (72694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 03:28:34');
INSERT INTO `sys_job_log` VALUES (72695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:28:37');
INSERT INTO `sys_job_log` VALUES (72696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:28:42');
INSERT INTO `sys_job_log` VALUES (72697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:28:47');
INSERT INTO `sys_job_log` VALUES (72698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:28:48');
INSERT INTO `sys_job_log` VALUES (72699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:28:52');
INSERT INTO `sys_job_log` VALUES (72700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:28:57');
INSERT INTO `sys_job_log` VALUES (72701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:02');
INSERT INTO `sys_job_log` VALUES (72702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:29:03');
INSERT INTO `sys_job_log` VALUES (72703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:07');
INSERT INTO `sys_job_log` VALUES (72704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:29:12');
INSERT INTO `sys_job_log` VALUES (72705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:17');
INSERT INTO `sys_job_log` VALUES (72706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:29:18');
INSERT INTO `sys_job_log` VALUES (72707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:22');
INSERT INTO `sys_job_log` VALUES (72708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:27');
INSERT INTO `sys_job_log` VALUES (72709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:32');
INSERT INTO `sys_job_log` VALUES (72710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:29:33');
INSERT INTO `sys_job_log` VALUES (72711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:37');
INSERT INTO `sys_job_log` VALUES (72712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:42');
INSERT INTO `sys_job_log` VALUES (72713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:29:47');
INSERT INTO `sys_job_log` VALUES (72714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1033毫秒', '0', '', '2025-01-03 03:29:48');
INSERT INTO `sys_job_log` VALUES (72715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 03:29:52');
INSERT INTO `sys_job_log` VALUES (72716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:29:57');
INSERT INTO `sys_job_log` VALUES (72717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:02');
INSERT INTO `sys_job_log` VALUES (72718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:30:03');
INSERT INTO `sys_job_log` VALUES (72719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:07');
INSERT INTO `sys_job_log` VALUES (72720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:30:12');
INSERT INTO `sys_job_log` VALUES (72721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:30:17');
INSERT INTO `sys_job_log` VALUES (72722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:30:18');
INSERT INTO `sys_job_log` VALUES (72723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:22');
INSERT INTO `sys_job_log` VALUES (72724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:30:27');
INSERT INTO `sys_job_log` VALUES (72725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:32');
INSERT INTO `sys_job_log` VALUES (72726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 03:30:33');
INSERT INTO `sys_job_log` VALUES (72727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:37');
INSERT INTO `sys_job_log` VALUES (72728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:42');
INSERT INTO `sys_job_log` VALUES (72729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:30:47');
INSERT INTO `sys_job_log` VALUES (72730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 03:30:48');
INSERT INTO `sys_job_log` VALUES (72731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:30:52');
INSERT INTO `sys_job_log` VALUES (72732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:30:57');
INSERT INTO `sys_job_log` VALUES (72733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 03:31:02');
INSERT INTO `sys_job_log` VALUES (72734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:31:03');
INSERT INTO `sys_job_log` VALUES (72735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:31:07');
INSERT INTO `sys_job_log` VALUES (72736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:31:12');
INSERT INTO `sys_job_log` VALUES (72737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:31:17');
INSERT INTO `sys_job_log` VALUES (72738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:31:18');
INSERT INTO `sys_job_log` VALUES (72739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:31:22');
INSERT INTO `sys_job_log` VALUES (72740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:31:27');
INSERT INTO `sys_job_log` VALUES (72741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:31:32');
INSERT INTO `sys_job_log` VALUES (72742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1317毫秒', '0', '', '2025-01-03 03:31:33');
INSERT INTO `sys_job_log` VALUES (72743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:31:37');
INSERT INTO `sys_job_log` VALUES (72744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:31:42');
INSERT INTO `sys_job_log` VALUES (72745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:31:47');
INSERT INTO `sys_job_log` VALUES (72746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:31:48');
INSERT INTO `sys_job_log` VALUES (72747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:31:52');
INSERT INTO `sys_job_log` VALUES (72748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3053毫秒', '0', '', '2025-01-03 03:32:00');
INSERT INTO `sys_job_log` VALUES (72749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:02');
INSERT INTO `sys_job_log` VALUES (72750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1838毫秒', '0', '', '2025-01-03 03:32:04');
INSERT INTO `sys_job_log` VALUES (72751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:07');
INSERT INTO `sys_job_log` VALUES (72752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:12');
INSERT INTO `sys_job_log` VALUES (72753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:17');
INSERT INTO `sys_job_log` VALUES (72754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:32:18');
INSERT INTO `sys_job_log` VALUES (72755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:22');
INSERT INTO `sys_job_log` VALUES (72756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:27');
INSERT INTO `sys_job_log` VALUES (72757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:32:32');
INSERT INTO `sys_job_log` VALUES (72758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:32:33');
INSERT INTO `sys_job_log` VALUES (72759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:32:37');
INSERT INTO `sys_job_log` VALUES (72760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:42');
INSERT INTO `sys_job_log` VALUES (72761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:47');
INSERT INTO `sys_job_log` VALUES (72762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:32:48');
INSERT INTO `sys_job_log` VALUES (72763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:52');
INSERT INTO `sys_job_log` VALUES (72764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:32:57');
INSERT INTO `sys_job_log` VALUES (72765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:02');
INSERT INTO `sys_job_log` VALUES (72766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:33:03');
INSERT INTO `sys_job_log` VALUES (72767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:33:07');
INSERT INTO `sys_job_log` VALUES (72768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:33:12');
INSERT INTO `sys_job_log` VALUES (72769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:17');
INSERT INTO `sys_job_log` VALUES (72770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:33:18');
INSERT INTO `sys_job_log` VALUES (72771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:33:22');
INSERT INTO `sys_job_log` VALUES (72772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:27');
INSERT INTO `sys_job_log` VALUES (72773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:32');
INSERT INTO `sys_job_log` VALUES (72774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:33:33');
INSERT INTO `sys_job_log` VALUES (72775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:33:37');
INSERT INTO `sys_job_log` VALUES (72776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:42');
INSERT INTO `sys_job_log` VALUES (72777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:33:47');
INSERT INTO `sys_job_log` VALUES (72778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:33:48');
INSERT INTO `sys_job_log` VALUES (72779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:52');
INSERT INTO `sys_job_log` VALUES (72780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:33:57');
INSERT INTO `sys_job_log` VALUES (72781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:34:02');
INSERT INTO `sys_job_log` VALUES (72782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 03:34:03');
INSERT INTO `sys_job_log` VALUES (72783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:07');
INSERT INTO `sys_job_log` VALUES (72784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:12');
INSERT INTO `sys_job_log` VALUES (72785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:34:17');
INSERT INTO `sys_job_log` VALUES (72786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:34:18');
INSERT INTO `sys_job_log` VALUES (72787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:22');
INSERT INTO `sys_job_log` VALUES (72788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:27');
INSERT INTO `sys_job_log` VALUES (72789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:32');
INSERT INTO `sys_job_log` VALUES (72790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:34:33');
INSERT INTO `sys_job_log` VALUES (72791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:37');
INSERT INTO `sys_job_log` VALUES (72792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:34:42');
INSERT INTO `sys_job_log` VALUES (72793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:34:47');
INSERT INTO `sys_job_log` VALUES (72794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:34:48');
INSERT INTO `sys_job_log` VALUES (72795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:52');
INSERT INTO `sys_job_log` VALUES (72796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:34:57');
INSERT INTO `sys_job_log` VALUES (72797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:02');
INSERT INTO `sys_job_log` VALUES (72798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 03:35:03');
INSERT INTO `sys_job_log` VALUES (72799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:07');
INSERT INTO `sys_job_log` VALUES (72800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:35:12');
INSERT INTO `sys_job_log` VALUES (72801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:35:17');
INSERT INTO `sys_job_log` VALUES (72802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 03:35:18');
INSERT INTO `sys_job_log` VALUES (72803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:22');
INSERT INTO `sys_job_log` VALUES (72804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:27');
INSERT INTO `sys_job_log` VALUES (72805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:32');
INSERT INTO `sys_job_log` VALUES (72806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 03:35:33');
INSERT INTO `sys_job_log` VALUES (72807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:37');
INSERT INTO `sys_job_log` VALUES (72808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:42');
INSERT INTO `sys_job_log` VALUES (72809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:47');
INSERT INTO `sys_job_log` VALUES (72810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 03:35:48');
INSERT INTO `sys_job_log` VALUES (72811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:52');
INSERT INTO `sys_job_log` VALUES (72812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:35:57');
INSERT INTO `sys_job_log` VALUES (72813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:02');
INSERT INTO `sys_job_log` VALUES (72814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:36:03');
INSERT INTO `sys_job_log` VALUES (72815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:36:07');
INSERT INTO `sys_job_log` VALUES (72816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:12');
INSERT INTO `sys_job_log` VALUES (72817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:17');
INSERT INTO `sys_job_log` VALUES (72818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:36:18');
INSERT INTO `sys_job_log` VALUES (72819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:22');
INSERT INTO `sys_job_log` VALUES (72820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:27');
INSERT INTO `sys_job_log` VALUES (72821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:32');
INSERT INTO `sys_job_log` VALUES (72822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:36:33');
INSERT INTO `sys_job_log` VALUES (72823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:37');
INSERT INTO `sys_job_log` VALUES (72824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:42');
INSERT INTO `sys_job_log` VALUES (72825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:47');
INSERT INTO `sys_job_log` VALUES (72826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1655毫秒', '0', '', '2025-01-03 03:36:49');
INSERT INTO `sys_job_log` VALUES (72827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:52');
INSERT INTO `sys_job_log` VALUES (72828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:36:57');
INSERT INTO `sys_job_log` VALUES (72829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:37:02');
INSERT INTO `sys_job_log` VALUES (72830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:37:03');
INSERT INTO `sys_job_log` VALUES (72831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4064毫秒', '0', '', '2025-01-03 03:37:11');
INSERT INTO `sys_job_log` VALUES (72832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4044毫秒', '0', '', '2025-01-03 03:37:16');
INSERT INTO `sys_job_log` VALUES (72833, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:37:18');
INSERT INTO `sys_job_log` VALUES (72834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5097毫秒', '0', '', '2025-01-03 03:37:22');
INSERT INTO `sys_job_log` VALUES (72835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4066毫秒', '0', '', '2025-01-03 03:37:26');
INSERT INTO `sys_job_log` VALUES (72836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4057毫秒', '0', '', '2025-01-03 03:37:31');
INSERT INTO `sys_job_log` VALUES (72837, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 03:37:33');
INSERT INTO `sys_job_log` VALUES (72838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5066毫秒', '0', '', '2025-01-03 03:37:37');
INSERT INTO `sys_job_log` VALUES (72839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4074毫秒', '0', '', '2025-01-03 03:37:41');
INSERT INTO `sys_job_log` VALUES (72840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4060毫秒', '0', '', '2025-01-03 03:37:46');
INSERT INTO `sys_job_log` VALUES (72841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:37:48');
INSERT INTO `sys_job_log` VALUES (72842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5066毫秒', '0', '', '2025-01-03 03:37:52');
INSERT INTO `sys_job_log` VALUES (72843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4076毫秒', '0', '', '2025-01-03 03:37:56');
INSERT INTO `sys_job_log` VALUES (72844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4083毫秒', '0', '', '2025-01-03 03:38:01');
INSERT INTO `sys_job_log` VALUES (72845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:02');
INSERT INTO `sys_job_log` VALUES (72846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 03:38:03');
INSERT INTO `sys_job_log` VALUES (72847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:38:07');
INSERT INTO `sys_job_log` VALUES (72848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:12');
INSERT INTO `sys_job_log` VALUES (72849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:17');
INSERT INTO `sys_job_log` VALUES (72850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:38:18');
INSERT INTO `sys_job_log` VALUES (72851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:22');
INSERT INTO `sys_job_log` VALUES (72852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:27');
INSERT INTO `sys_job_log` VALUES (72853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:32');
INSERT INTO `sys_job_log` VALUES (72854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 03:38:33');
INSERT INTO `sys_job_log` VALUES (72855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:38:37');
INSERT INTO `sys_job_log` VALUES (72856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:42');
INSERT INTO `sys_job_log` VALUES (72857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:38:47');
INSERT INTO `sys_job_log` VALUES (72858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1186毫秒', '0', '', '2025-01-03 03:38:48');
INSERT INTO `sys_job_log` VALUES (72859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:52');
INSERT INTO `sys_job_log` VALUES (72860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:38:57');
INSERT INTO `sys_job_log` VALUES (72861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:39:03');
INSERT INTO `sys_job_log` VALUES (72862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5092毫秒', '0', '', '2025-01-03 03:39:07');
INSERT INTO `sys_job_log` VALUES (72863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4056毫秒', '0', '', '2025-01-03 03:39:11');
INSERT INTO `sys_job_log` VALUES (72864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4075毫秒', '0', '', '2025-01-03 03:39:16');
INSERT INTO `sys_job_log` VALUES (72865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 03:39:18');
INSERT INTO `sys_job_log` VALUES (72866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5080毫秒', '0', '', '2025-01-03 03:39:22');
INSERT INTO `sys_job_log` VALUES (72867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4054毫秒', '0', '', '2025-01-03 03:39:26');
INSERT INTO `sys_job_log` VALUES (72868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4069毫秒', '0', '', '2025-01-03 03:39:31');
INSERT INTO `sys_job_log` VALUES (72869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:39:33');
INSERT INTO `sys_job_log` VALUES (72870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5060毫秒', '0', '', '2025-01-03 03:39:37');
INSERT INTO `sys_job_log` VALUES (72871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4072毫秒', '0', '', '2025-01-03 03:39:41');
INSERT INTO `sys_job_log` VALUES (72872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4047毫秒', '0', '', '2025-01-03 03:39:46');
INSERT INTO `sys_job_log` VALUES (72873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 03:39:48');
INSERT INTO `sys_job_log` VALUES (72874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5069毫秒', '0', '', '2025-01-03 03:39:52');
INSERT INTO `sys_job_log` VALUES (72875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4062毫秒', '0', '', '2025-01-03 03:39:56');
INSERT INTO `sys_job_log` VALUES (72876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4063毫秒', '0', '', '2025-01-03 03:40:01');
INSERT INTO `sys_job_log` VALUES (72877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:40:02');
INSERT INTO `sys_job_log` VALUES (72878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1097毫秒', '0', '', '2025-01-03 03:40:03');
INSERT INTO `sys_job_log` VALUES (72879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:40:07');
INSERT INTO `sys_job_log` VALUES (72880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:40:12');
INSERT INTO `sys_job_log` VALUES (72881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:40:17');
INSERT INTO `sys_job_log` VALUES (72882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:40:18');
INSERT INTO `sys_job_log` VALUES (72883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:40:22');
INSERT INTO `sys_job_log` VALUES (72884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:40:27');
INSERT INTO `sys_job_log` VALUES (72885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:40:32');
INSERT INTO `sys_job_log` VALUES (72886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:40:33');
INSERT INTO `sys_job_log` VALUES (72887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1051毫秒', '0', '', '2025-01-03 03:45:05');
INSERT INTO `sys_job_log` VALUES (72888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2052毫秒', '0', '', '2025-01-03 03:45:06');
INSERT INTO `sys_job_log` VALUES (72889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 03:45:07');
INSERT INTO `sys_job_log` VALUES (72890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:45:12');
INSERT INTO `sys_job_log` VALUES (72891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:45:17');
INSERT INTO `sys_job_log` VALUES (72892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 03:45:18');
INSERT INTO `sys_job_log` VALUES (72893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:45:22');
INSERT INTO `sys_job_log` VALUES (72894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:45:27');
INSERT INTO `sys_job_log` VALUES (72895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:45:32');
INSERT INTO `sys_job_log` VALUES (72896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 03:45:33');
INSERT INTO `sys_job_log` VALUES (72897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1066毫秒', '0', '', '2025-01-03 03:45:38');
INSERT INTO `sys_job_log` VALUES (72898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:45:42');
INSERT INTO `sys_job_log` VALUES (72899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:45:47');
INSERT INTO `sys_job_log` VALUES (72900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1114毫秒', '0', '', '2025-01-03 03:45:48');
INSERT INTO `sys_job_log` VALUES (72901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:45:52');
INSERT INTO `sys_job_log` VALUES (72902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:45:57');
INSERT INTO `sys_job_log` VALUES (72903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:46:02');
INSERT INTO `sys_job_log` VALUES (72904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1991毫秒', '0', '', '2025-01-03 03:46:04');
INSERT INTO `sys_job_log` VALUES (72905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:46:07');
INSERT INTO `sys_job_log` VALUES (72906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1134毫秒', '0', '', '2025-01-03 03:46:13');
INSERT INTO `sys_job_log` VALUES (72907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1060毫秒', '0', '', '2025-01-03 03:46:18');
INSERT INTO `sys_job_log` VALUES (72908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2163毫秒', '0', '', '2025-01-03 03:46:19');
INSERT INTO `sys_job_log` VALUES (72909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1082毫秒', '0', '', '2025-01-03 03:46:23');
INSERT INTO `sys_job_log` VALUES (72910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1100毫秒', '0', '', '2025-01-03 03:46:28');
INSERT INTO `sys_job_log` VALUES (72911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2025-01-03 03:46:33');
INSERT INTO `sys_job_log` VALUES (72912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2227毫秒', '0', '', '2025-01-03 03:46:34');
INSERT INTO `sys_job_log` VALUES (72913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1154毫秒', '0', '', '2025-01-03 03:46:38');
INSERT INTO `sys_job_log` VALUES (72914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1068毫秒', '0', '', '2025-01-03 03:46:43');
INSERT INTO `sys_job_log` VALUES (72915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2025-01-03 03:46:48');
INSERT INTO `sys_job_log` VALUES (72916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2195毫秒', '0', '', '2025-01-03 03:46:49');
INSERT INTO `sys_job_log` VALUES (72917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1120毫秒', '0', '', '2025-01-03 03:46:53');
INSERT INTO `sys_job_log` VALUES (72918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1149毫秒', '0', '', '2025-01-03 03:46:58');
INSERT INTO `sys_job_log` VALUES (72919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 03:47:03');
INSERT INTO `sys_job_log` VALUES (72920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2173毫秒', '0', '', '2025-01-03 03:47:04');
INSERT INTO `sys_job_log` VALUES (72921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1094毫秒', '0', '', '2025-01-03 03:47:08');
INSERT INTO `sys_job_log` VALUES (72922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1115毫秒', '0', '', '2025-01-03 03:47:13');
INSERT INTO `sys_job_log` VALUES (72923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1045毫秒', '0', '', '2025-01-03 03:47:18');
INSERT INTO `sys_job_log` VALUES (72924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2147毫秒', '0', '', '2025-01-03 03:47:19');
INSERT INTO `sys_job_log` VALUES (72925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1072毫秒', '0', '', '2025-01-03 03:47:23');
INSERT INTO `sys_job_log` VALUES (72926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1094毫秒', '0', '', '2025-01-03 03:47:28');
INSERT INTO `sys_job_log` VALUES (72927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1113毫秒', '0', '', '2025-01-03 03:47:33');
INSERT INTO `sys_job_log` VALUES (72928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2215毫秒', '0', '', '2025-01-03 03:47:34');
INSERT INTO `sys_job_log` VALUES (72929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1141毫秒', '0', '', '2025-01-03 03:47:38');
INSERT INTO `sys_job_log` VALUES (72930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1158毫秒', '0', '', '2025-01-03 03:47:43');
INSERT INTO `sys_job_log` VALUES (72931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1088毫秒', '0', '', '2025-01-03 03:47:48');
INSERT INTO `sys_job_log` VALUES (72932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2191毫秒', '0', '', '2025-01-03 03:47:49');
INSERT INTO `sys_job_log` VALUES (72933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1113毫秒', '0', '', '2025-01-03 03:47:53');
INSERT INTO `sys_job_log` VALUES (72934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1132毫秒', '0', '', '2025-01-03 03:47:58');
INSERT INTO `sys_job_log` VALUES (72935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1069毫秒', '0', '', '2025-01-03 03:48:03');
INSERT INTO `sys_job_log` VALUES (72936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2173毫秒', '0', '', '2025-01-03 03:48:04');
INSERT INTO `sys_job_log` VALUES (72937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1085毫秒', '0', '', '2025-01-03 03:48:08');
INSERT INTO `sys_job_log` VALUES (72938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1115毫秒', '0', '', '2025-01-03 03:48:13');
INSERT INTO `sys_job_log` VALUES (72939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1041毫秒', '0', '', '2025-01-03 03:48:18');
INSERT INTO `sys_job_log` VALUES (72940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2141毫秒', '0', '', '2025-01-03 03:48:19');
INSERT INTO `sys_job_log` VALUES (72941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1153毫秒', '0', '', '2025-01-03 03:48:23');
INSERT INTO `sys_job_log` VALUES (72942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1085毫秒', '0', '', '2025-01-03 03:48:28');
INSERT INTO `sys_job_log` VALUES (72943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1111毫秒', '0', '', '2025-01-03 03:48:33');
INSERT INTO `sys_job_log` VALUES (72944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2215毫秒', '0', '', '2025-01-03 03:48:34');
INSERT INTO `sys_job_log` VALUES (72945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1129毫秒', '0', '', '2025-01-03 03:48:38');
INSERT INTO `sys_job_log` VALUES (72946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1146毫秒', '0', '', '2025-01-03 03:48:43');
INSERT INTO `sys_job_log` VALUES (72947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1089毫秒', '0', '', '2025-01-03 03:48:48');
INSERT INTO `sys_job_log` VALUES (72948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2192毫秒', '0', '', '2025-01-03 03:48:49');
INSERT INTO `sys_job_log` VALUES (72949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1100毫秒', '0', '', '2025-01-03 03:48:53');
INSERT INTO `sys_job_log` VALUES (72950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1125毫秒', '0', '', '2025-01-03 03:48:58');
INSERT INTO `sys_job_log` VALUES (72951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1051毫秒', '0', '', '2025-01-03 03:49:03');
INSERT INTO `sys_job_log` VALUES (72952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2156毫秒', '0', '', '2025-01-03 03:49:04');
INSERT INTO `sys_job_log` VALUES (72953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1073毫秒', '0', '', '2025-01-03 03:49:08');
INSERT INTO `sys_job_log` VALUES (72954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1100毫秒', '0', '', '2025-01-03 03:49:13');
INSERT INTO `sys_job_log` VALUES (72955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1033毫秒', '0', '', '2025-01-03 03:49:18');
INSERT INTO `sys_job_log` VALUES (72956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2136毫秒', '0', '', '2025-01-03 03:49:19');
INSERT INTO `sys_job_log` VALUES (72957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1158毫秒', '0', '', '2025-01-03 03:49:23');
INSERT INTO `sys_job_log` VALUES (72958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1076毫秒', '0', '', '2025-01-03 03:49:28');
INSERT INTO `sys_job_log` VALUES (72959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1093毫秒', '0', '', '2025-01-03 03:49:33');
INSERT INTO `sys_job_log` VALUES (72960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2197毫秒', '0', '', '2025-01-03 03:49:34');
INSERT INTO `sys_job_log` VALUES (72961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1124毫秒', '0', '', '2025-01-03 03:49:38');
INSERT INTO `sys_job_log` VALUES (72962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1144毫秒', '0', '', '2025-01-03 03:49:43');
INSERT INTO `sys_job_log` VALUES (72963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1066毫秒', '0', '', '2025-01-03 03:49:48');
INSERT INTO `sys_job_log` VALUES (72964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2170毫秒', '0', '', '2025-01-03 03:49:49');
INSERT INTO `sys_job_log` VALUES (72965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1103毫秒', '0', '', '2025-01-03 03:49:53');
INSERT INTO `sys_job_log` VALUES (72966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1122毫秒', '0', '', '2025-01-03 03:49:58');
INSERT INTO `sys_job_log` VALUES (72967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1048毫秒', '0', '', '2025-01-03 03:50:03');
INSERT INTO `sys_job_log` VALUES (72968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2152毫秒', '0', '', '2025-01-03 03:50:04');
INSERT INTO `sys_job_log` VALUES (72969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1065毫秒', '0', '', '2025-01-03 03:50:08');
INSERT INTO `sys_job_log` VALUES (72970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1098毫秒', '0', '', '2025-01-03 03:50:13');
INSERT INTO `sys_job_log` VALUES (72971, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2025-01-03 03:50:18');
INSERT INTO `sys_job_log` VALUES (72972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2225毫秒', '0', '', '2025-01-03 03:50:19');
INSERT INTO `sys_job_log` VALUES (72973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1144毫秒', '0', '', '2025-01-03 03:50:23');
INSERT INTO `sys_job_log` VALUES (72974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1070毫秒', '0', '', '2025-01-03 03:50:28');
INSERT INTO `sys_job_log` VALUES (72975, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1090毫秒', '0', '', '2025-01-03 03:50:33');
INSERT INTO `sys_job_log` VALUES (72976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2194毫秒', '0', '', '2025-01-03 03:50:34');
INSERT INTO `sys_job_log` VALUES (72977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1115毫秒', '0', '', '2025-01-03 03:50:38');
INSERT INTO `sys_job_log` VALUES (72978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1136毫秒', '0', '', '2025-01-03 03:50:43');
INSERT INTO `sys_job_log` VALUES (72979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 03:50:48');
INSERT INTO `sys_job_log` VALUES (72980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3266毫秒', '0', '', '2025-01-03 03:50:50');
INSERT INTO `sys_job_log` VALUES (72981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:50:52');
INSERT INTO `sys_job_log` VALUES (72982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:50:57');
INSERT INTO `sys_job_log` VALUES (72983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:02');
INSERT INTO `sys_job_log` VALUES (72984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1044毫秒', '0', '', '2025-01-03 03:51:03');
INSERT INTO `sys_job_log` VALUES (72985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:07');
INSERT INTO `sys_job_log` VALUES (72986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:12');
INSERT INTO `sys_job_log` VALUES (72987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:51:17');
INSERT INTO `sys_job_log` VALUES (72988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1103毫秒', '0', '', '2025-01-03 03:51:18');
INSERT INTO `sys_job_log` VALUES (72989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:22');
INSERT INTO `sys_job_log` VALUES (72990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:51:27');
INSERT INTO `sys_job_log` VALUES (72991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:51:32');
INSERT INTO `sys_job_log` VALUES (72992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1090毫秒', '0', '', '2025-01-03 03:51:33');
INSERT INTO `sys_job_log` VALUES (72993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:37');
INSERT INTO `sys_job_log` VALUES (72994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:42');
INSERT INTO `sys_job_log` VALUES (72995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:47');
INSERT INTO `sys_job_log` VALUES (72996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1050毫秒', '0', '', '2025-01-03 03:51:48');
INSERT INTO `sys_job_log` VALUES (72997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:52');
INSERT INTO `sys_job_log` VALUES (72998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:51:57');
INSERT INTO `sys_job_log` VALUES (72999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 03:52:02');
INSERT INTO `sys_job_log` VALUES (73000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1030毫秒', '0', '', '2025-01-03 03:52:03');
INSERT INTO `sys_job_log` VALUES (73001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:07');
INSERT INTO `sys_job_log` VALUES (73002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:12');
INSERT INTO `sys_job_log` VALUES (73003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:17');
INSERT INTO `sys_job_log` VALUES (73004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1103毫秒', '0', '', '2025-01-03 03:52:18');
INSERT INTO `sys_job_log` VALUES (73005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:22');
INSERT INTO `sys_job_log` VALUES (73006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:27');
INSERT INTO `sys_job_log` VALUES (73007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:32');
INSERT INTO `sys_job_log` VALUES (73008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1075毫秒', '0', '', '2025-01-03 03:52:33');
INSERT INTO `sys_job_log` VALUES (73009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 03:52:37');
INSERT INTO `sys_job_log` VALUES (73010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:42');
INSERT INTO `sys_job_log` VALUES (73011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:47');
INSERT INTO `sys_job_log` VALUES (73012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1043毫秒', '0', '', '2025-01-03 03:52:48');
INSERT INTO `sys_job_log` VALUES (73013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:52:52');
INSERT INTO `sys_job_log` VALUES (73014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1102毫秒', '0', '', '2025-01-03 03:52:58');
INSERT INTO `sys_job_log` VALUES (73015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1126毫秒', '0', '', '2025-01-03 03:53:03');
INSERT INTO `sys_job_log` VALUES (73016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2230毫秒', '0', '', '2025-01-03 03:53:04');
INSERT INTO `sys_job_log` VALUES (73017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1144毫秒', '0', '', '2025-01-03 03:53:08');
INSERT INTO `sys_job_log` VALUES (73018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1073毫秒', '0', '', '2025-01-03 03:53:13');
INSERT INTO `sys_job_log` VALUES (73019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 03:53:18');
INSERT INTO `sys_job_log` VALUES (73020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2208毫秒', '0', '', '2025-01-03 03:53:19');
INSERT INTO `sys_job_log` VALUES (73021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1113毫秒', '0', '', '2025-01-03 03:53:23');
INSERT INTO `sys_job_log` VALUES (73022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1138毫秒', '0', '', '2025-01-03 03:53:28');
INSERT INTO `sys_job_log` VALUES (73023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1069毫秒', '0', '', '2025-01-03 03:53:33');
INSERT INTO `sys_job_log` VALUES (73024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2173毫秒', '0', '', '2025-01-03 03:53:34');
INSERT INTO `sys_job_log` VALUES (73025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1084毫秒', '0', '', '2025-01-03 03:53:38');
INSERT INTO `sys_job_log` VALUES (73026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1110毫秒', '0', '', '2025-01-03 03:53:43');
INSERT INTO `sys_job_log` VALUES (73027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 03:53:48');
INSERT INTO `sys_job_log` VALUES (73028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2149毫秒', '0', '', '2025-01-03 03:53:49');
INSERT INTO `sys_job_log` VALUES (73029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1057毫秒', '0', '', '2025-01-03 03:53:53');
INSERT INTO `sys_job_log` VALUES (73030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1086毫秒', '0', '', '2025-01-03 03:53:58');
INSERT INTO `sys_job_log` VALUES (73031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1112毫秒', '0', '', '2025-01-03 03:54:03');
INSERT INTO `sys_job_log` VALUES (73032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2220毫秒', '0', '', '2025-01-03 03:54:04');
INSERT INTO `sys_job_log` VALUES (73033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1141毫秒', '0', '', '2025-01-03 03:54:08');
INSERT INTO `sys_job_log` VALUES (73034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1157毫秒', '0', '', '2025-01-03 03:54:13');
INSERT INTO `sys_job_log` VALUES (73035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 03:54:18');
INSERT INTO `sys_job_log` VALUES (73036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2183毫秒', '0', '', '2025-01-03 03:54:19');
INSERT INTO `sys_job_log` VALUES (73037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1106毫秒', '0', '', '2025-01-03 03:54:23');
INSERT INTO `sys_job_log` VALUES (73038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1133毫秒', '0', '', '2025-01-03 03:54:28');
INSERT INTO `sys_job_log` VALUES (73039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 03:54:33');
INSERT INTO `sys_job_log` VALUES (73040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2163毫秒', '0', '', '2025-01-03 03:54:34');
INSERT INTO `sys_job_log` VALUES (73041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1078毫秒', '0', '', '2025-01-03 03:54:38');
INSERT INTO `sys_job_log` VALUES (73042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1101毫秒', '0', '', '2025-01-03 03:54:43');
INSERT INTO `sys_job_log` VALUES (73043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1038毫秒', '0', '', '2025-01-03 03:54:48');
INSERT INTO `sys_job_log` VALUES (73044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2143毫秒', '0', '', '2025-01-03 03:54:49');
INSERT INTO `sys_job_log` VALUES (73045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1064毫秒', '0', '', '2025-01-03 03:54:53');
INSERT INTO `sys_job_log` VALUES (73046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1087毫秒', '0', '', '2025-01-03 03:54:58');
INSERT INTO `sys_job_log` VALUES (73047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2025-01-03 03:55:03');
INSERT INTO `sys_job_log` VALUES (73048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2216毫秒', '0', '', '2025-01-03 03:55:04');
INSERT INTO `sys_job_log` VALUES (73049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1136毫秒', '0', '', '2025-01-03 03:55:08');
INSERT INTO `sys_job_log` VALUES (73050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1148毫秒', '0', '', '2025-01-03 03:55:13');
INSERT INTO `sys_job_log` VALUES (73051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 03:55:18');
INSERT INTO `sys_job_log` VALUES (73052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2177毫秒', '0', '', '2025-01-03 03:55:19');
INSERT INTO `sys_job_log` VALUES (73053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1104毫秒', '0', '', '2025-01-03 03:55:23');
INSERT INTO `sys_job_log` VALUES (73054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1132毫秒', '0', '', '2025-01-03 03:55:28');
INSERT INTO `sys_job_log` VALUES (73055, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 03:55:33');
INSERT INTO `sys_job_log` VALUES (73056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2163毫秒', '0', '', '2025-01-03 03:55:34');
INSERT INTO `sys_job_log` VALUES (73057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1076毫秒', '0', '', '2025-01-03 03:55:38');
INSERT INTO `sys_job_log` VALUES (73058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1101毫秒', '0', '', '2025-01-03 03:55:43');
INSERT INTO `sys_job_log` VALUES (73059, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 03:55:48');
INSERT INTO `sys_job_log` VALUES (73060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2218毫秒', '0', '', '2025-01-03 03:55:49');
INSERT INTO `sys_job_log` VALUES (73061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1154毫秒', '0', '', '2025-01-03 03:55:53');
INSERT INTO `sys_job_log` VALUES (73062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1080毫秒', '0', '', '2025-01-03 03:55:58');
INSERT INTO `sys_job_log` VALUES (73063, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1096毫秒', '0', '', '2025-01-03 03:56:03');
INSERT INTO `sys_job_log` VALUES (73064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2198毫秒', '0', '', '2025-01-03 03:56:04');
INSERT INTO `sys_job_log` VALUES (73065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1119毫秒', '0', '', '2025-01-03 03:56:08');
INSERT INTO `sys_job_log` VALUES (73066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:12');
INSERT INTO `sys_job_log` VALUES (73067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:17');
INSERT INTO `sys_job_log` VALUES (73068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1069毫秒', '0', '', '2025-01-03 03:56:18');
INSERT INTO `sys_job_log` VALUES (73069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:22');
INSERT INTO `sys_job_log` VALUES (73070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:27');
INSERT INTO `sys_job_log` VALUES (73071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:32');
INSERT INTO `sys_job_log` VALUES (73072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1041毫秒', '0', '', '2025-01-03 03:56:33');
INSERT INTO `sys_job_log` VALUES (73073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:37');
INSERT INTO `sys_job_log` VALUES (73074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 03:56:42');
INSERT INTO `sys_job_log` VALUES (73075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 03:56:47');
INSERT INTO `sys_job_log` VALUES (73076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1124毫秒', '0', '', '2025-01-03 03:56:48');
INSERT INTO `sys_job_log` VALUES (73077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:52');
INSERT INTO `sys_job_log` VALUES (73078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:56:57');
INSERT INTO `sys_job_log` VALUES (73079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 03:57:02');
INSERT INTO `sys_job_log` VALUES (73080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1084毫秒', '0', '', '2025-01-03 03:57:03');
INSERT INTO `sys_job_log` VALUES (73081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1111毫秒', '0', '', '2025-01-03 03:57:08');
INSERT INTO `sys_job_log` VALUES (73082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1144毫秒', '0', '', '2025-01-03 03:57:13');
INSERT INTO `sys_job_log` VALUES (73083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1056毫秒', '0', '', '2025-01-03 03:57:18');
INSERT INTO `sys_job_log` VALUES (73084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2161毫秒', '0', '', '2025-01-03 03:57:19');
INSERT INTO `sys_job_log` VALUES (73085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1083毫秒', '0', '', '2025-01-03 03:57:23');
INSERT INTO `sys_job_log` VALUES (73086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1109毫秒', '0', '', '2025-01-03 03:57:28');
INSERT INTO `sys_job_log` VALUES (73087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1036毫秒', '0', '', '2025-01-03 03:57:33');
INSERT INTO `sys_job_log` VALUES (73088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2141毫秒', '0', '', '2025-01-03 03:57:34');
INSERT INTO `sys_job_log` VALUES (73089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1064毫秒', '0', '', '2025-01-03 03:57:38');
INSERT INTO `sys_job_log` VALUES (73090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1084毫秒', '0', '', '2025-01-03 03:57:43');
INSERT INTO `sys_job_log` VALUES (73091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 03:57:48');
INSERT INTO `sys_job_log` VALUES (73092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2210毫秒', '0', '', '2025-01-03 03:57:49');
INSERT INTO `sys_job_log` VALUES (73093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1138毫秒', '0', '', '2025-01-03 03:57:53');
INSERT INTO `sys_job_log` VALUES (73094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1058毫秒', '0', '', '2025-01-03 03:57:58');
INSERT INTO `sys_job_log` VALUES (73095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 03:58:03');
INSERT INTO `sys_job_log` VALUES (73096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2183毫秒', '0', '', '2025-01-03 03:58:04');
INSERT INTO `sys_job_log` VALUES (73097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1103毫秒', '0', '', '2025-01-03 03:58:08');
INSERT INTO `sys_job_log` VALUES (73098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1129毫秒', '0', '', '2025-01-03 03:58:13');
INSERT INTO `sys_job_log` VALUES (73099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1055毫秒', '0', '', '2025-01-03 03:58:18');
INSERT INTO `sys_job_log` VALUES (73100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2159毫秒', '0', '', '2025-01-03 03:58:19');
INSERT INTO `sys_job_log` VALUES (73101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1083毫秒', '0', '', '2025-01-03 03:58:23');
INSERT INTO `sys_job_log` VALUES (73102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1096毫秒', '0', '', '2025-01-03 03:58:28');
INSERT INTO `sys_job_log` VALUES (73103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1035毫秒', '0', '', '2025-01-03 03:58:33');
INSERT INTO `sys_job_log` VALUES (73104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2140毫秒', '0', '', '2025-01-03 03:58:34');
INSERT INTO `sys_job_log` VALUES (73105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1053毫秒', '0', '', '2025-01-03 03:58:38');
INSERT INTO `sys_job_log` VALUES (73106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:58:43');
INSERT INTO `sys_job_log` VALUES (73107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 03:58:48');
INSERT INTO `sys_job_log` VALUES (73108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 03:58:49');
INSERT INTO `sys_job_log` VALUES (73109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:58:53');
INSERT INTO `sys_job_log` VALUES (73110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 03:58:58');
INSERT INTO `sys_job_log` VALUES (73111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 03:59:03');
INSERT INTO `sys_job_log` VALUES (73112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2036毫秒', '0', '', '2025-01-03 03:59:04');
INSERT INTO `sys_job_log` VALUES (73113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:59:08');
INSERT INTO `sys_job_log` VALUES (73114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 03:59:13');
INSERT INTO `sys_job_log` VALUES (73115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:59:18');
INSERT INTO `sys_job_log` VALUES (73116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-03 03:59:19');
INSERT INTO `sys_job_log` VALUES (73117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:59:23');
INSERT INTO `sys_job_log` VALUES (73118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 03:59:28');
INSERT INTO `sys_job_log` VALUES (73119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:59:33');
INSERT INTO `sys_job_log` VALUES (73120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2040毫秒', '0', '', '2025-01-03 03:59:34');
INSERT INTO `sys_job_log` VALUES (73121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 03:59:38');
INSERT INTO `sys_job_log` VALUES (73122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 03:59:43');
INSERT INTO `sys_job_log` VALUES (73123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 03:59:48');
INSERT INTO `sys_job_log` VALUES (73124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 03:59:49');
INSERT INTO `sys_job_log` VALUES (73125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 03:59:53');
INSERT INTO `sys_job_log` VALUES (73126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 03:59:58');
INSERT INTO `sys_job_log` VALUES (73127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:00:03');
INSERT INTO `sys_job_log` VALUES (73128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 04:00:04');
INSERT INTO `sys_job_log` VALUES (73129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:00:08');
INSERT INTO `sys_job_log` VALUES (73130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:00:13');
INSERT INTO `sys_job_log` VALUES (73131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:00:18');
INSERT INTO `sys_job_log` VALUES (73132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 04:00:19');
INSERT INTO `sys_job_log` VALUES (73133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:00:23');
INSERT INTO `sys_job_log` VALUES (73134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:00:28');
INSERT INTO `sys_job_log` VALUES (73135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:00:33');
INSERT INTO `sys_job_log` VALUES (73136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2057毫秒', '0', '', '2025-01-03 04:00:34');
INSERT INTO `sys_job_log` VALUES (73137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:00:38');
INSERT INTO `sys_job_log` VALUES (73138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1032毫秒', '0', '', '2025-01-03 04:00:43');
INSERT INTO `sys_job_log` VALUES (73139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:00:48');
INSERT INTO `sys_job_log` VALUES (73140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 04:00:49');
INSERT INTO `sys_job_log` VALUES (73141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:00:53');
INSERT INTO `sys_job_log` VALUES (73142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:00:58');
INSERT INTO `sys_job_log` VALUES (73143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:01:03');
INSERT INTO `sys_job_log` VALUES (73144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 04:01:04');
INSERT INTO `sys_job_log` VALUES (73145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:01:08');
INSERT INTO `sys_job_log` VALUES (73146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:01:13');
INSERT INTO `sys_job_log` VALUES (73147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:01:18');
INSERT INTO `sys_job_log` VALUES (73148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2015毫秒', '0', '', '2025-01-03 04:01:19');
INSERT INTO `sys_job_log` VALUES (73149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:01:23');
INSERT INTO `sys_job_log` VALUES (73150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 04:01:28');
INSERT INTO `sys_job_log` VALUES (73151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 04:01:33');
INSERT INTO `sys_job_log` VALUES (73152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 04:01:34');
INSERT INTO `sys_job_log` VALUES (73153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:01:38');
INSERT INTO `sys_job_log` VALUES (73154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:01:43');
INSERT INTO `sys_job_log` VALUES (73155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:01:48');
INSERT INTO `sys_job_log` VALUES (73156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 04:01:49');
INSERT INTO `sys_job_log` VALUES (73157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:01:53');
INSERT INTO `sys_job_log` VALUES (73158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:01:58');
INSERT INTO `sys_job_log` VALUES (73159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:02:03');
INSERT INTO `sys_job_log` VALUES (73160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 04:02:04');
INSERT INTO `sys_job_log` VALUES (73161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:02:08');
INSERT INTO `sys_job_log` VALUES (73162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:02:12');
INSERT INTO `sys_job_log` VALUES (73163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 04:02:17');
INSERT INTO `sys_job_log` VALUES (73164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:02:18');
INSERT INTO `sys_job_log` VALUES (73165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:02:22');
INSERT INTO `sys_job_log` VALUES (73166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:02:27');
INSERT INTO `sys_job_log` VALUES (73167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:02:32');
INSERT INTO `sys_job_log` VALUES (73168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:02:33');
INSERT INTO `sys_job_log` VALUES (73169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:02:37');
INSERT INTO `sys_job_log` VALUES (73170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:02:42');
INSERT INTO `sys_job_log` VALUES (73171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:02:47');
INSERT INTO `sys_job_log` VALUES (73172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:02:48');
INSERT INTO `sys_job_log` VALUES (73173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:02:52');
INSERT INTO `sys_job_log` VALUES (73174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:02:57');
INSERT INTO `sys_job_log` VALUES (73175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:03:02');
INSERT INTO `sys_job_log` VALUES (73176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:03:03');
INSERT INTO `sys_job_log` VALUES (73177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:03:07');
INSERT INTO `sys_job_log` VALUES (73178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:03:12');
INSERT INTO `sys_job_log` VALUES (73179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:03:17');
INSERT INTO `sys_job_log` VALUES (73180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:03:18');
INSERT INTO `sys_job_log` VALUES (73181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:03:22');
INSERT INTO `sys_job_log` VALUES (73182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:03:27');
INSERT INTO `sys_job_log` VALUES (73183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:03:33');
INSERT INTO `sys_job_log` VALUES (73184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2019毫秒', '0', '', '2025-01-03 04:03:34');
INSERT INTO `sys_job_log` VALUES (73185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:03:38');
INSERT INTO `sys_job_log` VALUES (73186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:03:43');
INSERT INTO `sys_job_log` VALUES (73187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 04:03:48');
INSERT INTO `sys_job_log` VALUES (73188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2040毫秒', '0', '', '2025-01-03 04:03:49');
INSERT INTO `sys_job_log` VALUES (73189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:03:53');
INSERT INTO `sys_job_log` VALUES (73190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 04:03:58');
INSERT INTO `sys_job_log` VALUES (73191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:04:03');
INSERT INTO `sys_job_log` VALUES (73192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2022毫秒', '0', '', '2025-01-03 04:04:04');
INSERT INTO `sys_job_log` VALUES (73193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:04:08');
INSERT INTO `sys_job_log` VALUES (73194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:04:13');
INSERT INTO `sys_job_log` VALUES (73195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:04:18');
INSERT INTO `sys_job_log` VALUES (73196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 04:04:19');
INSERT INTO `sys_job_log` VALUES (73197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:04:23');
INSERT INTO `sys_job_log` VALUES (73198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:04:28');
INSERT INTO `sys_job_log` VALUES (73199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:04:33');
INSERT INTO `sys_job_log` VALUES (73200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2019毫秒', '0', '', '2025-01-03 04:04:34');
INSERT INTO `sys_job_log` VALUES (73201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:04:38');
INSERT INTO `sys_job_log` VALUES (73202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 04:04:43');
INSERT INTO `sys_job_log` VALUES (73203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:04:48');
INSERT INTO `sys_job_log` VALUES (73204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 04:04:49');
INSERT INTO `sys_job_log` VALUES (73205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:04:53');
INSERT INTO `sys_job_log` VALUES (73206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:04:58');
INSERT INTO `sys_job_log` VALUES (73207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:05:03');
INSERT INTO `sys_job_log` VALUES (73208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:05:04');
INSERT INTO `sys_job_log` VALUES (73209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:05:08');
INSERT INTO `sys_job_log` VALUES (73210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:05:13');
INSERT INTO `sys_job_log` VALUES (73211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:05:18');
INSERT INTO `sys_job_log` VALUES (73212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:05:19');
INSERT INTO `sys_job_log` VALUES (73213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:05:23');
INSERT INTO `sys_job_log` VALUES (73214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:05:28');
INSERT INTO `sys_job_log` VALUES (73215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:05:33');
INSERT INTO `sys_job_log` VALUES (73216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 04:05:34');
INSERT INTO `sys_job_log` VALUES (73217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:05:38');
INSERT INTO `sys_job_log` VALUES (73218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:05:43');
INSERT INTO `sys_job_log` VALUES (73219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:05:48');
INSERT INTO `sys_job_log` VALUES (73220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 04:05:49');
INSERT INTO `sys_job_log` VALUES (73221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:05:53');
INSERT INTO `sys_job_log` VALUES (73222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:05:58');
INSERT INTO `sys_job_log` VALUES (73223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:06:03');
INSERT INTO `sys_job_log` VALUES (73224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 04:06:04');
INSERT INTO `sys_job_log` VALUES (73225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:06:08');
INSERT INTO `sys_job_log` VALUES (73226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:06:13');
INSERT INTO `sys_job_log` VALUES (73227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:06:18');
INSERT INTO `sys_job_log` VALUES (73228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2032毫秒', '0', '', '2025-01-03 04:06:19');
INSERT INTO `sys_job_log` VALUES (73229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:06:23');
INSERT INTO `sys_job_log` VALUES (73230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:06:28');
INSERT INTO `sys_job_log` VALUES (73231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:06:33');
INSERT INTO `sys_job_log` VALUES (73232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 04:06:34');
INSERT INTO `sys_job_log` VALUES (73233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:06:38');
INSERT INTO `sys_job_log` VALUES (73234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:06:43');
INSERT INTO `sys_job_log` VALUES (73235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:06:48');
INSERT INTO `sys_job_log` VALUES (73236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 04:06:49');
INSERT INTO `sys_job_log` VALUES (73237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:06:53');
INSERT INTO `sys_job_log` VALUES (73238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:06:58');
INSERT INTO `sys_job_log` VALUES (73239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:07:03');
INSERT INTO `sys_job_log` VALUES (73240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 04:07:04');
INSERT INTO `sys_job_log` VALUES (73241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:07:08');
INSERT INTO `sys_job_log` VALUES (73242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:07:13');
INSERT INTO `sys_job_log` VALUES (73243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:07:18');
INSERT INTO `sys_job_log` VALUES (73244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 04:07:19');
INSERT INTO `sys_job_log` VALUES (73245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:07:23');
INSERT INTO `sys_job_log` VALUES (73246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:07:28');
INSERT INTO `sys_job_log` VALUES (73247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:07:33');
INSERT INTO `sys_job_log` VALUES (73248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:07:34');
INSERT INTO `sys_job_log` VALUES (73249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 04:07:38');
INSERT INTO `sys_job_log` VALUES (73250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:07:43');
INSERT INTO `sys_job_log` VALUES (73251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:07:48');
INSERT INTO `sys_job_log` VALUES (73252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 04:07:49');
INSERT INTO `sys_job_log` VALUES (73253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:07:53');
INSERT INTO `sys_job_log` VALUES (73254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:07:58');
INSERT INTO `sys_job_log` VALUES (73255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:08:03');
INSERT INTO `sys_job_log` VALUES (73256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 04:08:04');
INSERT INTO `sys_job_log` VALUES (73257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:08:08');
INSERT INTO `sys_job_log` VALUES (73258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:08:13');
INSERT INTO `sys_job_log` VALUES (73259, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:08:18');
INSERT INTO `sys_job_log` VALUES (73260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 04:08:19');
INSERT INTO `sys_job_log` VALUES (73261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:08:23');
INSERT INTO `sys_job_log` VALUES (73262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:08:28');
INSERT INTO `sys_job_log` VALUES (73263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:08:33');
INSERT INTO `sys_job_log` VALUES (73264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 04:08:34');
INSERT INTO `sys_job_log` VALUES (73265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:08:38');
INSERT INTO `sys_job_log` VALUES (73266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:08:43');
INSERT INTO `sys_job_log` VALUES (73267, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 04:08:48');
INSERT INTO `sys_job_log` VALUES (73268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 04:08:49');
INSERT INTO `sys_job_log` VALUES (73269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:08:53');
INSERT INTO `sys_job_log` VALUES (73270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 04:08:58');
INSERT INTO `sys_job_log` VALUES (73271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:09:03');
INSERT INTO `sys_job_log` VALUES (73272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-03 04:09:04');
INSERT INTO `sys_job_log` VALUES (73273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:09:08');
INSERT INTO `sys_job_log` VALUES (73274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 04:09:13');
INSERT INTO `sys_job_log` VALUES (73275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:09:18');
INSERT INTO `sys_job_log` VALUES (73276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:09:19');
INSERT INTO `sys_job_log` VALUES (73277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:09:23');
INSERT INTO `sys_job_log` VALUES (73278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:09:28');
INSERT INTO `sys_job_log` VALUES (73279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:09:33');
INSERT INTO `sys_job_log` VALUES (73280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 04:09:34');
INSERT INTO `sys_job_log` VALUES (73281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:09:38');
INSERT INTO `sys_job_log` VALUES (73282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:09:43');
INSERT INTO `sys_job_log` VALUES (73283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:09:48');
INSERT INTO `sys_job_log` VALUES (73284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 04:09:49');
INSERT INTO `sys_job_log` VALUES (73285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:09:53');
INSERT INTO `sys_job_log` VALUES (73286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:09:58');
INSERT INTO `sys_job_log` VALUES (73287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:10:03');
INSERT INTO `sys_job_log` VALUES (73288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2032毫秒', '0', '', '2025-01-03 04:10:04');
INSERT INTO `sys_job_log` VALUES (73289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:10:08');
INSERT INTO `sys_job_log` VALUES (73290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:10:13');
INSERT INTO `sys_job_log` VALUES (73291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:10:18');
INSERT INTO `sys_job_log` VALUES (73292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 04:10:19');
INSERT INTO `sys_job_log` VALUES (73293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:10:23');
INSERT INTO `sys_job_log` VALUES (73294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:10:28');
INSERT INTO `sys_job_log` VALUES (73295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:10:33');
INSERT INTO `sys_job_log` VALUES (73296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2035毫秒', '0', '', '2025-01-03 04:10:34');
INSERT INTO `sys_job_log` VALUES (73297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:10:38');
INSERT INTO `sys_job_log` VALUES (73298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 04:10:43');
INSERT INTO `sys_job_log` VALUES (73299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:10:48');
INSERT INTO `sys_job_log` VALUES (73300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 04:10:49');
INSERT INTO `sys_job_log` VALUES (73301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:10:53');
INSERT INTO `sys_job_log` VALUES (73302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:10:58');
INSERT INTO `sys_job_log` VALUES (73303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:11:03');
INSERT INTO `sys_job_log` VALUES (73304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 04:11:04');
INSERT INTO `sys_job_log` VALUES (73305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:11:08');
INSERT INTO `sys_job_log` VALUES (73306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 04:11:13');
INSERT INTO `sys_job_log` VALUES (73307, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:11:18');
INSERT INTO `sys_job_log` VALUES (73308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 04:11:19');
INSERT INTO `sys_job_log` VALUES (73309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:11:23');
INSERT INTO `sys_job_log` VALUES (73310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:11:28');
INSERT INTO `sys_job_log` VALUES (73311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:11:33');
INSERT INTO `sys_job_log` VALUES (73312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2038毫秒', '0', '', '2025-01-03 04:11:34');
INSERT INTO `sys_job_log` VALUES (73313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:11:38');
INSERT INTO `sys_job_log` VALUES (73314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:11:43');
INSERT INTO `sys_job_log` VALUES (73315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:11:48');
INSERT INTO `sys_job_log` VALUES (73316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 04:11:49');
INSERT INTO `sys_job_log` VALUES (73317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 04:11:53');
INSERT INTO `sys_job_log` VALUES (73318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:11:58');
INSERT INTO `sys_job_log` VALUES (73319, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:12:03');
INSERT INTO `sys_job_log` VALUES (73320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 04:12:04');
INSERT INTO `sys_job_log` VALUES (73321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:12:08');
INSERT INTO `sys_job_log` VALUES (73322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:12:13');
INSERT INTO `sys_job_log` VALUES (73323, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:12:18');
INSERT INTO `sys_job_log` VALUES (73324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 04:12:19');
INSERT INTO `sys_job_log` VALUES (73325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:12:23');
INSERT INTO `sys_job_log` VALUES (73326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:12:28');
INSERT INTO `sys_job_log` VALUES (73327, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:12:33');
INSERT INTO `sys_job_log` VALUES (73328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2039毫秒', '0', '', '2025-01-03 04:12:34');
INSERT INTO `sys_job_log` VALUES (73329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:12:38');
INSERT INTO `sys_job_log` VALUES (73330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:12:43');
INSERT INTO `sys_job_log` VALUES (73331, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:12:48');
INSERT INTO `sys_job_log` VALUES (73332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2022毫秒', '0', '', '2025-01-03 04:12:49');
INSERT INTO `sys_job_log` VALUES (73333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:12:53');
INSERT INTO `sys_job_log` VALUES (73334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:12:58');
INSERT INTO `sys_job_log` VALUES (73335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:13:03');
INSERT INTO `sys_job_log` VALUES (73336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2035毫秒', '0', '', '2025-01-03 04:13:04');
INSERT INTO `sys_job_log` VALUES (73337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:13:08');
INSERT INTO `sys_job_log` VALUES (73338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:13:13');
INSERT INTO `sys_job_log` VALUES (73339, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:13:18');
INSERT INTO `sys_job_log` VALUES (73340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2016毫秒', '0', '', '2025-01-03 04:13:19');
INSERT INTO `sys_job_log` VALUES (73341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:13:23');
INSERT INTO `sys_job_log` VALUES (73342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:13:28');
INSERT INTO `sys_job_log` VALUES (73343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:13:32');
INSERT INTO `sys_job_log` VALUES (73344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:13:33');
INSERT INTO `sys_job_log` VALUES (73345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:13:37');
INSERT INTO `sys_job_log` VALUES (73346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:13:42');
INSERT INTO `sys_job_log` VALUES (73347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:13:47');
INSERT INTO `sys_job_log` VALUES (73348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:13:48');
INSERT INTO `sys_job_log` VALUES (73349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:13:52');
INSERT INTO `sys_job_log` VALUES (73350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:13:57');
INSERT INTO `sys_job_log` VALUES (73351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:14:02');
INSERT INTO `sys_job_log` VALUES (73352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:14:03');
INSERT INTO `sys_job_log` VALUES (73353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:14:07');
INSERT INTO `sys_job_log` VALUES (73354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:14:12');
INSERT INTO `sys_job_log` VALUES (73355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:14:17');
INSERT INTO `sys_job_log` VALUES (73356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:14:18');
INSERT INTO `sys_job_log` VALUES (73357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:14:22');
INSERT INTO `sys_job_log` VALUES (73358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:14:27');
INSERT INTO `sys_job_log` VALUES (73359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:14:33');
INSERT INTO `sys_job_log` VALUES (73360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 04:14:34');
INSERT INTO `sys_job_log` VALUES (73361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:14:38');
INSERT INTO `sys_job_log` VALUES (73362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 04:14:43');
INSERT INTO `sys_job_log` VALUES (73363, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:14:48');
INSERT INTO `sys_job_log` VALUES (73364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 04:14:49');
INSERT INTO `sys_job_log` VALUES (73365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:14:53');
INSERT INTO `sys_job_log` VALUES (73366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:14:58');
INSERT INTO `sys_job_log` VALUES (73367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 04:15:03');
INSERT INTO `sys_job_log` VALUES (73368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:15:04');
INSERT INTO `sys_job_log` VALUES (73369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:15:08');
INSERT INTO `sys_job_log` VALUES (73370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 04:15:13');
INSERT INTO `sys_job_log` VALUES (73371, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:15:18');
INSERT INTO `sys_job_log` VALUES (73372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 04:15:19');
INSERT INTO `sys_job_log` VALUES (73373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:15:23');
INSERT INTO `sys_job_log` VALUES (73374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:15:28');
INSERT INTO `sys_job_log` VALUES (73375, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:15:33');
INSERT INTO `sys_job_log` VALUES (73376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 04:15:34');
INSERT INTO `sys_job_log` VALUES (73377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:15:38');
INSERT INTO `sys_job_log` VALUES (73378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 04:15:43');
INSERT INTO `sys_job_log` VALUES (73379, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:15:48');
INSERT INTO `sys_job_log` VALUES (73380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 04:15:49');
INSERT INTO `sys_job_log` VALUES (73381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:15:53');
INSERT INTO `sys_job_log` VALUES (73382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:15:58');
INSERT INTO `sys_job_log` VALUES (73383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:16:03');
INSERT INTO `sys_job_log` VALUES (73384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 04:16:04');
INSERT INTO `sys_job_log` VALUES (73385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 04:16:08');
INSERT INTO `sys_job_log` VALUES (73386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:16:13');
INSERT INTO `sys_job_log` VALUES (73387, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:16:18');
INSERT INTO `sys_job_log` VALUES (73388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:16:19');
INSERT INTO `sys_job_log` VALUES (73389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:16:23');
INSERT INTO `sys_job_log` VALUES (73390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:16:28');
INSERT INTO `sys_job_log` VALUES (73391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:16:33');
INSERT INTO `sys_job_log` VALUES (73392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 04:16:34');
INSERT INTO `sys_job_log` VALUES (73393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:16:38');
INSERT INTO `sys_job_log` VALUES (73394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:16:43');
INSERT INTO `sys_job_log` VALUES (73395, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:16:48');
INSERT INTO `sys_job_log` VALUES (73396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 04:16:49');
INSERT INTO `sys_job_log` VALUES (73397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:16:53');
INSERT INTO `sys_job_log` VALUES (73398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:16:58');
INSERT INTO `sys_job_log` VALUES (73399, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:17:03');
INSERT INTO `sys_job_log` VALUES (73400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 04:17:04');
INSERT INTO `sys_job_log` VALUES (73401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:17:08');
INSERT INTO `sys_job_log` VALUES (73402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 04:17:13');
INSERT INTO `sys_job_log` VALUES (73403, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:17:18');
INSERT INTO `sys_job_log` VALUES (73404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 04:17:19');
INSERT INTO `sys_job_log` VALUES (73405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:17:23');
INSERT INTO `sys_job_log` VALUES (73406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:17:28');
INSERT INTO `sys_job_log` VALUES (73407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:17:33');
INSERT INTO `sys_job_log` VALUES (73408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2020毫秒', '0', '', '2025-01-03 04:17:34');
INSERT INTO `sys_job_log` VALUES (73409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:17:38');
INSERT INTO `sys_job_log` VALUES (73410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:17:43');
INSERT INTO `sys_job_log` VALUES (73411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 04:17:48');
INSERT INTO `sys_job_log` VALUES (73412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2037毫秒', '0', '', '2025-01-03 04:17:49');
INSERT INTO `sys_job_log` VALUES (73413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:17:53');
INSERT INTO `sys_job_log` VALUES (73414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:17:58');
INSERT INTO `sys_job_log` VALUES (73415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:18:03');
INSERT INTO `sys_job_log` VALUES (73416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-03 04:18:04');
INSERT INTO `sys_job_log` VALUES (73417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 04:18:08');
INSERT INTO `sys_job_log` VALUES (73418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:18:13');
INSERT INTO `sys_job_log` VALUES (73419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 04:18:18');
INSERT INTO `sys_job_log` VALUES (73420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 04:18:19');
INSERT INTO `sys_job_log` VALUES (73421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 04:18:23');
INSERT INTO `sys_job_log` VALUES (73422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:18:28');
INSERT INTO `sys_job_log` VALUES (73423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:18:33');
INSERT INTO `sys_job_log` VALUES (73424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 04:18:34');
INSERT INTO `sys_job_log` VALUES (73425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 04:18:38');
INSERT INTO `sys_job_log` VALUES (73426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 04:18:43');
INSERT INTO `sys_job_log` VALUES (73427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 04:18:48');
INSERT INTO `sys_job_log` VALUES (73428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2019毫秒', '0', '', '2025-01-03 04:18:49');
INSERT INTO `sys_job_log` VALUES (73429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 04:18:53');
INSERT INTO `sys_job_log` VALUES (73430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 04:18:58');
INSERT INTO `sys_job_log` VALUES (73431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 04:19:03');
INSERT INTO `sys_job_log` VALUES (73432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 04:19:04');
INSERT INTO `sys_job_log` VALUES (73433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 04:19:08');
INSERT INTO `sys_job_log` VALUES (73434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 04:19:13');
INSERT INTO `sys_job_log` VALUES (73435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 04:19:18');
INSERT INTO `sys_job_log` VALUES (73436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1131毫秒', '0', '', '2025-01-03 04:50:18');
INSERT INTO `sys_job_log` VALUES (73437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3343毫秒', '0', '', '2025-01-03 04:50:21');
INSERT INTO `sys_job_log` VALUES (73438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 04:50:22');
INSERT INTO `sys_job_log` VALUES (73439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:50:27');
INSERT INTO `sys_job_log` VALUES (73440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:50:32');
INSERT INTO `sys_job_log` VALUES (73441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1609毫秒', '0', '', '2025-01-03 04:50:34');
INSERT INTO `sys_job_log` VALUES (73442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:50:37');
INSERT INTO `sys_job_log` VALUES (73443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:50:42');
INSERT INTO `sys_job_log` VALUES (73444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:50:47');
INSERT INTO `sys_job_log` VALUES (73445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2084毫秒', '0', '', '2025-01-03 04:50:49');
INSERT INTO `sys_job_log` VALUES (73446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:50:52');
INSERT INTO `sys_job_log` VALUES (73447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:50:57');
INSERT INTO `sys_job_log` VALUES (73448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:51:02');
INSERT INTO `sys_job_log` VALUES (73449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1566毫秒', '0', '', '2025-01-03 04:51:04');
INSERT INTO `sys_job_log` VALUES (73450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:07');
INSERT INTO `sys_job_log` VALUES (73451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:12');
INSERT INTO `sys_job_log` VALUES (73452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:17');
INSERT INTO `sys_job_log` VALUES (73453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2643毫秒', '0', '', '2025-01-03 04:51:20');
INSERT INTO `sys_job_log` VALUES (73454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:22');
INSERT INTO `sys_job_log` VALUES (73455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:27');
INSERT INTO `sys_job_log` VALUES (73456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:32');
INSERT INTO `sys_job_log` VALUES (73457, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1711毫秒', '0', '', '2025-01-03 04:51:34');
INSERT INTO `sys_job_log` VALUES (73458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:37');
INSERT INTO `sys_job_log` VALUES (73459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:51:42');
INSERT INTO `sys_job_log` VALUES (73460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 04:51:47');
INSERT INTO `sys_job_log` VALUES (73461, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 04:51:48');
INSERT INTO `sys_job_log` VALUES (73462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:52');
INSERT INTO `sys_job_log` VALUES (73463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:51:57');
INSERT INTO `sys_job_log` VALUES (73464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:02');
INSERT INTO `sys_job_log` VALUES (73465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1052毫秒', '0', '', '2025-01-03 04:52:03');
INSERT INTO `sys_job_log` VALUES (73466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:07');
INSERT INTO `sys_job_log` VALUES (73467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:52:12');
INSERT INTO `sys_job_log` VALUES (73468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:17');
INSERT INTO `sys_job_log` VALUES (73469, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 04:52:18');
INSERT INTO `sys_job_log` VALUES (73470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:22');
INSERT INTO `sys_job_log` VALUES (73471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 04:52:27');
INSERT INTO `sys_job_log` VALUES (73472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:32');
INSERT INTO `sys_job_log` VALUES (73473, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1097毫秒', '0', '', '2025-01-03 04:52:33');
INSERT INTO `sys_job_log` VALUES (73474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:52:37');
INSERT INTO `sys_job_log` VALUES (73475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:42');
INSERT INTO `sys_job_log` VALUES (73476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:52:47');
INSERT INTO `sys_job_log` VALUES (73477, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1965毫秒', '0', '', '2025-01-03 04:52:49');
INSERT INTO `sys_job_log` VALUES (73478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:52');
INSERT INTO `sys_job_log` VALUES (73479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:52:57');
INSERT INTO `sys_job_log` VALUES (73480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 04:53:02');
INSERT INTO `sys_job_log` VALUES (73481, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2053毫秒', '0', '', '2025-01-03 04:53:04');
INSERT INTO `sys_job_log` VALUES (73482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:53:07');
INSERT INTO `sys_job_log` VALUES (73483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:53:12');
INSERT INTO `sys_job_log` VALUES (73484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 04:53:17');
INSERT INTO `sys_job_log` VALUES (73485, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1118毫秒', '0', '', '2025-01-03 04:53:18');
INSERT INTO `sys_job_log` VALUES (73486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2097毫秒', '0', '', '2025-01-03 04:53:34');
INSERT INTO `sys_job_log` VALUES (73487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14300毫秒', '0', '', '2025-01-03 04:53:36');
INSERT INTO `sys_job_log` VALUES (73488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1465毫秒', '0', '', '2025-01-03 04:53:49');
INSERT INTO `sys_job_log` VALUES (73489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:53:51');
INSERT INTO `sys_job_log` VALUES (73490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1928毫秒', '0', '', '2025-01-03 04:54:04');
INSERT INTO `sys_job_log` VALUES (73491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:54:05');
INSERT INTO `sys_job_log` VALUES (73492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1302毫秒', '0', '', '2025-01-03 04:54:18');
INSERT INTO `sys_job_log` VALUES (73493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:54:20');
INSERT INTO `sys_job_log` VALUES (73494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13261毫秒', '0', '', '2025-01-03 04:54:33');
INSERT INTO `sys_job_log` VALUES (73495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1782毫秒', '0', '', '2025-01-03 04:54:34');
INSERT INTO `sys_job_log` VALUES (73496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14268毫秒', '0', '', '2025-01-03 04:54:47');
INSERT INTO `sys_job_log` VALUES (73497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2150毫秒', '0', '', '2025-01-03 04:54:49');
INSERT INTO `sys_job_log` VALUES (73498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:55:01');
INSERT INTO `sys_job_log` VALUES (73499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1520毫秒', '0', '', '2025-01-03 04:55:04');
INSERT INTO `sys_job_log` VALUES (73500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:55:16');
INSERT INTO `sys_job_log` VALUES (73501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1999毫秒', '0', '', '2025-01-03 04:55:19');
INSERT INTO `sys_job_log` VALUES (73502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 04:55:30');
INSERT INTO `sys_job_log` VALUES (73503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1374毫秒', '0', '', '2025-01-03 04:55:34');
INSERT INTO `sys_job_log` VALUES (73504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 04:55:45');
INSERT INTO `sys_job_log` VALUES (73505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1848毫秒', '0', '', '2025-01-03 04:55:49');
INSERT INTO `sys_job_log` VALUES (73506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:55:59');
INSERT INTO `sys_job_log` VALUES (73507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1214毫秒', '0', '', '2025-01-03 04:56:03');
INSERT INTO `sys_job_log` VALUES (73508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 04:56:13');
INSERT INTO `sys_job_log` VALUES (73509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1685毫秒', '0', '', '2025-01-03 04:56:19');
INSERT INTO `sys_job_log` VALUES (73510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:56:28');
INSERT INTO `sys_job_log` VALUES (73511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2164毫秒', '0', '', '2025-01-03 04:56:34');
INSERT INTO `sys_job_log` VALUES (73512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 04:56:42');
INSERT INTO `sys_job_log` VALUES (73513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1537毫秒', '0', '', '2025-01-03 04:56:49');
INSERT INTO `sys_job_log` VALUES (73514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14365毫秒', '0', '', '2025-01-03 04:56:56');
INSERT INTO `sys_job_log` VALUES (73515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1906毫秒', '0', '', '2025-01-03 04:57:04');
INSERT INTO `sys_job_log` VALUES (73516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 04:57:11');
INSERT INTO `sys_job_log` VALUES (73517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1183毫秒', '0', '', '2025-01-03 04:57:18');
INSERT INTO `sys_job_log` VALUES (73518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 04:57:25');
INSERT INTO `sys_job_log` VALUES (73519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1562毫秒', '0', '', '2025-01-03 04:57:34');
INSERT INTO `sys_job_log` VALUES (73520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14266毫秒', '0', '', '2025-01-03 04:57:39');
INSERT INTO `sys_job_log` VALUES (73521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1938毫秒', '0', '', '2025-01-03 04:57:49');
INSERT INTO `sys_job_log` VALUES (73522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 04:57:54');
INSERT INTO `sys_job_log` VALUES (73523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1305毫秒', '0', '', '2025-01-03 04:58:03');
INSERT INTO `sys_job_log` VALUES (73524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:58:08');
INSERT INTO `sys_job_log` VALUES (73525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1683毫秒', '0', '', '2025-01-03 04:58:19');
INSERT INTO `sys_job_log` VALUES (73526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14268毫秒', '0', '', '2025-01-03 04:58:22');
INSERT INTO `sys_job_log` VALUES (73527, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2155毫秒', '0', '', '2025-01-03 04:58:34');
INSERT INTO `sys_job_log` VALUES (73528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:58:37');
INSERT INTO `sys_job_log` VALUES (73529, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1416毫秒', '0', '', '2025-01-03 04:58:49');
INSERT INTO `sys_job_log` VALUES (73530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 04:58:51');
INSERT INTO `sys_job_log` VALUES (73531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1890毫秒', '0', '', '2025-01-03 04:59:04');
INSERT INTO `sys_job_log` VALUES (73532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 04:59:05');
INSERT INTO `sys_job_log` VALUES (73533, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1256毫秒', '0', '', '2025-01-03 04:59:18');
INSERT INTO `sys_job_log` VALUES (73534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 04:59:20');
INSERT INTO `sys_job_log` VALUES (73535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13263毫秒', '0', '', '2025-01-03 04:59:33');
INSERT INTO `sys_job_log` VALUES (73536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1746毫秒', '0', '', '2025-01-03 04:59:34');
INSERT INTO `sys_job_log` VALUES (73537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 04:59:47');
INSERT INTO `sys_job_log` VALUES (73538, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1106毫秒', '0', '', '2025-01-03 04:59:48');
INSERT INTO `sys_job_log` VALUES (73539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:00:02');
INSERT INTO `sys_job_log` VALUES (73540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2025-01-03 05:00:04');
INSERT INTO `sys_job_log` VALUES (73541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:00:16');
INSERT INTO `sys_job_log` VALUES (73542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2060毫秒', '0', '', '2025-01-03 05:00:19');
INSERT INTO `sys_job_log` VALUES (73543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:00:30');
INSERT INTO `sys_job_log` VALUES (73544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1422毫秒', '0', '', '2025-01-03 05:00:34');
INSERT INTO `sys_job_log` VALUES (73545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:00:45');
INSERT INTO `sys_job_log` VALUES (73546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1899毫秒', '0', '', '2025-01-03 05:00:49');
INSERT INTO `sys_job_log` VALUES (73547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:00:59');
INSERT INTO `sys_job_log` VALUES (73548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1269毫秒', '0', '', '2025-01-03 05:01:03');
INSERT INTO `sys_job_log` VALUES (73549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:01:13');
INSERT INTO `sys_job_log` VALUES (73550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1747毫秒', '0', '', '2025-01-03 05:01:19');
INSERT INTO `sys_job_log` VALUES (73551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 05:01:28');
INSERT INTO `sys_job_log` VALUES (73552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2028毫秒', '0', '', '2025-01-03 05:01:34');
INSERT INTO `sys_job_log` VALUES (73553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 05:01:42');
INSERT INTO `sys_job_log` VALUES (73554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1299毫秒', '0', '', '2025-01-03 05:01:48');
INSERT INTO `sys_job_log` VALUES (73555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 05:01:56');
INSERT INTO `sys_job_log` VALUES (73556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1774毫秒', '0', '', '2025-01-03 05:02:04');
INSERT INTO `sys_job_log` VALUES (73557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 05:02:11');
INSERT INTO `sys_job_log` VALUES (73558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2025-01-03 05:02:18');
INSERT INTO `sys_job_log` VALUES (73559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:02:25');
INSERT INTO `sys_job_log` VALUES (73560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1607毫秒', '0', '', '2025-01-03 05:02:34');
INSERT INTO `sys_job_log` VALUES (73561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 05:02:39');
INSERT INTO `sys_job_log` VALUES (73562, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2080毫秒', '0', '', '2025-01-03 05:02:49');
INSERT INTO `sys_job_log` VALUES (73563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:02:54');
INSERT INTO `sys_job_log` VALUES (73564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1461毫秒', '0', '', '2025-01-03 05:03:04');
INSERT INTO `sys_job_log` VALUES (73565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 05:03:08');
INSERT INTO `sys_job_log` VALUES (73566, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1931毫秒', '0', '', '2025-01-03 05:03:19');
INSERT INTO `sys_job_log` VALUES (73567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 05:03:22');
INSERT INTO `sys_job_log` VALUES (73568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1301毫秒', '0', '', '2025-01-03 05:03:33');
INSERT INTO `sys_job_log` VALUES (73569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:03:37');
INSERT INTO `sys_job_log` VALUES (73570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1785毫秒', '0', '', '2025-01-03 05:03:49');
INSERT INTO `sys_job_log` VALUES (73571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:03:51');
INSERT INTO `sys_job_log` VALUES (73572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1146毫秒', '0', '', '2025-01-03 05:04:03');
INSERT INTO `sys_job_log` VALUES (73573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:04:06');
INSERT INTO `sys_job_log` VALUES (73574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1621毫秒', '0', '', '2025-01-03 05:04:19');
INSERT INTO `sys_job_log` VALUES (73575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 05:04:20');
INSERT INTO `sys_job_log` VALUES (73576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13262毫秒', '0', '', '2025-01-03 05:04:33');
INSERT INTO `sys_job_log` VALUES (73577, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2103毫秒', '0', '', '2025-01-03 05:04:34');
INSERT INTO `sys_job_log` VALUES (73578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:04:48');
INSERT INTO `sys_job_log` VALUES (73579, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1467毫秒', '0', '', '2025-01-03 05:04:49');
INSERT INTO `sys_job_log` VALUES (73580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:05:02');
INSERT INTO `sys_job_log` VALUES (73581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1945毫秒', '0', '', '2025-01-03 05:05:04');
INSERT INTO `sys_job_log` VALUES (73582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:05:16');
INSERT INTO `sys_job_log` VALUES (73583, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1320毫秒', '0', '', '2025-01-03 05:05:18');
INSERT INTO `sys_job_log` VALUES (73584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:05:31');
INSERT INTO `sys_job_log` VALUES (73585, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1788毫秒', '0', '', '2025-01-03 05:05:34');
INSERT INTO `sys_job_log` VALUES (73586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:05:45');
INSERT INTO `sys_job_log` VALUES (73587, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1154毫秒', '0', '', '2025-01-03 05:05:48');
INSERT INTO `sys_job_log` VALUES (73588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:05:59');
INSERT INTO `sys_job_log` VALUES (73589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1637毫秒', '0', '', '2025-01-03 05:06:04');
INSERT INTO `sys_job_log` VALUES (73590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:06:14');
INSERT INTO `sys_job_log` VALUES (73591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2104毫秒', '0', '', '2025-01-03 05:06:19');
INSERT INTO `sys_job_log` VALUES (73592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:06:28');
INSERT INTO `sys_job_log` VALUES (73593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1479毫秒', '0', '', '2025-01-03 05:06:34');
INSERT INTO `sys_job_log` VALUES (73594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:06:42');
INSERT INTO `sys_job_log` VALUES (73595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1857毫秒', '0', '', '2025-01-03 05:06:49');
INSERT INTO `sys_job_log` VALUES (73596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 05:06:57');
INSERT INTO `sys_job_log` VALUES (73597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1228毫秒', '0', '', '2025-01-03 05:07:03');
INSERT INTO `sys_job_log` VALUES (73598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:07:11');
INSERT INTO `sys_job_log` VALUES (73599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1702毫秒', '0', '', '2025-01-03 05:07:19');
INSERT INTO `sys_job_log` VALUES (73600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 05:07:26');
INSERT INTO `sys_job_log` VALUES (73601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2179毫秒', '0', '', '2025-01-03 05:07:34');
INSERT INTO `sys_job_log` VALUES (73602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 05:07:40');
INSERT INTO `sys_job_log` VALUES (73603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1547毫秒', '0', '', '2025-01-03 05:07:49');
INSERT INTO `sys_job_log` VALUES (73604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:07:54');
INSERT INTO `sys_job_log` VALUES (73605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2022毫秒', '0', '', '2025-01-03 05:08:04');
INSERT INTO `sys_job_log` VALUES (73606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 05:08:09');
INSERT INTO `sys_job_log` VALUES (73607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1057毫秒', '0', '', '2025-01-03 06:43:50');
INSERT INTO `sys_job_log` VALUES (73608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2071毫秒', '0', '', '2025-01-03 06:43:51');
INSERT INTO `sys_job_log` VALUES (73609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：12毫秒', '0', '', '2025-01-03 06:43:52');
INSERT INTO `sys_job_log` VALUES (73610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:43:57');
INSERT INTO `sys_job_log` VALUES (73611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:44:02');
INSERT INTO `sys_job_log` VALUES (73612, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 06:44:03');
INSERT INTO `sys_job_log` VALUES (73613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:44:07');
INSERT INTO `sys_job_log` VALUES (73614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:44:12');
INSERT INTO `sys_job_log` VALUES (73615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:44:17');
INSERT INTO `sys_job_log` VALUES (73616, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 06:44:18');
INSERT INTO `sys_job_log` VALUES (73617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1082毫秒', '0', '', '2025-01-03 06:44:37');
INSERT INTO `sys_job_log` VALUES (73618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2025-01-03 06:44:37');
INSERT INTO `sys_job_log` VALUES (73619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2098毫秒', '0', '', '2025-01-03 06:44:38');
INSERT INTO `sys_job_log` VALUES (73620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:44:42');
INSERT INTO `sys_job_log` VALUES (73621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:44:47');
INSERT INTO `sys_job_log` VALUES (73622, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 06:44:48');
INSERT INTO `sys_job_log` VALUES (73623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1976毫秒', '0', '', '2025-01-03 06:44:54');
INSERT INTO `sys_job_log` VALUES (73624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:44:57');
INSERT INTO `sys_job_log` VALUES (73625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:45:02');
INSERT INTO `sys_job_log` VALUES (73626, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4050毫秒', '0', '', '2025-01-03 06:45:06');
INSERT INTO `sys_job_log` VALUES (73627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:45:07');
INSERT INTO `sys_job_log` VALUES (73628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:45:12');
INSERT INTO `sys_job_log` VALUES (73629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:45:17');
INSERT INTO `sys_job_log` VALUES (73630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:45:22');
INSERT INTO `sys_job_log` VALUES (73631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:45:27');
INSERT INTO `sys_job_log` VALUES (73632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:45:32');
INSERT INTO `sys_job_log` VALUES (73633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:45:37');
INSERT INTO `sys_job_log` VALUES (73634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:45:42');
INSERT INTO `sys_job_log` VALUES (73635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:45:47');
INSERT INTO `sys_job_log` VALUES (73636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:45:52');
INSERT INTO `sys_job_log` VALUES (73637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:45:57');
INSERT INTO `sys_job_log` VALUES (73638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:46:02');
INSERT INTO `sys_job_log` VALUES (73639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:46:07');
INSERT INTO `sys_job_log` VALUES (73640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:46:12');
INSERT INTO `sys_job_log` VALUES (73641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:46:17');
INSERT INTO `sys_job_log` VALUES (73642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:46:22');
INSERT INTO `sys_job_log` VALUES (73643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:46:27');
INSERT INTO `sys_job_log` VALUES (73644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:46:32');
INSERT INTO `sys_job_log` VALUES (73645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:46:37');
INSERT INTO `sys_job_log` VALUES (73646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:46:42');
INSERT INTO `sys_job_log` VALUES (73647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:46:47');
INSERT INTO `sys_job_log` VALUES (73648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:46:52');
INSERT INTO `sys_job_log` VALUES (73649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:46:57');
INSERT INTO `sys_job_log` VALUES (73650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:47:02');
INSERT INTO `sys_job_log` VALUES (73651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:47:07');
INSERT INTO `sys_job_log` VALUES (73652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:47:12');
INSERT INTO `sys_job_log` VALUES (73653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:47:17');
INSERT INTO `sys_job_log` VALUES (73654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:47:22');
INSERT INTO `sys_job_log` VALUES (73655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:47:27');
INSERT INTO `sys_job_log` VALUES (73656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1125毫秒', '0', '', '2025-01-03 06:47:44');
INSERT INTO `sys_job_log` VALUES (73657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-03 06:47:47');
INSERT INTO `sys_job_log` VALUES (73658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1655毫秒', '0', '', '2025-01-03 06:47:49');
INSERT INTO `sys_job_log` VALUES (73659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:47:52');
INSERT INTO `sys_job_log` VALUES (73660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:47:57');
INSERT INTO `sys_job_log` VALUES (73661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:48:02');
INSERT INTO `sys_job_log` VALUES (73662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2023毫秒', '0', '', '2025-01-03 06:48:04');
INSERT INTO `sys_job_log` VALUES (73663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:48:07');
INSERT INTO `sys_job_log` VALUES (73664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:48:12');
INSERT INTO `sys_job_log` VALUES (73665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:48:17');
INSERT INTO `sys_job_log` VALUES (73666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1391毫秒', '0', '', '2025-01-03 06:48:19');
INSERT INTO `sys_job_log` VALUES (73667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:48:22');
INSERT INTO `sys_job_log` VALUES (73668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:48:27');
INSERT INTO `sys_job_log` VALUES (73669, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1063毫秒', '0', '', '2025-01-03 06:48:33');
INSERT INTO `sys_job_log` VALUES (73670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1161毫秒', '0', '', '2025-01-03 06:49:46');
INSERT INTO `sys_job_log` VALUES (73671, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1035毫秒', '0', '', '2025-01-03 06:49:48');
INSERT INTO `sys_job_log` VALUES (73672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14192毫秒', '0', '', '2025-01-03 06:50:01');
INSERT INTO `sys_job_log` VALUES (73673, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1315毫秒', '0', '', '2025-01-03 06:50:04');
INSERT INTO `sys_job_log` VALUES (73674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1384毫秒', '0', '', '2025-01-03 06:50:19');
INSERT INTO `sys_job_log` VALUES (73675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21400毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:23');
INSERT INTO `sys_job_log` VALUES (73682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:50:27');
INSERT INTO `sys_job_log` VALUES (73683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2025-01-03 06:50:32');
INSERT INTO `sys_job_log` VALUES (73684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1055毫秒', '0', '', '2025-01-03 06:50:33');
INSERT INTO `sys_job_log` VALUES (73685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:50:37');
INSERT INTO `sys_job_log` VALUES (73686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:50:42');
INSERT INTO `sys_job_log` VALUES (73687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:50:47');
INSERT INTO `sys_job_log` VALUES (73688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 06:50:48');
INSERT INTO `sys_job_log` VALUES (73689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:50:52');
INSERT INTO `sys_job_log` VALUES (73690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:50:57');
INSERT INTO `sys_job_log` VALUES (73691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:02');
INSERT INTO `sys_job_log` VALUES (73692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 06:51:03');
INSERT INTO `sys_job_log` VALUES (73693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:51:07');
INSERT INTO `sys_job_log` VALUES (73694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:12');
INSERT INTO `sys_job_log` VALUES (73695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:17');
INSERT INTO `sys_job_log` VALUES (73696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 06:51:18');
INSERT INTO `sys_job_log` VALUES (73697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:51:22');
INSERT INTO `sys_job_log` VALUES (73698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:51:27');
INSERT INTO `sys_job_log` VALUES (73699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:32');
INSERT INTO `sys_job_log` VALUES (73700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2025-01-03 06:51:33');
INSERT INTO `sys_job_log` VALUES (73701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:51:37');
INSERT INTO `sys_job_log` VALUES (73702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:42');
INSERT INTO `sys_job_log` VALUES (73703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:47');
INSERT INTO `sys_job_log` VALUES (73704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2516毫秒', '0', '', '2025-01-03 06:51:50');
INSERT INTO `sys_job_log` VALUES (73705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:51:52');
INSERT INTO `sys_job_log` VALUES (73706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:51:57');
INSERT INTO `sys_job_log` VALUES (73707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:52:02');
INSERT INTO `sys_job_log` VALUES (73708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 06:52:03');
INSERT INTO `sys_job_log` VALUES (73709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:52:07');
INSERT INTO `sys_job_log` VALUES (73710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:52:12');
INSERT INTO `sys_job_log` VALUES (73711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:52:17');
INSERT INTO `sys_job_log` VALUES (73712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 06:52:18');
INSERT INTO `sys_job_log` VALUES (73713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:52:22');
INSERT INTO `sys_job_log` VALUES (73714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:52:27');
INSERT INTO `sys_job_log` VALUES (73715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:52:32');
INSERT INTO `sys_job_log` VALUES (73716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 06:52:33');
INSERT INTO `sys_job_log` VALUES (73717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 06:52:37');
INSERT INTO `sys_job_log` VALUES (73718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1514毫秒', '0', '', '2025-01-03 06:52:49');
INSERT INTO `sys_job_log` VALUES (73719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20282毫秒', '0', '', '2025-01-03 06:53:03');
INSERT INTO `sys_job_log` VALUES (73720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:53:03');
INSERT INTO `sys_job_log` VALUES (73721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 06:53:03');
INSERT INTO `sys_job_log` VALUES (73722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 06:53:03');
INSERT INTO `sys_job_log` VALUES (73723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 06:53:03');
INSERT INTO `sys_job_log` VALUES (73724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1287毫秒', '0', '', '2025-01-03 06:53:04');
INSERT INTO `sys_job_log` VALUES (73725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:53:07');
INSERT INTO `sys_job_log` VALUES (73726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:53:12');
INSERT INTO `sys_job_log` VALUES (73727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:53:17');
INSERT INTO `sys_job_log` VALUES (73728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1048毫秒', '0', '', '2025-01-03 06:53:18');
INSERT INTO `sys_job_log` VALUES (73729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:53:22');
INSERT INTO `sys_job_log` VALUES (73730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:53:27');
INSERT INTO `sys_job_log` VALUES (73731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:53:32');
INSERT INTO `sys_job_log` VALUES (73732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2025-01-03 06:53:33');
INSERT INTO `sys_job_log` VALUES (73733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1183毫秒', '0', '', '2025-01-03 06:58:16');
INSERT INTO `sys_job_log` VALUES (73734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13毫秒', '0', '', '2025-01-03 06:58:17');
INSERT INTO `sys_job_log` VALUES (73735, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1126毫秒', '0', '', '2025-01-03 06:58:18');
INSERT INTO `sys_job_log` VALUES (73736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:58:22');
INSERT INTO `sys_job_log` VALUES (73737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:58:27');
INSERT INTO `sys_job_log` VALUES (73738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:58:32');
INSERT INTO `sys_job_log` VALUES (73739, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2025-01-03 06:58:33');
INSERT INTO `sys_job_log` VALUES (73740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:58:37');
INSERT INTO `sys_job_log` VALUES (73741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:58:42');
INSERT INTO `sys_job_log` VALUES (73742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:58:47');
INSERT INTO `sys_job_log` VALUES (73743, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 06:58:48');
INSERT INTO `sys_job_log` VALUES (73744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:58:52');
INSERT INTO `sys_job_log` VALUES (73745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:58:57');
INSERT INTO `sys_job_log` VALUES (73746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:59:02');
INSERT INTO `sys_job_log` VALUES (73747, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1132毫秒', '0', '', '2025-01-03 06:59:03');
INSERT INTO `sys_job_log` VALUES (73748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:59:07');
INSERT INTO `sys_job_log` VALUES (73749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:59:12');
INSERT INTO `sys_job_log` VALUES (73750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 06:59:17');
INSERT INTO `sys_job_log` VALUES (73751, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1087毫秒', '0', '', '2025-01-03 06:59:18');
INSERT INTO `sys_job_log` VALUES (73752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:59:22');
INSERT INTO `sys_job_log` VALUES (73753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:59:27');
INSERT INTO `sys_job_log` VALUES (73754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 06:59:32');
INSERT INTO `sys_job_log` VALUES (73755, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 06:59:33');
INSERT INTO `sys_job_log` VALUES (73756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:59:37');
INSERT INTO `sys_job_log` VALUES (73757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:59:42');
INSERT INTO `sys_job_log` VALUES (73758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 06:59:47');
INSERT INTO `sys_job_log` VALUES (73759, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1467毫秒', '0', '', '2025-01-03 06:59:49');
INSERT INTO `sys_job_log` VALUES (73760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 06:59:52');
INSERT INTO `sys_job_log` VALUES (73761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 06:59:57');
INSERT INTO `sys_job_log` VALUES (73762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:00:02');
INSERT INTO `sys_job_log` VALUES (73763, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3035毫秒', '0', '', '2025-01-03 07:00:05');
INSERT INTO `sys_job_log` VALUES (73764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:00:07');
INSERT INTO `sys_job_log` VALUES (73765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:00:12');
INSERT INTO `sys_job_log` VALUES (73766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:00:17');
INSERT INTO `sys_job_log` VALUES (73767, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2301毫秒', '0', '', '2025-01-03 07:00:20');
INSERT INTO `sys_job_log` VALUES (73768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:00:22');
INSERT INTO `sys_job_log` VALUES (73769, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1464毫秒', '0', '', '2025-01-03 07:00:34');
INSERT INTO `sys_job_log` VALUES (73770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14212毫秒', '0', '', '2025-01-03 07:00:41');
INSERT INTO `sys_job_log` VALUES (73771, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1940毫秒', '0', '', '2025-01-03 07:00:49');
INSERT INTO `sys_job_log` VALUES (73772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:00:56');
INSERT INTO `sys_job_log` VALUES (73773, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1321毫秒', '0', '', '2025-01-03 07:01:04');
INSERT INTO `sys_job_log` VALUES (73774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 07:01:10');
INSERT INTO `sys_job_log` VALUES (73775, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1700毫秒', '0', '', '2025-01-03 07:01:19');
INSERT INTO `sys_job_log` VALUES (73776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 07:01:24');
INSERT INTO `sys_job_log` VALUES (73777, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2071毫秒', '0', '', '2025-01-03 07:01:34');
INSERT INTO `sys_job_log` VALUES (73778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14265毫秒', '0', '', '2025-01-03 07:01:39');
INSERT INTO `sys_job_log` VALUES (73779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1215毫秒', '0', '', '2025-01-03 07:12:24');
INSERT INTO `sys_job_log` VALUES (73780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1470毫秒', '0', '', '2025-01-03 07:12:34');
INSERT INTO `sys_job_log` VALUES (73781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14217毫秒', '0', '', '2025-01-03 07:12:41');
INSERT INTO `sys_job_log` VALUES (73782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1954毫秒', '0', '', '2025-01-03 07:12:49');
INSERT INTO `sys_job_log` VALUES (73783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:12:56');
INSERT INTO `sys_job_log` VALUES (73784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1227毫秒', '0', '', '2025-01-03 07:13:03');
INSERT INTO `sys_job_log` VALUES (73785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14265毫秒', '0', '', '2025-01-03 07:13:10');
INSERT INTO `sys_job_log` VALUES (73786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1705毫秒', '0', '', '2025-01-03 07:13:19');
INSERT INTO `sys_job_log` VALUES (73787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:13:24');
INSERT INTO `sys_job_log` VALUES (73788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2176毫秒', '0', '', '2025-01-03 07:13:34');
INSERT INTO `sys_job_log` VALUES (73789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:13:39');
INSERT INTO `sys_job_log` VALUES (73790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1539毫秒', '0', '', '2025-01-03 07:13:49');
INSERT INTO `sys_job_log` VALUES (73791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:13:53');
INSERT INTO `sys_job_log` VALUES (73792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2021毫秒', '0', '', '2025-01-03 07:14:04');
INSERT INTO `sys_job_log` VALUES (73793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 07:14:08');
INSERT INTO `sys_job_log` VALUES (73794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1378毫秒', '0', '', '2025-01-03 07:14:19');
INSERT INTO `sys_job_log` VALUES (73795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:14:22');
INSERT INTO `sys_job_log` VALUES (73796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1854毫秒', '0', '', '2025-01-03 07:14:34');
INSERT INTO `sys_job_log` VALUES (73797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:14:36');
INSERT INTO `sys_job_log` VALUES (73798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1226毫秒', '0', '', '2025-01-03 07:14:48');
INSERT INTO `sys_job_log` VALUES (73799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14267毫秒', '0', '', '2025-01-03 07:14:51');
INSERT INTO `sys_job_log` VALUES (73800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1611毫秒', '0', '', '2025-01-03 07:15:04');
INSERT INTO `sys_job_log` VALUES (73801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:15:05');
INSERT INTO `sys_job_log` VALUES (73802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：13262毫秒', '0', '', '2025-01-03 07:15:18');
INSERT INTO `sys_job_log` VALUES (73803, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2081毫秒', '0', '', '2025-01-03 07:15:19');
INSERT INTO `sys_job_log` VALUES (73804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14367毫秒', '0', '', '2025-01-03 07:15:33');
INSERT INTO `sys_job_log` VALUES (73805, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1454毫秒', '0', '', '2025-01-03 07:15:34');
INSERT INTO `sys_job_log` VALUES (73806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 07:15:47');
INSERT INTO `sys_job_log` VALUES (73807, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1916毫秒', '0', '', '2025-01-03 07:15:49');
INSERT INTO `sys_job_log` VALUES (73808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14368毫秒', '0', '', '2025-01-03 07:16:01');
INSERT INTO `sys_job_log` VALUES (73809, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1297毫秒', '0', '', '2025-01-03 07:16:04');
INSERT INTO `sys_job_log` VALUES (73810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14366毫秒', '0', '', '2025-01-03 07:16:16');
INSERT INTO `sys_job_log` VALUES (73811, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1773毫秒', '0', '', '2025-01-03 07:16:19');
INSERT INTO `sys_job_log` VALUES (73812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1052毫秒', '0', '', '2025-01-03 07:23:48');
INSERT INTO `sys_job_log` VALUES (73813, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2054毫秒', '0', '', '2025-01-03 07:23:49');
INSERT INTO `sys_job_log` VALUES (73814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 07:23:53');
INSERT INTO `sys_job_log` VALUES (73815, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1044毫秒', '0', '', '2025-01-03 07:23:58');
INSERT INTO `sys_job_log` VALUES (73816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1075毫秒', '0', '', '2025-01-03 07:24:03');
INSERT INTO `sys_job_log` VALUES (73817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15098毫秒', '0', '', '2025-01-03 07:24:07');
INSERT INTO `sys_job_log` VALUES (73818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1098毫秒', '0', '', '2025-01-03 07:24:08');
INSERT INTO `sys_job_log` VALUES (73819, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1128毫秒', '0', '', '2025-01-03 07:24:13');
INSERT INTO `sys_job_log` VALUES (73820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1149毫秒', '0', '', '2025-01-03 07:24:18');
INSERT INTO `sys_job_log` VALUES (73821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15074毫秒', '0', '', '2025-01-03 07:24:22');
INSERT INTO `sys_job_log` VALUES (73822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1176毫秒', '0', '', '2025-01-03 07:24:23');
INSERT INTO `sys_job_log` VALUES (73823, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1196毫秒', '0', '', '2025-01-03 07:24:28');
INSERT INTO `sys_job_log` VALUES (73824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2025-01-03 07:24:33');
INSERT INTO `sys_job_log` VALUES (73825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15066毫秒', '0', '', '2025-01-03 07:24:37');
INSERT INTO `sys_job_log` VALUES (73826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1246毫秒', '0', '', '2025-01-03 07:24:38');
INSERT INTO `sys_job_log` VALUES (73827, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1277毫秒', '0', '', '2025-01-03 07:24:44');
INSERT INTO `sys_job_log` VALUES (73828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1306毫秒', '0', '', '2025-01-03 07:24:49');
INSERT INTO `sys_job_log` VALUES (73829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15089毫秒', '0', '', '2025-01-03 07:24:53');
INSERT INTO `sys_job_log` VALUES (73830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1339毫秒', '0', '', '2025-01-03 07:24:54');
INSERT INTO `sys_job_log` VALUES (73831, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1359毫秒', '0', '', '2025-01-03 07:24:59');
INSERT INTO `sys_job_log` VALUES (73832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1420毫秒', '0', '', '2025-01-03 07:25:04');
INSERT INTO `sys_job_log` VALUES (73833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15140毫秒', '0', '', '2025-01-03 07:25:08');
INSERT INTO `sys_job_log` VALUES (73834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1479毫秒', '0', '', '2025-01-03 07:25:09');
INSERT INTO `sys_job_log` VALUES (73835, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1527毫秒', '0', '', '2025-01-03 07:25:14');
INSERT INTO `sys_job_log` VALUES (73836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1572毫秒', '0', '', '2025-01-03 07:25:19');
INSERT INTO `sys_job_log` VALUES (73837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15102毫秒', '0', '', '2025-01-03 07:25:23');
INSERT INTO `sys_job_log` VALUES (73838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2025-01-03 07:25:24');
INSERT INTO `sys_job_log` VALUES (73839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2007毫秒', '0', '', '2025-01-03 07:25:25');
INSERT INTO `sys_job_log` VALUES (73840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1626毫秒', '0', '', '2025-01-03 07:25:29');
INSERT INTO `sys_job_log` VALUES (73841, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1665毫秒', '0', '', '2025-01-03 07:25:34');
INSERT INTO `sys_job_log` VALUES (73842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1699毫秒', '0', '', '2025-01-03 07:25:39');
INSERT INTO `sys_job_log` VALUES (73843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15097毫秒', '0', '', '2025-01-03 07:25:40');
INSERT INTO `sys_job_log` VALUES (73844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1726毫秒', '0', '', '2025-01-03 07:25:44');
INSERT INTO `sys_job_log` VALUES (73845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1757毫秒', '0', '', '2025-01-03 07:25:49');
INSERT INTO `sys_job_log` VALUES (73846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1774毫秒', '0', '', '2025-01-03 07:25:54');
INSERT INTO `sys_job_log` VALUES (73847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15080毫秒', '0', '', '2025-01-03 07:25:55');
INSERT INTO `sys_job_log` VALUES (73848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1053毫秒', '0', '', '2025-01-03 07:26:35');
INSERT INTO `sys_job_log` VALUES (73849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2054毫秒', '0', '', '2025-01-03 07:26:36');
INSERT INTO `sys_job_log` VALUES (73850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 07:26:38');
INSERT INTO `sys_job_log` VALUES (73851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1038毫秒', '0', '', '2025-01-03 07:26:43');
INSERT INTO `sys_job_log` VALUES (73852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 07:26:48');
INSERT INTO `sys_job_log` VALUES (73853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15087毫秒', '0', '', '2025-01-03 07:26:52');
INSERT INTO `sys_job_log` VALUES (73854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2025-01-03 07:26:53');
INSERT INTO `sys_job_log` VALUES (73855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1115毫秒', '0', '', '2025-01-03 07:26:58');
INSERT INTO `sys_job_log` VALUES (73856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1088毫秒', '0', '', '2025-01-03 07:31:04');
INSERT INTO `sys_job_log` VALUES (73857, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2098毫秒', '0', '', '2025-01-03 07:31:05');
INSERT INTO `sys_job_log` VALUES (73858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 07:31:07');
INSERT INTO `sys_job_log` VALUES (73859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 07:31:08');
INSERT INTO `sys_job_log` VALUES (73860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1207毫秒', '0', '', '2025-01-03 07:31:13');
INSERT INTO `sys_job_log` VALUES (73861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2217毫秒', '0', '', '2025-01-03 07:31:14');
INSERT INTO `sys_job_log` VALUES (73862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:31:17');
INSERT INTO `sys_job_log` VALUES (73863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1247毫秒', '0', '', '2025-01-03 07:31:18');
INSERT INTO `sys_job_log` VALUES (73864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:31:22');
INSERT INTO `sys_job_log` VALUES (73865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1294毫秒', '0', '', '2025-01-03 07:31:24');
INSERT INTO `sys_job_log` VALUES (73866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:31:27');
INSERT INTO `sys_job_log` VALUES (73867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:31:32');
INSERT INTO `sys_job_log` VALUES (73868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：6388毫秒', '0', '', '2025-01-03 07:31:34');
INSERT INTO `sys_job_log` VALUES (73869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:31:37');
INSERT INTO `sys_job_log` VALUES (73870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:31:42');
INSERT INTO `sys_job_log` VALUES (73871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：9070毫秒', '0', '', '2025-01-03 07:31:43');
INSERT INTO `sys_job_log` VALUES (73872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:31:47');
INSERT INTO `sys_job_log` VALUES (73873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:31:52');
INSERT INTO `sys_job_log` VALUES (73874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12860毫秒', '0', '', '2025-01-03 07:31:56');
INSERT INTO `sys_job_log` VALUES (73875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:31:57');
INSERT INTO `sys_job_log` VALUES (73876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:32:02');
INSERT INTO `sys_job_log` VALUES (73877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:32:07');
INSERT INTO `sys_job_log` VALUES (73878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14165毫秒', '0', '', '2025-01-03 07:32:10');
INSERT INTO `sys_job_log` VALUES (73879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:32:12');
INSERT INTO `sys_job_log` VALUES (73880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:32:17');
INSERT INTO `sys_job_log` VALUES (73881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:32:22');
INSERT INTO `sys_job_log` VALUES (73882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15271毫秒', '0', '', '2025-01-03 07:32:25');
INSERT INTO `sys_job_log` VALUES (73883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:32:27');
INSERT INTO `sys_job_log` VALUES (73884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 07:32:32');
INSERT INTO `sys_job_log` VALUES (73885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:32:37');
INSERT INTO `sys_job_log` VALUES (73886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:32:42');
INSERT INTO `sys_job_log` VALUES (73887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：17584毫秒', '0', '', '2025-01-03 07:32:43');
INSERT INTO `sys_job_log` VALUES (73888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:32:47');
INSERT INTO `sys_job_log` VALUES (73889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:32:52');
INSERT INTO `sys_job_log` VALUES (73890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:32:57');
INSERT INTO `sys_job_log` VALUES (73891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15373毫秒', '0', '', '2025-01-03 07:32:58');
INSERT INTO `sys_job_log` VALUES (73892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:33:02');
INSERT INTO `sys_job_log` VALUES (73893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:33:07');
INSERT INTO `sys_job_log` VALUES (73894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:33:12');
INSERT INTO `sys_job_log` VALUES (73895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：14366毫秒', '0', '', '2025-01-03 07:33:12');
INSERT INTO `sys_job_log` VALUES (73896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:33:17');
INSERT INTO `sys_job_log` VALUES (73897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:33:22');
INSERT INTO `sys_job_log` VALUES (73898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:33:27');
INSERT INTO `sys_job_log` VALUES (73899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：15273毫秒', '0', '', '2025-01-03 07:33:28');
INSERT INTO `sys_job_log` VALUES (73900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:33:32');
INSERT INTO `sys_job_log` VALUES (73901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:33:37');
INSERT INTO `sys_job_log` VALUES (73902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：9642毫秒', '0', '', '2025-01-03 07:33:37');
INSERT INTO `sys_job_log` VALUES (73903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:33:42');
INSERT INTO `sys_job_log` VALUES (73904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:33:47');
INSERT INTO `sys_job_log` VALUES (73905, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12862毫秒', '0', '', '2025-01-03 07:33:50');
INSERT INTO `sys_job_log` VALUES (73906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2025-01-03 07:33:52');
INSERT INTO `sys_job_log` VALUES (73907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:33:57');
INSERT INTO `sys_job_log` VALUES (73908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:34:02');
INSERT INTO `sys_job_log` VALUES (73909, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：12661毫秒', '0', '', '2025-01-03 07:34:03');
INSERT INTO `sys_job_log` VALUES (73910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:34:07');
INSERT INTO `sys_job_log` VALUES (73911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1051毫秒', '0', '', '2025-01-03 07:34:23');
INSERT INTO `sys_job_log` VALUES (73912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2051毫秒', '0', '', '2025-01-03 07:34:24');
INSERT INTO `sys_job_log` VALUES (73913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 07:34:27');
INSERT INTO `sys_job_log` VALUES (73914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2025-01-03 07:34:28');
INSERT INTO `sys_job_log` VALUES (73915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:34:32');
INSERT INTO `sys_job_log` VALUES (73916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1592毫秒', '0', '', '2025-01-03 07:34:34');
INSERT INTO `sys_job_log` VALUES (73917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:34:37');
INSERT INTO `sys_job_log` VALUES (73918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:34:42');
INSERT INTO `sys_job_log` VALUES (73919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：5338毫秒', '0', '', '2025-01-03 07:34:43');
INSERT INTO `sys_job_log` VALUES (73920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4319毫秒', '0', '', '2025-01-03 07:34:47');
INSERT INTO `sys_job_log` VALUES (73921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:34:47');
INSERT INTO `sys_job_log` VALUES (73922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:34:52');
INSERT INTO `sys_job_log` VALUES (73923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：5184毫秒', '0', '', '2025-01-03 07:34:52');
INSERT INTO `sys_job_log` VALUES (73924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4417毫秒', '0', '', '2025-01-03 07:34:57');
INSERT INTO `sys_job_log` VALUES (73925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:34:57');
INSERT INTO `sys_job_log` VALUES (73926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3830毫秒', '0', '', '2025-01-03 07:35:01');
INSERT INTO `sys_job_log` VALUES (73927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:35:02');
INSERT INTO `sys_job_log` VALUES (73928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2052毫秒', '0', '', '2025-01-03 07:35:04');
INSERT INTO `sys_job_log` VALUES (73929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:35:07');
INSERT INTO `sys_job_log` VALUES (73930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1273毫秒', '0', '', '2025-01-03 07:35:09');
INSERT INTO `sys_job_log` VALUES (73931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:12');
INSERT INTO `sys_job_log` VALUES (73932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1789毫秒', '0', '', '2025-01-03 07:35:14');
INSERT INTO `sys_job_log` VALUES (73933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:35:17');
INSERT INTO `sys_job_log` VALUES (73934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1215毫秒', '0', '', '2025-01-03 07:35:18');
INSERT INTO `sys_job_log` VALUES (73935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:22');
INSERT INTO `sys_job_log` VALUES (73936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1634毫秒', '0', '', '2025-01-03 07:35:24');
INSERT INTO `sys_job_log` VALUES (73937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:27');
INSERT INTO `sys_job_log` VALUES (73938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2162毫秒', '0', '', '2025-01-03 07:35:29');
INSERT INTO `sys_job_log` VALUES (73939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:32');
INSERT INTO `sys_job_log` VALUES (73940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1580毫秒', '0', '', '2025-01-03 07:35:34');
INSERT INTO `sys_job_log` VALUES (73941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:37');
INSERT INTO `sys_job_log` VALUES (73942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2912毫秒', '0', '', '2025-01-03 07:35:40');
INSERT INTO `sys_job_log` VALUES (73943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:42');
INSERT INTO `sys_job_log` VALUES (73944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1144毫秒', '0', '', '2025-01-03 07:35:43');
INSERT INTO `sys_job_log` VALUES (73945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:47');
INSERT INTO `sys_job_log` VALUES (73946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1667毫秒', '0', '', '2025-01-03 07:35:49');
INSERT INTO `sys_job_log` VALUES (73947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:35:52');
INSERT INTO `sys_job_log` VALUES (73948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:35:57');
INSERT INTO `sys_job_log` VALUES (73949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:36:02');
INSERT INTO `sys_job_log` VALUES (73950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:36:07');
INSERT INTO `sys_job_log` VALUES (73951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:36:12');
INSERT INTO `sys_job_log` VALUES (73952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1049毫秒', '0', '', '2025-01-03 07:37:28');
INSERT INTO `sys_job_log` VALUES (73953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2050毫秒', '0', '', '2025-01-03 07:37:29');
INSERT INTO `sys_job_log` VALUES (73954, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 07:37:33');
INSERT INTO `sys_job_log` VALUES (73955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1042毫秒', '0', '', '2025-01-03 07:37:38');
INSERT INTO `sys_job_log` VALUES (73956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 07:37:43');
INSERT INTO `sys_job_log` VALUES (73957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：14340毫秒', '0', '', '2025-01-03 07:37:47');
INSERT INTO `sys_job_log` VALUES (73958, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1456毫秒', '0', '', '2025-01-03 07:37:49');
INSERT INTO `sys_job_log` VALUES (73959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1873毫秒', '0', '', '2025-01-03 07:37:54');
INSERT INTO `sys_job_log` VALUES (73960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1202毫秒', '0', '', '2025-01-03 07:37:58');
INSERT INTO `sys_job_log` VALUES (73961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15169毫秒', '0', '', '2025-01-03 07:38:02');
INSERT INTO `sys_job_log` VALUES (73962, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1726毫秒', '0', '', '2025-01-03 07:38:04');
INSERT INTO `sys_job_log` VALUES (73963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2141毫秒', '0', '', '2025-01-03 07:38:09');
INSERT INTO `sys_job_log` VALUES (73964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1475毫秒', '0', '', '2025-01-03 07:38:14');
INSERT INTO `sys_job_log` VALUES (73965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1998毫秒', '0', '', '2025-01-03 07:38:19');
INSERT INTO `sys_job_log` VALUES (73966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1411毫秒', '0', '', '2025-01-03 07:38:24');
INSERT INTO `sys_job_log` VALUES (73967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1938毫秒', '0', '', '2025-01-03 07:38:29');
INSERT INTO `sys_job_log` VALUES (73968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28537毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:30');
INSERT INTO `sys_job_log` VALUES (73978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:32');
INSERT INTO `sys_job_log` VALUES (73979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1367毫秒', '0', '', '2025-01-03 07:38:34');
INSERT INTO `sys_job_log` VALUES (73980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:37');
INSERT INTO `sys_job_log` VALUES (73981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 07:38:38');
INSERT INTO `sys_job_log` VALUES (73982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:42');
INSERT INTO `sys_job_log` VALUES (73983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 07:38:43');
INSERT INTO `sys_job_log` VALUES (73984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:47');
INSERT INTO `sys_job_log` VALUES (73985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1036毫秒', '0', '', '2025-01-03 07:38:48');
INSERT INTO `sys_job_log` VALUES (73986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:38:52');
INSERT INTO `sys_job_log` VALUES (73987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1047毫秒', '0', '', '2025-01-03 07:38:53');
INSERT INTO `sys_job_log` VALUES (73988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 07:38:57');
INSERT INTO `sys_job_log` VALUES (73989, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1875毫秒', '0', '', '2025-01-03 07:38:59');
INSERT INTO `sys_job_log` VALUES (73990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:39:02');
INSERT INTO `sys_job_log` VALUES (73991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1303毫秒', '0', '', '2025-01-03 07:39:04');
INSERT INTO `sys_job_log` VALUES (73992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：10毫秒', '0', '', '2025-01-03 07:39:07');
INSERT INTO `sys_job_log` VALUES (73993, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2933毫秒', '0', '', '2025-01-03 07:39:10');
INSERT INTO `sys_job_log` VALUES (73994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:39:12');
INSERT INTO `sys_job_log` VALUES (73995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2264毫秒', '0', '', '2025-01-03 07:39:15');
INSERT INTO `sys_job_log` VALUES (73996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:39:17');
INSERT INTO `sys_job_log` VALUES (73997, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1690毫秒', '0', '', '2025-01-03 07:39:19');
INSERT INTO `sys_job_log` VALUES (73998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2025-01-03 07:39:22');
INSERT INTO `sys_job_log` VALUES (73999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1109毫秒', '0', '', '2025-01-03 07:39:23');
INSERT INTO `sys_job_log` VALUES (74000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:39:27');
INSERT INTO `sys_job_log` VALUES (74001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1625毫秒', '0', '', '2025-01-03 07:39:29');
INSERT INTO `sys_job_log` VALUES (74002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:39:32');
INSERT INTO `sys_job_log` VALUES (74003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3266毫秒', '0', '', '2025-01-03 07:39:36');
INSERT INTO `sys_job_log` VALUES (74004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2025-01-03 07:39:37');
INSERT INTO `sys_job_log` VALUES (74005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2685毫秒', '0', '', '2025-01-03 07:39:40');
INSERT INTO `sys_job_log` VALUES (74006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:39:42');
INSERT INTO `sys_job_log` VALUES (74007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2106毫秒', '0', '', '2025-01-03 07:39:44');
INSERT INTO `sys_job_log` VALUES (74008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:39:47');
INSERT INTO `sys_job_log` VALUES (74009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1531毫秒', '0', '', '2025-01-03 07:39:49');
INSERT INTO `sys_job_log` VALUES (74010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:39:52');
INSERT INTO `sys_job_log` VALUES (74011, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 07:39:53');
INSERT INTO `sys_job_log` VALUES (74012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:39:57');
INSERT INTO `sys_job_log` VALUES (74013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1071毫秒', '0', '', '2025-01-03 07:39:58');
INSERT INTO `sys_job_log` VALUES (74014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:40:02');
INSERT INTO `sys_job_log` VALUES (74015, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2025-01-03 07:40:03');
INSERT INTO `sys_job_log` VALUES (74016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:40:07');
INSERT INTO `sys_job_log` VALUES (74017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 07:40:08');
INSERT INTO `sys_job_log` VALUES (74018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:40:12');
INSERT INTO `sys_job_log` VALUES (74019, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1047毫秒', '0', '', '2025-01-03 07:40:13');
INSERT INTO `sys_job_log` VALUES (74020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:40:17');
INSERT INTO `sys_job_log` VALUES (74021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 07:40:18');
INSERT INTO `sys_job_log` VALUES (74022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:40:22');
INSERT INTO `sys_job_log` VALUES (74023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1103毫秒', '0', '', '2025-01-03 07:40:23');
INSERT INTO `sys_job_log` VALUES (74024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 07:40:27');
INSERT INTO `sys_job_log` VALUES (74025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 07:40:28');
INSERT INTO `sys_job_log` VALUES (74026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:40:32');
INSERT INTO `sys_job_log` VALUES (74027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1052毫秒', '0', '', '2025-01-03 07:40:33');
INSERT INTO `sys_job_log` VALUES (74028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1071毫秒', '0', '', '2025-01-03 07:40:38');
INSERT INTO `sys_job_log` VALUES (74029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1601毫秒', '0', '', '2025-01-03 07:40:44');
INSERT INTO `sys_job_log` VALUES (74030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2125毫秒', '0', '', '2025-01-03 07:40:49');
INSERT INTO `sys_job_log` VALUES (74031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1549毫秒', '0', '', '2025-01-03 07:40:54');
INSERT INTO `sys_job_log` VALUES (74032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17655毫秒', '0', '', '2025-01-03 07:40:55');
INSERT INTO `sys_job_log` VALUES (74033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2074毫秒', '0', '', '2025-01-03 07:40:59');
INSERT INTO `sys_job_log` VALUES (74034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1500毫秒', '0', '', '2025-01-03 07:41:04');
INSERT INTO `sys_job_log` VALUES (74035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2021毫秒', '0', '', '2025-01-03 07:41:09');
INSERT INTO `sys_job_log` VALUES (74036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16577毫秒', '0', '', '2025-01-03 07:41:11');
INSERT INTO `sys_job_log` VALUES (74037, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1436毫秒', '0', '', '2025-01-03 07:41:14');
INSERT INTO `sys_job_log` VALUES (74038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1865毫秒', '0', '', '2025-01-03 07:41:19');
INSERT INTO `sys_job_log` VALUES (74039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1291毫秒', '0', '', '2025-01-03 07:41:24');
INSERT INTO `sys_job_log` VALUES (74040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16478毫秒', '0', '', '2025-01-03 07:41:28');
INSERT INTO `sys_job_log` VALUES (74041, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1723毫秒', '0', '', '2025-01-03 07:41:29');
INSERT INTO `sys_job_log` VALUES (74042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1044毫秒', '0', '', '2025-01-03 07:41:33');
INSERT INTO `sys_job_log` VALUES (74043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1471毫秒', '0', '', '2025-01-03 07:41:39');
INSERT INTO `sys_job_log` VALUES (74044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1052毫秒', '0', '', '2025-01-03 07:46:34');
INSERT INTO `sys_job_log` VALUES (74045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2053毫秒', '0', '', '2025-01-03 07:46:35');
INSERT INTO `sys_job_log` VALUES (74046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 07:46:38');
INSERT INTO `sys_job_log` VALUES (74047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 07:46:43');
INSERT INTO `sys_job_log` VALUES (74048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1068毫秒', '0', '', '2025-01-03 07:46:48');
INSERT INTO `sys_job_log` VALUES (74049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15129毫秒', '0', '', '2025-01-03 07:46:52');
INSERT INTO `sys_job_log` VALUES (74050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1133毫秒', '0', '', '2025-01-03 07:46:53');
INSERT INTO `sys_job_log` VALUES (74051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1087毫秒', '0', '', '2025-01-03 07:54:38');
INSERT INTO `sys_job_log` VALUES (74052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2193毫秒', '0', '', '2025-01-03 07:54:40');
INSERT INTO `sys_job_log` VALUES (74053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 07:54:42');
INSERT INTO `sys_job_log` VALUES (74054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1391毫秒', '0', '', '2025-01-03 07:54:44');
INSERT INTO `sys_job_log` VALUES (74055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:54:47');
INSERT INTO `sys_job_log` VALUES (74056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1816毫秒', '0', '', '2025-01-03 07:54:49');
INSERT INTO `sys_job_log` VALUES (74057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:54:52');
INSERT INTO `sys_job_log` VALUES (74058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1233毫秒', '0', '', '2025-01-03 07:54:53');
INSERT INTO `sys_job_log` VALUES (74059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:54:57');
INSERT INTO `sys_job_log` VALUES (74060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1758毫秒', '0', '', '2025-01-03 07:54:59');
INSERT INTO `sys_job_log` VALUES (74061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:55:02');
INSERT INTO `sys_job_log` VALUES (74062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 07:55:03');
INSERT INTO `sys_job_log` VALUES (74063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 07:55:07');
INSERT INTO `sys_job_log` VALUES (74064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 07:55:08');
INSERT INTO `sys_job_log` VALUES (74065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:55:12');
INSERT INTO `sys_job_log` VALUES (74066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1125毫秒', '0', '', '2025-01-03 07:55:13');
INSERT INTO `sys_job_log` VALUES (74067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:55:17');
INSERT INTO `sys_job_log` VALUES (74068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 07:55:18');
INSERT INTO `sys_job_log` VALUES (74069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:55:22');
INSERT INTO `sys_job_log` VALUES (74070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1071毫秒', '0', '', '2025-01-03 07:55:23');
INSERT INTO `sys_job_log` VALUES (74071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:55:27');
INSERT INTO `sys_job_log` VALUES (74072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1105毫秒', '0', '', '2025-01-03 07:55:28');
INSERT INTO `sys_job_log` VALUES (74073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 07:55:32');
INSERT INTO `sys_job_log` VALUES (74074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1117毫秒', '0', '', '2025-01-03 07:55:33');
INSERT INTO `sys_job_log` VALUES (74075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:55:37');
INSERT INTO `sys_job_log` VALUES (74076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1050毫秒', '0', '', '2025-01-03 07:55:38');
INSERT INTO `sys_job_log` VALUES (74077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 07:55:42');
INSERT INTO `sys_job_log` VALUES (74078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1065毫秒', '0', '', '2025-01-03 07:55:43');
INSERT INTO `sys_job_log` VALUES (74079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 07:55:48');
INSERT INTO `sys_job_log` VALUES (74080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2107毫秒', '0', '', '2025-01-03 07:55:49');
INSERT INTO `sys_job_log` VALUES (74081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1112毫秒', '0', '', '2025-01-03 07:55:53');
INSERT INTO `sys_job_log` VALUES (74082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2221毫秒', '0', '', '2025-01-03 07:55:54');
INSERT INTO `sys_job_log` VALUES (74083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1047毫秒', '0', '', '2025-01-03 07:55:58');
INSERT INTO `sys_job_log` VALUES (74084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2150毫秒', '0', '', '2025-01-03 07:55:59');
INSERT INTO `sys_job_log` VALUES (74085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1071毫秒', '0', '', '2025-01-03 07:56:03');
INSERT INTO `sys_job_log` VALUES (74086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2175毫秒', '0', '', '2025-01-03 07:56:04');
INSERT INTO `sys_job_log` VALUES (74087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1094毫秒', '0', '', '2025-01-03 07:56:08');
INSERT INTO `sys_job_log` VALUES (74088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2101毫秒', '0', '', '2025-01-03 07:56:09');
INSERT INTO `sys_job_log` VALUES (74089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1116毫秒', '0', '', '2025-01-03 07:56:13');
INSERT INTO `sys_job_log` VALUES (74090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2224毫秒', '0', '', '2025-01-03 07:56:14');
INSERT INTO `sys_job_log` VALUES (74091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1048毫秒', '0', '', '2025-01-03 07:56:18');
INSERT INTO `sys_job_log` VALUES (74092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2150毫秒', '0', '', '2025-01-03 07:56:19');
INSERT INTO `sys_job_log` VALUES (74093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1061毫秒', '0', '', '2025-01-03 07:56:23');
INSERT INTO `sys_job_log` VALUES (74094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2164毫秒', '0', '', '2025-01-03 07:56:24');
INSERT INTO `sys_job_log` VALUES (74095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1083毫秒', '0', '', '2025-01-03 07:56:28');
INSERT INTO `sys_job_log` VALUES (74096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2187毫秒', '0', '', '2025-01-03 07:56:29');
INSERT INTO `sys_job_log` VALUES (74097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2025-01-03 07:56:33');
INSERT INTO `sys_job_log` VALUES (74098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2222毫秒', '0', '', '2025-01-03 07:56:34');
INSERT INTO `sys_job_log` VALUES (74099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1039毫秒', '0', '', '2025-01-03 07:56:38');
INSERT INTO `sys_job_log` VALUES (74100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2143毫秒', '0', '', '2025-01-03 07:56:39');
INSERT INTO `sys_job_log` VALUES (74101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 07:56:43');
INSERT INTO `sys_job_log` VALUES (74102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2165毫秒', '0', '', '2025-01-03 07:56:44');
INSERT INTO `sys_job_log` VALUES (74103, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1086毫秒', '0', '', '2025-01-03 07:56:48');
INSERT INTO `sys_job_log` VALUES (74104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2189毫秒', '0', '', '2025-01-03 07:56:49');
INSERT INTO `sys_job_log` VALUES (74105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1112毫秒', '0', '', '2025-01-03 07:56:53');
INSERT INTO `sys_job_log` VALUES (74106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2218毫秒', '0', '', '2025-01-03 07:56:54');
INSERT INTO `sys_job_log` VALUES (74107, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1042毫秒', '0', '', '2025-01-03 07:56:58');
INSERT INTO `sys_job_log` VALUES (74108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2049毫秒', '0', '', '2025-01-03 07:56:59');
INSERT INTO `sys_job_log` VALUES (74109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1068毫秒', '0', '', '2025-01-03 07:57:03');
INSERT INTO `sys_job_log` VALUES (74110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2172毫秒', '0', '', '2025-01-03 07:57:04');
INSERT INTO `sys_job_log` VALUES (74111, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1093毫秒', '0', '', '2025-01-03 07:57:08');
INSERT INTO `sys_job_log` VALUES (74112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2099毫秒', '0', '', '2025-01-03 07:57:09');
INSERT INTO `sys_job_log` VALUES (74113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1115毫秒', '0', '', '2025-01-03 07:57:13');
INSERT INTO `sys_job_log` VALUES (74114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2123毫秒', '0', '', '2025-01-03 07:57:14');
INSERT INTO `sys_job_log` VALUES (74115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1041毫秒', '0', '', '2025-01-03 07:57:18');
INSERT INTO `sys_job_log` VALUES (74116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2047毫秒', '0', '', '2025-01-03 07:57:19');
INSERT INTO `sys_job_log` VALUES (74117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1066毫秒', '0', '', '2025-01-03 07:57:23');
INSERT INTO `sys_job_log` VALUES (74118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2072毫秒', '0', '', '2025-01-03 07:57:24');
INSERT INTO `sys_job_log` VALUES (74119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2025-01-03 07:57:28');
INSERT INTO `sys_job_log` VALUES (74120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2097毫秒', '0', '', '2025-01-03 07:57:29');
INSERT INTO `sys_job_log` VALUES (74121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1113毫秒', '0', '', '2025-01-03 07:57:33');
INSERT INTO `sys_job_log` VALUES (74122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2122毫秒', '0', '', '2025-01-03 07:57:34');
INSERT INTO `sys_job_log` VALUES (74123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1037毫秒', '0', '', '2025-01-03 07:57:38');
INSERT INTO `sys_job_log` VALUES (74124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2043毫秒', '0', '', '2025-01-03 07:57:39');
INSERT INTO `sys_job_log` VALUES (74125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 07:57:43');
INSERT INTO `sys_job_log` VALUES (74126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2068毫秒', '0', '', '2025-01-03 07:57:44');
INSERT INTO `sys_job_log` VALUES (74127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1087毫秒', '0', '', '2025-01-03 07:57:48');
INSERT INTO `sys_job_log` VALUES (74128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2093毫秒', '0', '', '2025-01-03 07:57:49');
INSERT INTO `sys_job_log` VALUES (74129, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1111毫秒', '0', '', '2025-01-03 07:57:53');
INSERT INTO `sys_job_log` VALUES (74130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2118毫秒', '0', '', '2025-01-03 07:57:54');
INSERT INTO `sys_job_log` VALUES (74131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1034毫秒', '0', '', '2025-01-03 07:57:58');
INSERT INTO `sys_job_log` VALUES (74132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2041毫秒', '0', '', '2025-01-03 07:57:59');
INSERT INTO `sys_job_log` VALUES (74133, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1059毫秒', '0', '', '2025-01-03 07:58:03');
INSERT INTO `sys_job_log` VALUES (74134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2163毫秒', '0', '', '2025-01-03 07:58:04');
INSERT INTO `sys_job_log` VALUES (74135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1084毫秒', '0', '', '2025-01-03 07:58:08');
INSERT INTO `sys_job_log` VALUES (74136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2089毫秒', '0', '', '2025-01-03 07:58:09');
INSERT INTO `sys_job_log` VALUES (74137, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1108毫秒', '0', '', '2025-01-03 07:58:13');
INSERT INTO `sys_job_log` VALUES (74138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2212毫秒', '0', '', '2025-01-03 07:58:14');
INSERT INTO `sys_job_log` VALUES (74139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1033毫秒', '0', '', '2025-01-03 07:58:18');
INSERT INTO `sys_job_log` VALUES (74140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2041毫秒', '0', '', '2025-01-03 07:58:19');
INSERT INTO `sys_job_log` VALUES (74141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1059毫秒', '0', '', '2025-01-03 07:58:23');
INSERT INTO `sys_job_log` VALUES (74142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2161毫秒', '0', '', '2025-01-03 07:58:24');
INSERT INTO `sys_job_log` VALUES (74143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 07:58:28');
INSERT INTO `sys_job_log` VALUES (74144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2087毫秒', '0', '', '2025-01-03 07:58:29');
INSERT INTO `sys_job_log` VALUES (74145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 07:58:33');
INSERT INTO `sys_job_log` VALUES (74146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2106毫秒', '0', '', '2025-01-03 07:58:34');
INSERT INTO `sys_job_log` VALUES (74147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 07:58:38');
INSERT INTO `sys_job_log` VALUES (74148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2036毫秒', '0', '', '2025-01-03 07:58:39');
INSERT INTO `sys_job_log` VALUES (74149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1056毫秒', '0', '', '2025-01-03 07:58:43');
INSERT INTO `sys_job_log` VALUES (74150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1038毫秒', '0', '', '2025-01-03 07:58:49');
INSERT INTO `sys_job_log` VALUES (74151, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1037毫秒', '0', '', '2025-01-03 07:58:56');
INSERT INTO `sys_job_log` VALUES (74152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2047毫秒', '0', '', '2025-01-03 07:58:57');
INSERT INTO `sys_job_log` VALUES (74153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 07:58:58');
INSERT INTO `sys_job_log` VALUES (74154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 07:58:59');
INSERT INTO `sys_job_log` VALUES (74155, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 07:59:03');
INSERT INTO `sys_job_log` VALUES (74156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 07:59:04');
INSERT INTO `sys_job_log` VALUES (74157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 07:59:08');
INSERT INTO `sys_job_log` VALUES (74158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 07:59:09');
INSERT INTO `sys_job_log` VALUES (74159, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 07:59:13');
INSERT INTO `sys_job_log` VALUES (74160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 07:59:14');
INSERT INTO `sys_job_log` VALUES (74161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 07:59:18');
INSERT INTO `sys_job_log` VALUES (74162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2022毫秒', '0', '', '2025-01-03 07:59:19');
INSERT INTO `sys_job_log` VALUES (74163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 07:59:23');
INSERT INTO `sys_job_log` VALUES (74164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 07:59:24');
INSERT INTO `sys_job_log` VALUES (74165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 07:59:28');
INSERT INTO `sys_job_log` VALUES (74166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2017毫秒', '0', '', '2025-01-03 07:59:29');
INSERT INTO `sys_job_log` VALUES (74167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 07:59:33');
INSERT INTO `sys_job_log` VALUES (74168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2007毫秒', '0', '', '2025-01-03 07:59:34');
INSERT INTO `sys_job_log` VALUES (74169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 07:59:38');
INSERT INTO `sys_job_log` VALUES (74170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 07:59:39');
INSERT INTO `sys_job_log` VALUES (74171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 07:59:43');
INSERT INTO `sys_job_log` VALUES (74172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2010毫秒', '0', '', '2025-01-03 07:59:44');
INSERT INTO `sys_job_log` VALUES (74173, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 07:59:48');
INSERT INTO `sys_job_log` VALUES (74174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 07:59:49');
INSERT INTO `sys_job_log` VALUES (74175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 07:59:53');
INSERT INTO `sys_job_log` VALUES (74176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 07:59:54');
INSERT INTO `sys_job_log` VALUES (74177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 07:59:58');
INSERT INTO `sys_job_log` VALUES (74178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2025-01-03 07:59:59');
INSERT INTO `sys_job_log` VALUES (74179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:00:03');
INSERT INTO `sys_job_log` VALUES (74180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2010毫秒', '0', '', '2025-01-03 08:00:04');
INSERT INTO `sys_job_log` VALUES (74181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:00:08');
INSERT INTO `sys_job_log` VALUES (74182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:00:09');
INSERT INTO `sys_job_log` VALUES (74183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:00:13');
INSERT INTO `sys_job_log` VALUES (74184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:00:14');
INSERT INTO `sys_job_log` VALUES (74185, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 08:00:18');
INSERT INTO `sys_job_log` VALUES (74186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2022毫秒', '0', '', '2025-01-03 08:00:19');
INSERT INTO `sys_job_log` VALUES (74187, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:00:23');
INSERT INTO `sys_job_log` VALUES (74188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:00:24');
INSERT INTO `sys_job_log` VALUES (74189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:00:28');
INSERT INTO `sys_job_log` VALUES (74190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 08:00:29');
INSERT INTO `sys_job_log` VALUES (74191, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:00:33');
INSERT INTO `sys_job_log` VALUES (74192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:00:34');
INSERT INTO `sys_job_log` VALUES (74193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 08:00:38');
INSERT INTO `sys_job_log` VALUES (74194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2035毫秒', '0', '', '2025-01-03 08:00:39');
INSERT INTO `sys_job_log` VALUES (74195, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:00:43');
INSERT INTO `sys_job_log` VALUES (74196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2011毫秒', '0', '', '2025-01-03 08:00:44');
INSERT INTO `sys_job_log` VALUES (74197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 08:00:48');
INSERT INTO `sys_job_log` VALUES (74198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2033毫秒', '0', '', '2025-01-03 08:00:49');
INSERT INTO `sys_job_log` VALUES (74199, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:00:53');
INSERT INTO `sys_job_log` VALUES (74200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 08:00:54');
INSERT INTO `sys_job_log` VALUES (74201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:00:58');
INSERT INTO `sys_job_log` VALUES (74202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2041毫秒', '0', '', '2025-01-03 08:00:59');
INSERT INTO `sys_job_log` VALUES (74203, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:01:03');
INSERT INTO `sys_job_log` VALUES (74204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:01:04');
INSERT INTO `sys_job_log` VALUES (74205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1019毫秒', '0', '', '2025-01-03 08:01:08');
INSERT INTO `sys_job_log` VALUES (74206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2020毫秒', '0', '', '2025-01-03 08:01:09');
INSERT INTO `sys_job_log` VALUES (74207, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:01:13');
INSERT INTO `sys_job_log` VALUES (74208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:01:14');
INSERT INTO `sys_job_log` VALUES (74209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:01:18');
INSERT INTO `sys_job_log` VALUES (74210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:01:19');
INSERT INTO `sys_job_log` VALUES (74211, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:01:23');
INSERT INTO `sys_job_log` VALUES (74212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:01:24');
INSERT INTO `sys_job_log` VALUES (74213, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:01:28');
INSERT INTO `sys_job_log` VALUES (74214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 08:01:29');
INSERT INTO `sys_job_log` VALUES (74215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:01:33');
INSERT INTO `sys_job_log` VALUES (74216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:01:34');
INSERT INTO `sys_job_log` VALUES (74217, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:01:38');
INSERT INTO `sys_job_log` VALUES (74218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:01:39');
INSERT INTO `sys_job_log` VALUES (74219, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:01:43');
INSERT INTO `sys_job_log` VALUES (74220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:01:44');
INSERT INTO `sys_job_log` VALUES (74221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:01:48');
INSERT INTO `sys_job_log` VALUES (74222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:01:49');
INSERT INTO `sys_job_log` VALUES (74223, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:01:53');
INSERT INTO `sys_job_log` VALUES (74224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:01:54');
INSERT INTO `sys_job_log` VALUES (74225, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:01:58');
INSERT INTO `sys_job_log` VALUES (74226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:01:59');
INSERT INTO `sys_job_log` VALUES (74227, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:02:03');
INSERT INTO `sys_job_log` VALUES (74228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:02:04');
INSERT INTO `sys_job_log` VALUES (74229, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:02:08');
INSERT INTO `sys_job_log` VALUES (74230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 08:02:09');
INSERT INTO `sys_job_log` VALUES (74231, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 08:02:13');
INSERT INTO `sys_job_log` VALUES (74232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2022毫秒', '0', '', '2025-01-03 08:02:14');
INSERT INTO `sys_job_log` VALUES (74233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:02:18');
INSERT INTO `sys_job_log` VALUES (74234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:02:19');
INSERT INTO `sys_job_log` VALUES (74235, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:02:23');
INSERT INTO `sys_job_log` VALUES (74236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2007毫秒', '0', '', '2025-01-03 08:02:24');
INSERT INTO `sys_job_log` VALUES (74237, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:02:28');
INSERT INTO `sys_job_log` VALUES (74238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2016毫秒', '0', '', '2025-01-03 08:02:29');
INSERT INTO `sys_job_log` VALUES (74239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:02:33');
INSERT INTO `sys_job_log` VALUES (74240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:02:34');
INSERT INTO `sys_job_log` VALUES (74241, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:02:38');
INSERT INTO `sys_job_log` VALUES (74242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:02:39');
INSERT INTO `sys_job_log` VALUES (74243, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:02:43');
INSERT INTO `sys_job_log` VALUES (74244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:02:44');
INSERT INTO `sys_job_log` VALUES (74245, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:02:48');
INSERT INTO `sys_job_log` VALUES (74246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:02:49');
INSERT INTO `sys_job_log` VALUES (74247, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:02:53');
INSERT INTO `sys_job_log` VALUES (74248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:02:54');
INSERT INTO `sys_job_log` VALUES (74249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:02:58');
INSERT INTO `sys_job_log` VALUES (74250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:02:59');
INSERT INTO `sys_job_log` VALUES (74251, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:03:03');
INSERT INTO `sys_job_log` VALUES (74252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:03:04');
INSERT INTO `sys_job_log` VALUES (74253, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 08:03:08');
INSERT INTO `sys_job_log` VALUES (74254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2020毫秒', '0', '', '2025-01-03 08:03:09');
INSERT INTO `sys_job_log` VALUES (74255, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:03:13');
INSERT INTO `sys_job_log` VALUES (74256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 08:03:14');
INSERT INTO `sys_job_log` VALUES (74257, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:03:18');
INSERT INTO `sys_job_log` VALUES (74258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:03:19');
INSERT INTO `sys_job_log` VALUES (74259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1013毫秒', '0', '', '2025-01-03 08:03:23');
INSERT INTO `sys_job_log` VALUES (74260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2015毫秒', '0', '', '2025-01-03 08:03:24');
INSERT INTO `sys_job_log` VALUES (74261, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:03:28');
INSERT INTO `sys_job_log` VALUES (74262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:03:29');
INSERT INTO `sys_job_log` VALUES (74263, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:03:33');
INSERT INTO `sys_job_log` VALUES (74264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:03:34');
INSERT INTO `sys_job_log` VALUES (74265, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:03:38');
INSERT INTO `sys_job_log` VALUES (74266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2019毫秒', '0', '', '2025-01-03 08:03:39');
INSERT INTO `sys_job_log` VALUES (74267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:03:43');
INSERT INTO `sys_job_log` VALUES (74268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2011毫秒', '0', '', '2025-01-03 08:03:44');
INSERT INTO `sys_job_log` VALUES (74269, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:03:48');
INSERT INTO `sys_job_log` VALUES (74270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2016毫秒', '0', '', '2025-01-03 08:03:49');
INSERT INTO `sys_job_log` VALUES (74271, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:03:53');
INSERT INTO `sys_job_log` VALUES (74272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:03:54');
INSERT INTO `sys_job_log` VALUES (74273, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1037毫秒', '0', '', '2025-01-03 08:04:03');
INSERT INTO `sys_job_log` VALUES (74274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2051毫秒', '0', '', '2025-01-03 08:04:04');
INSERT INTO `sys_job_log` VALUES (74275, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:04:08');
INSERT INTO `sys_job_log` VALUES (74276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:04:09');
INSERT INTO `sys_job_log` VALUES (74277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:04:13');
INSERT INTO `sys_job_log` VALUES (74278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2039毫秒', '0', '', '2025-01-03 08:04:14');
INSERT INTO `sys_job_log` VALUES (74279, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:04:18');
INSERT INTO `sys_job_log` VALUES (74280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2010毫秒', '0', '', '2025-01-03 08:04:19');
INSERT INTO `sys_job_log` VALUES (74281, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:04:23');
INSERT INTO `sys_job_log` VALUES (74282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:04:24');
INSERT INTO `sys_job_log` VALUES (74283, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:04:28');
INSERT INTO `sys_job_log` VALUES (74284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:04:29');
INSERT INTO `sys_job_log` VALUES (74285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 08:04:33');
INSERT INTO `sys_job_log` VALUES (74286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2025-01-03 08:04:34');
INSERT INTO `sys_job_log` VALUES (74287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:04:38');
INSERT INTO `sys_job_log` VALUES (74288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:04:39');
INSERT INTO `sys_job_log` VALUES (74289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 08:04:43');
INSERT INTO `sys_job_log` VALUES (74290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2043毫秒', '0', '', '2025-01-03 08:04:44');
INSERT INTO `sys_job_log` VALUES (74291, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:04:48');
INSERT INTO `sys_job_log` VALUES (74292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 08:04:49');
INSERT INTO `sys_job_log` VALUES (74293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:04:53');
INSERT INTO `sys_job_log` VALUES (74294, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:04:54');
INSERT INTO `sys_job_log` VALUES (74295, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:04:58');
INSERT INTO `sys_job_log` VALUES (74296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 08:04:59');
INSERT INTO `sys_job_log` VALUES (74297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:05:03');
INSERT INTO `sys_job_log` VALUES (74298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:05:04');
INSERT INTO `sys_job_log` VALUES (74299, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:05:08');
INSERT INTO `sys_job_log` VALUES (74300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:05:09');
INSERT INTO `sys_job_log` VALUES (74301, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:05:13');
INSERT INTO `sys_job_log` VALUES (74302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2027毫秒', '0', '', '2025-01-03 08:05:14');
INSERT INTO `sys_job_log` VALUES (74303, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:05:18');
INSERT INTO `sys_job_log` VALUES (74304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:05:19');
INSERT INTO `sys_job_log` VALUES (74305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1027毫秒', '0', '', '2025-01-03 08:05:23');
INSERT INTO `sys_job_log` VALUES (74306, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2030毫秒', '0', '', '2025-01-03 08:05:24');
INSERT INTO `sys_job_log` VALUES (74307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:05:28');
INSERT INTO `sys_job_log` VALUES (74308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2029毫秒', '0', '', '2025-01-03 08:05:29');
INSERT INTO `sys_job_log` VALUES (74309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:05:33');
INSERT INTO `sys_job_log` VALUES (74310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2025-01-03 08:05:34');
INSERT INTO `sys_job_log` VALUES (74311, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:05:38');
INSERT INTO `sys_job_log` VALUES (74312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 08:05:39');
INSERT INTO `sys_job_log` VALUES (74313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:05:43');
INSERT INTO `sys_job_log` VALUES (74314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2036毫秒', '0', '', '2025-01-03 08:05:44');
INSERT INTO `sys_job_log` VALUES (74315, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:05:48');
INSERT INTO `sys_job_log` VALUES (74316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-03 08:05:49');
INSERT INTO `sys_job_log` VALUES (74317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 08:05:53');
INSERT INTO `sys_job_log` VALUES (74318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3041毫秒', '0', '', '2025-01-03 08:05:55');
INSERT INTO `sys_job_log` VALUES (74319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:05:57');
INSERT INTO `sys_job_log` VALUES (74320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:05:58');
INSERT INTO `sys_job_log` VALUES (74321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:06:02');
INSERT INTO `sys_job_log` VALUES (74322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:06:03');
INSERT INTO `sys_job_log` VALUES (74323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:06:08');
INSERT INTO `sys_job_log` VALUES (74324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2022毫秒', '0', '', '2025-01-03 08:06:09');
INSERT INTO `sys_job_log` VALUES (74325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:06:12');
INSERT INTO `sys_job_log` VALUES (74326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:06:13');
INSERT INTO `sys_job_log` VALUES (74327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:06:17');
INSERT INTO `sys_job_log` VALUES (74328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 08:06:18');
INSERT INTO `sys_job_log` VALUES (74329, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 08:06:23');
INSERT INTO `sys_job_log` VALUES (74330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 08:06:24');
INSERT INTO `sys_job_log` VALUES (74331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:06:27');
INSERT INTO `sys_job_log` VALUES (74332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:06:28');
INSERT INTO `sys_job_log` VALUES (74333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:06:32');
INSERT INTO `sys_job_log` VALUES (74334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 08:06:33');
INSERT INTO `sys_job_log` VALUES (74335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:06:38');
INSERT INTO `sys_job_log` VALUES (74336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:06:39');
INSERT INTO `sys_job_log` VALUES (74337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:06:42');
INSERT INTO `sys_job_log` VALUES (74338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:06:43');
INSERT INTO `sys_job_log` VALUES (74339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:06:47');
INSERT INTO `sys_job_log` VALUES (74340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1648毫秒', '0', '', '2025-01-03 08:06:49');
INSERT INTO `sys_job_log` VALUES (74341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:06:52');
INSERT INTO `sys_job_log` VALUES (74342, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1694毫秒', '0', '', '2025-01-03 08:06:54');
INSERT INTO `sys_job_log` VALUES (74343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:06:57');
INSERT INTO `sys_job_log` VALUES (74344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1738毫秒', '0', '', '2025-01-03 08:06:59');
INSERT INTO `sys_job_log` VALUES (74345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:02');
INSERT INTO `sys_job_log` VALUES (74346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1784毫秒', '0', '', '2025-01-03 08:07:04');
INSERT INTO `sys_job_log` VALUES (74347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:07');
INSERT INTO `sys_job_log` VALUES (74348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3858毫秒', '0', '', '2025-01-03 08:07:11');
INSERT INTO `sys_job_log` VALUES (74349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:12');
INSERT INTO `sys_job_log` VALUES (74350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1888毫秒', '0', '', '2025-01-03 08:07:14');
INSERT INTO `sys_job_log` VALUES (74351, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3925毫秒', '0', '', '2025-01-03 08:07:21');
INSERT INTO `sys_job_log` VALUES (74352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4934毫秒', '0', '', '2025-01-03 08:07:22');
INSERT INTO `sys_job_log` VALUES (74353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:22');
INSERT INTO `sys_job_log` VALUES (74354, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1960毫秒', '0', '', '2025-01-03 08:07:24');
INSERT INTO `sys_job_log` VALUES (74355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:27');
INSERT INTO `sys_job_log` VALUES (74356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2004毫秒', '0', '', '2025-01-03 08:07:29');
INSERT INTO `sys_job_log` VALUES (74357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:07:32');
INSERT INTO `sys_job_log` VALUES (74358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:07:33');
INSERT INTO `sys_job_log` VALUES (74359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:37');
INSERT INTO `sys_job_log` VALUES (74360, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:07:38');
INSERT INTO `sys_job_log` VALUES (74361, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1030毫秒', '0', '', '2025-01-03 08:07:43');
INSERT INTO `sys_job_log` VALUES (74362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2045毫秒', '0', '', '2025-01-03 08:07:44');
INSERT INTO `sys_job_log` VALUES (74363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:07:47');
INSERT INTO `sys_job_log` VALUES (74364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:07:48');
INSERT INTO `sys_job_log` VALUES (74365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:07:52');
INSERT INTO `sys_job_log` VALUES (74366, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:07:53');
INSERT INTO `sys_job_log` VALUES (74367, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:07:58');
INSERT INTO `sys_job_log` VALUES (74368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2040毫秒', '0', '', '2025-01-03 08:07:59');
INSERT INTO `sys_job_log` VALUES (74369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:08:02');
INSERT INTO `sys_job_log` VALUES (74370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 08:08:03');
INSERT INTO `sys_job_log` VALUES (74371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:08:07');
INSERT INTO `sys_job_log` VALUES (74372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:08:08');
INSERT INTO `sys_job_log` VALUES (74373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:08:13');
INSERT INTO `sys_job_log` VALUES (74374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2035毫秒', '0', '', '2025-01-03 08:08:14');
INSERT INTO `sys_job_log` VALUES (74375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:08:17');
INSERT INTO `sys_job_log` VALUES (74376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:08:18');
INSERT INTO `sys_job_log` VALUES (74377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:08:22');
INSERT INTO `sys_job_log` VALUES (74378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:08:23');
INSERT INTO `sys_job_log` VALUES (74379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 08:08:28');
INSERT INTO `sys_job_log` VALUES (74380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2036毫秒', '0', '', '2025-01-03 08:08:29');
INSERT INTO `sys_job_log` VALUES (74381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:08:32');
INSERT INTO `sys_job_log` VALUES (74382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:08:33');
INSERT INTO `sys_job_log` VALUES (74383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:08:37');
INSERT INTO `sys_job_log` VALUES (74384, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 08:08:38');
INSERT INTO `sys_job_log` VALUES (74385, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:08:43');
INSERT INTO `sys_job_log` VALUES (74386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2036毫秒', '0', '', '2025-01-03 08:08:44');
INSERT INTO `sys_job_log` VALUES (74387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:08:47');
INSERT INTO `sys_job_log` VALUES (74388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:08:48');
INSERT INTO `sys_job_log` VALUES (74389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:08:52');
INSERT INTO `sys_job_log` VALUES (74390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:08:53');
INSERT INTO `sys_job_log` VALUES (74391, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:08:58');
INSERT INTO `sys_job_log` VALUES (74392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2032毫秒', '0', '', '2025-01-03 08:08:59');
INSERT INTO `sys_job_log` VALUES (74393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:02');
INSERT INTO `sys_job_log` VALUES (74394, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:09:03');
INSERT INTO `sys_job_log` VALUES (74395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:07');
INSERT INTO `sys_job_log` VALUES (74396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1116毫秒', '0', '', '2025-01-03 08:09:08');
INSERT INTO `sys_job_log` VALUES (74397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:12');
INSERT INTO `sys_job_log` VALUES (74398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1188毫秒', '0', '', '2025-01-03 08:09:13');
INSERT INTO `sys_job_log` VALUES (74399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:09:17');
INSERT INTO `sys_job_log` VALUES (74400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2257毫秒', '0', '', '2025-01-03 08:09:20');
INSERT INTO `sys_job_log` VALUES (74401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:09:22');
INSERT INTO `sys_job_log` VALUES (74402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2306毫秒', '0', '', '2025-01-03 08:09:25');
INSERT INTO `sys_job_log` VALUES (74403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:27');
INSERT INTO `sys_job_log` VALUES (74404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:32');
INSERT INTO `sys_job_log` VALUES (74405, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：5415毫秒', '0', '', '2025-01-03 08:09:33');
INSERT INTO `sys_job_log` VALUES (74406, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2004毫秒', '0', '', '2025-01-03 08:09:35');
INSERT INTO `sys_job_log` VALUES (74407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2455毫秒', '0', '', '2025-01-03 08:09:40');
INSERT INTO `sys_job_log` VALUES (74408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3464毫秒', '0', '', '2025-01-03 08:09:41');
INSERT INTO `sys_job_log` VALUES (74409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:42');
INSERT INTO `sys_job_log` VALUES (74410, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1497毫秒', '0', '', '2025-01-03 08:09:44');
INSERT INTO `sys_job_log` VALUES (74411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:47');
INSERT INTO `sys_job_log` VALUES (74412, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1524毫秒', '0', '', '2025-01-03 08:09:49');
INSERT INTO `sys_job_log` VALUES (74413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:52');
INSERT INTO `sys_job_log` VALUES (74414, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:09:53');
INSERT INTO `sys_job_log` VALUES (74415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:09:57');
INSERT INTO `sys_job_log` VALUES (74416, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 08:09:58');
INSERT INTO `sys_job_log` VALUES (74417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:10:03');
INSERT INTO `sys_job_log` VALUES (74418, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:10:04');
INSERT INTO `sys_job_log` VALUES (74419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:10:07');
INSERT INTO `sys_job_log` VALUES (74420, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 08:10:08');
INSERT INTO `sys_job_log` VALUES (74421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:10:12');
INSERT INTO `sys_job_log` VALUES (74422, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:10:13');
INSERT INTO `sys_job_log` VALUES (74423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:10:18');
INSERT INTO `sys_job_log` VALUES (74424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:10:19');
INSERT INTO `sys_job_log` VALUES (74425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:10:22');
INSERT INTO `sys_job_log` VALUES (74426, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 08:10:23');
INSERT INTO `sys_job_log` VALUES (74427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:10:27');
INSERT INTO `sys_job_log` VALUES (74428, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:10:28');
INSERT INTO `sys_job_log` VALUES (74429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:10:33');
INSERT INTO `sys_job_log` VALUES (74430, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2033毫秒', '0', '', '2025-01-03 08:10:34');
INSERT INTO `sys_job_log` VALUES (74431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:10:37');
INSERT INTO `sys_job_log` VALUES (74432, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:10:38');
INSERT INTO `sys_job_log` VALUES (74433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:10:42');
INSERT INTO `sys_job_log` VALUES (74434, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:10:43');
INSERT INTO `sys_job_log` VALUES (74435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:10:48');
INSERT INTO `sys_job_log` VALUES (74436, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:10:49');
INSERT INTO `sys_job_log` VALUES (74437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:10:52');
INSERT INTO `sys_job_log` VALUES (74438, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:10:53');
INSERT INTO `sys_job_log` VALUES (74439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:10:57');
INSERT INTO `sys_job_log` VALUES (74440, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:10:58');
INSERT INTO `sys_job_log` VALUES (74441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 08:11:03');
INSERT INTO `sys_job_log` VALUES (74442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:11:04');
INSERT INTO `sys_job_log` VALUES (74443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:11:07');
INSERT INTO `sys_job_log` VALUES (74444, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:11:08');
INSERT INTO `sys_job_log` VALUES (74445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:11:12');
INSERT INTO `sys_job_log` VALUES (74446, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:11:13');
INSERT INTO `sys_job_log` VALUES (74447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:11:18');
INSERT INTO `sys_job_log` VALUES (74448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2038毫秒', '0', '', '2025-01-03 08:11:19');
INSERT INTO `sys_job_log` VALUES (74449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:11:22');
INSERT INTO `sys_job_log` VALUES (74450, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:11:23');
INSERT INTO `sys_job_log` VALUES (74451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:11:27');
INSERT INTO `sys_job_log` VALUES (74452, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:11:28');
INSERT INTO `sys_job_log` VALUES (74453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:11:33');
INSERT INTO `sys_job_log` VALUES (74454, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2018毫秒', '0', '', '2025-01-03 08:11:34');
INSERT INTO `sys_job_log` VALUES (74455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:11:37');
INSERT INTO `sys_job_log` VALUES (74456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:11:38');
INSERT INTO `sys_job_log` VALUES (74457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:11:42');
INSERT INTO `sys_job_log` VALUES (74458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:11:43');
INSERT INTO `sys_job_log` VALUES (74459, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:11:58');
INSERT INTO `sys_job_log` VALUES (74460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 08:11:59');
INSERT INTO `sys_job_log` VALUES (74461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:12:02');
INSERT INTO `sys_job_log` VALUES (74462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:12:03');
INSERT INTO `sys_job_log` VALUES (74463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:12:07');
INSERT INTO `sys_job_log` VALUES (74464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:12:08');
INSERT INTO `sys_job_log` VALUES (74465, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 08:12:13');
INSERT INTO `sys_job_log` VALUES (74466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 08:12:14');
INSERT INTO `sys_job_log` VALUES (74467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2025-01-03 08:12:17');
INSERT INTO `sys_job_log` VALUES (74468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 08:12:18');
INSERT INTO `sys_job_log` VALUES (74469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:12:22');
INSERT INTO `sys_job_log` VALUES (74470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1816毫秒', '0', '', '2025-01-03 08:12:24');
INSERT INTO `sys_job_log` VALUES (74471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:12:27');
INSERT INTO `sys_job_log` VALUES (74472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1868毫秒', '0', '', '2025-01-03 08:12:29');
INSERT INTO `sys_job_log` VALUES (74473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:12:32');
INSERT INTO `sys_job_log` VALUES (74474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3393毫秒', '0', '', '2025-01-03 08:12:36');
INSERT INTO `sys_job_log` VALUES (74475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:12:37');
INSERT INTO `sys_job_log` VALUES (74476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3929毫秒', '0', '', '2025-01-03 08:12:41');
INSERT INTO `sys_job_log` VALUES (74477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:12:42');
INSERT INTO `sys_job_log` VALUES (74478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1130毫秒', '0', '', '2025-01-03 08:12:43');
INSERT INTO `sys_job_log` VALUES (74479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:12:47');
INSERT INTO `sys_job_log` VALUES (74480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1566毫秒', '0', '', '2025-01-03 08:12:49');
INSERT INTO `sys_job_log` VALUES (74481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:12:52');
INSERT INTO `sys_job_log` VALUES (74482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2091毫秒', '0', '', '2025-01-03 08:12:54');
INSERT INTO `sys_job_log` VALUES (74483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1515毫秒', '0', '', '2025-01-03 08:12:59');
INSERT INTO `sys_job_log` VALUES (74484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2622毫秒', '0', '', '2025-01-03 08:13:00');
INSERT INTO `sys_job_log` VALUES (74485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 08:13:04');
INSERT INTO `sys_job_log` VALUES (74486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3137毫秒', '0', '', '2025-01-03 08:13:05');
INSERT INTO `sys_job_log` VALUES (74487, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1055毫秒', '0', '', '2025-01-03 08:13:08');
INSERT INTO `sys_job_log` VALUES (74488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2159毫秒', '0', '', '2025-01-03 08:13:09');
INSERT INTO `sys_job_log` VALUES (74489, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1074毫秒', '0', '', '2025-01-03 08:13:13');
INSERT INTO `sys_job_log` VALUES (74490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2179毫秒', '0', '', '2025-01-03 08:13:14');
INSERT INTO `sys_job_log` VALUES (74491, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1108毫秒', '0', '', '2025-01-03 08:13:18');
INSERT INTO `sys_job_log` VALUES (74492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2213毫秒', '0', '', '2025-01-03 08:13:19');
INSERT INTO `sys_job_log` VALUES (74493, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1122毫秒', '0', '', '2025-01-03 08:13:23');
INSERT INTO `sys_job_log` VALUES (74494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2127毫秒', '0', '', '2025-01-03 08:13:24');
INSERT INTO `sys_job_log` VALUES (74495, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1060毫秒', '0', '', '2025-01-03 08:13:28');
INSERT INTO `sys_job_log` VALUES (74496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2366毫秒', '0', '', '2025-01-03 08:13:30');
INSERT INTO `sys_job_log` VALUES (74497, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1084毫秒', '0', '', '2025-01-03 08:13:33');
INSERT INTO `sys_job_log` VALUES (74498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2089毫秒', '0', '', '2025-01-03 08:13:34');
INSERT INTO `sys_job_log` VALUES (74499, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1108毫秒', '0', '', '2025-01-03 08:13:38');
INSERT INTO `sys_job_log` VALUES (74500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2212毫秒', '0', '', '2025-01-03 08:13:39');
INSERT INTO `sys_job_log` VALUES (74501, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1031毫秒', '0', '', '2025-01-03 08:13:43');
INSERT INTO `sys_job_log` VALUES (74502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2136毫秒', '0', '', '2025-01-03 08:13:44');
INSERT INTO `sys_job_log` VALUES (74503, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1049毫秒', '0', '', '2025-01-03 08:13:48');
INSERT INTO `sys_job_log` VALUES (74504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2153毫秒', '0', '', '2025-01-03 08:13:49');
INSERT INTO `sys_job_log` VALUES (74505, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 08:13:53');
INSERT INTO `sys_job_log` VALUES (74506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2184毫秒', '0', '', '2025-01-03 08:13:54');
INSERT INTO `sys_job_log` VALUES (74507, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 08:13:58');
INSERT INTO `sys_job_log` VALUES (74508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2205毫秒', '0', '', '2025-01-03 08:13:59');
INSERT INTO `sys_job_log` VALUES (74509, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1116毫秒', '0', '', '2025-01-03 08:14:03');
INSERT INTO `sys_job_log` VALUES (74510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2220毫秒', '0', '', '2025-01-03 08:14:04');
INSERT INTO `sys_job_log` VALUES (74511, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 08:14:08');
INSERT INTO `sys_job_log` VALUES (74512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2060毫秒', '0', '', '2025-01-03 08:14:09');
INSERT INTO `sys_job_log` VALUES (74513, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1078毫秒', '0', '', '2025-01-03 08:14:13');
INSERT INTO `sys_job_log` VALUES (74514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2182毫秒', '0', '', '2025-01-03 08:14:14');
INSERT INTO `sys_job_log` VALUES (74515, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 08:14:18');
INSERT INTO `sys_job_log` VALUES (74516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2108毫秒', '0', '', '2025-01-03 08:14:19');
INSERT INTO `sys_job_log` VALUES (74517, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1027毫秒', '0', '', '2025-01-03 08:14:23');
INSERT INTO `sys_job_log` VALUES (74518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 08:14:24');
INSERT INTO `sys_job_log` VALUES (74519, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1051毫秒', '0', '', '2025-01-03 08:14:28');
INSERT INTO `sys_job_log` VALUES (74520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2057毫秒', '0', '', '2025-01-03 08:14:29');
INSERT INTO `sys_job_log` VALUES (74521, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1076毫秒', '0', '', '2025-01-03 08:14:33');
INSERT INTO `sys_job_log` VALUES (74522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2082毫秒', '0', '', '2025-01-03 08:14:34');
INSERT INTO `sys_job_log` VALUES (74523, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1100毫秒', '0', '', '2025-01-03 08:14:38');
INSERT INTO `sys_job_log` VALUES (74524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1056毫秒', '0', '', '2025-01-03 08:14:51');
INSERT INTO `sys_job_log` VALUES (74525, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2072毫秒', '0', '', '2025-01-03 08:14:51');
INSERT INTO `sys_job_log` VALUES (74526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 08:14:53');
INSERT INTO `sys_job_log` VALUES (74527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2016毫秒', '0', '', '2025-01-03 08:14:54');
INSERT INTO `sys_job_log` VALUES (74528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:14:58');
INSERT INTO `sys_job_log` VALUES (74529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 08:14:59');
INSERT INTO `sys_job_log` VALUES (74530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:15:03');
INSERT INTO `sys_job_log` VALUES (74531, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2025-01-03 08:15:04');
INSERT INTO `sys_job_log` VALUES (74532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 08:15:08');
INSERT INTO `sys_job_log` VALUES (74533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2012毫秒', '0', '', '2025-01-03 08:15:09');
INSERT INTO `sys_job_log` VALUES (74534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:15:13');
INSERT INTO `sys_job_log` VALUES (74535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2036毫秒', '0', '', '2025-01-03 08:15:14');
INSERT INTO `sys_job_log` VALUES (74536, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:15:18');
INSERT INTO `sys_job_log` VALUES (74537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2019毫秒', '0', '', '2025-01-03 08:15:19');
INSERT INTO `sys_job_log` VALUES (74538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:15:23');
INSERT INTO `sys_job_log` VALUES (74539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2012毫秒', '0', '', '2025-01-03 08:15:24');
INSERT INTO `sys_job_log` VALUES (74540, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:15:28');
INSERT INTO `sys_job_log` VALUES (74541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2006毫秒', '0', '', '2025-01-03 08:15:29');
INSERT INTO `sys_job_log` VALUES (74542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:15:33');
INSERT INTO `sys_job_log` VALUES (74543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2030毫秒', '0', '', '2025-01-03 08:15:34');
INSERT INTO `sys_job_log` VALUES (74544, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:15:38');
INSERT INTO `sys_job_log` VALUES (74545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2006毫秒', '0', '', '2025-01-03 08:15:39');
INSERT INTO `sys_job_log` VALUES (74546, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:15:43');
INSERT INTO `sys_job_log` VALUES (74547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2010毫秒', '0', '', '2025-01-03 08:15:44');
INSERT INTO `sys_job_log` VALUES (74548, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:15:48');
INSERT INTO `sys_job_log` VALUES (74549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2006毫秒', '0', '', '2025-01-03 08:15:49');
INSERT INTO `sys_job_log` VALUES (74550, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:15:53');
INSERT INTO `sys_job_log` VALUES (74551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:15:54');
INSERT INTO `sys_job_log` VALUES (74552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:15:58');
INSERT INTO `sys_job_log` VALUES (74553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 08:15:59');
INSERT INTO `sys_job_log` VALUES (74554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:16:03');
INSERT INTO `sys_job_log` VALUES (74555, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2019毫秒', '0', '', '2025-01-03 08:16:04');
INSERT INTO `sys_job_log` VALUES (74556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:16:08');
INSERT INTO `sys_job_log` VALUES (74557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2006毫秒', '0', '', '2025-01-03 08:16:09');
INSERT INTO `sys_job_log` VALUES (74558, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:16:13');
INSERT INTO `sys_job_log` VALUES (74559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2016毫秒', '0', '', '2025-01-03 08:16:14');
INSERT INTO `sys_job_log` VALUES (74560, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:16:18');
INSERT INTO `sys_job_log` VALUES (74561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2014毫秒', '0', '', '2025-01-03 08:16:19');
INSERT INTO `sys_job_log` VALUES (74562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:16:23');
INSERT INTO `sys_job_log` VALUES (74563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:16:24');
INSERT INTO `sys_job_log` VALUES (74564, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:16:28');
INSERT INTO `sys_job_log` VALUES (74565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2006毫秒', '0', '', '2025-01-03 08:16:29');
INSERT INTO `sys_job_log` VALUES (74566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:16:33');
INSERT INTO `sys_job_log` VALUES (74567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2028毫秒', '0', '', '2025-01-03 08:16:34');
INSERT INTO `sys_job_log` VALUES (74568, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:16:38');
INSERT INTO `sys_job_log` VALUES (74569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 08:16:39');
INSERT INTO `sys_job_log` VALUES (74570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1025毫秒', '0', '', '2025-01-03 08:16:43');
INSERT INTO `sys_job_log` VALUES (74571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2040毫秒', '0', '', '2025-01-03 08:16:44');
INSERT INTO `sys_job_log` VALUES (74572, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:16:48');
INSERT INTO `sys_job_log` VALUES (74573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2005毫秒', '0', '', '2025-01-03 08:16:49');
INSERT INTO `sys_job_log` VALUES (74574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:16:53');
INSERT INTO `sys_job_log` VALUES (74575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:16:54');
INSERT INTO `sys_job_log` VALUES (74576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:16:58');
INSERT INTO `sys_job_log` VALUES (74577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2005毫秒', '0', '', '2025-01-03 08:16:59');
INSERT INTO `sys_job_log` VALUES (74578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:17:03');
INSERT INTO `sys_job_log` VALUES (74579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:17:04');
INSERT INTO `sys_job_log` VALUES (74580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:17:08');
INSERT INTO `sys_job_log` VALUES (74581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2011毫秒', '0', '', '2025-01-03 08:17:09');
INSERT INTO `sys_job_log` VALUES (74582, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:17:13');
INSERT INTO `sys_job_log` VALUES (74583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2033毫秒', '0', '', '2025-01-03 08:17:14');
INSERT INTO `sys_job_log` VALUES (74584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:17:18');
INSERT INTO `sys_job_log` VALUES (74585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:17:19');
INSERT INTO `sys_job_log` VALUES (74586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:17:23');
INSERT INTO `sys_job_log` VALUES (74587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:17:24');
INSERT INTO `sys_job_log` VALUES (74588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:17:28');
INSERT INTO `sys_job_log` VALUES (74589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2004毫秒', '0', '', '2025-01-03 08:17:29');
INSERT INTO `sys_job_log` VALUES (74590, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:17:33');
INSERT INTO `sys_job_log` VALUES (74591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3010毫秒', '0', '', '2025-01-03 08:17:35');
INSERT INTO `sys_job_log` VALUES (74592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:17:37');
INSERT INTO `sys_job_log` VALUES (74593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:17:38');
INSERT INTO `sys_job_log` VALUES (74594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:17:42');
INSERT INTO `sys_job_log` VALUES (74595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:17:43');
INSERT INTO `sys_job_log` VALUES (74596, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:17:48');
INSERT INTO `sys_job_log` VALUES (74597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:17:49');
INSERT INTO `sys_job_log` VALUES (74598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:17:52');
INSERT INTO `sys_job_log` VALUES (74599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:17:53');
INSERT INTO `sys_job_log` VALUES (74600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:17:57');
INSERT INTO `sys_job_log` VALUES (74601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:17:58');
INSERT INTO `sys_job_log` VALUES (74602, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:18:03');
INSERT INTO `sys_job_log` VALUES (74603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 08:18:04');
INSERT INTO `sys_job_log` VALUES (74604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:18:07');
INSERT INTO `sys_job_log` VALUES (74605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:18:08');
INSERT INTO `sys_job_log` VALUES (74606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:18:12');
INSERT INTO `sys_job_log` VALUES (74607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 08:18:13');
INSERT INTO `sys_job_log` VALUES (74608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:18:18');
INSERT INTO `sys_job_log` VALUES (74609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2020毫秒', '0', '', '2025-01-03 08:18:19');
INSERT INTO `sys_job_log` VALUES (74610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:18:22');
INSERT INTO `sys_job_log` VALUES (74611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:18:23');
INSERT INTO `sys_job_log` VALUES (74612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1029毫秒', '0', '', '2025-01-03 08:18:35');
INSERT INTO `sys_job_log` VALUES (74613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2025-01-03 08:18:36');
INSERT INTO `sys_job_log` VALUES (74614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：9毫秒', '0', '', '2025-01-03 08:18:37');
INSERT INTO `sys_job_log` VALUES (74615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:18:38');
INSERT INTO `sys_job_log` VALUES (74616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:18:42');
INSERT INTO `sys_job_log` VALUES (74617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 08:18:43');
INSERT INTO `sys_job_log` VALUES (74618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:18:47');
INSERT INTO `sys_job_log` VALUES (74619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1300毫秒', '0', '', '2025-01-03 08:18:49');
INSERT INTO `sys_job_log` VALUES (74620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:18:52');
INSERT INTO `sys_job_log` VALUES (74621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1846毫秒', '0', '', '2025-01-03 08:18:54');
INSERT INTO `sys_job_log` VALUES (74622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:18:57');
INSERT INTO `sys_job_log` VALUES (74623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1255毫秒', '0', '', '2025-01-03 08:18:59');
INSERT INTO `sys_job_log` VALUES (74624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:19:02');
INSERT INTO `sys_job_log` VALUES (74625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1683毫秒', '0', '', '2025-01-03 08:19:04');
INSERT INTO `sys_job_log` VALUES (74626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 08:19:07');
INSERT INTO `sys_job_log` VALUES (74627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3327毫秒', '0', '', '2025-01-03 08:19:11');
INSERT INTO `sys_job_log` VALUES (74628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:19:12');
INSERT INTO `sys_job_log` VALUES (74629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1643毫秒', '0', '', '2025-01-03 08:19:14');
INSERT INTO `sys_job_log` VALUES (74630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:19:17');
INSERT INTO `sys_job_log` VALUES (74631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2165毫秒', '0', '', '2025-01-03 08:19:19');
INSERT INTO `sys_job_log` VALUES (74632, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1086毫秒', '0', '', '2025-01-03 08:19:23');
INSERT INTO `sys_job_log` VALUES (74633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2190毫秒', '0', '', '2025-01-03 08:19:24');
INSERT INTO `sys_job_log` VALUES (74634, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1104毫秒', '0', '', '2025-01-03 08:19:28');
INSERT INTO `sys_job_log` VALUES (74635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2210毫秒', '0', '', '2025-01-03 08:19:29');
INSERT INTO `sys_job_log` VALUES (74636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1033毫秒', '0', '', '2025-01-03 08:19:33');
INSERT INTO `sys_job_log` VALUES (74637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2136毫秒', '0', '', '2025-01-03 08:19:34');
INSERT INTO `sys_job_log` VALUES (74638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1060毫秒', '0', '', '2025-01-03 08:19:38');
INSERT INTO `sys_job_log` VALUES (74639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2163毫秒', '0', '', '2025-01-03 08:19:39');
INSERT INTO `sys_job_log` VALUES (74640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1075毫秒', '0', '', '2025-01-03 08:19:43');
INSERT INTO `sys_job_log` VALUES (74641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2179毫秒', '0', '', '2025-01-03 08:19:44');
INSERT INTO `sys_job_log` VALUES (74642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1096毫秒', '0', '', '2025-01-03 08:19:48');
INSERT INTO `sys_job_log` VALUES (74643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2200毫秒', '0', '', '2025-01-03 08:19:49');
INSERT INTO `sys_job_log` VALUES (74644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:19:53');
INSERT INTO `sys_job_log` VALUES (74645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2129毫秒', '0', '', '2025-01-03 08:19:54');
INSERT INTO `sys_job_log` VALUES (74646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1045毫秒', '0', '', '2025-01-03 08:19:58');
INSERT INTO `sys_job_log` VALUES (74647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2149毫秒', '0', '', '2025-01-03 08:19:59');
INSERT INTO `sys_job_log` VALUES (74648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1078毫秒', '0', '', '2025-01-03 08:20:03');
INSERT INTO `sys_job_log` VALUES (74649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2179毫秒', '0', '', '2025-01-03 08:20:04');
INSERT INTO `sys_job_log` VALUES (74650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1100毫秒', '0', '', '2025-01-03 08:20:08');
INSERT INTO `sys_job_log` VALUES (74651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2105毫秒', '0', '', '2025-01-03 08:20:09');
INSERT INTO `sys_job_log` VALUES (74652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 08:20:13');
INSERT INTO `sys_job_log` VALUES (74653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2126毫秒', '0', '', '2025-01-03 08:20:14');
INSERT INTO `sys_job_log` VALUES (74654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1049毫秒', '0', '', '2025-01-03 08:20:18');
INSERT INTO `sys_job_log` VALUES (74655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2153毫秒', '0', '', '2025-01-03 08:20:19');
INSERT INTO `sys_job_log` VALUES (74656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 08:20:23');
INSERT INTO `sys_job_log` VALUES (74657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2177毫秒', '0', '', '2025-01-03 08:20:24');
INSERT INTO `sys_job_log` VALUES (74658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2025-01-03 08:20:28');
INSERT INTO `sys_job_log` VALUES (74659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2194毫秒', '0', '', '2025-01-03 08:20:29');
INSERT INTO `sys_job_log` VALUES (74660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:20:33');
INSERT INTO `sys_job_log` VALUES (74661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2132毫秒', '0', '', '2025-01-03 08:20:34');
INSERT INTO `sys_job_log` VALUES (74662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1051毫秒', '0', '', '2025-01-03 08:20:38');
INSERT INTO `sys_job_log` VALUES (74663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2153毫秒', '0', '', '2025-01-03 08:20:39');
INSERT INTO `sys_job_log` VALUES (74664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1066毫秒', '0', '', '2025-01-03 08:20:43');
INSERT INTO `sys_job_log` VALUES (74665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2170毫秒', '0', '', '2025-01-03 08:20:44');
INSERT INTO `sys_job_log` VALUES (74666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1086毫秒', '0', '', '2025-01-03 08:20:48');
INSERT INTO `sys_job_log` VALUES (74667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2190毫秒', '0', '', '2025-01-03 08:20:49');
INSERT INTO `sys_job_log` VALUES (74668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1111毫秒', '0', '', '2025-01-03 08:20:53');
INSERT INTO `sys_job_log` VALUES (74669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2216毫秒', '0', '', '2025-01-03 08:20:54');
INSERT INTO `sys_job_log` VALUES (74670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1050毫秒', '0', '', '2025-01-03 08:20:58');
INSERT INTO `sys_job_log` VALUES (74671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2151毫秒', '0', '', '2025-01-03 08:20:59');
INSERT INTO `sys_job_log` VALUES (74672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 08:21:03');
INSERT INTO `sys_job_log` VALUES (74673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2177毫秒', '0', '', '2025-01-03 08:21:04');
INSERT INTO `sys_job_log` VALUES (74674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1088毫秒', '0', '', '2025-01-03 08:21:08');
INSERT INTO `sys_job_log` VALUES (74675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2192毫秒', '0', '', '2025-01-03 08:21:09');
INSERT INTO `sys_job_log` VALUES (74676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1108毫秒', '0', '', '2025-01-03 08:21:13');
INSERT INTO `sys_job_log` VALUES (74677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2212毫秒', '0', '', '2025-01-03 08:21:14');
INSERT INTO `sys_job_log` VALUES (74678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1039毫秒', '0', '', '2025-01-03 08:21:18');
INSERT INTO `sys_job_log` VALUES (74679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2143毫秒', '0', '', '2025-01-03 08:21:19');
INSERT INTO `sys_job_log` VALUES (74680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1061毫秒', '0', '', '2025-01-03 08:21:23');
INSERT INTO `sys_job_log` VALUES (74681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2165毫秒', '0', '', '2025-01-03 08:21:24');
INSERT INTO `sys_job_log` VALUES (74682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1088毫秒', '0', '', '2025-01-03 08:21:28');
INSERT INTO `sys_job_log` VALUES (74683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2192毫秒', '0', '', '2025-01-03 08:21:29');
INSERT INTO `sys_job_log` VALUES (74684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1115毫秒', '0', '', '2025-01-03 08:21:33');
INSERT INTO `sys_job_log` VALUES (74685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2120毫秒', '0', '', '2025-01-03 08:21:34');
INSERT INTO `sys_job_log` VALUES (74686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1036毫秒', '0', '', '2025-01-03 08:21:38');
INSERT INTO `sys_job_log` VALUES (74687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2141毫秒', '0', '', '2025-01-03 08:21:39');
INSERT INTO `sys_job_log` VALUES (74688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1056毫秒', '0', '', '2025-01-03 08:21:43');
INSERT INTO `sys_job_log` VALUES (74689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2159毫秒', '0', '', '2025-01-03 08:21:44');
INSERT INTO `sys_job_log` VALUES (74690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1082毫秒', '0', '', '2025-01-03 08:21:48');
INSERT INTO `sys_job_log` VALUES (74691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2186毫秒', '0', '', '2025-01-03 08:21:49');
INSERT INTO `sys_job_log` VALUES (74692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1110毫秒', '0', '', '2025-01-03 08:21:53');
INSERT INTO `sys_job_log` VALUES (74693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2211毫秒', '0', '', '2025-01-03 08:21:54');
INSERT INTO `sys_job_log` VALUES (74694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1035毫秒', '0', '', '2025-01-03 08:21:58');
INSERT INTO `sys_job_log` VALUES (74695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2138毫秒', '0', '', '2025-01-03 08:21:59');
INSERT INTO `sys_job_log` VALUES (74696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 08:22:03');
INSERT INTO `sys_job_log` VALUES (74697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2061毫秒', '0', '', '2025-01-03 08:22:04');
INSERT INTO `sys_job_log` VALUES (74698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1091毫秒', '0', '', '2025-01-03 08:22:08');
INSERT INTO `sys_job_log` VALUES (74699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2095毫秒', '0', '', '2025-01-03 08:22:09');
INSERT INTO `sys_job_log` VALUES (74700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:22:13');
INSERT INTO `sys_job_log` VALUES (74701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2116毫秒', '0', '', '2025-01-03 08:22:14');
INSERT INTO `sys_job_log` VALUES (74702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1031毫秒', '0', '', '2025-01-03 08:22:18');
INSERT INTO `sys_job_log` VALUES (74703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2037毫秒', '0', '', '2025-01-03 08:22:19');
INSERT INTO `sys_job_log` VALUES (74704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 08:22:23');
INSERT INTO `sys_job_log` VALUES (74705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2068毫秒', '0', '', '2025-01-03 08:22:24');
INSERT INTO `sys_job_log` VALUES (74706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1086毫秒', '0', '', '2025-01-03 08:22:28');
INSERT INTO `sys_job_log` VALUES (74707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2092毫秒', '0', '', '2025-01-03 08:22:29');
INSERT INTO `sys_job_log` VALUES (74708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1111毫秒', '0', '', '2025-01-03 08:22:33');
INSERT INTO `sys_job_log` VALUES (74709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2216毫秒', '0', '', '2025-01-03 08:22:34');
INSERT INTO `sys_job_log` VALUES (74710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1034毫秒', '0', '', '2025-01-03 08:22:38');
INSERT INTO `sys_job_log` VALUES (74711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2040毫秒', '0', '', '2025-01-03 08:22:39');
INSERT INTO `sys_job_log` VALUES (74712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1060毫秒', '0', '', '2025-01-03 08:22:43');
INSERT INTO `sys_job_log` VALUES (74713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2065毫秒', '0', '', '2025-01-03 08:22:44');
INSERT INTO `sys_job_log` VALUES (74714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1084毫秒', '0', '', '2025-01-03 08:22:48');
INSERT INTO `sys_job_log` VALUES (74715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2090毫秒', '0', '', '2025-01-03 08:22:49');
INSERT INTO `sys_job_log` VALUES (74716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1110毫秒', '0', '', '2025-01-03 08:22:53');
INSERT INTO `sys_job_log` VALUES (74717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2114毫秒', '0', '', '2025-01-03 08:22:54');
INSERT INTO `sys_job_log` VALUES (74718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1032毫秒', '0', '', '2025-01-03 08:22:58');
INSERT INTO `sys_job_log` VALUES (74719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2038毫秒', '0', '', '2025-01-03 08:22:59');
INSERT INTO `sys_job_log` VALUES (74720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 08:23:03');
INSERT INTO `sys_job_log` VALUES (74721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2065毫秒', '0', '', '2025-01-03 08:23:04');
INSERT INTO `sys_job_log` VALUES (74722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1082毫秒', '0', '', '2025-01-03 08:23:08');
INSERT INTO `sys_job_log` VALUES (74723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2087毫秒', '0', '', '2025-01-03 08:23:09');
INSERT INTO `sys_job_log` VALUES (74724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1093毫秒', '0', '', '2025-01-03 08:23:13');
INSERT INTO `sys_job_log` VALUES (74725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2196毫秒', '0', '', '2025-01-03 08:23:14');
INSERT INTO `sys_job_log` VALUES (74726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1030毫秒', '0', '', '2025-01-03 08:23:18');
INSERT INTO `sys_job_log` VALUES (74727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2134毫秒', '0', '', '2025-01-03 08:23:19');
INSERT INTO `sys_job_log` VALUES (74728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 08:23:23');
INSERT INTO `sys_job_log` VALUES (74729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2060毫秒', '0', '', '2025-01-03 08:23:24');
INSERT INTO `sys_job_log` VALUES (74730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1078毫秒', '0', '', '2025-01-03 08:23:28');
INSERT INTO `sys_job_log` VALUES (74731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2084毫秒', '0', '', '2025-01-03 08:23:29');
INSERT INTO `sys_job_log` VALUES (74732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1103毫秒', '0', '', '2025-01-03 08:23:33');
INSERT INTO `sys_job_log` VALUES (74733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2108毫秒', '0', '', '2025-01-03 08:23:34');
INSERT INTO `sys_job_log` VALUES (74734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:23:38');
INSERT INTO `sys_job_log` VALUES (74735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:23:39');
INSERT INTO `sys_job_log` VALUES (74736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1051毫秒', '0', '', '2025-01-03 08:23:43');
INSERT INTO `sys_job_log` VALUES (74737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2056毫秒', '0', '', '2025-01-03 08:23:44');
INSERT INTO `sys_job_log` VALUES (74738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1076毫秒', '0', '', '2025-01-03 08:23:48');
INSERT INTO `sys_job_log` VALUES (74739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2180毫秒', '0', '', '2025-01-03 08:23:49');
INSERT INTO `sys_job_log` VALUES (74740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1100毫秒', '0', '', '2025-01-03 08:23:53');
INSERT INTO `sys_job_log` VALUES (74741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2106毫秒', '0', '', '2025-01-03 08:23:54');
INSERT INTO `sys_job_log` VALUES (74742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 08:23:58');
INSERT INTO `sys_job_log` VALUES (74743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 08:23:59');
INSERT INTO `sys_job_log` VALUES (74744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1049毫秒', '0', '', '2025-01-03 08:24:03');
INSERT INTO `sys_job_log` VALUES (74745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2055毫秒', '0', '', '2025-01-03 08:24:04');
INSERT INTO `sys_job_log` VALUES (74746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 08:24:08');
INSERT INTO `sys_job_log` VALUES (74747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2079毫秒', '0', '', '2025-01-03 08:24:09');
INSERT INTO `sys_job_log` VALUES (74748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1097毫秒', '0', '', '2025-01-03 08:24:13');
INSERT INTO `sys_job_log` VALUES (74749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2202毫秒', '0', '', '2025-01-03 08:24:14');
INSERT INTO `sys_job_log` VALUES (74750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:24:18');
INSERT INTO `sys_job_log` VALUES (74751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 08:24:19');
INSERT INTO `sys_job_log` VALUES (74752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 08:24:23');
INSERT INTO `sys_job_log` VALUES (74753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2051毫秒', '0', '', '2025-01-03 08:24:24');
INSERT INTO `sys_job_log` VALUES (74754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1069毫秒', '0', '', '2025-01-03 08:24:28');
INSERT INTO `sys_job_log` VALUES (74755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2076毫秒', '0', '', '2025-01-03 08:24:29');
INSERT INTO `sys_job_log` VALUES (74756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2025-01-03 08:24:33');
INSERT INTO `sys_job_log` VALUES (74757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2201毫秒', '0', '', '2025-01-03 08:24:34');
INSERT INTO `sys_job_log` VALUES (74758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 08:24:38');
INSERT INTO `sys_job_log` VALUES (74759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2211毫秒', '0', '', '2025-01-03 08:24:39');
INSERT INTO `sys_job_log` VALUES (74760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1036毫秒', '0', '', '2025-01-03 08:24:43');
INSERT INTO `sys_job_log` VALUES (74761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2043毫秒', '0', '', '2025-01-03 08:24:44');
INSERT INTO `sys_job_log` VALUES (74762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 08:24:48');
INSERT INTO `sys_job_log` VALUES (74763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2166毫秒', '0', '', '2025-01-03 08:24:49');
INSERT INTO `sys_job_log` VALUES (74764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1089毫秒', '0', '', '2025-01-03 08:24:53');
INSERT INTO `sys_job_log` VALUES (74765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2193毫秒', '0', '', '2025-01-03 08:24:54');
INSERT INTO `sys_job_log` VALUES (74766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1113毫秒', '0', '', '2025-01-03 08:24:58');
INSERT INTO `sys_job_log` VALUES (74767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2118毫秒', '0', '', '2025-01-03 08:24:59');
INSERT INTO `sys_job_log` VALUES (74768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1041毫秒', '0', '', '2025-01-03 08:25:03');
INSERT INTO `sys_job_log` VALUES (74769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2046毫秒', '0', '', '2025-01-03 08:25:04');
INSERT INTO `sys_job_log` VALUES (74770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1065毫秒', '0', '', '2025-01-03 08:25:08');
INSERT INTO `sys_job_log` VALUES (74771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2071毫秒', '0', '', '2025-01-03 08:25:09');
INSERT INTO `sys_job_log` VALUES (74772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1089毫秒', '0', '', '2025-01-03 08:25:13');
INSERT INTO `sys_job_log` VALUES (74773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2095毫秒', '0', '', '2025-01-03 08:25:14');
INSERT INTO `sys_job_log` VALUES (74774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 08:25:18');
INSERT INTO `sys_job_log` VALUES (74775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2117毫秒', '0', '', '2025-01-03 08:25:19');
INSERT INTO `sys_job_log` VALUES (74776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1039毫秒', '0', '', '2025-01-03 08:25:23');
INSERT INTO `sys_job_log` VALUES (74777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2142毫秒', '0', '', '2025-01-03 08:25:24');
INSERT INTO `sys_job_log` VALUES (74778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 08:25:28');
INSERT INTO `sys_job_log` VALUES (74779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2067毫秒', '0', '', '2025-01-03 08:25:29');
INSERT INTO `sys_job_log` VALUES (74780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1082毫秒', '0', '', '2025-01-03 08:25:33');
INSERT INTO `sys_job_log` VALUES (74781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2088毫秒', '0', '', '2025-01-03 08:25:34');
INSERT INTO `sys_job_log` VALUES (74782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1112毫秒', '0', '', '2025-01-03 08:25:38');
INSERT INTO `sys_job_log` VALUES (74783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2117毫秒', '0', '', '2025-01-03 08:25:39');
INSERT INTO `sys_job_log` VALUES (74784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1035毫秒', '0', '', '2025-01-03 08:25:43');
INSERT INTO `sys_job_log` VALUES (74785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2138毫秒', '0', '', '2025-01-03 08:25:44');
INSERT INTO `sys_job_log` VALUES (74786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1050毫秒', '0', '', '2025-01-03 08:25:48');
INSERT INTO `sys_job_log` VALUES (74787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2156毫秒', '0', '', '2025-01-03 08:25:49');
INSERT INTO `sys_job_log` VALUES (74788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1083毫秒', '0', '', '2025-01-03 08:25:53');
INSERT INTO `sys_job_log` VALUES (74789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2087毫秒', '0', '', '2025-01-03 08:25:54');
INSERT INTO `sys_job_log` VALUES (74790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 08:25:58');
INSERT INTO `sys_job_log` VALUES (74791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2114毫秒', '0', '', '2025-01-03 08:25:59');
INSERT INTO `sys_job_log` VALUES (74792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1031毫秒', '0', '', '2025-01-03 08:26:03');
INSERT INTO `sys_job_log` VALUES (74793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2037毫秒', '0', '', '2025-01-03 08:26:04');
INSERT INTO `sys_job_log` VALUES (74794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1057毫秒', '0', '', '2025-01-03 08:26:08');
INSERT INTO `sys_job_log` VALUES (74795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2062毫秒', '0', '', '2025-01-03 08:26:09');
INSERT INTO `sys_job_log` VALUES (74796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1082毫秒', '0', '', '2025-01-03 08:26:13');
INSERT INTO `sys_job_log` VALUES (74797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2089毫秒', '0', '', '2025-01-03 08:26:14');
INSERT INTO `sys_job_log` VALUES (74798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 08:26:18');
INSERT INTO `sys_job_log` VALUES (74799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2112毫秒', '0', '', '2025-01-03 08:26:19');
INSERT INTO `sys_job_log` VALUES (74800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 08:26:23');
INSERT INTO `sys_job_log` VALUES (74801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2035毫秒', '0', '', '2025-01-03 08:26:24');
INSERT INTO `sys_job_log` VALUES (74802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1054毫秒', '0', '', '2025-01-03 08:26:28');
INSERT INTO `sys_job_log` VALUES (74803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2061毫秒', '0', '', '2025-01-03 08:26:29');
INSERT INTO `sys_job_log` VALUES (74804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1078毫秒', '0', '', '2025-01-03 08:26:33');
INSERT INTO `sys_job_log` VALUES (74805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2084毫秒', '0', '', '2025-01-03 08:26:34');
INSERT INTO `sys_job_log` VALUES (74806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 08:26:38');
INSERT INTO `sys_job_log` VALUES (74807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2107毫秒', '0', '', '2025-01-03 08:26:39');
INSERT INTO `sys_job_log` VALUES (74808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:26:43');
INSERT INTO `sys_job_log` VALUES (74809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2032毫秒', '0', '', '2025-01-03 08:26:44');
INSERT INTO `sys_job_log` VALUES (74810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1051毫秒', '0', '', '2025-01-03 08:26:48');
INSERT INTO `sys_job_log` VALUES (74811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2058毫秒', '0', '', '2025-01-03 08:26:49');
INSERT INTO `sys_job_log` VALUES (74812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1076毫秒', '0', '', '2025-01-03 08:26:53');
INSERT INTO `sys_job_log` VALUES (74813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2080毫秒', '0', '', '2025-01-03 08:26:54');
INSERT INTO `sys_job_log` VALUES (74814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 08:26:58');
INSERT INTO `sys_job_log` VALUES (74815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2106毫秒', '0', '', '2025-01-03 08:26:59');
INSERT INTO `sys_job_log` VALUES (74816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 08:27:03');
INSERT INTO `sys_job_log` VALUES (74817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2029毫秒', '0', '', '2025-01-03 08:27:04');
INSERT INTO `sys_job_log` VALUES (74818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1049毫秒', '0', '', '2025-01-03 08:27:08');
INSERT INTO `sys_job_log` VALUES (74819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2153毫秒', '0', '', '2025-01-03 08:27:09');
INSERT INTO `sys_job_log` VALUES (74820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1073毫秒', '0', '', '2025-01-03 08:27:13');
INSERT INTO `sys_job_log` VALUES (74821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2079毫秒', '0', '', '2025-01-03 08:27:14');
INSERT INTO `sys_job_log` VALUES (74822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1098毫秒', '0', '', '2025-01-03 08:27:18');
INSERT INTO `sys_job_log` VALUES (74823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2203毫秒', '0', '', '2025-01-03 08:27:19');
INSERT INTO `sys_job_log` VALUES (74824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:27:23');
INSERT INTO `sys_job_log` VALUES (74825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 08:27:24');
INSERT INTO `sys_job_log` VALUES (74826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 08:27:28');
INSERT INTO `sys_job_log` VALUES (74827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2053毫秒', '0', '', '2025-01-03 08:27:29');
INSERT INTO `sys_job_log` VALUES (74828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 08:27:33');
INSERT INTO `sys_job_log` VALUES (74829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2077毫秒', '0', '', '2025-01-03 08:27:34');
INSERT INTO `sys_job_log` VALUES (74830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1096毫秒', '0', '', '2025-01-03 08:27:38');
INSERT INTO `sys_job_log` VALUES (74831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2102毫秒', '0', '', '2025-01-03 08:27:39');
INSERT INTO `sys_job_log` VALUES (74832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:27:43');
INSERT INTO `sys_job_log` VALUES (74833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 08:27:44');
INSERT INTO `sys_job_log` VALUES (74834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1044毫秒', '0', '', '2025-01-03 08:27:48');
INSERT INTO `sys_job_log` VALUES (74835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2148毫秒', '0', '', '2025-01-03 08:27:49');
INSERT INTO `sys_job_log` VALUES (74836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1068毫秒', '0', '', '2025-01-03 08:27:53');
INSERT INTO `sys_job_log` VALUES (74837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2073毫秒', '0', '', '2025-01-03 08:27:54');
INSERT INTO `sys_job_log` VALUES (74838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1094毫秒', '0', '', '2025-01-03 08:27:58');
INSERT INTO `sys_job_log` VALUES (74839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2197毫秒', '0', '', '2025-01-03 08:27:59');
INSERT INTO `sys_job_log` VALUES (74840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 08:28:03');
INSERT INTO `sys_job_log` VALUES (74841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 08:28:04');
INSERT INTO `sys_job_log` VALUES (74842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1026毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.beans.factory.BeanCreationNotAllowedException: Error creating bean with name \'tp-log\': Singleton bean creation not allowed while singletons of this factory are in destruction (Do not request a bean from a BeanFactory in a destroy method implementation!)\r\n	at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:220)\r\n	at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:334)\r\n	at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:214)\r\n	at org.springframework.beans.factory.annotation.BeanFactoryAnnotationUtils.qualifiedBeanOfType(BeanFactoryAnnotationUtils.java:129)\r\n	at org.springframework.beans.factory.annotation.BeanFactoryAnnotationUtils.qualifiedBeanOfType(BeanFactoryAnnotationUtils.java:95)\r\n	at org.springframework.aop.interceptor.AsyncExecutionAspectSupport.findQualifiedExecutor(AsyncExecutionAspectSupport.java:211)\r\n	at org.springframework.aop.interceptor.AsyncExecutionAspectSupport.determineAsyncExecutor(AsyncExecutionAspectSupport.java:169)\r\n	at org.springframework.aop.interceptor.AsyncExecutionInterceptor.invoke(AsyncExecutionInterceptor.java:107)\r\n	at org.springframework.aop.fram', '2025-01-03 08:28:13');
INSERT INTO `sys_job_log` VALUES (74843, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1029毫秒', '0', '', '2025-01-03 08:28:19');
INSERT INTO `sys_job_log` VALUES (74844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:28:20');
INSERT INTO `sys_job_log` VALUES (74845, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:28:23');
INSERT INTO `sys_job_log` VALUES (74846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1230毫秒', '0', '', '2025-01-03 08:28:29');
INSERT INTO `sys_job_log` VALUES (74847, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1667毫秒', '0', '', '2025-01-03 08:28:34');
INSERT INTO `sys_job_log` VALUES (74848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16073毫秒', '0', '', '2025-01-03 08:28:38');
INSERT INTO `sys_job_log` VALUES (74849, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2093毫秒', '0', '', '2025-01-03 08:28:39');
INSERT INTO `sys_job_log` VALUES (74850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1514毫秒', '0', '', '2025-01-03 08:28:44');
INSERT INTO `sys_job_log` VALUES (74851, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2028毫秒', '0', '', '2025-01-03 08:28:49');
INSERT INTO `sys_job_log` VALUES (74852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1360毫秒', '0', '', '2025-01-03 08:28:54');
INSERT INTO `sys_job_log` VALUES (74853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17484毫秒', '0', '', '2025-01-03 08:28:56');
INSERT INTO `sys_job_log` VALUES (74854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1785毫秒', '0', '', '2025-01-03 08:28:59');
INSERT INTO `sys_job_log` VALUES (74855, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1203毫秒', '0', '', '2025-01-03 08:29:03');
INSERT INTO `sys_job_log` VALUES (74856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1730毫秒', '0', '', '2025-01-03 08:29:09');
INSERT INTO `sys_job_log` VALUES (74857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16477毫秒', '0', '', '2025-01-03 08:29:12');
INSERT INTO `sys_job_log` VALUES (74858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1152毫秒', '0', '', '2025-01-03 08:29:13');
INSERT INTO `sys_job_log` VALUES (74859, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1670毫秒', '0', '', '2025-01-03 08:29:19');
INSERT INTO `sys_job_log` VALUES (74860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2210毫秒', '0', '', '2025-01-03 08:29:24');
INSERT INTO `sys_job_log` VALUES (74861, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1529毫秒', '0', '', '2025-01-03 08:29:29');
INSERT INTO `sys_job_log` VALUES (74862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17584毫秒', '0', '', '2025-01-03 08:29:30');
INSERT INTO `sys_job_log` VALUES (74863, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2051毫秒', '0', '', '2025-01-03 08:29:34');
INSERT INTO `sys_job_log` VALUES (74864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1282毫秒', '0', '', '2025-01-03 08:29:39');
INSERT INTO `sys_job_log` VALUES (74865, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1709毫秒', '0', '', '2025-01-03 08:29:44');
INSERT INTO `sys_job_log` VALUES (74866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16277毫秒', '0', '', '2025-01-03 08:29:46');
INSERT INTO `sys_job_log` VALUES (74867, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 08:29:48');
INSERT INTO `sys_job_log` VALUES (74868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1457毫秒', '0', '', '2025-01-03 08:29:54');
INSERT INTO `sys_job_log` VALUES (74869, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1883毫秒', '0', '', '2025-01-03 08:29:59');
INSERT INTO `sys_job_log` VALUES (74870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:30:02');
INSERT INTO `sys_job_log` VALUES (74871, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1302毫秒', '0', '', '2025-01-03 08:30:04');
INSERT INTO `sys_job_log` VALUES (74872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1629毫秒', '0', '', '2025-01-03 08:30:09');
INSERT INTO `sys_job_log` VALUES (74873, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2057毫秒', '0', '', '2025-01-03 08:30:14');
INSERT INTO `sys_job_log` VALUES (74874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1377毫秒', '0', '', '2025-01-03 08:30:19');
INSERT INTO `sys_job_log` VALUES (74875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17282毫秒', '0', '', '2025-01-03 08:30:20');
INSERT INTO `sys_job_log` VALUES (74876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1803毫秒', '0', '', '2025-01-03 08:30:24');
INSERT INTO `sys_job_log` VALUES (74877, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2025-01-03 08:30:28');
INSERT INTO `sys_job_log` VALUES (74878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1550毫秒', '0', '', '2025-01-03 08:30:34');
INSERT INTO `sys_job_log` VALUES (74879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:30:36');
INSERT INTO `sys_job_log` VALUES (74880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1966毫秒', '0', '', '2025-01-03 08:30:39');
INSERT INTO `sys_job_log` VALUES (74881, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1287毫秒', '0', '', '2025-01-03 08:30:44');
INSERT INTO `sys_job_log` VALUES (74882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1726毫秒', '0', '', '2025-01-03 08:30:49');
INSERT INTO `sys_job_log` VALUES (74883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16278毫秒', '0', '', '2025-01-03 08:30:52');
INSERT INTO `sys_job_log` VALUES (74884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1043毫秒', '0', '', '2025-01-03 08:30:53');
INSERT INTO `sys_job_log` VALUES (74885, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1472毫秒', '0', '', '2025-01-03 08:30:59');
INSERT INTO `sys_job_log` VALUES (74886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1898毫秒', '0', '', '2025-01-03 08:31:04');
INSERT INTO `sys_job_log` VALUES (74887, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1220毫秒', '0', '', '2025-01-03 08:31:08');
INSERT INTO `sys_job_log` VALUES (74888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17281毫秒', '0', '', '2025-01-03 08:31:10');
INSERT INTO `sys_job_log` VALUES (74889, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1743毫秒', '0', '', '2025-01-03 08:31:14');
INSERT INTO `sys_job_log` VALUES (74890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2072毫秒', '0', '', '2025-01-03 08:31:19');
INSERT INTO `sys_job_log` VALUES (74891, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1394毫秒', '0', '', '2025-01-03 08:31:24');
INSERT INTO `sys_job_log` VALUES (74892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16277毫秒', '0', '', '2025-01-03 08:31:26');
INSERT INTO `sys_job_log` VALUES (74893, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1820毫秒', '0', '', '2025-01-03 08:31:29');
INSERT INTO `sys_job_log` VALUES (74894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1140毫秒', '0', '', '2025-01-03 08:31:33');
INSERT INTO `sys_job_log` VALUES (74895, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1664毫秒', '0', '', '2025-01-03 08:31:39');
INSERT INTO `sys_job_log` VALUES (74896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16377毫秒', '0', '', '2025-01-03 08:31:42');
INSERT INTO `sys_job_log` VALUES (74897, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2095毫秒', '0', '', '2025-01-03 08:31:44');
INSERT INTO `sys_job_log` VALUES (74898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1437毫秒', '0', '', '2025-01-03 08:31:49');
INSERT INTO `sys_job_log` VALUES (74899, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1827毫秒', '0', '', '2025-01-03 08:31:54');
INSERT INTO `sys_job_log` VALUES (74900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1162毫秒', '0', '', '2025-01-03 08:31:58');
INSERT INTO `sys_job_log` VALUES (74901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17281毫秒', '0', '', '2025-01-03 08:32:00');
INSERT INTO `sys_job_log` VALUES (74902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1589毫秒', '0', '', '2025-01-03 08:32:04');
INSERT INTO `sys_job_log` VALUES (74903, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2113毫秒', '0', '', '2025-01-03 08:32:09');
INSERT INTO `sys_job_log` VALUES (74904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1436毫秒', '0', '', '2025-01-03 08:32:14');
INSERT INTO `sys_job_log` VALUES (74905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16378毫秒', '0', '', '2025-01-03 08:32:16');
INSERT INTO `sys_job_log` VALUES (74906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1962毫秒', '0', '', '2025-01-03 08:32:19');
INSERT INTO `sys_job_log` VALUES (74907, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1189毫秒', '0', '', '2025-01-03 08:32:23');
INSERT INTO `sys_job_log` VALUES (74908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1611毫秒', '0', '', '2025-01-03 08:32:29');
INSERT INTO `sys_job_log` VALUES (74909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16277毫秒', '0', '', '2025-01-03 08:32:32');
INSERT INTO `sys_job_log` VALUES (74910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2049毫秒', '0', '', '2025-01-03 08:32:34');
INSERT INTO `sys_job_log` VALUES (74911, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1359毫秒', '0', '', '2025-01-03 08:32:39');
INSERT INTO `sys_job_log` VALUES (74912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1785毫秒', '0', '', '2025-01-03 08:32:44');
INSERT INTO `sys_job_log` VALUES (74913, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1105毫秒', '0', '', '2025-01-03 08:32:48');
INSERT INTO `sys_job_log` VALUES (74914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17282毫秒', '0', '', '2025-01-03 08:32:49');
INSERT INTO `sys_job_log` VALUES (74915, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1527毫秒', '0', '', '2025-01-03 08:32:54');
INSERT INTO `sys_job_log` VALUES (74916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1957毫秒', '0', '', '2025-01-03 08:32:59');
INSERT INTO `sys_job_log` VALUES (74917, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1271毫秒', '0', '', '2025-01-03 08:33:04');
INSERT INTO `sys_job_log` VALUES (74918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16278毫秒', '0', '', '2025-01-03 08:33:06');
INSERT INTO `sys_job_log` VALUES (74919, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1058毫秒', '0', '', '2025-01-03 08:33:18');
INSERT INTO `sys_job_log` VALUES (74920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2059毫秒', '0', '', '2025-01-03 08:33:19');
INSERT INTO `sys_job_log` VALUES (74921, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:33:23');
INSERT INTO `sys_job_log` VALUES (74922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1038毫秒', '0', '', '2025-01-03 08:33:28');
INSERT INTO `sys_job_log` VALUES (74923, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1065毫秒', '0', '', '2025-01-03 08:33:33');
INSERT INTO `sys_job_log` VALUES (74924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15119毫秒', '0', '', '2025-01-03 08:33:37');
INSERT INTO `sys_job_log` VALUES (74925, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1123毫秒', '0', '', '2025-01-03 08:33:38');
INSERT INTO `sys_job_log` VALUES (74926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2025-01-03 08:33:43');
INSERT INTO `sys_job_log` VALUES (74927, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1208毫秒', '0', '', '2025-01-03 08:33:48');
INSERT INTO `sys_job_log` VALUES (74928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15111毫秒', '0', '', '2025-01-03 08:33:53');
INSERT INTO `sys_job_log` VALUES (74929, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1237毫秒', '0', '', '2025-01-03 08:33:54');
INSERT INTO `sys_job_log` VALUES (74930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1257毫秒', '0', '', '2025-01-03 08:33:59');
INSERT INTO `sys_job_log` VALUES (74931, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1285毫秒', '0', '', '2025-01-03 08:34:04');
INSERT INTO `sys_job_log` VALUES (74932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15074毫秒', '0', '', '2025-01-03 08:34:08');
INSERT INTO `sys_job_log` VALUES (74933, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1315毫秒', '0', '', '2025-01-03 08:34:09');
INSERT INTO `sys_job_log` VALUES (74934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1338毫秒', '0', '', '2025-01-03 08:34:14');
INSERT INTO `sys_job_log` VALUES (74935, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1748毫秒', '0', '', '2025-01-03 08:34:19');
INSERT INTO `sys_job_log` VALUES (74936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1069毫秒', '0', '', '2025-01-03 08:34:23');
INSERT INTO `sys_job_log` VALUES (74937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16854毫秒', '0', '', '2025-01-03 08:34:24');
INSERT INTO `sys_job_log` VALUES (74938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1497毫秒', '0', '', '2025-01-03 08:34:29');
INSERT INTO `sys_job_log` VALUES (74939, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1922毫秒', '0', '', '2025-01-03 08:34:34');
INSERT INTO `sys_job_log` VALUES (74940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1242毫秒', '0', '', '2025-01-03 08:34:39');
INSERT INTO `sys_job_log` VALUES (74941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:34:41');
INSERT INTO `sys_job_log` VALUES (74942, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1667毫秒', '0', '', '2025-01-03 08:34:44');
INSERT INTO `sys_job_log` VALUES (74943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2094毫秒', '0', '', '2025-01-03 08:34:49');
INSERT INTO `sys_job_log` VALUES (74944, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1415毫秒', '0', '', '2025-01-03 08:34:54');
INSERT INTO `sys_job_log` VALUES (74945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:34:57');
INSERT INTO `sys_job_log` VALUES (74946, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1842毫秒', '0', '', '2025-01-03 08:34:59');
INSERT INTO `sys_job_log` VALUES (74947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1164毫秒', '0', '', '2025-01-03 08:35:03');
INSERT INTO `sys_job_log` VALUES (74948, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1689毫秒', '0', '', '2025-01-03 08:35:09');
INSERT INTO `sys_job_log` VALUES (74949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1110毫秒', '0', '', '2025-01-03 08:35:13');
INSERT INTO `sys_job_log` VALUES (74950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17384毫秒', '0', '', '2025-01-03 08:35:14');
INSERT INTO `sys_job_log` VALUES (74951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1437毫秒', '0', '', '2025-01-03 08:35:19');
INSERT INTO `sys_job_log` VALUES (74952, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1858毫秒', '0', '', '2025-01-03 08:35:24');
INSERT INTO `sys_job_log` VALUES (74953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1185毫秒', '0', '', '2025-01-03 08:35:28');
INSERT INTO `sys_job_log` VALUES (74954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16275毫秒', '0', '', '2025-01-03 08:35:31');
INSERT INTO `sys_job_log` VALUES (74955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1612毫秒', '0', '', '2025-01-03 08:35:34');
INSERT INTO `sys_job_log` VALUES (74956, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2038毫秒', '0', '', '2025-01-03 08:35:39');
INSERT INTO `sys_job_log` VALUES (74957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1351毫秒', '0', '', '2025-01-03 08:35:44');
INSERT INTO `sys_job_log` VALUES (74958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:35:47');
INSERT INTO `sys_job_log` VALUES (74959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1785毫秒', '0', '', '2025-01-03 08:35:49');
INSERT INTO `sys_job_log` VALUES (74960, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1106毫秒', '0', '', '2025-01-03 08:35:53');
INSERT INTO `sys_job_log` VALUES (74961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1533毫秒', '0', '', '2025-01-03 08:35:59');
INSERT INTO `sys_job_log` VALUES (74962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:36:03');
INSERT INTO `sys_job_log` VALUES (74963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1958毫秒', '0', '', '2025-01-03 08:36:04');
INSERT INTO `sys_job_log` VALUES (74964, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1279毫秒', '0', '', '2025-01-03 08:36:09');
INSERT INTO `sys_job_log` VALUES (74965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1705毫秒', '0', '', '2025-01-03 08:36:14');
INSERT INTO `sys_job_log` VALUES (74966, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1026毫秒', '0', '', '2025-01-03 08:36:18');
INSERT INTO `sys_job_log` VALUES (74967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17281毫秒', '0', '', '2025-01-03 08:36:21');
INSERT INTO `sys_job_log` VALUES (74968, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1454毫秒', '0', '', '2025-01-03 08:36:24');
INSERT INTO `sys_job_log` VALUES (74969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1879毫秒', '0', '', '2025-01-03 08:36:29');
INSERT INTO `sys_job_log` VALUES (74970, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1201毫秒', '0', '', '2025-01-03 08:36:33');
INSERT INTO `sys_job_log` VALUES (74971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16278毫秒', '0', '', '2025-01-03 08:36:37');
INSERT INTO `sys_job_log` VALUES (74972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1616毫秒', '0', '', '2025-01-03 08:36:39');
INSERT INTO `sys_job_log` VALUES (74973, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2146毫秒', '0', '', '2025-01-03 08:36:44');
INSERT INTO `sys_job_log` VALUES (74974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1568毫秒', '0', '', '2025-01-03 08:36:49');
INSERT INTO `sys_job_log` VALUES (74975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16477毫秒', '0', '', '2025-01-03 08:36:53');
INSERT INTO `sys_job_log` VALUES (74976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2099毫秒', '0', '', '2025-01-03 08:36:54');
INSERT INTO `sys_job_log` VALUES (74977, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1517毫秒', '0', '', '2025-01-03 08:36:59');
INSERT INTO `sys_job_log` VALUES (74978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2046毫秒', '0', '', '2025-01-03 08:37:04');
INSERT INTO `sys_job_log` VALUES (74979, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1461毫秒', '0', '', '2025-01-03 08:37:09');
INSERT INTO `sys_job_log` VALUES (74980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17583毫秒', '0', '', '2025-01-03 08:37:11');
INSERT INTO `sys_job_log` VALUES (74981, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1889毫秒', '0', '', '2025-01-03 08:37:14');
INSERT INTO `sys_job_log` VALUES (74982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1318毫秒', '0', '', '2025-01-03 08:37:19');
INSERT INTO `sys_job_log` VALUES (74983, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1843毫秒', '0', '', '2025-01-03 08:37:24');
INSERT INTO `sys_job_log` VALUES (74984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16477毫秒', '0', '', '2025-01-03 08:37:27');
INSERT INTO `sys_job_log` VALUES (74985, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1152毫秒', '0', '', '2025-01-03 08:37:28');
INSERT INTO `sys_job_log` VALUES (74986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1585毫秒', '0', '', '2025-01-03 08:37:34');
INSERT INTO `sys_job_log` VALUES (74987, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2116毫秒', '0', '', '2025-01-03 08:37:39');
INSERT INTO `sys_job_log` VALUES (74988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1530毫秒', '0', '', '2025-01-03 08:37:44');
INSERT INTO `sys_job_log` VALUES (74989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17584毫秒', '0', '', '2025-01-03 08:37:45');
INSERT INTO `sys_job_log` VALUES (74990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2060毫秒', '0', '', '2025-01-03 08:37:49');
INSERT INTO `sys_job_log` VALUES (74991, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1497毫秒', '0', '', '2025-01-03 08:37:54');
INSERT INTO `sys_job_log` VALUES (74992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2005毫秒', '0', '', '2025-01-03 08:37:59');
INSERT INTO `sys_job_log` VALUES (74993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:38:01');
INSERT INTO `sys_job_log` VALUES (74994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1439毫秒', '0', '', '2025-01-03 08:38:04');
INSERT INTO `sys_job_log` VALUES (74995, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1961毫秒', '0', '', '2025-01-03 08:38:09');
INSERT INTO `sys_job_log` VALUES (74996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1378毫秒', '0', '', '2025-01-03 08:38:14');
INSERT INTO `sys_job_log` VALUES (74997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:38:18');
INSERT INTO `sys_job_log` VALUES (74998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1804毫秒', '0', '', '2025-01-03 08:38:19');
INSERT INTO `sys_job_log` VALUES (74999, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1220毫秒', '0', '', '2025-01-03 08:38:24');
INSERT INTO `sys_job_log` VALUES (75000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1752毫秒', '0', '', '2025-01-03 08:38:29');
INSERT INTO `sys_job_log` VALUES (75001, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1182毫秒', '0', '', '2025-01-03 08:38:33');
INSERT INTO `sys_job_log` VALUES (75002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17583毫秒', '0', '', '2025-01-03 08:38:36');
INSERT INTO `sys_job_log` VALUES (75003, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1710毫秒', '0', '', '2025-01-03 08:38:39');
INSERT INTO `sys_job_log` VALUES (75004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1119毫秒', '0', '', '2025-01-03 08:38:43');
INSERT INTO `sys_job_log` VALUES (75005, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1652毫秒', '0', '', '2025-01-03 08:38:49');
INSERT INTO `sys_job_log` VALUES (75006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16478毫秒', '0', '', '2025-01-03 08:38:52');
INSERT INTO `sys_job_log` VALUES (75007, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2071毫秒', '0', '', '2025-01-03 08:38:54');
INSERT INTO `sys_job_log` VALUES (75008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1502毫秒', '0', '', '2025-01-03 08:38:59');
INSERT INTO `sys_job_log` VALUES (75009, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1922毫秒', '0', '', '2025-01-03 08:39:04');
INSERT INTO `sys_job_log` VALUES (75010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1342毫秒', '0', '', '2025-01-03 08:39:09');
INSERT INTO `sys_job_log` VALUES (75011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17582毫秒', '0', '', '2025-01-03 08:39:10');
INSERT INTO `sys_job_log` VALUES (75012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1877毫秒', '0', '', '2025-01-03 08:39:14');
INSERT INTO `sys_job_log` VALUES (75013, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1099毫秒', '0', '', '2025-01-03 08:39:18');
INSERT INTO `sys_job_log` VALUES (75014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1613毫秒', '0', '', '2025-01-03 08:39:24');
INSERT INTO `sys_job_log` VALUES (75015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16378毫秒', '0', '', '2025-01-03 08:39:26');
INSERT INTO `sys_job_log` VALUES (75016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2148毫秒', '0', '', '2025-01-03 08:39:29');
INSERT INTO `sys_job_log` VALUES (75017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1578毫秒', '0', '', '2025-01-03 08:39:34');
INSERT INTO `sys_job_log` VALUES (75018, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2089毫秒', '0', '', '2025-01-03 08:39:39');
INSERT INTO `sys_job_log` VALUES (75019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16577毫秒', '0', '', '2025-01-03 08:39:43');
INSERT INTO `sys_job_log` VALUES (75020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1518毫秒', '0', '', '2025-01-03 08:39:44');
INSERT INTO `sys_job_log` VALUES (75021, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2052毫秒', '0', '', '2025-01-03 08:39:49');
INSERT INTO `sys_job_log` VALUES (75022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1464毫秒', '0', '', '2025-01-03 08:39:54');
INSERT INTO `sys_job_log` VALUES (75023, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1901毫秒', '0', '', '2025-01-03 08:39:59');
INSERT INTO `sys_job_log` VALUES (75024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17583毫秒', '0', '', '2025-01-03 08:40:00');
INSERT INTO `sys_job_log` VALUES (75025, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1317毫秒', '0', '', '2025-01-03 08:40:04');
INSERT INTO `sys_job_log` VALUES (75026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1840毫秒', '0', '', '2025-01-03 08:40:09');
INSERT INTO `sys_job_log` VALUES (75027, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1256毫秒', '0', '', '2025-01-03 08:40:14');
INSERT INTO `sys_job_log` VALUES (75028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16579毫秒', '0', '', '2025-01-03 08:40:17');
INSERT INTO `sys_job_log` VALUES (75029, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1789毫秒', '0', '', '2025-01-03 08:40:19');
INSERT INTO `sys_job_log` VALUES (75030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1218毫秒', '0', '', '2025-01-03 08:40:23');
INSERT INTO `sys_job_log` VALUES (75031, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1733毫秒', '0', '', '2025-01-03 08:40:29');
INSERT INTO `sys_job_log` VALUES (75032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1167毫秒', '0', '', '2025-01-03 08:40:33');
INSERT INTO `sys_job_log` VALUES (75033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2025-01-03 08:40:35');
INSERT INTO `sys_job_log` VALUES (75034, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1681毫秒', '0', '', '2025-01-03 08:40:39');
INSERT INTO `sys_job_log` VALUES (75035, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2119毫秒', '0', '', '2025-01-03 08:40:44');
INSERT INTO `sys_job_log` VALUES (75036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1542毫秒', '0', '', '2025-01-03 08:40:49');
INSERT INTO `sys_job_log` VALUES (75037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16477毫秒', '0', '', '2025-01-03 08:40:51');
INSERT INTO `sys_job_log` VALUES (75038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2069毫秒', '0', '', '2025-01-03 08:40:54');
INSERT INTO `sys_job_log` VALUES (75039, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1476毫秒', '0', '', '2025-01-03 08:40:59');
INSERT INTO `sys_job_log` VALUES (75040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2008毫秒', '0', '', '2025-01-03 08:41:04');
INSERT INTO `sys_job_log` VALUES (75041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16579毫秒', '0', '', '2025-01-03 08:41:08');
INSERT INTO `sys_job_log` VALUES (75042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1436毫秒', '0', '', '2025-01-03 08:41:09');
INSERT INTO `sys_job_log` VALUES (75043, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1955毫秒', '0', '', '2025-01-03 08:41:14');
INSERT INTO `sys_job_log` VALUES (75044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1386毫秒', '0', '', '2025-01-03 08:41:19');
INSERT INTO `sys_job_log` VALUES (75045, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1908毫秒', '0', '', '2025-01-03 08:41:24');
INSERT INTO `sys_job_log` VALUES (75046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2025-01-03 08:41:25');
INSERT INTO `sys_job_log` VALUES (75047, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1334毫秒', '0', '', '2025-01-03 08:41:29');
INSERT INTO `sys_job_log` VALUES (75048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1849毫秒', '0', '', '2025-01-03 08:41:34');
INSERT INTO `sys_job_log` VALUES (75049, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1273毫秒', '0', '', '2025-01-03 08:41:39');
INSERT INTO `sys_job_log` VALUES (75050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16574毫秒', '0', '', '2025-01-03 08:41:42');
INSERT INTO `sys_job_log` VALUES (75051, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1809毫秒', '0', '', '2025-01-03 08:41:44');
INSERT INTO `sys_job_log` VALUES (75052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1226毫秒', '0', '', '2025-01-03 08:41:49');
INSERT INTO `sys_job_log` VALUES (75053, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1759毫秒', '0', '', '2025-01-03 08:41:54');
INSERT INTO `sys_job_log` VALUES (75054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1080毫秒', '0', '', '2025-01-03 08:41:58');
INSERT INTO `sys_job_log` VALUES (75055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17584毫秒', '0', '', '2025-01-03 08:41:59');
INSERT INTO `sys_job_log` VALUES (75056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1506毫秒', '0', '', '2025-01-03 08:42:04');
INSERT INTO `sys_job_log` VALUES (75057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2025毫秒', '0', '', '2025-01-03 08:42:09');
INSERT INTO `sys_job_log` VALUES (75058, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1341毫秒', '0', '', '2025-01-03 08:42:14');
INSERT INTO `sys_job_log` VALUES (75059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16375毫秒', '0', '', '2025-01-03 08:42:16');
INSERT INTO `sys_job_log` VALUES (75060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1880毫秒', '0', '', '2025-01-03 08:42:19');
INSERT INTO `sys_job_log` VALUES (75061, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1294毫秒', '0', '', '2025-01-03 08:42:24');
INSERT INTO `sys_job_log` VALUES (75062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1814毫秒', '0', '', '2025-01-03 08:42:29');
INSERT INTO `sys_job_log` VALUES (75063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:42:32');
INSERT INTO `sys_job_log` VALUES (75064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1246毫秒', '0', '', '2025-01-03 08:42:34');
INSERT INTO `sys_job_log` VALUES (75065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1765毫秒', '0', '', '2025-01-03 08:42:39');
INSERT INTO `sys_job_log` VALUES (75066, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1198毫秒', '0', '', '2025-01-03 08:42:43');
INSERT INTO `sys_job_log` VALUES (75067, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1723毫秒', '0', '', '2025-01-03 08:42:49');
INSERT INTO `sys_job_log` VALUES (75068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2025-01-03 08:42:50');
INSERT INTO `sys_job_log` VALUES (75069, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1141毫秒', '0', '', '2025-01-03 08:42:53');
INSERT INTO `sys_job_log` VALUES (75070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1661毫秒', '0', '', '2025-01-03 08:42:59');
INSERT INTO `sys_job_log` VALUES (75071, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2194毫秒', '0', '', '2025-01-03 08:43:04');
INSERT INTO `sys_job_log` VALUES (75072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:43:07');
INSERT INTO `sys_job_log` VALUES (75073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1613毫秒', '0', '', '2025-01-03 08:43:09');
INSERT INTO `sys_job_log` VALUES (75074, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2137毫秒', '0', '', '2025-01-03 08:43:14');
INSERT INTO `sys_job_log` VALUES (75075, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1556毫秒', '0', '', '2025-01-03 08:43:19');
INSERT INTO `sys_job_log` VALUES (75076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:43:23');
INSERT INTO `sys_job_log` VALUES (75077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2084毫秒', '0', '', '2025-01-03 08:43:24');
INSERT INTO `sys_job_log` VALUES (75078, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1405毫秒', '0', '', '2025-01-03 08:43:29');
INSERT INTO `sys_job_log` VALUES (75079, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1935毫秒', '0', '', '2025-01-03 08:43:34');
INSERT INTO `sys_job_log` VALUES (75080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1375毫秒', '0', '', '2025-01-03 08:43:39');
INSERT INTO `sys_job_log` VALUES (75081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17584毫秒', '0', '', '2025-01-03 08:43:41');
INSERT INTO `sys_job_log` VALUES (75082, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1880毫秒', '0', '', '2025-01-03 08:43:44');
INSERT INTO `sys_job_log` VALUES (75083, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1305毫秒', '0', '', '2025-01-03 08:43:49');
INSERT INTO `sys_job_log` VALUES (75084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1835毫秒', '0', '', '2025-01-03 08:43:54');
INSERT INTO `sys_job_log` VALUES (75085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:43:57');
INSERT INTO `sys_job_log` VALUES (75086, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1250毫秒', '0', '', '2025-01-03 08:43:59');
INSERT INTO `sys_job_log` VALUES (75087, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1786毫秒', '0', '', '2025-01-03 08:44:04');
INSERT INTO `sys_job_log` VALUES (75088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1212毫秒', '0', '', '2025-01-03 08:44:08');
INSERT INTO `sys_job_log` VALUES (75089, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1725毫秒', '0', '', '2025-01-03 08:44:14');
INSERT INTO `sys_job_log` VALUES (75090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17586毫秒', '0', '', '2025-01-03 08:44:15');
INSERT INTO `sys_job_log` VALUES (75091, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2154毫秒', '0', '', '2025-01-03 08:44:19');
INSERT INTO `sys_job_log` VALUES (75092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1586毫秒', '0', '', '2025-01-03 08:44:24');
INSERT INTO `sys_job_log` VALUES (75093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2108毫秒', '0', '', '2025-01-03 08:44:29');
INSERT INTO `sys_job_log` VALUES (75094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:44:32');
INSERT INTO `sys_job_log` VALUES (75095, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1533毫秒', '0', '', '2025-01-03 08:44:34');
INSERT INTO `sys_job_log` VALUES (75096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2050毫秒', '0', '', '2025-01-03 08:44:39');
INSERT INTO `sys_job_log` VALUES (75097, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1473毫秒', '0', '', '2025-01-03 08:44:44');
INSERT INTO `sys_job_log` VALUES (75098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16477毫秒', '0', '', '2025-01-03 08:44:48');
INSERT INTO `sys_job_log` VALUES (75099, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1897毫秒', '0', '', '2025-01-03 08:44:49');
INSERT INTO `sys_job_log` VALUES (75100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1324毫秒', '0', '', '2025-01-03 08:44:54');
INSERT INTO `sys_job_log` VALUES (75101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1848毫秒', '0', '', '2025-01-03 08:44:59');
INSERT INTO `sys_job_log` VALUES (75102, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1177毫秒', '0', '', '2025-01-03 08:45:03');
INSERT INTO `sys_job_log` VALUES (75103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17582毫秒', '0', '', '2025-01-03 08:45:06');
INSERT INTO `sys_job_log` VALUES (75104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1605毫秒', '0', '', '2025-01-03 08:45:09');
INSERT INTO `sys_job_log` VALUES (75105, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2034毫秒', '0', '', '2025-01-03 08:45:14');
INSERT INTO `sys_job_log` VALUES (75106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1357毫秒', '0', '', '2025-01-03 08:45:19');
INSERT INTO `sys_job_log` VALUES (75107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16278毫秒', '0', '', '2025-01-03 08:45:22');
INSERT INTO `sys_job_log` VALUES (75108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1782毫秒', '0', '', '2025-01-03 08:45:24');
INSERT INTO `sys_job_log` VALUES (75109, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 08:45:28');
INSERT INTO `sys_job_log` VALUES (75110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1530毫秒', '0', '', '2025-01-03 08:45:34');
INSERT INTO `sys_job_log` VALUES (75111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16278毫秒', '0', '', '2025-01-03 08:45:38');
INSERT INTO `sys_job_log` VALUES (75112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1956毫秒', '0', '', '2025-01-03 08:45:39');
INSERT INTO `sys_job_log` VALUES (75113, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1268毫秒', '0', '', '2025-01-03 08:45:44');
INSERT INTO `sys_job_log` VALUES (75114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1704毫秒', '0', '', '2025-01-03 08:45:49');
INSERT INTO `sys_job_log` VALUES (75115, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 08:45:53');
INSERT INTO `sys_job_log` VALUES (75116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17281毫秒', '0', '', '2025-01-03 08:45:56');
INSERT INTO `sys_job_log` VALUES (75117, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1452毫秒', '0', '', '2025-01-03 08:45:59');
INSERT INTO `sys_job_log` VALUES (75118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1876毫秒', '0', '', '2025-01-03 08:46:04');
INSERT INTO `sys_job_log` VALUES (75119, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1199毫秒', '0', '', '2025-01-03 08:46:08');
INSERT INTO `sys_job_log` VALUES (75120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16277毫秒', '0', '', '2025-01-03 08:46:12');
INSERT INTO `sys_job_log` VALUES (75121, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1627毫秒', '0', '', '2025-01-03 08:46:14');
INSERT INTO `sys_job_log` VALUES (75122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2052毫秒', '0', '', '2025-01-03 08:46:19');
INSERT INTO `sys_job_log` VALUES (75123, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1372毫秒', '0', '', '2025-01-03 08:46:24');
INSERT INTO `sys_job_log` VALUES (75124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16276毫秒', '0', '', '2025-01-03 08:46:28');
INSERT INTO `sys_job_log` VALUES (75125, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1800毫秒', '0', '', '2025-01-03 08:46:29');
INSERT INTO `sys_job_log` VALUES (75126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1119毫秒', '0', '', '2025-01-03 08:46:33');
INSERT INTO `sys_job_log` VALUES (75127, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1546毫秒', '0', '', '2025-01-03 08:46:39');
INSERT INTO `sys_job_log` VALUES (75128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1973毫秒', '0', '', '2025-01-03 08:46:44');
INSERT INTO `sys_job_log` VALUES (75129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17281毫秒', '0', '', '2025-01-03 08:46:45');
INSERT INTO `sys_job_log` VALUES (75130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1392毫秒', '0', '', '2025-01-03 08:46:49');
INSERT INTO `sys_job_log` VALUES (75131, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1820毫秒', '0', '', '2025-01-03 08:46:54');
INSERT INTO `sys_job_log` VALUES (75132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1141毫秒', '0', '', '2025-01-03 08:46:58');
INSERT INTO `sys_job_log` VALUES (75133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16377毫秒', '0', '', '2025-01-03 08:47:02');
INSERT INTO `sys_job_log` VALUES (75134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1567毫秒', '0', '', '2025-01-03 08:47:04');
INSERT INTO `sys_job_log` VALUES (75135, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1993毫秒', '0', '', '2025-01-03 08:47:09');
INSERT INTO `sys_job_log` VALUES (75136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1415毫秒', '0', '', '2025-01-03 08:47:14');
INSERT INTO `sys_job_log` VALUES (75137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16378毫秒', '0', '', '2025-01-03 08:47:18');
INSERT INTO `sys_job_log` VALUES (75138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1936毫秒', '0', '', '2025-01-03 08:47:19');
INSERT INTO `sys_job_log` VALUES (75139, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1361毫秒', '0', '', '2025-01-03 08:47:24');
INSERT INTO `sys_job_log` VALUES (75140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1888毫秒', '0', '', '2025-01-03 08:47:29');
INSERT INTO `sys_job_log` VALUES (75141, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1307毫秒', '0', '', '2025-01-03 08:47:34');
INSERT INTO `sys_job_log` VALUES (75142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2025-01-03 08:47:36');
INSERT INTO `sys_job_log` VALUES (75143, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1836毫秒', '0', '', '2025-01-03 08:47:39');
INSERT INTO `sys_job_log` VALUES (75144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1247毫秒', '0', '', '2025-01-03 08:47:44');
INSERT INTO `sys_job_log` VALUES (75145, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1779毫秒', '0', '', '2025-01-03 08:47:49');
INSERT INTO `sys_job_log` VALUES (75146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16577毫秒', '0', '', '2025-01-03 08:47:52');
INSERT INTO `sys_job_log` VALUES (75147, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1194毫秒', '0', '', '2025-01-03 08:47:53');
INSERT INTO `sys_job_log` VALUES (75148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1731毫秒', '0', '', '2025-01-03 08:47:59');
INSERT INTO `sys_job_log` VALUES (75149, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1150毫秒', '0', '', '2025-01-03 08:48:03');
INSERT INTO `sys_job_log` VALUES (75150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1573毫秒', '0', '', '2025-01-03 08:48:09');
INSERT INTO `sys_job_log` VALUES (75151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17584毫秒', '0', '', '2025-01-03 08:48:10');
INSERT INTO `sys_job_log` VALUES (75152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2108毫秒', '0', '', '2025-01-03 08:48:14');
INSERT INTO `sys_job_log` VALUES (75153, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1516毫秒', '0', '', '2025-01-03 08:48:19');
INSERT INTO `sys_job_log` VALUES (75154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2054毫秒', '0', '', '2025-01-03 08:48:24');
INSERT INTO `sys_job_log` VALUES (75155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:48:27');
INSERT INTO `sys_job_log` VALUES (75156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1471毫秒', '0', '', '2025-01-03 08:48:29');
INSERT INTO `sys_job_log` VALUES (75157, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1997毫秒', '0', '', '2025-01-03 08:48:34');
INSERT INTO `sys_job_log` VALUES (75158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1428毫秒', '0', '', '2025-01-03 08:48:39');
INSERT INTO `sys_job_log` VALUES (75159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16578毫秒', '0', '', '2025-01-03 08:48:43');
INSERT INTO `sys_job_log` VALUES (75160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1950毫秒', '0', '', '2025-01-03 08:48:44');
INSERT INTO `sys_job_log` VALUES (75161, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1277毫秒', '0', '', '2025-01-03 08:48:49');
INSERT INTO `sys_job_log` VALUES (75162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1799毫秒', '0', '', '2025-01-03 08:48:54');
INSERT INTO `sys_job_log` VALUES (75163, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1210毫秒', '0', '', '2025-01-03 08:48:58');
INSERT INTO `sys_job_log` VALUES (75164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17582毫秒', '0', '', '2025-01-03 08:49:01');
INSERT INTO `sys_job_log` VALUES (75165, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1745毫秒', '0', '', '2025-01-03 08:49:04');
INSERT INTO `sys_job_log` VALUES (75166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1168毫秒', '0', '', '2025-01-03 08:49:08');
INSERT INTO `sys_job_log` VALUES (75167, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1700毫秒', '0', '', '2025-01-03 08:49:14');
INSERT INTO `sys_job_log` VALUES (75168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16579毫秒', '0', '', '2025-01-03 08:49:17');
INSERT INTO `sys_job_log` VALUES (75169, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1110毫秒', '0', '', '2025-01-03 08:49:18');
INSERT INTO `sys_job_log` VALUES (75170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1647毫秒', '0', '', '2025-01-03 08:49:24');
INSERT INTO `sys_job_log` VALUES (75171, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2175毫秒', '0', '', '2025-01-03 08:49:29');
INSERT INTO `sys_job_log` VALUES (75172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1592毫秒', '0', '', '2025-01-03 08:49:34');
INSERT INTO `sys_job_log` VALUES (75173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17683毫秒', '0', '', '2025-01-03 08:49:35');
INSERT INTO `sys_job_log` VALUES (75174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2011毫秒', '0', '', '2025-01-03 08:49:39');
INSERT INTO `sys_job_log` VALUES (75175, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1436毫秒', '0', '', '2025-01-03 08:49:44');
INSERT INTO `sys_job_log` VALUES (75176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1030毫秒', '0', '', '2025-01-03 08:50:28');
INSERT INTO `sys_job_log` VALUES (75177, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2031毫秒', '0', '', '2025-01-03 08:50:29');
INSERT INTO `sys_job_log` VALUES (75178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:50:33');
INSERT INTO `sys_job_log` VALUES (75179, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1046毫秒', '0', '', '2025-01-03 08:50:38');
INSERT INTO `sys_job_log` VALUES (75180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 08:50:43');
INSERT INTO `sys_job_log` VALUES (75181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15085毫秒', '0', '', '2025-01-03 08:50:47');
INSERT INTO `sys_job_log` VALUES (75182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1096毫秒', '0', '', '2025-01-03 08:50:48');
INSERT INTO `sys_job_log` VALUES (75183, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1129毫秒', '0', '', '2025-01-03 08:50:53');
INSERT INTO `sys_job_log` VALUES (75184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1153毫秒', '0', '', '2025-01-03 08:50:58');
INSERT INTO `sys_job_log` VALUES (75185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1031毫秒', '0', '', '2025-01-03 08:55:05');
INSERT INTO `sys_job_log` VALUES (75186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2025-01-03 08:55:06');
INSERT INTO `sys_job_log` VALUES (75187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6毫秒', '0', '', '2025-01-03 08:55:07');
INSERT INTO `sys_job_log` VALUES (75188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:55:08');
INSERT INTO `sys_job_log` VALUES (75189, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 08:57:11');
INSERT INTO `sys_job_log` VALUES (75190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 08:57:12');
INSERT INTO `sys_job_log` VALUES (75191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：11毫秒', '0', '', '2025-01-03 08:57:12');
INSERT INTO `sys_job_log` VALUES (75192, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:57:13');
INSERT INTO `sys_job_log` VALUES (75193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:57:17');
INSERT INTO `sys_job_log` VALUES (75194, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:57:18');
INSERT INTO `sys_job_log` VALUES (75195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:57:22');
INSERT INTO `sys_job_log` VALUES (75196, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:57:23');
INSERT INTO `sys_job_log` VALUES (75197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:57:28');
INSERT INTO `sys_job_log` VALUES (75198, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2010毫秒', '0', '', '2025-01-03 08:57:29');
INSERT INTO `sys_job_log` VALUES (75199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:57:32');
INSERT INTO `sys_job_log` VALUES (75200, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:57:33');
INSERT INTO `sys_job_log` VALUES (75201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:57:37');
INSERT INTO `sys_job_log` VALUES (75202, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:57:38');
INSERT INTO `sys_job_log` VALUES (75203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1009毫秒', '0', '', '2025-01-03 08:57:43');
INSERT INTO `sys_job_log` VALUES (75204, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2010毫秒', '0', '', '2025-01-03 08:57:44');
INSERT INTO `sys_job_log` VALUES (75205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:57:47');
INSERT INTO `sys_job_log` VALUES (75206, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:57:48');
INSERT INTO `sys_job_log` VALUES (75207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:57:52');
INSERT INTO `sys_job_log` VALUES (75208, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:57:53');
INSERT INTO `sys_job_log` VALUES (75209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1014毫秒', '0', '', '2025-01-03 08:57:58');
INSERT INTO `sys_job_log` VALUES (75210, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2025-01-03 08:57:59');
INSERT INTO `sys_job_log` VALUES (75211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:58:02');
INSERT INTO `sys_job_log` VALUES (75212, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 08:58:03');
INSERT INTO `sys_job_log` VALUES (75213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:58:07');
INSERT INTO `sys_job_log` VALUES (75214, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 08:58:08');
INSERT INTO `sys_job_log` VALUES (75215, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 08:58:13');
INSERT INTO `sys_job_log` VALUES (75216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-03 08:58:14');
INSERT INTO `sys_job_log` VALUES (75217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:58:17');
INSERT INTO `sys_job_log` VALUES (75218, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1020毫秒', '0', '', '2025-01-03 08:58:18');
INSERT INTO `sys_job_log` VALUES (75219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:58:22');
INSERT INTO `sys_job_log` VALUES (75220, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 08:58:23');
INSERT INTO `sys_job_log` VALUES (75221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1024毫秒', '0', '', '2025-01-03 08:58:28');
INSERT INTO `sys_job_log` VALUES (75222, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2039毫秒', '0', '', '2025-01-03 08:58:29');
INSERT INTO `sys_job_log` VALUES (75223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:58:32');
INSERT INTO `sys_job_log` VALUES (75224, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:58:33');
INSERT INTO `sys_job_log` VALUES (75225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:58:37');
INSERT INTO `sys_job_log` VALUES (75226, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:58:38');
INSERT INTO `sys_job_log` VALUES (75227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:58:43');
INSERT INTO `sys_job_log` VALUES (75228, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2010毫秒', '0', '', '2025-01-03 08:58:44');
INSERT INTO `sys_job_log` VALUES (75229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:58:47');
INSERT INTO `sys_job_log` VALUES (75230, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1010毫秒', '0', '', '2025-01-03 08:58:48');
INSERT INTO `sys_job_log` VALUES (75231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:58:52');
INSERT INTO `sys_job_log` VALUES (75232, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:58:53');
INSERT INTO `sys_job_log` VALUES (75233, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:58:58');
INSERT INTO `sys_job_log` VALUES (75234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 08:58:59');
INSERT INTO `sys_job_log` VALUES (75235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:59:02');
INSERT INTO `sys_job_log` VALUES (75236, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1015毫秒', '0', '', '2025-01-03 08:59:03');
INSERT INTO `sys_job_log` VALUES (75237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:59:07');
INSERT INTO `sys_job_log` VALUES (75238, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:59:08');
INSERT INTO `sys_job_log` VALUES (75239, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 08:59:13');
INSERT INTO `sys_job_log` VALUES (75240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2014毫秒', '0', '', '2025-01-03 08:59:14');
INSERT INTO `sys_job_log` VALUES (75241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 08:59:17');
INSERT INTO `sys_job_log` VALUES (75242, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 08:59:18');
INSERT INTO `sys_job_log` VALUES (75243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:59:22');
INSERT INTO `sys_job_log` VALUES (75244, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 08:59:23');
INSERT INTO `sys_job_log` VALUES (75245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:59:28');
INSERT INTO `sys_job_log` VALUES (75246, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:59:29');
INSERT INTO `sys_job_log` VALUES (75247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:59:32');
INSERT INTO `sys_job_log` VALUES (75248, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:59:33');
INSERT INTO `sys_job_log` VALUES (75249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:59:37');
INSERT INTO `sys_job_log` VALUES (75250, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 08:59:38');
INSERT INTO `sys_job_log` VALUES (75251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 08:59:43');
INSERT INTO `sys_job_log` VALUES (75252, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:59:44');
INSERT INTO `sys_job_log` VALUES (75253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 08:59:47');
INSERT INTO `sys_job_log` VALUES (75254, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 08:59:48');
INSERT INTO `sys_job_log` VALUES (75255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 08:59:52');
INSERT INTO `sys_job_log` VALUES (75256, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 08:59:53');
INSERT INTO `sys_job_log` VALUES (75257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1007毫秒', '0', '', '2025-01-03 08:59:58');
INSERT INTO `sys_job_log` VALUES (75258, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 08:59:59');
INSERT INTO `sys_job_log` VALUES (75259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:00:02');
INSERT INTO `sys_job_log` VALUES (75260, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:00:03');
INSERT INTO `sys_job_log` VALUES (75261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:00:07');
INSERT INTO `sys_job_log` VALUES (75262, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:00:08');
INSERT INTO `sys_job_log` VALUES (75263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:00:13');
INSERT INTO `sys_job_log` VALUES (75264, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2008毫秒', '0', '', '2025-01-03 09:00:14');
INSERT INTO `sys_job_log` VALUES (75265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:00:17');
INSERT INTO `sys_job_log` VALUES (75266, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:00:18');
INSERT INTO `sys_job_log` VALUES (75267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:00:22');
INSERT INTO `sys_job_log` VALUES (75268, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:00:23');
INSERT INTO `sys_job_log` VALUES (75269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 09:00:28');
INSERT INTO `sys_job_log` VALUES (75270, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 09:00:29');
INSERT INTO `sys_job_log` VALUES (75271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:00:32');
INSERT INTO `sys_job_log` VALUES (75272, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:00:33');
INSERT INTO `sys_job_log` VALUES (75273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:00:37');
INSERT INTO `sys_job_log` VALUES (75274, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:00:38');
INSERT INTO `sys_job_log` VALUES (75275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:00:43');
INSERT INTO `sys_job_log` VALUES (75276, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2008毫秒', '0', '', '2025-01-03 09:00:44');
INSERT INTO `sys_job_log` VALUES (75277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:00:47');
INSERT INTO `sys_job_log` VALUES (75278, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:00:48');
INSERT INTO `sys_job_log` VALUES (75279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:00:52');
INSERT INTO `sys_job_log` VALUES (75280, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:00:53');
INSERT INTO `sys_job_log` VALUES (75281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1016毫秒', '0', '', '2025-01-03 09:00:58');
INSERT INTO `sys_job_log` VALUES (75282, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2025毫秒', '0', '', '2025-01-03 09:00:59');
INSERT INTO `sys_job_log` VALUES (75283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:01:02');
INSERT INTO `sys_job_log` VALUES (75284, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 09:01:03');
INSERT INTO `sys_job_log` VALUES (75285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:01:07');
INSERT INTO `sys_job_log` VALUES (75286, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 09:01:08');
INSERT INTO `sys_job_log` VALUES (75287, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 09:01:13');
INSERT INTO `sys_job_log` VALUES (75288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 09:01:14');
INSERT INTO `sys_job_log` VALUES (75289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:01:17');
INSERT INTO `sys_job_log` VALUES (75290, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 09:01:18');
INSERT INTO `sys_job_log` VALUES (75291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:01:22');
INSERT INTO `sys_job_log` VALUES (75292, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 09:01:23');
INSERT INTO `sys_job_log` VALUES (75293, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1012毫秒', '0', '', '2025-01-03 09:01:28');
INSERT INTO `sys_job_log` VALUES (75294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2023毫秒', '0', '', '2025-01-03 09:01:29');
INSERT INTO `sys_job_log` VALUES (75295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:01:32');
INSERT INTO `sys_job_log` VALUES (75296, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 09:01:33');
INSERT INTO `sys_job_log` VALUES (75297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:01:37');
INSERT INTO `sys_job_log` VALUES (75298, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 09:01:38');
INSERT INTO `sys_job_log` VALUES (75299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1020毫秒', '0', '', '2025-01-03 09:01:43');
INSERT INTO `sys_job_log` VALUES (75300, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2025毫秒', '0', '', '2025-01-03 09:01:44');
INSERT INTO `sys_job_log` VALUES (75301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:01:47');
INSERT INTO `sys_job_log` VALUES (75302, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:01:48');
INSERT INTO `sys_job_log` VALUES (75303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:01:52');
INSERT INTO `sys_job_log` VALUES (75304, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 09:01:53');
INSERT INTO `sys_job_log` VALUES (75305, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:01:58');
INSERT INTO `sys_job_log` VALUES (75306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 09:01:59');
INSERT INTO `sys_job_log` VALUES (75307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:02:02');
INSERT INTO `sys_job_log` VALUES (75308, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:02:03');
INSERT INTO `sys_job_log` VALUES (75309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:02:07');
INSERT INTO `sys_job_log` VALUES (75310, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:02:08');
INSERT INTO `sys_job_log` VALUES (75311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1021毫秒', '0', '', '2025-01-03 09:02:13');
INSERT INTO `sys_job_log` VALUES (75312, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2029毫秒', '0', '', '2025-01-03 09:02:14');
INSERT INTO `sys_job_log` VALUES (75313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:02:17');
INSERT INTO `sys_job_log` VALUES (75314, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 09:02:18');
INSERT INTO `sys_job_log` VALUES (75315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 09:02:22');
INSERT INTO `sys_job_log` VALUES (75316, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1018毫秒', '0', '', '2025-01-03 09:02:23');
INSERT INTO `sys_job_log` VALUES (75317, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1014毫秒', '0', '', '2025-01-03 09:02:28');
INSERT INTO `sys_job_log` VALUES (75318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2021毫秒', '0', '', '2025-01-03 09:02:29');
INSERT INTO `sys_job_log` VALUES (75319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:02:32');
INSERT INTO `sys_job_log` VALUES (75320, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 09:02:33');
INSERT INTO `sys_job_log` VALUES (75321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:02:37');
INSERT INTO `sys_job_log` VALUES (75322, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:02:38');
INSERT INTO `sys_job_log` VALUES (75323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 09:02:43');
INSERT INTO `sys_job_log` VALUES (75324, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 09:02:44');
INSERT INTO `sys_job_log` VALUES (75325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:02:47');
INSERT INTO `sys_job_log` VALUES (75326, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 09:02:48');
INSERT INTO `sys_job_log` VALUES (75327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:02:52');
INSERT INTO `sys_job_log` VALUES (75328, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:02:53');
INSERT INTO `sys_job_log` VALUES (75329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1008毫秒', '0', '', '2025-01-03 09:02:58');
INSERT INTO `sys_job_log` VALUES (75330, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2010毫秒', '0', '', '2025-01-03 09:02:59');
INSERT INTO `sys_job_log` VALUES (75331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:03:02');
INSERT INTO `sys_job_log` VALUES (75332, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:03:03');
INSERT INTO `sys_job_log` VALUES (75333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:03:07');
INSERT INTO `sys_job_log` VALUES (75334, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:03:08');
INSERT INTO `sys_job_log` VALUES (75335, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 09:03:13');
INSERT INTO `sys_job_log` VALUES (75336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2007毫秒', '0', '', '2025-01-03 09:03:14');
INSERT INTO `sys_job_log` VALUES (75337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:03:17');
INSERT INTO `sys_job_log` VALUES (75338, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:03:18');
INSERT INTO `sys_job_log` VALUES (75339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:03:22');
INSERT INTO `sys_job_log` VALUES (75340, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:03:23');
INSERT INTO `sys_job_log` VALUES (75341, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:03:28');
INSERT INTO `sys_job_log` VALUES (75342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 09:03:29');
INSERT INTO `sys_job_log` VALUES (75343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:03:32');
INSERT INTO `sys_job_log` VALUES (75344, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:03:33');
INSERT INTO `sys_job_log` VALUES (75345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:03:37');
INSERT INTO `sys_job_log` VALUES (75346, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:03:38');
INSERT INTO `sys_job_log` VALUES (75347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:03:43');
INSERT INTO `sys_job_log` VALUES (75348, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2008毫秒', '0', '', '2025-01-03 09:03:44');
INSERT INTO `sys_job_log` VALUES (75349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 09:03:47');
INSERT INTO `sys_job_log` VALUES (75350, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:03:48');
INSERT INTO `sys_job_log` VALUES (75351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:03:52');
INSERT INTO `sys_job_log` VALUES (75352, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:03:53');
INSERT INTO `sys_job_log` VALUES (75353, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 09:03:58');
INSERT INTO `sys_job_log` VALUES (75354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 09:03:59');
INSERT INTO `sys_job_log` VALUES (75355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:04:02');
INSERT INTO `sys_job_log` VALUES (75356, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:04:03');
INSERT INTO `sys_job_log` VALUES (75357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:04:07');
INSERT INTO `sys_job_log` VALUES (75358, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:04:08');
INSERT INTO `sys_job_log` VALUES (75359, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1008毫秒', '0', '', '2025-01-03 09:04:13');
INSERT INTO `sys_job_log` VALUES (75360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2009毫秒', '0', '', '2025-01-03 09:04:14');
INSERT INTO `sys_job_log` VALUES (75361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:04:17');
INSERT INTO `sys_job_log` VALUES (75362, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:04:18');
INSERT INTO `sys_job_log` VALUES (75363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:04:22');
INSERT INTO `sys_job_log` VALUES (75364, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:04:23');
INSERT INTO `sys_job_log` VALUES (75365, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:04:28');
INSERT INTO `sys_job_log` VALUES (75366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2008毫秒', '0', '', '2025-01-03 09:04:29');
INSERT INTO `sys_job_log` VALUES (75367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:04:32');
INSERT INTO `sys_job_log` VALUES (75368, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1005毫秒', '0', '', '2025-01-03 09:04:33');
INSERT INTO `sys_job_log` VALUES (75369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:04:37');
INSERT INTO `sys_job_log` VALUES (75370, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 09:04:38');
INSERT INTO `sys_job_log` VALUES (75371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1018毫秒', '0', '', '2025-01-03 09:04:43');
INSERT INTO `sys_job_log` VALUES (75372, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2026毫秒', '0', '', '2025-01-03 09:04:44');
INSERT INTO `sys_job_log` VALUES (75373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:04:47');
INSERT INTO `sys_job_log` VALUES (75374, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1004毫秒', '0', '', '2025-01-03 09:04:48');
INSERT INTO `sys_job_log` VALUES (75375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1032毫秒', '0', '', '2025-01-03 09:04:59');
INSERT INTO `sys_job_log` VALUES (75376, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2032毫秒', '0', '', '2025-01-03 09:05:00');
INSERT INTO `sys_job_log` VALUES (75377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 09:05:02');
INSERT INTO `sys_job_log` VALUES (75378, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 09:05:03');
INSERT INTO `sys_job_log` VALUES (75379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 09:05:07');
INSERT INTO `sys_job_log` VALUES (75380, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:05:08');
INSERT INTO `sys_job_log` VALUES (75381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:05:12');
INSERT INTO `sys_job_log` VALUES (75382, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1013毫秒', '0', '', '2025-01-03 09:05:13');
INSERT INTO `sys_job_log` VALUES (75383, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1011毫秒', '0', '', '2025-01-03 09:05:18');
INSERT INTO `sys_job_log` VALUES (75384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2016毫秒', '0', '', '2025-01-03 09:05:19');
INSERT INTO `sys_job_log` VALUES (75385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 09:05:22');
INSERT INTO `sys_job_log` VALUES (75386, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1006毫秒', '0', '', '2025-01-03 09:05:23');
INSERT INTO `sys_job_log` VALUES (75387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:05:27');
INSERT INTO `sys_job_log` VALUES (75388, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1022毫秒', '0', '', '2025-01-03 09:05:28');
INSERT INTO `sys_job_log` VALUES (75389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1023毫秒', '0', '', '2025-01-03 09:05:33');
INSERT INTO `sys_job_log` VALUES (75390, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2024毫秒', '0', '', '2025-01-03 09:05:34');
INSERT INTO `sys_job_log` VALUES (75391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:05:37');
INSERT INTO `sys_job_log` VALUES (75392, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1007毫秒', '0', '', '2025-01-03 09:05:38');
INSERT INTO `sys_job_log` VALUES (75393, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1571毫秒', '0', '', '2025-01-03 09:05:44');
INSERT INTO `sys_job_log` VALUES (75394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2576毫秒', '0', '', '2025-01-03 09:05:45');
INSERT INTO `sys_job_log` VALUES (75395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:05:47');
INSERT INTO `sys_job_log` VALUES (75396, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1607毫秒', '0', '', '2025-01-03 09:05:49');
INSERT INTO `sys_job_log` VALUES (75397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:05:52');
INSERT INTO `sys_job_log` VALUES (75398, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1616毫秒', '0', '', '2025-01-03 09:05:54');
INSERT INTO `sys_job_log` VALUES (75399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:05:57');
INSERT INTO `sys_job_log` VALUES (75400, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1624毫秒', '0', '', '2025-01-03 09:05:59');
INSERT INTO `sys_job_log` VALUES (75401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:06:02');
INSERT INTO `sys_job_log` VALUES (75402, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3631毫秒', '0', '', '2025-01-03 09:06:06');
INSERT INTO `sys_job_log` VALUES (75403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 09:06:07');
INSERT INTO `sys_job_log` VALUES (75404, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1639毫秒', '0', '', '2025-01-03 09:06:09');
INSERT INTO `sys_job_log` VALUES (75405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:06:12');
INSERT INTO `sys_job_log` VALUES (75406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:06:17');
INSERT INTO `sys_job_log` VALUES (75407, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：8655毫秒', '0', '', '2025-01-03 09:06:21');
INSERT INTO `sys_job_log` VALUES (75408, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 09:23:30');
INSERT INTO `sys_job_log` VALUES (75409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2205毫秒', '0', '', '2025-01-03 09:23:31');
INSERT INTO `sys_job_log` VALUES (75410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8毫秒', '0', '', '2025-01-03 09:23:32');
INSERT INTO `sys_job_log` VALUES (75411, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1120毫秒', '0', '', '2025-01-03 09:23:33');
INSERT INTO `sys_job_log` VALUES (75412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:23:37');
INSERT INTO `sys_job_log` VALUES (75413, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1249毫秒', '0', '', '2025-01-03 09:23:39');
INSERT INTO `sys_job_log` VALUES (75414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:23:42');
INSERT INTO `sys_job_log` VALUES (75415, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1070毫秒', '0', '', '2025-01-03 09:23:43');
INSERT INTO `sys_job_log` VALUES (75416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:23:47');
INSERT INTO `sys_job_log` VALUES (75417, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1093毫秒', '0', '', '2025-01-03 09:23:48');
INSERT INTO `sys_job_log` VALUES (75418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:23:52');
INSERT INTO `sys_job_log` VALUES (75419, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 09:23:53');
INSERT INTO `sys_job_log` VALUES (75420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:23:57');
INSERT INTO `sys_job_log` VALUES (75421, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1042毫秒', '0', '', '2025-01-03 09:23:58');
INSERT INTO `sys_job_log` VALUES (75422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:24:02');
INSERT INTO `sys_job_log` VALUES (75423, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1068毫秒', '0', '', '2025-01-03 09:24:03');
INSERT INTO `sys_job_log` VALUES (75424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:24:07');
INSERT INTO `sys_job_log` VALUES (75425, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1086毫秒', '0', '', '2025-01-03 09:24:08');
INSERT INTO `sys_job_log` VALUES (75426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:24:12');
INSERT INTO `sys_job_log` VALUES (75427, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1117毫秒', '0', '', '2025-01-03 09:24:13');
INSERT INTO `sys_job_log` VALUES (75428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:24:17');
INSERT INTO `sys_job_log` VALUES (75429, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 09:24:18');
INSERT INTO `sys_job_log` VALUES (75430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:24:22');
INSERT INTO `sys_job_log` VALUES (75431, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1065毫秒', '0', '', '2025-01-03 09:24:23');
INSERT INTO `sys_job_log` VALUES (75432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4毫秒', '0', '', '2025-01-03 09:24:27');
INSERT INTO `sys_job_log` VALUES (75433, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1086毫秒', '0', '', '2025-01-03 09:24:28');
INSERT INTO `sys_job_log` VALUES (75434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5毫秒', '0', '', '2025-01-03 09:24:32');
INSERT INTO `sys_job_log` VALUES (75435, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2719毫秒', '0', '', '2025-01-03 09:24:35');
INSERT INTO `sys_job_log` VALUES (75436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-03 09:24:37');
INSERT INTO `sys_job_log` VALUES (75437, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1932毫秒', '0', '', '2025-01-03 09:24:39');
INSERT INTO `sys_job_log` VALUES (75438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:24:42');
INSERT INTO `sys_job_log` VALUES (75439, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2068毫秒', '0', '', '2025-01-03 09:24:44');
INSERT INTO `sys_job_log` VALUES (75440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 09:24:47');
INSERT INTO `sys_job_log` VALUES (75441, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2090毫秒', '0', '', '2025-01-03 09:24:49');
INSERT INTO `sys_job_log` VALUES (75442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:24:52');
INSERT INTO `sys_job_log` VALUES (75443, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2210毫秒', '0', '', '2025-01-03 09:24:55');
INSERT INTO `sys_job_log` VALUES (75444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 09:24:57');
INSERT INTO `sys_job_log` VALUES (75445, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2338毫秒', '0', '', '2025-01-03 09:25:00');
INSERT INTO `sys_job_log` VALUES (75446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:25:02');
INSERT INTO `sys_job_log` VALUES (75447, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2460毫秒', '0', '', '2025-01-03 09:25:05');
INSERT INTO `sys_job_log` VALUES (75448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2毫秒', '0', '', '2025-01-03 09:25:07');
INSERT INTO `sys_job_log` VALUES (75449, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2587毫秒', '0', '', '2025-01-03 09:25:10');
INSERT INTO `sys_job_log` VALUES (75450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:25:12');
INSERT INTO `sys_job_log` VALUES (75451, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2610毫秒', '0', '', '2025-01-03 09:25:15');
INSERT INTO `sys_job_log` VALUES (75452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:25:17');
INSERT INTO `sys_job_log` VALUES (75453, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1017毫秒', '0', '', '2025-01-03 09:25:18');
INSERT INTO `sys_job_log` VALUES (75454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3毫秒', '0', '', '2025-01-03 09:25:22');
INSERT INTO `sys_job_log` VALUES (75455, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1056毫秒', '0', '', '2025-01-03 09:25:23');
INSERT INTO `sys_job_log` VALUES (75456, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1074毫秒', '0', '', '2025-01-03 09:25:28');
INSERT INTO `sys_job_log` VALUES (75457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2080毫秒', '0', '', '2025-01-03 09:25:29');
INSERT INTO `sys_job_log` VALUES (75458, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1104毫秒', '0', '', '2025-01-03 09:25:33');
INSERT INTO `sys_job_log` VALUES (75459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2111毫秒', '0', '', '2025-01-03 09:25:34');
INSERT INTO `sys_job_log` VALUES (75460, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 09:25:38');
INSERT INTO `sys_job_log` VALUES (75461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2034毫秒', '0', '', '2025-01-03 09:25:39');
INSERT INTO `sys_job_log` VALUES (75462, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1052毫秒', '0', '', '2025-01-03 09:25:43');
INSERT INTO `sys_job_log` VALUES (75463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2157毫秒', '0', '', '2025-01-03 09:25:44');
INSERT INTO `sys_job_log` VALUES (75464, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1076毫秒', '0', '', '2025-01-03 09:25:48');
INSERT INTO `sys_job_log` VALUES (75465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2082毫秒', '0', '', '2025-01-03 09:25:49');
INSERT INTO `sys_job_log` VALUES (75466, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 09:25:53');
INSERT INTO `sys_job_log` VALUES (75467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2107毫秒', '0', '', '2025-01-03 09:25:54');
INSERT INTO `sys_job_log` VALUES (75468, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1025毫秒', '0', '', '2025-01-03 09:25:58');
INSERT INTO `sys_job_log` VALUES (75469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2030毫秒', '0', '', '2025-01-03 09:25:59');
INSERT INTO `sys_job_log` VALUES (75470, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1050毫秒', '0', '', '2025-01-03 09:26:03');
INSERT INTO `sys_job_log` VALUES (75471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2154毫秒', '0', '', '2025-01-03 09:26:04');
INSERT INTO `sys_job_log` VALUES (75472, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1074毫秒', '0', '', '2025-01-03 09:26:08');
INSERT INTO `sys_job_log` VALUES (75473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2080毫秒', '0', '', '2025-01-03 09:26:09');
INSERT INTO `sys_job_log` VALUES (75474, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1099毫秒', '0', '', '2025-01-03 09:26:13');
INSERT INTO `sys_job_log` VALUES (75475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2106毫秒', '0', '', '2025-01-03 09:26:14');
INSERT INTO `sys_job_log` VALUES (75476, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1023毫秒', '0', '', '2025-01-03 09:26:18');
INSERT INTO `sys_job_log` VALUES (75477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 09:26:19');
INSERT INTO `sys_job_log` VALUES (75478, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1032毫秒', '0', '', '2025-01-03 09:26:23');
INSERT INTO `sys_job_log` VALUES (75479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2036毫秒', '0', '', '2025-01-03 09:26:24');
INSERT INTO `sys_job_log` VALUES (75480, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1071毫秒', '0', '', '2025-01-03 09:26:28');
INSERT INTO `sys_job_log` VALUES (75481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2076毫秒', '0', '', '2025-01-03 09:26:29');
INSERT INTO `sys_job_log` VALUES (75482, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1095毫秒', '0', '', '2025-01-03 09:26:33');
INSERT INTO `sys_job_log` VALUES (75483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2101毫秒', '0', '', '2025-01-03 09:26:34');
INSERT INTO `sys_job_log` VALUES (75484, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1019毫秒', '0', '', '2025-01-03 09:26:38');
INSERT INTO `sys_job_log` VALUES (75485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2024毫秒', '0', '', '2025-01-03 09:26:39');
INSERT INTO `sys_job_log` VALUES (75486, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1044毫秒', '0', '', '2025-01-03 09:26:43');
INSERT INTO `sys_job_log` VALUES (75487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2050毫秒', '0', '', '2025-01-03 09:26:44');
INSERT INTO `sys_job_log` VALUES (75488, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1067毫秒', '0', '', '2025-01-03 09:26:48');
INSERT INTO `sys_job_log` VALUES (75489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2074毫秒', '0', '', '2025-01-03 09:26:49');
INSERT INTO `sys_job_log` VALUES (75490, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1093毫秒', '0', '', '2025-01-03 09:26:53');
INSERT INTO `sys_job_log` VALUES (75491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2196毫秒', '0', '', '2025-01-03 09:26:54');
INSERT INTO `sys_job_log` VALUES (75492, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1016毫秒', '0', '', '2025-01-03 09:26:58');
INSERT INTO `sys_job_log` VALUES (75493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2120毫秒', '0', '', '2025-01-03 09:26:59');
INSERT INTO `sys_job_log` VALUES (75494, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1043毫秒', '0', '', '2025-01-03 09:27:03');
INSERT INTO `sys_job_log` VALUES (75495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2048毫秒', '0', '', '2025-01-03 09:27:04');
INSERT INTO `sys_job_log` VALUES (75496, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1059毫秒', '0', '', '2025-01-03 09:27:08');
INSERT INTO `sys_job_log` VALUES (75497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2065毫秒', '0', '', '2025-01-03 09:27:09');
INSERT INTO `sys_job_log` VALUES (75498, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1089毫秒', '0', '', '2025-01-03 09:27:13');
INSERT INTO `sys_job_log` VALUES (75499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2095毫秒', '0', '', '2025-01-03 09:27:14');
INSERT INTO `sys_job_log` VALUES (75500, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1113毫秒', '0', '', '2025-01-03 09:27:18');
INSERT INTO `sys_job_log` VALUES (75501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2218毫秒', '0', '', '2025-01-03 09:27:20');
INSERT INTO `sys_job_log` VALUES (75502, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1038毫秒', '0', '', '2025-01-03 09:27:23');
INSERT INTO `sys_job_log` VALUES (75503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2044毫秒', '0', '', '2025-01-03 09:27:24');
INSERT INTO `sys_job_log` VALUES (75504, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1064毫秒', '0', '', '2025-01-03 09:27:28');
INSERT INTO `sys_job_log` VALUES (75505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2167毫秒', '0', '', '2025-01-03 09:27:29');
INSERT INTO `sys_job_log` VALUES (75506, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1077毫秒', '0', '', '2025-01-03 09:27:33');
INSERT INTO `sys_job_log` VALUES (75507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2181毫秒', '0', '', '2025-01-03 09:27:34');
INSERT INTO `sys_job_log` VALUES (75508, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1102毫秒', '0', '', '2025-01-03 09:27:38');
INSERT INTO `sys_job_log` VALUES (75509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2206毫秒', '0', '', '2025-01-03 09:27:40');
INSERT INTO `sys_job_log` VALUES (75510, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1033毫秒', '0', '', '2025-01-03 09:27:43');
INSERT INTO `sys_job_log` VALUES (75511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2040毫秒', '0', '', '2025-01-03 09:27:44');
INSERT INTO `sys_job_log` VALUES (75512, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1048毫秒', '0', '', '2025-01-03 09:27:48');
INSERT INTO `sys_job_log` VALUES (75513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2152毫秒', '0', '', '2025-01-03 09:27:49');
INSERT INTO `sys_job_log` VALUES (75514, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1072毫秒', '0', '', '2025-01-03 09:27:53');
INSERT INTO `sys_job_log` VALUES (75515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2176毫秒', '0', '', '2025-01-03 09:27:54');
INSERT INTO `sys_job_log` VALUES (75516, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1100毫秒', '0', '', '2025-01-03 09:27:58');
INSERT INTO `sys_job_log` VALUES (75517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2204毫秒', '0', '', '2025-01-03 09:28:00');
INSERT INTO `sys_job_log` VALUES (75518, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1021毫秒', '0', '', '2025-01-03 09:28:03');
INSERT INTO `sys_job_log` VALUES (75519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 09:28:04');
INSERT INTO `sys_job_log` VALUES (75520, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1057毫秒', '0', '', '2025-01-03 09:28:08');
INSERT INTO `sys_job_log` VALUES (75521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2064毫秒', '0', '', '2025-01-03 09:28:09');
INSERT INTO `sys_job_log` VALUES (75522, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1082毫秒', '0', '', '2025-01-03 09:28:13');
INSERT INTO `sys_job_log` VALUES (75523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2088毫秒', '0', '', '2025-01-03 09:28:14');
INSERT INTO `sys_job_log` VALUES (75524, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1107毫秒', '0', '', '2025-01-03 09:28:18');
INSERT INTO `sys_job_log` VALUES (75525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2114毫秒', '0', '', '2025-01-03 09:28:19');
INSERT INTO `sys_job_log` VALUES (75526, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1028毫秒', '0', '', '2025-01-03 09:28:23');
INSERT INTO `sys_job_log` VALUES (75527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2035毫秒', '0', '', '2025-01-03 09:28:24');
INSERT INTO `sys_job_log` VALUES (75528, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1056毫秒', '0', '', '2025-01-03 09:28:28');
INSERT INTO `sys_job_log` VALUES (75529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2060毫秒', '0', '', '2025-01-03 09:28:29');
INSERT INTO `sys_job_log` VALUES (75530, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1079毫秒', '0', '', '2025-01-03 09:28:33');
INSERT INTO `sys_job_log` VALUES (75531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2184毫秒', '0', '', '2025-01-03 09:28:34');
INSERT INTO `sys_job_log` VALUES (75532, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1101毫秒', '0', '', '2025-01-03 09:28:38');
INSERT INTO `sys_job_log` VALUES (75533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2204毫秒', '0', '', '2025-01-03 09:28:40');
INSERT INTO `sys_job_log` VALUES (75534, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1024毫秒', '0', '', '2025-01-03 09:28:43');
INSERT INTO `sys_job_log` VALUES (75535, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21056毫秒', '0', '', '2025-01-03 21:39:46');
INSERT INTO `sys_job_log` VALUES (75536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21059毫秒', '0', '', '2025-01-03 21:39:46');
INSERT INTO `sys_job_log` VALUES (75537, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21043毫秒', '0', '', '2025-01-03 21:40:08');
INSERT INTO `sys_job_log` VALUES (75538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21046毫秒', '0', '', '2025-01-03 21:40:08');
INSERT INTO `sys_job_log` VALUES (75539, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21037毫秒', '0', '', '2025-01-03 21:40:29');
INSERT INTO `sys_job_log` VALUES (75540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21025毫秒', '0', '', '2025-01-03 21:40:29');
INSERT INTO `sys_job_log` VALUES (75541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21047毫秒', '0', '', '2025-01-03 21:40:50');
INSERT INTO `sys_job_log` VALUES (75542, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21044毫秒', '0', '', '2025-01-03 21:40:50');
INSERT INTO `sys_job_log` VALUES (75543, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21013毫秒', '0', '', '2025-01-03 21:41:11');
INSERT INTO `sys_job_log` VALUES (75544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21013毫秒', '0', '', '2025-01-03 21:41:11');
INSERT INTO `sys_job_log` VALUES (75545, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21043毫秒', '0', '', '2025-01-03 21:41:32');
INSERT INTO `sys_job_log` VALUES (75546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21043毫秒', '0', '', '2025-01-03 21:41:32');
INSERT INTO `sys_job_log` VALUES (75547, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21038毫秒', '0', '', '2025-01-03 21:41:53');
INSERT INTO `sys_job_log` VALUES (75548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21038毫秒', '0', '', '2025-01-03 21:41:53');
INSERT INTO `sys_job_log` VALUES (75549, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21060毫秒', '0', '', '2025-01-03 21:42:15');
INSERT INTO `sys_job_log` VALUES (75550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21060毫秒', '0', '', '2025-01-03 21:42:15');
INSERT INTO `sys_job_log` VALUES (75551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21047毫秒', '0', '', '2025-01-03 21:42:36');
INSERT INTO `sys_job_log` VALUES (75552, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21077毫秒', '0', '', '2025-01-03 21:42:36');
INSERT INTO `sys_job_log` VALUES (75553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21040毫秒', '0', '', '2025-01-03 21:42:57');
INSERT INTO `sys_job_log` VALUES (75554, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21049毫秒', '0', '', '2025-01-03 21:42:57');
INSERT INTO `sys_job_log` VALUES (75555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21055毫秒', '0', '', '2025-01-03 21:43:18');
INSERT INTO `sys_job_log` VALUES (75556, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：21065毫秒', '0', '', '2025-01-03 21:43:18');
INSERT INTO `sys_job_log` VALUES (75557, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23765毫秒', '0', '', '2025-01-03 21:44:13');
INSERT INTO `sys_job_log` VALUES (75558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24737毫秒', '0', '', '2025-01-03 21:44:14');
INSERT INTO `sys_job_log` VALUES (75559, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24032毫秒', '0', '', '2025-01-03 21:44:38');
INSERT INTO `sys_job_log` VALUES (75560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24996毫秒', '0', '', '2025-01-03 21:44:40');
INSERT INTO `sys_job_log` VALUES (75561, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24680毫秒', '0', '', '2025-01-03 21:45:03');
INSERT INTO `sys_job_log` VALUES (75562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25203毫秒', '0', '', '2025-01-03 21:45:05');
INSERT INTO `sys_job_log` VALUES (75563, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23703毫秒', '0', '', '2025-01-03 21:45:56');
INSERT INTO `sys_job_log` VALUES (75564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24685毫秒', '0', '', '2025-01-03 21:45:57');
INSERT INTO `sys_job_log` VALUES (75565, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：36415毫秒', '0', '', '2025-01-03 21:46:34');
INSERT INTO `sys_job_log` VALUES (75566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：35519毫秒', '0', '', '2025-01-03 21:46:34');
INSERT INTO `sys_job_log` VALUES (75567, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：35380毫秒', '0', '', '2025-01-03 21:47:14');
INSERT INTO `sys_job_log` VALUES (75568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36620毫秒', '0', '', '2025-01-03 21:47:17');
INSERT INTO `sys_job_log` VALUES (75569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：37005毫秒', '0', '', '2025-01-03 21:47:55');
INSERT INTO `sys_job_log` VALUES (75570, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：81653毫秒', '0', '', '2025-01-03 21:48:40');
INSERT INTO `sys_job_log` VALUES (75571, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24078毫秒', '0', '', '2025-01-03 22:15:19');
INSERT INTO `sys_job_log` VALUES (75572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24658毫秒', '0', '', '2025-01-03 22:15:19');
INSERT INTO `sys_job_log` VALUES (75573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23412毫秒', '0', '', '2025-01-03 22:15:43');
INSERT INTO `sys_job_log` VALUES (75574, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24952毫秒', '0', '', '2025-01-03 22:15:44');
INSERT INTO `sys_job_log` VALUES (75575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23947毫秒', '0', '', '2025-01-03 22:16:07');
INSERT INTO `sys_job_log` VALUES (75576, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24807毫秒', '0', '', '2025-01-03 22:16:09');
INSERT INTO `sys_job_log` VALUES (75577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25008毫秒', '0', '', '2025-01-03 22:16:32');
INSERT INTO `sys_job_log` VALUES (75578, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23959毫秒', '0', '', '2025-01-03 22:16:33');
INSERT INTO `sys_job_log` VALUES (75579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23995毫秒', '0', '', '2025-01-03 22:16:56');
INSERT INTO `sys_job_log` VALUES (75580, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25039毫秒', '0', '', '2025-01-03 22:16:58');
INSERT INTO `sys_job_log` VALUES (75581, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24048毫秒', '0', '', '2025-01-03 22:18:10');
INSERT INTO `sys_job_log` VALUES (75582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24817毫秒', '0', '', '2025-01-03 22:18:11');
INSERT INTO `sys_job_log` VALUES (75583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23408毫秒', '0', '', '2025-01-03 22:18:34');
INSERT INTO `sys_job_log` VALUES (75584, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25546毫秒', '0', '', '2025-01-03 22:18:36');
INSERT INTO `sys_job_log` VALUES (75585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23939毫秒', '0', '', '2025-01-03 22:18:58');
INSERT INTO `sys_job_log` VALUES (75586, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24957毫秒', '0', '', '2025-01-03 22:19:01');
INSERT INTO `sys_job_log` VALUES (75587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25212毫秒', '0', '', '2025-01-03 22:19:24');
INSERT INTO `sys_job_log` VALUES (75588, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23702毫秒', '0', '', '2025-01-03 22:19:25');
INSERT INTO `sys_job_log` VALUES (75589, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23243毫秒', '0', '', '2025-01-03 22:19:48');
INSERT INTO `sys_job_log` VALUES (75590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25009毫秒', '0', '', '2025-01-03 22:19:49');
INSERT INTO `sys_job_log` VALUES (75591, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23946毫秒', '0', '', '2025-01-03 22:20:12');
INSERT INTO `sys_job_log` VALUES (75592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24978毫秒', '0', '', '2025-01-03 22:20:14');
INSERT INTO `sys_job_log` VALUES (75593, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25214毫秒', '0', '', '2025-01-03 22:20:37');
INSERT INTO `sys_job_log` VALUES (75594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23928毫秒', '0', '', '2025-01-03 22:20:38');
INSERT INTO `sys_job_log` VALUES (75595, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23706毫秒', '0', '', '2025-01-03 22:21:01');
INSERT INTO `sys_job_log` VALUES (75596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25033毫秒', '0', '', '2025-01-03 22:21:03');
INSERT INTO `sys_job_log` VALUES (75597, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25549毫秒', '0', '', '2025-01-03 22:21:26');
INSERT INTO `sys_job_log` VALUES (75598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24965毫秒', '0', '', '2025-01-03 22:21:29');
INSERT INTO `sys_job_log` VALUES (75599, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23887毫秒', '0', '', '2025-01-03 22:21:51');
INSERT INTO `sys_job_log` VALUES (75600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24336毫秒', '0', '', '2025-01-03 22:21:54');
INSERT INTO `sys_job_log` VALUES (75601, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24322毫秒', '0', '', '2025-01-03 22:22:15');
INSERT INTO `sys_job_log` VALUES (75602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24016毫秒', '0', '', '2025-01-03 22:22:18');
INSERT INTO `sys_job_log` VALUES (75603, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23900毫秒', '0', '', '2025-01-03 22:22:39');
INSERT INTO `sys_job_log` VALUES (75604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23935毫秒', '0', '', '2025-01-03 22:22:42');
INSERT INTO `sys_job_log` VALUES (75605, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24285毫秒', '0', '', '2025-01-03 22:23:03');
INSERT INTO `sys_job_log` VALUES (75606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23729毫秒', '0', '', '2025-01-03 22:23:06');
INSERT INTO `sys_job_log` VALUES (75607, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23835毫秒', '0', '', '2025-01-03 22:23:27');
INSERT INTO `sys_job_log` VALUES (75608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24792毫秒', '0', '', '2025-01-03 22:23:31');
INSERT INTO `sys_job_log` VALUES (75609, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23761毫秒', '0', '', '2025-01-03 22:23:51');
INSERT INTO `sys_job_log` VALUES (75610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24045毫秒', '0', '', '2025-01-03 22:23:55');
INSERT INTO `sys_job_log` VALUES (75611, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：23980毫秒', '0', '', '2025-01-03 22:24:15');
INSERT INTO `sys_job_log` VALUES (75612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23951毫秒', '0', '', '2025-01-03 22:24:19');
INSERT INTO `sys_job_log` VALUES (75613, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24011毫秒', '0', '', '2025-01-03 22:24:39');
INSERT INTO `sys_job_log` VALUES (75614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24990毫秒', '0', '', '2025-01-03 22:24:44');
INSERT INTO `sys_job_log` VALUES (75615, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25558毫秒', '0', '', '2025-01-03 22:25:04');
INSERT INTO `sys_job_log` VALUES (75616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25014毫秒', '0', '', '2025-01-03 22:25:09');
INSERT INTO `sys_job_log` VALUES (75617, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25412毫秒', '0', '', '2025-01-03 22:25:30');
INSERT INTO `sys_job_log` VALUES (75618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25016毫秒', '0', '', '2025-01-03 22:25:34');
INSERT INTO `sys_job_log` VALUES (75619, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24462毫秒', '0', '', '2025-01-03 22:25:54');
INSERT INTO `sys_job_log` VALUES (75620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25676毫秒', '0', '', '2025-01-03 22:26:00');
INSERT INTO `sys_job_log` VALUES (75621, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25436毫秒', '0', '', '2025-01-03 22:26:20');
INSERT INTO `sys_job_log` VALUES (75622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23762毫秒', '0', '', '2025-01-03 22:26:24');
INSERT INTO `sys_job_log` VALUES (75623, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24037毫秒', '0', '', '2025-01-03 22:26:44');
INSERT INTO `sys_job_log` VALUES (75624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24766毫秒', '0', '', '2025-01-03 22:26:49');
INSERT INTO `sys_job_log` VALUES (75625, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24873毫秒', '0', '', '2025-01-03 22:27:09');
INSERT INTO `sys_job_log` VALUES (75626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24023毫秒', '0', '', '2025-01-03 22:27:13');
INSERT INTO `sys_job_log` VALUES (75627, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24495毫秒', '0', '', '2025-01-03 22:27:33');
INSERT INTO `sys_job_log` VALUES (75628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24923毫秒', '0', '', '2025-01-03 22:27:38');
INSERT INTO `sys_job_log` VALUES (75629, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：24473毫秒', '0', '', '2025-01-03 22:27:58');
INSERT INTO `sys_job_log` VALUES (75630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24992毫秒', '0', '', '2025-01-03 22:28:03');
INSERT INTO `sys_job_log` VALUES (75631, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：25436毫秒', '0', '', '2025-01-03 22:28:24');
INSERT INTO `sys_job_log` VALUES (75632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25105毫秒', '0', '', '2025-01-03 22:28:28');
INSERT INTO `sys_job_log` VALUES (75633, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：128483毫秒', '0', '', '2025-01-03 22:30:33');
INSERT INTO `sys_job_log` VALUES (75634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：126533毫秒', '0', '', '2025-01-03 22:30:35');
INSERT INTO `sys_job_log` VALUES (75635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1536毫秒', '0', '', '2025-01-03 22:30:36');
INSERT INTO `sys_job_log` VALUES (75636, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4341毫秒', '0', '', '2025-01-03 22:30:37');
INSERT INTO `sys_job_log` VALUES (75637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3082毫秒', '0', '', '2025-01-03 22:30:39');
INSERT INTO `sys_job_log` VALUES (75638, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1956毫秒', '0', '', '2025-01-03 22:30:39');
INSERT INTO `sys_job_log` VALUES (75639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1389毫秒', '0', '', '2025-01-03 22:30:41');
INSERT INTO `sys_job_log` VALUES (75640, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2302毫秒', '0', '', '2025-01-03 22:30:42');
INSERT INTO `sys_job_log` VALUES (75641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2394毫秒', '0', '', '2025-01-03 22:30:43');
INSERT INTO `sys_job_log` VALUES (75642, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1971毫秒', '0', '', '2025-01-03 22:30:44');
INSERT INTO `sys_job_log` VALUES (75643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1733毫秒', '0', '', '2025-01-03 22:30:45');
INSERT INTO `sys_job_log` VALUES (75644, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2264毫秒', '0', '', '2025-01-03 22:30:46');
INSERT INTO `sys_job_log` VALUES (75645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2042毫秒', '0', '', '2025-01-03 22:30:47');
INSERT INTO `sys_job_log` VALUES (75646, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2092毫秒', '0', '', '2025-01-03 22:30:48');
INSERT INTO `sys_job_log` VALUES (75647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2166毫秒', '0', '', '2025-01-03 22:30:49');
INSERT INTO `sys_job_log` VALUES (75648, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2101毫秒', '0', '', '2025-01-03 22:30:50');
INSERT INTO `sys_job_log` VALUES (75649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2205毫秒', '0', '', '2025-01-03 22:30:52');
INSERT INTO `sys_job_log` VALUES (75650, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2787毫秒', '0', '', '2025-01-03 22:30:53');
INSERT INTO `sys_job_log` VALUES (75651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3135毫秒', '0', '', '2025-01-03 22:30:55');
INSERT INTO `sys_job_log` VALUES (75652, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2376毫秒', '0', '', '2025-01-03 22:30:56');
INSERT INTO `sys_job_log` VALUES (75653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1710毫秒', '0', '', '2025-01-03 22:30:57');
INSERT INTO `sys_job_log` VALUES (75654, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2316毫秒', '0', '', '2025-01-03 22:30:58');
INSERT INTO `sys_job_log` VALUES (75655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2087毫秒', '0', '', '2025-01-03 22:30:59');
INSERT INTO `sys_job_log` VALUES (75656, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2234毫秒', '0', '', '2025-01-03 22:31:00');
INSERT INTO `sys_job_log` VALUES (75657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2953毫秒', '0', '', '2025-01-03 22:31:02');
INSERT INTO `sys_job_log` VALUES (75658, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2156毫秒', '0', '', '2025-01-03 22:31:03');
INSERT INTO `sys_job_log` VALUES (75659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1329毫秒', '0', '', '2025-01-03 22:31:04');
INSERT INTO `sys_job_log` VALUES (75660, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2270毫秒', '0', '', '2025-01-03 22:31:05');
INSERT INTO `sys_job_log` VALUES (75661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2295毫秒', '0', '', '2025-01-03 22:31:06');
INSERT INTO `sys_job_log` VALUES (75662, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2395毫秒', '0', '', '2025-01-03 22:31:07');
INSERT INTO `sys_job_log` VALUES (75663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2098毫秒', '0', '', '2025-01-03 22:31:08');
INSERT INTO `sys_job_log` VALUES (75664, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2129毫秒', '0', '', '2025-01-03 22:31:09');
INSERT INTO `sys_job_log` VALUES (75665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2297毫秒', '0', '', '2025-01-03 22:31:10');
INSERT INTO `sys_job_log` VALUES (75666, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2024毫秒', '0', '', '2025-01-03 22:31:12');
INSERT INTO `sys_job_log` VALUES (75667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2104毫秒', '0', '', '2025-01-03 22:31:13');
INSERT INTO `sys_job_log` VALUES (75668, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2162毫秒', '0', '', '2025-01-03 22:31:14');
INSERT INTO `sys_job_log` VALUES (75669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2158毫秒', '0', '', '2025-01-03 22:31:15');
INSERT INTO `sys_job_log` VALUES (75670, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2206毫秒', '0', '', '2025-01-03 22:31:16');
INSERT INTO `sys_job_log` VALUES (75671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2212毫秒', '0', '', '2025-01-03 22:31:17');
INSERT INTO `sys_job_log` VALUES (75672, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2011毫秒', '0', '', '2025-01-03 22:31:18');
INSERT INTO `sys_job_log` VALUES (75673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2154毫秒', '0', '', '2025-01-03 22:31:19');
INSERT INTO `sys_job_log` VALUES (75674, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2262毫秒', '0', '', '2025-01-03 22:31:20');
INSERT INTO `sys_job_log` VALUES (75675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2192毫秒', '0', '', '2025-01-03 22:31:21');
INSERT INTO `sys_job_log` VALUES (75676, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2186毫秒', '0', '', '2025-01-03 22:31:23');
INSERT INTO `sys_job_log` VALUES (75677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2263毫秒', '0', '', '2025-01-03 22:31:24');
INSERT INTO `sys_job_log` VALUES (75678, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2082毫秒', '0', '', '2025-01-03 22:31:25');
INSERT INTO `sys_job_log` VALUES (75679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1773毫秒', '0', '', '2025-01-03 22:31:26');
INSERT INTO `sys_job_log` VALUES (75680, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2190毫秒', '0', '', '2025-01-03 22:31:27');
INSERT INTO `sys_job_log` VALUES (75681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2341毫秒', '0', '', '2025-01-03 22:31:28');
INSERT INTO `sys_job_log` VALUES (75682, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2946毫秒', '0', '', '2025-01-03 22:31:30');
INSERT INTO `sys_job_log` VALUES (75683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2279毫秒', '0', '', '2025-01-03 22:31:31');
INSERT INTO `sys_job_log` VALUES (75684, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1733毫秒', '0', '', '2025-01-03 22:31:32');
INSERT INTO `sys_job_log` VALUES (75685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2207毫秒', '0', '', '2025-01-03 22:31:33');
INSERT INTO `sys_job_log` VALUES (75686, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2339毫秒', '0', '', '2025-01-03 22:31:34');
INSERT INTO `sys_job_log` VALUES (75687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2383毫秒', '0', '', '2025-01-03 22:31:35');
INSERT INTO `sys_job_log` VALUES (75688, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2211毫秒', '0', '', '2025-01-03 22:31:36');
INSERT INTO `sys_job_log` VALUES (75689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2326毫秒', '0', '', '2025-01-03 22:31:38');
INSERT INTO `sys_job_log` VALUES (75690, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2297毫秒', '0', '', '2025-01-03 22:31:39');
INSERT INTO `sys_job_log` VALUES (75691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2192毫秒', '0', '', '2025-01-03 22:31:40');
INSERT INTO `sys_job_log` VALUES (75692, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1997毫秒', '0', '', '2025-01-03 22:31:41');
INSERT INTO `sys_job_log` VALUES (75693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2407毫秒', '0', '', '2025-01-03 22:31:42');
INSERT INTO `sys_job_log` VALUES (75694, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2241毫秒', '0', '', '2025-01-03 22:31:43');
INSERT INTO `sys_job_log` VALUES (75695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2197毫秒', '0', '', '2025-01-03 22:31:44');
INSERT INTO `sys_job_log` VALUES (75696, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2561毫秒', '0', '', '2025-01-03 22:31:46');
INSERT INTO `sys_job_log` VALUES (75697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1892毫秒', '0', '', '2025-01-03 22:31:46');
INSERT INTO `sys_job_log` VALUES (75698, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1775毫秒', '0', '', '2025-01-03 22:31:47');
INSERT INTO `sys_job_log` VALUES (75699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2182毫秒', '0', '', '2025-01-03 22:31:49');
INSERT INTO `sys_job_log` VALUES (75700, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2206毫秒', '0', '', '2025-01-03 22:31:50');
INSERT INTO `sys_job_log` VALUES (75701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2223毫秒', '0', '', '2025-01-03 22:31:51');
INSERT INTO `sys_job_log` VALUES (75702, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2474毫秒', '0', '', '2025-01-03 22:31:52');
INSERT INTO `sys_job_log` VALUES (75703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2370毫秒', '0', '', '2025-01-03 22:31:53');
INSERT INTO `sys_job_log` VALUES (75704, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2007毫秒', '0', '', '2025-01-03 22:31:54');
INSERT INTO `sys_job_log` VALUES (75705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1877毫秒', '0', '', '2025-01-03 22:31:55');
INSERT INTO `sys_job_log` VALUES (75706, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2499毫秒', '0', '', '2025-01-03 22:31:57');
INSERT INTO `sys_job_log` VALUES (75707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2776毫秒', '0', '', '2025-01-03 22:31:58');
INSERT INTO `sys_job_log` VALUES (75708, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1908毫秒', '0', '', '2025-01-03 22:31:59');
INSERT INTO `sys_job_log` VALUES (75709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1528毫秒', '0', '', '2025-01-03 22:32:00');
INSERT INTO `sys_job_log` VALUES (75710, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1298毫秒', '0', '', '2025-01-03 22:32:01');
INSERT INTO `sys_job_log` VALUES (75711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2144毫秒', '0', '', '2025-01-03 22:32:02');
INSERT INTO `sys_job_log` VALUES (75712, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1771毫秒', '0', '', '2025-01-03 22:32:03');
INSERT INTO `sys_job_log` VALUES (75713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1981毫秒', '0', '', '2025-01-03 22:32:04');
INSERT INTO `sys_job_log` VALUES (75714, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2642毫秒', '0', '', '2025-01-03 22:32:06');
INSERT INTO `sys_job_log` VALUES (75715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2330毫秒', '0', '', '2025-01-03 22:32:07');
INSERT INTO `sys_job_log` VALUES (75716, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1339毫秒', '0', '', '2025-01-03 22:32:07');
INSERT INTO `sys_job_log` VALUES (75717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1683毫秒', '0', '', '2025-01-03 22:32:08');
INSERT INTO `sys_job_log` VALUES (75718, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2020毫秒', '0', '', '2025-01-03 22:32:09');
INSERT INTO `sys_job_log` VALUES (75719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1889毫秒', '0', '', '2025-01-03 22:32:10');
INSERT INTO `sys_job_log` VALUES (75720, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1985毫秒', '0', '', '2025-01-03 22:32:11');
INSERT INTO `sys_job_log` VALUES (75721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2176毫秒', '0', '', '2025-01-03 22:32:12');
INSERT INTO `sys_job_log` VALUES (75722, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2211毫秒', '0', '', '2025-01-03 22:32:13');
INSERT INTO `sys_job_log` VALUES (75723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1845毫秒', '0', '', '2025-01-03 22:32:14');
INSERT INTO `sys_job_log` VALUES (75724, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1928毫秒', '0', '', '2025-01-03 22:32:15');
INSERT INTO `sys_job_log` VALUES (75725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1956毫秒', '0', '', '2025-01-03 22:32:16');
INSERT INTO `sys_job_log` VALUES (75726, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1780毫秒', '0', '', '2025-01-03 22:32:17');
INSERT INTO `sys_job_log` VALUES (75727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1958毫秒', '0', '', '2025-01-03 22:32:18');
INSERT INTO `sys_job_log` VALUES (75728, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2170毫秒', '0', '', '2025-01-03 22:32:19');
INSERT INTO `sys_job_log` VALUES (75729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2361毫秒', '0', '', '2025-01-03 22:32:21');
INSERT INTO `sys_job_log` VALUES (75730, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2324毫秒', '0', '', '2025-01-03 22:32:22');
INSERT INTO `sys_job_log` VALUES (75731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1874毫秒', '0', '', '2025-01-03 22:32:23');
INSERT INTO `sys_job_log` VALUES (75732, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1545毫秒', '0', '', '2025-01-03 22:32:24');
INSERT INTO `sys_job_log` VALUES (75733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1628毫秒', '0', '', '2025-01-03 22:32:24');
INSERT INTO `sys_job_log` VALUES (75734, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1731毫秒', '0', '', '2025-01-03 22:32:25');
INSERT INTO `sys_job_log` VALUES (75735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2112毫秒', '0', '', '2025-01-03 22:32:26');
INSERT INTO `sys_job_log` VALUES (75736, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2167毫秒', '0', '', '2025-01-03 22:32:28');
INSERT INTO `sys_job_log` VALUES (75737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1880毫秒', '0', '', '2025-01-03 22:32:28');
INSERT INTO `sys_job_log` VALUES (75738, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1950毫秒', '0', '', '2025-01-03 22:32:30');
INSERT INTO `sys_job_log` VALUES (75739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2396毫秒', '0', '', '2025-01-03 22:32:31');
INSERT INTO `sys_job_log` VALUES (75740, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1335毫秒', '0', '', '2025-01-03 22:32:31');
INSERT INTO `sys_job_log` VALUES (75741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1662毫秒', '0', '', '2025-01-03 22:32:32');
INSERT INTO `sys_job_log` VALUES (75742, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2004毫秒', '0', '', '2025-01-03 22:32:33');
INSERT INTO `sys_job_log` VALUES (75743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2112毫秒', '0', '', '2025-01-03 22:32:35');
INSERT INTO `sys_job_log` VALUES (75744, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2248毫秒', '0', '', '2025-01-03 22:32:36');
INSERT INTO `sys_job_log` VALUES (75745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2255毫秒', '0', '', '2025-01-03 22:32:37');
INSERT INTO `sys_job_log` VALUES (75746, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2175毫秒', '0', '', '2025-01-03 22:32:38');
INSERT INTO `sys_job_log` VALUES (75747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1900毫秒', '0', '', '2025-01-03 22:32:39');
INSERT INTO `sys_job_log` VALUES (75748, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1492毫秒', '0', '', '2025-01-03 22:32:39');
INSERT INTO `sys_job_log` VALUES (75749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1679毫秒', '0', '', '2025-01-03 22:32:40');
INSERT INTO `sys_job_log` VALUES (75750, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2187毫秒', '0', '', '2025-01-03 22:32:42');
INSERT INTO `sys_job_log` VALUES (75751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1989毫秒', '0', '', '2025-01-03 22:32:42');
INSERT INTO `sys_job_log` VALUES (75752, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2082毫秒', '0', '', '2025-01-03 22:32:44');
INSERT INTO `sys_job_log` VALUES (75753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2468毫秒', '0', '', '2025-01-03 22:32:45');
INSERT INTO `sys_job_log` VALUES (75754, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1729毫秒', '0', '', '2025-01-03 22:32:45');
INSERT INTO `sys_job_log` VALUES (75755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1470毫秒', '0', '', '2025-01-03 22:32:46');
INSERT INTO `sys_job_log` VALUES (75756, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1964毫秒', '0', '', '2025-01-03 22:32:47');
INSERT INTO `sys_job_log` VALUES (75757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2061毫秒', '0', '', '2025-01-03 22:32:49');
INSERT INTO `sys_job_log` VALUES (75758, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2257毫秒', '0', '', '2025-01-03 22:32:50');
INSERT INTO `sys_job_log` VALUES (75759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1948毫秒', '0', '', '2025-01-03 22:32:51');
INSERT INTO `sys_job_log` VALUES (75760, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1956毫秒', '0', '', '2025-01-03 22:32:52');
INSERT INTO `sys_job_log` VALUES (75761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2004毫秒', '0', '', '2025-01-03 22:32:53');
INSERT INTO `sys_job_log` VALUES (75762, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1728毫秒', '0', '', '2025-01-03 22:32:53');
INSERT INTO `sys_job_log` VALUES (75763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1956毫秒', '0', '', '2025-01-03 22:32:55');
INSERT INTO `sys_job_log` VALUES (75764, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2257毫秒', '0', '', '2025-01-03 22:32:56');
INSERT INTO `sys_job_log` VALUES (75765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2332毫秒', '0', '', '2025-01-03 22:32:57');
INSERT INTO `sys_job_log` VALUES (75766, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2020毫秒', '0', '', '2025-01-03 22:32:58');
INSERT INTO `sys_job_log` VALUES (75767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1836毫秒', '0', '', '2025-01-03 22:32:59');
INSERT INTO `sys_job_log` VALUES (75768, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2190毫秒', '0', '', '2025-01-03 22:33:00');
INSERT INTO `sys_job_log` VALUES (75769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2035毫秒', '0', '', '2025-01-03 22:33:01');
INSERT INTO `sys_job_log` VALUES (75770, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1324毫秒', '0', '', '2025-01-03 22:33:02');
INSERT INTO `sys_job_log` VALUES (75771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1692毫秒', '0', '', '2025-01-03 22:33:03');
INSERT INTO `sys_job_log` VALUES (75772, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2297毫秒', '0', '', '2025-01-03 22:33:04');
INSERT INTO `sys_job_log` VALUES (75773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2249毫秒', '0', '', '2025-01-03 22:33:05');
INSERT INTO `sys_job_log` VALUES (75774, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1679毫秒', '0', '', '2025-01-03 22:33:06');
INSERT INTO `sys_job_log` VALUES (75775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1638毫秒', '0', '', '2025-01-03 22:33:07');
INSERT INTO `sys_job_log` VALUES (75776, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2131毫秒', '0', '', '2025-01-03 22:33:08');
INSERT INTO `sys_job_log` VALUES (75777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 22:33:09');
INSERT INTO `sys_job_log` VALUES (75778, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2483毫秒', '0', '', '2025-01-03 22:33:10');
INSERT INTO `sys_job_log` VALUES (75779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1988毫秒', '0', '', '2025-01-03 22:33:11');
INSERT INTO `sys_job_log` VALUES (75780, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1419毫秒', '0', '', '2025-01-03 22:33:12');
INSERT INTO `sys_job_log` VALUES (75781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1503毫秒', '0', '', '2025-01-03 22:33:13');
INSERT INTO `sys_job_log` VALUES (75782, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1876毫秒', '0', '', '2025-01-03 22:33:14');
INSERT INTO `sys_job_log` VALUES (75783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2131毫秒', '0', '', '2025-01-03 22:33:15');
INSERT INTO `sys_job_log` VALUES (75784, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1794毫秒', '0', '', '2025-01-03 22:33:16');
INSERT INTO `sys_job_log` VALUES (75785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1770毫秒', '0', '', '2025-01-03 22:33:17');
INSERT INTO `sys_job_log` VALUES (75786, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2001毫秒', '0', '', '2025-01-03 22:33:18');
INSERT INTO `sys_job_log` VALUES (75787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2426毫秒', '0', '', '2025-01-03 22:33:19');
INSERT INTO `sys_job_log` VALUES (75788, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2437毫秒', '0', '', '2025-01-03 22:33:20');
INSERT INTO `sys_job_log` VALUES (75789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1540毫秒', '0', '', '2025-01-03 22:33:21');
INSERT INTO `sys_job_log` VALUES (75790, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1693毫秒', '0', '', '2025-01-03 22:33:22');
INSERT INTO `sys_job_log` VALUES (75791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2316毫秒', '0', '', '2025-01-03 22:33:23');
INSERT INTO `sys_job_log` VALUES (75792, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1741毫秒', '0', '', '2025-01-03 22:33:24');
INSERT INTO `sys_job_log` VALUES (75793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1696毫秒', '0', '', '2025-01-03 22:33:25');
INSERT INTO `sys_job_log` VALUES (75794, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2432毫秒', '0', '', '2025-01-03 22:33:26');
INSERT INTO `sys_job_log` VALUES (75795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2394毫秒', '0', '', '2025-01-03 22:33:27');
INSERT INTO `sys_job_log` VALUES (75796, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2009毫秒', '0', '', '2025-01-03 22:33:28');
INSERT INTO `sys_job_log` VALUES (75797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2343毫秒', '0', '', '2025-01-03 22:33:30');
INSERT INTO `sys_job_log` VALUES (75798, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1666毫秒', '0', '', '2025-01-03 22:33:30');
INSERT INTO `sys_job_log` VALUES (75799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1263毫秒', '0', '', '2025-01-03 22:33:31');
INSERT INTO `sys_job_log` VALUES (75800, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2175毫秒', '0', '', '2025-01-03 22:33:32');
INSERT INTO `sys_job_log` VALUES (75801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2401毫秒', '0', '', '2025-01-03 22:33:34');
INSERT INTO `sys_job_log` VALUES (75802, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2691毫秒', '0', '', '2025-01-03 22:33:35');
INSERT INTO `sys_job_log` VALUES (75803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2185毫秒', '0', '', '2025-01-03 22:33:36');
INSERT INTO `sys_job_log` VALUES (75804, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1612毫秒', '0', '', '2025-01-03 22:33:37');
INSERT INTO `sys_job_log` VALUES (75805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1542毫秒', '0', '', '2025-01-03 22:33:37');
INSERT INTO `sys_job_log` VALUES (75806, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1477毫秒', '0', '', '2025-01-03 22:33:38');
INSERT INTO `sys_job_log` VALUES (75807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2539毫秒', '0', '', '2025-01-03 22:33:40');
INSERT INTO `sys_job_log` VALUES (75808, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2334毫秒', '0', '', '2025-01-03 22:33:41');
INSERT INTO `sys_job_log` VALUES (75809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1448毫秒', '0', '', '2025-01-03 22:33:41');
INSERT INTO `sys_job_log` VALUES (75810, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1796毫秒', '0', '', '2025-01-03 22:33:42');
INSERT INTO `sys_job_log` VALUES (75811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2590毫秒', '0', '', '2025-01-03 22:33:44');
INSERT INTO `sys_job_log` VALUES (75812, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2185毫秒', '0', '', '2025-01-03 22:33:45');
INSERT INTO `sys_job_log` VALUES (75813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1685毫秒', '0', '', '2025-01-03 22:33:46');
INSERT INTO `sys_job_log` VALUES (75814, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3382毫秒', '0', '', '2025-01-03 22:33:48');
INSERT INTO `sys_job_log` VALUES (75815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2709毫秒', '0', '', '2025-01-03 22:33:49');
INSERT INTO `sys_job_log` VALUES (75816, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1289毫秒', '0', '', '2025-01-03 22:33:50');
INSERT INTO `sys_job_log` VALUES (75817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2101毫秒', '0', '', '2025-01-03 22:33:51');
INSERT INTO `sys_job_log` VALUES (75818, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2154毫秒', '0', '', '2025-01-03 22:33:52');
INSERT INTO `sys_job_log` VALUES (75819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1712毫秒', '0', '', '2025-01-03 22:33:53');
INSERT INTO `sys_job_log` VALUES (75820, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1734毫秒', '0', '', '2025-01-03 22:33:54');
INSERT INTO `sys_job_log` VALUES (75821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2001毫秒', '0', '', '2025-01-03 22:33:55');
INSERT INTO `sys_job_log` VALUES (75822, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2261毫秒', '0', '', '2025-01-03 22:33:56');
INSERT INTO `sys_job_log` VALUES (75823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2371毫秒', '0', '', '2025-01-03 22:33:57');
INSERT INTO `sys_job_log` VALUES (75824, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2355毫秒', '0', '', '2025-01-03 22:33:58');
INSERT INTO `sys_job_log` VALUES (75825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1394毫秒', '0', '', '2025-01-03 22:33:59');
INSERT INTO `sys_job_log` VALUES (75826, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1223毫秒', '0', '', '2025-01-03 22:34:00');
INSERT INTO `sys_job_log` VALUES (75827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2042毫秒', '0', '', '2025-01-03 22:34:01');
INSERT INTO `sys_job_log` VALUES (75828, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2001毫秒', '0', '', '2025-01-03 22:34:02');
INSERT INTO `sys_job_log` VALUES (75829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2031毫秒', '0', '', '2025-01-03 22:34:03');
INSERT INTO `sys_job_log` VALUES (75830, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2239毫秒', '0', '', '2025-01-03 22:34:04');
INSERT INTO `sys_job_log` VALUES (75831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1884毫秒', '0', '', '2025-01-03 22:34:05');
INSERT INTO `sys_job_log` VALUES (75832, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2352毫秒', '0', '', '2025-01-03 22:34:06');
INSERT INTO `sys_job_log` VALUES (75833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2328毫秒', '0', '', '2025-01-03 22:34:07');
INSERT INTO `sys_job_log` VALUES (75834, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1255毫秒', '0', '', '2025-01-03 22:34:08');
INSERT INTO `sys_job_log` VALUES (75835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1715毫秒', '0', '', '2025-01-03 22:34:09');
INSERT INTO `sys_job_log` VALUES (75836, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2209毫秒', '0', '', '2025-01-03 22:34:10');
INSERT INTO `sys_job_log` VALUES (75837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1992毫秒', '0', '', '2025-01-03 22:34:11');
INSERT INTO `sys_job_log` VALUES (75838, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1900毫秒', '0', '', '2025-01-03 22:34:12');
INSERT INTO `sys_job_log` VALUES (75839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2310毫秒', '0', '', '2025-01-03 22:34:13');
INSERT INTO `sys_job_log` VALUES (75840, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1984毫秒', '0', '', '2025-01-03 22:34:14');
INSERT INTO `sys_job_log` VALUES (75841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1475毫秒', '0', '', '2025-01-03 22:34:15');
INSERT INTO `sys_job_log` VALUES (75842, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1875毫秒', '0', '', '2025-01-03 22:34:16');
INSERT INTO `sys_job_log` VALUES (75843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2144毫秒', '0', '', '2025-01-03 22:34:17');
INSERT INTO `sys_job_log` VALUES (75844, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2014毫秒', '0', '', '2025-01-03 22:34:18');
INSERT INTO `sys_job_log` VALUES (75845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2123毫秒', '0', '', '2025-01-03 22:34:19');
INSERT INTO `sys_job_log` VALUES (75846, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1747毫秒', '0', '', '2025-01-03 22:34:20');
INSERT INTO `sys_job_log` VALUES (75847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1498毫秒', '0', '', '2025-01-03 22:34:21');
INSERT INTO `sys_job_log` VALUES (75848, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1783毫秒', '0', '', '2025-01-03 22:34:22');
INSERT INTO `sys_job_log` VALUES (75849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1981毫秒', '0', '', '2025-01-03 22:34:23');
INSERT INTO `sys_job_log` VALUES (75850, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2006毫秒', '0', '', '2025-01-03 22:34:24');
INSERT INTO `sys_job_log` VALUES (75851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2524毫秒', '0', '', '2025-01-03 22:34:25');
INSERT INTO `sys_job_log` VALUES (75852, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2384毫秒', '0', '', '2025-01-03 22:34:26');
INSERT INTO `sys_job_log` VALUES (75853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1668毫秒', '0', '', '2025-01-03 22:34:27');
INSERT INTO `sys_job_log` VALUES (75854, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1632毫秒', '0', '', '2025-01-03 22:34:28');
INSERT INTO `sys_job_log` VALUES (75855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1806毫秒', '0', '', '2025-01-03 22:34:29');
INSERT INTO `sys_job_log` VALUES (75856, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1963毫秒', '0', '', '2025-01-03 22:34:30');
INSERT INTO `sys_job_log` VALUES (75857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1882毫秒', '0', '', '2025-01-03 22:34:31');
INSERT INTO `sys_job_log` VALUES (75858, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2031毫秒', '0', '', '2025-01-03 22:34:32');
INSERT INTO `sys_job_log` VALUES (75859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2321毫秒', '0', '', '2025-01-03 22:34:33');
INSERT INTO `sys_job_log` VALUES (75860, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2398毫秒', '0', '', '2025-01-03 22:34:34');
INSERT INTO `sys_job_log` VALUES (75861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1799毫秒', '0', '', '2025-01-03 22:34:35');
INSERT INTO `sys_job_log` VALUES (75862, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1310毫秒', '0', '', '2025-01-03 22:34:36');
INSERT INTO `sys_job_log` VALUES (75863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1608毫秒', '0', '', '2025-01-03 22:34:37');
INSERT INTO `sys_job_log` VALUES (75864, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2044毫秒', '0', '', '2025-01-03 22:34:38');
INSERT INTO `sys_job_log` VALUES (75865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 22:34:39');
INSERT INTO `sys_job_log` VALUES (75866, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2004毫秒', '0', '', '2025-01-03 22:34:40');
INSERT INTO `sys_job_log` VALUES (75867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2146毫秒', '0', '', '2025-01-03 22:34:41');
INSERT INTO `sys_job_log` VALUES (75868, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1981毫秒', '0', '', '2025-01-03 22:34:42');
INSERT INTO `sys_job_log` VALUES (75869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1817毫秒', '0', '', '2025-01-03 22:34:43');
INSERT INTO `sys_job_log` VALUES (75870, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1677毫秒', '0', '', '2025-01-03 22:34:44');
INSERT INTO `sys_job_log` VALUES (75871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1975毫秒', '0', '', '2025-01-03 22:34:45');
INSERT INTO `sys_job_log` VALUES (75872, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2022毫秒', '0', '', '2025-01-03 22:34:46');
INSERT INTO `sys_job_log` VALUES (75873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2052毫秒', '0', '', '2025-01-03 22:34:47');
INSERT INTO `sys_job_log` VALUES (75874, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2257毫秒', '0', '', '2025-01-03 22:34:48');
INSERT INTO `sys_job_log` VALUES (75875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2430毫秒', '0', '', '2025-01-03 22:34:50');
INSERT INTO `sys_job_log` VALUES (75876, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1668毫秒', '0', '', '2025-01-03 22:34:50');
INSERT INTO `sys_job_log` VALUES (75877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1696毫秒', '0', '', '2025-01-03 22:34:51');
INSERT INTO `sys_job_log` VALUES (75878, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1973毫秒', '0', '', '2025-01-03 22:34:52');
INSERT INTO `sys_job_log` VALUES (75879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1469毫秒', '0', '', '2025-01-03 22:34:53');
INSERT INTO `sys_job_log` VALUES (75880, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2150毫秒', '0', '', '2025-01-03 22:34:54');
INSERT INTO `sys_job_log` VALUES (75881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2644毫秒', '0', '', '2025-01-03 22:34:56');
INSERT INTO `sys_job_log` VALUES (75882, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2075毫秒', '0', '', '2025-01-03 22:34:56');
INSERT INTO `sys_job_log` VALUES (75883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1599毫秒', '0', '', '2025-01-03 22:34:57');
INSERT INTO `sys_job_log` VALUES (75884, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2007毫秒', '0', '', '2025-01-03 22:34:58');
INSERT INTO `sys_job_log` VALUES (75885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1795毫秒', '0', '', '2025-01-03 22:34:59');
INSERT INTO `sys_job_log` VALUES (75886, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2037毫秒', '0', '', '2025-01-03 22:35:00');
INSERT INTO `sys_job_log` VALUES (75887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2352毫秒', '0', '', '2025-01-03 22:35:02');
INSERT INTO `sys_job_log` VALUES (75888, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2060毫秒', '0', '', '2025-01-03 22:35:02');
INSERT INTO `sys_job_log` VALUES (75889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2198毫秒', '0', '', '2025-01-03 22:35:04');
INSERT INTO `sys_job_log` VALUES (75890, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2212毫秒', '0', '', '2025-01-03 22:35:05');
INSERT INTO `sys_job_log` VALUES (75891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1545毫秒', '0', '', '2025-01-03 22:35:06');
INSERT INTO `sys_job_log` VALUES (75892, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1926毫秒', '0', '', '2025-01-03 22:35:07');
INSERT INTO `sys_job_log` VALUES (75893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1959毫秒', '0', '', '2025-01-03 22:35:08');
INSERT INTO `sys_job_log` VALUES (75894, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2180毫秒', '0', '', '2025-01-03 22:35:09');
INSERT INTO `sys_job_log` VALUES (75895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2283毫秒', '0', '', '2025-01-03 22:35:10');
INSERT INTO `sys_job_log` VALUES (75896, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1946毫秒', '0', '', '2025-01-03 22:35:11');
INSERT INTO `sys_job_log` VALUES (75897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1694毫秒', '0', '', '2025-01-03 22:35:12');
INSERT INTO `sys_job_log` VALUES (75898, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2066毫秒', '0', '', '2025-01-03 22:35:13');
INSERT INTO `sys_job_log` VALUES (75899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2017毫秒', '0', '', '2025-01-03 22:35:14');
INSERT INTO `sys_job_log` VALUES (75900, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1595毫秒', '0', '', '2025-01-03 22:35:15');
INSERT INTO `sys_job_log` VALUES (75901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2102毫秒', '0', '', '2025-01-03 22:35:16');
INSERT INTO `sys_job_log` VALUES (75902, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2361毫秒', '0', '', '2025-01-03 22:35:17');
INSERT INTO `sys_job_log` VALUES (75903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2276毫秒', '0', '', '2025-01-03 22:35:18');
INSERT INTO `sys_job_log` VALUES (75904, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1828毫秒', '0', '', '2025-01-03 22:35:19');
INSERT INTO `sys_job_log` VALUES (75905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1399毫秒', '0', '', '2025-01-03 22:35:20');
INSERT INTO `sys_job_log` VALUES (75906, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1572毫秒', '0', '', '2025-01-03 22:35:21');
INSERT INTO `sys_job_log` VALUES (75907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1959毫秒', '0', '', '2025-01-03 22:35:22');
INSERT INTO `sys_job_log` VALUES (75908, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2317毫秒', '0', '', '2025-01-03 22:35:23');
INSERT INTO `sys_job_log` VALUES (75909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2496毫秒', '0', '', '2025-01-03 22:35:24');
INSERT INTO `sys_job_log` VALUES (75910, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1677毫秒', '0', '', '2025-01-03 22:35:25');
INSERT INTO `sys_job_log` VALUES (75911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1415毫秒', '0', '', '2025-01-03 22:35:26');
INSERT INTO `sys_job_log` VALUES (75912, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2176毫秒', '0', '', '2025-01-03 22:35:27');
INSERT INTO `sys_job_log` VALUES (75913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1983毫秒', '0', '', '2025-01-03 22:35:28');
INSERT INTO `sys_job_log` VALUES (75914, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1798毫秒', '0', '', '2025-01-03 22:35:29');
INSERT INTO `sys_job_log` VALUES (75915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2002毫秒', '0', '', '2025-01-03 22:35:30');
INSERT INTO `sys_job_log` VALUES (75916, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2306毫秒', '0', '', '2025-01-03 22:35:31');
INSERT INTO `sys_job_log` VALUES (75917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2256毫秒', '0', '', '2025-01-03 22:35:32');
INSERT INTO `sys_job_log` VALUES (75918, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1688毫秒', '0', '', '2025-01-03 22:35:33');
INSERT INTO `sys_job_log` VALUES (75919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1951毫秒', '0', '', '2025-01-03 22:35:34');
INSERT INTO `sys_job_log` VALUES (75920, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2232毫秒', '0', '', '2025-01-03 22:35:35');
INSERT INTO `sys_job_log` VALUES (75921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1738毫秒', '0', '', '2025-01-03 22:35:36');
INSERT INTO `sys_job_log` VALUES (75922, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1690毫秒', '0', '', '2025-01-03 22:35:37');
INSERT INTO `sys_job_log` VALUES (75923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1977毫秒', '0', '', '2025-01-03 22:35:38');
INSERT INTO `sys_job_log` VALUES (75924, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2173毫秒', '0', '', '2025-01-03 22:35:39');
INSERT INTO `sys_job_log` VALUES (75925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1973毫秒', '0', '', '2025-01-03 22:35:40');
INSERT INTO `sys_job_log` VALUES (75926, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1974毫秒', '0', '', '2025-01-03 22:35:41');
INSERT INTO `sys_job_log` VALUES (75927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2232毫秒', '0', '', '2025-01-03 22:35:42');
INSERT INTO `sys_job_log` VALUES (75928, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1797毫秒', '0', '', '2025-01-03 22:35:43');
INSERT INTO `sys_job_log` VALUES (75929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1713毫秒', '0', '', '2025-01-03 22:35:44');
INSERT INTO `sys_job_log` VALUES (75930, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2160毫秒', '0', '', '2025-01-03 22:35:45');
INSERT INTO `sys_job_log` VALUES (75931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2641毫秒', '0', '', '2025-01-03 22:35:47');
INSERT INTO `sys_job_log` VALUES (75932, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2584毫秒', '0', '', '2025-01-03 22:35:48');
INSERT INTO `sys_job_log` VALUES (75933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1987毫秒', '0', '', '2025-01-03 22:35:49');
INSERT INTO `sys_job_log` VALUES (75934, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2021毫秒', '0', '', '2025-01-03 22:35:50');
INSERT INTO `sys_job_log` VALUES (75935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1921毫秒', '0', '', '2025-01-03 22:35:51');
INSERT INTO `sys_job_log` VALUES (75936, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2021毫秒', '0', '', '2025-01-03 22:35:52');
INSERT INTO `sys_job_log` VALUES (75937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2135毫秒', '0', '', '2025-01-03 22:35:53');
INSERT INTO `sys_job_log` VALUES (75938, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2312毫秒', '0', '', '2025-01-03 22:35:54');
INSERT INTO `sys_job_log` VALUES (75939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3107毫秒', '0', '', '2025-01-03 22:35:56');
INSERT INTO `sys_job_log` VALUES (75940, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2110毫秒', '0', '', '2025-01-03 22:35:56');
INSERT INTO `sys_job_log` VALUES (75941, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1308毫秒', '0', '', '2025-01-03 22:35:58');
INSERT INTO `sys_job_log` VALUES (75942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2536毫秒', '0', '', '2025-01-03 22:35:59');
INSERT INTO `sys_job_log` VALUES (75943, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2114毫秒', '0', '', '2025-01-03 22:36:00');
INSERT INTO `sys_job_log` VALUES (75944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2359毫秒', '0', '', '2025-01-03 22:36:01');
INSERT INTO `sys_job_log` VALUES (75945, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2120毫秒', '0', '', '2025-01-03 22:36:02');
INSERT INTO `sys_job_log` VALUES (75946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1342毫秒', '0', '', '2025-01-03 22:36:03');
INSERT INTO `sys_job_log` VALUES (75947, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1955毫秒', '0', '', '2025-01-03 22:36:04');
INSERT INTO `sys_job_log` VALUES (75948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2010毫秒', '0', '', '2025-01-03 22:36:05');
INSERT INTO `sys_job_log` VALUES (75949, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1778毫秒', '0', '', '2025-01-03 22:36:06');
INSERT INTO `sys_job_log` VALUES (75950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2163毫秒', '0', '', '2025-01-03 22:36:07');
INSERT INTO `sys_job_log` VALUES (75951, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2297毫秒', '0', '', '2025-01-03 22:36:08');
INSERT INTO `sys_job_log` VALUES (75952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2233毫秒', '0', '', '2025-01-03 22:36:09');
INSERT INTO `sys_job_log` VALUES (75953, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1675毫秒', '0', '', '2025-01-03 22:36:10');
INSERT INTO `sys_job_log` VALUES (75954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1763毫秒', '0', '', '2025-01-03 22:36:11');
INSERT INTO `sys_job_log` VALUES (75955, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2038毫秒', '0', '', '2025-01-03 22:36:12');
INSERT INTO `sys_job_log` VALUES (75956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1903毫秒', '0', '', '2025-01-03 22:36:13');
INSERT INTO `sys_job_log` VALUES (75957, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1956毫秒', '0', '', '2025-01-03 22:36:14');
INSERT INTO `sys_job_log` VALUES (75958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2081毫秒', '0', '', '2025-01-03 22:36:15');
INSERT INTO `sys_job_log` VALUES (75959, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2393毫秒', '0', '', '2025-01-03 22:36:16');
INSERT INTO `sys_job_log` VALUES (75960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2179毫秒', '0', '', '2025-01-03 22:36:17');
INSERT INTO `sys_job_log` VALUES (75961, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1587毫秒', '0', '', '2025-01-03 22:36:18');
INSERT INTO `sys_job_log` VALUES (75962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1428毫秒', '0', '', '2025-01-03 22:36:19');
INSERT INTO `sys_job_log` VALUES (75963, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1062毫秒', '0', '', '2025-01-03 22:36:31');
INSERT INTO `sys_job_log` VALUES (75964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2076毫秒', '0', '', '2025-01-03 22:36:33');
INSERT INTO `sys_job_log` VALUES (75965, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1067毫秒', '0', '', '2025-01-03 22:36:36');
INSERT INTO `sys_job_log` VALUES (75966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2071毫秒', '0', '', '2025-01-03 22:36:37');
INSERT INTO `sys_job_log` VALUES (75967, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1063毫秒', '0', '', '2025-01-03 22:36:41');
INSERT INTO `sys_job_log` VALUES (75968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2081毫秒', '0', '', '2025-01-03 22:36:43');
INSERT INTO `sys_job_log` VALUES (75969, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：1044毫秒', '0', '', '2025-01-03 22:36:46');
INSERT INTO `sys_job_log` VALUES (75970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2048毫秒', '0', '', '2025-01-03 22:36:47');
INSERT INTO `sys_job_log` VALUES (75971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2052毫秒', '0', '', '2025-01-03 22:36:52');
INSERT INTO `sys_job_log` VALUES (75972, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3081毫秒', '0', '', '2025-01-03 22:36:53');
INSERT INTO `sys_job_log` VALUES (75973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2069毫秒', '0', '', '2025-01-03 22:36:57');
INSERT INTO `sys_job_log` VALUES (75974, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3084毫秒', '0', '', '2025-01-03 22:36:58');
INSERT INTO `sys_job_log` VALUES (75975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2062毫秒', '0', '', '2025-01-03 22:37:02');
INSERT INTO `sys_job_log` VALUES (75976, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3067毫秒', '0', '', '2025-01-03 22:37:03');
INSERT INTO `sys_job_log` VALUES (75977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2025毫秒', '0', '', '2025-01-03 22:37:07');
INSERT INTO `sys_job_log` VALUES (75978, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3027毫秒', '0', '', '2025-01-03 22:37:08');
INSERT INTO `sys_job_log` VALUES (75979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2061毫秒', '0', '', '2025-01-03 22:37:12');
INSERT INTO `sys_job_log` VALUES (75980, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3069毫秒', '0', '', '2025-01-03 22:37:13');
INSERT INTO `sys_job_log` VALUES (75981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2040毫秒', '0', '', '2025-01-03 22:37:17');
INSERT INTO `sys_job_log` VALUES (75982, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3042毫秒', '0', '', '2025-01-03 22:37:18');
INSERT INTO `sys_job_log` VALUES (75983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2054毫秒', '0', '', '2025-01-03 22:37:22');
INSERT INTO `sys_job_log` VALUES (75984, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3059毫秒', '0', '', '2025-01-03 22:37:23');
INSERT INTO `sys_job_log` VALUES (75985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2120毫秒', '0', '', '2025-01-03 22:37:27');
INSERT INTO `sys_job_log` VALUES (75986, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3122毫秒', '0', '', '2025-01-03 22:37:28');
INSERT INTO `sys_job_log` VALUES (75987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2048毫秒', '0', '', '2025-01-03 22:37:32');
INSERT INTO `sys_job_log` VALUES (75988, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3053毫秒', '0', '', '2025-01-03 22:37:33');
INSERT INTO `sys_job_log` VALUES (75989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2028毫秒', '0', '', '2025-01-03 22:37:37');
INSERT INTO `sys_job_log` VALUES (75990, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3029毫秒', '0', '', '2025-01-03 22:37:38');
INSERT INTO `sys_job_log` VALUES (75991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2026毫秒', '0', '', '2025-01-03 22:37:42');
INSERT INTO `sys_job_log` VALUES (75992, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3031毫秒', '0', '', '2025-01-03 22:37:43');
INSERT INTO `sys_job_log` VALUES (75993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2047毫秒', '0', '', '2025-01-03 22:37:47');
INSERT INTO `sys_job_log` VALUES (75994, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3054毫秒', '0', '', '2025-01-03 22:37:48');
INSERT INTO `sys_job_log` VALUES (75995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2049毫秒', '0', '', '2025-01-03 22:37:52');
INSERT INTO `sys_job_log` VALUES (75996, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3054毫秒', '0', '', '2025-01-03 22:37:53');
INSERT INTO `sys_job_log` VALUES (75997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2053毫秒', '0', '', '2025-01-03 22:37:57');
INSERT INTO `sys_job_log` VALUES (75998, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3061毫秒', '0', '', '2025-01-03 22:37:58');
INSERT INTO `sys_job_log` VALUES (75999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2087毫秒', '0', '', '2025-01-03 22:38:02');
INSERT INTO `sys_job_log` VALUES (76000, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3095毫秒', '0', '', '2025-01-03 22:38:03');
INSERT INTO `sys_job_log` VALUES (76001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2038毫秒', '0', '', '2025-01-03 22:38:07');
INSERT INTO `sys_job_log` VALUES (76002, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3038毫秒', '0', '', '2025-01-03 22:38:08');
INSERT INTO `sys_job_log` VALUES (76003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2043毫秒', '0', '', '2025-01-03 22:38:12');
INSERT INTO `sys_job_log` VALUES (76004, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3058毫秒', '0', '', '2025-01-03 22:38:13');
INSERT INTO `sys_job_log` VALUES (76005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2171毫秒', '0', '', '2025-01-03 22:38:17');
INSERT INTO `sys_job_log` VALUES (76006, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3175毫秒', '0', '', '2025-01-03 22:38:18');
INSERT INTO `sys_job_log` VALUES (76007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2060毫秒', '0', '', '2025-01-03 22:38:22');
INSERT INTO `sys_job_log` VALUES (76008, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3087毫秒', '0', '', '2025-01-03 22:38:23');
INSERT INTO `sys_job_log` VALUES (76009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2075毫秒', '0', '', '2025-01-03 22:38:27');
INSERT INTO `sys_job_log` VALUES (76010, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3088毫秒', '0', '', '2025-01-03 22:38:28');
INSERT INTO `sys_job_log` VALUES (76011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2059毫秒', '0', '', '2025-01-03 22:38:32');
INSERT INTO `sys_job_log` VALUES (76012, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3064毫秒', '0', '', '2025-01-03 22:38:33');
INSERT INTO `sys_job_log` VALUES (76013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3048毫秒', '0', '', '2025-01-03 22:38:50');
INSERT INTO `sys_job_log` VALUES (76014, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4061毫秒', '0', '', '2025-01-03 22:38:51');
INSERT INTO `sys_job_log` VALUES (76015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1859毫秒', '0', '', '2025-01-03 22:38:52');
INSERT INTO `sys_job_log` VALUES (76016, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2826毫秒', '0', '', '2025-01-03 22:38:54');
INSERT INTO `sys_job_log` VALUES (76017, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3037毫秒', '0', '', '2025-01-03 22:38:58');
INSERT INTO `sys_job_log` VALUES (76018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4039毫秒', '0', '', '2025-01-03 22:38:59');
INSERT INTO `sys_job_log` VALUES (76019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2331毫秒', '0', '', '2025-01-03 22:39:02');
INSERT INTO `sys_job_log` VALUES (76020, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3341毫秒', '0', '', '2025-01-03 22:39:03');
INSERT INTO `sys_job_log` VALUES (76021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2295毫秒', '0', '', '2025-01-03 22:39:07');
INSERT INTO `sys_job_log` VALUES (76022, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3343毫秒', '0', '', '2025-01-03 22:39:08');
INSERT INTO `sys_job_log` VALUES (76023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2348毫秒', '0', '', '2025-01-03 22:39:12');
INSERT INTO `sys_job_log` VALUES (76024, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3635毫秒', '0', '', '2025-01-03 22:39:13');
INSERT INTO `sys_job_log` VALUES (76025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2309毫秒', '0', '', '2025-01-03 22:39:17');
INSERT INTO `sys_job_log` VALUES (76026, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3420毫秒', '0', '', '2025-01-03 22:39:18');
INSERT INTO `sys_job_log` VALUES (76027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2428毫秒', '0', '', '2025-01-03 22:39:22');
INSERT INTO `sys_job_log` VALUES (76028, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3525毫秒', '0', '', '2025-01-03 22:39:23');
INSERT INTO `sys_job_log` VALUES (76029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2351毫秒', '0', '', '2025-01-03 22:39:27');
INSERT INTO `sys_job_log` VALUES (76030, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3484毫秒', '0', '', '2025-01-03 22:39:28');
INSERT INTO `sys_job_log` VALUES (76031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2303毫秒', '0', '', '2025-01-03 22:39:32');
INSERT INTO `sys_job_log` VALUES (76032, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3390毫秒', '0', '', '2025-01-03 22:39:33');
INSERT INTO `sys_job_log` VALUES (76033, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3102毫秒', '0', '', '2025-01-03 22:39:50');
INSERT INTO `sys_job_log` VALUES (76034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4104毫秒', '0', '', '2025-01-03 22:39:51');
INSERT INTO `sys_job_log` VALUES (76035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1978毫秒', '0', '', '2025-01-03 22:39:53');
INSERT INTO `sys_job_log` VALUES (76036, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3864毫秒', '0', '', '2025-01-03 22:39:54');
INSERT INTO `sys_job_log` VALUES (76037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3063毫秒', '0', '', '2025-01-03 22:39:58');
INSERT INTO `sys_job_log` VALUES (76038, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4072毫秒', '0', '', '2025-01-03 22:39:59');
INSERT INTO `sys_job_log` VALUES (76039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2047毫秒', '0', '', '2025-01-03 22:40:02');
INSERT INTO `sys_job_log` VALUES (76040, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3058毫秒', '0', '', '2025-01-03 22:40:03');
INSERT INTO `sys_job_log` VALUES (76041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2048毫秒', '0', '', '2025-01-03 22:40:07');
INSERT INTO `sys_job_log` VALUES (76042, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3054毫秒', '0', '', '2025-01-03 22:40:08');
INSERT INTO `sys_job_log` VALUES (76043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2036毫秒', '0', '', '2025-01-03 22:40:12');
INSERT INTO `sys_job_log` VALUES (76044, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3043毫秒', '0', '', '2025-01-03 22:40:13');
INSERT INTO `sys_job_log` VALUES (76045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2066毫秒', '0', '', '2025-01-03 22:40:17');
INSERT INTO `sys_job_log` VALUES (76046, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3072毫秒', '0', '', '2025-01-03 22:40:18');
INSERT INTO `sys_job_log` VALUES (76047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-03 22:40:20');
INSERT INTO `sys_job_log` VALUES (76048, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2056毫秒', '0', '', '2025-01-03 22:40:22');
INSERT INTO `sys_job_log` VALUES (76049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3057毫秒', '0', '', '2025-01-03 22:40:28');
INSERT INTO `sys_job_log` VALUES (76050, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4058毫秒', '0', '', '2025-01-03 22:40:29');
INSERT INTO `sys_job_log` VALUES (76051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：607毫秒', '0', '', '2025-01-03 22:40:30');
INSERT INTO `sys_job_log` VALUES (76052, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2617毫秒', '0', '', '2025-01-03 22:40:32');
INSERT INTO `sys_job_log` VALUES (76053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3059毫秒', '0', '', '2025-01-03 22:40:38');
INSERT INTO `sys_job_log` VALUES (76054, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4063毫秒', '0', '', '2025-01-03 22:40:39');
INSERT INTO `sys_job_log` VALUES (76055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：251毫秒', '0', '', '2025-01-03 22:40:40');
INSERT INTO `sys_job_log` VALUES (76056, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2252毫秒', '0', '', '2025-01-03 22:40:42');
INSERT INTO `sys_job_log` VALUES (76057, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3061毫秒', '0', '', '2025-01-03 22:40:48');
INSERT INTO `sys_job_log` VALUES (76058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4065毫秒', '0', '', '2025-01-03 22:40:49');
INSERT INTO `sys_job_log` VALUES (76059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：339毫秒', '0', '', '2025-01-03 22:40:50');
INSERT INTO `sys_job_log` VALUES (76060, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2346毫秒', '0', '', '2025-01-03 22:40:52');
INSERT INTO `sys_job_log` VALUES (76061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3155毫秒', '0', '', '2025-01-03 22:40:58');
INSERT INTO `sys_job_log` VALUES (76062, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4168毫秒', '0', '', '2025-01-03 22:40:59');
INSERT INTO `sys_job_log` VALUES (76063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2025-01-03 22:41:00');
INSERT INTO `sys_job_log` VALUES (76064, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2042毫秒', '0', '', '2025-01-03 22:41:02');
INSERT INTO `sys_job_log` VALUES (76065, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3264毫秒', '0', '', '2025-01-03 22:41:08');
INSERT INTO `sys_job_log` VALUES (76066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4266毫秒', '0', '', '2025-01-03 22:41:09');
INSERT INTO `sys_job_log` VALUES (76067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：141毫秒', '0', '', '2025-01-03 22:41:10');
INSERT INTO `sys_job_log` VALUES (76068, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2148毫秒', '0', '', '2025-01-03 22:41:12');
INSERT INTO `sys_job_log` VALUES (76069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3173毫秒', '0', '', '2025-01-03 22:41:18');
INSERT INTO `sys_job_log` VALUES (76070, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4189毫秒', '0', '', '2025-01-03 22:41:19');
INSERT INTO `sys_job_log` VALUES (76071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2025-01-03 22:41:20');
INSERT INTO `sys_job_log` VALUES (76072, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2034毫秒', '0', '', '2025-01-03 22:41:22');
INSERT INTO `sys_job_log` VALUES (76073, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3059毫秒', '0', '', '2025-01-03 22:41:28');
INSERT INTO `sys_job_log` VALUES (76074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4065毫秒', '0', '', '2025-01-03 22:41:29');
INSERT INTO `sys_job_log` VALUES (76075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2025-01-03 22:41:30');
INSERT INTO `sys_job_log` VALUES (76076, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2050毫秒', '0', '', '2025-01-03 22:41:32');
INSERT INTO `sys_job_log` VALUES (76077, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3060毫秒', '0', '', '2025-01-03 22:41:38');
INSERT INTO `sys_job_log` VALUES (76078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4074毫秒', '0', '', '2025-01-03 22:41:39');
INSERT INTO `sys_job_log` VALUES (76079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-03 22:41:40');
INSERT INTO `sys_job_log` VALUES (76080, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2052毫秒', '0', '', '2025-01-03 22:41:42');
INSERT INTO `sys_job_log` VALUES (76081, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3068毫秒', '0', '', '2025-01-03 22:41:48');
INSERT INTO `sys_job_log` VALUES (76082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4077毫秒', '0', '', '2025-01-03 22:41:49');
INSERT INTO `sys_job_log` VALUES (76083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2025-01-03 22:41:50');
INSERT INTO `sys_job_log` VALUES (76084, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2040毫秒', '0', '', '2025-01-03 22:41:52');
INSERT INTO `sys_job_log` VALUES (76085, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3134毫秒', '0', '', '2025-01-03 22:41:58');
INSERT INTO `sys_job_log` VALUES (76086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4138毫秒', '0', '', '2025-01-03 22:41:59');
INSERT INTO `sys_job_log` VALUES (76087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-03 22:42:00');
INSERT INTO `sys_job_log` VALUES (76088, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2054毫秒', '0', '', '2025-01-03 22:42:02');
INSERT INTO `sys_job_log` VALUES (76089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3040毫秒', '0', '', '2025-01-03 22:42:08');
INSERT INTO `sys_job_log` VALUES (76090, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4050毫秒', '0', '', '2025-01-03 22:42:09');
INSERT INTO `sys_job_log` VALUES (76091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2025-01-03 22:42:10');
INSERT INTO `sys_job_log` VALUES (76092, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2045毫秒', '0', '', '2025-01-03 22:42:12');
INSERT INTO `sys_job_log` VALUES (76093, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3075毫秒', '0', '', '2025-01-03 22:42:18');
INSERT INTO `sys_job_log` VALUES (76094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4078毫秒', '0', '', '2025-01-03 22:42:19');
INSERT INTO `sys_job_log` VALUES (76095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2025-01-03 22:42:20');
INSERT INTO `sys_job_log` VALUES (76096, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2053毫秒', '0', '', '2025-01-03 22:42:22');
INSERT INTO `sys_job_log` VALUES (76097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2051毫秒', '0', '', '2025-01-03 22:42:27');
INSERT INTO `sys_job_log` VALUES (76098, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4074毫秒', '0', '', '2025-01-03 22:42:29');
INSERT INTO `sys_job_log` VALUES (76099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：45毫秒', '0', '', '2025-01-03 22:42:30');
INSERT INTO `sys_job_log` VALUES (76100, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2058毫秒', '0', '', '2025-01-03 22:42:32');
INSERT INTO `sys_job_log` VALUES (76101, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3978毫秒', '0', '', '2025-01-03 22:42:39');
INSERT INTO `sys_job_log` VALUES (76102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4801毫秒', '0', '', '2025-01-03 22:42:39');
INSERT INTO `sys_job_log` VALUES (76103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-03 22:42:40');
INSERT INTO `sys_job_log` VALUES (76104, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2300毫秒', '0', '', '2025-01-03 22:42:42');
INSERT INTO `sys_job_log` VALUES (76105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2025-01-03 22:42:45');
INSERT INTO `sys_job_log` VALUES (76106, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2526毫秒', '0', '', '2025-01-03 22:42:47');
INSERT INTO `sys_job_log` VALUES (76107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22毫秒', '0', '', '2025-01-03 22:42:50');
INSERT INTO `sys_job_log` VALUES (76108, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2522毫秒', '0', '', '2025-01-03 22:42:52');
INSERT INTO `sys_job_log` VALUES (76109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-03 22:42:55');
INSERT INTO `sys_job_log` VALUES (76110, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2237毫秒', '0', '', '2025-01-03 22:42:57');
INSERT INTO `sys_job_log` VALUES (76111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：55毫秒', '0', '', '2025-01-03 22:43:00');
INSERT INTO `sys_job_log` VALUES (76112, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2487毫秒', '0', '', '2025-01-03 22:43:02');
INSERT INTO `sys_job_log` VALUES (76113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-03 22:43:05');
INSERT INTO `sys_job_log` VALUES (76114, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2305毫秒', '0', '', '2025-01-03 22:43:07');
INSERT INTO `sys_job_log` VALUES (76115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：73毫秒', '0', '', '2025-01-03 22:43:10');
INSERT INTO `sys_job_log` VALUES (76116, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2318毫秒', '0', '', '2025-01-03 22:43:12');
INSERT INTO `sys_job_log` VALUES (76117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2025-01-03 22:43:15');
INSERT INTO `sys_job_log` VALUES (76118, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2376毫秒', '0', '', '2025-01-03 22:43:17');
INSERT INTO `sys_job_log` VALUES (76119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2025-01-03 22:43:20');
INSERT INTO `sys_job_log` VALUES (76120, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2421毫秒', '0', '', '2025-01-03 22:43:22');
INSERT INTO `sys_job_log` VALUES (76121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2025-01-03 22:43:25');
INSERT INTO `sys_job_log` VALUES (76122, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2405毫秒', '0', '', '2025-01-03 22:43:27');
INSERT INTO `sys_job_log` VALUES (76123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：580毫秒', '0', '', '2025-01-03 22:43:30');
INSERT INTO `sys_job_log` VALUES (76124, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2832毫秒', '0', '', '2025-01-03 22:43:32');
INSERT INTO `sys_job_log` VALUES (76125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-03 22:43:35');
INSERT INTO `sys_job_log` VALUES (76126, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2241毫秒', '0', '', '2025-01-03 22:43:37');
INSERT INTO `sys_job_log` VALUES (76127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-03 22:43:40');
INSERT INTO `sys_job_log` VALUES (76128, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2352毫秒', '0', '', '2025-01-03 22:43:42');
INSERT INTO `sys_job_log` VALUES (76129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：71毫秒', '0', '', '2025-01-03 22:43:45');
INSERT INTO `sys_job_log` VALUES (76130, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2424毫秒', '0', '', '2025-01-03 22:43:47');
INSERT INTO `sys_job_log` VALUES (76131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：69毫秒', '0', '', '2025-01-03 22:43:50');
INSERT INTO `sys_job_log` VALUES (76132, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2356毫秒', '0', '', '2025-01-03 22:43:52');
INSERT INTO `sys_job_log` VALUES (76133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-03 22:43:55');
INSERT INTO `sys_job_log` VALUES (76134, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2749毫秒', '0', '', '2025-01-03 22:43:57');
INSERT INTO `sys_job_log` VALUES (76135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2025-01-03 22:44:00');
INSERT INTO `sys_job_log` VALUES (76136, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2573毫秒', '0', '', '2025-01-03 22:44:02');
INSERT INTO `sys_job_log` VALUES (76137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：62毫秒', '0', '', '2025-01-03 22:44:05');
INSERT INTO `sys_job_log` VALUES (76138, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2409毫秒', '0', '', '2025-01-03 22:44:07');
INSERT INTO `sys_job_log` VALUES (76139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-03 22:44:10');
INSERT INTO `sys_job_log` VALUES (76140, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2211毫秒', '0', '', '2025-01-03 22:44:12');
INSERT INTO `sys_job_log` VALUES (76141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-03 22:44:15');
INSERT INTO `sys_job_log` VALUES (76142, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2270毫秒', '0', '', '2025-01-03 22:44:17');
INSERT INTO `sys_job_log` VALUES (76143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2025-01-03 22:44:20');
INSERT INTO `sys_job_log` VALUES (76144, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2294毫秒', '0', '', '2025-01-03 22:44:22');
INSERT INTO `sys_job_log` VALUES (76145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2025-01-03 22:44:25');
INSERT INTO `sys_job_log` VALUES (76146, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2975毫秒', '0', '', '2025-01-03 22:44:28');
INSERT INTO `sys_job_log` VALUES (76147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2025-01-03 22:44:30');
INSERT INTO `sys_job_log` VALUES (76148, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2226毫秒', '0', '', '2025-01-03 22:44:32');
INSERT INTO `sys_job_log` VALUES (76149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：268毫秒', '0', '', '2025-01-03 22:44:35');
INSERT INTO `sys_job_log` VALUES (76150, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2303毫秒', '0', '', '2025-01-03 22:44:37');
INSERT INTO `sys_job_log` VALUES (76151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2025-01-03 22:44:40');
INSERT INTO `sys_job_log` VALUES (76152, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2850毫秒', '0', '', '2025-01-03 22:44:42');
INSERT INTO `sys_job_log` VALUES (76153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：699毫秒', '0', '', '2025-01-03 22:44:45');
INSERT INTO `sys_job_log` VALUES (76154, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3032毫秒', '0', '', '2025-01-03 22:44:48');
INSERT INTO `sys_job_log` VALUES (76155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：631毫秒', '0', '', '2025-01-03 22:44:50');
INSERT INTO `sys_job_log` VALUES (76156, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2760毫秒', '0', '', '2025-01-03 22:44:52');
INSERT INTO `sys_job_log` VALUES (76157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：425毫秒', '0', '', '2025-01-03 22:44:55');
INSERT INTO `sys_job_log` VALUES (76158, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2977毫秒', '0', '', '2025-01-03 22:44:58');
INSERT INTO `sys_job_log` VALUES (76159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-03 22:45:00');
INSERT INTO `sys_job_log` VALUES (76160, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2279毫秒', '0', '', '2025-01-03 22:45:02');
INSERT INTO `sys_job_log` VALUES (76161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：237毫秒', '0', '', '2025-01-03 22:45:05');
INSERT INTO `sys_job_log` VALUES (76162, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2732毫秒', '0', '', '2025-01-03 22:45:07');
INSERT INTO `sys_job_log` VALUES (76163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：40毫秒', '0', '', '2025-01-03 22:45:10');
INSERT INTO `sys_job_log` VALUES (76164, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2370毫秒', '0', '', '2025-01-03 22:45:12');
INSERT INTO `sys_job_log` VALUES (76165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26毫秒', '0', '', '2025-01-03 22:45:15');
INSERT INTO `sys_job_log` VALUES (76166, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2342毫秒', '0', '', '2025-01-03 22:45:17');
INSERT INTO `sys_job_log` VALUES (76167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：18毫秒', '0', '', '2025-01-03 22:45:20');
INSERT INTO `sys_job_log` VALUES (76168, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2312毫秒', '0', '', '2025-01-03 22:45:22');
INSERT INTO `sys_job_log` VALUES (76169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2025-01-03 22:45:25');
INSERT INTO `sys_job_log` VALUES (76170, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2420毫秒', '0', '', '2025-01-03 22:45:27');
INSERT INTO `sys_job_log` VALUES (76171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：132毫秒', '0', '', '2025-01-03 22:45:30');
INSERT INTO `sys_job_log` VALUES (76172, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：4690毫秒', '0', '', '2025-01-03 22:45:34');
INSERT INTO `sys_job_log` VALUES (76173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：643毫秒', '0', '', '2025-01-03 22:45:35');
INSERT INTO `sys_job_log` VALUES (76174, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：3087毫秒', '0', '', '2025-01-03 22:45:38');
INSERT INTO `sys_job_log` VALUES (76175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：92毫秒', '0', '', '2025-01-03 22:45:40');
INSERT INTO `sys_job_log` VALUES (76176, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2685毫秒', '0', '', '2025-01-03 22:45:43');
INSERT INTO `sys_job_log` VALUES (76177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：34毫秒', '0', '', '2025-01-03 22:45:45');
INSERT INTO `sys_job_log` VALUES (76178, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2502毫秒', '0', '', '2025-01-03 22:45:47');
INSERT INTO `sys_job_log` VALUES (76179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-03 22:45:50');
INSERT INTO `sys_job_log` VALUES (76180, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2719毫秒', '0', '', '2025-01-03 22:45:52');
INSERT INTO `sys_job_log` VALUES (76181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-03 22:45:55');
INSERT INTO `sys_job_log` VALUES (76182, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2681毫秒', '0', '', '2025-01-03 22:45:57');
INSERT INTO `sys_job_log` VALUES (76183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42毫秒', '0', '', '2025-01-03 22:46:00');
INSERT INTO `sys_job_log` VALUES (76184, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2490毫秒', '0', '', '2025-01-03 22:46:03');
INSERT INTO `sys_job_log` VALUES (76185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：58毫秒', '0', '', '2025-01-03 22:46:05');
INSERT INTO `sys_job_log` VALUES (76186, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2423毫秒', '0', '', '2025-01-03 22:46:07');
INSERT INTO `sys_job_log` VALUES (76187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2025-01-03 22:46:10');
INSERT INTO `sys_job_log` VALUES (76188, 'sim-scheduledConnect()', 'DEFAULT', 'commSendService.scheduledConnect()', 'sim-scheduledConnect() 总共耗时：2486毫秒', '0', '', '2025-01-03 22:46:12');
INSERT INTO `sys_job_log` VALUES (76189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21毫秒', '0', '', '2025-01-03 22:46:15');
INSERT INTO `sys_job_log` VALUES (76190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-03 22:46:20');
INSERT INTO `sys_job_log` VALUES (76191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：36毫秒', '0', '', '2025-01-04 23:05:45');
INSERT INTO `sys_job_log` VALUES (76192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：50毫秒', '0', '', '2025-01-04 23:05:50');
INSERT INTO `sys_job_log` VALUES (76193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：17毫秒', '0', '', '2025-01-04 23:05:55');
INSERT INTO `sys_job_log` VALUES (76194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-04 23:06:00');
INSERT INTO `sys_job_log` VALUES (76195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2025-01-04 23:06:04');
INSERT INTO `sys_job_log` VALUES (76196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-04 23:06:20');
INSERT INTO `sys_job_log` VALUES (76197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：25毫秒', '0', '', '2025-01-04 23:06:24');
INSERT INTO `sys_job_log` VALUES (76198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24毫秒', '0', '', '2025-01-04 23:06:30');
INSERT INTO `sys_job_log` VALUES (76199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：16毫秒', '0', '', '2025-01-04 23:06:34');
INSERT INTO `sys_job_log` VALUES (76200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：48毫秒', '0', '', '2025-01-04 23:06:40');
INSERT INTO `sys_job_log` VALUES (76201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-04 23:06:45');
INSERT INTO `sys_job_log` VALUES (76202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：46毫秒', '0', '', '2025-01-04 23:06:50');
INSERT INTO `sys_job_log` VALUES (76203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：64毫秒', '0', '', '2025-01-04 23:06:55');
INSERT INTO `sys_job_log` VALUES (76204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-04 23:07:00');
INSERT INTO `sys_job_log` VALUES (76205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30毫秒', '0', '', '2025-01-04 23:07:05');
INSERT INTO `sys_job_log` VALUES (76206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-04 23:07:10');
INSERT INTO `sys_job_log` VALUES (76207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32毫秒', '0', '', '2025-01-04 23:07:15');
INSERT INTO `sys_job_log` VALUES (76208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：67毫秒', '0', '', '2025-01-04 23:07:20');
INSERT INTO `sys_job_log` VALUES (76209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：44毫秒', '0', '', '2025-01-04 23:07:25');
INSERT INTO `sys_job_log` VALUES (76210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：20毫秒', '0', '', '2025-01-04 23:07:29');
INSERT INTO `sys_job_log` VALUES (76211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：15毫秒', '0', '', '2025-01-04 23:07:34');
INSERT INTO `sys_job_log` VALUES (76212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：28毫秒', '0', '', '2025-01-04 23:07:40');
INSERT INTO `sys_job_log` VALUES (76213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33毫秒', '0', '', '2025-01-04 23:07:45');
INSERT INTO `sys_job_log` VALUES (76214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：39毫秒', '0', '', '2025-01-04 23:07:50');
INSERT INTO `sys_job_log` VALUES (76215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23毫秒', '0', '', '2025-01-04 23:07:54');
INSERT INTO `sys_job_log` VALUES (76216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3547毫秒', '0', '', '2025-01-04 23:08:14');
INSERT INTO `sys_job_log` VALUES (76217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2720毫秒', '0', '', '2025-01-04 23:08:17');
INSERT INTO `sys_job_log` VALUES (76218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2748毫秒', '0', '', '2025-01-04 23:08:22');
INSERT INTO `sys_job_log` VALUES (76219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2737毫秒', '0', '', '2025-01-04 23:08:27');
INSERT INTO `sys_job_log` VALUES (76220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2750毫秒', '0', '', '2025-01-04 23:08:32');
INSERT INTO `sys_job_log` VALUES (76221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2757毫秒', '0', '', '2025-01-04 23:08:37');
INSERT INTO `sys_job_log` VALUES (76222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2733毫秒', '0', '', '2025-01-04 23:08:42');
INSERT INTO `sys_job_log` VALUES (76223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2753毫秒', '0', '', '2025-01-04 23:08:47');
INSERT INTO `sys_job_log` VALUES (76224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2754毫秒', '0', '', '2025-01-04 23:08:52');
INSERT INTO `sys_job_log` VALUES (76225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2750毫秒', '0', '', '2025-01-04 23:08:57');
INSERT INTO `sys_job_log` VALUES (76226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2758毫秒', '0', '', '2025-01-04 23:09:02');
INSERT INTO `sys_job_log` VALUES (76227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2731毫秒', '0', '', '2025-01-04 23:09:07');
INSERT INTO `sys_job_log` VALUES (76228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2741毫秒', '0', '', '2025-01-04 23:09:12');
INSERT INTO `sys_job_log` VALUES (76229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2743毫秒', '0', '', '2025-01-04 23:09:17');
INSERT INTO `sys_job_log` VALUES (76230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2754毫秒', '0', '', '2025-01-04 23:09:22');
INSERT INTO `sys_job_log` VALUES (76231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2730毫秒', '0', '', '2025-01-04 23:09:27');
INSERT INTO `sys_job_log` VALUES (76232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2749毫秒', '0', '', '2025-01-04 23:09:32');
INSERT INTO `sys_job_log` VALUES (76233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2768毫秒', '0', '', '2025-01-04 23:09:37');
INSERT INTO `sys_job_log` VALUES (76234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2738毫秒', '0', '', '2025-01-04 23:09:42');
INSERT INTO `sys_job_log` VALUES (76235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2740毫秒', '0', '', '2025-01-04 23:09:47');
INSERT INTO `sys_job_log` VALUES (76236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2746毫秒', '0', '', '2025-01-04 23:09:52');
INSERT INTO `sys_job_log` VALUES (76237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2764毫秒', '0', '', '2025-01-04 23:09:57');
INSERT INTO `sys_job_log` VALUES (76238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2758毫秒', '0', '', '2025-01-04 23:10:02');
INSERT INTO `sys_job_log` VALUES (76239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2763毫秒', '0', '', '2025-01-04 23:10:07');
INSERT INTO `sys_job_log` VALUES (76240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2750毫秒', '0', '', '2025-01-04 23:10:12');
INSERT INTO `sys_job_log` VALUES (76241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2751毫秒', '0', '', '2025-01-04 23:10:17');
INSERT INTO `sys_job_log` VALUES (76242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2814毫秒', '0', '', '2025-01-04 23:10:22');
INSERT INTO `sys_job_log` VALUES (76243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2737毫秒', '0', '', '2025-01-04 23:10:27');
INSERT INTO `sys_job_log` VALUES (76244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2748毫秒', '0', '', '2025-01-04 23:10:32');
INSERT INTO `sys_job_log` VALUES (76245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2742毫秒', '0', '', '2025-01-04 23:10:37');
INSERT INTO `sys_job_log` VALUES (76246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2741毫秒', '0', '', '2025-01-04 23:10:42');
INSERT INTO `sys_job_log` VALUES (76247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2764毫秒', '0', '', '2025-01-04 23:10:47');
INSERT INTO `sys_job_log` VALUES (76248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3181毫秒', '0', '', '2025-01-04 23:10:53');
INSERT INTO `sys_job_log` VALUES (76249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3897毫秒', '0', '', '2025-01-04 23:10:58');
INSERT INTO `sys_job_log` VALUES (76250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4029毫秒', '0', '', '2025-01-04 23:11:03');
INSERT INTO `sys_job_log` VALUES (76251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3658毫秒', '0', '', '2025-01-04 23:11:08');
INSERT INTO `sys_job_log` VALUES (76252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3600毫秒', '0', '', '2025-01-04 23:11:13');
INSERT INTO `sys_job_log` VALUES (76253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3707毫秒', '0', '', '2025-01-04 23:11:18');
INSERT INTO `sys_job_log` VALUES (76254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4036毫秒', '0', '', '2025-01-04 23:11:24');
INSERT INTO `sys_job_log` VALUES (76255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3758毫秒', '0', '', '2025-01-04 23:11:28');
INSERT INTO `sys_job_log` VALUES (76256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3799毫秒', '0', '', '2025-01-04 23:11:33');
INSERT INTO `sys_job_log` VALUES (76257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3803毫秒', '0', '', '2025-01-04 23:11:38');
INSERT INTO `sys_job_log` VALUES (76258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4029毫秒', '0', '', '2025-01-04 23:11:43');
INSERT INTO `sys_job_log` VALUES (76259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3654毫秒', '0', '', '2025-01-04 23:11:48');
INSERT INTO `sys_job_log` VALUES (76260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3676毫秒', '0', '', '2025-01-04 23:11:53');
INSERT INTO `sys_job_log` VALUES (76261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3598毫秒', '0', '', '2025-01-04 23:11:58');
INSERT INTO `sys_job_log` VALUES (76262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4026毫秒', '0', '', '2025-01-04 23:12:03');
INSERT INTO `sys_job_log` VALUES (76263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3647毫秒', '0', '', '2025-01-04 23:12:08');
INSERT INTO `sys_job_log` VALUES (76264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3675毫秒', '0', '', '2025-01-04 23:12:13');
INSERT INTO `sys_job_log` VALUES (76265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3798毫秒', '0', '', '2025-01-04 23:12:18');
INSERT INTO `sys_job_log` VALUES (76266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3923毫秒', '0', '', '2025-01-04 23:12:23');
INSERT INTO `sys_job_log` VALUES (76267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3864毫秒', '0', '', '2025-01-04 23:12:28');
INSERT INTO `sys_job_log` VALUES (76268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3677毫秒', '0', '', '2025-01-04 23:12:33');
INSERT INTO `sys_job_log` VALUES (76269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3713毫秒', '0', '', '2025-01-04 23:12:38');
INSERT INTO `sys_job_log` VALUES (76270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4029毫秒', '0', '', '2025-01-04 23:12:44');
INSERT INTO `sys_job_log` VALUES (76271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3743毫秒', '0', '', '2025-01-04 23:12:48');
INSERT INTO `sys_job_log` VALUES (76272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3771毫秒', '0', '', '2025-01-04 23:12:53');
INSERT INTO `sys_job_log` VALUES (76273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3695毫秒', '0', '', '2025-01-04 23:12:58');
INSERT INTO `sys_job_log` VALUES (76274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4024毫秒', '0', '', '2025-01-04 23:13:04');
INSERT INTO `sys_job_log` VALUES (76275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3844毫秒', '0', '', '2025-01-04 23:13:08');
INSERT INTO `sys_job_log` VALUES (76276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3764毫秒', '0', '', '2025-01-04 23:13:13');
INSERT INTO `sys_job_log` VALUES (76277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4245毫秒', '0', '', '2025-01-04 23:13:19');
INSERT INTO `sys_job_log` VALUES (76278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3924毫秒', '0', '', '2025-01-04 23:13:23');
INSERT INTO `sys_job_log` VALUES (76279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3950毫秒', '0', '', '2025-01-04 23:13:28');
INSERT INTO `sys_job_log` VALUES (76280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3767毫秒', '0', '', '2025-01-04 23:13:33');
INSERT INTO `sys_job_log` VALUES (76281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3686毫秒', '0', '', '2025-01-04 23:13:38');
INSERT INTO `sys_job_log` VALUES (76282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3927毫秒', '0', '', '2025-01-04 23:13:43');
INSERT INTO `sys_job_log` VALUES (76283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3941毫秒', '0', '', '2025-01-04 23:13:48');
INSERT INTO `sys_job_log` VALUES (76284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3760毫秒', '0', '', '2025-01-04 23:13:53');
INSERT INTO `sys_job_log` VALUES (76285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3484毫秒', '0', '', '2025-01-04 23:13:58');
INSERT INTO `sys_job_log` VALUES (76286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3914毫秒', '0', '', '2025-01-04 23:14:03');
INSERT INTO `sys_job_log` VALUES (76287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3813毫秒', '0', '', '2025-01-04 23:14:08');
INSERT INTO `sys_job_log` VALUES (76288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2783毫秒', '0', '', '2025-01-04 23:14:12');
INSERT INTO `sys_job_log` VALUES (76289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2832毫秒', '0', '', '2025-01-04 23:14:17');
INSERT INTO `sys_job_log` VALUES (76290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2894毫秒', '0', '', '2025-01-04 23:14:22');
INSERT INTO `sys_job_log` VALUES (76291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4035毫秒', '0', '', '2025-01-04 23:14:29');
INSERT INTO `sys_job_log` VALUES (76292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3763毫秒', '0', '', '2025-01-04 23:14:33');
INSERT INTO `sys_job_log` VALUES (76293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3578毫秒', '0', '', '2025-01-04 23:14:38');
INSERT INTO `sys_job_log` VALUES (76294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3807毫秒', '0', '', '2025-01-04 23:14:43');
INSERT INTO `sys_job_log` VALUES (76295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4010毫秒', '0', '', '2025-01-04 23:14:49');
INSERT INTO `sys_job_log` VALUES (76296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3749毫秒', '0', '', '2025-01-04 23:14:53');
INSERT INTO `sys_job_log` VALUES (76297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3767毫秒', '0', '', '2025-01-04 23:14:58');
INSERT INTO `sys_job_log` VALUES (76298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3995毫秒', '0', '', '2025-01-04 23:15:03');
INSERT INTO `sys_job_log` VALUES (76299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3730毫秒', '0', '', '2025-01-04 23:15:33');
INSERT INTO `sys_job_log` VALUES (76300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4020毫秒', '0', '', '2025-01-04 23:15:49');
INSERT INTO `sys_job_log` VALUES (76301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3795毫秒', '0', '', '2025-01-04 23:16:03');
INSERT INTO `sys_job_log` VALUES (76302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3792毫秒', '0', '', '2025-01-04 23:16:18');
INSERT INTO `sys_job_log` VALUES (76303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3848毫秒', '0', '', '2025-01-04 23:16:33');
INSERT INTO `sys_job_log` VALUES (76304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4012毫秒', '0', '', '2025-01-04 23:16:48');
INSERT INTO `sys_job_log` VALUES (76305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3797毫秒', '0', '', '2025-01-04 23:17:03');
INSERT INTO `sys_job_log` VALUES (76306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3780毫秒', '0', '', '2025-01-04 23:17:18');
INSERT INTO `sys_job_log` VALUES (76307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3938毫秒', '0', '', '2025-01-04 23:17:33');
INSERT INTO `sys_job_log` VALUES (76308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4003毫秒', '0', '', '2025-01-04 23:17:48');
INSERT INTO `sys_job_log` VALUES (76309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3784毫秒', '0', '', '2025-01-04 23:18:03');
INSERT INTO `sys_job_log` VALUES (76310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3850毫秒', '0', '', '2025-01-04 23:18:18');
INSERT INTO `sys_job_log` VALUES (76311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4023毫秒', '0', '', '2025-01-04 23:18:33');
INSERT INTO `sys_job_log` VALUES (76312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3799毫秒', '0', '', '2025-01-04 23:18:48');
INSERT INTO `sys_job_log` VALUES (76313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3760毫秒', '0', '', '2025-01-04 23:19:03');
INSERT INTO `sys_job_log` VALUES (76314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3746毫秒', '0', '', '2025-01-04 23:19:18');
INSERT INTO `sys_job_log` VALUES (76315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4023毫秒', '0', '', '2025-01-04 23:19:33');
INSERT INTO `sys_job_log` VALUES (76316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3785毫秒', '0', '', '2025-01-04 23:19:48');
INSERT INTO `sys_job_log` VALUES (76317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3762毫秒', '0', '', '2025-01-04 23:20:03');
INSERT INTO `sys_job_log` VALUES (76318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3833毫秒', '0', '', '2025-01-04 23:20:18');
INSERT INTO `sys_job_log` VALUES (76319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4357毫秒', '0', '', '2025-01-04 23:20:34');
INSERT INTO `sys_job_log` VALUES (76320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3679毫秒', '0', '', '2025-01-04 23:20:48');
INSERT INTO `sys_job_log` VALUES (76321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3755毫秒', '0', '', '2025-01-04 23:21:03');
INSERT INTO `sys_job_log` VALUES (76322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3925毫秒', '0', '', '2025-01-04 23:21:18');
INSERT INTO `sys_job_log` VALUES (76323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4001毫秒', '0', '', '2025-01-04 23:21:33');
INSERT INTO `sys_job_log` VALUES (76324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3680毫秒', '0', '', '2025-01-04 23:21:48');
INSERT INTO `sys_job_log` VALUES (76325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3750毫秒', '0', '', '2025-01-04 23:22:03');
INSERT INTO `sys_job_log` VALUES (76326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4018毫秒', '0', '', '2025-01-04 23:22:19');
INSERT INTO `sys_job_log` VALUES (76327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3892毫秒', '0', '', '2025-01-04 23:22:33');
INSERT INTO `sys_job_log` VALUES (76328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3762毫秒', '0', '', '2025-01-04 23:22:48');
INSERT INTO `sys_job_log` VALUES (76329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3751毫秒', '0', '', '2025-01-04 23:23:03');
INSERT INTO `sys_job_log` VALUES (76330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4024毫秒', '0', '', '2025-01-04 23:23:19');
INSERT INTO `sys_job_log` VALUES (76331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3787毫秒', '0', '', '2025-01-04 23:23:33');
INSERT INTO `sys_job_log` VALUES (76332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3761毫秒', '0', '', '2025-01-04 23:23:48');
INSERT INTO `sys_job_log` VALUES (76333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3833毫秒', '0', '', '2025-01-04 23:24:03');
INSERT INTO `sys_job_log` VALUES (76334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4004毫秒', '0', '', '2025-01-04 23:24:18');
INSERT INTO `sys_job_log` VALUES (76335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3674毫秒', '0', '', '2025-01-04 23:24:33');
INSERT INTO `sys_job_log` VALUES (76336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3941毫秒', '0', '', '2025-01-04 23:24:48');
INSERT INTO `sys_job_log` VALUES (76337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3925毫秒', '0', '', '2025-01-04 23:25:03');
INSERT INTO `sys_job_log` VALUES (76338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2934毫秒', '0', '', '2025-01-04 23:25:17');
INSERT INTO `sys_job_log` VALUES (76339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2847毫秒', '0', '', '2025-01-04 23:25:32');
INSERT INTO `sys_job_log` VALUES (76340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3009毫秒', '0', '', '2025-01-04 23:25:48');
INSERT INTO `sys_job_log` VALUES (76341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4270毫秒', '0', '', '2025-01-04 23:26:04');
INSERT INTO `sys_job_log` VALUES (76342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3049毫秒', '0', '', '2025-01-04 23:26:18');
INSERT INTO `sys_job_log` VALUES (76343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2809毫秒', '0', '', '2025-01-04 23:26:32');
INSERT INTO `sys_job_log` VALUES (76344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2774毫秒', '0', '', '2025-01-04 23:26:47');
INSERT INTO `sys_job_log` VALUES (76345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2758毫秒', '0', '', '2025-01-04 23:27:02');
INSERT INTO `sys_job_log` VALUES (76346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2798毫秒', '0', '', '2025-01-04 23:27:17');
INSERT INTO `sys_job_log` VALUES (76347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2901毫秒', '0', '', '2025-01-04 23:27:32');
INSERT INTO `sys_job_log` VALUES (76348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2869毫秒', '0', '', '2025-01-04 23:27:47');
INSERT INTO `sys_job_log` VALUES (76349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2800毫秒', '0', '', '2025-01-04 23:28:02');
INSERT INTO `sys_job_log` VALUES (76350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2751毫秒', '0', '', '2025-01-04 23:28:17');
INSERT INTO `sys_job_log` VALUES (76351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2830毫秒', '0', '', '2025-01-04 23:28:32');
INSERT INTO `sys_job_log` VALUES (76352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2813毫秒', '0', '', '2025-01-04 23:28:47');
INSERT INTO `sys_job_log` VALUES (76353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2805毫秒', '0', '', '2025-01-04 23:29:02');
INSERT INTO `sys_job_log` VALUES (76354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2826毫秒', '0', '', '2025-01-04 23:29:17');
INSERT INTO `sys_job_log` VALUES (76355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3031毫秒', '0', '', '2025-01-04 23:29:33');
INSERT INTO `sys_job_log` VALUES (76356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2807毫秒', '0', '', '2025-01-04 23:29:47');
INSERT INTO `sys_job_log` VALUES (76357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2786毫秒', '0', '', '2025-01-04 23:30:02');
INSERT INTO `sys_job_log` VALUES (76358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2785毫秒', '0', '', '2025-01-04 23:30:17');
INSERT INTO `sys_job_log` VALUES (76359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2836毫秒', '0', '', '2025-01-04 23:30:32');
INSERT INTO `sys_job_log` VALUES (76360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2861毫秒', '0', '', '2025-01-04 23:30:47');
INSERT INTO `sys_job_log` VALUES (76361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2824毫秒', '0', '', '2025-01-04 23:31:02');
INSERT INTO `sys_job_log` VALUES (76362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3751毫秒', '0', '', '2025-01-04 23:31:18');
INSERT INTO `sys_job_log` VALUES (76363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3832毫秒', '0', '', '2025-01-04 23:31:33');
INSERT INTO `sys_job_log` VALUES (76364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3995毫秒', '0', '', '2025-01-04 23:31:48');
INSERT INTO `sys_job_log` VALUES (76365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3865毫秒', '0', '', '2025-01-04 23:32:03');
INSERT INTO `sys_job_log` VALUES (76366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3740毫秒', '0', '', '2025-01-04 23:32:18');
INSERT INTO `sys_job_log` VALUES (76367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3513毫秒', '0', '', '2025-01-04 23:32:33');
INSERT INTO `sys_job_log` VALUES (76368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2844毫秒', '0', '', '2025-01-04 23:32:47');
INSERT INTO `sys_job_log` VALUES (76369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2786毫秒', '0', '', '2025-01-04 23:33:02');
INSERT INTO `sys_job_log` VALUES (76370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2864毫秒', '0', '', '2025-01-04 23:33:17');
INSERT INTO `sys_job_log` VALUES (76371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3591毫秒', '0', '', '2025-01-04 23:33:33');
INSERT INTO `sys_job_log` VALUES (76372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3664毫秒', '0', '', '2025-01-04 23:33:48');
INSERT INTO `sys_job_log` VALUES (76373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4051毫秒', '0', '', '2025-01-04 23:34:04');
INSERT INTO `sys_job_log` VALUES (76374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3822毫秒', '0', '', '2025-01-04 23:34:18');
INSERT INTO `sys_job_log` VALUES (76375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3999毫秒', '0', '', '2025-01-04 23:34:33');
INSERT INTO `sys_job_log` VALUES (76376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3869毫秒', '0', '', '2025-01-04 23:34:48');
INSERT INTO `sys_job_log` VALUES (76377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3633毫秒', '0', '', '2025-01-04 23:35:03');
INSERT INTO `sys_job_log` VALUES (76378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3803毫秒', '0', '', '2025-01-04 23:35:18');
INSERT INTO `sys_job_log` VALUES (76379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3987毫秒', '0', '', '2025-01-04 23:35:33');
INSERT INTO `sys_job_log` VALUES (76380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3867毫秒', '0', '', '2025-01-04 23:35:48');
INSERT INTO `sys_job_log` VALUES (76381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3614毫秒', '0', '', '2025-01-04 23:36:03');
INSERT INTO `sys_job_log` VALUES (76382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2849毫秒', '0', '', '2025-01-04 23:36:17');
INSERT INTO `sys_job_log` VALUES (76383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3264毫秒', '0', '', '2025-01-04 23:36:33');
INSERT INTO `sys_job_log` VALUES (76384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：4206毫秒', '0', '', '2025-01-04 23:36:49');
INSERT INTO `sys_job_log` VALUES (76385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3813毫秒', '0', '', '2025-01-04 23:37:03');
INSERT INTO `sys_job_log` VALUES (76386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3991毫秒', '0', '', '2025-01-04 23:37:19');
INSERT INTO `sys_job_log` VALUES (76387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3202毫秒', '0', '', '2025-01-04 23:37:33');
INSERT INTO `sys_job_log` VALUES (76388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2838毫秒', '0', '', '2025-01-04 23:37:47');
INSERT INTO `sys_job_log` VALUES (76389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2872毫秒', '0', '', '2025-01-04 23:38:02');
INSERT INTO `sys_job_log` VALUES (76390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2893毫秒', '0', '', '2025-01-04 23:38:17');
INSERT INTO `sys_job_log` VALUES (76391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2775毫秒', '0', '', '2025-01-04 23:38:32');
INSERT INTO `sys_job_log` VALUES (76392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2825毫秒', '0', '', '2025-01-04 23:38:48');
INSERT INTO `sys_job_log` VALUES (76393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2866毫秒', '0', '', '2025-01-04 23:39:03');
INSERT INTO `sys_job_log` VALUES (76394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2977毫秒', '0', '', '2025-01-04 23:39:17');
INSERT INTO `sys_job_log` VALUES (76395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3641毫秒', '0', '', '2025-01-04 23:39:33');
INSERT INTO `sys_job_log` VALUES (76396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3719毫秒', '0', '', '2025-01-04 23:39:48');
INSERT INTO `sys_job_log` VALUES (76397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3803毫秒', '0', '', '2025-01-04 23:40:03');
INSERT INTO `sys_job_log` VALUES (76398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3974毫秒', '0', '', '2025-01-04 23:40:18');
INSERT INTO `sys_job_log` VALUES (76399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3545毫秒', '0', '', '2025-01-04 23:40:33');
INSERT INTO `sys_job_log` VALUES (76400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3819毫秒', '0', '', '2025-01-04 23:40:48');
INSERT INTO `sys_job_log` VALUES (76401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3897毫秒', '0', '', '2025-01-04 23:41:03');
INSERT INTO `sys_job_log` VALUES (76402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3969毫秒', '0', '', '2025-01-04 23:41:18');
INSERT INTO `sys_job_log` VALUES (76403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3530毫秒', '0', '', '2025-01-04 23:41:33');
INSERT INTO `sys_job_log` VALUES (76404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3826毫秒', '0', '', '2025-01-04 23:41:48');
INSERT INTO `sys_job_log` VALUES (76405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3985毫秒', '0', '', '2025-01-04 23:42:03');
INSERT INTO `sys_job_log` VALUES (76406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3658毫秒', '0', '', '2025-01-04 23:42:18');
INSERT INTO `sys_job_log` VALUES (76407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3784毫秒', '0', '', '2025-01-04 23:42:33');
INSERT INTO `sys_job_log` VALUES (76408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：3706毫秒', '0', '', '2025-01-04 23:42:48');
INSERT INTO `sys_job_log` VALUES (76409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7毫秒', '0', '', '2025-01-04 23:45:45');
INSERT INTO `sys_job_log` VALUES (76410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1毫秒', '0', '', '2025-01-04 23:46:00');
INSERT INTO `sys_job_log` VALUES (76411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：0毫秒', '0', '', '2025-01-04 23:46:14');
INSERT INTO `sys_job_log` VALUES (76412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7934毫秒', '0', '', '2025-01-04 23:50:07');
INSERT INTO `sys_job_log` VALUES (76413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7998毫秒', '0', '', '2025-01-04 23:50:37');
INSERT INTO `sys_job_log` VALUES (76414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8952毫秒', '0', '', '2025-01-04 23:51:08');
INSERT INTO `sys_job_log` VALUES (76415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7879毫秒', '0', '', '2025-01-04 23:51:37');
INSERT INTO `sys_job_log` VALUES (76416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8025毫秒', '0', '', '2025-01-04 23:52:08');
INSERT INTO `sys_job_log` VALUES (76417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7893毫秒', '0', '', '2025-01-04 23:52:37');
INSERT INTO `sys_job_log` VALUES (76418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7817毫秒', '0', '', '2025-01-04 23:53:07');
INSERT INTO `sys_job_log` VALUES (76419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：8063毫秒', '0', '', '2025-01-04 23:53:38');
INSERT INTO `sys_job_log` VALUES (76420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7612毫秒', '0', '', '2025-01-04 23:54:07');
INSERT INTO `sys_job_log` VALUES (76421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7956毫秒', '0', '', '2025-01-04 23:54:37');
INSERT INTO `sys_job_log` VALUES (76422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7498毫秒', '0', '', '2025-01-04 23:55:07');
INSERT INTO `sys_job_log` VALUES (76423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7747毫秒', '0', '', '2025-01-04 23:55:37');
INSERT INTO `sys_job_log` VALUES (76424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7892毫秒', '0', '', '2025-01-04 23:56:07');
INSERT INTO `sys_job_log` VALUES (76425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7734毫秒', '0', '', '2025-01-04 23:56:37');
INSERT INTO `sys_job_log` VALUES (76426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7283毫秒', '0', '', '2025-01-04 23:57:07');
INSERT INTO `sys_job_log` VALUES (76427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7701毫秒', '0', '', '2025-01-04 23:57:37');
INSERT INTO `sys_job_log` VALUES (76428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5630毫秒', '0', '', '2025-01-04 23:58:05');
INSERT INTO `sys_job_log` VALUES (76429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5711毫秒', '0', '', '2025-01-04 23:58:35');
INSERT INTO `sys_job_log` VALUES (76430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5617毫秒', '0', '', '2025-01-04 23:59:05');
INSERT INTO `sys_job_log` VALUES (76431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5547毫秒', '0', '', '2025-01-04 23:59:35');
INSERT INTO `sys_job_log` VALUES (76432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5643毫秒', '0', '', '2025-01-05 00:00:05');
INSERT INTO `sys_job_log` VALUES (76433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5631毫秒', '0', '', '2025-01-05 00:00:35');
INSERT INTO `sys_job_log` VALUES (76434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5532毫秒', '0', '', '2025-01-05 00:01:05');
INSERT INTO `sys_job_log` VALUES (76435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5532毫秒', '0', '', '2025-01-05 00:01:35');
INSERT INTO `sys_job_log` VALUES (76436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：7433毫秒', '0', '', '2025-01-05 00:02:07');
INSERT INTO `sys_job_log` VALUES (76437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5551毫秒', '0', '', '2025-01-05 00:02:35');
INSERT INTO `sys_job_log` VALUES (76438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5546毫秒', '0', '', '2025-01-05 00:03:05');
INSERT INTO `sys_job_log` VALUES (76439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5534毫秒', '0', '', '2025-01-05 00:03:35');
INSERT INTO `sys_job_log` VALUES (76440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：5574毫秒', '0', '', '2025-01-05 00:04:05');
INSERT INTO `sys_job_log` VALUES (76441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24393毫秒', '0', '', '2025-01-05 00:20:28');
INSERT INTO `sys_job_log` VALUES (76442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24665毫秒', '0', '', '2025-01-05 00:20:52');
INSERT INTO `sys_job_log` VALUES (76443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23759毫秒', '0', '', '2025-01-05 00:21:16');
INSERT INTO `sys_job_log` VALUES (76444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23688毫秒', '0', '', '2025-01-05 00:21:40');
INSERT INTO `sys_job_log` VALUES (76445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23861毫秒', '0', '', '2025-01-05 00:22:04');
INSERT INTO `sys_job_log` VALUES (76446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23590毫秒', '0', '', '2025-01-05 00:22:27');
INSERT INTO `sys_job_log` VALUES (76447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24043毫秒', '0', '', '2025-01-05 00:22:51');
INSERT INTO `sys_job_log` VALUES (76448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26870毫秒', '0', '', '2025-01-05 00:23:18');
INSERT INTO `sys_job_log` VALUES (76449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32937毫秒', '0', '', '2025-01-05 00:23:51');
INSERT INTO `sys_job_log` VALUES (76450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33535毫秒', '0', '', '2025-01-05 00:24:25');
INSERT INTO `sys_job_log` VALUES (76451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：32542毫秒', '0', '', '2025-01-05 00:24:57');
INSERT INTO `sys_job_log` VALUES (76452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30967毫秒', '0', '', '2025-01-05 00:25:28');
INSERT INTO `sys_job_log` VALUES (76453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23385毫秒', '0', '', '2025-01-05 00:25:52');
INSERT INTO `sys_job_log` VALUES (76454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23859毫秒', '0', '', '2025-01-05 00:26:16');
INSERT INTO `sys_job_log` VALUES (76455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23561毫秒', '0', '', '2025-01-05 00:26:39');
INSERT INTO `sys_job_log` VALUES (76456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23515毫秒', '0', '', '2025-01-05 00:27:03');
INSERT INTO `sys_job_log` VALUES (76457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23908毫秒', '0', '', '2025-01-05 00:27:27');
INSERT INTO `sys_job_log` VALUES (76458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27772毫秒', '0', '', '2025-01-05 00:27:55');
INSERT INTO `sys_job_log` VALUES (76459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24568毫秒', '0', '', '2025-01-05 00:28:19');
INSERT INTO `sys_job_log` VALUES (76460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23944毫秒', '0', '', '2025-01-05 00:28:43');
INSERT INTO `sys_job_log` VALUES (76461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：27552毫秒', '0', '', '2025-01-05 00:29:11');
INSERT INTO `sys_job_log` VALUES (76462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：33192毫秒', '0', '', '2025-01-05 00:29:44');
INSERT INTO `sys_job_log` VALUES (76463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：23914毫秒', '0', '', '2025-01-05 00:34:40');
INSERT INTO `sys_job_log` VALUES (76464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30296毫秒', '0', '', '2025-01-05 00:41:12');
INSERT INTO `sys_job_log` VALUES (76465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30003毫秒', '0', '', '2025-01-05 00:41:42');
INSERT INTO `sys_job_log` VALUES (76466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22105毫秒', '0', '', '2025-01-05 00:42:04');
INSERT INTO `sys_job_log` VALUES (76467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21856毫秒', '0', '', '2025-01-05 00:42:26');
INSERT INTO `sys_job_log` VALUES (76468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21857毫秒', '0', '', '2025-01-05 00:42:48');
INSERT INTO `sys_job_log` VALUES (76469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21855毫秒', '0', '', '2025-01-05 00:43:10');
INSERT INTO `sys_job_log` VALUES (76470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22118毫秒', '0', '', '2025-01-05 00:43:32');
INSERT INTO `sys_job_log` VALUES (76471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22102毫秒', '0', '', '2025-01-05 00:43:54');
INSERT INTO `sys_job_log` VALUES (76472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：26699毫秒', '0', '', '2025-01-05 00:52:23');
INSERT INTO `sys_job_log` VALUES (76473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21902毫秒', '0', '', '2025-01-05 00:52:45');
INSERT INTO `sys_job_log` VALUES (76474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21860毫秒', '0', '', '2025-01-05 00:53:07');
INSERT INTO `sys_job_log` VALUES (76475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21855毫秒', '0', '', '2025-01-05 00:53:29');
INSERT INTO `sys_job_log` VALUES (76476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：402毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:00:58');
INSERT INTO `sys_job_log` VALUES (76477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：396毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:00:59');
INSERT INTO `sys_job_log` VALUES (76478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：368毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:00:59');
INSERT INTO `sys_job_log` VALUES (76479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：387毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:00:59');
INSERT INTO `sys_job_log` VALUES (76480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：436毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:00');
INSERT INTO `sys_job_log` VALUES (76481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：347毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:01');
INSERT INTO `sys_job_log` VALUES (76482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：357毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:02');
INSERT INTO `sys_job_log` VALUES (76483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：350毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:03');
INSERT INTO `sys_job_log` VALUES (76484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：356毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:04');
INSERT INTO `sys_job_log` VALUES (76485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：355毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:05');
INSERT INTO `sys_job_log` VALUES (76486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：367毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:06');
INSERT INTO `sys_job_log` VALUES (76487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：376毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:07');
INSERT INTO `sys_job_log` VALUES (76488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：274毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:08');
INSERT INTO `sys_job_log` VALUES (76489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：280毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:09');
INSERT INTO `sys_job_log` VALUES (76490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:10');
INSERT INTO `sys_job_log` VALUES (76491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:11');
INSERT INTO `sys_job_log` VALUES (76492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：294毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:12');
INSERT INTO `sys_job_log` VALUES (76493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：313毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:13');
INSERT INTO `sys_job_log` VALUES (76494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：303毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:14');
INSERT INTO `sys_job_log` VALUES (76495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：312毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:15');
INSERT INTO `sys_job_log` VALUES (76496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：315毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:16');
INSERT INTO `sys_job_log` VALUES (76497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：328毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:17');
INSERT INTO `sys_job_log` VALUES (76498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：330毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:18');
INSERT INTO `sys_job_log` VALUES (76499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：328毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:19');
INSERT INTO `sys_job_log` VALUES (76500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：333毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:20');
INSERT INTO `sys_job_log` VALUES (76501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：344毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:21');
INSERT INTO `sys_job_log` VALUES (76502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：358毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:22');
INSERT INTO `sys_job_log` VALUES (76503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：351毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:23');
INSERT INTO `sys_job_log` VALUES (76504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：352毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:24');
INSERT INTO `sys_job_log` VALUES (76505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：348毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:25');
INSERT INTO `sys_job_log` VALUES (76506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：366毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:26');
INSERT INTO `sys_job_log` VALUES (76507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：366毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:27');
INSERT INTO `sys_job_log` VALUES (76508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：284毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:28');
INSERT INTO `sys_job_log` VALUES (76509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：284毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:29');
INSERT INTO `sys_job_log` VALUES (76510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：281毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:30');
INSERT INTO `sys_job_log` VALUES (76511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：286毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:31');
INSERT INTO `sys_job_log` VALUES (76512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：291毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:32');
INSERT INTO `sys_job_log` VALUES (76513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：297毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:33');
INSERT INTO `sys_job_log` VALUES (76514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：308毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:34');
INSERT INTO `sys_job_log` VALUES (76515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：306毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:35');
INSERT INTO `sys_job_log` VALUES (76516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：312毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:36');
INSERT INTO `sys_job_log` VALUES (76517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：317毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:37');
INSERT INTO `sys_job_log` VALUES (76518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：312毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:38');
INSERT INTO `sys_job_log` VALUES (76519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：362毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:39');
INSERT INTO `sys_job_log` VALUES (76520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：332毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:40');
INSERT INTO `sys_job_log` VALUES (76521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：333毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:41');
INSERT INTO `sys_job_log` VALUES (76522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：340毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:42');
INSERT INTO `sys_job_log` VALUES (76523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：396毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:43');
INSERT INTO `sys_job_log` VALUES (76524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：371毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:44');
INSERT INTO `sys_job_log` VALUES (76525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：361毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:45');
INSERT INTO `sys_job_log` VALUES (76526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：376毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:46');
INSERT INTO `sys_job_log` VALUES (76527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：365毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:47');
INSERT INTO `sys_job_log` VALUES (76528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：370毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:48');
INSERT INTO `sys_job_log` VALUES (76529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:49');
INSERT INTO `sys_job_log` VALUES (76530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：280毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:50');
INSERT INTO `sys_job_log` VALUES (76531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：285毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:51');
INSERT INTO `sys_job_log` VALUES (76532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：290毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:52');
INSERT INTO `sys_job_log` VALUES (76533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：295毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:53');
INSERT INTO `sys_job_log` VALUES (76534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：299毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:54');
INSERT INTO `sys_job_log` VALUES (76535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：305毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:55');
INSERT INTO `sys_job_log` VALUES (76536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：319毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:56');
INSERT INTO `sys_job_log` VALUES (76537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：314毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:57');
INSERT INTO `sys_job_log` VALUES (76538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：316毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:58');
INSERT INTO `sys_job_log` VALUES (76539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：324毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:01:59');
INSERT INTO `sys_job_log` VALUES (76540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：335毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:00');
INSERT INTO `sys_job_log` VALUES (76541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：343毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:01');
INSERT INTO `sys_job_log` VALUES (76542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：339毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:02');
INSERT INTO `sys_job_log` VALUES (76543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：346毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:03');
INSERT INTO `sys_job_log` VALUES (76544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：347毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:04');
INSERT INTO `sys_job_log` VALUES (76545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：358毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:05');
INSERT INTO `sys_job_log` VALUES (76546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：358毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:06');
INSERT INTO `sys_job_log` VALUES (76547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：370毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:07');
INSERT INTO `sys_job_log` VALUES (76548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：374毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:08');
INSERT INTO `sys_job_log` VALUES (76549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：279毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:09');
INSERT INTO `sys_job_log` VALUES (76550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：384毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:10');
INSERT INTO `sys_job_log` VALUES (76551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：283毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:11');
INSERT INTO `sys_job_log` VALUES (76552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:12');
INSERT INTO `sys_job_log` VALUES (76553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：292毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:13');
INSERT INTO `sys_job_log` VALUES (76554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：298毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:14');
INSERT INTO `sys_job_log` VALUES (76555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：301毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:15');
INSERT INTO `sys_job_log` VALUES (76556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：315毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:16');
INSERT INTO `sys_job_log` VALUES (76557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：311毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:17');
INSERT INTO `sys_job_log` VALUES (76558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：316毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:18');
INSERT INTO `sys_job_log` VALUES (76559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：330毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:19');
INSERT INTO `sys_job_log` VALUES (76560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：325毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:20');
INSERT INTO `sys_job_log` VALUES (76561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：332毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:21');
INSERT INTO `sys_job_log` VALUES (76562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：338毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:22');
INSERT INTO `sys_job_log` VALUES (76563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：354毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:23');
INSERT INTO `sys_job_log` VALUES (76564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：331毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:24');
INSERT INTO `sys_job_log` VALUES (76565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：353毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:25');
INSERT INTO `sys_job_log` VALUES (76566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：858毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:26');
INSERT INTO `sys_job_log` VALUES (76567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：362毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:27');
INSERT INTO `sys_job_log` VALUES (76568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：360毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:28');
INSERT INTO `sys_job_log` VALUES (76569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：368毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:29');
INSERT INTO `sys_job_log` VALUES (76570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：277毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:30');
INSERT INTO `sys_job_log` VALUES (76571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：286毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:31');
INSERT INTO `sys_job_log` VALUES (76572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：288毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:32');
INSERT INTO `sys_job_log` VALUES (76573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：292毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:33');
INSERT INTO `sys_job_log` VALUES (76574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：297毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:34');
INSERT INTO `sys_job_log` VALUES (76575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：299毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:35');
INSERT INTO `sys_job_log` VALUES (76576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：299毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:36');
INSERT INTO `sys_job_log` VALUES (76577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：309毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:37');
INSERT INTO `sys_job_log` VALUES (76578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：313毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:38');
INSERT INTO `sys_job_log` VALUES (76579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：327毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:39');
INSERT INTO `sys_job_log` VALUES (76580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：323毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:40');
INSERT INTO `sys_job_log` VALUES (76581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：328毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:41');
INSERT INTO `sys_job_log` VALUES (76582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：333毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:42');
INSERT INTO `sys_job_log` VALUES (76583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：348毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:43');
INSERT INTO `sys_job_log` VALUES (76584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：347毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:44');
INSERT INTO `sys_job_log` VALUES (76585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：393毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:45');
INSERT INTO `sys_job_log` VALUES (76586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：356毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:46');
INSERT INTO `sys_job_log` VALUES (76587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：358毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:47');
INSERT INTO `sys_job_log` VALUES (76588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：375毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:48');
INSERT INTO `sys_job_log` VALUES (76589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：374毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:49');
INSERT INTO `sys_job_log` VALUES (76590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：273毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:50');
INSERT INTO `sys_job_log` VALUES (76591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：276毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:51');
INSERT INTO `sys_job_log` VALUES (76592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：296毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:52');
INSERT INTO `sys_job_log` VALUES (76593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：283毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:53');
INSERT INTO `sys_job_log` VALUES (76594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：292毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:54');
INSERT INTO `sys_job_log` VALUES (76595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：297毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:55');
INSERT INTO `sys_job_log` VALUES (76596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：303毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:56');
INSERT INTO `sys_job_log` VALUES (76597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：306毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:57');
INSERT INTO `sys_job_log` VALUES (76598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：314毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:58');
INSERT INTO `sys_job_log` VALUES (76599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：318毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:02:59');
INSERT INTO `sys_job_log` VALUES (76600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：306毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:00');
INSERT INTO `sys_job_log` VALUES (76601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：328毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:01');
INSERT INTO `sys_job_log` VALUES (76602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：329毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:02');
INSERT INTO `sys_job_log` VALUES (76603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：332毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:03');
INSERT INTO `sys_job_log` VALUES (76604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：342毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:04');
INSERT INTO `sys_job_log` VALUES (76605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：345毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:05');
INSERT INTO `sys_job_log` VALUES (76606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：351毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:06');
INSERT INTO `sys_job_log` VALUES (76607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：353毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:07');
INSERT INTO `sys_job_log` VALUES (76608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：361毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:08');
INSERT INTO `sys_job_log` VALUES (76609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：363毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:09');
INSERT INTO `sys_job_log` VALUES (76610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：378毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:10');
INSERT INTO `sys_job_log` VALUES (76611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：276毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:11');
INSERT INTO `sys_job_log` VALUES (76612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：279毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:12');
INSERT INTO `sys_job_log` VALUES (76613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：284毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:13');
INSERT INTO `sys_job_log` VALUES (76614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：288毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:14');
INSERT INTO `sys_job_log` VALUES (76615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：293毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:15');
INSERT INTO `sys_job_log` VALUES (76616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：299毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:16');
INSERT INTO `sys_job_log` VALUES (76617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：303毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:17');
INSERT INTO `sys_job_log` VALUES (76618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：310毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:18');
INSERT INTO `sys_job_log` VALUES (76619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：314毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:19');
INSERT INTO `sys_job_log` VALUES (76620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：323毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:20');
INSERT INTO `sys_job_log` VALUES (76621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：328毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:21');
INSERT INTO `sys_job_log` VALUES (76622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：331毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:22');
INSERT INTO `sys_job_log` VALUES (76623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：334毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:23');
INSERT INTO `sys_job_log` VALUES (76624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：338毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:24');
INSERT INTO `sys_job_log` VALUES (76625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：342毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:25');
INSERT INTO `sys_job_log` VALUES (76626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：348毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:26');
INSERT INTO `sys_job_log` VALUES (76627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：352毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:27');
INSERT INTO `sys_job_log` VALUES (76628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：358毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:28');
INSERT INTO `sys_job_log` VALUES (76629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：366毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:29');
INSERT INTO `sys_job_log` VALUES (76630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：367毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:30');
INSERT INTO `sys_job_log` VALUES (76631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：378毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:31');
INSERT INTO `sys_job_log` VALUES (76632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：274毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:32');
INSERT INTO `sys_job_log` VALUES (76633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：289毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:33');
INSERT INTO `sys_job_log` VALUES (76634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：286毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:34');
INSERT INTO `sys_job_log` VALUES (76635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：290毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:35');
INSERT INTO `sys_job_log` VALUES (76636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：295毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:36');
INSERT INTO `sys_job_log` VALUES (76637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：302毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:37');
INSERT INTO `sys_job_log` VALUES (76638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：308毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:38');
INSERT INTO `sys_job_log` VALUES (76639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：310毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:39');
INSERT INTO `sys_job_log` VALUES (76640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：317毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:40');
INSERT INTO `sys_job_log` VALUES (76641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：320毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:41');
INSERT INTO `sys_job_log` VALUES (76642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：360毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:42');
INSERT INTO `sys_job_log` VALUES (76643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：329毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:43');
INSERT INTO `sys_job_log` VALUES (76644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：335毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$46aa791b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:552)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:44');
INSERT INTO `sys_job_log` VALUES (76645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：315毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getOutputStream(Socket.java:1157)\r\n	at com.ruoyi.sim.service.impl.CommSendService.closeSocket(CommSendService.java:550)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:509)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendServ', '2025-01-05 01:03:57');
INSERT INTO `sys_job_log` VALUES (76646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:03:58');
INSERT INTO `sys_job_log` VALUES (76647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:03:58');
INSERT INTO `sys_job_log` VALUES (76648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:03:58');
INSERT INTO `sys_job_log` VALUES (76649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:03:59');
INSERT INTO `sys_job_log` VALUES (76650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:00');
INSERT INTO `sys_job_log` VALUES (76651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:01');
INSERT INTO `sys_job_log` VALUES (76652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:02');
INSERT INTO `sys_job_log` VALUES (76653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:03');
INSERT INTO `sys_job_log` VALUES (76654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:04');
INSERT INTO `sys_job_log` VALUES (76655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:05');
INSERT INTO `sys_job_log` VALUES (76656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:06');
INSERT INTO `sys_job_log` VALUES (76657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:07');
INSERT INTO `sys_job_log` VALUES (76658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:08');
INSERT INTO `sys_job_log` VALUES (76659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:09');
INSERT INTO `sys_job_log` VALUES (76660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:10');
INSERT INTO `sys_job_log` VALUES (76661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:11');
INSERT INTO `sys_job_log` VALUES (76662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:12');
INSERT INTO `sys_job_log` VALUES (76663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:13');
INSERT INTO `sys_job_log` VALUES (76664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:14');
INSERT INTO `sys_job_log` VALUES (76665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:15');
INSERT INTO `sys_job_log` VALUES (76666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:16');
INSERT INTO `sys_job_log` VALUES (76667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:17');
INSERT INTO `sys_job_log` VALUES (76668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:18');
INSERT INTO `sys_job_log` VALUES (76669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:19');
INSERT INTO `sys_job_log` VALUES (76670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:20');
INSERT INTO `sys_job_log` VALUES (76671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:21');
INSERT INTO `sys_job_log` VALUES (76672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:22');
INSERT INTO `sys_job_log` VALUES (76673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:23');
INSERT INTO `sys_job_log` VALUES (76674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:24');
INSERT INTO `sys_job_log` VALUES (76675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:25');
INSERT INTO `sys_job_log` VALUES (76676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:26');
INSERT INTO `sys_job_log` VALUES (76677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:27');
INSERT INTO `sys_job_log` VALUES (76678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:28');
INSERT INTO `sys_job_log` VALUES (76679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:29');
INSERT INTO `sys_job_log` VALUES (76680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:30');
INSERT INTO `sys_job_log` VALUES (76681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:31');
INSERT INTO `sys_job_log` VALUES (76682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:32');
INSERT INTO `sys_job_log` VALUES (76683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:33');
INSERT INTO `sys_job_log` VALUES (76684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:34');
INSERT INTO `sys_job_log` VALUES (76685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:35');
INSERT INTO `sys_job_log` VALUES (76686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:36');
INSERT INTO `sys_job_log` VALUES (76687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:37');
INSERT INTO `sys_job_log` VALUES (76688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:38');
INSERT INTO `sys_job_log` VALUES (76689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:39');
INSERT INTO `sys_job_log` VALUES (76690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:40');
INSERT INTO `sys_job_log` VALUES (76691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:41');
INSERT INTO `sys_job_log` VALUES (76692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:42');
INSERT INTO `sys_job_log` VALUES (76693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:43');
INSERT INTO `sys_job_log` VALUES (76694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:44');
INSERT INTO `sys_job_log` VALUES (76695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:45');
INSERT INTO `sys_job_log` VALUES (76696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:46');
INSERT INTO `sys_job_log` VALUES (76697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:47');
INSERT INTO `sys_job_log` VALUES (76698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:48');
INSERT INTO `sys_job_log` VALUES (76699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:50');
INSERT INTO `sys_job_log` VALUES (76700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:50');
INSERT INTO `sys_job_log` VALUES (76701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:51');
INSERT INTO `sys_job_log` VALUES (76702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:52');
INSERT INTO `sys_job_log` VALUES (76703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:53');
INSERT INTO `sys_job_log` VALUES (76704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:54');
INSERT INTO `sys_job_log` VALUES (76705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:55');
INSERT INTO `sys_job_log` VALUES (76706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:56');
INSERT INTO `sys_job_log` VALUES (76707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:57');
INSERT INTO `sys_job_log` VALUES (76708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:58');
INSERT INTO `sys_job_log` VALUES (76709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Socket is closed\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Socket is closed\r\n	at java.base/java.net.Socket.getInputStream(Socket.java:1060)\r\n	at com.ruoyi.sim.service.impl.CommSendService.send(CommSendService.java:480)\r\n	at com.ruoyi.sim.service.impl.CommSendService.debugReadSimType(CommSendService.java:284)\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:131)\r\n	... 14 more\r\n', '2025-01-05 01:04:59');
INSERT INTO `sys_job_log` VALUES (76710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29865毫秒', '0', '', '2025-01-05 01:05:40');
INSERT INTO `sys_job_log` VALUES (76711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31876毫秒', '0', '', '2025-01-05 01:06:12');
INSERT INTO `sys_job_log` VALUES (76712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22612毫秒', '0', '', '2025-01-05 01:06:35');
INSERT INTO `sys_job_log` VALUES (76713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22632毫秒', '0', '', '2025-01-05 01:06:57');
INSERT INTO `sys_job_log` VALUES (76714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22608毫秒', '0', '', '2025-01-05 01:07:20');
INSERT INTO `sys_job_log` VALUES (76715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22617毫秒', '0', '', '2025-01-05 01:07:43');
INSERT INTO `sys_job_log` VALUES (76716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22897毫秒', '0', '', '2025-01-05 01:08:06');
INSERT INTO `sys_job_log` VALUES (76717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22807毫秒', '0', '', '2025-01-05 01:08:28');
INSERT INTO `sys_job_log` VALUES (76718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：22872毫秒', '0', '', '2025-01-05 01:08:51');
INSERT INTO `sys_job_log` VALUES (76719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：42842毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 由于连接方在一段时间后没有正确答复或连接的主机没有反应，连接尝试失败。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 由于连接方在一段时间后没有正确答复或连接的主机没有反应，连接尝试失败。\r\n	at java.base/sun.nio.ch.SocketDispatcher.read0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.read(SocketDispatcher.java:46)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryRead(NioSocketImpl.java:256)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:307)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read', '2025-01-05 01:09:34');
INSERT INTO `sys_job_log` VALUES (76720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:35');
INSERT INTO `sys_job_log` VALUES (76721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:35');
INSERT INTO `sys_job_log` VALUES (76722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:35');
INSERT INTO `sys_job_log` VALUES (76723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:35');
INSERT INTO `sys_job_log` VALUES (76724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:36');
INSERT INTO `sys_job_log` VALUES (76725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:36');
INSERT INTO `sys_job_log` VALUES (76726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:36');
INSERT INTO `sys_job_log` VALUES (76727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:37');
INSERT INTO `sys_job_log` VALUES (76728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:37');
INSERT INTO `sys_job_log` VALUES (76729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:37');
INSERT INTO `sys_job_log` VALUES (76730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:38');
INSERT INTO `sys_job_log` VALUES (76731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:38');
INSERT INTO `sys_job_log` VALUES (76732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:38');
INSERT INTO `sys_job_log` VALUES (76733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:38');
INSERT INTO `sys_job_log` VALUES (76734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:39');
INSERT INTO `sys_job_log` VALUES (76735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:39');
INSERT INTO `sys_job_log` VALUES (76736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:39');
INSERT INTO `sys_job_log` VALUES (76737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:40');
INSERT INTO `sys_job_log` VALUES (76738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:40');
INSERT INTO `sys_job_log` VALUES (76739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:40');
INSERT INTO `sys_job_log` VALUES (76740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:40');
INSERT INTO `sys_job_log` VALUES (76741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:41');
INSERT INTO `sys_job_log` VALUES (76742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:41');
INSERT INTO `sys_job_log` VALUES (76743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:41');
INSERT INTO `sys_job_log` VALUES (76744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:42');
INSERT INTO `sys_job_log` VALUES (76745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:42');
INSERT INTO `sys_job_log` VALUES (76746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:42');
INSERT INTO `sys_job_log` VALUES (76747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:42');
INSERT INTO `sys_job_log` VALUES (76748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:43');
INSERT INTO `sys_job_log` VALUES (76749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:43');
INSERT INTO `sys_job_log` VALUES (76750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:43');
INSERT INTO `sys_job_log` VALUES (76751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:44');
INSERT INTO `sys_job_log` VALUES (76752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:44');
INSERT INTO `sys_job_log` VALUES (76753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:44');
INSERT INTO `sys_job_log` VALUES (76754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:45');
INSERT INTO `sys_job_log` VALUES (76755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:45');
INSERT INTO `sys_job_log` VALUES (76756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:45');
INSERT INTO `sys_job_log` VALUES (76757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:45');
INSERT INTO `sys_job_log` VALUES (76758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:46');
INSERT INTO `sys_job_log` VALUES (76759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:46');
INSERT INTO `sys_job_log` VALUES (76760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:46');
INSERT INTO `sys_job_log` VALUES (76761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:47');
INSERT INTO `sys_job_log` VALUES (76762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:47');
INSERT INTO `sys_job_log` VALUES (76763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:47');
INSERT INTO `sys_job_log` VALUES (76764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:47');
INSERT INTO `sys_job_log` VALUES (76765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:48');
INSERT INTO `sys_job_log` VALUES (76766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:48');
INSERT INTO `sys_job_log` VALUES (76767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:48');
INSERT INTO `sys_job_log` VALUES (76768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:49');
INSERT INTO `sys_job_log` VALUES (76769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:49');
INSERT INTO `sys_job_log` VALUES (76770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:49');
INSERT INTO `sys_job_log` VALUES (76771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:49');
INSERT INTO `sys_job_log` VALUES (76772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:50');
INSERT INTO `sys_job_log` VALUES (76773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:50');
INSERT INTO `sys_job_log` VALUES (76774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:50');
INSERT INTO `sys_job_log` VALUES (76775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:51');
INSERT INTO `sys_job_log` VALUES (76776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:51');
INSERT INTO `sys_job_log` VALUES (76777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:51');
INSERT INTO `sys_job_log` VALUES (76778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:51');
INSERT INTO `sys_job_log` VALUES (76779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:52');
INSERT INTO `sys_job_log` VALUES (76780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:52');
INSERT INTO `sys_job_log` VALUES (76781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:52');
INSERT INTO `sys_job_log` VALUES (76782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:53');
INSERT INTO `sys_job_log` VALUES (76783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:53');
INSERT INTO `sys_job_log` VALUES (76784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:53');
INSERT INTO `sys_job_log` VALUES (76785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:53');
INSERT INTO `sys_job_log` VALUES (76786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:54');
INSERT INTO `sys_job_log` VALUES (76787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:54');
INSERT INTO `sys_job_log` VALUES (76788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:54');
INSERT INTO `sys_job_log` VALUES (76789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:55');
INSERT INTO `sys_job_log` VALUES (76790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:55');
INSERT INTO `sys_job_log` VALUES (76791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:55');
INSERT INTO `sys_job_log` VALUES (76792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:55');
INSERT INTO `sys_job_log` VALUES (76793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:56');
INSERT INTO `sys_job_log` VALUES (76794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:56');
INSERT INTO `sys_job_log` VALUES (76795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:56');
INSERT INTO `sys_job_log` VALUES (76796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:57');
INSERT INTO `sys_job_log` VALUES (76797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:57');
INSERT INTO `sys_job_log` VALUES (76798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:57');
INSERT INTO `sys_job_log` VALUES (76799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:57');
INSERT INTO `sys_job_log` VALUES (76800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:58');
INSERT INTO `sys_job_log` VALUES (76801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:58');
INSERT INTO `sys_job_log` VALUES (76802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:58');
INSERT INTO `sys_job_log` VALUES (76803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:59');
INSERT INTO `sys_job_log` VALUES (76804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:59');
INSERT INTO `sys_job_log` VALUES (76805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:59');
INSERT INTO `sys_job_log` VALUES (76806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:09:59');
INSERT INTO `sys_job_log` VALUES (76807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:00');
INSERT INTO `sys_job_log` VALUES (76808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:00');
INSERT INTO `sys_job_log` VALUES (76809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:00');
INSERT INTO `sys_job_log` VALUES (76810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:01');
INSERT INTO `sys_job_log` VALUES (76811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:01');
INSERT INTO `sys_job_log` VALUES (76812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:01');
INSERT INTO `sys_job_log` VALUES (76813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:01');
INSERT INTO `sys_job_log` VALUES (76814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:02');
INSERT INTO `sys_job_log` VALUES (76815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:02');
INSERT INTO `sys_job_log` VALUES (76816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:02');
INSERT INTO `sys_job_log` VALUES (76817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:02');
INSERT INTO `sys_job_log` VALUES (76818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:03');
INSERT INTO `sys_job_log` VALUES (76819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:03');
INSERT INTO `sys_job_log` VALUES (76820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:03');
INSERT INTO `sys_job_log` VALUES (76821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:04');
INSERT INTO `sys_job_log` VALUES (76822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:04');
INSERT INTO `sys_job_log` VALUES (76823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:04');
INSERT INTO `sys_job_log` VALUES (76824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:05');
INSERT INTO `sys_job_log` VALUES (76825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:05');
INSERT INTO `sys_job_log` VALUES (76826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:05');
INSERT INTO `sys_job_log` VALUES (76827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:05');
INSERT INTO `sys_job_log` VALUES (76828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:06');
INSERT INTO `sys_job_log` VALUES (76829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:06');
INSERT INTO `sys_job_log` VALUES (76830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:06');
INSERT INTO `sys_job_log` VALUES (76831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:06');
INSERT INTO `sys_job_log` VALUES (76832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:07');
INSERT INTO `sys_job_log` VALUES (76833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:07');
INSERT INTO `sys_job_log` VALUES (76834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:07');
INSERT INTO `sys_job_log` VALUES (76835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:08');
INSERT INTO `sys_job_log` VALUES (76836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:08');
INSERT INTO `sys_job_log` VALUES (76837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:08');
INSERT INTO `sys_job_log` VALUES (76838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:08');
INSERT INTO `sys_job_log` VALUES (76839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:09');
INSERT INTO `sys_job_log` VALUES (76840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:09');
INSERT INTO `sys_job_log` VALUES (76841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:09');
INSERT INTO `sys_job_log` VALUES (76842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:09');
INSERT INTO `sys_job_log` VALUES (76843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:10');
INSERT INTO `sys_job_log` VALUES (76844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:10');
INSERT INTO `sys_job_log` VALUES (76845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:10');
INSERT INTO `sys_job_log` VALUES (76846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:11');
INSERT INTO `sys_job_log` VALUES (76847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:11');
INSERT INTO `sys_job_log` VALUES (76848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:11');
INSERT INTO `sys_job_log` VALUES (76849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:11');
INSERT INTO `sys_job_log` VALUES (76850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:12');
INSERT INTO `sys_job_log` VALUES (76851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:12');
INSERT INTO `sys_job_log` VALUES (76852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:12');
INSERT INTO `sys_job_log` VALUES (76853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:13');
INSERT INTO `sys_job_log` VALUES (76854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:13');
INSERT INTO `sys_job_log` VALUES (76855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:13');
INSERT INTO `sys_job_log` VALUES (76856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:13');
INSERT INTO `sys_job_log` VALUES (76857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:14');
INSERT INTO `sys_job_log` VALUES (76858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:14');
INSERT INTO `sys_job_log` VALUES (76859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:14');
INSERT INTO `sys_job_log` VALUES (76860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:15');
INSERT INTO `sys_job_log` VALUES (76861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:15');
INSERT INTO `sys_job_log` VALUES (76862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:15');
INSERT INTO `sys_job_log` VALUES (76863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:15');
INSERT INTO `sys_job_log` VALUES (76864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:16');
INSERT INTO `sys_job_log` VALUES (76865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:16');
INSERT INTO `sys_job_log` VALUES (76866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:16');
INSERT INTO `sys_job_log` VALUES (76867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:17');
INSERT INTO `sys_job_log` VALUES (76868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：265毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:17');
INSERT INTO `sys_job_log` VALUES (76869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:17');
INSERT INTO `sys_job_log` VALUES (76870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:17');
INSERT INTO `sys_job_log` VALUES (76871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:18');
INSERT INTO `sys_job_log` VALUES (76872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:18');
INSERT INTO `sys_job_log` VALUES (76873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:18');
INSERT INTO `sys_job_log` VALUES (76874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:19');
INSERT INTO `sys_job_log` VALUES (76875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:19');
INSERT INTO `sys_job_log` VALUES (76876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:19');
INSERT INTO `sys_job_log` VALUES (76877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:19');
INSERT INTO `sys_job_log` VALUES (76878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:20');
INSERT INTO `sys_job_log` VALUES (76879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:20');
INSERT INTO `sys_job_log` VALUES (76880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:20');
INSERT INTO `sys_job_log` VALUES (76881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:21');
INSERT INTO `sys_job_log` VALUES (76882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:21');
INSERT INTO `sys_job_log` VALUES (76883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:21');
INSERT INTO `sys_job_log` VALUES (76884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:21');
INSERT INTO `sys_job_log` VALUES (76885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:22');
INSERT INTO `sys_job_log` VALUES (76886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:22');
INSERT INTO `sys_job_log` VALUES (76887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:22');
INSERT INTO `sys_job_log` VALUES (76888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:23');
INSERT INTO `sys_job_log` VALUES (76889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:23');
INSERT INTO `sys_job_log` VALUES (76890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:23');
INSERT INTO `sys_job_log` VALUES (76891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:24');
INSERT INTO `sys_job_log` VALUES (76892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:24');
INSERT INTO `sys_job_log` VALUES (76893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:24');
INSERT INTO `sys_job_log` VALUES (76894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:24');
INSERT INTO `sys_job_log` VALUES (76895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:25');
INSERT INTO `sys_job_log` VALUES (76896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:25');
INSERT INTO `sys_job_log` VALUES (76897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:26');
INSERT INTO `sys_job_log` VALUES (76898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:26');
INSERT INTO `sys_job_log` VALUES (76899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:26');
INSERT INTO `sys_job_log` VALUES (76900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:26');
INSERT INTO `sys_job_log` VALUES (76901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:27');
INSERT INTO `sys_job_log` VALUES (76902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:27');
INSERT INTO `sys_job_log` VALUES (76903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:27');
INSERT INTO `sys_job_log` VALUES (76904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:28');
INSERT INTO `sys_job_log` VALUES (76905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:28');
INSERT INTO `sys_job_log` VALUES (76906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:28');
INSERT INTO `sys_job_log` VALUES (76907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:29');
INSERT INTO `sys_job_log` VALUES (76908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:29');
INSERT INTO `sys_job_log` VALUES (76909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:29');
INSERT INTO `sys_job_log` VALUES (76910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:29');
INSERT INTO `sys_job_log` VALUES (76911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:30');
INSERT INTO `sys_job_log` VALUES (76912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:30');
INSERT INTO `sys_job_log` VALUES (76913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:30');
INSERT INTO `sys_job_log` VALUES (76914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:30');
INSERT INTO `sys_job_log` VALUES (76915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:31');
INSERT INTO `sys_job_log` VALUES (76916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:31');
INSERT INTO `sys_job_log` VALUES (76917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:31');
INSERT INTO `sys_job_log` VALUES (76918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:32');
INSERT INTO `sys_job_log` VALUES (76919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:32');
INSERT INTO `sys_job_log` VALUES (76920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:32');
INSERT INTO `sys_job_log` VALUES (76921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:32');
INSERT INTO `sys_job_log` VALUES (76922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:33');
INSERT INTO `sys_job_log` VALUES (76923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:33');
INSERT INTO `sys_job_log` VALUES (76924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:33');
INSERT INTO `sys_job_log` VALUES (76925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:34');
INSERT INTO `sys_job_log` VALUES (76926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:34');
INSERT INTO `sys_job_log` VALUES (76927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:34');
INSERT INTO `sys_job_log` VALUES (76928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:34');
INSERT INTO `sys_job_log` VALUES (76929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:35');
INSERT INTO `sys_job_log` VALUES (76930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:35');
INSERT INTO `sys_job_log` VALUES (76931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:35');
INSERT INTO `sys_job_log` VALUES (76932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:36');
INSERT INTO `sys_job_log` VALUES (76933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:36');
INSERT INTO `sys_job_log` VALUES (76934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:36');
INSERT INTO `sys_job_log` VALUES (76935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:36');
INSERT INTO `sys_job_log` VALUES (76936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:37');
INSERT INTO `sys_job_log` VALUES (76937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:37');
INSERT INTO `sys_job_log` VALUES (76938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:37');
INSERT INTO `sys_job_log` VALUES (76939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:38');
INSERT INTO `sys_job_log` VALUES (76940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:38');
INSERT INTO `sys_job_log` VALUES (76941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:38');
INSERT INTO `sys_job_log` VALUES (76942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:38');
INSERT INTO `sys_job_log` VALUES (76943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:39');
INSERT INTO `sys_job_log` VALUES (76944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:39');
INSERT INTO `sys_job_log` VALUES (76945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:39');
INSERT INTO `sys_job_log` VALUES (76946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:40');
INSERT INTO `sys_job_log` VALUES (76947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:40');
INSERT INTO `sys_job_log` VALUES (76948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:40');
INSERT INTO `sys_job_log` VALUES (76949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:40');
INSERT INTO `sys_job_log` VALUES (76950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:41');
INSERT INTO `sys_job_log` VALUES (76951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:41');
INSERT INTO `sys_job_log` VALUES (76952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:41');
INSERT INTO `sys_job_log` VALUES (76953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:41');
INSERT INTO `sys_job_log` VALUES (76954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:42');
INSERT INTO `sys_job_log` VALUES (76955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:42');
INSERT INTO `sys_job_log` VALUES (76956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:42');
INSERT INTO `sys_job_log` VALUES (76957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:43');
INSERT INTO `sys_job_log` VALUES (76958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:43');
INSERT INTO `sys_job_log` VALUES (76959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:43');
INSERT INTO `sys_job_log` VALUES (76960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:43');
INSERT INTO `sys_job_log` VALUES (76961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:44');
INSERT INTO `sys_job_log` VALUES (76962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:44');
INSERT INTO `sys_job_log` VALUES (76963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:44');
INSERT INTO `sys_job_log` VALUES (76964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:45');
INSERT INTO `sys_job_log` VALUES (76965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:45');
INSERT INTO `sys_job_log` VALUES (76966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:45');
INSERT INTO `sys_job_log` VALUES (76967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:46');
INSERT INTO `sys_job_log` VALUES (76968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:46');
INSERT INTO `sys_job_log` VALUES (76969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:46');
INSERT INTO `sys_job_log` VALUES (76970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:46');
INSERT INTO `sys_job_log` VALUES (76971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:47');
INSERT INTO `sys_job_log` VALUES (76972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:47');
INSERT INTO `sys_job_log` VALUES (76973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:47');
INSERT INTO `sys_job_log` VALUES (76974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:48');
INSERT INTO `sys_job_log` VALUES (76975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:48');
INSERT INTO `sys_job_log` VALUES (76976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:48');
INSERT INTO `sys_job_log` VALUES (76977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:48');
INSERT INTO `sys_job_log` VALUES (76978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:49');
INSERT INTO `sys_job_log` VALUES (76979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:49');
INSERT INTO `sys_job_log` VALUES (76980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:49');
INSERT INTO `sys_job_log` VALUES (76981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:50');
INSERT INTO `sys_job_log` VALUES (76982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:50');
INSERT INTO `sys_job_log` VALUES (76983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:50');
INSERT INTO `sys_job_log` VALUES (76984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:50');
INSERT INTO `sys_job_log` VALUES (76985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:51');
INSERT INTO `sys_job_log` VALUES (76986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:51');
INSERT INTO `sys_job_log` VALUES (76987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:51');
INSERT INTO `sys_job_log` VALUES (76988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:52');
INSERT INTO `sys_job_log` VALUES (76989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:52');
INSERT INTO `sys_job_log` VALUES (76990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:52');
INSERT INTO `sys_job_log` VALUES (76991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:52');
INSERT INTO `sys_job_log` VALUES (76992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:53');
INSERT INTO `sys_job_log` VALUES (76993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:53');
INSERT INTO `sys_job_log` VALUES (76994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:53');
INSERT INTO `sys_job_log` VALUES (76995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:54');
INSERT INTO `sys_job_log` VALUES (76996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:54');
INSERT INTO `sys_job_log` VALUES (76997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:54');
INSERT INTO `sys_job_log` VALUES (76998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:54');
INSERT INTO `sys_job_log` VALUES (76999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:55');
INSERT INTO `sys_job_log` VALUES (77000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:55');
INSERT INTO `sys_job_log` VALUES (77001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:55');
INSERT INTO `sys_job_log` VALUES (77002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:56');
INSERT INTO `sys_job_log` VALUES (77003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:56');
INSERT INTO `sys_job_log` VALUES (77004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:56');
INSERT INTO `sys_job_log` VALUES (77005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:56');
INSERT INTO `sys_job_log` VALUES (77006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:57');
INSERT INTO `sys_job_log` VALUES (77007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:57');
INSERT INTO `sys_job_log` VALUES (77008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:57');
INSERT INTO `sys_job_log` VALUES (77009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:58');
INSERT INTO `sys_job_log` VALUES (77010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:58');
INSERT INTO `sys_job_log` VALUES (77011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:58');
INSERT INTO `sys_job_log` VALUES (77012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:58');
INSERT INTO `sys_job_log` VALUES (77013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:59');
INSERT INTO `sys_job_log` VALUES (77014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:10:59');
INSERT INTO `sys_job_log` VALUES (77015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:00');
INSERT INTO `sys_job_log` VALUES (77016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:00');
INSERT INTO `sys_job_log` VALUES (77017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:01');
INSERT INTO `sys_job_log` VALUES (77018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:01');
INSERT INTO `sys_job_log` VALUES (77019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:01');
INSERT INTO `sys_job_log` VALUES (77020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:02');
INSERT INTO `sys_job_log` VALUES (77021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:02');
INSERT INTO `sys_job_log` VALUES (77022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:02');
INSERT INTO `sys_job_log` VALUES (77023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:02');
INSERT INTO `sys_job_log` VALUES (77024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:03');
INSERT INTO `sys_job_log` VALUES (77025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:03');
INSERT INTO `sys_job_log` VALUES (77026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:04');
INSERT INTO `sys_job_log` VALUES (77027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:04');
INSERT INTO `sys_job_log` VALUES (77028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:04');
INSERT INTO `sys_job_log` VALUES (77029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:05');
INSERT INTO `sys_job_log` VALUES (77030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:05');
INSERT INTO `sys_job_log` VALUES (77031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:05');
INSERT INTO `sys_job_log` VALUES (77032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:06');
INSERT INTO `sys_job_log` VALUES (77033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:06');
INSERT INTO `sys_job_log` VALUES (77034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:06');
INSERT INTO `sys_job_log` VALUES (77035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:07');
INSERT INTO `sys_job_log` VALUES (77036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:07');
INSERT INTO `sys_job_log` VALUES (77037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:07');
INSERT INTO `sys_job_log` VALUES (77038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:07');
INSERT INTO `sys_job_log` VALUES (77039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:08');
INSERT INTO `sys_job_log` VALUES (77040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:08');
INSERT INTO `sys_job_log` VALUES (77041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:08');
INSERT INTO `sys_job_log` VALUES (77042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:09');
INSERT INTO `sys_job_log` VALUES (77043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:09');
INSERT INTO `sys_job_log` VALUES (77044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:09');
INSERT INTO `sys_job_log` VALUES (77045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:10');
INSERT INTO `sys_job_log` VALUES (77046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:10');
INSERT INTO `sys_job_log` VALUES (77047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:10');
INSERT INTO `sys_job_log` VALUES (77048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:11');
INSERT INTO `sys_job_log` VALUES (77049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:11');
INSERT INTO `sys_job_log` VALUES (77050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:11');
INSERT INTO `sys_job_log` VALUES (77051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:12');
INSERT INTO `sys_job_log` VALUES (77052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:12');
INSERT INTO `sys_job_log` VALUES (77053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:12');
INSERT INTO `sys_job_log` VALUES (77054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:13');
INSERT INTO `sys_job_log` VALUES (77055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:13');
INSERT INTO `sys_job_log` VALUES (77056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:13');
INSERT INTO `sys_job_log` VALUES (77057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:14');
INSERT INTO `sys_job_log` VALUES (77058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:14');
INSERT INTO `sys_job_log` VALUES (77059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:14');
INSERT INTO `sys_job_log` VALUES (77060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:15');
INSERT INTO `sys_job_log` VALUES (77061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:15');
INSERT INTO `sys_job_log` VALUES (77062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:15');
INSERT INTO `sys_job_log` VALUES (77063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:16');
INSERT INTO `sys_job_log` VALUES (77064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:16');
INSERT INTO `sys_job_log` VALUES (77065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:16');
INSERT INTO `sys_job_log` VALUES (77066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:16');
INSERT INTO `sys_job_log` VALUES (77067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:17');
INSERT INTO `sys_job_log` VALUES (77068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:17');
INSERT INTO `sys_job_log` VALUES (77069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:17');
INSERT INTO `sys_job_log` VALUES (77070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:18');
INSERT INTO `sys_job_log` VALUES (77071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:18');
INSERT INTO `sys_job_log` VALUES (77072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:18');
INSERT INTO `sys_job_log` VALUES (77073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:18');
INSERT INTO `sys_job_log` VALUES (77074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:19');
INSERT INTO `sys_job_log` VALUES (77075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:19');
INSERT INTO `sys_job_log` VALUES (77076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:19');
INSERT INTO `sys_job_log` VALUES (77077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:20');
INSERT INTO `sys_job_log` VALUES (77078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:20');
INSERT INTO `sys_job_log` VALUES (77079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:20');
INSERT INTO `sys_job_log` VALUES (77080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:21');
INSERT INTO `sys_job_log` VALUES (77081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:21');
INSERT INTO `sys_job_log` VALUES (77082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:21');
INSERT INTO `sys_job_log` VALUES (77083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:21');
INSERT INTO `sys_job_log` VALUES (77084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:22');
INSERT INTO `sys_job_log` VALUES (77085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:23');
INSERT INTO `sys_job_log` VALUES (77086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:24');
INSERT INTO `sys_job_log` VALUES (77087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:25');
INSERT INTO `sys_job_log` VALUES (77088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:26');
INSERT INTO `sys_job_log` VALUES (77089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:27');
INSERT INTO `sys_job_log` VALUES (77090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:28');
INSERT INTO `sys_job_log` VALUES (77091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:29');
INSERT INTO `sys_job_log` VALUES (77092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:30');
INSERT INTO `sys_job_log` VALUES (77093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:31');
INSERT INTO `sys_job_log` VALUES (77094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:32');
INSERT INTO `sys_job_log` VALUES (77095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:33');
INSERT INTO `sys_job_log` VALUES (77096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:34');
INSERT INTO `sys_job_log` VALUES (77097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:35');
INSERT INTO `sys_job_log` VALUES (77098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:36');
INSERT INTO `sys_job_log` VALUES (77099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:37');
INSERT INTO `sys_job_log` VALUES (77100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:38');
INSERT INTO `sys_job_log` VALUES (77101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:39');
INSERT INTO `sys_job_log` VALUES (77102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:40');
INSERT INTO `sys_job_log` VALUES (77103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:41');
INSERT INTO `sys_job_log` VALUES (77104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:42');
INSERT INTO `sys_job_log` VALUES (77105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:43');
INSERT INTO `sys_job_log` VALUES (77106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:44');
INSERT INTO `sys_job_log` VALUES (77107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:45');
INSERT INTO `sys_job_log` VALUES (77108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:46');
INSERT INTO `sys_job_log` VALUES (77109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:47');
INSERT INTO `sys_job_log` VALUES (77110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:48');
INSERT INTO `sys_job_log` VALUES (77111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:49');
INSERT INTO `sys_job_log` VALUES (77112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:51');
INSERT INTO `sys_job_log` VALUES (77113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:51');
INSERT INTO `sys_job_log` VALUES (77114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:52');
INSERT INTO `sys_job_log` VALUES (77115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:53');
INSERT INTO `sys_job_log` VALUES (77116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:54');
INSERT INTO `sys_job_log` VALUES (77117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:55');
INSERT INTO `sys_job_log` VALUES (77118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:56');
INSERT INTO `sys_job_log` VALUES (77119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:57');
INSERT INTO `sys_job_log` VALUES (77120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:58');
INSERT INTO `sys_job_log` VALUES (77121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:11:59');
INSERT INTO `sys_job_log` VALUES (77122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:00');
INSERT INTO `sys_job_log` VALUES (77123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:01');
INSERT INTO `sys_job_log` VALUES (77124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:02');
INSERT INTO `sys_job_log` VALUES (77125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:03');
INSERT INTO `sys_job_log` VALUES (77126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:04');
INSERT INTO `sys_job_log` VALUES (77127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:05');
INSERT INTO `sys_job_log` VALUES (77128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:06');
INSERT INTO `sys_job_log` VALUES (77129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:07');
INSERT INTO `sys_job_log` VALUES (77130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:08');
INSERT INTO `sys_job_log` VALUES (77131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:10');
INSERT INTO `sys_job_log` VALUES (77132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:10');
INSERT INTO `sys_job_log` VALUES (77133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:11');
INSERT INTO `sys_job_log` VALUES (77134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:12');
INSERT INTO `sys_job_log` VALUES (77135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:13');
INSERT INTO `sys_job_log` VALUES (77136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:14');
INSERT INTO `sys_job_log` VALUES (77137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:15');
INSERT INTO `sys_job_log` VALUES (77138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:16');
INSERT INTO `sys_job_log` VALUES (77139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:17');
INSERT INTO `sys_job_log` VALUES (77140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:18');
INSERT INTO `sys_job_log` VALUES (77141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:19');
INSERT INTO `sys_job_log` VALUES (77142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:20');
INSERT INTO `sys_job_log` VALUES (77143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:21');
INSERT INTO `sys_job_log` VALUES (77144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:22');
INSERT INTO `sys_job_log` VALUES (77145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:23');
INSERT INTO `sys_job_log` VALUES (77146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:24');
INSERT INTO `sys_job_log` VALUES (77147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:25');
INSERT INTO `sys_job_log` VALUES (77148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:26');
INSERT INTO `sys_job_log` VALUES (77149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:27');
INSERT INTO `sys_job_log` VALUES (77150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:28');
INSERT INTO `sys_job_log` VALUES (77151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:29');
INSERT INTO `sys_job_log` VALUES (77152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:30');
INSERT INTO `sys_job_log` VALUES (77153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:31');
INSERT INTO `sys_job_log` VALUES (77154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:32');
INSERT INTO `sys_job_log` VALUES (77155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:33');
INSERT INTO `sys_job_log` VALUES (77156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:34');
INSERT INTO `sys_job_log` VALUES (77157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:35');
INSERT INTO `sys_job_log` VALUES (77158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:36');
INSERT INTO `sys_job_log` VALUES (77159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:37');
INSERT INTO `sys_job_log` VALUES (77160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:38');
INSERT INTO `sys_job_log` VALUES (77161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:39');
INSERT INTO `sys_job_log` VALUES (77162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:40');
INSERT INTO `sys_job_log` VALUES (77163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:41');
INSERT INTO `sys_job_log` VALUES (77164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:42');
INSERT INTO `sys_job_log` VALUES (77165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:43');
INSERT INTO `sys_job_log` VALUES (77166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:44');
INSERT INTO `sys_job_log` VALUES (77167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:45');
INSERT INTO `sys_job_log` VALUES (77168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:46');
INSERT INTO `sys_job_log` VALUES (77169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:47');
INSERT INTO `sys_job_log` VALUES (77170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:48');
INSERT INTO `sys_job_log` VALUES (77171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:49');
INSERT INTO `sys_job_log` VALUES (77172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:50');
INSERT INTO `sys_job_log` VALUES (77173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:51');
INSERT INTO `sys_job_log` VALUES (77174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:52');
INSERT INTO `sys_job_log` VALUES (77175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:53');
INSERT INTO `sys_job_log` VALUES (77176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:54');
INSERT INTO `sys_job_log` VALUES (77177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:55');
INSERT INTO `sys_job_log` VALUES (77178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:56');
INSERT INTO `sys_job_log` VALUES (77179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:57');
INSERT INTO `sys_job_log` VALUES (77180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:58');
INSERT INTO `sys_job_log` VALUES (77181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:12:59');
INSERT INTO `sys_job_log` VALUES (77182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:00');
INSERT INTO `sys_job_log` VALUES (77183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:01');
INSERT INTO `sys_job_log` VALUES (77184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:02');
INSERT INTO `sys_job_log` VALUES (77185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:03');
INSERT INTO `sys_job_log` VALUES (77186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:04');
INSERT INTO `sys_job_log` VALUES (77187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:05');
INSERT INTO `sys_job_log` VALUES (77188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:06');
INSERT INTO `sys_job_log` VALUES (77189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:07');
INSERT INTO `sys_job_log` VALUES (77190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:08');
INSERT INTO `sys_job_log` VALUES (77191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:09');
INSERT INTO `sys_job_log` VALUES (77192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:10');
INSERT INTO `sys_job_log` VALUES (77193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:11');
INSERT INTO `sys_job_log` VALUES (77194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:12');
INSERT INTO `sys_job_log` VALUES (77195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:13');
INSERT INTO `sys_job_log` VALUES (77196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:14');
INSERT INTO `sys_job_log` VALUES (77197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:15');
INSERT INTO `sys_job_log` VALUES (77198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:16');
INSERT INTO `sys_job_log` VALUES (77199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:17');
INSERT INTO `sys_job_log` VALUES (77200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:18');
INSERT INTO `sys_job_log` VALUES (77201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:19');
INSERT INTO `sys_job_log` VALUES (77202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:20');
INSERT INTO `sys_job_log` VALUES (77203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:21');
INSERT INTO `sys_job_log` VALUES (77204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:22');
INSERT INTO `sys_job_log` VALUES (77205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:23');
INSERT INTO `sys_job_log` VALUES (77206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:24');
INSERT INTO `sys_job_log` VALUES (77207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:25');
INSERT INTO `sys_job_log` VALUES (77208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:26');
INSERT INTO `sys_job_log` VALUES (77209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:27');
INSERT INTO `sys_job_log` VALUES (77210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:28');
INSERT INTO `sys_job_log` VALUES (77211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:29');
INSERT INTO `sys_job_log` VALUES (77212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:30');
INSERT INTO `sys_job_log` VALUES (77213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:31');
INSERT INTO `sys_job_log` VALUES (77214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:32');
INSERT INTO `sys_job_log` VALUES (77215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:33');
INSERT INTO `sys_job_log` VALUES (77216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:34');
INSERT INTO `sys_job_log` VALUES (77217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:35');
INSERT INTO `sys_job_log` VALUES (77218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:36');
INSERT INTO `sys_job_log` VALUES (77219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:37');
INSERT INTO `sys_job_log` VALUES (77220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:38');
INSERT INTO `sys_job_log` VALUES (77221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:39');
INSERT INTO `sys_job_log` VALUES (77222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:40');
INSERT INTO `sys_job_log` VALUES (77223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:41');
INSERT INTO `sys_job_log` VALUES (77224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:42');
INSERT INTO `sys_job_log` VALUES (77225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:43');
INSERT INTO `sys_job_log` VALUES (77226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:44');
INSERT INTO `sys_job_log` VALUES (77227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:45');
INSERT INTO `sys_job_log` VALUES (77228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:46');
INSERT INTO `sys_job_log` VALUES (77229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:47');
INSERT INTO `sys_job_log` VALUES (77230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:48');
INSERT INTO `sys_job_log` VALUES (77231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:49');
INSERT INTO `sys_job_log` VALUES (77232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:50');
INSERT INTO `sys_job_log` VALUES (77233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:51');
INSERT INTO `sys_job_log` VALUES (77234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:52');
INSERT INTO `sys_job_log` VALUES (77235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:53');
INSERT INTO `sys_job_log` VALUES (77236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:54');
INSERT INTO `sys_job_log` VALUES (77237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:55');
INSERT INTO `sys_job_log` VALUES (77238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:56');
INSERT INTO `sys_job_log` VALUES (77239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:57');
INSERT INTO `sys_job_log` VALUES (77240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:58');
INSERT INTO `sys_job_log` VALUES (77241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:13:59');
INSERT INTO `sys_job_log` VALUES (77242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:00');
INSERT INTO `sys_job_log` VALUES (77243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:01');
INSERT INTO `sys_job_log` VALUES (77244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:02');
INSERT INTO `sys_job_log` VALUES (77245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:03');
INSERT INTO `sys_job_log` VALUES (77246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:04');
INSERT INTO `sys_job_log` VALUES (77247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:05');
INSERT INTO `sys_job_log` VALUES (77248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:06');
INSERT INTO `sys_job_log` VALUES (77249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:08');
INSERT INTO `sys_job_log` VALUES (77250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:08');
INSERT INTO `sys_job_log` VALUES (77251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:09');
INSERT INTO `sys_job_log` VALUES (77252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:10');
INSERT INTO `sys_job_log` VALUES (77253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:11');
INSERT INTO `sys_job_log` VALUES (77254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:12');
INSERT INTO `sys_job_log` VALUES (77255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:13');
INSERT INTO `sys_job_log` VALUES (77256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:14');
INSERT INTO `sys_job_log` VALUES (77257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:15');
INSERT INTO `sys_job_log` VALUES (77258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:16');
INSERT INTO `sys_job_log` VALUES (77259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:17');
INSERT INTO `sys_job_log` VALUES (77260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:18');
INSERT INTO `sys_job_log` VALUES (77261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:19');
INSERT INTO `sys_job_log` VALUES (77262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:20');
INSERT INTO `sys_job_log` VALUES (77263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:21');
INSERT INTO `sys_job_log` VALUES (77264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:22');
INSERT INTO `sys_job_log` VALUES (77265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:23');
INSERT INTO `sys_job_log` VALUES (77266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:24');
INSERT INTO `sys_job_log` VALUES (77267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:25');
INSERT INTO `sys_job_log` VALUES (77268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:26');
INSERT INTO `sys_job_log` VALUES (77269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:27');
INSERT INTO `sys_job_log` VALUES (77270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:28');
INSERT INTO `sys_job_log` VALUES (77271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:29');
INSERT INTO `sys_job_log` VALUES (77272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:30');
INSERT INTO `sys_job_log` VALUES (77273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:31');
INSERT INTO `sys_job_log` VALUES (77274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:32');
INSERT INTO `sys_job_log` VALUES (77275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:33');
INSERT INTO `sys_job_log` VALUES (77276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:34');
INSERT INTO `sys_job_log` VALUES (77277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:35');
INSERT INTO `sys_job_log` VALUES (77278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:36');
INSERT INTO `sys_job_log` VALUES (77279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:37');
INSERT INTO `sys_job_log` VALUES (77280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:38');
INSERT INTO `sys_job_log` VALUES (77281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:39');
INSERT INTO `sys_job_log` VALUES (77282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:40');
INSERT INTO `sys_job_log` VALUES (77283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:41');
INSERT INTO `sys_job_log` VALUES (77284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:42');
INSERT INTO `sys_job_log` VALUES (77285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:43');
INSERT INTO `sys_job_log` VALUES (77286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:44');
INSERT INTO `sys_job_log` VALUES (77287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:45');
INSERT INTO `sys_job_log` VALUES (77288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:46');
INSERT INTO `sys_job_log` VALUES (77289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:47');
INSERT INTO `sys_job_log` VALUES (77290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:48');
INSERT INTO `sys_job_log` VALUES (77291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:49');
INSERT INTO `sys_job_log` VALUES (77292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:50');
INSERT INTO `sys_job_log` VALUES (77293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:51');
INSERT INTO `sys_job_log` VALUES (77294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:52');
INSERT INTO `sys_job_log` VALUES (77295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:53');
INSERT INTO `sys_job_log` VALUES (77296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:54');
INSERT INTO `sys_job_log` VALUES (77297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:55');
INSERT INTO `sys_job_log` VALUES (77298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:56');
INSERT INTO `sys_job_log` VALUES (77299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:57');
INSERT INTO `sys_job_log` VALUES (77300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:58');
INSERT INTO `sys_job_log` VALUES (77301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:14:59');
INSERT INTO `sys_job_log` VALUES (77302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:00');
INSERT INTO `sys_job_log` VALUES (77303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:01');
INSERT INTO `sys_job_log` VALUES (77304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:02');
INSERT INTO `sys_job_log` VALUES (77305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:03');
INSERT INTO `sys_job_log` VALUES (77306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:04');
INSERT INTO `sys_job_log` VALUES (77307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:05');
INSERT INTO `sys_job_log` VALUES (77308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:06');
INSERT INTO `sys_job_log` VALUES (77309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:07');
INSERT INTO `sys_job_log` VALUES (77310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:08');
INSERT INTO `sys_job_log` VALUES (77311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:09');
INSERT INTO `sys_job_log` VALUES (77312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:10');
INSERT INTO `sys_job_log` VALUES (77313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:11');
INSERT INTO `sys_job_log` VALUES (77314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:12');
INSERT INTO `sys_job_log` VALUES (77315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:13');
INSERT INTO `sys_job_log` VALUES (77316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:14');
INSERT INTO `sys_job_log` VALUES (77317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:15');
INSERT INTO `sys_job_log` VALUES (77318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:16');
INSERT INTO `sys_job_log` VALUES (77319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:17');
INSERT INTO `sys_job_log` VALUES (77320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:18');
INSERT INTO `sys_job_log` VALUES (77321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:19');
INSERT INTO `sys_job_log` VALUES (77322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:20');
INSERT INTO `sys_job_log` VALUES (77323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:21');
INSERT INTO `sys_job_log` VALUES (77324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:22');
INSERT INTO `sys_job_log` VALUES (77325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:23');
INSERT INTO `sys_job_log` VALUES (77326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:24');
INSERT INTO `sys_job_log` VALUES (77327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:25');
INSERT INTO `sys_job_log` VALUES (77328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:26');
INSERT INTO `sys_job_log` VALUES (77329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:27');
INSERT INTO `sys_job_log` VALUES (77330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:28');
INSERT INTO `sys_job_log` VALUES (77331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:29');
INSERT INTO `sys_job_log` VALUES (77332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:30');
INSERT INTO `sys_job_log` VALUES (77333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:31');
INSERT INTO `sys_job_log` VALUES (77334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:32');
INSERT INTO `sys_job_log` VALUES (77335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:33');
INSERT INTO `sys_job_log` VALUES (77336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:34');
INSERT INTO `sys_job_log` VALUES (77337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:35');
INSERT INTO `sys_job_log` VALUES (77338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:36');
INSERT INTO `sys_job_log` VALUES (77339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:37');
INSERT INTO `sys_job_log` VALUES (77340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:38');
INSERT INTO `sys_job_log` VALUES (77341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:39');
INSERT INTO `sys_job_log` VALUES (77342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:40');
INSERT INTO `sys_job_log` VALUES (77343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:41');
INSERT INTO `sys_job_log` VALUES (77344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:42');
INSERT INTO `sys_job_log` VALUES (77345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:43');
INSERT INTO `sys_job_log` VALUES (77346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:44');
INSERT INTO `sys_job_log` VALUES (77347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:45');
INSERT INTO `sys_job_log` VALUES (77348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:46');
INSERT INTO `sys_job_log` VALUES (77349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:47');
INSERT INTO `sys_job_log` VALUES (77350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:48');
INSERT INTO `sys_job_log` VALUES (77351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:49');
INSERT INTO `sys_job_log` VALUES (77352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:50');
INSERT INTO `sys_job_log` VALUES (77353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:51');
INSERT INTO `sys_job_log` VALUES (77354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:52');
INSERT INTO `sys_job_log` VALUES (77355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:53');
INSERT INTO `sys_job_log` VALUES (77356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:54');
INSERT INTO `sys_job_log` VALUES (77357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:55');
INSERT INTO `sys_job_log` VALUES (77358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:56');
INSERT INTO `sys_job_log` VALUES (77359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:57');
INSERT INTO `sys_job_log` VALUES (77360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:58');
INSERT INTO `sys_job_log` VALUES (77361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:15:59');
INSERT INTO `sys_job_log` VALUES (77362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:00');
INSERT INTO `sys_job_log` VALUES (77363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:01');
INSERT INTO `sys_job_log` VALUES (77364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:02');
INSERT INTO `sys_job_log` VALUES (77365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:03');
INSERT INTO `sys_job_log` VALUES (77366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:04');
INSERT INTO `sys_job_log` VALUES (77367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:05');
INSERT INTO `sys_job_log` VALUES (77368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:06');
INSERT INTO `sys_job_log` VALUES (77369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:07');
INSERT INTO `sys_job_log` VALUES (77370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:08');
INSERT INTO `sys_job_log` VALUES (77371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:09');
INSERT INTO `sys_job_log` VALUES (77372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:10');
INSERT INTO `sys_job_log` VALUES (77373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:11');
INSERT INTO `sys_job_log` VALUES (77374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:12');
INSERT INTO `sys_job_log` VALUES (77375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:13');
INSERT INTO `sys_job_log` VALUES (77376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:14');
INSERT INTO `sys_job_log` VALUES (77377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:15');
INSERT INTO `sys_job_log` VALUES (77378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:16');
INSERT INTO `sys_job_log` VALUES (77379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:17');
INSERT INTO `sys_job_log` VALUES (77380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:18');
INSERT INTO `sys_job_log` VALUES (77381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:19');
INSERT INTO `sys_job_log` VALUES (77382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:20');
INSERT INTO `sys_job_log` VALUES (77383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:21');
INSERT INTO `sys_job_log` VALUES (77384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:22');
INSERT INTO `sys_job_log` VALUES (77385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:23');
INSERT INTO `sys_job_log` VALUES (77386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:24');
INSERT INTO `sys_job_log` VALUES (77387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:25');
INSERT INTO `sys_job_log` VALUES (77388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:26');
INSERT INTO `sys_job_log` VALUES (77389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:27');
INSERT INTO `sys_job_log` VALUES (77390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:28');
INSERT INTO `sys_job_log` VALUES (77391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:29');
INSERT INTO `sys_job_log` VALUES (77392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: Connection reset by peer\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:140)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$d3e9d348.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: Connection reset by peer\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.ja', '2025-01-05 01:16:30');
INSERT INTO `sys_job_log` VALUES (77393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：29987毫秒', '0', '', '2025-01-05 01:17:11');
INSERT INTO `sys_job_log` VALUES (77394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：30572毫秒', '0', '', '2025-01-05 01:17:42');
INSERT INTO `sys_job_log` VALUES (77395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：31623毫秒', '0', '', '2025-01-05 01:18:14');
INSERT INTO `sys_job_log` VALUES (77396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：24387毫秒', '0', '', '2025-01-05 01:18:38');
INSERT INTO `sys_job_log` VALUES (77397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21858毫秒', '0', '', '2025-01-05 01:19:00');
INSERT INTO `sys_job_log` VALUES (77398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21868毫秒', '0', '', '2025-01-05 01:19:22');
INSERT INTO `sys_job_log` VALUES (77399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21872毫秒', '0', '', '2025-01-05 01:19:44');
INSERT INTO `sys_job_log` VALUES (77400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21872毫秒', '0', '', '2025-01-05 01:20:06');
INSERT INTO `sys_job_log` VALUES (77401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21866毫秒', '0', '', '2025-01-05 01:20:28');
INSERT INTO `sys_job_log` VALUES (77402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：21911毫秒', '0', '', '2025-01-05 01:20:49');
INSERT INTO `sys_job_log` VALUES (77403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：6477毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:33');
INSERT INTO `sys_job_log` VALUES (77404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:33');
INSERT INTO `sys_job_log` VALUES (77405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:34');
INSERT INTO `sys_job_log` VALUES (77406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:34');
INSERT INTO `sys_job_log` VALUES (77407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:34');
INSERT INTO `sys_job_log` VALUES (77408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:35');
INSERT INTO `sys_job_log` VALUES (77409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:35');
INSERT INTO `sys_job_log` VALUES (77410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:35');
INSERT INTO `sys_job_log` VALUES (77411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:35');
INSERT INTO `sys_job_log` VALUES (77412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:36');
INSERT INTO `sys_job_log` VALUES (77413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:36');
INSERT INTO `sys_job_log` VALUES (77414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:36');
INSERT INTO `sys_job_log` VALUES (77415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:37');
INSERT INTO `sys_job_log` VALUES (77416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:38');
INSERT INTO `sys_job_log` VALUES (77417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:39');
INSERT INTO `sys_job_log` VALUES (77418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:40');
INSERT INTO `sys_job_log` VALUES (77419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:41');
INSERT INTO `sys_job_log` VALUES (77420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:42');
INSERT INTO `sys_job_log` VALUES (77421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:43');
INSERT INTO `sys_job_log` VALUES (77422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:44');
INSERT INTO `sys_job_log` VALUES (77423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:45');
INSERT INTO `sys_job_log` VALUES (77424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:46');
INSERT INTO `sys_job_log` VALUES (77425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:47');
INSERT INTO `sys_job_log` VALUES (77426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:48');
INSERT INTO `sys_job_log` VALUES (77427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:49');
INSERT INTO `sys_job_log` VALUES (77428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:50');
INSERT INTO `sys_job_log` VALUES (77429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:51');
INSERT INTO `sys_job_log` VALUES (77430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:52');
INSERT INTO `sys_job_log` VALUES (77431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:53');
INSERT INTO `sys_job_log` VALUES (77432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:54');
INSERT INTO `sys_job_log` VALUES (77433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:55');
INSERT INTO `sys_job_log` VALUES (77434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:56');
INSERT INTO `sys_job_log` VALUES (77435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:57');
INSERT INTO `sys_job_log` VALUES (77436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:58');
INSERT INTO `sys_job_log` VALUES (77437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:24:59');
INSERT INTO `sys_job_log` VALUES (77438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:00');
INSERT INTO `sys_job_log` VALUES (77439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:01');
INSERT INTO `sys_job_log` VALUES (77440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:02');
INSERT INTO `sys_job_log` VALUES (77441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:03');
INSERT INTO `sys_job_log` VALUES (77442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:04');
INSERT INTO `sys_job_log` VALUES (77443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:05');
INSERT INTO `sys_job_log` VALUES (77444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:06');
INSERT INTO `sys_job_log` VALUES (77445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:07');
INSERT INTO `sys_job_log` VALUES (77446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：273毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:08');
INSERT INTO `sys_job_log` VALUES (77447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:09');
INSERT INTO `sys_job_log` VALUES (77448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:10');
INSERT INTO `sys_job_log` VALUES (77449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:11');
INSERT INTO `sys_job_log` VALUES (77450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:12');
INSERT INTO `sys_job_log` VALUES (77451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:13');
INSERT INTO `sys_job_log` VALUES (77452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:14');
INSERT INTO `sys_job_log` VALUES (77453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:15');
INSERT INTO `sys_job_log` VALUES (77454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:16');
INSERT INTO `sys_job_log` VALUES (77455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：270毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:17');
INSERT INTO `sys_job_log` VALUES (77456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:18');
INSERT INTO `sys_job_log` VALUES (77457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:19');
INSERT INTO `sys_job_log` VALUES (77458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:20');
INSERT INTO `sys_job_log` VALUES (77459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:21');
INSERT INTO `sys_job_log` VALUES (77460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:22');
INSERT INTO `sys_job_log` VALUES (77461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:23');
INSERT INTO `sys_job_log` VALUES (77462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:24');
INSERT INTO `sys_job_log` VALUES (77463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:25');
INSERT INTO `sys_job_log` VALUES (77464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:26');
INSERT INTO `sys_job_log` VALUES (77465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:27');
INSERT INTO `sys_job_log` VALUES (77466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:28');
INSERT INTO `sys_job_log` VALUES (77467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:29');
INSERT INTO `sys_job_log` VALUES (77468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:30');
INSERT INTO `sys_job_log` VALUES (77469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:31');
INSERT INTO `sys_job_log` VALUES (77470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:32');
INSERT INTO `sys_job_log` VALUES (77471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:33');
INSERT INTO `sys_job_log` VALUES (77472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:34');
INSERT INTO `sys_job_log` VALUES (77473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:35');
INSERT INTO `sys_job_log` VALUES (77474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:36');
INSERT INTO `sys_job_log` VALUES (77475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:37');
INSERT INTO `sys_job_log` VALUES (77476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:38');
INSERT INTO `sys_job_log` VALUES (77477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:39');
INSERT INTO `sys_job_log` VALUES (77478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:40');
INSERT INTO `sys_job_log` VALUES (77479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:41');
INSERT INTO `sys_job_log` VALUES (77480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:42');
INSERT INTO `sys_job_log` VALUES (77481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:43');
INSERT INTO `sys_job_log` VALUES (77482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:44');
INSERT INTO `sys_job_log` VALUES (77483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:45');
INSERT INTO `sys_job_log` VALUES (77484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:46');
INSERT INTO `sys_job_log` VALUES (77485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:47');
INSERT INTO `sys_job_log` VALUES (77486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:48');
INSERT INTO `sys_job_log` VALUES (77487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:49');
INSERT INTO `sys_job_log` VALUES (77488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:50');
INSERT INTO `sys_job_log` VALUES (77489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:51');
INSERT INTO `sys_job_log` VALUES (77490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:52');
INSERT INTO `sys_job_log` VALUES (77491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:53');
INSERT INTO `sys_job_log` VALUES (77492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:54');
INSERT INTO `sys_job_log` VALUES (77493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:55');
INSERT INTO `sys_job_log` VALUES (77494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:56');
INSERT INTO `sys_job_log` VALUES (77495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:57');
INSERT INTO `sys_job_log` VALUES (77496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：263毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:58');
INSERT INTO `sys_job_log` VALUES (77497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:25:59');
INSERT INTO `sys_job_log` VALUES (77498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:00');
INSERT INTO `sys_job_log` VALUES (77499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:01');
INSERT INTO `sys_job_log` VALUES (77500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:02');
INSERT INTO `sys_job_log` VALUES (77501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:03');
INSERT INTO `sys_job_log` VALUES (77502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:04');
INSERT INTO `sys_job_log` VALUES (77503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:05');
INSERT INTO `sys_job_log` VALUES (77504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:06');
INSERT INTO `sys_job_log` VALUES (77505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:07');
INSERT INTO `sys_job_log` VALUES (77506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:08');
INSERT INTO `sys_job_log` VALUES (77507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:09');
INSERT INTO `sys_job_log` VALUES (77508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:10');
INSERT INTO `sys_job_log` VALUES (77509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:11');
INSERT INTO `sys_job_log` VALUES (77510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:12');
INSERT INTO `sys_job_log` VALUES (77511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:13');
INSERT INTO `sys_job_log` VALUES (77512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:14');
INSERT INTO `sys_job_log` VALUES (77513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:15');
INSERT INTO `sys_job_log` VALUES (77514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:16');
INSERT INTO `sys_job_log` VALUES (77515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:17');
INSERT INTO `sys_job_log` VALUES (77516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:18');
INSERT INTO `sys_job_log` VALUES (77517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:19');
INSERT INTO `sys_job_log` VALUES (77518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:20');
INSERT INTO `sys_job_log` VALUES (77519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:21');
INSERT INTO `sys_job_log` VALUES (77520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:22');
INSERT INTO `sys_job_log` VALUES (77521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:23');
INSERT INTO `sys_job_log` VALUES (77522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:24');
INSERT INTO `sys_job_log` VALUES (77523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:25');
INSERT INTO `sys_job_log` VALUES (77524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:26');
INSERT INTO `sys_job_log` VALUES (77525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:27');
INSERT INTO `sys_job_log` VALUES (77526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:28');
INSERT INTO `sys_job_log` VALUES (77527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:29');
INSERT INTO `sys_job_log` VALUES (77528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:30');
INSERT INTO `sys_job_log` VALUES (77529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:31');
INSERT INTO `sys_job_log` VALUES (77530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:32');
INSERT INTO `sys_job_log` VALUES (77531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:33');
INSERT INTO `sys_job_log` VALUES (77532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:34');
INSERT INTO `sys_job_log` VALUES (77533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:35');
INSERT INTO `sys_job_log` VALUES (77534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:36');
INSERT INTO `sys_job_log` VALUES (77535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:37');
INSERT INTO `sys_job_log` VALUES (77536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:38');
INSERT INTO `sys_job_log` VALUES (77537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:39');
INSERT INTO `sys_job_log` VALUES (77538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:40');
INSERT INTO `sys_job_log` VALUES (77539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:41');
INSERT INTO `sys_job_log` VALUES (77540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:42');
INSERT INTO `sys_job_log` VALUES (77541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:43');
INSERT INTO `sys_job_log` VALUES (77542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:44');
INSERT INTO `sys_job_log` VALUES (77543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:45');
INSERT INTO `sys_job_log` VALUES (77544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:46');
INSERT INTO `sys_job_log` VALUES (77545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:47');
INSERT INTO `sys_job_log` VALUES (77546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:48');
INSERT INTO `sys_job_log` VALUES (77547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:49');
INSERT INTO `sys_job_log` VALUES (77548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:50');
INSERT INTO `sys_job_log` VALUES (77549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:51');
INSERT INTO `sys_job_log` VALUES (77550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:52');
INSERT INTO `sys_job_log` VALUES (77551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:53');
INSERT INTO `sys_job_log` VALUES (77552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:54');
INSERT INTO `sys_job_log` VALUES (77553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:55');
INSERT INTO `sys_job_log` VALUES (77554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:56');
INSERT INTO `sys_job_log` VALUES (77555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:57');
INSERT INTO `sys_job_log` VALUES (77556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:58');
INSERT INTO `sys_job_log` VALUES (77557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:26:59');
INSERT INTO `sys_job_log` VALUES (77558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:00');
INSERT INTO `sys_job_log` VALUES (77559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:01');
INSERT INTO `sys_job_log` VALUES (77560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:02');
INSERT INTO `sys_job_log` VALUES (77561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:03');
INSERT INTO `sys_job_log` VALUES (77562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:04');
INSERT INTO `sys_job_log` VALUES (77563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:05');
INSERT INTO `sys_job_log` VALUES (77564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:06');
INSERT INTO `sys_job_log` VALUES (77565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:07');
INSERT INTO `sys_job_log` VALUES (77566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:08');
INSERT INTO `sys_job_log` VALUES (77567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:09');
INSERT INTO `sys_job_log` VALUES (77568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:10');
INSERT INTO `sys_job_log` VALUES (77569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:11');
INSERT INTO `sys_job_log` VALUES (77570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:12');
INSERT INTO `sys_job_log` VALUES (77571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:13');
INSERT INTO `sys_job_log` VALUES (77572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:14');
INSERT INTO `sys_job_log` VALUES (77573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:15');
INSERT INTO `sys_job_log` VALUES (77574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:16');
INSERT INTO `sys_job_log` VALUES (77575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:17');
INSERT INTO `sys_job_log` VALUES (77576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:18');
INSERT INTO `sys_job_log` VALUES (77577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:19');
INSERT INTO `sys_job_log` VALUES (77578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:20');
INSERT INTO `sys_job_log` VALUES (77579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:21');
INSERT INTO `sys_job_log` VALUES (77580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:22');
INSERT INTO `sys_job_log` VALUES (77581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:23');
INSERT INTO `sys_job_log` VALUES (77582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:24');
INSERT INTO `sys_job_log` VALUES (77583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:25');
INSERT INTO `sys_job_log` VALUES (77584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:26');
INSERT INTO `sys_job_log` VALUES (77585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:27');
INSERT INTO `sys_job_log` VALUES (77586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:28');
INSERT INTO `sys_job_log` VALUES (77587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:29');
INSERT INTO `sys_job_log` VALUES (77588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:30');
INSERT INTO `sys_job_log` VALUES (77589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:31');
INSERT INTO `sys_job_log` VALUES (77590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:32');
INSERT INTO `sys_job_log` VALUES (77591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:33');
INSERT INTO `sys_job_log` VALUES (77592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:34');
INSERT INTO `sys_job_log` VALUES (77593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:35');
INSERT INTO `sys_job_log` VALUES (77594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:36');
INSERT INTO `sys_job_log` VALUES (77595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:37');
INSERT INTO `sys_job_log` VALUES (77596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:38');
INSERT INTO `sys_job_log` VALUES (77597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:39');
INSERT INTO `sys_job_log` VALUES (77598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:40');
INSERT INTO `sys_job_log` VALUES (77599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:41');
INSERT INTO `sys_job_log` VALUES (77600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:42');
INSERT INTO `sys_job_log` VALUES (77601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:43');
INSERT INTO `sys_job_log` VALUES (77602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:44');
INSERT INTO `sys_job_log` VALUES (77603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:45');
INSERT INTO `sys_job_log` VALUES (77604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:46');
INSERT INTO `sys_job_log` VALUES (77605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:47');
INSERT INTO `sys_job_log` VALUES (77606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:48');
INSERT INTO `sys_job_log` VALUES (77607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:49');
INSERT INTO `sys_job_log` VALUES (77608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:50');
INSERT INTO `sys_job_log` VALUES (77609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:51');
INSERT INTO `sys_job_log` VALUES (77610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:52');
INSERT INTO `sys_job_log` VALUES (77611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:53');
INSERT INTO `sys_job_log` VALUES (77612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:54');
INSERT INTO `sys_job_log` VALUES (77613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:55');
INSERT INTO `sys_job_log` VALUES (77614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:56');
INSERT INTO `sys_job_log` VALUES (77615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:57');
INSERT INTO `sys_job_log` VALUES (77616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:58');
INSERT INTO `sys_job_log` VALUES (77617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:27:59');
INSERT INTO `sys_job_log` VALUES (77618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:00');
INSERT INTO `sys_job_log` VALUES (77619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:01');
INSERT INTO `sys_job_log` VALUES (77620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:02');
INSERT INTO `sys_job_log` VALUES (77621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:03');
INSERT INTO `sys_job_log` VALUES (77622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:04');
INSERT INTO `sys_job_log` VALUES (77623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:05');
INSERT INTO `sys_job_log` VALUES (77624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:06');
INSERT INTO `sys_job_log` VALUES (77625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:07');
INSERT INTO `sys_job_log` VALUES (77626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:08');
INSERT INTO `sys_job_log` VALUES (77627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:09');
INSERT INTO `sys_job_log` VALUES (77628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:10');
INSERT INTO `sys_job_log` VALUES (77629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:11');
INSERT INTO `sys_job_log` VALUES (77630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:12');
INSERT INTO `sys_job_log` VALUES (77631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:13');
INSERT INTO `sys_job_log` VALUES (77632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:14');
INSERT INTO `sys_job_log` VALUES (77633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:15');
INSERT INTO `sys_job_log` VALUES (77634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:16');
INSERT INTO `sys_job_log` VALUES (77635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:17');
INSERT INTO `sys_job_log` VALUES (77636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:18');
INSERT INTO `sys_job_log` VALUES (77637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:19');
INSERT INTO `sys_job_log` VALUES (77638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:20');
INSERT INTO `sys_job_log` VALUES (77639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:21');
INSERT INTO `sys_job_log` VALUES (77640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:22');
INSERT INTO `sys_job_log` VALUES (77641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:23');
INSERT INTO `sys_job_log` VALUES (77642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:24');
INSERT INTO `sys_job_log` VALUES (77643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:25');
INSERT INTO `sys_job_log` VALUES (77644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:26');
INSERT INTO `sys_job_log` VALUES (77645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:27');
INSERT INTO `sys_job_log` VALUES (77646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:28');
INSERT INTO `sys_job_log` VALUES (77647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:29');
INSERT INTO `sys_job_log` VALUES (77648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:30');
INSERT INTO `sys_job_log` VALUES (77649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:31');
INSERT INTO `sys_job_log` VALUES (77650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:32');
INSERT INTO `sys_job_log` VALUES (77651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:33');
INSERT INTO `sys_job_log` VALUES (77652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:34');
INSERT INTO `sys_job_log` VALUES (77653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:35');
INSERT INTO `sys_job_log` VALUES (77654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:36');
INSERT INTO `sys_job_log` VALUES (77655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:37');
INSERT INTO `sys_job_log` VALUES (77656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:38');
INSERT INTO `sys_job_log` VALUES (77657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:39');
INSERT INTO `sys_job_log` VALUES (77658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:40');
INSERT INTO `sys_job_log` VALUES (77659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:41');
INSERT INTO `sys_job_log` VALUES (77660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:42');
INSERT INTO `sys_job_log` VALUES (77661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:43');
INSERT INTO `sys_job_log` VALUES (77662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:44');
INSERT INTO `sys_job_log` VALUES (77663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:45');
INSERT INTO `sys_job_log` VALUES (77664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:46');
INSERT INTO `sys_job_log` VALUES (77665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:47');
INSERT INTO `sys_job_log` VALUES (77666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:48');
INSERT INTO `sys_job_log` VALUES (77667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:49');
INSERT INTO `sys_job_log` VALUES (77668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:50');
INSERT INTO `sys_job_log` VALUES (77669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:51');
INSERT INTO `sys_job_log` VALUES (77670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:52');
INSERT INTO `sys_job_log` VALUES (77671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:53');
INSERT INTO `sys_job_log` VALUES (77672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:54');
INSERT INTO `sys_job_log` VALUES (77673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:55');
INSERT INTO `sys_job_log` VALUES (77674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:56');
INSERT INTO `sys_job_log` VALUES (77675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:57');
INSERT INTO `sys_job_log` VALUES (77676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:58');
INSERT INTO `sys_job_log` VALUES (77677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:28:59');
INSERT INTO `sys_job_log` VALUES (77678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:00');
INSERT INTO `sys_job_log` VALUES (77679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:01');
INSERT INTO `sys_job_log` VALUES (77680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:02');
INSERT INTO `sys_job_log` VALUES (77681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:03');
INSERT INTO `sys_job_log` VALUES (77682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:04');
INSERT INTO `sys_job_log` VALUES (77683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:05');
INSERT INTO `sys_job_log` VALUES (77684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:06');
INSERT INTO `sys_job_log` VALUES (77685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:07');
INSERT INTO `sys_job_log` VALUES (77686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:08');
INSERT INTO `sys_job_log` VALUES (77687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:09');
INSERT INTO `sys_job_log` VALUES (77688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:10');
INSERT INTO `sys_job_log` VALUES (77689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:11');
INSERT INTO `sys_job_log` VALUES (77690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:12');
INSERT INTO `sys_job_log` VALUES (77691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:13');
INSERT INTO `sys_job_log` VALUES (77692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:14');
INSERT INTO `sys_job_log` VALUES (77693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:15');
INSERT INTO `sys_job_log` VALUES (77694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:16');
INSERT INTO `sys_job_log` VALUES (77695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:17');
INSERT INTO `sys_job_log` VALUES (77696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:18');
INSERT INTO `sys_job_log` VALUES (77697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:19');
INSERT INTO `sys_job_log` VALUES (77698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:20');
INSERT INTO `sys_job_log` VALUES (77699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:21');
INSERT INTO `sys_job_log` VALUES (77700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:22');
INSERT INTO `sys_job_log` VALUES (77701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:23');
INSERT INTO `sys_job_log` VALUES (77702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:24');
INSERT INTO `sys_job_log` VALUES (77703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:25');
INSERT INTO `sys_job_log` VALUES (77704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:26');
INSERT INTO `sys_job_log` VALUES (77705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:27');
INSERT INTO `sys_job_log` VALUES (77706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:28');
INSERT INTO `sys_job_log` VALUES (77707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:29');
INSERT INTO `sys_job_log` VALUES (77708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:30');
INSERT INTO `sys_job_log` VALUES (77709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:31');
INSERT INTO `sys_job_log` VALUES (77710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:32');
INSERT INTO `sys_job_log` VALUES (77711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:33');
INSERT INTO `sys_job_log` VALUES (77712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:34');
INSERT INTO `sys_job_log` VALUES (77713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:35');
INSERT INTO `sys_job_log` VALUES (77714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:36');
INSERT INTO `sys_job_log` VALUES (77715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:37');
INSERT INTO `sys_job_log` VALUES (77716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:38');
INSERT INTO `sys_job_log` VALUES (77717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:39');
INSERT INTO `sys_job_log` VALUES (77718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:40');
INSERT INTO `sys_job_log` VALUES (77719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:41');
INSERT INTO `sys_job_log` VALUES (77720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:42');
INSERT INTO `sys_job_log` VALUES (77721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:43');
INSERT INTO `sys_job_log` VALUES (77722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:44');
INSERT INTO `sys_job_log` VALUES (77723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:45');
INSERT INTO `sys_job_log` VALUES (77724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:46');
INSERT INTO `sys_job_log` VALUES (77725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:47');
INSERT INTO `sys_job_log` VALUES (77726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:48');
INSERT INTO `sys_job_log` VALUES (77727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:49');
INSERT INTO `sys_job_log` VALUES (77728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:50');
INSERT INTO `sys_job_log` VALUES (77729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:51');
INSERT INTO `sys_job_log` VALUES (77730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:52');
INSERT INTO `sys_job_log` VALUES (77731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:53');
INSERT INTO `sys_job_log` VALUES (77732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:54');
INSERT INTO `sys_job_log` VALUES (77733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:55');
INSERT INTO `sys_job_log` VALUES (77734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:56');
INSERT INTO `sys_job_log` VALUES (77735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:57');
INSERT INTO `sys_job_log` VALUES (77736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:58');
INSERT INTO `sys_job_log` VALUES (77737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:29:59');
INSERT INTO `sys_job_log` VALUES (77738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:00');
INSERT INTO `sys_job_log` VALUES (77739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:01');
INSERT INTO `sys_job_log` VALUES (77740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:02');
INSERT INTO `sys_job_log` VALUES (77741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:03');
INSERT INTO `sys_job_log` VALUES (77742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:04');
INSERT INTO `sys_job_log` VALUES (77743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:05');
INSERT INTO `sys_job_log` VALUES (77744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:06');
INSERT INTO `sys_job_log` VALUES (77745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:07');
INSERT INTO `sys_job_log` VALUES (77746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:08');
INSERT INTO `sys_job_log` VALUES (77747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:09');
INSERT INTO `sys_job_log` VALUES (77748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:10');
INSERT INTO `sys_job_log` VALUES (77749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:11');
INSERT INTO `sys_job_log` VALUES (77750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:12');
INSERT INTO `sys_job_log` VALUES (77751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:13');
INSERT INTO `sys_job_log` VALUES (77752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:14');
INSERT INTO `sys_job_log` VALUES (77753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:15');
INSERT INTO `sys_job_log` VALUES (77754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:16');
INSERT INTO `sys_job_log` VALUES (77755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:17');
INSERT INTO `sys_job_log` VALUES (77756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:18');
INSERT INTO `sys_job_log` VALUES (77757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:19');
INSERT INTO `sys_job_log` VALUES (77758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:20');
INSERT INTO `sys_job_log` VALUES (77759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:21');
INSERT INTO `sys_job_log` VALUES (77760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:22');
INSERT INTO `sys_job_log` VALUES (77761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:23');
INSERT INTO `sys_job_log` VALUES (77762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:24');
INSERT INTO `sys_job_log` VALUES (77763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:25');
INSERT INTO `sys_job_log` VALUES (77764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:26');
INSERT INTO `sys_job_log` VALUES (77765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:27');
INSERT INTO `sys_job_log` VALUES (77766, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:28');
INSERT INTO `sys_job_log` VALUES (77767, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:29');
INSERT INTO `sys_job_log` VALUES (77768, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:30');
INSERT INTO `sys_job_log` VALUES (77769, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:31');
INSERT INTO `sys_job_log` VALUES (77770, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:32');
INSERT INTO `sys_job_log` VALUES (77771, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:33');
INSERT INTO `sys_job_log` VALUES (77772, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:34');
INSERT INTO `sys_job_log` VALUES (77773, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:35');
INSERT INTO `sys_job_log` VALUES (77774, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:36');
INSERT INTO `sys_job_log` VALUES (77775, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:37');
INSERT INTO `sys_job_log` VALUES (77776, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:38');
INSERT INTO `sys_job_log` VALUES (77777, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:39');
INSERT INTO `sys_job_log` VALUES (77778, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:40');
INSERT INTO `sys_job_log` VALUES (77779, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:41');
INSERT INTO `sys_job_log` VALUES (77780, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:42');
INSERT INTO `sys_job_log` VALUES (77781, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:43');
INSERT INTO `sys_job_log` VALUES (77782, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:44');
INSERT INTO `sys_job_log` VALUES (77783, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:45');
INSERT INTO `sys_job_log` VALUES (77784, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:46');
INSERT INTO `sys_job_log` VALUES (77785, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:47');
INSERT INTO `sys_job_log` VALUES (77786, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:48');
INSERT INTO `sys_job_log` VALUES (77787, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:49');
INSERT INTO `sys_job_log` VALUES (77788, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:50');
INSERT INTO `sys_job_log` VALUES (77789, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:51');
INSERT INTO `sys_job_log` VALUES (77790, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:52');
INSERT INTO `sys_job_log` VALUES (77791, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:53');
INSERT INTO `sys_job_log` VALUES (77792, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:54');
INSERT INTO `sys_job_log` VALUES (77793, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:55');
INSERT INTO `sys_job_log` VALUES (77794, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:56');
INSERT INTO `sys_job_log` VALUES (77795, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:57');
INSERT INTO `sys_job_log` VALUES (77796, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:58');
INSERT INTO `sys_job_log` VALUES (77797, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:30:59');
INSERT INTO `sys_job_log` VALUES (77798, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:00');
INSERT INTO `sys_job_log` VALUES (77799, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:01');
INSERT INTO `sys_job_log` VALUES (77800, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:02');
INSERT INTO `sys_job_log` VALUES (77801, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:03');
INSERT INTO `sys_job_log` VALUES (77802, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:04');
INSERT INTO `sys_job_log` VALUES (77803, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:05');
INSERT INTO `sys_job_log` VALUES (77804, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:06');
INSERT INTO `sys_job_log` VALUES (77805, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:07');
INSERT INTO `sys_job_log` VALUES (77806, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:08');
INSERT INTO `sys_job_log` VALUES (77807, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:09');
INSERT INTO `sys_job_log` VALUES (77808, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:10');
INSERT INTO `sys_job_log` VALUES (77809, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:11');
INSERT INTO `sys_job_log` VALUES (77810, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:12');
INSERT INTO `sys_job_log` VALUES (77811, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:13');
INSERT INTO `sys_job_log` VALUES (77812, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:14');
INSERT INTO `sys_job_log` VALUES (77813, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:15');
INSERT INTO `sys_job_log` VALUES (77814, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:16');
INSERT INTO `sys_job_log` VALUES (77815, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:17');
INSERT INTO `sys_job_log` VALUES (77816, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:18');
INSERT INTO `sys_job_log` VALUES (77817, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:19');
INSERT INTO `sys_job_log` VALUES (77818, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:20');
INSERT INTO `sys_job_log` VALUES (77819, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:21');
INSERT INTO `sys_job_log` VALUES (77820, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:22');
INSERT INTO `sys_job_log` VALUES (77821, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:23');
INSERT INTO `sys_job_log` VALUES (77822, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:24');
INSERT INTO `sys_job_log` VALUES (77823, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:25');
INSERT INTO `sys_job_log` VALUES (77824, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:26');
INSERT INTO `sys_job_log` VALUES (77825, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:27');
INSERT INTO `sys_job_log` VALUES (77826, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:28');
INSERT INTO `sys_job_log` VALUES (77827, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:29');
INSERT INTO `sys_job_log` VALUES (77828, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:30');
INSERT INTO `sys_job_log` VALUES (77829, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:31');
INSERT INTO `sys_job_log` VALUES (77830, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:32');
INSERT INTO `sys_job_log` VALUES (77831, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:33');
INSERT INTO `sys_job_log` VALUES (77832, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:34');
INSERT INTO `sys_job_log` VALUES (77833, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:35');
INSERT INTO `sys_job_log` VALUES (77834, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:36');
INSERT INTO `sys_job_log` VALUES (77835, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:37');
INSERT INTO `sys_job_log` VALUES (77836, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:38');
INSERT INTO `sys_job_log` VALUES (77837, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:39');
INSERT INTO `sys_job_log` VALUES (77838, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:40');
INSERT INTO `sys_job_log` VALUES (77839, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:41');
INSERT INTO `sys_job_log` VALUES (77840, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:42');
INSERT INTO `sys_job_log` VALUES (77841, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:43');
INSERT INTO `sys_job_log` VALUES (77842, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:44');
INSERT INTO `sys_job_log` VALUES (77843, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:45');
INSERT INTO `sys_job_log` VALUES (77844, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:46');
INSERT INTO `sys_job_log` VALUES (77845, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:47');
INSERT INTO `sys_job_log` VALUES (77846, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:48');
INSERT INTO `sys_job_log` VALUES (77847, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:49');
INSERT INTO `sys_job_log` VALUES (77848, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:50');
INSERT INTO `sys_job_log` VALUES (77849, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:51');
INSERT INTO `sys_job_log` VALUES (77850, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:52');
INSERT INTO `sys_job_log` VALUES (77851, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:53');
INSERT INTO `sys_job_log` VALUES (77852, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:54');
INSERT INTO `sys_job_log` VALUES (77853, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:55');
INSERT INTO `sys_job_log` VALUES (77854, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:56');
INSERT INTO `sys_job_log` VALUES (77855, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:57');
INSERT INTO `sys_job_log` VALUES (77856, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:58');
INSERT INTO `sys_job_log` VALUES (77857, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:31:59');
INSERT INTO `sys_job_log` VALUES (77858, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:00');
INSERT INTO `sys_job_log` VALUES (77859, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:01');
INSERT INTO `sys_job_log` VALUES (77860, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:02');
INSERT INTO `sys_job_log` VALUES (77861, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:03');
INSERT INTO `sys_job_log` VALUES (77862, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:04');
INSERT INTO `sys_job_log` VALUES (77863, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:05');
INSERT INTO `sys_job_log` VALUES (77864, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:06');
INSERT INTO `sys_job_log` VALUES (77865, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:07');
INSERT INTO `sys_job_log` VALUES (77866, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:08');
INSERT INTO `sys_job_log` VALUES (77867, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:09');
INSERT INTO `sys_job_log` VALUES (77868, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:10');
INSERT INTO `sys_job_log` VALUES (77869, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:11');
INSERT INTO `sys_job_log` VALUES (77870, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:12');
INSERT INTO `sys_job_log` VALUES (77871, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:13');
INSERT INTO `sys_job_log` VALUES (77872, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:14');
INSERT INTO `sys_job_log` VALUES (77873, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:15');
INSERT INTO `sys_job_log` VALUES (77874, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:16');
INSERT INTO `sys_job_log` VALUES (77875, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:17');
INSERT INTO `sys_job_log` VALUES (77876, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:18');
INSERT INTO `sys_job_log` VALUES (77877, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:19');
INSERT INTO `sys_job_log` VALUES (77878, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:20');
INSERT INTO `sys_job_log` VALUES (77879, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:21');
INSERT INTO `sys_job_log` VALUES (77880, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:22');
INSERT INTO `sys_job_log` VALUES (77881, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:23');
INSERT INTO `sys_job_log` VALUES (77882, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:24');
INSERT INTO `sys_job_log` VALUES (77883, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:25');
INSERT INTO `sys_job_log` VALUES (77884, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:26');
INSERT INTO `sys_job_log` VALUES (77885, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:27');
INSERT INTO `sys_job_log` VALUES (77886, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:28');
INSERT INTO `sys_job_log` VALUES (77887, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:29');
INSERT INTO `sys_job_log` VALUES (77888, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:30');
INSERT INTO `sys_job_log` VALUES (77889, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:31');
INSERT INTO `sys_job_log` VALUES (77890, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:32');
INSERT INTO `sys_job_log` VALUES (77891, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:33');
INSERT INTO `sys_job_log` VALUES (77892, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:34');
INSERT INTO `sys_job_log` VALUES (77893, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:35');
INSERT INTO `sys_job_log` VALUES (77894, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:36');
INSERT INTO `sys_job_log` VALUES (77895, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:37');
INSERT INTO `sys_job_log` VALUES (77896, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:38');
INSERT INTO `sys_job_log` VALUES (77897, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:39');
INSERT INTO `sys_job_log` VALUES (77898, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:40');
INSERT INTO `sys_job_log` VALUES (77899, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:41');
INSERT INTO `sys_job_log` VALUES (77900, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:42');
INSERT INTO `sys_job_log` VALUES (77901, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:43');
INSERT INTO `sys_job_log` VALUES (77902, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:44');
INSERT INTO `sys_job_log` VALUES (77903, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:45');
INSERT INTO `sys_job_log` VALUES (77904, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:46');
INSERT INTO `sys_job_log` VALUES (77905, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:47');
INSERT INTO `sys_job_log` VALUES (77906, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:48');
INSERT INTO `sys_job_log` VALUES (77907, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:49');
INSERT INTO `sys_job_log` VALUES (77908, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:50');
INSERT INTO `sys_job_log` VALUES (77909, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:51');
INSERT INTO `sys_job_log` VALUES (77910, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:52');
INSERT INTO `sys_job_log` VALUES (77911, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:53');
INSERT INTO `sys_job_log` VALUES (77912, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:54');
INSERT INTO `sys_job_log` VALUES (77913, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:55');
INSERT INTO `sys_job_log` VALUES (77914, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:56');
INSERT INTO `sys_job_log` VALUES (77915, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:57');
INSERT INTO `sys_job_log` VALUES (77916, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:58');
INSERT INTO `sys_job_log` VALUES (77917, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:32:59');
INSERT INTO `sys_job_log` VALUES (77918, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:00');
INSERT INTO `sys_job_log` VALUES (77919, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:01');
INSERT INTO `sys_job_log` VALUES (77920, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:02');
INSERT INTO `sys_job_log` VALUES (77921, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:03');
INSERT INTO `sys_job_log` VALUES (77922, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:04');
INSERT INTO `sys_job_log` VALUES (77923, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:05');
INSERT INTO `sys_job_log` VALUES (77924, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:06');
INSERT INTO `sys_job_log` VALUES (77925, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:07');
INSERT INTO `sys_job_log` VALUES (77926, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:08');
INSERT INTO `sys_job_log` VALUES (77927, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:09');
INSERT INTO `sys_job_log` VALUES (77928, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:10');
INSERT INTO `sys_job_log` VALUES (77929, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:11');
INSERT INTO `sys_job_log` VALUES (77930, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:12');
INSERT INTO `sys_job_log` VALUES (77931, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:13');
INSERT INTO `sys_job_log` VALUES (77932, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:14');
INSERT INTO `sys_job_log` VALUES (77933, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:15');
INSERT INTO `sys_job_log` VALUES (77934, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:16');
INSERT INTO `sys_job_log` VALUES (77935, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:17');
INSERT INTO `sys_job_log` VALUES (77936, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:18');
INSERT INTO `sys_job_log` VALUES (77937, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:19');
INSERT INTO `sys_job_log` VALUES (77938, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:20');
INSERT INTO `sys_job_log` VALUES (77939, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:21');
INSERT INTO `sys_job_log` VALUES (77940, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:22');
INSERT INTO `sys_job_log` VALUES (77941, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:23');
INSERT INTO `sys_job_log` VALUES (77942, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:24');
INSERT INTO `sys_job_log` VALUES (77943, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:25');
INSERT INTO `sys_job_log` VALUES (77944, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:26');
INSERT INTO `sys_job_log` VALUES (77945, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:27');
INSERT INTO `sys_job_log` VALUES (77946, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:28');
INSERT INTO `sys_job_log` VALUES (77947, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:29');
INSERT INTO `sys_job_log` VALUES (77948, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:30');
INSERT INTO `sys_job_log` VALUES (77949, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:31');
INSERT INTO `sys_job_log` VALUES (77950, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:32');
INSERT INTO `sys_job_log` VALUES (77951, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:33');
INSERT INTO `sys_job_log` VALUES (77952, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:34');
INSERT INTO `sys_job_log` VALUES (77953, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:35');
INSERT INTO `sys_job_log` VALUES (77954, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:36');
INSERT INTO `sys_job_log` VALUES (77955, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:37');
INSERT INTO `sys_job_log` VALUES (77956, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:38');
INSERT INTO `sys_job_log` VALUES (77957, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:39');
INSERT INTO `sys_job_log` VALUES (77958, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:40');
INSERT INTO `sys_job_log` VALUES (77959, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:41');
INSERT INTO `sys_job_log` VALUES (77960, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:42');
INSERT INTO `sys_job_log` VALUES (77961, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:43');
INSERT INTO `sys_job_log` VALUES (77962, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:44');
INSERT INTO `sys_job_log` VALUES (77963, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:45');
INSERT INTO `sys_job_log` VALUES (77964, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:46');
INSERT INTO `sys_job_log` VALUES (77965, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:47');
INSERT INTO `sys_job_log` VALUES (77966, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:48');
INSERT INTO `sys_job_log` VALUES (77967, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:49');
INSERT INTO `sys_job_log` VALUES (77968, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:50');
INSERT INTO `sys_job_log` VALUES (77969, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:51');
INSERT INTO `sys_job_log` VALUES (77970, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:52');
INSERT INTO `sys_job_log` VALUES (77971, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:53');
INSERT INTO `sys_job_log` VALUES (77972, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:54');
INSERT INTO `sys_job_log` VALUES (77973, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:55');
INSERT INTO `sys_job_log` VALUES (77974, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:56');
INSERT INTO `sys_job_log` VALUES (77975, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:57');
INSERT INTO `sys_job_log` VALUES (77976, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:58');
INSERT INTO `sys_job_log` VALUES (77977, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:33:59');
INSERT INTO `sys_job_log` VALUES (77978, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:00');
INSERT INTO `sys_job_log` VALUES (77979, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:01');
INSERT INTO `sys_job_log` VALUES (77980, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:02');
INSERT INTO `sys_job_log` VALUES (77981, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:03');
INSERT INTO `sys_job_log` VALUES (77982, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:04');
INSERT INTO `sys_job_log` VALUES (77983, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:05');
INSERT INTO `sys_job_log` VALUES (77984, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:06');
INSERT INTO `sys_job_log` VALUES (77985, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:07');
INSERT INTO `sys_job_log` VALUES (77986, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:08');
INSERT INTO `sys_job_log` VALUES (77987, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:09');
INSERT INTO `sys_job_log` VALUES (77988, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:10');
INSERT INTO `sys_job_log` VALUES (77989, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:11');
INSERT INTO `sys_job_log` VALUES (77990, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:12');
INSERT INTO `sys_job_log` VALUES (77991, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:13');
INSERT INTO `sys_job_log` VALUES (77992, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:14');
INSERT INTO `sys_job_log` VALUES (77993, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:15');
INSERT INTO `sys_job_log` VALUES (77994, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:16');
INSERT INTO `sys_job_log` VALUES (77995, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:17');
INSERT INTO `sys_job_log` VALUES (77996, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:18');
INSERT INTO `sys_job_log` VALUES (77997, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:19');
INSERT INTO `sys_job_log` VALUES (77998, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:20');
INSERT INTO `sys_job_log` VALUES (77999, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:21');
INSERT INTO `sys_job_log` VALUES (78000, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:22');
INSERT INTO `sys_job_log` VALUES (78001, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:23');
INSERT INTO `sys_job_log` VALUES (78002, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:24');
INSERT INTO `sys_job_log` VALUES (78003, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:25');
INSERT INTO `sys_job_log` VALUES (78004, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:26');
INSERT INTO `sys_job_log` VALUES (78005, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:27');
INSERT INTO `sys_job_log` VALUES (78006, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:28');
INSERT INTO `sys_job_log` VALUES (78007, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:29');
INSERT INTO `sys_job_log` VALUES (78008, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:30');
INSERT INTO `sys_job_log` VALUES (78009, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:31');
INSERT INTO `sys_job_log` VALUES (78010, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:32');
INSERT INTO `sys_job_log` VALUES (78011, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:33');
INSERT INTO `sys_job_log` VALUES (78012, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:34');
INSERT INTO `sys_job_log` VALUES (78013, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:35');
INSERT INTO `sys_job_log` VALUES (78014, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:36');
INSERT INTO `sys_job_log` VALUES (78015, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:37');
INSERT INTO `sys_job_log` VALUES (78016, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:38');
INSERT INTO `sys_job_log` VALUES (78017, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:39');
INSERT INTO `sys_job_log` VALUES (78018, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:40');
INSERT INTO `sys_job_log` VALUES (78019, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:41');
INSERT INTO `sys_job_log` VALUES (78020, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:42');
INSERT INTO `sys_job_log` VALUES (78021, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:43');
INSERT INTO `sys_job_log` VALUES (78022, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:44');
INSERT INTO `sys_job_log` VALUES (78023, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:45');
INSERT INTO `sys_job_log` VALUES (78024, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:46');
INSERT INTO `sys_job_log` VALUES (78025, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:47');
INSERT INTO `sys_job_log` VALUES (78026, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:48');
INSERT INTO `sys_job_log` VALUES (78027, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:49');
INSERT INTO `sys_job_log` VALUES (78028, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:50');
INSERT INTO `sys_job_log` VALUES (78029, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:51');
INSERT INTO `sys_job_log` VALUES (78030, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:52');
INSERT INTO `sys_job_log` VALUES (78031, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:53');
INSERT INTO `sys_job_log` VALUES (78032, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:54');
INSERT INTO `sys_job_log` VALUES (78033, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:55');
INSERT INTO `sys_job_log` VALUES (78034, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:56');
INSERT INTO `sys_job_log` VALUES (78035, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:57');
INSERT INTO `sys_job_log` VALUES (78036, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:58');
INSERT INTO `sys_job_log` VALUES (78037, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:34:59');
INSERT INTO `sys_job_log` VALUES (78038, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:00');
INSERT INTO `sys_job_log` VALUES (78039, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:01');
INSERT INTO `sys_job_log` VALUES (78040, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:02');
INSERT INTO `sys_job_log` VALUES (78041, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:03');
INSERT INTO `sys_job_log` VALUES (78042, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:04');
INSERT INTO `sys_job_log` VALUES (78043, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:05');
INSERT INTO `sys_job_log` VALUES (78044, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:06');
INSERT INTO `sys_job_log` VALUES (78045, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:07');
INSERT INTO `sys_job_log` VALUES (78046, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:08');
INSERT INTO `sys_job_log` VALUES (78047, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:09');
INSERT INTO `sys_job_log` VALUES (78048, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:10');
INSERT INTO `sys_job_log` VALUES (78049, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:11');
INSERT INTO `sys_job_log` VALUES (78050, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:12');
INSERT INTO `sys_job_log` VALUES (78051, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:13');
INSERT INTO `sys_job_log` VALUES (78052, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:14');
INSERT INTO `sys_job_log` VALUES (78053, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:15');
INSERT INTO `sys_job_log` VALUES (78054, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:16');
INSERT INTO `sys_job_log` VALUES (78055, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:17');
INSERT INTO `sys_job_log` VALUES (78056, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:18');
INSERT INTO `sys_job_log` VALUES (78057, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:19');
INSERT INTO `sys_job_log` VALUES (78058, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:20');
INSERT INTO `sys_job_log` VALUES (78059, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:21');
INSERT INTO `sys_job_log` VALUES (78060, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:22');
INSERT INTO `sys_job_log` VALUES (78061, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:23');
INSERT INTO `sys_job_log` VALUES (78062, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:24');
INSERT INTO `sys_job_log` VALUES (78063, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:25');
INSERT INTO `sys_job_log` VALUES (78064, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:26');
INSERT INTO `sys_job_log` VALUES (78065, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:27');
INSERT INTO `sys_job_log` VALUES (78066, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:28');
INSERT INTO `sys_job_log` VALUES (78067, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:29');
INSERT INTO `sys_job_log` VALUES (78068, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:30');
INSERT INTO `sys_job_log` VALUES (78069, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:31');
INSERT INTO `sys_job_log` VALUES (78070, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:32');
INSERT INTO `sys_job_log` VALUES (78071, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:33');
INSERT INTO `sys_job_log` VALUES (78072, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:34');
INSERT INTO `sys_job_log` VALUES (78073, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:35');
INSERT INTO `sys_job_log` VALUES (78074, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:36');
INSERT INTO `sys_job_log` VALUES (78075, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:37');
INSERT INTO `sys_job_log` VALUES (78076, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:38');
INSERT INTO `sys_job_log` VALUES (78077, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:39');
INSERT INTO `sys_job_log` VALUES (78078, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:40');
INSERT INTO `sys_job_log` VALUES (78079, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:41');
INSERT INTO `sys_job_log` VALUES (78080, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:42');
INSERT INTO `sys_job_log` VALUES (78081, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:43');
INSERT INTO `sys_job_log` VALUES (78082, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:44');
INSERT INTO `sys_job_log` VALUES (78083, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:45');
INSERT INTO `sys_job_log` VALUES (78084, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:46');
INSERT INTO `sys_job_log` VALUES (78085, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:47');
INSERT INTO `sys_job_log` VALUES (78086, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:48');
INSERT INTO `sys_job_log` VALUES (78087, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：265毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:49');
INSERT INTO `sys_job_log` VALUES (78088, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:50');
INSERT INTO `sys_job_log` VALUES (78089, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:51');
INSERT INTO `sys_job_log` VALUES (78090, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:52');
INSERT INTO `sys_job_log` VALUES (78091, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:53');
INSERT INTO `sys_job_log` VALUES (78092, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:54');
INSERT INTO `sys_job_log` VALUES (78093, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:55');
INSERT INTO `sys_job_log` VALUES (78094, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:56');
INSERT INTO `sys_job_log` VALUES (78095, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:57');
INSERT INTO `sys_job_log` VALUES (78096, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:58');
INSERT INTO `sys_job_log` VALUES (78097, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:35:59');
INSERT INTO `sys_job_log` VALUES (78098, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:00');
INSERT INTO `sys_job_log` VALUES (78099, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:01');
INSERT INTO `sys_job_log` VALUES (78100, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:02');
INSERT INTO `sys_job_log` VALUES (78101, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:03');
INSERT INTO `sys_job_log` VALUES (78102, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:04');
INSERT INTO `sys_job_log` VALUES (78103, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:05');
INSERT INTO `sys_job_log` VALUES (78104, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:06');
INSERT INTO `sys_job_log` VALUES (78105, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:07');
INSERT INTO `sys_job_log` VALUES (78106, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:08');
INSERT INTO `sys_job_log` VALUES (78107, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:09');
INSERT INTO `sys_job_log` VALUES (78108, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:10');
INSERT INTO `sys_job_log` VALUES (78109, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:11');
INSERT INTO `sys_job_log` VALUES (78110, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:12');
INSERT INTO `sys_job_log` VALUES (78111, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:13');
INSERT INTO `sys_job_log` VALUES (78112, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:14');
INSERT INTO `sys_job_log` VALUES (78113, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:15');
INSERT INTO `sys_job_log` VALUES (78114, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:16');
INSERT INTO `sys_job_log` VALUES (78115, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:17');
INSERT INTO `sys_job_log` VALUES (78116, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:18');
INSERT INTO `sys_job_log` VALUES (78117, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:19');
INSERT INTO `sys_job_log` VALUES (78118, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:20');
INSERT INTO `sys_job_log` VALUES (78119, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:21');
INSERT INTO `sys_job_log` VALUES (78120, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:22');
INSERT INTO `sys_job_log` VALUES (78121, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:23');
INSERT INTO `sys_job_log` VALUES (78122, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:24');
INSERT INTO `sys_job_log` VALUES (78123, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:25');
INSERT INTO `sys_job_log` VALUES (78124, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:26');
INSERT INTO `sys_job_log` VALUES (78125, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:27');
INSERT INTO `sys_job_log` VALUES (78126, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:28');
INSERT INTO `sys_job_log` VALUES (78127, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:29');
INSERT INTO `sys_job_log` VALUES (78128, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:30');
INSERT INTO `sys_job_log` VALUES (78129, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:31');
INSERT INTO `sys_job_log` VALUES (78130, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:32');
INSERT INTO `sys_job_log` VALUES (78131, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:33');
INSERT INTO `sys_job_log` VALUES (78132, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:34');
INSERT INTO `sys_job_log` VALUES (78133, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:35');
INSERT INTO `sys_job_log` VALUES (78134, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:36');
INSERT INTO `sys_job_log` VALUES (78135, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:37');
INSERT INTO `sys_job_log` VALUES (78136, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:38');
INSERT INTO `sys_job_log` VALUES (78137, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:39');
INSERT INTO `sys_job_log` VALUES (78138, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:40');
INSERT INTO `sys_job_log` VALUES (78139, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:41');
INSERT INTO `sys_job_log` VALUES (78140, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:42');
INSERT INTO `sys_job_log` VALUES (78141, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:43');
INSERT INTO `sys_job_log` VALUES (78142, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:44');
INSERT INTO `sys_job_log` VALUES (78143, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:45');
INSERT INTO `sys_job_log` VALUES (78144, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:46');
INSERT INTO `sys_job_log` VALUES (78145, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:47');
INSERT INTO `sys_job_log` VALUES (78146, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:48');
INSERT INTO `sys_job_log` VALUES (78147, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:49');
INSERT INTO `sys_job_log` VALUES (78148, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:50');
INSERT INTO `sys_job_log` VALUES (78149, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:51');
INSERT INTO `sys_job_log` VALUES (78150, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:52');
INSERT INTO `sys_job_log` VALUES (78151, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:53');
INSERT INTO `sys_job_log` VALUES (78152, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:54');
INSERT INTO `sys_job_log` VALUES (78153, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:55');
INSERT INTO `sys_job_log` VALUES (78154, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:56');
INSERT INTO `sys_job_log` VALUES (78155, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:57');
INSERT INTO `sys_job_log` VALUES (78156, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:58');
INSERT INTO `sys_job_log` VALUES (78157, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:36:59');
INSERT INTO `sys_job_log` VALUES (78158, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:00');
INSERT INTO `sys_job_log` VALUES (78159, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:01');
INSERT INTO `sys_job_log` VALUES (78160, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:02');
INSERT INTO `sys_job_log` VALUES (78161, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:03');
INSERT INTO `sys_job_log` VALUES (78162, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:04');
INSERT INTO `sys_job_log` VALUES (78163, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:05');
INSERT INTO `sys_job_log` VALUES (78164, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:06');
INSERT INTO `sys_job_log` VALUES (78165, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:07');
INSERT INTO `sys_job_log` VALUES (78166, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:08');
INSERT INTO `sys_job_log` VALUES (78167, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:09');
INSERT INTO `sys_job_log` VALUES (78168, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:10');
INSERT INTO `sys_job_log` VALUES (78169, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:11');
INSERT INTO `sys_job_log` VALUES (78170, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:12');
INSERT INTO `sys_job_log` VALUES (78171, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:13');
INSERT INTO `sys_job_log` VALUES (78172, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:14');
INSERT INTO `sys_job_log` VALUES (78173, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:15');
INSERT INTO `sys_job_log` VALUES (78174, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:16');
INSERT INTO `sys_job_log` VALUES (78175, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:17');
INSERT INTO `sys_job_log` VALUES (78176, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:18');
INSERT INTO `sys_job_log` VALUES (78177, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:19');
INSERT INTO `sys_job_log` VALUES (78178, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:20');
INSERT INTO `sys_job_log` VALUES (78179, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:21');
INSERT INTO `sys_job_log` VALUES (78180, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:22');
INSERT INTO `sys_job_log` VALUES (78181, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:23');
INSERT INTO `sys_job_log` VALUES (78182, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:24');
INSERT INTO `sys_job_log` VALUES (78183, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:25');
INSERT INTO `sys_job_log` VALUES (78184, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:26');
INSERT INTO `sys_job_log` VALUES (78185, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:27');
INSERT INTO `sys_job_log` VALUES (78186, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:28');
INSERT INTO `sys_job_log` VALUES (78187, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:29');
INSERT INTO `sys_job_log` VALUES (78188, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:30');
INSERT INTO `sys_job_log` VALUES (78189, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:31');
INSERT INTO `sys_job_log` VALUES (78190, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:32');
INSERT INTO `sys_job_log` VALUES (78191, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:33');
INSERT INTO `sys_job_log` VALUES (78192, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:34');
INSERT INTO `sys_job_log` VALUES (78193, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:35');
INSERT INTO `sys_job_log` VALUES (78194, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:36');
INSERT INTO `sys_job_log` VALUES (78195, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:37');
INSERT INTO `sys_job_log` VALUES (78196, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:38');
INSERT INTO `sys_job_log` VALUES (78197, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:39');
INSERT INTO `sys_job_log` VALUES (78198, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:40');
INSERT INTO `sys_job_log` VALUES (78199, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:41');
INSERT INTO `sys_job_log` VALUES (78200, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:42');
INSERT INTO `sys_job_log` VALUES (78201, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:43');
INSERT INTO `sys_job_log` VALUES (78202, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:44');
INSERT INTO `sys_job_log` VALUES (78203, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:45');
INSERT INTO `sys_job_log` VALUES (78204, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:46');
INSERT INTO `sys_job_log` VALUES (78205, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:47');
INSERT INTO `sys_job_log` VALUES (78206, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:48');
INSERT INTO `sys_job_log` VALUES (78207, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:49');
INSERT INTO `sys_job_log` VALUES (78208, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:50');
INSERT INTO `sys_job_log` VALUES (78209, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:51');
INSERT INTO `sys_job_log` VALUES (78210, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:52');
INSERT INTO `sys_job_log` VALUES (78211, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:53');
INSERT INTO `sys_job_log` VALUES (78212, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:54');
INSERT INTO `sys_job_log` VALUES (78213, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:55');
INSERT INTO `sys_job_log` VALUES (78214, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:56');
INSERT INTO `sys_job_log` VALUES (78215, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:57');
INSERT INTO `sys_job_log` VALUES (78216, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:58');
INSERT INTO `sys_job_log` VALUES (78217, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:37:59');
INSERT INTO `sys_job_log` VALUES (78218, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:00');
INSERT INTO `sys_job_log` VALUES (78219, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:01');
INSERT INTO `sys_job_log` VALUES (78220, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:02');
INSERT INTO `sys_job_log` VALUES (78221, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:03');
INSERT INTO `sys_job_log` VALUES (78222, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:04');
INSERT INTO `sys_job_log` VALUES (78223, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:05');
INSERT INTO `sys_job_log` VALUES (78224, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:06');
INSERT INTO `sys_job_log` VALUES (78225, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:07');
INSERT INTO `sys_job_log` VALUES (78226, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:08');
INSERT INTO `sys_job_log` VALUES (78227, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:09');
INSERT INTO `sys_job_log` VALUES (78228, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:10');
INSERT INTO `sys_job_log` VALUES (78229, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:11');
INSERT INTO `sys_job_log` VALUES (78230, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:12');
INSERT INTO `sys_job_log` VALUES (78231, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:13');
INSERT INTO `sys_job_log` VALUES (78232, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:14');
INSERT INTO `sys_job_log` VALUES (78233, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:15');
INSERT INTO `sys_job_log` VALUES (78234, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:16');
INSERT INTO `sys_job_log` VALUES (78235, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:17');
INSERT INTO `sys_job_log` VALUES (78236, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:18');
INSERT INTO `sys_job_log` VALUES (78237, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:19');
INSERT INTO `sys_job_log` VALUES (78238, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:20');
INSERT INTO `sys_job_log` VALUES (78239, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:21');
INSERT INTO `sys_job_log` VALUES (78240, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:22');
INSERT INTO `sys_job_log` VALUES (78241, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:23');
INSERT INTO `sys_job_log` VALUES (78242, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:24');
INSERT INTO `sys_job_log` VALUES (78243, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:25');
INSERT INTO `sys_job_log` VALUES (78244, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:26');
INSERT INTO `sys_job_log` VALUES (78245, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:27');
INSERT INTO `sys_job_log` VALUES (78246, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:28');
INSERT INTO `sys_job_log` VALUES (78247, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:29');
INSERT INTO `sys_job_log` VALUES (78248, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:30');
INSERT INTO `sys_job_log` VALUES (78249, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:31');
INSERT INTO `sys_job_log` VALUES (78250, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:32');
INSERT INTO `sys_job_log` VALUES (78251, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:33');
INSERT INTO `sys_job_log` VALUES (78252, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:34');
INSERT INTO `sys_job_log` VALUES (78253, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:35');
INSERT INTO `sys_job_log` VALUES (78254, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:36');
INSERT INTO `sys_job_log` VALUES (78255, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:37');
INSERT INTO `sys_job_log` VALUES (78256, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:38');
INSERT INTO `sys_job_log` VALUES (78257, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:39');
INSERT INTO `sys_job_log` VALUES (78258, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:40');
INSERT INTO `sys_job_log` VALUES (78259, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:41');
INSERT INTO `sys_job_log` VALUES (78260, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:42');
INSERT INTO `sys_job_log` VALUES (78261, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:43');
INSERT INTO `sys_job_log` VALUES (78262, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:44');
INSERT INTO `sys_job_log` VALUES (78263, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:45');
INSERT INTO `sys_job_log` VALUES (78264, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:46');
INSERT INTO `sys_job_log` VALUES (78265, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:47');
INSERT INTO `sys_job_log` VALUES (78266, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:48');
INSERT INTO `sys_job_log` VALUES (78267, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:49');
INSERT INTO `sys_job_log` VALUES (78268, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:50');
INSERT INTO `sys_job_log` VALUES (78269, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:51');
INSERT INTO `sys_job_log` VALUES (78270, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:52');
INSERT INTO `sys_job_log` VALUES (78271, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:53');
INSERT INTO `sys_job_log` VALUES (78272, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:54');
INSERT INTO `sys_job_log` VALUES (78273, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:55');
INSERT INTO `sys_job_log` VALUES (78274, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：262毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:56');
INSERT INTO `sys_job_log` VALUES (78275, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:57');
INSERT INTO `sys_job_log` VALUES (78276, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:58');
INSERT INTO `sys_job_log` VALUES (78277, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:38:59');
INSERT INTO `sys_job_log` VALUES (78278, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:00');
INSERT INTO `sys_job_log` VALUES (78279, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:01');
INSERT INTO `sys_job_log` VALUES (78280, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:02');
INSERT INTO `sys_job_log` VALUES (78281, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:03');
INSERT INTO `sys_job_log` VALUES (78282, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:04');
INSERT INTO `sys_job_log` VALUES (78283, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:05');
INSERT INTO `sys_job_log` VALUES (78284, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:06');
INSERT INTO `sys_job_log` VALUES (78285, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:07');
INSERT INTO `sys_job_log` VALUES (78286, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:08');
INSERT INTO `sys_job_log` VALUES (78287, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:09');
INSERT INTO `sys_job_log` VALUES (78288, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:10');
INSERT INTO `sys_job_log` VALUES (78289, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:11');
INSERT INTO `sys_job_log` VALUES (78290, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:12');
INSERT INTO `sys_job_log` VALUES (78291, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:13');
INSERT INTO `sys_job_log` VALUES (78292, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:14');
INSERT INTO `sys_job_log` VALUES (78293, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:15');
INSERT INTO `sys_job_log` VALUES (78294, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:16');
INSERT INTO `sys_job_log` VALUES (78295, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:17');
INSERT INTO `sys_job_log` VALUES (78296, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:18');
INSERT INTO `sys_job_log` VALUES (78297, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:19');
INSERT INTO `sys_job_log` VALUES (78298, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:20');
INSERT INTO `sys_job_log` VALUES (78299, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:21');
INSERT INTO `sys_job_log` VALUES (78300, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:22');
INSERT INTO `sys_job_log` VALUES (78301, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:23');
INSERT INTO `sys_job_log` VALUES (78302, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:24');
INSERT INTO `sys_job_log` VALUES (78303, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:25');
INSERT INTO `sys_job_log` VALUES (78304, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:26');
INSERT INTO `sys_job_log` VALUES (78305, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:27');
INSERT INTO `sys_job_log` VALUES (78306, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:28');
INSERT INTO `sys_job_log` VALUES (78307, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:29');
INSERT INTO `sys_job_log` VALUES (78308, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:30');
INSERT INTO `sys_job_log` VALUES (78309, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:31');
INSERT INTO `sys_job_log` VALUES (78310, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:32');
INSERT INTO `sys_job_log` VALUES (78311, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:33');
INSERT INTO `sys_job_log` VALUES (78312, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:34');
INSERT INTO `sys_job_log` VALUES (78313, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:35');
INSERT INTO `sys_job_log` VALUES (78314, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:36');
INSERT INTO `sys_job_log` VALUES (78315, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:37');
INSERT INTO `sys_job_log` VALUES (78316, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:38');
INSERT INTO `sys_job_log` VALUES (78317, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:39');
INSERT INTO `sys_job_log` VALUES (78318, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:40');
INSERT INTO `sys_job_log` VALUES (78319, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:41');
INSERT INTO `sys_job_log` VALUES (78320, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:42');
INSERT INTO `sys_job_log` VALUES (78321, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:43');
INSERT INTO `sys_job_log` VALUES (78322, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:44');
INSERT INTO `sys_job_log` VALUES (78323, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:45');
INSERT INTO `sys_job_log` VALUES (78324, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：261毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:46');
INSERT INTO `sys_job_log` VALUES (78325, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:47');
INSERT INTO `sys_job_log` VALUES (78326, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:48');
INSERT INTO `sys_job_log` VALUES (78327, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:49');
INSERT INTO `sys_job_log` VALUES (78328, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:50');
INSERT INTO `sys_job_log` VALUES (78329, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:51');
INSERT INTO `sys_job_log` VALUES (78330, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:52');
INSERT INTO `sys_job_log` VALUES (78331, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:53');
INSERT INTO `sys_job_log` VALUES (78332, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:54');
INSERT INTO `sys_job_log` VALUES (78333, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:55');
INSERT INTO `sys_job_log` VALUES (78334, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:56');
INSERT INTO `sys_job_log` VALUES (78335, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:57');
INSERT INTO `sys_job_log` VALUES (78336, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:58');
INSERT INTO `sys_job_log` VALUES (78337, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:39:59');
INSERT INTO `sys_job_log` VALUES (78338, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:00');
INSERT INTO `sys_job_log` VALUES (78339, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:01');
INSERT INTO `sys_job_log` VALUES (78340, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:02');
INSERT INTO `sys_job_log` VALUES (78341, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:03');
INSERT INTO `sys_job_log` VALUES (78342, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:04');
INSERT INTO `sys_job_log` VALUES (78343, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:05');
INSERT INTO `sys_job_log` VALUES (78344, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:06');
INSERT INTO `sys_job_log` VALUES (78345, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:07');
INSERT INTO `sys_job_log` VALUES (78346, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:08');
INSERT INTO `sys_job_log` VALUES (78347, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:09');
INSERT INTO `sys_job_log` VALUES (78348, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:10');
INSERT INTO `sys_job_log` VALUES (78349, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:11');
INSERT INTO `sys_job_log` VALUES (78350, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:12');
INSERT INTO `sys_job_log` VALUES (78351, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:13');
INSERT INTO `sys_job_log` VALUES (78352, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:14');
INSERT INTO `sys_job_log` VALUES (78353, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:15');
INSERT INTO `sys_job_log` VALUES (78354, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:16');
INSERT INTO `sys_job_log` VALUES (78355, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:17');
INSERT INTO `sys_job_log` VALUES (78356, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:18');
INSERT INTO `sys_job_log` VALUES (78357, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:19');
INSERT INTO `sys_job_log` VALUES (78358, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:20');
INSERT INTO `sys_job_log` VALUES (78359, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:21');
INSERT INTO `sys_job_log` VALUES (78360, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:22');
INSERT INTO `sys_job_log` VALUES (78361, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:23');
INSERT INTO `sys_job_log` VALUES (78362, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:24');
INSERT INTO `sys_job_log` VALUES (78363, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:25');
INSERT INTO `sys_job_log` VALUES (78364, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:26');
INSERT INTO `sys_job_log` VALUES (78365, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:27');
INSERT INTO `sys_job_log` VALUES (78366, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:28');
INSERT INTO `sys_job_log` VALUES (78367, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:29');
INSERT INTO `sys_job_log` VALUES (78368, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:30');
INSERT INTO `sys_job_log` VALUES (78369, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:31');
INSERT INTO `sys_job_log` VALUES (78370, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:32');
INSERT INTO `sys_job_log` VALUES (78371, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:33');
INSERT INTO `sys_job_log` VALUES (78372, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:34');
INSERT INTO `sys_job_log` VALUES (78373, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:35');
INSERT INTO `sys_job_log` VALUES (78374, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:36');
INSERT INTO `sys_job_log` VALUES (78375, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:37');
INSERT INTO `sys_job_log` VALUES (78376, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:38');
INSERT INTO `sys_job_log` VALUES (78377, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:39');
INSERT INTO `sys_job_log` VALUES (78378, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:40');
INSERT INTO `sys_job_log` VALUES (78379, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:41');
INSERT INTO `sys_job_log` VALUES (78380, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:42');
INSERT INTO `sys_job_log` VALUES (78381, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:43');
INSERT INTO `sys_job_log` VALUES (78382, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:44');
INSERT INTO `sys_job_log` VALUES (78383, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:45');
INSERT INTO `sys_job_log` VALUES (78384, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:46');
INSERT INTO `sys_job_log` VALUES (78385, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:47');
INSERT INTO `sys_job_log` VALUES (78386, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：256毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:48');
INSERT INTO `sys_job_log` VALUES (78387, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:49');
INSERT INTO `sys_job_log` VALUES (78388, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:50');
INSERT INTO `sys_job_log` VALUES (78389, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:51');
INSERT INTO `sys_job_log` VALUES (78390, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:52');
INSERT INTO `sys_job_log` VALUES (78391, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:53');
INSERT INTO `sys_job_log` VALUES (78392, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:54');
INSERT INTO `sys_job_log` VALUES (78393, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:55');
INSERT INTO `sys_job_log` VALUES (78394, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:56');
INSERT INTO `sys_job_log` VALUES (78395, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:57');
INSERT INTO `sys_job_log` VALUES (78396, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:58');
INSERT INTO `sys_job_log` VALUES (78397, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:40:59');
INSERT INTO `sys_job_log` VALUES (78398, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:00');
INSERT INTO `sys_job_log` VALUES (78399, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:01');
INSERT INTO `sys_job_log` VALUES (78400, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:02');
INSERT INTO `sys_job_log` VALUES (78401, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:03');
INSERT INTO `sys_job_log` VALUES (78402, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:04');
INSERT INTO `sys_job_log` VALUES (78403, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:05');
INSERT INTO `sys_job_log` VALUES (78404, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:06');
INSERT INTO `sys_job_log` VALUES (78405, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:07');
INSERT INTO `sys_job_log` VALUES (78406, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:08');
INSERT INTO `sys_job_log` VALUES (78407, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:09');
INSERT INTO `sys_job_log` VALUES (78408, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:10');
INSERT INTO `sys_job_log` VALUES (78409, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:11');
INSERT INTO `sys_job_log` VALUES (78410, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:12');
INSERT INTO `sys_job_log` VALUES (78411, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:13');
INSERT INTO `sys_job_log` VALUES (78412, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:14');
INSERT INTO `sys_job_log` VALUES (78413, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:15');
INSERT INTO `sys_job_log` VALUES (78414, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:16');
INSERT INTO `sys_job_log` VALUES (78415, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:17');
INSERT INTO `sys_job_log` VALUES (78416, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:18');
INSERT INTO `sys_job_log` VALUES (78417, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:19');
INSERT INTO `sys_job_log` VALUES (78418, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:20');
INSERT INTO `sys_job_log` VALUES (78419, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:21');
INSERT INTO `sys_job_log` VALUES (78420, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:22');
INSERT INTO `sys_job_log` VALUES (78421, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:23');
INSERT INTO `sys_job_log` VALUES (78422, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:24');
INSERT INTO `sys_job_log` VALUES (78423, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:25');
INSERT INTO `sys_job_log` VALUES (78424, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:26');
INSERT INTO `sys_job_log` VALUES (78425, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:27');
INSERT INTO `sys_job_log` VALUES (78426, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:28');
INSERT INTO `sys_job_log` VALUES (78427, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:29');
INSERT INTO `sys_job_log` VALUES (78428, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:30');
INSERT INTO `sys_job_log` VALUES (78429, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:31');
INSERT INTO `sys_job_log` VALUES (78430, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:32');
INSERT INTO `sys_job_log` VALUES (78431, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:33');
INSERT INTO `sys_job_log` VALUES (78432, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:34');
INSERT INTO `sys_job_log` VALUES (78433, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:35');
INSERT INTO `sys_job_log` VALUES (78434, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:36');
INSERT INTO `sys_job_log` VALUES (78435, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:37');
INSERT INTO `sys_job_log` VALUES (78436, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:38');
INSERT INTO `sys_job_log` VALUES (78437, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:39');
INSERT INTO `sys_job_log` VALUES (78438, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:40');
INSERT INTO `sys_job_log` VALUES (78439, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:41');
INSERT INTO `sys_job_log` VALUES (78440, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:42');
INSERT INTO `sys_job_log` VALUES (78441, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:43');
INSERT INTO `sys_job_log` VALUES (78442, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:44');
INSERT INTO `sys_job_log` VALUES (78443, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:45');
INSERT INTO `sys_job_log` VALUES (78444, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:46');
INSERT INTO `sys_job_log` VALUES (78445, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:47');
INSERT INTO `sys_job_log` VALUES (78446, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:143)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f041872b.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 11:41:48');
INSERT INTO `sys_job_log` VALUES (78447, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：271毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.NoRouteToHostException: No route to host: connect\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$7bcab485.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.NoRouteToHostException: No route to host: connect\r\n	at java.base/sun.nio.ch.Net.connect0(Native Method)\r\n	at java.base/sun.nio.ch.Net.connect(Net.java:589)\r\n	at java.base/sun.nio.ch.Net.connect(Net.java:578)\r\n	at java.base/sun.nio.ch.NioSocketImpl.connect(NioSocketImpl.java:583)\r\n	at java.base/java.net.SocksSocketImpl.connect(SocksSocketImpl.java:327)\r\n	at java.base/java.net.Socke', '2025-01-06 21:05:18');
INSERT INTO `sys_job_log` VALUES (78448, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1353毫秒', '0', '', '2025-01-06 21:05:42');
INSERT INTO `sys_job_log` VALUES (78449, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1289毫秒', '0', '', '2025-01-06 21:05:44');
INSERT INTO `sys_job_log` VALUES (78450, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1289毫秒', '0', '', '2025-01-06 21:05:45');
INSERT INTO `sys_job_log` VALUES (78451, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1287毫秒', '0', '', '2025-01-06 21:05:46');
INSERT INTO `sys_job_log` VALUES (78452, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1034毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:47');
INSERT INTO `sys_job_log` VALUES (78453, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:48');
INSERT INTO `sys_job_log` VALUES (78454, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:48');
INSERT INTO `sys_job_log` VALUES (78455, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:48');
INSERT INTO `sys_job_log` VALUES (78456, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:49');
INSERT INTO `sys_job_log` VALUES (78457, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:49');
INSERT INTO `sys_job_log` VALUES (78458, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:49');
INSERT INTO `sys_job_log` VALUES (78459, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:50');
INSERT INTO `sys_job_log` VALUES (78460, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:51');
INSERT INTO `sys_job_log` VALUES (78461, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:52');
INSERT INTO `sys_job_log` VALUES (78462, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：273毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:53');
INSERT INTO `sys_job_log` VALUES (78463, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:54');
INSERT INTO `sys_job_log` VALUES (78464, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:55');
INSERT INTO `sys_job_log` VALUES (78465, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:56');
INSERT INTO `sys_job_log` VALUES (78466, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：272毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:57');
INSERT INTO `sys_job_log` VALUES (78467, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：271毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:58');
INSERT INTO `sys_job_log` VALUES (78468, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：268毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:05:59');
INSERT INTO `sys_job_log` VALUES (78469, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：265毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:00');
INSERT INTO `sys_job_log` VALUES (78470, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:01');
INSERT INTO `sys_job_log` VALUES (78471, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：265毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:02');
INSERT INTO `sys_job_log` VALUES (78472, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:03');
INSERT INTO `sys_job_log` VALUES (78473, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:04');
INSERT INTO `sys_job_log` VALUES (78474, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:05');
INSERT INTO `sys_job_log` VALUES (78475, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:06');
INSERT INTO `sys_job_log` VALUES (78476, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：268毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:07');
INSERT INTO `sys_job_log` VALUES (78477, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：264毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:08');
INSERT INTO `sys_job_log` VALUES (78478, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:09');
INSERT INTO `sys_job_log` VALUES (78479, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:10');
INSERT INTO `sys_job_log` VALUES (78480, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:11');
INSERT INTO `sys_job_log` VALUES (78481, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：260毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:12');
INSERT INTO `sys_job_log` VALUES (78482, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:13');
INSERT INTO `sys_job_log` VALUES (78483, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:14');
INSERT INTO `sys_job_log` VALUES (78484, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：272毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:15');
INSERT INTO `sys_job_log` VALUES (78485, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：269毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:16');
INSERT INTO `sys_job_log` VALUES (78486, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：269毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:17');
INSERT INTO `sys_job_log` VALUES (78487, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：267毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:18');
INSERT INTO `sys_job_log` VALUES (78488, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:19');
INSERT INTO `sys_job_log` VALUES (78489, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：273毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:20');
INSERT INTO `sys_job_log` VALUES (78490, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:144)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$95381813.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-06 21:06:21');
INSERT INTO `sys_job_log` VALUES (78491, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1376毫秒', '0', '', '2025-01-07 07:05:58');
INSERT INTO `sys_job_log` VALUES (78492, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1335毫秒', '0', '', '2025-01-07 07:06:00');
INSERT INTO `sys_job_log` VALUES (78493, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1339毫秒', '0', '', '2025-01-07 07:06:01');
INSERT INTO `sys_job_log` VALUES (78494, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1332毫秒', '0', '', '2025-01-07 07:06:03');
INSERT INTO `sys_job_log` VALUES (78495, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：815毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:03');
INSERT INTO `sys_job_log` VALUES (78496, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：274毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:04');
INSERT INTO `sys_job_log` VALUES (78497, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：274毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:04');
INSERT INTO `sys_job_log` VALUES (78498, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：278毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:04');
INSERT INTO `sys_job_log` VALUES (78499, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：269毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:05');
INSERT INTO `sys_job_log` VALUES (78500, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:05');
INSERT INTO `sys_job_log` VALUES (78501, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:05');
INSERT INTO `sys_job_log` VALUES (78502, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:05');
INSERT INTO `sys_job_log` VALUES (78503, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：266毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:06');
INSERT INTO `sys_job_log` VALUES (78504, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:06');
INSERT INTO `sys_job_log` VALUES (78505, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:06');
INSERT INTO `sys_job_log` VALUES (78506, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:06');
INSERT INTO `sys_job_log` VALUES (78507, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:07');
INSERT INTO `sys_job_log` VALUES (78508, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:07');
INSERT INTO `sys_job_log` VALUES (78509, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:07');
INSERT INTO `sys_job_log` VALUES (78510, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:08');
INSERT INTO `sys_job_log` VALUES (78511, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:08');
INSERT INTO `sys_job_log` VALUES (78512, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:08');
INSERT INTO `sys_job_log` VALUES (78513, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:08');
INSERT INTO `sys_job_log` VALUES (78514, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:09');
INSERT INTO `sys_job_log` VALUES (78515, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:09');
INSERT INTO `sys_job_log` VALUES (78516, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:09');
INSERT INTO `sys_job_log` VALUES (78517, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:09');
INSERT INTO `sys_job_log` VALUES (78518, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:10');
INSERT INTO `sys_job_log` VALUES (78519, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:10');
INSERT INTO `sys_job_log` VALUES (78520, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:10');
INSERT INTO `sys_job_log` VALUES (78521, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:11');
INSERT INTO `sys_job_log` VALUES (78522, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:11');
INSERT INTO `sys_job_log` VALUES (78523, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:11');
INSERT INTO `sys_job_log` VALUES (78524, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:11');
INSERT INTO `sys_job_log` VALUES (78525, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:12');
INSERT INTO `sys_job_log` VALUES (78526, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:12');
INSERT INTO `sys_job_log` VALUES (78527, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:12');
INSERT INTO `sys_job_log` VALUES (78528, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:12');
INSERT INTO `sys_job_log` VALUES (78529, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:13');
INSERT INTO `sys_job_log` VALUES (78530, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:13');
INSERT INTO `sys_job_log` VALUES (78531, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:13');
INSERT INTO `sys_job_log` VALUES (78532, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:14');
INSERT INTO `sys_job_log` VALUES (78533, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:14');
INSERT INTO `sys_job_log` VALUES (78534, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:14');
INSERT INTO `sys_job_log` VALUES (78535, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:14');
INSERT INTO `sys_job_log` VALUES (78536, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:15');
INSERT INTO `sys_job_log` VALUES (78537, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:15');
INSERT INTO `sys_job_log` VALUES (78538, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:15');
INSERT INTO `sys_job_log` VALUES (78539, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:16');
INSERT INTO `sys_job_log` VALUES (78540, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:16');
INSERT INTO `sys_job_log` VALUES (78541, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:16');
INSERT INTO `sys_job_log` VALUES (78542, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:16');
INSERT INTO `sys_job_log` VALUES (78543, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:17');
INSERT INTO `sys_job_log` VALUES (78544, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:17');
INSERT INTO `sys_job_log` VALUES (78545, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:17');
INSERT INTO `sys_job_log` VALUES (78546, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:17');
INSERT INTO `sys_job_log` VALUES (78547, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:18');
INSERT INTO `sys_job_log` VALUES (78548, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:18');
INSERT INTO `sys_job_log` VALUES (78549, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:18');
INSERT INTO `sys_job_log` VALUES (78550, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:19');
INSERT INTO `sys_job_log` VALUES (78551, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:19');
INSERT INTO `sys_job_log` VALUES (78552, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:19');
INSERT INTO `sys_job_log` VALUES (78553, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:19');
INSERT INTO `sys_job_log` VALUES (78554, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:20');
INSERT INTO `sys_job_log` VALUES (78555, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：259毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:20');
INSERT INTO `sys_job_log` VALUES (78556, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:20');
INSERT INTO `sys_job_log` VALUES (78557, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:21');
INSERT INTO `sys_job_log` VALUES (78558, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:21');
INSERT INTO `sys_job_log` VALUES (78559, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:21');
INSERT INTO `sys_job_log` VALUES (78560, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:21');
INSERT INTO `sys_job_log` VALUES (78561, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:22');
INSERT INTO `sys_job_log` VALUES (78562, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:22');
INSERT INTO `sys_job_log` VALUES (78563, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:22');
INSERT INTO `sys_job_log` VALUES (78564, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:22');
INSERT INTO `sys_job_log` VALUES (78565, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:23');
INSERT INTO `sys_job_log` VALUES (78566, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：258毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:23');
INSERT INTO `sys_job_log` VALUES (78567, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：257毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:147)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$21ca3b40.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketException: 你的主机中的软件中止了一个已建立的连接。\r\n	at java.base/sun.nio.ch.SocketDispatcher.write0(Native Method)\r\n	at java.base/sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:54)\r\n	at java.base/sun.nio.ch.NioSocketImpl.tryWrite(NioSocketImpl.java:394)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implWrite(NioSocketImpl.java:410)\r\n	at java.base/sun.nio.ch.NioSocketImpl.write(NioSocketImpl.java:440)\r', '2025-01-07 07:06:23');
INSERT INTO `sys_job_log` VALUES (78568, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1551毫秒', '0', '', '2025-01-07 07:06:41');
INSERT INTO `sys_job_log` VALUES (78569, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1507毫秒', '0', '', '2025-01-07 07:06:42');
INSERT INTO `sys_job_log` VALUES (78570, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:06:44');
INSERT INTO `sys_job_log` VALUES (78571, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:06:45');
INSERT INTO `sys_job_log` VALUES (78572, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:06:47');
INSERT INTO `sys_job_log` VALUES (78573, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:06:48');
INSERT INTO `sys_job_log` VALUES (78574, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:06:50');
INSERT INTO `sys_job_log` VALUES (78575, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:06:51');
INSERT INTO `sys_job_log` VALUES (78576, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:06:53');
INSERT INTO `sys_job_log` VALUES (78577, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:06:55');
INSERT INTO `sys_job_log` VALUES (78578, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1497毫秒', '0', '', '2025-01-07 07:06:56');
INSERT INTO `sys_job_log` VALUES (78579, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:06:58');
INSERT INTO `sys_job_log` VALUES (78580, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1593毫秒', '0', '', '2025-01-07 07:06:59');
INSERT INTO `sys_job_log` VALUES (78581, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:01');
INSERT INTO `sys_job_log` VALUES (78582, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:02');
INSERT INTO `sys_job_log` VALUES (78583, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1496毫秒', '0', '', '2025-01-07 07:07:04');
INSERT INTO `sys_job_log` VALUES (78584, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:07:05');
INSERT INTO `sys_job_log` VALUES (78585, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:07');
INSERT INTO `sys_job_log` VALUES (78586, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:07:08');
INSERT INTO `sys_job_log` VALUES (78587, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1502毫秒', '0', '', '2025-01-07 07:07:10');
INSERT INTO `sys_job_log` VALUES (78588, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1585毫秒', '0', '', '2025-01-07 07:07:11');
INSERT INTO `sys_job_log` VALUES (78589, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:07:13');
INSERT INTO `sys_job_log` VALUES (78590, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:07:14');
INSERT INTO `sys_job_log` VALUES (78591, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:07:16');
INSERT INTO `sys_job_log` VALUES (78592, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:07:17');
INSERT INTO `sys_job_log` VALUES (78593, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:07:19');
INSERT INTO `sys_job_log` VALUES (78594, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:20');
INSERT INTO `sys_job_log` VALUES (78595, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:22');
INSERT INTO `sys_job_log` VALUES (78596, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:07:23');
INSERT INTO `sys_job_log` VALUES (78597, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1496毫秒', '0', '', '2025-01-07 07:07:25');
INSERT INTO `sys_job_log` VALUES (78598, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:26');
INSERT INTO `sys_job_log` VALUES (78599, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:28');
INSERT INTO `sys_job_log` VALUES (78600, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:29');
INSERT INTO `sys_job_log` VALUES (78601, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:31');
INSERT INTO `sys_job_log` VALUES (78602, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:32');
INSERT INTO `sys_job_log` VALUES (78603, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:07:34');
INSERT INTO `sys_job_log` VALUES (78604, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1487毫秒', '0', '', '2025-01-07 07:07:35');
INSERT INTO `sys_job_log` VALUES (78605, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:37');
INSERT INTO `sys_job_log` VALUES (78606, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:38');
INSERT INTO `sys_job_log` VALUES (78607, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:40');
INSERT INTO `sys_job_log` VALUES (78608, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:07:41');
INSERT INTO `sys_job_log` VALUES (78609, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:07:43');
INSERT INTO `sys_job_log` VALUES (78610, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:07:44');
INSERT INTO `sys_job_log` VALUES (78611, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:46');
INSERT INTO `sys_job_log` VALUES (78612, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:07:47');
INSERT INTO `sys_job_log` VALUES (78613, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:07:49');
INSERT INTO `sys_job_log` VALUES (78614, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:07:50');
INSERT INTO `sys_job_log` VALUES (78615, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:07:52');
INSERT INTO `sys_job_log` VALUES (78616, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:07:53');
INSERT INTO `sys_job_log` VALUES (78617, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:07:55');
INSERT INTO `sys_job_log` VALUES (78618, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:07:57');
INSERT INTO `sys_job_log` VALUES (78619, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:07:58');
INSERT INTO `sys_job_log` VALUES (78620, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:00');
INSERT INTO `sys_job_log` VALUES (78621, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1583毫秒', '0', '', '2025-01-07 07:08:01');
INSERT INTO `sys_job_log` VALUES (78622, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1506毫秒', '0', '', '2025-01-07 07:08:03');
INSERT INTO `sys_job_log` VALUES (78623, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1560毫秒', '0', '', '2025-01-07 07:08:04');
INSERT INTO `sys_job_log` VALUES (78624, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:08:06');
INSERT INTO `sys_job_log` VALUES (78625, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:07');
INSERT INTO `sys_job_log` VALUES (78626, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:09');
INSERT INTO `sys_job_log` VALUES (78627, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:08:10');
INSERT INTO `sys_job_log` VALUES (78628, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1484毫秒', '0', '', '2025-01-07 07:08:12');
INSERT INTO `sys_job_log` VALUES (78629, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1488毫秒', '0', '', '2025-01-07 07:08:13');
INSERT INTO `sys_job_log` VALUES (78630, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:15');
INSERT INTO `sys_job_log` VALUES (78631, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1488毫秒', '0', '', '2025-01-07 07:08:16');
INSERT INTO `sys_job_log` VALUES (78632, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:18');
INSERT INTO `sys_job_log` VALUES (78633, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:08:19');
INSERT INTO `sys_job_log` VALUES (78634, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1505毫秒', '0', '', '2025-01-07 07:08:21');
INSERT INTO `sys_job_log` VALUES (78635, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1545毫秒', '0', '', '2025-01-07 07:08:22');
INSERT INTO `sys_job_log` VALUES (78636, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1496毫秒', '0', '', '2025-01-07 07:08:24');
INSERT INTO `sys_job_log` VALUES (78637, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:08:25');
INSERT INTO `sys_job_log` VALUES (78638, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:27');
INSERT INTO `sys_job_log` VALUES (78639, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:08:28');
INSERT INTO `sys_job_log` VALUES (78640, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1597毫秒', '0', '', '2025-01-07 07:08:30');
INSERT INTO `sys_job_log` VALUES (78641, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:08:32');
INSERT INTO `sys_job_log` VALUES (78642, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:08:33');
INSERT INTO `sys_job_log` VALUES (78643, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:35');
INSERT INTO `sys_job_log` VALUES (78644, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:08:36');
INSERT INTO `sys_job_log` VALUES (78645, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:08:38');
INSERT INTO `sys_job_log` VALUES (78646, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1503毫秒', '0', '', '2025-01-07 07:08:39');
INSERT INTO `sys_job_log` VALUES (78647, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1568毫秒', '0', '', '2025-01-07 07:08:41');
INSERT INTO `sys_job_log` VALUES (78648, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:08:42');
INSERT INTO `sys_job_log` VALUES (78649, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:08:44');
INSERT INTO `sys_job_log` VALUES (78650, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:08:45');
INSERT INTO `sys_job_log` VALUES (78651, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:08:47');
INSERT INTO `sys_job_log` VALUES (78652, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1540毫秒', '0', '', '2025-01-07 07:09:00');
INSERT INTO `sys_job_log` VALUES (78653, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1512毫秒', '0', '', '2025-01-07 07:09:01');
INSERT INTO `sys_job_log` VALUES (78654, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:09:03');
INSERT INTO `sys_job_log` VALUES (78655, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:04');
INSERT INTO `sys_job_log` VALUES (78656, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:06');
INSERT INTO `sys_job_log` VALUES (78657, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:07');
INSERT INTO `sys_job_log` VALUES (78658, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:09');
INSERT INTO `sys_job_log` VALUES (78659, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:10');
INSERT INTO `sys_job_log` VALUES (78660, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:09:12');
INSERT INTO `sys_job_log` VALUES (78661, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:13');
INSERT INTO `sys_job_log` VALUES (78662, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:15');
INSERT INTO `sys_job_log` VALUES (78663, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:16');
INSERT INTO `sys_job_log` VALUES (78664, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:18');
INSERT INTO `sys_job_log` VALUES (78665, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:09:19');
INSERT INTO `sys_job_log` VALUES (78666, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:09:21');
INSERT INTO `sys_job_log` VALUES (78667, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1488毫秒', '0', '', '2025-01-07 07:09:22');
INSERT INTO `sys_job_log` VALUES (78668, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:24');
INSERT INTO `sys_job_log` VALUES (78669, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:09:25');
INSERT INTO `sys_job_log` VALUES (78670, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:27');
INSERT INTO `sys_job_log` VALUES (78671, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1488毫秒', '0', '', '2025-01-07 07:09:28');
INSERT INTO `sys_job_log` VALUES (78672, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:09:30');
INSERT INTO `sys_job_log` VALUES (78673, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:09:31');
INSERT INTO `sys_job_log` VALUES (78674, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:33');
INSERT INTO `sys_job_log` VALUES (78675, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:09:34');
INSERT INTO `sys_job_log` VALUES (78676, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1597毫秒', '0', '', '2025-01-07 07:09:36');
INSERT INTO `sys_job_log` VALUES (78677, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:09:37');
INSERT INTO `sys_job_log` VALUES (78678, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:09:39');
INSERT INTO `sys_job_log` VALUES (78679, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:09:41');
INSERT INTO `sys_job_log` VALUES (78680, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:42');
INSERT INTO `sys_job_log` VALUES (78681, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:09:44');
INSERT INTO `sys_job_log` VALUES (78682, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:45');
INSERT INTO `sys_job_log` VALUES (78683, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:09:47');
INSERT INTO `sys_job_log` VALUES (78684, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:48');
INSERT INTO `sys_job_log` VALUES (78685, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1485毫秒', '0', '', '2025-01-07 07:09:50');
INSERT INTO `sys_job_log` VALUES (78686, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:09:51');
INSERT INTO `sys_job_log` VALUES (78687, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:09:53');
INSERT INTO `sys_job_log` VALUES (78688, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:09:54');
INSERT INTO `sys_job_log` VALUES (78689, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:09:56');
INSERT INTO `sys_job_log` VALUES (78690, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1496毫秒', '0', '', '2025-01-07 07:09:57');
INSERT INTO `sys_job_log` VALUES (78691, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:09:59');
INSERT INTO `sys_job_log` VALUES (78692, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:10:00');
INSERT INTO `sys_job_log` VALUES (78693, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:10:02');
INSERT INTO `sys_job_log` VALUES (78694, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:10:03');
INSERT INTO `sys_job_log` VALUES (78695, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:05');
INSERT INTO `sys_job_log` VALUES (78696, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:06');
INSERT INTO `sys_job_log` VALUES (78697, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:10:08');
INSERT INTO `sys_job_log` VALUES (78698, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:10:09');
INSERT INTO `sys_job_log` VALUES (78699, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:10:11');
INSERT INTO `sys_job_log` VALUES (78700, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:12');
INSERT INTO `sys_job_log` VALUES (78701, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:14');
INSERT INTO `sys_job_log` VALUES (78702, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:10:15');
INSERT INTO `sys_job_log` VALUES (78703, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1487毫秒', '0', '', '2025-01-07 07:10:17');
INSERT INTO `sys_job_log` VALUES (78704, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:18');
INSERT INTO `sys_job_log` VALUES (78705, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:10:20');
INSERT INTO `sys_job_log` VALUES (78706, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:10:21');
INSERT INTO `sys_job_log` VALUES (78707, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:10:23');
INSERT INTO `sys_job_log` VALUES (78708, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:10:24');
INSERT INTO `sys_job_log` VALUES (78709, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:10:26');
INSERT INTO `sys_job_log` VALUES (78710, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:10:27');
INSERT INTO `sys_job_log` VALUES (78711, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:10:29');
INSERT INTO `sys_job_log` VALUES (78712, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:10:30');
INSERT INTO `sys_job_log` VALUES (78713, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:10:32');
INSERT INTO `sys_job_log` VALUES (78714, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:10:33');
INSERT INTO `sys_job_log` VALUES (78715, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1488毫秒', '0', '', '2025-01-07 07:10:35');
INSERT INTO `sys_job_log` VALUES (78716, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:10:36');
INSERT INTO `sys_job_log` VALUES (78717, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1544毫秒', '0', '', '2025-01-07 07:10:49');
INSERT INTO `sys_job_log` VALUES (78718, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1507毫秒', '0', '', '2025-01-07 07:10:50');
INSERT INTO `sys_job_log` VALUES (78719, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:10:52');
INSERT INTO `sys_job_log` VALUES (78720, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:10:53');
INSERT INTO `sys_job_log` VALUES (78721, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:55');
INSERT INTO `sys_job_log` VALUES (78722, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:10:56');
INSERT INTO `sys_job_log` VALUES (78723, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1484毫秒', '0', '', '2025-01-07 07:10:58');
INSERT INTO `sys_job_log` VALUES (78724, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:10:59');
INSERT INTO `sys_job_log` VALUES (78725, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1494毫秒', '0', '', '2025-01-07 07:11:01');
INSERT INTO `sys_job_log` VALUES (78726, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:11:02');
INSERT INTO `sys_job_log` VALUES (78727, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:11:04');
INSERT INTO `sys_job_log` VALUES (78728, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:11:05');
INSERT INTO `sys_job_log` VALUES (78729, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1490毫秒', '0', '', '2025-01-07 07:11:07');
INSERT INTO `sys_job_log` VALUES (78730, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1499毫秒', '0', '', '2025-01-07 07:11:08');
INSERT INTO `sys_job_log` VALUES (78731, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1491毫秒', '0', '', '2025-01-07 07:11:10');
INSERT INTO `sys_job_log` VALUES (78732, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:11:11');
INSERT INTO `sys_job_log` VALUES (78733, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1583毫秒', '0', '', '2025-01-07 07:11:13');
INSERT INTO `sys_job_log` VALUES (78734, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1495毫秒', '0', '', '2025-01-07 07:11:14');
INSERT INTO `sys_job_log` VALUES (78735, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1492毫秒', '0', '', '2025-01-07 07:11:16');
INSERT INTO `sys_job_log` VALUES (78736, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1594毫秒', '0', '', '2025-01-07 07:11:17');
INSERT INTO `sys_job_log` VALUES (78737, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1493毫秒', '0', '', '2025-01-07 07:11:19');
INSERT INTO `sys_job_log` VALUES (78738, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：1489毫秒', '0', '', '2025-01-07 07:11:20');
INSERT INTO `sys_job_log` VALUES (78739, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2665毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:38');
INSERT INTO `sys_job_log` VALUES (78740, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2605毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:40');
INSERT INTO `sys_job_log` VALUES (78741, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2599毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:43');
INSERT INTO `sys_job_log` VALUES (78742, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2590毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:46');
INSERT INTO `sys_job_log` VALUES (78743, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2606毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:48');
INSERT INTO `sys_job_log` VALUES (78744, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2587毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:51');
INSERT INTO `sys_job_log` VALUES (78745, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2597毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:53');
INSERT INTO `sys_job_log` VALUES (78746, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2596毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:56');
INSERT INTO `sys_job_log` VALUES (78747, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2595毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:12:59');
INSERT INTO `sys_job_log` VALUES (78748, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2596毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:01');
INSERT INTO `sys_job_log` VALUES (78749, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2592毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:04');
INSERT INTO `sys_job_log` VALUES (78750, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2598毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:06');
INSERT INTO `sys_job_log` VALUES (78751, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2598毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:09');
INSERT INTO `sys_job_log` VALUES (78752, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2597毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:12');
INSERT INTO `sys_job_log` VALUES (78753, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2588毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:14');
INSERT INTO `sys_job_log` VALUES (78754, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2595毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:17');
INSERT INTO `sys_job_log` VALUES (78755, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2596毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:20');
INSERT INTO `sys_job_log` VALUES (78756, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2581毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:22');
INSERT INTO `sys_job_log` VALUES (78757, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2595毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:25');
INSERT INTO `sys_job_log` VALUES (78758, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2596毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:27');
INSERT INTO `sys_job_log` VALUES (78759, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2600毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:30');
INSERT INTO `sys_job_log` VALUES (78760, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2575毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:33');
INSERT INTO `sys_job_log` VALUES (78761, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2599毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:35');
INSERT INTO `sys_job_log` VALUES (78762, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2597毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:38');
INSERT INTO `sys_job_log` VALUES (78763, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2597毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:40');
INSERT INTO `sys_job_log` VALUES (78764, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2594毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:43');
INSERT INTO `sys_job_log` VALUES (78765, 'sim-scheduledReadSim()', 'DEFAULT', 'commSendService.scheduledReadSim()', 'sim-scheduledReadSim() 总共耗时：2592毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:118)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:580)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)\r\n	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)\r\n	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)\r\n	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: java.lang.RuntimeException: java.net.SocketTimeoutException: Read timed out\r\n	at com.ruoyi.sim.service.impl.CommSendService.scheduledReadSim(CommSendService.java:149)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$FastClassBySpringCGLIB$$ac4778e2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at com.ruoyi.sim.service.impl.CommSendService$$EnhancerBySpringCGLIB$$f901e092.scheduledReadSim(<generated>)\r\n	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:103)\r\n	... 7 more\r\nCaused by: java.net.SocketTimeoutException: Read timed out\r\n	at java.base/sun.nio.ch.NioSocketImpl.timedRead(NioSocketImpl.java:278)\r\n	at java.base/sun.nio.ch.NioSocketImpl.implRead(NioSocketImpl.java:304)\r\n	at java.base/sun.nio.ch.NioSocketImpl.read(NioSocketImpl.java:346)\r\n	at java.base/sun.nio.ch.NioSocketImpl$1.read(NioSocketImpl.java:796)\r\n	at java.base/java.net.Socket$SocketInputStream.read(Socket.java:10', '2025-01-07 07:13:46');

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 670 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-06 11:24:41');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-06 11:24:44');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-06 17:27:41');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-06 17:59:12');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-06 17:59:51');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-06 19:41:42');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 10:53:00');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 11:54:39');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-07 11:56:21');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 11:56:38');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 12:15:03');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 12:49:23');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-07 17:43:25');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:26');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:26');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (117, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (118, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '112.9.126.202', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '112.9.126.202', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '112.9.126.202', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '27.210.73.124', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 17:43:27');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '112.9.126.202', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-07 18:50:42');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '111.193.138.237', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-12-07 18:50:42');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '111.193.138.237', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-12-07 18:50:42');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '112.9.126.202', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 18:50:42');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '112.9.126.202', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-07 18:50:42');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '111.193.138.237', 'XX XX', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2024-12-08 11:31:50');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '121.40.49.195', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-08 11:31:50');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '120.26.6.209', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-08 11:31:50');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '121.40.34.84', 'XX XX', 'Unknown', 'Unknown', '1', '验证码已失效', '2024-12-08 11:31:50');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '111.193.138.237', 'XX XX', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2024-12-08 11:31:50');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '111.193.138.237', 'XX XX', 'Chrome 12', 'Linux', '0', '登录成功', '2024-12-08 11:31:50');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '172.30.90.26', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-08 13:26:05');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '172.30.90.26', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 13:26:09');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '172.30.90.26', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-08 13:27:13');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-08 18:44:55');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 18:44:59');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-08 18:46:59');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 18:47:08');
INSERT INTO `sys_logininfor` VALUES (146, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-08 22:08:38');
INSERT INTO `sys_logininfor` VALUES (147, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-08 22:08:48');
INSERT INTO `sys_logininfor` VALUES (148, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 22:08:59');
INSERT INTO `sys_logininfor` VALUES (149, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 23:56:59');
INSERT INTO `sys_logininfor` VALUES (150, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-08 23:57:23');
INSERT INTO `sys_logininfor` VALUES (151, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 23:57:33');
INSERT INTO `sys_logininfor` VALUES (152, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-08 23:58:24');
INSERT INTO `sys_logininfor` VALUES (153, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-08 23:58:39');
INSERT INTO `sys_logininfor` VALUES (154, 'admin', '192.168.9.101', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-08 23:58:44');
INSERT INTO `sys_logininfor` VALUES (155, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 09:11:49');
INSERT INTO `sys_logininfor` VALUES (156, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 09:12:22');
INSERT INTO `sys_logininfor` VALUES (157, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 09:13:14');
INSERT INTO `sys_logininfor` VALUES (158, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 09:15:26');
INSERT INTO `sys_logininfor` VALUES (159, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-09 09:16:06');
INSERT INTO `sys_logininfor` VALUES (160, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 09:16:30');
INSERT INTO `sys_logininfor` VALUES (161, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 09:35:23');
INSERT INTO `sys_logininfor` VALUES (162, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 09:35:36');
INSERT INTO `sys_logininfor` VALUES (163, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 09:36:23');
INSERT INTO `sys_logininfor` VALUES (164, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-09 18:44:21');
INSERT INTO `sys_logininfor` VALUES (165, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-09 18:44:27');
INSERT INTO `sys_logininfor` VALUES (166, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 18:44:32');
INSERT INTO `sys_logininfor` VALUES (167, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 18:44:37');
INSERT INTO `sys_logininfor` VALUES (168, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-09 18:47:34');
INSERT INTO `sys_logininfor` VALUES (169, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 18:47:38');
INSERT INTO `sys_logininfor` VALUES (170, 'admin', '112.255.69.94', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2024-12-09 18:48:22');
INSERT INTO `sys_logininfor` VALUES (171, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 18:48:51');
INSERT INTO `sys_logininfor` VALUES (172, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 18:49:02');
INSERT INTO `sys_logininfor` VALUES (173, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 18:50:11');
INSERT INTO `sys_logininfor` VALUES (174, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 18:50:21');
INSERT INTO `sys_logininfor` VALUES (175, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 18:51:11');
INSERT INTO `sys_logininfor` VALUES (176, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 18:51:32');
INSERT INTO `sys_logininfor` VALUES (177, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 19:00:21');
INSERT INTO `sys_logininfor` VALUES (178, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 19:01:39');
INSERT INTO `sys_logininfor` VALUES (179, 'admin', '112.255.69.94', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2024-12-09 19:18:55');
INSERT INTO `sys_logininfor` VALUES (180, 'admin', '112.255.69.94', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2024-12-09 19:19:20');
INSERT INTO `sys_logininfor` VALUES (181, 'admin', '112.255.69.94', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2024-12-09 19:28:02');
INSERT INTO `sys_logininfor` VALUES (182, 'admin', '112.255.69.94', 'XX XX', 'Chrome 11', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 19:29:19');
INSERT INTO `sys_logininfor` VALUES (183, 'admin', '112.255.69.94', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2024-12-09 19:29:35');
INSERT INTO `sys_logininfor` VALUES (184, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 20:09:52');
INSERT INTO `sys_logininfor` VALUES (185, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 20:10:46');
INSERT INTO `sys_logininfor` VALUES (186, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 20:11:25');
INSERT INTO `sys_logininfor` VALUES (187, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 20:40:36');
INSERT INTO `sys_logininfor` VALUES (188, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 08:10:06');
INSERT INTO `sys_logininfor` VALUES (189, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 08:34:57');
INSERT INTO `sys_logininfor` VALUES (190, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 08:35:35');
INSERT INTO `sys_logininfor` VALUES (191, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-09 08:37:32');
INSERT INTO `sys_logininfor` VALUES (192, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-09 08:37:39');
INSERT INTO `sys_logininfor` VALUES (193, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 08:37:42');
INSERT INTO `sys_logininfor` VALUES (194, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 08:39:33');
INSERT INTO `sys_logininfor` VALUES (195, 'admin', '60.209.103.71', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 08:39:45');
INSERT INTO `sys_logininfor` VALUES (196, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 20:57:31');
INSERT INTO `sys_logininfor` VALUES (197, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 20:58:50');
INSERT INTO `sys_logininfor` VALUES (198, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 21:02:34');
INSERT INTO `sys_logininfor` VALUES (199, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 21:05:25');
INSERT INTO `sys_logininfor` VALUES (200, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 21:14:55');
INSERT INTO `sys_logininfor` VALUES (201, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 21:15:01');
INSERT INTO `sys_logininfor` VALUES (202, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 22:12:09');
INSERT INTO `sys_logininfor` VALUES (203, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 22:17:23');
INSERT INTO `sys_logininfor` VALUES (204, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-09 22:17:36');
INSERT INTO `sys_logininfor` VALUES (205, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-09 22:41:47');
INSERT INTO `sys_logininfor` VALUES (206, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 22:49:23');
INSERT INTO `sys_logininfor` VALUES (207, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-09 22:52:16');
INSERT INTO `sys_logininfor` VALUES (208, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 00:32:46');
INSERT INTO `sys_logininfor` VALUES (209, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 00:33:08');
INSERT INTO `sys_logininfor` VALUES (210, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 01:00:23');
INSERT INTO `sys_logininfor` VALUES (211, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 01:14:01');
INSERT INTO `sys_logininfor` VALUES (212, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-10 01:30:42');
INSERT INTO `sys_logininfor` VALUES (213, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 01:40:48');
INSERT INTO `sys_logininfor` VALUES (214, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 01:42:10');
INSERT INTO `sys_logininfor` VALUES (215, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 04:41:09');
INSERT INTO `sys_logininfor` VALUES (216, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 04:42:49');
INSERT INTO `sys_logininfor` VALUES (217, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-10 08:03:10');
INSERT INTO `sys_logininfor` VALUES (218, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-10 08:03:16');
INSERT INTO `sys_logininfor` VALUES (219, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 08:03:19');
INSERT INTO `sys_logininfor` VALUES (220, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 08:04:05');
INSERT INTO `sys_logininfor` VALUES (221, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 08:09:23');
INSERT INTO `sys_logininfor` VALUES (222, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 08:15:59');
INSERT INTO `sys_logininfor` VALUES (223, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 08:18:27');
INSERT INTO `sys_logininfor` VALUES (224, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 08:18:51');
INSERT INTO `sys_logininfor` VALUES (225, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 08:29:43');
INSERT INTO `sys_logininfor` VALUES (226, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 08:29:54');
INSERT INTO `sys_logininfor` VALUES (227, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 08:32:58');
INSERT INTO `sys_logininfor` VALUES (228, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 09:03:32');
INSERT INTO `sys_logininfor` VALUES (229, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 10:55:33');
INSERT INTO `sys_logininfor` VALUES (230, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 10:55:42');
INSERT INTO `sys_logininfor` VALUES (231, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 19:56:12');
INSERT INTO `sys_logininfor` VALUES (232, 'manage', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 20:01:00');
INSERT INTO `sys_logininfor` VALUES (233, 'manage', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 20:03:12');
INSERT INTO `sys_logininfor` VALUES (234, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 20:03:22');
INSERT INTO `sys_logininfor` VALUES (235, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 21:11:52');
INSERT INTO `sys_logininfor` VALUES (236, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:04:09');
INSERT INTO `sys_logininfor` VALUES (237, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:04:22');
INSERT INTO `sys_logininfor` VALUES (238, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:04:54');
INSERT INTO `sys_logininfor` VALUES (239, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:05:05');
INSERT INTO `sys_logininfor` VALUES (240, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:05:47');
INSERT INTO `sys_logininfor` VALUES (241, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:06:10');
INSERT INTO `sys_logininfor` VALUES (242, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:07:34');
INSERT INTO `sys_logininfor` VALUES (243, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-10 22:07:35');
INSERT INTO `sys_logininfor` VALUES (244, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:07:39');
INSERT INTO `sys_logininfor` VALUES (245, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:10:52');
INSERT INTO `sys_logininfor` VALUES (246, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:11:05');
INSERT INTO `sys_logininfor` VALUES (247, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:11:21');
INSERT INTO `sys_logininfor` VALUES (248, 'admin', '192.168.9.9', '内网IP', 'Firefox', 'Linux', '0', '登录成功', '2024-12-10 22:29:43');
INSERT INTO `sys_logininfor` VALUES (249, 'teacher', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:34:05');
INSERT INTO `sys_logininfor` VALUES (250, 'teacher', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:34:14');
INSERT INTO `sys_logininfor` VALUES (251, 'xueyuan001', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:34:28');
INSERT INTO `sys_logininfor` VALUES (252, 'xueyuan001', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:34:43');
INSERT INTO `sys_logininfor` VALUES (253, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:34:45');
INSERT INTO `sys_logininfor` VALUES (254, 'manage', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:35:16');
INSERT INTO `sys_logininfor` VALUES (255, 'manage', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-10 22:36:31');
INSERT INTO `sys_logininfor` VALUES (256, 'admin', '123.234.220.46', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:36:56');
INSERT INTO `sys_logininfor` VALUES (257, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-10 22:58:40');
INSERT INTO `sys_logininfor` VALUES (258, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-11 02:51:18');
INSERT INTO `sys_logininfor` VALUES (259, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-11 02:51:25');
INSERT INTO `sys_logininfor` VALUES (260, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 02:51:29');
INSERT INTO `sys_logininfor` VALUES (261, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 03:03:40');
INSERT INTO `sys_logininfor` VALUES (262, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 03:06:31');
INSERT INTO `sys_logininfor` VALUES (263, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 03:19:38');
INSERT INTO `sys_logininfor` VALUES (264, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-11 03:19:42');
INSERT INTO `sys_logininfor` VALUES (265, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 03:20:09');
INSERT INTO `sys_logininfor` VALUES (266, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-11 03:27:16');
INSERT INTO `sys_logininfor` VALUES (267, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 03:27:34');
INSERT INTO `sys_logininfor` VALUES (268, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-11 04:23:08');
INSERT INTO `sys_logininfor` VALUES (269, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 04:23:17');
INSERT INTO `sys_logininfor` VALUES (270, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-11 04:25:28');
INSERT INTO `sys_logininfor` VALUES (271, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-11 04:25:41');
INSERT INTO `sys_logininfor` VALUES (272, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 04:45:00');
INSERT INTO `sys_logininfor` VALUES (273, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 05:25:49');
INSERT INTO `sys_logininfor` VALUES (274, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 05:25:56');
INSERT INTO `sys_logininfor` VALUES (275, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 08:38:00');
INSERT INTO `sys_logininfor` VALUES (276, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 08:38:07');
INSERT INTO `sys_logininfor` VALUES (277, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 08:44:58');
INSERT INTO `sys_logininfor` VALUES (278, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 08:45:15');
INSERT INTO `sys_logininfor` VALUES (279, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 08:47:58');
INSERT INTO `sys_logininfor` VALUES (280, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 08:48:26');
INSERT INTO `sys_logininfor` VALUES (281, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 08:53:30');
INSERT INTO `sys_logininfor` VALUES (282, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 08:53:49');
INSERT INTO `sys_logininfor` VALUES (283, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 08:54:02');
INSERT INTO `sys_logininfor` VALUES (284, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 08:54:12');
INSERT INTO `sys_logininfor` VALUES (285, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 08:57:22');
INSERT INTO `sys_logininfor` VALUES (286, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 08:57:34');
INSERT INTO `sys_logininfor` VALUES (287, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:14:07');
INSERT INTO `sys_logininfor` VALUES (288, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:14:31');
INSERT INTO `sys_logininfor` VALUES (289, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:14:43');
INSERT INTO `sys_logininfor` VALUES (290, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:23:37');
INSERT INTO `sys_logininfor` VALUES (291, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:23:48');
INSERT INTO `sys_logininfor` VALUES (292, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '1', '验证码已失效', '2024-12-11 09:26:01');
INSERT INTO `sys_logininfor` VALUES (293, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:26:05');
INSERT INTO `sys_logininfor` VALUES (294, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:32:08');
INSERT INTO `sys_logininfor` VALUES (295, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:32:18');
INSERT INTO `sys_logininfor` VALUES (296, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:38:01');
INSERT INTO `sys_logininfor` VALUES (297, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:38:17');
INSERT INTO `sys_logininfor` VALUES (298, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:41:32');
INSERT INTO `sys_logininfor` VALUES (299, 'xueyuan002', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:42:02');
INSERT INTO `sys_logininfor` VALUES (300, 'xueyuan002', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:43:33');
INSERT INTO `sys_logininfor` VALUES (301, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:43:51');
INSERT INTO `sys_logininfor` VALUES (302, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:46:12');
INSERT INTO `sys_logininfor` VALUES (303, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:46:35');
INSERT INTO `sys_logininfor` VALUES (304, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:47:34');
INSERT INTO `sys_logininfor` VALUES (305, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:47:44');
INSERT INTO `sys_logininfor` VALUES (306, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:49:00');
INSERT INTO `sys_logininfor` VALUES (307, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 09:49:10');
INSERT INTO `sys_logininfor` VALUES (308, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 09:50:55');
INSERT INTO `sys_logininfor` VALUES (309, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '1', '验证码已失效', '2024-12-11 10:05:00');
INSERT INTO `sys_logininfor` VALUES (310, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:05:04');
INSERT INTO `sys_logininfor` VALUES (311, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:06:43');
INSERT INTO `sys_logininfor` VALUES (312, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:06:53');
INSERT INTO `sys_logininfor` VALUES (313, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:07:08');
INSERT INTO `sys_logininfor` VALUES (314, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '1', '验证码已失效', '2024-12-11 10:14:59');
INSERT INTO `sys_logininfor` VALUES (315, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:15:04');
INSERT INTO `sys_logininfor` VALUES (316, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:16:29');
INSERT INTO `sys_logininfor` VALUES (317, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:16:36');
INSERT INTO `sys_logininfor` VALUES (318, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:20:04');
INSERT INTO `sys_logininfor` VALUES (319, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:30:32');
INSERT INTO `sys_logininfor` VALUES (320, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '1', '验证码错误', '2024-12-11 10:30:41');
INSERT INTO `sys_logininfor` VALUES (321, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:30:46');
INSERT INTO `sys_logininfor` VALUES (322, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:33:05');
INSERT INTO `sys_logininfor` VALUES (323, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:33:17');
INSERT INTO `sys_logininfor` VALUES (324, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:34:51');
INSERT INTO `sys_logininfor` VALUES (325, 'admin', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:34:57');
INSERT INTO `sys_logininfor` VALUES (326, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:45:01');
INSERT INTO `sys_logininfor` VALUES (327, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:47:12');
INSERT INTO `sys_logininfor` VALUES (328, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 10:47:21');
INSERT INTO `sys_logininfor` VALUES (329, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 10:51:34');
INSERT INTO `sys_logininfor` VALUES (330, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:34:03');
INSERT INTO `sys_logininfor` VALUES (331, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:46:11');
INSERT INTO `sys_logininfor` VALUES (332, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 11:47:40');
INSERT INTO `sys_logininfor` VALUES (333, 'admin', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:48:06');
INSERT INTO `sys_logininfor` VALUES (334, 'admin', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 11:48:39');
INSERT INTO `sys_logininfor` VALUES (335, 'teacher02', '183.197.22.179', 'XX XX', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2024-12-11 11:52:01');
INSERT INTO `sys_logininfor` VALUES (336, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '1', '验证码已失效', '2024-12-11 11:54:16');
INSERT INTO `sys_logininfor` VALUES (337, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:54:20');
INSERT INTO `sys_logininfor` VALUES (338, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 11:55:14');
INSERT INTO `sys_logininfor` VALUES (339, 'xueyuan001', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:55:37');
INSERT INTO `sys_logininfor` VALUES (340, 'xueyuan001', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 11:56:01');
INSERT INTO `sys_logininfor` VALUES (341, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:56:25');
INSERT INTO `sys_logininfor` VALUES (342, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 11:56:36');
INSERT INTO `sys_logininfor` VALUES (343, 'xueyuan001', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-12-11 11:56:48');
INSERT INTO `sys_logininfor` VALUES (344, 'xueyuan001', '172.30.80.1', '内网IP', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-12-11 11:57:47');
INSERT INTO `sys_logininfor` VALUES (345, 'xueyuan001', '124.129.180.133', 'XX XX', 'Chrome 11', 'Windows 10', '1', '验证码已失效', '2024-12-11 11:58:08');
INSERT INTO `sys_logininfor` VALUES (346, 'xueyuan001', '124.129.180.133', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2024-12-11 11:58:13');
INSERT INTO `sys_logininfor` VALUES (347, 'xueyuan001', '124.129.180.133', 'XX XX', 'Chrome 11', 'Windows 10', '0', '退出成功', '2024-12-11 12:02:43');
INSERT INTO `sys_logininfor` VALUES (348, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-11 18:47:25');
INSERT INTO `sys_logininfor` VALUES (349, 'teacher02', '172.30.80.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-11 18:48:47');
INSERT INTO `sys_logininfor` VALUES (350, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-12 02:16:53');
INSERT INTO `sys_logininfor` VALUES (351, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-12 02:17:23');
INSERT INTO `sys_logininfor` VALUES (352, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-12 10:23:38');
INSERT INTO `sys_logininfor` VALUES (353, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-12 10:23:53');
INSERT INTO `sys_logininfor` VALUES (354, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-12 10:24:28');
INSERT INTO `sys_logininfor` VALUES (355, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-12 10:24:42');
INSERT INTO `sys_logininfor` VALUES (356, 'teacher02', '27.185.27.197', 'XX XX', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-12 21:50:38');
INSERT INTO `sys_logininfor` VALUES (357, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-12 22:23:39');
INSERT INTO `sys_logininfor` VALUES (358, 'teacher', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-13 01:49:16');
INSERT INTO `sys_logininfor` VALUES (359, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-13 01:49:37');
INSERT INTO `sys_logininfor` VALUES (360, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-13 01:50:05');
INSERT INTO `sys_logininfor` VALUES (361, 'teacher02', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-13 01:50:40');
INSERT INTO `sys_logininfor` VALUES (362, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-13 01:51:01');
INSERT INTO `sys_logininfor` VALUES (363, 'teacher', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-13 01:55:05');
INSERT INTO `sys_logininfor` VALUES (364, 'teacher', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '验证码错误', '2024-12-13 01:55:13');
INSERT INTO `sys_logininfor` VALUES (365, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-13 02:25:43');
INSERT INTO `sys_logininfor` VALUES (366, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-13 03:14:04');
INSERT INTO `sys_logininfor` VALUES (367, 'teacher', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-13 03:22:57');
INSERT INTO `sys_logininfor` VALUES (368, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-15 06:32:07');
INSERT INTO `sys_logininfor` VALUES (369, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-15 18:43:07');
INSERT INTO `sys_logininfor` VALUES (370, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-15 20:02:43');
INSERT INTO `sys_logininfor` VALUES (371, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-15 20:02:56');
INSERT INTO `sys_logininfor` VALUES (372, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-15 20:03:02');
INSERT INTO `sys_logininfor` VALUES (373, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-15 20:18:22');
INSERT INTO `sys_logininfor` VALUES (374, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-15 20:18:55');
INSERT INTO `sys_logininfor` VALUES (375, 'manage', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-15 20:25:57');
INSERT INTO `sys_logininfor` VALUES (376, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-16 03:36:34');
INSERT INTO `sys_logininfor` VALUES (377, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-16 05:29:45');
INSERT INTO `sys_logininfor` VALUES (378, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-16 19:38:20');
INSERT INTO `sys_logininfor` VALUES (379, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-16 19:38:37');
INSERT INTO `sys_logininfor` VALUES (380, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-16 19:49:54');
INSERT INTO `sys_logininfor` VALUES (381, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-16 21:49:15');
INSERT INTO `sys_logininfor` VALUES (382, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-16 22:14:20');
INSERT INTO `sys_logininfor` VALUES (383, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-17 10:15:20');
INSERT INTO `sys_logininfor` VALUES (384, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-18 00:45:27');
INSERT INTO `sys_logininfor` VALUES (385, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-18 00:45:31');
INSERT INTO `sys_logininfor` VALUES (386, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-18 00:58:01');
INSERT INTO `sys_logininfor` VALUES (387, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-18 00:58:05');
INSERT INTO `sys_logininfor` VALUES (388, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-18 03:11:17');
INSERT INTO `sys_logininfor` VALUES (389, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-18 08:43:10');
INSERT INTO `sys_logininfor` VALUES (390, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-18 09:23:17');
INSERT INTO `sys_logininfor` VALUES (391, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-18 09:23:35');
INSERT INTO `sys_logininfor` VALUES (392, 'admin', '119.165.5.50', 'XX XX', 'Firefox 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-18 10:37:43');
INSERT INTO `sys_logininfor` VALUES (393, 'admin', '119.165.5.50', 'XX XX', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-18 10:37:52');
INSERT INTO `sys_logininfor` VALUES (394, 'admin', '119.165.5.50', 'XX XX', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-18 10:38:00');
INSERT INTO `sys_logininfor` VALUES (395, 'admin', '119.165.5.50', 'XX XX', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-18 10:41:22');
INSERT INTO `sys_logininfor` VALUES (396, 'admin', '119.165.5.50', 'XX XX', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-18 10:41:33');
INSERT INTO `sys_logininfor` VALUES (397, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-18 19:40:36');
INSERT INTO `sys_logininfor` VALUES (398, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-19 11:40:40');
INSERT INTO `sys_logininfor` VALUES (399, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-19 13:51:00');
INSERT INTO `sys_logininfor` VALUES (400, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:13:58');
INSERT INTO `sys_logininfor` VALUES (401, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-19 16:14:09');
INSERT INTO `sys_logininfor` VALUES (402, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:14:14');
INSERT INTO `sys_logininfor` VALUES (403, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-19 16:17:03');
INSERT INTO `sys_logininfor` VALUES (404, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:17:06');
INSERT INTO `sys_logininfor` VALUES (405, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 16:25:40');
INSERT INTO `sys_logininfor` VALUES (406, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:25:45');
INSERT INTO `sys_logininfor` VALUES (407, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:26:57');
INSERT INTO `sys_logininfor` VALUES (408, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 16:41:59');
INSERT INTO `sys_logininfor` VALUES (409, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:42:14');
INSERT INTO `sys_logininfor` VALUES (410, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 16:42:31');
INSERT INTO `sys_logininfor` VALUES (411, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 17:20:25');
INSERT INTO `sys_logininfor` VALUES (412, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-19 17:22:28');
INSERT INTO `sys_logininfor` VALUES (413, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 17:22:32');
INSERT INTO `sys_logininfor` VALUES (414, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-19 17:46:09');
INSERT INTO `sys_logininfor` VALUES (415, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 17:56:46');
INSERT INTO `sys_logininfor` VALUES (416, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-19 17:57:49');
INSERT INTO `sys_logininfor` VALUES (417, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-20 08:38:43');
INSERT INTO `sys_logininfor` VALUES (418, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-20 08:39:36');
INSERT INTO `sys_logininfor` VALUES (419, 'teacher', '223.79.54.93', 'XX XX', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2024-12-20 09:34:38');
INSERT INTO `sys_logininfor` VALUES (420, 'teacher', '223.79.54.93', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-12-20 09:34:44');
INSERT INTO `sys_logininfor` VALUES (421, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-20 09:38:47');
INSERT INTO `sys_logininfor` VALUES (422, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-20 09:58:30');
INSERT INTO `sys_logininfor` VALUES (423, 'teacher', '223.79.54.93', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-12-20 10:56:01');
INSERT INTO `sys_logininfor` VALUES (424, 'xueyuan001', '223.79.54.93', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-12-20 10:56:28');
INSERT INTO `sys_logininfor` VALUES (425, 'xueyuan001', '223.79.54.93', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-12-20 10:58:43');
INSERT INTO `sys_logininfor` VALUES (426, 'teacher', '223.79.54.93', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-12-20 10:58:50');
INSERT INTO `sys_logininfor` VALUES (427, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-20 11:29:03');
INSERT INTO `sys_logininfor` VALUES (428, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-20 12:02:16');
INSERT INTO `sys_logininfor` VALUES (429, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-20 13:31:32');
INSERT INTO `sys_logininfor` VALUES (430, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-21 09:35:24');
INSERT INTO `sys_logininfor` VALUES (431, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-21 09:35:50');
INSERT INTO `sys_logininfor` VALUES (432, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-23 08:46:46');
INSERT INTO `sys_logininfor` VALUES (433, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-23 08:47:00');
INSERT INTO `sys_logininfor` VALUES (434, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-23 08:47:28');
INSERT INTO `sys_logininfor` VALUES (435, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 10:07:07');
INSERT INTO `sys_logininfor` VALUES (436, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 10:09:16');
INSERT INTO `sys_logininfor` VALUES (437, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 10:09:20');
INSERT INTO `sys_logininfor` VALUES (438, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 10:18:20');
INSERT INTO `sys_logininfor` VALUES (439, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 10:28:30');
INSERT INTO `sys_logininfor` VALUES (440, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 10:29:16');
INSERT INTO `sys_logininfor` VALUES (441, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 10:43:58');
INSERT INTO `sys_logininfor` VALUES (442, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 10:44:03');
INSERT INTO `sys_logininfor` VALUES (443, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 10:44:13');
INSERT INTO `sys_logininfor` VALUES (444, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 10:57:34');
INSERT INTO `sys_logininfor` VALUES (445, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:00:10');
INSERT INTO `sys_logininfor` VALUES (446, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:01:35');
INSERT INTO `sys_logininfor` VALUES (447, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:01:43');
INSERT INTO `sys_logininfor` VALUES (448, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:03:59');
INSERT INTO `sys_logininfor` VALUES (449, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:04:16');
INSERT INTO `sys_logininfor` VALUES (450, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:05:20');
INSERT INTO `sys_logininfor` VALUES (451, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:05:30');
INSERT INTO `sys_logininfor` VALUES (452, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:05:36');
INSERT INTO `sys_logininfor` VALUES (453, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:05:48');
INSERT INTO `sys_logininfor` VALUES (454, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:08:41');
INSERT INTO `sys_logininfor` VALUES (455, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:15:13');
INSERT INTO `sys_logininfor` VALUES (456, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:15:42');
INSERT INTO `sys_logininfor` VALUES (457, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:16:01');
INSERT INTO `sys_logininfor` VALUES (458, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-23 11:20:00');
INSERT INTO `sys_logininfor` VALUES (459, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:20:22');
INSERT INTO `sys_logininfor` VALUES (460, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:22:00');
INSERT INTO `sys_logininfor` VALUES (461, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:22:05');
INSERT INTO `sys_logininfor` VALUES (462, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:22:20');
INSERT INTO `sys_logininfor` VALUES (463, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:22:29');
INSERT INTO `sys_logininfor` VALUES (464, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:24:46');
INSERT INTO `sys_logininfor` VALUES (465, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:24:53');
INSERT INTO `sys_logininfor` VALUES (466, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:25:41');
INSERT INTO `sys_logininfor` VALUES (467, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:25:46');
INSERT INTO `sys_logininfor` VALUES (468, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:26:34');
INSERT INTO `sys_logininfor` VALUES (469, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:26:41');
INSERT INTO `sys_logininfor` VALUES (470, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:28:01');
INSERT INTO `sys_logininfor` VALUES (471, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-23 11:29:45');
INSERT INTO `sys_logininfor` VALUES (472, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:40:00');
INSERT INTO `sys_logininfor` VALUES (473, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:40:06');
INSERT INTO `sys_logininfor` VALUES (474, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:52:54');
INSERT INTO `sys_logininfor` VALUES (475, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 11:53:32');
INSERT INTO `sys_logininfor` VALUES (476, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 11:59:09');
INSERT INTO `sys_logininfor` VALUES (477, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-23 12:05:08');
INSERT INTO `sys_logininfor` VALUES (478, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 14:21:39');
INSERT INTO `sys_logininfor` VALUES (479, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 16:09:17');
INSERT INTO `sys_logininfor` VALUES (480, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 16:09:23');
INSERT INTO `sys_logininfor` VALUES (481, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-23 16:41:57');
INSERT INTO `sys_logininfor` VALUES (482, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-23 16:42:29');
INSERT INTO `sys_logininfor` VALUES (483, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-23 16:42:33');
INSERT INTO `sys_logininfor` VALUES (484, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 08:49:26');
INSERT INTO `sys_logininfor` VALUES (485, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 08:50:00');
INSERT INTO `sys_logininfor` VALUES (486, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 08:59:35');
INSERT INTO `sys_logininfor` VALUES (487, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-24 09:26:31');
INSERT INTO `sys_logininfor` VALUES (488, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 09:26:46');
INSERT INTO `sys_logininfor` VALUES (489, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-24 09:52:09');
INSERT INTO `sys_logininfor` VALUES (490, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 09:52:15');
INSERT INTO `sys_logininfor` VALUES (491, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-24 13:37:29');
INSERT INTO `sys_logininfor` VALUES (492, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 13:37:39');
INSERT INTO `sys_logininfor` VALUES (493, 'teacher', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-24 15:50:04');
INSERT INTO `sys_logininfor` VALUES (494, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-24 16:43:11');
INSERT INTO `sys_logininfor` VALUES (495, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 16:43:20');
INSERT INTO `sys_logininfor` VALUES (496, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-24 17:55:01');
INSERT INTO `sys_logininfor` VALUES (497, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-24 18:00:16');
INSERT INTO `sys_logininfor` VALUES (498, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-24 19:34:11');
INSERT INTO `sys_logininfor` VALUES (499, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-24 19:34:27');
INSERT INTO `sys_logininfor` VALUES (500, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 20:58:16');
INSERT INTO `sys_logininfor` VALUES (501, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-24 20:58:42');
INSERT INTO `sys_logininfor` VALUES (502, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-24 22:12:14');
INSERT INTO `sys_logininfor` VALUES (503, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-24 22:56:17');
INSERT INTO `sys_logininfor` VALUES (504, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-24 22:56:26');
INSERT INTO `sys_logininfor` VALUES (505, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-12-24 22:56:37');
INSERT INTO `sys_logininfor` VALUES (506, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-24 22:56:44');
INSERT INTO `sys_logininfor` VALUES (507, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-24 23:11:59');
INSERT INTO `sys_logininfor` VALUES (508, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-26 12:40:39');
INSERT INTO `sys_logininfor` VALUES (509, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-26 12:42:12');
INSERT INTO `sys_logininfor` VALUES (510, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-26 12:43:15');
INSERT INTO `sys_logininfor` VALUES (511, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-26 12:54:50');
INSERT INTO `sys_logininfor` VALUES (512, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 14:50:21');
INSERT INTO `sys_logininfor` VALUES (513, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 15:17:52');
INSERT INTO `sys_logininfor` VALUES (514, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 15:26:53');
INSERT INTO `sys_logininfor` VALUES (515, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 15:27:15');
INSERT INTO `sys_logininfor` VALUES (516, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:03:53');
INSERT INTO `sys_logininfor` VALUES (517, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:03:58');
INSERT INTO `sys_logininfor` VALUES (518, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:07:36');
INSERT INTO `sys_logininfor` VALUES (519, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:07:47');
INSERT INTO `sys_logininfor` VALUES (520, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:09:08');
INSERT INTO `sys_logininfor` VALUES (521, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:09:29');
INSERT INTO `sys_logininfor` VALUES (522, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:10:31');
INSERT INTO `sys_logininfor` VALUES (523, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:11:01');
INSERT INTO `sys_logininfor` VALUES (524, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:12:22');
INSERT INTO `sys_logininfor` VALUES (525, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:12:34');
INSERT INTO `sys_logininfor` VALUES (526, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:14:11');
INSERT INTO `sys_logininfor` VALUES (527, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:14:22');
INSERT INTO `sys_logininfor` VALUES (528, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:16:23');
INSERT INTO `sys_logininfor` VALUES (529, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:16:41');
INSERT INTO `sys_logininfor` VALUES (530, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:18:35');
INSERT INTO `sys_logininfor` VALUES (531, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:18:50');
INSERT INTO `sys_logininfor` VALUES (532, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:19:58');
INSERT INTO `sys_logininfor` VALUES (533, 'teacher02', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:20:12');
INSERT INTO `sys_logininfor` VALUES (534, 'teacher02', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:20:41');
INSERT INTO `sys_logininfor` VALUES (535, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:20:57');
INSERT INTO `sys_logininfor` VALUES (536, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:23:20');
INSERT INTO `sys_logininfor` VALUES (537, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:23:29');
INSERT INTO `sys_logininfor` VALUES (538, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:25:57');
INSERT INTO `sys_logininfor` VALUES (539, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:26:07');
INSERT INTO `sys_logininfor` VALUES (540, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:26:29');
INSERT INTO `sys_logininfor` VALUES (541, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:26:39');
INSERT INTO `sys_logininfor` VALUES (542, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:39:57');
INSERT INTO `sys_logininfor` VALUES (543, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-26 16:42:22');
INSERT INTO `sys_logininfor` VALUES (544, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:42:26');
INSERT INTO `sys_logininfor` VALUES (545, 'manage', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '验证码已失效', '2024-12-26 16:42:41');
INSERT INTO `sys_logininfor` VALUES (546, 'manage', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:42:51');
INSERT INTO `sys_logininfor` VALUES (547, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 16:43:30');
INSERT INTO `sys_logininfor` VALUES (548, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 16:43:34');
INSERT INTO `sys_logininfor` VALUES (549, 'manage', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2024-12-26 17:05:39');
INSERT INTO `sys_logininfor` VALUES (550, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-26 17:05:56');
INSERT INTO `sys_logininfor` VALUES (551, 'teacher', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-26 17:19:52');
INSERT INTO `sys_logininfor` VALUES (552, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 17:20:05');
INSERT INTO `sys_logininfor` VALUES (553, 'xueyuan001', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-26 17:22:07');
INSERT INTO `sys_logininfor` VALUES (554, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-27 08:21:33');
INSERT INTO `sys_logininfor` VALUES (555, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-27 10:28:31');
INSERT INTO `sys_logininfor` VALUES (556, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-27 10:28:34');
INSERT INTO `sys_logininfor` VALUES (557, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 10:28:36');
INSERT INTO `sys_logininfor` VALUES (558, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 10:28:39');
INSERT INTO `sys_logininfor` VALUES (559, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-27 11:47:48');
INSERT INTO `sys_logininfor` VALUES (560, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2024-12-27 11:50:11');
INSERT INTO `sys_logininfor` VALUES (561, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 11:50:15');
INSERT INTO `sys_logininfor` VALUES (562, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-27 14:32:46');
INSERT INTO `sys_logininfor` VALUES (563, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 14:32:50');
INSERT INTO `sys_logininfor` VALUES (564, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-27 15:52:06');
INSERT INTO `sys_logininfor` VALUES (565, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 15:52:15');
INSERT INTO `sys_logininfor` VALUES (566, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-27 15:59:40');
INSERT INTO `sys_logininfor` VALUES (567, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 16:23:42');
INSERT INTO `sys_logininfor` VALUES (568, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-27 17:05:36');
INSERT INTO `sys_logininfor` VALUES (569, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 17:05:41');
INSERT INTO `sys_logininfor` VALUES (570, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-27 18:01:28');
INSERT INTO `sys_logininfor` VALUES (571, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-27 18:01:41');
INSERT INTO `sys_logininfor` VALUES (572, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-27 20:29:01');
INSERT INTO `sys_logininfor` VALUES (573, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-28 08:44:59');
INSERT INTO `sys_logininfor` VALUES (574, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 09:52:00');
INSERT INTO `sys_logininfor` VALUES (575, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-28 11:02:55');
INSERT INTO `sys_logininfor` VALUES (576, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 11:03:30');
INSERT INTO `sys_logininfor` VALUES (577, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-28 11:08:20');
INSERT INTO `sys_logininfor` VALUES (578, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 11:08:30');
INSERT INTO `sys_logininfor` VALUES (579, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 11:08:36');
INSERT INTO `sys_logininfor` VALUES (580, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-28 12:46:54');
INSERT INTO `sys_logininfor` VALUES (581, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 12:47:10');
INSERT INTO `sys_logininfor` VALUES (582, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 12:57:17');
INSERT INTO `sys_logininfor` VALUES (583, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-28 12:57:17');
INSERT INTO `sys_logininfor` VALUES (584, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 12:57:22');
INSERT INTO `sys_logininfor` VALUES (585, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-28 13:22:19');
INSERT INTO `sys_logininfor` VALUES (586, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 08:53:30');
INSERT INTO `sys_logininfor` VALUES (587, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 08:53:33');
INSERT INTO `sys_logininfor` VALUES (588, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 08:54:58');
INSERT INTO `sys_logininfor` VALUES (589, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 09:40:43');
INSERT INTO `sys_logininfor` VALUES (590, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 09:40:49');
INSERT INTO `sys_logininfor` VALUES (591, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-30 09:53:45');
INSERT INTO `sys_logininfor` VALUES (592, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 10:13:13');
INSERT INTO `sys_logininfor` VALUES (593, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 10:13:29');
INSERT INTO `sys_logininfor` VALUES (594, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 10:30:40');
INSERT INTO `sys_logininfor` VALUES (595, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 10:30:55');
INSERT INTO `sys_logininfor` VALUES (596, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 10:47:19');
INSERT INTO `sys_logininfor` VALUES (597, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 10:47:31');
INSERT INTO `sys_logininfor` VALUES (598, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 11:00:35');
INSERT INTO `sys_logininfor` VALUES (599, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 11:00:46');
INSERT INTO `sys_logininfor` VALUES (600, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 11:30:55');
INSERT INTO `sys_logininfor` VALUES (601, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-30 11:31:02');
INSERT INTO `sys_logininfor` VALUES (602, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 11:31:07');
INSERT INTO `sys_logininfor` VALUES (603, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 13:35:01');
INSERT INTO `sys_logininfor` VALUES (604, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 13:35:05');
INSERT INTO `sys_logininfor` VALUES (605, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 14:16:25');
INSERT INTO `sys_logininfor` VALUES (606, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 14:16:48');
INSERT INTO `sys_logininfor` VALUES (607, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 14:49:08');
INSERT INTO `sys_logininfor` VALUES (608, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 14:49:14');
INSERT INTO `sys_logininfor` VALUES (609, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 15:04:13');
INSERT INTO `sys_logininfor` VALUES (610, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 15:05:00');
INSERT INTO `sys_logininfor` VALUES (611, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 16:43:06');
INSERT INTO `sys_logininfor` VALUES (612, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 16:43:09');
INSERT INTO `sys_logininfor` VALUES (613, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-30 18:31:43');
INSERT INTO `sys_logininfor` VALUES (614, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-30 18:31:59');
INSERT INTO `sys_logininfor` VALUES (615, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2024-12-31 07:15:37');
INSERT INTO `sys_logininfor` VALUES (616, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2024-12-31 08:44:53');
INSERT INTO `sys_logininfor` VALUES (617, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-31 08:44:56');
INSERT INTO `sys_logininfor` VALUES (618, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-31 09:06:45');
INSERT INTO `sys_logininfor` VALUES (619, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-31 09:08:44');
INSERT INTO `sys_logininfor` VALUES (620, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-31 10:07:17');
INSERT INTO `sys_logininfor` VALUES (621, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-31 10:07:41');
INSERT INTO `sys_logininfor` VALUES (622, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2024-12-31 17:04:50');
INSERT INTO `sys_logininfor` VALUES (623, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-31 17:05:40');
INSERT INTO `sys_logininfor` VALUES (624, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-01 11:41:56');
INSERT INTO `sys_logininfor` VALUES (625, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-01-01 11:55:57');
INSERT INTO `sys_logininfor` VALUES (626, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-01 11:56:24');
INSERT INTO `sys_logininfor` VALUES (627, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-01 11:57:26');
INSERT INTO `sys_logininfor` VALUES (628, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-01-01 12:05:02');
INSERT INTO `sys_logininfor` VALUES (629, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-01 12:10:21');
INSERT INTO `sys_logininfor` VALUES (630, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-01-01 12:21:35');
INSERT INTO `sys_logininfor` VALUES (631, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-01 15:03:29');
INSERT INTO `sys_logininfor` VALUES (632, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-01-01 17:47:19');
INSERT INTO `sys_logininfor` VALUES (633, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-01 18:37:01');
INSERT INTO `sys_logininfor` VALUES (634, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-02 14:25:51');
INSERT INTO `sys_logininfor` VALUES (635, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 15:12:55');
INSERT INTO `sys_logininfor` VALUES (636, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '验证码错误', '2025-01-02 17:05:25');
INSERT INTO `sys_logininfor` VALUES (637, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 17:05:30');
INSERT INTO `sys_logininfor` VALUES (638, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 12:03:31');
INSERT INTO `sys_logininfor` VALUES (639, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 12:03:46');
INSERT INTO `sys_logininfor` VALUES (640, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2025-01-02 12:53:00');
INSERT INTO `sys_logininfor` VALUES (641, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 12:53:13');
INSERT INTO `sys_logininfor` VALUES (642, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '验证码错误', '2025-01-02 12:54:52');
INSERT INTO `sys_logininfor` VALUES (643, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 12:54:56');
INSERT INTO `sys_logininfor` VALUES (644, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 12:56:02');
INSERT INTO `sys_logininfor` VALUES (645, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2025-01-02 12:57:04');
INSERT INTO `sys_logininfor` VALUES (646, 'xueyuan002', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-02 12:57:19');
INSERT INTO `sys_logininfor` VALUES (647, 'xueyuan0002', '192.168.1.220', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2025-01-03 02:45:21');
INSERT INTO `sys_logininfor` VALUES (648, 'xueyuan002', '192.168.1.220', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-03 02:45:26');
INSERT INTO `sys_logininfor` VALUES (649, 'xueyuan002', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-03 06:59:10');
INSERT INTO `sys_logininfor` VALUES (650, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-03 07:22:38');
INSERT INTO `sys_logininfor` VALUES (651, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-03 22:19:12');
INSERT INTO `sys_logininfor` VALUES (652, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-04 21:52:42');
INSERT INTO `sys_logininfor` VALUES (653, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-06 21:06:05');
INSERT INTO `sys_logininfor` VALUES (654, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2025-01-06 22:05:43');
INSERT INTO `sys_logininfor` VALUES (655, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '验证码错误', '2025-01-06 22:05:53');
INSERT INTO `sys_logininfor` VALUES (656, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-06 22:05:58');
INSERT INTO `sys_logininfor` VALUES (657, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '1', '验证码错误', '2025-01-06 22:25:05');
INSERT INTO `sys_logininfor` VALUES (658, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-06 22:25:09');
INSERT INTO `sys_logininfor` VALUES (659, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 01:18:32');
INSERT INTO `sys_logininfor` VALUES (660, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2025-01-07 01:18:51');
INSERT INTO `sys_logininfor` VALUES (661, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 01:19:02');
INSERT INTO `sys_logininfor` VALUES (662, 'xueyuan001', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 01:21:08');
INSERT INTO `sys_logininfor` VALUES (663, 'xueyuan002', '192.168.2.153', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 01:48:03');
INSERT INTO `sys_logininfor` VALUES (664, 'xueyuan002', '192.168.2.153', '内网IP', 'Firefox 13', 'Windows 10', '0', '退出成功', '2025-01-07 01:48:13');
INSERT INTO `sys_logininfor` VALUES (665, 'admin', '192.168.2.153', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 01:48:28');
INSERT INTO `sys_logininfor` VALUES (666, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 01:51:38');
INSERT INTO `sys_logininfor` VALUES (667, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 07:04:12');
INSERT INTO `sys_logininfor` VALUES (668, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 07:04:40');
INSERT INTO `sys_logininfor` VALUES (669, 'admin', '127.0.0.1', '内网IP', 'Firefox 13', 'Windows 10', '0', '登录成功', '2025-01-07 23:35:52');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2039 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 1, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-09 09:48:29', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 2, 'monitor', NULL, '', '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-09 09:28:55', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 3, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-09 09:28:49', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-06 11:22:07', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-06 11:22:07', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-06 11:22:07', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '组织层级', 2000, 2, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-20 13:32:08', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 1, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-13 01:55:49', '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-06 11:22:07', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-06 11:22:07', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-06 11:22:07', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-06 11:22:07', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-06 11:22:07', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-06 11:22:07', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-06 11:22:07', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-06 11:22:07', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-06 11:22:07', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-06 11:22:07', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-06 11:22:07', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-06 11:22:07', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-06 11:22:07', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-06 11:22:07', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-06 11:22:07', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '班级查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '班级新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '班级修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '班级删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '学生信息管理', 0, 40, 'peoples', NULL, NULL, '', 1, 0, 'M', '0', '0', NULL, 'peoples', 'admin', '2024-12-06 17:46:22', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2001, '专业管理', 2000, 1, 'major', 'peoples/major/index', NULL, '', 1, 1, 'C', '1', '1', 'sim:major:list', 'theme', 'admin', '2024-12-02 14:25:27', 'admin', '2024-12-20 13:49:21', '');
INSERT INTO `sys_menu` VALUES (2003, '学员管理', 2000, 3, 'student', 'peoples/student/index', NULL, '', 1, 0, 'C', '0', '0', 'sim:student:list', 'peoples', 'admin', '2024-12-02 14:27:44', 'admin', '2024-12-11 08:05:14', '');
INSERT INTO `sys_menu` VALUES (2004, '训练任务管理', 0, 50, 'task', 'peoples/task/index', NULL, '', 1, 0, 'C', '0', '0', 'system:user:list', 'tab', 'admin', '2024-12-02 14:18:41', 'admin', '2024-12-11 09:37:33', '');
INSERT INTO `sys_menu` VALUES (2005, '学生成绩管理', 0, 60, 'score', 'peoples/score/index', NULL, '', 1, 0, 'C', '0', '0', '', 'chart', 'admin', '2024-12-02 14:20:20', 'admin', '2024-12-04 08:53:43', '');
INSERT INTO `sys_menu` VALUES (2006, '学生考试管理', 0, 70, 'exams', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'chart', 'admin', '2024-12-02 14:31:21', 'admin', '2024-12-03 09:50:23', '');
INSERT INTO `sys_menu` VALUES (2007, '考试列表', 2006, 1, 'exams', 'peoples/exams/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-02 14:33:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2008, '当前考试', 2006, 2, 'present', 'peoples/present/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-02 14:34:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2009, '学生练习管理', 0, 80, 'trains', NULL, NULL, '', 1, 0, 'M', '0', '0', '', 'example', 'admin', '2024-12-02 14:32:08', 'admin', '2024-12-03 09:50:38', '');
INSERT INTO `sys_menu` VALUES (2010, '练习列表', 2009, 1, 'trains', 'peoples/trains/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-02 14:35:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '当前练习', 2009, 2, 'current', 'peoples/current/index', NULL, '', 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-12-02 14:36:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '考试管理', 0, 200, 'exam', '', NULL, '', 1, 0, 'M', '0', '0', '', 'chart', 'admin', '2024-12-02 14:09:42', 'admin', '2024-12-09 10:47:32', '');
INSERT INTO `sys_menu` VALUES (2013, '练习管理', 0, 300, 'train', '', NULL, '', 1, 0, 'M', '0', '0', '', 'example', 'admin', '2024-12-02 14:11:53', 'admin', '2024-12-09 10:47:37', '');
INSERT INTO `sys_menu` VALUES (2014, '自主练习管理', 0, 400, 'practice', 'people/practice/index', NULL, '', 1, 0, 'C', '0', '0', 'system:user:list', 'eye-open', 'admin', '2024-12-02 14:16:57', 'admin', '2024-12-11 09:48:42', '');
INSERT INTO `sys_menu` VALUES (2015, '成绩管理', 2012, 2, 'score', 'people/score/index', NULL, '', 1, 1, 'C', '0', '0', 'system:user:list', 'chart', 'admin', '2024-12-02 14:04:13', 'admin', '2024-12-11 09:48:27', '');
INSERT INTO `sys_menu` VALUES (2016, '考试列表', 2012, 1, 'exam', 'people/exam/index', NULL, '', 1, 1, 'C', '0', '0', 'system:user:list', 'job', 'admin', '2024-12-05 15:28:27', 'admin', '2024-12-11 09:48:20', '');
INSERT INTO `sys_menu` VALUES (2017, '练习列表', 2013, 1, 'train', 'people/train/index', NULL, '', 1, 0, 'C', '0', '0', 'system:user:list', 'example', 'admin', '2024-12-05 15:31:18', 'admin', '2024-12-11 09:48:32', '');
INSERT INTO `sys_menu` VALUES (2018, '练习成绩', 2013, 2, 'train', 'people/train/score', NULL, '', 1, 0, 'C', '1', '0', 'system:user:list', 'exit-fullscreen', 'admin', '2024-12-05 15:32:50', 'admin', '2024-12-11 09:48:38', '');
INSERT INTO `sys_menu` VALUES (2019, '教师管理', 0, 7, 'teacher', 'teacher/index', NULL, '', 1, 0, 'C', '0', '0', 'sim:teacher:list', 'user', 'admin', '2024-12-05 09:15:50', 'admin', '2024-12-11 07:48:52', '');
INSERT INTO `sys_menu` VALUES (2020, '教师查询', 2019, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:teacher:query', '#', 'admin', '2024-12-10 01:28:39', 'admin', '2024-12-11 08:00:32', '');
INSERT INTO `sys_menu` VALUES (2021, '教师新增', 2019, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:teacher:add', '#', 'admin', '2024-12-10 01:32:11', 'admin', '2024-12-11 08:00:39', '');
INSERT INTO `sys_menu` VALUES (2022, '教师修改', 2019, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:teacher:edit', '#', 'admin', '2024-12-10 01:32:40', 'admin', '2024-12-11 08:01:46', '');
INSERT INTO `sys_menu` VALUES (2023, '教师删除', 2019, 4, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:teacher:remove', '#', 'admin', '2024-12-10 01:33:09', 'admin', '2024-12-11 08:02:08', '');
INSERT INTO `sys_menu` VALUES (2024, '教师重置密码', 2019, 5, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:teacher:resetPwd', '#', 'admin', '2024-12-10 01:34:25', 'admin', '2024-12-11 08:06:27', '');
INSERT INTO `sys_menu` VALUES (2025, '专业查询', 2001, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:major:query', '#', 'admin', '2024-12-11 03:28:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, '专业新增', 2001, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:major:add', '#', 'admin', '2024-12-11 03:28:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2027, '专业修改', 2001, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:major:edit', '#', 'admin', '2024-12-11 03:29:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2028, '专业删除', 2001, 4, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:major:remove', '#', 'admin', '2024-12-11 03:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2029, '专业导出', 2001, 5, '', NULL, NULL, '', 1, 0, 'F', '0', '1', 'sim:major:export', '#', 'admin', '2024-12-11 03:29:55', 'admin', '2024-12-11 07:58:39', '');
INSERT INTO `sys_menu` VALUES (2030, '学员查询', 2003, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:student:query', '#', 'admin', '2024-12-11 07:54:16', 'admin', '2024-12-11 08:05:07', '');
INSERT INTO `sys_menu` VALUES (2031, '学员新增', 2003, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:student:add', '#', 'admin', '2024-12-11 07:55:17', 'admin', '2024-12-11 08:05:02', '');
INSERT INTO `sys_menu` VALUES (2032, '学员修改', 2003, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:student:edit', '#', 'admin', '2024-12-11 07:55:54', 'admin', '2024-12-11 08:04:56', '');
INSERT INTO `sys_menu` VALUES (2033, '学员删除', 2003, 4, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:student:remove', '#', 'admin', '2024-12-11 07:58:04', 'admin', '2024-12-11 08:04:51', '');
INSERT INTO `sys_menu` VALUES (2034, '学员重置密码', 2003, 5, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'sim:student:resetPwd', '#', 'admin', '2024-12-11 08:04:04', 'admin', '2024-12-11 08:04:33', '');
INSERT INTO `sys_menu` VALUES (2035, '任务查询', 2004, 1, '', NULL, NULL, '', 1, 0, 'F', '0', '0', '', '#', 'admin', '2024-12-11 08:11:42', 'admin', '2024-12-11 09:02:46', '');
INSERT INTO `sys_menu` VALUES (2036, '任务新增', 2004, 2, '', NULL, NULL, '', 1, 0, 'F', '0', '0', '', '#', 'admin', '2024-12-11 08:12:43', 'admin', '2024-12-11 09:02:50', '');
INSERT INTO `sys_menu` VALUES (2037, '任务修改', 2004, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', '', '#', 'admin', '2024-12-11 08:13:10', 'admin', '2024-12-11 09:03:01', '');
INSERT INTO `sys_menu` VALUES (2038, '进入按钮', 2012, 3, '', NULL, NULL, '', 1, 0, 'F', '0', '0', 'simulator:user:remove', '#', 'admin', '2024-12-11 10:32:35', 'admin', '2024-12-11 10:32:40', '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-12-06 11:22:07', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-12-06 11:22:07', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 596 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2024-12-06 17:33:05', 93);
INSERT INTO `sys_oper_log` VALUES (101, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 11:22:07\",\"dataScope\":\"2\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[1,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,102,1012,1013,1014,1015,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,105,1025,1026,1027,1028,1029,106,1030,1031,1032,1033,1034,107,1035,1036,1037,1038,108,500,1039,1040,1041,501,1042,1043,1044,1045,2,109,1046,1047,1048,110,1049,1050,1051,1052,1053,1054,111,112,113,114,3,115,116,1055,1056,1057,1058,1059,1060,117],\"params\":{},\"remark\":\"普通角色\",\"roleId\":2,\"roleKey\":\"common\",\"roleName\":\"普通角色\",\"roleSort\":2,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 17:33:17', 359);
INSERT INTO `sys_oper_log` VALUES (102, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":100,\"roleKey\":\"peoples\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 17:34:09', 210);
INSERT INTO `sys_oper_log` VALUES (103, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":101,\"roleKey\":\"people\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 17:34:26', 169);
INSERT INTO `sys_oper_log` VALUES (104, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[],\"params\":{},\"roleId\":102,\"roleKey\":\"manage\",\"roleName\":\"管理端\",\"roleSort\":5,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 17:34:50', 167);
INSERT INTO `sys_oper_log` VALUES (105, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 17:37:49', 99);
INSERT INTO `sys_oper_log` VALUES (106, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"学生信息管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"peoples\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 17:46:22', 249);
INSERT INTO `sys_oper_log` VALUES (107, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-02 14:09:42\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2012,\"menuName\":\"考试管理\",\"menuType\":\"M\",\"orderNum\":200,\"params\":{},\"parentId\":0,\"path\":\"exam\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 20:09:14', 324);
INSERT INTO `sys_oper_log` VALUES (108, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/score/index\",\"createTime\":\"2024-12-02 14:04:13\",\"icon\":\"chart\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2015,\"menuName\":\"成绩管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2012,\"path\":\"score\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 20:10:00', 416);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/exam/index\",\"createTime\":\"2024-12-05 15:28:27\",\"icon\":\"job\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"考试列表\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2012,\"path\":\"exam\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 20:10:15', 355);
INSERT INTO `sys_oper_log` VALUES (110, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-02 14:11:53\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"练习管理\",\"menuType\":\"M\",\"orderNum\":300,\"params\":{},\"parentId\":0,\"path\":\"train\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 20:12:09', 446);
INSERT INTO `sys_oper_log` VALUES (111, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', '研发部门', '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-06 20:13:24', 1467);
INSERT INTO `sys_oper_log` VALUES (112, '个人信息', 2, 'com.ruoyi.web.controller.system.SysProfileController.updatePwd()', 'PUT', 1, 'admin', '研发部门', '/system/user/profile/updatePwd', '192.168.9.101', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-08 18:46:51', 233);
INSERT INTO `sys_oper_log` VALUES (113, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:28:39', 112);
INSERT INTO `sys_oper_log` VALUES (114, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:28:49', 78);
INSERT INTO `sys_oper_log` VALUES (115, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:28:55', 73);
INSERT INTO `sys_oper_log` VALUES (116, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-02 14:09:42\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2012,\"menuName\":\"考试管理\",\"menuType\":\"M\",\"orderNum\":200,\"params\":{},\"parentId\":0,\"path\":\"exam\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:29:12', 75);
INSERT INTO `sys_oper_log` VALUES (117, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-02 14:11:53\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"练习管理\",\"menuType\":\"M\",\"orderNum\":300,\"params\":{},\"parentId\":0,\"path\":\"train\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:29:16', 82);
INSERT INTO `sys_oper_log` VALUES (118, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/practice/index\",\"createTime\":\"2024-12-02 14:16:57\",\"icon\":\"eye-open\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2014,\"menuName\":\"自主练习管理\",\"menuType\":\"C\",\"orderNum\":400,\"params\":{},\"parentId\":0,\"path\":\"practice\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:29:19', 80);
INSERT INTO `sys_oper_log` VALUES (119, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:48:29', 101);
INSERT INTO `sys_oper_log` VALUES (120, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"型号\",\"dictType\":\"sim_equip_type\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:49:57', 110);
INSERT INTO `sys_oper_log` VALUES (121, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"FZD04B型侦毒器\",\"dictSort\":1,\"dictType\":\"sim_equip_type\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:50:17', 100);
INSERT INTO `sys_oper_log` VALUES (122, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"FZB006型毒剂报警器\",\"dictSort\":2,\"dictType\":\"sim_equip_type\",\"dictValue\":\"2\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:50:26', 96);
INSERT INTO `sys_oper_log` VALUES (123, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"cssClass\":\"\",\"default\":false,\"dictLabel\":\"防化兵用毒剂报警器\",\"dictSort\":3,\"dictType\":\"sim_equip_type\",\"dictValue\":\"3\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 09:50:39', 97);
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-02 14:09:42\",\"icon\":\"chart\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2012,\"menuName\":\"考试管理\",\"menuType\":\"M\",\"orderNum\":200,\"params\":{},\"parentId\":0,\"path\":\"exam\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 10:47:32', 142);
INSERT INTO `sys_oper_log` VALUES (125, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"\",\"createTime\":\"2024-12-02 14:11:53\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"练习管理\",\"menuType\":\"M\",\"orderNum\":300,\"params\":{},\"parentId\":0,\"path\":\"train\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 10:47:37', 80);
INSERT INTO `sys_oper_log` VALUES (126, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/practice/index\",\"createTime\":\"2024-12-02 14:16:57\",\"icon\":\"eye-open\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2014,\"menuName\":\"自主练习管理\",\"menuType\":\"C\",\"orderNum\":400,\"params\":{},\"parentId\":0,\"path\":\"practice\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 10:47:41', 86);
INSERT INTO `sys_oper_log` VALUES (127, '个人信息', 2, 'com.ruoyi.web.controller.system.SysProfileController.updatePwd()', 'PUT', 1, 'admin', '研发部门', '/system/user/profile/updatePwd', '60.209.103.71', 'XX XX', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 18:50:06', 274);
INSERT INTO `sys_oper_log` VALUES (128, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'admin', '研发部门', '/system/user/profile/avatar', '112.255.69.94', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2024/12/09/微信截图_20241209184952_20241209055018A001.png\",\"code\":200}', 0, NULL, '2024-12-09 18:50:16', 610);
INSERT INTO `sys_oper_log` VALUES (129, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', '研发部门', '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 20:12:55', 1306);
INSERT INTO `sys_oper_log` VALUES (130, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', '研发部门', '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 20:14:02', 1498);
INSERT INTO `sys_oper_log` VALUES (131, '参数管理', 9, 'com.ruoyi.web.controller.system.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', '研发部门', '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 20:14:33', 1061);
INSERT INTO `sys_oper_log` VALUES (132, '参数管理', 9, 'com.ruoyi.web.controller.system.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', '研发部门', '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 20:19:59', 237);
INSERT INTO `sys_oper_log` VALUES (133, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"维修模拟训练平台\",\"email\":\"ry@qq.com\",\"leader\":\"\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"phone\":\"15888888888\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 20:21:49', 735);
INSERT INTO `sys_oper_log` VALUES (134, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'admin', '研发部门', '/system/user/profile/avatar', '60.209.103.71', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2024/12/09/1e30e924b899a901061ca77917950a7b0208f550_20241209083810A001.jpg\",\"code\":200}', 0, NULL, '2024-12-09 08:38:10', 110);
INSERT INTO `sys_oper_log` VALUES (135, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"teacher\",\"params\":{},\"postIds\":[],\"roleIds\":[100],\"status\":\"0\",\"userId\":3,\"userName\":\"teacher\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 20:59:48', 296);
INSERT INTO `sys_oper_log` VALUES (136, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"xueyuan001\",\"params\":{},\"postIds\":[],\"roleIds\":[101],\"status\":\"0\",\"userId\":4,\"userName\":\"xueyuan001\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:01:02', 244);
INSERT INTO `sys_oper_log` VALUES (137, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"xueyuan002\",\"params\":{},\"postIds\":[],\"roleIds\":[101],\"status\":\"0\",\"userId\":5,\"userName\":\"xueyuan002\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:01:17', 245);
INSERT INTO `sys_oper_log` VALUES (138, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"manage\",\"params\":{},\"postIds\":[],\"roleIds\":[102],\"status\":\"0\",\"userId\":6,\"userName\":\"manage\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:02:02', 307);
INSERT INTO `sys_oper_log` VALUES (139, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"peoples\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:03:08', 190);
INSERT INTO `sys_oper_log` VALUES (140, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:26\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":101,\"roleKey\":\"people\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:04:24', 176);
INSERT INTO `sys_oper_log` VALUES (141, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:50\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":102,\"roleKey\":\"manage\",\"roleName\":\"管理端\",\"roleSort\":5,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:04:50', 187);
INSERT INTO `sys_oper_log` VALUES (142, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', '研发部门', '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试班级1\",\"orderNum\":1,\"params\":{},\"parentId\":100,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:46:32', 79);
INSERT INTO `sys_oper_log` VALUES (143, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', '研发部门', '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试班级2\",\"orderNum\":2,\"params\":{},\"parentId\":100,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 21:51:24', 79);
INSERT INTO `sys_oper_log` VALUES (144, '部门管理', 3, 'com.ruoyi.web.controller.system.SysDeptController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/dept/101', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"存在下级部门,不允许删除\",\"code\":601}', 0, NULL, '2024-12-09 21:57:54', 19);
INSERT INTO `sys_oper_log` VALUES (145, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/post/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"post\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":104,\"menuName\":\"岗位管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":1,\"path\":\"post\",\"perms\":\"system:post:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 22:17:58', 72);
INSERT INTO `sys_oper_log` VALUES (146, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"班级管理\",\"menuType\":\"C\",\"orderNum\":4,\"params\":{},\"parentId\":2000,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"修改菜单\'班级管理\'失败，菜单名称已存在\",\"code\":500}', 0, NULL, '2024-12-09 22:21:29', 19);
INSERT INTO `sys_oper_log` VALUES (147, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/classes/index\",\"createTime\":\"2024-12-02 14:26:28\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"班级管理1\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"classes\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 22:21:51', 54);
INSERT INTO `sys_oper_log` VALUES (148, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"班级管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":1,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 22:22:06', 40);
INSERT INTO `sys_oper_log` VALUES (149, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"班级管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-09 22:22:14', 42);
INSERT INTO `sys_oper_log` VALUES (150, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,2001,103,1016,1017,1018,1019,2003,2004,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"peoples\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 00:34:46', 247);
INSERT INTO `sys_oper_log` VALUES (151, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试班级3\",\"orderNum\":3,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 00:48:28', 40);
INSERT INTO `sys_oper_log` VALUES (152, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试班级3\",\"orderNum\":3,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 00:48:45', 37);
INSERT INTO `sys_oper_log` VALUES (153, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"班级管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:00:39', 75);
INSERT INTO `sys_oper_log` VALUES (154, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/major/index\",\"createTime\":\"2024-12-02 14:25:27\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"专业管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"major\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:00:48', 56);
INSERT INTO `sys_oper_log` VALUES (155, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"1111\",\"orderNum\":2,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 01:02:01', 47);
INSERT INTO `sys_oper_log` VALUES (156, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"2222\",\"orderNum\":3333,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 01:03:49', 33);
INSERT INTO `sys_oper_log` VALUES (157, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"111\",\"orderNum\":2,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 01:07:25', 34);
INSERT INTO `sys_oper_log` VALUES (158, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,110\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"2222\",\"orderNum\":3333,\"params\":{},\"parentId\":110,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:07:52', 71);
INSERT INTO `sys_oper_log` VALUES (159, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"222\",\"orderNum\":333,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 01:08:30', 35);
INSERT INTO `sys_oper_log` VALUES (160, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"deptName\":\"222\",\"orderNum\":333,\"params\":{},\"status\":\"0\"}', NULL, 1, 'Cannot invoke \"com.ruoyi.common.core.domain.entity.SysDept.getStatus()\" because \"info\" is null', '2024-12-10 01:11:24', 40);
INSERT INTO `sys_oper_log` VALUES (161, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"teacher/index\",\"createTime\":\"2024-12-05 09:15:50\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"教师管理\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"teacher\",\"perms\":\"system:teacher:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:26:20', 55);
INSERT INTO `sys_oper_log` VALUES (162, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/teacher/index\",\"createTime\":\"2024-12-05 09:15:50\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"教师管理\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"teacher\",\"perms\":\"system:teacher:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:26:36', 55);
INSERT INTO `sys_oper_log` VALUES (163, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"teacher/index\",\"createTime\":\"2024-12-05 09:15:50\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"教师管理\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"teacher\",\"perms\":\"system:teacher:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:26:53', 77);
INSERT INTO `sys_oper_log` VALUES (164, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"教师 查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2019,\"perms\":\"system:teacher:query\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:28:39', 59);
INSERT INTO `sys_oper_log` VALUES (165, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:50\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,2019,2020,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":102,\"roleKey\":\"manage\",\"roleName\":\"管理端\",\"roleSort\":5,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:28:59', 207);
INSERT INTO `sys_oper_log` VALUES (166, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"教师新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2019,\"perms\":\"system:teacher:add\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:32:11', 54);
INSERT INTO `sys_oper_log` VALUES (167, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"教师修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2019,\"perms\":\"system:teacher:edit\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:32:40', 53);
INSERT INTO `sys_oper_log` VALUES (168, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"教师删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2019,\"perms\":\"system:teacher:remove\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:33:09', 57);
INSERT INTO `sys_oper_log` VALUES (169, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2019,\"perms\":\"system:teacher:resetPwd\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:34:25', 53);
INSERT INTO `sys_oper_log` VALUES (170, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"出题方式\",\"dictType\":\"sys_topic_way\",\"params\":{},\"remark\":\"出题方式\",\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:54:56', 129);
INSERT INTO `sys_oper_log` VALUES (171, '字典类型', 2, 'com.ruoyi.web.controller.system.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-09 09:49:57\",\"dictId\":11,\"dictName\":\"模拟器型号\",\"dictType\":\"sim_equip_type\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:55:10', 186);
INSERT INTO `sys_oper_log` VALUES (172, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"dictName\":\"出题方式\",\"dictType\":\"sys_topic_way\",\"params\":{},\"remark\":\"出题方式\",\"status\":\"0\"}', NULL, 1, '\r\n### Error querying database.  Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 77,461 milliseconds ago. The last packet sent successfully to the server was 77,472 milliseconds ago.\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-system\\target\\classes\\mapper\\system\\SysDictTypeMapper.xml]\r\n### The error may involve com.ruoyi.system.mapper.SysDictTypeMapper.checkDictTypeUnique-Inline\r\n### The error occurred while setting parameters\r\n### SQL: select dict_id, dict_name, dict_type, status, create_by, create_time, remark    from sys_dict_type         where dict_type = ? limit 1\r\n### Cause: com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 77,461 milliseconds ago. The last packet sent successfully to the server was 77,472 milliseconds ago.\n; Communications link failure\n\nThe last packet successfully received from the server was 77,461 milliseconds ago. The last packet sent successfully to the server was 77,472 milliseconds ago.; nested exception is com.mysql.cj.jdbc.exceptions.CommunicationsException: Communications link failure\n\nThe last packet successfully received from the server was 77,461 milliseconds ago. The last packet sent successfully to the server was 77,472 milliseconds ago.', '2024-12-10 01:55:11', 19278);
INSERT INTO `sys_oper_log` VALUES (173, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"随机\",\"dictSort\":1,\"dictType\":\"sys_topic_way\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:57:03', 60);
INSERT INTO `sys_oper_log` VALUES (174, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"2\",\"dictSort\":2,\"dictType\":\"sys_topic_way\",\"dictValue\":\"自选\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:57:10', 54);
INSERT INTO `sys_oper_log` VALUES (175, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-10 01:57:10\",\"default\":false,\"dictCode\":34,\"dictLabel\":\"自选\",\"dictSort\":2,\"dictType\":\"sys_topic_way\",\"dictValue\":\"2\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 01:57:21', 70);
INSERT INTO `sys_oper_log` VALUES (176, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/major/index\",\"createTime\":\"2024-12-02 14:25:27\",\"icon\":\"theme\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"专业管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"major\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 05:00:32', 72);
INSERT INTO `sys_oper_log` VALUES (177, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"DROP TABLE IF EXISTS `sim_major`;\\nCREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) USING BTREE\\n) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4  COMMENT = \'sim-专业表\' ROW_FORMAT = DYNAMIC;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:06:26', 7);
INSERT INTO `sys_oper_log` VALUES (178, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"DROP TABLE IF EXISTS `sim_major`;\\nCREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) USING BTREE\\n) ENGINE = InnoDB AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ROW_FORMAT = DYNAMIC;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:06:52', 3);
INSERT INTO `sys_oper_log` VALUES (179, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"DROP TABLE IF EXISTS `sim_major`;\\nCREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) USING BTREE\\n) ENGINE = InnoDB AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:07:36', 2);
INSERT INTO `sys_oper_log` VALUES (180, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) USING BTREE\\n) ENGINE = InnoDB AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:08:32', 18);
INSERT INTO `sys_oper_log` VALUES (181, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) \\n) ENGINE = InnoDB AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:08:53', 2);
INSERT INTO `sys_oper_log` VALUES (182, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) USING BTREE\\n)  AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:09:32', 1);
INSERT INTO `sys_oper_log` VALUES (183, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) \\n)  AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:09:45', 2);
INSERT INTO `sys_oper_log` VALUES (184, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) \\n)  AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:10:13', 1);
INSERT INTO `sys_oper_log` VALUES (185, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) \\n)  AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:10:36', 2);
INSERT INTO `sys_oper_log` VALUES (186, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `sim_major3`  (\\n  `major_id` bigint(20) NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT \'专业ID\',\\n  `major_name` varchar(255) CHARACTER  NOT NULL DEFAULT \'\' COMMENT \'专业名称\',\\n  `remark` varchar(500) CHARACTER  NULL DEFAULT NULL COMMENT \'备注\',\\n  PRIMARY KEY (`major_id`) \\n)  AUTO_INCREMENT = 1   COMMENT = \'sim-专业表\' ;\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2024-12-10 09:10:44', 1);
INSERT INTO `sys_oper_log` VALUES (187, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_major\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 09:12:34', 111);
INSERT INTO `sys_oper_log` VALUES (188, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"major\",\"className\":\"Major\",\"columns\":[{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":1,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MajorName\",\"columnComment\":\"专业名称\",\"columnId\":2,\"columnName\":\"major_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":3,\"columnName\":\"remark\",\"columnType\":\"varchar(500)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":true}],\"crud\":true,\"functionAuthor\":\"ruoyi\",\"functionName\":\"sim-专业\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"sim\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.sim\",\"params\":{},\"sub\":false,\"tableComment\":\"sim-专业表\",\"tableId\":1,\"tableName\":\"sim_major\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 09:14:49', 115);
INSERT INTO `sys_oper_log` VALUES (189, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"major\",\"className\":\"Major\",\"columns\":[{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":1,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:14:49\",\"usableColumn\":false},{\"capJavaField\":\"MajorName\",\"columnComment\":\"专业名称\",\"columnId\":2,\"columnName\":\"major_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:14:49\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":3,\"columnName\":\"remark\",\"columnType\":\"varchar(500)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:14:49\",\"usableColumn\":true}],\"crud\":true,\"functionAuthor\":\"lishuo\",\"functionName\":\"sim-专业\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"sim\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.sim\",\"params\":{},\"sub\":false,\"tableComment\":\"sim-专业表\",\"tableId\":1,\"tableName\":\"sim_major\",\"tplCategory\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 09:14:58', 76);
INSERT INTO `sys_oper_log` VALUES (190, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"major\",\"className\":\"Major\",\"columns\":[{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":1,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:14:58\",\"usableColumn\":false},{\"capJavaField\":\"MajorName\",\"columnComment\":\"专业名称\",\"columnId\":2,\"columnName\":\"major_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:14:58\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":3,\"columnName\":\"remark\",\"columnType\":\"varchar(500)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:14:58\",\"usableColumn\":true}],\"crud\":true,\"functionAuthor\":\"tom\",\"functionName\":\"sim-专业\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"sim\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.sim\",\"params\":{},\"sub\":false,\"tableComment\":\"sim-专业表\",\"tableId\":1,\"tableName\":\"sim_major\",\"tplCategory\":\"c', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 09:15:48', 68);
INSERT INTO `sys_oper_log` VALUES (191, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"major\",\"className\":\"Major\",\"columns\":[{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":1,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:15:48\",\"usableColumn\":false},{\"capJavaField\":\"MajorName\",\"columnComment\":\"专业名称\",\"columnId\":2,\"columnName\":\"major_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:15:48\",\"usableColumn\":false},{\"capJavaField\":\"Remark\",\"columnComment\":\"备注\",\"columnId\":3,\"columnName\":\"remark\",\"columnType\":\"varchar(500)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 09:12:34\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"remark\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 09:15:48\",\"usableColumn\":true}],\"crud\":true,\"functionAuthor\":\"tom\",\"functionName\":\"sim-专业\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"sim\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.sim\",\"params\":{},\"sub\":false,\"tableComment\":\"sim-专业表\",\"tableId\":1,\"tableName\":\"sim_major\",\"tplCategory\":\"c', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 09:21:25', 105);
INSERT INTO `sys_oper_log` VALUES (192, 'sim-专业', 1, 'com.ruoyi.web.controller.sim.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"majorId\":5,\"majorName\":\"防化兵专业Z\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 10:45:26', 181);
INSERT INTO `sys_oper_log` VALUES (193, 'sim-专业', 2, 'com.ruoyi.web.controller.sim.MajorController.edit()', 'PUT', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"majorId\":1,\"majorName\":\"防化兵专业AK\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 10:46:18', 17);
INSERT INTO `sys_oper_log` VALUES (194, 'sim-专业', 3, 'com.ruoyi.web.controller.sim.MajorController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/major/4%2C5', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 10:46:54', 16);
INSERT INTO `sys_oper_log` VALUES (195, '代码生成', 3, 'com.ruoyi.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/1', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 10:56:04', 51);
INSERT INTO `sys_oper_log` VALUES (196, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_major\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 10:56:16', 152);
INSERT INTO `sys_oper_log` VALUES (197, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"major\",\"className\":\"Major\",\"columns\":[{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":4,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MajorName\",\"columnComment\":\"专业名称\",\"columnId\":5,\"columnName\":\"major_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建者\",\"columnId\":6,\"columnName\":\"createBy\",\"columnType\":\"varchar(64)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":7,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"jav', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 10:57:26', 150);
INSERT INTO `sys_oper_log` VALUES (198, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-11 00:11:46\",\"majorId\":6,\"majorName\":\"专业ZK\",\"params\":{},\"remark\":\"备注信息\",\"updateTime\":\"2024-12-10 00:06:34\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:11:47', 116);
INSERT INTO `sys_oper_log` VALUES (199, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-11 00:11:46\",\"majorId\":6,\"majorName\":\"专业ZK\",\"params\":{},\"remark\":\"备注信息\",\"updateTime\":\"2024-12-11 00:12:44\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:12:45', 16);
INSERT INTO `sys_oper_log` VALUES (200, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-11 00:11:46\",\"majorId\":6,\"majorName\":\"专业ZZZZ\",\"params\":{},\"remark\":\"备注信息\",\"updateTime\":\"2024-12-11 00:12:51\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:12:52', 15);
INSERT INTO `sys_oper_log` VALUES (201, '专业', 3, 'com.ruoyi.sim.controller.MajorController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/major/6%2C5', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:13:28', 16);
INSERT INTO `sys_oper_log` VALUES (202, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_add_on_user\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:26:13', 180);
INSERT INTO `sys_oper_log` VALUES (203, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"add_on_user\",\"className\":\"AddOnUser\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":11,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":12,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建者\",\"columnId\":13,\"columnName\":\"createBy\",\"columnType\":\"varchar(64)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":14,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"0\",\"isRequired\":\"0\",\"javaField\":\"createTime\",\"java', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:28:04', 148);
INSERT INTO `sys_oper_log` VALUES (204, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"major\",\"className\":\"Major\",\"columns\":[{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":4,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 10:57:25\",\"usableColumn\":false},{\"capJavaField\":\"MajorName\",\"columnComment\":\"专业名称\",\"columnId\":5,\"columnName\":\"major_name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 10:57:25\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建者\",\"columnId\":6,\"columnName\":\"createBy\",\"columnType\":\"varchar(64)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 10:57:25\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":7,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 10:56:16\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:28:29', 125);
INSERT INTO `sys_oper_log` VALUES (205, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"add_on_user\",\"className\":\"AddOnUser\",\"columns\":[{\"capJavaField\":\"UserId\",\"columnComment\":\"用户ID\",\"columnId\":11,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 11:28:04\",\"usableColumn\":false},{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":12,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 11:28:04\",\"usableColumn\":false},{\"capJavaField\":\"CreateBy\",\"columnComment\":\"创建者\",\"columnId\":13,\"columnName\":\"createBy\",\"columnType\":\"varchar(64)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"createBy\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":true,\"tableId\":3,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 11:28:04\",\"usableColumn\":false},{\"capJavaField\":\"CreateTime\",\"columnComment\":\"创建时间\",\"columnId\":14,\"columnName\":\"create_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 11:26:13\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"datetime\",\"increment\":false,', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 11:29:52', 116);
INSERT INTO `sys_oper_log` VALUES (206, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_sim\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 12:11:02', 346);
INSERT INTO `sys_oper_log` VALUES (207, '代码生成', 3, 'com.ruoyi.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 12:12:18', 53);
INSERT INTO `sys_oper_log` VALUES (208, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_sim\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 12:13:04', 188);
INSERT INTO `sys_oper_log` VALUES (209, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"sim\",\"className\":\"Sim\",\"columns\":[{\"capJavaField\":\"SimId\",\"columnComment\":\"模拟器ID\",\"columnId\":28,\"columnName\":\"sim_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 12:13:04\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"simId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SeatId\",\"columnComment\":\"座ID\",\"columnId\":29,\"columnName\":\"seat_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 12:13:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"seatId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器类型\",\"columnId\":30,\"columnName\":\"sim_type\",\"columnType\":\"char(2)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 12:13:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":5,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"State\",\"columnComment\":\"模拟器在线 1:在线 2:离线 3:硬件故障异常\",\"columnId\":31,\"columnName\":\"state\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 12:13:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaFiel', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 12:13:47', 176);
INSERT INTO `sys_oper_log` VALUES (210, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_sim_msg\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 13:19:19', 387);
INSERT INTO `sys_oper_log` VALUES (211, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"msg\",\"className\":\"SimMsg\",\"columns\":[{\"capJavaField\":\"SimMsgId\",\"columnComment\":\"模拟器报文ID\",\"columnId\":38,\"columnName\":\"sim_msg_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"simMsgId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SimId\",\"columnComment\":\"模拟器ID\",\"columnId\":39,\"columnName\":\"sim_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"State\",\"columnComment\":\"状态 0初始值 1成功 2失败\",\"columnId\":40,\"columnName\":\"state\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"state\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Priority\",\"columnComment\":\"优先级\",\"columnId\":41,\"columnName\":\"priority\",\"columnType\":\"int(8)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaFiel', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 13:21:21', 231);
INSERT INTO `sys_oper_log` VALUES (212, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"sim_msg\",\"className\":\"SimMsg\",\"columns\":[{\"capJavaField\":\"SimMsgId\",\"columnComment\":\"模拟器报文ID\",\"columnId\":38,\"columnName\":\"sim_msg_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"simMsgId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 13:21:21\",\"usableColumn\":false},{\"capJavaField\":\"SimId\",\"columnComment\":\"模拟器ID\",\"columnId\":39,\"columnName\":\"sim_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 13:21:21\",\"usableColumn\":false},{\"capJavaField\":\"State\",\"columnComment\":\"状态 0初始值 1成功 2失败\",\"columnId\":40,\"columnName\":\"state\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"state\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":6,\"updateBy\":\"\",\"updateTime\":\"2024-12-10 13:21:21\",\"usableColumn\":false},{\"capJavaField\":\"Priority\",\"columnComment\":\"优先级\",\"columnId\":41,\"columnName\":\"priority\",\"columnType\":\"int(8)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-10 13:19:19\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 13:22:21', 212);
INSERT INTO `sys_oper_log` VALUES (213, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/student/index\",\"createTime\":\"2024-12-02 14:27:44\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"学生管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"student\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 20:00:23', 96);
INSERT INTO `sys_oper_log` VALUES (214, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:50\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2019,2000,2020,103,1016,1017,1018,1019,2001,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":102,\"roleKey\":\"manage\",\"roleName\":\"管理端\",\"roleSort\":5,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 20:01:32', 204);
INSERT INTO `sys_oper_log` VALUES (215, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/2002', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-10 20:02:41', 69);
INSERT INTO `sys_oper_log` VALUES (216, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-11 16:05:39\",\"majorId\":4,\"majorName\":\"工程兵专业\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:05:39', 21);
INSERT INTO `sys_oper_log` VALUES (217, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-11 16:05:39\",\"majorId\":4,\"majorName\":\"工程兵炮兵专业\",\"params\":{},\"updateTime\":\"2024-12-11 16:06:33\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:06:34', 15);
INSERT INTO `sys_oper_log` VALUES (218, '专业', 3, 'com.ruoyi.sim.controller.MajorController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/major/3%2C4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:23:45', 26);
INSERT INTO `sys_oper_log` VALUES (219, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/major/index\",\"createTime\":\"2024-12-02 14:25:27\",\"icon\":\"theme\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"专业管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"major\",\"perms\":\"sim:major:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:28:19', 98);
INSERT INTO `sys_oper_log` VALUES (220, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专业查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2001,\"perms\":\"sim:major:query\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:28:34', 78);
INSERT INTO `sys_oper_log` VALUES (221, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专业新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2001,\"perms\":\"sim:major:add\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:28:52', 78);
INSERT INTO `sys_oper_log` VALUES (222, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专业修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2001,\"perms\":\"sim:major:edit\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:29:09', 68);
INSERT INTO `sys_oper_log` VALUES (223, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专业删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2001,\"perms\":\"sim:major:remove\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:29:35', 72);
INSERT INTO `sys_oper_log` VALUES (224, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"专业导出\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2001,\"perms\":\"sim:major:export\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:29:56', 64);
INSERT INTO `sys_oper_log` VALUES (225, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,103,1016,1017,1018,1019,2001,2025,2026,2027,2028,2029,2003,2004,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"peoples\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:30:08', 262);
INSERT INTO `sys_oper_log` VALUES (226, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:50\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2019,2020,2000,103,1016,1017,1018,1019,2001,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":102,\"roleKey\":\"manager\",\"roleName\":\"管理端\",\"roleSort\":5,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:57:38', 102);
INSERT INTO `sys_oper_log` VALUES (227, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:26\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:57:59', 65);
INSERT INTO `sys_oper_log` VALUES (228, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,103,1016,1017,1018,1019,2001,2025,2026,2027,2028,2029,2003,2004,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 03:58:19', 84);
INSERT INTO `sys_oper_log` VALUES (229, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":110,\"nickName\":\"xueyuan003\",\"params\":{},\"postIds\":[],\"roleIds\":[101],\"status\":\"0\",\"userId\":7,\"userName\":\"xueyuan003\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 04:12:50', 279);
INSERT INTO `sys_oper_log` VALUES (230, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试班级3\",\"orderNum\":3,\"params\":{},\"parentId\":100,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 04:59:43', 155);
INSERT INTO `sys_oper_log` VALUES (231, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"测试班级4\",\"orderNum\":4,\"params\":{},\"parentId\":100,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 04:59:53', 31);
INSERT INTO `sys_oper_log` VALUES (232, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-09 21:01:02\",\"delFlag\":\"0\",\"deptId\":110,\"email\":\"\",\"loginDate\":\"2024-12-11 11:34:29\",\"loginIp\":\"123.234.220.46\",\"nickName\":\"xueyuan001\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":4,\"userName\":\"xueyuan001\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:26:28', 105);
INSERT INTO `sys_oper_log` VALUES (233, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-09 21:01:17\",\"delFlag\":\"0\",\"deptId\":110,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"xueyuan002\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":5,\"userName\":\"xueyuan002\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:26:34', 73);
INSERT INTO `sys_oper_log` VALUES (234, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":110,\"nickName\":\"xueyuan004\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":8,\"userName\":\"xueyuan004\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:27:22', 135);
INSERT INTO `sys_oper_log` VALUES (235, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":111,\"nickName\":\"xueyuan005\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":9,\"userName\":\"xueyuan005\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:27:38', 124);
INSERT INTO `sys_oper_log` VALUES (236, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":111,\"nickName\":\"xueyuan006\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":10,\"userName\":\"xueyuan006\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:27:49', 141);
INSERT INTO `sys_oper_log` VALUES (237, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"deptId\":111,\"nickName\":\"xueyuan005\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userName\":\"xueyuan005\"}', '{\"msg\":\"新增用户\'xueyuan005\'失败，登录账号已存在\",\"code\":500}', 0, NULL, '2024-12-11 05:28:00', 13);
INSERT INTO `sys_oper_log` VALUES (238, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"deptId\":111,\"nickName\":\"xueyuan006\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userName\":\"xueyuan006\"}', '{\"msg\":\"新增用户\'xueyuan006\'失败，登录账号已存在\",\"code\":500}', 0, NULL, '2024-12-11 05:28:06', 7);
INSERT INTO `sys_oper_log` VALUES (239, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":111,\"nickName\":\"xueyuan007\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":11,\"userName\":\"xueyuan007\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:28:11', 133);
INSERT INTO `sys_oper_log` VALUES (240, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":111,\"nickName\":\"xueyuan008\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":12,\"userName\":\"xueyuan008\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:28:22', 125);
INSERT INTO `sys_oper_log` VALUES (241, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:27:22\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":110,\"deptName\":\"测试班级1\",\"orderNum\":1,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":110,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"xueyuan004\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":8,\"userName\":\"xueyuan004\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:29:46', 75);
INSERT INTO `sys_oper_log` VALUES (242, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:27:38\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":111,\"deptName\":\"测试班级2\",\"orderNum\":2,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":111,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"xueyuan005\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":9,\"userName\":\"xueyuan005\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:29:52', 75);
INSERT INTO `sys_oper_log` VALUES (243, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:27:48\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":111,\"deptName\":\"测试班级2\",\"orderNum\":2,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":111,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"xueyuan006\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":10,\"userName\":\"xueyuan006\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:29:58', 60);
INSERT INTO `sys_oper_log` VALUES (244, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:28:11\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":111,\"deptName\":\"测试班级2\",\"orderNum\":2,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":111,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"xueyuan007\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":11,\"userName\":\"xueyuan007\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:30:03', 74);
INSERT INTO `sys_oper_log` VALUES (245, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:28:22\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":111,\"deptName\":\"测试班级2\",\"orderNum\":2,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":111,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"xueyuan008\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":12,\"userName\":\"xueyuan008\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:30:07', 71);
INSERT INTO `sys_oper_log` VALUES (246, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:50\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2019,2020,2000,103,1016,1017,1018,1019,2001,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2016,2015,2013,2017,2018,2014],\"params\":{},\"roleId\":102,\"roleKey\":\"manager\",\"roleName\":\"管理角色\",\"roleSort\":5,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:30:40', 71);
INSERT INTO `sys_oper_log` VALUES (247, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"模拟器类型\",\"dictType\":\"sim_sim_type\",\"params\":{},\"remark\":\"模拟器类型\",\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:36:01', 142);
INSERT INTO `sys_oper_log` VALUES (248, '字典类型', 3, 'com.ruoyi.web.controller.system.SysDictTypeController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/13', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:36:51', 44);
INSERT INTO `sys_oper_log` VALUES (249, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":100,\"nickName\":\"tom\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":13,\"userName\":\"tom\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:55:14', 290);
INSERT INTO `sys_oper_log` VALUES (250, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:55:14\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"维修模拟训练平台\",\"leader\":\"\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"status\":\"0\"},\"deptId\":100,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"tom\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[100,101],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":13,\"userName\":\"tom\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 05:55:47', 85);
INSERT INTO `sys_oper_log` VALUES (251, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":113,\"nickName\":\"tom01\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":14,\"userName\":\"tom01\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 06:22:59', 296);
INSERT INTO `sys_oper_log` VALUES (252, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"teacher02\",\"params\":{},\"postIds\":[],\"roleIds\":[100],\"status\":\"0\",\"userId\":18,\"userName\":\"teacher02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:06:41', 286);
INSERT INTO `sys_oper_log` VALUES (253, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"teacher03\",\"params\":{},\"postIds\":[],\"roleIds\":[100],\"status\":\"0\",\"userId\":19,\"userName\":\"teacher03\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:07:02', 138);
INSERT INTO `sys_oper_log` VALUES (254, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"nickName\":\"teacher04\",\"params\":{},\"postIds\":[],\"roleIds\":[100],\"status\":\"0\",\"userId\":20,\"userName\":\"teacher04\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:07:15', 140);
INSERT INTO `sys_oper_log` VALUES (255, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:28:39\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2020,\"menuName\":\"教师查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"system:teacher:query\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:47:25', 53);
INSERT INTO `sys_oper_log` VALUES (256, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"teacher/index\",\"createTime\":\"2024-12-05 09:15:50\",\"icon\":\"user\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"教师管理\",\"menuType\":\"C\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"teacher\",\"perms\":\"sim:teacher:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:48:52', 33);
INSERT INTO `sys_oper_log` VALUES (257, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/student/index\",\"createTime\":\"2024-12-02 14:27:44\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"学生管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"student\",\"perms\":\"sim:student:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:51:35', 33);
INSERT INTO `sys_oper_log` VALUES (258, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"学生查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2003,\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:54:16', 41);
INSERT INTO `sys_oper_log` VALUES (259, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:54:16\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2030,\"menuName\":\"学生查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:query\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:54:32', 26);
INSERT INTO `sys_oper_log` VALUES (260, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"学生新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2003,\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:55:17', 45);
INSERT INTO `sys_oper_log` VALUES (261, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:55:17\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"学生新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:add\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:55:29', 24);
INSERT INTO `sys_oper_log` VALUES (262, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"学生修改\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2003,\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:55:54', 22);
INSERT INTO `sys_oper_log` VALUES (263, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:55:54\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2032,\"menuName\":\"学生修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:55:59', 22);
INSERT INTO `sys_oper_log` VALUES (264, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:55:54\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2032,\"menuName\":\"学生修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:edit\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:56:46', 38);
INSERT INTO `sys_oper_log` VALUES (265, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"学生删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2003,\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:58:04', 57);
INSERT INTO `sys_oper_log` VALUES (266, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:58:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2033,\"menuName\":\"学生删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:remove\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:58:16', 21);
INSERT INTO `sys_oper_log` VALUES (267, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 03:29:55\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"专业导出\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2001,\"path\":\"\",\"perms\":\"sim:major:export\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 07:58:39', 22);
INSERT INTO `sys_oper_log` VALUES (268, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:28:39\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2020,\"menuName\":\"教师查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:query\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:00:32', 49);
INSERT INTO `sys_oper_log` VALUES (269, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:32:11\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2021,\"menuName\":\"教师新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:add\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:00:39', 26);
INSERT INTO `sys_oper_log` VALUES (270, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:32:40\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2022,\"menuName\":\"教师修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:edit\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:01:46', 49);
INSERT INTO `sys_oper_log` VALUES (271, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:33:09\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2023,\"menuName\":\"教师删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:remove\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:02:08', 38);
INSERT INTO `sys_oper_log` VALUES (272, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:34:25\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2024,\"menuName\":\"重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:resetPwd\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:02:37', 38);
INSERT INTO `sys_oper_log` VALUES (273, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:34:25\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2024,\"menuName\":\"重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:resetPwd\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:03:05', 45);
INSERT INTO `sys_oper_log` VALUES (274, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"学员重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2003,\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:04:05', 28);
INSERT INTO `sys_oper_log` VALUES (275, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 08:04:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2034,\"menuName\":\"学员重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:reset\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:04:21', 37);
INSERT INTO `sys_oper_log` VALUES (276, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 08:04:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2034,\"menuName\":\"学员重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:resetPwd\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:04:33', 29);
INSERT INTO `sys_oper_log` VALUES (277, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:58:04\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2033,\"menuName\":\"学员删除\",\"menuType\":\"F\",\"orderNum\":4,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:remove\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:04:51', 24);
INSERT INTO `sys_oper_log` VALUES (278, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:55:54\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2032,\"menuName\":\"学员修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:edit\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:04:56', 90);
INSERT INTO `sys_oper_log` VALUES (279, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:55:17\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2031,\"menuName\":\"学员新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:add\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:05:02', 34);
INSERT INTO `sys_oper_log` VALUES (280, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 07:54:16\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2030,\"menuName\":\"学员查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2003,\"path\":\"\",\"perms\":\"sim:student:query\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:05:07', 26);
INSERT INTO `sys_oper_log` VALUES (281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/student/index\",\"createTime\":\"2024-12-02 14:27:44\",\"icon\":\"peoples\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2003,\"menuName\":\"学员管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"student\",\"perms\":\"sim:student:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:05:14', 18);
INSERT INTO `sys_oper_log` VALUES (282, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-10 01:34:25\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2024,\"menuName\":\"教师重置密码\",\"menuType\":\"F\",\"orderNum\":5,\"params\":{},\"parentId\":2019,\"path\":\"\",\"perms\":\"sim:teacher:resetPwd\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:06:27', 38);
INSERT INTO `sys_oper_log` VALUES (283, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/task/index\",\"createTime\":\"2024-12-02 14:18:41\",\"icon\":\"tab\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"训练任务管理\",\"menuType\":\"C\",\"orderNum\":50,\"params\":{},\"parentId\":0,\"path\":\"task\",\"perms\":\"sim:task:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:08:44', 35);
INSERT INTO `sys_oper_log` VALUES (284, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"任务查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2004,\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:11:42', 35);
INSERT INTO `sys_oper_log` VALUES (285, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 08:11:42\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2035,\"menuName\":\"任务查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2004,\"path\":\"\",\"perms\":\"sim:task:query\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:12:12', 26);
INSERT INTO `sys_oper_log` VALUES (286, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"任务新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2004,\"perms\":\"sim:task:add\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:12:43', 26);
INSERT INTO `sys_oper_log` VALUES (287, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"任务修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2004,\"perms\":\"sim:task:edit\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:13:10', 22);
INSERT INTO `sys_oper_log` VALUES (288, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,103,1016,1017,1018,1019,2001,2025,2026,2027,2028,2029,2003,2004,2035,2036,2037,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:46:57', 88);
INSERT INTO `sys_oper_log` VALUES (289, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,103,1016,1017,1018,1019,2001,2025,2026,2027,2028,2029,2003,2004,2035,2036,2037,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:47:54', 76);
INSERT INTO `sys_oper_log` VALUES (290, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,103,1016,1017,1018,1019,2001,2025,2026,2027,2028,2029,2003,2004,2035,2036,2037,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:57:58', 91);
INSERT INTO `sys_oper_log` VALUES (291, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 07:06:41\",\"delFlag\":\"0\",\"deptId\":100,\"email\":\"\",\"loginDate\":\"2024-12-11 21:54:12\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"teacher02\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[100],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":18,\"userName\":\"teacher02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:59:37', 78);
INSERT INTO `sys_oper_log` VALUES (292, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 07:06:41\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"维修模拟训练平台\",\"leader\":\"\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"status\":\"0\"},\"email\":\"\",\"loginDate\":\"2024-12-11 21:54:12\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"teacher02\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[100],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":18,\"userName\":\"teacher02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 08:59:46', 72);
INSERT INTO `sys_oper_log` VALUES (293, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,103,1016,1017,1018,1019,2001,2025,2026,2027,2028,2029,2003,2004,2035,2036,2037,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:00:37', 78);
INSERT INTO `sys_oper_log` VALUES (294, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/task/index\",\"createTime\":\"2024-12-02 14:18:41\",\"icon\":\"tab\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"训练任务管理\",\"menuType\":\"C\",\"orderNum\":50,\"params\":{},\"parentId\":0,\"path\":\"task\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:02:35', 43);
INSERT INTO `sys_oper_log` VALUES (295, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 08:11:42\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2035,\"menuName\":\"任务查询\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2004,\"path\":\"\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:02:46', 32);
INSERT INTO `sys_oper_log` VALUES (296, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 08:12:43\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2036,\"menuName\":\"任务新增\",\"menuType\":\"F\",\"orderNum\":2,\"params\":{},\"parentId\":2004,\"path\":\"\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:02:50', 25);
INSERT INTO `sys_oper_log` VALUES (297, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 08:13:10\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2037,\"menuName\":\"任务修改\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2004,\"path\":\"\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:03:01', 28);
INSERT INTO `sys_oper_log` VALUES (298, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 07:06:41\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"维修模拟训练平台\",\"leader\":\"\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"status\":\"0\"},\"deptId\":100,\"email\":\"\",\"loginDate\":\"2024-12-11 22:26:05\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"teacher02\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[100],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":18,\"userName\":\"teacher02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:32:36', 89);
INSERT INTO `sys_oper_log` VALUES (299, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 07:06:41\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"维修模拟训练平台\",\"leader\":\"\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"status\":\"0\"},\"deptId\":100,\"email\":\"\",\"loginDate\":\"2024-12-11 22:26:05\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"teacher02\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":18,\"userName\":\"teacher02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:33:10', 60);
INSERT INTO `sys_oper_log` VALUES (300, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 07:06:41\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"维修模拟训练平台\",\"leader\":\"\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"status\":\"0\"},\"deptId\":100,\"email\":\"\",\"loginDate\":\"2024-12-11 22:26:05\",\"loginIp\":\"127.0.0.1\",\"nickName\":\"teacher02\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[100],\"roles\":[],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":18,\"userName\":\"teacher02\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:33:14', 94);
INSERT INTO `sys_oper_log` VALUES (301, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/task/index\",\"createTime\":\"2024-12-02 14:18:41\",\"icon\":\"tab\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2004,\"menuName\":\"训练任务管理\",\"menuType\":\"C\",\"orderNum\":50,\"params\":{},\"parentId\":0,\"path\":\"task\",\"perms\":\"system:user:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:37:33', 30);
INSERT INTO `sys_oper_log` VALUES (302, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/exam/index\",\"createTime\":\"2024-12-05 15:28:27\",\"icon\":\"job\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2016,\"menuName\":\"考试列表\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2012,\"path\":\"exam\",\"perms\":\"system:user:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:48:20', 22);
INSERT INTO `sys_oper_log` VALUES (303, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/score/index\",\"createTime\":\"2024-12-02 14:04:13\",\"icon\":\"chart\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2015,\"menuName\":\"成绩管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2012,\"path\":\"score\",\"perms\":\"system:user:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:48:27', 31);
INSERT INTO `sys_oper_log` VALUES (304, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/train/index\",\"createTime\":\"2024-12-05 15:31:18\",\"icon\":\"example\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2017,\"menuName\":\"练习列表\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2013,\"path\":\"train\",\"perms\":\"system:user:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:48:32', 22);
INSERT INTO `sys_oper_log` VALUES (305, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/train/score\",\"createTime\":\"2024-12-05 15:32:50\",\"icon\":\"exit-fullscreen\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2018,\"menuName\":\"练习成绩\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2013,\"path\":\"train\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:48:36', 21);
INSERT INTO `sys_oper_log` VALUES (306, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/train/score\",\"createTime\":\"2024-12-05 15:32:50\",\"icon\":\"exit-fullscreen\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2018,\"menuName\":\"练习成绩\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2013,\"path\":\"train\",\"perms\":\"system:user:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:48:38', 21);
INSERT INTO `sys_oper_log` VALUES (307, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"people/practice/index\",\"createTime\":\"2024-12-02 14:16:57\",\"icon\":\"eye-open\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2014,\"menuName\":\"自主练习管理\",\"menuType\":\"C\",\"orderNum\":400,\"params\":{},\"parentId\":0,\"path\":\"practice\",\"perms\":\"system:user:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 09:48:42', 27);
INSERT INTO `sys_oper_log` VALUES (308, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"进入按钮\",\"menuType\":\"F\",\"orderNum\":1,\"params\":{},\"parentId\":2012,\"perms\":\"simulator:user:remove\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 10:32:35', 35);
INSERT INTO `sys_oper_log` VALUES (309, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-11 10:32:35\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2038,\"menuName\":\"进入按钮\",\"menuType\":\"F\",\"orderNum\":3,\"params\":{},\"parentId\":2012,\"path\":\"\",\"perms\":\"simulator:user:remove\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 10:32:40', 25);
INSERT INTO `sys_oper_log` VALUES (310, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:26\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2012,2016,2015,2038,2013,2017,2018,2014],\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-11 10:33:01', 134);
INSERT INTO `sys_oper_log` VALUES (311, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'teacher02', '维修模拟训练平台', '/system/user/profile/avatar', '172.30.80.1', '内网IP', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2024/12/12/1e30e924b899a901061ca77917950a7b0208f550_20241212005507A001.jpg\",\"code\":200}', 0, NULL, '2024-12-11 11:55:08', 104);
INSERT INTO `sys_oper_log` VALUES (312, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'xueyuan001', '测试班级1', '/system/user/profile/avatar', '172.30.80.1', '内网IP', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2024/12/12/1e30e924b899a901061ca77917950a7b0208f550_20241212005553A002.jpg\",\"code\":200}', 0, NULL, '2024-12-11 11:55:54', 22);
INSERT INTO `sys_oper_log` VALUES (313, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-10 00:06:30\",\"majorId\":1,\"majorName\":\"通信工程\",\"params\":{},\"remark\":\"通信工程\",\"updateTime\":\"2024-12-12 15:01:55\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:01:57', 24);
INSERT INTO `sys_oper_log` VALUES (314, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-10 10:10:30\",\"majorId\":2,\"majorName\":\"物流\",\"params\":{},\"remark\":\"物流\",\"updateTime\":\"2024-12-12 15:02:09\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:02:10', 15);
INSERT INTO `sys_oper_log` VALUES (315, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-12 15:02:22\",\"majorId\":5,\"majorName\":\"国际贸易\",\"params\":{},\"remark\":\"国际贸易\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:02:23', 16);
INSERT INTO `sys_oper_log` VALUES (316, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-12 15:02:30\",\"majorId\":6,\"majorName\":\"软件工程\",\"params\":{},\"remark\":\"软件工程\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:02:31', 15);
INSERT INTO `sys_oper_log` VALUES (317, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-10 00:06:30\",\"majorId\":1,\"majorName\":\"防化分队指挥\",\"params\":{},\"remark\":\"防化分队指挥\",\"updateTime\":\"2024-12-12 15:05:03\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:05:04', 15);
INSERT INTO `sys_oper_log` VALUES (318, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-10 10:10:30\",\"majorId\":2,\"majorName\":\"烟火分队指挥\",\"params\":{},\"remark\":\"烟火分队指挥\",\"updateTime\":\"2024-12-12 15:05:12\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:05:13', 14);
INSERT INTO `sys_oper_log` VALUES (319, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-12 15:02:22\",\"majorId\":5,\"majorName\":\"辐射防护与核安全\",\"params\":{},\"remark\":\"辐射防护与核安全\",\"updateTime\":\"2024-12-12 15:05:22\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:05:23', 9);
INSERT INTO `sys_oper_log` VALUES (320, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-12 15:02:30\",\"majorId\":6,\"majorName\":\"生物技术\",\"params\":{},\"remark\":\"生物技术\",\"updateTime\":\"2024-12-12 15:05:31\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:05:33', 10);
INSERT INTO `sys_oper_log` VALUES (321, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'teacher02', '维修模拟训练平台', '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-12 15:05:42\",\"majorId\":7,\"majorName\":\"装备保障工程\",\"params\":{},\"remark\":\"装备保障工程\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 02:05:44', 13);
INSERT INTO `sys_oper_log` VALUES (322, '字典类型', 2, 'com.ruoyi.web.controller.system.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-09 09:49:57\",\"dictId\":11,\"dictName\":\"sim-模拟器型号\",\"dictType\":\"sim_sim_type\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 10:25:35', 86);
INSERT INTO `sys_oper_log` VALUES (323, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-09 09:50:17\",\"default\":false,\"dictCode\":30,\"dictLabel\":\"FZD04B型侦毒器\",\"dictSort\":1,\"dictType\":\"sim_sim_type\",\"dictValue\":\"0001\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 10:26:08', 34);
INSERT INTO `sys_oper_log` VALUES (324, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-09 09:50:26\",\"default\":false,\"dictCode\":31,\"dictLabel\":\"FZB006型毒剂报警器\",\"dictSort\":2,\"dictType\":\"sim_sim_type\",\"dictValue\":\"0002\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 10:26:18', 32);
INSERT INTO `sys_oper_log` VALUES (325, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-09 09:50:39\",\"default\":false,\"dictCode\":32,\"dictLabel\":\"防化兵用毒剂报警器\",\"dictSort\":3,\"dictType\":\"sim_sim_type\",\"dictValue\":\"0003\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 10:27:03', 32);
INSERT INTO `sys_oper_log` VALUES (326, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_fault\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 18:13:46', 422);
INSERT INTO `sys_oper_log` VALUES (327, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"fault\",\"className\":\"SimFault\",\"columns\":[{\"capJavaField\":\"FaultId\",\"columnComment\":\"故障ID\",\"columnId\":52,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentFaultId\",\"columnId\":53,\"columnName\":\"parent_fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"parentFaultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器类型\\r\\n\",\"columnId\":54,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FaultType\",\"columnComment\":\"故障类型:\\r\\n1:故障现象\\r\\n2:故障现象的可能原因\\r\\n3:故障部位\\r\\n4:故障部位的排除方法\\r\\n5:修复结论\",\"columnId\":55,\"columnName\":\"fault_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 18:14:32', 262);
INSERT INTO `sys_oper_log` VALUES (328, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"fault\",\"className\":\"SimFault\",\"columns\":[{\"capJavaField\":\"FaultId\",\"columnComment\":\"故障ID\",\"columnId\":52,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 18:14:32\",\"usableColumn\":false},{\"capJavaField\":\"ParentFaultId\",\"columnId\":53,\"columnName\":\"parent_fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"parentFaultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 18:14:32\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器类型\\r\\n\",\"columnId\":54,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 18:14:32\",\"usableColumn\":false},{\"capJavaField\":\"FaultType\",\"columnComment\":\"故障类型:\\r\\n1:故障现象\\r\\n2:故障现象的可能原因\\r\\n3:故障部位\\r\\n4:故障部位的排除方法\\r\\n5:修复结论\",\"columnId\":55,\"columnName\":\"fault_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 18:14:49', 200);
INSERT INTO `sys_oper_log` VALUES (329, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"fault\",\"className\":\"Fault\",\"columns\":[{\"capJavaField\":\"FaultId\",\"columnComment\":\"故障ID\",\"columnId\":52,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 18:14:49\",\"usableColumn\":false},{\"capJavaField\":\"ParentFaultId\",\"columnId\":53,\"columnName\":\"parent_fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"parentFaultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 18:14:49\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器类型\\r\\n\",\"columnId\":54,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":7,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 18:14:49\",\"usableColumn\":false},{\"capJavaField\":\"FaultType\",\"columnComment\":\"故障类型:\\r\\n1:故障现象\\r\\n2:故障现象的可能原因\\r\\n3:故障部位\\r\\n4:故障部位的排除方法\\r\\n5:修复结论\",\"columnId\":55,\"columnName\":\"fault_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 18:13:45\",\"dictType\":\"\",\"edi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 18:38:59', 252);
INSERT INTO `sys_oper_log` VALUES (330, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"sim_fault\"}', NULL, 0, NULL, '2024-12-12 18:39:07', 64);
INSERT INTO `sys_oper_log` VALUES (331, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_add_on_dept\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 20:37:49', 228);
INSERT INTO `sys_oper_log` VALUES (332, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"add-on-dept\",\"className\":\"AddOnDept\",\"columns\":[{\"capJavaField\":\"DeptId\",\"columnComment\":\"班级ID/部门ID\",\"columnId\":65,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 20:37:49\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MajorId\",\"columnComment\":\"专业ID\",\"columnId\":66,\"columnName\":\"major_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 20:37:49\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"majorId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":8,\"updateBy\":\"\",\"usableColumn\":false}],\"crud\":true,\"functionAuthor\":\"tom\",\"functionName\":\"部门附加\",\"genPath\":\"/\",\"genType\":\"0\",\"moduleName\":\"sim\",\"options\":\"{}\",\"packageName\":\"com.ruoyi.sim\",\"params\":{},\"sub\":false,\"tableComment\":\"部门附加表\",\"tableId\":8,\"tableName\":\"sim_add_on_dept\",\"tplCategory\":\"crud\",\"tplWebType\":\"element-ui\",\"tree\":false}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 20:39:03', 78);
INSERT INTO `sys_oper_log` VALUES (333, '字典类型', 2, 'com.ruoyi.web.controller.system.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-10 01:54:56\",\"dictId\":12,\"dictName\":\"sim-出题方式\",\"dictType\":\"sys_topic_way\",\"params\":{},\"remark\":\"出题方式\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 21:55:34', 95);
INSERT INTO `sys_oper_log` VALUES (334, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 21:58:21', 52);
INSERT INTO `sys_oper_log` VALUES (335, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/major/index\",\"createTime\":\"2024-12-02 14:25:27\",\"icon\":\"theme\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"专业管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"major\",\"perms\":\"sim:major:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:00:25', 91);
INSERT INTO `sys_oper_log` VALUES (336, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"班级管理\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:00:31', 72);
INSERT INTO `sys_oper_log` VALUES (337, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-13 11:01:13\",\"majorId\":9,\"majorName\":\"专业B\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:01:13', 110);
INSERT INTO `sys_oper_log` VALUES (338, '专业', 2, 'com.ruoyi.sim.controller.MajorController.edit()', 'PUT', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-13 11:01:14\",\"majorId\":9,\"majorName\":\"专业BB \",\"params\":{},\"updateTime\":\"2024-12-13 11:01:50\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:01:50', 51);
INSERT INTO `sys_oper_log` VALUES (339, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-13 11:07:47\",\"majorId\":10,\"majorName\":\"232323\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:07:47', 44);
INSERT INTO `sys_oper_log` VALUES (340, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-13 11:07:16\",\"majorId\":11,\"majorName\":\"1111\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:07:54', 38399);
INSERT INTO `sys_oper_log` VALUES (341, '专业', 3, 'com.ruoyi.sim.controller.MajorController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/major/9,10', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:07:55', 32);
INSERT INTO `sys_oper_log` VALUES (342, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'admin', NULL, '/sim/major', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-13 11:11:10\",\"majorId\":12,\"majorName\":\"adasdfasdf\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:11:09', 36);
INSERT INTO `sys_oper_log` VALUES (343, '专业', 3, 'com.ruoyi.sim.controller.MajorController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/major/11,12', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:11:15', 36);
INSERT INTO `sys_oper_log` VALUES (344, '字典类型', 2, 'com.ruoyi.web.controller.system.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-10 01:54:56\",\"dictId\":12,\"dictName\":\"sim-出题方式\",\"dictType\":\"sim_question_setting_method\",\"params\":{},\"remark\":\"出题方式\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:24:34', 69);
INSERT INTO `sys_oper_log` VALUES (345, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-10 01:57:03\",\"default\":false,\"dictCode\":33,\"dictLabel\":\"系统随机\",\"dictSort\":1,\"dictType\":\"sim_question_setting_method\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:25:56', 29);
INSERT INTO `sys_oper_log` VALUES (346, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-10 01:57:10\",\"default\":false,\"dictCode\":34,\"dictLabel\":\"教师自选\",\"dictSort\":2,\"dictType\":\"sim_question_setting_method\",\"dictValue\":\"2\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:26:08', 26);
INSERT INTO `sys_oper_log` VALUES (347, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"任务自选\",\"dictSort\":3,\"dictType\":\"sim_question_setting_method\",\"dictValue\":\"3\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:26:39', 37);
INSERT INTO `sys_oper_log` VALUES (348, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_task\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:49:05', 208);
INSERT INTO `sys_oper_log` VALUES (349, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"task\",\"className\":\"Task\",\"columns\":[{\"capJavaField\":\"TaskId\",\"columnComment\":\"任务ID\",\"columnId\":67,\"columnName\":\"task_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"taskId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器型号\",\"columnId\":68,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TaskType\",\"columnComment\":\"任务类型\\r\\n1:教师创建管理\\r\\n2:考试临时数据\",\"columnId\":69,\"columnName\":\"task_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"taskType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"任务名称\",\"columnId\":70,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRe', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:49:41', 161);
INSERT INTO `sys_oper_log` VALUES (350, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"task\",\"className\":\"Task\",\"columns\":[{\"capJavaField\":\"TaskId\",\"columnComment\":\"任务ID\",\"columnId\":67,\"columnName\":\"task_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"taskId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 22:49:41\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器型号\",\"columnId\":68,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 22:49:41\",\"usableColumn\":false},{\"capJavaField\":\"TaskType\",\"columnComment\":\"任务类型\\r\\n1:教师创建管理\\r\\n2:考试临时数据\",\"columnId\":69,\"columnName\":\"task_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"taskType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":9,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 22:49:41\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnComment\":\"任务名称\",\"columnId\":70,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:49:04\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":fals', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:49:53', 151);
INSERT INTO `sys_oper_log` VALUES (351, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_task_fault\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:58:31', 280);
INSERT INTO `sys_oper_log` VALUES (352, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"fault\",\"className\":\"TaskFault\",\"columns\":[{\"capJavaField\":\"RelId\",\"columnId\":77,\"columnName\":\"rel_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"relId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TaskId\",\"columnId\":78,\"columnName\":\"task_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"taskId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FaultId\",\"columnId\":79,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Flag\",\"columnComment\":\"7:未知\\r\\n1:选中\\r\\n0:没有选中\",\"columnId\":80,\"columnName\":\"flag\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"flag\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":fals', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 22:59:11', 146);
INSERT INTO `sys_oper_log` VALUES (353, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"task-fault\",\"className\":\"TaskFault\",\"columns\":[{\"capJavaField\":\"RelId\",\"columnId\":77,\"columnName\":\"rel_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"relId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 22:59:10\",\"usableColumn\":false},{\"capJavaField\":\"TaskId\",\"columnId\":78,\"columnName\":\"task_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"taskId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 22:59:10\",\"usableColumn\":false},{\"capJavaField\":\"FaultId\",\"columnId\":79,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":10,\"updateBy\":\"\",\"updateTime\":\"2024-12-12 22:59:10\",\"usableColumn\":false},{\"capJavaField\":\"Flag\",\"columnComment\":\"7:未知\\r\\n1:选中\\r\\n0:没有选中\",\"columnId\":80,\"columnName\":\"flag\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-12 22:58:31\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isP', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-12 23:03:58', 138);
INSERT INTO `sys_oper_log` VALUES (354, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,2001,2025,2026,2027,2028,2029,103,1016,1017,1018,1019,2003,2030,2031,2032,2033,2034,2004,2035,2036,2037,2005,2006,2007,2008,2009,2010,2011],\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 01:49:41', 246);
INSERT INTO `sys_oper_log` VALUES (355, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/post/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"post\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":104,\"menuName\":\"岗位管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":1,\"path\":\"post\",\"perms\":\"system:post:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 01:55:41', 94);
INSERT INTO `sys_oper_log` VALUES (356, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/post/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"post\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":104,\"menuName\":\"岗位管理\",\"menuType\":\"C\",\"orderNum\":5,\"params\":{},\"parentId\":1,\"path\":\"post\",\"perms\":\"system:post:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 01:55:49', 68);
INSERT INTO `sys_oper_log` VALUES (357, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_seat\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 05:26:29', 355);
INSERT INTO `sys_oper_log` VALUES (358, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"seat\",\"className\":\"Seat\",\"columns\":[{\"capJavaField\":\"SeatId\",\"columnComment\":\"座ID\",\"columnId\":82,\"columnName\":\"seat_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 05:26:29\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"seatId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SeatNum\",\"columnComment\":\"座号\",\"columnId\":83,\"columnName\":\"seat_num\",\"columnType\":\"int(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 05:26:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"seatNum\",\"javaType\":\"Integer\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SeatBindIp\",\"columnComment\":\"绑定的IP地址\",\"columnId\":84,\"columnName\":\"seat_bind_ip\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 05:26:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"seatBindIp\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":11,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CurrentUserId\",\"columnComment\":\"当前座上学员/用户ID\",\"columnId\":85,\"columnName\":\"current_user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 05:26:29\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 05:27:04', 169);
INSERT INTO `sys_oper_log` VALUES (359, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 05:33:07', 240);
INSERT INTO `sys_oper_log` VALUES (360, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_real_exam_collection_dept\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 08:52:05', 244);
INSERT INTO `sys_oper_log` VALUES (361, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_real_exam_collection\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 08:52:22', 247);
INSERT INTO `sys_oper_log` VALUES (362, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam-collection\",\"className\":\"RealExamCollection\",\"columns\":[{\"capJavaField\":\"ExamCollectionId\",\"columnComment\":\"考试集合ID\",\"columnId\":96,\"columnName\":\"exam_collection_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"examCollectionId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器类型\",\"columnId\":97,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"QuestionSettingMethod\",\"columnComment\":\"出题方式:\\r\\n1 系统随机\\r\\n2 教师自选\\r\\n3 任务自选\\r\\n\",\"columnId\":98,\"columnName\":\"question_setting_method\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"questionSettingMethod\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ExamCollectionType\",\"columnComment\":\"考试类型\\r\\n1:练习\\r\\n2:自主练习\\r\\n3:考试\",\"columnId\":99,\"columnName\":\"exam_collection_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"d', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 08:53:32', 272);
INSERT INTO `sys_oper_log` VALUES (363, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection_dept', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 09:03:04', 160);
INSERT INTO `sys_oper_log` VALUES (364, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-examCollectionDept\",\"className\":\"RealExamCollectionDept\",\"columns\":[{\"capJavaField\":\"RelId\",\"columnComment\":\"\",\"columnId\":92,\"columnName\":\"rel_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"relId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 09:03:04\",\"usableColumn\":false},{\"capJavaField\":\"ExamCollectionId\",\"columnComment\":\"正式考试集合ID\",\"columnId\":93,\"columnName\":\"exam_collection_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"examCollectionId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 09:03:04\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"班级ID/部门ID\",\"columnId\":94,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 09:03:04\",\"usableColumn\":false},{\"capJavaField\":\"UpdateTime\",\"columnComment\":\"\",\"columnId\":95,\"columnName\":\"update_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 09:05:04', 114);
INSERT INTO `sys_oper_log` VALUES (365, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam-collection-dept\",\"className\":\"RealExamCollectionDept\",\"columns\":[{\"capJavaField\":\"RelId\",\"columnComment\":\"\",\"columnId\":92,\"columnName\":\"rel_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"relId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 09:05:03\",\"usableColumn\":false},{\"capJavaField\":\"ExamCollectionId\",\"columnComment\":\"正式考试集合ID\",\"columnId\":93,\"columnName\":\"exam_collection_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"examCollectionId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 09:05:04\",\"usableColumn\":false},{\"capJavaField\":\"DeptId\",\"columnComment\":\"班级ID/部门ID\",\"columnId\":94,\"columnName\":\"dept_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"deptId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":12,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 09:05:04\",\"usableColumn\":false},{\"capJavaField\":\"UpdateTime\",\"columnComment\":\"\",\"columnId\":95,\"columnName\":\"update_time\",\"columnType\":\"datetime\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:05\",\"dictType\":\"\",\"edi', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 09:05:54', 89);
INSERT INTO `sys_oper_log` VALUES (366, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-13 09:44:28', 430);
INSERT INTO `sys_oper_log` VALUES (367, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_add_on_user', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 06:37:52', 179);
INSERT INTO `sys_oper_log` VALUES (368, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 06:45:06', 444);
INSERT INTO `sys_oper_log` VALUES (369, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_add_on_dept', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 06:56:00', 155);
INSERT INTO `sys_oper_log` VALUES (370, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_real_exam\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 06:58:23', 275);
INSERT INTO `sys_oper_log` VALUES (371, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam\",\"className\":\"RealExam\",\"columns\":[{\"capJavaField\":\"ExamId\",\"columnComment\":\"考试ID\",\"columnId\":119,\"columnName\":\"exam_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"examId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ExamCollectionId\",\"columnComment\":\"考试集合ID\",\"columnId\":120,\"columnName\":\"exam_collection_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"examCollectionId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"学员ID/用户ID\",\"columnId\":121,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"SeatId\",\"columnComment\":\"座ID\",\"columnId\":122,\"columnName\":\"seat_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 06:59:21', 251);
INSERT INTO `sys_oper_log` VALUES (372, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 07:01:07', 275);
INSERT INTO `sys_oper_log` VALUES (373, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam\",\"className\":\"RealExam\",\"columns\":[{\"capJavaField\":\"ExamId\",\"columnComment\":\"考试ID\",\"columnId\":119,\"columnName\":\"exam_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"examId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"updateTime\":\"2024-12-15 07:01:07\",\"usableColumn\":false},{\"capJavaField\":\"ExamCollectionId\",\"columnComment\":\"考试集合ID\",\"columnId\":120,\"columnName\":\"exam_collection_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"examCollectionId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"updateTime\":\"2024-12-15 07:01:07\",\"usableColumn\":false},{\"capJavaField\":\"UserId\",\"columnComment\":\"学员ID/用户ID\",\"columnId\":121,\"columnName\":\"user_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"userId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":14,\"updateBy\":\"\",\"updateTime\":\"2024-12-15 07:01:07\",\"usableColumn\":false},{\"capJavaField\":\"SeatId\",\"columnComment\":\"座ID\",\"columnId\":122,\"columnName\":\"seat_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 06:58:23\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"inp', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 07:01:16', 242);
INSERT INTO `sys_oper_log` VALUES (374, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_real_exam_comp_request\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 07:08:02', 332);
INSERT INTO `sys_oper_log` VALUES (375, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam-comp-request\",\"className\":\"RealExamCompRequest\",\"columns\":[{\"capJavaField\":\"RelId\",\"columnId\":136,\"columnName\":\"rel_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:08:02\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"relId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ExamId\",\"columnComment\":\"考试ID\",\"columnId\":137,\"columnName\":\"exam_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:08:02\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"examId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FaultId\",\"columnComment\":\"故障ID\",\"columnId\":138,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:08:02\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":15,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"RequestStatus\",\"columnComment\":\"状态\\r\\n1:已申请\\r\\n2:已处理\\r\\n3:已驳回\",\"columnId\":139,\"columnName\":\"request_status\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:08:02\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"radio\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 07:12:44', 211);
INSERT INTO `sys_oper_log` VALUES (376, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_real_exam_fault\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 07:19:14', 356);
INSERT INTO `sys_oper_log` VALUES (377, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam-fault\",\"className\":\"RealExamFault\",\"columns\":[{\"capJavaField\":\"RefId\",\"columnId\":147,\"columnName\":\"ref_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:19:14\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"refId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ExamId\",\"columnComment\":\"考试ID\",\"columnId\":148,\"columnName\":\"exam_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:19:14\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"examId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FaultId\",\"columnComment\":\"故障ID\",\"columnId\":149,\"columnName\":\"fault_id\",\"columnType\":\"char(12)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:19:14\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"faultId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":16,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Flag\",\"columnComment\":\"7:未知\\r\\n1:选中\\r\\n0:没有选中\",\"columnId\":150,\"columnName\":\"flag\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 07:19:14\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaFie', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 07:20:07', 193);
INSERT INTO `sys_oper_log` VALUES (378, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"nickName\":\"teacher\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userName\":\"teacher\"}', '{\"msg\":\"新增用户\'teacher\'失败，登录账号已存在\",\"code\":500}', 0, NULL, '2024-12-15 10:18:33', 38);
INSERT INTO `sys_oper_log` VALUES (379, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"nickName\":\"teacher\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userName\":\"teacher\"}', '{\"msg\":\"新增用户\'teacher\'失败，登录账号已存在\",\"code\":500}', 0, NULL, '2024-12-15 10:18:38', 12);
INSERT INTO `sys_oper_log` VALUES (380, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 19:45:18', 73);
INSERT INTO `sys_oper_log` VALUES (381, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:26\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 19:45:23', 48);
INSERT INTO `sys_oper_log` VALUES (382, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:09\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"params\":{},\"roleId\":100,\"roleKey\":\"teacher\",\"roleName\":\"教师角色\",\"roleSort\":3,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 19:45:30', 45);
INSERT INTO `sys_oper_log` VALUES (383, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:26\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 19:45:37', 46);
INSERT INTO `sys_oper_log` VALUES (384, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.dataScope()', 'PUT', 1, 'admin', NULL, '/system/role/dataScope', '127.0.0.1', '内网IP', '{\"admin\":false,\"createTime\":\"2024-12-06 17:34:50\",\"dataScope\":\"1\",\"delFlag\":\"0\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"params\":{},\"roleId\":102,\"roleKey\":\"manager\",\"roleName\":\"管理角色\",\"roleSort\":5,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 19:45:47', 47);
INSERT INTO `sys_oper_log` VALUES (385, '任务', 3, 'com.ruoyi.sim.controller.TaskController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/task/3', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作失败\",\"code\":500}', 0, NULL, '2024-12-15 20:21:01', 27);
INSERT INTO `sys_oper_log` VALUES (386, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_test_menu\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 22:16:48', 279);
INSERT INTO `sys_oper_log` VALUES (387, '代码生成', 3, 'com.ruoyi.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', NULL, '/tool/gen/17', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 22:17:01', 53);
INSERT INTO `sys_oper_log` VALUES (388, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"sim_test_menu\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 22:17:06', 130);
INSERT INTO `sys_oper_log` VALUES (389, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"menu\",\"className\":\"TestMenu\",\"columns\":[{\"capJavaField\":\"MenuId\",\"columnId\":163,\"columnName\":\"menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 22:17:06\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ParentMenuId\",\"columnId\":164,\"columnName\":\"parent_menu_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 22:17:06\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"parentMenuId\",\"javaType\":\"Long\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Name\",\"columnId\":165,\"columnName\":\"name\",\"columnType\":\"varchar(255)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 22:17:06\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"name\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":18,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"MenuType\",\"columnId\":166,\"columnName\":\"menu_type\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-15 22:17:06\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"0\",\"javaField\":\"menuType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"qu', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-15 22:18:27', 127);
INSERT INTO `sys_oper_log` VALUES (390, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 13:11:44\",\"params\":{},\"updateTime\":\"2024-12-16 13:11:44\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'task_id\' doesn\'t have a default value\r\n### The error may exist in file [C:\\project-java\\pla-chem-sim\\RuoYi-Vue\\ruoyi-sim\\target\\classes\\mapper\\sim\\TaskMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.TaskMapper.insertTask-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into sim_task          ( create_time,                          update_time )           values ( ?,                          ? )\r\n### Cause: java.sql.SQLException: Field \'task_id\' doesn\'t have a default value\n; Field \'task_id\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'task_id\' doesn\'t have a default value', '2024-12-16 00:11:45', 271);
INSERT INTO `sys_oper_log` VALUES (391, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 13:14:17\",\"params\":{},\"updateTime\":\"2024-12-16 13:14:17\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 00:14:17', 146);
INSERT INTO `sys_oper_log` VALUES (392, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 13:52:56\",\"params\":{},\"updateTime\":\"2024-12-16 13:52:56\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 00:52:56', 205);
INSERT INTO `sys_oper_log` VALUES (393, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:00:25\",\"params\":{},\"updateTime\":\"2024-12-16 14:00:25\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:00:25', 143);
INSERT INTO `sys_oper_log` VALUES (394, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:08:39\",\"params\":{},\"taskId\":5,\"updateTime\":\"2024-12-16 14:08:39\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:08:40', 179);
INSERT INTO `sys_oper_log` VALUES (395, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:13:29\",\"params\":{},\"taskId\":6,\"updateTime\":\"2024-12-16 14:13:29\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:13:30', 166);
INSERT INTO `sys_oper_log` VALUES (396, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:14:55\",\"params\":{},\"taskId\":7,\"updateTime\":\"2024-12-16 14:14:55\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:14:56', 215);
INSERT INTO `sys_oper_log` VALUES (397, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:19:26\",\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"7\",\"params\":{},\"relId\":2,\"taskId\":8}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"7\",\"params\":{},\"relId\":3,\"taskId\":8}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":1,\"taskId\":8}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"7\",\"params\":{},\"relId\":5,\"taskId\":8}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"7\",\"params\":{},\"relId\":6,\"taskId\":8}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":4,\"taskId\":8}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100030005\",\"fl', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:19:27', 627);
INSERT INTO `sys_oper_log` VALUES (398, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100030005\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"task', '{\"msg\":\"simType value error!\",\"code\":500}', 0, NULL, '2024-12-16 01:24:30', 52);
INSERT INTO `sys_oper_log` VALUES (399, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:25:00\",\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"7\",\"params\":{},\"relId\":20,\"taskId\":9}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"7\",\"params\":{},\"relId\":21,\"taskId\":9}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":19,\"taskId\":9}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"7\",\"params\":{},\"relId\":23,\"taskId\":9}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"7\",\"params\":{},\"relId\":24,\"taskId\":9}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":22,\"taskId\":9}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"00010003000', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:25:00', 462);
INSERT INTO `sys_oper_log` VALUES (400, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100030005\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"task', '{\"msg\":\"getTaskType value error!\",\"code\":500}', 0, NULL, '2024-12-16 01:36:52', 65);
INSERT INTO `sys_oper_log` VALUES (401, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100030005\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"task', '{\"msg\":\"name value isEmpty!\",\"code\":500}', 0, NULL, '2024-12-16 01:37:37', 20);
INSERT INTO `sys_oper_log` VALUES (402, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:38:00\",\"name\":\"练习清单0001\",\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":', '{\"msg\":\"getFlag UNKNOWN!\",\"code\":500}', 0, NULL, '2024-12-16 01:38:00', 68);
INSERT INTO `sys_oper_log` VALUES (403, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-16 14:52:48\",\"name\":\"练习清单0001\",\"params\":{},\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":37,\"taskId\":11}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":38,\"taskId\":11}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":39,\"taskId\":11}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":40,\"taskId\":11}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"f', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:52:49', 441);
INSERT INTO `sys_oper_log` VALUES (404, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 14:58:37\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":48,\"taskId\":12}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":49,\"taskId\":12}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":50,\"taskId\":12}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":51,\"taskId\":12}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 01:58:37', 426);
INSERT INTO `sys_oper_log` VALUES (405, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:00:23\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":59,\"taskId\":13}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":60,\"taskId\":13}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":61,\"taskId\":13}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":62,\"taskId\":13}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:00:23', 493);
INSERT INTO `sys_oper_log` VALUES (406, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:01:36\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":70,\"taskId\":14}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":71,\"taskId\":14}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":72,\"taskId\":14}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":73,\"taskId\":14}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:01:37', 271);
INSERT INTO `sys_oper_log` VALUES (407, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:04:26\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":81,\"taskId\":15}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":82,\"taskId\":15}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":83,\"taskId\":15}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":84,\"taskId\":15}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:04:27', 483);
INSERT INTO `sys_oper_log` VALUES (408, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:04:42\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":92,\"taskId\":16}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":93,\"taskId\":16}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":94,\"taskId\":16}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":95,\"taskId\":16}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replacePart', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:04:42', 268);
INSERT INTO `sys_oper_log` VALUES (409, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:20:12\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":103,\"taskId\":17}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":104,\"taskId\":17}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":105,\"taskId\":17}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":106,\"taskId\":17}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replace', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:20:13', 265);
INSERT INTO `sys_oper_log` VALUES (410, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:20:15\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":114,\"taskId\":18}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":115,\"taskId\":18}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":116,\"taskId\":18}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":117,\"taskId\":18}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replace', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:20:15', 291);
INSERT INTO `sys_oper_log` VALUES (411, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:20:16\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":125,\"taskId\":19}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":126,\"taskId\":19}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":127,\"taskId\":19}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":128,\"taskId\":19}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replace', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:20:16', 298);
INSERT INTO `sys_oper_log` VALUES (412, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 15:20:16\",\"name\":\"练习清单0001\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":136,\"taskId\":20}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":137,\"taskId\":20}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":138,\"taskId\":20}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":139,\"taskId\":20}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100030005\",\"faultType\":\"3\",\"name\":\"5.滤网\",\"orderNum\":5,\"params\":{},\"parentFaultId\":\"000100030000\",\"replace', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:20:17', 266);
INSERT INTO `sys_oper_log` VALUES (413, '任务', 3, 'com.ruoyi.sim.controller.TaskController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/task/17%2C18%2C19', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 02:31:56', 514);
INSERT INTO `sys_oper_log` VALUES (414, '任务', 2, 'com.ruoyi.sim.controller.TaskController.edit()', 'PUT', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"params\":{}}', '{\"msg\":\"simType error!\",\"code\":500}', 0, NULL, '2024-12-16 03:38:12', 8);
INSERT INTO `sys_oper_log` VALUES (415, '任务', 2, 'com.ruoyi.sim.controller.TaskController.edit()', 'PUT', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 16:40:04\",\"name\":\"练习清单0004\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":136,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:04\"}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":137,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:04\"}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":138,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:04\"}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":139,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:04\"}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 03:40:04', 286);
INSERT INTO `sys_oper_log` VALUES (416, '任务', 2, 'com.ruoyi.sim.controller.TaskController.edit()', 'PUT', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 16:40:25\",\"name\":\"练习清单9999\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"1\",\"params\":{},\"relId\":136,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:25\"}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"1\",\"params\":{},\"relId\":137,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:25\"}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":138,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:25\"}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":139,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:25\"}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 03:40:25', 272);
INSERT INTO `sys_oper_log` VALUES (417, '任务', 2, 'com.ruoyi.sim.controller.TaskController.edit()', 'PUT', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-16 16:40:53\",\"name\":\"练习清单9999\",\"params\":{},\"remark\":\"\",\"selectedData\":[{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010001\",\"faultType\":\"3\",\"name\":\"1.电源开关\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010001\",\"flag\":\"0\",\"params\":{},\"relId\":136,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:53\"}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100010002\",\"faultType\":\"3\",\"name\":\"2.DC/DC转换芯片\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000100010000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010002\",\"flag\":\"0\",\"params\":{},\"relId\":137,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:53\"}}],\"conflictFaultId\":\"\",\"faultId\":\"000100010000\",\"faultType\":\"1\",\"name\":\"开机无响应\",\"orderNum\":1,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100010000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020003\",\"faultType\":\"3\",\"name\":\"3.微电机\",\"orderNum\":3,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020003\",\"flag\":\"1\",\"params\":{},\"relId\":138,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:53\"}},{\"children\":[],\"conflictFaultId\":\"\",\"faultId\":\"000100020004\",\"faultType\":\"3\",\"name\":\"4.Q2\",\"orderNum\":4,\"params\":{},\"parentFaultId\":\"000100020000\",\"replacePart\":\"1\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020004\",\"flag\":\"1\",\"params\":{},\"relId\":139,\"taskId\":20,\"updateTime\":\"2024-12-16 16:40:53\"}}],\"conflictFaultId\":\"\",\"faultId\":\"000100020000\",\"faultType\":\"1\",\"name\":\"开机后按抽气开关，微电机不工作\",\"orderNum\":2,\"params\":{},\"parentFaultId\":\"000000000000\",\"replacePart\":\"0\",\"simMsg\":\"\",\"simType\":\"0001\",\"taskFault\":{\"faultId\":\"000100020000\",\"flag\":\"7\",\"params\":{},\"relId\":0,\"taskId\":0}},{\"children\":[{\"children\":[],', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 03:40:53', 274);
INSERT INTO `sys_oper_log` VALUES (418, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"params\":{}}', '{\"msg\":\"simType error!\",\"code\":500}', 0, NULL, '2024-12-16 04:04:48', 111);
INSERT INTO `sys_oper_log` VALUES (419, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"name\":\"222222\",\"params\":{},\"simType\":\"0001\"}', '{\"msg\":\"taskType value error!\",\"code\":500}', 0, NULL, '2024-12-16 04:51:07', 46);
INSERT INTO `sys_oper_log` VALUES (420, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"name\":\"444444\",\"params\":{},\"simType\":\"0002\"}', '{\"msg\":\"taskType value error!\",\"code\":500}', 0, NULL, '2024-12-16 04:53:56', 44);
INSERT INTO `sys_oper_log` VALUES (421, '任务', 3, 'com.ruoyi.sim.controller.TaskController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/task/22', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 19:46:59', 147);
INSERT INTO `sys_oper_log` VALUES (422, '任务', 3, 'com.ruoyi.sim.controller.TaskController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/task/24,23,21', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 19:47:25', 243);
INSERT INTO `sys_oper_log` VALUES (423, '任务', 3, 'com.ruoyi.sim.controller.TaskController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/task/25,26,27', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 19:48:00', 229);
INSERT INTO `sys_oper_log` VALUES (424, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"real-exam-collection\",\"className\":\"RealExamCollection\",\"columns\":[{\"capJavaField\":\"ExamCollectionId\",\"columnComment\":\"考试集合ID\",\"columnId\":96,\"columnName\":\"exam_collection_id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"isRequired\":\"0\",\"javaField\":\"examCollectionId\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 08:53:32\",\"usableColumn\":false},{\"capJavaField\":\"SimType\",\"columnComment\":\"模拟器类型\",\"columnId\":97,\"columnName\":\"sim_type\",\"columnType\":\"char(4)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"simType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 08:53:32\",\"usableColumn\":false},{\"capJavaField\":\"QuestionSettingMethod\",\"columnComment\":\"出题方式:\\r\\n1 系统随机\\r\\n2 教师自选\\r\\n3 任务自选\\r\\n\",\"columnId\":98,\"columnName\":\"question_setting_method\",\"columnType\":\"char(1)\",\"createBy\":\"admin\",\"createTime\":\"2024-12-13 08:52:22\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"questionSettingMethod\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":13,\"updateBy\":\"\",\"updateTime\":\"2024-12-13 08:53:32\",\"usableColumn\":false},{\"capJavaField\":\"ExamCollectionType\",\"columnComment\":\"考试类型\\r\\n1:练习\\r\\n2:自主练习\\r\\n3:考试\",\"columnId\":99,\"columnNam', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-16 23:47:58', 278);
INSERT INTO `sys_oper_log` VALUES (425, '考试集合', 3, 'com.ruoyi.sim.controller.RealExamCollectionController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/real-exam-collection/4', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-17 04:22:52', 62);
INSERT INTO `sys_oper_log` VALUES (426, '考试集合', 3, 'com.ruoyi.sim.controller.RealExamCollectionController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/real-exam-collection/3', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-17 04:23:03', 41);
INSERT INTO `sys_oper_log` VALUES (427, '考试集合', 3, 'com.ruoyi.sim.controller.RealExamCollectionController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/real-exam-collection/2', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-17 04:23:07', 41);
INSERT INTO `sys_oper_log` VALUES (428, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-17 10:15:39', 218);
INSERT INTO `sys_oper_log` VALUES (429, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-17 10:48:58', 234);
INSERT INTO `sys_oper_log` VALUES (430, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-17 10:50:28', 209);
INSERT INTO `sys_oper_log` VALUES (431, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 13:48:36\",\"examCollectionName\":\"44444\",\"limitDuration\":50,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0002\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-sim\\target\\classes\\mapper\\sim\\RealExamCollectionMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.RealExamCollectionMapper.insertRealExamCollection-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into sim_real_exam_collection          ( sim_type,             question_setting_method,                          exam_collection_name,                          limit_duration,                                                                 create_time )           values ( ?,             ?,                          ?,                          ?,                                                                 ? )\r\n### Cause: java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value\n; Field \'exam_collection_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value', '2024-12-18 00:48:36', 136);
INSERT INTO `sys_oper_log` VALUES (432, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 13:49:25\",\"examCollectionName\":\"44444\",\"limitDuration\":50,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0002\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-sim\\target\\classes\\mapper\\sim\\RealExamCollectionMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.RealExamCollectionMapper.insertRealExamCollection-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into sim_real_exam_collection          ( sim_type,             question_setting_method,                          exam_collection_name,                          limit_duration,                                                                 create_time )           values ( ?,             ?,                          ?,                          ?,                                                                 ? )\r\n### Cause: java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value\n; Field \'exam_collection_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value', '2024-12-18 00:49:25', 45);
INSERT INTO `sys_oper_log` VALUES (433, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 13:51:46\",\"examCollectionName\":\"222222\",\"limitDuration\":50,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0001\"}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value\r\n### The error may exist in file [D:\\phpstudy_pro\\WWW\\java\\lujunfanghua\\ruoyi-sim\\target\\classes\\mapper\\sim\\RealExamCollectionMapper.xml]\r\n### The error may involve com.ruoyi.sim.mapper.RealExamCollectionMapper.insertRealExamCollection-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into sim_real_exam_collection          ( sim_type,             question_setting_method,                          exam_collection_name,                          limit_duration,                                                                 create_time )           values ( ?,             ?,                          ?,                          ?,                                                                 ? )\r\n### Cause: java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value\n; Field \'exam_collection_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'exam_collection_type\' doesn\'t have a default value', '2024-12-18 00:51:46', 42);
INSERT INTO `sys_oper_log` VALUES (434, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 13:53:38\",\"examCollectionId\":5,\"examCollectionName\":\"45454545\",\"examCollectionType\":\"3\",\"limitDuration\":60,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0002\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 00:53:37', 42);
INSERT INTO `sys_oper_log` VALUES (435, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 14:12:14\",\"examCollectionId\":6,\"examCollectionName\":\"676767\",\"examCollectionType\":\"3\",\"limitDuration\":777,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0001\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 01:12:14', 34);
INSERT INTO `sys_oper_log` VALUES (436, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"1\",\"updateBy\":\"admin\",\"userId\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 01:21:09', 34);
INSERT INTO `sys_oper_log` VALUES (437, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":3}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 01:21:11', 35);
INSERT INTO `sys_oper_log` VALUES (438, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"1\",\"updateBy\":\"admin\",\"userId\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 01:28:37', 39);
INSERT INTO `sys_oper_log` VALUES (439, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":4}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 01:28:39', 36);
INSERT INTO `sys_oper_log` VALUES (440, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 15:03:08\",\"endTime\":\"2033-04-18\",\"examCollectionId\":7,\"examCollectionName\":\"676767\",\"examCollectionType\":\"3\",\"limitDuration\":6767,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0002\",\"startTime\":\"2024-12-17\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 02:03:08', 41);
INSERT INTO `sys_oper_log` VALUES (441, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 15:06:25\",\"endTime\":\"2024-12-31\",\"examCollectionId\":8,\"examCollectionName\":\"26556\",\"examCollectionType\":\"3\",\"limitDuration\":777777,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0002\",\"startTime\":\"2024-12-15\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 02:06:25', 35);
INSERT INTO `sys_oper_log` VALUES (442, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 15:08:07\",\"examCollectionId\":9,\"examCollectionName\":\"3333\",\"examCollectionType\":\"3\",\"limitDuration\":44444,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0001\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 02:08:08', 342);
INSERT INTO `sys_oper_log` VALUES (443, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.add()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection', '127.0.0.1', '内网IP', '{\"createTime\":\"2024-12-18 15:13:45\",\"endTime\":\"2024-12-31\",\"examCollectionId\":10,\"examCollectionName\":\"343434\",\"examCollectionType\":\"3\",\"limitDuration\":34343434,\"params\":{},\"questionSettingMethod\":\"1\",\"simType\":\"0001\",\"startTime\":\"2024-12-24\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 02:13:45', 67);
INSERT INTO `sys_oper_log` VALUES (444, '考试集合', 3, 'com.ruoyi.sim.controller.RealExamCollectionController.remove()', 'DELETE', 1, 'admin', NULL, '/sim/real-exam-collection/9,7,5,6', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 02:25:28', 625);
INSERT INTO `sys_oper_log` VALUES (445, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 08:43:24', 283);
INSERT INTO `sys_oper_log` VALUES (446, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim_msg', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 08:48:49', 650);
INSERT INTO `sys_oper_log` VALUES (447, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 08:54:00', 467);
INSERT INTO `sys_oper_log` VALUES (448, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 08:58:31', 443);
INSERT INTO `sys_oper_log` VALUES (449, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-18 08:59:11', 281);
INSERT INTO `sys_oper_log` VALUES (450, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 13:51:24', 304);
INSERT INTO `sys_oper_log` VALUES (451, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"name\":\"2222222\",\"params\":{},\"simType\":\"0002\"}', '{\"msg\":\"taskType value error!\",\"code\":500}', 0, NULL, '2024-12-19 16:47:47', 92);
INSERT INTO `sys_oper_log` VALUES (452, '任务', 1, 'com.ruoyi.sim.controller.TaskController.add()', 'POST', 1, 'admin', NULL, '/sim/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createByUserId\":1,\"createTime\":\"2024-12-19 16:50:00\",\"name\":\"22222222\",\"params\":{},\"remark\":\"\",\"simType\":\"0001\",\"taskId\":28,\"taskType\":\"1\",\"updateBy\":\"admin\",\"updateTime\":\"2024-12-19 16:50:00\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 16:50:01', 87);
INSERT INTO `sys_oper_log` VALUES (453, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 20:28:19', 605);
INSERT INTO `sys_oper_log` VALUES (454, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_sim', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-19 22:04:36', 374);
INSERT INTO `sys_oper_log` VALUES (455, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'teacher', NULL, '/system/user/profile/avatar', '223.79.54.93', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2024/12/20/1e30e924b899a901061ca77917950a7b0208f550_20241220093628A001.jpg\",\"code\":200}', 0, NULL, '2024-12-20 09:36:28', 104);
INSERT INTO `sys_oper_log` VALUES (456, '专业', 1, 'com.ruoyi.sim.controller.MajorController.add()', 'POST', 1, 'teacher', NULL, '/sim/major', '223.79.54.93', 'XX XX', '{\"createTime\":\"2024-12-20 09:36:59\",\"majorId\":13,\"majorName\":\"核辐射\",\"params\":{},\"remark\":\"123\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 09:36:59', 17);
INSERT INTO `sys_oper_log` VALUES (457, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'xueyuan001', '2008级1班', '/system/user/profile/avatar', '223.79.54.93', 'XX XX', '', '{\"msg\":\"操作成功\",\"imgUrl\":\"/profile/avatar/2024/12/20/1e30e924b899a901061ca77917950a7b0208f550_20241220105641A002.jpg\",\"code\":200}', 0, NULL, '2024-12-20 10:56:41', 8);
INSERT INTO `sys_oper_log` VALUES (458, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"system/dept/index\",\"createTime\":\"2024-12-06 11:22:07\",\"icon\":\"tree\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":103,\"menuName\":\"组织层级\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":2000,\"path\":\"dept\",\"perms\":\"system:dept:list\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:32:08', 146);
INSERT INTO `sys_oper_log` VALUES (459, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"法学\",\"orderNum\":1,\"params\":{},\"parentId\":114,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:37:52', 144);
INSERT INTO `sys_oper_log` VALUES (460, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"2023级\",\"orderNum\":1,\"params\":{},\"parentId\":110,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:38:07', 119);
INSERT INTO `sys_oper_log` VALUES (461, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"2022级\",\"orderNum\":1,\"params\":{},\"parentId\":110,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:38:21', 117);
INSERT INTO `sys_oper_log` VALUES (462, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110\",\"children\":[],\"deptId\":118,\"deptName\":\"2023级\",\"orderNum\":2,\"params\":{},\"parentId\":110,\"parentName\":\"计算机\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:38:25', 235);
INSERT INTO `sys_oper_log` VALUES (463, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"2024级\",\"orderNum\":3,\"params\":{},\"parentId\":110,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:38:34', 123);
INSERT INTO `sys_oper_log` VALUES (464, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"01队\",\"orderNum\":1,\"params\":{},\"parentId\":120,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:39:17', 118);
INSERT INTO `sys_oper_log` VALUES (465, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"02队\",\"orderNum\":2,\"params\":{},\"parentId\":120,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:39:29', 127);
INSERT INTO `sys_oper_log` VALUES (466, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"03队\",\"orderNum\":3,\"params\":{},\"parentId\":120,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:39:38', 117);
INSERT INTO `sys_oper_log` VALUES (467, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120,121\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"1区队\",\"orderNum\":1,\"params\":{},\"parentId\":121,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:39:57', 119);
INSERT INTO `sys_oper_log` VALUES (468, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120,121\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"2区队\",\"orderNum\":2,\"params\":{},\"parentId\":121,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:40:05', 116);
INSERT INTO `sys_oper_log` VALUES (469, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"专科\",\"email\":\"ry@qq.com\",\"leader\":\"\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"phone\":\"15888888888\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:41:24', 148);
INSERT INTO `sys_oper_log` VALUES (470, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"\",\"children\":[],\"deptId\":114,\"deptName\":\"本科\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:41:28', 149);
INSERT INTO `sys_oper_log` VALUES (471, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"\",\"children\":[],\"deptId\":115,\"deptName\":\"硕士\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:41:39', 144);
INSERT INTO `sys_oper_log` VALUES (472, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"\",\"children\":[],\"deptId\":116,\"deptName\":\"博士\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:41:44', 156);
INSERT INTO `sys_oper_log` VALUES (473, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120,122\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"021区队\",\"orderNum\":1,\"params\":{},\"parentId\":122,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:42:25', 116);
INSERT INTO `sys_oper_log` VALUES (474, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0,100,110,120,122\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"022区队\",\"orderNum\":2,\"params\":{},\"parentId\":122,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:42:48', 120);
INSERT INTO `sys_oper_log` VALUES (475, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"哲学\",\"orderNum\":2,\"params\":{},\"parentId\":114,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:43:03', 129);
INSERT INTO `sys_oper_log` VALUES (476, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"peoples/major/index\",\"createTime\":\"2024-12-02 14:25:27\",\"icon\":\"theme\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"专业管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"major\",\"perms\":\"sim:major:list\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-20 13:49:21', 104);
INSERT INTO `sys_oper_log` VALUES (477, '部门管理', 3, 'com.ruoyi.web.controller.system.SysDeptController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dept/121', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"存在下级部门,不允许删除\",\"code\":601}', 0, NULL, '2024-12-20 13:49:59', 34);
INSERT INTO `sys_oper_log` VALUES (478, '部门管理', 3, 'com.ruoyi.web.controller.system.SysDeptController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dept/122', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"存在下级部门,不允许删除\",\"code\":601}', 0, NULL, '2024-12-20 13:50:54', 35);
INSERT INTO `sys_oper_log` VALUES (479, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 08:48:08', 445);
INSERT INTO `sys_oper_log` VALUES (480, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 09:15:33', 449);
INSERT INTO `sys_oper_log` VALUES (481, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 09:17:57', 415);
INSERT INTO `sys_oper_log` VALUES (482, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 09:19:45', 385);
INSERT INTO `sys_oper_log` VALUES (483, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 10:54:17', 468);
INSERT INTO `sys_oper_log` VALUES (484, '考试集合', 1, 'com.ruoyi.sim.controller.RealExamCollectionController.addExam()', 'POST', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/', '127.0.0.1', '内网IP', '{\"createBy\":\"张老师\",\"createTime\":\"2024-12-02 00:00:00\",\"createUserId\":0,\"endTime\":\"2024-12-19\",\"examCollectionId\":1,\"examCollectionName\":\"[不要删除]2010学年第一学期期末考试\",\"examCollectionType\":\"3\",\"limitDuration\":50,\"params\":{},\"questionSettingMethod\":\"3\",\"simType\":\"0001\",\"startTime\":\"2024-12-19\",\"taskId\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 11:11:59', 166);
INSERT INTO `sys_oper_log` VALUES (485, '考试集合', 2, 'com.ruoyi.sim.controller.RealExamCollectionController.editExam()', 'PUT', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/', '127.0.0.1', '内网IP', '{\"createBy\":\"王老师\",\"createTime\":\"2024-12-23 11:12:00\",\"createUserId\":0,\"endTime\":\"2024-12-19\",\"examCollectionId\":11,\"examCollectionName\":\"[不要删除]2022学年第一学期期末考试\",\"examCollectionType\":\"3\",\"limitDuration\":50,\"params\":{},\"questionSettingMethod\":\"3\",\"simType\":\"0001\",\"startTime\":\"2024-12-19\",\"taskId\":0}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 11:13:04', 15);
INSERT INTO `sys_oper_log` VALUES (486, '考试集合', 3, 'com.ruoyi.sim.controller.RealExamCollectionController.deleteExams()', 'DELETE', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/11%2C10', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 11:15:21', 20);
INSERT INTO `sys_oper_log` VALUES (487, '考试集合', 2, 'com.ruoyi.sim.controller.RealExamCollectionController.openExam()', 'PUT', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/open/1', '127.0.0.1', '内网IP', '1', '{\"msg\":\"已经有打开的考试!\",\"code\":500}', 0, NULL, '2024-12-23 11:34:55', 55);
INSERT INTO `sys_oper_log` VALUES (488, '考试集合', 2, 'com.ruoyi.sim.controller.RealExamCollectionController.openExam()', 'PUT', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/open/1', '127.0.0.1', '内网IP', '1', '{\"msg\":\"已经有打开的考试!\",\"code\":500}', 0, NULL, '2024-12-23 11:37:22', 60);
INSERT INTO `sys_oper_log` VALUES (489, '考试集合', 2, 'com.ruoyi.sim.controller.RealExamCollectionController.openExam()', 'PUT', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/open/1', '127.0.0.1', '内网IP', '1', '{\"msg\":\"已经有打开的考试!\",\"code\":500}', 0, NULL, '2024-12-23 11:38:28', 68);
INSERT INTO `sys_oper_log` VALUES (490, '考试集合', 2, 'com.ruoyi.sim.controller.RealExamCollectionController.openExam()', 'PUT', 1, 'admin', NULL, '/sim/real-exam-collection/teacher/exam/open/1', '127.0.0.1', '内网IP', '1', '{\"msg\":\"已经有打开的考试!\",\"code\":500}', 0, NULL, '2024-12-23 11:43:29', 57);
INSERT INTO `sys_oper_log` VALUES (491, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_collection', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 11:55:18', 428);
INSERT INTO `sys_oper_log` VALUES (492, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_task', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 13:02:40', 216);
INSERT INTO `sys_oper_log` VALUES (493, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_task', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 13:03:58', 145);
INSERT INTO `sys_oper_log` VALUES (494, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_task', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 13:04:04', 142);
INSERT INTO `sys_oper_log` VALUES (495, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 18:50:49', 419);
INSERT INTO `sys_oper_log` VALUES (496, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 19:14:58', 463);
INSERT INTO `sys_oper_log` VALUES (497, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 19:15:17', 406);
INSERT INTO `sys_oper_log` VALUES (498, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest1()\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 20:24:45\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'模拟器连接状态轮询\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2024-12-23 20:24:44', 10);
INSERT INTO `sys_oper_log` VALUES (499, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest1()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 20:27:15\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 20:27:04', 157);
INSERT INTO `sys_oper_log` VALUES (500, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest1()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 20:27:45\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 20:27:41', 40);
INSERT INTO `sys_oper_log` VALUES (501, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest1()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 20:31:45\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 20:31:43', 33);
INSERT INTO `sys_oper_log` VALUES (502, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest2()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 20:32:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 20:32:27', 31);
INSERT INTO `sys_oper_log` VALUES (503, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest2()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 20:34:00\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 20:33:51', 36);
INSERT INTO `sys_oper_log` VALUES (504, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledTest2()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"模拟器连接状态轮询\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 21:44:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:44:19', 66);
INSERT INTO `sys_oper_log` VALUES (505, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledConnect()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"sim-scheduledConnect()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 21:47:15\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:47:00', 57);
INSERT INTO `sys_oper_log` VALUES (506, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 21:48:30\",\"params\":{},\"status\":\"0\"}', NULL, 1, 'No bean named \'scheduledReadSim()\' available', '2024-12-23 21:48:29', 0);
INSERT INTO `sys_oper_log` VALUES (507, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 21:48:50\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:48:48', 30);
INSERT INTO `sys_oper_log` VALUES (508, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledConnect()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"sim-scheduledConnect()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 21:49:15\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:49:06', 36);
INSERT INTO `sys_oper_log` VALUES (509, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-23 21:49:15\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-23 21:49:13', 39);
INSERT INTO `sys_oper_log` VALUES (510, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_real_exam_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 08:53:59', 445);
INSERT INTO `sys_oper_log` VALUES (511, '字典类型', 2, 'com.ruoyi.web.controller.system.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-09 09:49:57\",\"dictId\":11,\"dictName\":\"sim-模拟器型号\",\"dictType\":\"sim_sim_type\",\"params\":{},\"remark\":\"模拟器型号\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:35:48', 135);
INSERT INTO `sys_oper_log` VALUES (512, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"sim-模拟器状态\",\"dictType\":\"sim_sim_state\",\"params\":{},\"remark\":\"模拟器状态\",\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:36:28', 47);
INSERT INTO `sys_oper_log` VALUES (513, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"0\",\"dictSort\":0,\"dictType\":\"sim_sim_state\",\"dictValue\":\"初始化\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:37:41', 43);
INSERT INTO `sys_oper_log` VALUES (514, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"1\",\"dictSort\":1,\"dictType\":\"sim_sim_state\",\"dictValue\":\"在线\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:38:14', 42);
INSERT INTO `sys_oper_log` VALUES (515, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"2\",\"dictSort\":2,\"dictType\":\"sim_sim_state\",\"dictValue\":\"离线\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:38:34', 41);
INSERT INTO `sys_oper_log` VALUES (516, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"3\",\"dictSort\":3,\"dictType\":\"sim_sim_state\",\"dictValue\":\"网关离线\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:38:49', 41);
INSERT INTO `sys_oper_log` VALUES (517, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"4\",\"dictSort\":4,\"dictType\":\"sim_sim_state\",\"dictValue\":\"硬件异常\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:39:09', 44);
INSERT INTO `sys_oper_log` VALUES (518, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"5\",\"dictSort\":5,\"dictType\":\"sim_sim_state\",\"dictValue\":\"手动禁用\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:39:24', 44);
INSERT INTO `sys_oper_log` VALUES (519, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 11:56:54', 197);
INSERT INTO `sys_oper_log` VALUES (520, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 16:56:03', 186);
INSERT INTO `sys_oper_log` VALUES (521, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"sim-维修情况\",\"dictType\":\"sim_repair\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 16:56:08', 47);
INSERT INTO `sys_oper_log` VALUES (522, '字典类型', 2, 'com.ruoyi.web.controller.system.SysDictTypeController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-12-24 16:56:08\",\"dictId\":14,\"dictName\":\"sim-维修情况\",\"dictType\":\"sim_repair\",\"params\":{},\"remark\":\"维修情况\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 16:56:15', 78);
INSERT INTO `sys_oper_log` VALUES (523, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"初始化\",\"dictSort\":0,\"dictType\":\"sim_repair\",\"dictValue\":\"0\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 16:57:48', 30);
INSERT INTO `sys_oper_log` VALUES (524, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"排除\",\"dictSort\":1,\"dictType\":\"sim_repair\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 16:58:10', 27);
INSERT INTO `sys_oper_log` VALUES (525, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"未排除\",\"dictSort\":2,\"dictType\":\"sim_repair\",\"dictValue\":\"2\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 16:58:31', 30);
INSERT INTO `sys_oper_log` VALUES (526, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:08:11', 194);
INSERT INTO `sys_oper_log` VALUES (527, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:09:07', 56);
INSERT INTO `sys_oper_log` VALUES (528, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:09:09', 65);
INSERT INTO `sys_oper_log` VALUES (529, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:22:07', 218);
INSERT INTO `sys_oper_log` VALUES (530, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:56:37', 62);
INSERT INTO `sys_oper_log` VALUES (531, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:56:39', 42);
INSERT INTO `sys_oper_log` VALUES (532, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-24 17:56:45\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:56:43', 41);
INSERT INTO `sys_oper_log` VALUES (533, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-24 17:56:50\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 17:56:47', 41);
INSERT INTO `sys_oper_log` VALUES (534, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 18:03:47', 62);
INSERT INTO `sys_oper_log` VALUES (535, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-24 18:03:49', 110);
INSERT INTO `sys_oper_log` VALUES (536, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"1\",\"updateBy\":\"admin\",\"userId\":13}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 14:52:48', 40);
INSERT INTO `sys_oper_log` VALUES (537, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{\"roleId\":\"101\",\"userIds\":\"4\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 16:18:00', 36);
INSERT INTO `sys_oper_log` VALUES (538, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":13}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 16:29:54', 35);
INSERT INTO `sys_oper_log` VALUES (539, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"1\",\"updateBy\":\"admin\",\"userId\":22}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 16:34:14', 28);
INSERT INTO `sys_oper_log` VALUES (540, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', NULL, '/system/user/changeStatus', '127.0.0.1', '内网IP', '{\"admin\":false,\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":22}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 16:34:16', 29);
INSERT INTO `sys_oper_log` VALUES (541, '参数管理', 9, 'com.ruoyi.web.controller.system.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 17:07:33', 118);
INSERT INTO `sys_oper_log` VALUES (542, '字典类型', 9, 'com.ruoyi.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 17:07:40', 221);
INSERT INTO `sys_oper_log` VALUES (543, '用户管理', 5, 'com.ruoyi.web.controller.system.SysUserController.export()', 'POST', 1, 'admin', NULL, '/system/user/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2024-12-26 17:16:19', 1248);
INSERT INTO `sys_oper_log` VALUES (544, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{\"roleId\":\"101\",\"userIds\":\"4\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 17:22:42', 31);
INSERT INTO `sys_oper_log` VALUES (545, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{\"roleId\":\"101\",\"userIds\":\"25\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 17:54:51', 40);
INSERT INTO `sys_oper_log` VALUES (546, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{\"roleId\":\"101\",\"userIds\":\"25\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-26 17:56:16', 31);
INSERT INTO `sys_oper_log` VALUES (547, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', NULL, '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{\"roleId\":\"101\",\"userIds\":\"27\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 10:52:48', 41);
INSERT INTO `sys_oper_log` VALUES (548, '部门管理', 3, 'com.ruoyi.web.controller.system.SysDeptController.remove()', 'DELETE', 1, 'admin', NULL, '/system/dept/124', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"该组织存在用户,不允许删除\",\"code\":601}', 0, NULL, '2024-12-27 11:34:41', 47);
INSERT INTO `sys_oper_log` VALUES (549, '部门管理', 1, 'com.ruoyi.web.controller.system.SysDeptController.add()', 'POST', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"createBy\":\"admin\",\"deptName\":\"法学2\",\"orderNum\":2,\"params\":{},\"parentId\":114,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 12:17:29', 35);
INSERT INTO `sys_oper_log` VALUES (550, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学2\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 12:17:39', 53);
INSERT INTO `sys_oper_log` VALUES (551, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:18:30', 8);
INSERT INTO `sys_oper_log` VALUES (552, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学2\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 12:18:37', 57);
INSERT INTO `sys_oper_log` VALUES (553, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学2\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 12:18:40', 54);
INSERT INTO `sys_oper_log` VALUES (554, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:18:44', 6);
INSERT INTO `sys_oper_log` VALUES (555, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:19:56', 12);
INSERT INTO `sys_oper_log` VALUES (556, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:20:00', 5);
INSERT INTO `sys_oper_log` VALUES (557, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:20:01', 9);
INSERT INTO `sys_oper_log` VALUES (558, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:20:03', 0);
INSERT INTO `sys_oper_log` VALUES (559, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改部门\'法学\'失败，部门名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:20:04', 12);
INSERT INTO `sys_oper_log` VALUES (560, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:17', 23);
INSERT INTO `sys_oper_log` VALUES (561, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:18', 13);
INSERT INTO `sys_oper_log` VALUES (562, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:19', 10);
INSERT INTO `sys_oper_log` VALUES (563, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:21', 14);
INSERT INTO `sys_oper_log` VALUES (564, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:22', 13);
INSERT INTO `sys_oper_log` VALUES (565, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:23', 10);
INSERT INTO `sys_oper_log` VALUES (566, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"法学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'法学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:24', 12);
INSERT INTO `sys_oper_log` VALUES (567, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"哲学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'哲学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:36', 11);
INSERT INTO `sys_oper_log` VALUES (568, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"哲学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'哲学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:38', 12);
INSERT INTO `sys_oper_log` VALUES (569, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"哲学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'哲学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:39', 12);
INSERT INTO `sys_oper_log` VALUES (570, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\",114\",\"children\":[],\"deptId\":129,\"deptName\":\"哲学\",\"orderNum\":3,\"params\":{},\"parentId\":114,\"parentName\":\"本科\",\"status\":\"0\"}', '{\"msg\":\"修改组织\'哲学\'失败，组织名称已存在\",\"code\":500}', 0, NULL, '2024-12-27 12:23:45', 13);
INSERT INTO `sys_oper_log` VALUES (571, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"avatar\":\"\",\"createBy\":\"admin\",\"createTime\":\"2024-12-11 05:27:38\",\"delFlag\":\"0\",\"dept\":{\"ancestors\":\"0,100\",\"children\":[],\"deptId\":111,\"deptName\":\"生物与化工\",\"orderNum\":2,\"params\":{},\"parentId\":100,\"status\":\"0\"},\"deptId\":111,\"email\":\"\",\"loginIp\":\"\",\"nickName\":\"学员005\",\"params\":{},\"phonenumber\":\"\",\"postIds\":[],\"roleIds\":[101],\"roles\":[{\"admin\":false,\"dataScope\":\"1\",\"deptCheckStrictly\":false,\"flag\":false,\"menuCheckStrictly\":false,\"params\":{},\"roleId\":101,\"roleKey\":\"student\",\"roleName\":\"学员角色\",\"roleSort\":4,\"status\":\"0\"}],\"sex\":\"0\",\"status\":\"0\",\"updateBy\":\"admin\",\"userId\":9,\"userName\":\"xueyuan005\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 16:05:08', 90);
INSERT INTO `sys_oper_log` VALUES (572, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledConnect()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"sim-scheduledConnect()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-27 16:20:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 16:20:25', 85);
INSERT INTO `sys_oper_log` VALUES (573, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-12-27 16:20:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-27 16:20:28', 70);
INSERT INTO `sys_oper_log` VALUES (574, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-31 15:48:17', 91);
INSERT INTO `sys_oper_log` VALUES (575, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-12-31 15:48:18', 39);
INSERT INTO `sys_oper_log` VALUES (576, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/sim_fault', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-02 15:13:15', 272);
INSERT INTO `sys_oper_log` VALUES (577, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledConnect()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"sim-scheduledConnect()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-03 20:23:25\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-03 07:23:24', 38);
INSERT INTO `sys_oper_log` VALUES (578, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 20:27:04\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledConnect()\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"sim-scheduledConnect()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-04 11:46:15\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-03 22:46:11', 966);
INSERT INTO `sys_oper_log` VALUES (579, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-04 11:46:25\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-03 22:46:22', 112);
INSERT INTO `sys_oper_log` VALUES (580, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/5 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 12:05:45\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 23:05:44', 127);
INSERT INTO `sys_oper_log` VALUES (581, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 12:15:00\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 23:14:59', 159);
INSERT INTO `sys_oper_log` VALUES (582, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/15 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 12:46:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 23:46:15', 80);
INSERT INTO `sys_oper_log` VALUES (583, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/30 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 12:49:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 23:49:22', 90);
INSERT INTO `sys_oper_log` VALUES (584, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/30 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 12:50:00\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-04 23:49:35', 89);
INSERT INTO `sys_oper_log` VALUES (585, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/30 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 13:04:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 00:04:10', 102);
INSERT INTO `sys_oper_log` VALUES (586, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"0/59 * * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 13:06:59\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 00:06:07', 77);
INSERT INTO `sys_oper_log` VALUES (587, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"* 0/1 * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 13:19:58\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 00:19:57', 70);
INSERT INTO `sys_oper_log` VALUES (588, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"* 0/1 * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 13:20:04\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 00:20:03', 76);
INSERT INTO `sys_oper_log` VALUES (589, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"* 0/1 * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 13:34:30\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 00:34:29', 636);
INSERT INTO `sys_oper_log` VALUES (590, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"* 0/1 * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 13:40:43\",\"params\":{},\"remark\":\"\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 00:40:42', 94);
INSERT INTO `sys_oper_log` VALUES (591, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-12-23 21:48:48\",\"cronExpression\":\"* 0/1 * * * ?\",\"invokeTarget\":\"commSendService.scheduledReadSim()\",\"jobGroup\":\"DEFAULT\",\"jobId\":5,\"jobName\":\"sim-scheduledReadSim()\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-01-05 14:48:08\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 01:48:07', 106);
INSERT INTO `sys_oper_log` VALUES (592, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-05 02:09:09', 96);
INSERT INTO `sys_oper_log` VALUES (593, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-06 21:06:21', 143);
INSERT INTO `sys_oper_log` VALUES (594, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 07:05:57', 83);
INSERT INTO `sys_oper_log` VALUES (595, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', NULL, '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":5,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-07 07:13:44', 61);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-12-06 11:22:07', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-12-06 11:22:07', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 103 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-06 11:22:07', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-06 11:22:07', 'admin', '2024-12-06 17:33:16', '普通角色');
INSERT INTO `sys_role` VALUES (100, '教师角色', 'teacher', 3, '1', 1, 1, '0', '0', 'admin', '2024-12-06 17:34:09', 'admin', '2024-12-15 19:45:29', NULL);
INSERT INTO `sys_role` VALUES (101, '学员角色', 'student', 4, '1', 1, 1, '0', '0', 'admin', '2024-12-06 17:34:26', 'admin', '2024-12-15 19:45:37', NULL);
INSERT INTO `sys_role` VALUES (102, '管理角色', 'manager', 5, '1', 1, 1, '0', '0', 'admin', '2024-12-06 17:34:50', 'admin', '2024-12-15 19:45:47', NULL);

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);
INSERT INTO `sys_role_menu` VALUES (100, 103);
INSERT INTO `sys_role_menu` VALUES (100, 1016);
INSERT INTO `sys_role_menu` VALUES (100, 1017);
INSERT INTO `sys_role_menu` VALUES (100, 1018);
INSERT INTO `sys_role_menu` VALUES (100, 1019);
INSERT INTO `sys_role_menu` VALUES (100, 2000);
INSERT INTO `sys_role_menu` VALUES (100, 2001);
INSERT INTO `sys_role_menu` VALUES (100, 2003);
INSERT INTO `sys_role_menu` VALUES (100, 2004);
INSERT INTO `sys_role_menu` VALUES (100, 2005);
INSERT INTO `sys_role_menu` VALUES (100, 2006);
INSERT INTO `sys_role_menu` VALUES (100, 2007);
INSERT INTO `sys_role_menu` VALUES (100, 2008);
INSERT INTO `sys_role_menu` VALUES (100, 2009);
INSERT INTO `sys_role_menu` VALUES (100, 2010);
INSERT INTO `sys_role_menu` VALUES (100, 2011);
INSERT INTO `sys_role_menu` VALUES (100, 2025);
INSERT INTO `sys_role_menu` VALUES (100, 2026);
INSERT INTO `sys_role_menu` VALUES (100, 2027);
INSERT INTO `sys_role_menu` VALUES (100, 2028);
INSERT INTO `sys_role_menu` VALUES (100, 2029);
INSERT INTO `sys_role_menu` VALUES (100, 2030);
INSERT INTO `sys_role_menu` VALUES (100, 2031);
INSERT INTO `sys_role_menu` VALUES (100, 2032);
INSERT INTO `sys_role_menu` VALUES (100, 2033);
INSERT INTO `sys_role_menu` VALUES (100, 2034);
INSERT INTO `sys_role_menu` VALUES (100, 2035);
INSERT INTO `sys_role_menu` VALUES (100, 2036);
INSERT INTO `sys_role_menu` VALUES (100, 2037);
INSERT INTO `sys_role_menu` VALUES (101, 2012);
INSERT INTO `sys_role_menu` VALUES (101, 2013);
INSERT INTO `sys_role_menu` VALUES (101, 2014);
INSERT INTO `sys_role_menu` VALUES (101, 2015);
INSERT INTO `sys_role_menu` VALUES (101, 2016);
INSERT INTO `sys_role_menu` VALUES (101, 2017);
INSERT INTO `sys_role_menu` VALUES (101, 2018);
INSERT INTO `sys_role_menu` VALUES (101, 2038);
INSERT INTO `sys_role_menu` VALUES (102, 103);
INSERT INTO `sys_role_menu` VALUES (102, 1016);
INSERT INTO `sys_role_menu` VALUES (102, 1017);
INSERT INTO `sys_role_menu` VALUES (102, 1018);
INSERT INTO `sys_role_menu` VALUES (102, 1019);
INSERT INTO `sys_role_menu` VALUES (102, 2000);
INSERT INTO `sys_role_menu` VALUES (102, 2001);
INSERT INTO `sys_role_menu` VALUES (102, 2003);
INSERT INTO `sys_role_menu` VALUES (102, 2004);
INSERT INTO `sys_role_menu` VALUES (102, 2005);
INSERT INTO `sys_role_menu` VALUES (102, 2006);
INSERT INTO `sys_role_menu` VALUES (102, 2007);
INSERT INTO `sys_role_menu` VALUES (102, 2008);
INSERT INTO `sys_role_menu` VALUES (102, 2009);
INSERT INTO `sys_role_menu` VALUES (102, 2010);
INSERT INTO `sys_role_menu` VALUES (102, 2011);
INSERT INTO `sys_role_menu` VALUES (102, 2012);
INSERT INTO `sys_role_menu` VALUES (102, 2013);
INSERT INTO `sys_role_menu` VALUES (102, 2014);
INSERT INTO `sys_role_menu` VALUES (102, 2015);
INSERT INTO `sys_role_menu` VALUES (102, 2016);
INSERT INTO `sys_role_menu` VALUES (102, 2017);
INSERT INTO `sys_role_menu` VALUES (102, 2018);
INSERT INTO `sys_role_menu` VALUES (102, 2019);
INSERT INTO `sys_role_menu` VALUES (102, 2020);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '调试', '00', 'ry@163.com', '15888888888', '1', '/profile/avatar/2024/12/09/1e30e924b899a901061ca77917950a7b0208f550_20241209083810A001.jpg', '$2a$10$8kl4ldMIc0CSTR8mPhFfK.5hEolFp2rHeennmyaozJIIJZ8g4dRqu', '0', '0', '127.0.0.1', '2025-01-08 12:35:52', 'admin', '2024-12-06 11:22:07', '', '2025-01-07 23:35:52', '调试员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '测试', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-06 11:22:07', 'admin', '2024-12-06 11:22:07', '', NULL, '测试员');
INSERT INTO `sys_user` VALUES (3, NULL, 'teacher', 'teacher', '00', '', '', '0', '/profile/avatar/2024/12/20/1e30e924b899a901061ca77917950a7b0208f550_20241220093628A001.jpg', '$2a$10$ypkyVSiKf0ZUHkgqxavjxehMyyCE.3.RsqgzIfAczo9BlL3OUcwh2', '0', '0', '127.0.0.1', '2024-12-26 16:26:40', 'admin', '2024-12-09 20:59:48', 'admin', '2024-12-26 16:26:39', NULL);
INSERT INTO `sys_user` VALUES (4, 126, 'xueyuan001', '刘同学1', '00', '', '', '0', '/profile/avatar/2024/12/20/1e30e924b899a901061ca77917950a7b0208f550_20241220105641A002.jpg', '$2a$10$ko91b23YN.gCB3FyjUAil.QKH1SMq0dL8KmHeXTSNoNVOlYbjwBvO', '0', '0', '127.0.0.1', '2025-01-07 14:21:08', 'admin', '2024-12-09 21:01:02', 'admin', '2025-01-07 01:21:08', NULL);
INSERT INTO `sys_user` VALUES (5, 110, 'xueyuan002', 'xueyuan002', '00', '', '', '0', '', '$2a$10$C79uVod2zLyEq2LbDfD.Q.iN8OMNKXweifLuUM9lb3YC1iuvd0O/K', '0', '0', '192.168.2.153', '2025-01-07 14:48:03', 'admin', '2024-12-09 21:01:17', 'admin', '2025-01-07 01:48:03', NULL);
INSERT INTO `sys_user` VALUES (6, NULL, 'manage', 'manage', '00', '', '', '0', '', '$2a$10$k5IwVDsUp7MKC7qXiOVtNOr.sdm3N9cukcUBfEK3XYG4LdxSp.4Wy', '0', '0', '127.0.0.1', '2024-12-26 16:42:52', 'admin', '2024-12-09 21:02:02', '', '2024-12-26 16:42:51', NULL);
INSERT INTO `sys_user` VALUES (7, 124, 'xueyuan003', 'xueyuan003', '00', '', '', '0', '', '$2a$10$.kKcZ4Xkhg20bKM7dO5aCeoe8UoseBKiDuQy9ChRFD3zEoALI98Me', '0', '0', '', NULL, 'admin', '2024-12-11 04:12:50', 'admin', '2024-12-26 15:12:04', NULL);
INSERT INTO `sys_user` VALUES (8, 110, 'xueyuan004', 'xueyuan004', '00', '', '', '0', '', '$2a$10$vhkK3tHjJ59qKEQ2cN1Cg.m3t8YQ17gf61/T5EFpHSgRmWU2zxBZu', '0', '0', '', NULL, 'admin', '2024-12-11 05:27:22', 'admin', '2024-12-11 05:29:46', NULL);
INSERT INTO `sys_user` VALUES (9, 111, 'xueyuan005', '学员005', '00', '', '', '0', '', '$2a$10$XnMJSOj.d9dQ7kqk0/cNo.dcyMn56/mTcCcATxPnI5qW4UufN5Sma', '0', '0', '', NULL, 'admin', '2024-12-11 05:27:38', 'admin', '2024-12-27 16:05:08', NULL);
INSERT INTO `sys_user` VALUES (10, 111, 'xueyuan006', 'xueyuan006', '00', '', '', '0', '', '$2a$10$6G/w4nf6eUFujJjspwgOGu2d1TVS/DXQ8fRi4hJg3EIr1ToCZu9tK', '0', '0', '', NULL, 'admin', '2024-12-11 05:27:48', 'admin', '2024-12-11 05:29:58', NULL);
INSERT INTO `sys_user` VALUES (11, 111, 'xueyuan007', 'xueyuan007', '00', '', '', '0', '', '$2a$10$V5G6hVnNtn7cLp9wCiDcwOJRRox66w.Ng8qyQrzTC4Dnz.kCCM5Ky', '0', '0', '', NULL, 'admin', '2024-12-11 05:28:11', 'admin', '2024-12-11 05:30:03', NULL);
INSERT INTO `sys_user` VALUES (12, 111, 'xueyuan008', 'xueyuan008', '00', '', '', '0', '', '$2a$10$OKlrWXEkssyvU7p3dKLL..rvVy.pmZl/9qJrww/J5DyfzxSQrkCJK', '0', '0', '', NULL, 'admin', '2024-12-11 05:28:22', 'admin', '2024-12-11 05:30:07', NULL);
INSERT INTO `sys_user` VALUES (13, 100, 'tom', 'tom', '00', '', '13566668888', '0', '', '$2a$10$NUJh./2y3yjC5ISmBBqmwujYgS0v0FclyxkEfqQsGbUZTVwScAZ5K', '0', '0', '', NULL, 'admin', '2024-12-11 05:55:14', 'admin', '2024-12-26 16:29:54', NULL);
INSERT INTO `sys_user` VALUES (14, 113, 'tom01', 'tom01', '00', '', '', '0', '', '$2a$10$T4Kp4DaOUQRIGkP3Cz02sOeZYJu0FlN6fNoO5GA4hS4h4bv5jSp6.', '0', '0', '', NULL, 'admin', '2024-12-11 06:22:59', '', NULL, NULL);
INSERT INTO `sys_user` VALUES (15, 113, 'tom02', 'tom02', '00', '', '', '0', '', '$2a$10$GqOLzelbjrQ1sf693u1kSOJIYiU1rI0VQpHDd1oqttgF0qR3qWy3m', '0', '0', '', NULL, 'admin', '2024-12-11 06:25:14', '', NULL, NULL);
INSERT INTO `sys_user` VALUES (16, 113, 'tom04', 'tom04', '00', '', '', '0', '', '$2a$10$OdjD3dKzCkg96NQzqVcRUeq3XB/j6rx8anYdWKAf5IXgqxz9CnEr.', '0', '0', '', NULL, 'admin', '2024-12-11 06:39:38', '', NULL, NULL);
INSERT INTO `sys_user` VALUES (17, 113, 'tom16', 'tomZZZZZZZZ', '00', '', '', '0', '', '$2a$10$adnEQwlNgrz3fknEOpV/weHM.jMCez9yO0mIwQ40orHAXZTwr89/.', '0', '2', '', NULL, 'admin', '2024-12-11 06:48:57', 'admin', '2024-12-11 06:50:20', NULL);
INSERT INTO `sys_user` VALUES (18, 100, 'teacher02', 'teacher02', '00', '', '', '0', '/profile/avatar/2024/12/12/1e30e924b899a901061ca77917950a7b0208f550_20241212005507A001.jpg', '$2a$10$qv6Hawo4BIe45p17tz7faO4IwD1xe4dbBdMO8BZV6vqmrnAxJ6Eb2', '0', '0', '127.0.0.1', '2024-12-26 16:20:12', 'admin', '2024-12-11 07:06:41', 'admin', '2024-12-26 16:20:12', NULL);
INSERT INTO `sys_user` VALUES (19, NULL, 'teacher03', 'teacher03', '00', '', '13588885555', '0', '', '$2a$10$BZ1t2lzHABDiocScTLSYKuXHlnaeljaG2ugUQCTHb5sV.uAWRNOu.', '0', '0', '', NULL, 'admin', '2024-12-11 07:07:02', 'admin', '2025-01-02 12:04:33', NULL);
INSERT INTO `sys_user` VALUES (20, NULL, 'teacher04', 'teacher041', '00', '', '13588886666', '0', '', '$2a$10$KmZ7k9Dl9D2VvXevGbnvculVj9ih4puOSz/YBj5ezvR5b/zkOp60S', '0', '0', '', NULL, 'admin', '2024-12-11 07:07:15', 'admin', '2024-12-27 10:35:56', NULL);
INSERT INTO `sys_user` VALUES (21, 124, '12212222', '20241227', '00', '', '', '0', '', '$2a$10$JkQgHPMjUm2jRv3OS4fPfuyBY57WeHKWBLp1Qu51q65l6s1RwcWc.', '0', '0', '', NULL, 'admin', '2024-12-23 10:35:40', 'admin', '2024-12-27 15:54:11', NULL);
INSERT INTO `sys_user` VALUES (22, NULL, 'teacher05', 'teacher05', '00', '', '', '0', '', '$2a$10$zj.6d14ro4eg7Lp/jNfPseaWEbwGMkkK91g2mV4xY0BOEbgwdy1r6', '0', '2', '', NULL, 'admin', '2024-12-26 16:30:17', 'admin', '2024-12-26 16:34:16', NULL);
INSERT INTO `sys_user` VALUES (25, 127, 'xueyuan009', 'xueyuan009', '00', '', '', '0', '', '$2a$10$0cqGaMSEFWrsPrFqeQ/gvuB7d/CmRrPKldsTSZm8nXhnBXxKBmAOq', '0', '0', '', NULL, 'admin', '2024-12-26 17:52:28', 'admin', '2024-12-26 17:55:17', NULL);
INSERT INTO `sys_user` VALUES (27, 112, 'xueyuan010', '学员11', '00', '', '', '0', '', '$2a$10$XvtQrtUmv0vxBFnci6QEIOIDP/O8u2hnW1AdI2mkbuzX3tXLegKs6', '0', '0', '', NULL, 'admin', '2024-12-27 10:44:26', 'admin', '2024-12-27 10:53:02', NULL);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (3, 100);
INSERT INTO `sys_user_role` VALUES (5, 101);
INSERT INTO `sys_user_role` VALUES (6, 102);
INSERT INTO `sys_user_role` VALUES (8, 101);
INSERT INTO `sys_user_role` VALUES (9, 101);
INSERT INTO `sys_user_role` VALUES (10, 101);
INSERT INTO `sys_user_role` VALUES (11, 101);
INSERT INTO `sys_user_role` VALUES (12, 101);
INSERT INTO `sys_user_role` VALUES (13, 100);
INSERT INTO `sys_user_role` VALUES (13, 101);
INSERT INTO `sys_user_role` VALUES (18, 100);
INSERT INTO `sys_user_role` VALUES (19, 100);
INSERT INTO `sys_user_role` VALUES (20, 100);
INSERT INTO `sys_user_role` VALUES (21, 101);
INSERT INTO `sys_user_role` VALUES (25, 101);

SET FOREIGN_KEY_CHECKS = 1;
